/*
  This file was generated automatically with scripts/maple2c.py.
  Do not edit this file directly as it can be overwritten!!

  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.

  Maple version     : Maple 2020 (X86 64 LINUX)
  Maple source      : ./maple/mgga_exc/mgga_k_csk.mpl
  Type of functional: mgga_exc
*/

#define maple2c_order 4
#define MAPLE2C_FLAGS (XC_FLAGS_I_HAVE_EXC | XC_FLAGS_I_HAVE_VXC | XC_FLAGS_I_HAVE_FXC | XC_FLAGS_I_HAVE_KXC | XC_FLAGS_I_HAVE_LXC)


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t6, t8, t9, t10, t12;
  double t13, t15, t16, t18, t19, t21, t22, t23;
  double t24, t25, t26, t27, t28, t30, t31, t32;
  double t33, t34, t36, t38, t40, t42, t47, t49;
  double t50, t51, t52, t53, t54, t55, t56, t57;
  double t58, t59, t60, t61, t62, t63, t64, t65;
  double t67, t71, tzk0;

  mgga_k_csk_params *params;

  assert(p->params != NULL);
  params = (mgga_k_csk_params * )(p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = M_CBRT3;
  t5 = t4 * t4;
  t6 = M_CBRTPI;
  t8 = t5 * t6 * M_PI;
  t9 = 0.1e1 <= p->zeta_threshold;
  t10 = p->zeta_threshold - 0.1e1;
  t12 = my_piecewise5(t9, t10, t9, -t10, 0);
  t13 = 0.1e1 + t12;
  t15 = POW_1_3(p->zeta_threshold);
  t16 = t15 * t15;
  t18 = POW_1_3(t13);
  t19 = t18 * t18;
  t21 = my_piecewise3(t13 <= p->zeta_threshold, t16 * p->zeta_threshold, t19 * t13);
  t22 = POW_1_3(rho[0]);
  t23 = t22 * t22;
  t24 = t21 * t23;
  t25 = M_CBRT6;
  t26 = M_PI * M_PI;
  t27 = POW_1_3(t26);
  t28 = t27 * t27;
  t30 = t25 / t28;
  t31 = M_CBRT2;
  t32 = t31 * t31;
  t33 = sigma[0] * t32;
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t23 / t34;
  t38 = t30 * t33 * t36;
  t40 = lapl[0] * t32;
  t42 = 0.1e1 / t23 / rho[0];
  t47 = 0.5e1 / 0.54e2 * t30 * t40 * t42 - 0.5e1 / 0.81e2 * t38;
  t49 = log(0.1e1 - DBL_EPSILON);
  t50 = 0.1e1 / params->csk_a;
  t51 = pow(-t49, -t50);
  t52 = t47 < -t51;
  t53 = log(DBL_EPSILON);
  t54 = pow(-t53, -t50);
  t55 = -t54 < t47;
  t56 = my_piecewise3(t55, -t54, t47);
  t57 = -t51 < t56;
  t58 = my_piecewise3(t57, t56, -t51);
  t59 = fabs(t58);
  t60 = pow(t59, params->csk_a);
  t61 = 0.1e1 / t60;
  t62 = exp(-t61);
  t63 = 0.1e1 - t62;
  t64 = pow(t63, t50);
  t65 = my_piecewise5(t52, 0, t55, 1, t64);
  t67 = 0.1e1 + 0.5e1 / 0.72e2 * t38 + t47 * t65;
  t71 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t67);
  tzk0 = 0.2e1 * t71;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t6, t8, t9, t10, t12;
  double t13, t15, t16, t18, t19, t21, t22, t23;
  double t24, t25, t26, t27, t28, t30, t31, t32;
  double t33, t34, t36, t38, t40, t42, t47, t49;
  double t50, t51, t52, t53, t54, t55, t56, t57;
  double t58, t59, t60, t61, t62, t63, t64, t65;
  double t67, t71, tzk0;

  double t73, t77, t79, t81, t87, t89, t90, t91;
  double t93, t94, t96, t97, t98, t100, t102, t107;
  double tvrho0, t110, t111, t114, t117, t118, t121, t123;
  double t127, tvsigma0, t129, t135, t136, t139, t141, t145;
  double tvlapl0, tvtau0;

  mgga_k_csk_params *params;

  assert(p->params != NULL);
  params = (mgga_k_csk_params * )(p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = M_CBRT3;
  t5 = t4 * t4;
  t6 = M_CBRTPI;
  t8 = t5 * t6 * M_PI;
  t9 = 0.1e1 <= p->zeta_threshold;
  t10 = p->zeta_threshold - 0.1e1;
  t12 = my_piecewise5(t9, t10, t9, -t10, 0);
  t13 = 0.1e1 + t12;
  t15 = POW_1_3(p->zeta_threshold);
  t16 = t15 * t15;
  t18 = POW_1_3(t13);
  t19 = t18 * t18;
  t21 = my_piecewise3(t13 <= p->zeta_threshold, t16 * p->zeta_threshold, t19 * t13);
  t22 = POW_1_3(rho[0]);
  t23 = t22 * t22;
  t24 = t21 * t23;
  t25 = M_CBRT6;
  t26 = M_PI * M_PI;
  t27 = POW_1_3(t26);
  t28 = t27 * t27;
  t30 = t25 / t28;
  t31 = M_CBRT2;
  t32 = t31 * t31;
  t33 = sigma[0] * t32;
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t23 / t34;
  t38 = t30 * t33 * t36;
  t40 = lapl[0] * t32;
  t42 = 0.1e1 / t23 / rho[0];
  t47 = 0.5e1 / 0.54e2 * t30 * t40 * t42 - 0.5e1 / 0.81e2 * t38;
  t49 = log(0.1e1 - DBL_EPSILON);
  t50 = 0.1e1 / params->csk_a;
  t51 = pow(-t49, -t50);
  t52 = t47 < -t51;
  t53 = log(DBL_EPSILON);
  t54 = pow(-t53, -t50);
  t55 = -t54 < t47;
  t56 = my_piecewise3(t55, -t54, t47);
  t57 = -t51 < t56;
  t58 = my_piecewise3(t57, t56, -t51);
  t59 = fabs(t58);
  t60 = pow(t59, params->csk_a);
  t61 = 0.1e1 / t60;
  t62 = exp(-t61);
  t63 = 0.1e1 - t62;
  t64 = pow(t63, t50);
  t65 = my_piecewise5(t52, 0, t55, 1, t64);
  t67 = 0.1e1 + 0.5e1 / 0.72e2 * t38 + t47 * t65;
  t71 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t67);
  tzk0 = 0.2e1 * t71;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t73 = t21 / t22;
  t77 = t34 * rho[0];
  t79 = 0.1e1 / t23 / t77;
  t81 = t30 * t33 * t79;
  t87 = -0.25e2 / 0.162e3 * t30 * t40 * t36 + 0.4e2 / 0.243e3 * t81;
  t89 = t64 * t61;
  t90 = my_piecewise3(t55, 0, t87);
  t91 = my_piecewise3(t57, t90, 0);
  t93 = fabs(t58) / t58;
  t94 = 0.1e1 / t59;
  t96 = 0.1e1 / t63;
  t97 = t62 * t96;
  t98 = t93 * t94 * t97;
  t100 = my_piecewise5(t52, 0, t55, 0, -t89 * t91 * t98);
  t102 = -0.5e1 / 0.27e2 * t81 + t87 * t65 + t47 * t100;
  t107 = my_piecewise3(t3, 0, t8 * t73 * t67 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t102);
  tvrho0 = 0.2e1 * rho[0] * t107 + 0.2e1 * t71;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t110 = t32 * t36;
  t111 = t30 * t110;
  t114 = t30 * t110 * t65;
  t117 = my_piecewise3(t55, 0, -0.5e1 / 0.81e2 * t111);
  t118 = my_piecewise3(t57, t117, 0);
  t121 = my_piecewise5(t52, 0, t55, 0, -t89 * t118 * t98);
  t123 = 0.5e1 / 0.72e2 * t111 - 0.5e1 / 0.81e2 * t114 + t47 * t121;
  t127 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t123);
  tvsigma0 = 0.2e1 * rho[0] * t127;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t129 = t32 * t42;
  t135 = my_piecewise3(t55, 0, 0.5e1 / 0.54e2 * t30 * t129);
  t136 = my_piecewise3(t57, t135, 0);
  t139 = my_piecewise5(t52, 0, t55, 0, -t89 * t136 * t98);
  t141 = 0.5e1 / 0.54e2 * t30 * t129 * t65 + t47 * t139;
  t145 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t141);
  tvlapl0 = 0.2e1 * rho[0] * t145;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  tvtau0 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t6, t8, t9, t10, t12;
  double t13, t15, t16, t18, t19, t21, t22, t23;
  double t24, t25, t26, t27, t28, t30, t31, t32;
  double t33, t34, t36, t38, t40, t42, t47, t49;
  double t50, t51, t52, t53, t54, t55, t56, t57;
  double t58, t59, t60, t61, t62, t63, t64, t65;
  double t67, t71, tzk0;

  double t73, t77, t79, t81, t87, t89, t90, t91;
  double t93, t94, t96, t97, t98, t100, t102, t107;
  double tvrho0, t110, t111, t114, t117, t118, t121, t123;
  double t127, tvsigma0, t129, t135, t136, t139, t141, t145;
  double tvlapl0, tvtau0;

  double t150, t157, t159, t161, t167, t171, t173, t174;
  double t176, t177, t178, t179, t180, t181, t182, t183;
  double t184, t186, t188, t189, t190, t192, t193, t196;
  double t197, t199, t200, t201, t203, t205, t206, t207;
  double t210, t212, t217, tv2rho20, t223, t224, t227, t230;
  double t233, t234, t235, t236, t238, t239, t240, t241;
  double t244, t245, t248, t250, t251, t252, t254, t256;
  double t257, t260, t262, t267, tv2rhosigma0, t278, t279, t281;
  double t282, t285, t286, t289, t291, t293, t297, t299;
  double t304, tv2rholapl0, tv2rhotau0, t308, t310, t313, t316, t317;
  double t319, t320, t321, t323, t327, t329, t333, tv2sigma20;
  double t339, t343, t345, t346, t347, t348, t349, t352;
  double t353, t356, t358, t362, tv2sigmalapl0, tv2sigmatau0, t367, t370;
  double t373, t374, t376, t380, t382, t386, tv2lapl20, tv2lapltau0;
  double tv2tau20;

  mgga_k_csk_params *params;

  assert(p->params != NULL);
  params = (mgga_k_csk_params * )(p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = M_CBRT3;
  t5 = t4 * t4;
  t6 = M_CBRTPI;
  t8 = t5 * t6 * M_PI;
  t9 = 0.1e1 <= p->zeta_threshold;
  t10 = p->zeta_threshold - 0.1e1;
  t12 = my_piecewise5(t9, t10, t9, -t10, 0);
  t13 = 0.1e1 + t12;
  t15 = POW_1_3(p->zeta_threshold);
  t16 = t15 * t15;
  t18 = POW_1_3(t13);
  t19 = t18 * t18;
  t21 = my_piecewise3(t13 <= p->zeta_threshold, t16 * p->zeta_threshold, t19 * t13);
  t22 = POW_1_3(rho[0]);
  t23 = t22 * t22;
  t24 = t21 * t23;
  t25 = M_CBRT6;
  t26 = M_PI * M_PI;
  t27 = POW_1_3(t26);
  t28 = t27 * t27;
  t30 = t25 / t28;
  t31 = M_CBRT2;
  t32 = t31 * t31;
  t33 = sigma[0] * t32;
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t23 / t34;
  t38 = t30 * t33 * t36;
  t40 = lapl[0] * t32;
  t42 = 0.1e1 / t23 / rho[0];
  t47 = 0.5e1 / 0.54e2 * t30 * t40 * t42 - 0.5e1 / 0.81e2 * t38;
  t49 = log(0.1e1 - DBL_EPSILON);
  t50 = 0.1e1 / params->csk_a;
  t51 = pow(-t49, -t50);
  t52 = t47 < -t51;
  t53 = log(DBL_EPSILON);
  t54 = pow(-t53, -t50);
  t55 = -t54 < t47;
  t56 = my_piecewise3(t55, -t54, t47);
  t57 = -t51 < t56;
  t58 = my_piecewise3(t57, t56, -t51);
  t59 = fabs(t58);
  t60 = pow(t59, params->csk_a);
  t61 = 0.1e1 / t60;
  t62 = exp(-t61);
  t63 = 0.1e1 - t62;
  t64 = pow(t63, t50);
  t65 = my_piecewise5(t52, 0, t55, 1, t64);
  t67 = 0.1e1 + 0.5e1 / 0.72e2 * t38 + t47 * t65;
  t71 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t67);
  tzk0 = 0.2e1 * t71;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t73 = t21 / t22;
  t77 = t34 * rho[0];
  t79 = 0.1e1 / t23 / t77;
  t81 = t30 * t33 * t79;
  t87 = -0.25e2 / 0.162e3 * t30 * t40 * t36 + 0.4e2 / 0.243e3 * t81;
  t89 = t64 * t61;
  t90 = my_piecewise3(t55, 0, t87);
  t91 = my_piecewise3(t57, t90, 0);
  t93 = fabs(t58) / t58;
  t94 = 0.1e1 / t59;
  t96 = 0.1e1 / t63;
  t97 = t62 * t96;
  t98 = t93 * t94 * t97;
  t100 = my_piecewise5(t52, 0, t55, 0, -t89 * t91 * t98);
  t102 = -0.5e1 / 0.27e2 * t81 + t87 * t65 + t47 * t100;
  t107 = my_piecewise3(t3, 0, t8 * t73 * t67 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t102);
  tvrho0 = 0.2e1 * rho[0] * t107 + 0.2e1 * t71;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t110 = t32 * t36;
  t111 = t30 * t110;
  t114 = t30 * t110 * t65;
  t117 = my_piecewise3(t55, 0, -0.5e1 / 0.81e2 * t111);
  t118 = my_piecewise3(t57, t117, 0);
  t121 = my_piecewise5(t52, 0, t55, 0, -t89 * t118 * t98);
  t123 = 0.5e1 / 0.72e2 * t111 - 0.5e1 / 0.81e2 * t114 + t47 * t121;
  t127 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t123);
  tvsigma0 = 0.2e1 * rho[0] * t127;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t129 = t32 * t42;
  t135 = my_piecewise3(t55, 0, 0.5e1 / 0.54e2 * t30 * t129);
  t136 = my_piecewise3(t57, t135, 0);
  t139 = my_piecewise5(t52, 0, t55, 0, -t89 * t136 * t98);
  t141 = 0.5e1 / 0.54e2 * t30 * t129 * t65 + t47 * t139;
  t145 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t141);
  tvlapl0 = 0.2e1 * rho[0] * t145;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  tvtau0 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t150 = t21 / t22 / rho[0];
  t157 = t34 * t34;
  t159 = 0.1e1 / t23 / t157;
  t161 = t30 * t33 * t159;
  t167 = 0.1e3 / 0.243e3 * t30 * t40 * t79 - 0.44e3 / 0.729e3 * t161;
  t171 = t60 * t60;
  t173 = t64 / t171;
  t174 = t91 * t91;
  t176 = t93 * t93;
  t177 = t59 * t59;
  t178 = 0.1e1 / t177;
  t179 = t176 * t178;
  t180 = t62 * t62;
  t181 = t63 * t63;
  t182 = 0.1e1 / t181;
  t183 = t180 * t182;
  t184 = t179 * t183;
  t186 = t174 * t176;
  t188 = t178 * t62;
  t189 = t96 * params->csk_a;
  t190 = t188 * t189;
  t192 = my_piecewise3(t55, 0, t167);
  t193 = my_piecewise3(t57, t192, 0);
  t196 = t89 * t174;
  t197 = 0.0;
  t199 = t197 * t94 * t97;
  t200 = t196 * t199;
  t201 = t179 * t97;
  t203 = t173 * t186;
  t205 = t178 * t180;
  t206 = t182 * params->csk_a;
  t207 = t205 * t206;
  t210 = my_piecewise5(t52, 0, t55, 0, t173 * t174 * t184 + t89 * t186 * t190 - t89 * t193 * t98 - t203 * t190 + t196 * t201 - t203 * t207 - t200);
  t212 = 0.55e2 / 0.81e2 * t161 + t167 * t65 + 0.2e1 * t87 * t100 + t47 * t210;
  t217 = my_piecewise3(t3, 0, -t8 * t150 * t67 / 0.3e2 + t8 * t73 * t102 / 0.5e1 + 0.3e1 / 0.2e2 * t8 * t24 * t212);
  tv2rho20 = 0.2e1 * rho[0] * t217 + 0.4e1 * t107;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t223 = t32 * t79;
  t224 = t30 * t223;
  t227 = t30 * t223 * t65;
  t230 = t30 * t110 * t100;
  t233 = t91 * t176;
  t234 = t173 * t233;
  t235 = t182 * t118;
  t236 = t205 * t235;
  t238 = t118 * t176;
  t239 = t89 * t238;
  t240 = t189 * t91;
  t241 = t188 * t240;
  t244 = my_piecewise3(t55, 0, 0.4e2 / 0.243e3 * t224);
  t245 = my_piecewise3(t57, t244, 0);
  t248 = t118 * t91;
  t250 = t89 * t248 * t199;
  t251 = t96 * t91;
  t252 = t188 * t251;
  t254 = t173 * t238;
  t256 = t206 * t91;
  t257 = t205 * t256;
  t260 = my_piecewise5(t52, 0, t55, 0, -t89 * t245 * t98 + t234 * t236 + t239 * t241 + t239 * t252 - t254 * t241 - t254 * t257 - t250);
  t262 = -0.5e1 / 0.27e2 * t224 + 0.4e2 / 0.243e3 * t227 - 0.5e1 / 0.81e2 * t230 + t87 * t121 + t47 * t260;
  t267 = my_piecewise3(t3, 0, t8 * t73 * t123 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t262);
  tv2rhosigma0 = 0.2e1 * rho[0] * t267 + 0.2e1 * t127;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t278 = t182 * t136;
  t279 = t205 * t278;
  t281 = t136 * t176;
  t282 = t89 * t281;
  t285 = my_piecewise3(t55, 0, -0.25e2 / 0.162e3 * t111);
  t286 = my_piecewise3(t57, t285, 0);
  t289 = t136 * t91;
  t291 = t89 * t289 * t199;
  t293 = t173 * t281;
  t297 = my_piecewise5(t52, 0, t55, 0, -t89 * t286 * t98 + t234 * t279 + t282 * t241 - t293 * t241 + t282 * t252 - t293 * t257 - t291);
  t299 = -0.25e2 / 0.162e3 * t114 + 0.5e1 / 0.54e2 * t30 * t129 * t100 + t87 * t139 + t47 * t297;
  t304 = my_piecewise3(t3, 0, t8 * t73 * t141 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t299);
  tv2rholapl0 = 0.2e1 * rho[0] * t304 + 0.2e1 * t145;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  tv2rhotau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t308 = t30 * t110 * t121;
  t310 = t118 * t118;
  t313 = t310 * t176;
  t316 = my_piecewise3(t55, 0, 0);
  t317 = my_piecewise3(t57, t316, 0);
  t319 = t89 * t317 * t98;
  t320 = t89 * t310;
  t321 = t320 * t199;
  t323 = t173 * t313;
  t327 = my_piecewise5(t52, 0, t55, 0, t173 * t310 * t184 + t89 * t313 * t190 - t323 * t190 + t320 * t201 - t323 * t207 - t319 - t321);
  t329 = -0.1e2 / 0.81e2 * t308 + t47 * t327;
  t333 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t329);
  tv2sigma20 = 0.2e1 * rho[0] * t333;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t339 = t30 * t110 * t139;
  t343 = t188 * t189 * t118;
  t345 = t136 * t118;
  t346 = t89 * t345;
  t347 = t346 * t199;
  t348 = t96 * t118;
  t349 = t188 * t348;
  t352 = t206 * t118;
  t353 = t205 * t352;
  t356 = my_piecewise5(t52, 0, t55, 0, t254 * t279 + t282 * t343 + t282 * t349 - t293 * t343 - t293 * t353 - t319 - t347);
  t358 = 0.5e1 / 0.54e2 * t30 * t129 * t121 - 0.5e1 / 0.81e2 * t339 + t47 * t356;
  t362 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t358);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t362;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmatau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t367 = t136 * t136;
  t370 = t367 * t176;
  t373 = t89 * t367;
  t374 = t373 * t199;
  t376 = t173 * t370;
  t380 = my_piecewise5(t52, 0, t55, 0, t173 * t367 * t184 + t89 * t370 * t190 - t376 * t190 + t373 * t201 - t376 * t207 - t319 - t374);
  t382 = 0.5e1 / 0.27e2 * t30 * t129 * t139 + t47 * t380;
  t386 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t382);
  tv2lapl20 = 0.2e1 * rho[0] * t386;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapltau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2tau20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t6, t8, t9, t10, t12;
  double t13, t15, t16, t18, t19, t21, t22, t23;
  double t24, t25, t26, t27, t28, t30, t31, t32;
  double t33, t34, t36, t38, t40, t42, t47, t49;
  double t50, t51, t52, t53, t54, t55, t56, t57;
  double t58, t59, t60, t61, t62, t63, t64, t65;
  double t67, t71, tzk0;

  double t73, t77, t79, t81, t87, t89, t90, t91;
  double t93, t94, t96, t97, t98, t100, t102, t107;
  double tvrho0, t110, t111, t114, t117, t118, t121, t123;
  double t127, tvsigma0, t129, t135, t136, t139, t141, t145;
  double tvlapl0, tvtau0;

  double t150, t157, t159, t161, t167, t171, t173, t174;
  double t176, t177, t178, t179, t180, t181, t182, t183;
  double t184, t186, t188, t189, t190, t192, t193, t196;
  double t197, t199, t200, t201, t203, t205, t206, t207;
  double t210, t212, t217, tv2rho20, t223, t224, t227, t230;
  double t233, t234, t235, t236, t238, t239, t240, t241;
  double t244, t245, t248, t250, t251, t252, t254, t256;
  double t257, t260, t262, t267, tv2rhosigma0, t278, t279, t281;
  double t282, t285, t286, t289, t291, t293, t297, t299;
  double t304, tv2rholapl0, tv2rhotau0, t308, t310, t313, t316, t317;
  double t319, t320, t321, t323, t327, t329, t333, tv2sigma20;
  double t339, t343, t345, t346, t347, t348, t349, t352;
  double t353, t356, t358, t362, tv2sigmalapl0, tv2sigmatau0, t367, t370;
  double t373, t374, t376, t380, t382, t386, tv2lapl20, tv2lapltau0;
  double tv2tau20;

  double t391, t403, t405, t411, t419, t420, t422, t424;
  double t425, t426, t428, t429, t430, t432, t433, t437;
  double t441, t445, t446, t449, t450, t453, t454, t456;
  double t457, t461, t463, t464, t465, t467, t469, t470;
  double t471, t473, t474, t475, t476, t479, t482, t484;
  double t485, t486, t492, t493, t494, t496, t497, t498;
  double t501, t502, t503, t504, t509, t513, t514, t515;
  double t518, t519, t524, t528, t529, t532, t534, t536;
  double t541, tv3rho30, t551, t552, t555, t558, t561, t567;
  double t568, t572, t573, t574, t576, t577, t580, t581;
  double t583, t584, t587, t588, t592, t595, t598, t599;
  double t600, t601, t602, t606, t607, t612, t615, t618;
  double t619, t621, t622, t623, t624, t625, t627, t630;
  double t631, t632, t637, t638, t639, t640, t641, t642;
  double t643, t645, t646, t647, t649, t651, t652, t655;
  double t656, t662, t663, t670, t674, t675, t676, t678;
  double t680, t682, t687, tv3rho2sigma0, t706, t707, t710, t711;
  double t714, t715, t718, t721, t722, t723, t725, t727;
  double t731, t733, t734, t737, t738, t739, t748, t749;
  double t750, t751, t754, t763, t764, t765, t767, t771;
  double t777, t778, t781, t783, t785, t789, t791, t793;
  double t795, t800, tv3rho2lapl0, tv3rho2tau0, t807, t810, t813, t815;
  double t816, t817, t818, t820, t822, t823, t824, t825;
  double t827, t828, t829, t831, t832, t834, t835, t838;
  double t840, t841, t842, t843, t844, t845, t848, t851;
  double t852, t855, t856, t859, t860, t862, t863, t865;
  double t866, t869, t872, t873, t876, t877, t878, t879;
  double t880, t882, t883, t888, t892, t893, t896, t901;
  double t902, t903, t904, t906, t907, t908, t909, t911;
  double t912, t913, t914, t915, t917, t918, t919, t922;
  double t924, t926, t931, tv3rhosigma20, t942, t945, t948, t949;
  double t951, t952, t954, t955, t956, t957, t959, t960;
  double t961, t963, t964, t965, t966, t967, t970, t971;
  double t972, t973, t977, t980, t981, t982, t983, t985;
  double t986, t987, t988, t989, t992, t995, t996, t998;
  double t999, t1000, t1004, t1011, t1014, t1015, t1019, t1023;
  double t1024, t1030, t1032, t1033, t1035, t1038, t1040, t1042;
  double t1047, tv3rhosigmalapl0, tv3rhosigmatau0, t1058, t1060, t1061, t1063, t1065;
  double t1066, t1068, t1070, t1071, t1074, t1075, t1077, t1080;
  double t1081, t1084, t1087, t1088, t1094, t1101, t1115, t1116;
  double t1118, t1119, t1120, t1122, t1123, t1127, t1129, t1131;
  double t1136, tv3rholapl20, tv3rholapltau0, tv3rhotau20, t1140, t1142, t1151, t1152;
  double t1153, t1154, t1155, t1156, t1157, t1158, t1159, t1160;
  double t1161, t1163, t1164, t1165, t1166, t1167, t1168, t1169;
  double t1170, t1175, t1176, t1179, t1181, t1182, t1183, t1184;
  double t1185, t1186, t1187, t1189, t1190, t1193, t1202, t1203;
  double t1206, t1208, t1210, t1214, tv3sigma30, t1220, t1222, t1223;
  double t1224, t1225, t1226, t1227, t1228, t1229, t1230, t1231;
  double t1232, t1233, t1234, t1235, t1236, t1239, t1242, t1247;
  double t1248, t1249, t1250, t1251, t1254, t1255, t1260, t1261;
  double t1262, t1265, t1266, t1267, t1268, t1269, t1274, t1275;
  double t1276, t1277, t1278, t1279, t1280, t1281, t1283, t1285;
  double t1286, t1287, t1292, t1294, t1296, t1300, tv3sigma2lapl0, tv3sigma2tau0;
  double t1306, t1308, t1310, t1311, t1313, t1314, t1315, t1316;
  double t1317, t1318, t1319, t1320, t1323, t1327, t1328, t1335;
  double t1336, t1340, t1345, t1348, t1351, t1352, t1353, t1354;
  double t1355, t1356, t1363, t1365, t1367, t1371, tv3sigmalapl20, tv3sigmalapltau0;
  double tv3sigmatau20, t1376, t1385, t1386, t1387, t1388, t1389, t1390;
  double t1391, t1393, t1394, t1395, t1396, t1397, t1398, t1399;
  double t1400, t1401, t1402, t1403, t1406, t1413, t1416, t1417;
  double t1418, t1420, t1421, t1430, t1432, t1434, t1438, tv3lapl30;
  double tv3lapl2tau0, tv3lapltau20, tv3tau30;

  mgga_k_csk_params *params;

  assert(p->params != NULL);
  params = (mgga_k_csk_params * )(p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = M_CBRT3;
  t5 = t4 * t4;
  t6 = M_CBRTPI;
  t8 = t5 * t6 * M_PI;
  t9 = 0.1e1 <= p->zeta_threshold;
  t10 = p->zeta_threshold - 0.1e1;
  t12 = my_piecewise5(t9, t10, t9, -t10, 0);
  t13 = 0.1e1 + t12;
  t15 = POW_1_3(p->zeta_threshold);
  t16 = t15 * t15;
  t18 = POW_1_3(t13);
  t19 = t18 * t18;
  t21 = my_piecewise3(t13 <= p->zeta_threshold, t16 * p->zeta_threshold, t19 * t13);
  t22 = POW_1_3(rho[0]);
  t23 = t22 * t22;
  t24 = t21 * t23;
  t25 = M_CBRT6;
  t26 = M_PI * M_PI;
  t27 = POW_1_3(t26);
  t28 = t27 * t27;
  t30 = t25 / t28;
  t31 = M_CBRT2;
  t32 = t31 * t31;
  t33 = sigma[0] * t32;
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t23 / t34;
  t38 = t30 * t33 * t36;
  t40 = lapl[0] * t32;
  t42 = 0.1e1 / t23 / rho[0];
  t47 = 0.5e1 / 0.54e2 * t30 * t40 * t42 - 0.5e1 / 0.81e2 * t38;
  t49 = log(0.1e1 - DBL_EPSILON);
  t50 = 0.1e1 / params->csk_a;
  t51 = pow(-t49, -t50);
  t52 = t47 < -t51;
  t53 = log(DBL_EPSILON);
  t54 = pow(-t53, -t50);
  t55 = -t54 < t47;
  t56 = my_piecewise3(t55, -t54, t47);
  t57 = -t51 < t56;
  t58 = my_piecewise3(t57, t56, -t51);
  t59 = fabs(t58);
  t60 = pow(t59, params->csk_a);
  t61 = 0.1e1 / t60;
  t62 = exp(-t61);
  t63 = 0.1e1 - t62;
  t64 = pow(t63, t50);
  t65 = my_piecewise5(t52, 0, t55, 1, t64);
  t67 = 0.1e1 + 0.5e1 / 0.72e2 * t38 + t47 * t65;
  t71 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t67);
  tzk0 = 0.2e1 * t71;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t73 = t21 / t22;
  t77 = t34 * rho[0];
  t79 = 0.1e1 / t23 / t77;
  t81 = t30 * t33 * t79;
  t87 = -0.25e2 / 0.162e3 * t30 * t40 * t36 + 0.4e2 / 0.243e3 * t81;
  t89 = t64 * t61;
  t90 = my_piecewise3(t55, 0, t87);
  t91 = my_piecewise3(t57, t90, 0);
  t93 = fabs(t58) / t58;
  t94 = 0.1e1 / t59;
  t96 = 0.1e1 / t63;
  t97 = t62 * t96;
  t98 = t93 * t94 * t97;
  t100 = my_piecewise5(t52, 0, t55, 0, -t89 * t91 * t98);
  t102 = -0.5e1 / 0.27e2 * t81 + t87 * t65 + t47 * t100;
  t107 = my_piecewise3(t3, 0, t8 * t73 * t67 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t102);
  tvrho0 = 0.2e1 * rho[0] * t107 + 0.2e1 * t71;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t110 = t32 * t36;
  t111 = t30 * t110;
  t114 = t30 * t110 * t65;
  t117 = my_piecewise3(t55, 0, -0.5e1 / 0.81e2 * t111);
  t118 = my_piecewise3(t57, t117, 0);
  t121 = my_piecewise5(t52, 0, t55, 0, -t89 * t118 * t98);
  t123 = 0.5e1 / 0.72e2 * t111 - 0.5e1 / 0.81e2 * t114 + t47 * t121;
  t127 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t123);
  tvsigma0 = 0.2e1 * rho[0] * t127;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t129 = t32 * t42;
  t135 = my_piecewise3(t55, 0, 0.5e1 / 0.54e2 * t30 * t129);
  t136 = my_piecewise3(t57, t135, 0);
  t139 = my_piecewise5(t52, 0, t55, 0, -t89 * t136 * t98);
  t141 = 0.5e1 / 0.54e2 * t30 * t129 * t65 + t47 * t139;
  t145 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t141);
  tvlapl0 = 0.2e1 * rho[0] * t145;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  tvtau0 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t150 = t21 / t22 / rho[0];
  t157 = t34 * t34;
  t159 = 0.1e1 / t23 / t157;
  t161 = t30 * t33 * t159;
  t167 = 0.1e3 / 0.243e3 * t30 * t40 * t79 - 0.44e3 / 0.729e3 * t161;
  t171 = t60 * t60;
  t173 = t64 / t171;
  t174 = t91 * t91;
  t176 = t93 * t93;
  t177 = t59 * t59;
  t178 = 0.1e1 / t177;
  t179 = t176 * t178;
  t180 = t62 * t62;
  t181 = t63 * t63;
  t182 = 0.1e1 / t181;
  t183 = t180 * t182;
  t184 = t179 * t183;
  t186 = t174 * t176;
  t188 = t178 * t62;
  t189 = t96 * params->csk_a;
  t190 = t188 * t189;
  t192 = my_piecewise3(t55, 0, t167);
  t193 = my_piecewise3(t57, t192, 0);
  t196 = t89 * t174;
  t197 = 0.0;
  t199 = t197 * t94 * t97;
  t200 = t196 * t199;
  t201 = t179 * t97;
  t203 = t173 * t186;
  t205 = t178 * t180;
  t206 = t182 * params->csk_a;
  t207 = t205 * t206;
  t210 = my_piecewise5(t52, 0, t55, 0, t173 * t174 * t184 + t89 * t186 * t190 - t89 * t193 * t98 - t203 * t190 + t196 * t201 - t203 * t207 - t200);
  t212 = 0.55e2 / 0.81e2 * t161 + t167 * t65 + 0.2e1 * t87 * t100 + t47 * t210;
  t217 = my_piecewise3(t3, 0, -t8 * t150 * t67 / 0.3e2 + t8 * t73 * t102 / 0.5e1 + 0.3e1 / 0.2e2 * t8 * t24 * t212);
  tv2rho20 = 0.2e1 * rho[0] * t217 + 0.4e1 * t107;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t223 = t32 * t79;
  t224 = t30 * t223;
  t227 = t30 * t223 * t65;
  t230 = t30 * t110 * t100;
  t233 = t91 * t176;
  t234 = t173 * t233;
  t235 = t182 * t118;
  t236 = t205 * t235;
  t238 = t118 * t176;
  t239 = t89 * t238;
  t240 = t189 * t91;
  t241 = t188 * t240;
  t244 = my_piecewise3(t55, 0, 0.4e2 / 0.243e3 * t224);
  t245 = my_piecewise3(t57, t244, 0);
  t248 = t118 * t91;
  t250 = t89 * t248 * t199;
  t251 = t96 * t91;
  t252 = t188 * t251;
  t254 = t173 * t238;
  t256 = t206 * t91;
  t257 = t205 * t256;
  t260 = my_piecewise5(t52, 0, t55, 0, -t89 * t245 * t98 + t234 * t236 + t239 * t241 + t239 * t252 - t254 * t241 - t254 * t257 - t250);
  t262 = -0.5e1 / 0.27e2 * t224 + 0.4e2 / 0.243e3 * t227 - 0.5e1 / 0.81e2 * t230 + t87 * t121 + t47 * t260;
  t267 = my_piecewise3(t3, 0, t8 * t73 * t123 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t262);
  tv2rhosigma0 = 0.2e1 * rho[0] * t267 + 0.2e1 * t127;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t278 = t182 * t136;
  t279 = t205 * t278;
  t281 = t136 * t176;
  t282 = t89 * t281;
  t285 = my_piecewise3(t55, 0, -0.25e2 / 0.162e3 * t111);
  t286 = my_piecewise3(t57, t285, 0);
  t289 = t136 * t91;
  t291 = t89 * t289 * t199;
  t293 = t173 * t281;
  t297 = my_piecewise5(t52, 0, t55, 0, -t89 * t286 * t98 + t234 * t279 + t282 * t241 - t293 * t241 + t282 * t252 - t293 * t257 - t291);
  t299 = -0.25e2 / 0.162e3 * t114 + 0.5e1 / 0.54e2 * t30 * t129 * t100 + t87 * t139 + t47 * t297;
  t304 = my_piecewise3(t3, 0, t8 * t73 * t141 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t299);
  tv2rholapl0 = 0.2e1 * rho[0] * t304 + 0.2e1 * t145;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  tv2rhotau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t308 = t30 * t110 * t121;
  t310 = t118 * t118;
  t313 = t310 * t176;
  t316 = my_piecewise3(t55, 0, 0);
  t317 = my_piecewise3(t57, t316, 0);
  t319 = t89 * t317 * t98;
  t320 = t89 * t310;
  t321 = t320 * t199;
  t323 = t173 * t313;
  t327 = my_piecewise5(t52, 0, t55, 0, t173 * t310 * t184 + t89 * t313 * t190 - t323 * t190 + t320 * t201 - t323 * t207 - t319 - t321);
  t329 = -0.1e2 / 0.81e2 * t308 + t47 * t327;
  t333 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t329);
  tv2sigma20 = 0.2e1 * rho[0] * t333;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t339 = t30 * t110 * t139;
  t343 = t188 * t189 * t118;
  t345 = t136 * t118;
  t346 = t89 * t345;
  t347 = t346 * t199;
  t348 = t96 * t118;
  t349 = t188 * t348;
  t352 = t206 * t118;
  t353 = t205 * t352;
  t356 = my_piecewise5(t52, 0, t55, 0, t254 * t279 + t282 * t343 + t282 * t349 - t293 * t343 - t293 * t353 - t319 - t347);
  t358 = 0.5e1 / 0.54e2 * t30 * t129 * t121 - 0.5e1 / 0.81e2 * t339 + t47 * t356;
  t362 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t358);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t362;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmatau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t367 = t136 * t136;
  t370 = t367 * t176;
  t373 = t89 * t367;
  t374 = t373 * t199;
  t376 = t173 * t370;
  t380 = my_piecewise5(t52, 0, t55, 0, t173 * t367 * t184 + t89 * t370 * t190 - t376 * t190 + t373 * t201 - t376 * t207 - t319 - t374);
  t382 = 0.5e1 / 0.27e2 * t30 * t129 * t139 + t47 * t380;
  t386 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t382);
  tv2lapl20 = 0.2e1 * rho[0] * t386;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapltau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2tau20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  t391 = t21 / t22 / t34;
  t403 = 0.1e1 / t23 / t157 / rho[0];
  t405 = t30 * t33 * t403;
  t411 = -0.11e4 / 0.729e3 * t30 * t40 * t159 + 0.616e4 / 0.2187e4 * t405;
  t419 = t64 / t171 / t60;
  t420 = t174 * t91;
  t422 = t176 * t93;
  t424 = 0.1e1 / t177 / t59;
  t425 = t422 * t424;
  t426 = t180 * t62;
  t428 = 0.1e1 / t181 / t63;
  t429 = t426 * t428;
  t430 = t425 * t429;
  t432 = my_piecewise3(t55, 0, t411);
  t433 = my_piecewise3(t57, t432, 0);
  t437 = t425 * t183;
  t441 = t425 * t97;
  t445 = t189 * t193;
  t446 = t188 * t445;
  t449 = t193 * t176;
  t450 = t173 * t449;
  t453 = t420 * t197;
  t454 = t173 * t453;
  t456 = t205 * t206 * t93;
  t457 = t454 * t456;
  t461 = t178 * params->csk_a;
  t463 = t93 * t62 * t96;
  t464 = t461 * t463;
  t465 = t454 * t464;
  t467 = t420 * t93;
  t469 = t189 * t197;
  t470 = t188 * t469;
  t471 = t89 * t467 * t470;
  t473 = t420 * t422;
  t474 = t173 * t473;
  t475 = t424 * params->csk_a;
  t476 = t475 * t97;
  t479 = t89 * t473;
  t482 = -0.3e1 * t173 * t420 * t437 + 0.3e1 * t89 * t233 * t446 - t419 * t420 * t430 - 0.2e1 * t89 * t420 * t441 - t89 * t433 * t98 - 0.3e1 * t450 * t241 - 0.3e1 * t450 * t257 + 0.3e1 * t474 * t476 - 0.3e1 * t479 * t476 - t200 - 0.3e1 * t457 - 0.3e1 * t465 + 0.3e1 * t471;
  t484 = t182 * t197;
  t485 = t205 * t484;
  t486 = t173 * t467 * t485;
  t492 = t96 * t93;
  t493 = t188 * t492;
  t494 = t89 * t453 * t493;
  t496 = t419 * t473;
  t497 = t424 * t180;
  t498 = t497 * t206;
  t501 = t424 * t62;
  t502 = params->csk_a * params->csk_a;
  t503 = t96 * t502;
  t504 = t501 * t503;
  t509 = t182 * t193;
  t513 = t424 * t426;
  t514 = t428 * params->csk_a;
  t515 = t513 * t514;
  t518 = t182 * t502;
  t519 = t497 * t518;
  t524 = t89 * t193 * t91 * t199;
  t528 = t428 * t502;
  t529 = t513 * t528;
  t532 = 0.3e1 * t234 * t205 * t509 + 0.3e1 * t89 * t449 * t252 + 0.3e1 * t474 * t504 + 0.3e1 * t474 * t519 - t479 * t504 + 0.3e1 * t496 * t498 - t496 * t504 + 0.3e1 * t496 * t515 - 0.3e1 * t496 * t519 - 0.2e1 * t496 * t529 + 0.3e1 * t486 + 0.3e1 * t494 - 0.3e1 * t524;
  t534 = my_piecewise5(t52, 0, t55, 0, t482 + t532);
  t536 = -0.77e3 / 0.243e3 * t405 + t411 * t65 + 0.3e1 * t167 * t100 + 0.3e1 * t87 * t210 + t47 * t534;
  t541 = my_piecewise3(t3, 0, 0.2e1 / 0.45e2 * t8 * t391 * t67 - t8 * t150 * t102 / 0.1e2 + 0.3e1 / 0.1e2 * t8 * t73 * t212 + 0.3e1 / 0.2e2 * t8 * t24 * t536);
  tv3rho30 = 0.2e1 * rho[0] * t541 + 0.6e1 * t217;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t551 = t32 * t159;
  t552 = t30 * t551;
  t555 = t30 * t551 * t65;
  t558 = t30 * t223 * t100;
  t561 = t30 * t110 * t210;
  t567 = my_piecewise3(t55, 0, -0.44e3 / 0.729e3 * t552);
  t568 = my_piecewise3(t57, t567, 0);
  t572 = t118 * t422;
  t573 = t419 * t572;
  t574 = t424 * t502;
  t576 = t174 * t180 * t182;
  t577 = t574 * t576;
  t580 = t206 * t193;
  t581 = t205 * t580;
  t583 = t528 * t174;
  t584 = t513 * t583;
  t587 = t245 * t176;
  t588 = t89 * t587;
  t592 = t173 * t572;
  t595 = t173 * t587;
  t598 = t174 * t422;
  t599 = t419 * t598;
  t600 = t428 * t118;
  t601 = t600 * params->csk_a;
  t602 = t513 * t601;
  t606 = t174 * t62 * t96;
  t607 = t475 * t606;
  t612 = t89 * t572;
  t615 = t118 * t174;
  t618 = t197 * t178 * t463;
  t619 = t89 * t615 * t618;
  t621 = t174 * t93;
  t622 = t173 * t621;
  t623 = t235 * t197;
  t624 = t205 * t623;
  t625 = t622 * t624;
  t627 = t497 * t352;
  t630 = -t89 * t568 * t98 + t239 * t446 + 0.2e1 * t588 * t241 - 0.2e1 * t595 * t241 - t254 * t446 - t254 * t581 - 0.2e1 * t595 * t257 - 0.3e1 * t573 * t577 - 0.2e1 * t573 * t584 + 0.3e1 * t592 * t577 + 0.3e1 * t592 * t607 + 0.3e1 * t599 * t602 + 0.3e1 * t599 * t627 - 0.3e1 * t612 * t607 + 0.3e1 * t619 + 0.3e1 * t625;
  t631 = t503 * t174;
  t632 = t501 * t631;
  t637 = t118 * t93;
  t638 = t637 * t178;
  t639 = t89 * t638;
  t640 = params->csk_a * t174;
  t641 = t640 * t197;
  t642 = t97 * t641;
  t643 = t639 * t642;
  t645 = t615 * t197;
  t646 = t173 * t645;
  t647 = t646 * t456;
  t649 = t646 * t464;
  t651 = t96 * t174;
  t652 = t501 * t651;
  t655 = t173 * t598;
  t656 = t497 * t235;
  t662 = t182 * t245;
  t663 = t205 * t662;
  t670 = t89 * t245 * t91 * t199;
  t674 = t89 * t118 * t193 * t199;
  t675 = t96 * t193;
  t676 = t188 * t675;
  t678 = -t599 * t513 * t600 + 0.2e1 * t234 * t663 + t450 * t236 + t239 * t676 + 0.2e1 * t588 * t252 - t573 * t632 + 0.3e1 * t592 * t632 - t612 * t632 - 0.2e1 * t612 * t652 - 0.3e1 * t655 * t656 - t250 + 0.3e1 * t643 - 0.3e1 * t647 - 0.3e1 * t649 - 0.2e1 * t670 - t674;
  t680 = my_piecewise5(t52, 0, t55, 0, t630 + t678);
  t682 = 0.55e2 / 0.81e2 * t552 - 0.44e3 / 0.729e3 * t555 + 0.8e2 / 0.243e3 * t558 - 0.5e1 / 0.81e2 * t561 + t167 * t121 + 0.2e1 * t87 * t260 + t47 * t680;
  t687 = my_piecewise3(t3, 0, -t8 * t150 * t123 / 0.3e2 + t8 * t73 * t262 / 0.5e1 + 0.3e1 / 0.2e2 * t8 * t24 * t682);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t687 + 0.4e1 * t267;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t706 = my_piecewise3(t55, 0, 0.1e3 / 0.243e3 * t224);
  t707 = my_piecewise3(t57, t706, 0);
  t710 = t136 * t422;
  t711 = t173 * t710;
  t714 = t286 * t176;
  t715 = t173 * t714;
  t718 = t89 * t710;
  t721 = t278 * t197;
  t722 = t205 * t721;
  t723 = t622 * t722;
  t725 = t136 * t174;
  t727 = t89 * t725 * t618;
  t731 = t419 * t710;
  t733 = t278 * params->csk_a;
  t734 = t497 * t733;
  t737 = t725 * t197;
  t738 = t173 * t737;
  t739 = t738 * t464;
  t748 = -t89 * t707 * t98 - 0.2e1 * t715 * t241 - t293 * t446 - t293 * t581 - 0.3e1 * t731 * t577 - 0.2e1 * t731 * t584 + 0.3e1 * t599 * t734 + 0.3e1 * t711 * t607 - 0.3e1 * t718 * t607 + 0.3e1 * t711 * t632 - t718 * t632 - t731 * t632 - t291 + 0.3e1 * t723 + 0.3e1 * t727 - 0.3e1 * t739;
  t749 = t428 * t136;
  t750 = t749 * params->csk_a;
  t751 = t513 * t750;
  t754 = t89 * t714;
  t763 = t136 * t93 * t178;
  t764 = t89 * t763;
  t765 = t764 * t642;
  t767 = t738 * t456;
  t771 = t497 * t278;
  t777 = t182 * t286;
  t778 = t205 * t777;
  t781 = t513 * t749;
  t783 = t286 * t91;
  t785 = t89 * t783 * t199;
  t789 = t89 * t136 * t193 * t199;
  t791 = 0.2e1 * t234 * t778 + 0.2e1 * t754 * t241 + 0.2e1 * t754 * t252 - 0.2e1 * t715 * t257 + t450 * t279 + t282 * t446 + t282 * t676 + 0.3e1 * t711 * t577 + 0.3e1 * t599 * t751 - t599 * t781 - 0.2e1 * t718 * t652 - 0.3e1 * t655 * t771 + 0.3e1 * t765 - 0.3e1 * t767 - 0.2e1 * t785 - t789;
  t793 = my_piecewise5(t52, 0, t55, 0, t748 + t791);
  t795 = 0.1e3 / 0.243e3 * t227 - 0.25e2 / 0.81e2 * t230 + 0.5e1 / 0.54e2 * t30 * t129 * t210 + t167 * t139 + 0.2e1 * t87 * t297 + t47 * t793;
  t800 = my_piecewise3(t3, 0, -t8 * t150 * t141 / 0.3e2 + t8 * t73 * t299 / 0.5e1 + 0.3e1 / 0.2e2 * t8 * t24 * t795);
  tv3rho2lapl0 = 0.2e1 * rho[0] * t800 + 0.4e1 * t304;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  tv3rho2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t807 = t30 * t223 * t121;
  t810 = t30 * t110 * t260;
  t813 = t310 * t197;
  t815 = t173 * t813 * t178;
  t816 = params->csk_a * t91;
  t817 = t816 * t463;
  t818 = t815 * t817;
  t820 = t310 * t93;
  t822 = t89 * t820 * t178;
  t823 = t816 * t197;
  t824 = t97 * t823;
  t825 = t822 * t824;
  t827 = t816 * t93;
  t828 = t183 * t827;
  t829 = t815 * t828;
  t831 = t310 * t422;
  t832 = t173 * t831;
  t834 = t91 * t62 * t96;
  t835 = t574 * t834;
  t838 = t419 * t831;
  t840 = t317 * t176;
  t841 = t89 * t840;
  t842 = t841 * t241;
  t843 = t173 * t840;
  t844 = t843 * t241;
  t845 = t475 * t834;
  t848 = t89 * t831;
  t851 = t528 * t91;
  t852 = t513 * t851;
  t855 = t518 * t91;
  t856 = t497 * t855;
  t859 = t843 * t257;
  t860 = t89 * t813;
  t862 = t188 * t251 * t93;
  t863 = t860 * t862;
  t865 = t97 * t245;
  t866 = t461 * t865;
  t869 = -0.2e1 * t254 * t866 + 0.3e1 * t832 * t835 + 0.3e1 * t832 * t845 + 0.3e1 * t832 * t856 - t838 * t835 - 0.2e1 * t838 * t852 - 0.3e1 * t848 * t845 - t319 - t321 - 0.3e1 * t818 + 0.3e1 * t825 - 0.3e1 * t829 + t842 - t844 - t859 + 0.3e1 * t863;
  t872 = t206 * t245;
  t873 = t205 * t872;
  t876 = t173 * t820;
  t877 = t182 * t91;
  t878 = t877 * t197;
  t879 = t205 * t878;
  t880 = t876 * t879;
  t882 = t514 * t91;
  t883 = t513 * t882;
  t888 = t497 * t256;
  t892 = t841 * t252;
  t893 = t501 * t251;
  t896 = t497 * t877;
  t901 = t91 * t422;
  t902 = t419 * t901;
  t903 = t428 * t310;
  t904 = t513 * t903;
  t906 = t182 * t317;
  t907 = t205 * t906;
  t908 = t234 * t907;
  t909 = t317 * t91;
  t911 = t89 * t909 * t199;
  t912 = t118 * t197;
  t913 = t89 * t912;
  t914 = t94 * t62;
  t915 = t96 * t245;
  t917 = t913 * t914 * t915;
  t918 = 0.2e1 * t917;
  t919 = t188 * t915;
  t922 = 0.2e1 * t239 * t866 + 0.2e1 * t239 * t919 + 0.2e1 * t254 * t663 - 0.2e1 * t254 * t873 - 0.3e1 * t832 * t896 - t848 * t835 - 0.3e1 * t838 * t856 + 0.3e1 * t838 * t883 + 0.3e1 * t838 * t888 - 0.2e1 * t848 * t893 - t902 * t904 + 0.3e1 * t880 + t892 + t908 - t911 - t918;
  t924 = my_piecewise5(t52, 0, t55, 0, t869 + t922);
  t926 = 0.8e2 / 0.243e3 * t807 - 0.1e2 / 0.81e2 * t810 + t87 * t327 + t47 * t924;
  t931 = my_piecewise3(t3, 0, t8 * t73 * t329 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t926);
  tv3rhosigma20 = 0.2e1 * rho[0] * t931 + 0.2e1 * t333;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t942 = t30 * t223 * t139;
  t945 = t30 * t110 * t297;
  t948 = t345 * t197;
  t949 = t173 * t948;
  t951 = t461 * t91 * t463;
  t952 = t949 * t951;
  t954 = t97 * params->csk_a;
  t955 = t248 * t197;
  t956 = t954 * t955;
  t957 = t764 * t956;
  t959 = t205 * t182;
  t960 = t959 * t827;
  t961 = t949 * t960;
  t963 = t710 * t424;
  t964 = t89 * t963;
  t965 = params->csk_a * t118;
  t966 = t965 * t91;
  t967 = t97 * t966;
  t970 = t419 * t963;
  t971 = t502 * t118;
  t972 = t183 * t91;
  t973 = t971 * t972;
  t977 = t429 * t971 * t91;
  t980 = t173 * t638;
  t981 = t289 * t197;
  t982 = t183 * t981;
  t983 = t980 * t982;
  t985 = t572 * t424;
  t986 = t419 * t985;
  t987 = t136 * params->csk_a;
  t988 = t987 * t91;
  t989 = t429 * t988;
  t992 = t173 * t963;
  t995 = t89 * t948;
  t996 = t995 * t862;
  t998 = t502 * t91;
  t999 = t97 * t118;
  t1000 = t998 * t999;
  t1004 = t183 * t988;
  t1011 = t497 * t278 * t91;
  t1014 = t348 * t91;
  t1015 = t501 * t1014;
  t1019 = -t964 * t1000 - t970 * t1000 + 0.3e1 * t992 * t1000 + 0.3e1 * t986 * t1004 - 0.3e1 * t592 * t1011 - 0.2e1 * t718 * t1015 - t715 * t343 - 0.3e1 * t964 * t967 + 0.3e1 * t992 * t967 - 0.3e1 * t970 * t973 - 0.2e1 * t970 * t977 + 0.3e1 * t992 * t973 + 0.3e1 * t986 * t989 - t319 - 0.3e1 * t952 + 0.3e1 * t957 - 0.3e1 * t961 + 0.3e1 * t983 + 0.3e1 * t996;
  t1023 = t600 * t136;
  t1024 = t513 * t1023;
  t1030 = t286 * t118;
  t1032 = t89 * t1030 * t199;
  t1033 = t136 * t245;
  t1035 = t89 * t1033 * t199;
  t1038 = -t902 * t1024 + t254 * t778 + t595 * t279 + t282 * t866 + t282 * t919 - t293 * t866 - t293 * t873 + t754 * t343 + t754 * t349 - t715 * t353 - t1032 - t1035 - t347 + t842 - t844 - t859 + t892 + t908 - t911;
  t1040 = my_piecewise5(t52, 0, t55, 0, t1019 + t1038);
  t1042 = -0.25e2 / 0.162e3 * t308 + 0.5e1 / 0.54e2 * t30 * t129 * t260 + 0.4e2 / 0.243e3 * t942 - 0.5e1 / 0.81e2 * t945 + t87 * t356 + t47 * t1040;
  t1047 = my_piecewise3(t3, 0, t8 * t73 * t358 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t1042);
  tv3rhosigmalapl0 = 0.2e1 * rho[0] * t1047 + 0.2e1 * t362;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  tv3rhosigmatau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  t1058 = t367 * t197;
  t1060 = t173 * t1058 * t178;
  t1061 = t1060 * t817;
  t1063 = t367 * t93;
  t1065 = t89 * t1063 * t178;
  t1066 = t1065 * t824;
  t1068 = t1060 * t828;
  t1070 = t367 * t422;
  t1071 = t89 * t1070;
  t1074 = t173 * t1063;
  t1075 = t1074 * t879;
  t1077 = t419 * t1070;
  t1080 = t189 * t286;
  t1081 = t188 * t1080;
  t1084 = t173 * t1070;
  t1087 = t89 * t1058;
  t1088 = t1087 * t862;
  t1094 = t206 * t286;
  t1101 = -0.2e1 * t293 * t205 * t1094 - 0.3e1 * t1071 * t845 - t1077 * t835 - 0.2e1 * t1077 * t852 - 0.3e1 * t1077 * t856 + 0.3e1 * t1077 * t883 + 0.2e1 * t282 * t1081 - 0.2e1 * t293 * t1081 + 0.3e1 * t1084 * t856 - 0.3e1 * t1061 + 0.3e1 * t1066 - 0.3e1 * t1068 + 0.3e1 * t1075 + 0.3e1 * t1088 - t319 - t374;
  t1115 = t428 * t367;
  t1116 = t513 * t1115;
  t1118 = t136 * t197;
  t1119 = t89 * t1118;
  t1120 = t96 * t286;
  t1122 = t1119 * t914 * t1120;
  t1123 = 0.2e1 * t1122;
  t1127 = 0.2e1 * t282 * t188 * t1120 - t1071 * t835 - 0.2e1 * t1071 * t893 + 0.3e1 * t1077 * t888 + 0.3e1 * t1084 * t835 + 0.3e1 * t1084 * t845 - 0.3e1 * t1084 * t896 - t902 * t1116 + 0.2e1 * t293 * t778 - t1123 + t842 - t844 - t859 + t892 + t908 - t911;
  t1129 = my_piecewise5(t52, 0, t55, 0, t1101 + t1127);
  t1131 = -0.25e2 / 0.81e2 * t339 + 0.5e1 / 0.27e2 * t30 * t129 * t297 + t87 * t380 + t47 * t1129;
  t1136 = my_piecewise3(t3, 0, t8 * t73 * t382 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t1131);
  tv3rholapl20 = 0.2e1 * rho[0] * t1136 + 0.2e1 * t386;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  tv3rholapltau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  tv3rhotau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  t1140 = t30 * t110 * t327;
  t1142 = t310 * t118;
  t1151 = t843 * t353;
  t1152 = 0.3e1 * t1151;
  t1153 = t1142 * t197;
  t1154 = t173 * t1153;
  t1155 = t1154 * t456;
  t1156 = 0.3e1 * t1155;
  t1157 = t843 * t343;
  t1158 = 0.3e1 * t1157;
  t1159 = t1154 * t464;
  t1160 = 0.3e1 * t1159;
  t1161 = t1142 * t93;
  t1163 = t89 * t1161 * t470;
  t1164 = 0.3e1 * t1163;
  t1165 = t189 * t317;
  t1166 = t188 * t1165;
  t1167 = t239 * t1166;
  t1168 = 0.3e1 * t1167;
  t1169 = t1142 * t422;
  t1170 = t419 * t1169;
  t1175 = -0.3e1 * t173 * t1142 * t437 - t419 * t1142 * t430 - 0.2e1 * t89 * t1142 * t441 - 0.3e1 * t1170 * t519 - 0.2e1 * t1170 * t529 - t1152 - t1156 - t1158 - t1160 + t1164 + t1168 - t319 - t321;
  t1176 = t173 * t1169;
  t1179 = t317 * t118;
  t1181 = t89 * t1179 * t199;
  t1182 = 0.3e1 * t1181;
  t1183 = t841 * t349;
  t1184 = 0.3e1 * t1183;
  t1185 = t89 * t1153;
  t1186 = t1185 * t493;
  t1187 = 0.3e1 * t1186;
  t1189 = t173 * t1161 * t485;
  t1190 = 0.3e1 * t1189;
  t1193 = t89 * t1169;
  t1202 = t254 * t907;
  t1203 = 0.3e1 * t1202;
  t1206 = 0.3e1 * t1170 * t498 - t1170 * t504 + 0.3e1 * t1170 * t515 + 0.3e1 * t1176 * t476 + 0.3e1 * t1176 * t504 + 0.3e1 * t1176 * t519 - 0.3e1 * t1193 * t476 - t1193 * t504 - t1182 + t1184 + t1187 + t1190 + t1203;
  t1208 = my_piecewise5(t52, 0, t55, 0, t1175 + t1206);
  t1210 = -0.5e1 / 0.27e2 * t1140 + t47 * t1208;
  t1214 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t1210);
  tv3sigma30 = 0.2e1 * rho[0] * t1214;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t1220 = t30 * t110 * t356;
  t1222 = t136 * t310;
  t1223 = t1222 * t197;
  t1224 = t173 * t1223;
  t1225 = t1224 * t464;
  t1226 = 0.3e1 * t1225;
  t1227 = params->csk_a * t310;
  t1228 = t1227 * t197;
  t1229 = t97 * t1228;
  t1230 = t764 * t1229;
  t1231 = 0.3e1 * t1230;
  t1232 = t1224 * t456;
  t1233 = 0.3e1 * t1232;
  t1234 = t282 * t1166;
  t1235 = t518 * t310;
  t1236 = t497 * t1235;
  t1239 = t293 * t1166;
  t1242 = t475 * t310 * t62 * t96;
  t1247 = t89 * t1222;
  t1248 = t1247 * t618;
  t1249 = 0.3e1 * t1248;
  t1250 = t876 * t722;
  t1251 = 0.3e1 * t1250;
  t1254 = t503 * t310;
  t1255 = t501 * t1254;
  t1260 = 0.2e1 * t1151;
  t1261 = 0.3e1 * t711 * t1236 + 0.3e1 * t711 * t1242 - 0.3e1 * t718 * t1242 + 0.3e1 * t711 * t1255 - t718 * t1255 - t731 * t1255 + 0.3e1 * t838 * t734 - t1226 + t1231 - t1233 + t1234 - t1239 + t1249 + t1251 - t1260 - t319;
  t1262 = 0.2e1 * t1157;
  t1265 = t206 * t317;
  t1266 = t205 * t1265;
  t1267 = t293 * t1266;
  t1268 = t528 * t310;
  t1269 = t513 * t1268;
  t1274 = 0.2e1 * t1167;
  t1275 = 0.2e1 * t1181;
  t1276 = 0.2e1 * t1183;
  t1277 = 0.2e1 * t1202;
  t1278 = t96 * t317;
  t1279 = t188 * t1278;
  t1280 = t282 * t1279;
  t1281 = t843 * t279;
  t1283 = t136 * t317;
  t1285 = t89 * t1283 * t199;
  t1286 = t96 * t310;
  t1287 = t501 * t1286;
  t1292 = -0.3e1 * t731 * t1236 - 0.2e1 * t731 * t1269 - 0.2e1 * t718 * t1287 + 0.3e1 * t838 * t751 - 0.3e1 * t832 * t771 - t838 * t781 - t1262 - t1267 + t1274 - t1275 + t1276 + t1277 + t1280 + t1281 - t1285 - t347;
  t1294 = my_piecewise5(t52, 0, t55, 0, t1261 + t1292);
  t1296 = 0.5e1 / 0.54e2 * t30 * t129 * t327 - 0.1e2 / 0.81e2 * t1220 + t47 * t1294;
  t1300 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t1296);
  tv3sigma2lapl0 = 0.2e1 * rho[0] * t1300;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  tv3sigma2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  t1306 = t30 * t110 * t380;
  t1308 = t965 * t93;
  t1310 = t1060 * t183 * t1308;
  t1311 = 0.3e1 * t1310;
  t1313 = t1060 * t965 * t463;
  t1314 = 0.3e1 * t1313;
  t1315 = t965 * t197;
  t1316 = t97 * t1315;
  t1317 = t1065 * t1316;
  t1318 = 0.3e1 * t1317;
  t1319 = t183 * t118;
  t1320 = t574 * t1319;
  t1323 = t528 * t118;
  t1327 = t1074 * t624;
  t1328 = 0.3e1 * t1327;
  t1335 = t1087 * t188 * t348 * t93;
  t1336 = 0.3e1 * t1335;
  t1340 = t501 * t503 * t118;
  t1345 = t475 * t999;
  t1348 = -0.2e1 * t1077 * t513 * t1323 - t1071 * t1340 - 0.3e1 * t1077 * t1320 - t1077 * t1340 + 0.3e1 * t1077 * t602 + 0.3e1 * t1077 * t627 + 0.3e1 * t1084 * t1320 + 0.3e1 * t1084 * t1340 + 0.3e1 * t1084 * t1345 - t1311 - t1314 + t1318 + t1328 + t1336 - t319 - t374;
  t1351 = 0.2e1 * t1234;
  t1352 = 0.2e1 * t1239;
  t1353 = 0.2e1 * t1267;
  t1354 = 0.2e1 * t1280;
  t1355 = 0.2e1 * t1281;
  t1356 = 0.2e1 * t1285;
  t1363 = -0.2e1 * t1071 * t501 * t348 - 0.3e1 * t1071 * t1345 - 0.3e1 * t1084 * t656 - t573 * t1116 - t1151 - t1157 + t1167 - t1181 + t1183 + t1202 + t1351 - t1352 - t1353 + t1354 + t1355 - t1356;
  t1365 = my_piecewise5(t52, 0, t55, 0, t1348 + t1363);
  t1367 = 0.5e1 / 0.27e2 * t30 * t129 * t356 - 0.5e1 / 0.81e2 * t1306 + t47 * t1365;
  t1371 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t1367);
  tv3sigmalapl20 = 0.2e1 * rho[0] * t1371;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  tv3sigmalapltau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  tv3sigmatau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  t1376 = t367 * t136;
  t1385 = t1376 * t197;
  t1386 = t173 * t1385;
  t1387 = t1386 * t456;
  t1388 = 0.3e1 * t1387;
  t1389 = t1386 * t464;
  t1390 = 0.3e1 * t1389;
  t1391 = t1376 * t93;
  t1393 = t89 * t1391 * t470;
  t1394 = 0.3e1 * t1393;
  t1395 = 0.3e1 * t1234;
  t1396 = 0.3e1 * t1239;
  t1397 = 0.3e1 * t1267;
  t1398 = 0.3e1 * t1280;
  t1399 = 0.3e1 * t1281;
  t1400 = -0.3e1 * t173 * t1376 * t437 - t419 * t1376 * t430 - 0.2e1 * t89 * t1376 * t441 - t1388 - t1390 + t1394 + t1395 - t1396 - t1397 + t1398 + t1399 - t319 - t374;
  t1401 = 0.3e1 * t1285;
  t1402 = t1376 * t422;
  t1403 = t89 * t1402;
  t1406 = t419 * t1402;
  t1413 = t173 * t1402;
  t1416 = t89 * t1385;
  t1417 = t1416 * t493;
  t1418 = 0.3e1 * t1417;
  t1420 = t173 * t1391 * t485;
  t1421 = 0.3e1 * t1420;
  t1430 = -0.3e1 * t1403 * t476 - t1403 * t504 + 0.3e1 * t1406 * t498 - t1406 * t504 + 0.3e1 * t1406 * t515 - 0.3e1 * t1406 * t519 - 0.2e1 * t1406 * t529 + 0.3e1 * t1413 * t476 + 0.3e1 * t1413 * t504 + 0.3e1 * t1413 * t519 - t1401 + t1418 + t1421;
  t1432 = my_piecewise5(t52, 0, t55, 0, t1400 + t1430);
  t1434 = 0.5e1 / 0.18e2 * t30 * t129 * t380 + t47 * t1432;
  t1438 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t1434);
  tv3lapl30 = 0.2e1 * rho[0] * t1438;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  tv3lapl2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  tv3lapltau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  tv3tau30 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t6, t8, t9, t10, t12;
  double t13, t15, t16, t18, t19, t21, t22, t23;
  double t24, t25, t26, t27, t28, t30, t31, t32;
  double t33, t34, t36, t38, t40, t42, t47, t49;
  double t50, t51, t52, t53, t54, t55, t56, t57;
  double t58, t59, t60, t61, t62, t63, t64, t65;
  double t67, t71, tzk0;

  double t73, t77, t79, t81, t87, t89, t90, t91;
  double t93, t94, t96, t97, t98, t100, t102, t107;
  double tvrho0, t110, t111, t114, t117, t118, t121, t123;
  double t127, tvsigma0, t129, t135, t136, t139, t141, t145;
  double tvlapl0, tvtau0;

  double t150, t157, t159, t161, t167, t171, t173, t174;
  double t176, t177, t178, t179, t180, t181, t182, t183;
  double t184, t186, t188, t189, t190, t192, t193, t196;
  double t197, t199, t200, t201, t203, t205, t206, t207;
  double t210, t212, t217, tv2rho20, t223, t224, t227, t230;
  double t233, t234, t235, t236, t238, t239, t240, t241;
  double t244, t245, t248, t250, t251, t252, t254, t256;
  double t257, t260, t262, t267, tv2rhosigma0, t278, t279, t281;
  double t282, t285, t286, t289, t291, t293, t297, t299;
  double t304, tv2rholapl0, tv2rhotau0, t308, t310, t313, t316, t317;
  double t319, t320, t321, t323, t327, t329, t333, tv2sigma20;
  double t339, t343, t345, t346, t347, t348, t349, t352;
  double t353, t356, t358, t362, tv2sigmalapl0, tv2sigmatau0, t367, t370;
  double t373, t374, t376, t380, t382, t386, tv2lapl20, tv2lapltau0;
  double tv2tau20;

  double t391, t403, t405, t411, t419, t420, t422, t424;
  double t425, t426, t428, t429, t430, t432, t433, t437;
  double t441, t445, t446, t449, t450, t453, t454, t456;
  double t457, t461, t463, t464, t465, t467, t469, t470;
  double t471, t473, t474, t475, t476, t479, t482, t484;
  double t485, t486, t492, t493, t494, t496, t497, t498;
  double t501, t502, t503, t504, t509, t513, t514, t515;
  double t518, t519, t524, t528, t529, t532, t534, t536;
  double t541, tv3rho30, t551, t552, t555, t558, t561, t567;
  double t568, t572, t573, t574, t576, t577, t580, t581;
  double t583, t584, t587, t588, t592, t595, t598, t599;
  double t600, t601, t602, t606, t607, t612, t615, t618;
  double t619, t621, t622, t623, t624, t625, t627, t630;
  double t631, t632, t637, t638, t639, t640, t641, t642;
  double t643, t645, t646, t647, t649, t651, t652, t655;
  double t656, t662, t663, t670, t674, t675, t676, t678;
  double t680, t682, t687, tv3rho2sigma0, t706, t707, t710, t711;
  double t714, t715, t718, t721, t722, t723, t725, t727;
  double t731, t733, t734, t737, t738, t739, t748, t749;
  double t750, t751, t754, t763, t764, t765, t767, t771;
  double t777, t778, t781, t783, t785, t789, t791, t793;
  double t795, t800, tv3rho2lapl0, tv3rho2tau0, t807, t810, t813, t815;
  double t816, t817, t818, t820, t822, t823, t824, t825;
  double t827, t828, t829, t831, t832, t834, t835, t838;
  double t840, t841, t842, t843, t844, t845, t848, t851;
  double t852, t855, t856, t859, t860, t862, t863, t865;
  double t866, t869, t872, t873, t876, t877, t878, t879;
  double t880, t882, t883, t888, t892, t893, t896, t901;
  double t902, t903, t904, t906, t907, t908, t909, t911;
  double t912, t913, t914, t915, t917, t918, t919, t922;
  double t924, t926, t931, tv3rhosigma20, t942, t945, t948, t949;
  double t951, t952, t954, t955, t956, t957, t959, t960;
  double t961, t963, t964, t965, t966, t967, t970, t971;
  double t972, t973, t977, t980, t981, t982, t983, t985;
  double t986, t987, t988, t989, t992, t995, t996, t998;
  double t999, t1000, t1004, t1011, t1014, t1015, t1019, t1023;
  double t1024, t1030, t1032, t1033, t1035, t1038, t1040, t1042;
  double t1047, tv3rhosigmalapl0, tv3rhosigmatau0, t1058, t1060, t1061, t1063, t1065;
  double t1066, t1068, t1070, t1071, t1074, t1075, t1077, t1080;
  double t1081, t1084, t1087, t1088, t1094, t1101, t1115, t1116;
  double t1118, t1119, t1120, t1122, t1123, t1127, t1129, t1131;
  double t1136, tv3rholapl20, tv3rholapltau0, tv3rhotau20, t1140, t1142, t1151, t1152;
  double t1153, t1154, t1155, t1156, t1157, t1158, t1159, t1160;
  double t1161, t1163, t1164, t1165, t1166, t1167, t1168, t1169;
  double t1170, t1175, t1176, t1179, t1181, t1182, t1183, t1184;
  double t1185, t1186, t1187, t1189, t1190, t1193, t1202, t1203;
  double t1206, t1208, t1210, t1214, tv3sigma30, t1220, t1222, t1223;
  double t1224, t1225, t1226, t1227, t1228, t1229, t1230, t1231;
  double t1232, t1233, t1234, t1235, t1236, t1239, t1242, t1247;
  double t1248, t1249, t1250, t1251, t1254, t1255, t1260, t1261;
  double t1262, t1265, t1266, t1267, t1268, t1269, t1274, t1275;
  double t1276, t1277, t1278, t1279, t1280, t1281, t1283, t1285;
  double t1286, t1287, t1292, t1294, t1296, t1300, tv3sigma2lapl0, tv3sigma2tau0;
  double t1306, t1308, t1310, t1311, t1313, t1314, t1315, t1316;
  double t1317, t1318, t1319, t1320, t1323, t1327, t1328, t1335;
  double t1336, t1340, t1345, t1348, t1351, t1352, t1353, t1354;
  double t1355, t1356, t1363, t1365, t1367, t1371, tv3sigmalapl20, tv3sigmalapltau0;
  double tv3sigmatau20, t1376, t1385, t1386, t1387, t1388, t1389, t1390;
  double t1391, t1393, t1394, t1395, t1396, t1397, t1398, t1399;
  double t1400, t1401, t1402, t1403, t1406, t1413, t1416, t1417;
  double t1418, t1420, t1421, t1430, t1432, t1434, t1438, tv3lapl30;
  double tv3lapl2tau0, tv3lapltau20, tv3tau30;

  double t1460, t1466, t1474, t1475, t1483, t1485, t1486, t1488;
  double t1489, t1490, t1491, t1492, t1493, t1494, t1495, t1496;
  double t1498, t1499, t1502, t1503, t1506, t1507, t1508, t1511;
  double t1512, t1515, t1519, t1526, t1528, t1531, t1536, t1538;
  double t1541, t1542, t1545, t1546, t1549, t1550, t1552, t1553;
  double t1556, t1557, t1558, t1561, t1563, t1565, t1570, t1573;
  double t1576, t1580, t1583, t1585, t1590, t1592, t1595, t1600;
  double t1603, t1604, t1606, t1610, t1614, t1618, t1619, t1622;
  double t1627, t1634, t1638, t1641, t1647, t1648, t1649, t1650;
  double t1651, t1654, t1655, t1656, t1657, t1658, t1663, t1664;
  double t1667, t1670, t1671, t1672, t1673, t1681, t1684, t1687;
  double t1694, t1695, t1698, t1699, t1704, t1705, t1711, t1714;
  double t1716, t1724, t1725, t1736, t1737, t1743, t1750, t1751;
  double t1752, t1753, t1762, t1763, t1768, t1777, t1781, t1788;
  double tv4rho40, t1801, t1802, t1822, t1823, t1831, t1833, t1834;
  double t1840, t1841, t1842, t1845, t1847, t1848, t1851, t1852;
  double t1856, t1859, t1864, t1865, t1867, t1868, t1874, t1878;
  double t1879, t1881, t1882, t1885, t1888, t1893, t1896, t1899;
  double t1902, t1906, t1907, t1911, t1914, t1915, t1920, t1926;
  double t1928, t1929, t1936, t1943, t1946, t1947, t1949, t1952;
  double t1953, t1956, t1959, t1961, t1964, t1967, t1968, t1969;
  double t1973, t1975, t1980, t1984, t1987, t1989, t1992, t1993;
  double t1996, t1997, t2003, t2006, t2012, t2015, t2016, t2021;
  double t2024, t2027, t2035, t2040, t2044, t2047, t2049, t2052;
  double t2057, t2062, t2067, t2070, t2071, t2075, t2080, t2082;
  double t2094, t2096, t2098, t2107, t2111, t2118, t2121, t2126;
  double t2146, t2148, t2159, t2162, t2170, t2174, t2178, t2183;
  double t2184, t2187, t2191, t2198, tv4rho3sigma0, t2223, t2224, t2232;
  double t2235, t2237, t2242, t2244, t2247, t2248, t2251, t2252;
  double t2253, t2257, t2262, t2263, t2272, t2277, t2278, t2285;
  double t2286, t2293, t2298, t2307, t2310, t2315, t2316, t2319;
  double t2322, t2325, t2330, t2333, t2339, t2344, t2345, t2348;
  double t2357, t2359, t2364, t2367, t2372, t2373, t2376, t2393;
  double t2395, t2400, t2402, t2406, t2412, t2415, t2418, t2422;
  double t2432, t2436, t2440, t2454, t2456, t2478, t2481, t2482;
  double t2490, t2493, t2500, t2509, t2518, t2522, t2529, tv4rho3lapl0;
  double tv4rho3tau0, t2551, t2552, t2560, t2561, t2562, t2570, t2571;
  double t2574, t2575, t2576, t2577, t2578, t2581, t2582, t2583;
  double t2585, t2588, t2590, t2593, t2596, t2599, t2600, t2601;
  double t2602, t2605, t2606, t2607, t2610, t2613, t2616, t2619;
  double t2631, t2643, t2644, t2645, t2657, t2660, t2664, t2668;
  double t2669, t2672, t2673, t2675, t2678, t2679, t2680, t2681;
  double t2684, t2685, t2689, t2692, t2693, t2695, t2696, t2698;
  double t2699, t2702, t2705, t2709, t2712, t2719, t2721, t2727;
  double t2729, t2731, t2732, t2733, t2735, t2738, t2740, t2743;
  double t2744, t2759, t2761, t2764, t2769, t2770, t2772, t2774;
  double t2776, t2779, t2780, t2781, t2784, t2785, t2787, t2789;
  double t2794, t2795, t2796, t2800, t2803, t2809, t2812, t2814;
  double t2833, t2843, t2853, t2857, t2860, t2867, t2871, t2873;
  double t2874, t2875, t2876, t2879, t2880, t2881, t2883, t2887;
  double t2895, t2897, t2900, t2904, t2905, t2909, t2912, t2914;
  double t2915, t2918, t2923, t2932, t2933, t2934, t2937, t2938;
  double t2939, t2943, t2950, tv4rho2sigma20, t2977, t2978, t2981, t2982;
  double t2987, t2991, t2998, t3002, t3013, t3030, t3032, t3033;
  double t3034, t3035, t3038, t3041, t3042, t3045, t3049, t3055;
  double t3057, t3064, t3066, t3067, t3073, t3077, t3080, t3091;
  double t3101, t3110, t3111, t3117, t3120, t3121, t3122, t3132;
  double t3142, t3147, t3150, t3153, t3172, t3173, t3181, t3182;
  double t3188, t3192, t3193, t3205, t3209, t3224, t3237, t3246;
  double t3247, t3255, t3259, t3288, t3292, t3297, t3301, t3322;
  double t3326, t3333, tv4rho2sigmalapl0, tv4rho2sigmatau0, t3351, t3355, t3360, t3361;
  double t3364, t3367, t3372, t3373, t3378, t3379, t3382, t3389;
  double t3392, t3400, t3401, t3402, t3406, t3423, t3432, t3434;
  double t3435, t3438, t3445, t3447, t3453, t3459, t3460, t3463;
  double t3476, t3479, t3487, t3496, t3498, t3506, t3513, t3522;
  double t3531, t3535, t3566, t3567, t3577, t3585, t3586, t3602;
  double t3604, t3613, t3616, t3617, t3625, t3629, t3636, tv4rho2lapl20;
  double tv4rho2lapltau0, tv4rho2tau20, t3649, t3651, t3653, t3656, t3657, t3660;
  double t3661, t3663, t3665, t3666, t3668, t3670, t3671, t3672;
  double t3673, t3675, t3677, t3678, t3679, t3680, t3683, t3684;
  double t3685, t3688, t3690, t3692, t3693, t3695, t3696, t3698;
  double t3703, t3707, t3714, t3716, t3718, t3722, t3724, t3726;
  double t3727, t3730, t3731, t3732, t3738, t3741, t3742, t3743;
  double t3746, t3748, t3752, t3755, t3756, t3757, t3759, t3763;
  double t3767, t3770, t3776, t3781, t3782, t3785, t3788, t3789;
  double t3793, t3799, t3812, t3816, t3818, t3819, t3822, t3827;
  double t3834, t3837, t3842, t3845, t3852, t3856, t3861, t3864;
  double t3866, t3879, t3881, t3883, t3886, t3897, t3899, t3900;
  double t3902, t3904, t3906, t3908, t3909, t3913, t3921, t3933;
  double t3935, t3937, t3940, t3944, t3948, t3955, tv4rhosigma30, t3972;
  double t3973, t3975, t3976, t3978, t3979, t3982, t3983, t3984;
  double t3994, t3996, t3997, t4002, t4004, t4007, t4009, t4013;
  double t4017, t4023, t4033, t4035, t4037, t4039, t4042, t4045;
  double t4048, t4053, t4054, t4058, t4063, t4064, t4071, t4075;
  double t4077, t4090, t4118, t4119, t4123, t4130, t4136, t4160;
  double t4171, t4172, t4180, t4184, t4185, t4188, t4189, t4226;
  double t4227, t4234, t4235, t4236, t4238, t4240, t4245, t4248;
  double t4253, t4267, t4268, t4270, t4286, t4295, t4303, t4304;
  double t4308, t4311, t4316, t4323, tv4rhosigma2lapl0, tv4rhosigma2tau0, t4340, t4342;
  double t4343, t4346, t4347, t4349, t4350, t4353, t4354, t4357;
  double t4360, t4365, t4370, t4375, t4390, t4395, t4397, t4408;
  double t4426, t4431, t4432, t4439, t4443, t4450, t4453, t4461;
  double t4489, t4520, t4564, t4566, t4575, t4580, t4606, t4616;
  double t4622, t4627, t4634, tv4rhosigmalapl20, tv4rhosigmalapltau0, tv4rhosigmatau20, t4645, t4646;
  double t4647, t4650, t4653, t4665, t4680, t4697, t4698, t4701;
  double t4703, t4706, t4712, t4729, t4734, t4737, t4744, t4746;
  double t4753, t4754, t4761, t4764, t4766, t4769, t4770, t4783;
  double t4786, t4797, t4815, t4821, t4835, t4838, t4843, t4848;
  double t4855, t4856, t4860, t4864, t4871, tv4rholapl30, tv4rholapl2tau0, tv4rholapltau20;
  double tv4rhotau30, t4877, t4880, t4881, t4883, t4885, t4886, t4887;
  double t4890, t4903, t4904, t4905, t4906, t4909, t4911, t4914;
  double t4915, t4917, t4919, t4920, t4923, t4925, t4928, t4929;
  double t4931, t4933, t4935, t4938, t4939, t4941, t4942, t4944;
  double t4946, t4947, t4953, t4960, t4969, t4975, t4977, t4978;
  double t4980, t4983, t4984, t4985, t4988, t4990, t4995, t4998;
  double t5010, t5021, t5024, t5038, t5040, t5044, t5065, t5078;
  double t5082, t5088, tv4sigma40, t5097, t5101, t5102, t5103, t5104;
  double t5105, t5106, t5107, t5108, t5109, t5110, t5111, t5112;
  double t5113, t5114, t5115, t5116, t5117, t5118, t5119, t5120;
  double t5121, t5124, t5131, t5144, t5145, t5147, t5148, t5150;
  double t5151, t5152, t5153, t5154, t5155, t5159, t5167, t5171;
  double t5177, t5178, t5186, t5193, t5194, t5197, t5210, t5211;
  double t5215, t5229, t5248, t5249, t5250, t5251, t5258, t5268;
  double t5269, t5270, t5271, t5272, t5274, t5275, t5279, t5297;
  double t5300, t5304, t5310, tv4sigma3lapl0, tv4sigma3tau0, t5319, t5327, t5332;
  double t5342, t5346, t5351, t5355, t5370, t5375, t5381, t5388;
  double t5398, t5407, t5410, t5417, t5440, t5442, t5444, t5445;
  double t5447, t5450, t5451, t5453, t5457, t5461, t5469, t5479;
  double t5481, t5484, t5500, t5507, t5509, t5512, t5526, t5530;
  double t5534, t5540, tv4sigma2lapl20, tv4sigma2lapltau0, tv4sigma2tau20, t5548, t5561, t5562;
  double t5572, t5578, t5580, t5583, t5587, t5595, t5608, t5609;
  double t5628, t5642, t5666, t5675, t5688, t5690, t5694, t5700;
  double tv4sigmalapl30, tv4sigmalapl2tau0, tv4sigmalapltau20, tv4sigmatau30, t5705, t5708, t5711, t5725;
  double t5729, t5730, t5733, t5740, t5745, t5766, t5767, t5770;
  double t5773, t5778, t5779, t5785, t5796, t5831, t5856, t5860;
  double t5866, tv4lapl40, tv4lapl3tau0, tv4lapl2tau20, tv4lapltau30, tv4tau40;

  mgga_k_csk_params *params;

  assert(p->params != NULL);
  params = (mgga_k_csk_params * )(p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = M_CBRT3;
  t5 = t4 * t4;
  t6 = M_CBRTPI;
  t8 = t5 * t6 * M_PI;
  t9 = 0.1e1 <= p->zeta_threshold;
  t10 = p->zeta_threshold - 0.1e1;
  t12 = my_piecewise5(t9, t10, t9, -t10, 0);
  t13 = 0.1e1 + t12;
  t15 = POW_1_3(p->zeta_threshold);
  t16 = t15 * t15;
  t18 = POW_1_3(t13);
  t19 = t18 * t18;
  t21 = my_piecewise3(t13 <= p->zeta_threshold, t16 * p->zeta_threshold, t19 * t13);
  t22 = POW_1_3(rho[0]);
  t23 = t22 * t22;
  t24 = t21 * t23;
  t25 = M_CBRT6;
  t26 = M_PI * M_PI;
  t27 = POW_1_3(t26);
  t28 = t27 * t27;
  t30 = t25 / t28;
  t31 = M_CBRT2;
  t32 = t31 * t31;
  t33 = sigma[0] * t32;
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t23 / t34;
  t38 = t30 * t33 * t36;
  t40 = lapl[0] * t32;
  t42 = 0.1e1 / t23 / rho[0];
  t47 = 0.5e1 / 0.54e2 * t30 * t40 * t42 - 0.5e1 / 0.81e2 * t38;
  t49 = log(0.1e1 - DBL_EPSILON);
  t50 = 0.1e1 / params->csk_a;
  t51 = pow(-t49, -t50);
  t52 = t47 < -t51;
  t53 = log(DBL_EPSILON);
  t54 = pow(-t53, -t50);
  t55 = -t54 < t47;
  t56 = my_piecewise3(t55, -t54, t47);
  t57 = -t51 < t56;
  t58 = my_piecewise3(t57, t56, -t51);
  t59 = fabs(t58);
  t60 = pow(t59, params->csk_a);
  t61 = 0.1e1 / t60;
  t62 = exp(-t61);
  t63 = 0.1e1 - t62;
  t64 = pow(t63, t50);
  t65 = my_piecewise5(t52, 0, t55, 1, t64);
  t67 = 0.1e1 + 0.5e1 / 0.72e2 * t38 + t47 * t65;
  t71 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t67);
  tzk0 = 0.2e1 * t71;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t73 = t21 / t22;
  t77 = t34 * rho[0];
  t79 = 0.1e1 / t23 / t77;
  t81 = t30 * t33 * t79;
  t87 = -0.25e2 / 0.162e3 * t30 * t40 * t36 + 0.4e2 / 0.243e3 * t81;
  t89 = t64 * t61;
  t90 = my_piecewise3(t55, 0, t87);
  t91 = my_piecewise3(t57, t90, 0);
  t93 = fabs(t58) / t58;
  t94 = 0.1e1 / t59;
  t96 = 0.1e1 / t63;
  t97 = t62 * t96;
  t98 = t93 * t94 * t97;
  t100 = my_piecewise5(t52, 0, t55, 0, -t89 * t91 * t98);
  t102 = -0.5e1 / 0.27e2 * t81 + t87 * t65 + t47 * t100;
  t107 = my_piecewise3(t3, 0, t8 * t73 * t67 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t102);
  tvrho0 = 0.2e1 * rho[0] * t107 + 0.2e1 * t71;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t110 = t32 * t36;
  t111 = t30 * t110;
  t114 = t30 * t110 * t65;
  t117 = my_piecewise3(t55, 0, -0.5e1 / 0.81e2 * t111);
  t118 = my_piecewise3(t57, t117, 0);
  t121 = my_piecewise5(t52, 0, t55, 0, -t89 * t118 * t98);
  t123 = 0.5e1 / 0.72e2 * t111 - 0.5e1 / 0.81e2 * t114 + t47 * t121;
  t127 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t123);
  tvsigma0 = 0.2e1 * rho[0] * t127;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t129 = t32 * t42;
  t135 = my_piecewise3(t55, 0, 0.5e1 / 0.54e2 * t30 * t129);
  t136 = my_piecewise3(t57, t135, 0);
  t139 = my_piecewise5(t52, 0, t55, 0, -t89 * t136 * t98);
  t141 = 0.5e1 / 0.54e2 * t30 * t129 * t65 + t47 * t139;
  t145 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t141);
  tvlapl0 = 0.2e1 * rho[0] * t145;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  tvtau0 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t150 = t21 / t22 / rho[0];
  t157 = t34 * t34;
  t159 = 0.1e1 / t23 / t157;
  t161 = t30 * t33 * t159;
  t167 = 0.1e3 / 0.243e3 * t30 * t40 * t79 - 0.44e3 / 0.729e3 * t161;
  t171 = t60 * t60;
  t173 = t64 / t171;
  t174 = t91 * t91;
  t176 = t93 * t93;
  t177 = t59 * t59;
  t178 = 0.1e1 / t177;
  t179 = t176 * t178;
  t180 = t62 * t62;
  t181 = t63 * t63;
  t182 = 0.1e1 / t181;
  t183 = t180 * t182;
  t184 = t179 * t183;
  t186 = t174 * t176;
  t188 = t178 * t62;
  t189 = t96 * params->csk_a;
  t190 = t188 * t189;
  t192 = my_piecewise3(t55, 0, t167);
  t193 = my_piecewise3(t57, t192, 0);
  t196 = t89 * t174;
  t197 = 0.0;
  t199 = t197 * t94 * t97;
  t200 = t196 * t199;
  t201 = t179 * t97;
  t203 = t173 * t186;
  t205 = t178 * t180;
  t206 = t182 * params->csk_a;
  t207 = t205 * t206;
  t210 = my_piecewise5(t52, 0, t55, 0, t173 * t174 * t184 + t89 * t186 * t190 - t89 * t193 * t98 - t203 * t190 + t196 * t201 - t203 * t207 - t200);
  t212 = 0.55e2 / 0.81e2 * t161 + t167 * t65 + 0.2e1 * t87 * t100 + t47 * t210;
  t217 = my_piecewise3(t3, 0, -t8 * t150 * t67 / 0.3e2 + t8 * t73 * t102 / 0.5e1 + 0.3e1 / 0.2e2 * t8 * t24 * t212);
  tv2rho20 = 0.2e1 * rho[0] * t217 + 0.4e1 * t107;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t223 = t32 * t79;
  t224 = t30 * t223;
  t227 = t30 * t223 * t65;
  t230 = t30 * t110 * t100;
  t233 = t91 * t176;
  t234 = t173 * t233;
  t235 = t182 * t118;
  t236 = t205 * t235;
  t238 = t118 * t176;
  t239 = t89 * t238;
  t240 = t189 * t91;
  t241 = t188 * t240;
  t244 = my_piecewise3(t55, 0, 0.4e2 / 0.243e3 * t224);
  t245 = my_piecewise3(t57, t244, 0);
  t248 = t118 * t91;
  t250 = t89 * t248 * t199;
  t251 = t96 * t91;
  t252 = t188 * t251;
  t254 = t173 * t238;
  t256 = t206 * t91;
  t257 = t205 * t256;
  t260 = my_piecewise5(t52, 0, t55, 0, -t89 * t245 * t98 + t234 * t236 + t239 * t241 + t239 * t252 - t254 * t241 - t254 * t257 - t250);
  t262 = -0.5e1 / 0.27e2 * t224 + 0.4e2 / 0.243e3 * t227 - 0.5e1 / 0.81e2 * t230 + t87 * t121 + t47 * t260;
  t267 = my_piecewise3(t3, 0, t8 * t73 * t123 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t262);
  tv2rhosigma0 = 0.2e1 * rho[0] * t267 + 0.2e1 * t127;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t278 = t182 * t136;
  t279 = t205 * t278;
  t281 = t136 * t176;
  t282 = t89 * t281;
  t285 = my_piecewise3(t55, 0, -0.25e2 / 0.162e3 * t111);
  t286 = my_piecewise3(t57, t285, 0);
  t289 = t136 * t91;
  t291 = t89 * t289 * t199;
  t293 = t173 * t281;
  t297 = my_piecewise5(t52, 0, t55, 0, -t89 * t286 * t98 + t234 * t279 + t282 * t241 - t293 * t241 + t282 * t252 - t293 * t257 - t291);
  t299 = -0.25e2 / 0.162e3 * t114 + 0.5e1 / 0.54e2 * t30 * t129 * t100 + t87 * t139 + t47 * t297;
  t304 = my_piecewise3(t3, 0, t8 * t73 * t141 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t299);
  tv2rholapl0 = 0.2e1 * rho[0] * t304 + 0.2e1 * t145;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  tv2rhotau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t308 = t30 * t110 * t121;
  t310 = t118 * t118;
  t313 = t310 * t176;
  t316 = my_piecewise3(t55, 0, 0);
  t317 = my_piecewise3(t57, t316, 0);
  t319 = t89 * t317 * t98;
  t320 = t89 * t310;
  t321 = t320 * t199;
  t323 = t173 * t313;
  t327 = my_piecewise5(t52, 0, t55, 0, t173 * t310 * t184 + t89 * t313 * t190 - t323 * t190 + t320 * t201 - t323 * t207 - t319 - t321);
  t329 = -0.1e2 / 0.81e2 * t308 + t47 * t327;
  t333 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t329);
  tv2sigma20 = 0.2e1 * rho[0] * t333;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t339 = t30 * t110 * t139;
  t343 = t188 * t189 * t118;
  t345 = t136 * t118;
  t346 = t89 * t345;
  t347 = t346 * t199;
  t348 = t96 * t118;
  t349 = t188 * t348;
  t352 = t206 * t118;
  t353 = t205 * t352;
  t356 = my_piecewise5(t52, 0, t55, 0, t254 * t279 + t282 * t343 + t282 * t349 - t293 * t343 - t293 * t353 - t319 - t347);
  t358 = 0.5e1 / 0.54e2 * t30 * t129 * t121 - 0.5e1 / 0.81e2 * t339 + t47 * t356;
  t362 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t358);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t362;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmatau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t367 = t136 * t136;
  t370 = t367 * t176;
  t373 = t89 * t367;
  t374 = t373 * t199;
  t376 = t173 * t370;
  t380 = my_piecewise5(t52, 0, t55, 0, t173 * t367 * t184 + t89 * t370 * t190 - t376 * t190 + t373 * t201 - t376 * t207 - t319 - t374);
  t382 = 0.5e1 / 0.27e2 * t30 * t129 * t139 + t47 * t380;
  t386 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t382);
  tv2lapl20 = 0.2e1 * rho[0] * t386;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapltau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2tau20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  t391 = t21 / t22 / t34;
  t403 = 0.1e1 / t23 / t157 / rho[0];
  t405 = t30 * t33 * t403;
  t411 = -0.11e4 / 0.729e3 * t30 * t40 * t159 + 0.616e4 / 0.2187e4 * t405;
  t419 = t64 / t171 / t60;
  t420 = t174 * t91;
  t422 = t176 * t93;
  t424 = 0.1e1 / t177 / t59;
  t425 = t422 * t424;
  t426 = t180 * t62;
  t428 = 0.1e1 / t181 / t63;
  t429 = t426 * t428;
  t430 = t425 * t429;
  t432 = my_piecewise3(t55, 0, t411);
  t433 = my_piecewise3(t57, t432, 0);
  t437 = t425 * t183;
  t441 = t425 * t97;
  t445 = t189 * t193;
  t446 = t188 * t445;
  t449 = t193 * t176;
  t450 = t173 * t449;
  t453 = t420 * t197;
  t454 = t173 * t453;
  t456 = t205 * t206 * t93;
  t457 = t454 * t456;
  t461 = t178 * params->csk_a;
  t463 = t93 * t62 * t96;
  t464 = t461 * t463;
  t465 = t454 * t464;
  t467 = t420 * t93;
  t469 = t189 * t197;
  t470 = t188 * t469;
  t471 = t89 * t467 * t470;
  t473 = t420 * t422;
  t474 = t173 * t473;
  t475 = t424 * params->csk_a;
  t476 = t475 * t97;
  t479 = t89 * t473;
  t482 = -0.3e1 * t173 * t420 * t437 + 0.3e1 * t89 * t233 * t446 - t419 * t420 * t430 - 0.2e1 * t89 * t420 * t441 - t89 * t433 * t98 - 0.3e1 * t450 * t241 - 0.3e1 * t450 * t257 + 0.3e1 * t474 * t476 - 0.3e1 * t479 * t476 - t200 - 0.3e1 * t457 - 0.3e1 * t465 + 0.3e1 * t471;
  t484 = t182 * t197;
  t485 = t205 * t484;
  t486 = t173 * t467 * t485;
  t492 = t96 * t93;
  t493 = t188 * t492;
  t494 = t89 * t453 * t493;
  t496 = t419 * t473;
  t497 = t424 * t180;
  t498 = t497 * t206;
  t501 = t424 * t62;
  t502 = params->csk_a * params->csk_a;
  t503 = t96 * t502;
  t504 = t501 * t503;
  t509 = t182 * t193;
  t513 = t424 * t426;
  t514 = t428 * params->csk_a;
  t515 = t513 * t514;
  t518 = t182 * t502;
  t519 = t497 * t518;
  t524 = t89 * t193 * t91 * t199;
  t528 = t428 * t502;
  t529 = t513 * t528;
  t532 = 0.3e1 * t234 * t205 * t509 + 0.3e1 * t89 * t449 * t252 + 0.3e1 * t474 * t504 + 0.3e1 * t474 * t519 - t479 * t504 + 0.3e1 * t496 * t498 - t496 * t504 + 0.3e1 * t496 * t515 - 0.3e1 * t496 * t519 - 0.2e1 * t496 * t529 + 0.3e1 * t486 + 0.3e1 * t494 - 0.3e1 * t524;
  t534 = my_piecewise5(t52, 0, t55, 0, t482 + t532);
  t536 = -0.77e3 / 0.243e3 * t405 + t411 * t65 + 0.3e1 * t167 * t100 + 0.3e1 * t87 * t210 + t47 * t534;
  t541 = my_piecewise3(t3, 0, 0.2e1 / 0.45e2 * t8 * t391 * t67 - t8 * t150 * t102 / 0.1e2 + 0.3e1 / 0.1e2 * t8 * t73 * t212 + 0.3e1 / 0.2e2 * t8 * t24 * t536);
  tv3rho30 = 0.2e1 * rho[0] * t541 + 0.6e1 * t217;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t551 = t32 * t159;
  t552 = t30 * t551;
  t555 = t30 * t551 * t65;
  t558 = t30 * t223 * t100;
  t561 = t30 * t110 * t210;
  t567 = my_piecewise3(t55, 0, -0.44e3 / 0.729e3 * t552);
  t568 = my_piecewise3(t57, t567, 0);
  t572 = t118 * t422;
  t573 = t419 * t572;
  t574 = t424 * t502;
  t576 = t174 * t180 * t182;
  t577 = t574 * t576;
  t580 = t206 * t193;
  t581 = t205 * t580;
  t583 = t528 * t174;
  t584 = t513 * t583;
  t587 = t245 * t176;
  t588 = t89 * t587;
  t592 = t173 * t572;
  t595 = t173 * t587;
  t598 = t174 * t422;
  t599 = t419 * t598;
  t600 = t428 * t118;
  t601 = t600 * params->csk_a;
  t602 = t513 * t601;
  t606 = t174 * t62 * t96;
  t607 = t475 * t606;
  t612 = t89 * t572;
  t615 = t118 * t174;
  t618 = t197 * t178 * t463;
  t619 = t89 * t615 * t618;
  t621 = t174 * t93;
  t622 = t173 * t621;
  t623 = t235 * t197;
  t624 = t205 * t623;
  t625 = t622 * t624;
  t627 = t497 * t352;
  t630 = -t89 * t568 * t98 + t239 * t446 + 0.2e1 * t588 * t241 - 0.2e1 * t595 * t241 - t254 * t446 - t254 * t581 - 0.2e1 * t595 * t257 - 0.3e1 * t573 * t577 - 0.2e1 * t573 * t584 + 0.3e1 * t592 * t577 + 0.3e1 * t592 * t607 + 0.3e1 * t599 * t602 + 0.3e1 * t599 * t627 - 0.3e1 * t612 * t607 + 0.3e1 * t619 + 0.3e1 * t625;
  t631 = t503 * t174;
  t632 = t501 * t631;
  t637 = t118 * t93;
  t638 = t637 * t178;
  t639 = t89 * t638;
  t640 = params->csk_a * t174;
  t641 = t640 * t197;
  t642 = t97 * t641;
  t643 = t639 * t642;
  t645 = t615 * t197;
  t646 = t173 * t645;
  t647 = t646 * t456;
  t649 = t646 * t464;
  t651 = t96 * t174;
  t652 = t501 * t651;
  t655 = t173 * t598;
  t656 = t497 * t235;
  t662 = t182 * t245;
  t663 = t205 * t662;
  t670 = t89 * t245 * t91 * t199;
  t674 = t89 * t118 * t193 * t199;
  t675 = t96 * t193;
  t676 = t188 * t675;
  t678 = -t599 * t513 * t600 + 0.2e1 * t234 * t663 + t450 * t236 + t239 * t676 + 0.2e1 * t588 * t252 - t573 * t632 + 0.3e1 * t592 * t632 - t612 * t632 - 0.2e1 * t612 * t652 - 0.3e1 * t655 * t656 - t250 + 0.3e1 * t643 - 0.3e1 * t647 - 0.3e1 * t649 - 0.2e1 * t670 - t674;
  t680 = my_piecewise5(t52, 0, t55, 0, t630 + t678);
  t682 = 0.55e2 / 0.81e2 * t552 - 0.44e3 / 0.729e3 * t555 + 0.8e2 / 0.243e3 * t558 - 0.5e1 / 0.81e2 * t561 + t167 * t121 + 0.2e1 * t87 * t260 + t47 * t680;
  t687 = my_piecewise3(t3, 0, -t8 * t150 * t123 / 0.3e2 + t8 * t73 * t262 / 0.5e1 + 0.3e1 / 0.2e2 * t8 * t24 * t682);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t687 + 0.4e1 * t267;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t706 = my_piecewise3(t55, 0, 0.1e3 / 0.243e3 * t224);
  t707 = my_piecewise3(t57, t706, 0);
  t710 = t136 * t422;
  t711 = t173 * t710;
  t714 = t286 * t176;
  t715 = t173 * t714;
  t718 = t89 * t710;
  t721 = t278 * t197;
  t722 = t205 * t721;
  t723 = t622 * t722;
  t725 = t136 * t174;
  t727 = t89 * t725 * t618;
  t731 = t419 * t710;
  t733 = t278 * params->csk_a;
  t734 = t497 * t733;
  t737 = t725 * t197;
  t738 = t173 * t737;
  t739 = t738 * t464;
  t748 = -t89 * t707 * t98 - 0.2e1 * t715 * t241 - t293 * t446 - t293 * t581 - 0.3e1 * t731 * t577 - 0.2e1 * t731 * t584 + 0.3e1 * t599 * t734 + 0.3e1 * t711 * t607 - 0.3e1 * t718 * t607 + 0.3e1 * t711 * t632 - t718 * t632 - t731 * t632 - t291 + 0.3e1 * t723 + 0.3e1 * t727 - 0.3e1 * t739;
  t749 = t428 * t136;
  t750 = t749 * params->csk_a;
  t751 = t513 * t750;
  t754 = t89 * t714;
  t763 = t136 * t93 * t178;
  t764 = t89 * t763;
  t765 = t764 * t642;
  t767 = t738 * t456;
  t771 = t497 * t278;
  t777 = t182 * t286;
  t778 = t205 * t777;
  t781 = t513 * t749;
  t783 = t286 * t91;
  t785 = t89 * t783 * t199;
  t789 = t89 * t136 * t193 * t199;
  t791 = 0.2e1 * t234 * t778 + 0.2e1 * t754 * t241 + 0.2e1 * t754 * t252 - 0.2e1 * t715 * t257 + t450 * t279 + t282 * t446 + t282 * t676 + 0.3e1 * t711 * t577 + 0.3e1 * t599 * t751 - t599 * t781 - 0.2e1 * t718 * t652 - 0.3e1 * t655 * t771 + 0.3e1 * t765 - 0.3e1 * t767 - 0.2e1 * t785 - t789;
  t793 = my_piecewise5(t52, 0, t55, 0, t748 + t791);
  t795 = 0.1e3 / 0.243e3 * t227 - 0.25e2 / 0.81e2 * t230 + 0.5e1 / 0.54e2 * t30 * t129 * t210 + t167 * t139 + 0.2e1 * t87 * t297 + t47 * t793;
  t800 = my_piecewise3(t3, 0, -t8 * t150 * t141 / 0.3e2 + t8 * t73 * t299 / 0.5e1 + 0.3e1 / 0.2e2 * t8 * t24 * t795);
  tv3rho2lapl0 = 0.2e1 * rho[0] * t800 + 0.4e1 * t304;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  tv3rho2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t807 = t30 * t223 * t121;
  t810 = t30 * t110 * t260;
  t813 = t310 * t197;
  t815 = t173 * t813 * t178;
  t816 = params->csk_a * t91;
  t817 = t816 * t463;
  t818 = t815 * t817;
  t820 = t310 * t93;
  t822 = t89 * t820 * t178;
  t823 = t816 * t197;
  t824 = t97 * t823;
  t825 = t822 * t824;
  t827 = t816 * t93;
  t828 = t183 * t827;
  t829 = t815 * t828;
  t831 = t310 * t422;
  t832 = t173 * t831;
  t834 = t91 * t62 * t96;
  t835 = t574 * t834;
  t838 = t419 * t831;
  t840 = t317 * t176;
  t841 = t89 * t840;
  t842 = t841 * t241;
  t843 = t173 * t840;
  t844 = t843 * t241;
  t845 = t475 * t834;
  t848 = t89 * t831;
  t851 = t528 * t91;
  t852 = t513 * t851;
  t855 = t518 * t91;
  t856 = t497 * t855;
  t859 = t843 * t257;
  t860 = t89 * t813;
  t862 = t188 * t251 * t93;
  t863 = t860 * t862;
  t865 = t97 * t245;
  t866 = t461 * t865;
  t869 = -0.2e1 * t254 * t866 + 0.3e1 * t832 * t835 + 0.3e1 * t832 * t845 + 0.3e1 * t832 * t856 - t838 * t835 - 0.2e1 * t838 * t852 - 0.3e1 * t848 * t845 - t319 - t321 - 0.3e1 * t818 + 0.3e1 * t825 - 0.3e1 * t829 + t842 - t844 - t859 + 0.3e1 * t863;
  t872 = t206 * t245;
  t873 = t205 * t872;
  t876 = t173 * t820;
  t877 = t182 * t91;
  t878 = t877 * t197;
  t879 = t205 * t878;
  t880 = t876 * t879;
  t882 = t514 * t91;
  t883 = t513 * t882;
  t888 = t497 * t256;
  t892 = t841 * t252;
  t893 = t501 * t251;
  t896 = t497 * t877;
  t901 = t91 * t422;
  t902 = t419 * t901;
  t903 = t428 * t310;
  t904 = t513 * t903;
  t906 = t182 * t317;
  t907 = t205 * t906;
  t908 = t234 * t907;
  t909 = t317 * t91;
  t911 = t89 * t909 * t199;
  t912 = t118 * t197;
  t913 = t89 * t912;
  t914 = t94 * t62;
  t915 = t96 * t245;
  t917 = t913 * t914 * t915;
  t918 = 0.2e1 * t917;
  t919 = t188 * t915;
  t922 = 0.2e1 * t239 * t866 + 0.2e1 * t239 * t919 + 0.2e1 * t254 * t663 - 0.2e1 * t254 * t873 - 0.3e1 * t832 * t896 - t848 * t835 - 0.3e1 * t838 * t856 + 0.3e1 * t838 * t883 + 0.3e1 * t838 * t888 - 0.2e1 * t848 * t893 - t902 * t904 + 0.3e1 * t880 + t892 + t908 - t911 - t918;
  t924 = my_piecewise5(t52, 0, t55, 0, t869 + t922);
  t926 = 0.8e2 / 0.243e3 * t807 - 0.1e2 / 0.81e2 * t810 + t87 * t327 + t47 * t924;
  t931 = my_piecewise3(t3, 0, t8 * t73 * t329 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t926);
  tv3rhosigma20 = 0.2e1 * rho[0] * t931 + 0.2e1 * t333;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t942 = t30 * t223 * t139;
  t945 = t30 * t110 * t297;
  t948 = t345 * t197;
  t949 = t173 * t948;
  t951 = t461 * t91 * t463;
  t952 = t949 * t951;
  t954 = t97 * params->csk_a;
  t955 = t248 * t197;
  t956 = t954 * t955;
  t957 = t764 * t956;
  t959 = t205 * t182;
  t960 = t959 * t827;
  t961 = t949 * t960;
  t963 = t710 * t424;
  t964 = t89 * t963;
  t965 = params->csk_a * t118;
  t966 = t965 * t91;
  t967 = t97 * t966;
  t970 = t419 * t963;
  t971 = t502 * t118;
  t972 = t183 * t91;
  t973 = t971 * t972;
  t977 = t429 * t971 * t91;
  t980 = t173 * t638;
  t981 = t289 * t197;
  t982 = t183 * t981;
  t983 = t980 * t982;
  t985 = t572 * t424;
  t986 = t419 * t985;
  t987 = t136 * params->csk_a;
  t988 = t987 * t91;
  t989 = t429 * t988;
  t992 = t173 * t963;
  t995 = t89 * t948;
  t996 = t995 * t862;
  t998 = t502 * t91;
  t999 = t97 * t118;
  t1000 = t998 * t999;
  t1004 = t183 * t988;
  t1011 = t497 * t278 * t91;
  t1014 = t348 * t91;
  t1015 = t501 * t1014;
  t1019 = -t964 * t1000 - t970 * t1000 + 0.3e1 * t992 * t1000 + 0.3e1 * t986 * t1004 - 0.3e1 * t592 * t1011 - 0.2e1 * t718 * t1015 - t715 * t343 - 0.3e1 * t964 * t967 + 0.3e1 * t992 * t967 - 0.3e1 * t970 * t973 - 0.2e1 * t970 * t977 + 0.3e1 * t992 * t973 + 0.3e1 * t986 * t989 - t319 - 0.3e1 * t952 + 0.3e1 * t957 - 0.3e1 * t961 + 0.3e1 * t983 + 0.3e1 * t996;
  t1023 = t600 * t136;
  t1024 = t513 * t1023;
  t1030 = t286 * t118;
  t1032 = t89 * t1030 * t199;
  t1033 = t136 * t245;
  t1035 = t89 * t1033 * t199;
  t1038 = -t902 * t1024 + t254 * t778 + t595 * t279 + t282 * t866 + t282 * t919 - t293 * t866 - t293 * t873 + t754 * t343 + t754 * t349 - t715 * t353 - t1032 - t1035 - t347 + t842 - t844 - t859 + t892 + t908 - t911;
  t1040 = my_piecewise5(t52, 0, t55, 0, t1019 + t1038);
  t1042 = -0.25e2 / 0.162e3 * t308 + 0.5e1 / 0.54e2 * t30 * t129 * t260 + 0.4e2 / 0.243e3 * t942 - 0.5e1 / 0.81e2 * t945 + t87 * t356 + t47 * t1040;
  t1047 = my_piecewise3(t3, 0, t8 * t73 * t358 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t1042);
  tv3rhosigmalapl0 = 0.2e1 * rho[0] * t1047 + 0.2e1 * t362;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  tv3rhosigmatau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  t1058 = t367 * t197;
  t1060 = t173 * t1058 * t178;
  t1061 = t1060 * t817;
  t1063 = t367 * t93;
  t1065 = t89 * t1063 * t178;
  t1066 = t1065 * t824;
  t1068 = t1060 * t828;
  t1070 = t367 * t422;
  t1071 = t89 * t1070;
  t1074 = t173 * t1063;
  t1075 = t1074 * t879;
  t1077 = t419 * t1070;
  t1080 = t189 * t286;
  t1081 = t188 * t1080;
  t1084 = t173 * t1070;
  t1087 = t89 * t1058;
  t1088 = t1087 * t862;
  t1094 = t206 * t286;
  t1101 = -0.2e1 * t293 * t205 * t1094 - 0.3e1 * t1071 * t845 - t1077 * t835 - 0.2e1 * t1077 * t852 - 0.3e1 * t1077 * t856 + 0.3e1 * t1077 * t883 + 0.2e1 * t282 * t1081 - 0.2e1 * t293 * t1081 + 0.3e1 * t1084 * t856 - 0.3e1 * t1061 + 0.3e1 * t1066 - 0.3e1 * t1068 + 0.3e1 * t1075 + 0.3e1 * t1088 - t319 - t374;
  t1115 = t428 * t367;
  t1116 = t513 * t1115;
  t1118 = t136 * t197;
  t1119 = t89 * t1118;
  t1120 = t96 * t286;
  t1122 = t1119 * t914 * t1120;
  t1123 = 0.2e1 * t1122;
  t1127 = 0.2e1 * t282 * t188 * t1120 - t1071 * t835 - 0.2e1 * t1071 * t893 + 0.3e1 * t1077 * t888 + 0.3e1 * t1084 * t835 + 0.3e1 * t1084 * t845 - 0.3e1 * t1084 * t896 - t902 * t1116 + 0.2e1 * t293 * t778 - t1123 + t842 - t844 - t859 + t892 + t908 - t911;
  t1129 = my_piecewise5(t52, 0, t55, 0, t1101 + t1127);
  t1131 = -0.25e2 / 0.81e2 * t339 + 0.5e1 / 0.27e2 * t30 * t129 * t297 + t87 * t380 + t47 * t1129;
  t1136 = my_piecewise3(t3, 0, t8 * t73 * t382 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * t1131);
  tv3rholapl20 = 0.2e1 * rho[0] * t1136 + 0.2e1 * t386;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  tv3rholapltau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  tv3rhotau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  t1140 = t30 * t110 * t327;
  t1142 = t310 * t118;
  t1151 = t843 * t353;
  t1152 = 0.3e1 * t1151;
  t1153 = t1142 * t197;
  t1154 = t173 * t1153;
  t1155 = t1154 * t456;
  t1156 = 0.3e1 * t1155;
  t1157 = t843 * t343;
  t1158 = 0.3e1 * t1157;
  t1159 = t1154 * t464;
  t1160 = 0.3e1 * t1159;
  t1161 = t1142 * t93;
  t1163 = t89 * t1161 * t470;
  t1164 = 0.3e1 * t1163;
  t1165 = t189 * t317;
  t1166 = t188 * t1165;
  t1167 = t239 * t1166;
  t1168 = 0.3e1 * t1167;
  t1169 = t1142 * t422;
  t1170 = t419 * t1169;
  t1175 = -0.3e1 * t173 * t1142 * t437 - t419 * t1142 * t430 - 0.2e1 * t89 * t1142 * t441 - 0.3e1 * t1170 * t519 - 0.2e1 * t1170 * t529 - t1152 - t1156 - t1158 - t1160 + t1164 + t1168 - t319 - t321;
  t1176 = t173 * t1169;
  t1179 = t317 * t118;
  t1181 = t89 * t1179 * t199;
  t1182 = 0.3e1 * t1181;
  t1183 = t841 * t349;
  t1184 = 0.3e1 * t1183;
  t1185 = t89 * t1153;
  t1186 = t1185 * t493;
  t1187 = 0.3e1 * t1186;
  t1189 = t173 * t1161 * t485;
  t1190 = 0.3e1 * t1189;
  t1193 = t89 * t1169;
  t1202 = t254 * t907;
  t1203 = 0.3e1 * t1202;
  t1206 = 0.3e1 * t1170 * t498 - t1170 * t504 + 0.3e1 * t1170 * t515 + 0.3e1 * t1176 * t476 + 0.3e1 * t1176 * t504 + 0.3e1 * t1176 * t519 - 0.3e1 * t1193 * t476 - t1193 * t504 - t1182 + t1184 + t1187 + t1190 + t1203;
  t1208 = my_piecewise5(t52, 0, t55, 0, t1175 + t1206);
  t1210 = -0.5e1 / 0.27e2 * t1140 + t47 * t1208;
  t1214 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t1210);
  tv3sigma30 = 0.2e1 * rho[0] * t1214;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t1220 = t30 * t110 * t356;
  t1222 = t136 * t310;
  t1223 = t1222 * t197;
  t1224 = t173 * t1223;
  t1225 = t1224 * t464;
  t1226 = 0.3e1 * t1225;
  t1227 = params->csk_a * t310;
  t1228 = t1227 * t197;
  t1229 = t97 * t1228;
  t1230 = t764 * t1229;
  t1231 = 0.3e1 * t1230;
  t1232 = t1224 * t456;
  t1233 = 0.3e1 * t1232;
  t1234 = t282 * t1166;
  t1235 = t518 * t310;
  t1236 = t497 * t1235;
  t1239 = t293 * t1166;
  t1242 = t475 * t310 * t62 * t96;
  t1247 = t89 * t1222;
  t1248 = t1247 * t618;
  t1249 = 0.3e1 * t1248;
  t1250 = t876 * t722;
  t1251 = 0.3e1 * t1250;
  t1254 = t503 * t310;
  t1255 = t501 * t1254;
  t1260 = 0.2e1 * t1151;
  t1261 = 0.3e1 * t711 * t1236 + 0.3e1 * t711 * t1242 - 0.3e1 * t718 * t1242 + 0.3e1 * t711 * t1255 - t718 * t1255 - t731 * t1255 + 0.3e1 * t838 * t734 - t1226 + t1231 - t1233 + t1234 - t1239 + t1249 + t1251 - t1260 - t319;
  t1262 = 0.2e1 * t1157;
  t1265 = t206 * t317;
  t1266 = t205 * t1265;
  t1267 = t293 * t1266;
  t1268 = t528 * t310;
  t1269 = t513 * t1268;
  t1274 = 0.2e1 * t1167;
  t1275 = 0.2e1 * t1181;
  t1276 = 0.2e1 * t1183;
  t1277 = 0.2e1 * t1202;
  t1278 = t96 * t317;
  t1279 = t188 * t1278;
  t1280 = t282 * t1279;
  t1281 = t843 * t279;
  t1283 = t136 * t317;
  t1285 = t89 * t1283 * t199;
  t1286 = t96 * t310;
  t1287 = t501 * t1286;
  t1292 = -0.3e1 * t731 * t1236 - 0.2e1 * t731 * t1269 - 0.2e1 * t718 * t1287 + 0.3e1 * t838 * t751 - 0.3e1 * t832 * t771 - t838 * t781 - t1262 - t1267 + t1274 - t1275 + t1276 + t1277 + t1280 + t1281 - t1285 - t347;
  t1294 = my_piecewise5(t52, 0, t55, 0, t1261 + t1292);
  t1296 = 0.5e1 / 0.54e2 * t30 * t129 * t327 - 0.1e2 / 0.81e2 * t1220 + t47 * t1294;
  t1300 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t1296);
  tv3sigma2lapl0 = 0.2e1 * rho[0] * t1300;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  tv3sigma2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  t1306 = t30 * t110 * t380;
  t1308 = t965 * t93;
  t1310 = t1060 * t183 * t1308;
  t1311 = 0.3e1 * t1310;
  t1313 = t1060 * t965 * t463;
  t1314 = 0.3e1 * t1313;
  t1315 = t965 * t197;
  t1316 = t97 * t1315;
  t1317 = t1065 * t1316;
  t1318 = 0.3e1 * t1317;
  t1319 = t183 * t118;
  t1320 = t574 * t1319;
  t1323 = t528 * t118;
  t1327 = t1074 * t624;
  t1328 = 0.3e1 * t1327;
  t1335 = t1087 * t188 * t348 * t93;
  t1336 = 0.3e1 * t1335;
  t1340 = t501 * t503 * t118;
  t1345 = t475 * t999;
  t1348 = -0.2e1 * t1077 * t513 * t1323 - t1071 * t1340 - 0.3e1 * t1077 * t1320 - t1077 * t1340 + 0.3e1 * t1077 * t602 + 0.3e1 * t1077 * t627 + 0.3e1 * t1084 * t1320 + 0.3e1 * t1084 * t1340 + 0.3e1 * t1084 * t1345 - t1311 - t1314 + t1318 + t1328 + t1336 - t319 - t374;
  t1351 = 0.2e1 * t1234;
  t1352 = 0.2e1 * t1239;
  t1353 = 0.2e1 * t1267;
  t1354 = 0.2e1 * t1280;
  t1355 = 0.2e1 * t1281;
  t1356 = 0.2e1 * t1285;
  t1363 = -0.2e1 * t1071 * t501 * t348 - 0.3e1 * t1071 * t1345 - 0.3e1 * t1084 * t656 - t573 * t1116 - t1151 - t1157 + t1167 - t1181 + t1183 + t1202 + t1351 - t1352 - t1353 + t1354 + t1355 - t1356;
  t1365 = my_piecewise5(t52, 0, t55, 0, t1348 + t1363);
  t1367 = 0.5e1 / 0.27e2 * t30 * t129 * t356 - 0.5e1 / 0.81e2 * t1306 + t47 * t1365;
  t1371 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t1367);
  tv3sigmalapl20 = 0.2e1 * rho[0] * t1371;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  tv3sigmalapltau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  tv3sigmatau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  t1376 = t367 * t136;
  t1385 = t1376 * t197;
  t1386 = t173 * t1385;
  t1387 = t1386 * t456;
  t1388 = 0.3e1 * t1387;
  t1389 = t1386 * t464;
  t1390 = 0.3e1 * t1389;
  t1391 = t1376 * t93;
  t1393 = t89 * t1391 * t470;
  t1394 = 0.3e1 * t1393;
  t1395 = 0.3e1 * t1234;
  t1396 = 0.3e1 * t1239;
  t1397 = 0.3e1 * t1267;
  t1398 = 0.3e1 * t1280;
  t1399 = 0.3e1 * t1281;
  t1400 = -0.3e1 * t173 * t1376 * t437 - t419 * t1376 * t430 - 0.2e1 * t89 * t1376 * t441 - t1388 - t1390 + t1394 + t1395 - t1396 - t1397 + t1398 + t1399 - t319 - t374;
  t1401 = 0.3e1 * t1285;
  t1402 = t1376 * t422;
  t1403 = t89 * t1402;
  t1406 = t419 * t1402;
  t1413 = t173 * t1402;
  t1416 = t89 * t1385;
  t1417 = t1416 * t493;
  t1418 = 0.3e1 * t1417;
  t1420 = t173 * t1391 * t485;
  t1421 = 0.3e1 * t1420;
  t1430 = -0.3e1 * t1403 * t476 - t1403 * t504 + 0.3e1 * t1406 * t498 - t1406 * t504 + 0.3e1 * t1406 * t515 - 0.3e1 * t1406 * t519 - 0.2e1 * t1406 * t529 + 0.3e1 * t1413 * t476 + 0.3e1 * t1413 * t504 + 0.3e1 * t1413 * t519 - t1401 + t1418 + t1421;
  t1432 = my_piecewise5(t52, 0, t55, 0, t1400 + t1430);
  t1434 = 0.5e1 / 0.18e2 * t30 * t129 * t380 + t47 * t1432;
  t1438 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * t1434);
  tv3lapl30 = 0.2e1 * rho[0] * t1438;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  tv3lapl2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  tv3lapltau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  tv3tau30 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  t1460 = t30 * t33 / t23 / t157 / t34;
  t1466 = 0.154e5 / 0.2187e4 * t30 * t40 * t403 - 0.10472e6 / 0.6561e4 * t1460;
  t1474 = t193 * t193;
  t1475 = t89 * t1474;
  t1483 = t171 * t171;
  t1485 = t64 / t1483;
  t1486 = t174 * t174;
  t1488 = t176 * t176;
  t1489 = t177 * t177;
  t1490 = 0.1e1 / t1489;
  t1491 = t1488 * t1490;
  t1492 = t180 * t180;
  t1493 = t181 * t181;
  t1494 = 0.1e1 / t1493;
  t1495 = t1492 * t1494;
  t1496 = t1491 * t1495;
  t1498 = my_piecewise3(t55, 0, t1466);
  t1499 = my_piecewise3(t57, t1498, 0);
  t1502 = t89 * t1486;
  t1503 = t1491 * t97;
  t1506 = t197 * t197;
  t1507 = t1506 * t178;
  t1508 = t1507 * t97;
  t1511 = t173 * t1486;
  t1512 = t1507 * t183;
  t1515 = t1491 * t183;
  t1519 = t1491 * t429;
  t1526 = t193 * t93;
  t1528 = t173 * t1526 * t178;
  t1531 = t183 * t641;
  t1536 = params->csk_a * t197;
  t1538 = t97 * t1536 * t193;
  t1541 = t433 * t176;
  t1542 = t89 * t1541;
  t1545 = t193 * t422;
  t1546 = t173 * t1545;
  t1549 = t1486 * t197;
  t1550 = t173 * t1549;
  t1552 = t176 * t62 * t96;
  t1553 = t475 * t1552;
  t1556 = t1486 * t176;
  t1557 = t89 * t1556;
  t1558 = t501 * t469;
  t1561 = 0.18e2 * t89 * t621 * t178 * t1538 - 0.18e2 * t1528 * t1531 - 0.18e2 * t1528 * t642 + 0.4e1 * t1542 * t241 + 0.18e2 * t1546 * t607 + 0.18e2 * t1550 * t1553 - 0.18e2 * t1557 * t1558 - t200 - 0.4e1 * t457 - 0.4e1 * t465 + 0.4e1 * t471;
  t1563 = t89 * t598;
  t1565 = t501 * t503 * t193;
  t1570 = t419 * t1545;
  t1573 = t574 * t1552;
  t1576 = t419 * t1549;
  t1580 = t501 * t503 * t197;
  t1583 = t428 * t193;
  t1585 = t513 * t1583 * params->csk_a;
  t1590 = t173 * t1556;
  t1592 = t497 * t518 * t197;
  t1595 = t501 * t445;
  t1600 = t205 * t484 * t193;
  t1603 = t419 * t1556;
  t1604 = t428 * t197;
  t1606 = t513 * t1604 * params->csk_a;
  t1610 = t497 * t518 * t193;
  t1614 = t497 * t484 * params->csk_a;
  t1618 = t176 * t180 * t182;
  t1619 = t574 * t1618;
  t1622 = t173 * t1541;
  t1627 = t497 * t580;
  t1634 = t188 * t651 * t197;
  t1638 = t513 * t528 * t176;
  t1641 = 0.18e2 * t89 * t1526 * t1634 - 0.18e2 * t1570 * t577 - 0.18e2 * t1576 * t1619 - 0.12e2 * t1576 * t1638 + 0.18e2 * t622 * t1600 + 0.18e2 * t1603 * t1606 + 0.18e2 * t1603 * t1614 + 0.18e2 * t655 * t1610 - 0.4e1 * t1622 * t241 - 0.4e1 * t1622 * t257 + 0.18e2 * t599 * t1627;
  t1647 = t1486 * t1488;
  t1648 = t1485 * t1647;
  t1649 = t1490 * t1492;
  t1650 = t1494 * t502;
  t1651 = t1649 * t1650;
  t1654 = t419 * t1647;
  t1655 = t1490 * t426;
  t1656 = t502 * params->csk_a;
  t1657 = t428 * t1656;
  t1658 = t1655 * t1657;
  t1663 = t1494 * t1656;
  t1664 = t1649 * t1663;
  t1667 = t1655 * t528;
  t1670 = t173 * t1647;
  t1671 = t1490 * t180;
  t1672 = t182 * t1656;
  t1673 = t1671 * t1672;
  t1681 = t1671 * t206;
  t1684 = t1671 * t518;
  t1687 = t497 * t509;
  t1694 = t96 * t176;
  t1695 = t501 * t1694;
  t1698 = t1486 * t1506;
  t1699 = t173 * t1698;
  t1704 = t1490 * params->csk_a;
  t1705 = t1704 * t97;
  t1711 = t89 * t1647;
  t1714 = -0.12e2 * t89 * t1545 * t652 - 0.12e2 * t89 * t1549 * t1695 + 0.3e1 * t89 * t1698 * t190 - 0.7e1 * t1648 * t1673 + 0.7e1 * t1670 * t1681 - 0.11e2 * t1670 * t1684 - 0.11e2 * t1670 * t1705 - 0.18e2 * t655 * t1687 - 0.3e1 * t1699 * t190 - 0.3e1 * t1699 * t207 + 0.11e2 * t1711 * t1705;
  t1716 = t497 * t484;
  t1724 = t1494 * params->csk_a;
  t1725 = t1649 * t1724;
  t1736 = t1474 * t176;
  t1737 = t173 * t1736;
  t1743 = t513 * t1604;
  t1750 = 0.4e1 * t234 * t205 * t182 * t433 - 0.4e1 * t89 * t433 * t91 * t199 - 0.6e1 * t599 * t513 * t1583 + 0.3e1 * t89 * t1736 * t190 + 0.4e1 * t1542 * t252 - 0.18e2 * t1590 * t1716 - 0.6e1 * t1603 * t1743 - 0.6e1 * t1648 * t1725 - 0.18e2 * t1654 * t1681 - 0.3e1 * t1737 * t190 - 0.3e1 * t1737 * t207;
  t1751 = t1490 * t62;
  t1752 = t96 * t1656;
  t1753 = t1751 * t1752;
  t1762 = t1490 * t502;
  t1763 = t1762 * t97;
  t1768 = t1655 * t514;
  t1777 = 0.7e1 * t1648 * t1684 - t1648 * t1753 - 0.6e1 * t1648 * t1768 - 0.6e1 * t1654 * t1667 + 0.6e1 * t1654 * t1753 + 0.6e1 * t1654 * t1763 - 0.12e2 * t1654 * t1768 - 0.7e1 * t1670 * t1753 - 0.18e2 * t1670 * t1763 + t1711 * t1753 + 0.6e1 * t1711 * t1763;
  t1781 = my_piecewise5(t52, 0, t55, 0, -0.6e1 * t1563 * t1565 + 0.18e2 * t1546 * t632 + 0.6e1 * t1502 * t1503 + 0.3e1 * t1502 * t1508 + 0.3e1 * t1511 * t1512 + 0.11e2 * t1511 * t1515 - 0.3e1 * t1475 * t199 + 0.3e1 * t1475 * t201 - 0.6e1 * t1648 * t1664 + 0.18e2 * t1648 * t1667 - 0.7e1 * t1670 * t1673 + 0.18e2 * t1654 * t1673 + 0.11e2 * t1648 * t1651 + 0.12e2 * t1654 * t1658 - 0.12e2 * t1648 * t1658 - 0.12e2 * t1570 * t584 + 0.18e2 * t1590 * t1592 - 0.18e2 * t1563 * t1595 - 0.6e1 * t1576 * t1573 - 0.6e1 * t1557 * t1580 + 0.18e2 * t599 * t1585 - 0.6e1 * t1570 * t632 + 0.18e2 * t1550 * t1573 - 0.5e1 * t524 + 0.4e1 * t494 + 0.4e1 * t486 + t1777 + t1750 + t1714 + t1641 + t1561 + 0.3e1 * t173 * t1474 * t184 + t1485 * t1486 * t1496 - t89 * t1499 * t98 + 0.6e1 * t419 * t1486 * t1519);
  t1788 = my_piecewise3(t3, 0, -0.14e2 / 0.135e3 * t8 * t21 / t22 / t77 * t67 + 0.8e1 / 0.45e2 * t8 * t391 * t102 - t8 * t150 * t212 / 0.5e1 + 0.2e1 / 0.5e1 * t8 * t73 * t536 + 0.3e1 / 0.2e2 * t8 * t24 * (0.1309e5 / 0.729e3 * t1460 + t1466 * t65 + 0.4e1 * t411 * t100 + 0.6e1 * t167 * t210 + 0.4e1 * t87 * t534 + t47 * t1781));
  tv4rho40 = 0.2e1 * rho[0] * t1788 + 0.8e1 * t541;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t1801 = t32 * t403;
  t1802 = t30 * t1801;
  t1822 = my_piecewise3(t55, 0, 0.616e4 / 0.2187e4 * t1802);
  t1823 = my_piecewise3(t57, t1822, 0);
  t1831 = params->csk_a * t193;
  t1833 = t251 * t197;
  t1834 = t1831 * t62 * t1833;
  t1840 = params->csk_a * t93;
  t1841 = t1840 * t193;
  t1842 = t959 * t1841;
  t1845 = t173 * t985;
  t1847 = t502 * t193 * t91;
  t1848 = t183 * t1847;
  t1851 = t118 * t420;
  t1852 = t1851 * t197;
  t1856 = t419 * t1852;
  t1859 = t245 * t174;
  t1864 = -0.9e1 * t173 * t1859 * t197 * t456 + 0.18e2 * t173 * t1852 * t1553 - 0.9e1 * t173 * t955 * t1842 - t89 * t1823 * t98 - 0.18e2 * t1856 * t1619 + 0.9e1 * t639 * t1834 - 0.9e1 * t980 * t1834 + 0.9e1 * t1845 * t1848 + 0.4e1 * t619 + 0.4e1 * t625 + 0.4e1 * t643 - 0.4e1 * t647 - 0.4e1 * t649;
  t1865 = t420 * t176;
  t1867 = t419 * t1865 * t424;
  t1868 = t429 * t1315;
  t1874 = t245 * t93 * t178;
  t1878 = t238 * t424;
  t1879 = t89 * t1878;
  t1881 = t502 * t420 * t197;
  t1882 = t97 * t1881;
  t1885 = t173 * t1878;
  t1888 = t183 * t1315;
  t1893 = t97 * params->csk_a * t420 * t197;
  t1896 = t419 * t1878;
  t1899 = t1831 * t834;
  t1902 = t173 * t1874;
  t1906 = t419 * t901 * t424;
  t1907 = t965 * t193;
  t1911 = t429 * t1847;
  t1914 = t89 * t985;
  t1915 = t97 * t1847;
  t1920 = 0.9e1 * t89 * t1874 * t642 + 0.9e1 * t1906 * t429 * t1907 - 0.12e2 * t1856 * t1638 + 0.9e1 * t1845 * t1899 + 0.9e1 * t1845 * t1915 + 0.18e2 * t1867 * t1868 + 0.18e2 * t1867 * t1888 - 0.6e1 * t1879 * t1882 - 0.18e2 * t1879 * t1893 + 0.18e2 * t1885 * t1882 - 0.6e1 * t1896 * t1882 - 0.9e1 * t1902 * t642 - 0.6e1 * t986 * t1911 - 0.3e1 * t1914 * t1915;
  t1926 = t91 * t93;
  t1928 = t173 * t1926 * t178;
  t1929 = t912 * t193;
  t1936 = t183 * t1881;
  t1943 = t188 * t492 * t193;
  t1946 = t118 * t1488;
  t1947 = t419 * t1946;
  t1949 = t1655 * t1657 * t420;
  t1952 = t245 * t422;
  t1953 = t173 * t1952;
  t1956 = t419 * t1952;
  t1959 = t89 * t1946;
  t1961 = t1751 * t503 * t420;
  t1964 = t173 * t1946;
  t1967 = t420 * t1488;
  t1968 = t419 * t1967;
  t1969 = t1671 * t352;
  t1973 = t1751 * t1752 * t420;
  t1975 = 0.9e1 * t1906 * t183 * t1907 + 0.9e1 * t1928 * t183 * t1929 + 0.9e1 * t89 * t955 * t1943 - 0.9e1 * t986 * t1848 + 0.18e2 * t1885 * t1936 - 0.9e1 * t1914 * t1899 - 0.3e1 * t986 * t1915 + 0.12e2 * t1947 * t1949 + 0.9e1 * t1953 * t632 - 0.3e1 * t1956 * t632 + 0.6e1 * t1959 * t1961 + t1959 * t1973 - 0.18e2 * t1964 * t1961 - 0.18e2 * t1968 * t1969;
  t1980 = t1485 * t1946;
  t1984 = t1704 * t420 * t62 * t96;
  t1987 = t1485 * t1967;
  t1989 = t1671 * t235 * t502;
  t1992 = t568 * t176;
  t1993 = t89 * t1992;
  t1996 = t173 * t1851;
  t1997 = t1507 * t954;
  t2003 = t1655 * t528 * t420;
  t2006 = t89 * t1851;
  t2012 = t197 * t424 * t1552;
  t2015 = t183 * params->csk_a;
  t2016 = t1507 * t2015;
  t2021 = 0.6e1 * t1947 * t1961 + 0.6e1 * t1947 * t1973 - 0.6e1 * t1947 * t2003 + 0.9e1 * t1953 * t607 + 0.11e2 * t1959 * t1984 - 0.7e1 * t1964 * t1973 - 0.11e2 * t1964 * t1984 - t1980 * t1973 + 0.7e1 * t1987 * t1989 + 0.3e1 * t1993 * t241 - 0.3e1 * t1996 * t1997 - 0.3e1 * t1996 * t2016 + 0.3e1 * t2006 * t1997 - 0.12e2 * t2006 * t2012;
  t2024 = t1490 * t1656;
  t2027 = t2024 * t420 * t180 * t182;
  t2035 = t173 * t1865;
  t2040 = t501 * t251 * t193;
  t2044 = t205 * t662 * t197;
  t2047 = t419 * t1865;
  t2049 = t513 * t600 * t197;
  t2052 = t173 * t901;
  t2057 = t173 * t1992;
  t2062 = t497 * t872;
  t2067 = t89 * t1952;
  t2070 = -0.9e1 * t2052 * t497 * t235 * t193 + 0.9e1 * t89 * t1859 * t618 - 0.18e2 * t2035 * t497 * t623 + 0.18e2 * t1947 * t2027 - 0.9e1 * t1956 * t577 - 0.7e1 * t1980 * t2027 - 0.6e1 * t612 * t2040 + 0.9e1 * t622 * t2044 - 0.6e1 * t2047 * t2049 - 0.3e1 * t2057 * t241 + 0.9e1 * t599 * t2062 - 0.9e1 * t2067 * t607 - 0.3e1 * t595 * t446;
  t2071 = t173 * t1967;
  t2075 = t1671 * t518 * t420;
  t2080 = t1494 * t118;
  t2082 = t1649 * t2080 * params->csk_a;
  t2094 = t188 * t189 * t433;
  t2096 = t428 * t245;
  t2098 = t513 * t2096 * params->csk_a;
  t2107 = t205 * t206 * t433;
  t2111 = -0.3e1 * t902 * t513 * t1583 * t118 - 0.12e2 * t1980 * t1949 + 0.9e1 * t1953 * t577 - 0.6e1 * t1956 * t584 - 0.11e2 * t1964 * t2075 + 0.7e1 * t2071 * t1969 - 0.6e1 * t1987 * t2082 - 0.3e1 * t2057 * t257 + t239 * t2094 - t254 * t2094 + 0.9e1 * t599 * t2098 - t254 * t2107 + 0.3e1 * t588 * t446 - 0.3e1 * t595 * t581;
  t2118 = t1649 * t1663 * t420;
  t2121 = t1655 * t601;
  t2126 = t1655 * t1323;
  t2146 = -t89 * t118 * t433 * t199 + 0.11e2 * t1987 * t1649 * t2080 * t502 - 0.3e1 * t89 * t245 * t193 * t199 + t1987 * t1649 * t2080 - 0.7e1 * t1964 * t2027 - 0.12e2 * t1968 * t2121 - 0.6e1 * t1980 * t2118 - 0.6e1 * t1987 * t2121 + 0.18e2 * t1987 * t2126 + 0.3e1 * t1993 * t252 - 0.3e1 * t2067 * t632 - t250 - 0.3e1 * t670 - 0.2e1 * t674;
  t2148 = t188 * t96 * t433;
  t2159 = t497 * t662;
  t2162 = t1655 * t600;
  t2170 = t513 * t2096;
  t2174 = t205 * t182 * t568;
  t2178 = t173 * t420 * t1506;
  t2183 = t96 * t420;
  t2184 = t1751 * t2183;
  t2187 = -0.3e1 * t89 * t568 * t91 * t199 + 0.11e2 * t2071 * t1671 * t235 + 0.3e1 * t2006 * t1508 + t1622 * t236 + 0.6e1 * t1959 * t2184 + 0.6e1 * t1968 * t2162 - 0.6e1 * t2067 * t652 + t239 * t2148 - 0.9e1 * t655 * t2159 - 0.3e1 * t599 * t2170 + 0.3e1 * t234 * t2174 + 0.3e1 * t2178 * t236 + 0.3e1 * t450 * t663 + 0.3e1 * t588 * t676;
  t2191 = my_piecewise5(t52, 0, t55, 0, t1864 + t1920 + t1975 + t2021 + t2070 + t2111 + t2146 + t2187);
  t2198 = my_piecewise3(t3, 0, 0.2e1 / 0.45e2 * t8 * t391 * t123 - t8 * t150 * t262 / 0.1e2 + 0.3e1 / 0.1e2 * t8 * t73 * t682 + 0.3e1 / 0.2e2 * t8 * t24 * (-0.77e3 / 0.243e3 * t1802 + 0.616e4 / 0.2187e4 * t30 * t1801 * t65 - 0.44e3 / 0.243e3 * t30 * t551 * t100 + 0.4e2 / 0.81e2 * t30 * t223 * t210 - 0.5e1 / 0.81e2 * t30 * t110 * t534 + t411 * t121 + 0.3e1 * t167 * t260 + 0.3e1 * t87 * t680 + t47 * t2191));
  tv4rho3sigma0 = 0.2e1 * rho[0] * t2198 + 0.6e1 * t687;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  t2223 = my_piecewise3(t55, 0, -0.11e4 / 0.729e3 * t552);
  t2224 = my_piecewise3(t57, t2223, 0);
  t2232 = t173 * t981;
  t2235 = t461 * t93;
  t2237 = t2235 * t97 * t193;
  t2242 = t286 * t174;
  t2244 = t173 * t2242 * t197;
  t2247 = t1118 * params->csk_a;
  t2248 = t429 * t2247;
  t2251 = t136 * t420;
  t2252 = t2251 * t197;
  t2253 = t419 * t2252;
  t2257 = t183 * t1118 * t193;
  t2262 = -t89 * t2224 * t98 - 0.12e2 * t2253 * t1638 + 0.9e1 * t764 * t1834 - 0.9e1 * t2232 * t1842 + 0.9e1 * t992 * t1848 + 0.18e2 * t1867 * t2248 + 0.9e1 * t1928 * t2257 - 0.9e1 * t2232 * t2237 - 0.9e1 * t2244 * t456 - 0.9e1 * t2244 * t464 + 0.4e1 * t723 + 0.4e1 * t727 - 0.4e1 * t739;
  t2263 = t183 * t2247;
  t2272 = t173 * t2252;
  t2277 = t281 * t424;
  t2278 = t89 * t2277;
  t2285 = t987 * t193;
  t2286 = t429 * t2285;
  t2293 = t183 * t2285;
  t2298 = -0.6e1 * t2253 * t1573 + 0.18e2 * t2272 * t1573 - 0.18e2 * t2253 * t1619 - 0.9e1 * t970 * t1848 + 0.18e2 * t1867 * t2263 - 0.6e1 * t2278 * t1882 - 0.18e2 * t2278 * t1893 - 0.9e1 * t964 * t1899 + 0.9e1 * t992 * t1899 + 0.9e1 * t1906 * t2286 + 0.9e1 * t1906 * t2293 - 0.6e1 * t970 * t1911 - 0.3e1 * t964 * t1915 - 0.3e1 * t970 * t1915;
  t2307 = t89 * t286 * t93 * t178;
  t2310 = t173 * t2277;
  t2315 = t136 * t1488;
  t2316 = t419 * t2315;
  t2319 = t89 * t2251;
  t2322 = t173 * t2251;
  t2325 = t497 * t721;
  t2330 = t173 * t2315;
  t2333 = t89 * t2315;
  t2339 = 0.9e1 * t89 * t981 * t1943 + 0.18e2 * t2272 * t1553 + 0.9e1 * t992 * t1915 + 0.18e2 * t2310 * t1936 + 0.12e2 * t2316 * t1949 + t2333 * t1973 - 0.11e2 * t2330 * t1984 + 0.11e2 * t2333 * t1984 + 0.3e1 * t2319 * t1997 - 0.3e1 * t2322 * t1997 - 0.6e1 * t2316 * t2003 - 0.3e1 * t2322 * t2016 - 0.18e2 * t2035 * t2325 + 0.9e1 * t2307 * t642;
  t2344 = t286 * t422;
  t2345 = t173 * t2344;
  t2348 = t419 * t2344;
  t2357 = t1485 * t2315;
  t2359 = t497 * t1094;
  t2364 = t89 * t2344;
  t2367 = t1671 * t733;
  t2372 = t707 * t176;
  t2373 = t173 * t2372;
  t2376 = 0.6e1 * t2316 * t1961 - 0.18e2 * t2330 * t1961 + 0.6e1 * t2333 * t1961 + 0.6e1 * t2316 * t1973 - 0.7e1 * t2330 * t1973 - t2357 * t1973 + 0.7e1 * t2071 * t2367 - 0.11e2 * t2330 * t2075 + 0.9e1 * t2345 * t632 - 0.9e1 * t2348 * t577 - 0.3e1 * t2348 * t632 + 0.9e1 * t599 * t2359 - 0.9e1 * t2364 * t607 - 0.3e1 * t2373 * t257;
  t2393 = t1494 * t136;
  t2395 = t1649 * t2393 * t502;
  t2400 = t428 * t286;
  t2402 = t513 * t2400 * params->csk_a;
  t2406 = t1649 * t2393 * params->csk_a;
  t2412 = t1671 * t278 * t502;
  t2415 = -0.12e2 * t282 * t501 * t2183 * t197 - 0.12e2 * t2357 * t1949 + 0.11e2 * t1987 * t2395 - 0.6e1 * t1987 * t2406 + 0.7e1 * t1987 * t2412 + 0.18e2 * t2316 * t2027 - t293 * t2094 - t293 * t2107 - 0.6e1 * t2357 * t2118 + 0.9e1 * t2345 * t607 - 0.6e1 * t2348 * t584 + 0.9e1 * t599 * t2402 - 0.3e1 * t715 * t581;
  t2418 = t1655 * t750;
  t2422 = t1655 * t749 * t502;
  t2432 = t205 * t777 * t197;
  t2436 = t513 * t749 * t197;
  t2440 = t497 * t278 * t193;
  t2454 = 0.9e1 * t89 * t2242 * t618 - 0.18e2 * t1968 * t2367 - 0.12e2 * t1968 * t2418 - 0.6e1 * t1987 * t2418 + 0.18e2 * t1987 * t2422 - 0.7e1 * t2330 * t2027 - 0.7e1 * t2357 * t2027 - 0.6e1 * t718 * t2040 - 0.6e1 * t2047 * t2436 - 0.9e1 * t2052 * t2440 - 0.3e1 * t2364 * t632 - 0.3e1 * t2373 * t241 + 0.9e1 * t622 * t2432 - 0.3e1 * t715 * t446;
  t2456 = t89 * t2372;
  t2478 = t497 * t777;
  t2481 = -0.3e1 * t902 * t513 * t1583 * t136 - t89 * t136 * t433 * t199 + t282 * t2094 + t282 * t2148 + 0.9e1 * t2345 * t577 + 0.3e1 * t2456 * t241 + 0.3e1 * t2456 * t252 - 0.9e1 * t655 * t2478 + 0.3e1 * t754 * t446 - t291 + 0.4e1 * t765 - 0.4e1 * t767 - 0.3e1 * t785 - 0.2e1 * t789;
  t2482 = t1655 * t749;
  t2490 = t513 * t2400;
  t2493 = t1649 * t2393;
  t2500 = t205 * t182 * t707;
  t2509 = t1671 * t278;
  t2518 = -0.3e1 * t89 * t286 * t193 * t199 - 0.3e1 * t89 * t707 * t91 * t199 + 0.3e1 * t2319 * t1508 + t1622 * t279 + 0.6e1 * t1968 * t2482 + t1987 * t2493 + 0.11e2 * t2071 * t2509 + 0.3e1 * t2178 * t279 + 0.6e1 * t2333 * t2184 + 0.3e1 * t234 * t2500 - 0.6e1 * t2364 * t652 - 0.3e1 * t599 * t2490 + 0.3e1 * t450 * t778 + 0.3e1 * t754 * t676;
  t2522 = my_piecewise5(t52, 0, t55, 0, t2262 + t2298 + t2339 + t2376 + t2415 + t2454 + t2481 + t2518);
  t2529 = my_piecewise3(t3, 0, 0.2e1 / 0.45e2 * t8 * t391 * t141 - t8 * t150 * t299 / 0.1e2 + 0.3e1 / 0.1e2 * t8 * t73 * t795 + 0.3e1 / 0.2e2 * t8 * t24 * (-0.11e4 / 0.729e3 * t555 + 0.1e3 / 0.81e2 * t558 - 0.25e2 / 0.54e2 * t561 + 0.5e1 / 0.54e2 * t30 * t129 * t534 + t411 * t139 + 0.3e1 * t167 * t297 + 0.3e1 * t87 * t793 + t47 * t2522));
  tv4rho3lapl0 = 0.2e1 * rho[0] * t2529 + 0.6e1 * t800;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 0] += tv4rho3lapl0;

  tv4rho3tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 0] += tv4rho3tau0;

  t2551 = t245 * t245;
  t2552 = t89 * t2551;
  t2560 = t912 * t178;
  t2561 = t173 * t2560;
  t2562 = t1926 * t245;
  t2570 = t91 * t197 * t245;
  t2571 = t954 * t2570;
  t2574 = t313 * t424;
  t2575 = t419 * t2574;
  t2576 = t502 * t174;
  t2577 = t97 * t197;
  t2578 = t2576 * t2577;
  t2581 = t317 * t93;
  t2582 = t2581 * t178;
  t2583 = t173 * t2582;
  t2585 = 0.3e1 * t2583 * t1531;
  t2588 = 0.3e1 * t89 * t2582 * t642;
  t2590 = 0.3e1 * t2583 * t642;
  t2593 = t89 * t2574;
  t2596 = t173 * t2574;
  t2599 = t813 * t424;
  t2600 = t419 * t2599;
  t2601 = t2576 * t176;
  t2602 = t429 * t2601;
  t2605 = 0.2e1 * t173 * t2551 * t184 - 0.12e2 * t2561 * t2015 * t2562 - 0.12e2 * t2561 * t827 * t865 + 0.18e2 * t2575 * t1531 - 0.2e1 * t2552 * t199 + 0.2e1 * t2552 * t201 + 0.12e2 * t639 * t2571 - 0.6e1 * t2575 * t2578 - 0.6e1 * t2593 * t2578 + 0.18e2 * t2596 * t2578 - 0.12e2 * t2600 * t2602 - t2585 + t2588 - t2590 - t319 - t321;
  t2606 = t998 * t245;
  t2607 = t429 * t2606;
  t2610 = t1831 * t463;
  t2613 = t2576 * t1618;
  t2616 = t816 * t865;
  t2619 = t97 * t2606;
  t2631 = t640 * t1552;
  t2643 = t502 * t180;
  t2644 = t662 * t91;
  t2645 = t2643 * t2644;
  t2657 = t183 * t2576 * t197;
  t2660 = -0.8e1 * t986 * t2607 - 0.3e1 * t815 * t2610 - 0.18e2 * t2600 * t2613 + 0.12e2 * t1845 * t2616 - 0.4e1 * t1914 * t2619 + 0.12e2 * t1845 * t2619 - 0.4e1 * t986 * t2619 + 0.12e2 * t986 * t183 * t816 * t245 + 0.18e2 * t173 * t2599 * t2631 - 0.18e2 * t2593 * t642 + 0.12e2 * t1906 * t429 * t965 * t245 + 0.12e2 * t980 * t183 * t2570 - 0.12e2 * t986 * t2645 + 0.12e2 * t1845 * t2645 + 0.12e2 * t89 * t2560 * t97 * t2562 + 0.3e1 * t822 * t1538 + 0.18e2 * t2596 * t2657;
  t2664 = t183 * t1841;
  t2668 = t419 * t186 * t424;
  t2669 = t429 * t1228;
  t2672 = t310 * t1488;
  t2673 = t89 * t2672;
  t2675 = t1751 * t189 * t174;
  t2678 = t310 * t1506;
  t2679 = t173 * t2678;
  t2680 = t206 * t174;
  t2681 = t205 * t2680;
  t2684 = t419 * t2672;
  t2685 = t1655 * t583;
  t2689 = t501 * t651 * t176;
  t2692 = t317 * t422;
  t2693 = t89 * t2692;
  t2695 = 0.3e1 * t2693 * t607;
  t2696 = t173 * t2692;
  t2698 = 0.3e1 * t2696 * t607;
  t2699 = t461 * t606;
  t2702 = t173 * t2672;
  t2705 = t310 * t174;
  t2709 = t1671 * t2680;
  t2712 = t1751 * t631;
  t2719 = 0.3e1 * t89 * t2705 * t1997 - 0.12e2 * t1914 * t2616 - 0.3e1 * t815 * t2664 + 0.18e2 * t2668 * t2669 + 0.11e2 * t2673 * t2675 + 0.6e1 * t2673 * t2712 - 0.11e2 * t2702 * t2675 - 0.3e1 * t2679 * t2681 - 0.3e1 * t2679 * t2699 - 0.6e1 * t2684 * t2685 - 0.18e2 * t2684 * t2709 + 0.6e1 * t2684 * t2712 - 0.12e2 * t860 * t2689 - 0.18e2 * t2702 * t2712 - t2695 + t2698;
  t2721 = t1751 * t1752 * t174;
  t2727 = t1485 * t2672;
  t2729 = t2693 * t632;
  t2731 = 0.3e1 * t2696 * t632;
  t2732 = t419 * t2692;
  t2733 = t2732 * t632;
  t2735 = t1655 * t1657 * t174;
  t2738 = t841 * t446;
  t2740 = 0.3e1 * t2696 * t577;
  t2743 = t174 * t1488;
  t2744 = t1485 * t2743;
  t2759 = 0.3e1 * t89 * t2581 * t1634;
  t2761 = t1649 * t1663 * t174;
  t2764 = -0.6e1 * t2744 * t1655 * t903 * params->csk_a + 0.7e1 * t2727 * t1671 * t518 * t174 + 0.3e1 * t838 * t1627 + t2673 * t2721 + 0.6e1 * t2684 * t2721 + 0.12e2 * t2684 * t2735 + 0.18e2 * t2727 * t2685 - 0.7e1 * t2702 * t2721 - t2727 * t2721 - 0.12e2 * t2727 * t2735 - 0.6e1 * t2727 * t2761 - t2729 + t2731 - t2733 + t2738 + t2740 + t2759;
  t2769 = t843 * t581;
  t2770 = t428 * t317;
  t2772 = t513 * t2770 * params->csk_a;
  t2774 = 0.3e1 * t599 * t2772;
  t2776 = 0.2e1 * t2732 * t584;
  t2779 = t182 * t310;
  t2780 = t2779 * t197;
  t2781 = t497 * t2780;
  t2784 = t843 * t446;
  t2785 = t497 * t1265;
  t2787 = 0.3e1 * t599 * t2785;
  t2789 = 0.3e1 * t2732 * t577;
  t2794 = t173 * t2743;
  t2795 = t2779 * params->csk_a;
  t2796 = t1671 * t2795;
  t2800 = t513 * t528 * t193;
  t2803 = t1494 * t310;
  t2809 = t1671 * t1235;
  t2812 = 0.11e2 * t2744 * t1649 * t2803 * t502 - t848 * t1565 + 0.3e1 * t832 * t1595 - 0.3e1 * t848 * t1595 + 0.3e1 * t832 * t1610 + 0.3e1 * t860 * t1943 - 0.18e2 * t203 * t2781 + 0.7e1 * t2794 * t2796 - 0.11e2 * t2794 * t2809 - 0.2e1 * t838 * t2800 - t2769 + t2774 - t2776 - t2784 + t2787 - t2789;
  t2814 = t1671 * t1672 * t174;
  t2833 = t419 * t186;
  t2843 = t1655 * t428 * t174 * params->csk_a;
  t2853 = t188 * t189 * t568;
  t2857 = t501 * t251 * t245;
  t2860 = -0.7e1 * t2702 * t2814 + 0.3e1 * t832 * t1565 + 0.18e2 * t2684 * t2814 - t838 * t1565 - 0.7e1 * t2727 * t2814 - 0.4e1 * t818 + 0.4e1 * t825 - 0.4e1 * t829 - 0.4e1 * t902 * t513 * t600 * t245 + 0.3e1 * t876 * t1600 - 0.6e1 * t2833 * t513 * t903 * t197 - 0.12e2 * t592 * t497 * t2644 - 0.12e2 * t2684 * t2843 + 0.3e1 * t838 * t1585 - 0.6e1 * t2744 * t1649 * t2803 * params->csk_a + 0.2e1 * t239 * t2853 - 0.8e1 * t612 * t2857;
  t2867 = t205 * t206 * t568;
  t2871 = t205 * t906 * t197;
  t2873 = 0.3e1 * t622 * t2871;
  t2874 = 0.2e1 * t842;
  t2875 = 0.2e1 * t844;
  t2876 = 0.2e1 * t859;
  t2879 = 0.2e1 * t892;
  t2880 = 0.2e1 * t908;
  t2881 = 0.3e1 * t911;
  t2883 = t2551 * t176;
  t2887 = t173 * t2883;
  t2895 = 0.3e1 * t173 * t2705 * t1512 + 0.2e1 * t89 * t2883 * t190 - 0.3e1 * t838 * t1610 - 0.2e1 * t2887 * t190 - 0.2e1 * t2887 * t207 - 0.2e1 * t254 * t2853 - 0.2e1 * t254 * t2867 + t2873 + t2874 - t2875 - t2876 + t2879 + t2880 - t2881 + 0.4e1 * t863 + 0.4e1 * t880 - 0.4e1 * t917;
  t2897 = t188 * t651;
  t2900 = t1751 * t651;
  t2904 = 0.2e1 * t2693 * t652;
  t2905 = t96 * t568;
  t2909 = t188 * t2905;
  t2912 = t497 * t906;
  t2914 = 0.3e1 * t655 * t2912;
  t2915 = t501 * t675;
  t2918 = t1671 * t2779;
  t2923 = t419 * t2743;
  t2932 = t450 * t907;
  t2933 = t513 * t2770;
  t2934 = t599 * t2933;
  t2937 = t89 * t317 * t193 * t199;
  t2938 = t841 * t676;
  t2939 = 0.3e1 * t89 * t2678 * t2897 + 0.6e1 * t2673 * t2900 - t2904 - 0.2e1 * t913 * t914 * t2905 + 0.2e1 * t239 * t2909 - t2914 - 0.2e1 * t848 * t2915 + 0.11e2 * t2794 * t2918 - 0.3e1 * t832 * t1687 + 0.6e1 * t2923 * t1655 * t903 + 0.2e1 * t254 * t2174 - t1570 * t904 + t2744 * t1649 * t2803 + t2932 - t2934 - t2937 + t2938;
  t2943 = my_piecewise5(t52, 0, t55, 0, t2605 + t2660 + t2719 + t2764 + t2812 + t2860 + t2895 + t2939);
  t2950 = my_piecewise3(t3, 0, -t8 * t150 * t329 / 0.3e2 + t8 * t73 * t926 / 0.5e1 + 0.3e1 / 0.2e2 * t8 * t24 * (-0.88e3 / 0.729e3 * t30 * t551 * t121 + 0.16e3 / 0.243e3 * t30 * t223 * t260 - 0.1e2 / 0.81e2 * t30 * t110 * t680 + t167 * t327 + 0.2e1 * t87 * t924 + t47 * t2943));
  tv4rho2sigma20 = 0.2e1 * rho[0] * t2950 + 0.4e1 * t931;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  t2977 = t1030 * t197;
  t2978 = t173 * t2977;
  t2981 = t1033 * t197;
  t2982 = t173 * t2981;
  t2987 = t429 * t136;
  t2991 = t419 * t948;
  t2998 = t183 * t136;
  t3002 = t574 * t174;
  t3013 = t183 * t502;
  t3030 = -t319 - 0.6e1 * t2978 * t960 - 0.6e1 * t2982 * t960 - 0.3e1 * t949 * t1842 + 0.18e2 * t2668 * t2987 * t1315 - 0.12e2 * t2991 * t513 * t428 * t2601 - 0.3e1 * t949 * t2237 + 0.18e2 * t2668 * t2998 * t1315 - 0.18e2 * t2991 * t3002 * t1618 + 0.6e1 * t2307 * t956 + 0.6e1 * t764 * t2571 + 0.3e1 * t764 * t954 * t1929 + 0.18e2 * t2310 * t3013 * t645 - 0.6e1 * t2978 * t951 - 0.6e1 * t2982 * t951 + 0.18e2 * t949 * t475 * t174 * t1552 - 0.18e2 * t2278 * t954 * t645 - 0.4e1 * t952 + 0.4e1 * t957;
  t3032 = t2315 * t1490;
  t3033 = t1485 * t3032;
  t3034 = t1656 * t118;
  t3035 = t3034 * t576;
  t3038 = t419 * t3032;
  t3041 = t3034 * t174;
  t3042 = t429 * t3041;
  t3045 = t173 * t3032;
  t3049 = t1656 * t174 * t999;
  t3055 = t89 * t3032;
  t3057 = t2576 * t999;
  t3064 = t2743 * t1490;
  t3066 = t987 * t118;
  t3067 = t183 * t3066;
  t3073 = t97 * t965 * t174;
  t3077 = t173 * t345 * t1506;
  t3080 = t971 * t174;
  t3091 = -0.18e2 * t1885 * t183 * t737 - 0.6e1 * t3038 * t429 * t3080 - 0.18e2 * t419 * t3064 * t3067 + 0.6e1 * t992 * t2616 - 0.3e1 * t3077 * t2681 - 0.12e2 * t995 * t2689 - 0.3e1 * t3077 * t2699 - 0.7e1 * t3033 * t3035 - t3033 * t3049 + 0.18e2 * t3038 * t3035 - 0.7e1 * t3045 * t3035 + 0.12e2 * t3038 * t3042 + 0.6e1 * t3038 * t3049 + 0.6e1 * t3038 * t3057 - 0.7e1 * t3045 * t3049 - 0.18e2 * t3045 * t3057 - 0.11e2 * t3045 * t3073 + t3055 * t3049 + 0.11e2 * t3055 * t3073 - 0.4e1 * t961;
  t3101 = t97 * t1907;
  t3110 = t2344 * t424;
  t3111 = t419 * t3110;
  t3117 = t971 * t183 * t193;
  t3120 = t1485 * t3064;
  t3121 = t136 * t502;
  t3122 = t3121 * t118;
  t3132 = t971 * t193;
  t3142 = t173 * t3110;
  t3147 = t429 * t3066;
  t3150 = t89 * t3110;
  t3153 = 0.3e1 * t89 * t725 * t1506 * t343 + 0.6e1 * t3055 * t3057 - 0.6e1 * t964 * t2616 - 0.3e1 * t964 * t3101 + 0.7e1 * t173 * t3064 * t3067 - 0.11e2 * t3045 * t183 * t3080 - 0.6e1 * t3111 * t973 - 0.6e1 * t970 * t2645 - 0.3e1 * t970 * t3117 + 0.18e2 * t3120 * t429 * t3122 - 0.12e2 * t3033 * t3042 - 0.4e1 * t3111 * t977 - 0.4e1 * t970 * t2607 - 0.2e1 * t970 * t429 * t3132 + 0.11e2 * t3120 * t1495 * t3122 - 0.6e1 * t3033 * t1495 * t3041 + 0.6e1 * t3142 * t967 + 0.3e1 * t992 * t3101 - 0.6e1 * t3120 * t3147 - 0.2e1 * t3150 * t1000;
  t3172 = t783 * t197;
  t3173 = t183 * t3172;
  t3181 = t1946 * t1490;
  t3182 = t419 * t3181;
  t3188 = t419 * t1952 * t424;
  t3192 = t286 * params->csk_a * t91;
  t3193 = t429 * t3192;
  t3205 = t97 * t3132;
  t3209 = 0.6e1 * t3142 * t973 + 0.6e1 * t992 * t2645 + 0.3e1 * t992 * t3117 + 0.6e1 * t89 * t2977 * t862 + 0.6e1 * t89 * t2981 * t862 + 0.3e1 * t995 * t1943 + 0.6e1 * t3142 * t1000 + 0.6e1 * t1902 * t982 + 0.6e1 * t980 * t3173 + 0.3e1 * t980 * t2257 - 0.6e1 * t2668 * t429 * t948 - 0.12e2 * t3182 * t429 * t725 * params->csk_a + 0.6e1 * t3188 * t989 + 0.6e1 * t986 * t3193 + 0.3e1 * t986 * t2286 - 0.6e1 * t3120 * t1495 * t3066 - 0.6e1 * t3150 * t967 - 0.2e1 * t964 * t2619 - t964 * t3205 + 0.3e1 * t992 * t3205;
  t3224 = t183 * t3192;
  t3237 = t1507 * t2998;
  t3246 = t777 * t91;
  t3247 = t497 * t3246;
  t3255 = 0.6e1 * t992 * t2619 - 0.2e1 * t3111 * t1000 - 0.2e1 * t970 * t2619 - t970 * t3205 + 0.7e1 * t3120 * t183 * t3122 + 0.6e1 * t3188 * t1004 + 0.6e1 * t986 * t3224 + 0.3e1 * t986 * t2293 - t2585 + t2588 - t2590 + 0.3e1 * t346 * t1507 * t606 + 0.6e1 * t2333 * t1751 * t348 * t174 + 0.3e1 * t173 * t615 * t3237 + 0.11e2 * t1964 * t1671 * t278 * t174 - 0.6e1 * t1953 * t1011 - 0.6e1 * t592 * t3247 - 0.3e1 * t592 * t2440 + 0.6e1 * t2923 * t1655 * t1023;
  t3259 = t513 * t2096 * t136;
  t3288 = -t293 * t2867 - t1570 * t1024 - 0.2e1 * t902 * t3259 - 0.2e1 * t902 * t513 * t600 * t286 + t2744 * t1649 * t2080 * t136 + t2456 * t343 + 0.2e1 * t754 * t866 + t282 * t2853 - 0.4e1 * t2364 * t1015 - 0.4e1 * t718 * t2857 - 0.2e1 * t718 * t501 * t348 * t193 - t2373 * t343 - 0.2e1 * t715 * t866 - t293 * t2853 - t2373 * t353 - 0.2e1 * t715 * t873 - t2695 + t2698 - t2729 + t2731;
  t3292 = t3002 * t1552;
  t3297 = t97 * t502;
  t3301 = -0.6e1 * t2278 * t3297 * t645 - 0.6e1 * t2991 * t3292 + 0.18e2 * t949 * t3292 - t2733 + t2738 + t2740 + t2759 - t2769 + t2774 - t2776 - t2784 + t2787 - t2789 + t2873 + t2874 - t2875 - t2876 - t347 + 0.4e1 * t983 + 0.4e1 * t996;
  t3322 = t2879 + t2880 - t2881 - 0.2e1 * t1032 - 0.2e1 * t1035 - t2904 - t2914 + t2932 - t2934 - t2937 + t2938 + t2057 * t279 + 0.2e1 * t595 * t778 + t254 * t2500 - t89 * t707 * t118 * t199 - 0.2e1 * t89 * t286 * t245 * t199 - t89 * t136 * t568 * t199 + t2456 * t349 + 0.2e1 * t754 * t919 + t282 * t2909;
  t3326 = my_piecewise5(t52, 0, t55, 0, t3030 + t3091 + t3153 + t3209 + t3255 + t3288 + t3301 + t3322);
  t3333 = my_piecewise3(t3, 0, -t8 * t150 * t358 / 0.3e2 + t8 * t73 * t1042 / 0.5e1 + 0.3e1 / 0.2e2 * t8 * t24 * (0.1e3 / 0.243e3 * t807 - 0.25e2 / 0.81e2 * t810 + 0.5e1 / 0.54e2 * t30 * t129 * t680 - 0.44e3 / 0.729e3 * t30 * t551 * t139 + 0.8e2 / 0.243e3 * t30 * t223 * t297 - 0.5e1 / 0.81e2 * t30 * t110 * t793 + t167 * t356 + 0.2e1 * t87 * t1040 + t47 * t3326));
  tv4rho2sigmalapl0 = 0.2e1 * rho[0] * t3333 + 0.4e1 * t1047;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 0] += tv4rho2sigmalapl0;

  tv4rho2sigmatau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 0] += tv4rho2sigmatau0;

  t3351 = t286 * t286;
  t3355 = t89 * t3351;
  t3360 = t370 * t424;
  t3361 = t419 * t3360;
  t3364 = t89 * t3360;
  t3367 = t173 * t3360;
  t3372 = t1058 * t424;
  t3373 = t173 * t3372;
  t3378 = t97 * t286;
  t3379 = t816 * t3378;
  t3382 = t998 * t3378;
  t3389 = t2643 * t3246;
  t3392 = 0.2e1 * t173 * t3351 * t184 + 0.18e2 * t3361 * t1531 - 0.2e1 * t3355 * t199 + 0.2e1 * t3355 * t201 - 0.6e1 * t3361 * t2578 - 0.6e1 * t3364 * t2578 + 0.18e2 * t3367 * t2578 + 0.18e2 * t3373 * t2631 + 0.12e2 * t970 * t3224 - 0.18e2 * t3364 * t642 + 0.12e2 * t992 * t3379 - 0.4e1 * t964 * t3382 - 0.4e1 * t970 * t3382 - 0.12e2 * t970 * t3389 - t319 - t374;
  t3400 = t1118 * t178;
  t3401 = t89 * t3400;
  t3402 = t1926 * t286;
  t3406 = t173 * t763;
  t3423 = t419 * t3372;
  t3432 = -0.8e1 * t970 * t429 * t502 * t286 * t91 + 0.12e2 * t992 * t3389 + 0.12e2 * t3401 * t97 * t3402 + 0.12e2 * t3406 * t3173 + 0.12e2 * t970 * t3193 + 0.3e1 * t1065 * t1538 + 0.18e2 * t3367 * t2657 - 0.12e2 * t964 * t3379 - 0.3e1 * t1060 * t2664 + 0.18e2 * t2668 * t429 * t1058 * params->csk_a - 0.12e2 * t3423 * t2602 + 0.12e2 * t992 * t3382 - 0.3e1 * t1060 * t2610 - 0.18e2 * t3423 * t2613 - t2585 + t2588 - t2590;
  t3434 = t367 * t1488;
  t3435 = t173 * t3434;
  t3438 = t419 * t3434;
  t3445 = t1485 * t3434;
  t3447 = t89 * t3434;
  t3453 = t367 * t174;
  t3459 = t367 * t1506;
  t3460 = t173 * t3459;
  t3463 = t182 * t174;
  t3476 = -0.18e2 * t376 * t497 * t3463 * t197 + 0.3e1 * t89 * t3453 * t1997 - 0.12e2 * t1087 * t2689 - 0.11e2 * t3435 * t2675 + 0.11e2 * t3447 * t2675 - 0.3e1 * t3460 * t2681 - 0.6e1 * t3438 * t2685 - 0.3e1 * t3460 * t2699 - 0.18e2 * t3438 * t2709 - 0.18e2 * t3435 * t2712 + 0.6e1 * t3438 * t2712 + 0.6e1 * t3447 * t2712 - 0.7e1 * t3435 * t2721 + 0.6e1 * t3438 * t2721 - t3445 * t2721 + t3447 * t2721;
  t3479 = t182 * t367;
  t3487 = t513 * t1115 * t197;
  t3496 = t1494 * t367;
  t3498 = t1649 * t3496 * params->csk_a;
  t3506 = t1655 * t1115 * params->csk_a;
  t3513 = t1671 * t3479 * t502;
  t3522 = 0.7e1 * t2794 * t1671 * t3479 * params->csk_a - t1071 * t1565 - 0.3e1 * t1071 * t1595 + 0.3e1 * t1074 * t1600 + 0.3e1 * t1077 * t1585 + 0.3e1 * t1077 * t1627 + 0.3e1 * t1084 * t1565 + 0.18e2 * t3445 * t2685 - 0.6e1 * t2744 * t3498 - 0.6e1 * t2744 * t3506 - 0.11e2 * t2794 * t3513 - 0.7e1 * t3435 * t2814 + 0.18e2 * t3438 * t2814 - 0.7e1 * t3445 * t2814 - 0.6e1 * t2833 * t3487 - 0.12e2 * t3438 * t2843 - 0.12e2 * t711 * t3247;
  t3531 = t513 * t749 * t286;
  t3535 = t461 * t97 * t707;
  t3566 = 0.11e2 * t3445 * t1649 * t1650 * t174 - 0.2e1 * t293 * t205 * t206 * t707 - 0.8e1 * t718 * t501 * t251 * t286 - t1077 * t1565 - 0.3e1 * t1077 * t1610 - 0.2e1 * t1077 * t2800 + 0.3e1 * t1084 * t1595 + 0.3e1 * t1084 * t1610 + 0.3e1 * t1087 * t1943 + 0.12e2 * t3438 * t2735 - 0.12e2 * t3445 * t2735 + 0.7e1 * t2744 * t3513 - 0.6e1 * t3445 * t2761 + 0.2e1 * t282 * t3535 - 0.2e1 * t293 * t3535 - 0.4e1 * t902 * t3531;
  t3567 = t173 * t3400;
  t3577 = -0.12e2 * t3567 * t2015 * t3402 + 0.12e2 * t764 * t954 * t3172 - 0.12e2 * t3567 * t827 * t3378 - t2695 + t2698 - t2729 + t2731 - t2733 + t2738 + t2740 + t2759 - t2769 + t2774 - t2776 - t2784 + t2787 - t2789;
  t3585 = -0.4e1 * t1061 + 0.4e1 * t1066 - 0.4e1 * t1068 + t2873 + 0.4e1 * t1075 + 0.4e1 * t1088 + t2874 - t2875 - t2876 + t2879 + t2880 - t2881 - 0.4e1 * t1122 - t2904 - t2914 + t2932 - t2934;
  t3586 = t89 * t3459;
  t3602 = t1649 * t3496;
  t3604 = t96 * t707;
  t3613 = t1655 * t1115;
  t3616 = t3351 * t176;
  t3617 = t173 * t3616;
  t3625 = -t2937 + t2938 + 0.3e1 * t3586 * t2897 + 0.6e1 * t3447 * t2900 + 0.3e1 * t173 * t3453 * t1512 + 0.11e2 * t3435 * t1671 * t3463 - 0.2e1 * t1071 * t2915 + 0.2e1 * t293 * t2500 - t1570 * t1116 + t2744 * t3602 - 0.2e1 * t1119 * t914 * t3604 + 0.2e1 * t282 * t188 * t3604 - 0.3e1 * t1084 * t1687 + 0.6e1 * t2923 * t3613 - 0.2e1 * t3617 * t190 - 0.2e1 * t3617 * t207 + 0.2e1 * t89 * t3616 * t190;
  t3629 = my_piecewise5(t52, 0, t55, 0, t3392 + t3432 + t3476 + t3522 + t3566 + t3577 + t3585 + t3625);
  t3636 = my_piecewise3(t3, 0, -t8 * t150 * t382 / 0.3e2 + t8 * t73 * t1131 / 0.5e1 + 0.3e1 / 0.2e2 * t8 * t24 * (0.2e3 / 0.243e3 * t942 - 0.5e2 / 0.81e2 * t945 + 0.5e1 / 0.27e2 * t30 * t129 * t793 + t167 * t380 + 0.2e1 * t87 * t1129 + t47 * t3629));
  tv4rho2lapl20 = 0.2e1 * rho[0] * t3636 + 0.4e1 * t1136;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 0] += tv4rho2lapl20;

  tv4rho2lapltau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 0] += tv4rho2lapltau0;

  tv4rho2tau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 0] += tv4rho2tau20;

  t3649 = t2692 * t424;
  t3651 = t173 * t3649 * t967;
  t3653 = t1153 * t424;
  t3656 = t176 * params->csk_a * t91;
  t3657 = t97 * t3656;
  t3660 = t419 * t3649;
  t3661 = t3660 * t973;
  t3663 = params->csk_a * t317;
  t3665 = t97 * t3663 * t91;
  t3666 = t1914 * t3665;
  t3668 = t3660 * t1000;
  t3670 = t502 * t317;
  t3671 = t3670 * t91;
  t3672 = t97 * t3671;
  t3673 = t1914 * t3672;
  t3675 = t1845 * t3672;
  t3677 = t1142 * t176;
  t3678 = t3677 * t424;
  t3679 = t419 * t3678;
  t3680 = t183 * t823;
  t3683 = t173 * t3678;
  t3684 = t998 * t197;
  t3685 = t183 * t3684;
  t3688 = t1179 * t197;
  t3690 = t1928 * t183 * t3688;
  t3692 = t89 * t3688;
  t3693 = t3692 * t862;
  t3695 = t183 * t3671;
  t3696 = t1845 * t3695;
  t3698 = -0.18e2 * t89 * t3653 * t3657 + 0.18e2 * t3679 * t3680 + 0.18e2 * t3683 * t3685 - t319 - t321 + 0.9e1 * t3651 - 0.9e1 * t3661 - 0.9e1 * t3666 - 0.3e1 * t3668 - 0.3e1 * t3673 + 0.9e1 * t3675 + 0.9e1 * t3690 + 0.9e1 * t3693 + 0.9e1 * t3696;
  t3703 = t97 * t1536 * t245;
  t3707 = t97 * t3684;
  t3714 = t3663 * t118;
  t3716 = t1906 * t183 * t3714;
  t3718 = t1840 * t865;
  t3722 = t1906 * t429 * t3714;
  t3724 = t3660 * t977;
  t3726 = t1840 * t245;
  t3727 = t183 * t3726;
  t3730 = t233 * t424;
  t3731 = t419 * t3730;
  t3732 = t1153 * params->csk_a;
  t3738 = t429 * t3684;
  t3741 = t1142 * t1488;
  t3742 = t1485 * t3741;
  t3743 = t2024 * t972;
  t3746 = 0.18e2 * t173 * t3653 * t3657 - 0.6e1 * t89 * t3678 * t3707 + 0.18e2 * t3731 * t429 * t3732 - 0.18e2 * t3679 * t3685 - 0.6e1 * t3679 * t3707 - 0.12e2 * t3679 * t3738 + 0.18e2 * t3683 * t3707 + 0.9e1 * t822 * t3703 - 0.9e1 * t815 * t3718 - 0.9e1 * t815 * t3727 - 0.7e1 * t3742 * t3743 + 0.9e1 * t3716 + 0.9e1 * t3722 - 0.6e1 * t3724;
  t3748 = t1671 * t855;
  t3752 = t574 * t183 * t245;
  t3755 = t91 * t1488;
  t3756 = t1485 * t3755;
  t3757 = t428 * t1142;
  t3759 = t1655 * t3757 * t502;
  t3763 = t2024 * t429 * t91;
  t3767 = t513 * t528 * t245;
  t3770 = t1494 * t1142;
  t3776 = t1649 * t1663 * t91;
  t3781 = t89 * t3741;
  t3782 = t1751 * t240;
  t3785 = t173 * t3741;
  t3788 = t419 * t3741;
  t3789 = t1671 * t256;
  t3793 = t1751 * t1752 * t91;
  t3799 = 0.11e2 * t3756 * t1649 * t3770 * t502 + 0.7e1 * t3742 * t3748 - 0.12e2 * t3742 * t3763 - 0.6e1 * t3742 * t3776 + 0.9e1 * t832 * t3752 - 0.9e1 * t838 * t3752 + 0.18e2 * t3756 * t3759 - 0.6e1 * t838 * t3767 + 0.11e2 * t3781 * t3782 + t3781 * t3793 - 0.11e2 * t3785 * t3782 - 0.7e1 * t3785 * t3793 - 0.18e2 * t3788 * t3789 + 0.6e1 * t3788 * t3793;
  t3812 = t588 * t1166;
  t3816 = t2052 * t497 * t906 * t118;
  t3818 = t1142 * t1506;
  t3819 = t173 * t3818;
  t3822 = t1142 * t91;
  t3827 = t1751 * t503 * t91;
  t3834 = t2693 * t1015;
  t3837 = t501 * t1694 * t91;
  t3842 = -0.6e1 * t419 * t233 * t513 * t3757 * t197 + 0.3e1 * t89 * t3822 * t1997 - 0.12e2 * t1185 * t3837 - 0.3e1 * t3819 * t241 - 0.3e1 * t3819 * t257 - t3742 * t3793 - 0.7e1 * t3785 * t3743 + 0.18e2 * t3788 * t3743 + 0.12e2 * t3788 * t3763 + 0.6e1 * t3781 * t3827 - 0.18e2 * t3785 * t3827 + 0.6e1 * t3788 * t3827 + 0.3e1 * t3812 - 0.9e1 * t3816 - 0.6e1 * t3834;
  t3845 = t1655 * t851;
  t3852 = t475 * t865;
  t3856 = t1649 * t1724 * t91;
  t3861 = t574 * t865;
  t3864 = t843 * t866;
  t3866 = t1655 * t882;
  t3879 = t843 * t873;
  t3881 = -0.6e1 * t3756 * t1655 * t3757 * params->csk_a + 0.9e1 * t838 * t2062 + 0.9e1 * t838 * t2098 - 0.6e1 * t3742 * t3856 - 0.11e2 * t3785 * t3748 - 0.6e1 * t3788 * t3845 - 0.12e2 * t3788 * t3866 + 0.9e1 * t832 * t3852 - 0.9e1 * t848 * t3852 + 0.9e1 * t832 * t3861 - 0.3e1 * t838 * t3861 - 0.3e1 * t848 * t3861 - 0.3e1 * t3864 - 0.3e1 * t3879;
  t3883 = t188 * t492 * t245;
  t3886 = t182 * t1142;
  t3897 = t902 * t513 * t600 * t317;
  t3899 = t173 * t3688;
  t3900 = t3899 * t960;
  t3902 = t3692 * t951;
  t3904 = t3899 * t951;
  t3906 = -0.18e2 * t234 * t497 * t3886 * t197 + 0.9e1 * t876 * t2044 + 0.7e1 * t3785 * t3789 + 0.9e1 * t860 * t3883 - t1152 - t1156 - t1158 - 0.3e1 * t3897 - 0.9e1 * t3900 + 0.9e1 * t3902 - 0.9e1 * t3904 - t818 + t825 - t829;
  t3908 = 0.6e1 * t1181;
  t3909 = -t1160 + t1164 + t1168 + t842 - t844 - t859 + t863 + t880 + t892 + t908 - t911 - t918 - t3908 + t1184;
  t3913 = t1751 * t251;
  t3921 = t595 * t907;
  t3933 = t89 * t317 * t245 * t199;
  t3935 = t841 * t919;
  t3937 = t501 * t915;
  t3940 = t173 * t3755;
  t3944 = 0.6e1 * t419 * t3755 * t1655 * t3757 + 0.3e1 * t173 * t3822 * t1512 + t3756 * t1649 * t3770 + 0.11e2 * t3940 * t1671 * t3886 + 0.3e1 * t89 * t3818 * t252 - 0.9e1 * t832 * t2159 - 0.3e1 * t838 * t2170 + 0.6e1 * t3781 * t3913 - 0.6e1 * t848 * t3937 + t1187 + t1190 + t1203 + 0.3e1 * t3921 - 0.3e1 * t3933 + 0.3e1 * t3935;
  t3948 = my_piecewise5(t52, 0, t55, 0, t3698 + t3746 + t3799 + t3842 + t3881 + t3906 + t3909 + t3944);
  t3955 = my_piecewise3(t3, 0, t8 * t73 * t1210 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * (0.4e2 / 0.81e2 * t30 * t223 * t327 - 0.5e1 / 0.27e2 * t30 * t110 * t924 + t87 * t1208 + t47 * t3948));
  tv4rhosigma30 = 0.2e1 * rho[0] * t3955 + 0.2e1 * t1214;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  t3972 = t1656 * t310;
  t3973 = t3972 * t834;
  t3975 = t964 * t3672;
  t3976 = t992 * t3672;
  t3978 = t3972 * t91;
  t3979 = t183 * t3978;
  t3982 = t970 * t3672;
  t3983 = t502 * t310;
  t3984 = t3983 * t834;
  t3994 = t3660 * t1004;
  t3996 = t2672 * t1490;
  t3997 = t1485 * t3996;
  t4002 = t992 * t3695;
  t4004 = t429 * t3978;
  t4007 = t992 * t3665;
  t4009 = -t3033 * t3973 + 0.18e2 * t3038 * t3979 + 0.6e1 * t3038 * t3984 + 0.12e2 * t3038 * t4004 - 0.7e1 * t3045 * t3973 - 0.7e1 * t3045 * t3979 - 0.18e2 * t3045 * t3984 + t3055 * t3973 + 0.6e1 * t3055 * t3984 - 0.6e1 * t3997 * t989 - t319 - t3975 + 0.3e1 * t3976 - t3982 + 0.3e1 * t3994 + 0.3e1 * t4002 + 0.3e1 * t4007 - t952 + t957 - t961;
  t4013 = t964 * t3665;
  t4017 = t970 * t3695;
  t4023 = t3983 * t91;
  t4033 = t764 * t97 * t909 * t197;
  t4035 = t2583 * t982;
  t4037 = t286 * t310;
  t4039 = t173 * t4037 * t197;
  t4042 = t965 * t865;
  t4045 = t3755 * t1490;
  t4048 = t183 * t987 * t310;
  t4053 = t971 * t245;
  t4054 = t183 * t4053;
  t4058 = t970 * t429 * t3671;
  t4063 = t1485 * t4045;
  t4064 = t3121 * t310;
  t4071 = t987 * t245;
  t4075 = -0.12e2 * t419 * t3996 * t989 - 0.3e1 * t4013 - 0.7e1 * t3033 * t3979 - 0.3e1 * t4017 + 0.7e1 * t3997 * t183 * t3121 * t91 - 0.6e1 * t3038 * t429 * t4023 + 0.6e1 * t3038 * t3973 - 0.12e2 * t3033 * t4004 + 0.3e1 * t4033 + 0.3e1 * t4035 - 0.3e1 * t4039 * t464 + 0.6e1 * t992 * t4042 - 0.18e2 * t419 * t4045 * t4048 + 0.3e1 * t2307 * t1229 + 0.6e1 * t992 * t4054 - 0.2e1 * t4058 - 0.4e1 * t970 * t429 * t4053 + 0.11e2 * t4063 * t1495 * t4064 - 0.6e1 * t3033 * t1495 * t3978 + 0.6e1 * t986 * t429 * t4071;
  t4077 = t3660 * t989;
  t4090 = t971 * t865;
  t4118 = t189 * t310;
  t4119 = t188 * t4118;
  t4123 = t97 * t1227 * t91;
  t4130 = t173 * t1222 * t1506;
  t4136 = 0.3e1 * t4077 - 0.6e1 * t2575 * t429 * t981 - 0.6e1 * t3997 * t1495 * t988 - 0.6e1 * t970 * t4054 + 0.18e2 * t4063 * t429 * t4064 + 0.6e1 * t992 * t4090 - 0.2e1 * t970 * t4090 + 0.6e1 * t986 * t183 * t4071 - 0.2e1 * t964 * t4090 - 0.6e1 * t964 * t4042 + 0.7e1 * t173 * t4045 * t4048 + 0.6e1 * t995 * t3883 - 0.18e2 * t173 * t3730 * t183 * t1223 - 0.3e1 * t4039 * t456 + 0.6e1 * t980 * t183 * t2981 + 0.3e1 * t89 * t289 * t1506 * t4119 + 0.11e2 * t3055 * t4123 - 0.12e2 * t89 * t1223 * t3837 - 0.3e1 * t4130 * t257 - 0.11e2 * t3045 * t183 * t4023;
  t4160 = t718 * t501 * t1278 * t91;
  t4171 = t715 * t1266;
  t4172 = 0.6e1 * t2684 * t1655 * t749 * t91 + 0.3e1 * t89 * t4037 * t618 - 0.3e1 * t2348 * t1236 + 0.3e1 * t2345 * t1242 - 0.3e1 * t2364 * t1242 + 0.6e1 * t3696 + 0.6e1 * t3716 + 0.6e1 * t3722 - 0.4e1 * t3724 - 0.2e1 * t4160 - t4171;
  t4180 = t754 * t1166;
  t4184 = t497 * t278 * t317;
  t4185 = t2052 * t4184;
  t4188 = t513 * t2770 * t136;
  t4189 = t902 * t4188;
  t4226 = t715 * t1166;
  t4227 = -0.2e1 * t2348 * t1269 + 0.3e1 * t838 * t2402 + t4180 + 0.3e1 * t2345 * t1236 - 0.3e1 * t4185 - t4189 - 0.2e1 * t573 * t3259 + t3756 * t1649 * t2803 * t136 + 0.3e1 * t173 * t310 * t91 * t3237 + 0.3e1 * t1247 * t1507 * t834 + 0.6e1 * t2333 * t1751 * t1286 * t91 + 0.3e1 * t2345 * t1255 - t2348 * t1255 - 0.4e1 * t718 * t501 * t348 * t245 + 0.11e2 * t3940 * t1671 * t278 * t310 + 0.3e1 * t876 * t2432 - 0.6e1 * t592 * t497 * t278 * t245 + 0.3e1 * t838 * t2359 - t2364 * t1255 - t4226;
  t4234 = t1283 * t197;
  t4235 = t173 * t4234;
  t4236 = t4235 * t960;
  t4238 = t419 * t2277;
  t4240 = t3983 * t180 * t878;
  t4245 = t574 * t176 * t834;
  t4248 = t813 * t91;
  t4253 = t429 * t502;
  t4267 = t89 * t4234;
  t4268 = t4267 * t951;
  t4270 = t4235 * t951;
  t4286 = 0.18e2 * t1224 * t475 * t176 * t834 + 0.6e1 * t764 * t954 * t912 * t245 - 0.6e1 * t949 * t2235 * t865 - 0.18e2 * t2278 * t954 * t4248 + 0.18e2 * t2575 * t2987 * t823 - 0.6e1 * t949 * t959 * t3726 - 0.12e2 * t4238 * t4253 * t4248 + 0.18e2 * t1224 * t4245 + 0.18e2 * t2310 * t4240 + 0.3e1 * t4268 - 0.3e1 * t4270;
  t4295 = 0.18e2 * t3731 * t2998 * t1228 - t1226 + t1231 - t1233 + t1234 - t1239 + t1249 + t1251 - t1260 - t1262 - t1267 + t1274 - 0.6e1 * t3900 + 0.6e1 * t3902 - 0.6e1 * t3904 + t842 - t844 - t859 + t983 + t996;
  t4303 = t754 * t1279;
  t4304 = t843 * t778;
  t4308 = t89 * t286 * t317 * t199;
  t4311 = -0.2e1 * t2364 * t1287 - 0.3e1 * t832 * t2478 - t838 * t2490 + t1281 - t1356 + 0.2e1 * t3921 - 0.2e1 * t3933 + 0.2e1 * t3935 + t4303 + t4304 - t4308;
  t4316 = my_piecewise5(t52, 0, t55, 0, -0.18e2 * t4238 * t4240 - 0.3e1 * t4130 * t241 - 0.11e2 * t3045 * t4123 + t4311 + t4295 + t4286 - 0.3e1 * t4236 + t4227 + t4172 + t4136 + t4075 + t4009 - 0.2e1 * t3897 - 0.2e1 * t3879 - 0.2e1 * t3864 - 0.4e1 * t3834 - 0.6e1 * t3816 + 0.2e1 * t3812 + 0.6e1 * t3690 + 0.6e1 * t3693 + 0.6e1 * t3675 - 0.2e1 * t3673 - 0.6e1 * t3666 - 0.2e1 * t3668 - 0.6e1 * t3661 + 0.6e1 * t3651 - t347 - 0.6e1 * t419 * t1223 * t4245 - 0.6e1 * t2278 * t3297 * t4248 + t1280 + t1276 + t1277 - t911 - 0.4e1 * t1181 - t1035 - t1032 + t908 + t892);
  t4323 = my_piecewise3(t3, 0, t8 * t73 * t1296 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * (-0.25e2 / 0.162e3 * t1140 + 0.5e1 / 0.54e2 * t30 * t129 * t924 + 0.8e2 / 0.243e3 * t30 * t223 * t356 - 0.1e2 / 0.81e2 * t30 * t110 * t1040 + t87 * t1294 + t47 * t4316));
  tv4rhosigma2lapl0 = 0.2e1 * rho[0] * t4323 + 0.2e1 * t1300;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 0] += tv4rhosigma2lapl0;

  tv4rhosigma2tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 0] += tv4rhosigma2tau0;

  t4340 = t1485 * t3181;
  t4342 = t367 * params->csk_a * t91;
  t4343 = t429 * t4342;
  t4346 = t3434 * t1490;
  t4347 = t419 * t4346;
  t4349 = t235 * t91;
  t4350 = t1656 * t180 * t4349;
  t4353 = t3034 * t91;
  t4354 = t429 * t4353;
  t4357 = t183 * t966;
  t4360 = t173 * t4346;
  t4365 = t89 * t4346;
  t4370 = t1485 * t4346;
  t4375 = t97 * t4353;
  t4390 = t367 * t91;
  t4395 = -0.6e1 * t1896 * t429 * t4390 * t197 - 0.6e1 * t4370 * t1495 * t4353 + 0.6e1 * t3406 * t183 * t2977 - 0.12e2 * t3182 * t4343 - 0.6e1 * t4340 * t4343 + 0.18e2 * t4347 * t4350 + 0.12e2 * t4347 * t4354 - 0.18e2 * t4347 * t4357 + 0.6e1 * t4347 * t4375 - 0.7e1 * t4360 * t4350 - 0.7e1 * t4370 * t4350 + 0.7e1 * t4360 * t4357 - 0.7e1 * t4360 * t4375 - 0.11e2 * t4360 * t967 + t4365 * t4375 + 0.11e2 * t4365 * t967 - t4370 * t4375 + 0.7e1 * t4370 * t973 - t319 - t374;
  t4397 = t173 * t3459 * t178;
  t4408 = t89 * t3372;
  t4426 = t965 * t3378;
  t4431 = t971 * t286;
  t4432 = t97 * t4431;
  t4439 = t637 * t286;
  t4443 = t965 * t286;
  t4450 = t183 * t4431;
  t4453 = -0.3e1 * t4397 * t4357 - 0.3e1 * t4397 * t967 + 0.3e1 * t89 * t4390 * t1506 * t343 - 0.11e2 * t4360 * t973 - 0.12e2 * t4408 * t97 * t238 * t91 + 0.6e1 * t4365 * t1000 - 0.18e2 * t4360 * t1000 + 0.6e1 * t4347 * t1000 - 0.6e1 * t4347 * t977 - 0.18e2 * t3367 * t183 * t955 - 0.3e1 * t1060 * t3718 + 0.6e1 * t992 * t4426 + 0.3e1 * t1065 * t3703 - 0.2e1 * t964 * t4432 + 0.6e1 * t992 * t4432 - 0.2e1 * t970 * t4432 + 0.6e1 * t3401 * t97 * t4439 + 0.6e1 * t970 * t183 * t4443 + 0.6e1 * t970 * t429 * t4443 + 0.6e1 * t992 * t4450;
  t4461 = t367 * t502 * t118;
  t4489 = 0.11e2 * t4063 * t1495 * t4461 - 0.6e1 * t4340 * t1495 * t4342 + 0.18e2 * t4063 * t429 * t4461 - 0.4e1 * t970 * t429 * t4431 - 0.3e1 * t1060 * t3727 - 0.12e2 * t4370 * t4354 - 0.6e1 * t964 * t4426 - 0.6e1 * t970 * t4450 - 0.2e1 * t3975 + 0.6e1 * t3976 - 0.2e1 * t3982 + 0.6e1 * t3994 + 0.6e1 * t4002 + 0.6e1 * t4007 - 0.6e1 * t4013 - 0.6e1 * t4017 + 0.6e1 * t4033 + 0.6e1 * t4035 - 0.4e1 * t4058 + 0.6e1 * t4077;
  t4520 = -0.4e1 * t718 * t501 * t348 * t286 - 0.3e1 * t1071 * t3852 + 0.3e1 * t1077 * t2062 + 0.3e1 * t1077 * t2098 - t1077 * t3861 + 0.3e1 * t1084 * t3752 + 0.3e1 * t1084 * t3852 + 0.3e1 * t1084 * t3861 + 0.3e1 * t1087 * t3883 + 0.3e1 * t3722 - 0.2e1 * t3724;
  t4564 = -0.2e1 * t573 * t3531 + t3756 * t1649 * t2080 * t367 - 0.3e1 * t1077 * t3752 - 0.2e1 * t1077 * t3767 + 0.3e1 * t1074 * t2044 - 0.6e1 * t711 * t497 * t235 * t286 + 0.3e1 * t3586 * t188 * t1014 + 0.6e1 * t3447 * t1751 * t1014 + 0.3e1 * t173 * t4390 * t1507 * t1319 + 0.11e2 * t3435 * t1671 * t4349 + 0.6e1 * t1947 * t1655 * t1115 * t91 - t1071 * t3861 - 0.4e1 * t4160 - 0.2e1 * t4171 + 0.2e1 * t4180 - 0.6e1 * t4185 - 0.2e1 * t4189 - 0.2e1 * t4226 + t3812 - 0.3e1 * t3816;
  t4566 = t3656 * t999;
  t4575 = t971 * t62 * t1833;
  t4580 = t3013 * t955;
  t4606 = 0.18e2 * t3361 * t429 * t118 * t823 - 0.6e1 * t3567 * t1308 * t3378 + 0.18e2 * t3361 * t1319 * t823 - 0.6e1 * t3567 * t2015 * t4439 + 0.6e1 * t764 * t954 * t2977 - 0.12e2 * t3361 * t4253 * t955 - 0.6e1 * t3361 * t4575 - 0.18e2 * t3361 * t4580 - 0.6e1 * t3364 * t4575 + 0.18e2 * t3367 * t4575 + 0.18e2 * t3367 * t4580 + 0.18e2 * t3373 * t4566 - 0.18e2 * t4408 * t4566 - 0.2e1 * t3834 - t3864 - t3879 - t3897 - 0.6e1 * t4236 + 0.6e1 * t4268 - 0.6e1 * t4270;
  t4616 = -0.2e1 * t1071 * t3937 - 0.3e1 * t1084 * t2159 - t1956 * t1116 - t1061 + t1066 - t1068 + t1075 - t1151 - t1157 - t1311 - t1314 + t1318 + t1328 + t1336 + t1351 - t1352 - t1353 - 0.3e1 * t3900 + 0.3e1 * t3902 - 0.3e1 * t3904;
  t4622 = t1183 + t1202 + t1354 + t1355 - 0.4e1 * t1285 + t3921 - t3933 + t3935 + 0.2e1 * t4303 + 0.2e1 * t4304 - 0.2e1 * t4308;
  t4627 = my_piecewise5(t52, 0, t55, 0, t4622 + t4616 + t4606 + t4564 + t4520 + t4489 + t4453 + t4395 + 0.3e1 * t3716 + 0.3e1 * t3696 + 0.3e1 * t3690 + 0.3e1 * t3693 + 0.3e1 * t3675 - t3673 - 0.3e1 * t3666 - t3668 - 0.3e1 * t3661 + 0.3e1 * t3651 + t842 - t844 + t1088 - t1275 - t911 + t1167 + t908 + t892 - t859 - t1123);
  t4634 = my_piecewise3(t3, 0, t8 * t73 * t1367 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * (-0.25e2 / 0.81e2 * t1220 + 0.5e1 / 0.27e2 * t30 * t129 * t1040 + 0.4e2 / 0.243e3 * t30 * t223 * t380 - 0.5e1 / 0.81e2 * t30 * t110 * t1129 + t87 * t1365 + t47 * t4627));
  tv4rhosigmalapl20 = 0.2e1 * rho[0] * t4634 + 0.2e1 * t1371;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 0] += tv4rhosigmalapl20;

  tv4rhosigmalapltau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 0] += tv4rhosigmalapltau0;

  tv4rhosigmatau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 0] += tv4rhosigmatau20;

  t4645 = t1376 * t176;
  t4646 = t4645 * t424;
  t4647 = t89 * t4646;
  t4650 = t173 * t4646;
  t4653 = t419 * t4646;
  t4665 = t173 * t1385 * t424;
  t4680 = 0.9e1 * t1065 * t97 * t1536 * t286 - 0.9e1 * t1060 * t1840 * t3378 + 0.18e2 * t4653 * t429 * t823 + 0.18e2 * t4665 * t3657 + 0.18e2 * t4653 * t3680 + 0.18e2 * t4650 * t3685 - 0.18e2 * t4653 * t3685 - 0.6e1 * t4647 * t3707 + 0.18e2 * t4650 * t3707 - 0.6e1 * t4653 * t3707 - 0.12e2 * t4653 * t3738 - 0.18e2 * t4647 * t824 - t319 - t374;
  t4697 = t1376 * t1488;
  t4698 = t173 * t4697;
  t4701 = -0.9e1 * t1060 * t183 * t1840 * t286 - 0.7e1 * t4698 * t3743 - 0.3e1 * t3975 + 0.9e1 * t3976 - 0.3e1 * t3982 + 0.9e1 * t3994 + 0.9e1 * t4002 + 0.9e1 * t4007 - 0.9e1 * t4013 - 0.9e1 * t4017 + 0.9e1 * t4033 + 0.9e1 * t4035 - 0.6e1 * t4058 + 0.9e1 * t4077;
  t4703 = t419 * t4697;
  t4706 = t89 * t4697;
  t4712 = t1485 * t4697;
  t4729 = t574 * t183 * t286;
  t4734 = t1655 * t428 * t1376 * t502;
  t4737 = -0.9e1 * t1077 * t4729 + 0.18e2 * t4703 * t3743 - 0.7e1 * t4712 * t3743 + 0.7e1 * t4712 * t3748 + 0.18e2 * t3756 * t4734 + 0.12e2 * t4703 * t3763 - 0.18e2 * t4703 * t3789 - 0.7e1 * t4698 * t3793 + 0.6e1 * t4703 * t3793 + t4706 * t3793 - t4712 * t3793 - 0.18e2 * t4698 * t3827 + 0.6e1 * t4706 * t3827 - 0.6e1 * t4712 * t3866;
  t4744 = t1494 * t1376;
  t4746 = t1649 * t4744 * t502;
  t4753 = t419 * t4645;
  t4754 = t428 * t91;
  t4761 = t501 * t1080;
  t4764 = t182 * t1376;
  t4766 = t1671 * t4764 * params->csk_a;
  t4769 = t1376 * t1506;
  t4770 = t173 * t4769;
  t4783 = -0.6e1 * t1077 * t513 * t528 * t286 - 0.6e1 * t4753 * t513 * t4754 * t197 - 0.9e1 * t1071 * t4761 + 0.9e1 * t1077 * t2402 - 0.12e2 * t1416 * t3837 - 0.3e1 * t4770 * t241 - 0.3e1 * t4770 * t257 + 0.11e2 * t3756 * t4746 - 0.12e2 * t4712 * t3763 - 0.6e1 * t4712 * t3776 + 0.11e2 * t4706 * t3782 + 0.6e1 * t4703 * t3827 - 0.6e1 * t4703 * t3845 - 0.6e1 * t4712 * t3856 + 0.7e1 * t3940 * t4766;
  t4786 = t1376 * t91;
  t4797 = t501 * t503 * t286;
  t4815 = t497 * t4764 * t197;
  t4821 = 0.9e1 * t1087 * t188 * t492 * t286 + 0.3e1 * t89 * t4786 * t1997 - 0.3e1 * t1071 * t4797 + 0.9e1 * t1074 * t2432 + 0.9e1 * t1077 * t2359 - 0.3e1 * t1077 * t4797 + 0.9e1 * t1084 * t4729 + 0.9e1 * t1084 * t4761 + 0.9e1 * t1084 * t4797 - 0.18e2 * t234 * t4815 - 0.11e2 * t4698 * t3748 - 0.11e2 * t4698 * t3782 - 0.12e2 * t4703 * t3866 - 0.6e1 * t4160;
  t4835 = t89 * t4769;
  t4838 = 0.3e1 * t173 * t4786 * t1512 + 0.3e1 * t4835 * t252 + 0.6e1 * t4706 * t3913 - t1061 + t1066 - t1068 - 0.3e1 * t4171 + 0.3e1 * t4180 - 0.9e1 * t4185 - 0.3e1 * t4189 - 0.3e1 * t4226 - 0.9e1 * t4236 + 0.9e1 * t4268 - 0.9e1 * t4270;
  t4843 = t1671 * t4764;
  t4848 = t1649 * t4744;
  t4855 = -0.6e1 * t1071 * t501 * t1120 + 0.6e1 * t4703 * t1655 * t4754 - 0.3e1 * t1077 * t2490 - 0.9e1 * t1084 * t2478 + t3756 * t4848 + 0.11e2 * t3940 * t4843 + t1075 + t1088 - t1388 - t1390 + t1394 + t1395 - t1396 - t1397;
  t4856 = 0.6e1 * t1285;
  t4860 = t842 - t844 - t859 + t892 + t908 - t911 - t1123 + t1398 + t1399 - t4856 + t1418 + t1421 + 0.3e1 * t4303 + 0.3e1 * t4304 - 0.3e1 * t4308;
  t4864 = my_piecewise5(t52, 0, t55, 0, t4680 + t4701 + t4737 + t4783 + t4821 + t4838 + t4855 + t4860);
  t4871 = my_piecewise3(t3, 0, t8 * t73 * t1434 / 0.1e2 + 0.3e1 / 0.2e2 * t8 * t24 * (-0.25e2 / 0.54e2 * t1306 + 0.5e1 / 0.18e2 * t30 * t129 * t1129 + t87 * t1432 + t47 * t4864));
  tv4rholapl30 = 0.2e1 * rho[0] * t4871 + 0.2e1 * t1438;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 0] += tv4rholapl30;

  tv4rholapl2tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 0] += tv4rholapl2tau0;

  tv4rholapltau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 0] += tv4rholapltau20;

  tv4rhotau30 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 0] += tv4rhotau30;

  t4877 = t317 * t317;
  t4880 = 0.3e1 * t173 * t4877 * t184;
  t4881 = t89 * t4877;
  t4883 = 0.3e1 * t4881 * t201;
  t4885 = 0.3e1 * t4881 * t199;
  t4886 = t310 * t310;
  t4887 = t89 * t4886;
  t4890 = t173 * t4886;
  t4903 = t317 * t310;
  t4904 = t4903 * t197;
  t4905 = t173 * t4904;
  t4906 = t4905 * t464;
  t4909 = t89 * t4904 * t464;
  t4911 = t4905 * t456;
  t4914 = t501 * t503 * t317;
  t4915 = t848 * t4914;
  t4917 = t832 * t4914;
  t4919 = t4886 * t176;
  t4920 = t419 * t4919;
  t4923 = t838 * t2785;
  t4925 = t838 * t2772;
  t4928 = t497 * t518 * t317;
  t4929 = t832 * t4928;
  t4931 = t876 * t2871;
  t4933 = 0.18e2 * t4920 * t1614 - t321 - 0.18e2 * t4906 + 0.18e2 * t4909 - 0.18e2 * t4911 - 0.6e1 * t4915 + 0.18e2 * t4917 + 0.18e2 * t4923 + 0.18e2 * t4925 + 0.18e2 * t4929 + 0.18e2 * t4931;
  t4935 = t838 * t4928;
  t4938 = t513 * t528 * t317;
  t4939 = t838 * t4938;
  t4941 = t501 * t1165;
  t4942 = t848 * t4941;
  t4944 = t2696 * t1242;
  t4946 = t4886 * t197;
  t4947 = t89 * t4946;
  t4953 = t838 * t4914;
  t4960 = t173 * t4919;
  t4969 = t513 * t528 * t197;
  t4975 = t89 * t4903 * t618;
  t4977 = t4877 * t176;
  t4978 = t173 * t4977;
  t4980 = 0.3e1 * t4978 * t207;
  t4983 = 0.3e1 * t89 * t4977 * t190;
  t4984 = t4886 * t1488;
  t4985 = t419 * t4984;
  t4988 = t89 * t4984;
  t4990 = t173 * t4984;
  t4995 = -0.6e1 * t4920 * t1580 - 0.18e2 * t4920 * t1592 + 0.18e2 * t4960 * t1592 - 0.18e2 * t4985 * t1681 + 0.6e1 * t4985 * t1753 + t4988 * t1753 - 0.7e1 * t4990 * t1753 - 0.12e2 * t4920 * t4969 + 0.18e2 * t4975 - t4980 + t4983;
  t4998 = t1485 * t4984;
  t5010 = t4886 * t1506;
  t5021 = t173 * t5010;
  t5024 = t2693 * t1287;
  t5038 = t838 * t2933;
  t5040 = t832 * t2912;
  t5044 = -0.6e1 * t4985 * t1667 - 0.11e2 * t4990 * t1684 - 0.12e2 * t4947 * t1695 - 0.18e2 * t4960 * t1716 - 0.6e1 * t4998 * t1725 - 0.6e1 * t4998 * t1768 - 0.3e1 * t5021 * t190 - 0.3e1 * t5021 * t207 - 0.12e2 * t5024 - 0.6e1 * t5038 - 0.18e2 * t5040;
  t5065 = 0.3e1 * t4978 * t190;
  t5078 = -0.4e1 * t1151 - 0.4e1 * t1155 - 0.4e1 * t1157 - 0.4e1 * t1159 + 0.4e1 * t1163 + 0.4e1 * t1167 - 0.9e1 * t1181 + 0.4e1 * t1183 + 0.4e1 * t1186 + 0.4e1 * t1189 + 0.4e1 * t1202;
  t5082 = my_piecewise5(t52, 0, t55, 0, -0.12e2 * t4998 * t1658 + 0.11e2 * t4998 * t1651 - 0.6e1 * t4998 * t1664 + 0.11e2 * t4988 * t1705 - 0.11e2 * t4990 * t1705 + 0.7e1 * t4990 * t1681 - 0.6e1 * t4920 * t1743 - 0.12e2 * t4985 * t1768 + 0.18e2 * t4998 * t1667 - 0.18e2 * t4990 * t1763 + 0.6e1 * t4985 * t1763 - t4998 * t1753 + 0.18e2 * t4985 * t1673 + 0.12e2 * t4985 * t1658 - 0.7e1 * t4990 * t1673 - 0.7e1 * t4998 * t1673 + 0.7e1 * t4998 * t1684 + 0.6e1 * t4988 * t1763 + 0.18e2 * t4920 * t1606 + 0.18e2 * t4960 * t1580 - 0.18e2 * t4947 * t1553 + 0.6e1 * t4887 * t1503 + 0.3e1 * t4890 * t1512 + 0.3e1 * t4887 * t1508 + 0.11e2 * t4890 * t1515 + t5078 - t5065 + t5044 + t4995 - 0.6e1 * t4953 + 0.18e2 * t4944 - 0.12e2 * t4939 - 0.18e2 * t4942 - 0.18e2 * t4935 + t4933 + t4883 - t4885 + t4880 - t319 + 0.6e1 * t419 * t4886 * t1519 + t1485 * t4886 * t1496 + 0.18e2 * t173 * t4946 * t1553 - 0.6e1 * t89 * t4919 * t1580 + 0.3e1 * t89 * t5010 * t190);
  t5088 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * (-0.2e2 / 0.81e2 * t30 * t110 * t1208 + t47 * t5082));
  tv4sigma40 = 0.2e1 * rho[0] * t5088;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  t5097 = t502 * t1142 * t197;
  t5101 = t3660 * t3067;
  t5102 = 0.9e1 * t5101;
  t5103 = t3670 * t118;
  t5104 = t183 * t5103;
  t5105 = t992 * t5104;
  t5106 = 0.9e1 * t5105;
  t5107 = t97 * t5103;
  t5108 = t964 * t5107;
  t5109 = 0.3e1 * t5108;
  t5110 = t992 * t5107;
  t5111 = 0.9e1 * t5110;
  t5112 = t970 * t5107;
  t5113 = 0.3e1 * t5112;
  t5114 = t97 * t3714;
  t5115 = t964 * t5114;
  t5116 = 0.9e1 * t5115;
  t5117 = t992 * t5114;
  t5118 = 0.9e1 * t5117;
  t5119 = t136 * t1142;
  t5120 = t5119 * t197;
  t5121 = t173 * t5120;
  t5124 = -0.6e1 * t2278 * t97 * t5097 + 0.18e2 * t5121 * t1573 - t319 + t4880 + t4883 - t4885 + t5102 + t5106 - t5109 + t5111 - t5113 - t5116 + t5118;
  t5131 = t183 * t5097;
  t5144 = t970 * t429 * t5103;
  t5145 = 0.6e1 * t5144;
  t5147 = t764 * t97 * t3688;
  t5148 = 0.9e1 * t5147;
  t5150 = t2583 * t183 * t948;
  t5151 = 0.9e1 * t5150;
  t5152 = t3660 * t3147;
  t5153 = 0.9e1 * t5152;
  t5154 = t970 * t5104;
  t5155 = 0.9e1 * t5154;
  t5159 = -0.6e1 * t419 * t5120 * t1573 - 0.18e2 * t2278 * t97 * t3732 - 0.12e2 * t4238 * t429 * t5097 + 0.18e2 * t5121 * t1553 + 0.18e2 * t3679 * t2248 + 0.18e2 * t3679 * t2263 + 0.18e2 * t2310 * t5131 - 0.18e2 * t4238 * t5131 - 0.9e1 * t4906 - t5145 + t5148 + t5151 + t5153 - t5155;
  t5167 = t2024 * t1142 * t180 * t182;
  t5171 = t1655 * t1657 * t1142;
  t5177 = t1142 * t62 * t96;
  t5178 = t1762 * t5177;
  t5186 = t1751 * t1752 * t1142;
  t5193 = 0.18e2 * t2316 * t5167 + 0.12e2 * t2316 * t5171 + 0.6e1 * t2316 * t5178 + 0.6e1 * t2316 * t5186 - 0.7e1 * t2330 * t5167 - 0.18e2 * t2330 * t5178 - 0.7e1 * t2330 * t5186 + 0.6e1 * t2333 * t5178 + t2333 * t5186 - t2357 * t5186 - 0.6e1 * t3742 * t2418 + 0.9e1 * t4909 - 0.9e1 * t4911;
  t5194 = t173 * t5119;
  t5197 = t1704 * t5177;
  t5210 = t718 * t501 * t1278 * t118;
  t5211 = 0.6e1 * t5210;
  t5215 = t89 * t5119;
  t5229 = -0.11e2 * t2330 * t1671 * t518 * t1142 - 0.6e1 * t419 * t3677 * t2436 - 0.3e1 * t5194 * t1997 + 0.3e1 * t5215 * t1997 - 0.12e2 * t5215 * t2012 - 0.3e1 * t5194 * t2016 - 0.6e1 * t2316 * t3759 - 0.11e2 * t2330 * t5197 + 0.11e2 * t2333 * t5197 - 0.7e1 * t2357 * t5167 + 0.7e1 * t3742 * t2412 - 0.12e2 * t3788 * t2418 - 0.3e1 * t4915 - t5211;
  t5248 = t592 * t4184;
  t5249 = 0.9e1 * t5248;
  t5250 = t573 * t4188;
  t5251 = 0.3e1 * t5250;
  t5258 = -0.6e1 * t2357 * t1649 * t1663 * t1142 - 0.18e2 * t173 * t3677 * t2325 - 0.12e2 * t2357 * t5171 + 0.7e1 * t3785 * t2367 - 0.18e2 * t3788 * t2367 + 0.11e2 * t3742 * t2395 - 0.6e1 * t3742 * t2406 + 0.18e2 * t3742 * t2422 + 0.9e1 * t4917 + 0.9e1 * t4923 + 0.9e1 * t4925 - t5249 - t5251;
  t5268 = t188 * t96 * t1308;
  t5269 = t4267 * t5268;
  t5270 = 0.9e1 * t5269;
  t5271 = t4235 * t5268;
  t5272 = 0.9e1 * t5271;
  t5274 = t4235 * t959 * t1308;
  t5275 = 0.9e1 * t5274;
  t5279 = 0.9e1 * t4929 + 0.9e1 * t4931 - 0.9e1 * t4935 - 0.6e1 * t4939 - 0.9e1 * t4942 + 0.9e1 * t4944 - 0.3e1 * t4953 + 0.9e1 * t4975 + t5270 - t5272 - t5275 - 0.4e1 * t1225 + 0.4e1 * t1230 - 0.4e1 * t1232;
  t5297 = 0.6e1 * t2333 * t1751 * t96 * t1142 + 0.3e1 * t5215 * t1508 + 0.6e1 * t3788 * t2482 + t3742 * t2493 + 0.11e2 * t3785 * t2509 + 0.3e1 * t3819 * t279 + t1234 - t4980 + t4983 - 0.6e1 * t5024 - 0.3e1 * t5038 - 0.9e1 * t5040 - t5065;
  t5300 = -t1239 + 0.4e1 * t1248 + 0.4e1 * t1250 - t1152 - t1158 - t1267 + t1168 - t347 - t3908 + t1184 + t1203 + t1280 + t1281 - t1401;
  t5304 = my_piecewise5(t52, 0, t55, 0, t5124 + t5159 + t5193 + t5229 + t5258 + t5279 + t5297 + t5300);
  t5310 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * (0.5e1 / 0.54e2 * t30 * t129 * t1208 - 0.5e1 / 0.27e2 * t30 * t110 * t1294 + t47 * t5304));
  tv4sigma3lapl0 = 0.2e1 * rho[0] * t5310;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 0] += tv4sigma3lapl0;

  tv4sigma3tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 0] += tv4sigma3tau0;

  t5319 = t97 * t313 * params->csk_a;
  t5327 = t3983 * t2577;
  t5332 = t2643 * t2780;
  t5342 = t1060 * t3663 * t463;
  t5346 = -0.12e2 * t3361 * t429 * t3983 * t197 + 0.18e2 * t3361 * t183 * t1228 + 0.18e2 * t3361 * t2669 - 0.6e1 * t3361 * t5327 - 0.18e2 * t3361 * t5332 + 0.18e2 * t3367 * t5327 + 0.18e2 * t3367 * t5332 + 0.18e2 * t3373 * t5319 - 0.18e2 * t4408 * t5319 - t319 - t374 + t4880 + t4883 - t4885 - 0.3e1 * t5342;
  t5351 = t1065 * t97 * t3663 * t197;
  t5355 = t1060 * t183 * t3663 * t93;
  t5370 = -0.6e1 * t3364 * t5327 - 0.3e1 * t4906 + 0.12e2 * t5101 + 0.12e2 * t5105 - 0.4e1 * t5108 + 0.12e2 * t5110 - 0.4e1 * t5112 - 0.12e2 * t5115 + 0.12e2 * t5117 - 0.8e1 * t5144 + 0.12e2 * t5147 + 0.12e2 * t5150 + 0.12e2 * t5152 - 0.12e2 * t5154 + 0.3e1 * t5351 - 0.3e1 * t5355;
  t5375 = t1655 * t1657 * t310;
  t5381 = t1671 * t1672 * t310;
  t5388 = t1751 * t4118;
  t5398 = t1751 * t1752 * t310;
  t5407 = -0.12e2 * t2684 * t3506 - 0.6e1 * t2727 * t3506 + 0.7e1 * t3435 * t2796 - 0.18e2 * t3438 * t2796 + 0.7e1 * t3445 * t2809 - 0.7e1 * t3435 * t5381 - 0.11e2 * t3435 * t5388 - 0.7e1 * t3435 * t5398 + 0.12e2 * t3438 * t5375 + 0.6e1 * t3438 * t5398 - 0.7e1 * t3445 * t5381 - t3445 * t5398 + 0.11e2 * t3447 * t5388 + t3447 * t5398 + 0.3e1 * t4909 - 0.3e1 * t4911;
  t5410 = t367 * t310;
  t5417 = t1751 * t1254;
  t5440 = t1071 * t4941;
  t5442 = t1077 * t2785;
  t5444 = t1071 * t4914;
  t5445 = t1084 * t4914;
  t5447 = -0.12e2 * t1087 * t501 * t1286 * t176 - 0.6e1 * t3438 * t1655 * t1268 + 0.3e1 * t89 * t5410 * t1997 - 0.3e1 * t3460 * t205 * t2795 - 0.6e1 * t419 * t313 * t3487 - 0.18e2 * t376 * t2781 - 0.11e2 * t3435 * t2809 - 0.18e2 * t3435 * t5417 + 0.18e2 * t3438 * t5381 + 0.6e1 * t3438 * t5417 + 0.6e1 * t3447 * t5417 - 0.3e1 * t3460 * t4119 - 0.3e1 * t5440 + 0.3e1 * t5442 - t5444 + 0.3e1 * t5445;
  t5450 = t1077 * t4914;
  t5451 = t1077 * t2772;
  t5453 = t1084 * t4928;
  t5457 = t1087 * t188 * t1278 * t93;
  t5461 = t1077 * t4928;
  t5469 = t1077 * t4938;
  t5479 = t1074 * t2871;
  t5481 = t1084 * t4941;
  t5484 = 0.18e2 * t2727 * t1655 * t1115 * t502 - 0.6e1 * t3445 * t1649 * t1663 * t310 + 0.11e2 * t2727 * t1649 * t3496 * t502 - 0.6e1 * t2727 * t3498 - 0.12e2 * t3445 * t5375 - t4915 - 0.8e1 * t5210 - t5450 + 0.3e1 * t5451 + 0.3e1 * t5453 + 0.3e1 * t5457 - 0.3e1 * t5461 - 0.2e1 * t5469 + 0.3e1 * t5479 + 0.3e1 * t5481;
  t5500 = 0.3e1 * t4917 - 0.12e2 * t5248 - 0.4e1 * t5250 + 0.3e1 * t4923 + 0.3e1 * t4925 + 0.3e1 * t4929 + 0.3e1 * t4931 - 0.3e1 * t4935 - 0.2e1 * t4939 - 0.3e1 * t4942 + 0.3e1 * t4944 - t4953 + 0.3e1 * t4975 + 0.12e2 * t5269 - 0.12e2 * t5271 - 0.12e2 * t5274;
  t5507 = t2732 * t1116;
  t5509 = t1084 * t2912;
  t5512 = t1071 * t501 * t1278;
  t5526 = 0.6e1 * t3447 * t1751 * t1286 + 0.3e1 * t3586 * t188 * t1286 + 0.3e1 * t173 * t5410 * t1512 + 0.6e1 * t2684 * t3613 + t2727 * t3602 + 0.11e2 * t3435 * t2918 - 0.4e1 * t1310 - 0.4e1 * t1313 + 0.4e1 * t1317 - t4980 + t4983 - 0.2e1 * t5024 - t5038 - t5507 - 0.3e1 * t5509 - 0.2e1 * t5512;
  t5530 = -0.3e1 * t5040 - t5065 + 0.4e1 * t1327 + 0.4e1 * t1335 + t1351 - t1352 - t1260 - t1262 - t1353 + t1274 - t1182 + t1276 + t1277 + t1354 + t1355 - t4856;
  t5534 = my_piecewise5(t52, 0, t55, 0, t5346 + t5370 + t5407 + t5447 + t5484 + t5500 + t5526 + t5530);
  t5540 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * (0.5e1 / 0.27e2 * t30 * t129 * t1294 - 0.1e2 / 0.81e2 * t30 * t110 * t1365 + t47 * t5534));
  tv4sigma2lapl20 = 0.2e1 * rho[0] * t5540;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 0] += tv4sigma2lapl20;

  tv4sigma2lapltau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 0] += tv4sigma2lapltau0;

  tv4sigma2tau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 0] += tv4sigma2tau20;

  t5548 = t971 * t2577;
  t5561 = t502 * t197 * t118;
  t5562 = t183 * t5561;
  t5572 = 0.18e2 * t4665 * t965 * t1552 - 0.12e2 * t4653 * t429 * t5561 - 0.18e2 * t4647 * t1316 + 0.18e2 * t4653 * t1868 - 0.6e1 * t4647 * t5548 + 0.18e2 * t4650 * t5548 + 0.18e2 * t4650 * t5562 - 0.6e1 * t4653 * t5548 - 0.18e2 * t4653 * t5562 - t319 - t374 + t4880 + t4883 - t4885;
  t5578 = 0.18e2 * t4653 * t1888 + t5102 + t5106 - t5109 + t5111 - t5113 - t5116 + t5118 - t5145 + t5148 + t5151 - 0.9e1 * t5342 + 0.9e1 * t5351 - 0.9e1 * t5355;
  t5580 = t1762 * t999;
  t5583 = t2024 * t1319;
  t5587 = t1655 * t1657 * t118;
  t5595 = t1751 * t1752 * t118;
  t5608 = -0.18e2 * t4703 * t1969 - 0.12e2 * t4703 * t2121 - 0.6e1 * t4712 * t2121 - 0.18e2 * t4698 * t5580 - 0.7e1 * t4698 * t5583 - 0.7e1 * t4698 * t5595 + 0.18e2 * t4703 * t5583 + 0.12e2 * t4703 * t5587 + 0.6e1 * t4703 * t5595 + 0.6e1 * t4706 * t5580 + t4706 * t5595 - t4712 * t5595 + t5153 - t5155;
  t5609 = t1704 * t999;
  t5628 = t1376 * t118;
  t5642 = -0.12e2 * t1416 * t501 * t1694 * t118 + 0.3e1 * t89 * t5628 * t1997 + 0.7e1 * t1964 * t4766 - 0.11e2 * t4698 * t1989 + 0.7e1 * t4712 * t1989 - 0.6e1 * t4712 * t2082 - 0.6e1 * t4703 * t2126 - 0.18e2 * t254 * t4815 - 0.3e1 * t4770 * t343 - 0.3e1 * t4770 * t353 - 0.11e2 * t4698 * t5609 + 0.6e1 * t4703 * t5580 + 0.11e2 * t4706 * t5609 - 0.7e1 * t4712 * t5583;
  t5666 = -0.6e1 * t4712 * t1649 * t1663 * t118 + 0.18e2 * t1980 * t4734 + 0.11e2 * t1980 * t4746 - 0.6e1 * t4753 * t2049 - 0.12e2 * t4712 * t5587 - 0.9e1 * t5440 + 0.9e1 * t5442 - 0.3e1 * t5444 + 0.9e1 * t5445 - 0.3e1 * t5450 + 0.9e1 * t5451 + 0.9e1 * t5453 + 0.9e1 * t5457 - 0.9e1 * t5461;
  t5675 = 0.3e1 * t173 * t5628 * t1512 + 0.11e2 * t1964 * t4843 - t1310 - t1313 + t1317 - t5211 - t5249 - t5251 + t5270 - t5272 - t5275 - 0.6e1 * t5469 + 0.9e1 * t5479 + 0.9e1 * t5481;
  t5688 = 0.6e1 * t4706 * t1751 * t348 + t1980 * t4848 + 0.6e1 * t4703 * t2162 + 0.3e1 * t4835 * t349 + t1327 + t1335 - t1388 - t1390 - t4980 + t4983 - t5065 - 0.3e1 * t5507 - 0.9e1 * t5509 - 0.6e1 * t5512;
  t5690 = t1394 + t1395 - t1396 - t1151 - t1157 - t1397 + t1167 - t1181 + t1183 + t1202 + t1398 + t1399 - 0.8e1 * t1285 + t1418 + t1421;
  t5694 = my_piecewise5(t52, 0, t55, 0, t5572 + t5578 + t5608 + t5642 + t5666 + t5675 + t5688 + t5690);
  t5700 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * (0.5e1 / 0.18e2 * t30 * t129 * t1365 - 0.5e1 / 0.81e2 * t30 * t110 * t1432 + t47 * t5694));
  tv4sigmalapl30 = 0.2e1 * rho[0] * t5700;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 0] += tv4sigmalapl30;

  tv4sigmalapl2tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 0] += tv4sigmalapl2tau0;

  tv4sigmalapltau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 0] += tv4sigmalapltau20;

  tv4sigmatau30 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 0] += tv4sigmatau30;

  t5705 = t367 * t367;
  t5708 = t173 * t5705;
  t5711 = t89 * t5705;
  t5725 = t5705 * t197;
  t5729 = t5705 * t176;
  t5730 = t89 * t5729;
  t5733 = t419 * t5729;
  t5740 = t173 * t5729;
  t5745 = 0.18e2 * t173 * t5725 * t1553 - 0.18e2 * t5730 * t1558 - 0.6e1 * t5730 * t1580 - 0.18e2 * t5733 * t1592 + 0.18e2 * t5740 * t1592 + 0.18e2 * t5733 * t1606 - 0.12e2 * t5733 * t4969 - t374 - 0.18e2 * t5342 + 0.18e2 * t5351 - 0.18e2 * t5355;
  t5766 = t5705 * t1488;
  t5767 = t173 * t5766;
  t5770 = t419 * t5766;
  t5773 = t89 * t5766;
  t5778 = t5705 * t1506;
  t5779 = t173 * t5778;
  t5785 = -0.12e2 * t89 * t5725 * t1695 + 0.3e1 * t89 * t5778 * t190 - 0.7e1 * t5767 * t1673 - 0.18e2 * t5770 * t1681 + t5773 * t1753 - 0.3e1 * t5779 * t207 + 0.18e2 * t5457 - 0.18e2 * t5461 - 0.12e2 * t5469 + 0.18e2 * t5479 + 0.18e2 * t5481;
  t5796 = t1485 * t5766;
  t5831 = 0.11e2 * t5796 * t1651 - 0.12e2 * t5796 * t1658 - 0.6e1 * t5796 * t1664 + 0.18e2 * t5796 * t1667 + 0.7e1 * t5767 * t1681 - 0.11e2 * t5767 * t1684 - 0.11e2 * t5767 * t1705 - 0.18e2 * t5740 * t1716 - 0.6e1 * t5796 * t1725 - 0.6e1 * t5733 * t1743 - 0.12e2 * t5770 * t1768;
  t5856 = -0.4e1 * t1387 - 0.4e1 * t1389 + 0.4e1 * t1393 + 0.4e1 * t1234 - 0.4e1 * t1239 - 0.4e1 * t1267 + 0.4e1 * t1280 + 0.4e1 * t1281 - 0.9e1 * t1285 + 0.4e1 * t1417 + 0.4e1 * t1420;
  t5860 = my_piecewise5(t52, 0, t55, 0, 0.18e2 * t5740 * t1580 + 0.18e2 * t5733 * t1614 - 0.6e1 * t5733 * t1580 + 0.11e2 * t5773 * t1705 - 0.6e1 * t5770 * t1667 - 0.7e1 * t5767 * t1753 + 0.6e1 * t5770 * t1753 - t5796 * t1753 - 0.6e1 * t5796 * t1768 + 0.6e1 * t5773 * t1763 - 0.18e2 * t5767 * t1763 + 0.18e2 * t5770 * t1673 + 0.12e2 * t5770 * t1658 + 0.7e1 * t5796 * t1684 - 0.7e1 * t5796 * t1673 + 0.6e1 * t5770 * t1763 - 0.3e1 * t5779 * t190 + 0.11e2 * t5708 * t1515 + 0.6e1 * t5711 * t1503 + 0.3e1 * t5708 * t1512 + 0.3e1 * t5711 * t1508 + t1485 * t5705 * t1496 + 0.6e1 * t419 * t5705 * t1519 + t5856 + t5831 + t5785 + t5745 - 0.12e2 * t5512 - 0.6e1 * t5507 - 0.18e2 * t5509 - 0.6e1 * t5450 + 0.18e2 * t5451 + 0.18e2 * t5453 + 0.18e2 * t5445 - 0.18e2 * t5440 + 0.18e2 * t5442 - 0.6e1 * t5444 - t5065 - t4980 + t4983 + t4883 - t4885 + t4880 - t319);
  t5866 = my_piecewise3(t3, 0, 0.3e1 / 0.2e2 * t8 * t24 * (0.1e2 / 0.27e2 * t30 * t129 * t1432 + t47 * t5860));
  tv4lapl40 = 0.2e1 * rho[0] * t5866;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 0] += tv4lapl40;

  tv4lapl3tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 0] += tv4lapl3tau0;

  tv4lapl2tau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 0] += tv4lapl2tau20;

  tv4lapltau30 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 0] += tv4lapltau30;

  tv4tau40 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 0] += tv4tau40;

}

#endif


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t12;
  double t13, t16, t17, t18, t20, t21, t22, t23;
  double t24, t25, t26, t27, t29, t30, t31, t32;
  double t33, t34, t35, t36, t38, t39, t40, t41;
  double t43, t45, t48, t53, t55, t56, t57, t58;
  double t59, t60, t61, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t77, t78;
  double t79, t81, t82, t83, t84, t85, t87, t88;
  double t89, t90, t91, t93, t95, t98, t103, t104;
  double t105, t106, t107, t108, t109, t110, t111, t112;
  double t113, t114, t115, t117, t121, tzk0;

  mgga_k_csk_params *params;

  assert(p->params != NULL);
  params = (mgga_k_csk_params * )(p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = rho[0] + rho[1];
  t9 = 0.1e1 / t8;
  t12 = 0.2e1 * rho[0] * t9 <= p->zeta_threshold;
  t13 = p->zeta_threshold - 0.1e1;
  t16 = 0.2e1 * rho[1] * t9 <= p->zeta_threshold;
  t17 = -t13;
  t18 = rho[0] - rho[1];
  t20 = my_piecewise5(t12, t13, t16, t17, t18 * t9);
  t21 = 0.1e1 + t20;
  t22 = t21 <= p->zeta_threshold;
  t23 = POW_1_3(p->zeta_threshold);
  t24 = t23 * t23;
  t25 = t24 * p->zeta_threshold;
  t26 = POW_1_3(t21);
  t27 = t26 * t26;
  t29 = my_piecewise3(t22, t25, t27 * t21);
  t30 = POW_1_3(t8);
  t31 = t30 * t30;
  t32 = t29 * t31;
  t33 = M_CBRT6;
  t34 = M_PI * M_PI;
  t35 = POW_1_3(t34);
  t36 = t35 * t35;
  t38 = t33 / t36;
  t39 = rho[0] * rho[0];
  t40 = POW_1_3(rho[0]);
  t41 = t40 * t40;
  t43 = 0.1e1 / t41 / t39;
  t45 = t38 * sigma[0] * t43;
  t48 = 0.1e1 / t41 / rho[0];
  t53 = 0.5e1 / 0.54e2 * t38 * lapl[0] * t48 - 0.5e1 / 0.81e2 * t45;
  t55 = log(0.1e1 - DBL_EPSILON);
  t56 = 0.1e1 / params->csk_a;
  t57 = pow(-t55, -t56);
  t58 = t53 < -t57;
  t59 = log(DBL_EPSILON);
  t60 = pow(-t59, -t56);
  t61 = -t60 < t53;
  t62 = my_piecewise3(t61, -t60, t53);
  t63 = -t57 < t62;
  t64 = my_piecewise3(t63, t62, -t57);
  t65 = fabs(t64);
  t66 = pow(t65, params->csk_a);
  t67 = 0.1e1 / t66;
  t68 = exp(-t67);
  t69 = 0.1e1 - t68;
  t70 = pow(t69, t56);
  t71 = my_piecewise5(t58, 0, t61, 1, t70);
  t73 = 0.1e1 + 0.5e1 / 0.72e2 * t45 + t53 * t71;
  t77 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t73);
  t78 = rho[1] <= p->dens_threshold;
  t79 = -t18;
  t81 = my_piecewise5(t16, t13, t12, t17, t79 * t9);
  t82 = 0.1e1 + t81;
  t83 = t82 <= p->zeta_threshold;
  t84 = POW_1_3(t82);
  t85 = t84 * t84;
  t87 = my_piecewise3(t83, t25, t85 * t82);
  t88 = t87 * t31;
  t89 = rho[1] * rho[1];
  t90 = POW_1_3(rho[1]);
  t91 = t90 * t90;
  t93 = 0.1e1 / t91 / t89;
  t95 = t38 * sigma[2] * t93;
  t98 = 0.1e1 / t91 / rho[1];
  t103 = 0.5e1 / 0.54e2 * t38 * lapl[1] * t98 - 0.5e1 / 0.81e2 * t95;
  t104 = t103 < -t57;
  t105 = -t60 < t103;
  t106 = my_piecewise3(t105, -t60, t103);
  t107 = -t57 < t106;
  t108 = my_piecewise3(t107, t106, -t57);
  t109 = fabs(t108);
  t110 = pow(t109, params->csk_a);
  t111 = 0.1e1 / t110;
  t112 = exp(-t111);
  t113 = 0.1e1 - t112;
  t114 = pow(t113, t56);
  t115 = my_piecewise5(t104, 0, t105, 1, t114);
  t117 = 0.1e1 + 0.5e1 / 0.72e2 * t95 + t103 * t115;
  t121 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t117);
  tzk0 = t77 + t121;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t12;
  double t13, t16, t17, t18, t20, t21, t22, t23;
  double t24, t25, t26, t27, t29, t30, t31, t32;
  double t33, t34, t35, t36, t38, t39, t40, t41;
  double t43, t45, t48, t53, t55, t56, t57, t58;
  double t59, t60, t61, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t77, t78;
  double t79, t81, t82, t83, t84, t85, t87, t88;
  double t89, t90, t91, t93, t95, t98, t103, t104;
  double t105, t106, t107, t108, t109, t110, t111, t112;
  double t113, t114, t115, t117, t121, tzk0;

  double t122, t123, t124, t126, t129, t130, t134, t135;
  double t138, t141, t143, t149, t151, t152, t153, t155;
  double t156, t158, t159, t160, t162, t164, t169, t170;
  double t172, t175, t176, t180, t183, t185, tvrho0, t189;
  double t192, t193, t198, t200, t203, t204, t210, t212;
  double t218, t220, t221, t222, t224, t225, t227, t228;
  double t229, t231, t233, t238, tvrho1, t241, t244, t247;
  double t248, t251, t253, t257, tvsigma0, tvsigma1, t258, t261;
  double t264, t265, t268, t270, t274, tvsigma2, t280, t281;
  double t284, t286, t290, tvlapl0, t296, t297, t300, t302;
  double t306, tvlapl1, tvtau0, tvtau1;

  mgga_k_csk_params *params;

  assert(p->params != NULL);
  params = (mgga_k_csk_params * )(p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = rho[0] + rho[1];
  t9 = 0.1e1 / t8;
  t12 = 0.2e1 * rho[0] * t9 <= p->zeta_threshold;
  t13 = p->zeta_threshold - 0.1e1;
  t16 = 0.2e1 * rho[1] * t9 <= p->zeta_threshold;
  t17 = -t13;
  t18 = rho[0] - rho[1];
  t20 = my_piecewise5(t12, t13, t16, t17, t18 * t9);
  t21 = 0.1e1 + t20;
  t22 = t21 <= p->zeta_threshold;
  t23 = POW_1_3(p->zeta_threshold);
  t24 = t23 * t23;
  t25 = t24 * p->zeta_threshold;
  t26 = POW_1_3(t21);
  t27 = t26 * t26;
  t29 = my_piecewise3(t22, t25, t27 * t21);
  t30 = POW_1_3(t8);
  t31 = t30 * t30;
  t32 = t29 * t31;
  t33 = M_CBRT6;
  t34 = M_PI * M_PI;
  t35 = POW_1_3(t34);
  t36 = t35 * t35;
  t38 = t33 / t36;
  t39 = rho[0] * rho[0];
  t40 = POW_1_3(rho[0]);
  t41 = t40 * t40;
  t43 = 0.1e1 / t41 / t39;
  t45 = t38 * sigma[0] * t43;
  t48 = 0.1e1 / t41 / rho[0];
  t53 = 0.5e1 / 0.54e2 * t38 * lapl[0] * t48 - 0.5e1 / 0.81e2 * t45;
  t55 = log(0.1e1 - DBL_EPSILON);
  t56 = 0.1e1 / params->csk_a;
  t57 = pow(-t55, -t56);
  t58 = t53 < -t57;
  t59 = log(DBL_EPSILON);
  t60 = pow(-t59, -t56);
  t61 = -t60 < t53;
  t62 = my_piecewise3(t61, -t60, t53);
  t63 = -t57 < t62;
  t64 = my_piecewise3(t63, t62, -t57);
  t65 = fabs(t64);
  t66 = pow(t65, params->csk_a);
  t67 = 0.1e1 / t66;
  t68 = exp(-t67);
  t69 = 0.1e1 - t68;
  t70 = pow(t69, t56);
  t71 = my_piecewise5(t58, 0, t61, 1, t70);
  t73 = 0.1e1 + 0.5e1 / 0.72e2 * t45 + t53 * t71;
  t77 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t73);
  t78 = rho[1] <= p->dens_threshold;
  t79 = -t18;
  t81 = my_piecewise5(t16, t13, t12, t17, t79 * t9);
  t82 = 0.1e1 + t81;
  t83 = t82 <= p->zeta_threshold;
  t84 = POW_1_3(t82);
  t85 = t84 * t84;
  t87 = my_piecewise3(t83, t25, t85 * t82);
  t88 = t87 * t31;
  t89 = rho[1] * rho[1];
  t90 = POW_1_3(rho[1]);
  t91 = t90 * t90;
  t93 = 0.1e1 / t91 / t89;
  t95 = t38 * sigma[2] * t93;
  t98 = 0.1e1 / t91 / rho[1];
  t103 = 0.5e1 / 0.54e2 * t38 * lapl[1] * t98 - 0.5e1 / 0.81e2 * t95;
  t104 = t103 < -t57;
  t105 = -t60 < t103;
  t106 = my_piecewise3(t105, -t60, t103);
  t107 = -t57 < t106;
  t108 = my_piecewise3(t107, t106, -t57);
  t109 = fabs(t108);
  t110 = pow(t109, params->csk_a);
  t111 = 0.1e1 / t110;
  t112 = exp(-t111);
  t113 = 0.1e1 - t112;
  t114 = pow(t113, t56);
  t115 = my_piecewise5(t104, 0, t105, 1, t114);
  t117 = 0.1e1 + 0.5e1 / 0.72e2 * t95 + t103 * t115;
  t121 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t117);
  tzk0 = t77 + t121;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t122 = t8 * t8;
  t123 = 0.1e1 / t122;
  t124 = t18 * t123;
  t126 = my_piecewise5(t12, 0, t16, 0, t9 - t124);
  t129 = my_piecewise3(t22, 0, 0.5e1 / 0.3e1 * t27 * t126);
  t130 = t129 * t31;
  t134 = 0.1e1 / t30;
  t135 = t29 * t134;
  t138 = t7 * t135 * t73 / 0.1e2;
  t141 = 0.1e1 / t41 / t39 / rho[0];
  t143 = t38 * sigma[0] * t141;
  t149 = -0.25e2 / 0.162e3 * t38 * lapl[0] * t43 + 0.4e2 / 0.243e3 * t143;
  t151 = t70 * t67;
  t152 = my_piecewise3(t61, 0, t149);
  t153 = my_piecewise3(t63, t152, 0);
  t155 = fabs(t64) / t64;
  t156 = 0.1e1 / t65;
  t158 = 0.1e1 / t69;
  t159 = t68 * t158;
  t160 = t155 * t156 * t159;
  t162 = my_piecewise5(t58, 0, t61, 0, -t151 * t153 * t160);
  t164 = -0.5e1 / 0.27e2 * t143 + t149 * t71 + t53 * t162;
  t169 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t73 + t138 + 0.3e1 / 0.2e2 * t7 * t32 * t164);
  t170 = t79 * t123;
  t172 = my_piecewise5(t16, 0, t12, 0, -t9 - t170);
  t175 = my_piecewise3(t83, 0, 0.5e1 / 0.3e1 * t85 * t172);
  t176 = t175 * t31;
  t180 = t87 * t134;
  t183 = t7 * t180 * t117 / 0.1e2;
  t185 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t117 + t183);
  tvrho0 = t77 + t121 + t8 * (t169 + t185);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t189 = my_piecewise5(t12, 0, t16, 0, -t9 - t124);
  t192 = my_piecewise3(t22, 0, 0.5e1 / 0.3e1 * t27 * t189);
  t193 = t192 * t31;
  t198 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t73 + t138);
  t200 = my_piecewise5(t16, 0, t12, 0, t9 - t170);
  t203 = my_piecewise3(t83, 0, 0.5e1 / 0.3e1 * t85 * t200);
  t204 = t203 * t31;
  t210 = 0.1e1 / t91 / t89 / rho[1];
  t212 = t38 * sigma[2] * t210;
  t218 = -0.25e2 / 0.162e3 * t38 * lapl[1] * t93 + 0.4e2 / 0.243e3 * t212;
  t220 = t114 * t111;
  t221 = my_piecewise3(t105, 0, t218);
  t222 = my_piecewise3(t107, t221, 0);
  t224 = fabs(t108) / t108;
  t225 = 0.1e1 / t109;
  t227 = 0.1e1 / t113;
  t228 = t112 * t227;
  t229 = t224 * t225 * t228;
  t231 = my_piecewise5(t104, 0, t105, 0, -t220 * t222 * t229);
  t233 = -0.5e1 / 0.27e2 * t212 + t218 * t115 + t103 * t231;
  t238 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t117 + t183 + 0.3e1 / 0.2e2 * t7 * t88 * t233);
  tvrho1 = t77 + t121 + t8 * (t198 + t238);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t241 = t38 * t43;
  t244 = t38 * t43 * t71;
  t247 = my_piecewise3(t61, 0, -0.5e1 / 0.81e2 * t241);
  t248 = my_piecewise3(t63, t247, 0);
  t251 = my_piecewise5(t58, 0, t61, 0, -t151 * t248 * t160);
  t253 = 0.5e1 / 0.72e2 * t241 - 0.5e1 / 0.81e2 * t244 + t53 * t251;
  t257 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t253);
  tvsigma0 = t8 * t257;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t258 = t38 * t93;
  t261 = t38 * t93 * t115;
  t264 = my_piecewise3(t105, 0, -0.5e1 / 0.81e2 * t258);
  t265 = my_piecewise3(t107, t264, 0);
  t268 = my_piecewise5(t104, 0, t105, 0, -t220 * t265 * t229);
  t270 = 0.5e1 / 0.72e2 * t258 - 0.5e1 / 0.81e2 * t261 + t103 * t268;
  t274 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t270);
  tvsigma2 = t8 * t274;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t280 = my_piecewise3(t61, 0, 0.5e1 / 0.54e2 * t38 * t48);
  t281 = my_piecewise3(t63, t280, 0);
  t284 = my_piecewise5(t58, 0, t61, 0, -t151 * t281 * t160);
  t286 = 0.5e1 / 0.54e2 * t38 * t48 * t71 + t53 * t284;
  t290 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t286);
  tvlapl0 = t8 * t290;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t296 = my_piecewise3(t105, 0, 0.5e1 / 0.54e2 * t38 * t98);
  t297 = my_piecewise3(t107, t296, 0);
  t300 = my_piecewise5(t104, 0, t105, 0, -t220 * t297 * t229);
  t302 = 0.5e1 / 0.54e2 * t38 * t98 * t115 + t103 * t300;
  t306 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t302);
  tvlapl1 = t8 * t306;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  tvtau0 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  tvtau1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t12;
  double t13, t16, t17, t18, t20, t21, t22, t23;
  double t24, t25, t26, t27, t29, t30, t31, t32;
  double t33, t34, t35, t36, t38, t39, t40, t41;
  double t43, t45, t48, t53, t55, t56, t57, t58;
  double t59, t60, t61, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t77, t78;
  double t79, t81, t82, t83, t84, t85, t87, t88;
  double t89, t90, t91, t93, t95, t98, t103, t104;
  double t105, t106, t107, t108, t109, t110, t111, t112;
  double t113, t114, t115, t117, t121, tzk0;

  double t122, t123, t124, t126, t129, t130, t134, t135;
  double t138, t141, t143, t149, t151, t152, t153, t155;
  double t156, t158, t159, t160, t162, t164, t169, t170;
  double t172, t175, t176, t180, t183, t185, tvrho0, t189;
  double t192, t193, t198, t200, t203, t204, t210, t212;
  double t218, t220, t221, t222, t224, t225, t227, t228;
  double t229, t231, t233, t238, tvrho1, t241, t244, t247;
  double t248, t251, t253, t257, tvsigma0, tvsigma1, t258, t261;
  double t264, t265, t268, t270, t274, tvsigma2, t280, t281;
  double t284, t286, t290, tvlapl0, t296, t297, t300, t302;
  double t306, tvlapl1, tvtau0, tvtau1;

  double t309, t310, t313, t314, t315, t318, t322, t323;
  double t327, t329, t335, t336, t339, t341, t343, t345;
  double t347, t353, t357, t359, t360, t362, t363, t364;
  double t365, t366, t367, t368, t369, t370, t372, t374;
  double t375, t376, t378, t379, t382, t383, t385, t386;
  double t387, t389, t391, t392, t393, t396, t398, t403;
  double t404, t405, t408, t411, t415, t416, t420, t422;
  double t424, t427, t429, tv2rho20, t432, t436, t440, t441;
  double t445, t447, t455, t456, t460, t464, t465, t469;
  double t471, t478, t481, tv2rho21, t486, t491, t495, t496;
  double t502, t503, t508, t512, t513, t522, t524, t526;
  double t532, t536, t538, t539, t541, t542, t543, t544;
  double t545, t546, t547, t548, t549, t551, t553, t554;
  double t555, t557, t558, t561, t562, t564, t565, t566;
  double t568, t570, t571, t572, t575, t577, t582, tv2rho22;
  double t590, t591, t594, t597, t600, t601, t602, t603;
  double t605, t606, t607, t608, t611, t612, t615, t617;
  double t618, t619, t621, t623, t624, t627, t629, t634;
  double tv2rhosigma0, tv2rhosigma1, t641, t643, tv2rhosigma2, t649, tv2rhosigma3, tv2rhosigma4;
  double t654, t657, t660, t663, t664, t665, t666, t668;
  double t669, t671, t674, t675, t678, t680, t681, t682;
  double t684, t686, t687, t690, t692, t697, tv2rhosigma5, t704;
  double t710, t711, t713, t714, t717, t718, t721, t723;
  double t725, t729, t731, t736, tv2rholapl0, t743, t745, tv2rholapl1;
  double t751, tv2rholapl2, t761, t762, t764, t765, t768, t769;
  double t772, t774, t776, t780, t782, t787, tv2rholapl3, tv2rhotau0;
  double tv2rhotau1, tv2rhotau2, tv2rhotau3, t790, t792, t795, t798, t799;
  double t801, t802, t803, t805, t809, t811, t815, tv2sigma20;
  double tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t817, t819, t822, t825;
  double t826, t828, t829, t830, t832, t836, t838, t842;
  double tv2sigma25, t847, t850, t851, t853, t854, t855, t856;
  double t857, t860, t861, t864, t866, t870, tv2sigmalapl0, tv2sigmalapl1;
  double tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t875, t878, t879, t881, t882;
  double t883, t884, t885, t888, t889, t892, t894, t898;
  double tv2sigmalapl5, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, tv2sigmatau5, t902;
  double t905, t906, t908, t909, t911, t915, t917, t921;
  double tv2lapl20, tv2lapl21, t925, t928, t929, t931, t932, t934;
  double t938, t940, t944, tv2lapl22, tv2lapltau0, tv2lapltau1, tv2lapltau2, tv2lapltau3;
  double tv2tau20, tv2tau21, tv2tau22;

  mgga_k_csk_params *params;

  assert(p->params != NULL);
  params = (mgga_k_csk_params * )(p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = rho[0] + rho[1];
  t9 = 0.1e1 / t8;
  t12 = 0.2e1 * rho[0] * t9 <= p->zeta_threshold;
  t13 = p->zeta_threshold - 0.1e1;
  t16 = 0.2e1 * rho[1] * t9 <= p->zeta_threshold;
  t17 = -t13;
  t18 = rho[0] - rho[1];
  t20 = my_piecewise5(t12, t13, t16, t17, t18 * t9);
  t21 = 0.1e1 + t20;
  t22 = t21 <= p->zeta_threshold;
  t23 = POW_1_3(p->zeta_threshold);
  t24 = t23 * t23;
  t25 = t24 * p->zeta_threshold;
  t26 = POW_1_3(t21);
  t27 = t26 * t26;
  t29 = my_piecewise3(t22, t25, t27 * t21);
  t30 = POW_1_3(t8);
  t31 = t30 * t30;
  t32 = t29 * t31;
  t33 = M_CBRT6;
  t34 = M_PI * M_PI;
  t35 = POW_1_3(t34);
  t36 = t35 * t35;
  t38 = t33 / t36;
  t39 = rho[0] * rho[0];
  t40 = POW_1_3(rho[0]);
  t41 = t40 * t40;
  t43 = 0.1e1 / t41 / t39;
  t45 = t38 * sigma[0] * t43;
  t48 = 0.1e1 / t41 / rho[0];
  t53 = 0.5e1 / 0.54e2 * t38 * lapl[0] * t48 - 0.5e1 / 0.81e2 * t45;
  t55 = log(0.1e1 - DBL_EPSILON);
  t56 = 0.1e1 / params->csk_a;
  t57 = pow(-t55, -t56);
  t58 = t53 < -t57;
  t59 = log(DBL_EPSILON);
  t60 = pow(-t59, -t56);
  t61 = -t60 < t53;
  t62 = my_piecewise3(t61, -t60, t53);
  t63 = -t57 < t62;
  t64 = my_piecewise3(t63, t62, -t57);
  t65 = fabs(t64);
  t66 = pow(t65, params->csk_a);
  t67 = 0.1e1 / t66;
  t68 = exp(-t67);
  t69 = 0.1e1 - t68;
  t70 = pow(t69, t56);
  t71 = my_piecewise5(t58, 0, t61, 1, t70);
  t73 = 0.1e1 + 0.5e1 / 0.72e2 * t45 + t53 * t71;
  t77 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t73);
  t78 = rho[1] <= p->dens_threshold;
  t79 = -t18;
  t81 = my_piecewise5(t16, t13, t12, t17, t79 * t9);
  t82 = 0.1e1 + t81;
  t83 = t82 <= p->zeta_threshold;
  t84 = POW_1_3(t82);
  t85 = t84 * t84;
  t87 = my_piecewise3(t83, t25, t85 * t82);
  t88 = t87 * t31;
  t89 = rho[1] * rho[1];
  t90 = POW_1_3(rho[1]);
  t91 = t90 * t90;
  t93 = 0.1e1 / t91 / t89;
  t95 = t38 * sigma[2] * t93;
  t98 = 0.1e1 / t91 / rho[1];
  t103 = 0.5e1 / 0.54e2 * t38 * lapl[1] * t98 - 0.5e1 / 0.81e2 * t95;
  t104 = t103 < -t57;
  t105 = -t60 < t103;
  t106 = my_piecewise3(t105, -t60, t103);
  t107 = -t57 < t106;
  t108 = my_piecewise3(t107, t106, -t57);
  t109 = fabs(t108);
  t110 = pow(t109, params->csk_a);
  t111 = 0.1e1 / t110;
  t112 = exp(-t111);
  t113 = 0.1e1 - t112;
  t114 = pow(t113, t56);
  t115 = my_piecewise5(t104, 0, t105, 1, t114);
  t117 = 0.1e1 + 0.5e1 / 0.72e2 * t95 + t103 * t115;
  t121 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t117);
  tzk0 = t77 + t121;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t122 = t8 * t8;
  t123 = 0.1e1 / t122;
  t124 = t18 * t123;
  t126 = my_piecewise5(t12, 0, t16, 0, t9 - t124);
  t129 = my_piecewise3(t22, 0, 0.5e1 / 0.3e1 * t27 * t126);
  t130 = t129 * t31;
  t134 = 0.1e1 / t30;
  t135 = t29 * t134;
  t138 = t7 * t135 * t73 / 0.1e2;
  t141 = 0.1e1 / t41 / t39 / rho[0];
  t143 = t38 * sigma[0] * t141;
  t149 = -0.25e2 / 0.162e3 * t38 * lapl[0] * t43 + 0.4e2 / 0.243e3 * t143;
  t151 = t70 * t67;
  t152 = my_piecewise3(t61, 0, t149);
  t153 = my_piecewise3(t63, t152, 0);
  t155 = fabs(t64) / t64;
  t156 = 0.1e1 / t65;
  t158 = 0.1e1 / t69;
  t159 = t68 * t158;
  t160 = t155 * t156 * t159;
  t162 = my_piecewise5(t58, 0, t61, 0, -t151 * t153 * t160);
  t164 = -0.5e1 / 0.27e2 * t143 + t149 * t71 + t53 * t162;
  t169 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t73 + t138 + 0.3e1 / 0.2e2 * t7 * t32 * t164);
  t170 = t79 * t123;
  t172 = my_piecewise5(t16, 0, t12, 0, -t9 - t170);
  t175 = my_piecewise3(t83, 0, 0.5e1 / 0.3e1 * t85 * t172);
  t176 = t175 * t31;
  t180 = t87 * t134;
  t183 = t7 * t180 * t117 / 0.1e2;
  t185 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t117 + t183);
  tvrho0 = t77 + t121 + t8 * (t169 + t185);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t189 = my_piecewise5(t12, 0, t16, 0, -t9 - t124);
  t192 = my_piecewise3(t22, 0, 0.5e1 / 0.3e1 * t27 * t189);
  t193 = t192 * t31;
  t198 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t73 + t138);
  t200 = my_piecewise5(t16, 0, t12, 0, t9 - t170);
  t203 = my_piecewise3(t83, 0, 0.5e1 / 0.3e1 * t85 * t200);
  t204 = t203 * t31;
  t210 = 0.1e1 / t91 / t89 / rho[1];
  t212 = t38 * sigma[2] * t210;
  t218 = -0.25e2 / 0.162e3 * t38 * lapl[1] * t93 + 0.4e2 / 0.243e3 * t212;
  t220 = t114 * t111;
  t221 = my_piecewise3(t105, 0, t218);
  t222 = my_piecewise3(t107, t221, 0);
  t224 = fabs(t108) / t108;
  t225 = 0.1e1 / t109;
  t227 = 0.1e1 / t113;
  t228 = t112 * t227;
  t229 = t224 * t225 * t228;
  t231 = my_piecewise5(t104, 0, t105, 0, -t220 * t222 * t229);
  t233 = -0.5e1 / 0.27e2 * t212 + t218 * t115 + t103 * t231;
  t238 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t117 + t183 + 0.3e1 / 0.2e2 * t7 * t88 * t233);
  tvrho1 = t77 + t121 + t8 * (t198 + t238);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t241 = t38 * t43;
  t244 = t38 * t43 * t71;
  t247 = my_piecewise3(t61, 0, -0.5e1 / 0.81e2 * t241);
  t248 = my_piecewise3(t63, t247, 0);
  t251 = my_piecewise5(t58, 0, t61, 0, -t151 * t248 * t160);
  t253 = 0.5e1 / 0.72e2 * t241 - 0.5e1 / 0.81e2 * t244 + t53 * t251;
  t257 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t253);
  tvsigma0 = t8 * t257;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t258 = t38 * t93;
  t261 = t38 * t93 * t115;
  t264 = my_piecewise3(t105, 0, -0.5e1 / 0.81e2 * t258);
  t265 = my_piecewise3(t107, t264, 0);
  t268 = my_piecewise5(t104, 0, t105, 0, -t220 * t265 * t229);
  t270 = 0.5e1 / 0.72e2 * t258 - 0.5e1 / 0.81e2 * t261 + t103 * t268;
  t274 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t270);
  tvsigma2 = t8 * t274;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t280 = my_piecewise3(t61, 0, 0.5e1 / 0.54e2 * t38 * t48);
  t281 = my_piecewise3(t63, t280, 0);
  t284 = my_piecewise5(t58, 0, t61, 0, -t151 * t281 * t160);
  t286 = 0.5e1 / 0.54e2 * t38 * t48 * t71 + t53 * t284;
  t290 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t286);
  tvlapl0 = t8 * t290;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t296 = my_piecewise3(t105, 0, 0.5e1 / 0.54e2 * t38 * t98);
  t297 = my_piecewise3(t107, t296, 0);
  t300 = my_piecewise5(t104, 0, t105, 0, -t220 * t297 * t229);
  t302 = 0.5e1 / 0.54e2 * t38 * t98 * t115 + t103 * t300;
  t306 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t302);
  tvlapl1 = t8 * t306;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  tvtau0 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  tvtau1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t309 = 0.1e1 / t26;
  t310 = t126 * t126;
  t313 = t122 * t8;
  t314 = 0.1e1 / t313;
  t315 = t18 * t314;
  t318 = my_piecewise5(t12, 0, t16, 0, -0.2e1 * t123 + 0.2e1 * t315);
  t322 = my_piecewise3(t22, 0, 0.1e2 / 0.9e1 * t309 * t310 + 0.5e1 / 0.3e1 * t27 * t318);
  t323 = t322 * t31;
  t327 = t129 * t134;
  t329 = t7 * t327 * t73;
  t335 = 0.1e1 / t30 / t8;
  t336 = t29 * t335;
  t339 = t7 * t336 * t73 / 0.3e2;
  t341 = t7 * t135 * t164;
  t343 = t39 * t39;
  t345 = 0.1e1 / t41 / t343;
  t347 = t38 * sigma[0] * t345;
  t353 = 0.1e3 / 0.243e3 * t38 * lapl[0] * t141 - 0.44e3 / 0.729e3 * t347;
  t357 = t66 * t66;
  t359 = t70 / t357;
  t360 = t153 * t153;
  t362 = t155 * t155;
  t363 = t65 * t65;
  t364 = 0.1e1 / t363;
  t365 = t362 * t364;
  t366 = t68 * t68;
  t367 = t69 * t69;
  t368 = 0.1e1 / t367;
  t369 = t366 * t368;
  t370 = t365 * t369;
  t372 = t360 * t362;
  t374 = t364 * t68;
  t375 = t158 * params->csk_a;
  t376 = t374 * t375;
  t378 = my_piecewise3(t61, 0, t353);
  t379 = my_piecewise3(t63, t378, 0);
  t382 = t151 * t360;
  t383 = 0.0;
  t385 = t383 * t156 * t159;
  t386 = t382 * t385;
  t387 = t365 * t159;
  t389 = t359 * t372;
  t391 = t364 * t366;
  t392 = t368 * params->csk_a;
  t393 = t391 * t392;
  t396 = my_piecewise5(t58, 0, t61, 0, -t151 * t379 * t160 + t151 * t372 * t376 + t359 * t360 * t370 - t389 * t376 + t382 * t387 - t389 * t393 - t386);
  t398 = 0.55e2 / 0.81e2 * t347 + t353 * t71 + 0.2e1 * t149 * t162 + t53 * t396;
  t403 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t323 * t73 + t329 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t130 * t164 - t339 + t341 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t32 * t398);
  t404 = 0.1e1 / t84;
  t405 = t172 * t172;
  t408 = t79 * t314;
  t411 = my_piecewise5(t16, 0, t12, 0, 0.2e1 * t123 + 0.2e1 * t408);
  t415 = my_piecewise3(t83, 0, 0.1e2 / 0.9e1 * t404 * t405 + 0.5e1 / 0.3e1 * t85 * t411);
  t416 = t415 * t31;
  t420 = t175 * t134;
  t422 = t7 * t420 * t117;
  t424 = t87 * t335;
  t427 = t7 * t424 * t117 / 0.3e2;
  t429 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t416 * t117 + t422 / 0.5e1 - t427);
  tv2rho20 = 0.2e1 * t169 + 0.2e1 * t185 + t8 * (t403 + t429);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t432 = t309 * t189;
  t436 = my_piecewise5(t12, 0, t16, 0, 0.2e1 * t315);
  t440 = my_piecewise3(t22, 0, 0.1e2 / 0.9e1 * t432 * t126 + 0.5e1 / 0.3e1 * t27 * t436);
  t441 = t440 * t31;
  t445 = t192 * t134;
  t447 = t7 * t445 * t73;
  t455 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t441 * t73 + t447 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t193 * t164 + t329 / 0.1e2 - t339 + t341 / 0.1e2);
  t456 = t404 * t200;
  t460 = my_piecewise5(t16, 0, t12, 0, 0.2e1 * t408);
  t464 = my_piecewise3(t83, 0, 0.1e2 / 0.9e1 * t456 * t172 + 0.5e1 / 0.3e1 * t85 * t460);
  t465 = t464 * t31;
  t469 = t203 * t134;
  t471 = t7 * t469 * t117;
  t478 = t7 * t180 * t233;
  t481 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t465 * t117 + t471 / 0.1e2 + t422 / 0.1e2 - t427 + 0.3e1 / 0.2e2 * t7 * t176 * t233 + t478 / 0.1e2);
  tv2rho21 = t169 + t185 + t198 + t238 + t8 * (t455 + t481);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t486 = t189 * t189;
  t491 = my_piecewise5(t12, 0, t16, 0, 0.2e1 * t123 + 0.2e1 * t315);
  t495 = my_piecewise3(t22, 0, 0.1e2 / 0.9e1 * t309 * t486 + 0.5e1 / 0.3e1 * t27 * t491);
  t496 = t495 * t31;
  t502 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t496 * t73 + t447 / 0.5e1 - t339);
  t503 = t200 * t200;
  t508 = my_piecewise5(t16, 0, t12, 0, -0.2e1 * t123 + 0.2e1 * t408);
  t512 = my_piecewise3(t83, 0, 0.1e2 / 0.9e1 * t404 * t503 + 0.5e1 / 0.3e1 * t85 * t508);
  t513 = t512 * t31;
  t522 = t89 * t89;
  t524 = 0.1e1 / t91 / t522;
  t526 = t38 * sigma[2] * t524;
  t532 = 0.1e3 / 0.243e3 * t38 * lapl[1] * t210 - 0.44e3 / 0.729e3 * t526;
  t536 = t110 * t110;
  t538 = t114 / t536;
  t539 = t222 * t222;
  t541 = t224 * t224;
  t542 = t109 * t109;
  t543 = 0.1e1 / t542;
  t544 = t541 * t543;
  t545 = t112 * t112;
  t546 = t113 * t113;
  t547 = 0.1e1 / t546;
  t548 = t545 * t547;
  t549 = t544 * t548;
  t551 = t539 * t541;
  t553 = t543 * t112;
  t554 = t227 * params->csk_a;
  t555 = t553 * t554;
  t557 = my_piecewise3(t105, 0, t532);
  t558 = my_piecewise3(t107, t557, 0);
  t561 = t220 * t539;
  t562 = 0.0;
  t564 = t562 * t225 * t228;
  t565 = t561 * t564;
  t566 = t544 * t228;
  t568 = t538 * t551;
  t570 = t543 * t545;
  t571 = t547 * params->csk_a;
  t572 = t570 * t571;
  t575 = my_piecewise5(t104, 0, t105, 0, -t220 * t558 * t229 + t220 * t551 * t555 + t538 * t539 * t549 - t568 * t555 + t561 * t566 - t568 * t572 - t565);
  t577 = 0.55e2 / 0.81e2 * t526 + t532 * t115 + 0.2e1 * t218 * t231 + t103 * t575;
  t582 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t513 * t117 + t471 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t204 * t233 - t427 + t478 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t88 * t577);
  tv2rho22 = 0.2e1 * t198 + 0.2e1 * t238 + t8 * (t502 + t582);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t590 = t7 * t135 * t253 / 0.1e2;
  t591 = t38 * t141;
  t594 = t38 * t141 * t71;
  t597 = t38 * t43 * t162;
  t600 = t153 * t362;
  t601 = t359 * t600;
  t602 = t368 * t248;
  t603 = t391 * t602;
  t605 = t248 * t362;
  t606 = t151 * t605;
  t607 = t375 * t153;
  t608 = t374 * t607;
  t611 = my_piecewise3(t61, 0, 0.4e2 / 0.243e3 * t591);
  t612 = my_piecewise3(t63, t611, 0);
  t615 = t248 * t153;
  t617 = t151 * t615 * t385;
  t618 = t158 * t153;
  t619 = t374 * t618;
  t621 = t359 * t605;
  t623 = t392 * t153;
  t624 = t391 * t623;
  t627 = my_piecewise5(t58, 0, t61, 0, -t151 * t612 * t160 + t601 * t603 + t606 * t608 + t606 * t619 - t621 * t608 - t621 * t624 - t617);
  t629 = -0.5e1 / 0.27e2 * t591 + 0.4e2 / 0.243e3 * t594 - 0.5e1 / 0.81e2 * t597 + t149 * t251 + t53 * t627;
  t634 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t253 + t590 + 0.3e1 / 0.2e2 * t7 * t32 * t629);
  tv2rhosigma0 = t8 * t634 + t257;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t641 = t7 * t180 * t270 / 0.1e2;
  t643 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t270 + t641);
  tv2rhosigma2 = t8 * t643 + t274;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t649 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t253 + t590);
  tv2rhosigma3 = t8 * t649 + t257;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t654 = t38 * t210;
  t657 = t38 * t210 * t115;
  t660 = t38 * t93 * t231;
  t663 = t222 * t541;
  t664 = t538 * t663;
  t665 = t547 * t265;
  t666 = t570 * t665;
  t668 = t265 * t541;
  t669 = t220 * t668;
  t671 = t553 * t554 * t222;
  t674 = my_piecewise3(t105, 0, 0.4e2 / 0.243e3 * t654);
  t675 = my_piecewise3(t107, t674, 0);
  t678 = t265 * t222;
  t680 = t220 * t678 * t564;
  t681 = t227 * t222;
  t682 = t553 * t681;
  t684 = t538 * t668;
  t686 = t571 * t222;
  t687 = t570 * t686;
  t690 = my_piecewise5(t104, 0, t105, 0, -t220 * t675 * t229 + t664 * t666 + t669 * t671 + t669 * t682 - t684 * t671 - t684 * t687 - t680);
  t692 = -0.5e1 / 0.27e2 * t654 + 0.4e2 / 0.243e3 * t657 - 0.5e1 / 0.81e2 * t660 + t218 * t268 + t103 * t690;
  t697 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t270 + t641 + 0.3e1 / 0.2e2 * t7 * t88 * t692);
  tv2rhosigma5 = t8 * t697 + t274;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t704 = t7 * t135 * t286 / 0.1e2;
  t710 = t368 * t281;
  t711 = t391 * t710;
  t713 = t281 * t362;
  t714 = t151 * t713;
  t717 = my_piecewise3(t61, 0, -0.25e2 / 0.162e3 * t241);
  t718 = my_piecewise3(t63, t717, 0);
  t721 = t281 * t153;
  t723 = t151 * t721 * t385;
  t725 = t359 * t713;
  t729 = my_piecewise5(t58, 0, t61, 0, -t151 * t718 * t160 + t601 * t711 + t714 * t608 - t725 * t608 + t714 * t619 - t725 * t624 - t723);
  t731 = -0.25e2 / 0.162e3 * t244 + 0.5e1 / 0.54e2 * t38 * t48 * t162 + t149 * t284 + t53 * t729;
  t736 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t286 + t704 + 0.3e1 / 0.2e2 * t7 * t32 * t731);
  tv2rholapl0 = t8 * t736 + t290;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t743 = t7 * t180 * t302 / 0.1e2;
  t745 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t302 + t743);
  tv2rholapl1 = t8 * t745 + t306;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t751 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t286 + t704);
  tv2rholapl2 = t8 * t751 + t290;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t761 = t547 * t297;
  t762 = t570 * t761;
  t764 = t297 * t541;
  t765 = t220 * t764;
  t768 = my_piecewise3(t105, 0, -0.25e2 / 0.162e3 * t258);
  t769 = my_piecewise3(t107, t768, 0);
  t772 = t297 * t222;
  t774 = t220 * t772 * t564;
  t776 = t538 * t764;
  t780 = my_piecewise5(t104, 0, t105, 0, -t220 * t769 * t229 + t664 * t762 + t765 * t671 - t776 * t671 + t765 * t682 - t776 * t687 - t774);
  t782 = -0.25e2 / 0.162e3 * t261 + 0.5e1 / 0.54e2 * t38 * t98 * t231 + t218 * t300 + t103 * t780;
  t787 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t302 + t743 + 0.3e1 / 0.2e2 * t7 * t88 * t782);
  tv2rholapl3 = t8 * t787 + t306;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  tv2rhotau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  tv2rhotau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  tv2rhotau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  tv2rhotau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t790 = t38 * t43 * t251;
  t792 = t248 * t248;
  t795 = t792 * t362;
  t798 = my_piecewise3(t61, 0, 0);
  t799 = my_piecewise3(t63, t798, 0);
  t801 = t151 * t799 * t160;
  t802 = t151 * t792;
  t803 = t802 * t385;
  t805 = t359 * t795;
  t809 = my_piecewise5(t58, 0, t61, 0, t151 * t795 * t376 + t359 * t792 * t370 - t805 * t376 + t802 * t387 - t805 * t393 - t801 - t803);
  t811 = -0.1e2 / 0.81e2 * t790 + t53 * t809;
  t815 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t811);
  tv2sigma20 = t8 * t815;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t817 = t38 * t93 * t268;
  t819 = t265 * t265;
  t822 = t819 * t541;
  t825 = my_piecewise3(t105, 0, 0);
  t826 = my_piecewise3(t107, t825, 0);
  t828 = t220 * t826 * t229;
  t829 = t220 * t819;
  t830 = t829 * t564;
  t832 = t538 * t822;
  t836 = my_piecewise5(t104, 0, t105, 0, t220 * t822 * t555 + t538 * t819 * t549 - t832 * t555 + t829 * t566 - t832 * t572 - t828 - t830);
  t838 = -0.1e2 / 0.81e2 * t817 + t103 * t836;
  t842 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t838);
  tv2sigma25 = t8 * t842;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t847 = t38 * t43 * t284;
  t850 = t375 * t248;
  t851 = t374 * t850;
  t853 = t281 * t248;
  t854 = t151 * t853;
  t855 = t854 * t385;
  t856 = t158 * t248;
  t857 = t374 * t856;
  t860 = t392 * t248;
  t861 = t391 * t860;
  t864 = my_piecewise5(t58, 0, t61, 0, t621 * t711 + t714 * t851 + t714 * t857 - t725 * t851 - t725 * t861 - t801 - t855);
  t866 = 0.5e1 / 0.54e2 * t38 * t48 * t251 - 0.5e1 / 0.81e2 * t847 + t53 * t864;
  t870 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t866);
  tv2sigmalapl0 = t8 * t870;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t875 = t38 * t93 * t300;
  t878 = t554 * t265;
  t879 = t553 * t878;
  t881 = t297 * t265;
  t882 = t220 * t881;
  t883 = t882 * t564;
  t884 = t227 * t265;
  t885 = t553 * t884;
  t888 = t571 * t265;
  t889 = t570 * t888;
  t892 = my_piecewise5(t104, 0, t105, 0, t684 * t762 + t765 * t879 + t765 * t885 - t776 * t879 - t776 * t889 - t828 - t883);
  t894 = 0.5e1 / 0.54e2 * t38 * t98 * t268 - 0.5e1 / 0.81e2 * t875 + t103 * t892;
  t898 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t894);
  tv2sigmalapl5 = t8 * t898;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  tv2sigmatau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  tv2sigmatau5 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t902 = t281 * t281;
  t905 = t902 * t362;
  t906 = t151 * t905;
  t908 = t151 * t902;
  t909 = t908 * t385;
  t911 = t359 * t905;
  t915 = my_piecewise5(t58, 0, t61, 0, t359 * t902 * t370 + t906 * t376 - t911 * t376 + t908 * t387 - t911 * t393 - t801 - t909);
  t917 = 0.5e1 / 0.27e2 * t38 * t48 * t284 + t53 * t915;
  t921 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t917);
  tv2lapl20 = t8 * t921;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t925 = t297 * t297;
  t928 = t925 * t541;
  t929 = t220 * t928;
  t931 = t220 * t925;
  t932 = t931 * t564;
  t934 = t538 * t928;
  t938 = my_piecewise5(t104, 0, t105, 0, t538 * t925 * t549 + t929 * t555 - t934 * t555 + t931 * t566 - t934 * t572 - t828 - t932);
  t940 = 0.5e1 / 0.27e2 * t38 * t98 * t300 + t103 * t938;
  t944 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t940);
  tv2lapl22 = t8 * t944;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  tv2lapltau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  tv2lapltau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  tv2tau20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  tv2tau22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t12;
  double t13, t16, t17, t18, t20, t21, t22, t23;
  double t24, t25, t26, t27, t29, t30, t31, t32;
  double t33, t34, t35, t36, t38, t39, t40, t41;
  double t43, t45, t48, t53, t55, t56, t57, t58;
  double t59, t60, t61, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t77, t78;
  double t79, t81, t82, t83, t84, t85, t87, t88;
  double t89, t90, t91, t93, t95, t98, t103, t104;
  double t105, t106, t107, t108, t109, t110, t111, t112;
  double t113, t114, t115, t117, t121, tzk0;

  double t122, t123, t124, t126, t129, t130, t134, t135;
  double t138, t141, t143, t149, t151, t152, t153, t155;
  double t156, t158, t159, t160, t162, t164, t169, t170;
  double t172, t175, t176, t180, t183, t185, tvrho0, t189;
  double t192, t193, t198, t200, t203, t204, t210, t212;
  double t218, t220, t221, t222, t224, t225, t227, t228;
  double t229, t231, t233, t238, tvrho1, t241, t244, t247;
  double t248, t251, t253, t257, tvsigma0, tvsigma1, t258, t261;
  double t264, t265, t268, t270, t274, tvsigma2, t280, t281;
  double t284, t286, t290, tvlapl0, t296, t297, t300, t302;
  double t306, tvlapl1, tvtau0, tvtau1;

  double t309, t310, t313, t314, t315, t318, t322, t323;
  double t327, t329, t335, t336, t339, t341, t343, t345;
  double t347, t353, t357, t359, t360, t362, t363, t364;
  double t365, t366, t367, t368, t369, t370, t372, t374;
  double t375, t376, t378, t379, t382, t383, t385, t386;
  double t387, t389, t391, t392, t393, t396, t398, t403;
  double t404, t405, t408, t411, t415, t416, t420, t422;
  double t424, t427, t429, tv2rho20, t432, t436, t440, t441;
  double t445, t447, t455, t456, t460, t464, t465, t469;
  double t471, t478, t481, tv2rho21, t486, t491, t495, t496;
  double t502, t503, t508, t512, t513, t522, t524, t526;
  double t532, t536, t538, t539, t541, t542, t543, t544;
  double t545, t546, t547, t548, t549, t551, t553, t554;
  double t555, t557, t558, t561, t562, t564, t565, t566;
  double t568, t570, t571, t572, t575, t577, t582, tv2rho22;
  double t590, t591, t594, t597, t600, t601, t602, t603;
  double t605, t606, t607, t608, t611, t612, t615, t617;
  double t618, t619, t621, t623, t624, t627, t629, t634;
  double tv2rhosigma0, tv2rhosigma1, t641, t643, tv2rhosigma2, t649, tv2rhosigma3, tv2rhosigma4;
  double t654, t657, t660, t663, t664, t665, t666, t668;
  double t669, t671, t674, t675, t678, t680, t681, t682;
  double t684, t686, t687, t690, t692, t697, tv2rhosigma5, t704;
  double t710, t711, t713, t714, t717, t718, t721, t723;
  double t725, t729, t731, t736, tv2rholapl0, t743, t745, tv2rholapl1;
  double t751, tv2rholapl2, t761, t762, t764, t765, t768, t769;
  double t772, t774, t776, t780, t782, t787, tv2rholapl3, tv2rhotau0;
  double tv2rhotau1, tv2rhotau2, tv2rhotau3, t790, t792, t795, t798, t799;
  double t801, t802, t803, t805, t809, t811, t815, tv2sigma20;
  double tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t817, t819, t822, t825;
  double t826, t828, t829, t830, t832, t836, t838, t842;
  double tv2sigma25, t847, t850, t851, t853, t854, t855, t856;
  double t857, t860, t861, t864, t866, t870, tv2sigmalapl0, tv2sigmalapl1;
  double tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t875, t878, t879, t881, t882;
  double t883, t884, t885, t888, t889, t892, t894, t898;
  double tv2sigmalapl5, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, tv2sigmatau5, t902;
  double t905, t906, t908, t909, t911, t915, t917, t921;
  double tv2lapl20, tv2lapl21, t925, t928, t929, t931, t932, t934;
  double t938, t940, t944, tv2lapl22, tv2lapltau0, tv2lapltau1, tv2lapltau2, tv2lapltau3;
  double tv2tau20, tv2tau21, tv2tau22;

  double t948, t949, t952, t955, t956, t957, t960, t964;
  double t965, t969, t971, t976, t978, t981, t987, t988;
  double t991, t993, t996, t1000, t1002, t1008, t1014, t1015;
  double t1018, t1019, t1020, t1021, t1023, t1024, t1025, t1027;
  double t1029, t1030, t1031, t1034, t1035, t1041, t1042, t1044;
  double t1045, t1050, t1052, t1054, t1055, t1056, t1058, t1059;
  double t1060, t1063, t1067, t1070, t1071, t1072, t1073, t1076;
  double t1079, t1084, t1085, t1086, t1089, t1090, t1091, t1093;
  double t1094, t1095, t1098, t1100, t1101, t1105, t1109, t1110;
  double t1111, t1114, t1115, t1120, t1124, t1125, t1128, t1130;
  double t1132, t1137, t1139, t1140, t1143, t1146, t1149, t1153;
  double t1154, t1158, t1160, t1162, t1164, t1166, t1169, t1171;
  double tv3rho30, t1174, t1175, t1176, t1179, t1184, t1185, t1187;
  double t1191, t1192, t1196, t1199, t1203, t1205, t1209, t1218;
  double t1219, t1220, t1223, t1228, t1230, t1234, t1235, t1239;
  double t1242, t1243, t1245, t1254, t1256, t1259, tv3rho31, t1262;
  double t1267, t1271, t1275, t1276, t1280, t1282, t1291, t1292;
  double t1297, t1301, t1305, t1306, t1310, t1312, t1319, t1327;
  double t1329, t1330, tv3rho32, t1335, t1342, t1346, t1347, t1354;
  double t1355, t1362, t1366, t1367, t1384, t1386, t1392, t1398;
  double t1399, t1402, t1403, t1404, t1405, t1407, t1408, t1409;
  double t1411, t1413, t1414, t1415, t1419, t1425, t1426, t1430;
  double t1432, t1434, t1435, t1436, t1438, t1439, t1440, t1442;
  double t1443, t1447, t1451, t1454, t1455, t1456, t1457, t1459;
  double t1460, t1461, t1464, t1465, t1469, t1470, t1471, t1477;
  double t1478, t1479, t1481, t1482, t1488, t1492, t1493, t1494;
  double t1497, t1498, t1503, t1507, t1508, t1511, t1513, t1515;
  double t1520, tv3rho33, t1528, t1535, t1537, t1539, t1542, t1545;
  double t1548, t1553, t1554, t1556, t1557, t1560, t1561, t1564;
  double t1567, t1570, t1571, t1573, t1574, t1575, t1576, t1577;
  double t1579, t1580, t1582, t1583, t1584, t1591, t1592, t1595;
  double t1596, t1598, t1599, t1602, t1608, t1612, t1613, t1614;
  double t1617, t1618, t1619, t1621, t1622, t1623, t1624, t1625;
  double t1626, t1627, t1629, t1632, t1633, t1636, t1637, t1638;
  double t1641, t1642, t1648, t1649, t1654, t1656, t1660, t1661;
  double t1662, t1664, t1666, t1668, t1673, tv3rho2sigma0, tv3rho2sigma1, t1680;
  double t1684, t1686, tv3rho2sigma2, t1692, t1700, tv3rho2sigma3, tv3rho2sigma4, t1706;
  double t1713, t1716, tv3rho2sigma5, t1724, tv3rho2sigma6, tv3rho2sigma7, t1735, t1738;
  double t1741, t1744, t1749, t1750, t1752, t1753, t1756, t1757;
  double t1760, t1763, t1764, t1765, t1766, t1767, t1769, t1772;
  double t1773, t1775, t1776, t1777, t1780, t1781, t1782, t1783;
  double t1787, t1791, t1792, t1795, t1796, t1798, t1799, t1802;
  double t1803, t1804, t1807, t1810, t1816, t1817, t1818, t1820;
  double t1821, t1822, t1824, t1825, t1826, t1828, t1831, t1832;
  double t1835, t1836, t1839, t1840, t1843, t1844, t1848, t1851;
  double t1856, t1857, t1862, t1864, t1866, t1871, tv3rho2sigma8, t1878;
  double t1885, t1887, t1897, t1898, t1901, t1902, t1905, t1908;
  double t1909, t1910, t1912, t1914, t1916, t1917, t1923, t1931;
  double t1932, t1933, t1936, t1940, t1945, t1946, t1947, t1950;
  double t1951, t1952, t1954, t1957, t1958, t1963, t1968, t1971;
  double t1972, t1975, t1977, t1979, t1983, t1985, t1987, t1992;
  double tv3rho2lapl0, t1999, t2003, t2005, tv3rho2lapl1, t2011, t2019, tv3rho2lapl2;
  double t2025, t2032, t2035, tv3rho2lapl3, t2043, tv3rho2lapl4, t2062, t2063;
  double t2066, t2067, t2070, t2073, t2075, t2077, t2078, t2079;
  double t2084, t2086, t2087, t2090, t2091, t2092, t2095, t2106;
  double t2111, t2112, t2115, t2116, t2117, t2119, t2122, t2123;
  double t2128, t2129, t2132, t2134, t2136, t2138, t2140, t2141;
  double t2148, t2150, t2152, t2157, tv3rho2lapl5, tv3rho2tau0, tv3rho2tau1, tv3rho2tau2;
  double tv3rho2tau3, tv3rho2tau4, tv3rho2tau5, t2164, t2166, t2169, t2172, t2173;
  double t2174, t2175, t2178, t2181, t2182, t2184, t2186, t2191;
  double t2192, t2195, t2196, t2197, t2198, t2199, t2202, t2203;
  double t2204, t2206, t2207, t2209, t2210, t2213, t2214, t2217;
  double t2218, t2221, t2222, t2223, t2224, t2225, t2226, t2228;
  double t2229, t2232, t2238, t2239, t2240, t2241, t2244, t2245;
  double t2246, t2247, t2249, t2250, t2251, t2253, t2254, t2259;
  double t2260, t2261, t2262, t2264, t2265, t2266, t2267, t2269;
  double t2270, t2271, t2272, t2274, t2275, t2276, t2279, t2282;
  double t2283, t2285, t2287, t2292, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23;
  double tv3rhosigma24, t2299, t2301, tv3rhosigma25, t2307, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28;
  double tv3rhosigma29, tv3rhosigma210, t2313, t2316, t2319, t2320, t2321, t2322;
  double t2325, t2326, t2329, t2330, t2333, t2334, t2338, t2341;
  double t2344, t2345, t2346, t2347, t2348, t2350, t2351, t2355;
  double t2356, t2357, t2358, t2359, t2360, t2362, t2365, t2367;
  double t2372, t2373, t2374, t2375, t2377, t2378, t2384, t2385;
  double t2386, t2387, t2389, t2390, t2391, t2394, t2395, t2396;
  double t2397, t2399, t2400, t2403, t2408, t2409, t2410, t2411;
  double t2413, t2414, t2415, t2416, t2418, t2419, t2420, t2421;
  double t2422, t2424, t2425, t2426, t2429, t2431, t2433, t2438;
  double tv3rhosigma211, t2445, t2451, t2454, t2458, t2459, t2460, t2461;
  double t2465, t2468, t2469, t2470, t2471, t2473, t2474, t2475;
  double t2476, t2477, t2480, t2483, t2484, t2485, t2487, t2488;
  double t2489, t2493, t2496, t2498, t2503, t2505, t2506, t2508;
  double t2509, t2510, t2511, t2513, t2514, t2515, t2517, t2521;
  double t2522, t2526, t2527, t2530, t2531, t2536, t2538, t2539;
  double t2541, t2544, t2546, t2548, t2553, tv3rhosigmalapl0, tv3rhosigmalapl1, tv3rhosigmalapl2;
  double tv3rhosigmalapl3, tv3rhosigmalapl4, t2560, t2562, tv3rhosigmalapl5, t2568, tv3rhosigmalapl6, tv3rhosigmalapl7;
  double tv3rhosigmalapl8, tv3rhosigmalapl9, tv3rhosigmalapl10, t2578, t2581, t2584, t2585, t2586;
  double t2588, t2589, t2590, t2591, t2594, t2595, t2596, t2597;
  double t2599, t2600, t2601, t2602, t2603, t2606, t2609, t2610;
  double t2611, t2613, t2617, t2618, t2623, t2628, t2629, t2630;
  double t2631, t2634, t2635, t2637, t2638, t2639, t2640, t2642;
  double t2647, t2648, t2650, t2651, t2654, t2655, t2662, t2664;
  double t2665, t2667, t2670, t2672, t2674, t2679, tv3rhosigmalapl11, tv3rhosigmatau0;
  double tv3rhosigmatau1, tv3rhosigmatau2, tv3rhosigmatau3, tv3rhosigmatau4, tv3rhosigmatau5, tv3rhosigmatau6, tv3rhosigmatau7, tv3rhosigmatau8;
  double tv3rhosigmatau9, tv3rhosigmatau10, tv3rhosigmatau11, t2686, t2692, t2694, t2695, t2697;
  double t2699, t2700, t2702, t2704, t2705, t2708, t2712, t2715;
  double t2718, t2719, t2725, t2726, t2728, t2737, t2747, t2748;
  double t2749, t2751, t2752, t2758, t2759, t2761, t2763, t2765;
  double t2770, tv3rholapl20, tv3rholapl21, t2777, t2779, tv3rholapl22, t2785, tv3rholapl23;
  double tv3rholapl24, t2795, t2797, t2798, t2800, t2802, t2804, t2805;
  double t2807, t2808, t2811, t2813, t2824, t2825, t2827, t2828;
  double t2829, t2834, t2838, t2839, t2850, t2856, t2857, t2859;
  double t2860, t2862, t2863, t2864, t2866, t2868, t2873, tv3rholapl25;
  double tv3rholapltau0, tv3rholapltau1, tv3rholapltau2, tv3rholapltau3, tv3rholapltau4, tv3rholapltau5, tv3rholapltau6, tv3rholapltau7;
  double tv3rhotau20, tv3rhotau21, tv3rhotau22, tv3rhotau23, tv3rhotau24, tv3rhotau25, t2876, t2878;
  double t2887, t2888, t2889, t2890, t2891, t2892, t2893, t2895;
  double t2896, t2897, t2898, t2899, t2900, t2901, t2902, t2903;
  double t2904, t2906, t2907, t2908, t2909, t2910, t2911, t2912;
  double t2913, t2914, t2916, t2917, t2918, t2919, t2924, t2925;
  double t2928, t2933, t2942, t2944, t2946, t2950, tv3sigma30, tv3sigma31;
  double tv3sigma32, tv3sigma33, tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t2952;
  double t2954, t2963, t2965, t2966, t2967, t2968, t2969, t2970;
  double t2971, t2972, t2973, t2974, t2975, t2976, t2977, t2978;
  double t2979, t2980, t2981, t2982, t2987, t2988, t2989, t2992;
  double t2995, t2997, t2998, t2999, t3003, t3004, t3005, t3006;
  double t3007, t3008, t3009, t3018, t3020, t3022, t3026, tv3sigma39;
  double t3031, t3033, t3034, t3035, t3036, t3037, t3038, t3039;
  double t3044, t3045, t3050, t3051, t3052, t3053, t3054, t3055;
  double t3058, t3061, t3062, t3063, t3064, t3065, t3070, t3073;
  double t3076, t3077, t3078, t3079, t3080, t3081, t3082, t3083;
  double t3084, t3085, t3086, t3087, t3088, t3089, t3091, t3092;
  double t3093, t3094, t3095, t3099, t3100, t3103, t3105, t3107;
  double t3111, tv3sigma2lapl0, tv3sigma2lapl1, tv3sigma2lapl2, tv3sigma2lapl3, tv3sigma2lapl4, tv3sigma2lapl5, tv3sigma2lapl6;
  double tv3sigma2lapl7, tv3sigma2lapl8, tv3sigma2lapl9, tv3sigma2lapl10, t3116, t3118, t3119, t3120;
  double t3121, t3122, t3123, t3124, t3125, t3126, t3127, t3130;
  double t3131, t3132, t3136, t3137, t3144, t3145, t3150, t3151;
  double t3152, t3153, t3154, t3155, t3158, t3159, t3160, t3161;
  double t3162, t3163, t3166, t3167, t3168, t3169, t3170, t3171;
  double t3172, t3173, t3174, t3176, t3177, t3178, t3179, t3180;
  double t3184, t3185, t3188, t3190, t3192, t3196, tv3sigma2lapl11, tv3sigma2tau0;
  double tv3sigma2tau1, tv3sigma2tau2, tv3sigma2tau3, tv3sigma2tau4, tv3sigma2tau5, tv3sigma2tau6, tv3sigma2tau7, tv3sigma2tau8;
  double tv3sigma2tau9, tv3sigma2tau10, tv3sigma2tau11, t3201, t3203, t3204, t3206, t3207;
  double t3208, t3210, t3211, t3213, t3214, t3218, t3223, t3226;
  double t3227, t3230, t3231, t3235, t3236, t3237, t3242, t3243;
  double t3247, t3248, t3249, t3250, t3251, t3252, t3259, t3261;
  double t3263, t3267, tv3sigmalapl20, tv3sigmalapl21, tv3sigmalapl22, tv3sigmalapl23, tv3sigmalapl24, tv3sigmalapl25;
  double tv3sigmalapl26, tv3sigmalapl27, t3272, t3274, t3276, t3277, t3278, t3279;
  double t3280, t3281, t3282, t3284, t3285, t3288, t3289, t3294;
  double t3297, t3298, t3301, t3305, t3306, t3312, t3313, t3314;
  double t3315, t3318, t3319, t3320, t3321, t3322, t3323, t3330;
  double t3332, t3334, t3338, tv3sigmalapl28, tv3sigmalapltau0, tv3sigmalapltau1, tv3sigmalapltau2, tv3sigmalapltau3;
  double tv3sigmalapltau4, tv3sigmalapltau5, tv3sigmalapltau6, tv3sigmalapltau7, tv3sigmalapltau8, tv3sigmalapltau9, tv3sigmalapltau10, tv3sigmalapltau11;
  double tv3sigmatau20, tv3sigmatau21, tv3sigmatau22, tv3sigmatau23, tv3sigmatau24, tv3sigmatau25, tv3sigmatau26, tv3sigmatau27;
  double tv3sigmatau28, t3342, t3351, t3353, t3354, t3355, t3356, t3357;
  double t3358, t3359, t3360, t3361, t3362, t3363, t3364, t3365;
  double t3366, t3367, t3369, t3370, t3372, t3373, t3374, t3375;
  double t3382, t3385, t3396, t3398, t3400, t3404, tv3lapl30, tv3lapl31;
  double tv3lapl32, t3408, t3417, t3419, t3420, t3421, t3422, t3423;
  double t3424, t3425, t3426, t3427, t3428, t3429, t3430, t3431;
  double t3432, t3433, t3434, t3435, t3438, t3439, t3440, t3442;
  double t3443, t3444, t3453, t3462, t3464, t3466, t3470, tv3lapl33;
  double tv3lapl2tau0, tv3lapl2tau1, tv3lapl2tau2, tv3lapl2tau3, tv3lapl2tau4, tv3lapl2tau5, tv3lapltau20, tv3lapltau21;
  double tv3lapltau22, tv3lapltau23, tv3lapltau24, tv3lapltau25, tv3tau30, tv3tau31, tv3tau32, tv3tau33;

  mgga_k_csk_params *params;

  assert(p->params != NULL);
  params = (mgga_k_csk_params * )(p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = rho[0] + rho[1];
  t9 = 0.1e1 / t8;
  t12 = 0.2e1 * rho[0] * t9 <= p->zeta_threshold;
  t13 = p->zeta_threshold - 0.1e1;
  t16 = 0.2e1 * rho[1] * t9 <= p->zeta_threshold;
  t17 = -t13;
  t18 = rho[0] - rho[1];
  t20 = my_piecewise5(t12, t13, t16, t17, t18 * t9);
  t21 = 0.1e1 + t20;
  t22 = t21 <= p->zeta_threshold;
  t23 = POW_1_3(p->zeta_threshold);
  t24 = t23 * t23;
  t25 = t24 * p->zeta_threshold;
  t26 = POW_1_3(t21);
  t27 = t26 * t26;
  t29 = my_piecewise3(t22, t25, t27 * t21);
  t30 = POW_1_3(t8);
  t31 = t30 * t30;
  t32 = t29 * t31;
  t33 = M_CBRT6;
  t34 = M_PI * M_PI;
  t35 = POW_1_3(t34);
  t36 = t35 * t35;
  t38 = t33 / t36;
  t39 = rho[0] * rho[0];
  t40 = POW_1_3(rho[0]);
  t41 = t40 * t40;
  t43 = 0.1e1 / t41 / t39;
  t45 = t38 * sigma[0] * t43;
  t48 = 0.1e1 / t41 / rho[0];
  t53 = 0.5e1 / 0.54e2 * t38 * lapl[0] * t48 - 0.5e1 / 0.81e2 * t45;
  t55 = log(0.1e1 - DBL_EPSILON);
  t56 = 0.1e1 / params->csk_a;
  t57 = pow(-t55, -t56);
  t58 = t53 < -t57;
  t59 = log(DBL_EPSILON);
  t60 = pow(-t59, -t56);
  t61 = -t60 < t53;
  t62 = my_piecewise3(t61, -t60, t53);
  t63 = -t57 < t62;
  t64 = my_piecewise3(t63, t62, -t57);
  t65 = fabs(t64);
  t66 = pow(t65, params->csk_a);
  t67 = 0.1e1 / t66;
  t68 = exp(-t67);
  t69 = 0.1e1 - t68;
  t70 = pow(t69, t56);
  t71 = my_piecewise5(t58, 0, t61, 1, t70);
  t73 = 0.1e1 + 0.5e1 / 0.72e2 * t45 + t53 * t71;
  t77 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t73);
  t78 = rho[1] <= p->dens_threshold;
  t79 = -t18;
  t81 = my_piecewise5(t16, t13, t12, t17, t79 * t9);
  t82 = 0.1e1 + t81;
  t83 = t82 <= p->zeta_threshold;
  t84 = POW_1_3(t82);
  t85 = t84 * t84;
  t87 = my_piecewise3(t83, t25, t85 * t82);
  t88 = t87 * t31;
  t89 = rho[1] * rho[1];
  t90 = POW_1_3(rho[1]);
  t91 = t90 * t90;
  t93 = 0.1e1 / t91 / t89;
  t95 = t38 * sigma[2] * t93;
  t98 = 0.1e1 / t91 / rho[1];
  t103 = 0.5e1 / 0.54e2 * t38 * lapl[1] * t98 - 0.5e1 / 0.81e2 * t95;
  t104 = t103 < -t57;
  t105 = -t60 < t103;
  t106 = my_piecewise3(t105, -t60, t103);
  t107 = -t57 < t106;
  t108 = my_piecewise3(t107, t106, -t57);
  t109 = fabs(t108);
  t110 = pow(t109, params->csk_a);
  t111 = 0.1e1 / t110;
  t112 = exp(-t111);
  t113 = 0.1e1 - t112;
  t114 = pow(t113, t56);
  t115 = my_piecewise5(t104, 0, t105, 1, t114);
  t117 = 0.1e1 + 0.5e1 / 0.72e2 * t95 + t103 * t115;
  t121 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t117);
  tzk0 = t77 + t121;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t122 = t8 * t8;
  t123 = 0.1e1 / t122;
  t124 = t18 * t123;
  t126 = my_piecewise5(t12, 0, t16, 0, t9 - t124);
  t129 = my_piecewise3(t22, 0, 0.5e1 / 0.3e1 * t27 * t126);
  t130 = t129 * t31;
  t134 = 0.1e1 / t30;
  t135 = t29 * t134;
  t138 = t7 * t135 * t73 / 0.1e2;
  t141 = 0.1e1 / t41 / t39 / rho[0];
  t143 = t38 * sigma[0] * t141;
  t149 = -0.25e2 / 0.162e3 * t38 * lapl[0] * t43 + 0.4e2 / 0.243e3 * t143;
  t151 = t70 * t67;
  t152 = my_piecewise3(t61, 0, t149);
  t153 = my_piecewise3(t63, t152, 0);
  t155 = fabs(t64) / t64;
  t156 = 0.1e1 / t65;
  t158 = 0.1e1 / t69;
  t159 = t68 * t158;
  t160 = t155 * t156 * t159;
  t162 = my_piecewise5(t58, 0, t61, 0, -t151 * t153 * t160);
  t164 = -0.5e1 / 0.27e2 * t143 + t149 * t71 + t53 * t162;
  t169 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t73 + t138 + 0.3e1 / 0.2e2 * t7 * t32 * t164);
  t170 = t79 * t123;
  t172 = my_piecewise5(t16, 0, t12, 0, -t9 - t170);
  t175 = my_piecewise3(t83, 0, 0.5e1 / 0.3e1 * t85 * t172);
  t176 = t175 * t31;
  t180 = t87 * t134;
  t183 = t7 * t180 * t117 / 0.1e2;
  t185 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t117 + t183);
  tvrho0 = t77 + t121 + t8 * (t169 + t185);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t189 = my_piecewise5(t12, 0, t16, 0, -t9 - t124);
  t192 = my_piecewise3(t22, 0, 0.5e1 / 0.3e1 * t27 * t189);
  t193 = t192 * t31;
  t198 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t73 + t138);
  t200 = my_piecewise5(t16, 0, t12, 0, t9 - t170);
  t203 = my_piecewise3(t83, 0, 0.5e1 / 0.3e1 * t85 * t200);
  t204 = t203 * t31;
  t210 = 0.1e1 / t91 / t89 / rho[1];
  t212 = t38 * sigma[2] * t210;
  t218 = -0.25e2 / 0.162e3 * t38 * lapl[1] * t93 + 0.4e2 / 0.243e3 * t212;
  t220 = t114 * t111;
  t221 = my_piecewise3(t105, 0, t218);
  t222 = my_piecewise3(t107, t221, 0);
  t224 = fabs(t108) / t108;
  t225 = 0.1e1 / t109;
  t227 = 0.1e1 / t113;
  t228 = t112 * t227;
  t229 = t224 * t225 * t228;
  t231 = my_piecewise5(t104, 0, t105, 0, -t220 * t222 * t229);
  t233 = -0.5e1 / 0.27e2 * t212 + t218 * t115 + t103 * t231;
  t238 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t117 + t183 + 0.3e1 / 0.2e2 * t7 * t88 * t233);
  tvrho1 = t77 + t121 + t8 * (t198 + t238);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t241 = t38 * t43;
  t244 = t38 * t43 * t71;
  t247 = my_piecewise3(t61, 0, -0.5e1 / 0.81e2 * t241);
  t248 = my_piecewise3(t63, t247, 0);
  t251 = my_piecewise5(t58, 0, t61, 0, -t151 * t248 * t160);
  t253 = 0.5e1 / 0.72e2 * t241 - 0.5e1 / 0.81e2 * t244 + t53 * t251;
  t257 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t253);
  tvsigma0 = t8 * t257;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t258 = t38 * t93;
  t261 = t38 * t93 * t115;
  t264 = my_piecewise3(t105, 0, -0.5e1 / 0.81e2 * t258);
  t265 = my_piecewise3(t107, t264, 0);
  t268 = my_piecewise5(t104, 0, t105, 0, -t220 * t265 * t229);
  t270 = 0.5e1 / 0.72e2 * t258 - 0.5e1 / 0.81e2 * t261 + t103 * t268;
  t274 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t270);
  tvsigma2 = t8 * t274;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t280 = my_piecewise3(t61, 0, 0.5e1 / 0.54e2 * t38 * t48);
  t281 = my_piecewise3(t63, t280, 0);
  t284 = my_piecewise5(t58, 0, t61, 0, -t151 * t281 * t160);
  t286 = 0.5e1 / 0.54e2 * t38 * t48 * t71 + t53 * t284;
  t290 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t286);
  tvlapl0 = t8 * t290;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t296 = my_piecewise3(t105, 0, 0.5e1 / 0.54e2 * t38 * t98);
  t297 = my_piecewise3(t107, t296, 0);
  t300 = my_piecewise5(t104, 0, t105, 0, -t220 * t297 * t229);
  t302 = 0.5e1 / 0.54e2 * t38 * t98 * t115 + t103 * t300;
  t306 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t302);
  tvlapl1 = t8 * t306;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  tvtau0 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  tvtau1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t309 = 0.1e1 / t26;
  t310 = t126 * t126;
  t313 = t122 * t8;
  t314 = 0.1e1 / t313;
  t315 = t18 * t314;
  t318 = my_piecewise5(t12, 0, t16, 0, -0.2e1 * t123 + 0.2e1 * t315);
  t322 = my_piecewise3(t22, 0, 0.1e2 / 0.9e1 * t309 * t310 + 0.5e1 / 0.3e1 * t27 * t318);
  t323 = t322 * t31;
  t327 = t129 * t134;
  t329 = t7 * t327 * t73;
  t335 = 0.1e1 / t30 / t8;
  t336 = t29 * t335;
  t339 = t7 * t336 * t73 / 0.3e2;
  t341 = t7 * t135 * t164;
  t343 = t39 * t39;
  t345 = 0.1e1 / t41 / t343;
  t347 = t38 * sigma[0] * t345;
  t353 = 0.1e3 / 0.243e3 * t38 * lapl[0] * t141 - 0.44e3 / 0.729e3 * t347;
  t357 = t66 * t66;
  t359 = t70 / t357;
  t360 = t153 * t153;
  t362 = t155 * t155;
  t363 = t65 * t65;
  t364 = 0.1e1 / t363;
  t365 = t362 * t364;
  t366 = t68 * t68;
  t367 = t69 * t69;
  t368 = 0.1e1 / t367;
  t369 = t366 * t368;
  t370 = t365 * t369;
  t372 = t360 * t362;
  t374 = t364 * t68;
  t375 = t158 * params->csk_a;
  t376 = t374 * t375;
  t378 = my_piecewise3(t61, 0, t353);
  t379 = my_piecewise3(t63, t378, 0);
  t382 = t151 * t360;
  t383 = 0.0;
  t385 = t383 * t156 * t159;
  t386 = t382 * t385;
  t387 = t365 * t159;
  t389 = t359 * t372;
  t391 = t364 * t366;
  t392 = t368 * params->csk_a;
  t393 = t391 * t392;
  t396 = my_piecewise5(t58, 0, t61, 0, -t151 * t379 * t160 + t151 * t372 * t376 + t359 * t360 * t370 - t389 * t376 + t382 * t387 - t389 * t393 - t386);
  t398 = 0.55e2 / 0.81e2 * t347 + t353 * t71 + 0.2e1 * t149 * t162 + t53 * t396;
  t403 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t323 * t73 + t329 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t130 * t164 - t339 + t341 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t32 * t398);
  t404 = 0.1e1 / t84;
  t405 = t172 * t172;
  t408 = t79 * t314;
  t411 = my_piecewise5(t16, 0, t12, 0, 0.2e1 * t123 + 0.2e1 * t408);
  t415 = my_piecewise3(t83, 0, 0.1e2 / 0.9e1 * t404 * t405 + 0.5e1 / 0.3e1 * t85 * t411);
  t416 = t415 * t31;
  t420 = t175 * t134;
  t422 = t7 * t420 * t117;
  t424 = t87 * t335;
  t427 = t7 * t424 * t117 / 0.3e2;
  t429 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t416 * t117 + t422 / 0.5e1 - t427);
  tv2rho20 = 0.2e1 * t169 + 0.2e1 * t185 + t8 * (t403 + t429);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t432 = t309 * t189;
  t436 = my_piecewise5(t12, 0, t16, 0, 0.2e1 * t315);
  t440 = my_piecewise3(t22, 0, 0.1e2 / 0.9e1 * t432 * t126 + 0.5e1 / 0.3e1 * t27 * t436);
  t441 = t440 * t31;
  t445 = t192 * t134;
  t447 = t7 * t445 * t73;
  t455 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t441 * t73 + t447 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t193 * t164 + t329 / 0.1e2 - t339 + t341 / 0.1e2);
  t456 = t404 * t200;
  t460 = my_piecewise5(t16, 0, t12, 0, 0.2e1 * t408);
  t464 = my_piecewise3(t83, 0, 0.1e2 / 0.9e1 * t456 * t172 + 0.5e1 / 0.3e1 * t85 * t460);
  t465 = t464 * t31;
  t469 = t203 * t134;
  t471 = t7 * t469 * t117;
  t478 = t7 * t180 * t233;
  t481 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t465 * t117 + t471 / 0.1e2 + t422 / 0.1e2 - t427 + 0.3e1 / 0.2e2 * t7 * t176 * t233 + t478 / 0.1e2);
  tv2rho21 = t169 + t185 + t198 + t238 + t8 * (t455 + t481);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t486 = t189 * t189;
  t491 = my_piecewise5(t12, 0, t16, 0, 0.2e1 * t123 + 0.2e1 * t315);
  t495 = my_piecewise3(t22, 0, 0.1e2 / 0.9e1 * t309 * t486 + 0.5e1 / 0.3e1 * t27 * t491);
  t496 = t495 * t31;
  t502 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t496 * t73 + t447 / 0.5e1 - t339);
  t503 = t200 * t200;
  t508 = my_piecewise5(t16, 0, t12, 0, -0.2e1 * t123 + 0.2e1 * t408);
  t512 = my_piecewise3(t83, 0, 0.1e2 / 0.9e1 * t404 * t503 + 0.5e1 / 0.3e1 * t85 * t508);
  t513 = t512 * t31;
  t522 = t89 * t89;
  t524 = 0.1e1 / t91 / t522;
  t526 = t38 * sigma[2] * t524;
  t532 = 0.1e3 / 0.243e3 * t38 * lapl[1] * t210 - 0.44e3 / 0.729e3 * t526;
  t536 = t110 * t110;
  t538 = t114 / t536;
  t539 = t222 * t222;
  t541 = t224 * t224;
  t542 = t109 * t109;
  t543 = 0.1e1 / t542;
  t544 = t541 * t543;
  t545 = t112 * t112;
  t546 = t113 * t113;
  t547 = 0.1e1 / t546;
  t548 = t545 * t547;
  t549 = t544 * t548;
  t551 = t539 * t541;
  t553 = t543 * t112;
  t554 = t227 * params->csk_a;
  t555 = t553 * t554;
  t557 = my_piecewise3(t105, 0, t532);
  t558 = my_piecewise3(t107, t557, 0);
  t561 = t220 * t539;
  t562 = 0.0;
  t564 = t562 * t225 * t228;
  t565 = t561 * t564;
  t566 = t544 * t228;
  t568 = t538 * t551;
  t570 = t543 * t545;
  t571 = t547 * params->csk_a;
  t572 = t570 * t571;
  t575 = my_piecewise5(t104, 0, t105, 0, -t220 * t558 * t229 + t220 * t551 * t555 + t538 * t539 * t549 - t568 * t555 + t561 * t566 - t568 * t572 - t565);
  t577 = 0.55e2 / 0.81e2 * t526 + t532 * t115 + 0.2e1 * t218 * t231 + t103 * t575;
  t582 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t513 * t117 + t471 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t204 * t233 - t427 + t478 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t88 * t577);
  tv2rho22 = 0.2e1 * t198 + 0.2e1 * t238 + t8 * (t502 + t582);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t590 = t7 * t135 * t253 / 0.1e2;
  t591 = t38 * t141;
  t594 = t38 * t141 * t71;
  t597 = t38 * t43 * t162;
  t600 = t153 * t362;
  t601 = t359 * t600;
  t602 = t368 * t248;
  t603 = t391 * t602;
  t605 = t248 * t362;
  t606 = t151 * t605;
  t607 = t375 * t153;
  t608 = t374 * t607;
  t611 = my_piecewise3(t61, 0, 0.4e2 / 0.243e3 * t591);
  t612 = my_piecewise3(t63, t611, 0);
  t615 = t248 * t153;
  t617 = t151 * t615 * t385;
  t618 = t158 * t153;
  t619 = t374 * t618;
  t621 = t359 * t605;
  t623 = t392 * t153;
  t624 = t391 * t623;
  t627 = my_piecewise5(t58, 0, t61, 0, -t151 * t612 * t160 + t601 * t603 + t606 * t608 + t606 * t619 - t621 * t608 - t621 * t624 - t617);
  t629 = -0.5e1 / 0.27e2 * t591 + 0.4e2 / 0.243e3 * t594 - 0.5e1 / 0.81e2 * t597 + t149 * t251 + t53 * t627;
  t634 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t253 + t590 + 0.3e1 / 0.2e2 * t7 * t32 * t629);
  tv2rhosigma0 = t8 * t634 + t257;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t641 = t7 * t180 * t270 / 0.1e2;
  t643 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t270 + t641);
  tv2rhosigma2 = t8 * t643 + t274;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t649 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t253 + t590);
  tv2rhosigma3 = t8 * t649 + t257;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t654 = t38 * t210;
  t657 = t38 * t210 * t115;
  t660 = t38 * t93 * t231;
  t663 = t222 * t541;
  t664 = t538 * t663;
  t665 = t547 * t265;
  t666 = t570 * t665;
  t668 = t265 * t541;
  t669 = t220 * t668;
  t671 = t553 * t554 * t222;
  t674 = my_piecewise3(t105, 0, 0.4e2 / 0.243e3 * t654);
  t675 = my_piecewise3(t107, t674, 0);
  t678 = t265 * t222;
  t680 = t220 * t678 * t564;
  t681 = t227 * t222;
  t682 = t553 * t681;
  t684 = t538 * t668;
  t686 = t571 * t222;
  t687 = t570 * t686;
  t690 = my_piecewise5(t104, 0, t105, 0, -t220 * t675 * t229 + t664 * t666 + t669 * t671 + t669 * t682 - t684 * t671 - t684 * t687 - t680);
  t692 = -0.5e1 / 0.27e2 * t654 + 0.4e2 / 0.243e3 * t657 - 0.5e1 / 0.81e2 * t660 + t218 * t268 + t103 * t690;
  t697 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t270 + t641 + 0.3e1 / 0.2e2 * t7 * t88 * t692);
  tv2rhosigma5 = t8 * t697 + t274;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t704 = t7 * t135 * t286 / 0.1e2;
  t710 = t368 * t281;
  t711 = t391 * t710;
  t713 = t281 * t362;
  t714 = t151 * t713;
  t717 = my_piecewise3(t61, 0, -0.25e2 / 0.162e3 * t241);
  t718 = my_piecewise3(t63, t717, 0);
  t721 = t281 * t153;
  t723 = t151 * t721 * t385;
  t725 = t359 * t713;
  t729 = my_piecewise5(t58, 0, t61, 0, -t151 * t718 * t160 + t601 * t711 + t714 * t608 - t725 * t608 + t714 * t619 - t725 * t624 - t723);
  t731 = -0.25e2 / 0.162e3 * t244 + 0.5e1 / 0.54e2 * t38 * t48 * t162 + t149 * t284 + t53 * t729;
  t736 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t286 + t704 + 0.3e1 / 0.2e2 * t7 * t32 * t731);
  tv2rholapl0 = t8 * t736 + t290;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t743 = t7 * t180 * t302 / 0.1e2;
  t745 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t302 + t743);
  tv2rholapl1 = t8 * t745 + t306;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t751 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t286 + t704);
  tv2rholapl2 = t8 * t751 + t290;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t761 = t547 * t297;
  t762 = t570 * t761;
  t764 = t297 * t541;
  t765 = t220 * t764;
  t768 = my_piecewise3(t105, 0, -0.25e2 / 0.162e3 * t258);
  t769 = my_piecewise3(t107, t768, 0);
  t772 = t297 * t222;
  t774 = t220 * t772 * t564;
  t776 = t538 * t764;
  t780 = my_piecewise5(t104, 0, t105, 0, -t220 * t769 * t229 + t664 * t762 + t765 * t671 - t776 * t671 + t765 * t682 - t776 * t687 - t774);
  t782 = -0.25e2 / 0.162e3 * t261 + 0.5e1 / 0.54e2 * t38 * t98 * t231 + t218 * t300 + t103 * t780;
  t787 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t302 + t743 + 0.3e1 / 0.2e2 * t7 * t88 * t782);
  tv2rholapl3 = t8 * t787 + t306;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  tv2rhotau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  tv2rhotau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  tv2rhotau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  tv2rhotau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t790 = t38 * t43 * t251;
  t792 = t248 * t248;
  t795 = t792 * t362;
  t798 = my_piecewise3(t61, 0, 0);
  t799 = my_piecewise3(t63, t798, 0);
  t801 = t151 * t799 * t160;
  t802 = t151 * t792;
  t803 = t802 * t385;
  t805 = t359 * t795;
  t809 = my_piecewise5(t58, 0, t61, 0, t151 * t795 * t376 + t359 * t792 * t370 - t805 * t376 + t802 * t387 - t805 * t393 - t801 - t803);
  t811 = -0.1e2 / 0.81e2 * t790 + t53 * t809;
  t815 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t811);
  tv2sigma20 = t8 * t815;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t817 = t38 * t93 * t268;
  t819 = t265 * t265;
  t822 = t819 * t541;
  t825 = my_piecewise3(t105, 0, 0);
  t826 = my_piecewise3(t107, t825, 0);
  t828 = t220 * t826 * t229;
  t829 = t220 * t819;
  t830 = t829 * t564;
  t832 = t538 * t822;
  t836 = my_piecewise5(t104, 0, t105, 0, t220 * t822 * t555 + t538 * t819 * t549 - t832 * t555 + t829 * t566 - t832 * t572 - t828 - t830);
  t838 = -0.1e2 / 0.81e2 * t817 + t103 * t836;
  t842 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t838);
  tv2sigma25 = t8 * t842;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t847 = t38 * t43 * t284;
  t850 = t375 * t248;
  t851 = t374 * t850;
  t853 = t281 * t248;
  t854 = t151 * t853;
  t855 = t854 * t385;
  t856 = t158 * t248;
  t857 = t374 * t856;
  t860 = t392 * t248;
  t861 = t391 * t860;
  t864 = my_piecewise5(t58, 0, t61, 0, t621 * t711 + t714 * t851 + t714 * t857 - t725 * t851 - t725 * t861 - t801 - t855);
  t866 = 0.5e1 / 0.54e2 * t38 * t48 * t251 - 0.5e1 / 0.81e2 * t847 + t53 * t864;
  t870 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t866);
  tv2sigmalapl0 = t8 * t870;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t875 = t38 * t93 * t300;
  t878 = t554 * t265;
  t879 = t553 * t878;
  t881 = t297 * t265;
  t882 = t220 * t881;
  t883 = t882 * t564;
  t884 = t227 * t265;
  t885 = t553 * t884;
  t888 = t571 * t265;
  t889 = t570 * t888;
  t892 = my_piecewise5(t104, 0, t105, 0, t684 * t762 + t765 * t879 + t765 * t885 - t776 * t879 - t776 * t889 - t828 - t883);
  t894 = 0.5e1 / 0.54e2 * t38 * t98 * t268 - 0.5e1 / 0.81e2 * t875 + t103 * t892;
  t898 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t894);
  tv2sigmalapl5 = t8 * t898;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  tv2sigmatau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  tv2sigmatau5 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t902 = t281 * t281;
  t905 = t902 * t362;
  t906 = t151 * t905;
  t908 = t151 * t902;
  t909 = t908 * t385;
  t911 = t359 * t905;
  t915 = my_piecewise5(t58, 0, t61, 0, t359 * t902 * t370 + t906 * t376 - t911 * t376 + t908 * t387 - t911 * t393 - t801 - t909);
  t917 = 0.5e1 / 0.27e2 * t38 * t48 * t284 + t53 * t915;
  t921 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t917);
  tv2lapl20 = t8 * t921;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t925 = t297 * t297;
  t928 = t925 * t541;
  t929 = t220 * t928;
  t931 = t220 * t925;
  t932 = t931 * t564;
  t934 = t538 * t928;
  t938 = my_piecewise5(t104, 0, t105, 0, t538 * t925 * t549 + t929 * t555 - t934 * t555 + t931 * t566 - t934 * t572 - t828 - t932);
  t940 = 0.5e1 / 0.27e2 * t38 * t98 * t300 + t103 * t938;
  t944 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t940);
  tv2lapl22 = t8 * t944;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  tv2lapltau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  tv2lapltau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  tv2tau20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  tv2tau22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

  t948 = 0.1e1 / t26 / t21;
  t949 = t310 * t126;
  t952 = t309 * t126;
  t955 = t122 * t122;
  t956 = 0.1e1 / t955;
  t957 = t18 * t956;
  t960 = my_piecewise5(t12, 0, t16, 0, 0.6e1 * t314 - 0.6e1 * t957);
  t964 = my_piecewise3(t22, 0, -0.1e2 / 0.27e2 * t948 * t949 + 0.1e2 / 0.3e1 * t952 * t318 + 0.5e1 / 0.3e1 * t27 * t960);
  t965 = t964 * t31;
  t969 = t322 * t134;
  t971 = t7 * t969 * t73;
  t976 = t129 * t335;
  t978 = t7 * t976 * t73;
  t981 = t7 * t327 * t164;
  t987 = 0.1e1 / t30 / t122;
  t988 = t29 * t987;
  t991 = 0.2e1 / 0.45e2 * t7 * t988 * t73;
  t993 = t7 * t336 * t164;
  t996 = t7 * t135 * t398;
  t1000 = 0.1e1 / t41 / t343 / rho[0];
  t1002 = t38 * sigma[0] * t1000;
  t1008 = -0.11e4 / 0.729e3 * t38 * lapl[0] * t345 + 0.616e4 / 0.2187e4 * t1002;
  t1014 = t379 * t362;
  t1015 = t359 * t1014;
  t1018 = t360 * t153;
  t1019 = t1018 * t383;
  t1020 = t359 * t1019;
  t1021 = t364 * params->csk_a;
  t1023 = t155 * t68 * t158;
  t1024 = t1021 * t1023;
  t1025 = t1020 * t1024;
  t1027 = t1018 * t155;
  t1029 = t375 * t383;
  t1030 = t374 * t1029;
  t1031 = t151 * t1027 * t1030;
  t1034 = t375 * t379;
  t1035 = t374 * t1034;
  t1041 = t391 * t392 * t155;
  t1042 = t1020 * t1041;
  t1044 = my_piecewise3(t61, 0, t1008);
  t1045 = my_piecewise3(t63, t1044, 0);
  t1050 = t70 / t357 / t66;
  t1052 = t362 * t155;
  t1054 = 0.1e1 / t363 / t65;
  t1055 = t1052 * t1054;
  t1056 = t366 * t68;
  t1058 = 0.1e1 / t367 / t69;
  t1059 = t1056 * t1058;
  t1060 = t1055 * t1059;
  t1063 = t1055 * t159;
  t1067 = t1055 * t369;
  t1070 = t1018 * t1052;
  t1071 = t359 * t1070;
  t1072 = t1054 * params->csk_a;
  t1073 = t1072 * t159;
  t1076 = t151 * t1070;
  t1079 = -t1050 * t1018 * t1060 - 0.2e1 * t151 * t1018 * t1063 - 0.3e1 * t359 * t1018 * t1067 + 0.3e1 * t151 * t600 * t1035 - t151 * t1045 * t160 - 0.3e1 * t1015 * t608 - 0.3e1 * t1015 * t624 + 0.3e1 * t1071 * t1073 - 0.3e1 * t1076 * t1073 - 0.3e1 * t1025 + 0.3e1 * t1031 - 0.3e1 * t1042 - t386;
  t1084 = t158 * t155;
  t1085 = t374 * t1084;
  t1086 = t151 * t1019 * t1085;
  t1089 = t368 * t383;
  t1090 = t391 * t1089;
  t1091 = t359 * t1027 * t1090;
  t1093 = params->csk_a * params->csk_a;
  t1094 = t1054 * t1093;
  t1095 = t1094 * t159;
  t1098 = t1050 * t1070;
  t1100 = t1054 * t366;
  t1101 = t1100 * t392;
  t1105 = t368 * t379;
  t1109 = t1054 * t1056;
  t1110 = t1058 * params->csk_a;
  t1111 = t1109 * t1110;
  t1114 = t368 * t1093;
  t1115 = t1100 * t1114;
  t1120 = t151 * t379 * t153 * t385;
  t1124 = t1058 * t1093;
  t1125 = t1109 * t1124;
  t1128 = 0.3e1 * t151 * t1014 * t619 + 0.3e1 * t601 * t391 * t1105 + 0.3e1 * t1071 * t1095 + 0.3e1 * t1071 * t1115 - t1076 * t1095 - t1098 * t1095 + 0.3e1 * t1098 * t1101 + 0.3e1 * t1098 * t1111 - 0.3e1 * t1098 * t1115 - 0.2e1 * t1098 * t1125 + 0.3e1 * t1086 + 0.3e1 * t1091 - 0.3e1 * t1120;
  t1130 = my_piecewise5(t58, 0, t61, 0, t1079 + t1128);
  t1132 = -0.77e3 / 0.243e3 * t1002 + t1008 * t71 + 0.3e1 * t353 * t162 + 0.3e1 * t149 * t396 + t53 * t1130;
  t1137 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t965 * t73 + 0.3e1 / 0.1e2 * t971 + 0.9e1 / 0.2e2 * t7 * t323 * t164 - t978 / 0.1e2 + 0.3e1 / 0.5e1 * t981 + 0.9e1 / 0.2e2 * t7 * t130 * t398 + t991 - t993 / 0.1e2 + 0.3e1 / 0.1e2 * t996 + 0.3e1 / 0.2e2 * t7 * t32 * t1132);
  t1139 = 0.1e1 / t84 / t82;
  t1140 = t405 * t172;
  t1143 = t404 * t172;
  t1146 = t79 * t956;
  t1149 = my_piecewise5(t16, 0, t12, 0, -0.6e1 * t314 - 0.6e1 * t1146);
  t1153 = my_piecewise3(t83, 0, -0.1e2 / 0.27e2 * t1139 * t1140 + 0.1e2 / 0.3e1 * t1143 * t411 + 0.5e1 / 0.3e1 * t85 * t1149);
  t1154 = t1153 * t31;
  t1158 = t415 * t134;
  t1160 = t7 * t1158 * t117;
  t1162 = t175 * t335;
  t1164 = t7 * t1162 * t117;
  t1166 = t87 * t987;
  t1169 = 0.2e1 / 0.45e2 * t7 * t1166 * t117;
  t1171 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1154 * t117 + 0.3e1 / 0.1e2 * t1160 - t1164 / 0.1e2 + t1169);
  tv3rho30 = 0.3e1 * t403 + 0.3e1 * t429 + t8 * (t1137 + t1171);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t1174 = 0.2e1 * t455;
  t1175 = 0.2e1 * t481;
  t1176 = t948 * t189;
  t1179 = t309 * t436;
  t1184 = 0.2e1 * t314;
  t1185 = 0.6e1 * t957;
  t1187 = my_piecewise5(t12, 0, t16, 0, t1184 - t1185);
  t1191 = my_piecewise3(t22, 0, -0.1e2 / 0.27e2 * t1176 * t310 + 0.2e2 / 0.9e1 * t1179 * t126 + 0.1e2 / 0.9e1 * t432 * t318 + 0.5e1 / 0.3e1 * t27 * t1187);
  t1192 = t1191 * t31;
  t1196 = t440 * t134;
  t1199 = t7 * t1196 * t73 / 0.5e1;
  t1203 = t192 * t335;
  t1205 = t7 * t1203 * t73;
  t1209 = t7 * t445 * t164 / 0.5e1;
  t1218 = 0.3e1 / 0.2e2 * t7 * t1192 * t73 + t1199 + 0.3e1 / 0.1e2 * t7 * t441 * t164 - t1205 / 0.3e2 + t1209 + 0.3e1 / 0.2e2 * t7 * t193 * t398 + t971 / 0.1e2 - t978 / 0.15e2 + t981 / 0.5e1 + t991 - t993 / 0.15e2 + t996 / 0.1e2;
  t1219 = my_piecewise3(t2, 0, t1218);
  t1220 = t1139 * t200;
  t1223 = t404 * t460;
  t1228 = 0.6e1 * t1146;
  t1230 = my_piecewise5(t16, 0, t12, 0, -t1184 - t1228);
  t1234 = my_piecewise3(t83, 0, -0.1e2 / 0.27e2 * t1220 * t405 + 0.2e2 / 0.9e1 * t1223 * t172 + 0.1e2 / 0.9e1 * t456 * t411 + 0.5e1 / 0.3e1 * t85 * t1230);
  t1235 = t1234 * t31;
  t1239 = t464 * t134;
  t1242 = t7 * t1239 * t117 / 0.5e1;
  t1243 = t203 * t335;
  t1245 = t7 * t1243 * t117;
  t1254 = t7 * t420 * t233 / 0.5e1;
  t1256 = t7 * t424 * t233;
  t1259 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1235 * t117 + t1242 - t1245 / 0.3e2 + t1160 / 0.1e2 - t1164 / 0.15e2 + t1169 + 0.3e1 / 0.2e2 * t7 * t416 * t233 + t1254 - t1256 / 0.3e2);
  tv3rho31 = t403 + t429 + t1174 + t1175 + t8 * (t1219 + t1259);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t1262 = t948 * t486;
  t1267 = t309 * t491;
  t1271 = my_piecewise5(t12, 0, t16, 0, -t1184 - t1185);
  t1275 = my_piecewise3(t22, 0, -0.1e2 / 0.27e2 * t1262 * t126 + 0.2e2 / 0.9e1 * t432 * t436 + 0.1e2 / 0.9e1 * t1267 * t126 + 0.5e1 / 0.3e1 * t27 * t1271);
  t1276 = t1275 * t31;
  t1280 = t495 * t134;
  t1282 = t7 * t1280 * t73;
  t1291 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t1276 * t73 + t1282 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t496 * t164 + t1199 - t1205 / 0.15e2 + t1209 - t978 / 0.3e2 + t991 - t993 / 0.3e2);
  t1292 = t1139 * t503;
  t1297 = t404 * t508;
  t1301 = my_piecewise5(t16, 0, t12, 0, t1184 - t1228);
  t1305 = my_piecewise3(t83, 0, -0.1e2 / 0.27e2 * t1292 * t172 + 0.2e2 / 0.9e1 * t456 * t460 + 0.1e2 / 0.9e1 * t1297 * t172 + 0.5e1 / 0.3e1 * t85 * t1301);
  t1306 = t1305 * t31;
  t1310 = t512 * t134;
  t1312 = t7 * t1310 * t117;
  t1319 = t7 * t469 * t233;
  t1327 = t7 * t180 * t577;
  t1329 = 0.3e1 / 0.2e2 * t7 * t1306 * t117 + t1312 / 0.1e2 + t1242 - t1245 / 0.15e2 + 0.3e1 / 0.1e2 * t7 * t465 * t233 + t1319 / 0.5e1 - t1164 / 0.3e2 + t1169 + t1254 - t1256 / 0.15e2 + 0.3e1 / 0.2e2 * t7 * t176 * t577 + t1327 / 0.1e2;
  t1330 = my_piecewise3(t78, 0, t1329);
  tv3rho32 = t1174 + t1175 + t502 + t582 + t8 * (t1291 + t1330);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t1335 = t486 * t189;
  t1342 = my_piecewise5(t12, 0, t16, 0, -0.6e1 * t314 - 0.6e1 * t957);
  t1346 = my_piecewise3(t22, 0, -0.1e2 / 0.27e2 * t948 * t1335 + 0.1e2 / 0.3e1 * t432 * t491 + 0.5e1 / 0.3e1 * t27 * t1342);
  t1347 = t1346 * t31;
  t1354 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t1347 * t73 + 0.3e1 / 0.1e2 * t1282 - t1205 / 0.1e2 + t991);
  t1355 = t503 * t200;
  t1362 = my_piecewise5(t16, 0, t12, 0, 0.6e1 * t314 - 0.6e1 * t1146);
  t1366 = my_piecewise3(t83, 0, -0.1e2 / 0.27e2 * t1139 * t1355 + 0.1e2 / 0.3e1 * t456 * t508 + 0.5e1 / 0.3e1 * t85 * t1362);
  t1367 = t1366 * t31;
  t1384 = 0.1e1 / t91 / t522 / rho[1];
  t1386 = t38 * sigma[2] * t1384;
  t1392 = -0.11e4 / 0.729e3 * t38 * lapl[1] * t524 + 0.616e4 / 0.2187e4 * t1386;
  t1398 = t558 * t541;
  t1399 = t538 * t1398;
  t1402 = t539 * t222;
  t1403 = t1402 * t562;
  t1404 = t538 * t1403;
  t1405 = t543 * params->csk_a;
  t1407 = t224 * t112 * t227;
  t1408 = t1405 * t1407;
  t1409 = t1404 * t1408;
  t1411 = t1402 * t224;
  t1413 = t554 * t562;
  t1414 = t553 * t1413;
  t1415 = t220 * t1411 * t1414;
  t1419 = t553 * t554 * t558;
  t1425 = t570 * t571 * t224;
  t1426 = t1404 * t1425;
  t1430 = t114 / t536 / t110;
  t1432 = t541 * t224;
  t1434 = 0.1e1 / t542 / t109;
  t1435 = t1432 * t1434;
  t1436 = t545 * t112;
  t1438 = 0.1e1 / t546 / t113;
  t1439 = t1436 * t1438;
  t1440 = t1435 * t1439;
  t1442 = my_piecewise3(t105, 0, t1392);
  t1443 = my_piecewise3(t107, t1442, 0);
  t1447 = t1435 * t228;
  t1451 = t1435 * t548;
  t1454 = t1402 * t1432;
  t1455 = t1430 * t1454;
  t1456 = t1434 * t1093;
  t1457 = t1456 * t228;
  t1459 = t538 * t1454;
  t1460 = t1434 * params->csk_a;
  t1461 = t1460 * t228;
  t1464 = -t1430 * t1402 * t1440 - 0.2e1 * t220 * t1402 * t1447 - 0.3e1 * t538 * t1402 * t1451 + 0.3e1 * t220 * t663 * t1419 - t220 * t1443 * t229 - 0.3e1 * t1399 * t671 - 0.3e1 * t1399 * t687 - t1455 * t1457 + 0.3e1 * t1459 * t1461 - 0.3e1 * t1409 + 0.3e1 * t1415 - 0.3e1 * t1426 - t565;
  t1465 = t220 * t1454;
  t1469 = t547 * t562;
  t1470 = t570 * t1469;
  t1471 = t538 * t1411 * t1470;
  t1477 = t227 * t224;
  t1478 = t553 * t1477;
  t1479 = t220 * t1403 * t1478;
  t1481 = t1434 * t545;
  t1482 = t1481 * t571;
  t1488 = t547 * t558;
  t1492 = t1434 * t1436;
  t1493 = t1438 * params->csk_a;
  t1494 = t1492 * t1493;
  t1497 = t547 * t1093;
  t1498 = t1481 * t1497;
  t1503 = t220 * t558 * t222 * t564;
  t1507 = t1438 * t1093;
  t1508 = t1492 * t1507;
  t1511 = 0.3e1 * t220 * t1398 * t682 + 0.3e1 * t664 * t570 * t1488 + 0.3e1 * t1455 * t1482 + 0.3e1 * t1455 * t1494 - 0.3e1 * t1455 * t1498 - 0.2e1 * t1455 * t1508 + 0.3e1 * t1459 * t1457 - t1465 * t1457 + 0.3e1 * t1459 * t1498 - 0.3e1 * t1465 * t1461 + 0.3e1 * t1471 + 0.3e1 * t1479 - 0.3e1 * t1503;
  t1513 = my_piecewise5(t104, 0, t105, 0, t1464 + t1511);
  t1515 = -0.77e3 / 0.243e3 * t1386 + t1392 * t115 + 0.3e1 * t532 * t231 + 0.3e1 * t218 * t575 + t103 * t1513;
  t1520 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1367 * t117 + 0.3e1 / 0.1e2 * t1312 + 0.9e1 / 0.2e2 * t7 * t513 * t233 - t1245 / 0.1e2 + 0.3e1 / 0.5e1 * t1319 + 0.9e1 / 0.2e2 * t7 * t204 * t577 + t1169 - t1256 / 0.1e2 + 0.3e1 / 0.1e2 * t1327 + 0.3e1 / 0.2e2 * t7 * t88 * t1515);
  tv3rho33 = 0.3e1 * t502 + 0.3e1 * t582 + t8 * (t1354 + t1520);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t1528 = t7 * t327 * t253;
  t1535 = t7 * t336 * t253 / 0.3e2;
  t1537 = t7 * t135 * t629;
  t1539 = t38 * t345;
  t1542 = t38 * t345 * t71;
  t1545 = t38 * t141 * t162;
  t1548 = t38 * t43 * t396;
  t1553 = t248 * t1052;
  t1554 = t359 * t1553;
  t1556 = t360 * t68 * t158;
  t1557 = t1072 * t1556;
  t1560 = t612 * t362;
  t1561 = t359 * t1560;
  t1564 = t151 * t1553;
  t1567 = t248 * t360;
  t1570 = t383 * t364 * t1023;
  t1571 = t151 * t1567 * t1570;
  t1573 = t360 * t155;
  t1574 = t359 * t1573;
  t1575 = t602 * t383;
  t1576 = t391 * t1575;
  t1577 = t1574 * t1576;
  t1579 = t1050 * t1553;
  t1580 = t1094 * t1556;
  t1582 = t360 * t1052;
  t1583 = t1050 * t1582;
  t1584 = t1100 * t860;
  t1591 = t360 * t366 * t368;
  t1592 = t1094 * t1591;
  t1595 = t392 * t379;
  t1596 = t391 * t1595;
  t1598 = t1124 * t360;
  t1599 = t1109 * t1598;
  t1602 = t151 * t1560;
  t1608 = t606 * t1035 + 0.3e1 * t1554 * t1557 + 0.3e1 * t1554 * t1580 + 0.3e1 * t1554 * t1592 - 0.3e1 * t1564 * t1557 - 0.2e1 * t1561 * t608 - t1564 * t1580 - t1579 * t1580 - 0.3e1 * t1579 * t1592 - 0.2e1 * t1579 * t1599 + 0.3e1 * t1583 * t1584 - t621 * t1596 + 0.2e1 * t1602 * t608 + 0.3e1 * t1571 + 0.3e1 * t1577 - t617;
  t1612 = t1058 * t248;
  t1613 = t1612 * params->csk_a;
  t1614 = t1109 * t1613;
  t1617 = t1567 * t383;
  t1618 = t359 * t1617;
  t1619 = t1618 * t1024;
  t1621 = t248 * t155;
  t1622 = t1621 * t364;
  t1623 = t151 * t1622;
  t1624 = params->csk_a * t360;
  t1625 = t1624 * t383;
  t1626 = t159 * t1625;
  t1627 = t1623 * t1626;
  t1629 = t1618 * t1041;
  t1632 = my_piecewise3(t61, 0, -0.44e3 / 0.729e3 * t1539);
  t1633 = my_piecewise3(t63, t1632, 0);
  t1636 = t1054 * t68;
  t1637 = t158 * t360;
  t1638 = t1636 * t1637;
  t1641 = t359 * t1582;
  t1642 = t1100 * t602;
  t1648 = t368 * t612;
  t1649 = t391 * t1648;
  t1654 = t612 * t153;
  t1656 = t151 * t1654 * t385;
  t1660 = t151 * t248 * t379 * t385;
  t1661 = t158 * t379;
  t1662 = t374 * t1661;
  t1664 = -t1583 * t1109 * t1612 - t151 * t1633 * t160 + t1015 * t603 - t621 * t1035 - 0.2e1 * t1561 * t624 - 0.2e1 * t1564 * t1638 + 0.3e1 * t1583 * t1614 + 0.2e1 * t1602 * t619 - 0.3e1 * t1641 * t1642 + 0.2e1 * t601 * t1649 + t606 * t1662 - 0.3e1 * t1619 + 0.3e1 * t1627 - 0.3e1 * t1629 - 0.2e1 * t1656 - t1660;
  t1666 = my_piecewise5(t58, 0, t61, 0, t1608 + t1664);
  t1668 = 0.55e2 / 0.81e2 * t1539 - 0.44e3 / 0.729e3 * t1542 + 0.8e2 / 0.243e3 * t1545 - 0.5e1 / 0.81e2 * t1548 + t353 * t251 + 0.2e1 * t149 * t627 + t53 * t1666;
  t1673 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t323 * t253 + t1528 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t130 * t629 - t1535 + t1537 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t32 * t1668);
  tv3rho2sigma0 = t8 * t1673 + 0.2e1 * t634;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t1680 = t7 * t420 * t270;
  t1684 = t7 * t424 * t270 / 0.3e2;
  t1686 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t416 * t270 + t1680 / 0.5e1 - t1684);
  tv3rho2sigma2 = t8 * t1686 + 0.2e1 * t643;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t1692 = t7 * t445 * t253;
  t1700 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t441 * t253 + t1692 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t193 * t629 + t1528 / 0.1e2 - t1535 + t1537 / 0.1e2);
  tv3rho2sigma3 = t8 * t1700 + t634 + t649;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t1706 = t7 * t469 * t270;
  t1713 = t7 * t180 * t692;
  t1716 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t465 * t270 + t1706 / 0.1e2 + t1680 / 0.1e2 - t1684 + 0.3e1 / 0.2e2 * t7 * t176 * t692 + t1713 / 0.1e2);
  tv3rho2sigma5 = t8 * t1716 + t643 + t697;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t1724 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t496 * t253 + t1692 / 0.5e1 - t1535);
  tv3rho2sigma6 = t8 * t1724 + 0.2e1 * t649;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t1735 = t38 * t524;
  t1738 = t38 * t524 * t115;
  t1741 = t38 * t210 * t231;
  t1744 = t38 * t93 * t575;
  t1749 = t265 * t1432;
  t1750 = t538 * t1749;
  t1752 = t539 * t112 * t227;
  t1753 = t1460 * t1752;
  t1756 = t675 * t541;
  t1757 = t538 * t1756;
  t1760 = t220 * t1749;
  t1763 = t539 * t224;
  t1764 = t538 * t1763;
  t1765 = t665 * t562;
  t1766 = t570 * t1765;
  t1767 = t1764 * t1766;
  t1769 = t265 * t539;
  t1772 = t562 * t543 * t1407;
  t1773 = t220 * t1769 * t1772;
  t1775 = t539 * t1432;
  t1776 = t1430 * t1775;
  t1777 = t1481 * t888;
  t1780 = t1434 * t112;
  t1781 = t227 * t1093;
  t1782 = t1781 * t539;
  t1783 = t1780 * t1782;
  t1787 = t1430 * t1749;
  t1791 = t539 * t545 * t547;
  t1792 = t1456 * t1791;
  t1795 = t571 * t558;
  t1796 = t570 * t1795;
  t1798 = t1507 * t539;
  t1799 = t1492 * t1798;
  t1802 = t1438 * t265;
  t1803 = t1802 * params->csk_a;
  t1804 = t1492 * t1803;
  t1807 = t220 * t1756;
  t1810 = -t684 * t1419 + 0.3e1 * t1750 * t1753 + 0.3e1 * t1750 * t1783 - 0.3e1 * t1760 * t1753 - 0.2e1 * t1757 * t671 - t1760 * t1783 + 0.3e1 * t1776 * t1777 + 0.3e1 * t1776 * t1804 - t1787 * t1783 - 0.3e1 * t1787 * t1792 - 0.2e1 * t1787 * t1799 - t684 * t1796 + 0.2e1 * t1807 * t671 + 0.3e1 * t1767 + 0.3e1 * t1773 - t680;
  t1816 = t1769 * t562;
  t1817 = t538 * t1816;
  t1818 = t1817 * t1408;
  t1820 = t265 * t224;
  t1821 = t1820 * t543;
  t1822 = t220 * t1821;
  t1824 = params->csk_a * t539 * t562;
  t1825 = t228 * t1824;
  t1826 = t1822 * t1825;
  t1828 = t1817 * t1425;
  t1831 = my_piecewise3(t105, 0, -0.44e3 / 0.729e3 * t1735);
  t1832 = my_piecewise3(t107, t1831, 0);
  t1835 = t538 * t1775;
  t1836 = t1481 * t665;
  t1839 = t227 * t539;
  t1840 = t1780 * t1839;
  t1843 = t227 * t558;
  t1844 = t553 * t1843;
  t1848 = t220 * t265 * t558 * t564;
  t1851 = t220 * t675 * t222 * t564;
  t1856 = t547 * t675;
  t1857 = t570 * t1856;
  t1862 = -t1776 * t1492 * t1802 - t220 * t1832 * t229 + t1399 * t666 + t669 * t1419 + 0.3e1 * t1750 * t1792 - 0.2e1 * t1757 * t687 - 0.2e1 * t1760 * t1840 + 0.2e1 * t1807 * t682 - 0.3e1 * t1835 * t1836 + t669 * t1844 + 0.2e1 * t664 * t1857 - 0.3e1 * t1818 + 0.3e1 * t1826 - 0.3e1 * t1828 - t1848 - 0.2e1 * t1851;
  t1864 = my_piecewise5(t104, 0, t105, 0, t1810 + t1862);
  t1866 = 0.55e2 / 0.81e2 * t1735 - 0.44e3 / 0.729e3 * t1738 + 0.8e2 / 0.243e3 * t1741 - 0.5e1 / 0.81e2 * t1744 + t532 * t268 + 0.2e1 * t218 * t690 + t103 * t1864;
  t1871 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t513 * t270 + t1706 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t204 * t692 - t1684 + t1713 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t88 * t1866);
  tv3rho2sigma8 = t8 * t1871 + 0.2e1 * t697;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t1878 = t7 * t327 * t286;
  t1885 = t7 * t336 * t286 / 0.3e2;
  t1887 = t7 * t135 * t731;
  t1897 = t281 * t1052;
  t1898 = t359 * t1897;
  t1901 = t718 * t362;
  t1902 = t359 * t1901;
  t1905 = t151 * t1897;
  t1908 = t710 * t383;
  t1909 = t391 * t1908;
  t1910 = t1574 * t1909;
  t1912 = t281 * t360;
  t1914 = t151 * t1912 * t1570;
  t1916 = t710 * params->csk_a;
  t1917 = t1100 * t1916;
  t1923 = t1050 * t1897;
  t1931 = t1058 * t281;
  t1932 = t1931 * params->csk_a;
  t1933 = t1109 * t1932;
  t1936 = t151 * t1901;
  t1940 = t714 * t1035 - t725 * t1035 + 0.3e1 * t1898 * t1557 - 0.3e1 * t1905 * t1557 + 0.3e1 * t1898 * t1580 - t1905 * t1580 - t1923 * t1580 + 0.3e1 * t1583 * t1917 + 0.3e1 * t1583 * t1933 - 0.3e1 * t1923 * t1592 - t725 * t1596 - 0.2e1 * t1923 * t1599 - 0.2e1 * t1902 * t608 + 0.2e1 * t1936 * t608 + 0.3e1 * t1910 + 0.3e1 * t1914;
  t1945 = t1912 * t383;
  t1946 = t359 * t1945;
  t1947 = t1946 * t1024;
  t1950 = t281 * t155 * t364;
  t1951 = t151 * t1950;
  t1952 = t1951 * t1626;
  t1954 = t1946 * t1041;
  t1957 = my_piecewise3(t61, 0, 0.1e3 / 0.243e3 * t591);
  t1958 = my_piecewise3(t63, t1957, 0);
  t1963 = t1100 * t710;
  t1968 = t151 * t281 * t379 * t385;
  t1971 = t368 * t718;
  t1972 = t391 * t1971;
  t1975 = t1109 * t1931;
  t1977 = t718 * t153;
  t1979 = t151 * t1977 * t385;
  t1983 = -t151 * t1958 * t160 + t1015 * t711 - t1583 * t1975 + 0.3e1 * t1898 * t1592 - 0.2e1 * t1905 * t1638 - 0.3e1 * t1641 * t1963 + t714 * t1662 - 0.2e1 * t1902 * t624 + 0.2e1 * t1936 * t619 + 0.2e1 * t601 * t1972 - 0.3e1 * t1947 + 0.3e1 * t1952 - 0.3e1 * t1954 - t1968 - 0.2e1 * t1979 - t723;
  t1985 = my_piecewise5(t58, 0, t61, 0, t1940 + t1983);
  t1987 = 0.1e3 / 0.243e3 * t594 - 0.25e2 / 0.81e2 * t597 + 0.5e1 / 0.54e2 * t38 * t48 * t396 + t353 * t284 + 0.2e1 * t149 * t729 + t53 * t1985;
  t1992 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t323 * t286 + t1878 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t130 * t731 - t1885 + t1887 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t32 * t1987);
  tv3rho2lapl0 = t8 * t1992 + 0.2e1 * t736;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t1999 = t7 * t420 * t302;
  t2003 = t7 * t424 * t302 / 0.3e2;
  t2005 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t416 * t302 + t1999 / 0.5e1 - t2003);
  tv3rho2lapl1 = t8 * t2005 + 0.2e1 * t745;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 1] += tv3rho2lapl1;

  t2011 = t7 * t445 * t286;
  t2019 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t441 * t286 + t2011 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t193 * t731 + t1878 / 0.1e2 - t1885 + t1887 / 0.1e2);
  tv3rho2lapl2 = t8 * t2019 + t736 + t751;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 2] += tv3rho2lapl2;

  t2025 = t7 * t469 * t302;
  t2032 = t7 * t180 * t782;
  t2035 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t465 * t302 + t2025 / 0.1e2 + t1999 / 0.1e2 - t2003 + 0.3e1 / 0.2e2 * t7 * t176 * t782 + t2032 / 0.1e2);
  tv3rho2lapl3 = t8 * t2035 + t745 + t787;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 3] += tv3rho2lapl3;

  t2043 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t496 * t286 + t2011 / 0.5e1 - t1885);
  tv3rho2lapl4 = t8 * t2043 + 0.2e1 * t751;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 4] += tv3rho2lapl4;

  t2062 = t297 * t1432;
  t2063 = t538 * t2062;
  t2066 = t769 * t541;
  t2067 = t538 * t2066;
  t2070 = t220 * t2062;
  t2073 = t297 * t539;
  t2075 = t220 * t2073 * t1772;
  t2077 = t761 * t562;
  t2078 = t570 * t2077;
  t2079 = t1764 * t2078;
  t2084 = t1430 * t2062;
  t2086 = t761 * params->csk_a;
  t2087 = t1481 * t2086;
  t2090 = t1438 * t297;
  t2091 = t2090 * params->csk_a;
  t2092 = t1492 * t2091;
  t2095 = t220 * t2066;
  t2106 = t765 * t1419 - t776 * t1419 + 0.3e1 * t2063 * t1753 - 0.3e1 * t2070 * t1753 + 0.3e1 * t1776 * t2087 + 0.3e1 * t1776 * t2092 + 0.3e1 * t2063 * t1783 - t2070 * t1783 - t2084 * t1783 + 0.3e1 * t2063 * t1792 - 0.3e1 * t2084 * t1792 - 0.2e1 * t2067 * t671 - 0.2e1 * t2067 * t687 + 0.2e1 * t2095 * t671 + 0.3e1 * t2075 + 0.3e1 * t2079;
  t2111 = t538 * t2073 * t562;
  t2112 = t2111 * t1408;
  t2115 = t297 * t224 * t543;
  t2116 = t220 * t2115;
  t2117 = t2116 * t1825;
  t2119 = t2111 * t1425;
  t2122 = my_piecewise3(t105, 0, 0.1e3 / 0.243e3 * t654);
  t2123 = my_piecewise3(t107, t2122, 0);
  t2128 = t547 * t769;
  t2129 = t570 * t2128;
  t2132 = t1492 * t2090;
  t2134 = t769 * t222;
  t2136 = t220 * t2134 * t564;
  t2138 = t297 * t558;
  t2140 = t220 * t2138 * t564;
  t2141 = t1481 * t761;
  t2148 = -t220 * t2123 * t229 + t1399 * t762 - t1776 * t2132 - t776 * t1796 - 0.2e1 * t2084 * t1799 - 0.3e1 * t1835 * t2141 - 0.2e1 * t2070 * t1840 + t765 * t1844 + 0.2e1 * t2095 * t682 + 0.2e1 * t664 * t2129 - 0.3e1 * t2112 + 0.3e1 * t2117 - 0.3e1 * t2119 - 0.2e1 * t2136 - t2140 - t774;
  t2150 = my_piecewise5(t104, 0, t105, 0, t2106 + t2148);
  t2152 = 0.1e3 / 0.243e3 * t657 - 0.25e2 / 0.81e2 * t660 + 0.5e1 / 0.54e2 * t38 * t98 * t575 + t532 * t300 + 0.2e1 * t218 * t780 + t103 * t2150;
  t2157 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t513 * t302 + t2025 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t204 * t782 - t2003 + t2032 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t88 * t2152);
  tv3rho2lapl5 = t8 * t2157 + 0.2e1 * t787;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 5] += tv3rho2lapl5;

  tv3rho2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  tv3rho2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 1] += tv3rho2tau1;

  tv3rho2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 2] += tv3rho2tau2;

  tv3rho2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 3] += tv3rho2tau3;

  tv3rho2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 4] += tv3rho2tau4;

  tv3rho2tau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 5] += tv3rho2tau5;

  t2164 = t7 * t135 * t811 / 0.1e2;
  t2166 = t38 * t141 * t251;
  t2169 = t38 * t43 * t627;
  t2172 = t792 * t1052;
  t2173 = t1050 * t2172;
  t2174 = t1124 * t153;
  t2175 = t1109 * t2174;
  t2178 = t1100 * t623;
  t2181 = t151 * t2172;
  t2182 = t158 * t1093;
  t2184 = t1636 * t2182 * t153;
  t2186 = t359 * t2172;
  t2191 = t153 * t68 * t158;
  t2192 = t1072 * t2191;
  t2195 = t799 * t362;
  t2196 = t151 * t2195;
  t2197 = t2196 * t608;
  t2198 = t359 * t2195;
  t2199 = t2198 * t608;
  t2202 = t2198 * t624;
  t2203 = t792 * t383;
  t2204 = t151 * t2203;
  t2206 = t374 * t618 * t155;
  t2207 = t2204 * t2206;
  t2209 = t159 * t612;
  t2210 = t1021 * t2209;
  t2213 = t369 * t153;
  t2214 = t1094 * t2213;
  t2217 = t392 * t612;
  t2218 = t391 * t2217;
  t2221 = t792 * t155;
  t2222 = t359 * t2221;
  t2223 = t368 * t153;
  t2224 = t2223 * t383;
  t2225 = t391 * t2224;
  t2226 = t2222 * t2225;
  t2228 = t1110 * t153;
  t2229 = t1109 * t2228;
  t2232 = -0.2e1 * t2173 * t2175 + 0.3e1 * t2173 * t2178 - t2173 * t2184 - 0.3e1 * t2173 * t2214 + 0.3e1 * t2173 * t2229 - t2181 * t2184 - 0.3e1 * t2181 * t2192 + 0.3e1 * t2186 * t2184 + 0.3e1 * t2186 * t2192 - 0.2e1 * t621 * t2210 - 0.2e1 * t621 * t2218 + t2197 - t2199 - t2202 + 0.3e1 * t2207 + 0.3e1 * t2226;
  t2238 = t359 * t2203 * t364;
  t2239 = params->csk_a * t153;
  t2240 = t2239 * t1023;
  t2241 = t2238 * t2240;
  t2244 = t151 * t2221 * t364;
  t2245 = t2239 * t383;
  t2246 = t159 * t2245;
  t2247 = t2244 * t2246;
  t2249 = t2239 * t155;
  t2250 = t369 * t2249;
  t2251 = t2238 * t2250;
  t2253 = t158 * t612;
  t2254 = t374 * t2253;
  t2259 = t153 * t1052;
  t2260 = t1050 * t2259;
  t2261 = t1058 * t792;
  t2262 = t1109 * t2261;
  t2264 = t368 * t799;
  t2265 = t391 * t2264;
  t2266 = t601 * t2265;
  t2267 = t799 * t153;
  t2269 = t151 * t2267 * t385;
  t2270 = t248 * t383;
  t2271 = t151 * t2270;
  t2272 = t156 * t68;
  t2274 = t2271 * t2272 * t2253;
  t2275 = 0.2e1 * t2274;
  t2276 = t1636 * t618;
  t2279 = t1100 * t2223;
  t2282 = t2196 * t619;
  t2283 = 0.2e1 * t621 * t1649 - 0.2e1 * t2181 * t2276 + 0.3e1 * t2186 * t2214 - 0.3e1 * t2186 * t2279 + 0.2e1 * t606 * t2210 + 0.2e1 * t606 * t2254 - t2260 * t2262 - 0.3e1 * t2241 + 0.3e1 * t2247 - 0.3e1 * t2251 + t2266 - t2269 - t2275 + t2282 - t801 - t803;
  t2285 = my_piecewise5(t58, 0, t61, 0, t2232 + t2283);
  t2287 = 0.8e2 / 0.243e3 * t2166 - 0.1e2 / 0.81e2 * t2169 + t149 * t809 + t53 * t2285;
  t2292 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t811 + t2164 + 0.3e1 / 0.2e2 * t7 * t32 * t2287);
  tv3rhosigma20 = t8 * t2292 + t815;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t2299 = t7 * t180 * t838 / 0.1e2;
  t2301 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t838 + t2299);
  tv3rhosigma25 = t8 * t2301 + t842;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t2307 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t811 + t2164);
  tv3rhosigma26 = t8 * t2307 + t815;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t2313 = t38 * t210 * t268;
  t2316 = t38 * t93 * t690;
  t2319 = t819 * t1432;
  t2320 = t1430 * t2319;
  t2321 = t548 * t222;
  t2322 = t1456 * t2321;
  t2325 = t571 * t675;
  t2326 = t570 * t2325;
  t2329 = t1507 * t222;
  t2330 = t1492 * t2329;
  t2333 = t1493 * t222;
  t2334 = t1492 * t2333;
  t2338 = t553 * t554 * t675;
  t2341 = t538 * t2319;
  t2344 = t826 * t541;
  t2345 = t538 * t2344;
  t2346 = t2345 * t687;
  t2347 = t819 * t562;
  t2348 = t220 * t2347;
  t2350 = t553 * t681 * t224;
  t2351 = t2348 * t2350;
  t2355 = t819 * t224;
  t2356 = t538 * t2355;
  t2357 = t547 * t222;
  t2358 = t2357 * t562;
  t2359 = t570 * t2358;
  t2360 = t2356 * t2359;
  t2362 = t1481 * t686;
  t2365 = t220 * t2319;
  t2367 = t1780 * t1781 * t222;
  t2372 = t220 * t2344;
  t2373 = t2372 * t671;
  t2374 = t2345 * t671;
  t2375 = -0.3e1 * t2320 * t2322 - 0.2e1 * t2320 * t2330 + 0.3e1 * t2320 * t2334 + 0.3e1 * t2320 * t2362 - t2320 * t2367 + 0.3e1 * t2341 * t2322 - 0.2e1 * t684 * t2326 + 0.2e1 * t669 * t2338 - 0.2e1 * t684 * t2338 + 0.3e1 * t2341 * t2367 - t2365 * t2367 - t2346 + 0.3e1 * t2351 + 0.3e1 * t2360 + t2373 - t2374;
  t2377 = t222 * t112 * t227;
  t2378 = t1460 * t2377;
  t2384 = t538 * t2347 * t543;
  t2385 = params->csk_a * t222;
  t2386 = t2385 * t1407;
  t2387 = t2384 * t2386;
  t2389 = t2385 * t224;
  t2390 = t548 * t2389;
  t2391 = t2384 * t2390;
  t2394 = t220 * t2355 * t543;
  t2395 = t2385 * t562;
  t2396 = t228 * t2395;
  t2397 = t2394 * t2396;
  t2399 = t2372 * t682;
  t2400 = t1780 * t681;
  t2403 = t1481 * t2357;
  t2408 = t222 * t1432;
  t2409 = t1430 * t2408;
  t2410 = t1438 * t819;
  t2411 = t1492 * t2410;
  t2413 = t547 * t826;
  t2414 = t570 * t2413;
  t2415 = t664 * t2414;
  t2416 = t826 * t222;
  t2418 = t220 * t2416 * t564;
  t2419 = t265 * t562;
  t2420 = t220 * t2419;
  t2421 = t225 * t112;
  t2422 = t227 * t675;
  t2424 = t2420 * t2421 * t2422;
  t2425 = 0.2e1 * t2424;
  t2426 = t553 * t2422;
  t2429 = 0.2e1 * t684 * t1857 + 0.3e1 * t2341 * t2378 - 0.3e1 * t2341 * t2403 - 0.3e1 * t2365 * t2378 - 0.2e1 * t2365 * t2400 - t2409 * t2411 + 0.2e1 * t669 * t2426 - 0.3e1 * t2387 - 0.3e1 * t2391 + 0.3e1 * t2397 + t2399 + t2415 - t2418 - t2425 - t828 - t830;
  t2431 = my_piecewise5(t104, 0, t105, 0, t2375 + t2429);
  t2433 = 0.8e2 / 0.243e3 * t2313 - 0.1e2 / 0.81e2 * t2316 + t218 * t836 + t103 * t2431;
  t2438 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t838 + t2299 + 0.3e1 / 0.2e2 * t7 * t88 * t2433);
  tv3rhosigma211 = t8 * t2438 + t842;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t2445 = t7 * t135 * t866 / 0.1e2;
  t2451 = t38 * t141 * t284;
  t2454 = t38 * t43 * t729;
  t2458 = t1897 * t1054;
  t2459 = t1050 * t2458;
  t2460 = t1093 * t248;
  t2461 = t2460 * t2213;
  t2465 = t1059 * t2460 * t153;
  t2468 = t359 * t1622;
  t2469 = t721 * t383;
  t2470 = t369 * t2469;
  t2471 = t2468 * t2470;
  t2473 = t1553 * t1054;
  t2474 = t1050 * t2473;
  t2475 = t281 * params->csk_a;
  t2476 = t2475 * t153;
  t2477 = t1059 * t2476;
  t2480 = t359 * t2458;
  t2483 = t853 * t383;
  t2484 = t151 * t2483;
  t2485 = t2484 * t2206;
  t2487 = t1093 * t153;
  t2488 = t159 * t248;
  t2489 = t2487 * t2488;
  t2493 = t369 * t2476;
  t2496 = t151 * t2458;
  t2498 = t2239 * t2488;
  t2503 = t359 * t2483;
  t2505 = t1021 * t153 * t1023;
  t2506 = t2503 * t2505;
  t2508 = t159 * params->csk_a;
  t2509 = t615 * t383;
  t2510 = t2508 * t2509;
  t2511 = t1951 * t2510;
  t2513 = t391 * t368;
  t2514 = t2513 * t2249;
  t2515 = t2503 * t2514;
  t2517 = -t1902 * t851 - 0.3e1 * t2459 * t2461 - 0.2e1 * t2459 * t2465 - t2459 * t2489 + 0.3e1 * t2480 * t2461 + 0.3e1 * t2474 * t2477 + 0.3e1 * t2474 * t2493 + 0.3e1 * t2480 * t2489 + 0.3e1 * t2480 * t2498 - t2496 * t2489 - 0.3e1 * t2496 * t2498 + t2197 - t2199 - t2202 + 0.3e1 * t2471 + 0.3e1 * t2485 - 0.3e1 * t2506 + 0.3e1 * t2511 - 0.3e1 * t2515;
  t2521 = t1612 * t281;
  t2522 = t1109 * t2521;
  t2526 = t856 * t153;
  t2527 = t1636 * t2526;
  t2530 = t710 * t153;
  t2531 = t1100 * t2530;
  t2536 = t718 * t248;
  t2538 = t151 * t2536 * t385;
  t2539 = t281 * t612;
  t2541 = t151 * t2539 * t385;
  t2544 = -0.3e1 * t1554 * t2531 + t1561 * t711 - t1902 * t861 - 0.2e1 * t1905 * t2527 + t1936 * t851 + t1936 * t857 + t621 * t1972 + t714 * t2210 - t725 * t2210 - t725 * t2218 + t714 * t2254 - t2260 * t2522 + t2266 - t2269 + t2282 - t2538 - t2541 - t801 - t855;
  t2546 = my_piecewise5(t58, 0, t61, 0, t2517 + t2544);
  t2548 = -0.25e2 / 0.162e3 * t790 + 0.5e1 / 0.54e2 * t38 * t48 * t627 + 0.4e2 / 0.243e3 * t2451 - 0.5e1 / 0.81e2 * t2454 + t149 * t864 + t53 * t2546;
  t2553 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t866 + t2445 + 0.3e1 / 0.2e2 * t7 * t32 * t2548);
  tv3rhosigmalapl0 = t8 * t2553 + t870;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  tv3rhosigmalapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 1] += tv3rhosigmalapl1;

  tv3rhosigmalapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 2] += tv3rhosigmalapl2;

  tv3rhosigmalapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 3] += tv3rhosigmalapl3;

  tv3rhosigmalapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 4] += tv3rhosigmalapl4;

  t2560 = t7 * t180 * t894 / 0.1e2;
  t2562 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t894 + t2560);
  tv3rhosigmalapl5 = t8 * t2562 + t898;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 5] += tv3rhosigmalapl5;

  t2568 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t866 + t2445);
  tv3rhosigmalapl6 = t8 * t2568 + t870;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 6] += tv3rhosigmalapl6;

  tv3rhosigmalapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 7] += tv3rhosigmalapl7;

  tv3rhosigmalapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 8] += tv3rhosigmalapl8;

  tv3rhosigmalapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 9] += tv3rhosigmalapl9;

  tv3rhosigmalapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 10] += tv3rhosigmalapl10;

  t2578 = t38 * t210 * t300;
  t2581 = t38 * t93 * t780;
  t2584 = t881 * t562;
  t2585 = t220 * t2584;
  t2586 = t2585 * t2350;
  t2588 = t2062 * t1434;
  t2589 = t1430 * t2588;
  t2590 = t1093 * t265;
  t2591 = t2590 * t2321;
  t2594 = t538 * t1821;
  t2595 = t772 * t562;
  t2596 = t548 * t2595;
  t2597 = t2594 * t2596;
  t2599 = t1749 * t1434;
  t2600 = t1430 * t2599;
  t2601 = t297 * params->csk_a;
  t2602 = t2601 * t222;
  t2603 = t1439 * t2602;
  t2606 = t548 * t2602;
  t2609 = t220 * t2588;
  t2610 = t2590 * t222;
  t2611 = t228 * t2610;
  t2613 = t538 * t2588;
  t2617 = t228 * t265;
  t2618 = t2385 * t2617;
  t2623 = t1439 * t2610;
  t2628 = t538 * t2584;
  t2629 = t570 * t547;
  t2630 = t2629 * t2389;
  t2631 = t2628 * t2630;
  t2634 = t1405 * t222 * t1407;
  t2635 = t2628 * t2634;
  t2637 = t228 * params->csk_a;
  t2638 = t678 * t562;
  t2639 = t2637 * t2638;
  t2640 = t2116 * t2639;
  t2642 = -0.3e1 * t2589 * t2591 - t2589 * t2611 - 0.2e1 * t2589 * t2623 + 0.3e1 * t2613 * t2591 + 0.3e1 * t2600 * t2603 + 0.3e1 * t2600 * t2606 - t2609 * t2611 - 0.3e1 * t2609 * t2618 + 0.3e1 * t2613 * t2611 + 0.3e1 * t2613 * t2618 - t2346 + t2373 - t2374 + 0.3e1 * t2586 + 0.3e1 * t2597 - 0.3e1 * t2631 - 0.3e1 * t2635 + 0.3e1 * t2640 - t828;
  t2647 = t1802 * t297;
  t2648 = t1492 * t2647;
  t2650 = t884 * t222;
  t2651 = t1780 * t2650;
  t2654 = t761 * t222;
  t2655 = t1481 * t2654;
  t2662 = t769 * t265;
  t2664 = t220 * t2662 * t564;
  t2665 = t297 * t675;
  t2667 = t220 * t2665 * t564;
  t2670 = -0.3e1 * t1750 * t2655 + t1757 * t762 - t2067 * t879 - t2067 * t889 - 0.2e1 * t2070 * t2651 + t2095 * t879 + t2095 * t885 + t684 * t2129 - t776 * t2326 + t765 * t2338 - t776 * t2338 - t2409 * t2648 + t765 * t2426 + t2399 + t2415 - t2418 - t2664 - t2667 - t883;
  t2672 = my_piecewise5(t104, 0, t105, 0, t2642 + t2670);
  t2674 = -0.25e2 / 0.162e3 * t817 + 0.5e1 / 0.54e2 * t38 * t98 * t690 + 0.4e2 / 0.243e3 * t2578 - 0.5e1 / 0.81e2 * t2581 + t218 * t892 + t103 * t2672;
  t2679 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t894 + t2560 + 0.3e1 / 0.2e2 * t7 * t88 * t2674);
  tv3rhosigmalapl11 = t8 * t2679 + t898;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 11] += tv3rhosigmalapl11;

  tv3rhosigmatau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  tv3rhosigmatau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 1] += tv3rhosigmatau1;

  tv3rhosigmatau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 2] += tv3rhosigmatau2;

  tv3rhosigmatau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 3] += tv3rhosigmatau3;

  tv3rhosigmatau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 4] += tv3rhosigmatau4;

  tv3rhosigmatau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 5] += tv3rhosigmatau5;

  tv3rhosigmatau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 6] += tv3rhosigmatau6;

  tv3rhosigmatau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 7] += tv3rhosigmatau7;

  tv3rhosigmatau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 8] += tv3rhosigmatau8;

  tv3rhosigmatau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 9] += tv3rhosigmatau9;

  tv3rhosigmatau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 10] += tv3rhosigmatau10;

  tv3rhosigmatau11 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 11] += tv3rhosigmatau11;

  t2686 = t7 * t135 * t917 / 0.1e2;
  t2692 = t902 * t155;
  t2694 = t151 * t2692 * t364;
  t2695 = t2694 * t2246;
  t2697 = t902 * t383;
  t2699 = t359 * t2697 * t364;
  t2700 = t2699 * t2250;
  t2702 = t2699 * t2240;
  t2704 = t902 * t1052;
  t2705 = t151 * t2704;
  t2708 = t1050 * t2704;
  t2712 = t374 * t375 * t718;
  t2715 = t359 * t2704;
  t2718 = t151 * t2697;
  t2719 = t2718 * t2206;
  t2725 = t359 * t2692;
  t2726 = t2725 * t2225;
  t2728 = -0.3e1 * t2705 * t2192 - 0.3e1 * t2708 * t2214 + 0.3e1 * t2715 * t2214 + 0.3e1 * t2708 * t2229 + 0.2e1 * t714 * t2712 - 0.2e1 * t725 * t2712 + t2197 - t2199 - t2202 + 0.3e1 * t2695 - 0.3e1 * t2700 - 0.3e1 * t2702 + 0.3e1 * t2719 + 0.3e1 * t2726 - t801 - t909;
  t2737 = t392 * t718;
  t2747 = t281 * t383;
  t2748 = t151 * t2747;
  t2749 = t158 * t718;
  t2751 = t2748 * t2272 * t2749;
  t2752 = 0.2e1 * t2751;
  t2758 = t1058 * t902;
  t2759 = t1109 * t2758;
  t2761 = -0.2e1 * t725 * t391 * t2737 + 0.2e1 * t714 * t374 * t2749 + 0.2e1 * t725 * t1972 - 0.2e1 * t2708 * t2175 + 0.3e1 * t2708 * t2178 - t2705 * t2184 - t2708 * t2184 + 0.3e1 * t2715 * t2184 + 0.3e1 * t2715 * t2192 - t2260 * t2759 - 0.2e1 * t2705 * t2276 - 0.3e1 * t2715 * t2279 + t2266 - t2269 + t2282 - t2752;
  t2763 = my_piecewise5(t58, 0, t61, 0, t2728 + t2761);
  t2765 = -0.25e2 / 0.81e2 * t847 + 0.5e1 / 0.27e2 * t38 * t48 * t729 + t149 * t915 + t53 * t2763;
  t2770 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t917 + t2686 + 0.3e1 / 0.2e2 * t7 * t32 * t2765);
  tv3rholapl20 = t8 * t2770 + t921;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  tv3rholapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 1] += tv3rholapl21;

  t2777 = t7 * t180 * t940 / 0.1e2;
  t2779 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t940 + t2777);
  tv3rholapl22 = t8 * t2779 + t944;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 2] += tv3rholapl22;

  t2785 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t917 + t2686);
  tv3rholapl23 = t8 * t2785 + t921;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 3] += tv3rholapl23;

  tv3rholapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 4] += tv3rholapl24;

  t2795 = t925 * t562;
  t2797 = t538 * t2795 * t543;
  t2798 = t2797 * t2390;
  t2800 = t2797 * t2386;
  t2802 = t925 * t224;
  t2804 = t220 * t2802 * t543;
  t2805 = t2804 * t2396;
  t2807 = t925 * t1432;
  t2808 = t1430 * t2807;
  t2811 = t220 * t2807;
  t2813 = t538 * t2807;
  t2824 = t220 * t2795;
  t2825 = t2824 * t2350;
  t2827 = 0.3e1 * t2813 * t2322 - 0.2e1 * t2808 * t2330 + 0.3e1 * t2808 * t2362 - t2811 * t2367 + 0.3e1 * t2813 * t2367 - 0.3e1 * t2811 * t2378 + 0.3e1 * t2813 * t2378 - t2346 + t2373 - t2374 - 0.3e1 * t2798 - 0.3e1 * t2800 + 0.3e1 * t2805 + 0.3e1 * t2825 - t828 - t932;
  t2828 = t228 * t769;
  t2829 = t1405 * t2828;
  t2834 = t571 * t769;
  t2838 = t538 * t2802;
  t2839 = t2838 * t2359;
  t2850 = t227 * t769;
  t2856 = t1438 * t925;
  t2857 = t1492 * t2856;
  t2859 = t297 * t562;
  t2860 = t220 * t2859;
  t2862 = t2860 * t2421 * t2850;
  t2863 = 0.2e1 * t2862;
  t2864 = -0.2e1 * t776 * t570 * t2834 + 0.2e1 * t765 * t553 * t2850 + 0.2e1 * t776 * t2129 - 0.3e1 * t2808 * t2322 + 0.3e1 * t2808 * t2334 - t2808 * t2367 - 0.2e1 * t2811 * t2400 - 0.3e1 * t2813 * t2403 - t2409 * t2857 + 0.2e1 * t765 * t2829 - 0.2e1 * t776 * t2829 + t2399 + t2415 - t2418 + 0.3e1 * t2839 - t2863;
  t2866 = my_piecewise5(t104, 0, t105, 0, t2827 + t2864);
  t2868 = -0.25e2 / 0.81e2 * t875 + 0.5e1 / 0.27e2 * t38 * t98 * t780 + t218 * t938 + t103 * t2866;
  t2873 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t940 + t2777 + 0.3e1 / 0.2e2 * t7 * t88 * t2868);
  tv3rholapl25 = t8 * t2873 + t944;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 5] += tv3rholapl25;

  tv3rholapltau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  tv3rholapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 1] += tv3rholapltau1;

  tv3rholapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 2] += tv3rholapltau2;

  tv3rholapltau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 3] += tv3rholapltau3;

  tv3rholapltau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 4] += tv3rholapltau4;

  tv3rholapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 5] += tv3rholapltau5;

  tv3rholapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 6] += tv3rholapltau6;

  tv3rholapltau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 7] += tv3rholapltau7;

  tv3rhotau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  tv3rhotau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 1] += tv3rhotau21;

  tv3rhotau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 2] += tv3rhotau22;

  tv3rhotau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 3] += tv3rhotau23;

  tv3rhotau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 4] += tv3rhotau24;

  tv3rhotau25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 5] += tv3rhotau25;

  t2876 = t38 * t43 * t809;
  t2878 = t792 * t248;
  t2887 = t2198 * t851;
  t2888 = 0.3e1 * t2887;
  t2889 = t2878 * t383;
  t2890 = t359 * t2889;
  t2891 = t2890 * t1024;
  t2892 = 0.3e1 * t2891;
  t2893 = t2878 * t155;
  t2895 = t151 * t2893 * t1030;
  t2896 = 0.3e1 * t2895;
  t2897 = t375 * t799;
  t2898 = t374 * t2897;
  t2899 = t606 * t2898;
  t2900 = 0.3e1 * t2899;
  t2901 = t2198 * t861;
  t2902 = 0.3e1 * t2901;
  t2903 = t2890 * t1041;
  t2904 = 0.3e1 * t2903;
  t2906 = t359 * t2893 * t1090;
  t2907 = 0.3e1 * t2906;
  t2908 = t2196 * t857;
  t2909 = 0.3e1 * t2908;
  t2910 = -t1050 * t2878 * t1060 - 0.2e1 * t151 * t2878 * t1063 - 0.3e1 * t359 * t2878 * t1067 - t2888 - t2892 + t2896 + t2900 - t2902 - t2904 + t2907 + t2909 - t801 - t803;
  t2911 = t151 * t2889;
  t2912 = t2911 * t1085;
  t2913 = 0.3e1 * t2912;
  t2914 = t799 * t248;
  t2916 = t151 * t2914 * t385;
  t2917 = 0.3e1 * t2916;
  t2918 = t2878 * t1052;
  t2919 = t1050 * t2918;
  t2924 = t621 * t2265;
  t2925 = 0.3e1 * t2924;
  t2928 = t359 * t2918;
  t2933 = t151 * t2918;
  t2942 = 0.3e1 * t2928 * t1073 - 0.3e1 * t2933 * t1073 - t2919 * t1095 + 0.3e1 * t2928 * t1095 - t2933 * t1095 + 0.3e1 * t2919 * t1101 + 0.3e1 * t2919 * t1111 - 0.3e1 * t2919 * t1115 + 0.3e1 * t2928 * t1115 - 0.2e1 * t2919 * t1125 + t2913 - t2917 + t2925;
  t2944 = my_piecewise5(t58, 0, t61, 0, t2910 + t2942);
  t2946 = -0.5e1 / 0.27e2 * t2876 + t53 * t2944;
  t2950 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t2946);
  tv3sigma30 = t8 * t2950;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t2952 = t38 * t93 * t836;
  t2954 = t819 * t265;
  t2963 = t2954 * t224;
  t2965 = t220 * t2963 * t1414;
  t2966 = 0.3e1 * t2965;
  t2967 = t554 * t826;
  t2968 = t553 * t2967;
  t2969 = t669 * t2968;
  t2970 = 0.3e1 * t2969;
  t2971 = t2345 * t889;
  t2972 = 0.3e1 * t2971;
  t2973 = t2954 * t562;
  t2974 = t538 * t2973;
  t2975 = t2974 * t1425;
  t2976 = 0.3e1 * t2975;
  t2977 = t2345 * t879;
  t2978 = 0.3e1 * t2977;
  t2979 = t2974 * t1408;
  t2980 = 0.3e1 * t2979;
  t2981 = t2954 * t1432;
  t2982 = t1430 * t2981;
  t2987 = -t1430 * t2954 * t1440 - 0.2e1 * t220 * t2954 * t1447 - 0.3e1 * t538 * t2954 * t1451 - 0.3e1 * t2982 * t1498 - 0.2e1 * t2982 * t1508 + t2966 + t2970 - t2972 - t2976 - t2978 - t2980 - t828 - t830;
  t2988 = t684 * t2414;
  t2989 = 0.3e1 * t2988;
  t2992 = t538 * t2981;
  t2995 = t826 * t265;
  t2997 = t220 * t2995 * t564;
  t2998 = 0.3e1 * t2997;
  t2999 = t220 * t2981;
  t3003 = t538 * t2963 * t1470;
  t3004 = 0.3e1 * t3003;
  t3005 = t2372 * t885;
  t3006 = 0.3e1 * t3005;
  t3007 = t220 * t2973;
  t3008 = t3007 * t1478;
  t3009 = 0.3e1 * t3008;
  t3018 = -t2982 * t1457 + 0.3e1 * t2992 * t1457 - t2999 * t1457 + 0.3e1 * t2992 * t1461 - 0.3e1 * t2999 * t1461 + 0.3e1 * t2982 * t1482 + 0.3e1 * t2982 * t1494 + 0.3e1 * t2992 * t1498 + t2989 - t2998 + t3004 + t3006 + t3009;
  t3020 = my_piecewise5(t104, 0, t105, 0, t2987 + t3018);
  t3022 = -0.5e1 / 0.27e2 * t2952 + t103 * t3020;
  t3026 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t3022);
  tv3sigma39 = t8 * t3026;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t3031 = t38 * t43 * t864;
  t3033 = t281 * t792;
  t3034 = t3033 * t383;
  t3035 = t359 * t3034;
  t3036 = t3035 * t1041;
  t3037 = 0.3e1 * t3036;
  t3038 = t375 * t792;
  t3039 = t1636 * t3038;
  t3044 = t2182 * t792;
  t3045 = t1636 * t3044;
  t3050 = t2222 * t1909;
  t3051 = 0.3e1 * t3050;
  t3052 = t151 * t3033;
  t3053 = t3052 * t1570;
  t3054 = 0.3e1 * t3053;
  t3055 = t725 * t2898;
  t3058 = t1094 * t792 * t366 * t368;
  t3061 = t392 * t799;
  t3062 = t391 * t3061;
  t3063 = t725 * t3062;
  t3064 = t1124 * t792;
  t3065 = t1109 * t3064;
  t3070 = t714 * t2898;
  t3073 = 0.3e1 * t1898 * t3045 + 0.3e1 * t1898 * t3058 - 0.3e1 * t1905 * t3039 - t1905 * t3045 + 0.3e1 * t2173 * t1917 - t1923 * t3045 - 0.3e1 * t1923 * t3058 - 0.2e1 * t1923 * t3065 + 0.3e1 * t2173 * t1933 - t3037 + t3051 + t3054 - t3055 - t3063 + t3070 - t801;
  t3076 = 0.2e1 * t2887;
  t3077 = 0.2e1 * t2899;
  t3078 = 0.2e1 * t2901;
  t3079 = t3035 * t1024;
  t3080 = 0.3e1 * t3079;
  t3081 = params->csk_a * t792;
  t3082 = t3081 * t383;
  t3083 = t159 * t3082;
  t3084 = t1951 * t3083;
  t3085 = 0.3e1 * t3084;
  t3086 = 0.2e1 * t2908;
  t3087 = 0.2e1 * t2916;
  t3088 = 0.2e1 * t2924;
  t3089 = t281 * t799;
  t3091 = t151 * t3089 * t385;
  t3092 = t158 * t799;
  t3093 = t374 * t3092;
  t3094 = t714 * t3093;
  t3095 = t2198 * t711;
  t3099 = t158 * t792;
  t3100 = t1636 * t3099;
  t3103 = 0.3e1 * t1898 * t3039 - 0.2e1 * t1905 * t3100 - 0.3e1 * t2186 * t1963 - t2173 * t1975 - t3076 + t3077 - t3078 - t3080 + t3085 + t3086 - t3087 + t3088 - t3091 + t3094 + t3095 - t855;
  t3105 = my_piecewise5(t58, 0, t61, 0, t3073 + t3103);
  t3107 = 0.5e1 / 0.54e2 * t38 * t48 * t809 - 0.1e2 / 0.81e2 * t3031 + t53 * t3105;
  t3111 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t3107);
  tv3sigma2lapl0 = t8 * t3111;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  tv3sigma2lapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 1] += tv3sigma2lapl1;

  tv3sigma2lapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 2] += tv3sigma2lapl2;

  tv3sigma2lapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 3] += tv3sigma2lapl3;

  tv3sigma2lapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 4] += tv3sigma2lapl4;

  tv3sigma2lapl5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 5] += tv3sigma2lapl5;

  tv3sigma2lapl6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 6] += tv3sigma2lapl6;

  tv3sigma2lapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 7] += tv3sigma2lapl7;

  tv3sigma2lapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 8] += tv3sigma2lapl8;

  tv3sigma2lapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 9] += tv3sigma2lapl9;

  tv3sigma2lapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 10] += tv3sigma2lapl10;

  t3116 = t38 * t93 * t892;
  t3118 = t297 * t819;
  t3119 = t3118 * t562;
  t3120 = t538 * t3119;
  t3121 = t3120 * t1408;
  t3122 = 0.3e1 * t3121;
  t3123 = params->csk_a * t819;
  t3124 = t3123 * t562;
  t3125 = t228 * t3124;
  t3126 = t2116 * t3125;
  t3127 = 0.3e1 * t3126;
  t3130 = t765 * t2968;
  t3131 = t1497 * t819;
  t3132 = t1481 * t3131;
  t3136 = t819 * t112 * t227;
  t3137 = t1460 * t3136;
  t3144 = t1781 * t819;
  t3145 = t1780 * t3144;
  t3150 = t2356 * t2078;
  t3151 = 0.3e1 * t3150;
  t3152 = t220 * t3118;
  t3153 = t3152 * t1772;
  t3154 = 0.3e1 * t3153;
  t3155 = t776 * t2968;
  t3158 = 0.3e1 * t2063 * t3132 + 0.3e1 * t2063 * t3137 + 0.3e1 * t2063 * t3145 - 0.3e1 * t2070 * t3137 - t2070 * t3145 - 0.3e1 * t2084 * t3132 - t2084 * t3145 + 0.3e1 * t2320 * t2087 + 0.3e1 * t2320 * t2092 - t3122 + t3127 + t3130 + t3151 + t3154 - t3155 - t828;
  t3159 = t571 * t826;
  t3160 = t570 * t3159;
  t3161 = t776 * t3160;
  t3162 = t1507 * t819;
  t3163 = t1492 * t3162;
  t3166 = 0.2e1 * t2969;
  t3167 = 0.2e1 * t2971;
  t3168 = 0.2e1 * t2977;
  t3169 = t3120 * t1425;
  t3170 = 0.3e1 * t3169;
  t3171 = 0.2e1 * t2988;
  t3172 = 0.2e1 * t2997;
  t3173 = 0.2e1 * t3005;
  t3174 = t297 * t826;
  t3176 = t220 * t3174 * t564;
  t3177 = t227 * t826;
  t3178 = t553 * t3177;
  t3179 = t765 * t3178;
  t3180 = t2345 * t762;
  t3184 = t227 * t819;
  t3185 = t1780 * t3184;
  t3188 = -0.2e1 * t2070 * t3185 - 0.2e1 * t2084 * t3163 - t2320 * t2132 - 0.3e1 * t2341 * t2141 - t3161 + t3166 - t3167 - t3168 - t3170 + t3171 - t3172 + t3173 - t3176 + t3179 + t3180 - t883;
  t3190 = my_piecewise5(t104, 0, t105, 0, t3158 + t3188);
  t3192 = 0.5e1 / 0.54e2 * t38 * t98 * t836 - 0.1e2 / 0.81e2 * t3116 + t103 * t3190;
  t3196 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t3192);
  tv3sigma2lapl11 = t8 * t3196;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 11] += tv3sigma2lapl11;

  tv3sigma2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  tv3sigma2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 1] += tv3sigma2tau1;

  tv3sigma2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 2] += tv3sigma2tau2;

  tv3sigma2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 3] += tv3sigma2tau3;

  tv3sigma2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 4] += tv3sigma2tau4;

  tv3sigma2tau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 5] += tv3sigma2tau5;

  tv3sigma2tau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 6] += tv3sigma2tau6;

  tv3sigma2tau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 7] += tv3sigma2tau7;

  tv3sigma2tau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 8] += tv3sigma2tau8;

  tv3sigma2tau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 9] += tv3sigma2tau9;

  tv3sigma2tau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 10] += tv3sigma2tau10;

  tv3sigma2tau11 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 11] += tv3sigma2tau11;

  t3201 = t38 * t43 * t915;
  t3203 = params->csk_a * t248;
  t3204 = t3203 * t383;
  t3206 = t2694 * t159 * t3204;
  t3207 = 0.3e1 * t3206;
  t3208 = t3203 * t155;
  t3210 = t2699 * t369 * t3208;
  t3211 = 0.3e1 * t3210;
  t3213 = t2699 * t3203 * t1023;
  t3214 = 0.3e1 * t3213;
  t3218 = t1636 * t2182 * t248;
  t3223 = t1072 * t2488;
  t3226 = t2725 * t1576;
  t3227 = 0.3e1 * t3226;
  t3230 = t1114 * t248;
  t3231 = t1100 * t3230;
  t3235 = t374 * t856 * t155;
  t3236 = t2718 * t3235;
  t3237 = 0.3e1 * t3236;
  t3242 = 0.3e1 * t2708 * t1584 + 0.3e1 * t2708 * t1614 - t2705 * t3218 - 0.3e1 * t2705 * t3223 - t2708 * t3218 - 0.3e1 * t2708 * t3231 + 0.3e1 * t2715 * t3218 + 0.3e1 * t2715 * t3223 + 0.3e1 * t2715 * t3231 + t3207 - t3211 - t3214 + t3227 + t3237 - t801 - t909;
  t3243 = t1124 * t248;
  t3247 = 0.2e1 * t3055;
  t3248 = 0.2e1 * t3063;
  t3249 = 0.2e1 * t3070;
  t3250 = 0.2e1 * t3091;
  t3251 = 0.2e1 * t3094;
  t3252 = 0.2e1 * t3095;
  t3259 = -0.2e1 * t2708 * t1109 * t3243 - 0.2e1 * t2705 * t1636 * t856 - t1579 * t2759 - 0.3e1 * t2715 * t1642 - t2887 + t2899 - t2901 + t2908 - t2916 + t2924 - t3247 - t3248 + t3249 - t3250 + t3251 + t3252;
  t3261 = my_piecewise5(t58, 0, t61, 0, t3242 + t3259);
  t3263 = 0.5e1 / 0.27e2 * t38 * t48 * t864 - 0.5e1 / 0.81e2 * t3201 + t53 * t3261;
  t3267 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t3263);
  tv3sigmalapl20 = t8 * t3267;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  tv3sigmalapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 1] += tv3sigmalapl21;

  tv3sigmalapl22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 2] += tv3sigmalapl22;

  tv3sigmalapl23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 3] += tv3sigmalapl23;

  tv3sigmalapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 4] += tv3sigmalapl24;

  tv3sigmalapl25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 5] += tv3sigmalapl25;

  tv3sigmalapl26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 6] += tv3sigmalapl26;

  tv3sigmalapl27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 7] += tv3sigmalapl27;

  t3272 = t38 * t93 * t938;
  t3274 = params->csk_a * t265;
  t3276 = t2797 * t3274 * t1407;
  t3277 = 0.3e1 * t3276;
  t3278 = t3274 * t562;
  t3279 = t228 * t3278;
  t3280 = t2804 * t3279;
  t3281 = 0.3e1 * t3280;
  t3282 = t3274 * t224;
  t3284 = t2797 * t548 * t3282;
  t3285 = 0.3e1 * t3284;
  t3288 = t1781 * t265;
  t3289 = t1780 * t3288;
  t3294 = t1460 * t2617;
  t3297 = t548 * t265;
  t3298 = t1456 * t3297;
  t3301 = t1507 * t265;
  t3305 = t2838 * t1766;
  t3306 = 0.3e1 * t3305;
  t3312 = t553 * t884 * t224;
  t3313 = t2824 * t3312;
  t3314 = 0.3e1 * t3313;
  t3315 = -0.2e1 * t2808 * t1492 * t3301 + 0.3e1 * t2808 * t1777 + 0.3e1 * t2808 * t1804 - t2808 * t3289 - 0.3e1 * t2808 * t3298 - t2811 * t3289 + 0.3e1 * t2813 * t3289 + 0.3e1 * t2813 * t3294 + 0.3e1 * t2813 * t3298 - t3277 + t3281 - t3285 + t3306 + t3314 - t828 - t932;
  t3318 = 0.2e1 * t3130;
  t3319 = 0.2e1 * t3155;
  t3320 = 0.2e1 * t3161;
  t3321 = 0.2e1 * t3176;
  t3322 = 0.2e1 * t3179;
  t3323 = 0.2e1 * t3180;
  t3330 = -0.2e1 * t2811 * t1780 * t884 - t1787 * t2857 - 0.3e1 * t2813 * t1836 - 0.3e1 * t2811 * t3294 + t2969 - t2971 - t2977 + t2988 - t2997 + t3005 + t3318 - t3319 - t3320 - t3321 + t3322 + t3323;
  t3332 = my_piecewise5(t104, 0, t105, 0, t3315 + t3330);
  t3334 = 0.5e1 / 0.27e2 * t38 * t98 * t892 - 0.5e1 / 0.81e2 * t3272 + t103 * t3332;
  t3338 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t3334);
  tv3sigmalapl28 = t8 * t3338;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 8] += tv3sigmalapl28;

  tv3sigmalapltau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  tv3sigmalapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 1] += tv3sigmalapltau1;

  tv3sigmalapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 2] += tv3sigmalapltau2;

  tv3sigmalapltau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 3] += tv3sigmalapltau3;

  tv3sigmalapltau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 4] += tv3sigmalapltau4;

  tv3sigmalapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 5] += tv3sigmalapltau5;

  tv3sigmalapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 6] += tv3sigmalapltau6;

  tv3sigmalapltau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 7] += tv3sigmalapltau7;

  tv3sigmalapltau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 8] += tv3sigmalapltau8;

  tv3sigmalapltau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 9] += tv3sigmalapltau9;

  tv3sigmalapltau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 10] += tv3sigmalapltau10;

  tv3sigmalapltau11 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 11] += tv3sigmalapltau11;

  tv3sigmatau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  tv3sigmatau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 1] += tv3sigmatau21;

  tv3sigmatau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 2] += tv3sigmatau22;

  tv3sigmatau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 3] += tv3sigmatau23;

  tv3sigmatau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 4] += tv3sigmatau24;

  tv3sigmatau25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 5] += tv3sigmatau25;

  tv3sigmatau26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 6] += tv3sigmatau26;

  tv3sigmatau27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 7] += tv3sigmatau27;

  tv3sigmatau28 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 8] += tv3sigmatau28;

  t3342 = t902 * t281;
  t3351 = t3342 * t155;
  t3353 = t151 * t3351 * t1030;
  t3354 = 0.3e1 * t3353;
  t3355 = t3342 * t383;
  t3356 = t359 * t3355;
  t3357 = t3356 * t1024;
  t3358 = 0.3e1 * t3357;
  t3359 = t3356 * t1041;
  t3360 = 0.3e1 * t3359;
  t3361 = 0.3e1 * t3055;
  t3362 = 0.3e1 * t3063;
  t3363 = 0.3e1 * t3070;
  t3364 = 0.3e1 * t3091;
  t3365 = 0.3e1 * t3094;
  t3366 = -t1050 * t3342 * t1060 - 0.2e1 * t151 * t3342 * t1063 - 0.3e1 * t359 * t3342 * t1067 + t3354 - t3358 - t3360 - t3361 - t3362 + t3363 - t3364 + t3365 - t801 - t909;
  t3367 = 0.3e1 * t3095;
  t3369 = t359 * t3351 * t1090;
  t3370 = 0.3e1 * t3369;
  t3372 = t151 * t3355 * t1085;
  t3373 = 0.3e1 * t3372;
  t3374 = t3342 * t1052;
  t3375 = t1050 * t3374;
  t3382 = t359 * t3374;
  t3385 = t151 * t3374;
  t3396 = 0.3e1 * t3382 * t1073 - 0.3e1 * t3385 * t1073 - t3375 * t1095 + 0.3e1 * t3382 * t1095 - t3385 * t1095 + 0.3e1 * t3375 * t1101 + 0.3e1 * t3375 * t1111 - 0.3e1 * t3375 * t1115 + 0.3e1 * t3382 * t1115 - 0.2e1 * t3375 * t1125 + t3367 + t3370 + t3373;
  t3398 = my_piecewise5(t58, 0, t61, 0, t3366 + t3396);
  t3400 = 0.5e1 / 0.18e2 * t38 * t48 * t915 + t53 * t3398;
  t3404 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t3400);
  tv3lapl30 = t8 * t3404;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  tv3lapl31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 1] += tv3lapl31;

  tv3lapl32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 2] += tv3lapl32;

  t3408 = t925 * t297;
  t3417 = t3408 * t224;
  t3419 = t220 * t3417 * t1414;
  t3420 = 0.3e1 * t3419;
  t3421 = t3408 * t562;
  t3422 = t538 * t3421;
  t3423 = t3422 * t1408;
  t3424 = 0.3e1 * t3423;
  t3425 = t3422 * t1425;
  t3426 = 0.3e1 * t3425;
  t3427 = 0.3e1 * t3130;
  t3428 = 0.3e1 * t3155;
  t3429 = 0.3e1 * t3161;
  t3430 = 0.3e1 * t3176;
  t3431 = 0.3e1 * t3179;
  t3432 = -t1430 * t3408 * t1440 - 0.2e1 * t220 * t3408 * t1447 - 0.3e1 * t538 * t3408 * t1451 + t3420 - t3424 - t3426 + t3427 - t3428 - t3429 - t3430 + t3431 - t828 - t932;
  t3433 = 0.3e1 * t3180;
  t3434 = t3408 * t1432;
  t3435 = t538 * t3434;
  t3438 = t220 * t3421;
  t3439 = t3438 * t1478;
  t3440 = 0.3e1 * t3439;
  t3442 = t538 * t3417 * t1470;
  t3443 = 0.3e1 * t3442;
  t3444 = t1430 * t3434;
  t3453 = t220 * t3434;
  t3462 = 0.3e1 * t3435 * t1457 - t3444 * t1457 - t3453 * t1457 + 0.3e1 * t3435 * t1461 - 0.3e1 * t3453 * t1461 + 0.3e1 * t3444 * t1482 + 0.3e1 * t3444 * t1494 + 0.3e1 * t3435 * t1498 - 0.3e1 * t3444 * t1498 - 0.2e1 * t3444 * t1508 + t3433 + t3440 + t3443;
  t3464 = my_piecewise5(t104, 0, t105, 0, t3432 + t3462);
  t3466 = 0.5e1 / 0.18e2 * t38 * t98 * t938 + t103 * t3464;
  t3470 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t3466);
  tv3lapl33 = t8 * t3470;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 3] += tv3lapl33;

  tv3lapl2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  tv3lapl2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 1] += tv3lapl2tau1;

  tv3lapl2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 2] += tv3lapl2tau2;

  tv3lapl2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 3] += tv3lapl2tau3;

  tv3lapl2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 4] += tv3lapl2tau4;

  tv3lapl2tau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 5] += tv3lapl2tau5;

  tv3lapltau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  tv3lapltau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 1] += tv3lapltau21;

  tv3lapltau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 2] += tv3lapltau22;

  tv3lapltau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 3] += tv3lapltau23;

  tv3lapltau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 4] += tv3lapltau24;

  tv3lapltau25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 5] += tv3lapltau25;

  tv3tau30 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  tv3tau31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 1] += tv3tau31;

  tv3tau32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 2] += tv3tau32;

  tv3tau33 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 3] += tv3tau33;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t12;
  double t13, t16, t17, t18, t20, t21, t22, t23;
  double t24, t25, t26, t27, t29, t30, t31, t32;
  double t33, t34, t35, t36, t38, t39, t40, t41;
  double t43, t45, t48, t53, t55, t56, t57, t58;
  double t59, t60, t61, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t77, t78;
  double t79, t81, t82, t83, t84, t85, t87, t88;
  double t89, t90, t91, t93, t95, t98, t103, t104;
  double t105, t106, t107, t108, t109, t110, t111, t112;
  double t113, t114, t115, t117, t121, tzk0;

  double t122, t123, t124, t126, t129, t130, t134, t135;
  double t138, t141, t143, t149, t151, t152, t153, t155;
  double t156, t158, t159, t160, t162, t164, t169, t170;
  double t172, t175, t176, t180, t183, t185, tvrho0, t189;
  double t192, t193, t198, t200, t203, t204, t210, t212;
  double t218, t220, t221, t222, t224, t225, t227, t228;
  double t229, t231, t233, t238, tvrho1, t241, t244, t247;
  double t248, t251, t253, t257, tvsigma0, tvsigma1, t258, t261;
  double t264, t265, t268, t270, t274, tvsigma2, t280, t281;
  double t284, t286, t290, tvlapl0, t296, t297, t300, t302;
  double t306, tvlapl1, tvtau0, tvtau1;

  double t309, t310, t313, t314, t315, t318, t322, t323;
  double t327, t329, t335, t336, t339, t341, t343, t345;
  double t347, t353, t357, t359, t360, t362, t363, t364;
  double t365, t366, t367, t368, t369, t370, t372, t374;
  double t375, t376, t378, t379, t382, t383, t385, t386;
  double t387, t389, t391, t392, t393, t396, t398, t403;
  double t404, t405, t408, t411, t415, t416, t420, t422;
  double t424, t427, t429, tv2rho20, t432, t436, t440, t441;
  double t445, t447, t455, t456, t460, t464, t465, t469;
  double t471, t478, t481, tv2rho21, t486, t491, t495, t496;
  double t502, t503, t508, t512, t513, t522, t524, t526;
  double t532, t536, t538, t539, t541, t542, t543, t544;
  double t545, t546, t547, t548, t549, t551, t553, t554;
  double t555, t557, t558, t561, t562, t564, t565, t566;
  double t568, t570, t571, t572, t575, t577, t582, tv2rho22;
  double t590, t591, t594, t597, t600, t601, t602, t603;
  double t605, t606, t607, t608, t611, t612, t615, t617;
  double t618, t619, t621, t623, t624, t627, t629, t634;
  double tv2rhosigma0, tv2rhosigma1, t641, t643, tv2rhosigma2, t649, tv2rhosigma3, tv2rhosigma4;
  double t654, t657, t660, t663, t664, t665, t666, t668;
  double t669, t671, t674, t675, t678, t680, t681, t682;
  double t684, t686, t687, t690, t692, t697, tv2rhosigma5, t704;
  double t710, t711, t713, t714, t717, t718, t721, t723;
  double t725, t729, t731, t736, tv2rholapl0, t743, t745, tv2rholapl1;
  double t751, tv2rholapl2, t761, t762, t764, t765, t768, t769;
  double t772, t774, t776, t780, t782, t787, tv2rholapl3, tv2rhotau0;
  double tv2rhotau1, tv2rhotau2, tv2rhotau3, t790, t792, t795, t798, t799;
  double t801, t802, t803, t805, t809, t811, t815, tv2sigma20;
  double tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t817, t819, t822, t825;
  double t826, t828, t829, t830, t832, t836, t838, t842;
  double tv2sigma25, t847, t850, t851, t853, t854, t855, t856;
  double t857, t860, t861, t864, t866, t870, tv2sigmalapl0, tv2sigmalapl1;
  double tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t875, t878, t879, t881, t882;
  double t883, t884, t885, t888, t889, t892, t894, t898;
  double tv2sigmalapl5, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, tv2sigmatau5, t902;
  double t905, t906, t908, t909, t911, t915, t917, t921;
  double tv2lapl20, tv2lapl21, t925, t928, t929, t931, t932, t934;
  double t938, t940, t944, tv2lapl22, tv2lapltau0, tv2lapltau1, tv2lapltau2, tv2lapltau3;
  double tv2tau20, tv2tau21, tv2tau22;

  double t948, t949, t952, t955, t956, t957, t960, t964;
  double t965, t969, t971, t976, t978, t981, t987, t988;
  double t991, t993, t996, t1000, t1002, t1008, t1014, t1015;
  double t1018, t1019, t1020, t1021, t1023, t1024, t1025, t1027;
  double t1029, t1030, t1031, t1034, t1035, t1041, t1042, t1044;
  double t1045, t1050, t1052, t1054, t1055, t1056, t1058, t1059;
  double t1060, t1063, t1067, t1070, t1071, t1072, t1073, t1076;
  double t1079, t1084, t1085, t1086, t1089, t1090, t1091, t1093;
  double t1094, t1095, t1098, t1100, t1101, t1105, t1109, t1110;
  double t1111, t1114, t1115, t1120, t1124, t1125, t1128, t1130;
  double t1132, t1137, t1139, t1140, t1143, t1146, t1149, t1153;
  double t1154, t1158, t1160, t1162, t1164, t1166, t1169, t1171;
  double tv3rho30, t1174, t1175, t1176, t1179, t1184, t1185, t1187;
  double t1191, t1192, t1196, t1199, t1203, t1205, t1209, t1218;
  double t1219, t1220, t1223, t1228, t1230, t1234, t1235, t1239;
  double t1242, t1243, t1245, t1254, t1256, t1259, tv3rho31, t1262;
  double t1267, t1271, t1275, t1276, t1280, t1282, t1291, t1292;
  double t1297, t1301, t1305, t1306, t1310, t1312, t1319, t1327;
  double t1329, t1330, tv3rho32, t1335, t1342, t1346, t1347, t1354;
  double t1355, t1362, t1366, t1367, t1384, t1386, t1392, t1398;
  double t1399, t1402, t1403, t1404, t1405, t1407, t1408, t1409;
  double t1411, t1413, t1414, t1415, t1419, t1425, t1426, t1430;
  double t1432, t1434, t1435, t1436, t1438, t1439, t1440, t1442;
  double t1443, t1447, t1451, t1454, t1455, t1456, t1457, t1459;
  double t1460, t1461, t1464, t1465, t1469, t1470, t1471, t1477;
  double t1478, t1479, t1481, t1482, t1488, t1492, t1493, t1494;
  double t1497, t1498, t1503, t1507, t1508, t1511, t1513, t1515;
  double t1520, tv3rho33, t1528, t1535, t1537, t1539, t1542, t1545;
  double t1548, t1553, t1554, t1556, t1557, t1560, t1561, t1564;
  double t1567, t1570, t1571, t1573, t1574, t1575, t1576, t1577;
  double t1579, t1580, t1582, t1583, t1584, t1591, t1592, t1595;
  double t1596, t1598, t1599, t1602, t1608, t1612, t1613, t1614;
  double t1617, t1618, t1619, t1621, t1622, t1623, t1624, t1625;
  double t1626, t1627, t1629, t1632, t1633, t1636, t1637, t1638;
  double t1641, t1642, t1648, t1649, t1654, t1656, t1660, t1661;
  double t1662, t1664, t1666, t1668, t1673, tv3rho2sigma0, tv3rho2sigma1, t1680;
  double t1684, t1686, tv3rho2sigma2, t1692, t1700, tv3rho2sigma3, tv3rho2sigma4, t1706;
  double t1713, t1716, tv3rho2sigma5, t1724, tv3rho2sigma6, tv3rho2sigma7, t1735, t1738;
  double t1741, t1744, t1749, t1750, t1752, t1753, t1756, t1757;
  double t1760, t1763, t1764, t1765, t1766, t1767, t1769, t1772;
  double t1773, t1775, t1776, t1777, t1780, t1781, t1782, t1783;
  double t1787, t1791, t1792, t1795, t1796, t1798, t1799, t1802;
  double t1803, t1804, t1807, t1810, t1816, t1817, t1818, t1820;
  double t1821, t1822, t1824, t1825, t1826, t1828, t1831, t1832;
  double t1835, t1836, t1839, t1840, t1843, t1844, t1848, t1851;
  double t1856, t1857, t1862, t1864, t1866, t1871, tv3rho2sigma8, t1878;
  double t1885, t1887, t1897, t1898, t1901, t1902, t1905, t1908;
  double t1909, t1910, t1912, t1914, t1916, t1917, t1923, t1931;
  double t1932, t1933, t1936, t1940, t1945, t1946, t1947, t1950;
  double t1951, t1952, t1954, t1957, t1958, t1963, t1968, t1971;
  double t1972, t1975, t1977, t1979, t1983, t1985, t1987, t1992;
  double tv3rho2lapl0, t1999, t2003, t2005, tv3rho2lapl1, t2011, t2019, tv3rho2lapl2;
  double t2025, t2032, t2035, tv3rho2lapl3, t2043, tv3rho2lapl4, t2062, t2063;
  double t2066, t2067, t2070, t2073, t2075, t2077, t2078, t2079;
  double t2084, t2086, t2087, t2090, t2091, t2092, t2095, t2106;
  double t2111, t2112, t2115, t2116, t2117, t2119, t2122, t2123;
  double t2128, t2129, t2132, t2134, t2136, t2138, t2140, t2141;
  double t2148, t2150, t2152, t2157, tv3rho2lapl5, tv3rho2tau0, tv3rho2tau1, tv3rho2tau2;
  double tv3rho2tau3, tv3rho2tau4, tv3rho2tau5, t2164, t2166, t2169, t2172, t2173;
  double t2174, t2175, t2178, t2181, t2182, t2184, t2186, t2191;
  double t2192, t2195, t2196, t2197, t2198, t2199, t2202, t2203;
  double t2204, t2206, t2207, t2209, t2210, t2213, t2214, t2217;
  double t2218, t2221, t2222, t2223, t2224, t2225, t2226, t2228;
  double t2229, t2232, t2238, t2239, t2240, t2241, t2244, t2245;
  double t2246, t2247, t2249, t2250, t2251, t2253, t2254, t2259;
  double t2260, t2261, t2262, t2264, t2265, t2266, t2267, t2269;
  double t2270, t2271, t2272, t2274, t2275, t2276, t2279, t2282;
  double t2283, t2285, t2287, t2292, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23;
  double tv3rhosigma24, t2299, t2301, tv3rhosigma25, t2307, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28;
  double tv3rhosigma29, tv3rhosigma210, t2313, t2316, t2319, t2320, t2321, t2322;
  double t2325, t2326, t2329, t2330, t2333, t2334, t2338, t2341;
  double t2344, t2345, t2346, t2347, t2348, t2350, t2351, t2355;
  double t2356, t2357, t2358, t2359, t2360, t2362, t2365, t2367;
  double t2372, t2373, t2374, t2375, t2377, t2378, t2384, t2385;
  double t2386, t2387, t2389, t2390, t2391, t2394, t2395, t2396;
  double t2397, t2399, t2400, t2403, t2408, t2409, t2410, t2411;
  double t2413, t2414, t2415, t2416, t2418, t2419, t2420, t2421;
  double t2422, t2424, t2425, t2426, t2429, t2431, t2433, t2438;
  double tv3rhosigma211, t2445, t2451, t2454, t2458, t2459, t2460, t2461;
  double t2465, t2468, t2469, t2470, t2471, t2473, t2474, t2475;
  double t2476, t2477, t2480, t2483, t2484, t2485, t2487, t2488;
  double t2489, t2493, t2496, t2498, t2503, t2505, t2506, t2508;
  double t2509, t2510, t2511, t2513, t2514, t2515, t2517, t2521;
  double t2522, t2526, t2527, t2530, t2531, t2536, t2538, t2539;
  double t2541, t2544, t2546, t2548, t2553, tv3rhosigmalapl0, tv3rhosigmalapl1, tv3rhosigmalapl2;
  double tv3rhosigmalapl3, tv3rhosigmalapl4, t2560, t2562, tv3rhosigmalapl5, t2568, tv3rhosigmalapl6, tv3rhosigmalapl7;
  double tv3rhosigmalapl8, tv3rhosigmalapl9, tv3rhosigmalapl10, t2578, t2581, t2584, t2585, t2586;
  double t2588, t2589, t2590, t2591, t2594, t2595, t2596, t2597;
  double t2599, t2600, t2601, t2602, t2603, t2606, t2609, t2610;
  double t2611, t2613, t2617, t2618, t2623, t2628, t2629, t2630;
  double t2631, t2634, t2635, t2637, t2638, t2639, t2640, t2642;
  double t2647, t2648, t2650, t2651, t2654, t2655, t2662, t2664;
  double t2665, t2667, t2670, t2672, t2674, t2679, tv3rhosigmalapl11, tv3rhosigmatau0;
  double tv3rhosigmatau1, tv3rhosigmatau2, tv3rhosigmatau3, tv3rhosigmatau4, tv3rhosigmatau5, tv3rhosigmatau6, tv3rhosigmatau7, tv3rhosigmatau8;
  double tv3rhosigmatau9, tv3rhosigmatau10, tv3rhosigmatau11, t2686, t2692, t2694, t2695, t2697;
  double t2699, t2700, t2702, t2704, t2705, t2708, t2712, t2715;
  double t2718, t2719, t2725, t2726, t2728, t2737, t2747, t2748;
  double t2749, t2751, t2752, t2758, t2759, t2761, t2763, t2765;
  double t2770, tv3rholapl20, tv3rholapl21, t2777, t2779, tv3rholapl22, t2785, tv3rholapl23;
  double tv3rholapl24, t2795, t2797, t2798, t2800, t2802, t2804, t2805;
  double t2807, t2808, t2811, t2813, t2824, t2825, t2827, t2828;
  double t2829, t2834, t2838, t2839, t2850, t2856, t2857, t2859;
  double t2860, t2862, t2863, t2864, t2866, t2868, t2873, tv3rholapl25;
  double tv3rholapltau0, tv3rholapltau1, tv3rholapltau2, tv3rholapltau3, tv3rholapltau4, tv3rholapltau5, tv3rholapltau6, tv3rholapltau7;
  double tv3rhotau20, tv3rhotau21, tv3rhotau22, tv3rhotau23, tv3rhotau24, tv3rhotau25, t2876, t2878;
  double t2887, t2888, t2889, t2890, t2891, t2892, t2893, t2895;
  double t2896, t2897, t2898, t2899, t2900, t2901, t2902, t2903;
  double t2904, t2906, t2907, t2908, t2909, t2910, t2911, t2912;
  double t2913, t2914, t2916, t2917, t2918, t2919, t2924, t2925;
  double t2928, t2933, t2942, t2944, t2946, t2950, tv3sigma30, tv3sigma31;
  double tv3sigma32, tv3sigma33, tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t2952;
  double t2954, t2963, t2965, t2966, t2967, t2968, t2969, t2970;
  double t2971, t2972, t2973, t2974, t2975, t2976, t2977, t2978;
  double t2979, t2980, t2981, t2982, t2987, t2988, t2989, t2992;
  double t2995, t2997, t2998, t2999, t3003, t3004, t3005, t3006;
  double t3007, t3008, t3009, t3018, t3020, t3022, t3026, tv3sigma39;
  double t3031, t3033, t3034, t3035, t3036, t3037, t3038, t3039;
  double t3044, t3045, t3050, t3051, t3052, t3053, t3054, t3055;
  double t3058, t3061, t3062, t3063, t3064, t3065, t3070, t3073;
  double t3076, t3077, t3078, t3079, t3080, t3081, t3082, t3083;
  double t3084, t3085, t3086, t3087, t3088, t3089, t3091, t3092;
  double t3093, t3094, t3095, t3099, t3100, t3103, t3105, t3107;
  double t3111, tv3sigma2lapl0, tv3sigma2lapl1, tv3sigma2lapl2, tv3sigma2lapl3, tv3sigma2lapl4, tv3sigma2lapl5, tv3sigma2lapl6;
  double tv3sigma2lapl7, tv3sigma2lapl8, tv3sigma2lapl9, tv3sigma2lapl10, t3116, t3118, t3119, t3120;
  double t3121, t3122, t3123, t3124, t3125, t3126, t3127, t3130;
  double t3131, t3132, t3136, t3137, t3144, t3145, t3150, t3151;
  double t3152, t3153, t3154, t3155, t3158, t3159, t3160, t3161;
  double t3162, t3163, t3166, t3167, t3168, t3169, t3170, t3171;
  double t3172, t3173, t3174, t3176, t3177, t3178, t3179, t3180;
  double t3184, t3185, t3188, t3190, t3192, t3196, tv3sigma2lapl11, tv3sigma2tau0;
  double tv3sigma2tau1, tv3sigma2tau2, tv3sigma2tau3, tv3sigma2tau4, tv3sigma2tau5, tv3sigma2tau6, tv3sigma2tau7, tv3sigma2tau8;
  double tv3sigma2tau9, tv3sigma2tau10, tv3sigma2tau11, t3201, t3203, t3204, t3206, t3207;
  double t3208, t3210, t3211, t3213, t3214, t3218, t3223, t3226;
  double t3227, t3230, t3231, t3235, t3236, t3237, t3242, t3243;
  double t3247, t3248, t3249, t3250, t3251, t3252, t3259, t3261;
  double t3263, t3267, tv3sigmalapl20, tv3sigmalapl21, tv3sigmalapl22, tv3sigmalapl23, tv3sigmalapl24, tv3sigmalapl25;
  double tv3sigmalapl26, tv3sigmalapl27, t3272, t3274, t3276, t3277, t3278, t3279;
  double t3280, t3281, t3282, t3284, t3285, t3288, t3289, t3294;
  double t3297, t3298, t3301, t3305, t3306, t3312, t3313, t3314;
  double t3315, t3318, t3319, t3320, t3321, t3322, t3323, t3330;
  double t3332, t3334, t3338, tv3sigmalapl28, tv3sigmalapltau0, tv3sigmalapltau1, tv3sigmalapltau2, tv3sigmalapltau3;
  double tv3sigmalapltau4, tv3sigmalapltau5, tv3sigmalapltau6, tv3sigmalapltau7, tv3sigmalapltau8, tv3sigmalapltau9, tv3sigmalapltau10, tv3sigmalapltau11;
  double tv3sigmatau20, tv3sigmatau21, tv3sigmatau22, tv3sigmatau23, tv3sigmatau24, tv3sigmatau25, tv3sigmatau26, tv3sigmatau27;
  double tv3sigmatau28, t3342, t3351, t3353, t3354, t3355, t3356, t3357;
  double t3358, t3359, t3360, t3361, t3362, t3363, t3364, t3365;
  double t3366, t3367, t3369, t3370, t3372, t3373, t3374, t3375;
  double t3382, t3385, t3396, t3398, t3400, t3404, tv3lapl30, tv3lapl31;
  double tv3lapl32, t3408, t3417, t3419, t3420, t3421, t3422, t3423;
  double t3424, t3425, t3426, t3427, t3428, t3429, t3430, t3431;
  double t3432, t3433, t3434, t3435, t3438, t3439, t3440, t3442;
  double t3443, t3444, t3453, t3462, t3464, t3466, t3470, tv3lapl33;
  double tv3lapl2tau0, tv3lapl2tau1, tv3lapl2tau2, tv3lapl2tau3, tv3lapl2tau4, tv3lapl2tau5, tv3lapltau20, tv3lapltau21;
  double tv3lapltau22, tv3lapltau23, tv3lapltau24, tv3lapltau25, tv3tau30, tv3tau31, tv3tau32, tv3tau33;

  double t3475, t3479, t3483, t3486, t3490, t3495, t3498, t3501;
  double t3507, t3513, t3524, t3528, t3533, t3535, t3538, t3540;
  double t3541, t3546, t3547, t3548, t3550, t3551, t3555, t3556;
  double t3560, t3561, t3566, t3569, t3572, t3576, t3579, t3581;
  double t3584, t3585, t3590, t3593, t3597, t3599, t3607, t3610;
  double t3612, t3616, t3620, t3624, t3627, t3629, t3636, t3637;
  double t3640, t3645, t3650, t3651, t3652, t3653, t3656, t3657;
  double t3658, t3659, t3660, t3663, t3664, t3668, t3671, t3672;
  double t3675, t3677, t3679, t3680, t3681, t3682, t3683, t3685;
  double t3688, t3694, t3695, t3696, t3697, t3698, t3701, t3702;
  double t3703, t3706, t3707, t3710, t3713, t3714, t3717, t3721;
  double t3725, t3728, t3733, t3749, t3750, t3753, t3758, t3760;
  double t3763, t3767, t3772, t3777, t3778, t3781, t3782, t3783;
  double t3790, t3791, t3796, t3802, t3811, t3812, t3821, t3825;
  double t3831, t3833, t3834, t3840, t3846, t3847, t3850, t3854;
  double t3863, t3869, t3872, t3874, t3875, t3876, t3878, t3879;
  double t3885, t3890, t3893, t3897, t3904, t3908, t3912, t3917;
  double t3919, tv4rho40, t3926, t3930, t3931, t3934, t3955, t3956;
  double t3958, t3962, t3971, t3977, t3978, t3980, t3991, t3992;
  double t4009, t4011, t4015, t4022, t4026, t4027, t4030, t4039;
  double t4042, t4043, t4045, t4047, t4048, tv4rho41, t4057, t4061;
  double t4076, t4089, t4093, t4102, t4113, t4114, t4123, t4136;
  double t4140, t4147, t4151, t4160, t4163, t4174, t4177, t4179;
  double t4180, tv4rho42, t4201, t4205, t4212, t4223, t4224, t4241;
  double t4245, t4252, t4260, t4269, t4279, t4281, t4282, tv4rho43;
  double t4287, t4292, t4299, t4303, t4312, t4322, t4327, t4334;
  double t4338, t4356, t4362, t4373, t4374, t4375, t4376, t4379;
  double t4381, t4384, t4388, t4391, t4392, t4396, t4402, t4403;
  double t4406, t4407, t4410, t4413, t4416, t4419, t4422, t4425;
  double t4428, t4432, t4435, t4437, t4441, t4444, t4447, t4450;
  double t4452, t4453, t4457, t4464, t4466, t4472, t4477, t4479;
  double t4483, t4484, t4490, t4491, t4492, t4493, t4494, t4495;
  double t4496, t4499, t4501, t4502, t4503, t4504, t4507, t4508;
  double t4510, t4513, t4514, t4515, t4516, t4519, t4520, t4528;
  double t4529, t4532, t4533, t4536, t4540, t4544, t4545, t4546;
  double t4547, t4548, t4550, t4551, t4554, t4560, t4561, t4564;
  double t4565, t4566, t4572, t4573, t4574, t4577, t4580, t4581;
  double t4582, t4588, t4591, t4594, t4597, t4602, t4607, t4615;
  double t4631, t4642, t4643, t4644, t4647, t4648, t4658, t4670;
  double t4674, t4680, t4681, tv4rho44, t4689, t4695, t4698, t4705;
  double t4707, t4710, t4712, t4736, t4737, t4738, t4740, t4743;
  double t4744, t4747, t4749, t4754, t4757, t4760, t4763, t4768;
  double t4773, t4778, t4779, t4783, t4786, t4787, t4788, t4792;
  double t4796, t4799, t4800, t4801, t4808, t4810, t4815, t4816;
  double t4817, t4820, t4821, t4826, t4831, t4834, t4839, t4840;
  double t4844, t4847, t4851, t4852, t4853, t4857, t4861, t4864;
  double t4869, t4872, t4874, t4879, t4881, t4903, t4909, t4918;
  double t4921, t4928, t4931, t4932, t4933, t4934, t4937, t4938;
  double t4939, t4942, t4944, t4945, t4948, t4949, t4952, t4954;
  double t4955, t4960, t4964, t4965, t4966, t4968, t4969, t4972;
  double t4974, t4979, t4983, t4987, t4988, t4995, t5000, t5001;
  double t5008, t5016, t5021, t5022, t5026, t5029, t5040, t5052;
  double t5057, t5067, t5073, t5074, t5078, t5089, t5092, t5093;
  double t5098, t5102, t5109, tv4rho3sigma0, tv4rho3sigma1, t5116, t5119, t5123;
  double t5125, tv4rho3sigma2, t5127, t5133, t5138, t5142, t5151, t5152;
  double tv4rho3sigma3, tv4rho3sigma4, t5154, t5160, t5162, t5171, t5173, t5176;
  double tv4rho3sigma5, t5182, t5191, tv4rho3sigma6, tv4rho3sigma7, t5197, t5204, t5212;
  double t5214, t5215, tv4rho3sigma8, t5224, tv4rho3sigma9, tv4rho3sigma10, t5241, t5265;
  double t5267, t5268, t5271, t5272, t5275, t5276, t5278, t5282;
  double t5284, t5287, t5290, t5292, t5294, t5297, t5298, t5301;
  double t5302, t5304, t5311, t5312, t5313, t5314, t5319, t5324;
  double t5325, t5328, t5329, t5334, t5343, t5346, t5348, t5349;
  double t5352, t5357, t5362, t5365, t5369, t5373, t5380, t5384;
  double t5387, t5390, t5394, t5401, t5406, t5413, t5418, t5431;
  double t5433, t5438, t5444, t5447, t5449, t5460, t5461, t5465;
  double t5466, t5467, t5468, t5471, t5472, t5475, t5476, t5479;
  double t5482, t5483, t5484, t5489, t5490, t5494, t5495, t5503;
  double t5504, t5508, t5511, t5512, t5520, t5525, t5527, t5528;
  double t5533, t5539, t5542, t5545, t5548, t5554, t5559, t5564;
  double t5568, t5572, t5585, t5586, t5596, t5610, t5613, t5620;
  double t5621, t5626, t5630, t5637, tv4rho3sigma11, t5644, t5650, t5653;
  double t5660, t5662, t5665, t5683, t5684, t5685, t5688, t5689;
  double t5692, t5697, t5698, t5707, t5723, t5725, t5730, t5731;
  double t5735, t5736, t5739, t5745, t5748, t5751, t5759, t5760;
  double t5763, t5766, t5767, t5770, t5773, t5781, t5783, t5784;
  double t5788, t5791, t5794, t5801, t5806, t5811, t5816, t5821;
  double t5824, t5827, t5835, t5844, t5846, t5855, t5857, t5861;
  double t5868, t5872, t5876, t5879, t5888, t5905, t5912, t5919;
  double t5939, t5945, t5948, t5951, t5959, t5962, t5966, t5967;
  double t5972, t5976, t5983, tv4rho3lapl0, t5990, t5993, t5997, t5999;
  double tv4rho3lapl1, t6001, t6007, t6012, t6016, t6025, t6026, tv4rho3lapl2;
  double t6028, t6034, t6036, t6045, t6047, t6050, tv4rho3lapl3, t6056;
  double t6065, tv4rho3lapl4, t6071, t6078, t6086, t6088, t6089, tv4rho3lapl5;
  double t6098, tv4rho3lapl6, t6131, t6132, t6135, t6140, t6141, t6144;
  double t6148, t6151, t6154, t6155, t6158, t6159, t6164, t6169;
  double t6170, t6175, t6179, t6186, t6188, t6191, t6193, t6196;
  double t6199, t6204, t6206, t6232, t6237, t6243, t6257, t6261;
  double t6264, t6270, t6278, t6281, t6285, t6292, t6293, t6296;
  double t6297, t6302, t6307, t6316, t6333, t6334, t6341, t6343;
  double t6346, t6349, t6352, t6356, t6371, t6376, t6379, t6382;
  double t6395, t6398, t6401, t6408, t6409, t6414, t6418, t6425;
  double tv4rho3lapl7, tv4rho3tau0, tv4rho3tau1, tv4rho3tau2, tv4rho3tau3, tv4rho3tau4, tv4rho3tau5, tv4rho3tau6;
  double tv4rho3tau7, t6432, t6439, t6441, t6455, t6456, t6457, t6463;
  double t6464, t6465, t6466, t6469, t6471, t6474, t6476, t6480;
  double t6483, t6484, t6486, t6489, t6494, t6497, t6498, t6499;
  double t6502, t6504, t6507, t6514, t6515, t6517, t6518, t6520;
  double t6521, t6524, t6527, t6528, t6530, t6533, t6534, t6535;
  double t6536, t6545, t6548, t6550, t6553, t6564, t6565, t6570;
  double t6572, t6574, t6576, t6584, t6595, t6603, t6605, t6610;
  double t6612, t6616, t6620, t6623, t6625, t6626, t6628, t6629;
  double t6634, t6636, t6640, t6647, t6653, t6655, t6656, t6659;
  double t6661, t6664, t6665, t6666, t6667, t6668, t6673, t6674;
  double t6677, t6680, t6681, t6690, t6692, t6693, t6694, t6695;
  double t6698, t6702, t6703, t6716, t6722, t6725, t6728, t6740;
  double t6743, t6747, t6748, t6751, t6753, t6754, t6757, t6758;
  double t6759, t6764, t6770, t6773, t6779, t6781, t6782, t6786;
  double t6794, t6795, t6800, t6804, t6805, t6806, t6809, t6810;
  double t6811, t6812, t6821, t6825, t6833, t6834, t6836, t6837;
  double t6841, t6848, tv4rho2sigma20, tv4rho2sigma21, tv4rho2sigma22, tv4rho2sigma23, tv4rho2sigma24, t6855;
  double t6859, t6861, tv4rho2sigma25, t6867, t6875, tv4rho2sigma26, tv4rho2sigma27, tv4rho2sigma28;
  double tv4rho2sigma29, tv4rho2sigma210, t6881, t6888, t6891, tv4rho2sigma211, t6899, tv4rho2sigma212;
  double tv4rho2sigma213, tv4rho2sigma214, tv4rho2sigma215, tv4rho2sigma216, t6922, t6925, t6926, t6931;
  double t6932, t6935, t6936, t6937, t6938, t6939, t6942, t6947;
  double t6948, t6952, t6955, t6958, t6961, t6962, t6966, t6968;
  double t6969, t6974, t6977, t6985, t6989, t6999, t7000, t7001;
  double t7007, t7015, t7022, t7024, t7025, t7026, t7027, t7030;
  double t7031, t7033, t7034, t7036, t7037, t7039, t7042, t7046;
  double t7049, t7050, t7054, t7058, t7061, t7065, t7071, t7074;
  double t7076, t7077, t7079, t7080, t7082, t7083, t7086, t7087;
  double t7089, t7092, t7094, t7096, t7105, t7111, t7115, t7118;
  double t7124, t7129, t7137, t7139, t7142, t7144, t7154, t7156;
  double t7159, t7165, t7170, t7178, t7183, t7184, t7186, t7188;
  double t7190, t7191, t7192, t7193, t7196, t7199, t7203, t7210;
  double t7220, t7223, t7225, t7228, t7233, t7237, t7240, t7245;
  double t7246, t7250, t7253, t7254, t7256, t7259, t7265, t7269;
  double t7275, t7276, t7277, t7278, t7279, t7280, t7292, t7293;
  double t7301, t7302, t7303, t7305, t7309, t7316, tv4rho2sigma217, t7323;
  double t7330, t7332, t7356, t7357, t7358, t7359, t7361, t7363;
  double t7364, t7367, t7372, t7375, t7376, t7379, t7380, t7381;
  double t7382, t7386, t7389, t7396, t7399, t7416, t7417, t7420;
  double t7431, t7434, t7446, t7450, t7461, t7462, t7468, t7469;
  double t7474, t7479, t7490, t7491, t7496, t7497, t7506, t7515;
  double t7528, t7529, t7532, t7536, t7540, t7559, t7565, t7578;
  double t7579, t7608, t7610, t7613, t7622, t7623, t7626, t7629;
  double t7633, t7646, t7649, t7651, t7652, t7655, t7668, t7674;
  double t7682, t7699, t7703, t7710, tv4rho2sigmalapl0, tv4rho2sigmalapl1, tv4rho2sigmalapl2, tv4rho2sigmalapl3;
  double tv4rho2sigmalapl4, t7717, t7721, t7723, tv4rho2sigmalapl5, t7729, t7737, tv4rho2sigmalapl6;
  double tv4rho2sigmalapl7, tv4rho2sigmalapl8, tv4rho2sigmalapl9, tv4rho2sigmalapl10, t7743, t7750, t7753, tv4rho2sigmalapl11;
  double t7761, tv4rho2sigmalapl12, tv4rho2sigmalapl13, tv4rho2sigmalapl14, tv4rho2sigmalapl15, tv4rho2sigmalapl16, t7801, t7805;
  double t7806, t7807, t7812, t7813, t7816, t7819, t7823, t7824;
  double t7825, t7829, t7837, t7838, t7846, t7853, t7860, t7861;
  double t7863, t7866, t7868, t7869, t7874, t7877, t7878, t7879;
  double t7880, t7888, t7892, t7895, t7903, t7907, t7908, t7909;
  double t7912, t7923, t7924, t7931, t7934, t7935, t7938, t7945;
  double t7950, t7951, t7962, t7967, t7968, t7969, t7974, t7993;
  double t7997, t7998, t8009, t8013, t8016, t8019, t8037, t8038;
  double t8041, t8045, t8051, t8056, t8066, t8070, t8081, t8082;
  double t8099, t8119, t8127, t8146, t8150, t8157, tv4rho2sigmalapl17, tv4rho2sigmatau0;
  double tv4rho2sigmatau1, tv4rho2sigmatau2, tv4rho2sigmatau3, tv4rho2sigmatau4, tv4rho2sigmatau5, tv4rho2sigmatau6, tv4rho2sigmatau7, tv4rho2sigmatau8;
  double tv4rho2sigmatau9, tv4rho2sigmatau10, tv4rho2sigmatau11, tv4rho2sigmatau12, tv4rho2sigmatau13, tv4rho2sigmatau14, tv4rho2sigmatau15, tv4rho2sigmatau16;
  double tv4rho2sigmatau17, t8164, t8171, t8173, t8186, t8198, t8203, t8207;
  double t8208, t8218, t8221, t8222, t8225, t8228, t8229, t8232;
  double t8233, t8235, t8238, t8241, t8251, t8252, t8257, t8269;
  double t8273, t8282, t8291, t8299, t8302, t8303, t8311, t8313;
  double t8320, t8323, t8334, t8337, t8356, t8364, t8368, t8369;
  double t8374, t8397, t8400, t8403, t8405, t8406, t8413, t8421;
  double t8424, t8431, t8435, t8440, t8446, t8457, t8461, t8468;
  double tv4rho2lapl20, tv4rho2lapl21, t8475, t8479, t8481, tv4rho2lapl22, t8487, t8495;
  double tv4rho2lapl23, tv4rho2lapl24, t8501, t8508, t8511, tv4rho2lapl25, t8519, tv4rho2lapl26;
  double tv4rho2lapl27, t8544, t8555, t8561, t8562, t8568, t8569, t8578;
  double t8579, t8588, t8589, t8592, t8595, t8596, t8597, t8605;
  double t8610, t8613, t8620, t8624, t8632, t8633, t8648, t8651;
  double t8656, t8658, t8661, t8663, t8671, t8681, t8689, t8692;
  double t8705, t8708, t8725, t8732, t8733, t8738, t8746, t8755;
  double t8757, t8758, t8759, t8769, t8774, t8779, t8782, t8789;
  double t8791, t8798, t8809, t8813, t8820, tv4rho2lapl28, tv4rho2lapltau0, tv4rho2lapltau1;
  double tv4rho2lapltau2, tv4rho2lapltau3, tv4rho2lapltau4, tv4rho2lapltau5, tv4rho2lapltau6, tv4rho2lapltau7, tv4rho2lapltau8, tv4rho2lapltau9;
  double tv4rho2lapltau10, tv4rho2lapltau11, tv4rho2tau20, tv4rho2tau21, tv4rho2tau22, tv4rho2tau23, tv4rho2tau24, tv4rho2tau25;
  double tv4rho2tau26, tv4rho2tau27, tv4rho2tau28, t8827, t8835, t8836, t8837, t8841;
  double t8842, t8843, t8844, t8846, t8847, t8849, t8850, t8852;
  double t8854, t8858, t8860, t8861, t8863, t8864, t8868, t8873;
  double t8881, t8884, t8886, t8887, t8888, t8890, t8891, t8894;
  double t8895, t8896, t8897, t8898, t8902, t8905, t8909, t8910;
  double t8913, t8916, t8918, t8920, t8923, t8924, t8925, t8927;
  double t8929, t8932, t8933, t8935, t8940, t8943, t8946, t8947;
  double t8950, t8951, t8954, t8957, t8962, t8963, t8967, t8970;
  double t8971, t8974, t8977, t8978, t8979, t8980, t8983, t8987;
  double t8989, t8992, t8995, t8996, t9007, t9008, t9013, t9016;
  double t9018, t9021, t9024, t9031, t9036, t9045, t9048, t9054;
  double t9059, t9063, t9065, t9068, t9070, t9077, t9080, t9093;
  double t9098, t9103, t9121, t9123, t9128, t9130, t9132, t9133;
  double t9134, t9138, t9145, tv4rhosigma30, tv4rhosigma31, tv4rhosigma32, tv4rhosigma33, tv4rhosigma34;
  double tv4rhosigma35, tv4rhosigma36, tv4rhosigma37, tv4rhosigma38, t9152, t9154, tv4rhosigma39, t9160;
  double tv4rhosigma310, tv4rhosigma311, tv4rhosigma312, tv4rhosigma313, tv4rhosigma314, tv4rhosigma315, tv4rhosigma316, tv4rhosigma317;
  double tv4rhosigma318, t9172, t9173, t9174, t9178, t9179, t9182, t9183;
  double t9184, t9185, t9187, t9188, t9189, t9191, t9192, t9193;
  double t9196, t9197, t9198, t9200, t9202, t9212, t9214, t9215;
  double t9217, t9221, t9225, t9228, t9229, t9232, t9233, t9235;
  double t9237, t9240, t9242, t9245, t9247, t9250, t9254, t9255;
  double t9259, t9262, t9263, t9265, t9267, t9269, t9270, t9271;
  double t9277, t9282, t9285, t9286, t9287, t9288, t9292, t9299;
  double t9301, t9306, t9307, t9310, t9311, t9316, t9318, t9321;
  double t9323, t9326, t9335, t9338, t9343, t9346, t9350, t9356;
  double t9357, t9364, t9370, t9373, t9375, t9382, t9387, t9390;
  double t9391, t9394, t9395, t9400, t9402, t9404, t9408, t9411;
  double t9417, t9429, t9434, t9446, t9450, t9458, t9460, t9463;
  double t9464, t9465, t9469, t9476, tv4rhosigma319, t9483, t9495, t9496;
  double t9501, t9502, t9506, t9513, t9515, t9520, t9522, t9525;
  double t9526, t9527, t9529, t9530, t9532, t9537, t9538, t9545;
  double t9547, t9552, t9558, t9568, t9582, t9586, t9592, t9599;
  double t9601, t9603, t9605, t9612, t9617, t9619, t9625, t9627;
  double t9630, t9634, t9637, t9644, t9649, t9666, t9668, t9680;
  double t9683, t9685, t9686, t9689, t9705, t9707, t9727, t9728;
  double t9733, t9735, t9750, t9756, t9763, t9779, t9780, t9786;
  double t9807, t9808, t9809, t9818, t9821, t9826, t9833, tv4rhosigma2lapl0;
  double tv4rhosigma2lapl1, tv4rhosigma2lapl2, tv4rhosigma2lapl3, tv4rhosigma2lapl4, tv4rhosigma2lapl5, tv4rhosigma2lapl6, tv4rhosigma2lapl7, tv4rhosigma2lapl8;
  double tv4rhosigma2lapl9, tv4rhosigma2lapl10, t9840, t9842, tv4rhosigma2lapl11, t9848, tv4rhosigma2lapl12, tv4rhosigma2lapl13;
  double tv4rhosigma2lapl14, tv4rhosigma2lapl15, tv4rhosigma2lapl16, tv4rhosigma2lapl17, tv4rhosigma2lapl18, tv4rhosigma2lapl19, tv4rhosigma2lapl20, tv4rhosigma2lapl21;
  double tv4rhosigma2lapl22, t9864, t9865, t9870, t9875, t9878, t9879, t9880;
  double t9882, t9883, t9885, t9886, t9891, t9892, t9899, t9904;
  double t9906, t9908, t9913, t9914, t9917, t9931, t9932, t9942;
  double t9945, t9951, t9956, t9958, t9961, t9973, t9978, t9980;
  double t9996, t9998, t10002, t10004, t10007, t10011, t10014, t10021;
  double t10025, t10043, t10047, t10050, t10063, t10064, t10067, t10068;
  double t10076, t10091, t10094, t10133, t10134, t10135, t10139, t10140;
  double t10146, t10151, t10162, t10165, t10167, t10172, t10173, t10174;
  double t10183, t10184, t10185, t10192, t10195, t10200, t10207, tv4rhosigma2lapl23;
  double tv4rhosigma2tau0, tv4rhosigma2tau1, tv4rhosigma2tau2, tv4rhosigma2tau3, tv4rhosigma2tau4, tv4rhosigma2tau5, tv4rhosigma2tau6, tv4rhosigma2tau7;
  double tv4rhosigma2tau8, tv4rhosigma2tau9, tv4rhosigma2tau10, tv4rhosigma2tau11, tv4rhosigma2tau12, tv4rhosigma2tau13, tv4rhosigma2tau14, tv4rhosigma2tau15;
  double tv4rhosigma2tau16, tv4rhosigma2tau17, tv4rhosigma2tau18, tv4rhosigma2tau19, tv4rhosigma2tau20, tv4rhosigma2tau21, tv4rhosigma2tau22, tv4rhosigma2tau23;
  double t10214, t10226, t10227, t10228, t10244, t10265, t10285, t10298;
  double t10299, t10311, t10313, t10322, t10330, t10335, t10341, t10345;
  double t10352, t10364, t10368, t10381, t10382, t10386, t10389, t10390;
  double t10393, t10394, t10397, t10402, t10407, t10415, t10417, t10420;
  double t10441, t10456, t10457, t10461, t10476, t10497, t10515, t10520;
  double t10527, tv4rhosigmalapl20, tv4rhosigmalapl21, tv4rhosigmalapl22, tv4rhosigmalapl23, tv4rhosigmalapl24, tv4rhosigmalapl25, tv4rhosigmalapl26;
  double tv4rhosigmalapl27, t10534, t10536, tv4rhosigmalapl28, t10542, tv4rhosigmalapl29, tv4rhosigmalapl210, tv4rhosigmalapl211;
  double tv4rhosigmalapl212, tv4rhosigmalapl213, tv4rhosigmalapl214, tv4rhosigmalapl215, tv4rhosigmalapl216, t10572, t10596, t10611;
  double t10631, t10647, t10653, t10654, t10658, t10672, t10686, t10693;
  double t10706, t10707, t10708, t10712, t10715, t10716, t10719, t10731;
  double t10736, t10739, t10746, t10754, t10756, t10761, t10762, t10766;
  double t10770, t10778, t10796, t10812, t10821, t10831, t10846, t10851;
  double t10858, tv4rhosigmalapl217, tv4rhosigmalapltau0, tv4rhosigmalapltau1, tv4rhosigmalapltau2, tv4rhosigmalapltau3, tv4rhosigmalapltau4, tv4rhosigmalapltau5;
  double tv4rhosigmalapltau6, tv4rhosigmalapltau7, tv4rhosigmalapltau8, tv4rhosigmalapltau9, tv4rhosigmalapltau10, tv4rhosigmalapltau11, tv4rhosigmalapltau12, tv4rhosigmalapltau13;
  double tv4rhosigmalapltau14, tv4rhosigmalapltau15, tv4rhosigmalapltau16, tv4rhosigmalapltau17, tv4rhosigmalapltau18, tv4rhosigmalapltau19, tv4rhosigmalapltau20, tv4rhosigmalapltau21;
  double tv4rhosigmalapltau22, tv4rhosigmalapltau23, tv4rhosigmatau20, tv4rhosigmatau21, tv4rhosigmatau22, tv4rhosigmatau23, tv4rhosigmatau24, tv4rhosigmatau25;
  double tv4rhosigmatau26, tv4rhosigmatau27, tv4rhosigmatau28, tv4rhosigmatau29, tv4rhosigmatau210, tv4rhosigmatau211, tv4rhosigmatau212, tv4rhosigmatau213;
  double tv4rhosigmatau214, tv4rhosigmatau215, tv4rhosigmatau216, tv4rhosigmatau217, t10865, t10879, t10887, t10888;
  double t10891, t10894, t10899, t10905, t10924, t10925, t10929, t10933;
  double t10942, t10945, t10947, t10951, t10956, t10958, t10968, t10981;
  double t10984, t10985, t10988, t10992, t10997, t11016, t11017, t11025;
  double t11030, t11036, t11044, t11045, t11048, t11050, t11053, t11056;
  double t11057, t11069, t11074, t11077, t11084, t11088, t11089, t11093;
  double t11100, tv4rholapl30, tv4rholapl31, tv4rholapl32, t11107, t11109, tv4rholapl33, t11115;
  double tv4rholapl34, tv4rholapl35, tv4rholapl36, t11125, t11126, t11127, t11130, t11134;
  double t11135, t11138, t11141, t11144, t11149, t11160, t11161, t11164;
  double t11166, t11169, t11172, t11194, t11196, t11199, t11204, t11205;
  double t11208, t11213, t11224, t11226, t11234, t11238, t11246, t11249;
  double t11258, t11260, t11268, t11277, t11287, t11296, t11301, t11305;
  double t11310, t11315, t11337, t11343, t11344, t11345, t11349, t11356;
  double tv4rholapl37, tv4rholapl2tau0, tv4rholapl2tau1, tv4rholapl2tau2, tv4rholapl2tau3, tv4rholapl2tau4, tv4rholapl2tau5, tv4rholapl2tau6;
  double tv4rholapl2tau7, tv4rholapl2tau8, tv4rholapl2tau9, tv4rholapl2tau10, tv4rholapl2tau11, tv4rholapltau20, tv4rholapltau21, tv4rholapltau22;
  double tv4rholapltau23, tv4rholapltau24, tv4rholapltau25, tv4rholapltau26, tv4rholapltau27, tv4rholapltau28, tv4rholapltau29, tv4rholapltau210;
  double tv4rholapltau211, tv4rhotau30, tv4rhotau31, tv4rhotau32, tv4rhotau33, tv4rhotau34, tv4rhotau35, tv4rhotau36;
  double tv4rhotau37, t11364, t11366, t11367, t11368, t11369, t11370, t11371;
  double t11372, t11373, t11374, t11376, t11377, t11378, t11380, t11385;
  double t11387, t11388, t11391, t11392, t11393, t11395, t11397, t11401;
  double t11406, t11407, t11412, t11415, t11420, t11422, t11424, t11426;
  double t11428, t11429, t11431, t11438, t11441, t11450, t11451, t11452;
  double t11454, t11456, t11459, t11466, t11481, t11485, t11487, t11488;
  double t11509, t11515, t11519, t11524, t11534, t11535, t11537, t11539;
  double t11554, t11558, t11564, tv4sigma40, tv4sigma41, tv4sigma42, tv4sigma43, tv4sigma44;
  double tv4sigma45, tv4sigma46, tv4sigma47, tv4sigma48, tv4sigma49, tv4sigma410, tv4sigma411, tv4sigma412;
  double tv4sigma413, t11568, t11569, t11571, t11572, t11573, t11574, t11575;
  double t11576, t11577, t11579, t11580, t11583, t11584, t11585, t11587;
  double t11588, t11589, t11593, t11594, t11596, t11601, t11605, t11609;
  double t11612, t11613, t11615, t11617, t11623, t11627, t11633, t11634;
  double t11636, t11639, t11642, t11659, t11669, t11670, t11671, t11673;
  double t11674, t11678, t11681, t11696, t11703, t11704, t11708, t11720;
  double t11724, t11726, t11731, t11739, t11741, t11743, t11746, t11761;
  double t11765, t11771, tv4sigma414, t11779, t11780, t11781, t11782, t11783;
  double t11784, t11785, t11789, t11792, t11793, t11794, t11795, t11796;
  double t11797, t11798, t11799, t11800, t11801, t11802, t11803, t11804;
  double t11807, t11815, t11817, t11818, t11819, t11820, t11823, t11824;
  double t11825, t11826, t11827, t11828, t11842, t11845, t11848, t11855;
  double t11874, t11875, t11876, t11877, t11880, t11885, t11886, t11890;
  double t11906, t11917, t11918, t11920, t11921, t11922, t11923, t11924;
  double t11927, t11930, t11934, t11946, t11951, t11954, t11974, t11977;
  double t11981, t11987, tv4sigma3lapl0, tv4sigma3lapl1, tv4sigma3lapl2, tv4sigma3lapl3, tv4sigma3lapl4, tv4sigma3lapl5;
  double tv4sigma3lapl6, tv4sigma3lapl7, tv4sigma3lapl8, tv4sigma3lapl9, tv4sigma3lapl10, tv4sigma3lapl11, tv4sigma3lapl12, tv4sigma3lapl13;
  double tv4sigma3lapl14, tv4sigma3lapl15, tv4sigma3lapl16, tv4sigma3lapl17, tv4sigma3lapl18, t11995, t11996, t11997;
  double t11998, t11999, t12000, t12001, t12002, t12003, t12004, t12005;
  double t12006, t12007, t12011, t12014, t12015, t12016, t12017, t12023;
  double t12024, t12025, t12026, t12027, t12028, t12031, t12032, t12033;
  double t12036, t12037, t12038, t12039, t12042, t12043, t12058, t12071;
  double t12072, t12073, t12074, t12075, t12077, t12078, t12079, t12080;
  double t12086, t12099, t12111, t12116, t12123, t12130, t12139, t12142;
  double t12143, t12144, t12145, t12148, t12149, t12164, t12172, t12176;
  double t12192, t12195, t12199, t12205, tv4sigma3lapl19, tv4sigma3tau0, tv4sigma3tau1, tv4sigma3tau2;
  double tv4sigma3tau3, tv4sigma3tau4, tv4sigma3tau5, tv4sigma3tau6, tv4sigma3tau7, tv4sigma3tau8, tv4sigma3tau9, tv4sigma3tau10;
  double tv4sigma3tau11, tv4sigma3tau12, tv4sigma3tau13, tv4sigma3tau14, tv4sigma3tau15, tv4sigma3tau16, tv4sigma3tau17, tv4sigma3tau18;
  double tv4sigma3tau19, t12212, t12216, t12221, t12227, t12230, t12231, t12240;
  double t12250, t12267, t12285, t12286, t12294, t12299, t12303, t12307;
  double t12311, t12316, t12322, t12329, t12337, t12345, t12347, t12348;
  double t12352, t12356, t12360, t12364, t12374, t12382, t12389, t12410;
  double t12412, t12413, t12415, t12419, t12422, t12426, t12432, tv4sigma2lapl20;
  double tv4sigma2lapl21, tv4sigma2lapl22, tv4sigma2lapl23, tv4sigma2lapl24, tv4sigma2lapl25, tv4sigma2lapl26, tv4sigma2lapl27, tv4sigma2lapl28;
  double tv4sigma2lapl29, tv4sigma2lapl210, tv4sigma2lapl211, tv4sigma2lapl212, tv4sigma2lapl213, tv4sigma2lapl214, tv4sigma2lapl215, tv4sigma2lapl216;
  double t12439, t12440, t12449, t12453, t12457, t12465, t12476, t12493;
  double t12501, t12509, t12514, t12518, t12523, t12527, t12533, t12539;
  double t12542, t12548, t12552, t12555, t12556, t12563, t12569, t12570;
  double t12572, t12573, t12575, t12577, t12578, t12582, t12586, t12590;
  double t12594, t12600, t12608, t12617, t12619, t12646, t12649, t12653;
  double t12659, tv4sigma2lapl217, tv4sigma2lapltau0, tv4sigma2lapltau1, tv4sigma2lapltau2, tv4sigma2lapltau3, tv4sigma2lapltau4, tv4sigma2lapltau5;
  double tv4sigma2lapltau6, tv4sigma2lapltau7, tv4sigma2lapltau8, tv4sigma2lapltau9, tv4sigma2lapltau10, tv4sigma2lapltau11, tv4sigma2lapltau12, tv4sigma2lapltau13;
  double tv4sigma2lapltau14, tv4sigma2lapltau15, tv4sigma2lapltau16, tv4sigma2lapltau17, tv4sigma2lapltau18, tv4sigma2lapltau19, tv4sigma2lapltau20, tv4sigma2lapltau21;
  double tv4sigma2lapltau22, tv4sigma2lapltau23, tv4sigma2tau20, tv4sigma2tau21, tv4sigma2tau22, tv4sigma2tau23, tv4sigma2tau24, tv4sigma2tau25;
  double tv4sigma2tau26, tv4sigma2tau27, tv4sigma2tau28, tv4sigma2tau29, tv4sigma2tau210, tv4sigma2tau211, tv4sigma2tau212, tv4sigma2tau213;
  double tv4sigma2tau214, tv4sigma2tau215, tv4sigma2tau216, tv4sigma2tau217, t12669, t12670, t12675, t12680;
  double t12681, t12698, t12702, t12717, t12718, t12727, t12739, t12745;
  double t12747, t12773, t12780, t12802, t12808, t12810, t12814, t12820;
  double tv4sigmalapl30, tv4sigmalapl31, tv4sigmalapl32, tv4sigmalapl33, tv4sigmalapl34, tv4sigmalapl35, tv4sigmalapl36, tv4sigmalapl37;
  double tv4sigmalapl38, tv4sigmalapl39, tv4sigmalapl310, t12831, t12838, t12842, t12847, t12852;
  double t12861, t12867, t12872, t12873, t12894, t12898, t12912, t12919;
  double t12949, t12968, t12971, t12973, t12977, t12983, tv4sigmalapl311, tv4sigmalapl2tau0;
  double tv4sigmalapl2tau1, tv4sigmalapl2tau2, tv4sigmalapl2tau3, tv4sigmalapl2tau4, tv4sigmalapl2tau5, tv4sigmalapl2tau6, tv4sigmalapl2tau7, tv4sigmalapl2tau8;
  double tv4sigmalapl2tau9, tv4sigmalapl2tau10, tv4sigmalapl2tau11, tv4sigmalapl2tau12, tv4sigmalapl2tau13, tv4sigmalapl2tau14, tv4sigmalapl2tau15, tv4sigmalapl2tau16;
  double tv4sigmalapl2tau17, tv4sigmalapltau20, tv4sigmalapltau21, tv4sigmalapltau22, tv4sigmalapltau23, tv4sigmalapltau24, tv4sigmalapltau25, tv4sigmalapltau26;
  double tv4sigmalapltau27, tv4sigmalapltau28, tv4sigmalapltau29, tv4sigmalapltau210, tv4sigmalapltau211, tv4sigmalapltau212, tv4sigmalapltau213, tv4sigmalapltau214;
  double tv4sigmalapltau215, tv4sigmalapltau216, tv4sigmalapltau217, tv4sigmatau30, tv4sigmatau31, tv4sigmatau32, tv4sigmatau33, tv4sigmatau34;
  double tv4sigmatau35, tv4sigmatau36, tv4sigmatau37, tv4sigmatau38, tv4sigmatau39, tv4sigmatau310, tv4sigmatau311, t12990;
  double t12991, t12992, t12995, t12996, t13004, t13007, t13013, t13020;
  double t13021, t13024, t13026, t13029, t13039, t13051, t13052, t13088;
  double t13111, t13114, t13119, t13141, t13145, t13151, tv4lapl40, tv4lapl41;
  double tv4lapl42, tv4lapl43, t13155, t13156, t13157, t13160, t13164, t13170;
  double t13173, t13188, t13189, t13193, t13198, t13201, t13207, t13232;
  double t13233, t13255, t13277, t13285, t13290, t13307, t13311, t13317;
  double tv4lapl44, tv4lapl3tau0, tv4lapl3tau1, tv4lapl3tau2, tv4lapl3tau3, tv4lapl3tau4, tv4lapl3tau5, tv4lapl3tau6;
  double tv4lapl3tau7, tv4lapl2tau20, tv4lapl2tau21, tv4lapl2tau22, tv4lapl2tau23, tv4lapl2tau24, tv4lapl2tau25, tv4lapl2tau26;
  double tv4lapl2tau27, tv4lapl2tau28, tv4lapltau30, tv4lapltau31, tv4lapltau32, tv4lapltau33, tv4lapltau34, tv4lapltau35;
  double tv4lapltau36, tv4lapltau37, tv4tau40, tv4tau41, tv4tau42, tv4tau43, tv4tau44;

  mgga_k_csk_params *params;

  assert(p->params != NULL);
  params = (mgga_k_csk_params * )(p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = rho[0] + rho[1];
  t9 = 0.1e1 / t8;
  t12 = 0.2e1 * rho[0] * t9 <= p->zeta_threshold;
  t13 = p->zeta_threshold - 0.1e1;
  t16 = 0.2e1 * rho[1] * t9 <= p->zeta_threshold;
  t17 = -t13;
  t18 = rho[0] - rho[1];
  t20 = my_piecewise5(t12, t13, t16, t17, t18 * t9);
  t21 = 0.1e1 + t20;
  t22 = t21 <= p->zeta_threshold;
  t23 = POW_1_3(p->zeta_threshold);
  t24 = t23 * t23;
  t25 = t24 * p->zeta_threshold;
  t26 = POW_1_3(t21);
  t27 = t26 * t26;
  t29 = my_piecewise3(t22, t25, t27 * t21);
  t30 = POW_1_3(t8);
  t31 = t30 * t30;
  t32 = t29 * t31;
  t33 = M_CBRT6;
  t34 = M_PI * M_PI;
  t35 = POW_1_3(t34);
  t36 = t35 * t35;
  t38 = t33 / t36;
  t39 = rho[0] * rho[0];
  t40 = POW_1_3(rho[0]);
  t41 = t40 * t40;
  t43 = 0.1e1 / t41 / t39;
  t45 = t38 * sigma[0] * t43;
  t48 = 0.1e1 / t41 / rho[0];
  t53 = 0.5e1 / 0.54e2 * t38 * lapl[0] * t48 - 0.5e1 / 0.81e2 * t45;
  t55 = log(0.1e1 - DBL_EPSILON);
  t56 = 0.1e1 / params->csk_a;
  t57 = pow(-t55, -t56);
  t58 = t53 < -t57;
  t59 = log(DBL_EPSILON);
  t60 = pow(-t59, -t56);
  t61 = -t60 < t53;
  t62 = my_piecewise3(t61, -t60, t53);
  t63 = -t57 < t62;
  t64 = my_piecewise3(t63, t62, -t57);
  t65 = fabs(t64);
  t66 = pow(t65, params->csk_a);
  t67 = 0.1e1 / t66;
  t68 = exp(-t67);
  t69 = 0.1e1 - t68;
  t70 = pow(t69, t56);
  t71 = my_piecewise5(t58, 0, t61, 1, t70);
  t73 = 0.1e1 + 0.5e1 / 0.72e2 * t45 + t53 * t71;
  t77 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t73);
  t78 = rho[1] <= p->dens_threshold;
  t79 = -t18;
  t81 = my_piecewise5(t16, t13, t12, t17, t79 * t9);
  t82 = 0.1e1 + t81;
  t83 = t82 <= p->zeta_threshold;
  t84 = POW_1_3(t82);
  t85 = t84 * t84;
  t87 = my_piecewise3(t83, t25, t85 * t82);
  t88 = t87 * t31;
  t89 = rho[1] * rho[1];
  t90 = POW_1_3(rho[1]);
  t91 = t90 * t90;
  t93 = 0.1e1 / t91 / t89;
  t95 = t38 * sigma[2] * t93;
  t98 = 0.1e1 / t91 / rho[1];
  t103 = 0.5e1 / 0.54e2 * t38 * lapl[1] * t98 - 0.5e1 / 0.81e2 * t95;
  t104 = t103 < -t57;
  t105 = -t60 < t103;
  t106 = my_piecewise3(t105, -t60, t103);
  t107 = -t57 < t106;
  t108 = my_piecewise3(t107, t106, -t57);
  t109 = fabs(t108);
  t110 = pow(t109, params->csk_a);
  t111 = 0.1e1 / t110;
  t112 = exp(-t111);
  t113 = 0.1e1 - t112;
  t114 = pow(t113, t56);
  t115 = my_piecewise5(t104, 0, t105, 1, t114);
  t117 = 0.1e1 + 0.5e1 / 0.72e2 * t95 + t103 * t115;
  t121 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t117);
  tzk0 = t77 + t121;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t122 = t8 * t8;
  t123 = 0.1e1 / t122;
  t124 = t18 * t123;
  t126 = my_piecewise5(t12, 0, t16, 0, t9 - t124);
  t129 = my_piecewise3(t22, 0, 0.5e1 / 0.3e1 * t27 * t126);
  t130 = t129 * t31;
  t134 = 0.1e1 / t30;
  t135 = t29 * t134;
  t138 = t7 * t135 * t73 / 0.1e2;
  t141 = 0.1e1 / t41 / t39 / rho[0];
  t143 = t38 * sigma[0] * t141;
  t149 = -0.25e2 / 0.162e3 * t38 * lapl[0] * t43 + 0.4e2 / 0.243e3 * t143;
  t151 = t70 * t67;
  t152 = my_piecewise3(t61, 0, t149);
  t153 = my_piecewise3(t63, t152, 0);
  t155 = fabs(t64) / t64;
  t156 = 0.1e1 / t65;
  t158 = 0.1e1 / t69;
  t159 = t68 * t158;
  t160 = t155 * t156 * t159;
  t162 = my_piecewise5(t58, 0, t61, 0, -t151 * t153 * t160);
  t164 = -0.5e1 / 0.27e2 * t143 + t149 * t71 + t53 * t162;
  t169 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t73 + t138 + 0.3e1 / 0.2e2 * t7 * t32 * t164);
  t170 = t79 * t123;
  t172 = my_piecewise5(t16, 0, t12, 0, -t9 - t170);
  t175 = my_piecewise3(t83, 0, 0.5e1 / 0.3e1 * t85 * t172);
  t176 = t175 * t31;
  t180 = t87 * t134;
  t183 = t7 * t180 * t117 / 0.1e2;
  t185 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t117 + t183);
  tvrho0 = t77 + t121 + t8 * (t169 + t185);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t189 = my_piecewise5(t12, 0, t16, 0, -t9 - t124);
  t192 = my_piecewise3(t22, 0, 0.5e1 / 0.3e1 * t27 * t189);
  t193 = t192 * t31;
  t198 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t73 + t138);
  t200 = my_piecewise5(t16, 0, t12, 0, t9 - t170);
  t203 = my_piecewise3(t83, 0, 0.5e1 / 0.3e1 * t85 * t200);
  t204 = t203 * t31;
  t210 = 0.1e1 / t91 / t89 / rho[1];
  t212 = t38 * sigma[2] * t210;
  t218 = -0.25e2 / 0.162e3 * t38 * lapl[1] * t93 + 0.4e2 / 0.243e3 * t212;
  t220 = t114 * t111;
  t221 = my_piecewise3(t105, 0, t218);
  t222 = my_piecewise3(t107, t221, 0);
  t224 = fabs(t108) / t108;
  t225 = 0.1e1 / t109;
  t227 = 0.1e1 / t113;
  t228 = t112 * t227;
  t229 = t224 * t225 * t228;
  t231 = my_piecewise5(t104, 0, t105, 0, -t220 * t222 * t229);
  t233 = -0.5e1 / 0.27e2 * t212 + t218 * t115 + t103 * t231;
  t238 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t117 + t183 + 0.3e1 / 0.2e2 * t7 * t88 * t233);
  tvrho1 = t77 + t121 + t8 * (t198 + t238);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t241 = t38 * t43;
  t244 = t38 * t43 * t71;
  t247 = my_piecewise3(t61, 0, -0.5e1 / 0.81e2 * t241);
  t248 = my_piecewise3(t63, t247, 0);
  t251 = my_piecewise5(t58, 0, t61, 0, -t151 * t248 * t160);
  t253 = 0.5e1 / 0.72e2 * t241 - 0.5e1 / 0.81e2 * t244 + t53 * t251;
  t257 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t253);
  tvsigma0 = t8 * t257;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t258 = t38 * t93;
  t261 = t38 * t93 * t115;
  t264 = my_piecewise3(t105, 0, -0.5e1 / 0.81e2 * t258);
  t265 = my_piecewise3(t107, t264, 0);
  t268 = my_piecewise5(t104, 0, t105, 0, -t220 * t265 * t229);
  t270 = 0.5e1 / 0.72e2 * t258 - 0.5e1 / 0.81e2 * t261 + t103 * t268;
  t274 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t270);
  tvsigma2 = t8 * t274;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t280 = my_piecewise3(t61, 0, 0.5e1 / 0.54e2 * t38 * t48);
  t281 = my_piecewise3(t63, t280, 0);
  t284 = my_piecewise5(t58, 0, t61, 0, -t151 * t281 * t160);
  t286 = 0.5e1 / 0.54e2 * t38 * t48 * t71 + t53 * t284;
  t290 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t286);
  tvlapl0 = t8 * t290;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t296 = my_piecewise3(t105, 0, 0.5e1 / 0.54e2 * t38 * t98);
  t297 = my_piecewise3(t107, t296, 0);
  t300 = my_piecewise5(t104, 0, t105, 0, -t220 * t297 * t229);
  t302 = 0.5e1 / 0.54e2 * t38 * t98 * t115 + t103 * t300;
  t306 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t302);
  tvlapl1 = t8 * t306;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  tvtau0 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  tvtau1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t309 = 0.1e1 / t26;
  t310 = t126 * t126;
  t313 = t122 * t8;
  t314 = 0.1e1 / t313;
  t315 = t18 * t314;
  t318 = my_piecewise5(t12, 0, t16, 0, -0.2e1 * t123 + 0.2e1 * t315);
  t322 = my_piecewise3(t22, 0, 0.1e2 / 0.9e1 * t309 * t310 + 0.5e1 / 0.3e1 * t27 * t318);
  t323 = t322 * t31;
  t327 = t129 * t134;
  t329 = t7 * t327 * t73;
  t335 = 0.1e1 / t30 / t8;
  t336 = t29 * t335;
  t339 = t7 * t336 * t73 / 0.3e2;
  t341 = t7 * t135 * t164;
  t343 = t39 * t39;
  t345 = 0.1e1 / t41 / t343;
  t347 = t38 * sigma[0] * t345;
  t353 = 0.1e3 / 0.243e3 * t38 * lapl[0] * t141 - 0.44e3 / 0.729e3 * t347;
  t357 = t66 * t66;
  t359 = t70 / t357;
  t360 = t153 * t153;
  t362 = t155 * t155;
  t363 = t65 * t65;
  t364 = 0.1e1 / t363;
  t365 = t362 * t364;
  t366 = t68 * t68;
  t367 = t69 * t69;
  t368 = 0.1e1 / t367;
  t369 = t366 * t368;
  t370 = t365 * t369;
  t372 = t360 * t362;
  t374 = t364 * t68;
  t375 = t158 * params->csk_a;
  t376 = t374 * t375;
  t378 = my_piecewise3(t61, 0, t353);
  t379 = my_piecewise3(t63, t378, 0);
  t382 = t151 * t360;
  t383 = 0.0;
  t385 = t383 * t156 * t159;
  t386 = t382 * t385;
  t387 = t365 * t159;
  t389 = t359 * t372;
  t391 = t364 * t366;
  t392 = t368 * params->csk_a;
  t393 = t391 * t392;
  t396 = my_piecewise5(t58, 0, t61, 0, -t151 * t379 * t160 + t151 * t372 * t376 + t359 * t360 * t370 - t389 * t376 + t382 * t387 - t389 * t393 - t386);
  t398 = 0.55e2 / 0.81e2 * t347 + t353 * t71 + 0.2e1 * t149 * t162 + t53 * t396;
  t403 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t323 * t73 + t329 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t130 * t164 - t339 + t341 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t32 * t398);
  t404 = 0.1e1 / t84;
  t405 = t172 * t172;
  t408 = t79 * t314;
  t411 = my_piecewise5(t16, 0, t12, 0, 0.2e1 * t123 + 0.2e1 * t408);
  t415 = my_piecewise3(t83, 0, 0.1e2 / 0.9e1 * t404 * t405 + 0.5e1 / 0.3e1 * t85 * t411);
  t416 = t415 * t31;
  t420 = t175 * t134;
  t422 = t7 * t420 * t117;
  t424 = t87 * t335;
  t427 = t7 * t424 * t117 / 0.3e2;
  t429 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t416 * t117 + t422 / 0.5e1 - t427);
  tv2rho20 = 0.2e1 * t169 + 0.2e1 * t185 + t8 * (t403 + t429);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t432 = t309 * t189;
  t436 = my_piecewise5(t12, 0, t16, 0, 0.2e1 * t315);
  t440 = my_piecewise3(t22, 0, 0.1e2 / 0.9e1 * t432 * t126 + 0.5e1 / 0.3e1 * t27 * t436);
  t441 = t440 * t31;
  t445 = t192 * t134;
  t447 = t7 * t445 * t73;
  t455 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t441 * t73 + t447 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t193 * t164 + t329 / 0.1e2 - t339 + t341 / 0.1e2);
  t456 = t404 * t200;
  t460 = my_piecewise5(t16, 0, t12, 0, 0.2e1 * t408);
  t464 = my_piecewise3(t83, 0, 0.1e2 / 0.9e1 * t456 * t172 + 0.5e1 / 0.3e1 * t85 * t460);
  t465 = t464 * t31;
  t469 = t203 * t134;
  t471 = t7 * t469 * t117;
  t478 = t7 * t180 * t233;
  t481 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t465 * t117 + t471 / 0.1e2 + t422 / 0.1e2 - t427 + 0.3e1 / 0.2e2 * t7 * t176 * t233 + t478 / 0.1e2);
  tv2rho21 = t169 + t185 + t198 + t238 + t8 * (t455 + t481);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t486 = t189 * t189;
  t491 = my_piecewise5(t12, 0, t16, 0, 0.2e1 * t123 + 0.2e1 * t315);
  t495 = my_piecewise3(t22, 0, 0.1e2 / 0.9e1 * t309 * t486 + 0.5e1 / 0.3e1 * t27 * t491);
  t496 = t495 * t31;
  t502 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t496 * t73 + t447 / 0.5e1 - t339);
  t503 = t200 * t200;
  t508 = my_piecewise5(t16, 0, t12, 0, -0.2e1 * t123 + 0.2e1 * t408);
  t512 = my_piecewise3(t83, 0, 0.1e2 / 0.9e1 * t404 * t503 + 0.5e1 / 0.3e1 * t85 * t508);
  t513 = t512 * t31;
  t522 = t89 * t89;
  t524 = 0.1e1 / t91 / t522;
  t526 = t38 * sigma[2] * t524;
  t532 = 0.1e3 / 0.243e3 * t38 * lapl[1] * t210 - 0.44e3 / 0.729e3 * t526;
  t536 = t110 * t110;
  t538 = t114 / t536;
  t539 = t222 * t222;
  t541 = t224 * t224;
  t542 = t109 * t109;
  t543 = 0.1e1 / t542;
  t544 = t541 * t543;
  t545 = t112 * t112;
  t546 = t113 * t113;
  t547 = 0.1e1 / t546;
  t548 = t545 * t547;
  t549 = t544 * t548;
  t551 = t539 * t541;
  t553 = t543 * t112;
  t554 = t227 * params->csk_a;
  t555 = t553 * t554;
  t557 = my_piecewise3(t105, 0, t532);
  t558 = my_piecewise3(t107, t557, 0);
  t561 = t220 * t539;
  t562 = 0.0;
  t564 = t562 * t225 * t228;
  t565 = t561 * t564;
  t566 = t544 * t228;
  t568 = t538 * t551;
  t570 = t543 * t545;
  t571 = t547 * params->csk_a;
  t572 = t570 * t571;
  t575 = my_piecewise5(t104, 0, t105, 0, -t220 * t558 * t229 + t220 * t551 * t555 + t538 * t539 * t549 - t568 * t555 + t561 * t566 - t568 * t572 - t565);
  t577 = 0.55e2 / 0.81e2 * t526 + t532 * t115 + 0.2e1 * t218 * t231 + t103 * t575;
  t582 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t513 * t117 + t471 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t204 * t233 - t427 + t478 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t88 * t577);
  tv2rho22 = 0.2e1 * t198 + 0.2e1 * t238 + t8 * (t502 + t582);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t590 = t7 * t135 * t253 / 0.1e2;
  t591 = t38 * t141;
  t594 = t38 * t141 * t71;
  t597 = t38 * t43 * t162;
  t600 = t153 * t362;
  t601 = t359 * t600;
  t602 = t368 * t248;
  t603 = t391 * t602;
  t605 = t248 * t362;
  t606 = t151 * t605;
  t607 = t375 * t153;
  t608 = t374 * t607;
  t611 = my_piecewise3(t61, 0, 0.4e2 / 0.243e3 * t591);
  t612 = my_piecewise3(t63, t611, 0);
  t615 = t248 * t153;
  t617 = t151 * t615 * t385;
  t618 = t158 * t153;
  t619 = t374 * t618;
  t621 = t359 * t605;
  t623 = t392 * t153;
  t624 = t391 * t623;
  t627 = my_piecewise5(t58, 0, t61, 0, -t151 * t612 * t160 + t601 * t603 + t606 * t608 + t606 * t619 - t621 * t608 - t621 * t624 - t617);
  t629 = -0.5e1 / 0.27e2 * t591 + 0.4e2 / 0.243e3 * t594 - 0.5e1 / 0.81e2 * t597 + t149 * t251 + t53 * t627;
  t634 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t253 + t590 + 0.3e1 / 0.2e2 * t7 * t32 * t629);
  tv2rhosigma0 = t8 * t634 + t257;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t641 = t7 * t180 * t270 / 0.1e2;
  t643 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t270 + t641);
  tv2rhosigma2 = t8 * t643 + t274;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t649 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t253 + t590);
  tv2rhosigma3 = t8 * t649 + t257;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t654 = t38 * t210;
  t657 = t38 * t210 * t115;
  t660 = t38 * t93 * t231;
  t663 = t222 * t541;
  t664 = t538 * t663;
  t665 = t547 * t265;
  t666 = t570 * t665;
  t668 = t265 * t541;
  t669 = t220 * t668;
  t671 = t553 * t554 * t222;
  t674 = my_piecewise3(t105, 0, 0.4e2 / 0.243e3 * t654);
  t675 = my_piecewise3(t107, t674, 0);
  t678 = t265 * t222;
  t680 = t220 * t678 * t564;
  t681 = t227 * t222;
  t682 = t553 * t681;
  t684 = t538 * t668;
  t686 = t571 * t222;
  t687 = t570 * t686;
  t690 = my_piecewise5(t104, 0, t105, 0, -t220 * t675 * t229 + t664 * t666 + t669 * t671 + t669 * t682 - t684 * t671 - t684 * t687 - t680);
  t692 = -0.5e1 / 0.27e2 * t654 + 0.4e2 / 0.243e3 * t657 - 0.5e1 / 0.81e2 * t660 + t218 * t268 + t103 * t690;
  t697 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t270 + t641 + 0.3e1 / 0.2e2 * t7 * t88 * t692);
  tv2rhosigma5 = t8 * t697 + t274;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t704 = t7 * t135 * t286 / 0.1e2;
  t710 = t368 * t281;
  t711 = t391 * t710;
  t713 = t281 * t362;
  t714 = t151 * t713;
  t717 = my_piecewise3(t61, 0, -0.25e2 / 0.162e3 * t241);
  t718 = my_piecewise3(t63, t717, 0);
  t721 = t281 * t153;
  t723 = t151 * t721 * t385;
  t725 = t359 * t713;
  t729 = my_piecewise5(t58, 0, t61, 0, -t151 * t718 * t160 + t601 * t711 + t714 * t608 - t725 * t608 + t714 * t619 - t725 * t624 - t723);
  t731 = -0.25e2 / 0.162e3 * t244 + 0.5e1 / 0.54e2 * t38 * t48 * t162 + t149 * t284 + t53 * t729;
  t736 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t286 + t704 + 0.3e1 / 0.2e2 * t7 * t32 * t731);
  tv2rholapl0 = t8 * t736 + t290;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t743 = t7 * t180 * t302 / 0.1e2;
  t745 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t302 + t743);
  tv2rholapl1 = t8 * t745 + t306;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t751 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t286 + t704);
  tv2rholapl2 = t8 * t751 + t290;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t761 = t547 * t297;
  t762 = t570 * t761;
  t764 = t297 * t541;
  t765 = t220 * t764;
  t768 = my_piecewise3(t105, 0, -0.25e2 / 0.162e3 * t258);
  t769 = my_piecewise3(t107, t768, 0);
  t772 = t297 * t222;
  t774 = t220 * t772 * t564;
  t776 = t538 * t764;
  t780 = my_piecewise5(t104, 0, t105, 0, -t220 * t769 * t229 + t664 * t762 + t765 * t671 - t776 * t671 + t765 * t682 - t776 * t687 - t774);
  t782 = -0.25e2 / 0.162e3 * t261 + 0.5e1 / 0.54e2 * t38 * t98 * t231 + t218 * t300 + t103 * t780;
  t787 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t302 + t743 + 0.3e1 / 0.2e2 * t7 * t88 * t782);
  tv2rholapl3 = t8 * t787 + t306;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  tv2rhotau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  tv2rhotau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  tv2rhotau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  tv2rhotau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t790 = t38 * t43 * t251;
  t792 = t248 * t248;
  t795 = t792 * t362;
  t798 = my_piecewise3(t61, 0, 0);
  t799 = my_piecewise3(t63, t798, 0);
  t801 = t151 * t799 * t160;
  t802 = t151 * t792;
  t803 = t802 * t385;
  t805 = t359 * t795;
  t809 = my_piecewise5(t58, 0, t61, 0, t151 * t795 * t376 + t359 * t792 * t370 - t805 * t376 + t802 * t387 - t805 * t393 - t801 - t803);
  t811 = -0.1e2 / 0.81e2 * t790 + t53 * t809;
  t815 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t811);
  tv2sigma20 = t8 * t815;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t817 = t38 * t93 * t268;
  t819 = t265 * t265;
  t822 = t819 * t541;
  t825 = my_piecewise3(t105, 0, 0);
  t826 = my_piecewise3(t107, t825, 0);
  t828 = t220 * t826 * t229;
  t829 = t220 * t819;
  t830 = t829 * t564;
  t832 = t538 * t822;
  t836 = my_piecewise5(t104, 0, t105, 0, t220 * t822 * t555 + t538 * t819 * t549 - t832 * t555 + t829 * t566 - t832 * t572 - t828 - t830);
  t838 = -0.1e2 / 0.81e2 * t817 + t103 * t836;
  t842 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t838);
  tv2sigma25 = t8 * t842;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t847 = t38 * t43 * t284;
  t850 = t375 * t248;
  t851 = t374 * t850;
  t853 = t281 * t248;
  t854 = t151 * t853;
  t855 = t854 * t385;
  t856 = t158 * t248;
  t857 = t374 * t856;
  t860 = t392 * t248;
  t861 = t391 * t860;
  t864 = my_piecewise5(t58, 0, t61, 0, t621 * t711 + t714 * t851 + t714 * t857 - t725 * t851 - t725 * t861 - t801 - t855);
  t866 = 0.5e1 / 0.54e2 * t38 * t48 * t251 - 0.5e1 / 0.81e2 * t847 + t53 * t864;
  t870 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t866);
  tv2sigmalapl0 = t8 * t870;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t875 = t38 * t93 * t300;
  t878 = t554 * t265;
  t879 = t553 * t878;
  t881 = t297 * t265;
  t882 = t220 * t881;
  t883 = t882 * t564;
  t884 = t227 * t265;
  t885 = t553 * t884;
  t888 = t571 * t265;
  t889 = t570 * t888;
  t892 = my_piecewise5(t104, 0, t105, 0, t684 * t762 + t765 * t879 + t765 * t885 - t776 * t879 - t776 * t889 - t828 - t883);
  t894 = 0.5e1 / 0.54e2 * t38 * t98 * t268 - 0.5e1 / 0.81e2 * t875 + t103 * t892;
  t898 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t894);
  tv2sigmalapl5 = t8 * t898;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  tv2sigmatau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  tv2sigmatau5 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t902 = t281 * t281;
  t905 = t902 * t362;
  t906 = t151 * t905;
  t908 = t151 * t902;
  t909 = t908 * t385;
  t911 = t359 * t905;
  t915 = my_piecewise5(t58, 0, t61, 0, t359 * t902 * t370 + t906 * t376 - t911 * t376 + t908 * t387 - t911 * t393 - t801 - t909);
  t917 = 0.5e1 / 0.27e2 * t38 * t48 * t284 + t53 * t915;
  t921 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t917);
  tv2lapl20 = t8 * t921;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t925 = t297 * t297;
  t928 = t925 * t541;
  t929 = t220 * t928;
  t931 = t220 * t925;
  t932 = t931 * t564;
  t934 = t538 * t928;
  t938 = my_piecewise5(t104, 0, t105, 0, t538 * t925 * t549 + t929 * t555 - t934 * t555 + t931 * t566 - t934 * t572 - t828 - t932);
  t940 = 0.5e1 / 0.27e2 * t38 * t98 * t300 + t103 * t938;
  t944 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t940);
  tv2lapl22 = t8 * t944;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  tv2lapltau0 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  tv2lapltau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  tv2tau20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  tv2tau22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

  t948 = 0.1e1 / t26 / t21;
  t949 = t310 * t126;
  t952 = t309 * t126;
  t955 = t122 * t122;
  t956 = 0.1e1 / t955;
  t957 = t18 * t956;
  t960 = my_piecewise5(t12, 0, t16, 0, 0.6e1 * t314 - 0.6e1 * t957);
  t964 = my_piecewise3(t22, 0, -0.1e2 / 0.27e2 * t948 * t949 + 0.1e2 / 0.3e1 * t952 * t318 + 0.5e1 / 0.3e1 * t27 * t960);
  t965 = t964 * t31;
  t969 = t322 * t134;
  t971 = t7 * t969 * t73;
  t976 = t129 * t335;
  t978 = t7 * t976 * t73;
  t981 = t7 * t327 * t164;
  t987 = 0.1e1 / t30 / t122;
  t988 = t29 * t987;
  t991 = 0.2e1 / 0.45e2 * t7 * t988 * t73;
  t993 = t7 * t336 * t164;
  t996 = t7 * t135 * t398;
  t1000 = 0.1e1 / t41 / t343 / rho[0];
  t1002 = t38 * sigma[0] * t1000;
  t1008 = -0.11e4 / 0.729e3 * t38 * lapl[0] * t345 + 0.616e4 / 0.2187e4 * t1002;
  t1014 = t379 * t362;
  t1015 = t359 * t1014;
  t1018 = t360 * t153;
  t1019 = t1018 * t383;
  t1020 = t359 * t1019;
  t1021 = t364 * params->csk_a;
  t1023 = t155 * t68 * t158;
  t1024 = t1021 * t1023;
  t1025 = t1020 * t1024;
  t1027 = t1018 * t155;
  t1029 = t375 * t383;
  t1030 = t374 * t1029;
  t1031 = t151 * t1027 * t1030;
  t1034 = t375 * t379;
  t1035 = t374 * t1034;
  t1041 = t391 * t392 * t155;
  t1042 = t1020 * t1041;
  t1044 = my_piecewise3(t61, 0, t1008);
  t1045 = my_piecewise3(t63, t1044, 0);
  t1050 = t70 / t357 / t66;
  t1052 = t362 * t155;
  t1054 = 0.1e1 / t363 / t65;
  t1055 = t1052 * t1054;
  t1056 = t366 * t68;
  t1058 = 0.1e1 / t367 / t69;
  t1059 = t1056 * t1058;
  t1060 = t1055 * t1059;
  t1063 = t1055 * t159;
  t1067 = t1055 * t369;
  t1070 = t1018 * t1052;
  t1071 = t359 * t1070;
  t1072 = t1054 * params->csk_a;
  t1073 = t1072 * t159;
  t1076 = t151 * t1070;
  t1079 = -t1050 * t1018 * t1060 - 0.2e1 * t151 * t1018 * t1063 - 0.3e1 * t359 * t1018 * t1067 + 0.3e1 * t151 * t600 * t1035 - t151 * t1045 * t160 - 0.3e1 * t1015 * t608 - 0.3e1 * t1015 * t624 + 0.3e1 * t1071 * t1073 - 0.3e1 * t1076 * t1073 - 0.3e1 * t1025 + 0.3e1 * t1031 - 0.3e1 * t1042 - t386;
  t1084 = t158 * t155;
  t1085 = t374 * t1084;
  t1086 = t151 * t1019 * t1085;
  t1089 = t368 * t383;
  t1090 = t391 * t1089;
  t1091 = t359 * t1027 * t1090;
  t1093 = params->csk_a * params->csk_a;
  t1094 = t1054 * t1093;
  t1095 = t1094 * t159;
  t1098 = t1050 * t1070;
  t1100 = t1054 * t366;
  t1101 = t1100 * t392;
  t1105 = t368 * t379;
  t1109 = t1054 * t1056;
  t1110 = t1058 * params->csk_a;
  t1111 = t1109 * t1110;
  t1114 = t368 * t1093;
  t1115 = t1100 * t1114;
  t1120 = t151 * t379 * t153 * t385;
  t1124 = t1058 * t1093;
  t1125 = t1109 * t1124;
  t1128 = 0.3e1 * t151 * t1014 * t619 + 0.3e1 * t601 * t391 * t1105 + 0.3e1 * t1071 * t1095 + 0.3e1 * t1071 * t1115 - t1076 * t1095 - t1098 * t1095 + 0.3e1 * t1098 * t1101 + 0.3e1 * t1098 * t1111 - 0.3e1 * t1098 * t1115 - 0.2e1 * t1098 * t1125 + 0.3e1 * t1086 + 0.3e1 * t1091 - 0.3e1 * t1120;
  t1130 = my_piecewise5(t58, 0, t61, 0, t1079 + t1128);
  t1132 = -0.77e3 / 0.243e3 * t1002 + t1008 * t71 + 0.3e1 * t353 * t162 + 0.3e1 * t149 * t396 + t53 * t1130;
  t1137 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t965 * t73 + 0.3e1 / 0.1e2 * t971 + 0.9e1 / 0.2e2 * t7 * t323 * t164 - t978 / 0.1e2 + 0.3e1 / 0.5e1 * t981 + 0.9e1 / 0.2e2 * t7 * t130 * t398 + t991 - t993 / 0.1e2 + 0.3e1 / 0.1e2 * t996 + 0.3e1 / 0.2e2 * t7 * t32 * t1132);
  t1139 = 0.1e1 / t84 / t82;
  t1140 = t405 * t172;
  t1143 = t404 * t172;
  t1146 = t79 * t956;
  t1149 = my_piecewise5(t16, 0, t12, 0, -0.6e1 * t314 - 0.6e1 * t1146);
  t1153 = my_piecewise3(t83, 0, -0.1e2 / 0.27e2 * t1139 * t1140 + 0.1e2 / 0.3e1 * t1143 * t411 + 0.5e1 / 0.3e1 * t85 * t1149);
  t1154 = t1153 * t31;
  t1158 = t415 * t134;
  t1160 = t7 * t1158 * t117;
  t1162 = t175 * t335;
  t1164 = t7 * t1162 * t117;
  t1166 = t87 * t987;
  t1169 = 0.2e1 / 0.45e2 * t7 * t1166 * t117;
  t1171 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1154 * t117 + 0.3e1 / 0.1e2 * t1160 - t1164 / 0.1e2 + t1169);
  tv3rho30 = 0.3e1 * t403 + 0.3e1 * t429 + t8 * (t1137 + t1171);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t1174 = 0.2e1 * t455;
  t1175 = 0.2e1 * t481;
  t1176 = t948 * t189;
  t1179 = t309 * t436;
  t1184 = 0.2e1 * t314;
  t1185 = 0.6e1 * t957;
  t1187 = my_piecewise5(t12, 0, t16, 0, t1184 - t1185);
  t1191 = my_piecewise3(t22, 0, -0.1e2 / 0.27e2 * t1176 * t310 + 0.2e2 / 0.9e1 * t1179 * t126 + 0.1e2 / 0.9e1 * t432 * t318 + 0.5e1 / 0.3e1 * t27 * t1187);
  t1192 = t1191 * t31;
  t1196 = t440 * t134;
  t1199 = t7 * t1196 * t73 / 0.5e1;
  t1203 = t192 * t335;
  t1205 = t7 * t1203 * t73;
  t1209 = t7 * t445 * t164 / 0.5e1;
  t1218 = 0.3e1 / 0.2e2 * t7 * t1192 * t73 + t1199 + 0.3e1 / 0.1e2 * t7 * t441 * t164 - t1205 / 0.3e2 + t1209 + 0.3e1 / 0.2e2 * t7 * t193 * t398 + t971 / 0.1e2 - t978 / 0.15e2 + t981 / 0.5e1 + t991 - t993 / 0.15e2 + t996 / 0.1e2;
  t1219 = my_piecewise3(t2, 0, t1218);
  t1220 = t1139 * t200;
  t1223 = t404 * t460;
  t1228 = 0.6e1 * t1146;
  t1230 = my_piecewise5(t16, 0, t12, 0, -t1184 - t1228);
  t1234 = my_piecewise3(t83, 0, -0.1e2 / 0.27e2 * t1220 * t405 + 0.2e2 / 0.9e1 * t1223 * t172 + 0.1e2 / 0.9e1 * t456 * t411 + 0.5e1 / 0.3e1 * t85 * t1230);
  t1235 = t1234 * t31;
  t1239 = t464 * t134;
  t1242 = t7 * t1239 * t117 / 0.5e1;
  t1243 = t203 * t335;
  t1245 = t7 * t1243 * t117;
  t1254 = t7 * t420 * t233 / 0.5e1;
  t1256 = t7 * t424 * t233;
  t1259 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1235 * t117 + t1242 - t1245 / 0.3e2 + t1160 / 0.1e2 - t1164 / 0.15e2 + t1169 + 0.3e1 / 0.2e2 * t7 * t416 * t233 + t1254 - t1256 / 0.3e2);
  tv3rho31 = t403 + t429 + t1174 + t1175 + t8 * (t1219 + t1259);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t1262 = t948 * t486;
  t1267 = t309 * t491;
  t1271 = my_piecewise5(t12, 0, t16, 0, -t1184 - t1185);
  t1275 = my_piecewise3(t22, 0, -0.1e2 / 0.27e2 * t1262 * t126 + 0.2e2 / 0.9e1 * t432 * t436 + 0.1e2 / 0.9e1 * t1267 * t126 + 0.5e1 / 0.3e1 * t27 * t1271);
  t1276 = t1275 * t31;
  t1280 = t495 * t134;
  t1282 = t7 * t1280 * t73;
  t1291 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t1276 * t73 + t1282 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t496 * t164 + t1199 - t1205 / 0.15e2 + t1209 - t978 / 0.3e2 + t991 - t993 / 0.3e2);
  t1292 = t1139 * t503;
  t1297 = t404 * t508;
  t1301 = my_piecewise5(t16, 0, t12, 0, t1184 - t1228);
  t1305 = my_piecewise3(t83, 0, -0.1e2 / 0.27e2 * t1292 * t172 + 0.2e2 / 0.9e1 * t456 * t460 + 0.1e2 / 0.9e1 * t1297 * t172 + 0.5e1 / 0.3e1 * t85 * t1301);
  t1306 = t1305 * t31;
  t1310 = t512 * t134;
  t1312 = t7 * t1310 * t117;
  t1319 = t7 * t469 * t233;
  t1327 = t7 * t180 * t577;
  t1329 = 0.3e1 / 0.2e2 * t7 * t1306 * t117 + t1312 / 0.1e2 + t1242 - t1245 / 0.15e2 + 0.3e1 / 0.1e2 * t7 * t465 * t233 + t1319 / 0.5e1 - t1164 / 0.3e2 + t1169 + t1254 - t1256 / 0.15e2 + 0.3e1 / 0.2e2 * t7 * t176 * t577 + t1327 / 0.1e2;
  t1330 = my_piecewise3(t78, 0, t1329);
  tv3rho32 = t1174 + t1175 + t502 + t582 + t8 * (t1291 + t1330);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t1335 = t486 * t189;
  t1342 = my_piecewise5(t12, 0, t16, 0, -0.6e1 * t314 - 0.6e1 * t957);
  t1346 = my_piecewise3(t22, 0, -0.1e2 / 0.27e2 * t948 * t1335 + 0.1e2 / 0.3e1 * t432 * t491 + 0.5e1 / 0.3e1 * t27 * t1342);
  t1347 = t1346 * t31;
  t1354 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t1347 * t73 + 0.3e1 / 0.1e2 * t1282 - t1205 / 0.1e2 + t991);
  t1355 = t503 * t200;
  t1362 = my_piecewise5(t16, 0, t12, 0, 0.6e1 * t314 - 0.6e1 * t1146);
  t1366 = my_piecewise3(t83, 0, -0.1e2 / 0.27e2 * t1139 * t1355 + 0.1e2 / 0.3e1 * t456 * t508 + 0.5e1 / 0.3e1 * t85 * t1362);
  t1367 = t1366 * t31;
  t1384 = 0.1e1 / t91 / t522 / rho[1];
  t1386 = t38 * sigma[2] * t1384;
  t1392 = -0.11e4 / 0.729e3 * t38 * lapl[1] * t524 + 0.616e4 / 0.2187e4 * t1386;
  t1398 = t558 * t541;
  t1399 = t538 * t1398;
  t1402 = t539 * t222;
  t1403 = t1402 * t562;
  t1404 = t538 * t1403;
  t1405 = t543 * params->csk_a;
  t1407 = t224 * t112 * t227;
  t1408 = t1405 * t1407;
  t1409 = t1404 * t1408;
  t1411 = t1402 * t224;
  t1413 = t554 * t562;
  t1414 = t553 * t1413;
  t1415 = t220 * t1411 * t1414;
  t1419 = t553 * t554 * t558;
  t1425 = t570 * t571 * t224;
  t1426 = t1404 * t1425;
  t1430 = t114 / t536 / t110;
  t1432 = t541 * t224;
  t1434 = 0.1e1 / t542 / t109;
  t1435 = t1432 * t1434;
  t1436 = t545 * t112;
  t1438 = 0.1e1 / t546 / t113;
  t1439 = t1436 * t1438;
  t1440 = t1435 * t1439;
  t1442 = my_piecewise3(t105, 0, t1392);
  t1443 = my_piecewise3(t107, t1442, 0);
  t1447 = t1435 * t228;
  t1451 = t1435 * t548;
  t1454 = t1402 * t1432;
  t1455 = t1430 * t1454;
  t1456 = t1434 * t1093;
  t1457 = t1456 * t228;
  t1459 = t538 * t1454;
  t1460 = t1434 * params->csk_a;
  t1461 = t1460 * t228;
  t1464 = -t1430 * t1402 * t1440 - 0.2e1 * t220 * t1402 * t1447 - 0.3e1 * t538 * t1402 * t1451 + 0.3e1 * t220 * t663 * t1419 - t220 * t1443 * t229 - 0.3e1 * t1399 * t671 - 0.3e1 * t1399 * t687 - t1455 * t1457 + 0.3e1 * t1459 * t1461 - 0.3e1 * t1409 + 0.3e1 * t1415 - 0.3e1 * t1426 - t565;
  t1465 = t220 * t1454;
  t1469 = t547 * t562;
  t1470 = t570 * t1469;
  t1471 = t538 * t1411 * t1470;
  t1477 = t227 * t224;
  t1478 = t553 * t1477;
  t1479 = t220 * t1403 * t1478;
  t1481 = t1434 * t545;
  t1482 = t1481 * t571;
  t1488 = t547 * t558;
  t1492 = t1434 * t1436;
  t1493 = t1438 * params->csk_a;
  t1494 = t1492 * t1493;
  t1497 = t547 * t1093;
  t1498 = t1481 * t1497;
  t1503 = t220 * t558 * t222 * t564;
  t1507 = t1438 * t1093;
  t1508 = t1492 * t1507;
  t1511 = 0.3e1 * t220 * t1398 * t682 + 0.3e1 * t664 * t570 * t1488 + 0.3e1 * t1455 * t1482 + 0.3e1 * t1455 * t1494 - 0.3e1 * t1455 * t1498 - 0.2e1 * t1455 * t1508 + 0.3e1 * t1459 * t1457 - t1465 * t1457 + 0.3e1 * t1459 * t1498 - 0.3e1 * t1465 * t1461 + 0.3e1 * t1471 + 0.3e1 * t1479 - 0.3e1 * t1503;
  t1513 = my_piecewise5(t104, 0, t105, 0, t1464 + t1511);
  t1515 = -0.77e3 / 0.243e3 * t1386 + t1392 * t115 + 0.3e1 * t532 * t231 + 0.3e1 * t218 * t575 + t103 * t1513;
  t1520 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1367 * t117 + 0.3e1 / 0.1e2 * t1312 + 0.9e1 / 0.2e2 * t7 * t513 * t233 - t1245 / 0.1e2 + 0.3e1 / 0.5e1 * t1319 + 0.9e1 / 0.2e2 * t7 * t204 * t577 + t1169 - t1256 / 0.1e2 + 0.3e1 / 0.1e2 * t1327 + 0.3e1 / 0.2e2 * t7 * t88 * t1515);
  tv3rho33 = 0.3e1 * t502 + 0.3e1 * t582 + t8 * (t1354 + t1520);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t1528 = t7 * t327 * t253;
  t1535 = t7 * t336 * t253 / 0.3e2;
  t1537 = t7 * t135 * t629;
  t1539 = t38 * t345;
  t1542 = t38 * t345 * t71;
  t1545 = t38 * t141 * t162;
  t1548 = t38 * t43 * t396;
  t1553 = t248 * t1052;
  t1554 = t359 * t1553;
  t1556 = t360 * t68 * t158;
  t1557 = t1072 * t1556;
  t1560 = t612 * t362;
  t1561 = t359 * t1560;
  t1564 = t151 * t1553;
  t1567 = t248 * t360;
  t1570 = t383 * t364 * t1023;
  t1571 = t151 * t1567 * t1570;
  t1573 = t360 * t155;
  t1574 = t359 * t1573;
  t1575 = t602 * t383;
  t1576 = t391 * t1575;
  t1577 = t1574 * t1576;
  t1579 = t1050 * t1553;
  t1580 = t1094 * t1556;
  t1582 = t360 * t1052;
  t1583 = t1050 * t1582;
  t1584 = t1100 * t860;
  t1591 = t360 * t366 * t368;
  t1592 = t1094 * t1591;
  t1595 = t392 * t379;
  t1596 = t391 * t1595;
  t1598 = t1124 * t360;
  t1599 = t1109 * t1598;
  t1602 = t151 * t1560;
  t1608 = t606 * t1035 + 0.3e1 * t1554 * t1557 + 0.3e1 * t1554 * t1580 + 0.3e1 * t1554 * t1592 - 0.3e1 * t1564 * t1557 - 0.2e1 * t1561 * t608 - t1564 * t1580 - t1579 * t1580 - 0.3e1 * t1579 * t1592 - 0.2e1 * t1579 * t1599 + 0.3e1 * t1583 * t1584 - t621 * t1596 + 0.2e1 * t1602 * t608 + 0.3e1 * t1571 + 0.3e1 * t1577 - t617;
  t1612 = t1058 * t248;
  t1613 = t1612 * params->csk_a;
  t1614 = t1109 * t1613;
  t1617 = t1567 * t383;
  t1618 = t359 * t1617;
  t1619 = t1618 * t1024;
  t1621 = t248 * t155;
  t1622 = t1621 * t364;
  t1623 = t151 * t1622;
  t1624 = params->csk_a * t360;
  t1625 = t1624 * t383;
  t1626 = t159 * t1625;
  t1627 = t1623 * t1626;
  t1629 = t1618 * t1041;
  t1632 = my_piecewise3(t61, 0, -0.44e3 / 0.729e3 * t1539);
  t1633 = my_piecewise3(t63, t1632, 0);
  t1636 = t1054 * t68;
  t1637 = t158 * t360;
  t1638 = t1636 * t1637;
  t1641 = t359 * t1582;
  t1642 = t1100 * t602;
  t1648 = t368 * t612;
  t1649 = t391 * t1648;
  t1654 = t612 * t153;
  t1656 = t151 * t1654 * t385;
  t1660 = t151 * t248 * t379 * t385;
  t1661 = t158 * t379;
  t1662 = t374 * t1661;
  t1664 = -t1583 * t1109 * t1612 - t151 * t1633 * t160 + t1015 * t603 - t621 * t1035 - 0.2e1 * t1561 * t624 - 0.2e1 * t1564 * t1638 + 0.3e1 * t1583 * t1614 + 0.2e1 * t1602 * t619 - 0.3e1 * t1641 * t1642 + 0.2e1 * t601 * t1649 + t606 * t1662 - 0.3e1 * t1619 + 0.3e1 * t1627 - 0.3e1 * t1629 - 0.2e1 * t1656 - t1660;
  t1666 = my_piecewise5(t58, 0, t61, 0, t1608 + t1664);
  t1668 = 0.55e2 / 0.81e2 * t1539 - 0.44e3 / 0.729e3 * t1542 + 0.8e2 / 0.243e3 * t1545 - 0.5e1 / 0.81e2 * t1548 + t353 * t251 + 0.2e1 * t149 * t627 + t53 * t1666;
  t1673 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t323 * t253 + t1528 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t130 * t629 - t1535 + t1537 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t32 * t1668);
  tv3rho2sigma0 = t8 * t1673 + 0.2e1 * t634;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t1680 = t7 * t420 * t270;
  t1684 = t7 * t424 * t270 / 0.3e2;
  t1686 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t416 * t270 + t1680 / 0.5e1 - t1684);
  tv3rho2sigma2 = t8 * t1686 + 0.2e1 * t643;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t1692 = t7 * t445 * t253;
  t1700 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t441 * t253 + t1692 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t193 * t629 + t1528 / 0.1e2 - t1535 + t1537 / 0.1e2);
  tv3rho2sigma3 = t8 * t1700 + t634 + t649;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t1706 = t7 * t469 * t270;
  t1713 = t7 * t180 * t692;
  t1716 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t465 * t270 + t1706 / 0.1e2 + t1680 / 0.1e2 - t1684 + 0.3e1 / 0.2e2 * t7 * t176 * t692 + t1713 / 0.1e2);
  tv3rho2sigma5 = t8 * t1716 + t643 + t697;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t1724 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t496 * t253 + t1692 / 0.5e1 - t1535);
  tv3rho2sigma6 = t8 * t1724 + 0.2e1 * t649;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t1735 = t38 * t524;
  t1738 = t38 * t524 * t115;
  t1741 = t38 * t210 * t231;
  t1744 = t38 * t93 * t575;
  t1749 = t265 * t1432;
  t1750 = t538 * t1749;
  t1752 = t539 * t112 * t227;
  t1753 = t1460 * t1752;
  t1756 = t675 * t541;
  t1757 = t538 * t1756;
  t1760 = t220 * t1749;
  t1763 = t539 * t224;
  t1764 = t538 * t1763;
  t1765 = t665 * t562;
  t1766 = t570 * t1765;
  t1767 = t1764 * t1766;
  t1769 = t265 * t539;
  t1772 = t562 * t543 * t1407;
  t1773 = t220 * t1769 * t1772;
  t1775 = t539 * t1432;
  t1776 = t1430 * t1775;
  t1777 = t1481 * t888;
  t1780 = t1434 * t112;
  t1781 = t227 * t1093;
  t1782 = t1781 * t539;
  t1783 = t1780 * t1782;
  t1787 = t1430 * t1749;
  t1791 = t539 * t545 * t547;
  t1792 = t1456 * t1791;
  t1795 = t571 * t558;
  t1796 = t570 * t1795;
  t1798 = t1507 * t539;
  t1799 = t1492 * t1798;
  t1802 = t1438 * t265;
  t1803 = t1802 * params->csk_a;
  t1804 = t1492 * t1803;
  t1807 = t220 * t1756;
  t1810 = -t684 * t1419 + 0.3e1 * t1750 * t1753 + 0.3e1 * t1750 * t1783 - 0.3e1 * t1760 * t1753 - 0.2e1 * t1757 * t671 - t1760 * t1783 + 0.3e1 * t1776 * t1777 + 0.3e1 * t1776 * t1804 - t1787 * t1783 - 0.3e1 * t1787 * t1792 - 0.2e1 * t1787 * t1799 - t684 * t1796 + 0.2e1 * t1807 * t671 + 0.3e1 * t1767 + 0.3e1 * t1773 - t680;
  t1816 = t1769 * t562;
  t1817 = t538 * t1816;
  t1818 = t1817 * t1408;
  t1820 = t265 * t224;
  t1821 = t1820 * t543;
  t1822 = t220 * t1821;
  t1824 = params->csk_a * t539 * t562;
  t1825 = t228 * t1824;
  t1826 = t1822 * t1825;
  t1828 = t1817 * t1425;
  t1831 = my_piecewise3(t105, 0, -0.44e3 / 0.729e3 * t1735);
  t1832 = my_piecewise3(t107, t1831, 0);
  t1835 = t538 * t1775;
  t1836 = t1481 * t665;
  t1839 = t227 * t539;
  t1840 = t1780 * t1839;
  t1843 = t227 * t558;
  t1844 = t553 * t1843;
  t1848 = t220 * t265 * t558 * t564;
  t1851 = t220 * t675 * t222 * t564;
  t1856 = t547 * t675;
  t1857 = t570 * t1856;
  t1862 = -t1776 * t1492 * t1802 - t220 * t1832 * t229 + t1399 * t666 + t669 * t1419 + 0.3e1 * t1750 * t1792 - 0.2e1 * t1757 * t687 - 0.2e1 * t1760 * t1840 + 0.2e1 * t1807 * t682 - 0.3e1 * t1835 * t1836 + t669 * t1844 + 0.2e1 * t664 * t1857 - 0.3e1 * t1818 + 0.3e1 * t1826 - 0.3e1 * t1828 - t1848 - 0.2e1 * t1851;
  t1864 = my_piecewise5(t104, 0, t105, 0, t1810 + t1862);
  t1866 = 0.55e2 / 0.81e2 * t1735 - 0.44e3 / 0.729e3 * t1738 + 0.8e2 / 0.243e3 * t1741 - 0.5e1 / 0.81e2 * t1744 + t532 * t268 + 0.2e1 * t218 * t690 + t103 * t1864;
  t1871 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t513 * t270 + t1706 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t204 * t692 - t1684 + t1713 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t88 * t1866);
  tv3rho2sigma8 = t8 * t1871 + 0.2e1 * t697;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t1878 = t7 * t327 * t286;
  t1885 = t7 * t336 * t286 / 0.3e2;
  t1887 = t7 * t135 * t731;
  t1897 = t281 * t1052;
  t1898 = t359 * t1897;
  t1901 = t718 * t362;
  t1902 = t359 * t1901;
  t1905 = t151 * t1897;
  t1908 = t710 * t383;
  t1909 = t391 * t1908;
  t1910 = t1574 * t1909;
  t1912 = t281 * t360;
  t1914 = t151 * t1912 * t1570;
  t1916 = t710 * params->csk_a;
  t1917 = t1100 * t1916;
  t1923 = t1050 * t1897;
  t1931 = t1058 * t281;
  t1932 = t1931 * params->csk_a;
  t1933 = t1109 * t1932;
  t1936 = t151 * t1901;
  t1940 = t714 * t1035 - t725 * t1035 + 0.3e1 * t1898 * t1557 - 0.3e1 * t1905 * t1557 + 0.3e1 * t1898 * t1580 - t1905 * t1580 - t1923 * t1580 + 0.3e1 * t1583 * t1917 + 0.3e1 * t1583 * t1933 - 0.3e1 * t1923 * t1592 - t725 * t1596 - 0.2e1 * t1923 * t1599 - 0.2e1 * t1902 * t608 + 0.2e1 * t1936 * t608 + 0.3e1 * t1910 + 0.3e1 * t1914;
  t1945 = t1912 * t383;
  t1946 = t359 * t1945;
  t1947 = t1946 * t1024;
  t1950 = t281 * t155 * t364;
  t1951 = t151 * t1950;
  t1952 = t1951 * t1626;
  t1954 = t1946 * t1041;
  t1957 = my_piecewise3(t61, 0, 0.1e3 / 0.243e3 * t591);
  t1958 = my_piecewise3(t63, t1957, 0);
  t1963 = t1100 * t710;
  t1968 = t151 * t281 * t379 * t385;
  t1971 = t368 * t718;
  t1972 = t391 * t1971;
  t1975 = t1109 * t1931;
  t1977 = t718 * t153;
  t1979 = t151 * t1977 * t385;
  t1983 = -t151 * t1958 * t160 + t1015 * t711 - t1583 * t1975 + 0.3e1 * t1898 * t1592 - 0.2e1 * t1905 * t1638 - 0.3e1 * t1641 * t1963 + t714 * t1662 - 0.2e1 * t1902 * t624 + 0.2e1 * t1936 * t619 + 0.2e1 * t601 * t1972 - 0.3e1 * t1947 + 0.3e1 * t1952 - 0.3e1 * t1954 - t1968 - 0.2e1 * t1979 - t723;
  t1985 = my_piecewise5(t58, 0, t61, 0, t1940 + t1983);
  t1987 = 0.1e3 / 0.243e3 * t594 - 0.25e2 / 0.81e2 * t597 + 0.5e1 / 0.54e2 * t38 * t48 * t396 + t353 * t284 + 0.2e1 * t149 * t729 + t53 * t1985;
  t1992 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t323 * t286 + t1878 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t130 * t731 - t1885 + t1887 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t32 * t1987);
  tv3rho2lapl0 = t8 * t1992 + 0.2e1 * t736;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t1999 = t7 * t420 * t302;
  t2003 = t7 * t424 * t302 / 0.3e2;
  t2005 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t416 * t302 + t1999 / 0.5e1 - t2003);
  tv3rho2lapl1 = t8 * t2005 + 0.2e1 * t745;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 1] += tv3rho2lapl1;

  t2011 = t7 * t445 * t286;
  t2019 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t441 * t286 + t2011 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t193 * t731 + t1878 / 0.1e2 - t1885 + t1887 / 0.1e2);
  tv3rho2lapl2 = t8 * t2019 + t736 + t751;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 2] += tv3rho2lapl2;

  t2025 = t7 * t469 * t302;
  t2032 = t7 * t180 * t782;
  t2035 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t465 * t302 + t2025 / 0.1e2 + t1999 / 0.1e2 - t2003 + 0.3e1 / 0.2e2 * t7 * t176 * t782 + t2032 / 0.1e2);
  tv3rho2lapl3 = t8 * t2035 + t745 + t787;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 3] += tv3rho2lapl3;

  t2043 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t496 * t286 + t2011 / 0.5e1 - t1885);
  tv3rho2lapl4 = t8 * t2043 + 0.2e1 * t751;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 4] += tv3rho2lapl4;

  t2062 = t297 * t1432;
  t2063 = t538 * t2062;
  t2066 = t769 * t541;
  t2067 = t538 * t2066;
  t2070 = t220 * t2062;
  t2073 = t297 * t539;
  t2075 = t220 * t2073 * t1772;
  t2077 = t761 * t562;
  t2078 = t570 * t2077;
  t2079 = t1764 * t2078;
  t2084 = t1430 * t2062;
  t2086 = t761 * params->csk_a;
  t2087 = t1481 * t2086;
  t2090 = t1438 * t297;
  t2091 = t2090 * params->csk_a;
  t2092 = t1492 * t2091;
  t2095 = t220 * t2066;
  t2106 = t765 * t1419 - t776 * t1419 + 0.3e1 * t2063 * t1753 - 0.3e1 * t2070 * t1753 + 0.3e1 * t1776 * t2087 + 0.3e1 * t1776 * t2092 + 0.3e1 * t2063 * t1783 - t2070 * t1783 - t2084 * t1783 + 0.3e1 * t2063 * t1792 - 0.3e1 * t2084 * t1792 - 0.2e1 * t2067 * t671 - 0.2e1 * t2067 * t687 + 0.2e1 * t2095 * t671 + 0.3e1 * t2075 + 0.3e1 * t2079;
  t2111 = t538 * t2073 * t562;
  t2112 = t2111 * t1408;
  t2115 = t297 * t224 * t543;
  t2116 = t220 * t2115;
  t2117 = t2116 * t1825;
  t2119 = t2111 * t1425;
  t2122 = my_piecewise3(t105, 0, 0.1e3 / 0.243e3 * t654);
  t2123 = my_piecewise3(t107, t2122, 0);
  t2128 = t547 * t769;
  t2129 = t570 * t2128;
  t2132 = t1492 * t2090;
  t2134 = t769 * t222;
  t2136 = t220 * t2134 * t564;
  t2138 = t297 * t558;
  t2140 = t220 * t2138 * t564;
  t2141 = t1481 * t761;
  t2148 = -t220 * t2123 * t229 + t1399 * t762 - t1776 * t2132 - t776 * t1796 - 0.2e1 * t2084 * t1799 - 0.3e1 * t1835 * t2141 - 0.2e1 * t2070 * t1840 + t765 * t1844 + 0.2e1 * t2095 * t682 + 0.2e1 * t664 * t2129 - 0.3e1 * t2112 + 0.3e1 * t2117 - 0.3e1 * t2119 - 0.2e1 * t2136 - t2140 - t774;
  t2150 = my_piecewise5(t104, 0, t105, 0, t2106 + t2148);
  t2152 = 0.1e3 / 0.243e3 * t657 - 0.25e2 / 0.81e2 * t660 + 0.5e1 / 0.54e2 * t38 * t98 * t575 + t532 * t300 + 0.2e1 * t218 * t780 + t103 * t2150;
  t2157 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t513 * t302 + t2025 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t204 * t782 - t2003 + t2032 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t88 * t2152);
  tv3rho2lapl5 = t8 * t2157 + 0.2e1 * t787;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 5] += tv3rho2lapl5;

  tv3rho2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  tv3rho2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 1] += tv3rho2tau1;

  tv3rho2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 2] += tv3rho2tau2;

  tv3rho2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 3] += tv3rho2tau3;

  tv3rho2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 4] += tv3rho2tau4;

  tv3rho2tau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 5] += tv3rho2tau5;

  t2164 = t7 * t135 * t811 / 0.1e2;
  t2166 = t38 * t141 * t251;
  t2169 = t38 * t43 * t627;
  t2172 = t792 * t1052;
  t2173 = t1050 * t2172;
  t2174 = t1124 * t153;
  t2175 = t1109 * t2174;
  t2178 = t1100 * t623;
  t2181 = t151 * t2172;
  t2182 = t158 * t1093;
  t2184 = t1636 * t2182 * t153;
  t2186 = t359 * t2172;
  t2191 = t153 * t68 * t158;
  t2192 = t1072 * t2191;
  t2195 = t799 * t362;
  t2196 = t151 * t2195;
  t2197 = t2196 * t608;
  t2198 = t359 * t2195;
  t2199 = t2198 * t608;
  t2202 = t2198 * t624;
  t2203 = t792 * t383;
  t2204 = t151 * t2203;
  t2206 = t374 * t618 * t155;
  t2207 = t2204 * t2206;
  t2209 = t159 * t612;
  t2210 = t1021 * t2209;
  t2213 = t369 * t153;
  t2214 = t1094 * t2213;
  t2217 = t392 * t612;
  t2218 = t391 * t2217;
  t2221 = t792 * t155;
  t2222 = t359 * t2221;
  t2223 = t368 * t153;
  t2224 = t2223 * t383;
  t2225 = t391 * t2224;
  t2226 = t2222 * t2225;
  t2228 = t1110 * t153;
  t2229 = t1109 * t2228;
  t2232 = -0.2e1 * t2173 * t2175 + 0.3e1 * t2173 * t2178 - t2173 * t2184 - 0.3e1 * t2173 * t2214 + 0.3e1 * t2173 * t2229 - t2181 * t2184 - 0.3e1 * t2181 * t2192 + 0.3e1 * t2186 * t2184 + 0.3e1 * t2186 * t2192 - 0.2e1 * t621 * t2210 - 0.2e1 * t621 * t2218 + t2197 - t2199 - t2202 + 0.3e1 * t2207 + 0.3e1 * t2226;
  t2238 = t359 * t2203 * t364;
  t2239 = params->csk_a * t153;
  t2240 = t2239 * t1023;
  t2241 = t2238 * t2240;
  t2244 = t151 * t2221 * t364;
  t2245 = t2239 * t383;
  t2246 = t159 * t2245;
  t2247 = t2244 * t2246;
  t2249 = t2239 * t155;
  t2250 = t369 * t2249;
  t2251 = t2238 * t2250;
  t2253 = t158 * t612;
  t2254 = t374 * t2253;
  t2259 = t153 * t1052;
  t2260 = t1050 * t2259;
  t2261 = t1058 * t792;
  t2262 = t1109 * t2261;
  t2264 = t368 * t799;
  t2265 = t391 * t2264;
  t2266 = t601 * t2265;
  t2267 = t799 * t153;
  t2269 = t151 * t2267 * t385;
  t2270 = t248 * t383;
  t2271 = t151 * t2270;
  t2272 = t156 * t68;
  t2274 = t2271 * t2272 * t2253;
  t2275 = 0.2e1 * t2274;
  t2276 = t1636 * t618;
  t2279 = t1100 * t2223;
  t2282 = t2196 * t619;
  t2283 = 0.2e1 * t621 * t1649 - 0.2e1 * t2181 * t2276 + 0.3e1 * t2186 * t2214 - 0.3e1 * t2186 * t2279 + 0.2e1 * t606 * t2210 + 0.2e1 * t606 * t2254 - t2260 * t2262 - 0.3e1 * t2241 + 0.3e1 * t2247 - 0.3e1 * t2251 + t2266 - t2269 - t2275 + t2282 - t801 - t803;
  t2285 = my_piecewise5(t58, 0, t61, 0, t2232 + t2283);
  t2287 = 0.8e2 / 0.243e3 * t2166 - 0.1e2 / 0.81e2 * t2169 + t149 * t809 + t53 * t2285;
  t2292 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t811 + t2164 + 0.3e1 / 0.2e2 * t7 * t32 * t2287);
  tv3rhosigma20 = t8 * t2292 + t815;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t2299 = t7 * t180 * t838 / 0.1e2;
  t2301 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t838 + t2299);
  tv3rhosigma25 = t8 * t2301 + t842;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t2307 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t811 + t2164);
  tv3rhosigma26 = t8 * t2307 + t815;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t2313 = t38 * t210 * t268;
  t2316 = t38 * t93 * t690;
  t2319 = t819 * t1432;
  t2320 = t1430 * t2319;
  t2321 = t548 * t222;
  t2322 = t1456 * t2321;
  t2325 = t571 * t675;
  t2326 = t570 * t2325;
  t2329 = t1507 * t222;
  t2330 = t1492 * t2329;
  t2333 = t1493 * t222;
  t2334 = t1492 * t2333;
  t2338 = t553 * t554 * t675;
  t2341 = t538 * t2319;
  t2344 = t826 * t541;
  t2345 = t538 * t2344;
  t2346 = t2345 * t687;
  t2347 = t819 * t562;
  t2348 = t220 * t2347;
  t2350 = t553 * t681 * t224;
  t2351 = t2348 * t2350;
  t2355 = t819 * t224;
  t2356 = t538 * t2355;
  t2357 = t547 * t222;
  t2358 = t2357 * t562;
  t2359 = t570 * t2358;
  t2360 = t2356 * t2359;
  t2362 = t1481 * t686;
  t2365 = t220 * t2319;
  t2367 = t1780 * t1781 * t222;
  t2372 = t220 * t2344;
  t2373 = t2372 * t671;
  t2374 = t2345 * t671;
  t2375 = -0.3e1 * t2320 * t2322 - 0.2e1 * t2320 * t2330 + 0.3e1 * t2320 * t2334 + 0.3e1 * t2320 * t2362 - t2320 * t2367 + 0.3e1 * t2341 * t2322 - 0.2e1 * t684 * t2326 + 0.2e1 * t669 * t2338 - 0.2e1 * t684 * t2338 + 0.3e1 * t2341 * t2367 - t2365 * t2367 - t2346 + 0.3e1 * t2351 + 0.3e1 * t2360 + t2373 - t2374;
  t2377 = t222 * t112 * t227;
  t2378 = t1460 * t2377;
  t2384 = t538 * t2347 * t543;
  t2385 = params->csk_a * t222;
  t2386 = t2385 * t1407;
  t2387 = t2384 * t2386;
  t2389 = t2385 * t224;
  t2390 = t548 * t2389;
  t2391 = t2384 * t2390;
  t2394 = t220 * t2355 * t543;
  t2395 = t2385 * t562;
  t2396 = t228 * t2395;
  t2397 = t2394 * t2396;
  t2399 = t2372 * t682;
  t2400 = t1780 * t681;
  t2403 = t1481 * t2357;
  t2408 = t222 * t1432;
  t2409 = t1430 * t2408;
  t2410 = t1438 * t819;
  t2411 = t1492 * t2410;
  t2413 = t547 * t826;
  t2414 = t570 * t2413;
  t2415 = t664 * t2414;
  t2416 = t826 * t222;
  t2418 = t220 * t2416 * t564;
  t2419 = t265 * t562;
  t2420 = t220 * t2419;
  t2421 = t225 * t112;
  t2422 = t227 * t675;
  t2424 = t2420 * t2421 * t2422;
  t2425 = 0.2e1 * t2424;
  t2426 = t553 * t2422;
  t2429 = 0.2e1 * t684 * t1857 + 0.3e1 * t2341 * t2378 - 0.3e1 * t2341 * t2403 - 0.3e1 * t2365 * t2378 - 0.2e1 * t2365 * t2400 - t2409 * t2411 + 0.2e1 * t669 * t2426 - 0.3e1 * t2387 - 0.3e1 * t2391 + 0.3e1 * t2397 + t2399 + t2415 - t2418 - t2425 - t828 - t830;
  t2431 = my_piecewise5(t104, 0, t105, 0, t2375 + t2429);
  t2433 = 0.8e2 / 0.243e3 * t2313 - 0.1e2 / 0.81e2 * t2316 + t218 * t836 + t103 * t2431;
  t2438 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t838 + t2299 + 0.3e1 / 0.2e2 * t7 * t88 * t2433);
  tv3rhosigma211 = t8 * t2438 + t842;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t2445 = t7 * t135 * t866 / 0.1e2;
  t2451 = t38 * t141 * t284;
  t2454 = t38 * t43 * t729;
  t2458 = t1897 * t1054;
  t2459 = t1050 * t2458;
  t2460 = t1093 * t248;
  t2461 = t2460 * t2213;
  t2465 = t1059 * t2460 * t153;
  t2468 = t359 * t1622;
  t2469 = t721 * t383;
  t2470 = t369 * t2469;
  t2471 = t2468 * t2470;
  t2473 = t1553 * t1054;
  t2474 = t1050 * t2473;
  t2475 = t281 * params->csk_a;
  t2476 = t2475 * t153;
  t2477 = t1059 * t2476;
  t2480 = t359 * t2458;
  t2483 = t853 * t383;
  t2484 = t151 * t2483;
  t2485 = t2484 * t2206;
  t2487 = t1093 * t153;
  t2488 = t159 * t248;
  t2489 = t2487 * t2488;
  t2493 = t369 * t2476;
  t2496 = t151 * t2458;
  t2498 = t2239 * t2488;
  t2503 = t359 * t2483;
  t2505 = t1021 * t153 * t1023;
  t2506 = t2503 * t2505;
  t2508 = t159 * params->csk_a;
  t2509 = t615 * t383;
  t2510 = t2508 * t2509;
  t2511 = t1951 * t2510;
  t2513 = t391 * t368;
  t2514 = t2513 * t2249;
  t2515 = t2503 * t2514;
  t2517 = -t1902 * t851 - 0.3e1 * t2459 * t2461 - 0.2e1 * t2459 * t2465 - t2459 * t2489 + 0.3e1 * t2480 * t2461 + 0.3e1 * t2474 * t2477 + 0.3e1 * t2474 * t2493 + 0.3e1 * t2480 * t2489 + 0.3e1 * t2480 * t2498 - t2496 * t2489 - 0.3e1 * t2496 * t2498 + t2197 - t2199 - t2202 + 0.3e1 * t2471 + 0.3e1 * t2485 - 0.3e1 * t2506 + 0.3e1 * t2511 - 0.3e1 * t2515;
  t2521 = t1612 * t281;
  t2522 = t1109 * t2521;
  t2526 = t856 * t153;
  t2527 = t1636 * t2526;
  t2530 = t710 * t153;
  t2531 = t1100 * t2530;
  t2536 = t718 * t248;
  t2538 = t151 * t2536 * t385;
  t2539 = t281 * t612;
  t2541 = t151 * t2539 * t385;
  t2544 = -0.3e1 * t1554 * t2531 + t1561 * t711 - t1902 * t861 - 0.2e1 * t1905 * t2527 + t1936 * t851 + t1936 * t857 + t621 * t1972 + t714 * t2210 - t725 * t2210 - t725 * t2218 + t714 * t2254 - t2260 * t2522 + t2266 - t2269 + t2282 - t2538 - t2541 - t801 - t855;
  t2546 = my_piecewise5(t58, 0, t61, 0, t2517 + t2544);
  t2548 = -0.25e2 / 0.162e3 * t790 + 0.5e1 / 0.54e2 * t38 * t48 * t627 + 0.4e2 / 0.243e3 * t2451 - 0.5e1 / 0.81e2 * t2454 + t149 * t864 + t53 * t2546;
  t2553 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t866 + t2445 + 0.3e1 / 0.2e2 * t7 * t32 * t2548);
  tv3rhosigmalapl0 = t8 * t2553 + t870;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  tv3rhosigmalapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 1] += tv3rhosigmalapl1;

  tv3rhosigmalapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 2] += tv3rhosigmalapl2;

  tv3rhosigmalapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 3] += tv3rhosigmalapl3;

  tv3rhosigmalapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 4] += tv3rhosigmalapl4;

  t2560 = t7 * t180 * t894 / 0.1e2;
  t2562 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t894 + t2560);
  tv3rhosigmalapl5 = t8 * t2562 + t898;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 5] += tv3rhosigmalapl5;

  t2568 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t866 + t2445);
  tv3rhosigmalapl6 = t8 * t2568 + t870;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 6] += tv3rhosigmalapl6;

  tv3rhosigmalapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 7] += tv3rhosigmalapl7;

  tv3rhosigmalapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 8] += tv3rhosigmalapl8;

  tv3rhosigmalapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 9] += tv3rhosigmalapl9;

  tv3rhosigmalapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 10] += tv3rhosigmalapl10;

  t2578 = t38 * t210 * t300;
  t2581 = t38 * t93 * t780;
  t2584 = t881 * t562;
  t2585 = t220 * t2584;
  t2586 = t2585 * t2350;
  t2588 = t2062 * t1434;
  t2589 = t1430 * t2588;
  t2590 = t1093 * t265;
  t2591 = t2590 * t2321;
  t2594 = t538 * t1821;
  t2595 = t772 * t562;
  t2596 = t548 * t2595;
  t2597 = t2594 * t2596;
  t2599 = t1749 * t1434;
  t2600 = t1430 * t2599;
  t2601 = t297 * params->csk_a;
  t2602 = t2601 * t222;
  t2603 = t1439 * t2602;
  t2606 = t548 * t2602;
  t2609 = t220 * t2588;
  t2610 = t2590 * t222;
  t2611 = t228 * t2610;
  t2613 = t538 * t2588;
  t2617 = t228 * t265;
  t2618 = t2385 * t2617;
  t2623 = t1439 * t2610;
  t2628 = t538 * t2584;
  t2629 = t570 * t547;
  t2630 = t2629 * t2389;
  t2631 = t2628 * t2630;
  t2634 = t1405 * t222 * t1407;
  t2635 = t2628 * t2634;
  t2637 = t228 * params->csk_a;
  t2638 = t678 * t562;
  t2639 = t2637 * t2638;
  t2640 = t2116 * t2639;
  t2642 = -0.3e1 * t2589 * t2591 - t2589 * t2611 - 0.2e1 * t2589 * t2623 + 0.3e1 * t2613 * t2591 + 0.3e1 * t2600 * t2603 + 0.3e1 * t2600 * t2606 - t2609 * t2611 - 0.3e1 * t2609 * t2618 + 0.3e1 * t2613 * t2611 + 0.3e1 * t2613 * t2618 - t2346 + t2373 - t2374 + 0.3e1 * t2586 + 0.3e1 * t2597 - 0.3e1 * t2631 - 0.3e1 * t2635 + 0.3e1 * t2640 - t828;
  t2647 = t1802 * t297;
  t2648 = t1492 * t2647;
  t2650 = t884 * t222;
  t2651 = t1780 * t2650;
  t2654 = t761 * t222;
  t2655 = t1481 * t2654;
  t2662 = t769 * t265;
  t2664 = t220 * t2662 * t564;
  t2665 = t297 * t675;
  t2667 = t220 * t2665 * t564;
  t2670 = -0.3e1 * t1750 * t2655 + t1757 * t762 - t2067 * t879 - t2067 * t889 - 0.2e1 * t2070 * t2651 + t2095 * t879 + t2095 * t885 + t684 * t2129 - t776 * t2326 + t765 * t2338 - t776 * t2338 - t2409 * t2648 + t765 * t2426 + t2399 + t2415 - t2418 - t2664 - t2667 - t883;
  t2672 = my_piecewise5(t104, 0, t105, 0, t2642 + t2670);
  t2674 = -0.25e2 / 0.162e3 * t817 + 0.5e1 / 0.54e2 * t38 * t98 * t690 + 0.4e2 / 0.243e3 * t2578 - 0.5e1 / 0.81e2 * t2581 + t218 * t892 + t103 * t2672;
  t2679 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t894 + t2560 + 0.3e1 / 0.2e2 * t7 * t88 * t2674);
  tv3rhosigmalapl11 = t8 * t2679 + t898;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 11] += tv3rhosigmalapl11;

  tv3rhosigmatau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  tv3rhosigmatau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 1] += tv3rhosigmatau1;

  tv3rhosigmatau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 2] += tv3rhosigmatau2;

  tv3rhosigmatau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 3] += tv3rhosigmatau3;

  tv3rhosigmatau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 4] += tv3rhosigmatau4;

  tv3rhosigmatau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 5] += tv3rhosigmatau5;

  tv3rhosigmatau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 6] += tv3rhosigmatau6;

  tv3rhosigmatau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 7] += tv3rhosigmatau7;

  tv3rhosigmatau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 8] += tv3rhosigmatau8;

  tv3rhosigmatau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 9] += tv3rhosigmatau9;

  tv3rhosigmatau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 10] += tv3rhosigmatau10;

  tv3rhosigmatau11 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 11] += tv3rhosigmatau11;

  t2686 = t7 * t135 * t917 / 0.1e2;
  t2692 = t902 * t155;
  t2694 = t151 * t2692 * t364;
  t2695 = t2694 * t2246;
  t2697 = t902 * t383;
  t2699 = t359 * t2697 * t364;
  t2700 = t2699 * t2250;
  t2702 = t2699 * t2240;
  t2704 = t902 * t1052;
  t2705 = t151 * t2704;
  t2708 = t1050 * t2704;
  t2712 = t374 * t375 * t718;
  t2715 = t359 * t2704;
  t2718 = t151 * t2697;
  t2719 = t2718 * t2206;
  t2725 = t359 * t2692;
  t2726 = t2725 * t2225;
  t2728 = -0.3e1 * t2705 * t2192 - 0.3e1 * t2708 * t2214 + 0.3e1 * t2715 * t2214 + 0.3e1 * t2708 * t2229 + 0.2e1 * t714 * t2712 - 0.2e1 * t725 * t2712 + t2197 - t2199 - t2202 + 0.3e1 * t2695 - 0.3e1 * t2700 - 0.3e1 * t2702 + 0.3e1 * t2719 + 0.3e1 * t2726 - t801 - t909;
  t2737 = t392 * t718;
  t2747 = t281 * t383;
  t2748 = t151 * t2747;
  t2749 = t158 * t718;
  t2751 = t2748 * t2272 * t2749;
  t2752 = 0.2e1 * t2751;
  t2758 = t1058 * t902;
  t2759 = t1109 * t2758;
  t2761 = -0.2e1 * t725 * t391 * t2737 + 0.2e1 * t714 * t374 * t2749 + 0.2e1 * t725 * t1972 - 0.2e1 * t2708 * t2175 + 0.3e1 * t2708 * t2178 - t2705 * t2184 - t2708 * t2184 + 0.3e1 * t2715 * t2184 + 0.3e1 * t2715 * t2192 - t2260 * t2759 - 0.2e1 * t2705 * t2276 - 0.3e1 * t2715 * t2279 + t2266 - t2269 + t2282 - t2752;
  t2763 = my_piecewise5(t58, 0, t61, 0, t2728 + t2761);
  t2765 = -0.25e2 / 0.81e2 * t847 + 0.5e1 / 0.27e2 * t38 * t48 * t729 + t149 * t915 + t53 * t2763;
  t2770 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t917 + t2686 + 0.3e1 / 0.2e2 * t7 * t32 * t2765);
  tv3rholapl20 = t8 * t2770 + t921;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  tv3rholapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 1] += tv3rholapl21;

  t2777 = t7 * t180 * t940 / 0.1e2;
  t2779 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t940 + t2777);
  tv3rholapl22 = t8 * t2779 + t944;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 2] += tv3rholapl22;

  t2785 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t917 + t2686);
  tv3rholapl23 = t8 * t2785 + t921;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 3] += tv3rholapl23;

  tv3rholapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 4] += tv3rholapl24;

  t2795 = t925 * t562;
  t2797 = t538 * t2795 * t543;
  t2798 = t2797 * t2390;
  t2800 = t2797 * t2386;
  t2802 = t925 * t224;
  t2804 = t220 * t2802 * t543;
  t2805 = t2804 * t2396;
  t2807 = t925 * t1432;
  t2808 = t1430 * t2807;
  t2811 = t220 * t2807;
  t2813 = t538 * t2807;
  t2824 = t220 * t2795;
  t2825 = t2824 * t2350;
  t2827 = 0.3e1 * t2813 * t2322 - 0.2e1 * t2808 * t2330 + 0.3e1 * t2808 * t2362 - t2811 * t2367 + 0.3e1 * t2813 * t2367 - 0.3e1 * t2811 * t2378 + 0.3e1 * t2813 * t2378 - t2346 + t2373 - t2374 - 0.3e1 * t2798 - 0.3e1 * t2800 + 0.3e1 * t2805 + 0.3e1 * t2825 - t828 - t932;
  t2828 = t228 * t769;
  t2829 = t1405 * t2828;
  t2834 = t571 * t769;
  t2838 = t538 * t2802;
  t2839 = t2838 * t2359;
  t2850 = t227 * t769;
  t2856 = t1438 * t925;
  t2857 = t1492 * t2856;
  t2859 = t297 * t562;
  t2860 = t220 * t2859;
  t2862 = t2860 * t2421 * t2850;
  t2863 = 0.2e1 * t2862;
  t2864 = -0.2e1 * t776 * t570 * t2834 + 0.2e1 * t765 * t553 * t2850 + 0.2e1 * t776 * t2129 - 0.3e1 * t2808 * t2322 + 0.3e1 * t2808 * t2334 - t2808 * t2367 - 0.2e1 * t2811 * t2400 - 0.3e1 * t2813 * t2403 - t2409 * t2857 + 0.2e1 * t765 * t2829 - 0.2e1 * t776 * t2829 + t2399 + t2415 - t2418 + 0.3e1 * t2839 - t2863;
  t2866 = my_piecewise5(t104, 0, t105, 0, t2827 + t2864);
  t2868 = -0.25e2 / 0.81e2 * t875 + 0.5e1 / 0.27e2 * t38 * t98 * t780 + t218 * t938 + t103 * t2866;
  t2873 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t940 + t2777 + 0.3e1 / 0.2e2 * t7 * t88 * t2868);
  tv3rholapl25 = t8 * t2873 + t944;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 5] += tv3rholapl25;

  tv3rholapltau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  tv3rholapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 1] += tv3rholapltau1;

  tv3rholapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 2] += tv3rholapltau2;

  tv3rholapltau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 3] += tv3rholapltau3;

  tv3rholapltau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 4] += tv3rholapltau4;

  tv3rholapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 5] += tv3rholapltau5;

  tv3rholapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 6] += tv3rholapltau6;

  tv3rholapltau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 7] += tv3rholapltau7;

  tv3rhotau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  tv3rhotau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 1] += tv3rhotau21;

  tv3rhotau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 2] += tv3rhotau22;

  tv3rhotau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 3] += tv3rhotau23;

  tv3rhotau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 4] += tv3rhotau24;

  tv3rhotau25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 5] += tv3rhotau25;

  t2876 = t38 * t43 * t809;
  t2878 = t792 * t248;
  t2887 = t2198 * t851;
  t2888 = 0.3e1 * t2887;
  t2889 = t2878 * t383;
  t2890 = t359 * t2889;
  t2891 = t2890 * t1024;
  t2892 = 0.3e1 * t2891;
  t2893 = t2878 * t155;
  t2895 = t151 * t2893 * t1030;
  t2896 = 0.3e1 * t2895;
  t2897 = t375 * t799;
  t2898 = t374 * t2897;
  t2899 = t606 * t2898;
  t2900 = 0.3e1 * t2899;
  t2901 = t2198 * t861;
  t2902 = 0.3e1 * t2901;
  t2903 = t2890 * t1041;
  t2904 = 0.3e1 * t2903;
  t2906 = t359 * t2893 * t1090;
  t2907 = 0.3e1 * t2906;
  t2908 = t2196 * t857;
  t2909 = 0.3e1 * t2908;
  t2910 = -t1050 * t2878 * t1060 - 0.2e1 * t151 * t2878 * t1063 - 0.3e1 * t359 * t2878 * t1067 - t2888 - t2892 + t2896 + t2900 - t2902 - t2904 + t2907 + t2909 - t801 - t803;
  t2911 = t151 * t2889;
  t2912 = t2911 * t1085;
  t2913 = 0.3e1 * t2912;
  t2914 = t799 * t248;
  t2916 = t151 * t2914 * t385;
  t2917 = 0.3e1 * t2916;
  t2918 = t2878 * t1052;
  t2919 = t1050 * t2918;
  t2924 = t621 * t2265;
  t2925 = 0.3e1 * t2924;
  t2928 = t359 * t2918;
  t2933 = t151 * t2918;
  t2942 = 0.3e1 * t2928 * t1073 - 0.3e1 * t2933 * t1073 - t2919 * t1095 + 0.3e1 * t2928 * t1095 - t2933 * t1095 + 0.3e1 * t2919 * t1101 + 0.3e1 * t2919 * t1111 - 0.3e1 * t2919 * t1115 + 0.3e1 * t2928 * t1115 - 0.2e1 * t2919 * t1125 + t2913 - t2917 + t2925;
  t2944 = my_piecewise5(t58, 0, t61, 0, t2910 + t2942);
  t2946 = -0.5e1 / 0.27e2 * t2876 + t53 * t2944;
  t2950 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t2946);
  tv3sigma30 = t8 * t2950;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t2952 = t38 * t93 * t836;
  t2954 = t819 * t265;
  t2963 = t2954 * t224;
  t2965 = t220 * t2963 * t1414;
  t2966 = 0.3e1 * t2965;
  t2967 = t554 * t826;
  t2968 = t553 * t2967;
  t2969 = t669 * t2968;
  t2970 = 0.3e1 * t2969;
  t2971 = t2345 * t889;
  t2972 = 0.3e1 * t2971;
  t2973 = t2954 * t562;
  t2974 = t538 * t2973;
  t2975 = t2974 * t1425;
  t2976 = 0.3e1 * t2975;
  t2977 = t2345 * t879;
  t2978 = 0.3e1 * t2977;
  t2979 = t2974 * t1408;
  t2980 = 0.3e1 * t2979;
  t2981 = t2954 * t1432;
  t2982 = t1430 * t2981;
  t2987 = -t1430 * t2954 * t1440 - 0.2e1 * t220 * t2954 * t1447 - 0.3e1 * t538 * t2954 * t1451 - 0.3e1 * t2982 * t1498 - 0.2e1 * t2982 * t1508 + t2966 + t2970 - t2972 - t2976 - t2978 - t2980 - t828 - t830;
  t2988 = t684 * t2414;
  t2989 = 0.3e1 * t2988;
  t2992 = t538 * t2981;
  t2995 = t826 * t265;
  t2997 = t220 * t2995 * t564;
  t2998 = 0.3e1 * t2997;
  t2999 = t220 * t2981;
  t3003 = t538 * t2963 * t1470;
  t3004 = 0.3e1 * t3003;
  t3005 = t2372 * t885;
  t3006 = 0.3e1 * t3005;
  t3007 = t220 * t2973;
  t3008 = t3007 * t1478;
  t3009 = 0.3e1 * t3008;
  t3018 = -t2982 * t1457 + 0.3e1 * t2992 * t1457 - t2999 * t1457 + 0.3e1 * t2992 * t1461 - 0.3e1 * t2999 * t1461 + 0.3e1 * t2982 * t1482 + 0.3e1 * t2982 * t1494 + 0.3e1 * t2992 * t1498 + t2989 - t2998 + t3004 + t3006 + t3009;
  t3020 = my_piecewise5(t104, 0, t105, 0, t2987 + t3018);
  t3022 = -0.5e1 / 0.27e2 * t2952 + t103 * t3020;
  t3026 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t3022);
  tv3sigma39 = t8 * t3026;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t3031 = t38 * t43 * t864;
  t3033 = t281 * t792;
  t3034 = t3033 * t383;
  t3035 = t359 * t3034;
  t3036 = t3035 * t1041;
  t3037 = 0.3e1 * t3036;
  t3038 = t375 * t792;
  t3039 = t1636 * t3038;
  t3044 = t2182 * t792;
  t3045 = t1636 * t3044;
  t3050 = t2222 * t1909;
  t3051 = 0.3e1 * t3050;
  t3052 = t151 * t3033;
  t3053 = t3052 * t1570;
  t3054 = 0.3e1 * t3053;
  t3055 = t725 * t2898;
  t3058 = t1094 * t792 * t366 * t368;
  t3061 = t392 * t799;
  t3062 = t391 * t3061;
  t3063 = t725 * t3062;
  t3064 = t1124 * t792;
  t3065 = t1109 * t3064;
  t3070 = t714 * t2898;
  t3073 = 0.3e1 * t1898 * t3045 + 0.3e1 * t1898 * t3058 - 0.3e1 * t1905 * t3039 - t1905 * t3045 + 0.3e1 * t2173 * t1917 - t1923 * t3045 - 0.3e1 * t1923 * t3058 - 0.2e1 * t1923 * t3065 + 0.3e1 * t2173 * t1933 - t3037 + t3051 + t3054 - t3055 - t3063 + t3070 - t801;
  t3076 = 0.2e1 * t2887;
  t3077 = 0.2e1 * t2899;
  t3078 = 0.2e1 * t2901;
  t3079 = t3035 * t1024;
  t3080 = 0.3e1 * t3079;
  t3081 = params->csk_a * t792;
  t3082 = t3081 * t383;
  t3083 = t159 * t3082;
  t3084 = t1951 * t3083;
  t3085 = 0.3e1 * t3084;
  t3086 = 0.2e1 * t2908;
  t3087 = 0.2e1 * t2916;
  t3088 = 0.2e1 * t2924;
  t3089 = t281 * t799;
  t3091 = t151 * t3089 * t385;
  t3092 = t158 * t799;
  t3093 = t374 * t3092;
  t3094 = t714 * t3093;
  t3095 = t2198 * t711;
  t3099 = t158 * t792;
  t3100 = t1636 * t3099;
  t3103 = 0.3e1 * t1898 * t3039 - 0.2e1 * t1905 * t3100 - 0.3e1 * t2186 * t1963 - t2173 * t1975 - t3076 + t3077 - t3078 - t3080 + t3085 + t3086 - t3087 + t3088 - t3091 + t3094 + t3095 - t855;
  t3105 = my_piecewise5(t58, 0, t61, 0, t3073 + t3103);
  t3107 = 0.5e1 / 0.54e2 * t38 * t48 * t809 - 0.1e2 / 0.81e2 * t3031 + t53 * t3105;
  t3111 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t3107);
  tv3sigma2lapl0 = t8 * t3111;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  tv3sigma2lapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 1] += tv3sigma2lapl1;

  tv3sigma2lapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 2] += tv3sigma2lapl2;

  tv3sigma2lapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 3] += tv3sigma2lapl3;

  tv3sigma2lapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 4] += tv3sigma2lapl4;

  tv3sigma2lapl5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 5] += tv3sigma2lapl5;

  tv3sigma2lapl6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 6] += tv3sigma2lapl6;

  tv3sigma2lapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 7] += tv3sigma2lapl7;

  tv3sigma2lapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 8] += tv3sigma2lapl8;

  tv3sigma2lapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 9] += tv3sigma2lapl9;

  tv3sigma2lapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 10] += tv3sigma2lapl10;

  t3116 = t38 * t93 * t892;
  t3118 = t297 * t819;
  t3119 = t3118 * t562;
  t3120 = t538 * t3119;
  t3121 = t3120 * t1408;
  t3122 = 0.3e1 * t3121;
  t3123 = params->csk_a * t819;
  t3124 = t3123 * t562;
  t3125 = t228 * t3124;
  t3126 = t2116 * t3125;
  t3127 = 0.3e1 * t3126;
  t3130 = t765 * t2968;
  t3131 = t1497 * t819;
  t3132 = t1481 * t3131;
  t3136 = t819 * t112 * t227;
  t3137 = t1460 * t3136;
  t3144 = t1781 * t819;
  t3145 = t1780 * t3144;
  t3150 = t2356 * t2078;
  t3151 = 0.3e1 * t3150;
  t3152 = t220 * t3118;
  t3153 = t3152 * t1772;
  t3154 = 0.3e1 * t3153;
  t3155 = t776 * t2968;
  t3158 = 0.3e1 * t2063 * t3132 + 0.3e1 * t2063 * t3137 + 0.3e1 * t2063 * t3145 - 0.3e1 * t2070 * t3137 - t2070 * t3145 - 0.3e1 * t2084 * t3132 - t2084 * t3145 + 0.3e1 * t2320 * t2087 + 0.3e1 * t2320 * t2092 - t3122 + t3127 + t3130 + t3151 + t3154 - t3155 - t828;
  t3159 = t571 * t826;
  t3160 = t570 * t3159;
  t3161 = t776 * t3160;
  t3162 = t1507 * t819;
  t3163 = t1492 * t3162;
  t3166 = 0.2e1 * t2969;
  t3167 = 0.2e1 * t2971;
  t3168 = 0.2e1 * t2977;
  t3169 = t3120 * t1425;
  t3170 = 0.3e1 * t3169;
  t3171 = 0.2e1 * t2988;
  t3172 = 0.2e1 * t2997;
  t3173 = 0.2e1 * t3005;
  t3174 = t297 * t826;
  t3176 = t220 * t3174 * t564;
  t3177 = t227 * t826;
  t3178 = t553 * t3177;
  t3179 = t765 * t3178;
  t3180 = t2345 * t762;
  t3184 = t227 * t819;
  t3185 = t1780 * t3184;
  t3188 = -0.2e1 * t2070 * t3185 - 0.2e1 * t2084 * t3163 - t2320 * t2132 - 0.3e1 * t2341 * t2141 - t3161 + t3166 - t3167 - t3168 - t3170 + t3171 - t3172 + t3173 - t3176 + t3179 + t3180 - t883;
  t3190 = my_piecewise5(t104, 0, t105, 0, t3158 + t3188);
  t3192 = 0.5e1 / 0.54e2 * t38 * t98 * t836 - 0.1e2 / 0.81e2 * t3116 + t103 * t3190;
  t3196 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t3192);
  tv3sigma2lapl11 = t8 * t3196;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 11] += tv3sigma2lapl11;

  tv3sigma2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  tv3sigma2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 1] += tv3sigma2tau1;

  tv3sigma2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 2] += tv3sigma2tau2;

  tv3sigma2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 3] += tv3sigma2tau3;

  tv3sigma2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 4] += tv3sigma2tau4;

  tv3sigma2tau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 5] += tv3sigma2tau5;

  tv3sigma2tau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 6] += tv3sigma2tau6;

  tv3sigma2tau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 7] += tv3sigma2tau7;

  tv3sigma2tau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 8] += tv3sigma2tau8;

  tv3sigma2tau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 9] += tv3sigma2tau9;

  tv3sigma2tau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 10] += tv3sigma2tau10;

  tv3sigma2tau11 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 11] += tv3sigma2tau11;

  t3201 = t38 * t43 * t915;
  t3203 = params->csk_a * t248;
  t3204 = t3203 * t383;
  t3206 = t2694 * t159 * t3204;
  t3207 = 0.3e1 * t3206;
  t3208 = t3203 * t155;
  t3210 = t2699 * t369 * t3208;
  t3211 = 0.3e1 * t3210;
  t3213 = t2699 * t3203 * t1023;
  t3214 = 0.3e1 * t3213;
  t3218 = t1636 * t2182 * t248;
  t3223 = t1072 * t2488;
  t3226 = t2725 * t1576;
  t3227 = 0.3e1 * t3226;
  t3230 = t1114 * t248;
  t3231 = t1100 * t3230;
  t3235 = t374 * t856 * t155;
  t3236 = t2718 * t3235;
  t3237 = 0.3e1 * t3236;
  t3242 = 0.3e1 * t2708 * t1584 + 0.3e1 * t2708 * t1614 - t2705 * t3218 - 0.3e1 * t2705 * t3223 - t2708 * t3218 - 0.3e1 * t2708 * t3231 + 0.3e1 * t2715 * t3218 + 0.3e1 * t2715 * t3223 + 0.3e1 * t2715 * t3231 + t3207 - t3211 - t3214 + t3227 + t3237 - t801 - t909;
  t3243 = t1124 * t248;
  t3247 = 0.2e1 * t3055;
  t3248 = 0.2e1 * t3063;
  t3249 = 0.2e1 * t3070;
  t3250 = 0.2e1 * t3091;
  t3251 = 0.2e1 * t3094;
  t3252 = 0.2e1 * t3095;
  t3259 = -0.2e1 * t2708 * t1109 * t3243 - 0.2e1 * t2705 * t1636 * t856 - t1579 * t2759 - 0.3e1 * t2715 * t1642 - t2887 + t2899 - t2901 + t2908 - t2916 + t2924 - t3247 - t3248 + t3249 - t3250 + t3251 + t3252;
  t3261 = my_piecewise5(t58, 0, t61, 0, t3242 + t3259);
  t3263 = 0.5e1 / 0.27e2 * t38 * t48 * t864 - 0.5e1 / 0.81e2 * t3201 + t53 * t3261;
  t3267 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t3263);
  tv3sigmalapl20 = t8 * t3267;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  tv3sigmalapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 1] += tv3sigmalapl21;

  tv3sigmalapl22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 2] += tv3sigmalapl22;

  tv3sigmalapl23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 3] += tv3sigmalapl23;

  tv3sigmalapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 4] += tv3sigmalapl24;

  tv3sigmalapl25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 5] += tv3sigmalapl25;

  tv3sigmalapl26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 6] += tv3sigmalapl26;

  tv3sigmalapl27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 7] += tv3sigmalapl27;

  t3272 = t38 * t93 * t938;
  t3274 = params->csk_a * t265;
  t3276 = t2797 * t3274 * t1407;
  t3277 = 0.3e1 * t3276;
  t3278 = t3274 * t562;
  t3279 = t228 * t3278;
  t3280 = t2804 * t3279;
  t3281 = 0.3e1 * t3280;
  t3282 = t3274 * t224;
  t3284 = t2797 * t548 * t3282;
  t3285 = 0.3e1 * t3284;
  t3288 = t1781 * t265;
  t3289 = t1780 * t3288;
  t3294 = t1460 * t2617;
  t3297 = t548 * t265;
  t3298 = t1456 * t3297;
  t3301 = t1507 * t265;
  t3305 = t2838 * t1766;
  t3306 = 0.3e1 * t3305;
  t3312 = t553 * t884 * t224;
  t3313 = t2824 * t3312;
  t3314 = 0.3e1 * t3313;
  t3315 = -0.2e1 * t2808 * t1492 * t3301 + 0.3e1 * t2808 * t1777 + 0.3e1 * t2808 * t1804 - t2808 * t3289 - 0.3e1 * t2808 * t3298 - t2811 * t3289 + 0.3e1 * t2813 * t3289 + 0.3e1 * t2813 * t3294 + 0.3e1 * t2813 * t3298 - t3277 + t3281 - t3285 + t3306 + t3314 - t828 - t932;
  t3318 = 0.2e1 * t3130;
  t3319 = 0.2e1 * t3155;
  t3320 = 0.2e1 * t3161;
  t3321 = 0.2e1 * t3176;
  t3322 = 0.2e1 * t3179;
  t3323 = 0.2e1 * t3180;
  t3330 = -0.2e1 * t2811 * t1780 * t884 - t1787 * t2857 - 0.3e1 * t2813 * t1836 - 0.3e1 * t2811 * t3294 + t2969 - t2971 - t2977 + t2988 - t2997 + t3005 + t3318 - t3319 - t3320 - t3321 + t3322 + t3323;
  t3332 = my_piecewise5(t104, 0, t105, 0, t3315 + t3330);
  t3334 = 0.5e1 / 0.27e2 * t38 * t98 * t892 - 0.5e1 / 0.81e2 * t3272 + t103 * t3332;
  t3338 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t3334);
  tv3sigmalapl28 = t8 * t3338;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 8] += tv3sigmalapl28;

  tv3sigmalapltau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  tv3sigmalapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 1] += tv3sigmalapltau1;

  tv3sigmalapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 2] += tv3sigmalapltau2;

  tv3sigmalapltau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 3] += tv3sigmalapltau3;

  tv3sigmalapltau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 4] += tv3sigmalapltau4;

  tv3sigmalapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 5] += tv3sigmalapltau5;

  tv3sigmalapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 6] += tv3sigmalapltau6;

  tv3sigmalapltau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 7] += tv3sigmalapltau7;

  tv3sigmalapltau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 8] += tv3sigmalapltau8;

  tv3sigmalapltau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 9] += tv3sigmalapltau9;

  tv3sigmalapltau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 10] += tv3sigmalapltau10;

  tv3sigmalapltau11 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 11] += tv3sigmalapltau11;

  tv3sigmatau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  tv3sigmatau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 1] += tv3sigmatau21;

  tv3sigmatau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 2] += tv3sigmatau22;

  tv3sigmatau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 3] += tv3sigmatau23;

  tv3sigmatau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 4] += tv3sigmatau24;

  tv3sigmatau25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 5] += tv3sigmatau25;

  tv3sigmatau26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 6] += tv3sigmatau26;

  tv3sigmatau27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 7] += tv3sigmatau27;

  tv3sigmatau28 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 8] += tv3sigmatau28;

  t3342 = t902 * t281;
  t3351 = t3342 * t155;
  t3353 = t151 * t3351 * t1030;
  t3354 = 0.3e1 * t3353;
  t3355 = t3342 * t383;
  t3356 = t359 * t3355;
  t3357 = t3356 * t1024;
  t3358 = 0.3e1 * t3357;
  t3359 = t3356 * t1041;
  t3360 = 0.3e1 * t3359;
  t3361 = 0.3e1 * t3055;
  t3362 = 0.3e1 * t3063;
  t3363 = 0.3e1 * t3070;
  t3364 = 0.3e1 * t3091;
  t3365 = 0.3e1 * t3094;
  t3366 = -t1050 * t3342 * t1060 - 0.2e1 * t151 * t3342 * t1063 - 0.3e1 * t359 * t3342 * t1067 + t3354 - t3358 - t3360 - t3361 - t3362 + t3363 - t3364 + t3365 - t801 - t909;
  t3367 = 0.3e1 * t3095;
  t3369 = t359 * t3351 * t1090;
  t3370 = 0.3e1 * t3369;
  t3372 = t151 * t3355 * t1085;
  t3373 = 0.3e1 * t3372;
  t3374 = t3342 * t1052;
  t3375 = t1050 * t3374;
  t3382 = t359 * t3374;
  t3385 = t151 * t3374;
  t3396 = 0.3e1 * t3382 * t1073 - 0.3e1 * t3385 * t1073 - t3375 * t1095 + 0.3e1 * t3382 * t1095 - t3385 * t1095 + 0.3e1 * t3375 * t1101 + 0.3e1 * t3375 * t1111 - 0.3e1 * t3375 * t1115 + 0.3e1 * t3382 * t1115 - 0.2e1 * t3375 * t1125 + t3367 + t3370 + t3373;
  t3398 = my_piecewise5(t58, 0, t61, 0, t3366 + t3396);
  t3400 = 0.5e1 / 0.18e2 * t38 * t48 * t915 + t53 * t3398;
  t3404 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * t3400);
  tv3lapl30 = t8 * t3404;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  tv3lapl31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 1] += tv3lapl31;

  tv3lapl32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 2] += tv3lapl32;

  t3408 = t925 * t297;
  t3417 = t3408 * t224;
  t3419 = t220 * t3417 * t1414;
  t3420 = 0.3e1 * t3419;
  t3421 = t3408 * t562;
  t3422 = t538 * t3421;
  t3423 = t3422 * t1408;
  t3424 = 0.3e1 * t3423;
  t3425 = t3422 * t1425;
  t3426 = 0.3e1 * t3425;
  t3427 = 0.3e1 * t3130;
  t3428 = 0.3e1 * t3155;
  t3429 = 0.3e1 * t3161;
  t3430 = 0.3e1 * t3176;
  t3431 = 0.3e1 * t3179;
  t3432 = -t1430 * t3408 * t1440 - 0.2e1 * t220 * t3408 * t1447 - 0.3e1 * t538 * t3408 * t1451 + t3420 - t3424 - t3426 + t3427 - t3428 - t3429 - t3430 + t3431 - t828 - t932;
  t3433 = 0.3e1 * t3180;
  t3434 = t3408 * t1432;
  t3435 = t538 * t3434;
  t3438 = t220 * t3421;
  t3439 = t3438 * t1478;
  t3440 = 0.3e1 * t3439;
  t3442 = t538 * t3417 * t1470;
  t3443 = 0.3e1 * t3442;
  t3444 = t1430 * t3434;
  t3453 = t220 * t3434;
  t3462 = 0.3e1 * t3435 * t1457 - t3444 * t1457 - t3453 * t1457 + 0.3e1 * t3435 * t1461 - 0.3e1 * t3453 * t1461 + 0.3e1 * t3444 * t1482 + 0.3e1 * t3444 * t1494 + 0.3e1 * t3435 * t1498 - 0.3e1 * t3444 * t1498 - 0.2e1 * t3444 * t1508 + t3433 + t3440 + t3443;
  t3464 = my_piecewise5(t104, 0, t105, 0, t3432 + t3462);
  t3466 = 0.5e1 / 0.18e2 * t38 * t98 * t938 + t103 * t3464;
  t3470 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * t3466);
  tv3lapl33 = t8 * t3470;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 3] += tv3lapl33;

  tv3lapl2tau0 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  tv3lapl2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 1] += tv3lapl2tau1;

  tv3lapl2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 2] += tv3lapl2tau2;

  tv3lapl2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 3] += tv3lapl2tau3;

  tv3lapl2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 4] += tv3lapl2tau4;

  tv3lapl2tau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 5] += tv3lapl2tau5;

  tv3lapltau20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  tv3lapltau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 1] += tv3lapltau21;

  tv3lapltau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 2] += tv3lapltau22;

  tv3lapltau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 3] += tv3lapltau23;

  tv3lapltau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 4] += tv3lapltau24;

  tv3lapltau25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 5] += tv3lapltau25;

  tv3tau30 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  tv3tau31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 1] += tv3tau31;

  tv3tau32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 2] += tv3tau32;

  tv3tau33 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 3] += tv3tau33;

  t3475 = t7 * t964 * t134 * t73;
  t3479 = t7 * t322 * t335 * t73;
  t3483 = t7 * t129 * t987 * t73;
  t3486 = 0.1e1 / t30 / t313;
  t3490 = 0.14e2 / 0.135e3 * t7 * t29 * t3486 * t73;
  t3495 = t7 * t988 * t164;
  t3498 = t7 * t336 * t398;
  t3501 = t7 * t135 * t1132;
  t3507 = t38 * sigma[0] / t41 / t343 / t39;
  t3513 = 0.154e5 / 0.2187e4 * t38 * lapl[0] * t1000 - 0.10472e6 / 0.6561e4 * t3507;
  t3524 = t379 * t379;
  t3528 = t151 * t3524;
  t3533 = params->csk_a * t383;
  t3535 = t159 * t3533 * t379;
  t3538 = t379 * t155;
  t3540 = t359 * t3538 * t364;
  t3541 = t369 * t1625;
  t3546 = t360 * t360;
  t3547 = t3546 * t383;
  t3548 = t359 * t3547;
  t3550 = t362 * t68 * t158;
  t3551 = t1072 * t3550;
  t3555 = t3546 * t362;
  t3556 = t151 * t3555;
  t3560 = t379 * t1052;
  t3561 = t359 * t3560;
  t3566 = t1050 * t3560;
  t3569 = t1094 * t3550;
  t3572 = t1050 * t3547;
  t3576 = t1636 * t2182 * t383;
  t3579 = t151 * t1582;
  t3581 = t1636 * t2182 * t379;
  t3584 = t1045 * t362;
  t3585 = t359 * t3584;
  t3590 = t1100 * t1595;
  t3593 = -0.18e2 * t3556 * t1636 * t1029 + 0.18e2 * t3561 * t1557 + 0.18e2 * t3561 * t1580 - 0.6e1 * t3566 * t1580 + 0.18e2 * t1583 * t3590 + 0.18e2 * t3548 * t3569 - 0.6e1 * t3556 * t3576 - 0.6e1 * t3572 * t3569 - 0.6e1 * t3579 * t3581 - 0.4e1 * t3585 * t608 - 0.4e1 * t3585 * t624;
  t3597 = t1050 * t3555;
  t3599 = t1100 * t1089 * params->csk_a;
  t3607 = t151 * t3584;
  t3610 = t1058 * t383;
  t3612 = t1109 * t3610 * params->csk_a;
  t3616 = t1109 * t1124 * t362;
  t3620 = t391 * t1089 * t379;
  t3624 = t1100 * t1114 * t379;
  t3627 = t1058 * t379;
  t3629 = t1109 * t3627 * params->csk_a;
  t3636 = t362 * t366 * t368;
  t3637 = t1094 * t3636;
  t3640 = t359 * t3555;
  t3645 = t1636 * t1034;
  t3650 = t151 * t3546;
  t3651 = t383 * t383;
  t3652 = t3651 * t364;
  t3653 = t3652 * t159;
  t3656 = t362 * t362;
  t3657 = t363 * t363;
  t3658 = 0.1e1 / t3657;
  t3659 = t3656 * t3658;
  t3660 = t3659 * t159;
  t3663 = t359 * t3546;
  t3664 = t3652 * t369;
  t3668 = t3659 * t1059;
  t3671 = my_piecewise3(t61, 0, t3513);
  t3672 = my_piecewise3(t63, t3671, 0);
  t3675 = t357 * t357;
  t3677 = t70 / t3675;
  t3679 = t366 * t366;
  t3680 = t367 * t367;
  t3681 = 0.1e1 / t3680;
  t3682 = t3679 * t3681;
  t3683 = t3659 * t3682;
  t3685 = t3659 * t369;
  t3688 = 0.18e2 * t3640 * t1100 * t1114 * t383 + 0.6e1 * t1050 * t3546 * t3668 - t151 * t3672 * t160 + t3677 * t3546 * t3683 + 0.3e1 * t3528 * t387 - 0.18e2 * t3572 * t3637 - 0.18e2 * t3579 * t3645 + 0.3e1 * t3650 * t3653 + 0.6e1 * t3650 * t3660 + 0.3e1 * t3663 * t3664 + 0.11e2 * t3663 * t3685;
  t3694 = t3546 * t3656;
  t3695 = t3677 * t3694;
  t3696 = t1093 * params->csk_a;
  t3697 = t3658 * t3696;
  t3698 = t3697 * t1059;
  t3701 = t3658 * t3679;
  t3702 = t3681 * t3696;
  t3703 = t3701 * t3702;
  t3706 = t3658 * t366;
  t3707 = t3706 * t1114;
  t3710 = t3697 * t369;
  t3713 = t3658 * t1056;
  t3714 = t3713 * t1124;
  t3717 = t359 * t3694;
  t3721 = t3701 * t3681 * t1093;
  t3725 = t1050 * t3694;
  t3728 = t1100 * t1089;
  t3733 = t3706 * t392;
  t3749 = t3681 * params->csk_a;
  t3750 = t3701 * t3749;
  t3753 = t1100 * t1105;
  t3758 = -0.4e1 * t151 * t1045 * t153 * t385 + 0.4e1 * t601 * t391 * t368 * t1045 - 0.6e1 * t1583 * t1109 * t3627 - 0.18e2 * t1641 * t3753 - 0.18e2 * t3640 * t3728 - 0.6e1 * t3695 * t3750 + 0.12e2 * t3725 * t3698 - 0.11e2 * t3717 * t3707 + 0.18e2 * t3725 * t3710 + 0.7e1 * t3717 * t3733 - 0.18e2 * t3725 * t3733;
  t3760 = t3713 * t1110;
  t3763 = t3524 * t362;
  t3767 = t359 * t3763;
  t3772 = t1109 * t3610;
  t3777 = t3546 * t3651;
  t3778 = t359 * t3777;
  t3781 = t151 * t3694;
  t3782 = t3658 * t68;
  t3783 = t3782 * t375;
  t3790 = t158 * t362;
  t3791 = t1636 * t3790;
  t3796 = -0.12e2 * t151 * t3560 * t1638 - 0.12e2 * t151 * t3547 * t3791 + 0.3e1 * t151 * t3763 * t376 - 0.6e1 * t3597 * t3772 + 0.4e1 * t3607 * t619 - 0.12e2 * t3725 * t3760 - 0.3e1 * t3767 * t376 - 0.3e1 * t3778 * t376 - 0.3e1 * t3767 * t393 - 0.3e1 * t3778 * t393 + 0.11e2 * t3781 * t3783;
  t3802 = t3697 * t159;
  t3811 = t3658 * t1093;
  t3812 = t3811 * t159;
  t3821 = 0.3e1 * t151 * t3777 * t376 - 0.6e1 * t3695 * t3760 - t3695 * t3802 - 0.6e1 * t3725 * t3714 - 0.11e2 * t3717 * t3783 - 0.7e1 * t3717 * t3802 - 0.18e2 * t3717 * t3812 + 0.6e1 * t3725 * t3802 + 0.6e1 * t3725 * t3812 + t3781 * t3802 + 0.6e1 * t3781 * t3812;
  t3825 = my_piecewise5(t58, 0, t61, 0, -0.4e1 * t1025 + 0.4e1 * t1031 - 0.4e1 * t1042 + t3821 + t3796 + t3758 + 0.4e1 * t1086 + 0.4e1 * t1091 - 0.5e1 * t1120 + t3688 + t3593 + 0.18e2 * t151 * t3538 * t374 * t1637 * t383 - 0.3e1 * t3528 * t385 - 0.18e2 * t3540 * t3541 - 0.18e2 * t3540 * t1626 + 0.18e2 * t3548 * t3551 - 0.18e2 * t3566 * t1592 + 0.18e2 * t3597 * t3599 + 0.4e1 * t3607 * t608 + 0.18e2 * t3597 * t3612 - 0.12e2 * t3572 * t3616 + 0.18e2 * t1574 * t3620 + 0.18e2 * t1641 * t3624 + 0.18e2 * t1583 * t3629 - 0.12e2 * t3566 * t1599 - 0.12e2 * t3695 * t3698 - 0.6e1 * t3695 * t3703 + 0.7e1 * t3695 * t3707 - 0.7e1 * t3695 * t3710 + 0.18e2 * t3695 * t3714 - 0.7e1 * t3717 * t3710 + 0.11e2 * t3695 * t3721 - t386 + 0.18e2 * t151 * t1573 * t364 * t3535 + 0.3e1 * t359 * t3524 * t370);
  t3831 = t21 * t21;
  t3833 = 0.1e1 / t26 / t3831;
  t3834 = t310 * t310;
  t3840 = t318 * t318;
  t3846 = 0.1e1 / t955 / t8;
  t3847 = t18 * t3846;
  t3850 = my_piecewise5(t12, 0, t16, 0, -0.24e2 * t956 + 0.24e2 * t3847);
  t3854 = my_piecewise3(t22, 0, 0.4e2 / 0.81e2 * t3833 * t3834 - 0.2e2 / 0.9e1 * t948 * t310 * t318 + 0.1e2 / 0.3e1 * t309 * t3840 + 0.4e2 / 0.9e1 * t952 * t960 + 0.5e1 / 0.3e1 * t27 * t3850);
  t3863 = t7 * t969 * t164;
  t3869 = t7 * t976 * t164;
  t3872 = t7 * t327 * t398;
  t3874 = 0.2e1 / 0.5e1 * t3475 - t3479 / 0.5e1 + 0.8e1 / 0.45e2 * t3483 - t3490 + 0.3e1 / 0.5e1 * t7 * t130 * t1132 + 0.8e1 / 0.45e2 * t3495 - t3498 / 0.5e1 + 0.2e1 / 0.5e1 * t3501 + 0.3e1 / 0.2e2 * t7 * t32 * (0.1309e5 / 0.729e3 * t3507 + t3513 * t71 + 0.4e1 * t1008 * t162 + 0.6e1 * t353 * t396 + 0.4e1 * t149 * t1130 + t53 * t3825) + 0.3e1 / 0.2e2 * t7 * t3854 * t31 * t73 + 0.3e1 / 0.5e1 * t7 * t965 * t164 + 0.6e1 / 0.5e1 * t3863 + 0.9e1 / 0.1e2 * t7 * t323 * t398 - 0.2e1 / 0.5e1 * t3869 + 0.6e1 / 0.5e1 * t3872;
  t3875 = my_piecewise3(t2, 0, t3874);
  t3876 = t82 * t82;
  t3878 = 0.1e1 / t84 / t3876;
  t3879 = t405 * t405;
  t3885 = t411 * t411;
  t3890 = t79 * t3846;
  t3893 = my_piecewise5(t16, 0, t12, 0, 0.24e2 * t956 + 0.24e2 * t3890);
  t3897 = my_piecewise3(t83, 0, 0.4e2 / 0.81e2 * t3878 * t3879 - 0.2e2 / 0.9e1 * t1139 * t405 * t411 + 0.1e2 / 0.3e1 * t404 * t3885 + 0.4e2 / 0.9e1 * t1143 * t1149 + 0.5e1 / 0.3e1 * t85 * t3893);
  t3904 = t7 * t1153 * t134 * t117;
  t3908 = t7 * t415 * t335 * t117;
  t3912 = t7 * t175 * t987 * t117;
  t3917 = 0.14e2 / 0.135e3 * t7 * t87 * t3486 * t117;
  t3919 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t3897 * t31 * t117 + 0.2e1 / 0.5e1 * t3904 - t3908 / 0.5e1 + 0.8e1 / 0.45e2 * t3912 - t3917);
  tv4rho40 = 0.4e1 * t1137 + 0.4e1 * t1171 + t8 * (t3875 + t3919);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t3926 = t7 * t1191 * t134 * t73;
  t3930 = t7 * t440 * t335 * t73;
  t3931 = t3930 / 0.1e2;
  t3934 = t7 * t192 * t987 * t73;
  t3955 = 0.12e2 * t956;
  t3956 = 0.24e2 * t3847;
  t3958 = my_piecewise5(t12, 0, t16, 0, -t3955 + t3956);
  t3962 = my_piecewise3(t22, 0, 0.4e2 / 0.81e2 * t3833 * t189 * t949 - 0.1e2 / 0.9e1 * t948 * t436 * t310 - 0.1e2 / 0.9e1 * t1176 * t126 * t318 + 0.1e2 / 0.3e1 * t309 * t1187 * t126 + 0.1e2 / 0.3e1 * t1179 * t318 + 0.1e2 / 0.9e1 * t432 * t960 + 0.5e1 / 0.3e1 * t27 * t3958);
  t3971 = t7 * t1196 * t164;
  t3977 = t7 * t1203 * t164;
  t3978 = t3977 / 0.1e2;
  t3980 = t7 * t445 * t398;
  t3991 = 0.3e1 / 0.1e2 * t3926 - t3931 + 0.2e1 / 0.45e2 * t3934 + t3475 / 0.1e2 - t3479 / 0.1e2 + 0.2e1 / 0.15e2 * t3483 - t3490 + 0.3e1 / 0.2e2 * t7 * t3962 * t31 * t73 + 0.9e1 / 0.2e2 * t7 * t1192 * t164 + 0.3e1 / 0.5e1 * t3971 + 0.9e1 / 0.2e2 * t7 * t441 * t398 - t3978 + 0.3e1 / 0.1e2 * t3980 + 0.3e1 / 0.2e2 * t7 * t193 * t1132 + 0.2e1 / 0.15e2 * t3495 - t3498 / 0.1e2 + t3501 / 0.1e2 + 0.3e1 / 0.1e2 * t3863 - t3869 / 0.5e1 + 0.3e1 / 0.1e2 * t3872;
  t3992 = my_piecewise3(t2, 0, t3991);
  t4009 = 0.24e2 * t3890;
  t4011 = my_piecewise5(t16, 0, t12, 0, t3955 + t4009);
  t4015 = my_piecewise3(t83, 0, 0.4e2 / 0.81e2 * t3878 * t200 * t1140 - 0.1e2 / 0.9e1 * t1139 * t460 * t405 - 0.1e2 / 0.9e1 * t1220 * t172 * t411 + 0.1e2 / 0.3e1 * t404 * t1230 * t172 + 0.1e2 / 0.3e1 * t1223 * t411 + 0.1e2 / 0.9e1 * t456 * t1149 + 0.5e1 / 0.3e1 * t85 * t4011);
  t4022 = t7 * t1234 * t134 * t117;
  t4026 = t7 * t464 * t335 * t117;
  t4027 = t4026 / 0.1e2;
  t4030 = t7 * t203 * t987 * t117;
  t4039 = t7 * t1158 * t233;
  t4042 = t7 * t1162 * t233;
  t4043 = t4042 / 0.1e2;
  t4045 = t7 * t1166 * t233;
  t4047 = 0.3e1 / 0.2e2 * t7 * t4015 * t31 * t117 + 0.3e1 / 0.1e2 * t4022 - t4027 + 0.2e1 / 0.45e2 * t4030 + t3904 / 0.1e2 - t3908 / 0.1e2 + 0.2e1 / 0.15e2 * t3912 - t3917 + 0.3e1 / 0.2e2 * t7 * t1154 * t233 + 0.3e1 / 0.1e2 * t4039 - t4043 + 0.2e1 / 0.45e2 * t4045;
  t4048 = my_piecewise3(t78, 0, t4047);
  tv4rho41 = t1137 + t1171 + 0.3e1 * t1219 + 0.3e1 * t1259 + t8 * (t3992 + t4048);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 1] += tv4rho41;

  t4057 = t7 * t1275 * t134 * t73;
  t4061 = t7 * t495 * t335 * t73;
  t4076 = t436 * t436;
  t4089 = my_piecewise5(t12, 0, t16, 0, t3956);
  t4093 = my_piecewise3(t22, 0, 0.4e2 / 0.81e2 * t3833 * t486 * t310 - 0.4e2 / 0.27e2 * t1176 * t126 * t436 - 0.1e2 / 0.27e2 * t1262 * t318 + 0.2e2 / 0.9e1 * t309 * t4076 + 0.2e2 / 0.9e1 * t432 * t1187 - 0.1e2 / 0.27e2 * t948 * t491 * t310 + 0.2e2 / 0.9e1 * t309 * t1271 * t126 + 0.1e2 / 0.9e1 * t1267 * t318 + 0.5e1 / 0.3e1 * t27 * t4089);
  t4102 = t7 * t1280 * t164;
  t4113 = t4057 / 0.5e1 - t4061 / 0.3e2 + t3926 / 0.5e1 - 0.2e1 / 0.15e2 * t3930 + 0.4e1 / 0.45e2 * t3934 - t3479 / 0.3e2 + 0.4e1 / 0.45e2 * t3483 - t3490 + 0.3e1 / 0.2e2 * t7 * t4093 * t31 * t73 + 0.3e1 / 0.1e2 * t7 * t1276 * t164 + t4102 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t496 * t398 + 0.2e1 / 0.5e1 * t3971 - 0.2e1 / 0.15e2 * t3977 + t3980 / 0.5e1 + 0.4e1 / 0.45e2 * t3495 - t3498 / 0.3e2 - t3869 / 0.15e2;
  t4114 = my_piecewise3(t2, 0, t4113);
  t4123 = t460 * t460;
  t4136 = my_piecewise5(t16, 0, t12, 0, t4009);
  t4140 = my_piecewise3(t83, 0, 0.4e2 / 0.81e2 * t3878 * t503 * t405 - 0.4e2 / 0.27e2 * t1220 * t172 * t460 - 0.1e2 / 0.27e2 * t1292 * t411 + 0.2e2 / 0.9e1 * t404 * t4123 + 0.2e2 / 0.9e1 * t456 * t1230 - 0.1e2 / 0.27e2 * t1139 * t508 * t405 + 0.2e2 / 0.9e1 * t404 * t1301 * t172 + 0.1e2 / 0.9e1 * t1297 * t411 + 0.5e1 / 0.3e1 * t85 * t4136);
  t4147 = t7 * t1305 * t134 * t117;
  t4151 = t7 * t512 * t335 * t117;
  t4160 = t7 * t1239 * t233;
  t4163 = t7 * t1243 * t233;
  t4174 = t7 * t420 * t577;
  t4177 = t7 * t424 * t577;
  t4179 = 0.3e1 / 0.2e2 * t7 * t4140 * t31 * t117 + t4147 / 0.5e1 - t4151 / 0.3e2 + t4022 / 0.5e1 - 0.2e1 / 0.15e2 * t4026 + 0.4e1 / 0.45e2 * t4030 + 0.3e1 / 0.1e2 * t7 * t1235 * t233 + 0.2e1 / 0.5e1 * t4160 - t4163 / 0.15e2 - t3908 / 0.3e2 + 0.4e1 / 0.45e2 * t3912 - t3917 + t4039 / 0.5e1 - 0.2e1 / 0.15e2 * t4042 + 0.4e1 / 0.45e2 * t4045 + 0.3e1 / 0.2e2 * t7 * t416 * t577 + t4174 / 0.5e1 - t4177 / 0.3e2;
  t4180 = my_piecewise3(t78, 0, t4179);
  tv4rho42 = 0.2e1 * t1219 + 0.2e1 * t1259 + 0.2e1 * t1291 + 0.2e1 * t1330 + t8 * (t4114 + t4180);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 2] += tv4rho42;

  t4201 = my_piecewise5(t12, 0, t16, 0, t3955 + t3956);
  t4205 = my_piecewise3(t22, 0, 0.4e2 / 0.81e2 * t3833 * t1335 * t126 - 0.1e2 / 0.9e1 * t1262 * t436 - 0.1e2 / 0.9e1 * t1176 * t491 * t126 + 0.1e2 / 0.3e1 * t1179 * t491 + 0.1e2 / 0.3e1 * t432 * t1271 + 0.1e2 / 0.9e1 * t309 * t1342 * t126 + 0.5e1 / 0.3e1 * t27 * t4201);
  t4212 = t7 * t1346 * t134 * t73;
  t4223 = 0.3e1 / 0.2e2 * t7 * t4205 * t31 * t73 + t4212 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t1347 * t164 + 0.3e1 / 0.1e2 * t4057 - t4061 / 0.1e2 + 0.3e1 / 0.1e2 * t4102 - t3931 + 0.2e1 / 0.15e2 * t3934 - t3978 + 0.2e1 / 0.45e2 * t3483 - t3490 + 0.2e1 / 0.45e2 * t3495;
  t4224 = my_piecewise3(t2, 0, t4223);
  t4241 = my_piecewise5(t16, 0, t12, 0, -t3955 + t4009);
  t4245 = my_piecewise3(t83, 0, 0.4e2 / 0.81e2 * t3878 * t1355 * t172 - 0.1e2 / 0.9e1 * t1292 * t460 - 0.1e2 / 0.9e1 * t1220 * t508 * t172 + 0.1e2 / 0.3e1 * t1223 * t508 + 0.1e2 / 0.3e1 * t456 * t1301 + 0.1e2 / 0.9e1 * t404 * t1362 * t172 + 0.5e1 / 0.3e1 * t85 * t4241);
  t4252 = t7 * t1366 * t134 * t117;
  t4260 = t7 * t1310 * t233;
  t4269 = t7 * t469 * t577;
  t4279 = t7 * t180 * t1515;
  t4281 = 0.3e1 / 0.2e2 * t7 * t4245 * t31 * t117 + t4252 / 0.1e2 + 0.3e1 / 0.1e2 * t4147 - t4151 / 0.1e2 + 0.9e1 / 0.2e2 * t7 * t1306 * t233 + 0.3e1 / 0.1e2 * t4260 - t4027 + 0.2e1 / 0.15e2 * t4030 + 0.3e1 / 0.5e1 * t4160 - t4163 / 0.5e1 + 0.9e1 / 0.2e2 * t7 * t465 * t577 + 0.3e1 / 0.1e2 * t4269 + 0.2e1 / 0.45e2 * t3912 - t3917 - t4043 + 0.2e1 / 0.15e2 * t4045 + 0.3e1 / 0.1e2 * t4174 - t4177 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t176 * t1515 + t4279 / 0.1e2;
  t4282 = my_piecewise3(t78, 0, t4281);
  tv4rho43 = 0.3e1 * t1291 + 0.3e1 * t1330 + t1354 + t1520 + t8 * (t4224 + t4282);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 3] += tv4rho43;

  t4287 = t486 * t486;
  t4292 = t491 * t491;
  t4299 = my_piecewise5(t12, 0, t16, 0, 0.24e2 * t956 + 0.24e2 * t3847);
  t4303 = my_piecewise3(t22, 0, 0.4e2 / 0.81e2 * t3833 * t4287 - 0.2e2 / 0.9e1 * t1262 * t491 + 0.1e2 / 0.3e1 * t309 * t4292 + 0.4e2 / 0.9e1 * t432 * t1342 + 0.5e1 / 0.3e1 * t27 * t4299);
  t4312 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t4303 * t31 * t73 + 0.2e1 / 0.5e1 * t4212 - t4061 / 0.5e1 + 0.8e1 / 0.45e2 * t3934 - t3490);
  t4322 = t503 * t503;
  t4327 = t508 * t508;
  t4334 = my_piecewise5(t16, 0, t12, 0, -0.24e2 * t956 + 0.24e2 * t3890);
  t4338 = my_piecewise3(t83, 0, 0.4e2 / 0.81e2 * t3878 * t4322 - 0.2e2 / 0.9e1 * t1292 * t508 + 0.1e2 / 0.3e1 * t404 * t4327 + 0.4e2 / 0.9e1 * t456 * t1362 + 0.5e1 / 0.3e1 * t85 * t4334);
  t4356 = t38 * sigma[2] / t91 / t522 / t89;
  t4362 = 0.154e5 / 0.2187e4 * t38 * lapl[1] * t1384 - 0.10472e6 / 0.6561e4 * t4356;
  t4373 = t539 * t539;
  t4374 = t4373 * t541;
  t4375 = t220 * t4374;
  t4376 = t1780 * t1413;
  t4379 = t220 * t1775;
  t4381 = t1780 * t1781 * t558;
  t4384 = t558 * t1432;
  t4388 = t4373 * t562;
  t4391 = t541 * t112 * t227;
  t4392 = t1456 * t4391;
  t4396 = t1780 * t1781 * t562;
  t4402 = t228 * t558;
  t4403 = t1460 * t4402;
  t4406 = t1443 * t541;
  t4407 = t538 * t4406;
  t4410 = t1481 * t1795;
  t4413 = t1430 * t4384;
  t4416 = t558 * t224;
  t4419 = t553 * t1839 * t562;
  t4422 = t1430 * t4374;
  t4425 = t538 * t4374;
  t4428 = t220 * t4406;
  t4432 = t570 * t1469 * t558;
  t4435 = t1438 * t562;
  t4437 = t1492 * t4435 * params->csk_a;
  t4441 = t1481 * t1497 * t558;
  t4444 = 0.18e2 * t220 * t4416 * t4419 + 0.18e2 * t1764 * t4432 + 0.18e2 * t1776 * t4410 - 0.18e2 * t4413 * t1792 + 0.18e2 * t1835 * t4403 + 0.18e2 * t1835 * t4441 + 0.18e2 * t4425 * t4376 - 0.6e1 * t4422 * t4396 - 0.4e1 * t4407 * t671 + 0.18e2 * t4422 * t4437 + 0.4e1 * t4428 * t671;
  t4447 = t1481 * t1469 * params->csk_a;
  t4450 = t1430 * t4388;
  t4452 = t541 * t545 * t547;
  t4453 = t1456 * t4452;
  t4457 = t1481 * t1497 * t562;
  t4464 = t1438 * t558;
  t4466 = t1492 * t4464 * params->csk_a;
  t4472 = t1492 * t1507 * t541;
  t4477 = params->csk_a * t562;
  t4479 = t228 * t4477 * t558;
  t4483 = t538 * t4416 * t543;
  t4484 = t548 * t1824;
  t4490 = t541 * t541;
  t4491 = t4373 * t4490;
  t4492 = t220 * t4491;
  t4493 = t542 * t542;
  t4494 = 0.1e1 / t4493;
  t4495 = t4494 * t112;
  t4496 = t4495 * t1781;
  t4499 = t536 * t536;
  t4501 = t114 / t4499;
  t4502 = t4501 * t4491;
  t4503 = t4494 * t1436;
  t4504 = t4503 * t1493;
  t4507 = t227 * t3696;
  t4508 = t4495 * t4507;
  t4510 = t538 * t4491;
  t4513 = t220 * t4373;
  t4514 = t562 * t562;
  t4515 = t4514 * t543;
  t4516 = t4515 * t228;
  t4519 = t558 * t558;
  t4520 = t220 * t4519;
  t4528 = t4490 * t4494;
  t4529 = t4528 * t228;
  t4532 = t538 * t4373;
  t4533 = t4515 * t548;
  t4536 = 0.3e1 * t538 * t4519 * t549 - 0.18e2 * t4483 * t1825 + 0.6e1 * t4492 * t4496 + t4492 * t4508 - 0.6e1 * t4502 * t4504 - 0.7e1 * t4510 * t4508 + 0.3e1 * t4513 * t4516 + 0.6e1 * t4513 * t4529 - 0.3e1 * t4520 * t564 + 0.3e1 * t4520 * t566 + 0.3e1 * t4532 * t4533;
  t4540 = t4528 * t1439;
  t4544 = t545 * t545;
  t4545 = t546 * t546;
  t4546 = 0.1e1 / t4545;
  t4547 = t4544 * t4546;
  t4548 = t4528 * t4547;
  t4550 = my_piecewise3(t105, 0, t4362);
  t4551 = my_piecewise3(t107, t4550, 0);
  t4554 = t4528 * t548;
  t4560 = t4519 * t541;
  t4561 = t538 * t4560;
  t4564 = t1430 * t4491;
  t4565 = t1438 * t3696;
  t4566 = t4503 * t4565;
  t4572 = t4494 * t4544;
  t4573 = t4546 * t3696;
  t4574 = t4572 * t4573;
  t4577 = t4503 * t1507;
  t4580 = t4494 * t545;
  t4581 = t547 * t3696;
  t4582 = t4580 * t4581;
  t4588 = t4572 * t4546 * t1093;
  t4591 = t1780 * t1843;
  t4594 = t1481 * t1488;
  t4597 = t4580 * t1497;
  t4602 = t4580 * t571;
  t4607 = -0.18e2 * t1835 * t4594 - 0.12e2 * t4379 * t4591 - 0.6e1 * t4502 * t4574 + 0.18e2 * t4502 * t4577 - 0.7e1 * t4502 * t4582 + 0.11e2 * t4502 * t4588 + 0.7e1 * t4502 * t4597 - 0.7e1 * t4510 * t4582 + 0.7e1 * t4510 * t4602 + 0.18e2 * t4564 * t4582 - 0.18e2 * t4564 * t4602;
  t4615 = t4572 * t4546 * params->csk_a;
  t4631 = t1492 * t4435;
  t4642 = -0.4e1 * t220 * t1443 * t222 * t564 + 0.4e1 * t664 * t570 * t547 * t1443 - 0.12e2 * t4375 * t1780 * t227 * t562 - 0.6e1 * t1776 * t1492 * t4464 + 0.3e1 * t220 * t4560 * t555 - 0.6e1 * t4422 * t4631 + 0.4e1 * t4428 * t682 - 0.6e1 * t4502 * t4615 - 0.12e2 * t4564 * t4504 - 0.11e2 * t4510 * t4597 - 0.3e1 * t4561 * t555;
  t4643 = t4373 * t4514;
  t4644 = t538 * t4643;
  t4647 = t4494 * params->csk_a;
  t4648 = t4647 * t228;
  t4658 = t1481 * t1469;
  t4670 = 0.3e1 * t220 * t4643 * t555 - 0.18e2 * t4425 * t4658 + 0.11e2 * t4492 * t4648 - 0.18e2 * t4510 * t4496 + 0.6e1 * t4564 * t4496 - t4502 * t4508 + 0.6e1 * t4564 * t4508 - 0.11e2 * t4510 * t4648 - 0.6e1 * t4564 * t4577 - 0.3e1 * t4644 * t555 - 0.3e1 * t4644 * t572;
  t4674 = my_piecewise5(t104, 0, t105, 0, t4444 - 0.4e1 * t1409 + 0.4e1 * t1415 - 0.4e1 * t1426 + 0.4e1 * t1471 + 0.4e1 * t1479 - 0.5e1 * t1503 + 0.11e2 * t4532 * t4554 - 0.3e1 * t4561 * t572 + 0.12e2 * t4564 * t4566 - 0.12e2 * t4502 * t4566 - 0.18e2 * t4483 * t4484 - 0.18e2 * t4450 * t4453 + 0.18e2 * t4425 * t4457 - 0.18e2 * t4379 * t4403 - 0.4e1 * t4407 * t687 + 0.18e2 * t1776 * t4466 - 0.12e2 * t4413 * t1799 + t4642 + t4536 + t4607 - t565 - 0.12e2 * t4450 * t4472 + 0.18e2 * t4422 * t4447 - 0.6e1 * t4375 * t4396 - 0.6e1 * t1776 * t4381 - 0.6e1 * t4379 * t4381 - 0.18e2 * t4375 * t4376 + 0.18e2 * t220 * t1763 * t543 * t4479 + t4670 + 0.18e2 * t538 * t4384 * t1783 + 0.18e2 * t538 * t4388 * t4392 + 0.6e1 * t1430 * t4373 * t4540 + t4501 * t4373 * t4548 - t220 * t4551 * t229);
  t4680 = 0.2e1 / 0.5e1 * t4252 + 0.6e1 / 0.5e1 * t4260 + 0.6e1 / 0.5e1 * t4269 + 0.2e1 / 0.5e1 * t4279 - t4151 / 0.5e1 - 0.2e1 / 0.5e1 * t4163 - t4177 / 0.5e1 + 0.8e1 / 0.45e2 * t4045 + 0.8e1 / 0.45e2 * t4030 - t3917 + 0.3e1 / 0.2e2 * t7 * t4338 * t31 * t117 + 0.3e1 / 0.5e1 * t7 * t1367 * t233 + 0.9e1 / 0.1e2 * t7 * t513 * t577 + 0.3e1 / 0.5e1 * t7 * t204 * t1515 + 0.3e1 / 0.2e2 * t7 * t88 * (0.1309e5 / 0.729e3 * t4356 + t4362 * t115 + 0.4e1 * t1392 * t231 + 0.6e1 * t532 * t575 + 0.4e1 * t218 * t1513 + t103 * t4674);
  t4681 = my_piecewise3(t78, 0, t4680);
  tv4rho44 = 0.4e1 * t1354 + 0.4e1 * t1520 + t8 * (t4312 + t4681);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 4] += tv4rho44;

  t4689 = t7 * t969 * t253;
  t4695 = t7 * t976 * t253;
  t4698 = t7 * t327 * t629;
  t4705 = 0.2e1 / 0.45e2 * t7 * t988 * t253;
  t4707 = t7 * t336 * t629;
  t4710 = t7 * t135 * t1668;
  t4712 = t38 * t1000;
  t4736 = t248 * t3656;
  t4737 = t1050 * t4736;
  t4738 = t1058 * t3696;
  t4740 = t3713 * t4738 * t1018;
  t4743 = t612 * t1052;
  t4744 = t1050 * t4743;
  t4747 = t151 * t4736;
  t4749 = t3782 * t2182 * t1018;
  t4754 = t3697 * t1018 * t68 * t158;
  t4757 = t3677 * t4736;
  t4760 = t359 * t4736;
  t4763 = -0.3e1 * t4744 * t1580 + 0.12e2 * t4737 * t4740 + 0.6e1 * t4737 * t4754 + 0.6e1 * t4747 * t4749 + t4747 * t4754 - t4757 * t4754 - 0.7e1 * t4760 * t4754 + 0.4e1 * t1571 + 0.4e1 * t1577 - 0.4e1 * t1619 + 0.4e1 * t1627 - 0.4e1 * t1629 - t617;
  t4768 = t359 * t4743;
  t4773 = t1100 * t2217;
  t4778 = t1633 * t362;
  t4779 = t151 * t4778;
  t4783 = t3713 * t1124 * t1018;
  t4786 = t248 * t1018;
  t4787 = t151 * t4786;
  t4788 = t3652 * t2508;
  t4792 = t3782 * t375 * t1018;
  t4796 = t383 * t1054 * t3550;
  t4799 = t359 * t4786;
  t4800 = t369 * params->csk_a;
  t4801 = t3652 * t4800;
  t4808 = -0.3e1 * t1561 * t1035 + 0.9e1 * t4768 * t1580 + 0.9e1 * t1583 * t4773 - 0.9e1 * t4744 * t1592 + 0.6e1 * t4737 * t4749 - 0.6e1 * t4737 * t4783 + 0.11e2 * t4747 * t4792 - 0.18e2 * t4760 * t4749 - 0.11e2 * t4760 * t4792 + 0.3e1 * t4779 * t608 + 0.3e1 * t4787 * t4788 - 0.12e2 * t4787 * t4796 - 0.3e1 * t4799 * t4788 - 0.3e1 * t4799 * t4801;
  t4810 = t359 * t2259;
  t4815 = t1018 * t3656;
  t4816 = t1050 * t4815;
  t4817 = t3713 * t1613;
  t4820 = t3677 * t4815;
  t4821 = t3706 * t3230;
  t4826 = t3697 * t1018 * t366 * t368;
  t4831 = t3713 * t3243;
  t4834 = t151 * t4743;
  t4839 = t359 * t4815;
  t4840 = t3706 * t860;
  t4844 = t3706 * t1114 * t1018;
  t4847 = t612 * t360;
  t4851 = t1018 * t362;
  t4852 = t359 * t4851;
  t4853 = t1100 * t1575;
  t4857 = t1636 * t618 * t379;
  t4861 = t391 * t1648 * t383;
  t4864 = -0.9e1 * t4810 * t1100 * t602 * t379 + 0.9e1 * t151 * t4847 * t1570 - 0.9e1 * t4834 * t1557 - 0.6e1 * t1564 * t4857 + 0.9e1 * t1574 * t4861 - 0.3e1 * t4834 * t1580 - 0.7e1 * t4757 * t4826 - 0.11e2 * t4760 * t4844 - 0.12e2 * t4816 * t4817 - 0.6e1 * t4820 * t4817 + 0.7e1 * t4820 * t4821 + 0.18e2 * t4820 * t4831 + 0.7e1 * t4839 * t4840 - 0.18e2 * t4852 * t4853;
  t4869 = t359 * t4778;
  t4872 = t1058 * t612;
  t4874 = t1109 * t4872 * params->csk_a;
  t4879 = t1021 * t1045 * t68 * t158;
  t4881 = t3681 * t248;
  t4903 = -0.3e1 * t2260 * t1109 * t3627 * t248 - 0.6e1 * t4820 * t3701 * t4881 * params->csk_a + 0.3e1 * t1602 * t1035 + 0.9e1 * t4768 * t1557 + 0.9e1 * t1583 * t4874 + 0.9e1 * t4768 * t1592 + 0.18e2 * t4737 * t4826 - 0.12e2 * t4757 * t4740 - 0.7e1 * t4760 * t4826 - 0.18e2 * t4816 * t4840 - 0.3e1 * t4869 * t608 - 0.3e1 * t4869 * t624 + t606 * t4879 - t621 * t4879;
  t4909 = t391 * t392 * t1045;
  t4918 = t3701 * t3702 * t1018;
  t4921 = t1050 * t4851;
  t4928 = t2508 * t153 * t383 * t379;
  t4931 = t359 * t2509;
  t4932 = params->csk_a * t155;
  t4933 = t4932 * t379;
  t4934 = t2513 * t4933;
  t4937 = t1021 * t155;
  t4938 = t159 * t379;
  t4939 = t4937 * t4938;
  t4942 = t359 * t2473;
  t4944 = t1093 * t379 * t153;
  t4945 = t369 * t4944;
  t4948 = t4786 * t383;
  t4949 = t1050 * t4948;
  t4952 = t153 * t155;
  t4954 = t359 * t4952 * t364;
  t4955 = t2270 * t379;
  t4960 = t612 * t155 * t364;
  t4964 = -0.3e1 * t1561 * t1596 - t621 * t4909 - 0.6e1 * t4744 * t1599 + 0.11e2 * t4820 * t3701 * t4881 * t1093 - 0.6e1 * t4757 * t4918 - 0.6e1 * t4921 * t1109 * t1612 * t383 + 0.9e1 * t1623 * t4928 - 0.9e1 * t4931 * t4934 - 0.9e1 * t4931 * t4939 + 0.9e1 * t4942 * t4945 - 0.12e2 * t4949 * t3616 + 0.9e1 * t4954 * t369 * t4955 + 0.9e1 * t151 * t4960 * t1626;
  t4965 = t605 * t1054;
  t4966 = t359 * t4965;
  t4968 = t1093 * t1018 * t383;
  t4969 = t369 * t4968;
  t4972 = t151 * t2473;
  t4974 = t159 * t2239 * t379;
  t4979 = t374 * t1084 * t379;
  t4983 = t359 * t4847 * t383;
  t4987 = t1050 * t4851 * t1054;
  t4988 = t369 * t3204;
  t4995 = t359 * t4948;
  t5000 = t151 * t4965;
  t5001 = t159 * t4968;
  t5008 = t159 * params->csk_a * t1018 * t383;
  t5016 = 0.18e2 * t4987 * t1059 * t3204 + 0.9e1 * t151 * t2509 * t4979 - 0.9e1 * t4983 * t1024 - 0.9e1 * t4983 * t1041 + 0.18e2 * t4995 * t3551 - 0.6e1 * t4949 * t3569 + 0.18e2 * t4995 * t3569 - 0.18e2 * t4949 * t3637 + 0.9e1 * t4942 * t4974 + 0.18e2 * t4966 * t4969 - 0.9e1 * t4972 * t4974 + 0.18e2 * t4987 * t4988 - 0.6e1 * t5000 * t5001 - 0.18e2 * t5000 * t5008;
  t5021 = t1050 * t2259 * t1054;
  t5022 = t3203 * t379;
  t5026 = t1059 * t4944;
  t5029 = t2487 * t4938;
  t5040 = t391 * t368 * t1633;
  t5052 = t1109 * t4872;
  t5057 = -0.3e1 * t151 * t1633 * t153 * t385 + 0.9e1 * t5021 * t1059 * t5022 + 0.9e1 * t5021 * t369 * t5022 + t4820 * t3701 * t4881 + 0.3e1 * t1015 * t1649 - 0.3e1 * t1583 * t5052 + 0.3e1 * t1602 * t1662 - 0.9e1 * t2474 * t4945 - 0.6e1 * t2474 * t5026 - 0.3e1 * t2474 * t5029 + t3585 * t603 + 0.9e1 * t4942 * t5029 - 0.3e1 * t4972 * t5029 + 0.3e1 * t601 * t5040;
  t5067 = t1100 * t1648;
  t5073 = t158 * t1018;
  t5074 = t3782 * t5073;
  t5078 = t359 * t1018 * t3651;
  t5089 = t374 * t158 * t1045;
  t5092 = my_piecewise3(t61, 0, 0.616e4 / 0.2187e4 * t4712);
  t5093 = my_piecewise3(t63, t5092, 0);
  t5098 = -t151 * t248 * t1045 * t385 - 0.3e1 * t151 * t612 * t379 * t385 - t151 * t5093 * t160 + 0.6e1 * t4816 * t3713 * t1612 + 0.11e2 * t4839 * t3706 * t602 - 0.6e1 * t4834 * t1638 - 0.9e1 * t1641 * t5067 + 0.3e1 * t4787 * t3653 + 0.6e1 * t4747 * t5074 + 0.3e1 * t4779 * t619 + 0.3e1 * t5078 * t603 + t606 * t5089 - 0.3e1 * t1656 - 0.2e1 * t1660;
  t5102 = my_piecewise5(t58, 0, t61, 0, t4763 + t4808 + t4864 + t4903 + t4964 + t5016 + t5057 + t5098);
  t5109 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t965 * t253 + 0.3e1 / 0.1e2 * t4689 + 0.9e1 / 0.2e2 * t7 * t323 * t629 - t4695 / 0.1e2 + 0.3e1 / 0.5e1 * t4698 + 0.9e1 / 0.2e2 * t7 * t130 * t1668 + t4705 - t4707 / 0.1e2 + 0.3e1 / 0.1e2 * t4710 + 0.3e1 / 0.2e2 * t7 * t32 * (-0.77e3 / 0.243e3 * t4712 + 0.616e4 / 0.2187e4 * t38 * t1000 * t71 - 0.44e3 / 0.243e3 * t38 * t345 * t162 + 0.4e2 / 0.81e2 * t38 * t141 * t396 - 0.5e1 / 0.81e2 * t38 * t43 * t1130 + t1008 * t251 + 0.3e1 * t353 * t627 + 0.3e1 * t149 * t1666 + t53 * t5102));
  tv4rho3sigma0 = t8 * t5109 + 0.3e1 * t1673;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  tv4rho3sigma1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 1] += tv4rho3sigma1;

  t5116 = t7 * t1158 * t270;
  t5119 = t7 * t1162 * t270;
  t5123 = 0.2e1 / 0.45e2 * t7 * t1166 * t270;
  t5125 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1154 * t270 + 0.3e1 / 0.1e2 * t5116 - t5119 / 0.1e2 + t5123);
  tv4rho3sigma2 = t8 * t5125 + 0.3e1 * t1686;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 2] += tv4rho3sigma2;

  t5127 = 0.2e1 * t1700;
  t5133 = t7 * t1196 * t253 / 0.5e1;
  t5138 = t7 * t1203 * t253;
  t5142 = t7 * t445 * t629 / 0.5e1;
  t5151 = 0.3e1 / 0.2e2 * t7 * t1192 * t253 + t5133 + 0.3e1 / 0.1e2 * t7 * t441 * t629 - t5138 / 0.3e2 + t5142 + 0.3e1 / 0.2e2 * t7 * t193 * t1668 + t4689 / 0.1e2 - t4695 / 0.15e2 + t4698 / 0.5e1 + t4705 - t4707 / 0.15e2 + t4710 / 0.1e2;
  t5152 = my_piecewise3(t2, 0, t5151);
  tv4rho3sigma3 = t8 * t5152 + t1673 + t5127;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 3] += tv4rho3sigma3;

  tv4rho3sigma4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 4] += tv4rho3sigma4;

  t5154 = 0.2e1 * t1716;
  t5160 = t7 * t1239 * t270 / 0.5e1;
  t5162 = t7 * t1243 * t270;
  t5171 = t7 * t420 * t692 / 0.5e1;
  t5173 = t7 * t424 * t692;
  t5176 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1235 * t270 + t5160 - t5162 / 0.3e2 + t5116 / 0.1e2 - t5119 / 0.15e2 + t5123 + 0.3e1 / 0.2e2 * t7 * t416 * t692 + t5171 - t5173 / 0.3e2);
  tv4rho3sigma5 = t8 * t5176 + t1686 + t5154;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 5] += tv4rho3sigma5;

  t5182 = t7 * t1280 * t253;
  t5191 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t1276 * t253 + t5182 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t496 * t629 + t5133 - t5138 / 0.15e2 + t5142 - t4695 / 0.3e2 + t4705 - t4707 / 0.3e2);
  tv4rho3sigma6 = t8 * t5191 + t1724 + t5127;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 6] += tv4rho3sigma6;

  tv4rho3sigma7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 7] += tv4rho3sigma7;

  t5197 = t7 * t1310 * t270;
  t5204 = t7 * t469 * t692;
  t5212 = t7 * t180 * t1866;
  t5214 = 0.3e1 / 0.2e2 * t7 * t1306 * t270 + t5197 / 0.1e2 + t5160 - t5162 / 0.15e2 + 0.3e1 / 0.1e2 * t7 * t465 * t692 + t5204 / 0.5e1 - t5119 / 0.3e2 + t5123 + t5171 - t5173 / 0.15e2 + 0.3e1 / 0.2e2 * t7 * t176 * t1866 + t5212 / 0.1e2;
  t5215 = my_piecewise3(t78, 0, t5214);
  tv4rho3sigma8 = t8 * t5215 + t1871 + t5154;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 8] += tv4rho3sigma8;

  t5224 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t1347 * t253 + 0.3e1 / 0.1e2 * t5182 - t5138 / 0.1e2 + t4705);
  tv4rho3sigma9 = t8 * t5224 + 0.3e1 * t1724;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 9] += tv4rho3sigma9;

  tv4rho3sigma10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 10] += tv4rho3sigma10;

  t5241 = t38 * t1384;
  t5265 = t538 * t2599;
  t5267 = t1093 * t558 * t222;
  t5268 = t548 * t5267;
  t5271 = t675 * t1432;
  t5272 = t1430 * t5271;
  t5275 = t265 * t4490;
  t5276 = t220 * t5275;
  t5278 = t4495 * t1781 * t1402;
  t5282 = t4495 * t4507 * t1402;
  t5284 = t538 * t5275;
  t5287 = t1430 * t5275;
  t5290 = t4501 * t5275;
  t5292 = -0.3e1 * t5272 * t1783 + 0.9e1 * t5265 * t5268 + 0.6e1 * t5276 * t5278 + t5276 * t5282 - 0.7e1 * t5284 * t5282 + 0.6e1 * t5287 * t5282 - t5290 * t5282 + 0.4e1 * t1767 + 0.4e1 * t1773 - 0.4e1 * t1818 + 0.4e1 * t1826 - 0.4e1 * t1828 - t680;
  t5294 = t4503 * t4565 * t1402;
  t5297 = t1832 * t541;
  t5298 = t220 * t5297;
  t5301 = t1402 * t4490;
  t5302 = t4501 * t5301;
  t5304 = t4580 * t665 * t1093;
  t5311 = t265 * t1402;
  t5312 = t538 * t5311;
  t5313 = t548 * params->csk_a;
  t5314 = t4515 * t5313;
  t5319 = t4647 * t1402 * t112 * t227;
  t5324 = t220 * t5311;
  t5325 = t4515 * t2637;
  t5328 = t1402 * t541;
  t5329 = t538 * t5328;
  t5334 = t562 * t1434 * t4391;
  t5343 = t538 * t5271;
  t5346 = -0.6e1 * t5287 * t4503 * t1507 * t1402 - 0.18e2 * t5329 * t1481 * t1765 + 0.9e1 * t5343 * t1783 + 0.11e2 * t5276 * t5319 - 0.18e2 * t5284 * t5278 + 0.6e1 * t5287 * t5278 - 0.11e2 * t5284 * t5319 + 0.12e2 * t5287 * t5294 + 0.3e1 * t5298 * t671 + 0.7e1 * t5302 * t5304 - 0.3e1 * t5312 * t5314 - 0.3e1 * t5312 * t5325 + 0.3e1 * t5324 * t5325 - 0.12e2 * t5324 * t5334;
  t5348 = t1430 * t5301;
  t5349 = t4580 * t888;
  t5352 = t538 * t5297;
  t5357 = t1481 * t2325;
  t5362 = t220 * t5271;
  t5365 = t538 * t5301;
  t5369 = t4580 * t1497 * t1402;
  t5373 = t570 * t1856 * t562;
  t5380 = t1405 * t1443 * t112 * t227;
  t5384 = t4503 * t1803;
  t5387 = t4503 * t3301;
  t5390 = -0.3e1 * t1757 * t1419 - 0.9e1 * t5362 * t1753 + 0.9e1 * t1764 * t5373 + 0.9e1 * t1776 * t5357 - 0.9e1 * t5272 * t1792 - 0.11e2 * t5284 * t5369 - 0.12e2 * t5290 * t5294 - 0.6e1 * t5302 * t5384 + 0.18e2 * t5302 * t5387 - 0.18e2 * t5348 * t5349 + 0.7e1 * t5365 * t5349 - 0.3e1 * t5352 * t671 - 0.3e1 * t5352 * t687 - t684 * t5380;
  t5394 = t4580 * t4581 * t1402;
  t5401 = t1430 * t5328;
  t5406 = t538 * t2408;
  t5413 = t675 * t539;
  t5418 = t1780 * t681 * t558;
  t5431 = t570 * t571 * t1443;
  t5433 = -0.3e1 * t5362 * t1783 - 0.7e1 * t5284 * t5394 + 0.18e2 * t5287 * t5394 - 0.7e1 * t5290 * t5394 - 0.6e1 * t5401 * t1492 * t1802 * t562 - 0.9e1 * t5406 * t1481 * t665 * t558 - 0.12e2 * t5348 * t5384 + 0.9e1 * t220 * t5413 * t1772 - 0.6e1 * t1760 * t5418 + 0.9e1 * t5343 * t1753 - 0.3e1 * t2409 * t1492 * t4464 * t265 + t669 * t5380 - 0.3e1 * t1757 * t1796 - t684 * t5431;
  t5438 = t4546 * t265;
  t5444 = t4572 * t4573 * t1402;
  t5447 = t1438 * t675;
  t5449 = t1492 * t5447 * params->csk_a;
  t5460 = t222 * t562;
  t5461 = t5460 * t558;
  t5465 = t538 * t2638;
  t5466 = params->csk_a * t224;
  t5467 = t5466 * t558;
  t5468 = t2629 * t5467;
  t5471 = t1405 * t224;
  t5472 = t5471 * t4402;
  t5475 = t668 * t1434;
  t5476 = t220 * t5475;
  t5479 = t228 * params->csk_a * t1402 * t562;
  t5482 = t5311 * t562;
  t5483 = t538 * t5482;
  t5484 = t1460 * t4391;
  t5489 = 0.11e2 * t5302 * t4572 * t5438 * t1093 - 0.6e1 * t5302 * t4572 * t5438 * params->csk_a + 0.9e1 * t1822 * t2637 * t5461 + 0.3e1 * t1807 * t1419 + 0.9e1 * t1776 * t5449 + 0.9e1 * t5343 * t1792 - 0.6e1 * t5272 * t1799 + 0.18e2 * t5483 * t4392 - 0.6e1 * t5290 * t5444 - 0.9e1 * t5465 * t5468 - 0.9e1 * t5465 * t5472 - 0.18e2 * t5476 * t5479 + 0.18e2 * t5483 * t5484;
  t5490 = t1430 * t5482;
  t5494 = t1093 * t1402 * t562;
  t5495 = t228 * t5494;
  t5503 = t1430 * t2408 * t1434;
  t5504 = t3274 * t558;
  t5508 = t1439 * t5267;
  t5511 = t1093 * t222;
  t5512 = t5511 * t4402;
  t5520 = t220 * t2599;
  t5525 = t222 * t224;
  t5527 = t538 * t5525 * t543;
  t5528 = t2419 * t558;
  t5533 = t1430 * t5328 * t1434;
  t5539 = t553 * t1477 * t558;
  t5542 = 0.18e2 * t5533 * t1439 * t3278 + 0.9e1 * t5503 * t1439 * t5504 + 0.9e1 * t220 * t2638 * t5539 + 0.9e1 * t5503 * t548 * t5504 + 0.9e1 * t5527 * t548 * t5528 - 0.9e1 * t2600 * t5268 - 0.6e1 * t2600 * t5508 - 0.3e1 * t2600 * t5512 - 0.6e1 * t5490 * t4392 - 0.18e2 * t5490 * t4453 - 0.12e2 * t5490 * t4472 + 0.9e1 * t5265 * t5512 - 0.6e1 * t5476 * t5495 - 0.3e1 * t5520 * t5512;
  t5545 = t538 * t5413 * t562;
  t5548 = t2385 * t4402;
  t5554 = t675 * t224 * t543;
  t5559 = t548 * t5494;
  t5564 = t548 * t3278;
  t5568 = t4495 * t227 * t1402;
  t5572 = t538 * t1402 * t4514;
  t5585 = 0.9e1 * t220 * t5554 * t1825 + 0.11e2 * t5365 * t4580 * t665 + 0.18e2 * t538 * t5475 * t5559 + 0.3e1 * t1399 * t1857 - 0.9e1 * t5545 * t1408 - 0.9e1 * t5545 * t1425 + t4407 * t666 + 0.3e1 * t5324 * t4516 + 0.9e1 * t5265 * t5548 + 0.6e1 * t5276 * t5568 + 0.3e1 * t5298 * t682 - 0.9e1 * t5520 * t5548 + 0.18e2 * t5533 * t5564 + 0.3e1 * t5572 * t666;
  t5586 = t1492 * t5447;
  t5596 = t553 * t227 * t1443;
  t5610 = t570 * t547 * t1832;
  t5613 = t1481 * t1856;
  t5620 = my_piecewise3(t105, 0, 0.616e4 / 0.2187e4 * t5241);
  t5621 = my_piecewise3(t107, t5620, 0);
  t5626 = -t220 * t265 * t1443 * t564 - 0.3e1 * t220 * t1832 * t222 * t564 - 0.3e1 * t220 * t675 * t558 * t564 + 0.6e1 * t5348 * t4503 * t1802 - t220 * t5621 * t229 + t5302 * t4572 * t5438 - 0.3e1 * t1776 * t5586 + 0.3e1 * t1807 * t1844 - 0.9e1 * t1835 * t5613 - 0.6e1 * t5362 * t1840 + t669 * t5596 + 0.3e1 * t664 * t5610 - 0.2e1 * t1848 - 0.3e1 * t1851;
  t5630 = my_piecewise5(t104, 0, t105, 0, t5292 + t5346 + t5390 + t5433 + t5489 + t5542 + t5585 + t5626);
  t5637 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1367 * t270 + 0.3e1 / 0.1e2 * t5197 + 0.9e1 / 0.2e2 * t7 * t513 * t692 - t5162 / 0.1e2 + 0.3e1 / 0.5e1 * t5204 + 0.9e1 / 0.2e2 * t7 * t204 * t1866 + t5123 - t5173 / 0.1e2 + 0.3e1 / 0.1e2 * t5212 + 0.3e1 / 0.2e2 * t7 * t88 * (-0.77e3 / 0.243e3 * t5241 + 0.616e4 / 0.2187e4 * t38 * t1384 * t115 - 0.44e3 / 0.243e3 * t38 * t524 * t231 + 0.4e2 / 0.81e2 * t38 * t210 * t575 - 0.5e1 / 0.81e2 * t38 * t93 * t1513 + t1392 * t268 + 0.3e1 * t532 * t690 + 0.3e1 * t218 * t1864 + t103 * t5630));
  tv4rho3sigma11 = t8 * t5637 + 0.3e1 * t1871;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 11] += tv4rho3sigma11;

  t5644 = t7 * t969 * t286;
  t5650 = t7 * t976 * t286;
  t5653 = t7 * t327 * t731;
  t5660 = 0.2e1 / 0.45e2 * t7 * t988 * t286;
  t5662 = t7 * t336 * t731;
  t5665 = t7 * t135 * t1987;
  t5683 = t281 * t1018;
  t5684 = t5683 * t383;
  t5685 = t1050 * t5684;
  t5688 = t713 * t1054;
  t5689 = t151 * t5688;
  t5692 = t359 * t5684;
  t5697 = t2747 * params->csk_a;
  t5698 = t369 * t5697;
  t5707 = 0.9e1 * t2480 * t4945 + 0.9e1 * t2480 * t4974 + 0.18e2 * t5692 * t3551 - 0.6e1 * t5685 * t3569 + 0.18e2 * t5692 * t3569 - 0.18e2 * t5685 * t3637 + 0.18e2 * t4987 * t5698 - 0.6e1 * t5689 * t5001 + 0.4e1 * t1910 + 0.4e1 * t1914 - 0.4e1 * t1947 + 0.4e1 * t1952 - 0.4e1 * t1954;
  t5723 = t718 * t360;
  t5725 = t359 * t5723 * t383;
  t5730 = t2475 * t379;
  t5731 = t369 * t5730;
  t5735 = t718 * t155 * t364;
  t5736 = t151 * t5735;
  t5739 = t359 * t5688;
  t5745 = t369 * t2747 * t379;
  t5748 = t1059 * t5697;
  t5751 = 0.9e1 * t1050 * t3560 * t1054 * t2477 + 0.9e1 * t151 * t2469 * t4979 - 0.9e1 * t5725 * t1041 + 0.9e1 * t5736 * t1626 - 0.3e1 * t2459 * t5029 + 0.9e1 * t2480 * t5029 - 0.9e1 * t2496 * t4974 - 0.3e1 * t2496 * t5029 - 0.12e2 * t5685 * t3616 + 0.9e1 * t4954 * t5745 + 0.18e2 * t5739 * t4969 + 0.18e2 * t4987 * t5748 - 0.18e2 * t5689 * t5008 + 0.9e1 * t5021 * t5731;
  t5759 = t281 * t3656;
  t5760 = t359 * t5759;
  t5763 = t1050 * t5759;
  t5766 = t718 * t1052;
  t5767 = t359 * t5766;
  t5770 = t1050 * t5766;
  t5773 = t151 * t5759;
  t5781 = t3677 * t5759;
  t5783 = t1958 * t362;
  t5784 = t151 * t5783;
  t5788 = t3706 * t710 * t1093;
  t5791 = -0.9e1 * t5725 * t1024 + 0.9e1 * t5767 * t1580 - 0.3e1 * t5770 * t1580 - 0.9e1 * t2459 * t4945 - 0.6e1 * t2459 * t5026 - 0.18e2 * t5760 * t4749 + 0.6e1 * t5763 * t4749 + 0.6e1 * t5773 * t4749 - 0.7e1 * t5760 * t4754 + 0.6e1 * t5763 * t4754 + t5773 * t4754 - t5781 * t4754 + 0.7e1 * t4820 * t5788 + 0.3e1 * t5784 * t608;
  t5794 = t359 * t5683;
  t5801 = t151 * t5683;
  t5806 = t1100 * t1908;
  t5811 = t359 * t5783;
  t5816 = t1100 * t2737;
  t5821 = t151 * t5766;
  t5824 = t3706 * t1916;
  t5827 = -0.3e1 * t1902 * t1035 - 0.9e1 * t5821 * t1557 + 0.9e1 * t1583 * t5816 - 0.9e1 * t5770 * t1592 + 0.12e2 * t5763 * t4740 - 0.6e1 * t5763 * t4783 - 0.3e1 * t5794 * t4788 + 0.3e1 * t5801 * t4788 - 0.11e2 * t5760 * t4792 + 0.11e2 * t5773 * t4792 - 0.3e1 * t5794 * t4801 + 0.7e1 * t4839 * t5824 - 0.18e2 * t4852 * t5806 - 0.3e1 * t5811 * t608;
  t5835 = t391 * t1971 * t383;
  t5844 = t3681 * t281;
  t5846 = t3701 * t5844 * t1093;
  t5855 = t1058 * t718;
  t5857 = t1109 * t5855 * params->csk_a;
  t5861 = t3701 * t5844 * params->csk_a;
  t5868 = -0.3e1 * t2260 * t1109 * t3627 * t281 + 0.9e1 * t5767 * t1557 + 0.9e1 * t1574 * t5835 + 0.9e1 * t1583 * t5857 - 0.6e1 * t5770 * t1599 - 0.6e1 * t1905 * t4857 - 0.18e2 * t4816 * t5824 + 0.11e2 * t4820 * t5846 - 0.6e1 * t4820 * t5861 - 0.7e1 * t5760 * t4826 + 0.18e2 * t5763 * t4826 - 0.11e2 * t5760 * t4844 - 0.6e1 * t5781 * t4918;
  t5872 = t1109 * t1931 * t383;
  t5876 = t1100 * t710 * t379;
  t5879 = t3713 * t1932;
  t5888 = t3713 * t1931 * t1093;
  t5905 = -0.12e2 * t714 * t1636 * t5073 * t383 + 0.9e1 * t151 * t5723 * t1570 + 0.3e1 * t1936 * t1035 - 0.3e1 * t5821 * t1580 + 0.9e1 * t5767 * t1592 - 0.9e1 * t4810 * t5876 - 0.12e2 * t4816 * t5879 - 0.6e1 * t4820 * t5879 + 0.18e2 * t4820 * t5888 - 0.7e1 * t5781 * t4826 + t714 * t4879 - t725 * t4879 - 0.6e1 * t4921 * t5872 - 0.3e1 * t5811 * t624;
  t5912 = t359 * t2469;
  t5919 = t3713 * t1931;
  t5939 = -t151 * t281 * t1045 * t385 - 0.3e1 * t151 * t718 * t379 * t385 - 0.3e1 * t1902 * t1596 + 0.3e1 * t1936 * t1662 + 0.9e1 * t1951 * t4928 + 0.3e1 * t5801 * t3653 - 0.12e2 * t5781 * t4740 + 0.6e1 * t4816 * t5919 - t725 * t4909 - 0.9e1 * t5912 * t4934 - 0.9e1 * t5912 * t4939 + 0.6e1 * t5773 * t5074 + 0.3e1 * t5078 * t711 + 0.3e1 * t5784 * t619;
  t5945 = t391 * t368 * t1958;
  t5948 = t1109 * t5855;
  t5951 = t3701 * t5844;
  t5959 = t3706 * t710;
  t5962 = t1100 * t1971;
  t5966 = my_piecewise3(t61, 0, -0.11e4 / 0.729e3 * t1539);
  t5967 = my_piecewise3(t63, t5966, 0);
  t5972 = -0.3e1 * t151 * t1958 * t153 * t385 - t151 * t5967 * t160 + 0.3e1 * t1015 * t1972 - 0.3e1 * t1583 * t5948 - 0.6e1 * t5821 * t1638 - 0.9e1 * t1641 * t5962 + t3585 * t711 + t4820 * t5951 + 0.11e2 * t4839 * t5959 + t714 * t5089 + 0.3e1 * t601 * t5945 - 0.2e1 * t1968 - 0.3e1 * t1979 - t723;
  t5976 = my_piecewise5(t58, 0, t61, 0, t5707 + t5751 + t5791 + t5827 + t5868 + t5905 + t5939 + t5972);
  t5983 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t965 * t286 + 0.3e1 / 0.1e2 * t5644 + 0.9e1 / 0.2e2 * t7 * t323 * t731 - t5650 / 0.1e2 + 0.3e1 / 0.5e1 * t5653 + 0.9e1 / 0.2e2 * t7 * t130 * t1987 + t5660 - t5662 / 0.1e2 + 0.3e1 / 0.1e2 * t5665 + 0.3e1 / 0.2e2 * t7 * t32 * (-0.11e4 / 0.729e3 * t1542 + 0.1e3 / 0.81e2 * t1545 - 0.25e2 / 0.54e2 * t1548 + 0.5e1 / 0.54e2 * t38 * t48 * t1130 + t1008 * t284 + 0.3e1 * t353 * t729 + 0.3e1 * t149 * t1985 + t53 * t5976));
  tv4rho3lapl0 = t8 * t5983 + 0.3e1 * t1992;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 0] += tv4rho3lapl0;

  t5990 = t7 * t1158 * t302;
  t5993 = t7 * t1162 * t302;
  t5997 = 0.2e1 / 0.45e2 * t7 * t1166 * t302;
  t5999 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1154 * t302 + 0.3e1 / 0.1e2 * t5990 - t5993 / 0.1e2 + t5997);
  tv4rho3lapl1 = t8 * t5999 + 0.3e1 * t2005;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 1] += tv4rho3lapl1;

  t6001 = 0.2e1 * t2019;
  t6007 = t7 * t1196 * t286 / 0.5e1;
  t6012 = t7 * t1203 * t286;
  t6016 = t7 * t445 * t731 / 0.5e1;
  t6025 = 0.3e1 / 0.2e2 * t7 * t1192 * t286 + t6007 + 0.3e1 / 0.1e2 * t7 * t441 * t731 - t6012 / 0.3e2 + t6016 + 0.3e1 / 0.2e2 * t7 * t193 * t1987 + t5644 / 0.1e2 - t5650 / 0.15e2 + t5653 / 0.5e1 + t5660 - t5662 / 0.15e2 + t5665 / 0.1e2;
  t6026 = my_piecewise3(t2, 0, t6025);
  tv4rho3lapl2 = t8 * t6026 + t1992 + t6001;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 2] += tv4rho3lapl2;

  t6028 = 0.2e1 * t2035;
  t6034 = t7 * t1239 * t302 / 0.5e1;
  t6036 = t7 * t1243 * t302;
  t6045 = t7 * t420 * t782 / 0.5e1;
  t6047 = t7 * t424 * t782;
  t6050 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1235 * t302 + t6034 - t6036 / 0.3e2 + t5990 / 0.1e2 - t5993 / 0.15e2 + t5997 + 0.3e1 / 0.2e2 * t7 * t416 * t782 + t6045 - t6047 / 0.3e2);
  tv4rho3lapl3 = t8 * t6050 + t2005 + t6028;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 3] += tv4rho3lapl3;

  t6056 = t7 * t1280 * t286;
  t6065 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t1276 * t286 + t6056 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t496 * t731 + t6007 - t6012 / 0.15e2 + t6016 - t5650 / 0.3e2 + t5660 - t5662 / 0.3e2);
  tv4rho3lapl4 = t8 * t6065 + t2043 + t6001;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 4] += tv4rho3lapl4;

  t6071 = t7 * t1310 * t302;
  t6078 = t7 * t469 * t782;
  t6086 = t7 * t180 * t2152;
  t6088 = 0.3e1 / 0.2e2 * t7 * t1306 * t302 + t6071 / 0.1e2 + t6034 - t6036 / 0.15e2 + 0.3e1 / 0.1e2 * t7 * t465 * t782 + t6078 / 0.5e1 - t5993 / 0.3e2 + t5997 + t6045 - t6047 / 0.15e2 + 0.3e1 / 0.2e2 * t7 * t176 * t2152 + t6086 / 0.1e2;
  t6089 = my_piecewise3(t78, 0, t6088);
  tv4rho3lapl5 = t8 * t6089 + t2157 + t6028;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 5] += tv4rho3lapl5;

  t6098 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t1347 * t286 + 0.3e1 / 0.1e2 * t6056 - t6012 / 0.1e2 + t5660);
  tv4rho3lapl6 = t8 * t6098 + 0.3e1 * t2043;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 6] += tv4rho3lapl6;

  t6131 = t297 * t1402;
  t6132 = t220 * t6131;
  t6135 = t538 * t6131;
  t6140 = t297 * t4490;
  t6141 = t538 * t6140;
  t6144 = t1430 * t6140;
  t6148 = t4580 * t761 * t1093;
  t6151 = t4501 * t6140;
  t6154 = t769 * t1432;
  t6155 = t220 * t6154;
  t6158 = -0.9e1 * t6155 * t1753 + 0.7e1 * t5302 * t6148 - 0.3e1 * t6135 * t5314 - 0.11e2 * t6141 * t5319 - 0.3e1 * t6135 * t5325 - 0.12e2 * t6132 * t5334 + 0.18e2 * t6144 * t5394 - 0.7e1 * t6151 * t5394 + 0.4e1 * t2075 + 0.4e1 * t2079 - 0.4e1 * t2112 + 0.4e1 * t2117 - 0.4e1 * t2119;
  t6159 = t4580 * t2086;
  t6164 = t538 * t6154;
  t6169 = t2123 * t541;
  t6170 = t538 * t6169;
  t6175 = t1430 * t6154;
  t6179 = t1481 * t761 * t558;
  t6186 = t1438 * t769;
  t6188 = t1492 * t6186 * params->csk_a;
  t6191 = t4546 * t297;
  t6193 = t4572 * t6191 * params->csk_a;
  t6196 = t220 * t6169;
  t6199 = t4503 * t2091;
  t6204 = -0.3e1 * t2409 * t1492 * t4464 * t297 - 0.3e1 * t2067 * t1419 + 0.9e1 * t6164 * t1753 + 0.9e1 * t1776 * t6188 - 0.9e1 * t6175 * t1792 - 0.6e1 * t5302 * t6193 + 0.3e1 * t6132 * t5325 - 0.18e2 * t5348 * t6159 - 0.12e2 * t5348 * t6199 + 0.7e1 * t5365 * t6159 - 0.11e2 * t6141 * t5369 - 0.9e1 * t5406 * t6179 - 0.3e1 * t6170 * t671 + 0.3e1 * t6196 * t671;
  t6206 = t220 * t6140;
  t6232 = 0.9e1 * t6164 * t1783 - 0.3e1 * t6175 * t1783 - 0.3e1 * t2067 * t1796 - 0.18e2 * t6141 * t5278 + 0.6e1 * t6144 * t5278 + 0.6e1 * t6206 * t5278 + t6206 * t5282 + 0.12e2 * t6144 * t5294 - 0.12e2 * t6151 * t5294 - 0.6e1 * t5302 * t6199 + 0.11e2 * t6206 * t5319 + t765 * t5380 - t776 * t5431 - 0.6e1 * t6151 * t5444;
  t6237 = t4503 * t2090 * t1093;
  t6243 = t4572 * t6191 * t1093;
  t6257 = t570 * t2128 * t562;
  t6261 = t1492 * t2090 * t562;
  t6264 = t769 * t539;
  t6270 = 0.9e1 * t220 * t6264 * t1772 + 0.3e1 * t2095 * t1419 + 0.9e1 * t1764 * t6257 - 0.3e1 * t6155 * t1783 + 0.9e1 * t6164 * t1792 - 0.6e1 * t6175 * t1799 - 0.6e1 * t2070 * t5418 - 0.7e1 * t6141 * t5282 + 0.18e2 * t5302 * t6237 + 0.11e2 * t5302 * t6243 - t776 * t5380 - 0.7e1 * t6141 * t5394 - 0.6e1 * t5401 * t6261 - 0.3e1 * t6170 * t687;
  t6278 = t1481 * t2834;
  t6281 = t6264 * t562;
  t6285 = t538 * t6281;
  t6292 = t6131 * t562;
  t6293 = t538 * t6292;
  t6296 = t764 * t1434;
  t6297 = t220 * t6296;
  t6302 = t1430 * t6292;
  t6307 = 0.9e1 * t220 * t6281 * t1408 - 0.9e1 * t6285 * t1408 + 0.9e1 * t1776 * t6278 - 0.9e1 * t2609 * t5548 + 0.9e1 * t2613 * t5548 + 0.18e2 * t6293 * t4392 - 0.6e1 * t6302 * t4392 + 0.6e1 * t6144 * t5282 - t6151 * t5282 - 0.6e1 * t5348 * t6237 - 0.18e2 * t6297 * t5479 + 0.18e2 * t6293 * t5484 - 0.6e1 * t6297 * t5495;
  t6316 = t1430 * t4384 * t1434;
  t6333 = t2859 * params->csk_a;
  t6334 = t1439 * t6333;
  t6341 = 0.9e1 * t2116 * t228 * t5461 - 0.9e1 * t6285 * t1425 - 0.9e1 * t2589 * t5268 - 0.6e1 * t2589 * t5508 - 0.3e1 * t2589 * t5512 + 0.9e1 * t4483 * t2596 + 0.9e1 * t6316 * t2603 + 0.9e1 * t6316 * t2606 - 0.3e1 * t2609 * t5512 + 0.9e1 * t2613 * t5268 + 0.9e1 * t2613 * t5512 - 0.18e2 * t6302 * t4453 - 0.12e2 * t6302 * t4472 + 0.18e2 * t5533 * t6334;
  t6343 = t538 * t6296;
  t6346 = t548 * t6333;
  t6349 = t1481 * t2077;
  t6352 = t2138 * t562;
  t6356 = t538 * t6352;
  t6371 = t4580 * t761;
  t6376 = t1481 * t2128;
  t6379 = t4503 * t2090;
  t6382 = -0.3e1 * t220 * t769 * t558 * t564 + 0.9e1 * t220 * t6352 * t2634 - 0.9e1 * t1835 * t6376 - 0.9e1 * t6356 * t2630 - 0.9e1 * t6356 * t2634 + 0.3e1 * t6132 * t4516 - 0.18e2 * t5329 * t6349 + 0.6e1 * t5348 * t6379 + 0.11e2 * t5365 * t6371 + 0.18e2 * t5533 * t6346 + 0.18e2 * t6343 * t5559 + 0.6e1 * t6206 * t5568 + 0.3e1 * t5572 * t762 + 0.3e1 * t6196 * t682;
  t6395 = t570 * t547 * t2123;
  t6398 = t1492 * t6186;
  t6401 = t4572 * t6191;
  t6408 = my_piecewise3(t105, 0, -0.11e4 / 0.729e3 * t1735);
  t6409 = my_piecewise3(t107, t6408, 0);
  t6414 = -t220 * t297 * t1443 * t564 - 0.3e1 * t220 * t2123 * t222 * t564 - t220 * t6409 * t229 + 0.3e1 * t1399 * t2129 - 0.3e1 * t1776 * t6398 - 0.6e1 * t6155 * t1840 + 0.3e1 * t2095 * t1844 + t4407 * t762 + t5302 * t6401 + t765 * t5596 + 0.3e1 * t664 * t6395 - 0.3e1 * t2136 - 0.2e1 * t2140 - t774;
  t6418 = my_piecewise5(t104, 0, t105, 0, t6158 + t6204 + t6232 + t6270 + t6307 + t6341 + t6382 + t6414);
  t6425 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t1367 * t302 + 0.3e1 / 0.1e2 * t6071 + 0.9e1 / 0.2e2 * t7 * t513 * t782 - t6036 / 0.1e2 + 0.3e1 / 0.5e1 * t6078 + 0.9e1 / 0.2e2 * t7 * t204 * t2152 + t5997 - t6047 / 0.1e2 + 0.3e1 / 0.1e2 * t6086 + 0.3e1 / 0.2e2 * t7 * t88 * (-0.11e4 / 0.729e3 * t1738 + 0.1e3 / 0.81e2 * t1741 - 0.25e2 / 0.54e2 * t1744 + 0.5e1 / 0.54e2 * t38 * t98 * t1513 + t1392 * t300 + 0.3e1 * t532 * t780 + 0.3e1 * t218 * t2150 + t103 * t6418));
  tv4rho3lapl7 = t8 * t6425 + 0.3e1 * t2157;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 7] += tv4rho3lapl7;

  tv4rho3tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 0] += tv4rho3tau0;

  tv4rho3tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 1] += tv4rho3tau1;

  tv4rho3tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 2] += tv4rho3tau2;

  tv4rho3tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 3] += tv4rho3tau3;

  tv4rho3tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 4] += tv4rho3tau4;

  tv4rho3tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 5] += tv4rho3tau5;

  tv4rho3tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 6] += tv4rho3tau6;

  tv4rho3tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 7] += tv4rho3tau7;

  t6432 = t7 * t327 * t811;
  t6439 = t7 * t336 * t811 / 0.3e2;
  t6441 = t7 * t135 * t2287;
  t6455 = 0.2e1 * t2197;
  t6456 = 0.2e1 * t2199;
  t6457 = 0.2e1 * t2202;
  t6463 = t792 * t3656;
  t6464 = t1050 * t6463;
  t6465 = t392 * t360;
  t6466 = t3706 * t6465;
  t6469 = t151 * t6463;
  t6471 = t3782 * t2182 * t360;
  t6474 = t3677 * t6463;
  t6476 = t3706 * t1114 * t360;
  t6480 = t3713 * t4738 * t360;
  t6483 = t360 * t3656;
  t6484 = t1050 * t6483;
  t6486 = t3713 * t2261 * params->csk_a;
  t6489 = t792 * t360;
  t6494 = t3782 * t375 * t360;
  t6497 = t792 * t3651;
  t6498 = t359 * t6497;
  t6499 = t391 * t6465;
  t6502 = 0.3e1 * t151 * t6489 * t4788 - 0.18e2 * t6464 * t6466 + 0.6e1 * t6469 * t6471 + 0.11e2 * t6469 * t6494 + 0.7e1 * t6474 * t6476 - 0.12e2 * t6474 * t6480 - 0.12e2 * t6484 * t6486 - 0.3e1 * t6498 * t6499 + 0.4e1 * t2207 + 0.4e1 * t2226 - 0.4e1 * t2241 + 0.4e1 * t2247 - 0.4e1 * t2251 + t6455 - t6456 - t6457;
  t6504 = t1636 * t1637 * t362;
  t6507 = t359 * t6463;
  t6514 = t799 * t1052;
  t6515 = t151 * t6514;
  t6517 = 0.3e1 * t6515 * t1557;
  t6518 = t359 * t6514;
  t6520 = 0.3e1 * t6518 * t1557;
  t6521 = t1021 * t1556;
  t6524 = t3713 * t1598;
  t6527 = t2198 * t1035;
  t6528 = t1050 * t6514;
  t6530 = 0.3e1 * t6528 * t1592;
  t6533 = t359 * t6483;
  t6534 = t368 * t792;
  t6535 = t6534 * params->csk_a;
  t6536 = t3706 * t6535;
  t6545 = t3706 * t6534 * t1093;
  t6548 = t368 * t3696;
  t6550 = t3706 * t6548 * t360;
  t6553 = 0.3e1 * t2173 * t3590 - t2181 * t3581 - 0.3e1 * t2181 * t3645 - 0.12e2 * t2204 * t6504 + 0.6e1 * t6464 * t6471 - 0.6e1 * t6464 * t6524 - 0.18e2 * t6507 * t6471 + 0.18e2 * t6474 * t6524 - 0.11e2 * t6507 * t6494 - 0.3e1 * t6498 * t6521 - 0.7e1 * t6507 * t6550 + 0.7e1 * t6533 * t6536 - 0.11e2 * t6533 * t6545 - t6517 + t6520 - t6527 - t6530;
  t6564 = t3677 * t6483;
  t6565 = t3681 * t792;
  t6570 = t1058 * t799;
  t6572 = t1109 * t6570 * params->csk_a;
  t6574 = 0.3e1 * t1583 * t6572;
  t6576 = t1109 * t1124 * t379;
  t6584 = t3701 * t3702 * t360;
  t6595 = t3697 * t1556;
  t6603 = 0.11e2 * t6564 * t3701 * t6565 * t1093 - 0.12e2 * t4810 * t1100 * t602 * t612 - 0.4e1 * t2260 * t1109 * t1612 * t612 - 0.6e1 * t6564 * t3701 * t6565 * params->csk_a - t2173 * t3581 - 0.3e1 * t2173 * t3624 - 0.2e1 * t2173 * t6576 + 0.3e1 * t2186 * t3581 + 0.3e1 * t2186 * t3645 + 0.18e2 * t6464 * t6550 + 0.6e1 * t6464 * t6595 - 0.7e1 * t6474 * t6550 - 0.6e1 * t6474 * t6584 - t6474 * t6595 - 0.7e1 * t6507 * t6595 + t6574;
  t6605 = t391 * t392 * t1633;
  t6610 = t2198 * t1596;
  t6612 = 0.2e1 * t6528 * t1599;
  t6616 = t1100 * t6534 * t383;
  t6620 = t1021 * t159 * t1633;
  t6623 = t2196 * t1035;
  t6625 = 0.3e1 * t6518 * t1592;
  t6626 = t6515 * t1580;
  t6628 = 0.3e1 * t6518 * t1580;
  t6629 = t6528 * t1580;
  t6634 = t1100 * t3061;
  t6636 = 0.3e1 * t1583 * t6634;
  t6640 = 0.3e1 * t2173 * t3629 + 0.3e1 * t2204 * t4979 + 0.3e1 * t2222 * t3620 - 0.18e2 * t389 * t6616 - 0.2e1 * t621 * t6605 - 0.2e1 * t621 * t6620 + 0.12e2 * t6464 * t6480 + t6469 * t6595 - 0.6e1 * t6564 * t6486 - t6610 - t6612 + t6623 + t6625 - t6626 + t6628 - t6629 + t6636;
  t6647 = t1050 * t372;
  t6653 = t391 * t2264 * t383;
  t6655 = 0.3e1 * t1574 * t6653;
  t6656 = t799 * t360;
  t6659 = 0.3e1 * t151 * t6656 * t1570;
  t6661 = t1636 * t2253 * t153;
  t6664 = t795 * t1054;
  t6665 = t1050 * t6664;
  t6666 = t1093 * t360;
  t6667 = t6666 * t383;
  t6668 = t1059 * t6667;
  t6673 = t151 * t6664;
  t6674 = t159 * t6667;
  t6677 = t6656 * t383;
  t6680 = 0.3e1 * t151 * t6677 * t1024;
  t6681 = t359 * t6664;
  t6690 = t359 * t6677;
  t6692 = 0.3e1 * t6690 * t1024;
  t6693 = t612 * params->csk_a;
  t6694 = t6693 * t153;
  t6695 = t159 * t6694;
  t6698 = -0.6e1 * t6647 * t1109 * t2261 * t383 - 0.8e1 * t1564 * t6661 - 0.18e2 * t6673 * t1626 + 0.18e2 * t6681 * t1626 + 0.3e1 * t2186 * t3624 + 0.18e2 * t6665 * t3541 - 0.12e2 * t4972 * t6695 + 0.2e1 * t606 * t6620 - 0.12e2 * t6665 * t6668 - 0.6e1 * t6665 * t6674 - 0.6e1 * t6673 * t6674 + 0.18e2 * t6681 * t6674 + t6655 + t6659 + t6680 - t6692;
  t6702 = t1093 * t612 * t153;
  t6703 = t369 * t6702;
  t6716 = t2487 * t2209;
  t6722 = 0.3e1 * t6690 * t1041;
  t6725 = t1059 * t6702;
  t6728 = t1654 * t383;
  t6740 = t369 * t6667;
  t6743 = t369 * t4933;
  t6747 = t1050 * t372 * t1054;
  t6748 = t1059 * t3082;
  t6751 = -0.18e2 * t1050 * t2203 * t1054 * t6666 * t3636 + 0.12e2 * t2474 * t1059 * t6694 + 0.12e2 * t1623 * t159 * t6728 + 0.12e2 * t2468 * t369 * t6728 + 0.12e2 * t2474 * t369 * t6694 - 0.3e1 * t2238 * t6743 + 0.3e1 * t2244 * t3535 - 0.12e2 * t2474 * t6703 - 0.4e1 * t2474 * t6716 - 0.8e1 * t2474 * t6725 + 0.12e2 * t4942 * t6695 + 0.12e2 * t4942 * t6703 + 0.12e2 * t4942 * t6716 - 0.4e1 * t4972 * t6716 + 0.18e2 * t6681 * t6740 + 0.18e2 * t6747 * t6748 - t6722;
  t6753 = params->csk_a * t379;
  t6754 = t6753 * t1023;
  t6757 = t2270 * t364;
  t6758 = t359 * t6757;
  t6759 = t369 * t612;
  t6764 = t2209 * t2249;
  t6770 = t374 * t1637;
  t6773 = t3782 * t1637;
  t6779 = t1100 * t2264;
  t6781 = 0.3e1 * t1641 * t6779;
  t6782 = t158 * t1633;
  t6786 = t1636 * t1661;
  t6794 = t2196 * t1662;
  t6795 = t374 * t6782;
  t6800 = -0.3e1 * t2238 * t6754 - t801 - t803 - 0.12e2 * t6758 * t6759 * t2249 + 0.12e2 * t151 * t6757 * t6764 - 0.12e2 * t6758 * t6764 + 0.3e1 * t151 * t6497 * t6770 + 0.6e1 * t6469 * t6773 + 0.6e1 * t6484 * t3713 * t2261 - t6781 - 0.2e1 * t2271 * t2272 * t6782 - 0.2e1 * t2181 * t6786 + 0.11e2 * t6533 * t3706 * t6534 - 0.3e1 * t2186 * t3753 + t6794 + 0.2e1 * t606 * t6795 + 0.2e1 * t621 * t5040;
  t6804 = t1015 * t2265;
  t6805 = t1109 * t6570;
  t6806 = t1583 * t6805;
  t6809 = t151 * t799 * t379 * t385;
  t6810 = t612 * t612;
  t6811 = t6810 * t362;
  t6812 = t359 * t6811;
  t6821 = 0.2e1 * t6515 * t1638;
  t6825 = t151 * t6810;
  t6833 = 0.2e1 * t2266;
  t6834 = 0.3e1 * t2269;
  t6836 = 0.2e1 * t2282;
  t6837 = 0.2e1 * t151 * t6811 * t376 + 0.3e1 * t359 * t6489 * t3664 + 0.2e1 * t359 * t6810 * t370 + t6564 * t3701 * t6565 - t3566 * t2262 - 0.2e1 * t6812 * t376 - 0.2e1 * t6825 * t385 + 0.2e1 * t6825 * t387 - 0.2e1 * t6812 * t393 - 0.4e1 * t2274 + t6804 - t6806 - t6809 - t6821 + t6833 - t6834 + t6836;
  t6841 = my_piecewise5(t58, 0, t61, 0, t6502 + t6553 + t6603 + t6640 + t6698 + t6751 + t6800 + t6837);
  t6848 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t323 * t811 + t6432 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t130 * t2287 - t6439 + t6441 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t32 * (-0.88e3 / 0.729e3 * t38 * t345 * t251 + 0.16e3 / 0.243e3 * t38 * t141 * t627 - 0.1e2 / 0.81e2 * t38 * t43 * t1666 + t353 * t809 + 0.2e1 * t149 * t2285 + t53 * t6841));
  tv4rho2sigma20 = t8 * t6848 + 0.2e1 * t2292;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  tv4rho2sigma21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 1] += tv4rho2sigma21;

  tv4rho2sigma22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 2] += tv4rho2sigma22;

  tv4rho2sigma23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 3] += tv4rho2sigma23;

  tv4rho2sigma24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 4] += tv4rho2sigma24;

  t6855 = t7 * t420 * t838;
  t6859 = t7 * t424 * t838 / 0.3e2;
  t6861 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t416 * t838 + t6855 / 0.5e1 - t6859);
  tv4rho2sigma25 = t8 * t6861 + 0.2e1 * t2301;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 5] += tv4rho2sigma25;

  t6867 = t7 * t445 * t811;
  t6875 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t441 * t811 + t6867 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t193 * t2287 + t6432 / 0.1e2 - t6439 + t6441 / 0.1e2);
  tv4rho2sigma26 = t8 * t6875 + t2292 + t2307;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 6] += tv4rho2sigma26;

  tv4rho2sigma27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 7] += tv4rho2sigma27;

  tv4rho2sigma28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 8] += tv4rho2sigma28;

  tv4rho2sigma29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 9] += tv4rho2sigma29;

  tv4rho2sigma210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 10] += tv4rho2sigma210;

  t6881 = t7 * t469 * t838;
  t6888 = t7 * t180 * t2433;
  t6891 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t465 * t838 + t6881 / 0.1e2 + t6855 / 0.1e2 - t6859 + 0.3e1 / 0.2e2 * t7 * t176 * t2433 + t6888 / 0.1e2);
  tv4rho2sigma211 = t8 * t6891 + t2301 + t2438;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 11] += tv4rho2sigma211;

  t6899 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t496 * t811 + t6867 / 0.5e1 - t6439);
  tv4rho2sigma212 = t8 * t6899 + 0.2e1 * t2307;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 12] += tv4rho2sigma212;

  tv4rho2sigma213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 13] += tv4rho2sigma213;

  tv4rho2sigma214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 14] += tv4rho2sigma214;

  tv4rho2sigma215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 15] += tv4rho2sigma215;

  tv4rho2sigma216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 16] += tv4rho2sigma216;

  t6922 = 0.2e1 * t2346;
  t6925 = 0.2e1 * t2373;
  t6926 = 0.2e1 * t2374;
  t6931 = t2422 * t222;
  t6932 = params->csk_a * t112 * t6931;
  t6935 = t822 * t1434;
  t6936 = t1430 * t6935;
  t6937 = t1093 * t539;
  t6938 = t6937 * t562;
  t6939 = t1439 * t6938;
  t6942 = t1439 * t1824;
  t6947 = t538 * t6935;
  t6948 = t548 * t6938;
  t6952 = t826 * t539 * t562;
  t6955 = 0.3e1 * t220 * t6952 * t1408;
  t6958 = 0.3e1 * t538 * t6952 * t1408;
  t6961 = 0.12e2 * t5265 * t6932 - 0.12e2 * t5520 * t6932 - 0.12e2 * t6936 * t6939 + 0.18e2 * t6936 * t6942 - 0.18e2 * t6936 * t6948 + 0.18e2 * t6947 * t6948 + 0.4e1 * t2351 + 0.4e1 * t2360 - 0.4e1 * t2387 - 0.4e1 * t2391 + 0.4e1 * t2397 - t6922 + t6925 - t6926 + t6955 - t6958;
  t6962 = t826 * t224;
  t6966 = 0.3e1 * t538 * t6962 * t543 * t4484;
  t6968 = t1093 * t675 * t222;
  t6969 = t228 * t6968;
  t6974 = t2347 * t1434;
  t6977 = t228 * t551 * params->csk_a;
  t6985 = t3274 * t675;
  t6989 = t5460 * t675;
  t6999 = t1093 * t545;
  t7000 = t2357 * t675;
  t7001 = t6999 * t7000;
  t7007 = t1439 * t6968;
  t7015 = t228 * t6938;
  t7022 = 0.12e2 * t220 * t2419 * t543 * t228 * t5525 * t675 + 0.12e2 * t5503 * t1439 * t6985 - 0.6e1 * t220 * t6935 * t7015 - 0.18e2 * t220 * t6974 * t6977 + 0.12e2 * t2594 * t548 * t6989 + 0.18e2 * t538 * t6974 * t6977 + 0.12e2 * t5503 * t548 * t6985 - 0.4e1 * t2600 * t6969 - 0.12e2 * t2600 * t7001 - 0.8e1 * t2600 * t7007 + 0.18e2 * t6936 * t4484 + 0.12e2 * t5265 * t6969 + 0.12e2 * t5265 * t7001 - 0.4e1 * t5520 * t6969 - 0.6e1 * t6936 * t7015 + 0.18e2 * t6947 * t7015 - t6966;
  t7024 = t819 * t4490;
  t7025 = t4501 * t7024;
  t7026 = t4494 * t3696;
  t7027 = t7026 * t1791;
  t7030 = t826 * t1432;
  t7031 = t220 * t7030;
  t7033 = 0.3e1 * t7031 * t1753;
  t7034 = t538 * t7030;
  t7036 = 0.3e1 * t7034 * t1753;
  t7037 = t220 * t7024;
  t7039 = t4495 * t1839 * params->csk_a;
  t7042 = t538 * t7024;
  t7046 = t1780 * t1839 * t541;
  t7049 = t1430 * t7024;
  t7050 = t4503 * t1798;
  t7054 = t4503 * t1493 * t539;
  t7058 = t4580 * t1497 * t539;
  t7061 = t7031 * t1783;
  t7065 = t4503 * t4565 * t539;
  t7071 = 0.3e1 * t7034 * t1792;
  t7074 = t1430 * t7030;
  t7076 = 0.3e1 * t7074 * t1792;
  t7077 = -0.12e2 * t2348 * t7046 - 0.7e1 * t7025 * t7027 + 0.7e1 * t7025 * t7058 - 0.7e1 * t7042 * t7027 + 0.18e2 * t7049 * t7027 + 0.11e2 * t7037 * t7039 - 0.11e2 * t7042 * t7039 - 0.11e2 * t7042 * t7058 - 0.6e1 * t7049 * t7050 - 0.12e2 * t7049 * t7054 + 0.12e2 * t7049 * t7065 - t7033 + t7036 - t7061 + t7071 - t7076;
  t7079 = 0.3e1 * t7034 * t1783;
  t7080 = t7074 * t1783;
  t7082 = t547 * t539 * params->csk_a;
  t7083 = t4580 * t7082;
  t7086 = t539 * t4490;
  t7087 = t4501 * t7086;
  t7089 = t4503 * t2410 * params->csk_a;
  t7092 = t1481 * t3159;
  t7094 = 0.3e1 * t1776 * t7092;
  t7096 = t4495 * t4507 * t539;
  t7105 = t4503 * t3162;
  t7111 = t570 * t571 * t1832;
  t7115 = t1492 * t1507 * t558;
  t7118 = t4546 * t819;
  t7124 = t4572 * t4573 * t539;
  t7129 = 0.11e2 * t7087 * t4572 * t7118 * t1093 - 0.3e1 * t2320 * t4441 + 0.3e1 * t2320 * t4466 - 0.2e1 * t2320 * t7115 - 0.2e1 * t684 * t7111 - 0.12e2 * t7025 * t7065 - t7025 * t7096 - 0.6e1 * t7025 * t7124 + t7037 * t7096 - 0.7e1 * t7042 * t7096 - 0.18e2 * t7049 * t7083 + 0.6e1 * t7049 * t7096 - 0.6e1 * t7087 * t7089 + 0.18e2 * t7087 * t7105 + t7079 - t7080 + t7094;
  t7137 = t570 * t2413 * t562;
  t7139 = 0.3e1 * t1764 * t7137;
  t7142 = 0.3e1 * t220 * t6962 * t4419;
  t7144 = t2372 * t1419;
  t7154 = t547 * t819;
  t7156 = t1481 * t7154 * t562;
  t7159 = t1780 * t6931;
  t7165 = t1405 * t228 * t1832;
  t7170 = t1430 * t551;
  t7178 = -0.6e1 * t7087 * t4572 * t7118 * params->csk_a + t7139 + t7142 - t2320 * t4381 + t7144 + 0.3e1 * t2320 * t4410 - t2365 * t4381 - 0.4e1 * t2409 * t1492 * t1802 * t675 + 0.3e1 * t2348 * t5539 - 0.18e2 * t568 * t7156 - 0.8e1 * t1760 * t7159 + 0.7e1 * t7042 * t7083 - 0.2e1 * t684 * t7165 + 0.3e1 * t2356 * t4432 - 0.6e1 * t7170 * t1492 * t2410 * t562 - 0.12e2 * t1750 * t1481 * t7000;
  t7183 = t2345 * t1796;
  t7184 = t1438 * t826;
  t7186 = t1492 * t7184 * params->csk_a;
  t7188 = 0.3e1 * t1776 * t7186;
  t7190 = 0.2e1 * t7074 * t1799;
  t7191 = t819 * t4514;
  t7192 = t538 * t7191;
  t7193 = t1405 * t1752;
  t7196 = t570 * t7082;
  t7199 = t819 * t539;
  t7203 = t4495 * t1782;
  t7210 = t2345 * t1419;
  t7220 = params->csk_a * t558 * t1407;
  t7223 = 0.3e1 * t220 * t7199 * t5325 + 0.3e1 * t2341 * t4381 + 0.3e1 * t2341 * t4403 + 0.3e1 * t2341 * t4441 - 0.3e1 * t2365 * t4403 - 0.3e1 * t2384 * t7220 + 0.3e1 * t2394 * t4479 + 0.2e1 * t669 * t7165 + 0.6e1 * t7037 * t7203 - 0.18e2 * t7042 * t7203 + 0.6e1 * t7049 * t7203 - 0.3e1 * t7192 * t7193 - 0.3e1 * t7192 * t7196 - t7183 + t7188 - t7190 - t7210;
  t7225 = t548 * t5467;
  t7228 = t2637 * t6989;
  t7233 = t5313 * t6989;
  t7237 = t553 * t1839;
  t7240 = t4495 * t1839;
  t7245 = t220 * t826 * t558 * t564;
  t7246 = t227 * t1832;
  t7250 = t553 * t7246;
  t7253 = t2372 * t1844;
  t7254 = t1481 * t2413;
  t7256 = 0.3e1 * t1835 * t7254;
  t7259 = t538 * t7086;
  t7265 = t1430 * t7086;
  t7269 = 0.3e1 * t220 * t7191 * t7237 + 0.6e1 * t7265 * t4503 * t2410 - 0.2e1 * t2420 * t2421 * t7246 + 0.11e2 * t7259 * t4580 * t7154 + 0.12e2 * t1822 * t7228 - 0.3e1 * t2341 * t4594 - 0.2e1 * t2365 * t4591 - 0.3e1 * t2384 * t7225 - 0.12e2 * t2594 * t7228 - 0.12e2 * t2594 * t7233 + 0.2e1 * t669 * t7250 + 0.6e1 * t7037 * t7240 - t7245 + t7253 - t7256 - t828 - t830;
  t7275 = t1399 * t2414;
  t7276 = t1492 * t7184;
  t7277 = t1776 * t7276;
  t7278 = t675 * t675;
  t7279 = t7278 * t541;
  t7280 = t538 * t7279;
  t7292 = 0.2e1 * t7031 * t1840;
  t7293 = t220 * t7278;
  t7301 = 0.2e1 * t2399;
  t7302 = 0.2e1 * t2415;
  t7303 = 0.3e1 * t2418;
  t7305 = 0.2e1 * t220 * t7279 * t555 + 0.3e1 * t538 * t7199 * t4533 + t7087 * t4572 * t7118 + 0.2e1 * t538 * t7278 * t549 - t4413 * t2411 - 0.2e1 * t7280 * t555 + 0.2e1 * t684 * t5610 - 0.2e1 * t7293 * t564 + 0.2e1 * t7293 * t566 - 0.2e1 * t7280 * t572 - 0.4e1 * t2424 + t7275 - t7277 - t7292 + t7301 + t7302 - t7303;
  t7309 = my_piecewise5(t104, 0, t105, 0, t6961 + t7022 + t7077 + t7129 + t7178 + t7223 + t7269 + t7305);
  t7316 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t513 * t838 + t6881 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t204 * t2433 - t6859 + t6888 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t88 * (-0.88e3 / 0.729e3 * t38 * t524 * t268 + 0.16e3 / 0.243e3 * t38 * t210 * t690 - 0.1e2 / 0.81e2 * t38 * t93 * t1864 + t532 * t836 + 0.2e1 * t218 * t2431 + t103 * t7309));
  tv4rho2sigma217 = t8 * t7316 + 0.2e1 * t2438;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 17] += tv4rho2sigma217;

  t7323 = t7 * t327 * t866;
  t7330 = t7 * t336 * t866 / 0.3e2;
  t7332 = t7 * t135 * t2548;
  t7356 = t5759 * t3658;
  t7357 = t3677 * t7356;
  t7358 = t3696 * t248;
  t7359 = t7358 * t1556;
  t7361 = t151 * t7356;
  t7363 = t359 * t7356;
  t7364 = t6666 * t2488;
  t7367 = t1050 * t7356;
  t7372 = t7358 * t1591;
  t7375 = t7358 * t360;
  t7376 = t1059 * t7375;
  t7379 = t6483 * t3658;
  t7380 = t3677 * t7379;
  t7381 = t853 * params->csk_a;
  t7382 = t1059 * t7381;
  t7386 = t359 * t853 * t3651;
  t7389 = t2460 * t360;
  t7396 = -0.6e1 * t7367 * t1059 * t7389 - 0.18e2 * t4966 * t369 * t1945 - 0.3e1 * t7386 * t6499 - t7357 * t7359 + t7361 * t7359 + 0.6e1 * t7361 * t7364 - 0.18e2 * t7363 * t7364 + 0.6e1 * t7367 * t7364 + 0.18e2 * t7367 * t7372 + 0.12e2 * t7367 * t7376 - 0.6e1 * t7380 * t7382 + 0.4e1 * t2471 + 0.4e1 * t2485 - 0.4e1 * t2506 + 0.4e1 * t2511 - 0.4e1 * t2515 + t6455 - t6456 - t6457;
  t7399 = t1624 * t2488;
  t7416 = t5766 * t1054;
  t7417 = t359 * t7416;
  t7420 = t1050 * t7416;
  t7431 = t1050 * t7379;
  t7434 = t151 * t7416;
  t7446 = 0.3e1 * t151 * t1912 * t3651 * t851 - 0.6e1 * t6747 * t1059 * t2483 - 0.2e1 * t2459 * t6716 + 0.6e1 * t7417 * t2461 + 0.6e1 * t2480 * t6695 + 0.6e1 * t2480 * t6703 + 0.6e1 * t2480 * t6716 + 0.6e1 * t7417 * t2489 - 0.2e1 * t7420 * t2489 - 0.2e1 * t7434 * t2489 - 0.2e1 * t2496 * t6716 - 0.6e1 * t7434 * t2498 - 0.3e1 * t7386 * t6521 - 0.7e1 * t7357 * t7372 - 0.7e1 * t7363 * t7359 + 0.6e1 * t7367 * t7359 + 0.11e2 * t7361 * t7399 - 0.7e1 * t7363 * t7372 - 0.11e2 * t7363 * t7399 - 0.12e2 * t7431 * t7382;
  t7450 = t6753 * t2488;
  t7461 = t2475 * t612;
  t7462 = t369 * t7461;
  t7468 = t718 * params->csk_a * t248;
  t7469 = t1059 * t7468;
  t7474 = t1059 * t7461;
  t7479 = t369 * t7468;
  t7490 = t2460 * t379;
  t7491 = t369 * t7490;
  t7496 = t281 * t1093;
  t7497 = t7496 * t248;
  t7506 = -0.6e1 * t2496 * t6695 + 0.3e1 * t2480 * t7450 - 0.6e1 * t7380 * t3682 * t7381 + 0.6e1 * t359 * t4960 * t2470 - 0.6e1 * t7420 * t2461 + 0.6e1 * t5021 * t7462 - 0.6e1 * t2459 * t6703 + 0.6e1 * t5021 * t7469 - 0.4e1 * t7420 * t2465 + 0.6e1 * t5021 * t7474 - 0.4e1 * t2459 * t6725 + 0.6e1 * t5021 * t7479 - 0.12e2 * t5689 * t159 * t1617 + 0.6e1 * t7417 * t2498 + 0.3e1 * t2474 * t1059 * t5730 + 0.3e1 * t2480 * t7491 + 0.3e1 * t2484 * t4979 + 0.18e2 * t7380 * t1059 * t7497 - 0.12e2 * t7357 * t7376 - 0.2e1 * t2459 * t1059 * t7490;
  t7515 = t369 * t7381;
  t7528 = t1977 * t383;
  t7529 = t369 * t7528;
  t7532 = t2536 * t383;
  t7536 = t2539 * t383;
  t7540 = t159 * t7490;
  t7559 = 0.11e2 * t7380 * t3682 * t7497 - 0.6e1 * t7357 * t3682 * t7375 + 0.3e1 * t2468 * t5745 - 0.18e2 * t7431 * t7515 - 0.3e1 * t2496 * t7450 + 0.7e1 * t359 * t7379 * t7515 - 0.11e2 * t7363 * t369 * t7389 - 0.3e1 * t2459 * t7491 + 0.6e1 * t2468 * t7529 + 0.6e1 * t151 * t7532 * t2206 + 0.6e1 * t151 * t7536 * t2206 - t2496 * t7540 + 0.3e1 * t2480 * t7540 - t2459 * t7540 + 0.7e1 * t7380 * t369 * t7497 + 0.3e1 * t2474 * t5731 - 0.2e1 * t2260 * t1109 * t1612 * t718 + t6564 * t3701 * t4881 * t281 + t5784 * t851 - t5811 * t851;
  t7565 = t1100 * t1971 * t153;
  t7578 = t369 * t281;
  t7579 = t3652 * t7578;
  t7608 = -0.2e1 * t1902 * t2210 - 0.6e1 * t1554 * t7565 - 0.4e1 * t5821 * t2527 - 0.4e1 * t1905 * t6661 - 0.6e1 * t4768 * t2531 + 0.3e1 * t854 * t3652 * t1556 + 0.3e1 * t359 * t1567 * t7579 + 0.6e1 * t5773 * t3782 * t856 * t360 + 0.6e1 * t6484 * t3713 * t2521 - 0.3e1 * t1554 * t5876 - 0.2e1 * t1905 * t1636 * t856 * t379 + 0.11e2 * t6533 * t3706 * t710 * t248 + 0.2e1 * t1936 * t2210 + t714 * t6620 - t725 * t6620 - t5811 * t861 - 0.2e1 * t1902 * t2218 - t725 * t6605 - t3566 * t2522;
  t7610 = t1109 * t4872 * t281;
  t7613 = -0.2e1 * t2260 * t7610 - t6517 + t6520 - t6527 - t6530 + t6574 - t6610 - t6612 + t6623 + t6625 - t6626 + t6628 - t6629 + t6636 + t6655 + t6659 + t6680 - t6692 - t6722 - t801;
  t7622 = t1094 * t360;
  t7623 = t7622 * t3550;
  t7626 = t1050 * t2483;
  t7629 = t159 * t1093;
  t7633 = t1109 * t1058;
  t7646 = t359 * t5735;
  t7649 = t359 * t1950;
  t7651 = t618 * t383;
  t7652 = t6693 * t68 * t7651;
  t7655 = t4800 * t2509;
  t7668 = t369 * t1093;
  t7674 = t1059 * t281;
  t7682 = 0.18e2 * t2503 * t1072 * t360 * t3550 - 0.18e2 * t5689 * t2508 * t1617 + 0.18e2 * t2503 * t7623 - 0.6e1 * t7626 * t7623 - 0.6e1 * t5689 * t7629 * t1617 - 0.12e2 * t7626 * t7633 * t6666 * t362 - 0.3e1 * t2503 * t4939 + 0.18e2 * t6747 * t7578 * t3204 - 0.18e2 * t7626 * t7622 * t3636 - 0.6e1 * t7646 * t2510 - 0.6e1 * t7649 * t7652 - 0.6e1 * t7646 * t7655 - 0.6e1 * t7649 * t4800 * t6728 + 0.6e1 * t5736 * t2510 + 0.6e1 * t1951 * t7652 + 0.3e1 * t1951 * t2508 * t4955 + 0.18e2 * t5739 * t7668 * t1617 - 0.3e1 * t2503 * t4934 + 0.18e2 * t6747 * t7674 * t3204 - 0.2e1 * t151 * t718 * t612 * t385;
  t7699 = -t151 * t281 * t1633 * t385 - t151 * t1958 * t248 * t385 + 0.2e1 * t1561 * t1972 + 0.2e1 * t1936 * t2254 + t4869 * t711 + t5784 * t857 + t621 * t5945 + t714 * t6795 - 0.2e1 * t2538 - 0.2e1 * t2541 - t6781 + t6794 + t6804 - t6806 - t6809 - t6821 + t6833 - t6834 + t6836 - t855;
  t7703 = my_piecewise5(t58, 0, t61, 0, t7396 + t7446 + t7506 + t7559 + t7608 + t7613 + t7682 + t7699);
  t7710 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t323 * t866 + t7323 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t130 * t2548 - t7330 + t7332 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t32 * (0.1e3 / 0.243e3 * t2166 - 0.25e2 / 0.81e2 * t2169 + 0.5e1 / 0.54e2 * t38 * t48 * t1666 - 0.44e3 / 0.729e3 * t38 * t345 * t284 + 0.8e2 / 0.243e3 * t38 * t141 * t729 - 0.5e1 / 0.81e2 * t38 * t43 * t1985 + t353 * t864 + 0.2e1 * t149 * t2546 + t53 * t7703));
  tv4rho2sigmalapl0 = t8 * t7710 + 0.2e1 * t2553;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 0] += tv4rho2sigmalapl0;

  tv4rho2sigmalapl1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 1] += tv4rho2sigmalapl1;

  tv4rho2sigmalapl2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 2] += tv4rho2sigmalapl2;

  tv4rho2sigmalapl3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 3] += tv4rho2sigmalapl3;

  tv4rho2sigmalapl4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 4] += tv4rho2sigmalapl4;

  t7717 = t7 * t420 * t894;
  t7721 = t7 * t424 * t894 / 0.3e2;
  t7723 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t416 * t894 + t7717 / 0.5e1 - t7721);
  tv4rho2sigmalapl5 = t8 * t7723 + 0.2e1 * t2562;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 5] += tv4rho2sigmalapl5;

  t7729 = t7 * t445 * t866;
  t7737 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t441 * t866 + t7729 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t193 * t2548 + t7323 / 0.1e2 - t7330 + t7332 / 0.1e2);
  tv4rho2sigmalapl6 = t8 * t7737 + t2553 + t2568;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 6] += tv4rho2sigmalapl6;

  tv4rho2sigmalapl7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 7] += tv4rho2sigmalapl7;

  tv4rho2sigmalapl8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 8] += tv4rho2sigmalapl8;

  tv4rho2sigmalapl9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 9] += tv4rho2sigmalapl9;

  tv4rho2sigmalapl10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 10] += tv4rho2sigmalapl10;

  t7743 = t7 * t469 * t894;
  t7750 = t7 * t180 * t2674;
  t7753 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t465 * t894 + t7743 / 0.1e2 + t7717 / 0.1e2 - t7721 + 0.3e1 / 0.2e2 * t7 * t176 * t2674 + t7750 / 0.1e2);
  tv4rho2sigmalapl11 = t8 * t7753 + t2562 + t2679;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 11] += tv4rho2sigmalapl11;

  t7761 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t496 * t866 + t7729 / 0.5e1 - t7330);
  tv4rho2sigmalapl12 = t8 * t7761 + 0.2e1 * t2568;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 12] += tv4rho2sigmalapl12;

  tv4rho2sigmalapl13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 13] += tv4rho2sigmalapl13;

  tv4rho2sigmalapl14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 14] += tv4rho2sigmalapl14;

  tv4rho2sigmalapl15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 15] += tv4rho2sigmalapl15;

  tv4rho2sigmalapl16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 16] += tv4rho2sigmalapl16;

  t7801 = t538 * t2115;
  t7805 = t769 * t224 * t543;
  t7806 = t538 * t7805;
  t7807 = t5313 * t2638;
  t7812 = t1456 * t539;
  t7813 = t7812 * t4391;
  t7816 = t1430 * t2584;
  t7819 = t228 * t1093;
  t7823 = t551 * t1434;
  t7824 = t1430 * t7823;
  t7825 = t1439 * t297;
  t7829 = t1492 * t1438;
  t7837 = -t6922 + t6925 - t6926 + 0.4e1 * t2586 + 0.4e1 * t2597 - 0.4e1 * t2631 - 0.4e1 * t2635 + 0.4e1 * t2640 + 0.18e2 * t2628 * t1460 * t539 * t4391 - 0.18e2 * t6297 * t2637 * t1816 - 0.6e1 * t7801 * t7228 - 0.6e1 * t7806 * t7807 - 0.6e1 * t7801 * t7233 + 0.18e2 * t2628 * t7813 - 0.6e1 * t7816 * t7813 - 0.6e1 * t6297 * t7819 * t1816 + 0.18e2 * t7824 * t7825 * t3278 - 0.12e2 * t7816 * t7829 * t6937 * t541 + 0.3e1 * t2116 * t2637 * t5528;
  t7838 = t548 * t1093;
  t7846 = t548 * t297;
  t7853 = t220 * t7805;
  t7860 = t6140 * t4494;
  t7861 = t1430 * t7860;
  t7863 = t3696 * t539 * t2617;
  t7866 = t4501 * t7860;
  t7868 = t538 * t7860;
  t7869 = t6937 * t2617;
  t7874 = t220 * t7860;
  t7877 = t7086 * t4494;
  t7878 = t4501 * t7877;
  t7879 = t881 * params->csk_a;
  t7880 = t1439 * t7879;
  t7888 = t228 * t3274 * t539;
  t7892 = t538 * t881 * t4514;
  t7895 = t2590 * t539;
  t7903 = 0.18e2 * t6343 * t7838 * t1816 - 0.3e1 * t2628 * t5468 - 0.3e1 * t2628 * t5472 + 0.18e2 * t7824 * t7846 * t3278 - 0.18e2 * t7816 * t7812 * t4452 + 0.6e1 * t7853 * t2639 + 0.6e1 * t2116 * t7228 - 0.6e1 * t7806 * t2639 + 0.6e1 * t7861 * t7863 - t7866 * t7863 - 0.18e2 * t7868 * t7869 + 0.6e1 * t7861 * t7869 + 0.6e1 * t7874 * t7869 - 0.6e1 * t7878 * t7880 + 0.3e1 * t220 * t2073 * t4514 * t879 + 0.11e2 * t7874 * t7888 - 0.3e1 * t7892 * t7196 - 0.6e1 * t7861 * t1439 * t7895 - 0.12e2 * t2585 * t7046 - 0.3e1 * t7892 * t7193;
  t7907 = t3696 * t265;
  t7908 = t7907 * t539;
  t7909 = t1439 * t7908;
  t7912 = t548 * t7908;
  t7923 = t4501 * t5275 * t4494;
  t7924 = t297 * t1093;
  t7931 = t1430 * t7877;
  t7934 = t6154 * t1434;
  t7935 = t220 * t7934;
  t7938 = t538 * t7934;
  t7945 = t1430 * t7934;
  t7950 = t2601 * t675;
  t7951 = t1439 * t7950;
  t7962 = -0.11e2 * t7868 * t7888 + 0.12e2 * t7861 * t7909 - 0.7e1 * t7868 * t7912 + t7874 * t7863 - 0.7e1 * t7868 * t7863 + 0.18e2 * t7861 * t7912 - 0.7e1 * t7866 * t7912 + 0.7e1 * t7923 * t548 * t7924 * t539 - 0.12e2 * t7866 * t7909 - 0.12e2 * t7931 * t7880 - 0.2e1 * t7935 * t2611 + 0.6e1 * t7938 * t2611 - 0.2e1 * t2609 * t6969 + 0.6e1 * t2613 * t6969 - 0.2e1 * t7945 * t2611 - 0.2e1 * t2589 * t6969 + 0.6e1 * t5503 * t7951 - 0.4e1 * t2589 * t7007 - 0.6e1 * t7878 * t4547 * t7879 + 0.6e1 * t538 * t5554 * t2596;
  t7967 = t769 * params->csk_a;
  t7968 = t7967 * t265;
  t7969 = t548 * t7968;
  t7974 = t548 * t7950;
  t7993 = t2601 * t558;
  t7997 = t2590 * t558;
  t7998 = t548 * t7997;
  t8009 = t7924 * t265;
  t8013 = t548 * t7879;
  t8016 = t228 * t5504;
  t8019 = 0.6e1 * t7938 * t2591 + 0.6e1 * t2613 * t7001 + 0.6e1 * t5503 * t7969 - 0.6e1 * t7945 * t2591 + 0.6e1 * t5503 * t7974 - 0.6e1 * t2589 * t7001 - 0.6e1 * t7824 * t1439 * t2584 - 0.6e1 * t7935 * t2618 - 0.6e1 * t2609 * t6932 + 0.6e1 * t7938 * t2618 + 0.6e1 * t2613 * t6932 + 0.3e1 * t2594 * t548 * t6352 + 0.3e1 * t2600 * t1439 * t7993 + 0.3e1 * t2613 * t7998 + 0.3e1 * t2585 * t5539 - 0.18e2 * t538 * t7823 * t548 * t2584 - 0.3e1 * t2589 * t7998 + 0.18e2 * t7878 * t1439 * t8009 - 0.18e2 * t7931 * t8013 - 0.3e1 * t2609 * t8016;
  t8037 = t2134 * t562;
  t8038 = t548 * t8037;
  t8041 = t2662 * t562;
  t8045 = t2665 * t562;
  t8051 = t1439 * t7968;
  t8056 = t2590 * t4402;
  t8066 = 0.7e1 * t538 * t7877 * t8013 - 0.11e2 * t7868 * t548 * t7895 - 0.2e1 * t2589 * t1439 * t7997 + 0.11e2 * t7878 * t4547 * t8009 - 0.6e1 * t7866 * t4547 * t7908 + 0.6e1 * t2594 * t8038 + 0.6e1 * t220 * t8041 * t2350 + 0.6e1 * t220 * t8045 * t2350 + 0.3e1 * t2613 * t8016 + 0.6e1 * t5503 * t8051 - 0.4e1 * t7945 * t2623 - t2589 * t8056 + 0.3e1 * t2600 * t548 * t7993 - t2609 * t8056 + 0.3e1 * t2613 * t8056 + t6955 - t6958 - t6966 - 0.2e1 * t2067 * t2326;
  t8070 = t1492 * t5447 * t297;
  t8081 = t2128 * t222;
  t8082 = t1481 * t8081;
  t8099 = t4515 * t7846;
  t8119 = -t776 * t7111 - t4413 * t2648 - 0.2e1 * t2409 * t8070 - 0.2e1 * t2409 * t1492 * t1802 * t769 + t6196 * t879 + 0.2e1 * t2095 * t2338 + t765 * t7165 - 0.6e1 * t1750 * t8082 - 0.4e1 * t6155 * t2651 - 0.4e1 * t2070 * t7159 - 0.6e1 * t5343 * t2655 + 0.3e1 * t882 * t4515 * t1752 + 0.6e1 * t6206 * t4495 * t884 * t539 + 0.3e1 * t538 * t1769 * t8099 + 0.6e1 * t7265 * t4503 * t2647 - 0.2e1 * t2070 * t1780 * t884 * t558 + 0.11e2 * t7259 * t4580 * t761 * t265 - 0.3e1 * t1750 * t6179 + t7087 * t4572 * t5438 * t297 - t6170 * t879;
  t8127 = 0.2e1 * t1757 * t2129 - 0.2e1 * t2067 * t2338 - t6170 * t889 - t776 * t7165 - t7033 + t7036 - t7061 + t7071 - t7076 + t7079 - t7080 + t7094 + t7139 + t7142 + t7144 - t7183 + t7188 - t7190 - t7210 - t828;
  t8146 = -t220 * t297 * t1832 * t564 - t220 * t2123 * t265 * t564 - 0.2e1 * t220 * t769 * t675 * t564 + 0.2e1 * t2095 * t2426 + t5352 * t762 + t6196 * t885 + t684 * t6395 + t765 * t7250 - 0.2e1 * t2664 - 0.2e1 * t2667 - t7245 + t7253 - t7256 + t7275 - t7277 - t7292 + t7301 + t7302 - t7303 - t883;
  t8150 = my_piecewise5(t104, 0, t105, 0, t7837 + t7903 + t7962 + t8019 + t8066 + t8119 + t8127 + t8146);
  t8157 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t513 * t894 + t7743 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t204 * t2674 - t7721 + t7750 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t88 * (0.1e3 / 0.243e3 * t2313 - 0.25e2 / 0.81e2 * t2316 + 0.5e1 / 0.54e2 * t38 * t98 * t1864 - 0.44e3 / 0.729e3 * t38 * t524 * t300 + 0.8e2 / 0.243e3 * t38 * t210 * t780 - 0.5e1 / 0.81e2 * t38 * t93 * t2150 + t532 * t892 + 0.2e1 * t218 * t2672 + t103 * t8150));
  tv4rho2sigmalapl17 = t8 * t8157 + 0.2e1 * t2679;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 17] += tv4rho2sigmalapl17;

  tv4rho2sigmatau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 0] += tv4rho2sigmatau0;

  tv4rho2sigmatau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 1] += tv4rho2sigmatau1;

  tv4rho2sigmatau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 2] += tv4rho2sigmatau2;

  tv4rho2sigmatau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 3] += tv4rho2sigmatau3;

  tv4rho2sigmatau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 4] += tv4rho2sigmatau4;

  tv4rho2sigmatau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 5] += tv4rho2sigmatau5;

  tv4rho2sigmatau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 6] += tv4rho2sigmatau6;

  tv4rho2sigmatau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 7] += tv4rho2sigmatau7;

  tv4rho2sigmatau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 8] += tv4rho2sigmatau8;

  tv4rho2sigmatau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 9] += tv4rho2sigmatau9;

  tv4rho2sigmatau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 10] += tv4rho2sigmatau10;

  tv4rho2sigmatau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 11] += tv4rho2sigmatau11;

  tv4rho2sigmatau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 12] += tv4rho2sigmatau12;

  tv4rho2sigmatau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 13] += tv4rho2sigmatau13;

  tv4rho2sigmatau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 14] += tv4rho2sigmatau14;

  tv4rho2sigmatau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 15] += tv4rho2sigmatau15;

  tv4rho2sigmatau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 16] += tv4rho2sigmatau16;

  tv4rho2sigmatau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 17] += tv4rho2sigmatau17;

  t8164 = t7 * t327 * t917;
  t8171 = t7 * t336 * t917 / 0.3e2;
  t8173 = t7 * t135 * t2765;
  t8186 = t2508 * t7528;
  t8198 = t2475 * t718;
  t8203 = t1093 * t718 * t153;
  t8207 = t2747 * t364;
  t8208 = t151 * t8207;
  t8218 = 0.12e2 * t8208 * t159 * t4952 * t718 - 0.8e1 * t2459 * t1059 * t8203 + 0.12e2 * t5021 * t1059 * t8198 + 0.12e2 * t5021 * t369 * t8198 - 0.12e2 * t7649 * t4800 * t7528 + 0.12e2 * t1951 * t8186 + 0.3e1 * t2694 * t3535 - 0.3e1 * t2699 * t6743 + 0.12e2 * t7649 * t7529 - 0.12e2 * t7649 * t8186 + 0.4e1 * t2695 - 0.4e1 * t2700 - 0.4e1 * t2702 + t6455 - t6456 - t6457;
  t8221 = t905 * t1054;
  t8222 = t1050 * t8221;
  t8225 = t369 * t8203;
  t8228 = t159 * t718;
  t8229 = t2487 * t8228;
  t8232 = t2697 * t1054;
  t8233 = t151 * t8232;
  t8235 = t159 * t372 * params->csk_a;
  t8238 = t359 * t8232;
  t8241 = t359 * t8221;
  t8251 = t2749 * t153;
  t8252 = params->csk_a * t68 * t8251;
  t8257 = t151 * t8221;
  t8269 = 0.18e2 * t8222 * t1059 * t1625 - 0.12e2 * t2459 * t8225 - 0.4e1 * t2459 * t8229 + 0.12e2 * t2480 * t8225 + 0.12e2 * t2480 * t8229 + 0.12e2 * t2480 * t8252 - 0.4e1 * t2496 * t8229 - 0.3e1 * t2699 * t6754 + 0.18e2 * t8222 * t3541 - 0.12e2 * t8222 * t6668 - 0.6e1 * t8222 * t6674 + 0.18e2 * t8241 * t6674 - 0.6e1 * t8257 * t6674 - 0.18e2 * t8222 * t6740 + 0.18e2 * t8241 * t6740 - 0.18e2 * t8233 * t8235 + 0.18e2 * t8238 * t8235;
  t8273 = t368 * t360;
  t8282 = t1109 * t1931 * t718;
  t8291 = t1021 * t159 * t1958;
  t8299 = t1109 * t2758 * t383;
  t8302 = t902 * t3656;
  t8303 = t1050 * t8302;
  t8311 = t3681 * t902;
  t8313 = t3701 * t8311 * params->csk_a;
  t8320 = -0.12e2 * t2496 * t8252 - 0.18e2 * t911 * t1100 * t8273 * t383 - t2708 * t3581 + 0.3e1 * t2715 * t3645 - 0.4e1 * t2260 * t8282 + 0.3e1 * t2708 * t3590 - 0.8e1 * t1905 * t1636 * t8251 - 0.2e1 * t725 * t8291 - 0.3e1 * t2708 * t3624 + 0.3e1 * t2725 * t3620 - 0.6e1 * t6647 * t8299 - 0.12e2 * t8303 * t3713 * t1058 * t360 * params->csk_a + 0.3e1 * t2708 * t3629 - 0.6e1 * t6564 * t8313 + 0.2e1 * t714 * t8291 + 0.3e1 * t2715 * t3624;
  t8323 = t3677 * t8302;
  t8334 = t359 * t8302;
  t8337 = t151 * t8302;
  t8356 = -t2705 * t3581 - 0.3e1 * t2705 * t3645 + 0.3e1 * t2715 * t3581 + 0.3e1 * t2718 * t4979 - 0.18e2 * t8303 * t6466 + 0.7e1 * t8334 * t6466 + 0.7e1 * t8323 * t6476 + 0.12e2 * t8303 * t6480 - 0.12e2 * t8323 * t6480 - 0.11e2 * t8334 * t6494 + 0.11e2 * t8337 * t6494 + 0.18e2 * t8323 * t6524 + 0.18e2 * t8303 * t6550 - 0.7e1 * t8323 * t6550 + 0.6e1 * t8303 * t6595 - t8323 * t6595 - 0.7e1 * t8334 * t6595;
  t8364 = t3713 * t2758 * params->csk_a;
  t8368 = t902 * t3651;
  t8369 = t359 * t8368;
  t8374 = t902 * t360;
  t8397 = t3701 * t8311 * t1093;
  t8400 = -0.2e1 * t725 * t391 * t392 * t1958 + 0.3e1 * t151 * t8374 * t4788 - 0.12e2 * t1898 * t7565 - 0.2e1 * t2708 * t6576 - 0.12e2 * t2718 * t6504 + 0.6e1 * t8303 * t6471 - 0.18e2 * t8334 * t6471 + 0.6e1 * t8337 * t6471 - 0.11e2 * t8334 * t6476 - 0.3e1 * t8369 * t6499 - 0.3e1 * t8369 * t6521 - 0.6e1 * t8303 * t6524 - 0.7e1 * t8334 * t6550 - 0.6e1 * t6564 * t8364 + 0.11e2 * t6564 * t8397 + t8337 * t6595;
  t8403 = -0.6e1 * t8323 * t6584 - t6517 + t6520 - t6527 - t6530 + t6574 - t6610 - t6612 + t6623 + t6625 - t6626 + t6628 - t6629 + t6636 + t6655 + t6659 + t6680;
  t8405 = t718 * t718;
  t8406 = t8405 * t362;
  t8413 = t151 * t8368;
  t8421 = t359 * t8406;
  t8424 = t158 * t1958;
  t8431 = t3701 * t8311;
  t8435 = t3713 * t2758;
  t8440 = -t6692 - t6722 - t909 - t801 + 0.2e1 * t151 * t8406 * t376 + 0.11e2 * t8334 * t3706 * t8273 + 0.3e1 * t8413 * t6770 + 0.6e1 * t8337 * t6773 + 0.3e1 * t359 * t8374 * t3664 - 0.2e1 * t8421 * t393 + 0.2e1 * t714 * t374 * t8424 + 0.2e1 * t725 * t5945 - t3566 * t2759 + t6564 * t8431 - 0.3e1 * t2715 * t3753 + 0.6e1 * t6484 * t8435 - 0.2e1 * t2705 * t6786;
  t8446 = t151 * t8405;
  t8457 = -0.2e1 * t2748 * t2272 * t8424 + 0.2e1 * t359 * t8405 * t370 - 0.2e1 * t8421 * t376 - 0.2e1 * t8446 * t385 + 0.2e1 * t8446 * t387 + 0.4e1 * t2719 + 0.4e1 * t2726 - 0.4e1 * t2751 - t6781 + t6794 + t6804 - t6806 - t6809 - t6821 + t6833 - t6834 + t6836;
  t8461 = my_piecewise5(t58, 0, t61, 0, t8218 + t8269 + t8320 + t8356 + t8400 + t8403 + t8440 + t8457);
  t8468 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t323 * t917 + t8164 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t130 * t2765 - t8171 + t8173 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t32 * (0.2e3 / 0.243e3 * t2451 - 0.5e2 / 0.81e2 * t2454 + 0.5e1 / 0.27e2 * t38 * t48 * t1985 + t353 * t915 + 0.2e1 * t149 * t2763 + t53 * t8461));
  tv4rho2lapl20 = t8 * t8468 + 0.2e1 * t2770;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 0] += tv4rho2lapl20;

  tv4rho2lapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 1] += tv4rho2lapl21;

  t8475 = t7 * t420 * t940;
  t8479 = t7 * t424 * t940 / 0.3e2;
  t8481 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t416 * t940 + t8475 / 0.5e1 - t8479);
  tv4rho2lapl22 = t8 * t8481 + 0.2e1 * t2779;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 2] += tv4rho2lapl22;

  t8487 = t7 * t445 * t917;
  t8495 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t441 * t917 + t8487 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t193 * t2765 + t8164 / 0.1e2 - t8171 + t8173 / 0.1e2);
  tv4rho2lapl23 = t8 * t8495 + t2770 + t2785;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 3] += tv4rho2lapl23;

  tv4rho2lapl24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 4] += tv4rho2lapl24;

  t8501 = t7 * t469 * t940;
  t8508 = t7 * t180 * t2868;
  t8511 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t465 * t940 + t8501 / 0.1e2 + t8475 / 0.1e2 - t8479 + 0.3e1 / 0.2e2 * t7 * t176 * t2868 + t8508 / 0.1e2);
  tv4rho2lapl25 = t8 * t8511 + t2779 + t2873;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 5] += tv4rho2lapl25;

  t8519 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t496 * t917 + t8487 / 0.5e1 - t8171);
  tv4rho2lapl26 = t8 * t8519 + 0.2e1 * t2785;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 6] += tv4rho2lapl26;

  tv4rho2lapl27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 7] += tv4rho2lapl27;

  t8544 = t2637 * t8037;
  t8555 = t2601 * t769;
  t8561 = t928 * t1434;
  t8562 = t1430 * t8561;
  t8568 = 0.12e2 * t5503 * t1439 * t8555 - 0.12e2 * t7801 * t5313 * t8037 + 0.12e2 * t5503 * t548 * t8555 + 0.12e2 * t2116 * t8544 - 0.3e1 * t2797 * t7220 - 0.3e1 * t2797 * t7225 + 0.3e1 * t2804 * t4479 + 0.18e2 * t8562 * t6942 + 0.12e2 * t7801 * t8038 - 0.12e2 * t7801 * t8544 - 0.4e1 * t2798 - 0.4e1 * t2800 + 0.4e1 * t2805 - t6922 + t6925 - t6926;
  t8569 = t6999 * t8081;
  t8578 = t2859 * t543;
  t8579 = t220 * t8578;
  t8588 = t2795 * t1434;
  t8589 = t220 * t8588;
  t8592 = t538 * t8588;
  t8595 = t1093 * t112;
  t8596 = t2850 * t222;
  t8597 = t8595 * t8596;
  t8605 = t228 * t7967 * t222;
  t8610 = t220 * t8561;
  t8613 = t538 * t8561;
  t8620 = -0.8e1 * t2589 * t1439 * t5511 * t769 + 0.12e2 * t8579 * t228 * t5525 * t769 - 0.12e2 * t2589 * t8569 - 0.4e1 * t2589 * t8597 - 0.4e1 * t2609 * t8597 - 0.12e2 * t2609 * t8605 + 0.12e2 * t2613 * t8569 + 0.12e2 * t2613 * t8597 + 0.18e2 * t8562 * t4484 - 0.12e2 * t8562 * t6939 - 0.18e2 * t8562 * t6948 + 0.18e2 * t8613 * t6948 - 0.18e2 * t8589 * t6977 + 0.18e2 * t8592 * t6977 - 0.6e1 * t8562 * t7015 - 0.6e1 * t8610 * t7015 + 0.18e2 * t8613 * t7015;
  t8624 = t547 * t925;
  t8632 = t925 * t4490;
  t8633 = t538 * t8632;
  t8648 = t1492 * t2090 * t769;
  t8651 = t1430 * t8632;
  t8656 = t4546 * t925;
  t8658 = t4572 * t8656 * params->csk_a;
  t8661 = 0.7e1 * t7087 * t4580 * t8624 * t1093 - 0.18e2 * t568 * t1481 * t8624 * t562 - 0.8e1 * t2070 * t1780 * t8596 - 0.4e1 * t2409 * t8648 + 0.12e2 * t2613 * t8605 - t2808 * t4381 + 0.3e1 * t2808 * t4410 + 0.3e1 * t2808 * t4466 + 0.3e1 * t2813 * t4381 + 0.3e1 * t2813 * t4403 - 0.12e2 * t8651 * t7054 + 0.7e1 * t8633 * t7083 - 0.6e1 * t7087 * t8658 + t6955 - t6958 - t6966;
  t8663 = t553 * t554 * t2123;
  t8671 = t4503 * t2856 * t1093;
  t8681 = t1492 * t2856 * t562;
  t8689 = t4572 * t8656 * t1093;
  t8692 = t4501 * t8632;
  t8705 = t220 * t8632;
  t8708 = -0.2e1 * t776 * t570 * t571 * t2123 - 0.12e2 * t2063 * t8082 - 0.3e1 * t2808 * t4441 - 0.2e1 * t2808 * t7115 + 0.3e1 * t2813 * t4441 + 0.3e1 * t2824 * t5539 + 0.3e1 * t2838 * t4432 + 0.18e2 * t8651 * t7027 - 0.7e1 * t8692 * t7027 + 0.11e2 * t8705 * t7039 - 0.12e2 * t8692 * t7065 + 0.18e2 * t7087 * t8671 + 0.11e2 * t7087 * t8689 - 0.6e1 * t8692 * t7124 - 0.6e1 * t7170 * t8681 + 0.2e1 * t765 * t8663 - 0.2e1 * t776 * t8663;
  t8725 = t4503 * t2856 * params->csk_a;
  t8732 = t925 * t4514;
  t8733 = t538 * t8732;
  t8738 = t925 * t539;
  t8746 = 0.3e1 * t220 * t8738 * t5325 - t2811 * t4381 - 0.3e1 * t2811 * t4403 - 0.7e1 * t8633 * t7027 - 0.11e2 * t8633 * t7039 + 0.12e2 * t8651 * t7065 - 0.18e2 * t8651 * t7083 - 0.6e1 * t7087 * t8725 - 0.7e1 * t8633 * t7096 + 0.6e1 * t8651 * t7096 - t8692 * t7096 + t8705 * t7096 - 0.3e1 * t8733 * t7193 - 0.3e1 * t8733 * t7196 + 0.6e1 * t8651 * t7203 + 0.6e1 * t8705 * t7203;
  t8755 = -0.12e2 * t2824 * t7046 - 0.6e1 * t8651 * t7050 - 0.11e2 * t8633 * t7058 - 0.18e2 * t8633 * t7203 - t7033 + t7036 - t7061 + t7071 - t7076 + t7079 - t7080 + t7094 + t7139 + t7142 + t7144 - t7183 + t7188;
  t8757 = t769 * t769;
  t8758 = t8757 * t541;
  t8759 = t538 * t8758;
  t8769 = t220 * t8732;
  t8774 = t4580 * t8624;
  t8779 = t4503 * t2856;
  t8782 = t227 * t2123;
  t8789 = t4572 * t8656;
  t8791 = 0.3e1 * t538 * t8738 * t4533 + 0.2e1 * t765 * t553 * t8782 - 0.2e1 * t2811 * t4591 - 0.3e1 * t2813 * t4594 - t4413 * t2857 - 0.2e1 * t8759 * t555 - 0.2e1 * t8759 * t572 + 0.2e1 * t776 * t6395 + t7087 * t8789 + 0.3e1 * t8769 * t7237 + 0.6e1 * t8705 * t7240 + 0.11e2 * t7259 * t8774 + 0.6e1 * t7265 * t8779 - t7190 - t7210 - t828 - t932;
  t8798 = t220 * t8757;
  t8809 = 0.2e1 * t220 * t8758 * t555 - 0.2e1 * t2860 * t2421 * t8782 + 0.2e1 * t538 * t8757 * t549 - 0.2e1 * t8798 * t564 + 0.2e1 * t8798 * t566 + 0.4e1 * t2825 + 0.4e1 * t2839 - 0.4e1 * t2862 - t7245 + t7253 - t7256 + t7275 - t7277 - t7292 + t7301 + t7302 - t7303;
  t8813 = my_piecewise5(t104, 0, t105, 0, t8568 + t8620 + t8661 + t8708 + t8746 + t8755 + t8791 + t8809);
  t8820 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t513 * t940 + t8501 / 0.5e1 + 0.3e1 / 0.1e2 * t7 * t204 * t2868 - t8479 + t8508 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t88 * (0.2e3 / 0.243e3 * t2578 - 0.5e2 / 0.81e2 * t2581 + 0.5e1 / 0.27e2 * t38 * t98 * t2150 + t532 * t938 + 0.2e1 * t218 * t2866 + t103 * t8813));
  tv4rho2lapl28 = t8 * t8820 + 0.2e1 * t2873;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 8] += tv4rho2lapl28;

  tv4rho2lapltau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 0] += tv4rho2lapltau0;

  tv4rho2lapltau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 1] += tv4rho2lapltau1;

  tv4rho2lapltau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 2] += tv4rho2lapltau2;

  tv4rho2lapltau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 3] += tv4rho2lapltau3;

  tv4rho2lapltau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 4] += tv4rho2lapltau4;

  tv4rho2lapltau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 5] += tv4rho2lapltau5;

  tv4rho2lapltau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 6] += tv4rho2lapltau6;

  tv4rho2lapltau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 7] += tv4rho2lapltau7;

  tv4rho2lapltau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 8] += tv4rho2lapltau8;

  tv4rho2lapltau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 9] += tv4rho2lapltau9;

  tv4rho2lapltau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 10] += tv4rho2lapltau10;

  tv4rho2lapltau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 11] += tv4rho2lapltau11;

  tv4rho2tau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 0] += tv4rho2tau20;

  tv4rho2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 1] += tv4rho2tau21;

  tv4rho2tau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 2] += tv4rho2tau22;

  tv4rho2tau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 3] += tv4rho2tau23;

  tv4rho2tau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 4] += tv4rho2tau24;

  tv4rho2tau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 5] += tv4rho2tau25;

  tv4rho2tau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 6] += tv4rho2tau26;

  tv4rho2tau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 7] += tv4rho2tau27;

  tv4rho2tau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 8] += tv4rho2tau28;

  t8827 = t7 * t135 * t2946 / 0.1e2;
  t8835 = t2878 * t362;
  t8836 = t8835 * t1054;
  t8837 = t1050 * t8836;
  t8841 = t1093 * t799;
  t8842 = t8841 * t153;
  t8843 = t369 * t8842;
  t8844 = t4942 * t8843;
  t8846 = t799 * t155;
  t8847 = t8846 * t364;
  t8849 = t159 * t2509;
  t8850 = t151 * t8847 * t8849;
  t8852 = t2914 * t383;
  t8854 = t359 * t8852 * t2505;
  t8858 = t1623 * t2508 * t2267 * t383;
  t8860 = t359 * t8847;
  t8861 = t8860 * t7655;
  t8863 = 0.18e2 * t8837 * t1059 * t2245 + t2197 - t2199 - t2202 + t2207 + t2226 - t2241 + t2247 - t2251 + 0.9e1 * t8844 + 0.9e1 * t8850 - 0.9e1 * t8854 + 0.9e1 * t8858 - 0.9e1 * t8861;
  t8864 = t4932 * t2209;
  t8868 = t159 * t3533 * t612;
  t8873 = t159 * t2487 * t383;
  t8881 = t799 * params->csk_a;
  t8884 = t5021 * t1059 * t8881 * t248;
  t8886 = t6514 * t1054;
  t8887 = t1050 * t8886;
  t8888 = t8887 * t2465;
  t8890 = t4932 * t612;
  t8891 = t369 * t8890;
  t8894 = t2889 * t1054;
  t8895 = t1050 * t8894;
  t8896 = t1093 * t362;
  t8897 = t8896 * t153;
  t8898 = t1059 * t8897;
  t8902 = t4954 * t369 * t8852;
  t8905 = t359 * t8886 * t2498;
  t8909 = t362 * params->csk_a * t153;
  t8910 = t159 * t8909;
  t8913 = t359 * t8894;
  t8916 = t8887 * t2461;
  t8918 = -0.6e1 * t151 * t8836 * t8873 - 0.18e2 * t151 * t8894 * t8910 + 0.18e2 * t359 * t8836 * t8873 - 0.9e1 * t2238 * t8864 - 0.9e1 * t2238 * t8891 + 0.9e1 * t2244 * t8868 - 0.6e1 * t8837 * t8873 - 0.12e2 * t8895 * t8898 + 0.18e2 * t8913 * t8910 + 0.9e1 * t8884 - 0.6e1 * t8888 + 0.9e1 * t8902 + 0.9e1 * t8905 - 0.9e1 * t8916;
  t8920 = t369 * t8897;
  t8923 = t8881 * t153;
  t8924 = t159 * t8923;
  t8925 = t4972 * t8924;
  t8927 = t8887 * t2489;
  t8929 = t369 * t2245;
  t8932 = t159 * t8842;
  t8933 = t4972 * t8932;
  t8935 = t4942 * t8932;
  t8940 = t2474 * t369 * t8923;
  t8943 = t1636 * t3790 * t153;
  t8946 = t2878 * t3651;
  t8947 = t359 * t8946;
  t8950 = t359 * t8835;
  t8951 = t1100 * t2224;
  t8954 = t6515 * t2527;
  t8957 = t1636 * t375 * t612;
  t8962 = -0.9e1 * t2181 * t8957 + 0.9e1 * t2186 * t8957 - 0.12e2 * t2911 * t8943 - 0.3e1 * t8947 * t624 + 0.18e2 * t8837 * t8929 - 0.18e2 * t8895 * t8920 + 0.18e2 * t8913 * t8920 - 0.18e2 * t8950 * t8951 - 0.9e1 * t8925 - 0.3e1 * t8927 - 0.3e1 * t8933 + 0.9e1 * t8935 + 0.9e1 * t8940 - 0.6e1 * t8954;
  t8963 = t2878 * t153;
  t8967 = t1094 * t6759;
  t8970 = t153 * t3656;
  t8971 = t3677 * t8970;
  t8974 = t3713 * t1058 * t2878 * t1093;
  t8977 = t2878 * t3656;
  t8978 = t3677 * t8977;
  t8979 = t1059 * t153;
  t8980 = t3697 * t8979;
  t8983 = t1602 * t2898;
  t8987 = t4810 * t1100 * t2264 * t248;
  t8989 = t2198 * t2218;
  t8992 = t374 * t1084 * t612;
  t8995 = t1050 * t8835;
  t8996 = t1058 * t153;
  t9007 = t1050 * t8977;
  t9008 = t3811 * t2191;
  t9013 = t3713 * t2174;
  t9016 = t359 * t8977;
  t9018 = t3706 * t1114 * t153;
  t9021 = -0.6e1 * t8995 * t1109 * t8996 * t383 - 0.6e1 * t8978 * t3701 * t3749 * t153 + 0.3e1 * t151 * t8963 * t4788 - 0.9e1 * t2173 * t8967 + 0.9e1 * t2204 * t8992 + 0.9e1 * t2222 * t4861 - 0.3e1 * t8947 * t608 + 0.18e2 * t8971 * t8974 - 0.12e2 * t8978 * t8980 + 0.6e1 * t9007 * t9008 - 0.6e1 * t9007 * t9013 - 0.11e2 * t9016 * t9018 + 0.3e1 * t8983 - 0.9e1 * t8987 - 0.3e1 * t8989;
  t9024 = t151 * t8977;
  t9031 = t1094 * t2209;
  t9036 = t2198 * t2210;
  t9045 = t1109 * t1124 * t612;
  t9048 = t3681 * t2878;
  t9054 = t3701 * t3702 * t153;
  t9059 = t2260 * t1109 * t1612 * t799;
  t9063 = 0.11e2 * t8971 * t3701 * t9048 * t1093 + 0.9e1 * t2173 * t4773 + 0.9e1 * t2173 * t4874 - 0.3e1 * t2173 * t9031 - 0.6e1 * t2173 * t9045 - 0.3e1 * t2181 * t9031 + 0.9e1 * t2186 * t8967 + 0.9e1 * t2186 * t9031 - 0.6e1 * t8978 * t9054 + 0.12e2 * t9007 * t8980 - 0.18e2 * t9016 * t9008 + 0.6e1 * t9024 * t9008 - 0.3e1 * t9036 - 0.3e1 * t9059;
  t9065 = t3706 * t6548 * t153;
  t9068 = t158 * t3696;
  t9070 = t3782 * t9068 * t153;
  t9077 = t3713 * t2228;
  t9080 = t3706 * t623;
  t9093 = t3782 * t607;
  t9098 = 0.7e1 * t8978 * t9018 - 0.7e1 * t8978 * t9065 - t8978 * t9070 - 0.6e1 * t8978 * t9077 + 0.18e2 * t9007 * t9065 + 0.6e1 * t9007 * t9070 - 0.12e2 * t9007 * t9077 - 0.18e2 * t9007 * t9080 - 0.7e1 * t9016 * t9065 - 0.7e1 * t9016 * t9070 + 0.7e1 * t9016 * t9080 - 0.11e2 * t9016 * t9093 + t9024 * t9070 + 0.11e2 * t9024 * t9093;
  t9103 = t3782 * t618;
  t9121 = t2196 * t2254;
  t9123 = t1636 * t2253;
  t9128 = t151 * t799 * t612 * t385;
  t9130 = t1561 * t2265;
  t9132 = 0.3e1 * t151 * t8946 * t619 + 0.11e2 * t9016 * t3706 * t2223 + 0.3e1 * t359 * t8963 * t3664 + t8971 * t3701 * t9048 + 0.6e1 * t9007 * t3713 * t8996 - 0.3e1 * t2173 * t5052 - 0.6e1 * t2181 * t9123 - 0.9e1 * t2186 * t5067 + 0.6e1 * t9024 * t9103 - t801 - t803 + 0.3e1 * t9121 - 0.3e1 * t9128 + 0.3e1 * t9130;
  t9133 = 0.6e1 * t2916;
  t9134 = -t2888 - t2892 + t2896 + t2900 - t2902 - t2904 + t2266 - t2269 - t2275 + t2282 + t2907 + t2909 + t2913 - t9133 + t2925;
  t9138 = my_piecewise5(t58, 0, t61, 0, t8863 + t8918 + t8962 + t9021 + t9063 + t9098 + t9132 + t9134);
  t9145 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t2946 + t8827 + 0.3e1 / 0.2e2 * t7 * t32 * (0.4e2 / 0.81e2 * t38 * t141 * t809 - 0.5e1 / 0.27e2 * t38 * t43 * t2285 + t149 * t2944 + t53 * t9138));
  tv4rhosigma30 = t8 * t9145 + t2950;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  tv4rhosigma31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 1] += tv4rhosigma31;

  tv4rhosigma32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 2] += tv4rhosigma32;

  tv4rhosigma33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 3] += tv4rhosigma33;

  tv4rhosigma34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 4] += tv4rhosigma34;

  tv4rhosigma35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 5] += tv4rhosigma35;

  tv4rhosigma36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 6] += tv4rhosigma36;

  tv4rhosigma37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 7] += tv4rhosigma37;

  tv4rhosigma38 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 8] += tv4rhosigma38;

  t9152 = t7 * t180 * t3022 / 0.1e2;
  t9154 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t3022 + t9152);
  tv4rhosigma39 = t8 * t9154 + t3026;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 9] += tv4rhosigma39;

  t9160 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t2946 + t8827);
  tv4rhosigma310 = t8 * t9160 + t2950;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 10] += tv4rhosigma310;

  tv4rhosigma311 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 11] += tv4rhosigma311;

  tv4rhosigma312 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 12] += tv4rhosigma312;

  tv4rhosigma313 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 13] += tv4rhosigma313;

  tv4rhosigma314 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 14] += tv4rhosigma314;

  tv4rhosigma315 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 15] += tv4rhosigma315;

  tv4rhosigma316 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 16] += tv4rhosigma316;

  tv4rhosigma317 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 17] += tv4rhosigma317;

  tv4rhosigma318 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 18] += tv4rhosigma318;

  t9172 = t2954 * t541;
  t9173 = t9172 * t1434;
  t9174 = t1430 * t9173;
  t9178 = t5466 * t675;
  t9179 = t548 * t9178;
  t9182 = t1093 * t826;
  t9183 = t9182 * t222;
  t9184 = t548 * t9183;
  t9185 = t5265 * t9184;
  t9187 = t7030 * t1434;
  t9188 = t1430 * t9187;
  t9189 = t9188 * t2623;
  t9191 = t538 * t9173;
  t9192 = t5511 * t562;
  t9193 = t548 * t9192;
  t9196 = t2995 * t562;
  t9197 = t220 * t9196;
  t9198 = t9197 * t2350;
  t9200 = 0.18e2 * t9174 * t1439 * t2395 - 0.9e1 * t2384 * t9179 + 0.18e2 * t9191 * t9193 - t2346 + t2351 + t2360 + t2373 - t2374 - t2387 - t2391 + t2397 + 0.9e1 * t9185 - 0.6e1 * t9189 + 0.9e1 * t9198;
  t9202 = t228 * t4477 * t675;
  t9212 = t2594 * t548 * t2416 * t562;
  t9214 = t826 * params->csk_a;
  t9215 = t9214 * t222;
  t9217 = t2600 * t1439 * t9215;
  t9221 = t2385 * t4391;
  t9225 = t8595 * t681 * t562;
  t9228 = t228 * t675;
  t9229 = t5466 * t9228;
  t9232 = t228 * t9183;
  t9233 = t5520 * t9232;
  t9235 = t5265 * t9232;
  t9237 = t9188 * t2611;
  t9240 = t2600 * t548 * t9215;
  t9242 = t220 * t9173;
  t9245 = t9188 * t2591;
  t9247 = 0.18e2 * t538 * t2973 * t1434 * t9221 - 0.12e2 * t9174 * t1439 * t9192 - 0.9e1 * t2384 * t9229 + 0.9e1 * t2394 * t9202 - 0.18e2 * t9174 * t9193 - 0.6e1 * t9174 * t9225 - 0.6e1 * t9242 * t9225 + 0.9e1 * t9212 + 0.9e1 * t9217 - 0.3e1 * t9233 + 0.9e1 * t9235 - 0.3e1 * t9237 + 0.9e1 * t9240 - 0.9e1 * t9245;
  t9250 = t538 * t9187 * t2618;
  t9254 = t228 * t9215;
  t9255 = t5520 * t9254;
  t9259 = t548 * t2395;
  t9262 = t538 * t9196;
  t9263 = t9262 * t2634;
  t9265 = t9197 * t2634;
  t9267 = t9262 * t2630;
  t9269 = t222 * t4490;
  t9270 = t4501 * t9269;
  t9271 = t4546 * t2954;
  t9277 = t1481 * t1497 * t675;
  t9282 = t4503 * t1438 * t2954 * t1093;
  t9285 = t2954 * t4490;
  t9286 = t4501 * t9285;
  t9287 = t1439 * t222;
  t9288 = t7026 * t9287;
  t9292 = t1492 * t1507 * t675;
  t9299 = 0.11e2 * t9270 * t4572 * t9271 * t1093 - 0.6e1 * t9270 * t4572 * t9271 * params->csk_a - 0.6e1 * t2320 * t9292 + 0.9e1 * t2341 * t9277 - 0.18e2 * t9242 * t2396 + 0.18e2 * t9174 * t9259 + 0.18e2 * t9191 * t9225 + 0.18e2 * t9270 * t9282 - 0.12e2 * t9286 * t9288 + 0.9e1 * t9250 - 0.9e1 * t9255 - 0.9e1 * t9263 + 0.9e1 * t9265 - 0.9e1 * t9267;
  t9301 = t4572 * t4573 * t222;
  t9306 = t538 * t9285;
  t9307 = t4647 * t2377;
  t9310 = t1430 * t9285;
  t9311 = t4503 * t2329;
  t9316 = t1750 * t1481 * t2413 * t222;
  t9318 = t4503 * t2333;
  t9321 = t2345 * t2338;
  t9323 = t1456 * t9228;
  t9326 = t1460 * t9228;
  t9335 = t2345 * t2326;
  t9338 = t553 * t1477 * t675;
  t9343 = 0.9e1 * t2320 * t5357 - 0.9e1 * t2320 * t9277 - 0.3e1 * t2320 * t9323 + 0.9e1 * t2341 * t9323 + 0.9e1 * t2341 * t9326 + 0.9e1 * t2348 * t9338 + 0.9e1 * t2356 * t5373 - 0.3e1 * t2365 * t9323 - 0.6e1 * t9286 * t9301 - 0.11e2 * t9306 * t9307 - 0.6e1 * t9310 * t9311 - 0.12e2 * t9310 * t9318 - 0.9e1 * t9316 - 0.3e1 * t9321 - 0.3e1 * t9335;
  t9346 = t1807 * t2968;
  t9350 = t538 * t9269;
  t9356 = t1430 * t9172;
  t9357 = t1438 * t222;
  t9364 = t2409 * t1492 * t1802 * t826;
  t9370 = t4580 * t686;
  t9373 = t220 * t9285;
  t9375 = t4495 * t4507 * t222;
  t9382 = t7026 * t2321;
  t9387 = 0.7e1 * t9350 * t4580 * t547 * t2954 * params->csk_a - 0.6e1 * t9356 * t1492 * t9357 * t562 + 0.9e1 * t2320 * t5449 - 0.9e1 * t2365 * t9326 - 0.6e1 * t9286 * t9318 - t9286 * t9375 + 0.12e2 * t9310 * t9288 - 0.7e1 * t9306 * t9375 - 0.18e2 * t9310 * t9370 + 0.6e1 * t9310 * t9375 + 0.18e2 * t9310 * t9382 + t9373 * t9375 + 0.3e1 * t9346 - 0.3e1 * t9364;
  t9390 = t4494 * t1093;
  t9391 = t9390 * t2377;
  t9394 = t2954 * t4514;
  t9395 = t538 * t9394;
  t9400 = t7031 * t2651;
  t9402 = t227 * t541;
  t9404 = t1780 * t9402 * t222;
  t9408 = t4580 * t1497 * t222;
  t9411 = t2954 * t222;
  t9417 = t538 * t9172;
  t9429 = -0.18e2 * t9417 * t1481 * t2358 + 0.3e1 * t220 * t9411 * t5325 - 0.12e2 * t3007 * t9404 - 0.3e1 * t9395 * t671 - 0.3e1 * t9395 * t687 - 0.7e1 * t9286 * t9382 + 0.7e1 * t9286 * t9408 - 0.7e1 * t9306 * t9382 - 0.18e2 * t9306 * t9391 - 0.11e2 * t9306 * t9408 + 0.11e2 * t9373 * t9307 + 0.6e1 * t9310 * t9391 + 0.6e1 * t9373 * t9391 - 0.6e1 * t9400;
  t9434 = t4495 * t681;
  t9446 = t1757 * t2414;
  t9450 = t220 * t826 * t675 * t564;
  t9458 = t2372 * t2426;
  t9460 = t1780 * t2422;
  t9463 = 0.3e1 * t220 * t9394 * t682 + 0.11e2 * t9306 * t4580 * t2357 + 0.6e1 * t9310 * t4503 * t9357 + 0.3e1 * t538 * t9411 * t4533 + t9270 * t4572 * t9271 - 0.3e1 * t2320 * t5586 - 0.9e1 * t2341 * t5613 - 0.6e1 * t2365 * t9460 + 0.6e1 * t9373 * t9434 - t828 - t830 + 0.3e1 * t9446 - 0.3e1 * t9450 + 0.3e1 * t9458;
  t9464 = 0.6e1 * t2997;
  t9465 = t2966 + t2970 - t2972 - t2976 - t2978 - t2980 + t2399 + t2415 - t2418 - t2425 + t2989 - t9464 + t3004 + t3006 + t3009;
  t9469 = my_piecewise5(t104, 0, t105, 0, t9200 + t9247 + t9299 + t9343 + t9387 + t9429 + t9463 + t9465);
  t9476 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t3022 + t9152 + 0.3e1 / 0.2e2 * t7 * t88 * (0.4e2 / 0.81e2 * t38 * t210 * t836 - 0.5e1 / 0.27e2 * t38 * t93 * t2431 + t218 * t3020 + t103 * t9469));
  tv4rhosigma319 = t8 * t9476 + t3026;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 19] += tv4rhosigma319;

  t9483 = t7 * t135 * t3107 / 0.1e2;
  t9495 = t1093 * t792;
  t9496 = t9495 * t153;
  t9501 = t3677 * t8970 * t3658;
  t9502 = t7496 * t792;
  t9506 = t3696 * t792;
  t9513 = t2459 * t8843;
  t9515 = t2460 * t6759;
  t9520 = t718 * t792;
  t9522 = t359 * t9520 * t383;
  t9525 = t3089 * t383;
  t9526 = t369 * t9525;
  t9527 = t4954 * t9526;
  t9529 = t151 * t9525;
  t9530 = t9529 * t2206;
  t9532 = t8887 * t2477;
  t9537 = t6463 * t3658;
  t9538 = t3677 * t9537;
  t9545 = t2197 - t2199 - t2202 - t3037 + t2471 + t2485 - 0.6e1 * t7367 * t1059 * t9496 + 0.11e2 * t9501 * t3682 * t9502 - 0.6e1 * t7357 * t3682 * t9506 * t153 + 0.6e1 * t2474 * t7474 - 0.3e1 * t9513 - 0.6e1 * t2459 * t9515 + 0.6e1 * t2484 * t8992 - 0.3e1 * t9522 * t1041 + 0.3e1 * t9527 + 0.3e1 * t9530 + 0.3e1 * t9532 - 0.6e1 * t6665 * t1059 * t2469 - 0.6e1 * t9538 * t3682 * t2476 + 0.6e1 * t2468 * t369 * t7536;
  t9547 = t359 * t3033 * t3651;
  t9552 = t374 * t3038;
  t9558 = t2460 * t2209;
  t9568 = t159 * t3203 * t612;
  t9582 = t9506 * t8979;
  t9586 = t2459 * t1059 * t8842;
  t9592 = t9506 * t2213;
  t9599 = t2496 * t8924;
  t9601 = t2480 * t8924;
  t9603 = -0.3e1 * t9547 * t608 + 0.3e1 * t151 * t721 * t3651 * t9552 - 0.11e2 * t7363 * t369 * t9496 - 0.2e1 * t2459 * t9558 - 0.2e1 * t2496 * t9558 + 0.6e1 * t2480 * t9558 + 0.3e1 * t5736 * t3083 - 0.6e1 * t2496 * t9568 + 0.6e1 * t2474 * t7462 + 0.6e1 * t2480 * t9515 + 0.6e1 * t2480 * t9568 - 0.3e1 * t9522 * t1024 + 0.18e2 * t9501 * t1059 * t9502 - 0.12e2 * t7357 * t9582 - 0.2e1 * t9586 - 0.4e1 * t2459 * t1059 * t2460 * t612 - 0.7e1 * t7357 * t9592 + 0.7e1 * t9538 * t369 * t7496 * t153 - 0.3e1 * t9599 + 0.3e1 * t9601;
  t9605 = t1050 * t9537;
  t9612 = t159 * t3081 * t153;
  t9617 = t9506 * t2191;
  t9619 = t8887 * t2493;
  t9625 = t2480 * t8932;
  t9627 = t2459 * t8932;
  t9630 = t2480 * t8843;
  t9634 = t2496 * t8932;
  t9637 = t151 * t3034;
  t9644 = t9495 * t2191;
  t9649 = 0.7e1 * t359 * t9537 * t2493 - 0.18e2 * t6681 * t2470 - 0.6e1 * t9538 * t2477 - 0.12e2 * t9605 * t2477 - 0.18e2 * t9605 * t2493 - 0.3e1 * t9547 * t624 - t7357 * t9617 + 0.11e2 * t7361 * t9612 - 0.7e1 * t7363 * t9592 - 0.11e2 * t7363 * t9612 - 0.18e2 * t7363 * t9644 + 0.12e2 * t7367 * t9582 + 0.18e2 * t7367 * t9592 + 0.6e1 * t7367 * t9644 - 0.12e2 * t9637 * t8943 + 0.3e1 * t9619 + 0.3e1 * t9625 - t9627 + 0.3e1 * t9630 - t9634;
  t9666 = t1050 * t3034;
  t9668 = t1094 * t362 * t2191;
  t9680 = t1100 * t368 * t8897;
  t9683 = t9529 * t2505;
  t9685 = t359 * t9525;
  t9686 = t9685 * t2505;
  t9689 = t1636 * t158 * t8909;
  t9705 = t9685 * t2514;
  t9707 = 0.18e2 * t6665 * t7578 * t2245 + 0.18e2 * t6665 * t7674 * t2245 - 0.6e1 * t2503 * t2513 * t8890 - 0.12e2 * t9666 * t7633 * t8897 + 0.18e2 * t3035 * t9668 + 0.18e2 * t3035 * t9680 + 0.18e2 * t3035 * t9689 - 0.18e2 * t9637 * t9689 + 0.3e1 * t9683 - 0.3e1 * t9686 - 0.3e1 * t9705;
  t9727 = t1109 * t6570 * t281;
  t9728 = t2260 * t9727;
  t9733 = t1905 * t1636 * t3092 * t153;
  t9735 = -0.2e1 * t1579 * t7610 - 0.18e2 * t9666 * t9680 - t2506 + t2511 - t2515 - 0.6e1 * t8854 + 0.6e1 * t8858 - 0.6e1 * t8861 + 0.6e1 * t8884 - 0.4e1 * t8888 + 0.6e1 * t8902 + 0.6e1 * t8905 - 0.6e1 * t8916 - 0.6e1 * t8925 - 0.2e1 * t8927 - 0.2e1 * t8933 + 0.6e1 * t8935 + 0.6e1 * t8940 - t9728 - 0.2e1 * t9733;
  t9750 = t1902 * t3062;
  t9756 = t1936 * t2898;
  t9763 = t1902 * t2898;
  t9779 = t1100 * t710 * t799;
  t9780 = t4810 * t9779;
  t9786 = -0.6e1 * t1554 * t1100 * t710 * t612 + 0.6e1 * t5773 * t3782 * t3099 * t153 - 0.4e1 * t1905 * t1636 * t856 * t612 + t8971 * t3701 * t6565 * t281 + 0.3e1 * t151 * t9520 * t1570 + 0.3e1 * t2222 * t5835 + 0.3e1 * t5767 * t3058 - 0.3e1 * t5770 * t3058 + t9756 - t9763 - 0.3e1 * t9780;
  t9807 = t151 * t718 * t799 * t385;
  t9808 = t1936 * t3093;
  t9809 = t2198 * t1972;
  t9818 = 0.3e1 * t359 * t792 * t153 * t7579 + 0.3e1 * t3052 * t3652 * t2191 + 0.11e2 * t6507 * t3706 * t2530 - t2173 * t5948 - 0.3e1 * t2186 * t5962 - 0.2e1 * t5821 * t3100 + t3051 - t801 - 0.4e1 * t8954 + 0.2e1 * t8983 - 0.6e1 * t8987 - 0.2e1 * t8989 - 0.2e1 * t9036 - 0.2e1 * t9059 + 0.2e1 * t9121 - 0.2e1 * t9128 + 0.2e1 * t9130 - t9807 + t9808 + t9809;
  t9821 = t2266 - t2269 + t2282 - t2538 - t2541 + t3086 - 0.4e1 * t2916 + t3088 - t3250 + t3094 + t3095;
  t9826 = my_piecewise5(t58, 0, t61, 0, -t855 + t9821 + t9818 + t9786 - t9750 + t9735 + t9707 + t9649 + t9603 + t9545 + 0.6e1 * t8850 + 0.6e1 * t8844 - t5770 * t3045 + 0.3e1 * t5767 * t3039 - 0.3e1 * t5821 * t3039 + 0.3e1 * t2173 * t5816 - t5821 * t3045 + 0.3e1 * t5767 * t3045 - 0.2e1 * t5770 * t3065 + 0.3e1 * t2173 * t5857 - 0.6e1 * t9666 * t9668 + 0.6e1 * t7361 * t9644 + t7361 * t9617 - 0.7e1 * t7363 * t9617 + 0.6e1 * t7367 * t9617 - 0.6e1 * t2503 * t4937 * t2209 + 0.6e1 * t6464 * t3713 * t1931 * t153 + 0.6e1 * t1951 * t2508 * t2270 * t612 - 0.6e1 * t5689 * t7629 * t2203 * t153 + t3085 - t3078 - t3080 - t3076 + t3077 + t3070 - t3063 - t3055 + t3054);
  t9833 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t3107 + t9483 + 0.3e1 / 0.2e2 * t7 * t32 * (-0.25e2 / 0.162e3 * t2876 + 0.5e1 / 0.54e2 * t38 * t48 * t2285 + 0.8e2 / 0.243e3 * t38 * t141 * t864 - 0.1e2 / 0.81e2 * t38 * t43 * t2546 + t149 * t3105 + t53 * t9826));
  tv4rhosigma2lapl0 = t8 * t9833 + t3111;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 0] += tv4rhosigma2lapl0;

  tv4rhosigma2lapl1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 1] += tv4rhosigma2lapl1;

  tv4rhosigma2lapl2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 2] += tv4rhosigma2lapl2;

  tv4rhosigma2lapl3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 3] += tv4rhosigma2lapl3;

  tv4rhosigma2lapl4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 4] += tv4rhosigma2lapl4;

  tv4rhosigma2lapl5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 5] += tv4rhosigma2lapl5;

  tv4rhosigma2lapl6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 6] += tv4rhosigma2lapl6;

  tv4rhosigma2lapl7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 7] += tv4rhosigma2lapl7;

  tv4rhosigma2lapl8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 8] += tv4rhosigma2lapl8;

  tv4rhosigma2lapl9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 9] += tv4rhosigma2lapl9;

  tv4rhosigma2lapl10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 10] += tv4rhosigma2lapl10;

  t9840 = t7 * t180 * t3192 / 0.1e2;
  t9842 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t3192 + t9840);
  tv4rhosigma2lapl11 = t8 * t9842 + t3196;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 11] += tv4rhosigma2lapl11;

  t9848 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t3107 + t9483);
  tv4rhosigma2lapl12 = t8 * t9848 + t3111;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 12] += tv4rhosigma2lapl12;

  tv4rhosigma2lapl13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 13] += tv4rhosigma2lapl13;

  tv4rhosigma2lapl14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 14] += tv4rhosigma2lapl14;

  tv4rhosigma2lapl15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 15] += tv4rhosigma2lapl15;

  tv4rhosigma2lapl16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 16] += tv4rhosigma2lapl16;

  tv4rhosigma2lapl17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 17] += tv4rhosigma2lapl17;

  tv4rhosigma2lapl18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 18] += tv4rhosigma2lapl18;

  tv4rhosigma2lapl19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 19] += tv4rhosigma2lapl19;

  tv4rhosigma2lapl20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 20] += tv4rhosigma2lapl20;

  tv4rhosigma2lapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 21] += tv4rhosigma2lapl21;

  tv4rhosigma2lapl22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 22] += tv4rhosigma2lapl22;

  t9864 = t1093 * t819;
  t9865 = t9864 * t222;
  t9870 = t538 * t3118 * t4514;
  t9875 = t220 * t3119;
  t9878 = t3174 * t562;
  t9879 = t548 * t9878;
  t9880 = t5527 * t9879;
  t9882 = t220 * t9878;
  t9883 = t9882 * t2350;
  t9885 = t7024 * t4494;
  t9886 = t4501 * t9885;
  t9891 = t3696 * t819;
  t9892 = t9891 * t2321;
  t9899 = t228 * t3123 * t222;
  t9904 = t2609 * t9254;
  t9906 = t2613 * t9254;
  t9908 = t1430 * t9885;
  t9913 = t554 * t819;
  t9914 = t553 * t9913;
  t9917 = -t2346 + t2373 - t2374 + t2586 + t2597 - 0.6e1 * t7861 * t1439 * t9865 - 0.3e1 * t9870 * t687 - 0.18e2 * t6947 * t2596 - 0.12e2 * t9875 * t9404 + 0.3e1 * t9880 + 0.3e1 * t9883 + 0.7e1 * t9886 * t548 * t7924 * t222 - 0.7e1 * t7866 * t9892 + 0.7e1 * t538 * t9885 * t2606 + 0.11e2 * t7874 * t9899 - 0.11e2 * t7868 * t9899 - 0.3e1 * t9904 + 0.3e1 * t9906 - 0.12e2 * t9908 * t2603 + 0.3e1 * t220 * t772 * t4514 * t9914;
  t9931 = t4501 * t9269 * t4494;
  t9932 = t7924 * t819;
  t9942 = t2589 * t9184;
  t9945 = t2590 * t548 * t675;
  t9951 = t9891 * t9287;
  t9956 = t769 * t819;
  t9958 = t538 * t9956 * t562;
  t9961 = t9188 * t2603;
  t9973 = t2590 * t9228;
  t9978 = -0.11e2 * t7868 * t548 * t9865 - 0.3e1 * t9870 * t671 + 0.6e1 * t2594 * t548 * t8045 - 0.4e1 * t2589 * t1439 * t2590 * t675 + 0.11e2 * t9931 * t4547 * t9932 - 0.6e1 * t7866 * t4547 * t9891 * t222 + 0.6e1 * t2600 * t7951 - 0.3e1 * t9942 - 0.6e1 * t2589 * t9945 + 0.18e2 * t9931 * t1439 * t9932 - 0.12e2 * t7866 * t9951 + 0.6e1 * t2585 * t9338 - 0.3e1 * t9958 * t1425 + 0.3e1 * t9961 - 0.6e1 * t6936 * t1439 * t2595 - 0.6e1 * t9886 * t4547 * t2602 - 0.6e1 * t9886 * t2603 - 0.18e2 * t9908 * t2606 + 0.6e1 * t2613 * t9973 - 0.2e1 * t2589 * t9973;
  t9980 = t228 * t6985;
  t9996 = t2589 * t1439 * t9183;
  t9998 = t9891 * t2377;
  t10002 = t2613 * t9232;
  t10004 = t2589 * t9232;
  t10007 = t2613 * t9184;
  t10011 = t2609 * t9232;
  t10014 = t9864 * t2377;
  t10021 = 0.6e1 * t7861 * t10014 - 0.18e2 * t7868 * t10014 + 0.6e1 * t7874 * t10014 - 0.3e1 * t9958 * t1408 + 0.6e1 * t2600 * t7974 - 0.2e1 * t2609 * t9973 - 0.6e1 * t2609 * t9980 + 0.6e1 * t2613 * t9945 + 0.6e1 * t2613 * t9980 + 0.3e1 * t7853 * t3125 + 0.18e2 * t7861 * t9892 + 0.12e2 * t7861 * t9951 + 0.6e1 * t7861 * t9998 - t7866 * t9998 - 0.7e1 * t7868 * t9892 + 0.3e1 * t10002 - t10004 + 0.3e1 * t10007 - t10011 - 0.2e1 * t9996;
  t10025 = t9188 * t2606;
  t10043 = -0.2e1 * t9237 + 0.6e1 * t9240 - 0.6e1 * t9245 + 0.6e1 * t9250 - 0.6e1 * t9255 - 0.6e1 * t9263 + 0.6e1 * t9265 - t2631 - t2635 + t2640 - 0.6e1 * t9267;
  t10047 = t2067 * t2968;
  t10050 = t2067 * t3160;
  t10063 = t1481 * t761 * t826;
  t10064 = t5406 * t10063;
  t10067 = t1492 * t7184 * t297;
  t10068 = t2409 * t10067;
  t10076 = t2070 * t1780 * t3177 * t222;
  t10091 = t2095 * t2968;
  t10094 = -t10047 - 0.3e1 * t6175 * t3132 - t10050 - 0.2e1 * t6175 * t3163 + 0.3e1 * t2356 * t6257 - 0.6e1 * t1750 * t1481 * t761 * t675 + 0.3e1 * t220 * t9956 * t1772 - 0.3e1 * t10064 - t10068 - 0.2e1 * t1787 * t8070 + t9270 * t4572 * t7118 * t297 - 0.2e1 * t10076 + 0.3e1 * t538 * t819 * t222 * t8099 + 0.11e2 * t7042 * t4580 * t2654 - t6155 * t3145 + 0.3e1 * t6164 * t3145 - t6175 * t3145 + 0.3e1 * t2320 * t6188 + t10091 + 0.3e1 * t6164 * t3132;
  t10133 = t1430 * t3119;
  t10134 = t1093 * t541;
  t10135 = t10134 * t222;
  t10139 = t538 * t9878;
  t10140 = t10139 * t2630;
  t10146 = t1456 * t541 * t2377;
  t10151 = 0.6e1 * t2116 * t2637 * t2419 * t675 - 0.12e2 * t10133 * t7829 * t10135 + 0.18e2 * t6936 * t7825 * t2395 - 0.6e1 * t2628 * t2629 * t9178 - 0.6e1 * t2628 * t5471 * t9228 - 0.6e1 * t10133 * t10146 + 0.18e2 * t3120 * t10146 - 0.3e1 * t10140 + 0.2e1 * t9346 - 0.2e1 * t9364 - 0.4e1 * t9400;
  t10162 = t1481 * t547 * t10135;
  t10165 = t9882 * t2634;
  t10167 = t10139 * t2634;
  t10172 = t541 * params->csk_a;
  t10173 = t10172 * t222;
  t10174 = t1780 * t227 * t10173;
  t10183 = t220 * t769 * t826 * t564;
  t10184 = t2095 * t3178;
  t10185 = t2345 * t2129;
  t10192 = -0.6e1 * t6297 * t7819 * t2347 * t222 + 0.18e2 * t6936 * t7846 * t2395 - 0.18e2 * t10133 * t10162 + 0.18e2 * t3120 * t10162 + 0.18e2 * t3120 * t10174 - 0.18e2 * t9875 * t10174 - t2320 * t6398 - 0.3e1 * t2341 * t6376 - 0.2e1 * t6155 * t3185 + 0.3e1 * t10165 - 0.3e1 * t10167 - t10183 + t10184 + t10185 - t3122 + t3127 - t828 + 0.2e1 * t9446 - 0.2e1 * t9450 + 0.2e1 * t9458;
  t10195 = t2399 + t2415 - t2418 - t2664 - t2667 + t3171 - 0.4e1 * t2997 + t3173 - t3321 + t3179 + t3180;
  t10200 = my_piecewise5(t104, 0, t105, 0, -t883 + t10192 + t10195 + t10151 + t10094 + t10043 + 0.3e1 * t10025 + t10021 + t9978 + t9917 - 0.2e1 * t9335 - 0.2e1 * t9321 - 0.6e1 * t9316 + 0.6e1 * t9235 - 0.2e1 * t9233 + 0.6e1 * t9217 + 0.6e1 * t9212 + 0.6e1 * t9198 - 0.4e1 * t9189 + 0.6e1 * t9185 + t7874 * t9998 - 0.7e1 * t7868 * t9998 + 0.3e1 * t6164 * t3137 - 0.3e1 * t6155 * t3137 + 0.3e1 * t2320 * t6278 + 0.3e1 * t3152 * t4515 * t2377 - 0.4e1 * t2070 * t1780 * t884 * t675 + 0.6e1 * t6206 * t4495 * t3184 * t222 + 0.6e1 * t7049 * t4503 * t2090 * t222 - t3170 + t3166 - t3167 - t3168 - t3161 + t3154 - t3155 + t3151 + t3130);
  t10207 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t3192 + t9840 + 0.3e1 / 0.2e2 * t7 * t88 * (-0.25e2 / 0.162e3 * t2952 + 0.5e1 / 0.54e2 * t38 * t98 * t2431 + 0.8e2 / 0.243e3 * t38 * t210 * t892 - 0.1e2 / 0.81e2 * t38 * t93 * t2672 + t218 * t3190 + t103 * t10200));
  tv4rhosigma2lapl23 = t8 * t10207 + t3196;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 23] += tv4rhosigma2lapl23;

  tv4rhosigma2tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 0] += tv4rhosigma2tau0;

  tv4rhosigma2tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 1] += tv4rhosigma2tau1;

  tv4rhosigma2tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 2] += tv4rhosigma2tau2;

  tv4rhosigma2tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 3] += tv4rhosigma2tau3;

  tv4rhosigma2tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 4] += tv4rhosigma2tau4;

  tv4rhosigma2tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 5] += tv4rhosigma2tau5;

  tv4rhosigma2tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 6] += tv4rhosigma2tau6;

  tv4rhosigma2tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 7] += tv4rhosigma2tau7;

  tv4rhosigma2tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 8] += tv4rhosigma2tau8;

  tv4rhosigma2tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 9] += tv4rhosigma2tau9;

  tv4rhosigma2tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 10] += tv4rhosigma2tau10;

  tv4rhosigma2tau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 11] += tv4rhosigma2tau11;

  tv4rhosigma2tau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 12] += tv4rhosigma2tau12;

  tv4rhosigma2tau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 13] += tv4rhosigma2tau13;

  tv4rhosigma2tau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 14] += tv4rhosigma2tau14;

  tv4rhosigma2tau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 15] += tv4rhosigma2tau15;

  tv4rhosigma2tau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 16] += tv4rhosigma2tau16;

  tv4rhosigma2tau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 17] += tv4rhosigma2tau17;

  tv4rhosigma2tau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 18] += tv4rhosigma2tau18;

  tv4rhosigma2tau19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 19] += tv4rhosigma2tau19;

  tv4rhosigma2tau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 20] += tv4rhosigma2tau20;

  tv4rhosigma2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 21] += tv4rhosigma2tau21;

  tv4rhosigma2tau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 22] += tv4rhosigma2tau22;

  tv4rhosigma2tau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 23] += tv4rhosigma2tau23;

  t10214 = t7 * t135 * t3263 / 0.1e2;
  t10226 = t8302 * t3658;
  t10227 = t1050 * t10226;
  t10228 = t7358 * t2191;
  t10244 = 0.6e1 * t10227 * t10228 + t2197 - t2199 - t2202 + t2695 - t2700 - t2702 + 0.3e1 * t8844 - 0.6e1 * t9513 + 0.6e1 * t9527 + 0.6e1 * t9530 + 0.6e1 * t9532 - 0.4e1 * t9586 - 0.6e1 * t9599 + 0.6e1 * t9601 + 0.6e1 * t9619 + 0.6e1 * t9625 - 0.2e1 * t9627 + 0.6e1 * t9630 - 0.2e1 * t9634;
  t10265 = -t2708 * t9031 + 0.3e1 * t2715 * t8957 + 0.3e1 * t2715 * t9031 + 0.3e1 * t8850 - 0.3e1 * t8854 + 0.3e1 * t8858 - 0.3e1 * t8861 + 0.3e1 * t8884 - 0.2e1 * t8888 + 0.3e1 * t8902 + 0.3e1 * t8905 - 0.3e1 * t8916 - 0.3e1 * t8925 - t8927 - t8933 + 0.3e1 * t8935 + 0.3e1 * t8940 + 0.6e1 * t9683 - 0.6e1 * t9686 - 0.6e1 * t9705;
  t10285 = t1050 * t8970;
  t10298 = t359 * t8970;
  t10299 = t368 * t902;
  t10311 = t902 * t153;
  t10313 = t369 * t248;
  t10322 = 0.3e1 * t2718 * t8992 - 0.2e1 * t1579 * t8282 + t8971 * t3701 * t4881 * t902 - 0.3e1 * t2705 * t8957 + 0.3e1 * t2708 * t4773 - t2705 * t9031 + 0.3e1 * t2725 * t4861 - 0.6e1 * t1898 * t1100 * t602 * t718 + 0.6e1 * t10285 * t3713 * t2758 * t248 + 0.3e1 * t2708 * t4874 + 0.3e1 * t2715 * t8967 - 0.4e1 * t1905 * t1636 * t856 * t718 + 0.11e2 * t10298 * t3706 * t10299 * t248 - 0.3e1 * t2708 * t8967 - 0.2e1 * t2708 * t9045 + 0.3e1 * t8413 * t374 * t2526 + 0.3e1 * t359 * t10311 * t3652 * t10313 + 0.6e1 * t8337 * t3782 * t2526 - 0.2e1 * t9728 - 0.4e1 * t9733;
  t10330 = t359 * t8207;
  t10335 = t2460 * t68 * t7651;
  t10341 = t1621 * t718;
  t10345 = t7668 * t2509;
  t10352 = t1059 * t248;
  t10364 = -0.12e2 * t8222 * t1059 * t1093 * t2509 - 0.6e1 * t10330 * t4800 * t10341 - 0.6e1 * t10330 * t3208 * t8228 + 0.18e2 * t8222 * t10352 * t2245 + 0.6e1 * t1951 * t2508 * t7532 - 0.6e1 * t8222 * t10335 + 0.18e2 * t8241 * t10335 - 0.6e1 * t8257 * t10335 - 0.18e2 * t8222 * t10345 + 0.18e2 * t8241 * t10345 + 0.18e2 * t8222 * t7655;
  t10368 = t2488 * t8909;
  t10381 = -0.18e2 * t8233 * t10368 + 0.18e2 * t8238 * t10368 - 0.2e1 * t2705 * t9123 - 0.3e1 * t2715 * t5067 - t4744 * t2759 + t3207 - t3211 - t3214 + t3227 + t3237 - t3247 - t3248 - t801 - t909 + t9121 - t9128 + t9130 - 0.2e1 * t9807 + 0.2e1 * t9808 + 0.2e1 * t9809;
  t10382 = t3677 * t10226;
  t10386 = t3696 * t366 * t602 * t153;
  t10389 = t7358 * t153;
  t10390 = t1059 * t10389;
  t10393 = t3203 * t153;
  t10394 = t369 * t10393;
  t10397 = t359 * t10226;
  t10402 = t902 * params->csk_a;
  t10407 = t151 * t10226;
  t10415 = -0.6e1 * t3677 * t4736 * t3658 * t1059 * t10402 * t153 + 0.18e2 * t10227 * t10386 + 0.12e2 * t10227 * t10390 - 0.18e2 * t10227 * t10394 - t10382 * t10228 - 0.7e1 * t10397 * t10228 + t10407 * t10228 - 0.7e1 * t10397 * t10386 - 0.18e2 * t10397 * t2489 + 0.6e1 * t10407 * t2489 + t2266 - t2269 + t2282 + t2719 + t2726 - t2752 - t2887 + t2899 - t2901 + t3249;
  t10417 = t3203 * t8228;
  t10420 = t2460 * t8228;
  t10441 = t1050 * t600 * t1054;
  t10456 = t2460 * t718;
  t10457 = t369 * t10456;
  t10461 = t902 * t1093 * t248;
  t10476 = 0.6e1 * t2480 * t10417 - 0.2e1 * t2459 * t10420 - 0.3e1 * t2699 * t8864 - 0.2e1 * t2496 * t10420 + 0.6e1 * t2480 * t10420 - 0.6e1 * t2496 * t10417 - 0.3e1 * t2699 * t8891 + 0.6e1 * t2459 * t7479 + 0.6e1 * t8208 * t159 * t10341 + 0.3e1 * t2694 * t8868 - 0.6e1 * t10441 * t1059 * t902 * t248 * t383 - 0.12e2 * t10227 * t1059 * t10393 + 0.6e1 * t2459 * t7469 - 0.6e1 * t9501 * t3682 * t10402 * t248 + 0.6e1 * t2480 * t10457 + 0.18e2 * t9501 * t1059 * t10461 - 0.12e2 * t10382 * t10390 - 0.4e1 * t2459 * t1059 * t10456 + 0.11e2 * t9501 * t3682 * t10461 - 0.6e1 * t10382 * t3682 * t10389;
  t10497 = t359 * t8368 * t364;
  t10515 = 0.3e1 * t151 * t10311 * t3651 * t851 - 0.18e2 * t8241 * t369 * t2509 - 0.6e1 * t10227 * t2465 + 0.6e1 * t10227 * t2489 - 0.3e1 * t10497 * t10394 - 0.11e2 * t10397 * t2461 - 0.3e1 * t10497 * t2498 + t2924 - 0.4e1 * t3091 + t3251 + t3252;
  t10520 = my_piecewise5(t58, 0, t61, 0, -0.7e1 * t10382 * t10386 + 0.11e2 * t10407 * t2498 - 0.11e2 * t10397 * t2498 - 0.12e2 * t8257 * t8849 + 0.7e1 * t10397 * t10394 - 0.6e1 * t2459 * t10457 + 0.7e1 * t10382 * t2461 + t10515 + t10476 + t10415 + t10381 + t10364 + t10322 + t10265 + t10244 - 0.6e1 * t9780 - 0.2e1 * t9763 + 0.2e1 * t9756 - 0.2e1 * t9750 - t9059 - t9036 - t8989 - 0.3e1 * t8987 + t8983 - 0.2e1 * t8954 + 0.6e1 * t7649 * t369 * t7532 - t3087 + t2908);
  t10527 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t3263 + t10214 + 0.3e1 / 0.2e2 * t7 * t32 * (-0.25e2 / 0.81e2 * t3031 + 0.5e1 / 0.27e2 * t38 * t48 * t2546 + 0.4e2 / 0.243e3 * t38 * t141 * t915 - 0.5e1 / 0.81e2 * t38 * t43 * t2763 + t149 * t3261 + t53 * t10520));
  tv4rhosigmalapl20 = t8 * t10527 + t3267;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 0] += tv4rhosigmalapl20;

  tv4rhosigmalapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 1] += tv4rhosigmalapl21;

  tv4rhosigmalapl22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 2] += tv4rhosigmalapl22;

  tv4rhosigmalapl23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 3] += tv4rhosigmalapl23;

  tv4rhosigmalapl24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 4] += tv4rhosigmalapl24;

  tv4rhosigmalapl25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 5] += tv4rhosigmalapl25;

  tv4rhosigmalapl26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 6] += tv4rhosigmalapl26;

  tv4rhosigmalapl27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 7] += tv4rhosigmalapl27;

  t10534 = t7 * t180 * t3334 / 0.1e2;
  t10536 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t3334 + t10534);
  tv4rhosigmalapl28 = t8 * t10536 + t3338;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 8] += tv4rhosigmalapl28;

  t10542 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t3263 + t10214);
  tv4rhosigmalapl29 = t8 * t10542 + t3267;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 9] += tv4rhosigmalapl29;

  tv4rhosigmalapl210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 10] += tv4rhosigmalapl210;

  tv4rhosigmalapl211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 11] += tv4rhosigmalapl211;

  tv4rhosigmalapl212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 12] += tv4rhosigmalapl212;

  tv4rhosigmalapl213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 13] += tv4rhosigmalapl213;

  tv4rhosigmalapl214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 14] += tv4rhosigmalapl214;

  tv4rhosigmalapl215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 15] += tv4rhosigmalapl215;

  tv4rhosigmalapl216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 16] += tv4rhosigmalapl216;

  t10572 = -t2346 + t2373 - t2374 - t2798 - t2800 + t2805 + 0.6e1 * t9880 + 0.6e1 * t9883 - 0.6e1 * t9904 + 0.6e1 * t9906 - 0.6e1 * t9942 + 0.6e1 * t9961 - 0.4e1 * t9996 + 0.6e1 * t10002 - 0.2e1 * t10004 + 0.6e1 * t10007 - 0.2e1 * t10011 + 0.6e1 * t10025 + 0.3e1 * t9185 - 0.2e1 * t9189;
  t10596 = -0.2e1 * t1787 * t8648 - t2808 * t9323 - t2811 * t9323 + 0.3e1 * t2813 * t9277 + 0.3e1 * t2813 * t9323 + 0.3e1 * t2813 * t9326 + 0.3e1 * t2824 * t9338 + 0.3e1 * t9198 + 0.3e1 * t9212 + 0.3e1 * t9217 - t9233 + 0.3e1 * t9235 - t9237 + 0.3e1 * t9240 - 0.3e1 * t9245 + 0.3e1 * t9250 - 0.3e1 * t9255 - 0.3e1 * t9263 + 0.3e1 * t9265 - 0.3e1 * t9267;
  t10611 = t1430 * t9269;
  t10631 = t925 * t222;
  t10647 = t9270 * t4572 * t5438 * t925 - 0.3e1 * t2811 * t9326 - 0.2e1 * t2808 * t9292 + 0.3e1 * t2838 * t5373 - 0.6e1 * t2063 * t1481 * t665 * t769 + 0.6e1 * t10611 * t4503 * t2856 * t265 + 0.3e1 * t2808 * t5449 - 0.4e1 * t2070 * t1780 * t884 * t769 + 0.11e2 * t9350 * t4580 * t8624 * t265 - 0.3e1 * t2808 * t9277 + 0.3e1 * t8769 * t553 * t2650 + 0.3e1 * t538 * t10631 * t4515 * t3297 + 0.6e1 * t8705 * t4495 * t2650 + 0.3e1 * t2808 * t5357 - 0.2e1 * t10047 - 0.2e1 * t10050 - 0.6e1 * t10064 - 0.2e1 * t10068 - 0.4e1 * t10076 + 0.2e1 * t10091;
  t10653 = t538 * t8578;
  t10654 = t1820 * t769;
  t10658 = t7838 * t2638;
  t10672 = t5511 * t112 * t884 * t562;
  t10686 = t2617 * t10173;
  t10693 = 0.18e2 * t8562 * t1439 * t265 * t2395 - 0.6e1 * t10653 * t3282 * t2828 + 0.18e2 * t8613 * t10658 - 0.6e1 * t8562 * t10672 - 0.6e1 * t8610 * t10672 + 0.18e2 * t8613 * t10672 - 0.18e2 * t8589 * t10686 + 0.18e2 * t8592 * t10686 + 0.18e2 * t8562 * t7807 - 0.6e1 * t10140 + 0.6e1 * t10165;
  t10706 = -0.2e1 * t2811 * t9460 - 0.3e1 * t2813 * t5613 - t5272 * t2857 - 0.6e1 * t10167 - 0.2e1 * t10183 + 0.2e1 * t10184 + 0.2e1 * t10185 - t3277 + t3281 - t3285 + t3306 + t3314 + t3318 - t3319 - t3320 - t828 - t932 + t9446 - t9450 + t9458;
  t10707 = t8632 * t4494;
  t10708 = t1430 * t10707;
  t10712 = t538 * t8732 * t543;
  t10715 = t3274 * t222;
  t10716 = t548 * t10715;
  t10719 = t538 * t10707;
  t10731 = t4501 * t10707;
  t10736 = t3696 * t545 * t665 * t222;
  t10739 = t220 * t10707;
  t10746 = t228 * t7968;
  t10754 = t2969 - t2971 - t2977 + t2825 + t2839 + 0.6e1 * t10708 * t2611 - 0.3e1 * t10712 * t2618 - 0.3e1 * t10712 * t10716 - 0.11e2 * t10719 * t2591 + 0.3e1 * t220 * t10631 * t4514 * t879 - 0.6e1 * t10708 * t2623 - 0.18e2 * t8613 * t548 * t2638 + 0.7e1 * t10731 * t2591 - 0.7e1 * t10731 * t10736 + 0.11e2 * t10739 * t2618 - 0.11e2 * t10719 * t2618 + 0.3e1 * t2804 * t9202 - 0.6e1 * t2609 * t10746 - 0.12e2 * t10708 * t1439 * t10715 + 0.6e1 * t2589 * t8051;
  t10756 = t925 * params->csk_a;
  t10761 = t2590 * t769;
  t10762 = t548 * t10761;
  t10766 = t925 * t1093 * t265;
  t10770 = t7907 * t222;
  t10778 = t1430 * t663 * t1434;
  t10796 = t3696 * t1436 * t1802 * t222;
  t10812 = t2590 * t2828;
  t10821 = -0.6e1 * t9931 * t4547 * t10756 * t265 + 0.6e1 * t2613 * t10762 + 0.11e2 * t9931 * t4547 * t10766 - 0.6e1 * t10731 * t4547 * t10770 + 0.6e1 * t7801 * t548 * t8041 - 0.6e1 * t10778 * t1439 * t925 * t265 * t562 - 0.12e2 * t8610 * t228 * t2638 + 0.7e1 * t10719 * t10716 - 0.6e1 * t2589 * t10762 + 0.18e2 * t9931 * t1439 * t10766 - 0.12e2 * t10731 * t10796 - 0.4e1 * t2589 * t1439 * t10761 - 0.7e1 * t10719 * t10736 - 0.6e1 * t7923 * t1439 * t10756 * t222 - 0.3e1 * t2797 * t9229 + 0.6e1 * t2613 * t10746 + 0.6e1 * t2613 * t10812 - 0.2e1 * t2589 * t10812 - 0.3e1 * t2797 * t9179 + 0.6e1 * t2589 * t7969;
  t10831 = t228 * t10770;
  t10846 = -0.18e2 * t10708 * t10716 + t2399 + t2415 - t2418 - t2863 + t2988 + t3005 - t3172 - 0.4e1 * t3176 + t3322 + t3323;
  t10851 = my_piecewise5(t104, 0, t105, 0, 0.12e2 * t10708 * t10796 - 0.18e2 * t8562 * t10658 - 0.2e1 * t2609 * t10812 + 0.6e1 * t10739 * t2611 - 0.18e2 * t10719 * t2611 + t10739 * t10831 - 0.7e1 * t10719 * t10831 + 0.6e1 * t10708 * t10831 - t10731 * t10831 + 0.18e2 * t10708 * t10736 + t10846 + t10821 + t10754 + t10706 + t10693 + t10647 + t10596 + t10572 - 0.2e1 * t9400 - t9364 + t9346 - t9335 - t9321 - 0.3e1 * t9316 + 0.6e1 * t2116 * t2637 * t8041 - 0.6e1 * t10653 * t5313 * t10654 + 0.6e1 * t8579 * t228 * t10654 - 0.12e2 * t8562 * t1439 * t1093 * t2638);
  t10858 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t3334 + t10534 + 0.3e1 / 0.2e2 * t7 * t88 * (-0.25e2 / 0.81e2 * t3116 + 0.5e1 / 0.27e2 * t38 * t98 * t2672 + 0.4e2 / 0.243e3 * t38 * t210 * t938 - 0.5e1 / 0.81e2 * t38 * t93 * t2866 + t218 * t3332 + t103 * t10851));
  tv4rhosigmalapl217 = t8 * t10858 + t3338;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 17] += tv4rhosigmalapl217;

  tv4rhosigmalapltau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 0] += tv4rhosigmalapltau0;

  tv4rhosigmalapltau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 1] += tv4rhosigmalapltau1;

  tv4rhosigmalapltau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 2] += tv4rhosigmalapltau2;

  tv4rhosigmalapltau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 3] += tv4rhosigmalapltau3;

  tv4rhosigmalapltau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 4] += tv4rhosigmalapltau4;

  tv4rhosigmalapltau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 5] += tv4rhosigmalapltau5;

  tv4rhosigmalapltau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 6] += tv4rhosigmalapltau6;

  tv4rhosigmalapltau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 7] += tv4rhosigmalapltau7;

  tv4rhosigmalapltau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 8] += tv4rhosigmalapltau8;

  tv4rhosigmalapltau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 9] += tv4rhosigmalapltau9;

  tv4rhosigmalapltau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 10] += tv4rhosigmalapltau10;

  tv4rhosigmalapltau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 11] += tv4rhosigmalapltau11;

  tv4rhosigmalapltau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 12] += tv4rhosigmalapltau12;

  tv4rhosigmalapltau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 13] += tv4rhosigmalapltau13;

  tv4rhosigmalapltau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 14] += tv4rhosigmalapltau14;

  tv4rhosigmalapltau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 15] += tv4rhosigmalapltau15;

  tv4rhosigmalapltau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 16] += tv4rhosigmalapltau16;

  tv4rhosigmalapltau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 17] += tv4rhosigmalapltau17;

  tv4rhosigmalapltau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 18] += tv4rhosigmalapltau18;

  tv4rhosigmalapltau19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 19] += tv4rhosigmalapltau19;

  tv4rhosigmalapltau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 20] += tv4rhosigmalapltau20;

  tv4rhosigmalapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 21] += tv4rhosigmalapltau21;

  tv4rhosigmalapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 22] += tv4rhosigmalapltau22;

  tv4rhosigmalapltau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 23] += tv4rhosigmalapltau23;

  tv4rhosigmatau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 0] += tv4rhosigmatau20;

  tv4rhosigmatau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 1] += tv4rhosigmatau21;

  tv4rhosigmatau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 2] += tv4rhosigmatau22;

  tv4rhosigmatau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 3] += tv4rhosigmatau23;

  tv4rhosigmatau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 4] += tv4rhosigmatau24;

  tv4rhosigmatau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 5] += tv4rhosigmatau25;

  tv4rhosigmatau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 6] += tv4rhosigmatau26;

  tv4rhosigmatau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 7] += tv4rhosigmatau27;

  tv4rhosigmatau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 8] += tv4rhosigmatau28;

  tv4rhosigmatau29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 9] += tv4rhosigmatau29;

  tv4rhosigmatau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 10] += tv4rhosigmatau210;

  tv4rhosigmatau211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 11] += tv4rhosigmatau211;

  tv4rhosigmatau212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 12] += tv4rhosigmatau212;

  tv4rhosigmatau213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 13] += tv4rhosigmatau213;

  tv4rhosigmatau214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 14] += tv4rhosigmatau214;

  tv4rhosigmatau215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 15] += tv4rhosigmatau215;

  tv4rhosigmatau216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 16] += tv4rhosigmatau216;

  tv4rhosigmatau217 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 17] += tv4rhosigmatau217;

  t10865 = t7 * t135 * t3400 / 0.1e2;
  t10879 = t2197 - t2199 - t2202 + t2695 - t2700 - t2702 - 0.9e1 * t9513 + 0.9e1 * t9527 + 0.9e1 * t9530 + 0.9e1 * t9532 - 0.6e1 * t9586 - 0.9e1 * t9599 + 0.9e1 * t9601 + 0.9e1 * t9619;
  t10887 = t3342 * t3656;
  t10888 = t1050 * t10887;
  t10891 = t359 * t10887;
  t10894 = t151 * t10887;
  t10899 = t3677 * t10887;
  t10905 = 0.12e2 * t10888 * t8980 - 0.18e2 * t10891 * t9008 - 0.7e1 * t10891 * t9065 - 0.7e1 * t10891 * t9070 + 0.6e1 * t10894 * t9008 + t10894 * t9070 - 0.6e1 * t10899 * t9077 + 0.9e1 * t9625 - 0.3e1 * t9627 + 0.9e1 * t9630 - 0.3e1 * t9634 + 0.9e1 * t9683 - 0.9e1 * t9686 - 0.9e1 * t9705;
  t10924 = t3342 * t362;
  t10925 = t151 * t10924;
  t10929 = t1072 * t8228;
  t10933 = t1636 * t2182 * t718;
  t10942 = 0.9e1 * t2718 * t374 * t1084 * t718 - 0.12e2 * t10925 * t1636 * t7651 + 0.18e2 * t10888 * t9065 + 0.6e1 * t10888 * t9070 - 0.12e2 * t10888 * t9077 - 0.18e2 * t10888 * t9080 - 0.11e2 * t10891 * t9093 + 0.11e2 * t10894 * t9093 - t10899 * t9070 - 0.9e1 * t2705 * t10929 + 0.9e1 * t2715 * t10929 - 0.3e1 * t2705 * t10933 - 0.3e1 * t2708 * t10933 + 0.9e1 * t2715 * t10933;
  t10945 = t3681 * t3342;
  t10947 = t3701 * t10945 * params->csk_a;
  t10951 = t1100 * t1114 * t718;
  t10956 = t1058 * t3342;
  t10958 = t3713 * t10956 * t1093;
  t10968 = t3701 * t10945 * t1093;
  t10981 = t1109 * t10956 * t383;
  t10984 = t3342 * t3651;
  t10985 = t359 * t10984;
  t10988 = t3342 * t153;
  t10992 = -0.6e1 * t2708 * t1109 * t1124 * t718 - 0.6e1 * t1050 * t600 * t10981 + 0.3e1 * t151 * t10988 * t4788 + 0.7e1 * t10891 * t9080 - 0.12e2 * t10899 * t8980 - 0.6e1 * t10899 * t9054 - 0.6e1 * t8971 * t10947 - 0.9e1 * t2708 * t10951 + 0.9e1 * t2715 * t10951 + 0.18e2 * t8971 * t10958 + 0.11e2 * t8971 * t10968 - 0.3e1 * t10985 * t608 + 0.9e1 * t2708 * t5816 + 0.9e1 * t2708 * t5857 + 0.9e1 * t2725 * t5835;
  t10997 = t359 * t10924;
  t11016 = 0.6e1 * t10888 * t9008 - 0.6e1 * t10888 * t9013 - 0.11e2 * t10891 * t9018 + 0.7e1 * t10899 * t9018 - 0.7e1 * t10899 * t9065 - 0.3e1 * t10985 * t624 - 0.18e2 * t10997 * t8951 - t909 - 0.3e1 * t9728 - 0.6e1 * t9733 - 0.3e1 * t9750 + 0.3e1 * t9756 - 0.3e1 * t9763 - 0.9e1 * t9780;
  t11017 = t3713 * t10956;
  t11025 = t151 * t10984;
  t11030 = t3701 * t10945;
  t11036 = t3706 * t368 * t3342;
  t11044 = t3355 * t1054;
  t11045 = t151 * t11044;
  t11048 = 0.3e1 * t359 * t10988 * t3664 - 0.6e1 * t2705 * t1636 * t2749 + 0.6e1 * t10285 * t11017 + 0.11e2 * t10298 * t11036 + 0.6e1 * t10894 * t9103 + 0.3e1 * t11025 * t619 + t8971 * t11030 - 0.18e2 * t11045 * t8910 - 0.3e1 * t2708 * t5948 - 0.9e1 * t2715 * t5962 - t801 - 0.3e1 * t9807 + 0.3e1 * t9808 + 0.3e1 * t9809;
  t11050 = t359 * t11044;
  t11053 = t1050 * t11044;
  t11056 = t10924 * t1054;
  t11057 = t1050 * t11056;
  t11069 = t1059 * t3355 * params->csk_a;
  t11074 = t151 * t11056;
  t11077 = t359 * t11056;
  t11084 = 0.9e1 * t2694 * t159 * t3533 * t718 - 0.9e1 * t2699 * t369 * t4932 * t718 + 0.18e2 * t10441 * t11069 + 0.18e2 * t11050 * t8910 + 0.18e2 * t11050 * t8920 - 0.12e2 * t11053 * t8898 - 0.18e2 * t11053 * t8920 - 0.6e1 * t11057 * t8873 + 0.18e2 * t11057 * t8929 - 0.6e1 * t11074 * t8873 + 0.18e2 * t11077 * t8873 + t3354 - t3358 - t3360;
  t11088 = 0.6e1 * t3091;
  t11089 = -0.9e1 * t2699 * t4932 * t8228 - t11088 + t2266 - t2269 + t2282 + t2719 + t2726 - t2752 - t3361 - t3362 + t3363 + t3365 + t3367 + t3370 + t3373;
  t11093 = my_piecewise5(t58, 0, t61, 0, t10879 + t10905 + t10942 + t10992 + t11016 + t11048 + t11084 + t11089);
  t11100 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t130 * t3400 + t10865 + 0.3e1 / 0.2e2 * t7 * t32 * (-0.25e2 / 0.54e2 * t3201 + 0.5e1 / 0.18e2 * t38 * t48 * t2763 + t149 * t3398 + t53 * t11093));
  tv4rholapl30 = t8 * t11100 + t3404;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 0] += tv4rholapl30;

  tv4rholapl31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 1] += tv4rholapl31;

  tv4rholapl32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 2] += tv4rholapl32;

  t11107 = t7 * t180 * t3466 / 0.1e2;
  t11109 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t176 * t3466 + t11107);
  tv4rholapl33 = t8 * t11109 + t3470;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 3] += tv4rholapl33;

  t11115 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t193 * t3400 + t10865);
  tv4rholapl34 = t8 * t11115 + t3404;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 4] += tv4rholapl34;

  tv4rholapl35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 5] += tv4rholapl35;

  tv4rholapl36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 6] += tv4rholapl36;

  t11125 = t3421 * t1434;
  t11126 = t1430 * t11125;
  t11127 = t548 * t10135;
  t11130 = t220 * t11125;
  t11134 = t3408 * t541 * t1434;
  t11135 = t220 * t11134;
  t11138 = t538 * t11134;
  t11141 = t538 * t11125;
  t11144 = t1430 * t11134;
  t11149 = -0.18e2 * t11126 * t11127 + 0.18e2 * t11141 * t11127 - 0.18e2 * t11130 * t9221 - 0.6e1 * t11135 * t9225 + 0.18e2 * t11138 * t9225 + 0.18e2 * t11144 * t9259 - t2346 + t2373 - t2374 - t2798 - t2800 + t2805 + 0.9e1 * t9880 + 0.9e1 * t9883;
  t11160 = t3408 * t4490;
  t11161 = t4501 * t11160;
  t11164 = t220 * t11160;
  t11166 = t538 * t11160;
  t11169 = t1430 * t11160;
  t11172 = -0.6e1 * t11161 * t9318 + t11164 * t9375 - 0.7e1 * t11166 * t9375 + 0.6e1 * t11169 * t9375 + 0.9e1 * t10002 - 0.3e1 * t10004 + 0.9e1 * t10007 - 0.3e1 * t10011 + 0.9e1 * t10025 - 0.9e1 * t9904 + 0.9e1 * t9906 - 0.9e1 * t9942 + 0.9e1 * t9961 - 0.6e1 * t9996;
  t11194 = t1438 * t3408;
  t11196 = t1492 * t11194 * t562;
  t11199 = t1460 * t2828;
  t11204 = t3408 * t4514;
  t11205 = t538 * t11204;
  t11208 = -0.6e1 * t1430 * t663 * t11196 - t11161 * t9375 + 0.11e2 * t11164 * t9307 + 0.6e1 * t11164 * t9391 + 0.7e1 * t11166 * t9370 - 0.7e1 * t11166 * t9382 - 0.18e2 * t11166 * t9391 + 0.12e2 * t11169 * t9288 + 0.18e2 * t11169 * t9382 + 0.6e1 * t11169 * t9391 + 0.9e1 * t2813 * t11199 - 0.3e1 * t11205 * t687 + 0.9e1 * t2838 * t6257 - 0.12e2 * t3438 * t9404;
  t11213 = t1456 * t2828;
  t11224 = t4546 * t3408;
  t11226 = t4572 * t11224 * t1093;
  t11234 = t4572 * t11224 * params->csk_a;
  t11238 = t1481 * t1497 * t769;
  t11246 = t4503 * t11194 * t1093;
  t11249 = -0.6e1 * t11161 * t9301 - 0.7e1 * t11161 * t9382 + 0.7e1 * t11161 * t9408 - 0.12e2 * t11169 * t9318 - 0.9e1 * t2811 * t11199 - 0.3e1 * t2808 * t11213 - 0.3e1 * t2811 * t11213 + 0.9e1 * t2813 * t11213 + 0.11e2 * t9270 * t11226 - 0.6e1 * t9270 * t11234 - 0.9e1 * t2808 * t11238 + 0.9e1 * t2813 * t11238 + 0.18e2 * t9270 * t11246 + 0.9e1 * t2808 * t6188 + 0.9e1 * t2808 * t6278;
  t11258 = t547 * t3408;
  t11260 = t4580 * t11258 * params->csk_a;
  t11268 = t1481 * t11258 * t562;
  t11277 = t3408 * t222;
  t11287 = 0.9e1 * t2824 * t553 * t1477 * t769 - 0.6e1 * t2808 * t1492 * t1507 * t769 + 0.3e1 * t220 * t11277 * t5325 - 0.18e2 * t10611 * t11260 - 0.12e2 * t11161 * t9288 - 0.11e2 * t11166 * t9307 - 0.11e2 * t11166 * t9408 - 0.6e1 * t11169 * t9311 - 0.3e1 * t11205 * t671 - 0.18e2 * t664 * t11268 - 0.3e1 * t10047 - 0.3e1 * t10050 - 0.9e1 * t10064 - 0.3e1 * t10068;
  t11296 = t220 * t11204;
  t11301 = t4572 * t11224;
  t11305 = t4503 * t11194;
  t11310 = 0.3e1 * t538 * t11277 * t4533 + 0.6e1 * t10611 * t11305 + 0.6e1 * t11164 * t9434 + 0.3e1 * t11296 * t682 + t9270 * t11301 - 0.3e1 * t2808 * t6398 - 0.9e1 * t2813 * t6376 - 0.6e1 * t10076 + 0.3e1 * t10091 - 0.9e1 * t10140 + 0.9e1 * t10165 - 0.9e1 * t10167 - t828 - t932;
  t11315 = t4580 * t11258;
  t11337 = t1439 * t3421 * params->csk_a;
  t11343 = 0.9e1 * t2804 * t228 * t4477 * t769 - 0.9e1 * t2797 * t548 * t5466 * t769 - 0.12e2 * t11126 * t1439 * t10135 - 0.6e1 * t2811 * t1780 * t2850 - 0.9e1 * t2797 * t5466 * t2828 + 0.18e2 * t10778 * t11337 + 0.18e2 * t11138 * t2396 - 0.6e1 * t11144 * t9225 + 0.11e2 * t9350 * t11315 - 0.3e1 * t10183 + 0.3e1 * t10184 + 0.3e1 * t10185 + t3420 - t3424;
  t11344 = 0.6e1 * t3176;
  t11345 = -t3426 + t3427 - t3428 - t3429 + t2825 + t2839 + t2399 + t2415 - t2418 - t2863 - t11344 + t3431 + t3433 + t3440 + t3443;
  t11349 = my_piecewise5(t104, 0, t105, 0, t11149 + t11172 + t11208 + t11249 + t11287 + t11310 + t11343 + t11345);
  t11356 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t204 * t3466 + t11107 + 0.3e1 / 0.2e2 * t7 * t88 * (-0.25e2 / 0.54e2 * t3272 + 0.5e1 / 0.18e2 * t38 * t98 * t2866 + t218 * t3464 + t103 * t11349));
  tv4rholapl37 = t8 * t11356 + t3470;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 7] += tv4rholapl37;

  tv4rholapl2tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 0] += tv4rholapl2tau0;

  tv4rholapl2tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 1] += tv4rholapl2tau1;

  tv4rholapl2tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 2] += tv4rholapl2tau2;

  tv4rholapl2tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 3] += tv4rholapl2tau3;

  tv4rholapl2tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 4] += tv4rholapl2tau4;

  tv4rholapl2tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 5] += tv4rholapl2tau5;

  tv4rholapl2tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 6] += tv4rholapl2tau6;

  tv4rholapl2tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 7] += tv4rholapl2tau7;

  tv4rholapl2tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 8] += tv4rholapl2tau8;

  tv4rholapl2tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 9] += tv4rholapl2tau9;

  tv4rholapl2tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 10] += tv4rholapl2tau10;

  tv4rholapl2tau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 11] += tv4rholapl2tau11;

  tv4rholapltau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 0] += tv4rholapltau20;

  tv4rholapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 1] += tv4rholapltau21;

  tv4rholapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 2] += tv4rholapltau22;

  tv4rholapltau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 3] += tv4rholapltau23;

  tv4rholapltau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 4] += tv4rholapltau24;

  tv4rholapltau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 5] += tv4rholapltau25;

  tv4rholapltau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 6] += tv4rholapltau26;

  tv4rholapltau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 7] += tv4rholapltau27;

  tv4rholapltau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 8] += tv4rholapltau28;

  tv4rholapltau29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 9] += tv4rholapltau29;

  tv4rholapltau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 10] += tv4rholapltau210;

  tv4rholapltau211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 11] += tv4rholapltau211;

  tv4rhotau30 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 0] += tv4rhotau30;

  tv4rhotau31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 1] += tv4rhotau31;

  tv4rhotau32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 2] += tv4rhotau32;

  tv4rhotau33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 3] += tv4rhotau33;

  tv4rhotau34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 4] += tv4rhotau34;

  tv4rhotau35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 5] += tv4rhotau35;

  tv4rhotau36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 6] += tv4rhotau36;

  tv4rhotau37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 7] += tv4rhotau37;

  t11364 = t359 * t799 * t792 * t383 * t1024;
  t11366 = t159 * t8881 * t383;
  t11367 = t2244 * t11366;
  t11368 = t369 * t3082;
  t11369 = t8860 * t11368;
  t11370 = t1636 * t2897;
  t11371 = t2181 * t11370;
  t11372 = t792 * t792;
  t11373 = t11372 * t383;
  t11374 = t1050 * t11373;
  t11376 = t6528 * t3058;
  t11377 = t6518 * t3039;
  t11378 = t151 * t11373;
  t11380 = t359 * t11373;
  t11385 = t2173 * t6634;
  t11387 = t11372 * t362;
  t11388 = t1050 * t11387;
  t11391 = t159 * t799;
  t11392 = t1094 * t11391;
  t11393 = t2173 * t11392;
  t11395 = t2173 * t6572;
  t11397 = t6528 * t3065;
  t11401 = t2222 * t6653;
  t11406 = t1100 * t1114 * t799;
  t11407 = t2186 * t11406;
  t11412 = t359 * t11387;
  t11415 = -0.6e1 * t151 * t11387 * t3576 - 0.12e2 * t11374 * t3616 + 0.18e2 * t11388 * t3599 + 0.18e2 * t11388 * t3612 + 0.18e2 * t11412 * t3576 + 0.18e2 * t11385 - 0.6e1 * t11393 + 0.18e2 * t11395 - 0.12e2 * t11397 + 0.18e2 * t11401 + 0.18e2 * t11407;
  t11420 = t3099 * t383;
  t11422 = t151 * t8846 * t374 * t11420;
  t11424 = t2181 * t11392;
  t11426 = t2186 * t11392;
  t11428 = t11372 * t3656;
  t11429 = t3677 * t11428;
  t11431 = t1050 * t11428;
  t11438 = t359 * t11428;
  t11441 = t151 * t11428;
  t11450 = t799 * t799;
  t11451 = t11450 * t362;
  t11452 = t359 * t11451;
  t11454 = 0.3e1 * t11452 * t376;
  t11456 = 0.3e1 * t11452 * t393;
  t11459 = 0.3e1 * t151 * t11451 * t376;
  t11466 = -0.6e1 * t11388 * t3772 - 0.6e1 * t11429 * t3760 - 0.12e2 * t11431 * t3760 + 0.6e1 * t11431 * t3802 + 0.7e1 * t11438 * t3733 - 0.7e1 * t11438 * t3802 - t11454 - t11456 + t11459 - t801 - t803;
  t11481 = t2173 * t6805;
  t11485 = t2186 * t6779;
  t11487 = t11372 * t3651;
  t11488 = t359 * t11487;
  t11509 = t6515 * t3100;
  t11515 = 0.3e1 * t151 * t11487 * t376 - 0.12e2 * t11378 * t3791 - 0.18e2 * t11412 * t3728 - 0.7e1 * t11429 * t3710 - 0.6e1 * t11431 * t3714 + 0.6e1 * t11431 * t3812 - 0.11e2 * t11438 * t3707 - 0.18e2 * t11438 * t3812 + 0.6e1 * t11441 * t3812 - 0.3e1 * t11488 * t393 - 0.12e2 * t11509;
  t11519 = t151 * t11372;
  t11524 = t359 * t11372;
  t11534 = 0.3e1 * t359 * t11450 * t370;
  t11535 = t151 * t11450;
  t11537 = 0.3e1 * t11535 * t387;
  t11539 = 0.3e1 * t11535 * t385;
  t11554 = -0.4e1 * t2887 - 0.4e1 * t2891 + 0.4e1 * t2895 + 0.4e1 * t2899 - 0.4e1 * t2901 - 0.4e1 * t2903 + 0.4e1 * t2906 + 0.4e1 * t2908 + 0.4e1 * t2912 - 0.9e1 * t2916 + 0.4e1 * t2924;
  t11558 = my_piecewise5(t58, 0, t61, 0, t11554 - t11539 + t11537 + t11534 + t11515 - 0.18e2 * t11485 - 0.6e1 * t11481 + t11466 + 0.18e2 * t11426 + 0.18e2 * t11422 - 0.6e1 * t11424 + t11415 - t11429 * t3802 - 0.18e2 * t11431 * t3733 + 0.18e2 * t11431 * t3710 + 0.12e2 * t11431 * t3698 - 0.18e2 * t11374 * t3637 - 0.18e2 * t11378 * t3551 + 0.18e2 * t11380 * t3551 + 0.18e2 * t11380 * t3637 + 0.7e1 * t11429 * t3707 + 0.6e1 * t11519 * t3660 + 0.3e1 * t11519 * t3653 + 0.3e1 * t11524 * t3664 + 0.11e2 * t11524 * t3685 - 0.3e1 * t11488 * t376 + 0.11e2 * t11441 * t3783 - 0.11e2 * t11438 * t3783 + 0.18e2 * t11429 * t3714 - 0.12e2 * t11429 * t3698 + 0.11e2 * t11429 * t3721 - 0.6e1 * t11429 * t3703 - 0.6e1 * t11429 * t3750 - 0.7e1 * t11438 * t3710 + t11441 * t3802 - 0.6e1 * t11388 * t3576 - 0.18e2 * t11376 + 0.18e2 * t11377 - 0.18e2 * t11371 + 0.18e2 * t11367 - 0.18e2 * t11369 - 0.18e2 * t11364 + 0.6e1 * t1050 * t11372 * t3668 + t3677 * t11372 * t3683);
  t11564 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * (-0.2e2 / 0.81e2 * t38 * t43 * t2944 + t53 * t11558));
  tv4sigma40 = t8 * t11564;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  tv4sigma41 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 1] += tv4sigma41;

  tv4sigma42 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 2] += tv4sigma42;

  tv4sigma43 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 3] += tv4sigma43;

  tv4sigma44 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 4] += tv4sigma44;

  tv4sigma45 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 5] += tv4sigma45;

  tv4sigma46 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 6] += tv4sigma46;

  tv4sigma47 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 7] += tv4sigma47;

  tv4sigma48 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 8] += tv4sigma48;

  tv4sigma49 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 9] += tv4sigma49;

  tv4sigma410 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 10] += tv4sigma410;

  tv4sigma411 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 11] += tv4sigma411;

  tv4sigma412 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 12] += tv4sigma412;

  tv4sigma413 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 13] += tv4sigma413;

  t11568 = t826 * t819;
  t11569 = t11568 * t562;
  t11571 = t220 * t11569 * t1408;
  t11572 = t538 * t11569;
  t11573 = t11572 * t1408;
  t11574 = t11572 * t1425;
  t11575 = t819 * t819;
  t11576 = t11575 * t541;
  t11577 = t220 * t11576;
  t11579 = t7034 * t3137;
  t11580 = t11575 * t562;
  t11583 = t1780 * t2967;
  t11584 = t2365 * t11583;
  t11585 = t2320 * t7186;
  t11587 = t1481 * t1497 * t826;
  t11588 = t2341 * t11587;
  t11589 = t2320 * t11587;
  t11593 = t1492 * t1507 * t826;
  t11594 = t2320 * t11593;
  t11596 = t1430 * t11576;
  t11601 = t2356 * t7137;
  t11605 = t538 * t11576;
  t11609 = t220 * t11568 * t1772;
  t11612 = t1780 * t1781 * t826;
  t11613 = t2365 * t11612;
  t11615 = t2341 * t11612;
  t11617 = t2320 * t7092;
  t11623 = -0.12e2 * t11596 * t1492 * t1507 * t562 - 0.6e1 * t11577 * t4396 + 0.18e2 * t11596 * t4437 + 0.18e2 * t11605 * t4396 + 0.18e2 * t11605 * t4457 - 0.12e2 * t11594 + 0.18e2 * t11601 + 0.18e2 * t11609 - 0.6e1 * t11613 + 0.18e2 * t11615 + 0.18e2 * t11617;
  t11627 = t2320 * t11612;
  t11633 = t11575 * t4490;
  t11634 = t220 * t11633;
  t11636 = t538 * t11633;
  t11639 = t1430 * t11633;
  t11642 = t4501 * t11633;
  t11659 = t2341 * t7254;
  t11669 = t826 * t826;
  t11670 = t11669 * t541;
  t11671 = t538 * t11670;
  t11673 = 0.3e1 * t11671 * t555;
  t11674 = 0.6e1 * t11634 * t4496 - 0.18e2 * t11636 * t4496 - 0.7e1 * t11636 * t4582 - 0.11e2 * t11636 * t4597 - 0.12e2 * t11639 * t4504 - 0.18e2 * t11639 * t4602 - 0.6e1 * t11642 * t4504 - 0.7e1 * t11642 * t4582 + 0.7e1 * t11642 * t4597 - 0.18e2 * t11659 - t11673;
  t11678 = 0.3e1 * t11671 * t572;
  t11681 = 0.3e1 * t220 * t11670 * t555;
  t11696 = t2320 * t7276;
  t11703 = t11575 * t4514;
  t11704 = t538 * t11703;
  t11708 = t1780 * t9402;
  t11720 = t7031 * t3185;
  t11724 = -0.12e2 * t220 * t11580 * t11708 + 0.3e1 * t220 * t11703 * t555 - 0.18e2 * t11605 * t4658 + 0.11e2 * t11634 * t4648 + 0.6e1 * t11639 * t4496 - 0.6e1 * t11639 * t4577 - 0.6e1 * t11642 * t4615 - 0.3e1 * t11704 * t555 - 0.3e1 * t11704 * t572 - 0.12e2 * t11720 - t828;
  t11726 = t220 * t11575;
  t11731 = t538 * t11575;
  t11739 = t220 * t11669;
  t11741 = 0.3e1 * t11739 * t566;
  t11743 = 0.3e1 * t11739 * t564;
  t11746 = 0.3e1 * t538 * t11669 * t549;
  t11761 = 0.4e1 * t2965 + 0.4e1 * t2969 - 0.4e1 * t2971 - 0.4e1 * t2975 - 0.4e1 * t2977 - 0.4e1 * t2979 + 0.4e1 * t2988 - 0.9e1 * t2997 + 0.4e1 * t3003 + 0.4e1 * t3005 + 0.4e1 * t3008;
  t11765 = my_piecewise5(t104, 0, t105, 0, 0.3e1 * t11731 * t4533 + 0.11e2 * t11731 * t4554 - 0.11e2 * t11636 * t4648 + 0.18e2 * t11642 * t4577 - 0.12e2 * t11642 * t4566 + 0.11e2 * t11642 * t4588 - 0.6e1 * t11642 * t4574 - 0.6e1 * t11596 * t4631 + 0.7e1 * t11636 * t4602 - 0.7e1 * t11636 * t4508 + 0.6e1 * t11639 * t4508 - t11642 * t4508 + 0.18e2 * t11639 * t4582 + 0.12e2 * t11639 * t4566 + 0.18e2 * t11596 * t4447 - 0.6e1 * t11596 * t4396 - 0.18e2 * t11596 * t4457 + t11634 * t4508 - 0.18e2 * t11577 * t4376 + t11761 - t11743 + t11746 + t11741 + t11724 - 0.6e1 * t11696 + t11681 - t11678 + t11674 - 0.6e1 * t11627 + t11623 - 0.18e2 * t11589 - 0.18e2 * t11584 + 0.18e2 * t11585 + 0.18e2 * t11588 + 0.18e2 * t11579 + 0.18e2 * t11571 - 0.18e2 * t11573 - 0.18e2 * t11574 + 0.6e1 * t11726 * t4529 + 0.3e1 * t11726 * t4516 - t830 + 0.6e1 * t1430 * t11575 * t4540 + t4501 * t11575 * t4548 + 0.18e2 * t538 * t11580 * t5484);
  t11771 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * (-0.2e2 / 0.81e2 * t38 * t93 * t3020 + t103 * t11765));
  tv4sigma414 = t8 * t11771;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 14] += tv4sigma414;

  t11779 = t3203 * t11391;
  t11780 = t2480 * t11779;
  t11781 = 0.9e1 * t11780;
  t11782 = t2496 * t11779;
  t11783 = 0.9e1 * t11782;
  t11784 = t281 * t2878;
  t11785 = t11784 * t383;
  t11789 = t359 * t11785;
  t11792 = t8841 * t2488;
  t11793 = t2480 * t11792;
  t11794 = 0.9e1 * t11793;
  t11795 = t2459 * t11792;
  t11796 = 0.3e1 * t11795;
  t11797 = t8841 * t248;
  t11798 = t369 * t11797;
  t11799 = t2480 * t11798;
  t11800 = 0.9e1 * t11799;
  t11801 = t2496 * t11792;
  t11802 = 0.3e1 * t11801;
  t11803 = t8887 * t7515;
  t11804 = 0.9e1 * t11803;
  t11807 = t1050 * t11785;
  t11815 = -0.6e1 * t5689 * t159 * t1093 * t2878 * t383 - 0.18e2 * t151 * t11785 * t3551 + 0.18e2 * t11789 * t3551 + 0.18e2 * t11789 * t3569 - 0.6e1 * t11807 * t3569 + t11781 - t11783 + t11794 - t11796 + t11800 - t11802 + t11804 - 0.4e1 * t3036;
  t11817 = t2459 * t1059 * t11797;
  t11818 = 0.6e1 * t11817;
  t11819 = t2459 * t11798;
  t11820 = 0.9e1 * t11819;
  t11823 = t2468 * t9526;
  t11824 = 0.9e1 * t11823;
  t11825 = t9529 * t3235;
  t11826 = 0.9e1 * t11825;
  t11827 = t8887 * t7382;
  t11828 = 0.9e1 * t11827;
  t11842 = t3697 * t2878 * t366 * t368;
  t11845 = 0.18e2 * t11789 * t3637 - 0.12e2 * t11807 * t3616 - 0.18e2 * t11807 * t3637 + 0.18e2 * t5763 * t11842 + 0.18e2 * t8837 * t5698 + 0.18e2 * t8837 * t5748 - 0.9e1 * t11364 + 0.9e1 * t11367 - 0.9e1 * t11369 - t11818 - t11820 + t11824 + t11826 + t11828;
  t11848 = t3713 * t4738 * t2878;
  t11855 = t3811 * t2878 * t68 * t158;
  t11874 = t1554 * t9779;
  t11875 = 0.9e1 * t11874;
  t11876 = t1579 * t9727;
  t11877 = 0.3e1 * t11876;
  t11880 = -0.6e1 * t5781 * t3701 * t3702 * t2878 - 0.7e1 * t5760 * t11842 - 0.7e1 * t5781 * t11842 + 0.12e2 * t5763 * t11848 - 0.12e2 * t5781 * t11848 - 0.18e2 * t5760 * t11855 + 0.6e1 * t5763 * t11855 + 0.6e1 * t5773 * t11855 + 0.11e2 * t8978 * t5846 - 0.6e1 * t8978 * t5861 + 0.18e2 * t8978 * t5888 - t11875 - t11877;
  t11885 = t1905 * t1636 * t3092 * t248;
  t11886 = 0.6e1 * t11885;
  t11890 = t3782 * t9068 * t2878;
  t11906 = -0.7e1 * t5760 * t11890 + 0.6e1 * t5763 * t11890 + t5773 * t11890 - t5781 * t11890 + 0.7e1 * t8978 * t5788 - 0.18e2 * t9007 * t5824 - 0.6e1 * t8995 * t5872 - 0.6e1 * t8978 * t5879 - 0.9e1 * t11371 - 0.9e1 * t11376 + 0.9e1 * t11377 + 0.9e1 * t11385 - 0.3e1 * t11393 - t11886;
  t11917 = t9685 * t2513 * t3208;
  t11918 = 0.9e1 * t11917;
  t11920 = t374 * t158 * t3208;
  t11921 = t9529 * t11920;
  t11922 = 0.9e1 * t11921;
  t11923 = t9685 * t11920;
  t11924 = 0.9e1 * t11923;
  t11927 = t151 * t11784;
  t11930 = t158 * t2878;
  t11934 = 0.6e1 * t5773 * t3782 * t11930 + 0.3e1 * t11927 * t3653 + 0.11e2 * t9016 * t5959 + 0.9e1 * t11395 - 0.6e1 * t11397 + 0.9e1 * t11401 + 0.9e1 * t11407 + 0.9e1 * t11422 - 0.3e1 * t11424 + 0.9e1 * t11426 - t11918 + t11922 - t11924;
  t11946 = t3782 * t11930 * params->csk_a;
  t11951 = t359 * t11784;
  t11954 = -0.11e2 * t5760 * t11946 + 0.11e2 * t5773 * t11946 - 0.3e1 * t11951 * t4788 + 0.7e1 * t9016 * t5824 + 0.6e1 * t9007 * t5919 + t8978 * t5951 + 0.3e1 * t8947 * t711 - t11454 - t11456 + t11459 - 0.3e1 * t11481 - 0.9e1 * t11485 - 0.6e1 * t11509 - t801;
  t11974 = -0.11e2 * t5760 * t3706 * t1114 * t2878 + 0.3e1 * t11927 * t4788 - 0.12e2 * t11927 * t4796 - 0.3e1 * t11951 * t4801 - 0.6e1 * t5763 * t8974 - 0.18e2 * t8950 * t5806 - 0.12e2 * t9007 * t5879 + t11534 + t11537 - t11539 + 0.4e1 * t3050 + 0.4e1 * t3053 - t3055;
  t11977 = -t3063 + t3070 - t2888 + t2900 - t2902 - 0.4e1 * t3079 + 0.4e1 * t3084 - t855 + t2909 - t9133 + t2925 - t3364 + t3094 + t3095;
  t11981 = my_piecewise5(t58, 0, t61, 0, t11815 + t11845 + t11880 + t11906 + t11934 + t11954 + t11974 + t11977);
  t11987 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * (0.5e1 / 0.54e2 * t38 * t48 * t2944 - 0.5e1 / 0.27e2 * t38 * t43 * t3105 + t53 * t11981));
  tv4sigma3lapl0 = t8 * t11987;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 0] += tv4sigma3lapl0;

  tv4sigma3lapl1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 1] += tv4sigma3lapl1;

  tv4sigma3lapl2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 2] += tv4sigma3lapl2;

  tv4sigma3lapl3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 3] += tv4sigma3lapl3;

  tv4sigma3lapl4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 4] += tv4sigma3lapl4;

  tv4sigma3lapl5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 5] += tv4sigma3lapl5;

  tv4sigma3lapl6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 6] += tv4sigma3lapl6;

  tv4sigma3lapl7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 7] += tv4sigma3lapl7;

  tv4sigma3lapl8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 8] += tv4sigma3lapl8;

  tv4sigma3lapl9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 9] += tv4sigma3lapl9;

  tv4sigma3lapl10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 10] += tv4sigma3lapl10;

  tv4sigma3lapl11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 11] += tv4sigma3lapl11;

  tv4sigma3lapl12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 12] += tv4sigma3lapl12;

  tv4sigma3lapl13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 13] += tv4sigma3lapl13;

  tv4sigma3lapl14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 14] += tv4sigma3lapl14;

  tv4sigma3lapl15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 15] += tv4sigma3lapl15;

  tv4sigma3lapl16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 16] += tv4sigma3lapl16;

  tv4sigma3lapl17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 17] += tv4sigma3lapl17;

  tv4sigma3lapl18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 18] += tv4sigma3lapl18;

  t11995 = t228 * t9214 * t265;
  t11996 = t2609 * t11995;
  t11997 = 0.9e1 * t11996;
  t11998 = t2613 * t11995;
  t11999 = 0.9e1 * t11998;
  t12000 = t9182 * t265;
  t12001 = t228 * t12000;
  t12002 = t2609 * t12001;
  t12003 = 0.3e1 * t12002;
  t12004 = t9188 * t8013;
  t12005 = 0.9e1 * t12004;
  t12006 = t297 * t2954;
  t12007 = t12006 * t562;
  t12011 = t538 * t12007;
  t12014 = t2613 * t12001;
  t12015 = 0.9e1 * t12014;
  t12016 = t2589 * t12001;
  t12017 = 0.3e1 * t12016;
  t12023 = t2589 * t1439 * t12000;
  t12024 = 0.6e1 * t12023;
  t12025 = t9182 * t3297;
  t12026 = t2589 * t12025;
  t12027 = 0.9e1 * t12026;
  t12028 = t1430 * t12007;
  t12031 = -0.18e2 * t220 * t12007 * t5484 + 0.18e2 * t12011 * t4453 + 0.18e2 * t12011 * t5484 - 0.12e2 * t12028 * t4472 + 0.18e2 * t9174 * t6346 - t11997 + t11999 - t12003 + t12005 + t12015 - t12017 - t12024 - t12027;
  t12032 = t9188 * t7880;
  t12033 = 0.9e1 * t12032;
  t12036 = t2594 * t9879;
  t12037 = 0.9e1 * t12036;
  t12038 = t9882 * t3312;
  t12039 = 0.9e1 * t12038;
  t12042 = t2613 * t12025;
  t12043 = 0.9e1 * t12042;
  t12058 = -0.6e1 * t6297 * t228 * t1093 * t2954 * t562 + 0.18e2 * t12011 * t4392 - 0.6e1 * t12028 * t4392 - 0.18e2 * t12028 * t4453 + 0.18e2 * t9174 * t6334 + 0.9e1 * t11571 - 0.9e1 * t11573 - 0.9e1 * t11574 + 0.9e1 * t11579 - 0.9e1 * t11584 + t12033 + t12037 + t12039 + t12043;
  t12071 = t553 * t227 * t3282;
  t12072 = t9882 * t12071;
  t12073 = 0.9e1 * t12072;
  t12074 = t10139 * t12071;
  t12075 = 0.9e1 * t12074;
  t12077 = t10139 * t2629 * t3282;
  t12078 = 0.9e1 * t12077;
  t12079 = 0.9e1 * t11585 + 0.9e1 * t11588 - 0.9e1 * t11589 - 0.6e1 * t11594 + 0.9e1 * t11601 + 0.9e1 * t11609 - 0.3e1 * t11613 + 0.9e1 * t11615 + 0.9e1 * t11617 - 0.3e1 * t11627 + t12073 - t12075 - t12078;
  t12080 = t227 * t2954;
  t12086 = t220 * t12006;
  t12099 = 0.6e1 * t6206 * t4495 * t12080 + 0.3e1 * t12086 * t4516 - 0.6e1 * t6144 * t9282 + 0.11e2 * t9306 * t6371 + 0.6e1 * t9310 * t6379 + t9286 * t6401 + 0.3e1 * t9395 * t762 - 0.9e1 * t11659 - t11673 - t11678 + t11681 - 0.3e1 * t11696 - 0.6e1 * t11720 - t828;
  t12111 = t4495 * t12080 * params->csk_a;
  t12116 = t538 * t12006;
  t12123 = t7026 * t2954 * t545 * t547;
  t12130 = t7026 * t2954 * t1436 * t1438;
  t12139 = -0.6e1 * t6151 * t4572 * t4573 * t2954 - 0.12e2 * t12086 * t5334 - 0.11e2 * t6141 * t12111 + 0.11e2 * t6206 * t12111 - 0.3e1 * t12116 * t5314 + 0.18e2 * t6144 * t12123 - 0.12e2 * t6151 * t12130 + 0.7e1 * t9306 * t6159 - 0.18e2 * t9310 * t6159 - 0.12e2 * t9310 * t6199 + 0.18e2 * t9286 * t6237 + 0.11e2 * t9286 * t6243 - 0.18e2 * t9417 * t6349;
  t12142 = t1750 * t10063;
  t12143 = 0.9e1 * t12142;
  t12144 = t1787 * t10067;
  t12145 = 0.3e1 * t12144;
  t12148 = t2070 * t1780 * t3177 * t265;
  t12149 = 0.6e1 * t12148;
  t12164 = t9390 * t2954 * t112 * t227;
  t12172 = t4495 * t4507 * t2954;
  t12176 = -0.11e2 * t6141 * t4580 * t1497 * t2954 + 0.3e1 * t12086 * t5325 - 0.3e1 * t12116 * t5325 - 0.7e1 * t6141 * t12123 + 0.12e2 * t6144 * t12130 - 0.18e2 * t6141 * t12164 + 0.6e1 * t6144 * t12164 + 0.6e1 * t6206 * t12164 - 0.7e1 * t6141 * t12172 + t6206 * t12172 - 0.6e1 * t9286 * t6193 - t12143 - t12145 - t12149;
  t12192 = -0.7e1 * t6151 * t12123 + 0.6e1 * t6144 * t12172 - t6151 * t12172 + 0.7e1 * t9286 * t6148 - 0.6e1 * t9286 * t6199 - 0.6e1 * t9356 * t6261 + t11741 - t11743 + t11746 - 0.4e1 * t3121 + 0.4e1 * t3126 + t3130 + 0.4e1 * t3150;
  t12195 = 0.4e1 * t3153 - t3155 - t3161 + t2970 - t2972 - t2978 - 0.4e1 * t3169 - t883 + t2989 - t9464 + t3006 - t3430 + t3179 + t3180;
  t12199 = my_piecewise5(t104, 0, t105, 0, t12031 + t12058 + t12079 + t12099 + t12139 + t12176 + t12192 + t12195);
  t12205 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * (0.5e1 / 0.54e2 * t38 * t98 * t3020 - 0.5e1 / 0.27e2 * t38 * t93 * t3190 + t103 * t12199));
  tv4sigma3lapl19 = t8 * t12205;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 19] += tv4sigma3lapl19;

  tv4sigma3tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 0] += tv4sigma3tau0;

  tv4sigma3tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 1] += tv4sigma3tau1;

  tv4sigma3tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 2] += tv4sigma3tau2;

  tv4sigma3tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 3] += tv4sigma3tau3;

  tv4sigma3tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 4] += tv4sigma3tau4;

  tv4sigma3tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 5] += tv4sigma3tau5;

  tv4sigma3tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 6] += tv4sigma3tau6;

  tv4sigma3tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 7] += tv4sigma3tau7;

  tv4sigma3tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 8] += tv4sigma3tau8;

  tv4sigma3tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 9] += tv4sigma3tau9;

  tv4sigma3tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 10] += tv4sigma3tau10;

  tv4sigma3tau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 11] += tv4sigma3tau11;

  tv4sigma3tau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 12] += tv4sigma3tau12;

  tv4sigma3tau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 13] += tv4sigma3tau13;

  tv4sigma3tau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 14] += tv4sigma3tau14;

  tv4sigma3tau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 15] += tv4sigma3tau15;

  tv4sigma3tau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 16] += tv4sigma3tau16;

  tv4sigma3tau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 17] += tv4sigma3tau17;

  tv4sigma3tau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 18] += tv4sigma3tau18;

  tv4sigma3tau19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 19] += tv4sigma3tau19;

  t12212 = t2694 * t11366;
  t12216 = t2699 * t369 * t8881 * t155;
  t12221 = t159 * t795 * params->csk_a;
  t12227 = t9495 * t159 * t383;
  t12230 = t9495 * t383;
  t12231 = t369 * t12230;
  t12240 = t2699 * t8881 * t1023;
  t12250 = -0.12e2 * t8222 * t1059 * t12230 + 0.18e2 * t8222 * t11368 - 0.18e2 * t8233 * t12221 + 0.18e2 * t8238 * t12221 - 0.6e1 * t8222 * t12227 + 0.18e2 * t8241 * t12227 - 0.6e1 * t8257 * t12227 - 0.18e2 * t8222 * t12231 + 0.18e2 * t8241 * t12231 + 0.18e2 * t8222 * t6748 + 0.12e2 * t11780 - 0.12e2 * t11782 + 0.3e1 * t12212 - 0.3e1 * t12216 - 0.3e1 * t12240;
  t12267 = 0.12e2 * t11793 - 0.4e1 * t11795 + 0.12e2 * t11799 - 0.4e1 * t11801 + 0.12e2 * t11803 - 0.8e1 * t11817 - 0.12e2 * t11819 + 0.12e2 * t11823 + 0.12e2 * t11825 + 0.12e2 * t11827 - 0.3e1 * t11364 + 0.3e1 * t11367 - 0.3e1 * t11369 - 0.12e2 * t11874 - 0.4e1 * t11876 - 0.8e1 * t11885;
  t12285 = 0.6e1 * t8337 * t3782 * t3099 - 0.3e1 * t11371 - 0.3e1 * t11376 + 0.3e1 * t11377 + 0.3e1 * t11385 - t11393 + 0.3e1 * t11395 - 0.2e1 * t11397 + 0.3e1 * t11401 + 0.3e1 * t11407 + 0.3e1 * t11422 - t11424 + 0.3e1 * t11426 - 0.12e2 * t11917 + 0.12e2 * t11921 - 0.12e2 * t11923;
  t12286 = t902 * t792;
  t12294 = t2705 * t1636 * t3092;
  t12299 = t2715 * t6779;
  t12303 = t6528 * t2759;
  t12307 = 0.11e2 * t6507 * t3706 * t10299 + 0.3e1 * t359 * t12286 * t3664 + 0.3e1 * t8413 * t374 * t3099 + 0.6e1 * t6464 * t8435 + t6474 * t8431 - t11454 - t11456 + t11459 - t11481 - 0.3e1 * t11485 - 0.2e1 * t11509 - 0.2e1 * t12294 - 0.3e1 * t12299 - t12303 - t801 - t909;
  t12311 = t3706 * t6548 * t792;
  t12316 = t3782 * t3044;
  t12322 = t3782 * t9068 * t792;
  t12329 = t3782 * t3038;
  t12337 = t3713 * t4738 * t792;
  t12345 = t2705 * t11370;
  t12347 = -0.12e2 * t906 * t1636 * t11420 + 0.18e2 * t8303 * t12311 - 0.7e1 * t8334 * t12311 - 0.18e2 * t8334 * t12316 + 0.6e1 * t8337 * t12316 + 0.6e1 * t8303 * t12322 - t8323 * t12322 - 0.7e1 * t8334 * t12322 + t8337 * t12322 - 0.11e2 * t8334 * t12329 + 0.11e2 * t8337 * t12329 + 0.12e2 * t8303 * t12337 - 0.6e1 * t6474 * t8364 - 0.18e2 * t8303 * t6536 - 0.3e1 * t12345;
  t12348 = t2708 * t6634;
  t12352 = t2708 * t6572;
  t12356 = t2715 * t11406;
  t12360 = t2718 * t374 * t3092 * t155;
  t12364 = t2708 * t11406;
  t12374 = t2708 * t1109 * t1124 * t799;
  t12382 = t2725 * t6653;
  t12389 = 0.18e2 * t6474 * t3713 * t2758 * t1093 - 0.6e1 * t8323 * t3701 * t3702 * t792 - 0.6e1 * t1050 * t795 * t8299 - 0.12e2 * t8323 * t12337 - 0.6e1 * t6474 * t8313 + 0.11e2 * t6474 * t8397 - 0.12e2 * t8303 * t6486 + 0.7e1 * t8334 * t6536 + 0.7e1 * t8323 * t6545 + 0.3e1 * t12348 + 0.3e1 * t12352 + 0.3e1 * t12356 + 0.3e1 * t12360 - 0.3e1 * t12364 - 0.2e1 * t12374 + 0.3e1 * t12382;
  t12410 = t2715 * t11370;
  t12412 = t2705 * t11392;
  t12413 = t2715 * t11392;
  t12415 = t2708 * t11392;
  t12419 = 0.3e1 * t151 * t12286 * t4788 - 0.6e1 * t8303 * t3713 * t3064 - 0.3e1 * t8369 * t391 * t6535 - 0.7e1 * t8323 * t12311 + 0.6e1 * t8303 * t12316 - 0.11e2 * t8334 * t6545 - 0.18e2 * t911 * t6616 - 0.3e1 * t8369 * t9552 + t11534 + 0.3e1 * t12410 - t12412 + 0.3e1 * t12413 - t12415 + 0.4e1 * t3206 - 0.4e1 * t3210 - 0.4e1 * t3213;
  t12422 = t11537 - t11539 + 0.4e1 * t3226 + 0.4e1 * t3236 - t3247 - t3248 + t3249 - t3076 + t3077 - t3078 + t3086 - t2917 + t3088 - t11088 + t3251 + t3252;
  t12426 = my_piecewise5(t58, 0, t61, 0, t12250 + t12267 + t12285 + t12307 + t12347 + t12389 + t12419 + t12422);
  t12432 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * (0.5e1 / 0.27e2 * t38 * t48 * t3105 - 0.1e2 / 0.81e2 * t38 * t43 * t3261 + t53 * t12426));
  tv4sigma2lapl20 = t8 * t12432;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 0] += tv4sigma2lapl20;

  tv4sigma2lapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 1] += tv4sigma2lapl21;

  tv4sigma2lapl22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 2] += tv4sigma2lapl22;

  tv4sigma2lapl23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 3] += tv4sigma2lapl23;

  tv4sigma2lapl24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 4] += tv4sigma2lapl24;

  tv4sigma2lapl25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 5] += tv4sigma2lapl25;

  tv4sigma2lapl26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 6] += tv4sigma2lapl26;

  tv4sigma2lapl27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 7] += tv4sigma2lapl27;

  tv4sigma2lapl28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 8] += tv4sigma2lapl28;

  tv4sigma2lapl29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 9] += tv4sigma2lapl29;

  tv4sigma2lapl210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 10] += tv4sigma2lapl210;

  tv4sigma2lapl211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 11] += tv4sigma2lapl211;

  tv4sigma2lapl212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 12] += tv4sigma2lapl212;

  tv4sigma2lapl213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 13] += tv4sigma2lapl213;

  tv4sigma2lapl214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 14] += tv4sigma2lapl214;

  tv4sigma2lapl215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 15] += tv4sigma2lapl215;

  tv4sigma2lapl216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 16] += tv4sigma2lapl216;

  t12439 = t9864 * t562;
  t12440 = t548 * t12439;
  t12449 = t2797 * t9214 * t1407;
  t12453 = t2797 * t548 * t9214 * t224;
  t12457 = t2804 * t228 * t9214 * t562;
  t12465 = t228 * t12439;
  t12476 = -0.12e2 * t8562 * t1439 * t12439 + 0.18e2 * t8562 * t1439 * t3124 + 0.18e2 * t8562 * t548 * t3124 - 0.18e2 * t8562 * t12440 + 0.18e2 * t8613 * t12440 - 0.6e1 * t8562 * t12465 - 0.6e1 * t8610 * t12465 + 0.18e2 * t8613 * t12465 - 0.12e2 * t11996 + 0.12e2 * t11998 - 0.4e1 * t12002 + 0.12e2 * t12004 - 0.3e1 * t12449 - 0.3e1 * t12453 + 0.3e1 * t12457;
  t12493 = 0.12e2 * t12014 - 0.4e1 * t12016 - 0.8e1 * t12023 - 0.12e2 * t12026 + 0.12e2 * t12032 + 0.12e2 * t12036 + 0.12e2 * t12038 + 0.12e2 * t12042 + 0.3e1 * t11571 - 0.3e1 * t11573 - 0.3e1 * t11574 + 0.3e1 * t11579 - 0.3e1 * t11584 + 0.3e1 * t11585 + 0.3e1 * t11588 - 0.3e1 * t11589;
  t12501 = t228 * t822 * params->csk_a;
  t12509 = t7074 * t2857;
  t12514 = t925 * t819;
  t12518 = 0.3e1 * t538 * t12514 * t4533 + 0.3e1 * t8769 * t553 * t3184 - 0.18e2 * t8589 * t12501 + 0.18e2 * t8592 * t12501 + t7025 * t8789 - 0.2e1 * t11594 + 0.3e1 * t11601 + 0.3e1 * t11609 - t11613 + 0.3e1 * t11615 + 0.3e1 * t11617 - t11627 + 0.12e2 * t12072 - 0.12e2 * t12074 - 0.12e2 * t12077 - t12509;
  t12523 = t2811 * t1780 * t3177;
  t12527 = t2813 * t7254;
  t12533 = t7026 * t3136;
  t12539 = 0.6e1 * t8705 * t4495 * t3184 - 0.7e1 * t8633 * t12533 + 0.6e1 * t8651 * t12533 - t8692 * t12533 + 0.11e2 * t7042 * t8774 + 0.6e1 * t7049 * t8779 - 0.3e1 * t11659 - t11673 - t11678 + t11681 - t11696 - 0.2e1 * t11720 - 0.2e1 * t12523 - 0.3e1 * t12527 - t828 - t932;
  t12542 = t4495 * t9913;
  t12548 = t7026 * t548 * t819;
  t12552 = t4503 * t4565 * t819;
  t12555 = t7154 * params->csk_a;
  t12556 = t4580 * t12555;
  t12563 = t4495 * t3144;
  t12569 = t2811 * t11612;
  t12570 = t2813 * t11612;
  t12572 = t2808 * t11612;
  t12573 = t2813 * t11583;
  t12575 = t2811 * t11583;
  t12577 = t8705 * t12533 - 0.11e2 * t8633 * t12542 + 0.11e2 * t8705 * t12542 - 0.7e1 * t8633 * t12548 + 0.18e2 * t8651 * t12548 + 0.12e2 * t8651 * t12552 - 0.18e2 * t8651 * t12556 - 0.18e2 * t8633 * t12563 + 0.6e1 * t8705 * t12563 - 0.6e1 * t7025 * t8725 - t12569 + 0.3e1 * t12570 - t12572 + 0.3e1 * t12573 - 0.3e1 * t12575;
  t12578 = t2808 * t7092;
  t12582 = t2808 * t7186;
  t12586 = t2813 * t11587;
  t12590 = t2824 * t553 * t3177 * t224;
  t12594 = t2808 * t11587;
  t12600 = t2808 * t11593;
  t12608 = t2838 * t7137;
  t12617 = -0.12e2 * t929 * t1780 * t3184 * t562 - 0.6e1 * t8692 * t4572 * t4573 * t819 - 0.6e1 * t1430 * t822 * t8681 - 0.12e2 * t8692 * t12552 + 0.7e1 * t8633 * t12556 - 0.6e1 * t7025 * t8658 + 0.18e2 * t7025 * t8671 + 0.11e2 * t7025 * t8689 - 0.12e2 * t8651 * t7089 + 0.3e1 * t12578 + 0.3e1 * t12582 + 0.3e1 * t12586 + 0.3e1 * t12590 - 0.3e1 * t12594 - 0.2e1 * t12600 + 0.3e1 * t12608;
  t12619 = t4580 * t3131;
  t12646 = 0.3e1 * t220 * t12514 * t5325 - 0.3e1 * t8733 * t570 * t12555 - 0.7e1 * t8692 * t12548 + 0.6e1 * t8651 * t12563 - 0.11e2 * t8633 * t12619 + 0.7e1 * t8692 * t12619 - 0.6e1 * t8651 * t7105 - 0.18e2 * t934 * t7156 - 0.3e1 * t8733 * t9914 + t11741 - 0.12e2 * t12142 - 0.4e1 * t12144 - 0.8e1 * t12148 - 0.4e1 * t3276 + 0.4e1 * t3280 - 0.4e1 * t3284;
  t12649 = -t11743 + t11746 + 0.4e1 * t3305 + 0.4e1 * t3313 + t3318 - t3319 - t3320 + t3166 - t3167 - t3168 + t3171 - t2998 + t3173 - t11344 + t3322 + t3323;
  t12653 = my_piecewise5(t104, 0, t105, 0, t12476 + t12493 + t12518 + t12539 + t12577 + t12617 + t12646 + t12649);
  t12659 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * (0.5e1 / 0.27e2 * t38 * t98 * t3190 - 0.1e2 / 0.81e2 * t38 * t93 * t3332 + t103 * t12653));
  tv4sigma2lapl217 = t8 * t12659;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 17] += tv4sigma2lapl217;

  tv4sigma2lapltau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 0] += tv4sigma2lapltau0;

  tv4sigma2lapltau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 1] += tv4sigma2lapltau1;

  tv4sigma2lapltau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 2] += tv4sigma2lapltau2;

  tv4sigma2lapltau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 3] += tv4sigma2lapltau3;

  tv4sigma2lapltau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 4] += tv4sigma2lapltau4;

  tv4sigma2lapltau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 5] += tv4sigma2lapltau5;

  tv4sigma2lapltau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 6] += tv4sigma2lapltau6;

  tv4sigma2lapltau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 7] += tv4sigma2lapltau7;

  tv4sigma2lapltau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 8] += tv4sigma2lapltau8;

  tv4sigma2lapltau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 9] += tv4sigma2lapltau9;

  tv4sigma2lapltau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 10] += tv4sigma2lapltau10;

  tv4sigma2lapltau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 11] += tv4sigma2lapltau11;

  tv4sigma2lapltau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 12] += tv4sigma2lapltau12;

  tv4sigma2lapltau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 13] += tv4sigma2lapltau13;

  tv4sigma2lapltau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 14] += tv4sigma2lapltau14;

  tv4sigma2lapltau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 15] += tv4sigma2lapltau15;

  tv4sigma2lapltau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 16] += tv4sigma2lapltau16;

  tv4sigma2lapltau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 17] += tv4sigma2lapltau17;

  tv4sigma2lapltau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 18] += tv4sigma2lapltau18;

  tv4sigma2lapltau19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 19] += tv4sigma2lapltau19;

  tv4sigma2lapltau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 20] += tv4sigma2lapltau20;

  tv4sigma2lapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 21] += tv4sigma2lapltau21;

  tv4sigma2lapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 22] += tv4sigma2lapltau22;

  tv4sigma2lapltau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 23] += tv4sigma2lapltau23;

  tv4sigma2tau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 0] += tv4sigma2tau20;

  tv4sigma2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 1] += tv4sigma2tau21;

  tv4sigma2tau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 2] += tv4sigma2tau22;

  tv4sigma2tau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 3] += tv4sigma2tau23;

  tv4sigma2tau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 4] += tv4sigma2tau24;

  tv4sigma2tau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 5] += tv4sigma2tau25;

  tv4sigma2tau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 6] += tv4sigma2tau26;

  tv4sigma2tau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 7] += tv4sigma2tau27;

  tv4sigma2tau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 8] += tv4sigma2tau28;

  tv4sigma2tau29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 9] += tv4sigma2tau29;

  tv4sigma2tau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 10] += tv4sigma2tau210;

  tv4sigma2tau211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 11] += tv4sigma2tau211;

  tv4sigma2tau212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 12] += tv4sigma2tau212;

  tv4sigma2tau213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 13] += tv4sigma2tau213;

  tv4sigma2tau214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 14] += tv4sigma2tau214;

  tv4sigma2tau215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 15] += tv4sigma2tau215;

  tv4sigma2tau216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 16] += tv4sigma2tau216;

  tv4sigma2tau217 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 17] += tv4sigma2tau217;

  t12669 = 0.9e1 * t12212 - 0.9e1 * t12216 - 0.9e1 * t12240 + t11781 - t11783 + t11794 - t11796 + t11800 - t11802 + t11804 - t11818 - t11820 + t11824 + t11826;
  t12670 = t3203 * t3550;
  t12675 = t159 * t1093 * t383 * t248;
  t12680 = t8896 * t248;
  t12681 = t369 * t12680;
  t12698 = 0.18e2 * t1050 * t4965 * t11069 - 0.12e2 * t11053 * t1059 * t12680 - 0.18e2 * t11045 * t12670 + 0.18e2 * t11050 * t12670 + 0.18e2 * t11050 * t12681 - 0.18e2 * t11053 * t12681 - 0.6e1 * t11057 * t12675 + 0.18e2 * t11057 * t4988 - 0.6e1 * t11074 * t12675 + 0.18e2 * t11077 * t12675 + t11828 - t11875 - t11877 - t11886;
  t12702 = t3342 * t248;
  t12717 = 0.6e1 * t10894 * t3782 * t856 + 0.3e1 * t359 * t12702 * t3664 + 0.6e1 * t4737 * t11017 + 0.3e1 * t11025 * t857 + t4757 * t11030 + 0.11e2 * t4760 * t11036 - t11918 + t11922 - t11924 - 0.6e1 * t12294 - 0.9e1 * t12299 - 0.3e1 * t12303 - t801 - t909;
  t12718 = t3811 * t2488;
  t12727 = t3697 * t10352;
  t12739 = t3697 * t10313;
  t12745 = t3782 * t9068 * t248;
  t12747 = -0.12e2 * t10925 * t1636 * t856 * t383 - 0.6e1 * t1050 * t605 * t10981 - 0.12e2 * t10888 * t4817 - 0.18e2 * t10891 * t12718 + 0.7e1 * t10891 * t4840 + t10894 * t12745 - 0.12e2 * t10899 * t12727 - 0.7e1 * t10899 * t12739 - 0.6e1 * t10899 * t4817 + 0.7e1 * t10899 * t4821 + 0.18e2 * t4757 * t10958 - t11454 - t11456 + t11459;
  t12773 = t3782 * t850;
  t12780 = -0.6e1 * t10899 * t3701 * t3702 * t248 + 0.6e1 * t10888 * t12718 + 0.12e2 * t10888 * t12727 + 0.18e2 * t10888 * t12739 + 0.6e1 * t10888 * t12745 - 0.18e2 * t10888 * t4840 - 0.7e1 * t10891 * t12739 - 0.7e1 * t10891 * t12745 - 0.11e2 * t10891 * t12773 + 0.6e1 * t10894 * t12718 + 0.11e2 * t10894 * t12773 - t10899 * t12745 - 0.6e1 * t4757 * t10947 + 0.11e2 * t4757 * t10968;
  t12802 = 0.3e1 * t151 * t12702 * t4788 - 0.6e1 * t10888 * t4831 - 0.11e2 * t10891 * t4821 - 0.3e1 * t10985 * t851 - 0.3e1 * t10985 * t861 - 0.18e2 * t10997 * t4853 - 0.9e1 * t12345 + 0.9e1 * t12348 + 0.9e1 * t12352 + 0.9e1 * t12356 + 0.9e1 * t12360 - 0.9e1 * t12364 - 0.6e1 * t12374 + 0.9e1 * t12382;
  t12808 = 0.9e1 * t12410 - 0.3e1 * t12412 + 0.9e1 * t12413 - 0.3e1 * t12415 + t3206 - t3210 - t3213 + t11534 + t11537 - t11539 + t3354 - t3358 - t3360 + t3226;
  t12810 = t3236 - t3361 - t3362 + t3363 - t2887 + t2899 - t2901 + t2908 - t2916 + t2924 - 0.8e1 * t3091 + t3365 + t3367 + t3370 + t3373;
  t12814 = my_piecewise5(t58, 0, t61, 0, t12669 + t12698 + t12717 + t12747 + t12780 + t12802 + t12808 + t12810);
  t12820 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * (0.5e1 / 0.18e2 * t38 * t48 * t3261 - 0.5e1 / 0.81e2 * t38 * t43 * t3398 + t53 * t12814));
  tv4sigmalapl30 = t8 * t12820;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 0] += tv4sigmalapl30;

  tv4sigmalapl31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 1] += tv4sigmalapl31;

  tv4sigmalapl32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 2] += tv4sigmalapl32;

  tv4sigmalapl33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 3] += tv4sigmalapl33;

  tv4sigmalapl34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 4] += tv4sigmalapl34;

  tv4sigmalapl35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 5] += tv4sigmalapl35;

  tv4sigmalapl36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 6] += tv4sigmalapl36;

  tv4sigmalapl37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 7] += tv4sigmalapl37;

  tv4sigmalapl38 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 8] += tv4sigmalapl38;

  tv4sigmalapl39 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 9] += tv4sigmalapl39;

  tv4sigmalapl310 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 10] += tv4sigmalapl310;

  t12831 = t4495 * t4507 * t265;
  t12838 = t7026 * t3297;
  t12842 = t4503 * t4565 * t265;
  t12847 = t4495 * t3288;
  t12852 = -t11161 * t12831 - 0.6e1 * t11161 * t5384 + t11164 * t12831 + 0.6e1 * t11164 * t12847 - 0.7e1 * t11166 * t12831 - 0.7e1 * t11166 * t12838 + 0.6e1 * t11169 * t12831 + 0.18e2 * t11169 * t12838 + 0.12e2 * t11169 * t12842 - t11997 + t11999 - 0.9e1 * t12449 - 0.9e1 * t12453 + 0.9e1 * t12457;
  t12861 = -0.7e1 * t11161 * t12838 + 0.7e1 * t11161 * t5304 - 0.18e2 * t11166 * t12847 + 0.6e1 * t11169 * t12847 - t12003 + t12005 + t12015 - t12017 - t12024 - t12027 + t12033 + t12037 + t12039 + t12043;
  t12867 = t228 * t1093 * t562 * t265;
  t12872 = t10134 * t265;
  t12873 = t548 * t12872;
  t12894 = -0.18e2 * t11130 * t228 * t10172 * t265 - 0.12e2 * t11126 * t1439 * t12872 + 0.18e2 * t1430 * t5475 * t11337 - 0.18e2 * t11126 * t12873 - 0.6e1 * t11135 * t12867 + 0.18e2 * t11138 * t12867 + 0.18e2 * t11138 * t3279 + 0.18e2 * t11141 * t12873 - 0.6e1 * t11144 * t12867 + 0.18e2 * t11144 * t5564 + 0.6e1 * t5287 * t11305 + t12073 - t12075 - t12078;
  t12898 = t3408 * t265;
  t12912 = 0.6e1 * t11164 * t4495 * t884 + 0.3e1 * t538 * t12898 * t4533 - 0.12e2 * t11169 * t5384 + 0.3e1 * t11296 * t885 + t5290 * t11301 + 0.11e2 * t5284 * t11315 - t11673 - t11678 + t11681 - 0.3e1 * t12509 - 0.6e1 * t12523 - 0.9e1 * t12527 - t828 - t932;
  t12919 = t4495 * t878;
  t12949 = -0.6e1 * t11161 * t4572 * t4573 * t265 - 0.12e2 * t3438 * t1780 * t9402 * t265 + 0.3e1 * t220 * t12898 * t5325 - 0.12e2 * t11161 * t12842 + 0.11e2 * t11164 * t12919 - 0.11e2 * t11166 * t12919 - 0.11e2 * t11166 * t5304 - 0.6e1 * t11169 * t5387 - 0.3e1 * t11205 * t879 - 0.3e1 * t11205 * t889 + 0.11e2 * t5290 * t11226 + 0.18e2 * t5290 * t11246 - 0.18e2 * t5287 * t11260 - 0.18e2 * t684 * t11268;
  t12968 = -0.6e1 * t1430 * t668 * t11196 + 0.7e1 * t11166 * t5349 - 0.6e1 * t5290 * t11234 - 0.3e1 * t12569 + 0.9e1 * t12570 - 0.3e1 * t12572 + 0.9e1 * t12573 - 0.9e1 * t12575 + 0.9e1 * t12578 + 0.9e1 * t12582 + 0.9e1 * t12586 + 0.9e1 * t12590 - 0.9e1 * t12594 - 0.6e1 * t12600;
  t12971 = 0.9e1 * t12608 - t12143 - t12145 - t12149 - t3276 + t3280 - t3284 + t11741 - t11743 + t11746 + t3420 - t3424 - t3426 + t3305;
  t12973 = t3313 + t3427 - t3428 - t3429 + t2969 - t2971 - t2977 + t2988 - t2997 + t3005 - 0.8e1 * t3176 + t3431 + t3433 + t3440 + t3443;
  t12977 = my_piecewise5(t104, 0, t105, 0, t12852 + t12861 + t12894 + t12912 + t12949 + t12968 + t12971 + t12973);
  t12983 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * (0.5e1 / 0.18e2 * t38 * t98 * t3332 - 0.5e1 / 0.81e2 * t38 * t93 * t3464 + t103 * t12977));
  tv4sigmalapl311 = t8 * t12983;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 11] += tv4sigmalapl311;

  tv4sigmalapl2tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 0] += tv4sigmalapl2tau0;

  tv4sigmalapl2tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 1] += tv4sigmalapl2tau1;

  tv4sigmalapl2tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 2] += tv4sigmalapl2tau2;

  tv4sigmalapl2tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 3] += tv4sigmalapl2tau3;

  tv4sigmalapl2tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 4] += tv4sigmalapl2tau4;

  tv4sigmalapl2tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 5] += tv4sigmalapl2tau5;

  tv4sigmalapl2tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 6] += tv4sigmalapl2tau6;

  tv4sigmalapl2tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 7] += tv4sigmalapl2tau7;

  tv4sigmalapl2tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 8] += tv4sigmalapl2tau8;

  tv4sigmalapl2tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 9] += tv4sigmalapl2tau9;

  tv4sigmalapl2tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 10] += tv4sigmalapl2tau10;

  tv4sigmalapl2tau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 11] += tv4sigmalapl2tau11;

  tv4sigmalapl2tau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 12] += tv4sigmalapl2tau12;

  tv4sigmalapl2tau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 13] += tv4sigmalapl2tau13;

  tv4sigmalapl2tau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 14] += tv4sigmalapl2tau14;

  tv4sigmalapl2tau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 15] += tv4sigmalapl2tau15;

  tv4sigmalapl2tau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 16] += tv4sigmalapl2tau16;

  tv4sigmalapl2tau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 17] += tv4sigmalapl2tau17;

  tv4sigmalapltau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 0] += tv4sigmalapltau20;

  tv4sigmalapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 1] += tv4sigmalapltau21;

  tv4sigmalapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 2] += tv4sigmalapltau22;

  tv4sigmalapltau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 3] += tv4sigmalapltau23;

  tv4sigmalapltau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 4] += tv4sigmalapltau24;

  tv4sigmalapltau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 5] += tv4sigmalapltau25;

  tv4sigmalapltau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 6] += tv4sigmalapltau26;

  tv4sigmalapltau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 7] += tv4sigmalapltau27;

  tv4sigmalapltau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 8] += tv4sigmalapltau28;

  tv4sigmalapltau29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 9] += tv4sigmalapltau29;

  tv4sigmalapltau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 10] += tv4sigmalapltau210;

  tv4sigmalapltau211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 11] += tv4sigmalapltau211;

  tv4sigmalapltau212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 12] += tv4sigmalapltau212;

  tv4sigmalapltau213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 13] += tv4sigmalapltau213;

  tv4sigmalapltau214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 14] += tv4sigmalapltau214;

  tv4sigmalapltau215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 15] += tv4sigmalapltau215;

  tv4sigmalapltau216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 16] += tv4sigmalapltau216;

  tv4sigmalapltau217 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 17] += tv4sigmalapltau217;

  tv4sigmatau30 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 0] += tv4sigmatau30;

  tv4sigmatau31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 1] += tv4sigmatau31;

  tv4sigmatau32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 2] += tv4sigmatau32;

  tv4sigmatau33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 3] += tv4sigmatau33;

  tv4sigmatau34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 4] += tv4sigmatau34;

  tv4sigmatau35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 5] += tv4sigmatau35;

  tv4sigmatau36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 6] += tv4sigmatau36;

  tv4sigmatau37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 7] += tv4sigmatau37;

  tv4sigmatau38 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 8] += tv4sigmatau38;

  tv4sigmatau39 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 9] += tv4sigmatau39;

  tv4sigmatau310 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 10] += tv4sigmatau310;

  tv4sigmatau311 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 11] += tv4sigmatau311;

  t12990 = t902 * t902;
  t12991 = t12990 * t383;
  t12992 = t359 * t12991;
  t12995 = t12990 * t362;
  t12996 = t1050 * t12995;
  t13004 = t151 * t12995;
  t13007 = t359 * t12995;
  t13013 = t1050 * t12991;
  t13020 = t12990 * t3656;
  t13021 = t1050 * t13020;
  t13024 = t3677 * t13020;
  t13026 = t359 * t13020;
  t13029 = t151 * t13020;
  t13039 = -0.6e1 * t12996 * t3576 - 0.12e2 * t13013 * t3616 - 0.18e2 * t13013 * t3637 + 0.6e1 * t13021 * t3802 - 0.6e1 * t13024 * t3760 - t13024 * t3802 - 0.7e1 * t13026 * t3710 - 0.7e1 * t13026 * t3802 - 0.18e2 * t13026 * t3812 + t13029 * t3802 + 0.6e1 * t13029 * t3812;
  t13051 = t12990 * t3651;
  t13052 = t359 * t13051;
  t13088 = -0.6e1 * t12996 * t3772 - 0.12e2 * t13021 * t3760 + 0.6e1 * t13021 * t3812 - 0.12e2 * t13024 * t3698 - 0.6e1 * t13024 * t3703 + 0.11e2 * t13024 * t3721 - 0.6e1 * t13024 * t3750 + 0.7e1 * t13026 * t3733 - 0.11e2 * t13026 * t3783 + 0.11e2 * t13029 * t3783 - 0.3e1 * t13052 * t376;
  t13111 = -0.18e2 * t12345 + 0.18e2 * t12348 + 0.18e2 * t12352 + 0.18e2 * t12356 + 0.18e2 * t12360 - 0.18e2 * t12364 - 0.12e2 * t12374 + 0.18e2 * t12382 + 0.18e2 * t12410 - 0.6e1 * t12412 + 0.18e2 * t12413;
  t13114 = t151 * t12990;
  t13119 = t359 * t12990;
  t13141 = 0.4e1 * t3353 - 0.4e1 * t3357 - 0.4e1 * t3359 - 0.4e1 * t3055 - 0.4e1 * t3063 + 0.4e1 * t3070 - 0.9e1 * t3091 + 0.4e1 * t3094 + 0.4e1 * t3095 + 0.4e1 * t3369 + 0.4e1 * t3372;
  t13145 = my_piecewise5(t58, 0, t61, 0, -t11539 + t11537 + t11534 + t11459 - t11454 - t11456 - t801 - t909 + t13141 + t13111 + t13088 + t13039 - 0.6e1 * t12303 - 0.18e2 * t12299 - 0.12e2 * t12294 - 0.18e2 * t151 * t12991 * t3551 + 0.3e1 * t151 * t13051 * t376 + 0.6e1 * t1050 * t12990 * t3668 + t3677 * t12990 * t3683 + 0.18e2 * t13007 * t3576 + 0.18e2 * t12996 * t3612 + 0.18e2 * t12992 * t3637 + 0.18e2 * t12996 * t3599 + 0.18e2 * t12992 * t3551 + 0.3e1 * t13114 * t3653 + 0.6e1 * t13114 * t3660 + 0.3e1 * t13119 * t3664 + 0.11e2 * t13119 * t3685 - 0.11e2 * t13026 * t3707 - 0.3e1 * t13052 * t393 - 0.18e2 * t13007 * t3728 - 0.6e1 * t13021 * t3714 + 0.18e2 * t13024 * t3714 - 0.18e2 * t13021 * t3733 + 0.18e2 * t13021 * t3710 + 0.12e2 * t13021 * t3698 + 0.7e1 * t13024 * t3707 - 0.7e1 * t13024 * t3710 - 0.6e1 * t13004 * t3576 - 0.18e2 * t12240 - 0.18e2 * t12216 + 0.18e2 * t12212 - 0.12e2 * t13004 * t1636 * t158 * t383 - 0.6e1 * t12415);
  t13151 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t32 * (0.1e2 / 0.27e2 * t38 * t48 * t3398 + t53 * t13145));
  tv4lapl40 = t8 * t13151;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 0] += tv4lapl40;

  tv4lapl41 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 1] += tv4lapl41;

  tv4lapl42 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 2] += tv4lapl42;

  tv4lapl43 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 3] += tv4lapl43;

  t13155 = t925 * t925;
  t13156 = t13155 * t562;
  t13157 = t220 * t13156;
  t13160 = t13155 * t541;
  t13164 = t538 * t13160;
  t13170 = t1430 * t13160;
  t13173 = t1430 * t13156;
  t13188 = t13155 * t4490;
  t13189 = t4501 * t13188;
  t13193 = t1430 * t13188;
  t13198 = t538 * t13188;
  t13201 = t220 * t13188;
  t13207 = 0.18e2 * t13164 * t4376 - 0.6e1 * t13170 * t4396 - 0.12e2 * t13173 * t4472 - 0.6e1 * t13189 * t4504 - t13189 * t4508 - 0.7e1 * t13189 * t4582 + 0.12e2 * t13193 * t4566 + 0.18e2 * t13193 * t4582 - 0.7e1 * t13198 * t4582 + 0.6e1 * t13201 * t4496 + t13201 * t4508;
  t13232 = t13155 * t4514;
  t13233 = t538 * t13232;
  t13255 = 0.3e1 * t220 * t13232 * t555 - 0.12e2 * t13157 * t11708 - 0.18e2 * t13164 * t4658 - 0.6e1 * t13189 * t4615 - 0.6e1 * t13193 * t4577 - 0.18e2 * t13193 * t4602 - 0.11e2 * t13198 * t4597 + 0.7e1 * t13198 * t4602 - 0.11e2 * t13198 * t4648 - 0.3e1 * t13233 * t555 - 0.3e1 * t13233 * t572;
  t13277 = -0.6e1 * t12569 + 0.18e2 * t12570 - 0.6e1 * t12572 + 0.18e2 * t12573 - 0.18e2 * t12575 + 0.18e2 * t12578 + 0.18e2 * t12582 + 0.18e2 * t12586 + 0.18e2 * t12590 - 0.18e2 * t12594 - 0.12e2 * t12600;
  t13285 = t538 * t13155;
  t13290 = t220 * t13155;
  t13307 = 0.4e1 * t3419 - 0.4e1 * t3423 - 0.4e1 * t3425 + 0.4e1 * t3130 - 0.4e1 * t3155 - 0.4e1 * t3161 - 0.9e1 * t3176 + 0.4e1 * t3179 + 0.4e1 * t3180 + 0.4e1 * t3439 + 0.4e1 * t3442;
  t13311 = my_piecewise5(t104, 0, t105, 0, -t11743 + t11746 + t11741 + t11681 - t11678 - t11673 - t828 - t932 + t13307 + t13277 + t13255 + t13207 - 0.6e1 * t220 * t13160 * t4396 + 0.18e2 * t538 * t13156 * t4453 + 0.6e1 * t1430 * t13155 * t4540 + t4501 * t13155 * t4548 + 0.3e1 * t13290 * t4516 + 0.6e1 * t13290 * t4529 + 0.11e2 * t13201 * t4648 - 0.6e1 * t13170 * t4631 - 0.7e1 * t13198 * t4508 + 0.6e1 * t13193 * t4508 - 0.18e2 * t13198 * t4496 + 0.6e1 * t13193 * t4496 + 0.7e1 * t13189 * t4597 - 0.12e2 * t13193 * t4504 + 0.18e2 * t13189 * t4577 - 0.12e2 * t13189 * t4566 + 0.11e2 * t13189 * t4588 - 0.6e1 * t13189 * t4574 + 0.18e2 * t13164 * t4396 + 0.18e2 * t13170 * t4447 - 0.18e2 * t13173 * t4453 + 0.18e2 * t13170 * t4437 - 0.18e2 * t13157 * t5484 + 0.11e2 * t13285 * t4554 + 0.3e1 * t13285 * t4533 + 0.18e2 * t12457 - 0.18e2 * t12453 - 0.18e2 * t12449 + 0.18e2 * t12608 - 0.18e2 * t12527 - 0.12e2 * t12523 - 0.6e1 * t12509);
  t13317 = my_piecewise3(t78, 0, 0.3e1 / 0.2e2 * t7 * t88 * (0.1e2 / 0.27e2 * t38 * t98 * t3464 + t103 * t13311));
  tv4lapl44 = t8 * t13317;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 4] += tv4lapl44;

  tv4lapl3tau0 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 0] += tv4lapl3tau0;

  tv4lapl3tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 1] += tv4lapl3tau1;

  tv4lapl3tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 2] += tv4lapl3tau2;

  tv4lapl3tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 3] += tv4lapl3tau3;

  tv4lapl3tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 4] += tv4lapl3tau4;

  tv4lapl3tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 5] += tv4lapl3tau5;

  tv4lapl3tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 6] += tv4lapl3tau6;

  tv4lapl3tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 7] += tv4lapl3tau7;

  tv4lapl2tau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 0] += tv4lapl2tau20;

  tv4lapl2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 1] += tv4lapl2tau21;

  tv4lapl2tau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 2] += tv4lapl2tau22;

  tv4lapl2tau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 3] += tv4lapl2tau23;

  tv4lapl2tau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 4] += tv4lapl2tau24;

  tv4lapl2tau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 5] += tv4lapl2tau25;

  tv4lapl2tau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 6] += tv4lapl2tau26;

  tv4lapl2tau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 7] += tv4lapl2tau27;

  tv4lapl2tau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 8] += tv4lapl2tau28;

  tv4lapltau30 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 0] += tv4lapltau30;

  tv4lapltau31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 1] += tv4lapltau31;

  tv4lapltau32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 2] += tv4lapltau32;

  tv4lapltau33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 3] += tv4lapltau33;

  tv4lapltau34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 4] += tv4lapltau34;

  tv4lapltau35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 5] += tv4lapltau35;

  tv4lapltau36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 6] += tv4lapltau36;

  tv4lapltau37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 7] += tv4lapltau37;

  tv4tau40 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 0] += tv4tau40;

  tv4tau41 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 1] += tv4tau41;

  tv4tau42 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 2] += tv4tau42;

  tv4tau43 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 3] += tv4tau43;

  tv4tau44 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 4] += tv4tau44;

}

#endif

