/*
  This file was generated automatically with scripts/maple2c.py.
  Do not edit this file directly as it can be overwritten!!

  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.

  Maple version     : Maple 2020 (X86 64 LINUX)
  Maple source      : ./maple/mgga_exc/mgga_x_2d_prhg07.mpl
  Type of functional: mgga_exc
*/

#define maple2c_order 4
#define MAPLE2C_FLAGS (XC_FLAGS_I_HAVE_EXC | XC_FLAGS_I_HAVE_VXC | XC_FLAGS_I_HAVE_FXC | XC_FLAGS_I_HAVE_KXC | XC_FLAGS_I_HAVE_LXC)


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t17, t18, t19, t20, t25, t26;
  double t30, t31, t32, t33, t34, t36, t37, t38;
  double t39, t43, tzk0;


  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = sqrt(p->zeta_threshold);
  t12 = sqrt(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = M_PI * t14;
  t16 = M_SQRT2;
  t17 = sqrt(rho[0]);
  t18 = t16 * t17;
  t19 = rho[0] * rho[0];
  t20 = 0.1e1 / t19;
  t25 = t19 * rho[0];
  t26 = 0.1e1 / t25;
  t30 = 0.1e1 / M_PI;
  t31 = (lapl[0] * t20 / 0.2e1 - 0.2e1 * tau[0] * t20 + sigma[0] * t26 / 0.4e1) * t30;
  t32 = -0.9999999999e0 < t31;
  t33 = my_piecewise3(t32, t31, -0.9999999999e0);
  t34 = exp(-0.1e1);
  t36 = LambertW(t33 * t34);
  t37 = t36 + 0.1e1;
  t38 = t37 / 0.2e1;
  t39 = xc_bessel_I0(t38);
  t43 = my_piecewise3(t3, 0, -t15 * t18 * t39 / 0.8e1);
  tzk0 = 0.2e1 * t43;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t17, t18, t19, t20, t25, t26;
  double t30, t31, t32, t33, t34, t36, t37, t38;
  double t39, t43, tzk0;

  double t45, t48, t49, t53, t54, t59, t61, t62;
  double t64, t65, t69, tvrho0, t72, t74, t75, t76;
  double t79, tvsigma0, t81, t83, t84, t85, t88, tvlapl0;
  double t91, t92, t93, t96, tvtau0;


  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = sqrt(p->zeta_threshold);
  t12 = sqrt(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = M_PI * t14;
  t16 = M_SQRT2;
  t17 = sqrt(rho[0]);
  t18 = t16 * t17;
  t19 = rho[0] * rho[0];
  t20 = 0.1e1 / t19;
  t25 = t19 * rho[0];
  t26 = 0.1e1 / t25;
  t30 = 0.1e1 / M_PI;
  t31 = (lapl[0] * t20 / 0.2e1 - 0.2e1 * tau[0] * t20 + sigma[0] * t26 / 0.4e1) * t30;
  t32 = -0.9999999999e0 < t31;
  t33 = my_piecewise3(t32, t31, -0.9999999999e0);
  t34 = exp(-0.1e1);
  t36 = LambertW(t33 * t34);
  t37 = t36 + 0.1e1;
  t38 = t37 / 0.2e1;
  t39 = xc_bessel_I0(t38);
  t43 = my_piecewise3(t3, 0, -t15 * t18 * t39 / 0.8e1);
  tzk0 = 0.2e1 * t43;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t45 = t16 / t17;
  t48 = t15 * t18;
  t49 = xc_bessel_I1(t38);
  t53 = t19 * t19;
  t54 = 0.1e1 / t53;
  t59 = my_piecewise3(t32, (-lapl[0] * t26 + 0.4e1 * tau[0] * t26 - 0.3e1 / 0.4e1 * sigma[0] * t54) * t30, 0);
  t61 = 0.1e1 / t37;
  t62 = t36 * t61;
  t64 = t62 / t33;
  t65 = t49 * t59 * t64;
  t69 = my_piecewise3(t3, 0, -t15 * t45 * t39 / 0.16e2 - t48 * t65 / 0.16e2);
  tvrho0 = 0.2e1 * rho[0] * t69 + 0.2e1 * t43;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t72 = t26 * t30;
  t74 = my_piecewise3(t32, t72 / 0.4e1, 0);
  t75 = t49 * t74;
  t76 = t75 * t64;
  t79 = my_piecewise3(t3, 0, -t48 * t76 / 0.16e2);
  tvsigma0 = 0.2e1 * rho[0] * t79;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t81 = t20 * t30;
  t83 = my_piecewise3(t32, t81 / 0.2e1, 0);
  t84 = t49 * t83;
  t85 = t84 * t64;
  t88 = my_piecewise3(t3, 0, -t48 * t85 / 0.16e2);
  tvlapl0 = 0.2e1 * rho[0] * t88;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t91 = my_piecewise3(t32, -0.2e1 * t81, 0);
  t92 = t49 * t91;
  t93 = t92 * t64;
  t96 = my_piecewise3(t3, 0, -t48 * t93 / 0.16e2);
  tvtau0 = 0.2e1 * rho[0] * t96;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t17, t18, t19, t20, t25, t26;
  double t30, t31, t32, t33, t34, t36, t37, t38;
  double t39, t43, tzk0;

  double t45, t48, t49, t53, t54, t59, t61, t62;
  double t64, t65, t69, tvrho0, t72, t74, t75, t76;
  double t79, tvsigma0, t81, t83, t84, t85, t88, tvlapl0;
  double t91, t92, t93, t96, tvtau0;

  double t101, t105, t108, t110, t111, t113, t114, t115;
  double t116, t117, t118, t119, t120, t128, t133, t135;
  double t138, t139, t140, t141, t144, t145, t146, t147;
  double t148, t151, t152, t156, tv2rho20, t162, t163, t164;
  double t165, t166, t169, t171, t173, t177, t178, t179;
  double t182, t183, t184, t185, t188, t189, t190, t191;
  double t195, tv2rhosigma0, t200, t201, t204, t206, t209, t210;
  double t213, t214, t217, t218, t222, tv2rholapl0, t227, t228;
  double t232, t234, t237, t238, t241, t242, t245, t246;
  double t250, tv2rhotau0, t253, t255, t258, t260, t262, t263;
  double t264, t267, t270, t274, tv2sigma20, t276, t279, t280;
  double t283, t284, t287, t288, t292, tv2sigmalapl0, t294, t297;
  double t298, t301, t304, t308, tv2sigmatau0, t310, t312, t315;
  double t316, t319, t322, t326, tv2lapl20, t328, t331, t332;
  double t335, t336, t339, t340, t344, tv2lapltau0, t346, t348;
  double t351, t352, t355, t358, t362, tv2tau20;


  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = sqrt(p->zeta_threshold);
  t12 = sqrt(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = M_PI * t14;
  t16 = M_SQRT2;
  t17 = sqrt(rho[0]);
  t18 = t16 * t17;
  t19 = rho[0] * rho[0];
  t20 = 0.1e1 / t19;
  t25 = t19 * rho[0];
  t26 = 0.1e1 / t25;
  t30 = 0.1e1 / M_PI;
  t31 = (lapl[0] * t20 / 0.2e1 - 0.2e1 * tau[0] * t20 + sigma[0] * t26 / 0.4e1) * t30;
  t32 = -0.9999999999e0 < t31;
  t33 = my_piecewise3(t32, t31, -0.9999999999e0);
  t34 = exp(-0.1e1);
  t36 = LambertW(t33 * t34);
  t37 = t36 + 0.1e1;
  t38 = t37 / 0.2e1;
  t39 = xc_bessel_I0(t38);
  t43 = my_piecewise3(t3, 0, -t15 * t18 * t39 / 0.8e1);
  tzk0 = 0.2e1 * t43;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t45 = t16 / t17;
  t48 = t15 * t18;
  t49 = xc_bessel_I1(t38);
  t53 = t19 * t19;
  t54 = 0.1e1 / t53;
  t59 = my_piecewise3(t32, (-lapl[0] * t26 + 0.4e1 * tau[0] * t26 - 0.3e1 / 0.4e1 * sigma[0] * t54) * t30, 0);
  t61 = 0.1e1 / t37;
  t62 = t36 * t61;
  t64 = t62 / t33;
  t65 = t49 * t59 * t64;
  t69 = my_piecewise3(t3, 0, -t15 * t45 * t39 / 0.16e2 - t48 * t65 / 0.16e2);
  tvrho0 = 0.2e1 * rho[0] * t69 + 0.2e1 * t43;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t72 = t26 * t30;
  t74 = my_piecewise3(t32, t72 / 0.4e1, 0);
  t75 = t49 * t74;
  t76 = t75 * t64;
  t79 = my_piecewise3(t3, 0, -t48 * t76 / 0.16e2);
  tvsigma0 = 0.2e1 * rho[0] * t79;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t81 = t20 * t30;
  t83 = my_piecewise3(t32, t81 / 0.2e1, 0);
  t84 = t49 * t83;
  t85 = t84 * t64;
  t88 = my_piecewise3(t3, 0, -t48 * t85 / 0.16e2);
  tvlapl0 = 0.2e1 * rho[0] * t88;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t91 = my_piecewise3(t32, -0.2e1 * t81, 0);
  t92 = t49 * t91;
  t93 = t92 * t64;
  t96 = my_piecewise3(t3, 0, -t48 * t93 / 0.16e2);
  tvtau0 = 0.2e1 * rho[0] * t96;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t101 = t16 / t17 / rho[0];
  t105 = t15 * t45;
  t108 = 0.1e1 / t38;
  t110 = -t108 * t49 + t39;
  t111 = t59 * t59;
  t113 = t36 * t36;
  t114 = t37 * t37;
  t115 = 0.1e1 / t114;
  t116 = t113 * t115;
  t117 = t33 * t33;
  t118 = 0.1e1 / t117;
  t119 = t116 * t118;
  t120 = t110 * t111 * t119;
  t128 = 0.1e1 / t53 / rho[0];
  t133 = my_piecewise3(t32, (0.3e1 * lapl[0] * t54 + 0.3e1 * t128 * sigma[0] - 0.12e2 * t54 * tau[0]) * t30, 0);
  t135 = t49 * t133 * t64;
  t138 = t49 * t111;
  t139 = t36 * t115;
  t140 = t139 * t118;
  t141 = t138 * t140;
  t144 = t114 * t37;
  t145 = 0.1e1 / t144;
  t146 = t113 * t145;
  t147 = t146 * t118;
  t148 = t138 * t147;
  t151 = t62 * t118;
  t152 = t138 * t151;
  t156 = my_piecewise3(t3, 0, t15 * t101 * t39 / 0.32e2 - t105 * t65 / 0.16e2 - t48 * t120 / 0.32e2 - t48 * t135 / 0.16e2 - t48 * t141 / 0.16e2 + t48 * t148 / 0.16e2 + t48 * t152 / 0.16e2);
  tv2rho20 = 0.2e1 * rho[0] * t156 + 0.4e1 * t69;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t162 = t15 * t18 * t110;
  t163 = t59 * t113;
  t164 = t115 * t118;
  t165 = t164 * t74;
  t166 = t163 * t165;
  t169 = t54 * t30;
  t171 = my_piecewise3(t32, -0.3e1 / 0.4e1 * t169, 0);
  t173 = t49 * t171 * t64;
  t177 = t15 * t18 * t49;
  t178 = t74 * t59;
  t179 = t178 * t140;
  t182 = t74 * t113;
  t183 = t145 * t118;
  t184 = t183 * t59;
  t185 = t182 * t184;
  t188 = t74 * t36;
  t189 = t61 * t118;
  t190 = t189 * t59;
  t191 = t188 * t190;
  t195 = my_piecewise3(t3, 0, -t105 * t76 / 0.32e2 - t162 * t166 / 0.32e2 - t48 * t173 / 0.16e2 - t177 * t179 / 0.16e2 + t177 * t185 / 0.16e2 + t177 * t191 / 0.16e2);
  tv2rhosigma0 = 0.2e1 * rho[0] * t195 + 0.2e1 * t79;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t200 = t164 * t83;
  t201 = t163 * t200;
  t204 = my_piecewise3(t32, -t72, 0);
  t206 = t49 * t204 * t64;
  t209 = t83 * t59;
  t210 = t209 * t140;
  t213 = t83 * t113;
  t214 = t213 * t184;
  t217 = t83 * t36;
  t218 = t217 * t190;
  t222 = my_piecewise3(t3, 0, -t105 * t85 / 0.32e2 - t162 * t201 / 0.32e2 - t48 * t206 / 0.16e2 - t177 * t210 / 0.16e2 + t177 * t214 / 0.16e2 + t177 * t218 / 0.16e2);
  tv2rholapl0 = 0.2e1 * rho[0] * t222 + 0.2e1 * t88;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t227 = t164 * t91;
  t228 = t163 * t227;
  t232 = my_piecewise3(t32, 0.4e1 * t72, 0);
  t234 = t49 * t232 * t64;
  t237 = t91 * t59;
  t238 = t237 * t140;
  t241 = t91 * t113;
  t242 = t241 * t184;
  t245 = t91 * t36;
  t246 = t245 * t190;
  t250 = my_piecewise3(t3, 0, -t105 * t93 / 0.32e2 - t162 * t228 / 0.32e2 - t48 * t234 / 0.16e2 - t177 * t238 / 0.16e2 + t177 * t242 / 0.16e2 + t177 * t246 / 0.16e2);
  tv2rhotau0 = 0.2e1 * rho[0] * t250 + 0.2e1 * t96;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t253 = t74 * t74;
  t255 = t110 * t253 * t119;
  t258 = my_piecewise3(t32, 0, 0);
  t260 = t49 * t258 * t64;
  t262 = t48 * t260 / 0.16e2;
  t263 = t49 * t253;
  t264 = t263 * t140;
  t267 = t263 * t147;
  t270 = t263 * t151;
  t274 = my_piecewise3(t3, 0, -t48 * t255 / 0.32e2 - t262 - t48 * t264 / 0.16e2 + t48 * t267 / 0.16e2 + t48 * t270 / 0.16e2);
  tv2sigma20 = 0.2e1 * rho[0] * t274;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t276 = t182 * t200;
  t279 = t83 * t74;
  t280 = t279 * t140;
  t283 = t183 * t74;
  t284 = t213 * t283;
  t287 = t189 * t74;
  t288 = t217 * t287;
  t292 = my_piecewise3(t3, 0, -t162 * t276 / 0.32e2 - t262 - t177 * t280 / 0.16e2 + t177 * t284 / 0.16e2 + t177 * t288 / 0.16e2);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t292;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  t294 = t182 * t227;
  t297 = t91 * t74;
  t298 = t297 * t140;
  t301 = t241 * t283;
  t304 = t245 * t287;
  t308 = my_piecewise3(t3, 0, -t162 * t294 / 0.32e2 - t262 - t177 * t298 / 0.16e2 + t177 * t301 / 0.16e2 + t177 * t304 / 0.16e2);
  tv2sigmatau0 = 0.2e1 * rho[0] * t308;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t310 = t83 * t83;
  t312 = t110 * t310 * t119;
  t315 = t49 * t310;
  t316 = t315 * t140;
  t319 = t315 * t147;
  t322 = t315 * t151;
  t326 = my_piecewise3(t3, 0, -t48 * t312 / 0.32e2 - t262 - t48 * t316 / 0.16e2 + t48 * t319 / 0.16e2 + t48 * t322 / 0.16e2);
  tv2lapl20 = 0.2e1 * rho[0] * t326;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  t328 = t213 * t227;
  t331 = t91 * t83;
  t332 = t331 * t140;
  t335 = t183 * t83;
  t336 = t241 * t335;
  t339 = t189 * t83;
  t340 = t245 * t339;
  t344 = my_piecewise3(t3, 0, -t162 * t328 / 0.32e2 - t262 - t177 * t332 / 0.16e2 + t177 * t336 / 0.16e2 + t177 * t340 / 0.16e2);
  tv2lapltau0 = 0.2e1 * rho[0] * t344;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  t346 = t91 * t91;
  t348 = t110 * t346 * t119;
  t351 = t49 * t346;
  t352 = t351 * t140;
  t355 = t351 * t147;
  t358 = t351 * t151;
  t362 = my_piecewise3(t3, 0, -t48 * t348 / 0.32e2 - t262 - t48 * t352 / 0.16e2 + t48 * t355 / 0.16e2 + t48 * t358 / 0.16e2);
  tv2tau20 = 0.2e1 * rho[0] * t362;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t17, t18, t19, t20, t25, t26;
  double t30, t31, t32, t33, t34, t36, t37, t38;
  double t39, t43, tzk0;

  double t45, t48, t49, t53, t54, t59, t61, t62;
  double t64, t65, t69, tvrho0, t72, t74, t75, t76;
  double t79, tvsigma0, t81, t83, t84, t85, t88, tvlapl0;
  double t91, t92, t93, t96, tvtau0;

  double t101, t105, t108, t110, t111, t113, t114, t115;
  double t116, t117, t118, t119, t120, t128, t133, t135;
  double t138, t139, t140, t141, t144, t145, t146, t147;
  double t148, t151, t152, t156, tv2rho20, t162, t163, t164;
  double t165, t166, t169, t171, t173, t177, t178, t179;
  double t182, t183, t184, t185, t188, t189, t190, t191;
  double t195, tv2rhosigma0, t200, t201, t204, t206, t209, t210;
  double t213, t214, t217, t218, t222, tv2rholapl0, t227, t228;
  double t232, t234, t237, t238, t241, t242, t245, t246;
  double t250, tv2rhotau0, t253, t255, t258, t260, t262, t263;
  double t264, t267, t270, t274, tv2sigma20, t276, t279, t280;
  double t283, t284, t287, t288, t292, tv2sigmalapl0, t294, t297;
  double t298, t301, t304, t308, tv2sigmatau0, t310, t312, t315;
  double t316, t319, t322, t326, tv2lapl20, t328, t331, t332;
  double t335, t336, t339, t340, t344, tv2lapltau0, t346, t348;
  double t351, t352, t355, t358, t362, tv2tau20;

  double t367, t373, t374, t376, t377, t378, t381, t382;
  double t383, t384, t385, t386, t389, t390, t393, t394;
  double t395, t396, t400, t401, t402, t403, t406, t409;
  double t410, t416, t419, t420, t421, t425, t428, t429;
  double t432, t433, t434, t437, t441, t443, t451, t456;
  double t458, t461, t471, t474, t475, t476, t479, t481;
  double tv3rho30, t489, t491, t493, t496, t497, t500, t501;
  double t502, t503, t507, t511, t514, t519, t520, t523;
  double t524, t525, t528, t529, t530, t533, t534, t535;
  double t536, t537, t540, t543, t544, t547, t548, t551;
  double t552, t558, t562, t565, t568, t569, t572, t573;
  double t578, t579, t580, t581, t584, t586, tv3rho2sigma0, t590;
  double t591, t594, t595, t598, t599, t602, t603, t606;
  double t607, t615, t617, t623, t628, t629, t632, t633;
  double t636, t641, t644, t645, t648, t651, t652, t655;
  double t656, t659, t668, t671, t673, tv3rho2lapl0, t678, t686;
  double t689, t690, t693, t694, t697, t698, t703, t704;
  double t709, t710, t713, t716, t717, t718, t721, t726;
  double t729, t732, t737, t740, t741, t744, t745, t753;
  double t755, t758, t760, tv3rho2tau0, t763, t764, t765, t766;
  double t768, t771, t772, t773, t776, t777, t778, t781;
  double t782, t785, t788, t789, t790, t791, t792, t793;
  double t796, t797, t798, t801, t802, t805, t806, t807;
  double t808, t809, t810, t811, t812, t813, t814, t815;
  double t818, t821, t826, t827, t836, t840, t843, t845;
  double tv3rhosigma20, t848, t849, t850, t851, t854, t855, t858;
  double t859, t862, t863, t864, t865, t872, t875, t876;
  double t879, t880, t883, t886, t889, t894, t897, t898;
  double t905, t906, t909, t910, t915, t916, t919, t920;
  double t923, t925, tv3rhosigmalapl0, t928, t929, t930, t933, t934;
  double t937, t938, t941, t944, t945, t950, t951, t954;
  double t957, t958, t963, t966, t969, t972, t975, t976;
  double t977, t980, t981, t984, t987, t998, t1000, tv3rhosigmatau0;
  double t1003, t1004, t1007, t1008, t1011, t1012, t1015, t1018;
  double t1023, t1024, t1027, t1028, t1031, t1036, t1037, t1040;
  double t1045, t1046, t1053, t1057, t1060, t1062, tv3rholapl20, t1065;
  double t1066, t1069, t1072, t1073, t1076, t1077, t1081, t1084;
  double t1085, t1088, t1089, t1094, t1097, t1100, t1103, t1106;
  double t1109, t1110, t1113, t1114, t1115, t1118, t1121, t1134;
  double t1136, tv3rholapltau0, t1140, t1143, t1144, t1147, t1148, t1153;
  double t1156, t1162, t1165, t1172, t1175, t1176, t1177, t1182;
  double t1183, t1186, t1189, t1193, t1196, t1198, tv3rhotau20, t1201;
  double t1202, t1203, t1204, t1205, t1206, t1209, t1212, t1215;
  double t1216, t1217, t1218, t1219, t1222, t1223, t1224, t1225;
  double t1226, t1229, t1232, t1235, t1236, t1237, t1238, t1241;
  double t1244, t1246, t1249, t1251, t1254, t1255, tv3sigma30, t1257;
  double t1258, t1259, t1260, t1261, t1262, t1263, t1264, t1265;
  double t1266, t1267, t1268, t1270, t1273, t1274, t1275, t1276;
  double t1277, t1278, t1279, t1280, t1281, t1284, t1287, t1288;
  double t1291, t1292, t1295, t1300, t1303, t1306, t1307, t1310;
  double t1311, tv3sigma2lapl0, t1313, t1314, t1315, t1316, t1317, t1318;
  double t1321, t1322, t1323, t1324, t1325, t1326, t1327, t1328;
  double t1329, t1332, t1335, t1338, t1341, t1346, t1349, t1352;
  double t1355, t1356, tv3sigma2tau0, t1359, t1362, t1363, t1366, t1367;
  double t1370, t1373, t1376, t1377, t1378, t1379, t1380, t1381;
  double t1382, t1383, t1384, t1389, t1392, t1395, t1396, t1399;
  double t1400, t1401, tv3sigmalapl20, t1405, t1406, t1407, t1410, t1411;
  double t1414, t1415, t1418, t1421, t1422, t1427, t1430, t1433;
  double t1436, t1438, tv3sigmalapltau0, t1441, t1444, t1447, t1450, t1453;
  double t1456, t1457, t1458, t1459, t1460, t1461, t1464, t1467;
  double t1470, t1475, t1476, tv3sigmatau20, t1478, t1480, t1483, t1485;
  double t1488, t1489, t1490, t1493, t1494, t1497, t1500, t1503;
  double t1504, t1505, t1506, t1507, t1510, t1513, t1516, t1519;
  double t1522, t1523, tv3lapl30, t1526, t1529, t1530, t1533, t1534;
  double t1537, t1540, t1543, t1544, t1549, t1552, t1555, t1556;
  double t1559, t1560, tv3lapl2tau0, t1563, t1566, t1570, t1573, t1576;
  double t1579, t1580, t1585, t1588, t1592, t1595, t1596, tv3lapltau20;
  double t1598, t1599, t1600, t1603, t1606, t1607, t1610, t1613;
  double t1615, t1618, t1620, t1623, t1624, t1625, t1626, t1627;
  double t1630, t1633, t1636, t1639, t1642, t1643, tv3tau30;


  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = sqrt(p->zeta_threshold);
  t12 = sqrt(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = M_PI * t14;
  t16 = M_SQRT2;
  t17 = sqrt(rho[0]);
  t18 = t16 * t17;
  t19 = rho[0] * rho[0];
  t20 = 0.1e1 / t19;
  t25 = t19 * rho[0];
  t26 = 0.1e1 / t25;
  t30 = 0.1e1 / M_PI;
  t31 = (lapl[0] * t20 / 0.2e1 - 0.2e1 * tau[0] * t20 + sigma[0] * t26 / 0.4e1) * t30;
  t32 = -0.9999999999e0 < t31;
  t33 = my_piecewise3(t32, t31, -0.9999999999e0);
  t34 = exp(-0.1e1);
  t36 = LambertW(t33 * t34);
  t37 = t36 + 0.1e1;
  t38 = t37 / 0.2e1;
  t39 = xc_bessel_I0(t38);
  t43 = my_piecewise3(t3, 0, -t15 * t18 * t39 / 0.8e1);
  tzk0 = 0.2e1 * t43;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t45 = t16 / t17;
  t48 = t15 * t18;
  t49 = xc_bessel_I1(t38);
  t53 = t19 * t19;
  t54 = 0.1e1 / t53;
  t59 = my_piecewise3(t32, (-lapl[0] * t26 + 0.4e1 * tau[0] * t26 - 0.3e1 / 0.4e1 * sigma[0] * t54) * t30, 0);
  t61 = 0.1e1 / t37;
  t62 = t36 * t61;
  t64 = t62 / t33;
  t65 = t49 * t59 * t64;
  t69 = my_piecewise3(t3, 0, -t15 * t45 * t39 / 0.16e2 - t48 * t65 / 0.16e2);
  tvrho0 = 0.2e1 * rho[0] * t69 + 0.2e1 * t43;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t72 = t26 * t30;
  t74 = my_piecewise3(t32, t72 / 0.4e1, 0);
  t75 = t49 * t74;
  t76 = t75 * t64;
  t79 = my_piecewise3(t3, 0, -t48 * t76 / 0.16e2);
  tvsigma0 = 0.2e1 * rho[0] * t79;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t81 = t20 * t30;
  t83 = my_piecewise3(t32, t81 / 0.2e1, 0);
  t84 = t49 * t83;
  t85 = t84 * t64;
  t88 = my_piecewise3(t3, 0, -t48 * t85 / 0.16e2);
  tvlapl0 = 0.2e1 * rho[0] * t88;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t91 = my_piecewise3(t32, -0.2e1 * t81, 0);
  t92 = t49 * t91;
  t93 = t92 * t64;
  t96 = my_piecewise3(t3, 0, -t48 * t93 / 0.16e2);
  tvtau0 = 0.2e1 * rho[0] * t96;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t101 = t16 / t17 / rho[0];
  t105 = t15 * t45;
  t108 = 0.1e1 / t38;
  t110 = -t108 * t49 + t39;
  t111 = t59 * t59;
  t113 = t36 * t36;
  t114 = t37 * t37;
  t115 = 0.1e1 / t114;
  t116 = t113 * t115;
  t117 = t33 * t33;
  t118 = 0.1e1 / t117;
  t119 = t116 * t118;
  t120 = t110 * t111 * t119;
  t128 = 0.1e1 / t53 / rho[0];
  t133 = my_piecewise3(t32, (0.3e1 * lapl[0] * t54 + 0.3e1 * t128 * sigma[0] - 0.12e2 * t54 * tau[0]) * t30, 0);
  t135 = t49 * t133 * t64;
  t138 = t49 * t111;
  t139 = t36 * t115;
  t140 = t139 * t118;
  t141 = t138 * t140;
  t144 = t114 * t37;
  t145 = 0.1e1 / t144;
  t146 = t113 * t145;
  t147 = t146 * t118;
  t148 = t138 * t147;
  t151 = t62 * t118;
  t152 = t138 * t151;
  t156 = my_piecewise3(t3, 0, t15 * t101 * t39 / 0.32e2 - t105 * t65 / 0.16e2 - t48 * t120 / 0.32e2 - t48 * t135 / 0.16e2 - t48 * t141 / 0.16e2 + t48 * t148 / 0.16e2 + t48 * t152 / 0.16e2);
  tv2rho20 = 0.2e1 * rho[0] * t156 + 0.4e1 * t69;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t162 = t15 * t18 * t110;
  t163 = t59 * t113;
  t164 = t115 * t118;
  t165 = t164 * t74;
  t166 = t163 * t165;
  t169 = t54 * t30;
  t171 = my_piecewise3(t32, -0.3e1 / 0.4e1 * t169, 0);
  t173 = t49 * t171 * t64;
  t177 = t15 * t18 * t49;
  t178 = t74 * t59;
  t179 = t178 * t140;
  t182 = t74 * t113;
  t183 = t145 * t118;
  t184 = t183 * t59;
  t185 = t182 * t184;
  t188 = t74 * t36;
  t189 = t61 * t118;
  t190 = t189 * t59;
  t191 = t188 * t190;
  t195 = my_piecewise3(t3, 0, -t105 * t76 / 0.32e2 - t162 * t166 / 0.32e2 - t48 * t173 / 0.16e2 - t177 * t179 / 0.16e2 + t177 * t185 / 0.16e2 + t177 * t191 / 0.16e2);
  tv2rhosigma0 = 0.2e1 * rho[0] * t195 + 0.2e1 * t79;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t200 = t164 * t83;
  t201 = t163 * t200;
  t204 = my_piecewise3(t32, -t72, 0);
  t206 = t49 * t204 * t64;
  t209 = t83 * t59;
  t210 = t209 * t140;
  t213 = t83 * t113;
  t214 = t213 * t184;
  t217 = t83 * t36;
  t218 = t217 * t190;
  t222 = my_piecewise3(t3, 0, -t105 * t85 / 0.32e2 - t162 * t201 / 0.32e2 - t48 * t206 / 0.16e2 - t177 * t210 / 0.16e2 + t177 * t214 / 0.16e2 + t177 * t218 / 0.16e2);
  tv2rholapl0 = 0.2e1 * rho[0] * t222 + 0.2e1 * t88;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t227 = t164 * t91;
  t228 = t163 * t227;
  t232 = my_piecewise3(t32, 0.4e1 * t72, 0);
  t234 = t49 * t232 * t64;
  t237 = t91 * t59;
  t238 = t237 * t140;
  t241 = t91 * t113;
  t242 = t241 * t184;
  t245 = t91 * t36;
  t246 = t245 * t190;
  t250 = my_piecewise3(t3, 0, -t105 * t93 / 0.32e2 - t162 * t228 / 0.32e2 - t48 * t234 / 0.16e2 - t177 * t238 / 0.16e2 + t177 * t242 / 0.16e2 + t177 * t246 / 0.16e2);
  tv2rhotau0 = 0.2e1 * rho[0] * t250 + 0.2e1 * t96;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t253 = t74 * t74;
  t255 = t110 * t253 * t119;
  t258 = my_piecewise3(t32, 0, 0);
  t260 = t49 * t258 * t64;
  t262 = t48 * t260 / 0.16e2;
  t263 = t49 * t253;
  t264 = t263 * t140;
  t267 = t263 * t147;
  t270 = t263 * t151;
  t274 = my_piecewise3(t3, 0, -t48 * t255 / 0.32e2 - t262 - t48 * t264 / 0.16e2 + t48 * t267 / 0.16e2 + t48 * t270 / 0.16e2);
  tv2sigma20 = 0.2e1 * rho[0] * t274;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t276 = t182 * t200;
  t279 = t83 * t74;
  t280 = t279 * t140;
  t283 = t183 * t74;
  t284 = t213 * t283;
  t287 = t189 * t74;
  t288 = t217 * t287;
  t292 = my_piecewise3(t3, 0, -t162 * t276 / 0.32e2 - t262 - t177 * t280 / 0.16e2 + t177 * t284 / 0.16e2 + t177 * t288 / 0.16e2);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t292;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  t294 = t182 * t227;
  t297 = t91 * t74;
  t298 = t297 * t140;
  t301 = t241 * t283;
  t304 = t245 * t287;
  t308 = my_piecewise3(t3, 0, -t162 * t294 / 0.32e2 - t262 - t177 * t298 / 0.16e2 + t177 * t301 / 0.16e2 + t177 * t304 / 0.16e2);
  tv2sigmatau0 = 0.2e1 * rho[0] * t308;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t310 = t83 * t83;
  t312 = t110 * t310 * t119;
  t315 = t49 * t310;
  t316 = t315 * t140;
  t319 = t315 * t147;
  t322 = t315 * t151;
  t326 = my_piecewise3(t3, 0, -t48 * t312 / 0.32e2 - t262 - t48 * t316 / 0.16e2 + t48 * t319 / 0.16e2 + t48 * t322 / 0.16e2);
  tv2lapl20 = 0.2e1 * rho[0] * t326;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  t328 = t213 * t227;
  t331 = t91 * t83;
  t332 = t331 * t140;
  t335 = t183 * t83;
  t336 = t241 * t335;
  t339 = t189 * t83;
  t340 = t245 * t339;
  t344 = my_piecewise3(t3, 0, -t162 * t328 / 0.32e2 - t262 - t177 * t332 / 0.16e2 + t177 * t336 / 0.16e2 + t177 * t340 / 0.16e2);
  tv2lapltau0 = 0.2e1 * rho[0] * t344;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  t346 = t91 * t91;
  t348 = t110 * t346 * t119;
  t351 = t49 * t346;
  t352 = t351 * t140;
  t355 = t351 * t147;
  t358 = t351 * t151;
  t362 = my_piecewise3(t3, 0, -t48 * t348 / 0.32e2 - t262 - t48 * t352 / 0.16e2 + t48 * t355 / 0.16e2 + t48 * t358 / 0.16e2);
  tv2tau20 = 0.2e1 * rho[0] * t362;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  t367 = t16 / t17 / t19;
  t373 = t111 * t59;
  t374 = t110 * t373;
  t376 = 0.1e1 / t117 / t33;
  t377 = t146 * t376;
  t378 = t374 * t377;
  t381 = t113 * t36;
  t382 = t114 * t114;
  t383 = 0.1e1 / t382;
  t384 = t381 * t383;
  t385 = t384 * t376;
  t386 = t374 * t385;
  t389 = t133 * t113;
  t390 = t389 * t184;
  t393 = t49 * t373;
  t394 = t113 * t383;
  t395 = t394 * t376;
  t396 = t393 * t395;
  t400 = 0.1e1 / t382 / t37;
  t401 = t381 * t400;
  t402 = t401 * t376;
  t403 = t393 * t402;
  t406 = t393 * t377;
  t409 = t62 * t376;
  t410 = t393 * t409;
  t416 = t163 * t164 * t133;
  t419 = -0.3e1 / 0.64e2 * t15 * t367 * t39 + 0.3e1 / 0.32e2 * t105 * t148 - 0.3e1 / 0.32e2 * t48 * t378 + 0.3e1 / 0.32e2 * t48 * t386 + 0.3e1 / 0.16e2 * t177 * t390 + t48 * t396 / 0.4e1 - 0.3e1 / 0.16e2 * t48 * t403 - 0.3e1 / 0.16e2 * t48 * t406 - t48 * t410 / 0.8e1 + 0.3e1 / 0.32e2 * t105 * t152 - 0.3e1 / 0.32e2 * t162 * t416;
  t420 = t116 * t376;
  t421 = t374 * t420;
  t425 = t133 * t36 * t190;
  t428 = t139 * t376;
  t429 = t393 * t428;
  t432 = t38 * t38;
  t433 = 0.1e1 / t432;
  t434 = t433 * t49;
  t437 = t108 * t110;
  t441 = t434 * t59 * t64 / 0.2e1 - t437 * t59 * t64 / 0.2e1 + t65 / 0.2e1;
  t443 = t441 * t111 * t119;
  t451 = 0.1e1 / t53 / t19;
  t456 = my_piecewise3(t32, (-0.12e2 * lapl[0] * t128 + 0.48e2 * t128 * tau[0] - 0.15e2 * t451 * sigma[0]) * t30, 0);
  t458 = t49 * t456 * t64;
  t461 = t15 * t101;
  t471 = t133 * t59 * t140;
  t474 = t36 * t145;
  t475 = t474 * t376;
  t476 = t393 * t475;
  t479 = 0.3e1 / 0.32e2 * t48 * t421 + 0.3e1 / 0.16e2 * t177 * t425 + 0.3e1 / 0.16e2 * t48 * t429 - t48 * t443 / 0.32e2 - t48 * t458 / 0.16e2 + 0.3e1 / 0.64e2 * t461 * t65 - 0.3e1 / 0.32e2 * t105 * t135 - 0.3e1 / 0.64e2 * t105 * t120 - 0.3e1 / 0.32e2 * t105 * t141 - 0.3e1 / 0.16e2 * t177 * t471 - t48 * t476 / 0.16e2;
  t481 = my_piecewise3(t3, 0, t419 + t479);
  tv3rho30 = 0.2e1 * rho[0] * t481 + 0.6e1 * t156;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t489 = t128 * t30;
  t491 = my_piecewise3(t32, 0.3e1 * t489, 0);
  t493 = t49 * t491 * t64;
  t496 = t74 * t111;
  t497 = t496 * t395;
  t500 = t74 * t381;
  t501 = t400 * t376;
  t502 = t501 * t111;
  t503 = t500 * t502;
  t507 = t15 * t45 * t49;
  t511 = t171 * t59 * t140;
  t514 = t496 * t475;
  t519 = t171 * t113;
  t520 = t519 * t184;
  t523 = t145 * t376;
  t524 = t523 * t111;
  t525 = t182 * t524;
  t528 = t61 * t376;
  t529 = t528 * t111;
  t530 = t188 * t529;
  t533 = t461 * t76 / 0.64e2 - t105 * t173 / 0.16e2 - t48 * t493 / 0.16e2 + t177 * t497 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t503 - t507 * t179 / 0.16e2 - t177 * t511 / 0.8e1 - t177 * t514 / 0.16e2 + t507 * t185 / 0.16e2 + t177 * t520 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t525 - t177 * t530 / 0.8e1;
  t534 = t111 * t113;
  t535 = t115 * t376;
  t536 = t535 * t74;
  t537 = t534 * t536;
  t540 = t496 * t428;
  t543 = t74 * t133;
  t544 = t543 * t140;
  t547 = t183 * t133;
  t548 = t182 * t547;
  t551 = t189 * t133;
  t552 = t188 * t551;
  t558 = t15 * t45 * t110;
  t562 = t15 * t18 * t441;
  t565 = t389 * t165;
  t568 = t164 * t171;
  t569 = t163 * t568;
  t572 = t171 * t36;
  t573 = t572 * t190;
  t578 = t111 * t381;
  t579 = t383 * t376;
  t580 = t579 * t74;
  t581 = t578 * t580;
  t584 = 0.3e1 / 0.32e2 * t162 * t537 + 0.3e1 / 0.16e2 * t177 * t540 - t177 * t544 / 0.16e2 + t177 * t548 / 0.16e2 + t177 * t552 / 0.16e2 + t507 * t191 / 0.16e2 - t558 * t166 / 0.32e2 - t562 * t166 / 0.32e2 - t162 * t565 / 0.32e2 - t162 * t569 / 0.16e2 + t177 * t573 / 0.8e1 - 0.3e1 / 0.32e2 * t162 * t525 + 0.3e1 / 0.32e2 * t162 * t581;
  t586 = my_piecewise3(t3, 0, t533 + t584);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t586 + 0.4e1 * t195;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t590 = t164 * t204;
  t591 = t163 * t590;
  t594 = t523 * t83;
  t595 = t534 * t594;
  t598 = t579 * t83;
  t599 = t578 * t598;
  t602 = t83 * t111;
  t603 = t602 * t395;
  t606 = t83 * t381;
  t607 = t606 * t502;
  t615 = my_piecewise3(t32, 0.3e1 * t169, 0);
  t617 = t49 * t615 * t64;
  t623 = t204 * t59 * t140;
  t628 = t204 * t113;
  t629 = t628 * t184;
  t632 = -t162 * t591 / 0.16e2 - 0.3e1 / 0.32e2 * t162 * t595 + 0.3e1 / 0.32e2 * t162 * t599 + t177 * t603 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t607 + t461 * t85 / 0.64e2 - t105 * t206 / 0.16e2 - t48 * t617 / 0.16e2 - t507 * t210 / 0.16e2 - t177 * t623 / 0.8e1 + t507 * t214 / 0.16e2 + t177 * t629 / 0.8e1;
  t633 = t602 * t475;
  t636 = t602 * t428;
  t641 = t217 * t529;
  t644 = t535 * t83;
  t645 = t534 * t644;
  t648 = t217 * t551;
  t651 = t204 * t36;
  t652 = t651 * t190;
  t655 = t83 * t133;
  t656 = t655 * t140;
  t659 = t213 * t547;
  t668 = t389 * t200;
  t671 = -t177 * t633 / 0.16e2 + 0.3e1 / 0.16e2 * t177 * t636 - 0.3e1 / 0.16e2 * t177 * t595 - t177 * t641 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t645 + t177 * t648 / 0.16e2 + t177 * t652 / 0.8e1 - t177 * t656 / 0.16e2 + t177 * t659 / 0.16e2 + t507 * t218 / 0.16e2 - t558 * t201 / 0.32e2 - t562 * t201 / 0.32e2 - t162 * t668 / 0.32e2;
  t673 = my_piecewise3(t3, 0, t632 + t671);
  tv3rho2lapl0 = 0.2e1 * rho[0] * t673 + 0.4e1 * t222;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t678 = t91 * t133 * t140;
  t686 = t534 * t523 * t91;
  t689 = t579 * t91;
  t690 = t578 * t689;
  t693 = t91 * t111;
  t694 = t693 * t395;
  t697 = t91 * t381;
  t698 = t697 * t502;
  t703 = t232 * t59;
  t704 = t703 * t140;
  t709 = t232 * t113;
  t710 = t709 * t184;
  t713 = t693 * t475;
  t716 = -t177 * t678 / 0.16e2 + t507 * t246 / 0.16e2 - t558 * t228 / 0.32e2 - 0.3e1 / 0.32e2 * t162 * t686 + 0.3e1 / 0.32e2 * t162 * t690 + t177 * t694 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t698 - t507 * t238 / 0.16e2 - t177 * t704 / 0.8e1 + t507 * t242 / 0.16e2 + t177 * t710 / 0.8e1 - t177 * t713 / 0.16e2;
  t717 = t535 * t91;
  t718 = t534 * t717;
  t721 = t693 * t428;
  t726 = t245 * t529;
  t729 = t241 * t547;
  t732 = t245 * t551;
  t737 = t389 * t227;
  t740 = t164 * t232;
  t741 = t163 * t740;
  t744 = t232 * t36;
  t745 = t744 * t190;
  t753 = my_piecewise3(t32, -0.12e2 * t169, 0);
  t755 = t49 * t753 * t64;
  t758 = 0.3e1 / 0.32e2 * t162 * t718 + 0.3e1 / 0.16e2 * t177 * t721 - 0.3e1 / 0.16e2 * t177 * t686 - t177 * t726 / 0.8e1 + t177 * t729 / 0.16e2 + t177 * t732 / 0.16e2 - t562 * t228 / 0.32e2 - t162 * t737 / 0.32e2 - t162 * t741 / 0.16e2 + t177 * t745 / 0.8e1 + t461 * t93 / 0.64e2 - t105 * t234 / 0.16e2 - t48 * t755 / 0.16e2;
  t760 = my_piecewise3(t3, 0, t716 + t758);
  tv3rho2tau0 = 0.2e1 * rho[0] * t760 + 0.4e1 * t250;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t763 = t258 * t59;
  t764 = t763 * t140;
  t765 = t177 * t764;
  t766 = t765 / 0.16e2;
  t768 = t253 * t59 * t475;
  t771 = t253 * t113;
  t772 = t579 * t59;
  t773 = t771 * t772;
  t776 = t253 * t381;
  t777 = t501 * t59;
  t778 = t776 * t777;
  t781 = t523 * t59;
  t782 = t771 * t781;
  t785 = t776 * t772;
  t788 = t258 * t113;
  t789 = t788 * t184;
  t790 = t177 * t789;
  t791 = t790 / 0.16e2;
  t792 = t189 * t171;
  t793 = t188 * t792;
  t796 = t253 * t36;
  t797 = t528 * t59;
  t798 = t796 * t797;
  t801 = t535 * t59;
  t802 = t771 * t801;
  t805 = t105 * t260;
  t806 = t805 / 0.32e2;
  t807 = t258 * t36;
  t808 = t807 * t190;
  t809 = t177 * t808;
  t810 = t809 / 0.16e2;
  t811 = -t766 - t177 * t768 / 0.16e2 + t177 * t773 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t778 - 0.3e1 / 0.32e2 * t162 * t782 + 0.3e1 / 0.32e2 * t162 * t785 + t791 + t177 * t793 / 0.8e1 - t177 * t798 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t802 - t806 + t810;
  t812 = t164 * t258;
  t813 = t163 * t812;
  t814 = t162 * t813;
  t815 = t814 / 0.32e2;
  t818 = t188 * t568;
  t821 = t796 * t801;
  t826 = t183 * t171;
  t827 = t182 * t826;
  t836 = t182 * t568;
  t840 = t441 * t253 * t119;
  t843 = -t815 - t105 * t264 / 0.32e2 - t177 * t818 / 0.8e1 + 0.3e1 / 0.16e2 * t177 * t821 + t105 * t267 / 0.32e2 + t177 * t827 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t782 + t105 * t270 / 0.32e2 - t105 * t255 / 0.64e2 - t162 * t836 / 0.16e2 - t48 * t840 / 0.32e2 - t262;
  t845 = my_piecewise3(t3, 0, t811 + t843);
  tv3rhosigma20 = 0.2e1 * rho[0] * t845 + 0.2e1 * t274;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t848 = t182 * t145;
  t849 = t376 * t83;
  t850 = t849 * t59;
  t851 = t848 * t850;
  t854 = t500 * t383;
  t855 = t854 * t850;
  t858 = t279 * t113;
  t859 = t858 * t772;
  t862 = t606 * t400;
  t863 = t376 * t74;
  t864 = t863 * t59;
  t865 = t862 * t864;
  t872 = t217 * t792;
  t875 = t204 * t74;
  t876 = t875 * t140;
  t879 = t83 * t171;
  t880 = t879 * t140;
  t883 = t628 * t283;
  t886 = t213 * t826;
  t889 = t651 * t287;
  t894 = t519 * t200;
  t897 = -0.3e1 / 0.32e2 * t162 * t851 + 0.3e1 / 0.32e2 * t162 * t855 + t177 * t859 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t865 - t507 * t280 / 0.32e2 + t507 * t284 / 0.32e2 + t177 * t872 / 0.16e2 - t177 * t876 / 0.16e2 - t177 * t880 / 0.16e2 + t177 * t883 / 0.16e2 + t177 * t886 / 0.16e2 + t177 * t889 / 0.16e2 - t562 * t276 / 0.32e2 - t162 * t894 / 0.32e2;
  t898 = t182 * t590;
  t905 = t182 * t115;
  t906 = t905 * t850;
  t909 = t279 * t36;
  t910 = t909 * t801;
  t915 = t279 * t59;
  t916 = t915 * t475;
  t919 = t217 * t61;
  t920 = t919 * t864;
  t923 = -t162 * t898 / 0.32e2 - t815 + t507 * t288 / 0.32e2 - t558 * t276 / 0.64e2 - t766 + t791 + t810 - t806 + 0.3e1 / 0.32e2 * t162 * t906 + 0.3e1 / 0.16e2 * t177 * t910 - 0.3e1 / 0.16e2 * t177 * t851 - t177 * t916 / 0.16e2 - t177 * t920 / 0.8e1 - t262;
  t925 = my_piecewise3(t3, 0, t897 + t923);
  tv3rhosigmalapl0 = 0.2e1 * rho[0] * t925 + 0.2e1 * t292;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  t928 = t376 * t91;
  t929 = t928 * t59;
  t930 = t854 * t929;
  t933 = t297 * t113;
  t934 = t933 * t772;
  t937 = t697 * t400;
  t938 = t937 * t864;
  t941 = t848 * t929;
  t944 = t297 * t59;
  t945 = t944 * t475;
  t950 = t245 * t61;
  t951 = t950 * t864;
  t954 = t905 * t929;
  t957 = t297 * t36;
  t958 = t957 * t801;
  t963 = t744 * t287;
  t966 = t245 * t792;
  t969 = t519 * t227;
  t972 = t182 * t740;
  t975 = 0.3e1 / 0.32e2 * t162 * t930 + t177 * t934 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t938 - 0.3e1 / 0.32e2 * t162 * t941 - t177 * t945 / 0.16e2 - 0.3e1 / 0.16e2 * t177 * t941 - t177 * t951 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t954 + 0.3e1 / 0.16e2 * t177 * t958 - t507 * t298 / 0.32e2 + t177 * t963 / 0.16e2 + t177 * t966 / 0.16e2 - t162 * t969 / 0.32e2 - t162 * t972 / 0.32e2;
  t976 = t232 * t74;
  t977 = t976 * t140;
  t980 = t91 * t171;
  t981 = t980 * t140;
  t984 = t709 * t283;
  t987 = t241 * t826;
  t998 = -t177 * t977 / 0.16e2 - t177 * t981 / 0.16e2 + t177 * t984 / 0.16e2 + t177 * t987 / 0.16e2 - t562 * t294 / 0.32e2 + t507 * t301 / 0.32e2 + t507 * t304 / 0.32e2 - t558 * t294 / 0.64e2 - t815 - t766 + t791 + t810 - t806 - t262;
  t1000 = my_piecewise3(t3, 0, t975 + t998);
  tv3rhosigmatau0 = 0.2e1 * rho[0] * t1000 + 0.2e1 * t308;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  t1003 = t310 * t59;
  t1004 = t1003 * t475;
  t1007 = t310 * t113;
  t1008 = t1007 * t772;
  t1011 = t310 * t381;
  t1012 = t1011 * t777;
  t1015 = t1007 * t781;
  t1018 = t1011 * t772;
  t1023 = t189 * t204;
  t1024 = t217 * t1023;
  t1027 = t310 * t36;
  t1028 = t1027 * t797;
  t1031 = t1007 * t801;
  t1036 = -t177 * t1004 / 0.16e2 - t766 + t177 * t1008 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1012 - 0.3e1 / 0.32e2 * t162 * t1015 + 0.3e1 / 0.32e2 * t162 * t1018 + t791 + t105 * t322 / 0.32e2 + t177 * t1024 / 0.8e1 - t177 * t1028 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1031 - t105 * t316 / 0.32e2;
  t1037 = t217 * t590;
  t1040 = t1027 * t801;
  t1045 = t183 * t204;
  t1046 = t213 * t1045;
  t1053 = t213 * t590;
  t1057 = t441 * t310 * t119;
  t1060 = -t177 * t1037 / 0.8e1 + 0.3e1 / 0.16e2 * t177 * t1040 + t105 * t319 / 0.32e2 + t177 * t1046 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t1015 - t105 * t312 / 0.64e2 - t162 * t1053 / 0.16e2 - t806 + t810 - t815 - t48 * t1057 / 0.32e2 - t262;
  t1062 = my_piecewise3(t3, 0, t1036 + t1060);
  tv3rholapl20 = 0.2e1 * rho[0] * t1062 + 0.2e1 * t326;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  t1065 = t331 * t113;
  t1066 = t1065 * t772;
  t1069 = t937 * t850;
  t1072 = t213 * t145;
  t1073 = t1072 * t929;
  t1076 = t606 * t383;
  t1077 = t1076 * t929;
  t1081 = t331 * t59 * t475;
  t1084 = t213 * t115;
  t1085 = t1084 * t929;
  t1088 = t331 * t36;
  t1089 = t1088 * t801;
  t1094 = t950 * t850;
  t1097 = t744 * t339;
  t1100 = t245 * t1023;
  t1103 = t628 * t227;
  t1106 = t213 * t740;
  t1109 = t232 * t83;
  t1110 = t1109 * t140;
  t1113 = t177 * t1066 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1069 - 0.3e1 / 0.32e2 * t162 * t1073 + 0.3e1 / 0.32e2 * t162 * t1077 - t177 * t1081 / 0.16e2 + 0.3e1 / 0.32e2 * t162 * t1085 + 0.3e1 / 0.16e2 * t177 * t1089 - 0.3e1 / 0.16e2 * t177 * t1073 - t177 * t1094 / 0.8e1 + t177 * t1097 / 0.16e2 + t177 * t1100 / 0.16e2 - t162 * t1103 / 0.32e2 - t162 * t1106 / 0.32e2 - t177 * t1110 / 0.16e2;
  t1114 = t91 * t204;
  t1115 = t1114 * t140;
  t1118 = t709 * t335;
  t1121 = t241 * t1045;
  t1134 = -t177 * t1115 / 0.16e2 + t177 * t1118 / 0.16e2 + t177 * t1121 / 0.16e2 - t558 * t328 / 0.64e2 - t507 * t332 / 0.32e2 + t507 * t336 / 0.32e2 + t507 * t340 / 0.32e2 - t562 * t328 / 0.32e2 - t815 - t766 + t791 + t810 - t806 - t262;
  t1136 = my_piecewise3(t3, 0, t1113 + t1134);
  tv3rholapltau0 = 0.2e1 * rho[0] * t1136 + 0.2e1 * t344;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  t1140 = t245 * t189 * t232;
  t1143 = t346 * t36;
  t1144 = t1143 * t797;
  t1147 = t346 * t113;
  t1148 = t1147 * t801;
  t1153 = t245 * t740;
  t1156 = t1143 * t801;
  t1162 = t241 * t183 * t232;
  t1165 = t1147 * t781;
  t1172 = t241 * t740;
  t1175 = t177 * t1140 / 0.8e1 - t177 * t1144 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1148 - t105 * t352 / 0.32e2 - t177 * t1153 / 0.8e1 + 0.3e1 / 0.16e2 * t177 * t1156 + t105 * t355 / 0.32e2 + t177 * t1162 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t1165 + t105 * t358 / 0.32e2 - t105 * t348 / 0.64e2 - t162 * t1172 / 0.16e2;
  t1176 = t346 * t59;
  t1177 = t1176 * t475;
  t1182 = t346 * t381;
  t1183 = t1182 * t772;
  t1186 = t1147 * t772;
  t1189 = t1182 * t777;
  t1193 = t441 * t346 * t119;
  t1196 = -t177 * t1177 / 0.16e2 - t766 - 0.3e1 / 0.32e2 * t162 * t1165 + 0.3e1 / 0.32e2 * t162 * t1183 + t177 * t1186 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1189 + t791 - t806 + t810 - t815 - t48 * t1193 / 0.32e2 - t262;
  t1198 = my_piecewise3(t3, 0, t1175 + t1196);
  tv3rhotau20 = 0.2e1 * rho[0] * t1198 + 0.2e1 * t362;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  t1201 = t807 * t287;
  t1202 = t177 * t1201;
  t1203 = 0.3e1 / 0.16e2 * t1202;
  t1204 = t253 * t74;
  t1205 = t49 * t1204;
  t1206 = t1205 * t428;
  t1209 = t1205 * t377;
  t1212 = t1205 * t409;
  t1215 = t182 * t812;
  t1216 = t162 * t1215;
  t1217 = 0.3e1 / 0.32e2 * t1216;
  t1218 = t110 * t1204;
  t1219 = t1218 * t420;
  t1222 = t258 * t74;
  t1223 = t1222 * t140;
  t1224 = t177 * t1223;
  t1225 = 0.3e1 / 0.16e2 * t1224;
  t1226 = t1205 * t475;
  t1229 = t1218 * t377;
  t1232 = t1218 * t385;
  t1235 = t788 * t283;
  t1236 = t177 * t1235;
  t1237 = 0.3e1 / 0.16e2 * t1236;
  t1238 = t1205 * t395;
  t1241 = t1205 * t402;
  t1244 = t434 * t74;
  t1246 = t437 * t74;
  t1249 = t1244 * t64 / 0.2e1 - t1246 * t64 / 0.2e1 + t76 / 0.2e1;
  t1251 = t1249 * t253 * t119;
  t1254 = t1203 + 0.3e1 / 0.16e2 * t48 * t1206 - 0.3e1 / 0.16e2 * t48 * t1209 - t48 * t1212 / 0.8e1 - t1217 + 0.3e1 / 0.32e2 * t48 * t1219 - t1225 - t48 * t1226 / 0.16e2 - 0.3e1 / 0.32e2 * t48 * t1229 + 0.3e1 / 0.32e2 * t48 * t1232 + t1237 + t48 * t1238 / 0.4e1 - 0.3e1 / 0.16e2 * t48 * t1241 - t48 * t1251 / 0.32e2 - t262;
  t1255 = my_piecewise3(t3, 0, t1254);
  tv3sigma30 = 0.2e1 * rho[0] * t1255;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t1257 = t83 * t258;
  t1258 = t1257 * t140;
  t1259 = t177 * t1258;
  t1260 = t1259 / 0.16e2;
  t1261 = t183 * t258;
  t1262 = t213 * t1261;
  t1263 = t177 * t1262;
  t1264 = t1263 / 0.16e2;
  t1265 = t189 * t258;
  t1266 = t217 * t1265;
  t1267 = t177 * t1266;
  t1268 = t1267 / 0.16e2;
  t1270 = t15 * t18 * t1249;
  t1273 = t788 * t200;
  t1274 = t162 * t1273;
  t1275 = t1274 / 0.32e2;
  t1276 = t1202 / 0.8e1;
  t1277 = t1216 / 0.16e2;
  t1278 = t1224 / 0.8e1;
  t1279 = t1236 / 0.8e1;
  t1280 = t83 * t253;
  t1281 = t1280 * t475;
  t1284 = t1280 * t428;
  t1287 = t523 * t253;
  t1288 = t213 * t1287;
  t1291 = t528 * t253;
  t1292 = t217 * t1291;
  t1295 = t771 * t644;
  t1300 = t776 * t598;
  t1303 = t1280 * t395;
  t1306 = t501 * t253;
  t1307 = t606 * t1306;
  t1310 = -t1260 + t1264 + t1268 - t1270 * t276 / 0.32e2 - t1275 + t1276 - t1277 - t1278 + t1279 - t177 * t1281 / 0.16e2 + 0.3e1 / 0.16e2 * t177 * t1284 - 0.3e1 / 0.16e2 * t177 * t1288 - t177 * t1292 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1295 - 0.3e1 / 0.32e2 * t162 * t1288 + 0.3e1 / 0.32e2 * t162 * t1300 + t177 * t1303 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1307 - t262;
  t1311 = my_piecewise3(t3, 0, t1310);
  tv3sigma2lapl0 = 0.2e1 * rho[0] * t1311;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  t1313 = t241 * t1261;
  t1314 = t177 * t1313;
  t1315 = t1314 / 0.16e2;
  t1316 = t245 * t1265;
  t1317 = t177 * t1316;
  t1318 = t1317 / 0.16e2;
  t1321 = t788 * t227;
  t1322 = t162 * t1321;
  t1323 = t1322 / 0.32e2;
  t1324 = t91 * t258;
  t1325 = t1324 * t140;
  t1326 = t177 * t1325;
  t1327 = t1326 / 0.16e2;
  t1328 = t91 * t253;
  t1329 = t1328 * t475;
  t1332 = t771 * t717;
  t1335 = t1328 * t428;
  t1338 = t241 * t1287;
  t1341 = t245 * t1291;
  t1346 = t776 * t689;
  t1349 = t1328 * t395;
  t1352 = t697 * t1306;
  t1355 = t1315 + t1318 - t1270 * t294 / 0.32e2 - t1323 - t1327 + t1276 - t1277 - t1278 + t1279 - t177 * t1329 / 0.16e2 + 0.3e1 / 0.32e2 * t162 * t1332 + 0.3e1 / 0.16e2 * t177 * t1335 - 0.3e1 / 0.16e2 * t177 * t1338 - t177 * t1341 / 0.8e1 - 0.3e1 / 0.32e2 * t162 * t1338 + 0.3e1 / 0.32e2 * t162 * t1346 + t177 * t1349 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1352 - t262;
  t1356 = my_piecewise3(t3, 0, t1355);
  tv3sigma2tau0 = 0.2e1 * rho[0] * t1356;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  t1359 = t1249 * t310 * t119;
  t1362 = t523 * t74;
  t1363 = t1007 * t1362;
  t1366 = t528 * t74;
  t1367 = t1027 * t1366;
  t1370 = t1007 * t536;
  t1373 = t1027 * t536;
  t1376 = t1259 / 0.8e1;
  t1377 = t1263 / 0.8e1;
  t1378 = t1267 / 0.8e1;
  t1379 = t1274 / 0.16e2;
  t1380 = t1202 / 0.16e2;
  t1381 = t1216 / 0.32e2;
  t1382 = t1224 / 0.16e2;
  t1383 = t310 * t74;
  t1384 = t1383 * t475;
  t1389 = t1011 * t580;
  t1392 = t1007 * t580;
  t1395 = t501 * t74;
  t1396 = t1011 * t1395;
  t1399 = t1236 / 0.16e2;
  t1400 = -t48 * t1359 / 0.32e2 - 0.3e1 / 0.16e2 * t177 * t1363 - t177 * t1367 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1370 + 0.3e1 / 0.16e2 * t177 * t1373 - t1376 + t1377 + t1378 - t1379 + t1380 - t1381 - t1382 - t177 * t1384 / 0.16e2 - 0.3e1 / 0.32e2 * t162 * t1363 + 0.3e1 / 0.32e2 * t162 * t1389 + t177 * t1392 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1396 + t1399 - t262;
  t1401 = my_piecewise3(t3, 0, t1400);
  tv3sigmalapl20 = 0.2e1 * rho[0] * t1401;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  t1405 = -t1270 * t328 / 0.32e2 + t1315 + t1318 - t1323 - t1327 - t1260 + t1264 + t1268 - t1275 + t1380 - t1381;
  t1406 = t331 * t74;
  t1407 = t1406 * t475;
  t1410 = t849 * t74;
  t1411 = t950 * t1410;
  t1414 = t928 * t74;
  t1415 = t1084 * t1414;
  t1418 = t1088 * t536;
  t1421 = t241 * t145;
  t1422 = t1421 * t1410;
  t1427 = t1076 * t1414;
  t1430 = t1065 * t580;
  t1433 = t937 * t1410;
  t1436 = -t1382 - t177 * t1407 / 0.16e2 + t1399 - t177 * t1411 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1415 + 0.3e1 / 0.16e2 * t177 * t1418 - 0.3e1 / 0.16e2 * t177 * t1422 - 0.3e1 / 0.32e2 * t162 * t1422 + 0.3e1 / 0.32e2 * t162 * t1427 + t177 * t1430 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1433 - t262;
  t1438 = my_piecewise3(t3, 0, t1405 + t1436);
  tv3sigmalapltau0 = 0.2e1 * rho[0] * t1438;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  t1441 = t1249 * t346 * t119;
  t1444 = t1143 * t536;
  t1447 = t1147 * t1362;
  t1450 = t1143 * t1366;
  t1453 = t1147 * t536;
  t1456 = t1314 / 0.8e1;
  t1457 = t1317 / 0.8e1;
  t1458 = t1322 / 0.16e2;
  t1459 = t1326 / 0.8e1;
  t1460 = t346 * t74;
  t1461 = t1460 * t475;
  t1464 = t1182 * t580;
  t1467 = t1147 * t580;
  t1470 = t1182 * t1395;
  t1475 = -t48 * t1441 / 0.32e2 + 0.3e1 / 0.16e2 * t177 * t1444 - 0.3e1 / 0.16e2 * t177 * t1447 - t177 * t1450 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1453 + t1456 + t1457 - t1458 - t1459 + t1380 - t1381 - t177 * t1461 / 0.16e2 - t1382 + 0.3e1 / 0.32e2 * t162 * t1464 + t177 * t1467 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1470 - 0.3e1 / 0.32e2 * t162 * t1447 + t1399 - t262;
  t1476 = my_piecewise3(t3, 0, t1475);
  tv3sigmatau20 = 0.2e1 * rho[0] * t1476;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  t1478 = t434 * t83;
  t1480 = t437 * t83;
  t1483 = t1478 * t64 / 0.2e1 - t1480 * t64 / 0.2e1 + t85 / 0.2e1;
  t1485 = t1483 * t310 * t119;
  t1488 = t310 * t83;
  t1489 = t49 * t1488;
  t1490 = t1489 * t409;
  t1493 = t110 * t1488;
  t1494 = t1493 * t420;
  t1497 = t1489 * t428;
  t1500 = t1489 * t377;
  t1503 = 0.3e1 / 0.16e2 * t1259;
  t1504 = 0.3e1 / 0.16e2 * t1263;
  t1505 = 0.3e1 / 0.16e2 * t1267;
  t1506 = 0.3e1 / 0.32e2 * t1274;
  t1507 = t1489 * t475;
  t1510 = t1493 * t377;
  t1513 = t1493 * t385;
  t1516 = t1489 * t395;
  t1519 = t1489 * t402;
  t1522 = -t48 * t1485 / 0.32e2 - t48 * t1490 / 0.8e1 + 0.3e1 / 0.32e2 * t48 * t1494 + 0.3e1 / 0.16e2 * t48 * t1497 - 0.3e1 / 0.16e2 * t48 * t1500 - t1503 + t1504 + t1505 - t1506 - t48 * t1507 / 0.16e2 - 0.3e1 / 0.32e2 * t48 * t1510 + 0.3e1 / 0.32e2 * t48 * t1513 + t48 * t1516 / 0.4e1 - 0.3e1 / 0.16e2 * t48 * t1519 - t262;
  t1523 = my_piecewise3(t3, 0, t1522);
  tv3lapl30 = 0.2e1 * rho[0] * t1523;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  t1526 = t15 * t18 * t1483;
  t1529 = t91 * t310;
  t1530 = t1529 * t475;
  t1533 = t528 * t310;
  t1534 = t245 * t1533;
  t1537 = t1007 * t717;
  t1540 = t1529 * t428;
  t1543 = t523 * t310;
  t1544 = t241 * t1543;
  t1549 = t1011 * t689;
  t1552 = t1529 * t395;
  t1555 = t501 * t310;
  t1556 = t697 * t1555;
  t1559 = -t1526 * t328 / 0.32e2 + t1315 + t1318 - t1323 - t1327 - t1376 + t1377 + t1378 - t1379 - t177 * t1530 / 0.16e2 - t177 * t1534 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1537 + 0.3e1 / 0.16e2 * t177 * t1540 - 0.3e1 / 0.16e2 * t177 * t1544 - 0.3e1 / 0.32e2 * t162 * t1544 + 0.3e1 / 0.32e2 * t162 * t1549 + t177 * t1552 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1556 - t262;
  t1560 = my_piecewise3(t3, 0, t1559);
  tv3lapl2tau0 = 0.2e1 * rho[0] * t1560;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  t1563 = t1483 * t346 * t119;
  t1566 = t1147 * t594;
  t1570 = t1143 * t528 * t83;
  t1573 = t1147 * t644;
  t1576 = t1143 * t644;
  t1579 = t346 * t83;
  t1580 = t1579 * t475;
  t1585 = t1182 * t598;
  t1588 = t1147 * t598;
  t1592 = t1182 * t501 * t83;
  t1595 = -t48 * t1563 / 0.32e2 - 0.3e1 / 0.16e2 * t177 * t1566 - t177 * t1570 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1573 + 0.3e1 / 0.16e2 * t177 * t1576 + t1456 + t1457 - t1458 - t1459 - t1260 + t1264 + t1268 - t1275 - t177 * t1580 / 0.16e2 - 0.3e1 / 0.32e2 * t162 * t1566 + 0.3e1 / 0.32e2 * t162 * t1585 + t177 * t1588 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1592 - t262;
  t1596 = my_piecewise3(t3, 0, t1595);
  tv3lapltau20 = 0.2e1 * rho[0] * t1596;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  t1598 = t346 * t91;
  t1599 = t49 * t1598;
  t1600 = t1599 * t377;
  t1603 = t1599 * t409;
  t1606 = t110 * t1598;
  t1607 = t1606 * t420;
  t1610 = t1599 * t428;
  t1613 = t434 * t91;
  t1615 = t437 * t91;
  t1618 = t1613 * t64 / 0.2e1 - t1615 * t64 / 0.2e1 + t93 / 0.2e1;
  t1620 = t1618 * t346 * t119;
  t1623 = 0.3e1 / 0.16e2 * t1314;
  t1624 = 0.3e1 / 0.16e2 * t1317;
  t1625 = 0.3e1 / 0.32e2 * t1322;
  t1626 = 0.3e1 / 0.16e2 * t1326;
  t1627 = t1599 * t475;
  t1630 = t1606 * t377;
  t1633 = t1606 * t385;
  t1636 = t1599 * t395;
  t1639 = t1599 * t402;
  t1642 = -0.3e1 / 0.16e2 * t48 * t1600 - t48 * t1603 / 0.8e1 + 0.3e1 / 0.32e2 * t48 * t1607 + 0.3e1 / 0.16e2 * t48 * t1610 - t48 * t1620 / 0.32e2 + t1623 + t1624 - t1625 - t1626 - t48 * t1627 / 0.16e2 - 0.3e1 / 0.32e2 * t48 * t1630 + 0.3e1 / 0.32e2 * t48 * t1633 + t48 * t1636 / 0.4e1 - 0.3e1 / 0.16e2 * t48 * t1639 - t262;
  t1643 = my_piecewise3(t3, 0, t1642);
  tv3tau30 = 0.2e1 * rho[0] * t1643;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t17, t18, t19, t20, t25, t26;
  double t30, t31, t32, t33, t34, t36, t37, t38;
  double t39, t43, tzk0;

  double t45, t48, t49, t53, t54, t59, t61, t62;
  double t64, t65, t69, tvrho0, t72, t74, t75, t76;
  double t79, tvsigma0, t81, t83, t84, t85, t88, tvlapl0;
  double t91, t92, t93, t96, tvtau0;

  double t101, t105, t108, t110, t111, t113, t114, t115;
  double t116, t117, t118, t119, t120, t128, t133, t135;
  double t138, t139, t140, t141, t144, t145, t146, t147;
  double t148, t151, t152, t156, tv2rho20, t162, t163, t164;
  double t165, t166, t169, t171, t173, t177, t178, t179;
  double t182, t183, t184, t185, t188, t189, t190, t191;
  double t195, tv2rhosigma0, t200, t201, t204, t206, t209, t210;
  double t213, t214, t217, t218, t222, tv2rholapl0, t227, t228;
  double t232, t234, t237, t238, t241, t242, t245, t246;
  double t250, tv2rhotau0, t253, t255, t258, t260, t262, t263;
  double t264, t267, t270, t274, tv2sigma20, t276, t279, t280;
  double t283, t284, t287, t288, t292, tv2sigmalapl0, t294, t297;
  double t298, t301, t304, t308, tv2sigmatau0, t310, t312, t315;
  double t316, t319, t322, t326, tv2lapl20, t328, t331, t332;
  double t335, t336, t339, t340, t344, tv2lapltau0, t346, t348;
  double t351, t352, t355, t358, t362, tv2tau20;

  double t367, t373, t374, t376, t377, t378, t381, t382;
  double t383, t384, t385, t386, t389, t390, t393, t394;
  double t395, t396, t400, t401, t402, t403, t406, t409;
  double t410, t416, t419, t420, t421, t425, t428, t429;
  double t432, t433, t434, t437, t441, t443, t451, t456;
  double t458, t461, t471, t474, t475, t476, t479, t481;
  double tv3rho30, t489, t491, t493, t496, t497, t500, t501;
  double t502, t503, t507, t511, t514, t519, t520, t523;
  double t524, t525, t528, t529, t530, t533, t534, t535;
  double t536, t537, t540, t543, t544, t547, t548, t551;
  double t552, t558, t562, t565, t568, t569, t572, t573;
  double t578, t579, t580, t581, t584, t586, tv3rho2sigma0, t590;
  double t591, t594, t595, t598, t599, t602, t603, t606;
  double t607, t615, t617, t623, t628, t629, t632, t633;
  double t636, t641, t644, t645, t648, t651, t652, t655;
  double t656, t659, t668, t671, t673, tv3rho2lapl0, t678, t686;
  double t689, t690, t693, t694, t697, t698, t703, t704;
  double t709, t710, t713, t716, t717, t718, t721, t726;
  double t729, t732, t737, t740, t741, t744, t745, t753;
  double t755, t758, t760, tv3rho2tau0, t763, t764, t765, t766;
  double t768, t771, t772, t773, t776, t777, t778, t781;
  double t782, t785, t788, t789, t790, t791, t792, t793;
  double t796, t797, t798, t801, t802, t805, t806, t807;
  double t808, t809, t810, t811, t812, t813, t814, t815;
  double t818, t821, t826, t827, t836, t840, t843, t845;
  double tv3rhosigma20, t848, t849, t850, t851, t854, t855, t858;
  double t859, t862, t863, t864, t865, t872, t875, t876;
  double t879, t880, t883, t886, t889, t894, t897, t898;
  double t905, t906, t909, t910, t915, t916, t919, t920;
  double t923, t925, tv3rhosigmalapl0, t928, t929, t930, t933, t934;
  double t937, t938, t941, t944, t945, t950, t951, t954;
  double t957, t958, t963, t966, t969, t972, t975, t976;
  double t977, t980, t981, t984, t987, t998, t1000, tv3rhosigmatau0;
  double t1003, t1004, t1007, t1008, t1011, t1012, t1015, t1018;
  double t1023, t1024, t1027, t1028, t1031, t1036, t1037, t1040;
  double t1045, t1046, t1053, t1057, t1060, t1062, tv3rholapl20, t1065;
  double t1066, t1069, t1072, t1073, t1076, t1077, t1081, t1084;
  double t1085, t1088, t1089, t1094, t1097, t1100, t1103, t1106;
  double t1109, t1110, t1113, t1114, t1115, t1118, t1121, t1134;
  double t1136, tv3rholapltau0, t1140, t1143, t1144, t1147, t1148, t1153;
  double t1156, t1162, t1165, t1172, t1175, t1176, t1177, t1182;
  double t1183, t1186, t1189, t1193, t1196, t1198, tv3rhotau20, t1201;
  double t1202, t1203, t1204, t1205, t1206, t1209, t1212, t1215;
  double t1216, t1217, t1218, t1219, t1222, t1223, t1224, t1225;
  double t1226, t1229, t1232, t1235, t1236, t1237, t1238, t1241;
  double t1244, t1246, t1249, t1251, t1254, t1255, tv3sigma30, t1257;
  double t1258, t1259, t1260, t1261, t1262, t1263, t1264, t1265;
  double t1266, t1267, t1268, t1270, t1273, t1274, t1275, t1276;
  double t1277, t1278, t1279, t1280, t1281, t1284, t1287, t1288;
  double t1291, t1292, t1295, t1300, t1303, t1306, t1307, t1310;
  double t1311, tv3sigma2lapl0, t1313, t1314, t1315, t1316, t1317, t1318;
  double t1321, t1322, t1323, t1324, t1325, t1326, t1327, t1328;
  double t1329, t1332, t1335, t1338, t1341, t1346, t1349, t1352;
  double t1355, t1356, tv3sigma2tau0, t1359, t1362, t1363, t1366, t1367;
  double t1370, t1373, t1376, t1377, t1378, t1379, t1380, t1381;
  double t1382, t1383, t1384, t1389, t1392, t1395, t1396, t1399;
  double t1400, t1401, tv3sigmalapl20, t1405, t1406, t1407, t1410, t1411;
  double t1414, t1415, t1418, t1421, t1422, t1427, t1430, t1433;
  double t1436, t1438, tv3sigmalapltau0, t1441, t1444, t1447, t1450, t1453;
  double t1456, t1457, t1458, t1459, t1460, t1461, t1464, t1467;
  double t1470, t1475, t1476, tv3sigmatau20, t1478, t1480, t1483, t1485;
  double t1488, t1489, t1490, t1493, t1494, t1497, t1500, t1503;
  double t1504, t1505, t1506, t1507, t1510, t1513, t1516, t1519;
  double t1522, t1523, tv3lapl30, t1526, t1529, t1530, t1533, t1534;
  double t1537, t1540, t1543, t1544, t1549, t1552, t1555, t1556;
  double t1559, t1560, tv3lapl2tau0, t1563, t1566, t1570, t1573, t1576;
  double t1579, t1580, t1585, t1588, t1592, t1595, t1596, tv3lapltau20;
  double t1598, t1599, t1600, t1603, t1606, t1607, t1610, t1613;
  double t1615, t1618, t1620, t1623, t1624, t1625, t1626, t1627;
  double t1630, t1633, t1636, t1639, t1642, t1643, tv3tau30;

  double t1652, t1658, t1662, t1686, t1695, t1699, t1708, t1712;
  double t1713, t1714, t1715, t1716, t1720, t1722, t1724, t1728;
  double t1730, t1735, t1740, t1742, t1746, t1750, t1761, t1765;
  double t1772, t1779, t1786, t1793, t1808, t1817, t1819, t1825;
  double t1829, t1840, t1846, t1855, t1863, t1864, t1868, t1869;
  double t1885, t1910, t1913, tv4rho40, t1918, t1919, t1922, t1923;
  double t1931, t1935, t1939, t1940, t1949, t1950, t1956, t1960;
  double t1962, t1966, t1971, t1975, t1976, t1977, t1978, t1981;
  double t1982, t1983, t1987, t1991, t1992, t1993, t1997, t2000;
  double t2001, t2002, t2003, t2026, t2027, t2051, t2052, t2056;
  double t2074, t2081, t2088, t2094, t2101, t2109, t2113, t2116;
  double t2123, t2127, t2134, t2135, t2152, t2170, t2175, t2178;
  double tv4rho3sigma0, t2189, t2193, t2194, t2197, t2212, t2220, t2221;
  double t2224, t2231, t2237, t2244, t2245, t2252, t2268, t2285;
  double t2295, t2302, t2308, t2318, t2326, t2348, t2352, t2356;
  double t2360, t2397, t2408, t2411, tv4rho3lapl0, t2415, t2422, t2426;
  double t2431, t2445, t2452, t2461, t2464, t2470, t2476, t2477;
  double t2485, t2488, t2492, t2507, t2527, t2532, t2553, t2560;
  double t2582, t2591, t2595, t2617, t2634, t2641, t2644, tv4rho3tau0;
  double t2649, t2650, t2670, t2677, t2681, t2682, t2686, t2687;
  double t2690, t2691, t2692, t2695, t2698, t2699, t2703, t2709;
  double t2710, t2715, t2716, t2723, t2726, t2729, t2737, t2744;
  double t2747, t2748, t2755, t2756, t2757, t2759, t2760, t2772;
  double t2776, t2777, t2787, t2789, t2794, t2807, t2817, t2819;
  double t2822, t2823, t2826, t2827, t2830, t2840, t2843, t2856;
  double t2860, t2867, t2870, t2873, t2874, t2875, t2876, t2877;
  double t2878, t2882, t2884, t2909, t2910, t2914, tv4rho2sigma20, t2918;
  double t2919, t2920, t2928, t2929, t2930, t2934, t2938, t2946;
  double t2959, t2962, t2986, t2987, t3008, t3016, t3019, t3020;
  double t3021, t3024, t3025, t3042, t3046, t3050, t3091, t3132;
  double t3160, t3171, t3172, t3176, tv4rho2sigmalapl0, t3180, t3188, t3194;
  double t3195, t3196, t3206, t3213, t3220, t3227, t3237, t3238;
  double t3241, t3244, t3263, t3267, t3293, t3294, t3309, t3317;
  double t3350, t3386, t3423, t3429, t3433, tv4rho2sigmatau0, t3440, t3448;
  double t3452, t3461, t3467, t3471, t3477, t3483, t3495, t3496;
  double t3505, t3507, t3511, t3514, t3537, t3542, t3549, t3556;
  double t3557, t3572, t3598, t3599, t3603, t3604, t3605, t3631;
  double t3635, tv4rho2lapl20, t3639, t3658, t3661, t3671, t3677, t3682;
  double t3686, t3690, t3707, t3713, t3720, t3726, t3734, t3739;
  double t3757, t3760, t3773, t3802, t3841, t3873, t3881, t3885;
  double tv4rho2lapltau0, t3892, t3896, t3906, t3916, t3919, t3923, t3949;
  double t3955, t3964, t3972, t3982, t3987, t4010, t4020, t4046;
  double t4050, t4057, t4064, t4078, t4082, tv4rho2tau20, t4087, t4091;
  double t4095, t4097, t4098, t4100, t4102, t4104, t4108, t4112;
  double t4114, t4115, t4116, t4118, t4120, t4121, t4122, t4125;
  double t4131, t4132, t4139, t4143, t4144, t4147, t4150, t4157;
  double t4159, t4165, t4166, t4169, t4171, t4173, t4180, t4184;
  double t4185, t4193, t4196, t4203, t4205, t4208, t4213, t4220;
  double t4225, t4253, t4255, t4269, t4270, t4273, t4274, t4275;
  double t4281, t4282, t4285, t4288, t4303, t4308, t4326, t4329;
  double tv4rhosigma30, t4334, t4335, t4337, t4338, t4343, t4344, t4355;
  double t4357, t4358, t4360, t4361, t4366, t4368, t4369, t4370;
  double t4371, t4372, t4373, t4374, t4375, t4376, t4377, t4381;
  double t4384, t4385, t4397, t4398, t4403, t4407, t4408, t4410;
  double t4411, t4413, t4414, t4415, t4452, t4453, t4454, t4455;
  double t4456, t4457, t4458, t4459, t4460, t4461, t4472, t4483;
  double t4484, t4486, t4489, t4490, t4491, t4492, t4493, t4494;
  double t4497, t4505, t4506, t4519, t4520, t4522, t4523, t4525;
  double t4526, t4528, t4535, t4536, t4539, t4540, t4544, t4554;
  double t4555, t4556, t4557, t4558, t4559, t4560, t4561, t4562;
  double t4563, t4564, t4568, tv4rhosigma2lapl0, t4572, t4573, t4587, t4588;
  double t4593, t4594, t4595, t4596, t4601, t4608, t4611, t4613;
  double t4614, t4622, t4628, t4639, t4640, t4641, t4643, t4644;
  double t4646, t4647, t4648, t4651, t4652, t4664, t4674, t4679;
  double t4680, t4683, t4684, t4689, t4700, t4711, t4712, t4713;
  double t4714, t4715, t4716, t4717, t4718, t4721, t4733, t4734;
  double t4746, t4747, t4749, t4750, t4753, t4754, t4756, t4757;
  double t4759, t4760, t4767, t4778, t4779, t4783, tv4rhosigma2tau0, t4790;
  double t4791, t4792, t4795, t4808, t4814, t4824, t4825, t4832;
  double t4844, t4861, t4872, t4874, t4875, t4876, t4877, t4878;
  double t4879, t4880, t4881, t4882, t4883, t4884, t4885, t4886;
  double t4887, t4888, t4889, t4890, t4891, t4892, t4893, t4912;
  double t4943, t4956, t4957, t4958, t4959, t4960, t4961, t4962;
  double t4963, t4964, t4966, t4967, t4968, t4969, t4970, t4971;
  double t4972, t4973, t4974, t4975, t4982, t4983, t4987, tv4rhosigmalapl20;
  double t5026, t5029, t5059, t5062, t5078, t5080, t5108, t5109;
  double t5120, t5123, t5133, t5135, t5158, t5167, t5180, t5182;
  double t5183, t5187, tv4rhosigmalapltau0, t5194, t5195, t5198, t5202, t5206;
  double t5210, t5211, t5216, t5224, t5225, t5226, t5229, t5234;
  double t5238, t5259, t5266, t5273, t5277, t5279, t5280, t5281;
  double t5282, t5283, t5284, t5285, t5286, t5287, t5288, t5304;
  double t5307, t5339, t5352, t5353, t5354, t5355, t5356, t5357;
  double t5358, t5359, t5360, t5362, t5369, t5370, t5374, tv4rhosigmatau20;
  double t5386, t5396, t5397, t5400, t5412, t5415, t5416, t5424;
  double t5428, t5438, t5445, t5456, t5465, t5472, t5497, t5506;
  double t5519, t5522, t5525, t5528, t5529, t5553, t5561, t5564;
  double tv4rholapl30, t5567, t5572, t5573, t5585, t5596, t5606, t5616;
  double t5629, t5636, t5640, t5645, t5647, t5655, t5664, t5671;
  double t5685, t5707, t5723, t5725, t5726, t5730, tv4rholapl2tau0, t5733;
  double t5734, t5752, t5783, t5796, t5805, t5806, t5808, t5809;
  double t5819, t5826, t5831, t5847, t5851, t5852, t5864, t5885;
  double t5889, tv4rholapltau20, t5899, t5903, t5904, t5907, t5908, t5911;
  double t5915, t5928, t5932, t5948, t5953, t5961, t5965, t5982;
  double t6015, t6024, t6040, t6043, t6046, t6050, t6074, t6079;
  double t6082, tv4rhotau30, t6085, t6088, t6091, t6093, t6094, t6097;
  double t6099, t6101, t6104, t6106, t6109, t6112, t6114, t6115;
  double t6119, t6132, t6133, t6136, t6137, t6147, t6151, t6154;
  double t6184, t6186, t6198, t6199, t6206, t6212, t6213, t6220;
  double t6235, t6237, tv4sigma40, t6239, t6243, t6254, t6261, t6264;
  double t6265, t6266, t6276, t6279, t6282, t6283, t6301, t6302;
  double t6303, t6304, t6305, t6306, t6308, t6309, t6310, t6311;
  double t6312, t6313, t6316, t6317, t6319, t6320, t6321, t6322;
  double t6323, t6325, t6326, t6328, t6329, t6330, t6331, t6333;
  double t6334, t6336, t6337, t6339, t6340, t6341, t6344, tv4sigma3lapl0;
  double t6349, t6350, t6353, t6378, t6379, t6380, t6381, t6403;
  double t6405, t6407, t6408, t6410, t6411, t6412, t6413, t6414;
  double t6416, t6417, t6420, t6421, t6423, t6424, t6426, t6427;
  double t6429, t6430, t6431, t6432, t6433, t6436, tv4sigma3tau0, t6442;
  double t6455, t6456, t6465, t6469, t6470, t6475, t6476, t6480;
  double t6481, t6483, t6484, t6485, t6486, t6488, t6489, t6492;
  double t6493, t6496, t6497, t6498, t6501, t6506, t6507, t6509;
  double t6510, t6513, t6514, t6518, t6520, t6521, t6526, t6527;
  double t6528, t6530, t6531, t6532, t6533, t6534, t6535, t6536;
  double t6537, t6542, t6551, t6554, tv4sigma2lapl20, t6558, t6559, t6566;
  double t6573, t6577, t6585, t6590, t6609, t6611, t6612, t6615;
  double t6618, t6621, t6623, t6626, t6632, t6636, t6642, t6643;
  double t6644, t6645, t6646, t6647, t6648, t6649, t6650, t6651;
  double t6652, t6653, t6654, t6655, t6656, t6657, t6658, t6659;
  double t6660, t6661, t6664, tv4sigma2lapltau0, t6666, t6669, t6680, t6685;
  double t6686, t6691, t6692, t6698, t6710, t6719, t6722, t6723;
  double t6724, t6726, t6727, t6729, t6730, t6732, t6733, t6736;
  double t6737, t6741, t6742, t6745, t6746, t6748, t6754, t6763;
  double t6766, tv4sigma2tau20, t6768, t6771, t6785, t6793, t6806, t6807;
  double t6817, t6821, t6825, t6826, t6827, t6828, t6829, t6830;
  double t6831, t6832, t6833, t6835, t6837, t6845, t6857, t6860;
  double t6863, t6866, t6878, t6886, t6887, t6890, tv4sigmalapl30, t6902;
  double t6904, t6915, t6916, t6931, t6939, t6959, t6961, t6962;
  double t6963, t6964, t6965, t6966, t6967, t6968, t6969, t6970;
  double t6980, t6983, tv4sigmalapl2tau0, t6997, t6999, t7003, t7019, t7022;
  double t7027, t7051, t7053, t7063, t7066, tv4sigmalapltau20, t7073, t7085;
  double t7090, t7097, t7098, t7103, t7113, t7123, t7124, t7125;
  double t7126, t7127, t7128, t7129, t7130, t7131, t7133, t7135;
  double t7170, t7178, t7179, t7182, tv4sigmatau30, t7194, t7201, t7202;
  double t7212, t7229, t7236, t7240, t7247, t7255, t7293, t7295;
  double tv4lapl40, t7300, t7314, t7332, t7337, t7344, t7359, t7361;
  double t7362, t7363, t7364, t7365, t7366, t7367, t7368, t7369;
  double t7370, t7371, t7374, tv4lapl3tau0, t7376, t7396, t7400, t7403;
  double t7419, t7433, t7439, t7448, t7451, tv4lapl2tau20, t7456, t7465;
  double t7470, t7491, t7498, t7509, t7527, t7530, t7533, t7545;
  double t7550, t7560, t7561, t7564, tv4lapltau30, t7576, t7577, t7587;
  double t7606, t7622, t7648, t7659, t7666, t7675, t7677, tv4tau40;


  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = sqrt(p->zeta_threshold);
  t12 = sqrt(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = M_PI * t14;
  t16 = M_SQRT2;
  t17 = sqrt(rho[0]);
  t18 = t16 * t17;
  t19 = rho[0] * rho[0];
  t20 = 0.1e1 / t19;
  t25 = t19 * rho[0];
  t26 = 0.1e1 / t25;
  t30 = 0.1e1 / M_PI;
  t31 = (lapl[0] * t20 / 0.2e1 - 0.2e1 * tau[0] * t20 + sigma[0] * t26 / 0.4e1) * t30;
  t32 = -0.9999999999e0 < t31;
  t33 = my_piecewise3(t32, t31, -0.9999999999e0);
  t34 = exp(-0.1e1);
  t36 = LambertW(t33 * t34);
  t37 = t36 + 0.1e1;
  t38 = t37 / 0.2e1;
  t39 = xc_bessel_I0(t38);
  t43 = my_piecewise3(t3, 0, -t15 * t18 * t39 / 0.8e1);
  tzk0 = 0.2e1 * t43;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t45 = t16 / t17;
  t48 = t15 * t18;
  t49 = xc_bessel_I1(t38);
  t53 = t19 * t19;
  t54 = 0.1e1 / t53;
  t59 = my_piecewise3(t32, (-lapl[0] * t26 + 0.4e1 * tau[0] * t26 - 0.3e1 / 0.4e1 * sigma[0] * t54) * t30, 0);
  t61 = 0.1e1 / t37;
  t62 = t36 * t61;
  t64 = t62 / t33;
  t65 = t49 * t59 * t64;
  t69 = my_piecewise3(t3, 0, -t15 * t45 * t39 / 0.16e2 - t48 * t65 / 0.16e2);
  tvrho0 = 0.2e1 * rho[0] * t69 + 0.2e1 * t43;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t72 = t26 * t30;
  t74 = my_piecewise3(t32, t72 / 0.4e1, 0);
  t75 = t49 * t74;
  t76 = t75 * t64;
  t79 = my_piecewise3(t3, 0, -t48 * t76 / 0.16e2);
  tvsigma0 = 0.2e1 * rho[0] * t79;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t81 = t20 * t30;
  t83 = my_piecewise3(t32, t81 / 0.2e1, 0);
  t84 = t49 * t83;
  t85 = t84 * t64;
  t88 = my_piecewise3(t3, 0, -t48 * t85 / 0.16e2);
  tvlapl0 = 0.2e1 * rho[0] * t88;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t91 = my_piecewise3(t32, -0.2e1 * t81, 0);
  t92 = t49 * t91;
  t93 = t92 * t64;
  t96 = my_piecewise3(t3, 0, -t48 * t93 / 0.16e2);
  tvtau0 = 0.2e1 * rho[0] * t96;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t101 = t16 / t17 / rho[0];
  t105 = t15 * t45;
  t108 = 0.1e1 / t38;
  t110 = -t108 * t49 + t39;
  t111 = t59 * t59;
  t113 = t36 * t36;
  t114 = t37 * t37;
  t115 = 0.1e1 / t114;
  t116 = t113 * t115;
  t117 = t33 * t33;
  t118 = 0.1e1 / t117;
  t119 = t116 * t118;
  t120 = t110 * t111 * t119;
  t128 = 0.1e1 / t53 / rho[0];
  t133 = my_piecewise3(t32, (0.3e1 * lapl[0] * t54 + 0.3e1 * t128 * sigma[0] - 0.12e2 * t54 * tau[0]) * t30, 0);
  t135 = t49 * t133 * t64;
  t138 = t49 * t111;
  t139 = t36 * t115;
  t140 = t139 * t118;
  t141 = t138 * t140;
  t144 = t114 * t37;
  t145 = 0.1e1 / t144;
  t146 = t113 * t145;
  t147 = t146 * t118;
  t148 = t138 * t147;
  t151 = t62 * t118;
  t152 = t138 * t151;
  t156 = my_piecewise3(t3, 0, t15 * t101 * t39 / 0.32e2 - t105 * t65 / 0.16e2 - t48 * t120 / 0.32e2 - t48 * t135 / 0.16e2 - t48 * t141 / 0.16e2 + t48 * t148 / 0.16e2 + t48 * t152 / 0.16e2);
  tv2rho20 = 0.2e1 * rho[0] * t156 + 0.4e1 * t69;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t162 = t15 * t18 * t110;
  t163 = t59 * t113;
  t164 = t115 * t118;
  t165 = t164 * t74;
  t166 = t163 * t165;
  t169 = t54 * t30;
  t171 = my_piecewise3(t32, -0.3e1 / 0.4e1 * t169, 0);
  t173 = t49 * t171 * t64;
  t177 = t15 * t18 * t49;
  t178 = t74 * t59;
  t179 = t178 * t140;
  t182 = t74 * t113;
  t183 = t145 * t118;
  t184 = t183 * t59;
  t185 = t182 * t184;
  t188 = t74 * t36;
  t189 = t61 * t118;
  t190 = t189 * t59;
  t191 = t188 * t190;
  t195 = my_piecewise3(t3, 0, -t105 * t76 / 0.32e2 - t162 * t166 / 0.32e2 - t48 * t173 / 0.16e2 - t177 * t179 / 0.16e2 + t177 * t185 / 0.16e2 + t177 * t191 / 0.16e2);
  tv2rhosigma0 = 0.2e1 * rho[0] * t195 + 0.2e1 * t79;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t200 = t164 * t83;
  t201 = t163 * t200;
  t204 = my_piecewise3(t32, -t72, 0);
  t206 = t49 * t204 * t64;
  t209 = t83 * t59;
  t210 = t209 * t140;
  t213 = t83 * t113;
  t214 = t213 * t184;
  t217 = t83 * t36;
  t218 = t217 * t190;
  t222 = my_piecewise3(t3, 0, -t105 * t85 / 0.32e2 - t162 * t201 / 0.32e2 - t48 * t206 / 0.16e2 - t177 * t210 / 0.16e2 + t177 * t214 / 0.16e2 + t177 * t218 / 0.16e2);
  tv2rholapl0 = 0.2e1 * rho[0] * t222 + 0.2e1 * t88;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t227 = t164 * t91;
  t228 = t163 * t227;
  t232 = my_piecewise3(t32, 0.4e1 * t72, 0);
  t234 = t49 * t232 * t64;
  t237 = t91 * t59;
  t238 = t237 * t140;
  t241 = t91 * t113;
  t242 = t241 * t184;
  t245 = t91 * t36;
  t246 = t245 * t190;
  t250 = my_piecewise3(t3, 0, -t105 * t93 / 0.32e2 - t162 * t228 / 0.32e2 - t48 * t234 / 0.16e2 - t177 * t238 / 0.16e2 + t177 * t242 / 0.16e2 + t177 * t246 / 0.16e2);
  tv2rhotau0 = 0.2e1 * rho[0] * t250 + 0.2e1 * t96;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t253 = t74 * t74;
  t255 = t110 * t253 * t119;
  t258 = my_piecewise3(t32, 0, 0);
  t260 = t49 * t258 * t64;
  t262 = t48 * t260 / 0.16e2;
  t263 = t49 * t253;
  t264 = t263 * t140;
  t267 = t263 * t147;
  t270 = t263 * t151;
  t274 = my_piecewise3(t3, 0, -t48 * t255 / 0.32e2 - t262 - t48 * t264 / 0.16e2 + t48 * t267 / 0.16e2 + t48 * t270 / 0.16e2);
  tv2sigma20 = 0.2e1 * rho[0] * t274;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t276 = t182 * t200;
  t279 = t83 * t74;
  t280 = t279 * t140;
  t283 = t183 * t74;
  t284 = t213 * t283;
  t287 = t189 * t74;
  t288 = t217 * t287;
  t292 = my_piecewise3(t3, 0, -t162 * t276 / 0.32e2 - t262 - t177 * t280 / 0.16e2 + t177 * t284 / 0.16e2 + t177 * t288 / 0.16e2);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t292;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  t294 = t182 * t227;
  t297 = t91 * t74;
  t298 = t297 * t140;
  t301 = t241 * t283;
  t304 = t245 * t287;
  t308 = my_piecewise3(t3, 0, -t162 * t294 / 0.32e2 - t262 - t177 * t298 / 0.16e2 + t177 * t301 / 0.16e2 + t177 * t304 / 0.16e2);
  tv2sigmatau0 = 0.2e1 * rho[0] * t308;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t310 = t83 * t83;
  t312 = t110 * t310 * t119;
  t315 = t49 * t310;
  t316 = t315 * t140;
  t319 = t315 * t147;
  t322 = t315 * t151;
  t326 = my_piecewise3(t3, 0, -t48 * t312 / 0.32e2 - t262 - t48 * t316 / 0.16e2 + t48 * t319 / 0.16e2 + t48 * t322 / 0.16e2);
  tv2lapl20 = 0.2e1 * rho[0] * t326;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  t328 = t213 * t227;
  t331 = t91 * t83;
  t332 = t331 * t140;
  t335 = t183 * t83;
  t336 = t241 * t335;
  t339 = t189 * t83;
  t340 = t245 * t339;
  t344 = my_piecewise3(t3, 0, -t162 * t328 / 0.32e2 - t262 - t177 * t332 / 0.16e2 + t177 * t336 / 0.16e2 + t177 * t340 / 0.16e2);
  tv2lapltau0 = 0.2e1 * rho[0] * t344;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  t346 = t91 * t91;
  t348 = t110 * t346 * t119;
  t351 = t49 * t346;
  t352 = t351 * t140;
  t355 = t351 * t147;
  t358 = t351 * t151;
  t362 = my_piecewise3(t3, 0, -t48 * t348 / 0.32e2 - t262 - t48 * t352 / 0.16e2 + t48 * t355 / 0.16e2 + t48 * t358 / 0.16e2);
  tv2tau20 = 0.2e1 * rho[0] * t362;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  t367 = t16 / t17 / t19;
  t373 = t111 * t59;
  t374 = t110 * t373;
  t376 = 0.1e1 / t117 / t33;
  t377 = t146 * t376;
  t378 = t374 * t377;
  t381 = t113 * t36;
  t382 = t114 * t114;
  t383 = 0.1e1 / t382;
  t384 = t381 * t383;
  t385 = t384 * t376;
  t386 = t374 * t385;
  t389 = t133 * t113;
  t390 = t389 * t184;
  t393 = t49 * t373;
  t394 = t113 * t383;
  t395 = t394 * t376;
  t396 = t393 * t395;
  t400 = 0.1e1 / t382 / t37;
  t401 = t381 * t400;
  t402 = t401 * t376;
  t403 = t393 * t402;
  t406 = t393 * t377;
  t409 = t62 * t376;
  t410 = t393 * t409;
  t416 = t163 * t164 * t133;
  t419 = -0.3e1 / 0.64e2 * t15 * t367 * t39 + 0.3e1 / 0.32e2 * t105 * t148 - 0.3e1 / 0.32e2 * t48 * t378 + 0.3e1 / 0.32e2 * t48 * t386 + 0.3e1 / 0.16e2 * t177 * t390 + t48 * t396 / 0.4e1 - 0.3e1 / 0.16e2 * t48 * t403 - 0.3e1 / 0.16e2 * t48 * t406 - t48 * t410 / 0.8e1 + 0.3e1 / 0.32e2 * t105 * t152 - 0.3e1 / 0.32e2 * t162 * t416;
  t420 = t116 * t376;
  t421 = t374 * t420;
  t425 = t133 * t36 * t190;
  t428 = t139 * t376;
  t429 = t393 * t428;
  t432 = t38 * t38;
  t433 = 0.1e1 / t432;
  t434 = t433 * t49;
  t437 = t108 * t110;
  t441 = t434 * t59 * t64 / 0.2e1 - t437 * t59 * t64 / 0.2e1 + t65 / 0.2e1;
  t443 = t441 * t111 * t119;
  t451 = 0.1e1 / t53 / t19;
  t456 = my_piecewise3(t32, (-0.12e2 * lapl[0] * t128 + 0.48e2 * t128 * tau[0] - 0.15e2 * t451 * sigma[0]) * t30, 0);
  t458 = t49 * t456 * t64;
  t461 = t15 * t101;
  t471 = t133 * t59 * t140;
  t474 = t36 * t145;
  t475 = t474 * t376;
  t476 = t393 * t475;
  t479 = 0.3e1 / 0.32e2 * t48 * t421 + 0.3e1 / 0.16e2 * t177 * t425 + 0.3e1 / 0.16e2 * t48 * t429 - t48 * t443 / 0.32e2 - t48 * t458 / 0.16e2 + 0.3e1 / 0.64e2 * t461 * t65 - 0.3e1 / 0.32e2 * t105 * t135 - 0.3e1 / 0.64e2 * t105 * t120 - 0.3e1 / 0.32e2 * t105 * t141 - 0.3e1 / 0.16e2 * t177 * t471 - t48 * t476 / 0.16e2;
  t481 = my_piecewise3(t3, 0, t419 + t479);
  tv3rho30 = 0.2e1 * rho[0] * t481 + 0.6e1 * t156;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t489 = t128 * t30;
  t491 = my_piecewise3(t32, 0.3e1 * t489, 0);
  t493 = t49 * t491 * t64;
  t496 = t74 * t111;
  t497 = t496 * t395;
  t500 = t74 * t381;
  t501 = t400 * t376;
  t502 = t501 * t111;
  t503 = t500 * t502;
  t507 = t15 * t45 * t49;
  t511 = t171 * t59 * t140;
  t514 = t496 * t475;
  t519 = t171 * t113;
  t520 = t519 * t184;
  t523 = t145 * t376;
  t524 = t523 * t111;
  t525 = t182 * t524;
  t528 = t61 * t376;
  t529 = t528 * t111;
  t530 = t188 * t529;
  t533 = t461 * t76 / 0.64e2 - t105 * t173 / 0.16e2 - t48 * t493 / 0.16e2 + t177 * t497 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t503 - t507 * t179 / 0.16e2 - t177 * t511 / 0.8e1 - t177 * t514 / 0.16e2 + t507 * t185 / 0.16e2 + t177 * t520 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t525 - t177 * t530 / 0.8e1;
  t534 = t111 * t113;
  t535 = t115 * t376;
  t536 = t535 * t74;
  t537 = t534 * t536;
  t540 = t496 * t428;
  t543 = t74 * t133;
  t544 = t543 * t140;
  t547 = t183 * t133;
  t548 = t182 * t547;
  t551 = t189 * t133;
  t552 = t188 * t551;
  t558 = t15 * t45 * t110;
  t562 = t15 * t18 * t441;
  t565 = t389 * t165;
  t568 = t164 * t171;
  t569 = t163 * t568;
  t572 = t171 * t36;
  t573 = t572 * t190;
  t578 = t111 * t381;
  t579 = t383 * t376;
  t580 = t579 * t74;
  t581 = t578 * t580;
  t584 = 0.3e1 / 0.32e2 * t162 * t537 + 0.3e1 / 0.16e2 * t177 * t540 - t177 * t544 / 0.16e2 + t177 * t548 / 0.16e2 + t177 * t552 / 0.16e2 + t507 * t191 / 0.16e2 - t558 * t166 / 0.32e2 - t562 * t166 / 0.32e2 - t162 * t565 / 0.32e2 - t162 * t569 / 0.16e2 + t177 * t573 / 0.8e1 - 0.3e1 / 0.32e2 * t162 * t525 + 0.3e1 / 0.32e2 * t162 * t581;
  t586 = my_piecewise3(t3, 0, t533 + t584);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t586 + 0.4e1 * t195;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t590 = t164 * t204;
  t591 = t163 * t590;
  t594 = t523 * t83;
  t595 = t534 * t594;
  t598 = t579 * t83;
  t599 = t578 * t598;
  t602 = t83 * t111;
  t603 = t602 * t395;
  t606 = t83 * t381;
  t607 = t606 * t502;
  t615 = my_piecewise3(t32, 0.3e1 * t169, 0);
  t617 = t49 * t615 * t64;
  t623 = t204 * t59 * t140;
  t628 = t204 * t113;
  t629 = t628 * t184;
  t632 = -t162 * t591 / 0.16e2 - 0.3e1 / 0.32e2 * t162 * t595 + 0.3e1 / 0.32e2 * t162 * t599 + t177 * t603 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t607 + t461 * t85 / 0.64e2 - t105 * t206 / 0.16e2 - t48 * t617 / 0.16e2 - t507 * t210 / 0.16e2 - t177 * t623 / 0.8e1 + t507 * t214 / 0.16e2 + t177 * t629 / 0.8e1;
  t633 = t602 * t475;
  t636 = t602 * t428;
  t641 = t217 * t529;
  t644 = t535 * t83;
  t645 = t534 * t644;
  t648 = t217 * t551;
  t651 = t204 * t36;
  t652 = t651 * t190;
  t655 = t83 * t133;
  t656 = t655 * t140;
  t659 = t213 * t547;
  t668 = t389 * t200;
  t671 = -t177 * t633 / 0.16e2 + 0.3e1 / 0.16e2 * t177 * t636 - 0.3e1 / 0.16e2 * t177 * t595 - t177 * t641 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t645 + t177 * t648 / 0.16e2 + t177 * t652 / 0.8e1 - t177 * t656 / 0.16e2 + t177 * t659 / 0.16e2 + t507 * t218 / 0.16e2 - t558 * t201 / 0.32e2 - t562 * t201 / 0.32e2 - t162 * t668 / 0.32e2;
  t673 = my_piecewise3(t3, 0, t632 + t671);
  tv3rho2lapl0 = 0.2e1 * rho[0] * t673 + 0.4e1 * t222;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t678 = t91 * t133 * t140;
  t686 = t534 * t523 * t91;
  t689 = t579 * t91;
  t690 = t578 * t689;
  t693 = t91 * t111;
  t694 = t693 * t395;
  t697 = t91 * t381;
  t698 = t697 * t502;
  t703 = t232 * t59;
  t704 = t703 * t140;
  t709 = t232 * t113;
  t710 = t709 * t184;
  t713 = t693 * t475;
  t716 = -t177 * t678 / 0.16e2 + t507 * t246 / 0.16e2 - t558 * t228 / 0.32e2 - 0.3e1 / 0.32e2 * t162 * t686 + 0.3e1 / 0.32e2 * t162 * t690 + t177 * t694 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t698 - t507 * t238 / 0.16e2 - t177 * t704 / 0.8e1 + t507 * t242 / 0.16e2 + t177 * t710 / 0.8e1 - t177 * t713 / 0.16e2;
  t717 = t535 * t91;
  t718 = t534 * t717;
  t721 = t693 * t428;
  t726 = t245 * t529;
  t729 = t241 * t547;
  t732 = t245 * t551;
  t737 = t389 * t227;
  t740 = t164 * t232;
  t741 = t163 * t740;
  t744 = t232 * t36;
  t745 = t744 * t190;
  t753 = my_piecewise3(t32, -0.12e2 * t169, 0);
  t755 = t49 * t753 * t64;
  t758 = 0.3e1 / 0.32e2 * t162 * t718 + 0.3e1 / 0.16e2 * t177 * t721 - 0.3e1 / 0.16e2 * t177 * t686 - t177 * t726 / 0.8e1 + t177 * t729 / 0.16e2 + t177 * t732 / 0.16e2 - t562 * t228 / 0.32e2 - t162 * t737 / 0.32e2 - t162 * t741 / 0.16e2 + t177 * t745 / 0.8e1 + t461 * t93 / 0.64e2 - t105 * t234 / 0.16e2 - t48 * t755 / 0.16e2;
  t760 = my_piecewise3(t3, 0, t716 + t758);
  tv3rho2tau0 = 0.2e1 * rho[0] * t760 + 0.4e1 * t250;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t763 = t258 * t59;
  t764 = t763 * t140;
  t765 = t177 * t764;
  t766 = t765 / 0.16e2;
  t768 = t253 * t59 * t475;
  t771 = t253 * t113;
  t772 = t579 * t59;
  t773 = t771 * t772;
  t776 = t253 * t381;
  t777 = t501 * t59;
  t778 = t776 * t777;
  t781 = t523 * t59;
  t782 = t771 * t781;
  t785 = t776 * t772;
  t788 = t258 * t113;
  t789 = t788 * t184;
  t790 = t177 * t789;
  t791 = t790 / 0.16e2;
  t792 = t189 * t171;
  t793 = t188 * t792;
  t796 = t253 * t36;
  t797 = t528 * t59;
  t798 = t796 * t797;
  t801 = t535 * t59;
  t802 = t771 * t801;
  t805 = t105 * t260;
  t806 = t805 / 0.32e2;
  t807 = t258 * t36;
  t808 = t807 * t190;
  t809 = t177 * t808;
  t810 = t809 / 0.16e2;
  t811 = -t766 - t177 * t768 / 0.16e2 + t177 * t773 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t778 - 0.3e1 / 0.32e2 * t162 * t782 + 0.3e1 / 0.32e2 * t162 * t785 + t791 + t177 * t793 / 0.8e1 - t177 * t798 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t802 - t806 + t810;
  t812 = t164 * t258;
  t813 = t163 * t812;
  t814 = t162 * t813;
  t815 = t814 / 0.32e2;
  t818 = t188 * t568;
  t821 = t796 * t801;
  t826 = t183 * t171;
  t827 = t182 * t826;
  t836 = t182 * t568;
  t840 = t441 * t253 * t119;
  t843 = -t815 - t105 * t264 / 0.32e2 - t177 * t818 / 0.8e1 + 0.3e1 / 0.16e2 * t177 * t821 + t105 * t267 / 0.32e2 + t177 * t827 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t782 + t105 * t270 / 0.32e2 - t105 * t255 / 0.64e2 - t162 * t836 / 0.16e2 - t48 * t840 / 0.32e2 - t262;
  t845 = my_piecewise3(t3, 0, t811 + t843);
  tv3rhosigma20 = 0.2e1 * rho[0] * t845 + 0.2e1 * t274;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t848 = t182 * t145;
  t849 = t376 * t83;
  t850 = t849 * t59;
  t851 = t848 * t850;
  t854 = t500 * t383;
  t855 = t854 * t850;
  t858 = t279 * t113;
  t859 = t858 * t772;
  t862 = t606 * t400;
  t863 = t376 * t74;
  t864 = t863 * t59;
  t865 = t862 * t864;
  t872 = t217 * t792;
  t875 = t204 * t74;
  t876 = t875 * t140;
  t879 = t83 * t171;
  t880 = t879 * t140;
  t883 = t628 * t283;
  t886 = t213 * t826;
  t889 = t651 * t287;
  t894 = t519 * t200;
  t897 = -0.3e1 / 0.32e2 * t162 * t851 + 0.3e1 / 0.32e2 * t162 * t855 + t177 * t859 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t865 - t507 * t280 / 0.32e2 + t507 * t284 / 0.32e2 + t177 * t872 / 0.16e2 - t177 * t876 / 0.16e2 - t177 * t880 / 0.16e2 + t177 * t883 / 0.16e2 + t177 * t886 / 0.16e2 + t177 * t889 / 0.16e2 - t562 * t276 / 0.32e2 - t162 * t894 / 0.32e2;
  t898 = t182 * t590;
  t905 = t182 * t115;
  t906 = t905 * t850;
  t909 = t279 * t36;
  t910 = t909 * t801;
  t915 = t279 * t59;
  t916 = t915 * t475;
  t919 = t217 * t61;
  t920 = t919 * t864;
  t923 = -t162 * t898 / 0.32e2 - t815 + t507 * t288 / 0.32e2 - t558 * t276 / 0.64e2 - t766 + t791 + t810 - t806 + 0.3e1 / 0.32e2 * t162 * t906 + 0.3e1 / 0.16e2 * t177 * t910 - 0.3e1 / 0.16e2 * t177 * t851 - t177 * t916 / 0.16e2 - t177 * t920 / 0.8e1 - t262;
  t925 = my_piecewise3(t3, 0, t897 + t923);
  tv3rhosigmalapl0 = 0.2e1 * rho[0] * t925 + 0.2e1 * t292;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  t928 = t376 * t91;
  t929 = t928 * t59;
  t930 = t854 * t929;
  t933 = t297 * t113;
  t934 = t933 * t772;
  t937 = t697 * t400;
  t938 = t937 * t864;
  t941 = t848 * t929;
  t944 = t297 * t59;
  t945 = t944 * t475;
  t950 = t245 * t61;
  t951 = t950 * t864;
  t954 = t905 * t929;
  t957 = t297 * t36;
  t958 = t957 * t801;
  t963 = t744 * t287;
  t966 = t245 * t792;
  t969 = t519 * t227;
  t972 = t182 * t740;
  t975 = 0.3e1 / 0.32e2 * t162 * t930 + t177 * t934 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t938 - 0.3e1 / 0.32e2 * t162 * t941 - t177 * t945 / 0.16e2 - 0.3e1 / 0.16e2 * t177 * t941 - t177 * t951 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t954 + 0.3e1 / 0.16e2 * t177 * t958 - t507 * t298 / 0.32e2 + t177 * t963 / 0.16e2 + t177 * t966 / 0.16e2 - t162 * t969 / 0.32e2 - t162 * t972 / 0.32e2;
  t976 = t232 * t74;
  t977 = t976 * t140;
  t980 = t91 * t171;
  t981 = t980 * t140;
  t984 = t709 * t283;
  t987 = t241 * t826;
  t998 = -t177 * t977 / 0.16e2 - t177 * t981 / 0.16e2 + t177 * t984 / 0.16e2 + t177 * t987 / 0.16e2 - t562 * t294 / 0.32e2 + t507 * t301 / 0.32e2 + t507 * t304 / 0.32e2 - t558 * t294 / 0.64e2 - t815 - t766 + t791 + t810 - t806 - t262;
  t1000 = my_piecewise3(t3, 0, t975 + t998);
  tv3rhosigmatau0 = 0.2e1 * rho[0] * t1000 + 0.2e1 * t308;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  t1003 = t310 * t59;
  t1004 = t1003 * t475;
  t1007 = t310 * t113;
  t1008 = t1007 * t772;
  t1011 = t310 * t381;
  t1012 = t1011 * t777;
  t1015 = t1007 * t781;
  t1018 = t1011 * t772;
  t1023 = t189 * t204;
  t1024 = t217 * t1023;
  t1027 = t310 * t36;
  t1028 = t1027 * t797;
  t1031 = t1007 * t801;
  t1036 = -t177 * t1004 / 0.16e2 - t766 + t177 * t1008 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1012 - 0.3e1 / 0.32e2 * t162 * t1015 + 0.3e1 / 0.32e2 * t162 * t1018 + t791 + t105 * t322 / 0.32e2 + t177 * t1024 / 0.8e1 - t177 * t1028 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1031 - t105 * t316 / 0.32e2;
  t1037 = t217 * t590;
  t1040 = t1027 * t801;
  t1045 = t183 * t204;
  t1046 = t213 * t1045;
  t1053 = t213 * t590;
  t1057 = t441 * t310 * t119;
  t1060 = -t177 * t1037 / 0.8e1 + 0.3e1 / 0.16e2 * t177 * t1040 + t105 * t319 / 0.32e2 + t177 * t1046 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t1015 - t105 * t312 / 0.64e2 - t162 * t1053 / 0.16e2 - t806 + t810 - t815 - t48 * t1057 / 0.32e2 - t262;
  t1062 = my_piecewise3(t3, 0, t1036 + t1060);
  tv3rholapl20 = 0.2e1 * rho[0] * t1062 + 0.2e1 * t326;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  t1065 = t331 * t113;
  t1066 = t1065 * t772;
  t1069 = t937 * t850;
  t1072 = t213 * t145;
  t1073 = t1072 * t929;
  t1076 = t606 * t383;
  t1077 = t1076 * t929;
  t1081 = t331 * t59 * t475;
  t1084 = t213 * t115;
  t1085 = t1084 * t929;
  t1088 = t331 * t36;
  t1089 = t1088 * t801;
  t1094 = t950 * t850;
  t1097 = t744 * t339;
  t1100 = t245 * t1023;
  t1103 = t628 * t227;
  t1106 = t213 * t740;
  t1109 = t232 * t83;
  t1110 = t1109 * t140;
  t1113 = t177 * t1066 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1069 - 0.3e1 / 0.32e2 * t162 * t1073 + 0.3e1 / 0.32e2 * t162 * t1077 - t177 * t1081 / 0.16e2 + 0.3e1 / 0.32e2 * t162 * t1085 + 0.3e1 / 0.16e2 * t177 * t1089 - 0.3e1 / 0.16e2 * t177 * t1073 - t177 * t1094 / 0.8e1 + t177 * t1097 / 0.16e2 + t177 * t1100 / 0.16e2 - t162 * t1103 / 0.32e2 - t162 * t1106 / 0.32e2 - t177 * t1110 / 0.16e2;
  t1114 = t91 * t204;
  t1115 = t1114 * t140;
  t1118 = t709 * t335;
  t1121 = t241 * t1045;
  t1134 = -t177 * t1115 / 0.16e2 + t177 * t1118 / 0.16e2 + t177 * t1121 / 0.16e2 - t558 * t328 / 0.64e2 - t507 * t332 / 0.32e2 + t507 * t336 / 0.32e2 + t507 * t340 / 0.32e2 - t562 * t328 / 0.32e2 - t815 - t766 + t791 + t810 - t806 - t262;
  t1136 = my_piecewise3(t3, 0, t1113 + t1134);
  tv3rholapltau0 = 0.2e1 * rho[0] * t1136 + 0.2e1 * t344;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  t1140 = t245 * t189 * t232;
  t1143 = t346 * t36;
  t1144 = t1143 * t797;
  t1147 = t346 * t113;
  t1148 = t1147 * t801;
  t1153 = t245 * t740;
  t1156 = t1143 * t801;
  t1162 = t241 * t183 * t232;
  t1165 = t1147 * t781;
  t1172 = t241 * t740;
  t1175 = t177 * t1140 / 0.8e1 - t177 * t1144 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1148 - t105 * t352 / 0.32e2 - t177 * t1153 / 0.8e1 + 0.3e1 / 0.16e2 * t177 * t1156 + t105 * t355 / 0.32e2 + t177 * t1162 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t1165 + t105 * t358 / 0.32e2 - t105 * t348 / 0.64e2 - t162 * t1172 / 0.16e2;
  t1176 = t346 * t59;
  t1177 = t1176 * t475;
  t1182 = t346 * t381;
  t1183 = t1182 * t772;
  t1186 = t1147 * t772;
  t1189 = t1182 * t777;
  t1193 = t441 * t346 * t119;
  t1196 = -t177 * t1177 / 0.16e2 - t766 - 0.3e1 / 0.32e2 * t162 * t1165 + 0.3e1 / 0.32e2 * t162 * t1183 + t177 * t1186 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1189 + t791 - t806 + t810 - t815 - t48 * t1193 / 0.32e2 - t262;
  t1198 = my_piecewise3(t3, 0, t1175 + t1196);
  tv3rhotau20 = 0.2e1 * rho[0] * t1198 + 0.2e1 * t362;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  t1201 = t807 * t287;
  t1202 = t177 * t1201;
  t1203 = 0.3e1 / 0.16e2 * t1202;
  t1204 = t253 * t74;
  t1205 = t49 * t1204;
  t1206 = t1205 * t428;
  t1209 = t1205 * t377;
  t1212 = t1205 * t409;
  t1215 = t182 * t812;
  t1216 = t162 * t1215;
  t1217 = 0.3e1 / 0.32e2 * t1216;
  t1218 = t110 * t1204;
  t1219 = t1218 * t420;
  t1222 = t258 * t74;
  t1223 = t1222 * t140;
  t1224 = t177 * t1223;
  t1225 = 0.3e1 / 0.16e2 * t1224;
  t1226 = t1205 * t475;
  t1229 = t1218 * t377;
  t1232 = t1218 * t385;
  t1235 = t788 * t283;
  t1236 = t177 * t1235;
  t1237 = 0.3e1 / 0.16e2 * t1236;
  t1238 = t1205 * t395;
  t1241 = t1205 * t402;
  t1244 = t434 * t74;
  t1246 = t437 * t74;
  t1249 = t1244 * t64 / 0.2e1 - t1246 * t64 / 0.2e1 + t76 / 0.2e1;
  t1251 = t1249 * t253 * t119;
  t1254 = t1203 + 0.3e1 / 0.16e2 * t48 * t1206 - 0.3e1 / 0.16e2 * t48 * t1209 - t48 * t1212 / 0.8e1 - t1217 + 0.3e1 / 0.32e2 * t48 * t1219 - t1225 - t48 * t1226 / 0.16e2 - 0.3e1 / 0.32e2 * t48 * t1229 + 0.3e1 / 0.32e2 * t48 * t1232 + t1237 + t48 * t1238 / 0.4e1 - 0.3e1 / 0.16e2 * t48 * t1241 - t48 * t1251 / 0.32e2 - t262;
  t1255 = my_piecewise3(t3, 0, t1254);
  tv3sigma30 = 0.2e1 * rho[0] * t1255;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t1257 = t83 * t258;
  t1258 = t1257 * t140;
  t1259 = t177 * t1258;
  t1260 = t1259 / 0.16e2;
  t1261 = t183 * t258;
  t1262 = t213 * t1261;
  t1263 = t177 * t1262;
  t1264 = t1263 / 0.16e2;
  t1265 = t189 * t258;
  t1266 = t217 * t1265;
  t1267 = t177 * t1266;
  t1268 = t1267 / 0.16e2;
  t1270 = t15 * t18 * t1249;
  t1273 = t788 * t200;
  t1274 = t162 * t1273;
  t1275 = t1274 / 0.32e2;
  t1276 = t1202 / 0.8e1;
  t1277 = t1216 / 0.16e2;
  t1278 = t1224 / 0.8e1;
  t1279 = t1236 / 0.8e1;
  t1280 = t83 * t253;
  t1281 = t1280 * t475;
  t1284 = t1280 * t428;
  t1287 = t523 * t253;
  t1288 = t213 * t1287;
  t1291 = t528 * t253;
  t1292 = t217 * t1291;
  t1295 = t771 * t644;
  t1300 = t776 * t598;
  t1303 = t1280 * t395;
  t1306 = t501 * t253;
  t1307 = t606 * t1306;
  t1310 = -t1260 + t1264 + t1268 - t1270 * t276 / 0.32e2 - t1275 + t1276 - t1277 - t1278 + t1279 - t177 * t1281 / 0.16e2 + 0.3e1 / 0.16e2 * t177 * t1284 - 0.3e1 / 0.16e2 * t177 * t1288 - t177 * t1292 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1295 - 0.3e1 / 0.32e2 * t162 * t1288 + 0.3e1 / 0.32e2 * t162 * t1300 + t177 * t1303 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1307 - t262;
  t1311 = my_piecewise3(t3, 0, t1310);
  tv3sigma2lapl0 = 0.2e1 * rho[0] * t1311;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  t1313 = t241 * t1261;
  t1314 = t177 * t1313;
  t1315 = t1314 / 0.16e2;
  t1316 = t245 * t1265;
  t1317 = t177 * t1316;
  t1318 = t1317 / 0.16e2;
  t1321 = t788 * t227;
  t1322 = t162 * t1321;
  t1323 = t1322 / 0.32e2;
  t1324 = t91 * t258;
  t1325 = t1324 * t140;
  t1326 = t177 * t1325;
  t1327 = t1326 / 0.16e2;
  t1328 = t91 * t253;
  t1329 = t1328 * t475;
  t1332 = t771 * t717;
  t1335 = t1328 * t428;
  t1338 = t241 * t1287;
  t1341 = t245 * t1291;
  t1346 = t776 * t689;
  t1349 = t1328 * t395;
  t1352 = t697 * t1306;
  t1355 = t1315 + t1318 - t1270 * t294 / 0.32e2 - t1323 - t1327 + t1276 - t1277 - t1278 + t1279 - t177 * t1329 / 0.16e2 + 0.3e1 / 0.32e2 * t162 * t1332 + 0.3e1 / 0.16e2 * t177 * t1335 - 0.3e1 / 0.16e2 * t177 * t1338 - t177 * t1341 / 0.8e1 - 0.3e1 / 0.32e2 * t162 * t1338 + 0.3e1 / 0.32e2 * t162 * t1346 + t177 * t1349 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1352 - t262;
  t1356 = my_piecewise3(t3, 0, t1355);
  tv3sigma2tau0 = 0.2e1 * rho[0] * t1356;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  t1359 = t1249 * t310 * t119;
  t1362 = t523 * t74;
  t1363 = t1007 * t1362;
  t1366 = t528 * t74;
  t1367 = t1027 * t1366;
  t1370 = t1007 * t536;
  t1373 = t1027 * t536;
  t1376 = t1259 / 0.8e1;
  t1377 = t1263 / 0.8e1;
  t1378 = t1267 / 0.8e1;
  t1379 = t1274 / 0.16e2;
  t1380 = t1202 / 0.16e2;
  t1381 = t1216 / 0.32e2;
  t1382 = t1224 / 0.16e2;
  t1383 = t310 * t74;
  t1384 = t1383 * t475;
  t1389 = t1011 * t580;
  t1392 = t1007 * t580;
  t1395 = t501 * t74;
  t1396 = t1011 * t1395;
  t1399 = t1236 / 0.16e2;
  t1400 = -t48 * t1359 / 0.32e2 - 0.3e1 / 0.16e2 * t177 * t1363 - t177 * t1367 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1370 + 0.3e1 / 0.16e2 * t177 * t1373 - t1376 + t1377 + t1378 - t1379 + t1380 - t1381 - t1382 - t177 * t1384 / 0.16e2 - 0.3e1 / 0.32e2 * t162 * t1363 + 0.3e1 / 0.32e2 * t162 * t1389 + t177 * t1392 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1396 + t1399 - t262;
  t1401 = my_piecewise3(t3, 0, t1400);
  tv3sigmalapl20 = 0.2e1 * rho[0] * t1401;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  t1405 = -t1270 * t328 / 0.32e2 + t1315 + t1318 - t1323 - t1327 - t1260 + t1264 + t1268 - t1275 + t1380 - t1381;
  t1406 = t331 * t74;
  t1407 = t1406 * t475;
  t1410 = t849 * t74;
  t1411 = t950 * t1410;
  t1414 = t928 * t74;
  t1415 = t1084 * t1414;
  t1418 = t1088 * t536;
  t1421 = t241 * t145;
  t1422 = t1421 * t1410;
  t1427 = t1076 * t1414;
  t1430 = t1065 * t580;
  t1433 = t937 * t1410;
  t1436 = -t1382 - t177 * t1407 / 0.16e2 + t1399 - t177 * t1411 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1415 + 0.3e1 / 0.16e2 * t177 * t1418 - 0.3e1 / 0.16e2 * t177 * t1422 - 0.3e1 / 0.32e2 * t162 * t1422 + 0.3e1 / 0.32e2 * t162 * t1427 + t177 * t1430 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1433 - t262;
  t1438 = my_piecewise3(t3, 0, t1405 + t1436);
  tv3sigmalapltau0 = 0.2e1 * rho[0] * t1438;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  t1441 = t1249 * t346 * t119;
  t1444 = t1143 * t536;
  t1447 = t1147 * t1362;
  t1450 = t1143 * t1366;
  t1453 = t1147 * t536;
  t1456 = t1314 / 0.8e1;
  t1457 = t1317 / 0.8e1;
  t1458 = t1322 / 0.16e2;
  t1459 = t1326 / 0.8e1;
  t1460 = t346 * t74;
  t1461 = t1460 * t475;
  t1464 = t1182 * t580;
  t1467 = t1147 * t580;
  t1470 = t1182 * t1395;
  t1475 = -t48 * t1441 / 0.32e2 + 0.3e1 / 0.16e2 * t177 * t1444 - 0.3e1 / 0.16e2 * t177 * t1447 - t177 * t1450 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1453 + t1456 + t1457 - t1458 - t1459 + t1380 - t1381 - t177 * t1461 / 0.16e2 - t1382 + 0.3e1 / 0.32e2 * t162 * t1464 + t177 * t1467 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1470 - 0.3e1 / 0.32e2 * t162 * t1447 + t1399 - t262;
  t1476 = my_piecewise3(t3, 0, t1475);
  tv3sigmatau20 = 0.2e1 * rho[0] * t1476;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  t1478 = t434 * t83;
  t1480 = t437 * t83;
  t1483 = t1478 * t64 / 0.2e1 - t1480 * t64 / 0.2e1 + t85 / 0.2e1;
  t1485 = t1483 * t310 * t119;
  t1488 = t310 * t83;
  t1489 = t49 * t1488;
  t1490 = t1489 * t409;
  t1493 = t110 * t1488;
  t1494 = t1493 * t420;
  t1497 = t1489 * t428;
  t1500 = t1489 * t377;
  t1503 = 0.3e1 / 0.16e2 * t1259;
  t1504 = 0.3e1 / 0.16e2 * t1263;
  t1505 = 0.3e1 / 0.16e2 * t1267;
  t1506 = 0.3e1 / 0.32e2 * t1274;
  t1507 = t1489 * t475;
  t1510 = t1493 * t377;
  t1513 = t1493 * t385;
  t1516 = t1489 * t395;
  t1519 = t1489 * t402;
  t1522 = -t48 * t1485 / 0.32e2 - t48 * t1490 / 0.8e1 + 0.3e1 / 0.32e2 * t48 * t1494 + 0.3e1 / 0.16e2 * t48 * t1497 - 0.3e1 / 0.16e2 * t48 * t1500 - t1503 + t1504 + t1505 - t1506 - t48 * t1507 / 0.16e2 - 0.3e1 / 0.32e2 * t48 * t1510 + 0.3e1 / 0.32e2 * t48 * t1513 + t48 * t1516 / 0.4e1 - 0.3e1 / 0.16e2 * t48 * t1519 - t262;
  t1523 = my_piecewise3(t3, 0, t1522);
  tv3lapl30 = 0.2e1 * rho[0] * t1523;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  t1526 = t15 * t18 * t1483;
  t1529 = t91 * t310;
  t1530 = t1529 * t475;
  t1533 = t528 * t310;
  t1534 = t245 * t1533;
  t1537 = t1007 * t717;
  t1540 = t1529 * t428;
  t1543 = t523 * t310;
  t1544 = t241 * t1543;
  t1549 = t1011 * t689;
  t1552 = t1529 * t395;
  t1555 = t501 * t310;
  t1556 = t697 * t1555;
  t1559 = -t1526 * t328 / 0.32e2 + t1315 + t1318 - t1323 - t1327 - t1376 + t1377 + t1378 - t1379 - t177 * t1530 / 0.16e2 - t177 * t1534 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1537 + 0.3e1 / 0.16e2 * t177 * t1540 - 0.3e1 / 0.16e2 * t177 * t1544 - 0.3e1 / 0.32e2 * t162 * t1544 + 0.3e1 / 0.32e2 * t162 * t1549 + t177 * t1552 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1556 - t262;
  t1560 = my_piecewise3(t3, 0, t1559);
  tv3lapl2tau0 = 0.2e1 * rho[0] * t1560;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  t1563 = t1483 * t346 * t119;
  t1566 = t1147 * t594;
  t1570 = t1143 * t528 * t83;
  t1573 = t1147 * t644;
  t1576 = t1143 * t644;
  t1579 = t346 * t83;
  t1580 = t1579 * t475;
  t1585 = t1182 * t598;
  t1588 = t1147 * t598;
  t1592 = t1182 * t501 * t83;
  t1595 = -t48 * t1563 / 0.32e2 - 0.3e1 / 0.16e2 * t177 * t1566 - t177 * t1570 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1573 + 0.3e1 / 0.16e2 * t177 * t1576 + t1456 + t1457 - t1458 - t1459 - t1260 + t1264 + t1268 - t1275 - t177 * t1580 / 0.16e2 - 0.3e1 / 0.32e2 * t162 * t1566 + 0.3e1 / 0.32e2 * t162 * t1585 + t177 * t1588 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1592 - t262;
  t1596 = my_piecewise3(t3, 0, t1595);
  tv3lapltau20 = 0.2e1 * rho[0] * t1596;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  t1598 = t346 * t91;
  t1599 = t49 * t1598;
  t1600 = t1599 * t377;
  t1603 = t1599 * t409;
  t1606 = t110 * t1598;
  t1607 = t1606 * t420;
  t1610 = t1599 * t428;
  t1613 = t434 * t91;
  t1615 = t437 * t91;
  t1618 = t1613 * t64 / 0.2e1 - t1615 * t64 / 0.2e1 + t93 / 0.2e1;
  t1620 = t1618 * t346 * t119;
  t1623 = 0.3e1 / 0.16e2 * t1314;
  t1624 = 0.3e1 / 0.16e2 * t1317;
  t1625 = 0.3e1 / 0.32e2 * t1322;
  t1626 = 0.3e1 / 0.16e2 * t1326;
  t1627 = t1599 * t475;
  t1630 = t1606 * t377;
  t1633 = t1606 * t385;
  t1636 = t1599 * t395;
  t1639 = t1599 * t402;
  t1642 = -0.3e1 / 0.16e2 * t48 * t1600 - t48 * t1603 / 0.8e1 + 0.3e1 / 0.32e2 * t48 * t1607 + 0.3e1 / 0.16e2 * t48 * t1610 - t48 * t1620 / 0.32e2 + t1623 + t1624 - t1625 - t1626 - t48 * t1627 / 0.16e2 - 0.3e1 / 0.32e2 * t48 * t1630 + 0.3e1 / 0.32e2 * t48 * t1633 + t48 * t1636 / 0.4e1 - 0.3e1 / 0.16e2 * t48 * t1639 - t262;
  t1643 = my_piecewise3(t3, 0, t1642);
  tv3tau30 = 0.2e1 * rho[0] * t1643;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  t1652 = t133 * t111;
  t1658 = t535 * t133;
  t1662 = t389 * t524;
  t1686 = t579 * t133;
  t1695 = t528 * t133;
  t1699 = 0.15e2 / 0.128e3 * t15 * t16 / t17 / t25 * t39 + 0.9e1 / 0.8e1 * t177 * t1652 * t428 - 0.3e1 / 0.16e2 * t558 * t416 + 0.9e1 / 0.16e2 * t162 * t534 * t1658 - 0.9e1 / 0.8e1 * t177 * t1662 + 0.3e1 / 0.2e1 * t177 * t389 * t579 * t111 - 0.9e1 / 0.8e1 * t177 * t133 * t381 * t502 - t177 * t456 * t59 * t140 / 0.4e1 - 0.3e1 / 0.8e1 * t507 * t471 - 0.3e1 / 0.8e1 * t177 * t1652 * t475 + 0.3e1 / 0.8e1 * t507 * t390 - 0.9e1 / 0.16e2 * t162 * t1662 + 0.9e1 / 0.16e2 * t162 * t578 * t1686 + t177 * t456 * t36 * t190 / 0.4e1 - 0.3e1 / 0.4e1 * t177 * t111 * t36 * t1695;
  t1708 = t456 * t113;
  t1712 = t111 * t111;
  t1713 = t110 * t1712;
  t1714 = t117 * t117;
  t1715 = 0.1e1 / t1714;
  t1716 = t401 * t1715;
  t1720 = t113 * t113;
  t1722 = 0.1e1 / t382 / t114;
  t1724 = t1720 * t1722 * t1715;
  t1728 = t49 * t1712;
  t1730 = t113 * t400 * t1715;
  t1735 = t381 * t1722 * t1715;
  t1740 = 0.1e1 / t382 / t144;
  t1742 = t1720 * t1740 * t1715;
  t1746 = t146 * t1715;
  t1750 = t384 * t1715;
  t1761 = 0.1e1 / t432 / t38 * t49;
  t1765 = t433 * t110;
  t1772 = t434 * t111;
  t1779 = t108 * t441;
  t1786 = t437 * t111;
  t1793 = t120 / 0.4e1 + t135 / 0.2e1 + t141 / 0.2e1 - t148 / 0.2e1 - t152 / 0.2e1 - t1761 * t111 * t119 / 0.2e1 + t1765 * t111 * t119 / 0.2e1 + t434 * t133 * t64 / 0.2e1 + t1772 * t140 / 0.2e1 - t1772 * t147 / 0.2e1 - t1772 * t151 / 0.2e1 - t1779 * t59 * t64 / 0.2e1 - t437 * t133 * t64 / 0.2e1 - t1786 * t140 / 0.2e1 + t1786 * t147 / 0.2e1 + t1786 * t151 / 0.2e1;
  t1808 = my_piecewise3(t32, (0.6e2 * lapl[0] * t451 - 0.24e3 * tau[0] * t451 + 0.9e2 * sigma[0] / t53 / t25) * t30, 0);
  t1817 = 0.3e1 / 0.8e1 * t507 * t425 - 0.5e1 / 0.32e2 * t562 * t416 - t162 * t163 * t164 * t456 / 0.8e1 + t177 * t1708 * t184 / 0.4e1 + 0.11e2 / 0.16e2 * t48 * t1713 * t1716 - 0.15e2 / 0.32e2 * t48 * t1713 * t1724 + 0.11e2 / 0.16e2 * t48 * t1728 * t1730 - 0.25e2 / 0.16e2 * t48 * t1728 * t1735 + 0.15e2 / 0.16e2 * t48 * t1728 * t1742 + 0.9e1 / 0.16e2 * t48 * t1713 * t1746 - 0.9e1 / 0.16e2 * t48 * t1713 * t1750 - t48 * t1793 * t111 * t119 / 0.32e2 - t48 * t49 * t1808 * t64 / 0.16e2 + 0.3e1 / 0.32e2 * t461 * t135 + 0.3e1 / 0.64e2 * t461 * t120;
  t1819 = t116 * t1715;
  t1825 = t441 * t373;
  t1829 = t15 * t367;
  t1840 = t139 * t1715;
  t1846 = t474 * t1715;
  t1855 = t36 * t383 * t1715;
  t1863 = -0.11e2 / 0.32e2 * t48 * t1713 * t1819 + 0.3e1 / 0.16e2 * t105 * t421 + 0.5e1 / 0.32e2 * t48 * t1825 * t420 - 0.3e1 / 0.32e2 * t1829 * t65 + 0.3e1 / 0.16e2 * t105 * t386 - 0.5e1 / 0.32e2 * t48 * t1825 * t377 + 0.5e1 / 0.32e2 * t48 * t1825 * t385 - 0.11e2 / 0.16e2 * t48 * t1728 * t1840 + 0.3e1 / 0.8e1 * t105 * t429 + 0.3e1 / 0.8e1 * t48 * t1728 * t1846 + 0.3e1 / 0.32e2 * t461 * t141 - t105 * t476 / 0.8e1 - t48 * t1728 * t1855 / 0.16e2 + t105 * t396 / 0.2e1 - 0.3e1 / 0.8e1 * t105 * t403;
  t1864 = t394 * t1715;
  t1868 = t133 * t133;
  t1869 = t49 * t1868;
  t1885 = t62 * t1715;
  t1910 = -0.7e1 / 0.32e2 * t48 * t1713 * t1864 - 0.3e1 / 0.16e2 * t48 * t1869 * t140 - t105 * t458 / 0.8e1 + 0.3e1 / 0.16e2 * t48 * t1869 * t151 - t105 * t443 / 0.16e2 + 0.11e2 / 0.16e2 * t48 * t1728 * t1746 - t105 * t410 / 0.4e1 + 0.3e1 / 0.8e1 * t48 * t1728 * t1885 - 0.3e1 / 0.32e2 * t461 * t152 - 0.3e1 / 0.32e2 * t48 * t110 * t1868 * t119 + 0.3e1 / 0.16e2 * t48 * t1869 * t147 - 0.3e1 / 0.2e1 * t48 * t1728 * t1864 + 0.9e1 / 0.8e1 * t48 * t1728 * t1716 - 0.3e1 / 0.32e2 * t461 * t148 - 0.3e1 / 0.8e1 * t105 * t406 - 0.3e1 / 0.16e2 * t105 * t378;
  t1913 = my_piecewise3(t3, 0, t1699 + t1817 + t1863 + t1910);
  tv4rho40 = 0.2e1 * rho[0] * t1913 + 0.8e1 * t481;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t1918 = t376 * t59 * t133;
  t1919 = t848 * t1918;
  t1922 = t178 * t36;
  t1923 = t523 * t133;
  t1931 = t500 * t400;
  t1935 = t188 * t61;
  t1939 = t163 * t115;
  t1940 = t863 * t133;
  t1949 = t59 * t381;
  t1950 = t1949 * t383;
  t1956 = t171 * t381;
  t1960 = t383 * t1715;
  t1962 = t182 * t1960 * t373;
  t1966 = t15 * t101 * t49;
  t1971 = t171 * t111;
  t1975 = t373 * t381;
  t1976 = t400 * t1715;
  t1977 = t1976 * t74;
  t1978 = t1975 * t1977;
  t1981 = t373 * t1720;
  t1982 = t1722 * t1715;
  t1983 = t1982 * t74;
  t1987 = t74 * t373;
  t1991 = t74 * t1720;
  t1992 = t1740 * t1715;
  t1993 = t1992 * t373;
  t1997 = -0.9e1 / 0.16e2 * t177 * t1919 - 0.3e1 / 0.16e2 * t177 * t1922 * t1923 + 0.3e1 / 0.4e1 * t177 * t543 * t113 * t772 - 0.9e1 / 0.16e2 * t177 * t1931 * t1918 - 0.3e1 / 0.8e1 * t177 * t1935 * t1918 + 0.9e1 / 0.32e2 * t162 * t1939 * t1940 + 0.9e1 / 0.16e2 * t177 * t1922 * t1658 - 0.9e1 / 0.32e2 * t162 * t1919 + 0.9e1 / 0.32e2 * t162 * t1950 * t1940 - 0.9e1 / 0.32e2 * t507 * t503 - 0.9e1 / 0.16e2 * t177 * t1956 * t502 - 0.3e1 / 0.2e1 * t177 * t1962 + 0.3e1 / 0.64e2 * t1966 * t179 + 0.9e1 / 0.32e2 * t507 * t540 + 0.9e1 / 0.16e2 * t177 * t1971 * t428 + 0.11e2 / 0.16e2 * t162 * t1978 - 0.15e2 / 0.32e2 * t162 * t1981 * t1983 - 0.25e2 / 0.16e2 * t177 * t1987 * t1735 + 0.15e2 / 0.16e2 * t177 * t1991 * t1993;
  t2000 = t373 * t113;
  t2001 = t145 * t1715;
  t2002 = t2001 * t74;
  t2003 = t2000 * t2002;
  t2026 = t523 * t171;
  t2027 = t534 * t2026;
  t2051 = t61 * t1715;
  t2052 = t2051 * t373;
  t2056 = 0.9e1 / 0.8e1 * t177 * t1978 + 0.9e1 / 0.16e2 * t162 * t2003 - 0.5e1 / 0.32e2 * t562 * t525 + 0.5e1 / 0.32e2 * t562 * t581 + 0.3e1 / 0.8e1 * t507 * t497 + 0.3e1 / 0.4e1 * t177 * t1971 * t395 + 0.11e2 / 0.16e2 * t177 * t1987 * t1730 - 0.3e1 / 0.16e2 * t177 * t491 * t59 * t140 - 0.3e1 / 0.16e2 * t177 * t171 * t133 * t140 - 0.9e1 / 0.32e2 * t162 * t2027 - 0.7e1 / 0.32e2 * t162 * t1962 + 0.3e1 / 0.16e2 * t507 * t520 + 0.3e1 / 0.32e2 * t507 * t548 - 0.3e1 / 0.16e2 * t507 * t511 - 0.3e1 / 0.32e2 * t507 * t514 - 0.3e1 / 0.16e2 * t177 * t1971 * t475 - t177 * t1987 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t177 * t1987 * t1840 - 0.3e1 / 0.16e2 * t507 * t530 + 0.3e1 / 0.8e1 * t177 * t188 * t2052;
  t2074 = t164 * t491;
  t2081 = t189 * t456;
  t2088 = t15 * t101 * t110;
  t2094 = t15 * t45 * t441;
  t2101 = t535 * t171;
  t2109 = t183 * t456;
  t2113 = 0.9e1 / 0.64e2 * t558 * t537 + 0.3e1 / 0.8e1 * t177 * t1987 * t1846 - 0.3e1 / 0.64e2 * t1966 * t185 - 0.9e1 / 0.32e2 * t507 * t525 - 0.9e1 / 0.16e2 * t177 * t2027 + 0.11e2 / 0.16e2 * t177 * t2003 - 0.3e1 / 0.32e2 * t162 * t389 * t568 - 0.3e1 / 0.32e2 * t162 * t163 * t2074 + 0.3e1 / 0.16e2 * t177 * t572 * t551 + t177 * t188 * t2081 / 0.16e2 - 0.3e1 / 0.64e2 * t1966 * t191 + 0.3e1 / 0.128e3 * t2088 * t166 + 0.3e1 / 0.16e2 * t507 * t573 - 0.3e1 / 0.64e2 * t2094 * t166 - 0.3e1 / 0.64e2 * t558 * t565 + 0.5e1 / 0.32e2 * t562 * t537 + 0.9e1 / 0.32e2 * t162 * t534 * t2101 - t177 * t74 * t456 * t140 / 0.16e2 + t177 * t182 * t2109 / 0.16e2;
  t2116 = t491 * t113;
  t2123 = t579 * t171;
  t2127 = t1960 * t74;
  t2134 = t115 * t1715;
  t2135 = t2134 * t74;
  t2152 = t15 * t18 * t1793;
  t2170 = my_piecewise3(t32, -0.15e2 * t451 * t30, 0);
  t2175 = 0.9e1 / 0.64e2 * t558 * t581 + 0.3e1 / 0.16e2 * t177 * t2116 * t184 + 0.3e1 / 0.16e2 * t177 * t519 * t547 + 0.9e1 / 0.32e2 * t162 * t578 * t2123 - 0.9e1 / 0.16e2 * t162 * t1975 * t2127 - 0.3e1 / 0.8e1 * t177 * t572 * t529 - 0.11e2 / 0.32e2 * t162 * t2000 * t2135 - 0.3e1 / 0.32e2 * t507 * t544 - 0.9e1 / 0.64e2 * t558 * t525 + 0.3e1 / 0.32e2 * t507 * t552 + 0.3e1 / 0.16e2 * t177 * t491 * t36 * t190 - 0.3e1 / 0.32e2 * t558 * t569 - t2152 * t166 / 0.32e2 - t562 * t565 / 0.16e2 - 0.3e1 / 0.32e2 * t562 * t569 - t162 * t1708 * t165 / 0.32e2 - 0.3e1 / 0.128e3 * t1829 * t76 + 0.3e1 / 0.64e2 * t461 * t173 - 0.3e1 / 0.32e2 * t105 * t493 - t48 * t49 * t2170 * t64 / 0.16e2;
  t2178 = my_piecewise3(t3, 0, t1997 + t2056 + t2113 + t2175);
  tv4rho3sigma0 = 0.2e1 * rho[0] * t2178 + 0.6e1 * t586;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  t2189 = t849 * t133;
  t2193 = t163 * t145;
  t2194 = t2193 * t2189;
  t2197 = t209 * t36;
  t2212 = t83 * t373;
  t2220 = t1976 * t83;
  t2221 = t1975 * t2220;
  t2224 = t1982 * t83;
  t2231 = t83 * t1720;
  t2237 = t204 * t381;
  t2244 = 0.3e1 / 0.4e1 * t177 * t655 * t113 * t772 - 0.9e1 / 0.16e2 * t177 * t862 * t1918 + 0.9e1 / 0.32e2 * t162 * t1950 * t2189 - 0.9e1 / 0.32e2 * t162 * t2194 + 0.9e1 / 0.16e2 * t177 * t2197 * t1658 - 0.9e1 / 0.16e2 * t177 * t2194 - 0.3e1 / 0.8e1 * t177 * t919 * t1918 + 0.9e1 / 0.32e2 * t162 * t1939 * t2189 - 0.3e1 / 0.16e2 * t177 * t2197 * t1923 - t177 * t2212 * t1855 / 0.16e2 - 0.5e1 / 0.32e2 * t562 * t595 + 0.5e1 / 0.32e2 * t562 * t599 + 0.11e2 / 0.16e2 * t162 * t2221 - 0.15e2 / 0.32e2 * t162 * t1981 * t2224 - 0.25e2 / 0.16e2 * t177 * t2212 * t1735 + 0.15e2 / 0.16e2 * t177 * t2231 * t1993 - 0.9e1 / 0.32e2 * t507 * t607 - 0.9e1 / 0.16e2 * t177 * t2237 * t502 + 0.11e2 / 0.16e2 * t177 * t2212 * t1730;
  t2245 = t2212 * t1864;
  t2252 = t204 * t111;
  t2268 = t213 * t2001 * t373;
  t2285 = t628 * t524;
  t2295 = -0.3e1 / 0.2e1 * t177 * t2245 + 0.9e1 / 0.8e1 * t177 * t2221 + 0.3e1 / 0.8e1 * t507 * t603 + 0.3e1 / 0.4e1 * t177 * t2252 * t395 - 0.3e1 / 0.16e2 * t507 * t623 - 0.3e1 / 0.32e2 * t507 * t656 + 0.3e1 / 0.32e2 * t507 * t648 + 0.3e1 / 0.16e2 * t507 * t652 - 0.11e2 / 0.16e2 * t177 * t2212 * t1840 + 0.11e2 / 0.16e2 * t177 * t2268 - 0.3e1 / 0.16e2 * t507 * t641 + 0.3e1 / 0.8e1 * t177 * t217 * t2052 + 0.9e1 / 0.64e2 * t558 * t645 + 0.9e1 / 0.16e2 * t177 * t2252 * t428 - 0.3e1 / 0.64e2 * t1966 * t214 - 0.9e1 / 0.32e2 * t507 * t595 - 0.9e1 / 0.16e2 * t177 * t2285 + 0.3e1 / 0.8e1 * t177 * t2212 * t1846 + 0.3e1 / 0.64e2 * t1966 * t210 + 0.9e1 / 0.32e2 * t507 * t636;
  t2302 = t2134 * t83;
  t2308 = t535 * t204;
  t2318 = t615 * t36;
  t2326 = t1960 * t83;
  t2348 = t615 * t113;
  t2352 = -0.3e1 / 0.32e2 * t507 * t633 - 0.3e1 / 0.16e2 * t177 * t2252 * t475 - 0.11e2 / 0.32e2 * t162 * t2000 * t2302 + 0.5e1 / 0.32e2 * t562 * t645 + 0.9e1 / 0.32e2 * t162 * t534 * t2308 + 0.3e1 / 0.16e2 * t177 * t651 * t551 + t177 * t217 * t2081 / 0.16e2 + 0.3e1 / 0.16e2 * t177 * t2318 * t190 - 0.7e1 / 0.32e2 * t162 * t2245 + 0.9e1 / 0.16e2 * t162 * t2268 - 0.9e1 / 0.16e2 * t162 * t1975 * t2326 - 0.9e1 / 0.64e2 * t558 * t595 - 0.3e1 / 0.16e2 * t177 * t615 * t59 * t140 - 0.3e1 / 0.16e2 * t177 * t204 * t133 * t140 - 0.9e1 / 0.32e2 * t162 * t2285 + 0.3e1 / 0.16e2 * t507 * t629 + 0.3e1 / 0.32e2 * t507 * t659 + 0.9e1 / 0.64e2 * t558 * t599 + 0.3e1 / 0.16e2 * t177 * t2348 * t184;
  t2356 = t579 * t204;
  t2360 = t164 * t615;
  t2397 = my_piecewise3(t32, -0.12e2 * t489, 0);
  t2408 = 0.3e1 / 0.16e2 * t177 * t628 * t547 + 0.9e1 / 0.32e2 * t162 * t578 * t2356 - 0.3e1 / 0.32e2 * t162 * t163 * t2360 - 0.3e1 / 0.64e2 * t2094 * t201 - 0.3e1 / 0.64e2 * t558 * t668 - 0.3e1 / 0.32e2 * t558 * t591 - t2152 * t201 / 0.32e2 - t562 * t668 / 0.16e2 - 0.3e1 / 0.32e2 * t562 * t591 - t162 * t1708 * t200 / 0.32e2 - 0.3e1 / 0.32e2 * t162 * t389 * t590 - t177 * t83 * t456 * t140 / 0.16e2 + t177 * t213 * t2109 / 0.16e2 - 0.3e1 / 0.64e2 * t1966 * t218 + 0.3e1 / 0.128e3 * t2088 * t201 - 0.3e1 / 0.8e1 * t177 * t651 * t529 - t48 * t49 * t2397 * t64 / 0.16e2 + 0.3e1 / 0.64e2 * t461 * t206 - 0.3e1 / 0.32e2 * t105 * t617 - 0.3e1 / 0.128e3 * t1829 * t85;
  t2411 = my_piecewise3(t3, 0, t2244 + t2295 + t2352 + t2408);
  tv4rho3lapl0 = 0.2e1 * rho[0] * t2411 + 0.6e1 * t673;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 0] += tv4rho3lapl0;

  t2415 = t241 * t383;
  t2422 = t928 * t133;
  t2426 = t237 * t36;
  t2431 = t389 * t145 * t929;
  t2445 = t91 * t373;
  t2452 = t91 * t1720;
  t2461 = t1975 * t1976 * t91;
  t2464 = t1982 * t91;
  t2470 = t232 * t111;
  t2476 = 0.3e1 / 0.4e1 * t177 * t2415 * t1918 - 0.9e1 / 0.16e2 * t177 * t937 * t1918 + 0.9e1 / 0.32e2 * t162 * t1939 * t2422 + 0.9e1 / 0.16e2 * t177 * t2426 * t1658 - 0.9e1 / 0.32e2 * t162 * t2431 - 0.9e1 / 0.16e2 * t177 * t2431 - 0.3e1 / 0.8e1 * t177 * t950 * t1918 + 0.9e1 / 0.32e2 * t162 * t1950 * t2422 - 0.3e1 / 0.16e2 * t177 * t2426 * t1923 - t177 * t2445 * t1855 / 0.16e2 - 0.25e2 / 0.16e2 * t177 * t2445 * t1735 + 0.15e2 / 0.16e2 * t177 * t2452 * t1993 - 0.5e1 / 0.32e2 * t562 * t686 + 0.5e1 / 0.32e2 * t562 * t690 + 0.11e2 / 0.16e2 * t162 * t2461 - 0.15e2 / 0.32e2 * t162 * t1981 * t2464 + 0.3e1 / 0.8e1 * t507 * t694 + 0.3e1 / 0.4e1 * t177 * t2470 * t395 - 0.9e1 / 0.32e2 * t507 * t698;
  t2477 = t232 * t381;
  t2485 = t2000 * t2001 * t91;
  t2488 = t1960 * t91;
  t2492 = t2445 * t1864;
  t2507 = t2134 * t91;
  t2527 = t709 * t524;
  t2532 = -0.9e1 / 0.16e2 * t177 * t2477 * t502 + 0.11e2 / 0.16e2 * t177 * t2445 * t1730 + 0.9e1 / 0.16e2 * t162 * t2485 - 0.9e1 / 0.16e2 * t162 * t1975 * t2488 - 0.3e1 / 0.2e1 * t177 * t2492 + 0.9e1 / 0.8e1 * t177 * t2461 + 0.3e1 / 0.8e1 * t177 * t245 * t2052 + 0.3e1 / 0.32e2 * t507 * t732 + 0.3e1 / 0.8e1 * t177 * t2445 * t1846 + 0.9e1 / 0.64e2 * t558 * t718 - 0.11e2 / 0.32e2 * t162 * t2000 * t2507 - 0.11e2 / 0.16e2 * t177 * t2445 * t1840 + 0.11e2 / 0.16e2 * t177 * t2485 + 0.3e1 / 0.64e2 * t1966 * t238 + 0.9e1 / 0.32e2 * t507 * t721 + 0.9e1 / 0.16e2 * t177 * t2470 * t428 - 0.3e1 / 0.64e2 * t1966 * t242 - 0.9e1 / 0.32e2 * t507 * t686 - 0.9e1 / 0.16e2 * t177 * t2527 - 0.3e1 / 0.32e2 * t507 * t713;
  t2553 = t753 * t113;
  t2560 = t579 * t232;
  t2582 = -0.3e1 / 0.16e2 * t177 * t2470 * t475 - 0.3e1 / 0.16e2 * t177 * t753 * t59 * t140 - 0.3e1 / 0.16e2 * t177 * t232 * t133 * t140 - 0.9e1 / 0.32e2 * t162 * t2527 + 0.3e1 / 0.16e2 * t507 * t710 + 0.3e1 / 0.32e2 * t507 * t729 + 0.9e1 / 0.64e2 * t558 * t690 + 0.3e1 / 0.16e2 * t177 * t2553 * t184 + 0.3e1 / 0.16e2 * t177 * t709 * t547 + 0.9e1 / 0.32e2 * t162 * t578 * t2560 - 0.3e1 / 0.16e2 * t507 * t704 - 0.3e1 / 0.32e2 * t507 * t678 - 0.3e1 / 0.64e2 * t2094 * t228 - 0.3e1 / 0.64e2 * t558 * t737 - 0.3e1 / 0.32e2 * t558 * t741 + 0.3e1 / 0.16e2 * t507 * t745 - 0.3e1 / 0.16e2 * t507 * t726 + 0.3e1 / 0.128e3 * t2088 * t228 - t562 * t737 / 0.16e2;
  t2591 = t164 * t753;
  t2595 = t753 * t36;
  t2617 = t535 * t232;
  t2634 = my_piecewise3(t32, 0.48e2 * t489, 0);
  t2641 = -0.3e1 / 0.32e2 * t562 * t741 - t162 * t1708 * t227 / 0.32e2 - 0.3e1 / 0.32e2 * t162 * t389 * t740 - 0.3e1 / 0.32e2 * t162 * t163 * t2591 + 0.3e1 / 0.16e2 * t177 * t2595 * t190 - 0.3e1 / 0.8e1 * t177 * t744 * t529 + t177 * t241 * t2109 / 0.16e2 + 0.3e1 / 0.16e2 * t177 * t744 * t551 + t177 * t245 * t2081 / 0.16e2 - t2152 * t228 / 0.32e2 - 0.7e1 / 0.32e2 * t162 * t2492 + 0.5e1 / 0.32e2 * t562 * t718 + 0.9e1 / 0.32e2 * t162 * t534 * t2617 - 0.9e1 / 0.64e2 * t558 * t686 - t177 * t91 * t456 * t140 / 0.16e2 - 0.3e1 / 0.64e2 * t1966 * t246 + 0.3e1 / 0.64e2 * t461 * t234 - 0.3e1 / 0.32e2 * t105 * t755 - t48 * t49 * t2634 * t64 / 0.16e2 - 0.3e1 / 0.128e3 * t1829 * t93;
  t2644 = my_piecewise3(t3, 0, t2476 + t2532 + t2582 + t2641);
  tv4rho3tau0 = 0.2e1 * rho[0] * t2644 + 0.6e1 * t760;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 0] += tv4rho3tau0;

  t2649 = t376 * t171 * t59;
  t2650 = t848 * t2649;
  t2670 = t863 * t171;
  t2677 = t1982 * t111;
  t2681 = t253 * t1720;
  t2682 = t1992 * t111;
  t2686 = -0.3e1 / 0.4e1 * t177 * t2650 - 0.3e1 / 0.4e1 * t177 * t1931 * t2649 - 0.3e1 / 0.8e1 * t162 * t2650 - t177 * t1922 * t2026 / 0.4e1 + 0.3e1 / 0.4e1 * t177 * t1922 * t2101 + 0.3e1 / 0.8e1 * t162 * t854 * t2649 - t177 * t1935 * t2649 / 0.2e1 + 0.3e1 / 0.8e1 * t162 * t1939 * t2670 + t177 * t182 * t383 * t2649 - 0.25e2 / 0.16e2 * t177 * t776 * t2677 + 0.15e2 / 0.16e2 * t177 * t2681 * t2682;
  t2687 = t258 * t381;
  t2690 = 0.3e1 / 0.16e2 * t177 * t2687 * t502;
  t2691 = t2001 * t111;
  t2692 = t771 * t2691;
  t2695 = t258 * t111;
  t2698 = t177 * t2695 * t395 / 0.4e1;
  t2699 = t253 * t111;
  t2703 = t2051 * t111;
  t2709 = t1960 * t111;
  t2710 = t771 * t2709;
  t2715 = t1976 * t111;
  t2716 = t776 * t2715;
  t2723 = -t2690 + 0.11e2 / 0.16e2 * t177 * t2692 + t2698 + 0.11e2 / 0.16e2 * t177 * t2699 * t1730 + 0.3e1 / 0.8e1 * t177 * t796 * t2703 + t507 * t773 / 0.4e1 - 0.3e1 / 0.2e1 * t177 * t2710 - 0.3e1 / 0.16e2 * t507 * t778 + 0.9e1 / 0.8e1 * t177 * t2716 - 0.3e1 / 0.32e2 * t558 * t782 + 0.9e1 / 0.16e2 * t162 * t2692;
  t2726 = t507 * t764 / 0.16e2;
  t2729 = 0.3e1 / 0.16e2 * t177 * t2695 * t428;
  t2737 = t177 * t2695 * t475 / 0.16e2;
  t2744 = t579 * t258;
  t2747 = 0.3e1 / 0.32e2 * t162 * t578 * t2744;
  t2748 = t189 * t491;
  t2755 = t177 * t258 * t133 * t140 / 0.16e2;
  t2756 = t523 * t258;
  t2757 = t534 * t2756;
  t2759 = 0.3e1 / 0.32e2 * t162 * t2757;
  t2760 = -t2726 + t2729 - t507 * t768 / 0.16e2 + 0.3e1 / 0.8e1 * t177 * t2699 * t1846 - t2737 - t177 * t2699 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t177 * t2699 * t1840 + t2747 + t177 * t188 * t2748 / 0.8e1 - t2755 - t2759;
  t2772 = t501 * t133;
  t2776 = t111 * t1720;
  t2777 = t1982 * t253;
  t2787 = t507 * t789 / 0.16e2;
  t2789 = 0.3e1 / 0.16e2 * t177 * t2757;
  t2794 = -t177 * t253 * t133 * t475 / 0.16e2 - 0.7e1 / 0.32e2 * t162 * t2710 + t177 * t771 * t1686 / 0.4e1 + 0.11e2 / 0.16e2 * t162 * t2716 - 0.3e1 / 0.16e2 * t177 * t776 * t2772 - 0.15e2 / 0.32e2 * t162 * t2776 * t2777 + 0.3e1 / 0.32e2 * t558 * t785 - 0.9e1 / 0.16e2 * t162 * t776 * t2709 + t2787 - t2789 + t507 * t793 / 0.8e1 - t507 * t798 / 0.8e1;
  t2807 = t2134 * t253;
  t2817 = t507 * t808 / 0.16e2;
  t2819 = t558 * t813 / 0.32e2;
  t2822 = t177 * t807 * t551 / 0.16e2;
  t2823 = t535 * t258;
  t2826 = 0.3e1 / 0.32e2 * t162 * t534 * t2823;
  t2827 = -t507 * t818 / 0.8e1 + 0.3e1 / 0.16e2 * t507 * t821 - t177 * t188 * t2074 / 0.8e1 - t177 * t796 * t1695 / 0.8e1 - 0.11e2 / 0.32e2 * t162 * t534 * t2807 + 0.5e1 / 0.32e2 * t562 * t802 + 0.3e1 / 0.32e2 * t162 * t771 * t1658 + t2817 - t2819 + t2822 + t2826;
  t2830 = t771 * t1923;
  t2840 = t177 * t788 * t547 / 0.16e2;
  t2843 = t177 * t807 * t529 / 0.8e1;
  t2856 = -0.5e1 / 0.32e2 * t562 * t782 - 0.3e1 / 0.32e2 * t162 * t2830 + 0.5e1 / 0.32e2 * t562 * t785 + 0.3e1 / 0.32e2 * t162 * t776 * t1686 + t2840 - t2843 - t558 * t836 / 0.16e2 - t562 * t836 / 0.8e1 - t162 * t182 * t2074 / 0.16e2 + 0.3e1 / 0.16e2 * t177 * t796 * t1658 + t507 * t827 / 0.8e1;
  t2860 = t183 * t491;
  t2867 = t562 * t813 / 0.32e2;
  t2870 = t162 * t389 * t812 / 0.32e2;
  t2873 = t814 / 0.16e2;
  t2874 = t765 / 0.8e1;
  t2875 = t790 / 0.8e1;
  t2876 = t809 / 0.8e1;
  t2877 = t171 * t171;
  t2878 = t49 * t2877;
  t2882 = -0.3e1 / 0.16e2 * t507 * t782 + t177 * t182 * t2860 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t2830 - t2867 - t2870 + 0.3e1 / 0.32e2 * t558 * t802 - t2873 - t2874 + t2875 + t2876 - t48 * t2878 * t140 / 0.8e1;
  t2884 = t461 * t260 / 0.64e2;
  t2909 = t805 / 0.16e2;
  t2910 = t2884 + t48 * t2878 * t151 / 0.8e1 - t105 * t840 / 0.32e2 - t48 * t1793 * t253 * t119 / 0.32e2 - t461 * t270 / 0.64e2 + t461 * t255 / 0.128e3 - t48 * t110 * t2877 * t119 / 0.16e2 - t461 * t267 / 0.64e2 + t48 * t2878 * t147 / 0.8e1 + t461 * t264 / 0.64e2 - t2909 - t262;
  t2914 = my_piecewise3(t3, 0, t2686 + t2723 + t2760 + t2794 + t2827 + t2856 + t2882 + t2910);
  tv4rho2sigma20 = 0.2e1 * rho[0] * t2914 + 0.4e1 * t845;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  t2918 = t1991 * t1722;
  t2919 = t1715 * t83;
  t2920 = t2919 * t111;
  t2928 = t2231 * t1740;
  t2929 = t1715 * t74;
  t2930 = t2929 * t111;
  t2934 = t279 * t111;
  t2938 = t1072 * t2930;
  t2946 = t858 * t2709;
  t2959 = t862 * t2930;
  t2962 = -0.15e2 / 0.32e2 * t162 * t2918 * t2920 - 0.25e2 / 0.16e2 * t177 * t279 * t381 * t2677 + 0.15e2 / 0.16e2 * t177 * t2928 * t2930 + 0.11e2 / 0.16e2 * t177 * t2934 * t1730 + 0.11e2 / 0.16e2 * t177 * t2938 + 0.9e1 / 0.16e2 * t162 * t2938 - 0.9e1 / 0.16e2 * t162 * t854 * t2920 - 0.3e1 / 0.2e1 * t177 * t2946 + 0.3e1 / 0.8e1 * t177 * t919 * t2930 - t507 * t916 / 0.16e2 + 0.3e1 / 0.8e1 * t177 * t2934 * t1846 + 0.3e1 / 0.16e2 * t507 * t910 + 0.9e1 / 0.8e1 * t177 * t2959;
  t2986 = t534 * t115;
  t2987 = t2919 * t74;
  t3008 = 0.11e2 / 0.16e2 * t162 * t2959 + 0.3e1 / 0.8e1 * t177 * t879 * t36 * t801 + 0.3e1 / 0.16e2 * t177 * t909 * t1658 - t507 * t920 / 0.8e1 + 0.3e1 / 0.32e2 * t558 * t906 - t177 * t651 * t61 * t864 / 0.4e1 - t177 * t919 * t2649 / 0.4e1 - t177 * t919 * t1940 / 0.8e1 - 0.11e2 / 0.32e2 * t162 * t2986 * t2987 - t177 * t875 * t59 * t475 / 0.8e1 - t177 * t879 * t59 * t475 / 0.8e1 - t177 * t279 * t133 * t475 / 0.16e2 - 0.7e1 / 0.32e2 * t162 * t2946 + 0.3e1 / 0.32e2 * t162 * t854 * t2189;
  t3016 = t848 * t2189;
  t3019 = t376 * t204;
  t3020 = t3019 * t74;
  t3021 = t2193 * t3020;
  t3024 = t849 * t171;
  t3025 = t2193 * t3024;
  t3042 = t519 * t115;
  t3046 = t3019 * t59;
  t3050 = t177 * t858 * t1686 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t862 * t1940 - 0.3e1 / 0.32e2 * t162 * t3016 - 0.3e1 / 0.16e2 * t162 * t3021 - 0.3e1 / 0.16e2 * t162 * t3025 + 0.3e1 / 0.16e2 * t162 * t1950 * t3020 + 0.3e1 / 0.16e2 * t162 * t1950 * t3024 - 0.3e1 / 0.8e1 * t177 * t3021 - 0.3e1 / 0.8e1 * t177 * t3025 - 0.3e1 / 0.16e2 * t177 * t3016 + 0.5e1 / 0.32e2 * t562 * t906 + 0.3e1 / 0.16e2 * t162 * t3042 * t850 + 0.3e1 / 0.16e2 * t162 * t905 * t3046;
  t3091 = 0.3e1 / 0.32e2 * t162 * t905 * t2189 + 0.3e1 / 0.8e1 * t177 * t875 * t36 * t801 + 0.5e1 / 0.32e2 * t562 * t855 - 0.3e1 / 0.16e2 * t507 * t851 - 0.11e2 / 0.16e2 * t177 * t602 * t36 * t2135 - 0.3e1 / 0.32e2 * t558 * t851 + 0.3e1 / 0.32e2 * t558 * t855 + t507 * t859 / 0.4e1 - 0.3e1 / 0.16e2 * t507 * t865 + t177 * t875 * t113 * t772 / 0.2e1 + t177 * t879 * t113 * t772 / 0.2e1 - 0.3e1 / 0.8e1 * t177 * t2237 * t400 * t864 - 0.3e1 / 0.8e1 * t177 * t862 * t2649 - 0.5e1 / 0.32e2 * t562 * t851;
  t3132 = -t177 * t2934 * t1855 / 0.16e2 - t558 * t898 / 0.32e2 - t162 * t2116 * t200 / 0.32e2 - t162 * t519 * t590 / 0.16e2 - t177 * t615 * t74 * t140 / 0.16e2 - t177 * t204 * t171 * t140 / 0.8e1 - t177 * t83 * t491 * t140 / 0.16e2 + t177 * t2348 * t283 / 0.16e2 + t177 * t628 * t826 / 0.8e1 + t177 * t213 * t2860 / 0.16e2 - t507 * t876 / 0.16e2 - t507 * t880 / 0.16e2 + t507 * t883 / 0.16e2;
  t3160 = t507 * t886 / 0.16e2 + t177 * t651 * t792 / 0.8e1 + t177 * t217 * t2748 / 0.16e2 + t507 * t889 / 0.16e2 + t507 * t872 / 0.16e2 - t2094 * t276 / 0.32e2 - t558 * t894 / 0.32e2 - t2690 + t2698 + t1966 * t280 / 0.64e2 - t1966 * t284 / 0.64e2 - t1966 * t288 / 0.64e2 + t2088 * t276 / 0.128e3 - t162 * t182 * t2360 / 0.32e2;
  t3171 = t177 * t2318 * t287 / 0.16e2 - t2152 * t276 / 0.32e2 - t562 * t894 / 0.16e2 - t562 * t898 / 0.16e2 - t2726 + t2729 - t2737 + t2747 - t2755 - t2759 + t2787 - t2789 + t2817;
  t3172 = -t2819 + t2822 + t2826 + t2840 - t2843 - t2867 - t2870 - t2873 - t2874 + t2875 + t2876 + t2884 - t2909 - t262;
  t3176 = my_piecewise3(t3, 0, t2962 + t3008 + t3050 + t3091 + t3132 + t3160 + t3171 + t3172);
  tv4rho2sigmalapl0 = 0.2e1 * rho[0] * t3176 + 0.4e1 * t925;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 0] += tv4rho2sigmalapl0;

  t3180 = t1421 * t2930;
  t3188 = t297 * t111;
  t3194 = t1715 * t91;
  t3195 = t3194 * t111;
  t3196 = t1931 * t3195;
  t3206 = t2452 * t1740;
  t3213 = t2415 * t2930;
  t3220 = 0.11e2 / 0.16e2 * t177 * t3180 + 0.3e1 / 0.8e1 * t177 * t950 * t2930 - t507 * t945 / 0.16e2 + 0.3e1 / 0.8e1 * t177 * t3188 * t1846 + 0.3e1 / 0.16e2 * t507 * t958 + 0.11e2 / 0.16e2 * t162 * t3196 - 0.15e2 / 0.32e2 * t162 * t2918 * t3195 - 0.25e2 / 0.16e2 * t177 * t297 * t381 * t2677 + 0.15e2 / 0.16e2 * t177 * t3206 * t2930 + 0.11e2 / 0.16e2 * t177 * t3188 * t1730 - 0.3e1 / 0.2e1 * t177 * t3213 + 0.9e1 / 0.8e1 * t177 * t3196 + 0.9e1 / 0.16e2 * t162 * t3180;
  t3227 = t3194 * t74;
  t3237 = t709 * t145;
  t3238 = t3237 * t864;
  t3241 = t1421 * t2649;
  t3244 = t1421 * t1940;
  t3263 = t2477 * t400;
  t3267 = -t177 * t950 * t2649 / 0.4e1 - t177 * t950 * t1940 / 0.8e1 - 0.11e2 / 0.32e2 * t162 * t2986 * t3227 - 0.7e1 / 0.32e2 * t162 * t3213 - 0.3e1 / 0.16e2 * t507 * t941 + 0.3e1 / 0.32e2 * t558 * t930 - 0.3e1 / 0.8e1 * t177 * t3238 - 0.3e1 / 0.8e1 * t177 * t3241 - 0.3e1 / 0.16e2 * t177 * t3244 - 0.9e1 / 0.16e2 * t162 * t578 * t383 * t3227 - t177 * t976 * t59 * t475 / 0.8e1 - t177 * t980 * t59 * t475 / 0.8e1 - t177 * t297 * t133 * t475 / 0.16e2 - 0.3e1 / 0.8e1 * t177 * t3263 * t864;
  t3293 = t376 * t232;
  t3294 = t3293 * t59;
  t3309 = -0.3e1 / 0.8e1 * t177 * t937 * t2649 - t177 * t3188 * t1855 / 0.16e2 + t507 * t934 / 0.4e1 - 0.3e1 / 0.16e2 * t507 * t938 + 0.3e1 / 0.32e2 * t162 * t854 * t2422 + t177 * t933 * t1686 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t937 * t1940 + 0.5e1 / 0.32e2 * t562 * t954 + 0.3e1 / 0.16e2 * t162 * t3042 * t929 + 0.3e1 / 0.16e2 * t162 * t905 * t3294 + 0.3e1 / 0.32e2 * t162 * t905 * t2422 + 0.3e1 / 0.8e1 * t177 * t976 * t36 * t801 + 0.3e1 / 0.8e1 * t177 * t980 * t36 * t801;
  t3317 = t744 * t61;
  t3350 = 0.3e1 / 0.16e2 * t177 * t957 * t1658 - t507 * t951 / 0.8e1 + 0.3e1 / 0.32e2 * t558 * t954 - t177 * t3317 * t864 / 0.4e1 - 0.5e1 / 0.32e2 * t562 * t941 + 0.5e1 / 0.32e2 * t562 * t930 - 0.11e2 / 0.16e2 * t177 * t693 * t36 * t2135 - 0.3e1 / 0.32e2 * t558 * t941 - 0.3e1 / 0.16e2 * t162 * t3241 + 0.3e1 / 0.16e2 * t162 * t1956 * t383 * t929 - 0.3e1 / 0.16e2 * t162 * t3238 + 0.3e1 / 0.16e2 * t162 * t854 * t3294 + t177 * t976 * t113 * t772 / 0.2e1 + t177 * t980 * t113 * t772 / 0.2e1;
  t3386 = -0.3e1 / 0.32e2 * t162 * t3244 + t177 * t2595 * t287 / 0.16e2 + t177 * t744 * t792 / 0.8e1 + t507 * t984 / 0.16e2 + t507 * t987 / 0.16e2 + t1966 * t298 / 0.64e2 - t1966 * t304 / 0.64e2 + t2088 * t294 / 0.128e3 - t1966 * t301 / 0.64e2 - t177 * t91 * t491 * t140 / 0.16e2 + t177 * t2553 * t283 / 0.16e2 + t177 * t709 * t826 / 0.8e1 + t177 * t241 * t2860 / 0.16e2;
  t3423 = -t2152 * t294 / 0.32e2 + t177 * t245 * t2748 / 0.16e2 - t562 * t969 / 0.16e2 - t162 * t2116 * t227 / 0.32e2 - t162 * t519 * t740 / 0.16e2 - t562 * t972 / 0.16e2 - t162 * t182 * t2591 / 0.32e2 - t177 * t753 * t74 * t140 / 0.16e2 - t177 * t232 * t171 * t140 / 0.8e1 + t507 * t963 / 0.16e2 + t507 * t966 / 0.16e2 - t2094 * t294 / 0.32e2 - t558 * t969 / 0.32e2 - t558 * t972 / 0.32e2;
  t3429 = -t507 * t977 / 0.16e2 - t507 * t981 / 0.16e2 - t2690 + t2698 - t2726 + t2729 - t2737 + t2747 - t2755 - t2759 + t2787 - t2789 + t2817;
  t3433 = my_piecewise3(t3, 0, t3220 + t3267 + t3309 + t3350 + t3386 + t3423 + t3429 + t3172);
  tv4rho2sigmatau0 = 0.2e1 * rho[0] * t3433 + 0.4e1 * t1000;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 0] += tv4rho2sigmatau0;

  t3440 = t1072 * t3046;
  t3448 = t523 * t204;
  t3452 = t213 * t383;
  t3461 = t849 * t204;
  t3467 = t310 * t111;
  t3471 = 0.3e1 / 0.4e1 * t177 * t2197 * t2308 - 0.3e1 / 0.4e1 * t177 * t3440 - 0.3e1 / 0.8e1 * t162 * t3440 + 0.3e1 / 0.8e1 * t162 * t1076 * t3046 - t177 * t2197 * t3448 / 0.4e1 + t177 * t3452 * t3046 - 0.3e1 / 0.4e1 * t177 * t862 * t3046 - t177 * t919 * t3046 / 0.2e1 + 0.3e1 / 0.8e1 * t162 * t1939 * t3461 - 0.3e1 / 0.16e2 * t507 * t1015 - 0.11e2 / 0.16e2 * t177 * t3467 * t1840;
  t3477 = t1982 * t310;
  t3483 = t1007 * t1923;
  t3495 = t1960 * t310;
  t3496 = t534 * t3495;
  t3505 = 0.3e1 / 0.16e2 * t507 * t1040 - t177 * t3467 * t1855 / 0.16e2 - 0.15e2 / 0.32e2 * t162 * t2776 * t3477 - 0.5e1 / 0.32e2 * t562 * t1015 - 0.3e1 / 0.32e2 * t162 * t3483 + 0.5e1 / 0.32e2 * t562 * t1018 + 0.3e1 / 0.32e2 * t162 * t1011 * t1686 - t177 * t310 * t133 * t475 / 0.16e2 - 0.7e1 / 0.32e2 * t162 * t3496 + 0.11e2 / 0.16e2 * t177 * t3467 * t1730 - 0.25e2 / 0.16e2 * t177 * t1011 * t2677;
  t3507 = t310 * t1720;
  t3511 = t1007 * t2691;
  t3514 = t183 * t615;
  t3537 = 0.15e2 / 0.16e2 * t177 * t3507 * t2682 + 0.11e2 / 0.16e2 * t177 * t3511 + t177 * t213 * t3514 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t3483 - t558 * t1053 / 0.16e2 + 0.5e1 / 0.32e2 * t562 * t1031 + 0.3e1 / 0.32e2 * t162 * t1007 * t1658 - t507 * t1037 / 0.8e1 - t177 * t217 * t2360 / 0.8e1 + 0.3e1 / 0.16e2 * t177 * t1027 * t1658 + t507 * t1024 / 0.8e1;
  t3542 = t189 * t615;
  t3549 = t2134 * t310;
  t3556 = t1976 * t310;
  t3557 = t578 * t3556;
  t3572 = -t507 * t1028 / 0.8e1 + 0.3e1 / 0.32e2 * t558 * t1031 + t177 * t217 * t3542 / 0.8e1 - t177 * t1027 * t1695 / 0.8e1 - 0.11e2 / 0.32e2 * t162 * t534 * t3549 + t177 * t1007 * t1686 / 0.4e1 + 0.11e2 / 0.16e2 * t162 * t3557 - 0.3e1 / 0.16e2 * t177 * t1011 * t2772 + 0.3e1 / 0.8e1 * t177 * t1027 * t2703 + 0.9e1 / 0.8e1 * t177 * t3557 - 0.3e1 / 0.32e2 * t558 * t1015 + 0.9e1 / 0.16e2 * t162 * t3511;
  t3598 = 0.3e1 / 0.32e2 * t558 * t1018 - 0.9e1 / 0.16e2 * t162 * t1011 * t2709 - t507 * t1004 / 0.16e2 + 0.3e1 / 0.8e1 * t177 * t3467 * t1846 + t507 * t1008 / 0.4e1 - 0.3e1 / 0.2e1 * t177 * t3496 - 0.3e1 / 0.16e2 * t507 * t1012 - t562 * t1053 / 0.8e1 - t162 * t213 * t2360 / 0.16e2 + t507 * t1046 / 0.8e1 - t2690;
  t3599 = t2698 - t2726 + t2729 - t2737 + t2747 - t2755 - t2759 + t2787 - t2789 + t2817 - t2819;
  t3603 = t2822 + t2826 + t2840 - t2843 - t2867 - t2870 - t2873 - t2874 + t2875 + t2876 - t461 * t322 / 0.64e2;
  t3604 = t204 * t204;
  t3605 = t49 * t3604;
  t3631 = t48 * t3605 * t151 / 0.8e1 - t48 * t1793 * t310 * t119 / 0.32e2 - t105 * t1057 / 0.32e2 + t2884 - t48 * t110 * t3604 * t119 / 0.16e2 - t461 * t319 / 0.64e2 + t48 * t3605 * t147 / 0.8e1 + t461 * t312 / 0.128e3 + t461 * t316 / 0.64e2 - t48 * t3605 * t140 / 0.8e1 - t2909 - t262;
  t3635 = my_piecewise3(t3, 0, t3471 + t3505 + t3537 + t3572 + t3598 + t3599 + t3603 + t3631);
  tv4rho2lapl20 = 0.2e1 * rho[0] * t3635 + 0.4e1 * t1062;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 0] += tv4rho2lapl20;

  t3639 = t331 * t111;
  t3658 = t937 * t2920;
  t3661 = t331 * t381;
  t3671 = t1072 * t3195;
  t3677 = t1065 * t2709;
  t3682 = 0.3e1 / 0.8e1 * t177 * t3639 * t1846 + 0.3e1 / 0.8e1 * t177 * t703 * t36 * t644 + 0.3e1 / 0.8e1 * t177 * t2426 * t2308 - t177 * t1109 * t59 * t475 / 0.8e1 - t177 * t1114 * t59 * t475 / 0.8e1 + 0.9e1 / 0.8e1 * t177 * t3658 - 0.25e2 / 0.16e2 * t177 * t3661 * t2677 + 0.15e2 / 0.16e2 * t177 * t3206 * t2920 + 0.11e2 / 0.16e2 * t177 * t3639 * t1730 + 0.9e1 / 0.16e2 * t162 * t3671 - 0.9e1 / 0.16e2 * t162 * t1076 * t3195 - 0.3e1 / 0.2e1 * t177 * t3677 - t507 * t1081 / 0.16e2;
  t3686 = t1109 * t113;
  t3690 = t1114 * t113;
  t3707 = t3237 * t850;
  t3713 = t3293 * t83;
  t3720 = t928 * t204;
  t3726 = 0.3e1 / 0.16e2 * t162 * t1076 * t3294 + t177 * t3686 * t772 / 0.2e1 + t177 * t3690 * t772 / 0.2e1 - 0.3e1 / 0.8e1 * t177 * t3263 * t850 - 0.3e1 / 0.8e1 * t177 * t937 * t3046 - t177 * t3639 * t1855 / 0.16e2 - 0.3e1 / 0.32e2 * t558 * t1073 + 0.3e1 / 0.32e2 * t558 * t1077 - 0.3e1 / 0.8e1 * t177 * t3707 - t177 * t3317 * t850 / 0.4e1 + 0.3e1 / 0.16e2 * t162 * t1939 * t3713 - t177 * t950 * t3046 / 0.4e1 + 0.3e1 / 0.16e2 * t162 * t1939 * t3720 + t507 * t1066 / 0.4e1;
  t3734 = t1421 * t3046;
  t3739 = t2237 * t383;
  t3757 = t1072 * t2422;
  t3760 = -0.3e1 / 0.16e2 * t507 * t1069 - 0.5e1 / 0.32e2 * t562 * t1073 + 0.5e1 / 0.32e2 * t562 * t1077 - 0.3e1 / 0.8e1 * t177 * t3734 - 0.3e1 / 0.16e2 * t162 * t3734 + 0.3e1 / 0.16e2 * t162 * t3739 * t929 - 0.3e1 / 0.16e2 * t162 * t3707 - 0.3e1 / 0.16e2 * t507 * t1073 - t177 * t331 * t133 * t475 / 0.16e2 - 0.7e1 / 0.32e2 * t162 * t3677 + 0.3e1 / 0.32e2 * t558 * t1085 + 0.5e1 / 0.32e2 * t562 * t1085 - 0.3e1 / 0.32e2 * t162 * t3757;
  t3773 = t3194 * t83;
  t3802 = 0.3e1 / 0.32e2 * t162 * t1076 * t2422 + t177 * t1065 * t1686 / 0.4e1 + 0.11e2 / 0.16e2 * t162 * t3658 - 0.3e1 / 0.16e2 * t177 * t937 * t2189 - 0.15e2 / 0.32e2 * t162 * t2776 * t1722 * t3773 - t177 * t950 * t2189 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t3757 - t507 * t1094 / 0.8e1 + 0.3e1 / 0.32e2 * t162 * t1084 * t2422 + 0.3e1 / 0.16e2 * t507 * t1089 + 0.3e1 / 0.16e2 * t177 * t1088 * t1658 + 0.3e1 / 0.8e1 * t177 * t950 * t2920 - 0.11e2 / 0.32e2 * t162 * t1084 * t3195 - 0.11e2 / 0.16e2 * t177 * t1088 * t2134 * t111;
  t3841 = 0.11e2 / 0.16e2 * t177 * t3671 - t507 * t1110 / 0.16e2 - t507 * t1115 / 0.16e2 + t507 * t1097 / 0.16e2 + t507 * t1100 / 0.16e2 - t562 * t1106 / 0.16e2 - t162 * t213 * t2591 / 0.32e2 - t177 * t753 * t83 * t140 / 0.16e2 - t177 * t232 * t204 * t140 / 0.8e1 - t177 * t91 * t615 * t140 / 0.16e2 + t177 * t2595 * t339 / 0.16e2 + t177 * t744 * t1023 / 0.8e1 + t177 * t245 * t3542 / 0.16e2;
  t3873 = -t562 * t1103 / 0.16e2 - t1966 * t340 / 0.64e2 + t1966 * t332 / 0.64e2 - t1966 * t336 / 0.64e2 + t2088 * t328 / 0.128e3 + t507 * t1118 / 0.16e2 + t507 * t1121 / 0.16e2 - t558 * t1103 / 0.32e2 - t558 * t1106 / 0.32e2 - t2152 * t328 / 0.32e2 - t2094 * t328 / 0.32e2 + t177 * t2553 * t335 / 0.16e2 + t177 * t709 * t1045 / 0.8e1 + t177 * t241 * t3514 / 0.16e2;
  t3881 = -t162 * t2348 * t227 / 0.32e2 - t162 * t628 * t740 / 0.16e2 - t2690 + t2698 - t2726 + t2729 - t2737 + t2747 - t2755 - t2759 + t2787 - t2789 + t2817;
  t3885 = my_piecewise3(t3, 0, t3682 + t3726 + t3760 + t3802 + t3841 + t3873 + t3881 + t3172);
  tv4rho2lapltau0 = 0.2e1 * rho[0] * t3885 + 0.4e1 * t1136;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 0] += tv4rho2lapltau0;

  t3892 = t523 * t232;
  t3896 = t1421 * t3294;
  t3906 = t928 * t232;
  t3916 = t1147 * t2709;
  t3919 = t346 * t111;
  t3923 = 0.3e1 / 0.4e1 * t177 * t2426 * t2617 - t177 * t2426 * t3892 / 0.4e1 - 0.3e1 / 0.4e1 * t177 * t3896 + t177 * t2415 * t3294 - 0.3e1 / 0.4e1 * t177 * t937 * t3294 - 0.3e1 / 0.8e1 * t162 * t3896 + 0.3e1 / 0.8e1 * t162 * t1950 * t3906 - t177 * t950 * t3294 / 0.2e1 + 0.3e1 / 0.8e1 * t162 * t1939 * t3906 - 0.3e1 / 0.2e1 * t177 * t3916 - t177 * t3919 * t1855 / 0.16e2;
  t3949 = t2134 * t346;
  t3955 = -0.11e2 / 0.16e2 * t177 * t3919 * t1840 + t507 * t1186 / 0.4e1 + 0.3e1 / 0.8e1 * t177 * t3919 * t1846 - 0.3e1 / 0.16e2 * t507 * t1189 - 0.3e1 / 0.32e2 * t558 * t1165 - t177 * t245 * t2591 / 0.8e1 + 0.3e1 / 0.16e2 * t177 * t1143 * t1658 + t177 * t245 * t189 * t753 / 0.8e1 - t177 * t1143 * t1695 / 0.8e1 - 0.11e2 / 0.32e2 * t162 * t534 * t3949 + t507 * t1140 / 0.8e1;
  t3964 = t1182 * t2715;
  t3972 = t346 * t1720;
  t3982 = t1147 * t2691;
  t3987 = -t507 * t1144 / 0.8e1 + 0.3e1 / 0.8e1 * t177 * t1143 * t2703 + 0.3e1 / 0.32e2 * t558 * t1148 + 0.9e1 / 0.8e1 * t177 * t3964 + 0.11e2 / 0.16e2 * t177 * t3919 * t1730 + 0.11e2 / 0.16e2 * t162 * t3964 - 0.15e2 / 0.32e2 * t162 * t3972 * t2677 - 0.25e2 / 0.16e2 * t177 * t1182 * t2677 + 0.15e2 / 0.16e2 * t177 * t3972 * t2682 + 0.11e2 / 0.16e2 * t177 * t3982 + 0.9e1 / 0.16e2 * t162 * t3982;
  t4010 = t1147 * t1923;
  t4020 = -0.9e1 / 0.16e2 * t162 * t1182 * t2709 - t162 * t241 * t2591 / 0.16e2 - t177 * t346 * t133 * t475 / 0.16e2 - 0.7e1 / 0.32e2 * t162 * t3916 + t507 * t1162 / 0.8e1 - 0.3e1 / 0.16e2 * t507 * t1165 + 0.3e1 / 0.32e2 * t558 * t1183 + t177 * t241 * t183 * t753 / 0.8e1 - 0.3e1 / 0.16e2 * t177 * t4010 + 0.5e1 / 0.32e2 * t562 * t1148 + 0.3e1 / 0.32e2 * t162 * t1147 * t1658 - t507 * t1153 / 0.8e1;
  t4046 = 0.3e1 / 0.16e2 * t507 * t1156 - t507 * t1177 / 0.16e2 - 0.3e1 / 0.16e2 * t177 * t1182 * t2772 - 0.5e1 / 0.32e2 * t562 * t1165 - 0.3e1 / 0.32e2 * t162 * t4010 + 0.5e1 / 0.32e2 * t562 * t1183 + 0.3e1 / 0.32e2 * t162 * t1182 * t1686 + t177 * t1147 * t1686 / 0.4e1 - t558 * t1172 / 0.16e2 - t562 * t1172 / 0.8e1 - t2690;
  t4050 = t2822 + t2826 + t2840 - t2843 - t2867 - t2870 - t2873 - t2874 + t2875 + t2876 - t105 * t1193 / 0.32e2;
  t4057 = t232 * t232;
  t4064 = t49 * t4057;
  t4078 = -t48 * t1793 * t346 * t119 / 0.32e2 + t461 * t348 / 0.128e3 - t48 * t110 * t4057 * t119 / 0.16e2 - t461 * t355 / 0.64e2 + t48 * t4064 * t147 / 0.8e1 - t461 * t358 / 0.64e2 + t461 * t352 / 0.64e2 - t48 * t4064 * t140 / 0.8e1 + t48 * t4064 * t151 / 0.8e1 + t2884 - t2909 - t262;
  t4082 = my_piecewise3(t3, 0, t3923 + t3955 + t3987 + t4020 + t4046 + t3599 + t4050 + t4078);
  tv4rho2tau20 = 0.2e1 * rho[0] * t4082 + 0.4e1 * t1198;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 0] += tv4rho2tau20;

  t4087 = t177 * t763 * t36 * t536;
  t4091 = t177 * t1222 * t59 * t475;
  t4095 = t177 * t807 * t61 * t864;
  t4097 = t376 * t258;
  t4098 = t4097 * t74;
  t4100 = t162 * t1939 * t4098;
  t4102 = t4097 * t59;
  t4104 = t162 * t854 * t4102;
  t4108 = t177 * t1222 * t113 * t772;
  t4112 = t177 * t2687 * t400 * t864;
  t4114 = t788 * t145;
  t4115 = t4114 * t864;
  t4116 = t177 * t4115;
  t4118 = t162 * t4115;
  t4120 = t1204 * t381;
  t4121 = t1976 * t59;
  t4122 = t4120 * t4121;
  t4125 = t1204 * t113;
  t4131 = t1204 * t1720;
  t4132 = t1982 * t59;
  t4139 = t1992 * t59;
  t4143 = t2001 * t1204;
  t4144 = t163 * t4143;
  t4147 = t771 * t2026;
  t4150 = 0.9e1 / 0.16e2 * t4087 - 0.3e1 / 0.16e2 * t4091 - 0.3e1 / 0.8e1 * t4095 + 0.9e1 / 0.32e2 * t4100 + 0.9e1 / 0.32e2 * t4104 + 0.3e1 / 0.4e1 * t4108 - 0.9e1 / 0.16e2 * t4112 - 0.9e1 / 0.16e2 * t4116 - 0.9e1 / 0.32e2 * t4118 + 0.9e1 / 0.8e1 * t177 * t4122 + 0.11e2 / 0.16e2 * t177 * t4125 * t4121 + 0.11e2 / 0.16e2 * t162 * t4122 - 0.15e2 / 0.32e2 * t162 * t4131 * t4132 - 0.25e2 / 0.16e2 * t177 * t4120 * t4132 + 0.15e2 / 0.16e2 * t177 * t4131 * t4139 + 0.9e1 / 0.16e2 * t162 * t4144 - 0.9e1 / 0.16e2 * t177 * t4147;
  t4157 = t507 * t1201;
  t4159 = t558 * t1215;
  t4165 = t1960 * t59;
  t4166 = t4125 * t4165;
  t4169 = t507 * t1223;
  t4171 = t507 * t1235;
  t4173 = t1204 * t59;
  t4180 = t528 * t171;
  t4184 = t1204 * t36;
  t4185 = t2051 * t59;
  t4193 = t562 * t1215;
  t4196 = t162 * t519 * t812;
  t4203 = t177 * t258 * t171 * t140;
  t4205 = 0.11e2 / 0.16e2 * t177 * t4144 - 0.9e1 / 0.16e2 * t162 * t1949 * t1960 * t1204 + 0.3e1 / 0.32e2 * t4157 - 0.3e1 / 0.64e2 * t4159 - t1270 * t782 / 0.16e2 + t1270 * t785 / 0.16e2 - 0.3e1 / 0.2e1 * t177 * t4166 - 0.3e1 / 0.32e2 * t4169 + 0.3e1 / 0.32e2 * t4171 + 0.3e1 / 0.8e1 * t177 * t4173 * t1846 - t177 * t4173 * t1855 / 0.16e2 - 0.3e1 / 0.8e1 * t177 * t796 * t4180 + 0.3e1 / 0.8e1 * t177 * t4184 * t4185 - 0.11e2 / 0.32e2 * t162 * t163 * t2134 * t1204 - 0.3e1 / 0.32e2 * t4193 - 0.3e1 / 0.32e2 * t4196 + 0.9e1 / 0.32e2 * t162 * t771 * t2101 - 0.3e1 / 0.16e2 * t4203;
  t4208 = t177 * t807 * t792;
  t4213 = t2134 * t59;
  t4220 = t177 * t788 * t826;
  t4225 = t501 * t171;
  t4253 = 0.3e1 / 0.16e2 * t4208 + 0.9e1 / 0.16e2 * t177 * t796 * t2101 - 0.11e2 / 0.16e2 * t177 * t4184 * t4213 + t1270 * t802 / 0.16e2 + 0.3e1 / 0.16e2 * t4220 + 0.3e1 / 0.4e1 * t177 * t771 * t2123 - 0.9e1 / 0.16e2 * t177 * t776 * t4225 - t1270 * t836 / 0.16e2 - 0.3e1 / 0.16e2 * t177 * t796 * t2026 - 0.7e1 / 0.32e2 * t162 * t4166 - 0.9e1 / 0.32e2 * t162 * t4147 + 0.9e1 / 0.32e2 * t162 * t776 * t2123 + t105 * t1238 / 0.8e1 - 0.3e1 / 0.32e2 * t105 * t1241 - t105 * t1251 / 0.64e2 - t105 * t1226 / 0.32e2 - 0.3e1 / 0.64e2 * t105 * t1229 + 0.3e1 / 0.64e2 * t105 * t1232;
  t4255 = t110 * t59 * t113;
  t4269 = t118 * t59;
  t4270 = t116 * t4269;
  t4273 = t1765 * t59;
  t4274 = t118 * t74;
  t4275 = t116 * t4274;
  t4281 = t59 * t36;
  t4282 = t4281 * t164;
  t4285 = t146 * t4269;
  t4288 = t62 * t4269;
  t4303 = t4255 * t165 / 0.4e1 + t173 / 0.2e1 + t75 * t59 * t140 / 0.2e1 - t75 * t113 * t184 / 0.2e1 - t75 * t36 * t190 / 0.2e1 - t1761 * t74 * t4270 / 0.2e1 + t4273 * t4275 / 0.2e1 + t434 * t171 * t64 / 0.2e1 + t1244 * t4282 / 0.2e1 - t1244 * t4285 / 0.2e1 - t1244 * t4288 / 0.2e1 - t1779 * t74 * t64 / 0.2e1 - t437 * t171 * t64 / 0.2e1 - t1246 * t4282 / 0.2e1 + t1246 * t4285 / 0.2e1 + t1246 * t4288 / 0.2e1;
  t4308 = t441 * t1204;
  t4326 = -t48 * t4303 * t253 * t119 / 0.32e2 + 0.3e1 / 0.32e2 * t48 * t4308 * t420 - 0.3e1 / 0.32e2 * t48 * t4308 * t377 + 0.3e1 / 0.32e2 * t48 * t4308 * t385 + 0.3e1 / 0.64e2 * t105 * t1219 + 0.3e1 / 0.32e2 * t105 * t1206 - 0.3e1 / 0.32e2 * t105 * t1209 - t105 * t1212 / 0.16e2 + t1203 - t1217 - t1225 + t1237 - t815 - t766 + t791 + t810 - t806 - t262;
  t4329 = my_piecewise3(t3, 0, t4150 + t4205 + t4253 + t4326);
  tv4rhosigma30 = 0.2e1 * rho[0] * t4329 + 0.2e1 * t1255;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  t4334 = t177 * t1257 * t59 * t475;
  t4335 = t4334 / 0.16e2;
  t4337 = t1715 * t253 * t59;
  t4338 = t862 * t4337;
  t4343 = t2681 * t1722;
  t4344 = t2919 * t59;
  t4355 = t1257 * t113;
  t4357 = t177 * t4355 * t772;
  t4358 = t4357 / 0.4e1;
  t4360 = t177 * t862 * t4102;
  t4361 = 0.3e1 / 0.16e2 * t4360;
  t4366 = t1257 * t36;
  t4368 = t177 * t4366 * t801;
  t4369 = 0.3e1 / 0.16e2 * t4368;
  t4370 = t849 * t258;
  t4371 = t2193 * t4370;
  t4372 = t162 * t4371;
  t4373 = 0.3e1 / 0.32e2 * t4372;
  t4374 = -t4335 + 0.9e1 / 0.8e1 * t177 * t4338 + 0.11e2 / 0.16e2 * t162 * t4338 - 0.15e2 / 0.32e2 * t162 * t4343 * t4344 - 0.25e2 / 0.16e2 * t177 * t1280 * t381 * t4132 + 0.15e2 / 0.16e2 * t177 * t2928 * t4337 + t4358 - t4361 - t1270 * t851 / 0.16e2 + t1270 * t855 / 0.16e2 + t4369 - t4373;
  t4375 = t177 * t4371;
  t4376 = 0.3e1 / 0.16e2 * t4375;
  t4377 = t1280 * t113;
  t4381 = t4377 * t4165;
  t4384 = t1280 * t36;
  t4385 = t2001 * t59;
  t4397 = t2919 * t253;
  t4398 = t2193 * t4397;
  t4403 = t1072 * t2670;
  t4407 = t162 * t1950 * t4370;
  t4408 = 0.3e1 / 0.32e2 * t4407;
  t4410 = t177 * t919 * t4102;
  t4411 = t4410 / 0.8e1;
  t4413 = t162 * t1939 * t4370;
  t4414 = 0.3e1 / 0.32e2 * t4413;
  t4415 = -t4376 + 0.11e2 / 0.16e2 * t177 * t4377 * t4121 - 0.3e1 / 0.2e1 * t177 * t4381 + 0.3e1 / 0.8e1 * t177 * t4384 * t4385 - 0.7e1 / 0.32e2 * t162 * t4381 + 0.3e1 / 0.8e1 * t177 * t909 * t2101 - 0.11e2 / 0.16e2 * t177 * t4384 * t4213 + 0.9e1 / 0.16e2 * t162 * t4398 + 0.11e2 / 0.16e2 * t177 * t4398 - 0.3e1 / 0.8e1 * t177 * t4403 + t4408 - t4411 + t4414;
  t4452 = 0.3e1 / 0.8e1 * t4087;
  t4453 = t1270 * t906 / 0.16e2 + 0.3e1 / 0.16e2 * t162 * t854 * t3024 + t177 * t858 * t2123 / 0.2e1 - 0.3e1 / 0.8e1 * t177 * t862 * t2670 - 0.9e1 / 0.16e2 * t162 * t1950 * t4397 + 0.3e1 / 0.8e1 * t177 * t919 * t4337 - t177 * t919 * t2670 / 0.4e1 - 0.11e2 / 0.32e2 * t162 * t1939 * t4397 + 0.3e1 / 0.16e2 * t162 * t905 * t3024 - 0.3e1 / 0.16e2 * t162 * t4403 - t177 * t909 * t2026 / 0.8e1 - t177 * t1280 * t59 * t1855 / 0.16e2 + t4452;
  t4454 = t4091 / 0.8e1;
  t4455 = t4095 / 0.4e1;
  t4456 = 0.3e1 / 0.16e2 * t4100;
  t4457 = 0.3e1 / 0.16e2 * t4104;
  t4458 = t4108 / 0.2e1;
  t4459 = 0.3e1 / 0.8e1 * t4112;
  t4460 = 0.3e1 / 0.8e1 * t4116;
  t4461 = 0.3e1 / 0.16e2 * t4118;
  t4472 = -t4454 - t4455 + t4456 + t4457 + t4458 - t4459 - t4460 - t4461 + t507 * t1303 / 0.8e1 - 0.3e1 / 0.32e2 * t507 * t1307 - t507 * t1292 / 0.16e2 + 0.3e1 / 0.64e2 * t558 * t1295 - 0.3e1 / 0.64e2 * t558 * t1288;
  t4483 = t507 * t1266;
  t4484 = t4483 / 0.32e2;
  t4486 = t15 * t45 * t1249;
  t4489 = t558 * t1273;
  t4490 = t4489 / 0.64e2;
  t4491 = t507 * t1258;
  t4492 = t4491 / 0.32e2;
  t4493 = t507 * t1262;
  t4494 = t4493 / 0.32e2;
  t4497 = t771 * t3448;
  t4505 = 0.3e1 / 0.64e2 * t558 * t1300 - t507 * t1281 / 0.32e2 + 0.3e1 / 0.32e2 * t507 * t1284 - 0.3e1 / 0.32e2 * t507 * t1288 + t4484 - t4486 * t276 / 0.64e2 - t4490 - t4492 + t4494 - 0.3e1 / 0.32e2 * t562 * t1288 - 0.3e1 / 0.32e2 * t162 * t4497 + 0.3e1 / 0.32e2 * t562 * t1300 + 0.3e1 / 0.32e2 * t162 * t776 * t2356;
  t4506 = t204 * t253;
  t4519 = t162 * t788 * t590;
  t4520 = t4519 / 0.32e2;
  t4522 = t177 * t628 * t1261;
  t4523 = t4522 / 0.16e2;
  t4525 = t177 * t651 * t1265;
  t4526 = t4525 / 0.16e2;
  t4528 = t15 * t18 * t4303;
  t4535 = t562 * t1273;
  t4536 = t4535 / 0.32e2;
  t4539 = t177 * t204 * t258 * t140;
  t4540 = t4539 / 0.16e2;
  t4544 = t177 * t4506 * t395 / 0.4e1 - t177 * t4506 * t475 / 0.16e2 + 0.3e1 / 0.16e2 * t177 * t4506 * t428 - 0.3e1 / 0.16e2 * t177 * t4497 - t4520 + t4523 + t4526 - t4528 * t276 / 0.32e2 - t1270 * t894 / 0.32e2 - t1270 * t898 / 0.32e2 - t4536 - t4540 - 0.3e1 / 0.16e2 * t177 * t2237 * t1306;
  t4554 = t4157 / 0.16e2;
  t4555 = t4159 / 0.32e2;
  t4556 = t4169 / 0.16e2;
  t4557 = t4171 / 0.16e2;
  t4558 = t4193 / 0.16e2;
  t4559 = t4196 / 0.16e2;
  t4560 = t4203 / 0.8e1;
  t4561 = t4208 / 0.8e1;
  t4562 = t4220 / 0.8e1;
  t4563 = -t177 * t651 * t1291 / 0.8e1 + 0.3e1 / 0.32e2 * t562 * t1295 + 0.3e1 / 0.32e2 * t162 * t771 * t2308 + t4554 - t4555 - t4556 + t4557 - t4558 - t4559 - t4560 + t4561 + t4562 + t1276;
  t4564 = -t1277 - t1278 + t1279 - t1260 + t1264 + t1268 - t1275 - t815 - t766 + t791 + t810 - t806 - t262;
  t4568 = my_piecewise3(t3, 0, t4374 + t4415 + t4453 + t4472 + t4505 + t4544 + t4563 + t4564);
  tv4rhosigma2lapl0 = 0.2e1 * rho[0] * t4568 + 0.2e1 * t1311;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 0] += tv4rhosigma2lapl0;

  t4572 = t3194 * t59;
  t4573 = t776 * t400 * t4572;
  t4587 = t177 * t937 * t4102;
  t4588 = 0.3e1 / 0.16e2 * t4587;
  t4593 = t4114 * t929;
  t4594 = t162 * t4593;
  t4595 = 0.3e1 / 0.32e2 * t4594;
  t4596 = t1328 * t113;
  t4601 = t771 * t145 * t4572;
  t4608 = t4596 * t4165;
  t4611 = 0.11e2 / 0.16e2 * t162 * t4573 - 0.15e2 / 0.32e2 * t162 * t4343 * t4572 - 0.25e2 / 0.16e2 * t177 * t1328 * t381 * t4132 + 0.15e2 / 0.16e2 * t177 * t3206 * t4337 - t4588 - t1270 * t941 / 0.16e2 + t1270 * t930 / 0.16e2 - t4595 + 0.11e2 / 0.16e2 * t177 * t4596 * t4121 + 0.9e1 / 0.16e2 * t162 * t4601 - 0.9e1 / 0.16e2 * t162 * t776 * t383 * t4572 - 0.3e1 / 0.2e1 * t177 * t4608;
  t4613 = t177 * t2415 * t4102;
  t4614 = t4613 / 0.4e1;
  t4622 = t1328 * t36;
  t4628 = t1421 * t2670;
  t4639 = t177 * t4593;
  t4640 = 0.3e1 / 0.16e2 * t4639;
  t4641 = t928 * t258;
  t4643 = t162 * t1950 * t4641;
  t4644 = 0.3e1 / 0.32e2 * t4643;
  t4646 = t177 * t950 * t4102;
  t4647 = t4646 / 0.8e1;
  t4648 = t4614 + t1270 * t954 / 0.16e2 + 0.9e1 / 0.8e1 * t177 * t4573 + 0.3e1 / 0.8e1 * t177 * t957 * t2101 - 0.11e2 / 0.16e2 * t177 * t4622 * t4213 + 0.11e2 / 0.16e2 * t177 * t4601 - 0.3e1 / 0.8e1 * t177 * t4628 - t177 * t957 * t2026 / 0.8e1 + 0.3e1 / 0.8e1 * t177 * t4622 * t4385 - 0.7e1 / 0.32e2 * t162 * t4608 - t4640 + t4644 - t4647;
  t4651 = t162 * t1939 * t4641;
  t4652 = 0.3e1 / 0.32e2 * t4651;
  t4664 = t928 * t171;
  t4674 = t771 * t115;
  t4679 = t177 * t2426 * t2823;
  t4680 = 0.3e1 / 0.16e2 * t4679;
  t4683 = t177 * t1324 * t59 * t475;
  t4684 = t4683 / 0.16e2;
  t4689 = t4652 - 0.3e1 / 0.8e1 * t177 * t937 * t2670 + 0.3e1 / 0.8e1 * t177 * t950 * t4337 - t177 * t950 * t2670 / 0.4e1 - 0.3e1 / 0.16e2 * t162 * t4628 + 0.3e1 / 0.16e2 * t162 * t854 * t4664 + t177 * t933 * t2123 / 0.2e1 + 0.3e1 / 0.16e2 * t162 * t905 * t4664 - 0.11e2 / 0.32e2 * t162 * t4674 * t4572 + t4680 - t4684 - t177 * t1328 * t59 * t1855 / 0.16e2 + t4452;
  t4700 = -t4454 - t4455 + t4456 + t4457 + t4458 - t4459 - t4460 - t4461 - 0.3e1 / 0.32e2 * t507 * t1352 - 0.3e1 / 0.64e2 * t558 * t1338 + 0.3e1 / 0.64e2 * t558 * t1346 + t507 * t1349 / 0.8e1 + 0.3e1 / 0.32e2 * t507 * t1335;
  t4711 = t558 * t1321;
  t4712 = t4711 / 0.64e2;
  t4713 = t507 * t1325;
  t4714 = t4713 / 0.32e2;
  t4715 = t507 * t1313;
  t4716 = t4715 / 0.32e2;
  t4717 = t507 * t1316;
  t4718 = t4717 / 0.32e2;
  t4721 = t232 * t253;
  t4733 = -0.3e1 / 0.32e2 * t507 * t1338 - t507 * t1341 / 0.16e2 - t507 * t1329 / 0.32e2 + 0.3e1 / 0.64e2 * t558 * t1332 - t4712 - t4714 + t4716 + t4718 - t4486 * t294 / 0.64e2 - t177 * t4721 * t475 / 0.16e2 + 0.3e1 / 0.32e2 * t562 * t1332 + 0.3e1 / 0.32e2 * t162 * t771 * t2617 + 0.3e1 / 0.16e2 * t177 * t4721 * t428;
  t4734 = t709 * t1287;
  t4746 = t562 * t1321;
  t4747 = t4746 / 0.32e2;
  t4749 = t162 * t788 * t740;
  t4750 = t4749 / 0.32e2;
  t4753 = t177 * t232 * t258 * t140;
  t4754 = t4753 / 0.16e2;
  t4756 = t177 * t709 * t1261;
  t4757 = t4756 / 0.16e2;
  t4759 = t177 * t744 * t1265;
  t4760 = t4759 / 0.16e2;
  t4767 = -0.3e1 / 0.16e2 * t177 * t4734 - t177 * t744 * t1291 / 0.8e1 - t4528 * t294 / 0.32e2 - t1270 * t969 / 0.32e2 - t1270 * t972 / 0.32e2 - t4747 - t4750 - t4754 + t4757 + t4760 - 0.3e1 / 0.32e2 * t562 * t1338 - 0.3e1 / 0.32e2 * t162 * t4734 + 0.3e1 / 0.32e2 * t562 * t1346;
  t4778 = 0.3e1 / 0.32e2 * t162 * t776 * t2560 + t177 * t4721 * t395 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t2477 * t1306 + t4554 - t4555 - t4556 + t4557 - t4558 - t4559 - t4560 + t4561 + t4562 - t1327;
  t4779 = t1315 + t1318 - t1323 + t1276 - t1277 - t1278 + t1279 - t815 - t766 + t791 + t810 - t806 - t262;
  t4783 = my_piecewise3(t3, 0, t4611 + t4648 + t4689 + t4700 + t4733 + t4767 + t4778 + t4779);
  tv4rhosigma2tau0 = 0.2e1 * rho[0] * t4783 + 0.2e1 * t1356;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 0] += tv4rhosigma2tau0;

  t4790 = t1011 * t400;
  t4791 = t2929 * t59;
  t4792 = t4790 * t4791;
  t4795 = t3507 * t1722;
  t4808 = t1007 * t383 * t4791;
  t4814 = t1007 * t145 * t4791;
  t4824 = t1715 * t310;
  t4825 = t4824 * t74;
  t4832 = 0.11e2 / 0.16e2 * t177 * t1383 * t113 * t4121 + 0.11e2 / 0.16e2 * t162 * t4792 - 0.15e2 / 0.32e2 * t162 * t4795 * t4791 - 0.25e2 / 0.16e2 * t177 * t1011 * t1722 * t4791 + 0.15e2 / 0.16e2 * t177 * t3507 * t1740 * t4791 - 0.3e1 / 0.2e1 * t177 * t4808 + 0.9e1 / 0.8e1 * t177 * t4792 + 0.9e1 / 0.16e2 * t162 * t4814 - t177 * t919 * t3020 / 0.4e1 + 0.3e1 / 0.8e1 * t177 * t1027 * t61 * t4791 - 0.11e2 / 0.32e2 * t162 * t1939 * t4825 + 0.3e1 / 0.16e2 * t162 * t1084 * t3020;
  t4844 = t1072 * t3020;
  t4861 = t1003 * t36;
  t4872 = t177 * t3452 * t3020 / 0.2e1 - 0.3e1 / 0.8e1 * t177 * t862 * t3020 - t177 * t909 * t3448 / 0.8e1 - 0.7e1 / 0.32e2 * t162 * t4808 - 0.3e1 / 0.16e2 * t162 * t4844 + 0.3e1 / 0.16e2 * t162 * t1076 * t3020 + 0.3e1 / 0.8e1 * t177 * t217 * t115 * t3020 - 0.3e1 / 0.8e1 * t177 * t4844 + 0.11e2 / 0.16e2 * t177 * t4814 - 0.9e1 / 0.16e2 * t162 * t1950 * t4825 + 0.3e1 / 0.8e1 * t177 * t4861 * t2002 - t177 * t1383 * t59 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t177 * t4861 * t2135;
  t4874 = t4334 / 0.8e1;
  t4875 = t4357 / 0.2e1;
  t4876 = 0.3e1 / 0.8e1 * t4360;
  t4877 = 0.3e1 / 0.8e1 * t4368;
  t4878 = 0.3e1 / 0.16e2 * t4372;
  t4879 = 0.3e1 / 0.8e1 * t4375;
  t4880 = 0.3e1 / 0.16e2 * t4407;
  t4881 = t4410 / 0.4e1;
  t4882 = 0.3e1 / 0.16e2 * t4413;
  t4883 = 0.3e1 / 0.16e2 * t4087;
  t4884 = t4091 / 0.16e2;
  t4885 = t4095 / 0.8e1;
  t4886 = 0.3e1 / 0.32e2 * t4100;
  t4887 = -t4874 + t4875 - t4876 + t4877 - t4878 - t4879 + t4880 - t4881 + t4882 + t4883 - t4884 - t4885 + t4886;
  t4888 = 0.3e1 / 0.32e2 * t4104;
  t4889 = t4108 / 0.4e1;
  t4890 = 0.3e1 / 0.16e2 * t4112;
  t4891 = 0.3e1 / 0.16e2 * t4116;
  t4892 = 0.3e1 / 0.32e2 * t4118;
  t4893 = t1007 * t2026;
  t4912 = t4888 + t4889 - t4890 - t4891 - t4892 - 0.3e1 / 0.16e2 * t177 * t4893 - t177 * t1027 * t4180 / 0.8e1 + 0.3e1 / 0.32e2 * t562 * t1370 + 0.3e1 / 0.32e2 * t162 * t1007 * t2101 - t1270 * t1015 / 0.16e2 + t1270 * t1018 / 0.16e2 + t507 * t1392 / 0.8e1 - 0.3e1 / 0.32e2 * t507 * t1396;
  t4943 = -t507 * t1384 / 0.32e2 - 0.3e1 / 0.64e2 * t558 * t1363 + 0.3e1 / 0.64e2 * t558 * t1389 + 0.3e1 / 0.32e2 * t507 * t1373 - 0.3e1 / 0.32e2 * t507 * t1363 - t507 * t1367 / 0.16e2 + 0.3e1 / 0.64e2 * t558 * t1370 + t177 * t1007 * t2123 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1011 * t4225 - t177 * t310 * t171 * t475 / 0.16e2 - 0.3e1 / 0.32e2 * t562 * t1363 - 0.3e1 / 0.32e2 * t162 * t4893;
  t4956 = t4483 / 0.16e2;
  t4957 = t4489 / 0.32e2;
  t4958 = t4491 / 0.16e2;
  t4959 = t4493 / 0.16e2;
  t4960 = t4519 / 0.16e2;
  t4961 = t4522 / 0.8e1;
  t4962 = t4525 / 0.8e1;
  t4963 = t4535 / 0.16e2;
  t4964 = 0.3e1 / 0.32e2 * t562 * t1389 + 0.3e1 / 0.32e2 * t162 * t1011 * t2123 + 0.3e1 / 0.16e2 * t177 * t1027 * t2101 - t1270 * t1053 / 0.16e2 + t1270 * t1031 / 0.16e2 + t4956 - t4957 - t4958 + t4959 - t4960 + t4961 + t4962 - t4963;
  t4966 = t4539 / 0.8e1;
  t4967 = t4157 / 0.32e2;
  t4968 = t4159 / 0.64e2;
  t4969 = t4169 / 0.32e2;
  t4970 = t4171 / 0.32e2;
  t4971 = t4193 / 0.32e2;
  t4972 = t4196 / 0.32e2;
  t4973 = t4203 / 0.16e2;
  t4974 = t4208 / 0.16e2;
  t4975 = t4220 / 0.16e2;
  t4982 = -t4966 + t4967 - t4968 - t4969 + t4970 - t4971 - t4972 - t4973 + t4974 + t4975 - t105 * t1359 / 0.64e2 - t48 * t4303 * t310 * t119 / 0.32e2 + t1380;
  t4983 = -t1381 - t1382 + t1399 - t1376 + t1377 + t1378 - t1379 - t815 - t766 + t791 + t810 - t806 - t262;
  t4987 = my_piecewise3(t3, 0, t4832 + t4872 + t4887 + t4912 + t4943 + t4964 + t4982 + t4983);
  tv4rhosigmalapl20 = 0.2e1 * rho[0] * t4987 + 0.2e1 * t1401;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 0] += tv4rhosigmalapl20;

  t5026 = t3237 * t1410;
  t5029 = -t1270 * t1073 / 0.16e2 + t1270 * t1077 / 0.16e2 - 0.3e1 / 0.64e2 * t558 * t1422 + 0.3e1 / 0.64e2 * t558 * t1427 + t507 * t1430 / 0.8e1 - 0.3e1 / 0.32e2 * t507 * t1433 + 0.3e1 / 0.64e2 * t558 * t1415 + 0.3e1 / 0.32e2 * t507 * t1418 - 0.3e1 / 0.32e2 * t507 * t1422 - t507 * t1407 / 0.32e2 - t507 * t1411 / 0.16e2 + 0.3e1 / 0.32e2 * t162 * t1084 * t4664 + 0.3e1 / 0.16e2 * t177 * t1109 * t36 * t536 + 0.3e1 / 0.16e2 * t177 * t1114 * t36 * t536 + 0.3e1 / 0.16e2 * t177 * t1088 * t2101 - 0.3e1 / 0.16e2 * t177 * t5026;
  t5059 = t1421 * t3020;
  t5062 = t1421 * t3024;
  t5078 = -t177 * t1109 * t74 * t475 / 0.16e2 - t177 * t1114 * t74 * t475 / 0.16e2 - t177 * t331 * t171 * t475 / 0.16e2 - t177 * t3317 * t1410 / 0.8e1 + t1270 * t1085 / 0.16e2 + t177 * t1065 * t2123 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t3263 * t1410 - 0.3e1 / 0.16e2 * t177 * t937 * t3020 - 0.3e1 / 0.16e2 * t177 * t937 * t3024 - 0.3e1 / 0.16e2 * t177 * t5059 - 0.3e1 / 0.16e2 * t177 * t5062 - 0.3e1 / 0.32e2 * t562 * t1422 - 0.3e1 / 0.32e2 * t162 * t5059 - 0.3e1 / 0.32e2 * t162 * t5026 - 0.3e1 / 0.32e2 * t162 * t5062 + 0.3e1 / 0.32e2 * t562 * t1427 + 0.3e1 / 0.32e2 * t162 * t3739 * t1414;
  t5080 = t3293 * t74;
  t5108 = 0.3e1 / 0.32e2 * t162 * t1076 * t5080 + 0.3e1 / 0.32e2 * t162 * t1076 * t4664 + t177 * t3686 * t580 / 0.4e1 + t177 * t3690 * t580 / 0.4e1 - t177 * t950 * t3020 / 0.8e1 - t177 * t950 * t3024 / 0.8e1 + 0.3e1 / 0.32e2 * t562 * t1415 + 0.3e1 / 0.32e2 * t162 * t628 * t115 * t1414 + 0.3e1 / 0.32e2 * t162 * t1084 * t5080 - t4588 - t4595 + t4614 - t4640 + t4644 - t4647 + t4652 - t4335;
  t5109 = t4680 - t4684 + t4358 - t4361 + t4369 - t4373 - t4376 + t4408 - t4411 + t4414 + t4883 - t4884 - t4885 + t4886 + t4888 + t4889 - t4890;
  t5120 = t15 * t16;
  t5123 = t5120 * t17 * t49 * t91;
  t5133 = t17 * t110;
  t5135 = t5120 * t5133 * t83;
  t5158 = -t4891 - t4892 - t4486 * t328 / 0.64e2 - t4528 * t328 / 0.32e2 - t1270 * t1103 / 0.32e2 - t1270 * t1106 / 0.32e2 + 0.15e2 / 0.16e2 * t5123 * t1742 * t915 + 0.11e2 / 0.16e2 * t5123 * t858 * t4121 + 0.11e2 / 0.16e2 * t5123 * t1746 * t915 + 0.9e1 / 0.16e2 * t5135 * t1746 * t944 - 0.9e1 / 0.16e2 * t5135 * t1750 * t944 - 0.3e1 / 0.2e1 * t5123 * t3452 * t4791 - t5123 * t915 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t5123 * t4281 * t115 * t2987 + 0.9e1 / 0.8e1 * t5123 * t1716 * t915 + 0.11e2 / 0.16e2 * t5135 * t1716 * t944;
  t5167 = t5120 * t5133 * t59;
  t5180 = -0.15e2 / 0.32e2 * t5135 * t1724 * t944 - 0.25e2 / 0.16e2 * t5123 * t606 * t1722 * t4791 - 0.11e2 / 0.32e2 * t5167 * t1819 * t1406 + 0.3e1 / 0.8e1 * t5123 * t909 * t4385 - 0.7e1 / 0.32e2 * t5167 * t1864 * t1406 + 0.3e1 / 0.8e1 * t5123 * t1885 * t915 - t4712 - t4714 + t4716 + t4718 - t4747 - t4750 - t4754 + t4757 + t4760 + t4484 - t4490;
  t5182 = -t4492 + t4494 - t4520 + t4523 + t4526 - t4536 - t4540 + t4967 - t4968 - t4969 + t4970 - t4971 - t4972 - t4973 + t4974 + t4975 - t1327;
  t5183 = t1315 + t1318 - t1323 + t1380 - t1381 - t1382 + t1399 - t1260 + t1264 + t1268 - t1275 - t815 - t766 + t791 + t810 - t806 - t262;
  t5187 = my_piecewise3(t3, 0, t5029 + t5078 + t5108 + t5109 + t5158 + t5180 + t5182 + t5183);
  tv4rhosigmalapltau0 = 0.2e1 * rho[0] * t5187 + 0.2e1 * t1438;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 0] += tv4rhosigmalapltau0;

  t5194 = t1182 * t400;
  t5195 = t5194 * t4791;
  t5198 = t3972 * t1722;
  t5202 = t1182 * t1722;
  t5206 = t3972 * t1740;
  t5210 = t1147 * t383;
  t5211 = t5210 * t4791;
  t5216 = t245 * t115;
  t5224 = t1715 * t346;
  t5225 = t5224 * t74;
  t5226 = t2193 * t5225;
  t5229 = t1421 * t5080;
  t5234 = 0.11e2 / 0.16e2 * t177 * t1460 * t113 * t4121 + 0.11e2 / 0.16e2 * t162 * t5195 - 0.15e2 / 0.32e2 * t162 * t5198 * t4791 - 0.25e2 / 0.16e2 * t177 * t5202 * t4791 + 0.15e2 / 0.16e2 * t177 * t5206 * t4791 - 0.3e1 / 0.2e1 * t177 * t5211 + 0.9e1 / 0.8e1 * t177 * t5195 + 0.3e1 / 0.8e1 * t177 * t5216 * t5080 - 0.11e2 / 0.16e2 * t177 * t1143 * t115 * t4791 + 0.9e1 / 0.16e2 * t162 * t5226 - 0.3e1 / 0.8e1 * t177 * t5229 + 0.11e2 / 0.16e2 * t177 * t5226;
  t5238 = t1176 * t36;
  t5259 = t697 * t383;
  t5266 = t1143 * t61;
  t5273 = t241 * t115;
  t5277 = -0.9e1 / 0.16e2 * t162 * t1950 * t5225 + 0.3e1 / 0.8e1 * t177 * t5238 * t2002 - t177 * t1460 * t59 * t1855 / 0.16e2 + t177 * t2415 * t5080 / 0.2e1 - 0.3e1 / 0.8e1 * t177 * t937 * t5080 - 0.3e1 / 0.16e2 * t162 * t5229 - t177 * t957 * t3892 / 0.8e1 - 0.7e1 / 0.32e2 * t162 * t5211 + 0.3e1 / 0.16e2 * t162 * t5259 * t5080 - t177 * t950 * t5080 / 0.4e1 + 0.3e1 / 0.8e1 * t177 * t5266 * t4791 - 0.11e2 / 0.32e2 * t162 * t1939 * t5225 + 0.3e1 / 0.16e2 * t162 * t5273 * t5080;
  t5279 = 0.3e1 / 0.8e1 * t4587;
  t5280 = 0.3e1 / 0.16e2 * t4594;
  t5281 = t4613 / 0.2e1;
  t5282 = 0.3e1 / 0.8e1 * t4639;
  t5283 = 0.3e1 / 0.16e2 * t4643;
  t5284 = t4646 / 0.4e1;
  t5285 = 0.3e1 / 0.16e2 * t4651;
  t5286 = 0.3e1 / 0.8e1 * t4679;
  t5287 = t4683 / 0.8e1;
  t5288 = -t5279 - t5280 + t5281 - t5282 + t5283 - t5284 + t5285 + t5286 - t5287 + t4883 - t4884 - t4885 + t4886;
  t5304 = t1147 * t2026;
  t5307 = t4888 + t4889 - t4890 - t4891 - t4892 - t507 * t1461 / 0.32e2 + 0.3e1 / 0.64e2 * t558 * t1464 + 0.3e1 / 0.64e2 * t558 * t1453 + 0.3e1 / 0.32e2 * t507 * t1444 - 0.3e1 / 0.32e2 * t507 * t1447 - t507 * t1450 / 0.16e2 + 0.3e1 / 0.16e2 * t177 * t1143 * t2101 - 0.3e1 / 0.16e2 * t177 * t5304;
  t5339 = -t177 * t1143 * t4180 / 0.8e1 + 0.3e1 / 0.32e2 * t562 * t1453 + 0.3e1 / 0.32e2 * t162 * t1147 * t2101 - t1270 * t1172 / 0.16e2 + t1270 * t1148 / 0.16e2 - t1270 * t1165 / 0.16e2 + t1270 * t1183 / 0.16e2 + 0.3e1 / 0.32e2 * t562 * t1464 + 0.3e1 / 0.32e2 * t162 * t1182 * t2123 + t177 * t1147 * t2123 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t1182 * t4225 - 0.3e1 / 0.32e2 * t562 * t1447;
  t5352 = t4711 / 0.32e2;
  t5353 = t4713 / 0.16e2;
  t5354 = t4715 / 0.16e2;
  t5355 = t4717 / 0.16e2;
  t5356 = t4746 / 0.16e2;
  t5357 = t4749 / 0.16e2;
  t5358 = t4753 / 0.8e1;
  t5359 = t4756 / 0.8e1;
  t5360 = -0.3e1 / 0.32e2 * t162 * t5304 - t177 * t346 * t171 * t475 / 0.16e2 + t507 * t1467 / 0.8e1 - 0.3e1 / 0.32e2 * t507 * t1470 - 0.3e1 / 0.64e2 * t558 * t1447 - t5352 - t5353 + t5354 + t5355 - t5356 - t5357 - t5358 + t5359;
  t5362 = t4759 / 0.8e1;
  t5369 = t5362 + t4967 - t4968 - t4969 + t4970 - t4971 - t4972 - t4973 + t4974 + t4975 - t48 * t4303 * t346 * t119 / 0.32e2 - t105 * t1441 / 0.64e2 - t1459;
  t5370 = t1456 + t1457 - t1458 + t1380 - t1381 - t1382 + t1399 - t815 - t766 + t791 + t810 - t806 - t262;
  t5374 = my_piecewise3(t3, 0, t5234 + t5277 + t5288 + t5307 + t5339 + t5360 + t5369 + t5370);
  tv4rhosigmatau20 = 0.2e1 * rho[0] * t5374 + 0.2e1 * t1476;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 0] += tv4rhosigmatau20;

  t5386 = t1488 * t59;
  t5396 = t1488 * t381;
  t5397 = t5396 * t4121;
  t5400 = t1488 * t1720;
  t5412 = -0.3e1 / 0.16e2 * t4334 + 0.3e1 / 0.4e1 * t4357 - 0.9e1 / 0.16e2 * t4360 + 0.9e1 / 0.16e2 * t4368 - 0.9e1 / 0.32e2 * t4372 - 0.9e1 / 0.16e2 * t4375 + 0.9e1 / 0.32e2 * t4407 - 0.3e1 / 0.8e1 * t4410 + 0.9e1 / 0.32e2 * t4413 - 0.11e2 / 0.16e2 * t177 * t5386 * t1840 + 0.3e1 / 0.8e1 * t177 * t5386 * t1846 - t177 * t5386 * t1855 / 0.16e2 + 0.11e2 / 0.16e2 * t162 * t5397 - 0.15e2 / 0.32e2 * t162 * t5400 * t4132 - 0.25e2 / 0.16e2 * t177 * t5396 * t4132 + 0.15e2 / 0.16e2 * t177 * t5400 * t4139 - t1526 * t1015 / 0.16e2;
  t5415 = t1488 * t113;
  t5416 = t5415 * t4385;
  t5424 = t1488 * t36;
  t5428 = t2134 * t1488;
  t5438 = t1007 * t3448;
  t5445 = t5415 * t4165;
  t5456 = t501 * t204;
  t5465 = t1526 * t1018 / 0.16e2 + 0.11e2 / 0.16e2 * t177 * t5416 + 0.9e1 / 0.16e2 * t162 * t5416 - 0.9e1 / 0.16e2 * t162 * t5396 * t4165 + 0.3e1 / 0.8e1 * t177 * t5424 * t4185 - 0.11e2 / 0.32e2 * t162 * t163 * t5428 + 0.9e1 / 0.32e2 * t162 * t1007 * t2308 + 0.9e1 / 0.16e2 * t177 * t1027 * t2308 - 0.9e1 / 0.16e2 * t177 * t5438 - t1526 * t1053 / 0.16e2 + t1526 * t1031 / 0.16e2 - 0.3e1 / 0.2e1 * t177 * t5445 + 0.9e1 / 0.8e1 * t177 * t5397 + 0.11e2 / 0.16e2 * t177 * t5415 * t4121 + 0.3e1 / 0.4e1 * t177 * t1007 * t2356 - 0.9e1 / 0.16e2 * t177 * t1011 * t5456 - 0.3e1 / 0.16e2 * t177 * t1027 * t3448 - 0.7e1 / 0.32e2 * t162 * t5445;
  t5472 = t528 * t204;
  t5497 = -0.9e1 / 0.32e2 * t162 * t5438 + 0.9e1 / 0.32e2 * t162 * t1011 * t2356 - 0.3e1 / 0.8e1 * t177 * t1027 * t5472 + 0.3e1 / 0.32e2 * t4483 - 0.3e1 / 0.64e2 * t4489 - 0.3e1 / 0.32e2 * t4491 + 0.3e1 / 0.32e2 * t4493 - 0.3e1 / 0.32e2 * t4519 + 0.3e1 / 0.16e2 * t4522 + 0.3e1 / 0.16e2 * t4525 - 0.3e1 / 0.32e2 * t4535 - 0.3e1 / 0.16e2 * t4539 + t105 * t1516 / 0.8e1 - 0.3e1 / 0.32e2 * t105 * t1519 - t105 * t1507 / 0.32e2 - 0.3e1 / 0.64e2 * t105 * t1510 + 0.3e1 / 0.64e2 * t105 * t1513 - t105 * t1490 / 0.16e2;
  t5506 = t441 * t1488;
  t5519 = t84 * t113;
  t5522 = t84 * t36;
  t5525 = t1761 * t83;
  t5528 = t118 * t83;
  t5529 = t116 * t5528;
  t5553 = t4255 * t200 / 0.4e1 + t206 / 0.2e1 + t84 * t59 * t140 / 0.2e1 - t5519 * t184 / 0.2e1 - t5522 * t190 / 0.2e1 - t5525 * t4270 / 0.2e1 + t4273 * t5529 / 0.2e1 + t434 * t204 * t64 / 0.2e1 + t1478 * t4282 / 0.2e1 - t1478 * t4285 / 0.2e1 - t1478 * t4288 / 0.2e1 - t1779 * t83 * t64 / 0.2e1 - t437 * t204 * t64 / 0.2e1 - t1480 * t4282 / 0.2e1 + t1480 * t4285 / 0.2e1 + t1480 * t4288 / 0.2e1;
  t5561 = 0.3e1 / 0.64e2 * t105 * t1494 + 0.3e1 / 0.32e2 * t105 * t1497 - 0.3e1 / 0.32e2 * t105 * t1500 - t105 * t1485 / 0.64e2 - 0.3e1 / 0.32e2 * t48 * t5506 * t377 + 0.3e1 / 0.32e2 * t48 * t5506 * t385 - t48 * t5553 * t310 * t119 / 0.32e2 + 0.3e1 / 0.32e2 * t48 * t5506 * t420 - t1503 + t1504 + t1505 - t1506 - t815 - t766 + t791 + t810 - t806 - t262;
  t5564 = my_piecewise3(t3, 0, t5412 + t5465 + t5497 + t5561);
  tv4rholapl30 = 0.2e1 * rho[0] * t5564 + 0.2e1 * t1523;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 0] += tv4rholapl30;

  t5567 = t1529 * t36;
  t5572 = t3194 * t310;
  t5573 = t163 * t383 * t5572;
  t5585 = t1421 * t3461;
  t5596 = t4824 * t59;
  t5606 = 0.3e1 / 0.8e1 * t177 * t5567 * t4385 - 0.7e1 / 0.32e2 * t162 * t5573 + t1526 * t1085 / 0.16e2 - t177 * t1529 * t59 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t177 * t2426 * t3549 - 0.3e1 / 0.8e1 * t177 * t5585 - 0.3e1 / 0.16e2 * t162 * t5585 + 0.3e1 / 0.16e2 * t162 * t1076 * t3720 + t177 * t1065 * t2356 / 0.2e1 + 0.3e1 / 0.8e1 * t177 * t950 * t5596 - t177 * t950 * t3461 / 0.4e1 - 0.11e2 / 0.32e2 * t162 * t1939 * t5572;
  t5616 = t4790 * t4572;
  t5629 = t1529 * t381;
  t5636 = t1529 * t113;
  t5640 = t1421 * t5596;
  t5645 = 0.3e1 / 0.16e2 * t162 * t1084 * t3720 + 0.3e1 / 0.8e1 * t177 * t1088 * t2308 - t177 * t1088 * t3448 / 0.8e1 + 0.11e2 / 0.16e2 * t162 * t5616 - 0.15e2 / 0.32e2 * t162 * t4795 * t4572 - t1526 * t1073 / 0.16e2 + t1526 * t1077 / 0.16e2 - 0.3e1 / 0.8e1 * t177 * t937 * t3461 - 0.25e2 / 0.16e2 * t177 * t5629 * t4132 + 0.15e2 / 0.16e2 * t177 * t3206 * t5596 + 0.11e2 / 0.16e2 * t177 * t5636 * t4121 + 0.11e2 / 0.16e2 * t177 * t5640 + 0.9e1 / 0.16e2 * t162 * t5640;
  t5647 = t1011 * t383;
  t5655 = -0.9e1 / 0.16e2 * t162 * t5647 * t4572 - 0.3e1 / 0.2e1 * t177 * t5573 + 0.9e1 / 0.8e1 * t177 * t5616 - t4588 - t4595 + t4614 - t4640 + t4644 - t4647 + t4652 - t4874 + t4680 - t4684;
  t5664 = t232 * t310;
  t5671 = t4875 - t4876 + t4877 - t4878 - t4879 + t4880 - t4881 + t4882 - 0.3e1 / 0.32e2 * t507 * t1544 - t507 * t1530 / 0.32e2 - t15 * t45 * t1483 * t328 / 0.64e2 + t177 * t5664 * t395 / 0.4e1 - 0.3e1 / 0.16e2 * t177 * t2477 * t1555;
  t5685 = t709 * t1543;
  t5707 = -t177 * t744 * t1533 / 0.8e1 + 0.3e1 / 0.32e2 * t562 * t1537 + 0.3e1 / 0.32e2 * t162 * t1007 * t2617 + 0.3e1 / 0.16e2 * t177 * t5664 * t428 - 0.3e1 / 0.16e2 * t177 * t5685 - t177 * t5664 * t475 / 0.16e2 - t15 * t18 * t5553 * t328 / 0.32e2 - t1526 * t1103 / 0.32e2 - t1526 * t1106 / 0.32e2 - 0.3e1 / 0.64e2 * t558 * t1544 + 0.3e1 / 0.64e2 * t558 * t1549 + t507 * t1552 / 0.8e1 - t507 * t1534 / 0.16e2;
  t5723 = 0.3e1 / 0.64e2 * t558 * t1537 + 0.3e1 / 0.32e2 * t507 * t1540 - 0.3e1 / 0.32e2 * t507 * t1556 - 0.3e1 / 0.32e2 * t562 * t1544 - 0.3e1 / 0.32e2 * t162 * t5685 + 0.3e1 / 0.32e2 * t562 * t1549 + 0.3e1 / 0.32e2 * t162 * t1011 * t2560 - t4712 - t4714 + t4716 + t4718 - t4747 - t4750;
  t5725 = -t4754 + t4757 + t4760 + t4956 - t4957 - t4958 + t4959 - t4960 + t4961 + t4962 - t4963 - t4966 - t1327;
  t5726 = t1315 + t1318 - t1323 - t1376 + t1377 + t1378 - t1379 - t815 - t766 + t791 + t810 - t806 - t262;
  t5730 = my_piecewise3(t3, 0, t5606 + t5645 + t5655 + t5671 + t5707 + t5723 + t5725 + t5726);
  tv4rholapl2tau0 = 0.2e1 * rho[0] * t5730 + 0.2e1 * t1560;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 0] += tv4rholapl2tau0;

  t5733 = -t5279 - t5280 + t5281 - t5282 + t5283 - t5284 + t5285 - t4335 + t5286 - t5287 + t4358 - t4361;
  t5734 = t1147 * t3448;
  t5752 = t4369 - t4373 - t4376 + t4408 - t4411 + t4414 - 0.3e1 / 0.16e2 * t177 * t5734 - t177 * t1143 * t5472 / 0.8e1 + 0.3e1 / 0.32e2 * t562 * t1573 + 0.3e1 / 0.32e2 * t162 * t1147 * t2308 + 0.3e1 / 0.16e2 * t177 * t1143 * t2308 - t1526 * t1172 / 0.16e2 + t1526 * t1148 / 0.16e2;
  t5783 = 0.3e1 / 0.64e2 * t558 * t1585 + t507 * t1588 / 0.8e1 - 0.3e1 / 0.32e2 * t507 * t1592 - t507 * t1580 / 0.32e2 - 0.3e1 / 0.64e2 * t558 * t1566 + 0.3e1 / 0.32e2 * t507 * t1576 - 0.3e1 / 0.32e2 * t507 * t1566 - t507 * t1570 / 0.16e2 + 0.3e1 / 0.64e2 * t558 * t1573 - t1526 * t1165 / 0.16e2 + t1526 * t1183 / 0.16e2 - 0.3e1 / 0.16e2 * t177 * t1182 * t5456 - t177 * t346 * t204 * t475 / 0.16e2;
  t5796 = -0.3e1 / 0.32e2 * t562 * t1566 - 0.3e1 / 0.32e2 * t162 * t5734 + 0.3e1 / 0.32e2 * t562 * t1585 + 0.3e1 / 0.32e2 * t162 * t1182 * t2356 + t177 * t1147 * t2356 / 0.4e1 - t5352 - t5353 + t5354 + t5355 - t5356 - t5357 - t5358 + t5359;
  t5805 = t5362 + t4484 - t4490 - t4492 + t4494 - t4520 + t4523 + t4526 - t4536 - t4540 - t48 * t5553 * t346 * t119 / 0.32e2 - t105 * t1563 / 0.64e2;
  t5806 = -t1459 + t1456 + t1457 - t1458 - t1260 + t1264 + t1268 - t1275 - t815 - t766 + t791 + t810 - t806;
  t5808 = t1147 * t145;
  t5809 = t5808 * t4344;
  t5819 = t2001 * t83;
  t5826 = t1421 * t3713;
  t5831 = t5224 * t83;
  t5847 = t1579 * t113;
  t5851 = 0.9e1 / 0.16e2 * t162 * t5809 - t177 * t1579 * t59 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t177 * t5238 * t2302 + 0.3e1 / 0.8e1 * t177 * t5238 * t5819 + 0.3e1 / 0.8e1 * t177 * t5216 * t3713 - 0.3e1 / 0.8e1 * t177 * t5826 + 0.11e2 / 0.16e2 * t177 * t5809 - 0.9e1 / 0.16e2 * t162 * t1950 * t5831 - t177 * t950 * t3713 / 0.4e1 + 0.3e1 / 0.8e1 * t177 * t5266 * t4344 - 0.11e2 / 0.32e2 * t162 * t1939 * t5831 + 0.3e1 / 0.16e2 * t162 * t5273 * t3713 + 0.11e2 / 0.16e2 * t177 * t5847 * t4121;
  t5852 = t5194 * t4344;
  t5864 = t5210 * t4344;
  t5885 = 0.11e2 / 0.16e2 * t162 * t5852 - 0.15e2 / 0.32e2 * t162 * t5198 * t4344 - 0.25e2 / 0.16e2 * t177 * t5202 * t4344 + 0.15e2 / 0.16e2 * t177 * t5206 * t4344 - 0.3e1 / 0.2e1 * t177 * t5864 + 0.9e1 / 0.8e1 * t177 * t5852 + 0.3e1 / 0.16e2 * t162 * t5259 * t3713 + t177 * t2415 * t3713 / 0.2e1 - 0.3e1 / 0.8e1 * t177 * t937 * t3713 - t177 * t1088 * t3892 / 0.8e1 - 0.7e1 / 0.32e2 * t162 * t5864 - 0.3e1 / 0.16e2 * t162 * t5826 - t262;
  t5889 = my_piecewise3(t3, 0, t5733 + t5752 + t5783 + t5796 + t5805 + t5806 + t5851 + t5885);
  tv4rholapltau20 = 0.2e1 * rho[0] * t5889 + 0.2e1 * t1596;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 0] += tv4rholapltau20;

  t5899 = t1598 * t1720;
  t5903 = t1598 * t113;
  t5904 = t5903 * t4165;
  t5907 = t1598 * t381;
  t5908 = t5907 * t4121;
  t5911 = t5903 * t4385;
  t5915 = t15 * t18 * t1618;
  t5928 = t1598 * t59;
  t5932 = -0.9e1 / 0.16e2 * t4587 - 0.9e1 / 0.32e2 * t4594 + 0.3e1 / 0.4e1 * t4613 - 0.9e1 / 0.16e2 * t4639 + 0.9e1 / 0.32e2 * t4643 - 0.3e1 / 0.8e1 * t4646 + 0.9e1 / 0.32e2 * t4651 + 0.15e2 / 0.16e2 * t177 * t5899 * t4139 - 0.3e1 / 0.2e1 * t177 * t5904 + 0.9e1 / 0.8e1 * t177 * t5908 + 0.9e1 / 0.16e2 * t162 * t5911 - t5915 * t1165 / 0.16e2 + t5915 * t1183 / 0.16e2 + 0.11e2 / 0.16e2 * t177 * t5903 * t4121 + 0.11e2 / 0.16e2 * t162 * t5908 - 0.15e2 / 0.32e2 * t162 * t5899 * t4132 - 0.11e2 / 0.16e2 * t177 * t5928 * t1840;
  t5948 = t1147 * t3892;
  t5953 = t1960 * t1598;
  t5961 = t1598 * t36;
  t5965 = t2134 * t1598;
  t5982 = 0.3e1 / 0.8e1 * t177 * t5928 * t1846 - t177 * t5928 * t1855 / 0.16e2 + 0.9e1 / 0.16e2 * t4679 - 0.3e1 / 0.16e2 * t4683 + 0.9e1 / 0.16e2 * t177 * t1143 * t2617 - t5915 * t1172 / 0.16e2 + t5915 * t1148 / 0.16e2 - 0.9e1 / 0.16e2 * t177 * t5948 + 0.11e2 / 0.16e2 * t177 * t5911 - 0.9e1 / 0.16e2 * t162 * t1949 * t5953 - 0.3e1 / 0.8e1 * t177 * t1143 * t528 * t232 + 0.3e1 / 0.8e1 * t177 * t5961 * t4185 - 0.11e2 / 0.32e2 * t162 * t163 * t5965 + 0.9e1 / 0.32e2 * t162 * t1147 * t2617 - 0.25e2 / 0.16e2 * t177 * t5907 * t4132 - 0.7e1 / 0.32e2 * t162 * t5904 - 0.9e1 / 0.32e2 * t162 * t5948 + 0.9e1 / 0.32e2 * t162 * t1182 * t2560;
  t6015 = 0.3e1 / 0.4e1 * t177 * t1147 * t2560 - 0.9e1 / 0.16e2 * t177 * t1182 * t501 * t232 - 0.3e1 / 0.16e2 * t177 * t1143 * t3892 - 0.3e1 / 0.64e2 * t4711 - 0.3e1 / 0.32e2 * t4713 + 0.3e1 / 0.32e2 * t4715 + 0.3e1 / 0.32e2 * t4717 - 0.3e1 / 0.32e2 * t4746 - 0.3e1 / 0.32e2 * t4749 - 0.3e1 / 0.16e2 * t4753 + 0.3e1 / 0.16e2 * t4756 + 0.3e1 / 0.16e2 * t4759 - 0.3e1 / 0.64e2 * t105 * t1630 + 0.3e1 / 0.64e2 * t105 * t1633 + t105 * t1636 / 0.8e1 - 0.3e1 / 0.32e2 * t105 * t1639 - t105 * t1627 / 0.32e2 + 0.3e1 / 0.32e2 * t105 * t1610;
  t6024 = t441 * t1598;
  t6040 = t92 * t113;
  t6043 = t92 * t36;
  t6046 = t1761 * t91;
  t6050 = t116 * t118 * t91;
  t6074 = t4255 * t227 / 0.4e1 + t234 / 0.2e1 + t92 * t59 * t140 / 0.2e1 - t6040 * t184 / 0.2e1 - t6043 * t190 / 0.2e1 - t6046 * t4270 / 0.2e1 + t4273 * t6050 / 0.2e1 + t434 * t232 * t64 / 0.2e1 + t1613 * t4282 / 0.2e1 - t1613 * t4285 / 0.2e1 - t1613 * t4288 / 0.2e1 - t1779 * t91 * t64 / 0.2e1 - t437 * t232 * t64 / 0.2e1 - t1615 * t4282 / 0.2e1 + t1615 * t4285 / 0.2e1 + t1615 * t4288 / 0.2e1;
  t6079 = -t105 * t1620 / 0.64e2 - 0.3e1 / 0.32e2 * t105 * t1600 - t105 * t1603 / 0.16e2 + 0.3e1 / 0.64e2 * t105 * t1607 - 0.3e1 / 0.32e2 * t48 * t6024 * t377 + 0.3e1 / 0.32e2 * t48 * t6024 * t385 + 0.3e1 / 0.32e2 * t48 * t6024 * t420 - t48 * t6074 * t346 * t119 / 0.32e2 - t1626 + t1623 + t1624 - t1625 - t815 - t766 + t791 + t810 - t806 - t262;
  t6082 = my_piecewise3(t3, 0, t5932 + t5982 + t6015 + t6079);
  tv4rhotau30 = 0.2e1 * rho[0] * t6082 + 0.2e1 * t1643;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 0] += tv4rhotau30;

  t6085 = t1270 * t1215;
  t6088 = t162 * t771 * t2823;
  t6091 = t177 * t807 * t1291;
  t6093 = t771 * t2756;
  t6094 = t162 * t6093;
  t6097 = t162 * t776 * t2744;
  t6099 = t258 * t253;
  t6101 = t177 * t6099 * t395;
  t6104 = t177 * t2687 * t1306;
  t6106 = t177 * t6093;
  t6109 = t177 * t6099 * t428;
  t6112 = t177 * t6099 * t475;
  t6114 = t253 * t253;
  t6115 = t110 * t6114;
  t6119 = t1249 * t1204;
  t6132 = t258 * t258;
  t6133 = t49 * t6132;
  t6136 = 0.3e1 / 0.16e2 * t48 * t6133 * t140;
  t6137 = t49 * t6114;
  t6147 = -0.5e1 / 0.32e2 * t6085 + 0.9e1 / 0.16e2 * t6088 - 0.3e1 / 0.4e1 * t6091 - 0.9e1 / 0.16e2 * t6094 + 0.9e1 / 0.16e2 * t6097 + 0.3e1 / 0.2e1 * t6101 - 0.9e1 / 0.8e1 * t6104 - 0.9e1 / 0.8e1 * t6106 + 0.9e1 / 0.8e1 * t6109 - 0.3e1 / 0.8e1 * t6112 - 0.7e1 / 0.32e2 * t48 * t6115 * t1864 - 0.5e1 / 0.32e2 * t48 * t6119 * t377 + 0.5e1 / 0.32e2 * t48 * t6119 * t385 + 0.9e1 / 0.16e2 * t48 * t6115 * t1746 - 0.9e1 / 0.16e2 * t48 * t6115 * t1750 - t6136 - 0.11e2 / 0.16e2 * t48 * t6137 * t1840 + 0.11e2 / 0.16e2 * t48 * t6137 * t1746 + 0.3e1 / 0.8e1 * t48 * t6137 * t1885;
  t6151 = 0.3e1 / 0.32e2 * t48 * t110 * t6132 * t119;
  t6154 = 0.3e1 / 0.16e2 * t48 * t6133 * t151;
  t6184 = 0.3e1 / 0.16e2 * t48 * t6133 * t147;
  t6186 = t260 / 0.2e1;
  t6198 = t434 * t258 * t64 / 0.2e1;
  t6199 = t434 * t253;
  t6206 = t108 * t1249;
  t6212 = t437 * t258 * t64 / 0.2e1;
  t6213 = t437 * t253;
  t6220 = t255 / 0.4e1 + t6186 + t264 / 0.2e1 - t267 / 0.2e1 - t270 / 0.2e1 - t1761 * t253 * t119 / 0.2e1 + t1765 * t253 * t119 / 0.2e1 + t6198 + t6199 * t140 / 0.2e1 - t6199 * t147 / 0.2e1 - t6199 * t151 / 0.2e1 - t6206 * t74 * t64 / 0.2e1 - t6212 - t6213 * t140 / 0.2e1 + t6213 * t147 / 0.2e1 + t6213 * t151 / 0.2e1;
  t6235 = -t6151 + t6154 + 0.15e2 / 0.16e2 * t48 * t6137 * t1742 - 0.3e1 / 0.2e1 * t48 * t6137 * t1864 + 0.9e1 / 0.8e1 * t48 * t6137 * t1716 + 0.11e2 / 0.16e2 * t48 * t6137 * t1730 + 0.11e2 / 0.16e2 * t48 * t6115 * t1716 - 0.15e2 / 0.32e2 * t48 * t6115 * t1724 - 0.25e2 / 0.16e2 * t48 * t6137 * t1735 + 0.3e1 / 0.8e1 * t48 * t6137 * t1846 - t48 * t6137 * t1855 / 0.16e2 + t6184 - t48 * t6220 * t253 * t119 / 0.32e2 - 0.11e2 / 0.32e2 * t48 * t6115 * t1819 + 0.5e1 / 0.32e2 * t48 * t6119 * t420 + t1202 / 0.4e1 - t1216 / 0.8e1 - t1224 / 0.4e1 + t1236 / 0.4e1 - t262;
  t6237 = my_piecewise3(t3, 0, t6147 + t6235);
  tv4sigma40 = 0.2e1 * rho[0] * t6237;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  t6239 = t83 * t1204;
  t6243 = t1992 * t1204;
  t6254 = t6239 * t1864;
  t6261 = t15 * t18 * t6220;
  t6264 = t1270 * t1273;
  t6265 = t6264 / 0.16e2;
  t6266 = t2051 * t1204;
  t6276 = t213 * t4143;
  t6279 = -0.25e2 / 0.16e2 * t177 * t6239 * t1735 + 0.15e2 / 0.16e2 * t177 * t2231 * t6243 - 0.5e1 / 0.32e2 * t1270 * t1288 + 0.5e1 / 0.32e2 * t1270 * t1300 + 0.11e2 / 0.16e2 * t177 * t6239 * t1730 - 0.3e1 / 0.2e1 * t177 * t6254 - t177 * t6239 * t1855 / 0.16e2 - t6261 * t276 / 0.32e2 - t6265 + 0.3e1 / 0.8e1 * t177 * t217 * t6266 + 0.3e1 / 0.8e1 * t177 * t6239 * t1846 - 0.11e2 / 0.16e2 * t177 * t6239 * t1840 + 0.11e2 / 0.16e2 * t177 * t6276;
  t6282 = t1976 * t1204;
  t6283 = t606 * t6282;
  t6301 = 0.3e1 / 0.32e2 * t6085;
  t6302 = 0.9e1 / 0.32e2 * t6088;
  t6303 = 0.3e1 / 0.8e1 * t6091;
  t6304 = 0.9e1 / 0.32e2 * t6094;
  t6305 = 0.9e1 / 0.32e2 * t6097;
  t6306 = 0.5e1 / 0.32e2 * t1270 * t1295 + 0.9e1 / 0.8e1 * t177 * t6283 + 0.11e2 / 0.16e2 * t162 * t6283 - 0.15e2 / 0.32e2 * t162 * t4131 * t2224 - 0.11e2 / 0.32e2 * t162 * t4125 * t2302 - 0.7e1 / 0.32e2 * t162 * t6254 + 0.9e1 / 0.16e2 * t162 * t6276 - 0.9e1 / 0.16e2 * t162 * t4120 * t2326 - t6301 + t6302 - t6303 - t6304 + t6305;
  t6308 = 0.3e1 / 0.4e1 * t6101;
  t6309 = 0.9e1 / 0.16e2 * t6104;
  t6310 = 0.9e1 / 0.16e2 * t6106;
  t6311 = 0.9e1 / 0.16e2 * t6109;
  t6312 = 0.3e1 / 0.16e2 * t6112;
  t6313 = t6308 - t6309 - t6310 + t6311 - t6312 - t6136 - t6151 + t6154 + t6184 + t1203 - t1217 - t1225 + t1237;
  t6316 = t177 * t1257 * t74 * t475;
  t6317 = 0.3e1 / 0.16e2 * t6316;
  t6319 = t177 * t4366 * t536;
  t6320 = 0.9e1 / 0.16e2 * t6319;
  t6321 = t848 * t4370;
  t6322 = t162 * t6321;
  t6323 = 0.9e1 / 0.32e2 * t6322;
  t6325 = t177 * t4355 * t580;
  t6326 = 0.3e1 / 0.4e1 * t6325;
  t6328 = t177 * t862 * t4098;
  t6329 = 0.9e1 / 0.16e2 * t6328;
  t6330 = t177 * t6321;
  t6331 = 0.9e1 / 0.16e2 * t6330;
  t6333 = t162 * t854 * t4370;
  t6334 = 0.9e1 / 0.32e2 * t6333;
  t6336 = t177 * t919 * t4098;
  t6337 = 0.3e1 / 0.8e1 * t6336;
  t6339 = t162 * t905 * t4370;
  t6340 = 0.9e1 / 0.32e2 * t6339;
  t6341 = -t1260 + t1264 + t1268 - t1275 - t6317 + t6320 - t6323 + t6326 - t6329 - t6331 + t6334 - t6337 + t6340 - t262;
  t6344 = my_piecewise3(t3, 0, t6279 + t6306 + t6313 + t6341);
  tv4sigma3lapl0 = 0.2e1 * rho[0] * t6344;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 0] += tv4sigma3lapl0;

  t6349 = t91 * t1204;
  t6350 = t6349 * t1864;
  t6353 = t697 * t6282;
  t6378 = t1270 * t1321;
  t6379 = t6378 / 0.16e2;
  t6380 = -0.9e1 / 0.16e2 * t162 * t4120 * t2488 - 0.3e1 / 0.2e1 * t177 * t6350 + 0.9e1 / 0.8e1 * t177 * t6353 + 0.11e2 / 0.16e2 * t162 * t6353 - 0.15e2 / 0.32e2 * t162 * t4131 * t2464 - 0.25e2 / 0.16e2 * t177 * t6349 * t1735 + 0.15e2 / 0.16e2 * t177 * t2452 * t6243 - 0.5e1 / 0.32e2 * t1270 * t1338 + 0.5e1 / 0.32e2 * t1270 * t1346 - t177 * t6349 * t1855 / 0.16e2 - 0.7e1 / 0.32e2 * t162 * t6350 - t6261 * t294 / 0.32e2 - t6379;
  t6381 = t241 * t4143;
  t6403 = 0.11e2 / 0.16e2 * t177 * t6381 + 0.3e1 / 0.8e1 * t177 * t245 * t6266 + 0.3e1 / 0.8e1 * t177 * t6349 * t1846 - 0.11e2 / 0.32e2 * t162 * t4125 * t2507 - 0.11e2 / 0.16e2 * t177 * t6349 * t1840 + 0.5e1 / 0.32e2 * t1270 * t1332 + 0.11e2 / 0.16e2 * t177 * t6349 * t1730 + 0.9e1 / 0.16e2 * t162 * t6381 - t6301 + t6302 - t6303 - t6304 + t6305;
  t6405 = t6308 - t6309 - t6310 + t6311 - t6312 - t6136 - t6151 + t6154 + t6184 - t1327 + t1315 + t1318 - t1323;
  t6407 = t177 * t2415 * t4098;
  t6408 = 0.3e1 / 0.4e1 * t6407;
  t6410 = t177 * t937 * t4098;
  t6411 = 0.9e1 / 0.16e2 * t6410;
  t6412 = t4114 * t1414;
  t6413 = t162 * t6412;
  t6414 = 0.9e1 / 0.32e2 * t6413;
  t6416 = t177 * t957 * t2823;
  t6417 = 0.9e1 / 0.16e2 * t6416;
  t6420 = t177 * t1324 * t74 * t475;
  t6421 = 0.3e1 / 0.16e2 * t6420;
  t6423 = t162 * t854 * t4641;
  t6424 = 0.9e1 / 0.32e2 * t6423;
  t6426 = t177 * t950 * t4098;
  t6427 = 0.3e1 / 0.8e1 * t6426;
  t6429 = t162 * t905 * t4641;
  t6430 = 0.9e1 / 0.32e2 * t6429;
  t6431 = t177 * t6412;
  t6432 = 0.9e1 / 0.16e2 * t6431;
  t6433 = t1203 - t1217 - t1225 + t1237 + t6408 - t6411 - t6414 + t6417 - t6421 + t6424 - t6427 + t6430 - t6432 - t262;
  t6436 = my_piecewise3(t3, 0, t6380 + t6403 + t6405 + t6433);
  tv4sigma3tau0 = 0.2e1 * rho[0] * t6436;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 0] += tv4sigma3tau0;

  t6442 = t310 * t253;
  t6455 = t1976 * t253;
  t6456 = t1011 * t6455;
  t6465 = t1992 * t253;
  t6469 = t1960 * t253;
  t6470 = t1007 * t6469;
  t6475 = t2001 * t253;
  t6476 = t1007 * t6475;
  t6480 = t162 * t1011 * t2744;
  t6481 = 0.3e1 / 0.32e2 * t6480;
  t6483 = t177 * t1007 * t2744;
  t6484 = t6483 / 0.4e1;
  t6485 = -0.5e1 / 0.32e2 * t1270 * t1363 + 0.5e1 / 0.32e2 * t1270 * t1389 - 0.11e2 / 0.16e2 * t177 * t6442 * t1840 + 0.3e1 / 0.8e1 * t177 * t6442 * t1846 - t177 * t6442 * t1855 / 0.16e2 + 0.11e2 / 0.16e2 * t177 * t6442 * t1730 + 0.11e2 / 0.16e2 * t162 * t6456 - 0.15e2 / 0.32e2 * t162 * t3507 * t2777 - 0.25e2 / 0.16e2 * t177 * t1011 * t2777 + 0.15e2 / 0.16e2 * t177 * t3507 * t6465 - 0.3e1 / 0.2e1 * t177 * t6470 + 0.9e1 / 0.8e1 * t177 * t6456 + 0.9e1 / 0.16e2 * t162 * t6476 + t6481 + t6484;
  t6486 = t501 * t258;
  t6488 = t177 * t1011 * t6486;
  t6489 = 0.3e1 / 0.16e2 * t6488;
  t6492 = t177 * t310 * t258 * t475;
  t6493 = t6492 / 0.16e2;
  t6496 = t1007 * t2756;
  t6497 = t162 * t6496;
  t6498 = 0.3e1 / 0.32e2 * t6497;
  t6501 = t2051 * t253;
  t6506 = t162 * t1007 * t2823;
  t6507 = 0.3e1 / 0.32e2 * t6506;
  t6509 = t177 * t1027 * t2823;
  t6510 = 0.3e1 / 0.16e2 * t6509;
  t6513 = t177 * t6496;
  t6514 = 0.3e1 / 0.16e2 * t6513;
  t6518 = t528 * t258;
  t6520 = t177 * t1027 * t6518;
  t6521 = t6520 / 0.8e1;
  t6526 = t6085 / 0.32e2;
  t6527 = 0.3e1 / 0.32e2 * t6088;
  t6528 = -t6489 - t6493 - 0.7e1 / 0.32e2 * t162 * t6470 - t6498 + 0.11e2 / 0.16e2 * t177 * t6476 + 0.3e1 / 0.8e1 * t177 * t1027 * t6501 + t6507 + t6510 + 0.5e1 / 0.32e2 * t1270 * t1370 - t6514 - 0.9e1 / 0.16e2 * t162 * t776 * t3495 - t6521 - 0.11e2 / 0.32e2 * t162 * t771 * t3549 - t6264 / 0.8e1 - t6526 + t6527;
  t6530 = t6091 / 0.8e1;
  t6531 = 0.3e1 / 0.32e2 * t6094;
  t6532 = 0.3e1 / 0.32e2 * t6097;
  t6533 = t6101 / 0.4e1;
  t6534 = 0.3e1 / 0.16e2 * t6104;
  t6535 = 0.3e1 / 0.16e2 * t6106;
  t6536 = 0.3e1 / 0.16e2 * t6109;
  t6537 = t6112 / 0.16e2;
  t6542 = -t6530 - t6531 + t6532 + t6533 - t6534 - t6535 + t6536 - t6537 - t48 * t6220 * t310 * t119 / 0.32e2 - t6136 - t6151 + t6154 + t6184 + t1276 - t1277;
  t6551 = -t1278 + t1279 - t1376 + t1377 + t1378 - t1379 - t6316 / 0.4e1 + 0.3e1 / 0.4e1 * t6319 - 0.3e1 / 0.8e1 * t6322 + t6325 - 0.3e1 / 0.4e1 * t6328 - 0.3e1 / 0.4e1 * t6330 + 0.3e1 / 0.8e1 * t6333 - t6336 / 0.2e1 + 0.3e1 / 0.8e1 * t6339 - t262;
  t6554 = my_piecewise3(t3, 0, t6485 + t6528 + t6542 + t6551);
  tv4sigma2lapl20 = 0.2e1 * rho[0] * t6554;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 0] += tv4sigma2lapl20;

  t6558 = t3194 * t253;
  t6559 = t862 * t6558;
  t6566 = -t6261 * t328 / 0.32e2 - t6379 - t6265 - t6526 + t6527 - t6530 - t6531 + t6532 + t6533 - t6534 - t6535 + t6536 - t6537 - t6136 - t6151 + t6154 + t6184 + 0.11e2 / 0.16e2 * t162 * t6559 - 0.15e2 / 0.32e2 * t162 * t2231 * t1722 * t6558;
  t6573 = t331 * t253;
  t6577 = t1421 * t4397;
  t6585 = t1065 * t6469;
  t6590 = -0.25e2 / 0.16e2 * t177 * t3661 * t2777 + 0.15e2 / 0.16e2 * t177 * t3206 * t4397 + 0.11e2 / 0.16e2 * t177 * t6573 * t1730 + 0.11e2 / 0.16e2 * t177 * t6577 + 0.9e1 / 0.16e2 * t162 * t6577 - 0.9e1 / 0.16e2 * t162 * t1076 * t6558 - 0.3e1 / 0.2e1 * t177 * t6585 + 0.9e1 / 0.8e1 * t177 * t6559 - t1327 + t1315 + t1318 - t1323 + t1276 - t1277 - t1278 + t1279 - t1260 + t1264 + t1268;
  t6609 = t177 * t937 * t4370;
  t6611 = t1072 * t4641;
  t6612 = t162 * t6611;
  t6615 = t162 * t1076 * t4641;
  t6618 = t177 * t1065 * t2744;
  t6621 = t177 * t1088 * t2823;
  t6623 = t177 * t6611;
  t6626 = t177 * t950 * t4370;
  t6632 = t162 * t1084 * t4641;
  t6636 = t177 * t331 * t258 * t475;
  t6642 = -t1275 - t177 * t6573 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t177 * t4622 * t2302 - 0.5e1 / 0.32e2 * t1270 * t1422 + 0.5e1 / 0.32e2 * t1270 * t1427 + 0.3e1 / 0.8e1 * t177 * t6573 * t1846 + 0.3e1 / 0.8e1 * t177 * t950 * t4397 - 0.3e1 / 0.16e2 * t6609 - 0.3e1 / 0.32e2 * t6612 + 0.3e1 / 0.32e2 * t6615 + t6618 / 0.4e1 + 0.3e1 / 0.16e2 * t6621 - 0.3e1 / 0.16e2 * t6623 - t6626 / 0.8e1 - 0.11e2 / 0.32e2 * t162 * t4674 * t3773 + 0.3e1 / 0.32e2 * t6632 - t6636 / 0.16e2 - 0.7e1 / 0.32e2 * t162 * t6585 + 0.5e1 / 0.32e2 * t1270 * t1415;
  t6643 = t6407 / 0.2e1;
  t6644 = 0.3e1 / 0.8e1 * t6410;
  t6645 = 0.3e1 / 0.16e2 * t6413;
  t6646 = 0.3e1 / 0.8e1 * t6416;
  t6647 = t6420 / 0.8e1;
  t6648 = 0.3e1 / 0.16e2 * t6423;
  t6649 = t6426 / 0.4e1;
  t6650 = 0.3e1 / 0.16e2 * t6429;
  t6651 = 0.3e1 / 0.8e1 * t6431;
  t6652 = t6316 / 0.8e1;
  t6653 = 0.3e1 / 0.8e1 * t6319;
  t6654 = 0.3e1 / 0.16e2 * t6322;
  t6655 = t6325 / 0.2e1;
  t6656 = 0.3e1 / 0.8e1 * t6328;
  t6657 = 0.3e1 / 0.8e1 * t6330;
  t6658 = 0.3e1 / 0.16e2 * t6333;
  t6659 = t6336 / 0.4e1;
  t6660 = 0.3e1 / 0.16e2 * t6339;
  t6661 = t6643 - t6644 - t6645 + t6646 - t6647 + t6648 - t6649 + t6650 - t6651 - t6652 + t6653 - t6654 + t6655 - t6656 - t6657 + t6658 - t6659 + t6660 - t262;
  t6664 = my_piecewise3(t3, 0, t6566 + t6590 + t6642 + t6661);
  tv4sigma2lapltau0 = 0.2e1 * rho[0] * t6664;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 0] += tv4sigma2lapltau0;

  t6666 = t1182 * t6455;
  t6669 = t346 * t253;
  t6680 = t1960 * t346;
  t6685 = t177 * t1143 * t6518;
  t6686 = t6685 / 0.8e1;
  t6691 = t162 * t1147 * t2823;
  t6692 = 0.3e1 / 0.32e2 * t6691;
  t6698 = t1147 * t6475;
  t6710 = 0.9e1 / 0.8e1 * t177 * t6666 - t177 * t6669 * t1855 / 0.16e2 - 0.5e1 / 0.32e2 * t1270 * t1447 + 0.5e1 / 0.32e2 * t1270 * t1464 + 0.3e1 / 0.8e1 * t177 * t6669 * t1846 - 0.9e1 / 0.16e2 * t162 * t776 * t6680 - t6686 - 0.11e2 / 0.32e2 * t162 * t771 * t3949 + t6692 + 0.5e1 / 0.32e2 * t1270 * t1453 - 0.11e2 / 0.16e2 * t177 * t1143 * t2807 + 0.11e2 / 0.16e2 * t177 * t6698 + 0.3e1 / 0.8e1 * t177 * t1143 * t6501 + 0.15e2 / 0.16e2 * t177 * t3972 * t6465 + 0.11e2 / 0.16e2 * t177 * t6669 * t1730;
  t6719 = t1147 * t6469;
  t6722 = t1147 * t2756;
  t6723 = t162 * t6722;
  t6724 = 0.3e1 / 0.32e2 * t6723;
  t6726 = t162 * t1182 * t2744;
  t6727 = 0.3e1 / 0.32e2 * t6726;
  t6729 = t177 * t1147 * t2744;
  t6730 = t6729 / 0.4e1;
  t6732 = t177 * t1182 * t6486;
  t6733 = 0.3e1 / 0.16e2 * t6732;
  t6736 = t177 * t346 * t258 * t475;
  t6737 = t6736 / 0.16e2;
  t6741 = t177 * t1143 * t2823;
  t6742 = 0.3e1 / 0.16e2 * t6741;
  t6745 = t177 * t6722;
  t6746 = 0.3e1 / 0.16e2 * t6745;
  t6748 = 0.11e2 / 0.16e2 * t162 * t6666 - 0.15e2 / 0.32e2 * t162 * t3972 * t2777 - 0.25e2 / 0.16e2 * t177 * t1182 * t2777 - 0.3e1 / 0.2e1 * t177 * t6719 - t6724 + t6727 + t6730 - t6733 - t6737 - 0.7e1 / 0.32e2 * t162 * t6719 + t6742 + 0.9e1 / 0.16e2 * t162 * t6698 - t6746 - t6378 / 0.8e1 - t6526 + t6527;
  t6754 = -t6530 - t6531 + t6532 + t6533 - t6534 - t6535 + t6536 - t6537 - t48 * t6220 * t346 * t119 / 0.32e2 - t6136 - t6151 + t6154 + t6184 - t1459 + t1456;
  t6763 = t1457 - t1458 + t1276 - t1277 - t1278 + t1279 + t6407 - 0.3e1 / 0.4e1 * t6410 - 0.3e1 / 0.8e1 * t6413 + 0.3e1 / 0.4e1 * t6416 - t6420 / 0.4e1 + 0.3e1 / 0.8e1 * t6423 - t6426 / 0.2e1 + 0.3e1 / 0.8e1 * t6429 - 0.3e1 / 0.4e1 * t6431 - t262;
  t6766 = my_piecewise3(t3, 0, t6710 + t6748 + t6754 + t6763);
  tv4sigma2tau20 = 0.2e1 * rho[0] * t6766;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 0] += tv4sigma2tau20;

  t6768 = t5415 * t2127;
  t6771 = t5396 * t1977;
  t6785 = t1992 * t74;
  t6793 = t5415 * t2002;
  t6806 = -0.3e1 / 0.2e1 * t177 * t6768 + 0.9e1 / 0.8e1 * t177 * t6771 + 0.11e2 / 0.16e2 * t177 * t5415 * t1977 + 0.11e2 / 0.16e2 * t162 * t6771 - 0.15e2 / 0.32e2 * t162 * t5400 * t1983 - 0.25e2 / 0.16e2 * t177 * t5396 * t1983 + 0.15e2 / 0.16e2 * t177 * t5400 * t6785 - t1526 * t1363 / 0.16e2 + t1526 * t1389 / 0.16e2 + 0.11e2 / 0.16e2 * t177 * t6793 + 0.9e1 / 0.16e2 * t162 * t6793 - 0.9e1 / 0.16e2 * t162 * t5396 * t2127 - 0.7e1 / 0.32e2 * t162 * t6768 - 0.11e2 / 0.32e2 * t162 * t182 * t5428;
  t6807 = t1488 * t74;
  t6817 = t1526 * t1273;
  t6821 = t2051 * t74;
  t6825 = 0.9e1 / 0.32e2 * t6480;
  t6826 = 0.3e1 / 0.4e1 * t6483;
  t6827 = 0.9e1 / 0.16e2 * t6488;
  t6828 = 0.3e1 / 0.16e2 * t6492;
  t6829 = 0.9e1 / 0.32e2 * t6497;
  t6830 = 0.9e1 / 0.32e2 * t6506;
  t6831 = 0.9e1 / 0.16e2 * t6509;
  t6832 = 0.9e1 / 0.16e2 * t6513;
  t6833 = -0.11e2 / 0.16e2 * t177 * t6807 * t1840 + 0.3e1 / 0.8e1 * t177 * t6807 * t1846 - t177 * t6807 * t1855 / 0.16e2 - t6817 / 0.16e2 + t1526 * t1370 / 0.16e2 + 0.3e1 / 0.8e1 * t177 * t5424 * t6821 + t6825 + t6826 - t6827 - t6828 - t6829 + t6830 + t6831 - t6832;
  t6835 = 0.3e1 / 0.8e1 * t6520;
  t6837 = t1249 * t1488;
  t6845 = t110 * t74 * t113;
  t6857 = t1765 * t74;
  t6860 = t188 * t164;
  t6863 = t146 * t4274;
  t6866 = t62 * t4274;
  t6878 = t6845 * t200 / 0.4e1 + t6186 + t84 * t74 * t140 / 0.2e1 - t5519 * t283 / 0.2e1 - t5522 * t287 / 0.2e1 - t5525 * t4275 / 0.2e1 + t6857 * t5529 / 0.2e1 + t6198 + t1478 * t6860 / 0.2e1 - t1478 * t6863 / 0.2e1 - t1478 * t6866 / 0.2e1 - t6206 * t83 * t64 / 0.2e1 - t6212 - t1480 * t6860 / 0.2e1 + t1480 * t6863 / 0.2e1 + t1480 * t6866 / 0.2e1;
  t6886 = -t6835 - 0.3e1 / 0.32e2 * t6264 - 0.3e1 / 0.32e2 * t48 * t6837 * t377 + 0.3e1 / 0.32e2 * t48 * t6837 * t385 - t48 * t6878 * t310 * t119 / 0.32e2 + 0.3e1 / 0.32e2 * t48 * t6837 * t420 - t6136 - t6151 + t6154 + t6184 + t1380 - t1381 - t1382 + t1399;
  t6887 = -t1503 + t1504 + t1505 - t1506 - t6317 + t6320 - t6323 + t6326 - t6329 - t6331 + t6334 - t6337 + t6340 - t262;
  t6890 = my_piecewise3(t3, 0, t6806 + t6833 + t6886 + t6887);
  tv4sigmalapl30 = 0.2e1 * rho[0] * t6890;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 0] += tv4sigmalapl30;

  t6902 = t1526 * t1321;
  t6904 = t6817 / 0.32e2;
  t6915 = -0.3e1 / 0.32e2 * t1270 * t1544 + 0.3e1 / 0.32e2 * t1270 * t1549 + 0.3e1 / 0.32e2 * t1270 * t1537 - t15 * t18 * t6878 * t328 / 0.32e2 - t6902 / 0.32e2 - t6904 + t6481 + t6484 - t6489 - t6493 - t6498 + t6507 + t6510 - t6514 - t6521 - t6378 / 0.32e2 - t6265 + t1526 * t1427 / 0.16e2 - t177 * t1529 * t74 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t177 * t957 * t3549;
  t6916 = t4790 * t3227;
  t6931 = t1421 * t4825;
  t6939 = t5636 * t2127;
  t6959 = -t6136 - t6151 + t6154 + t6184 + 0.11e2 / 0.16e2 * t162 * t6916 - 0.15e2 / 0.32e2 * t162 * t4795 * t3227 - 0.25e2 / 0.16e2 * t177 * t5629 * t1983 + 0.15e2 / 0.16e2 * t177 * t3206 * t4825 + 0.11e2 / 0.16e2 * t177 * t5636 * t1977 + 0.11e2 / 0.16e2 * t177 * t6931 + 0.9e1 / 0.16e2 * t162 * t6931 - 0.9e1 / 0.16e2 * t162 * t5647 * t3227 - 0.3e1 / 0.2e1 * t177 * t6939 + 0.9e1 / 0.8e1 * t177 * t6916 - t1526 * t1422 / 0.16e2 - 0.7e1 / 0.32e2 * t162 * t6939 + 0.3e1 / 0.8e1 * t177 * t950 * t4825 - 0.11e2 / 0.32e2 * t162 * t905 * t5572 + t1526 * t1415 / 0.16e2 + 0.3e1 / 0.8e1 * t177 * t5567 * t2002;
  t6961 = 0.3e1 / 0.8e1 * t6609;
  t6962 = 0.3e1 / 0.16e2 * t6612;
  t6963 = 0.3e1 / 0.16e2 * t6615;
  t6964 = t6618 / 0.2e1;
  t6965 = 0.3e1 / 0.8e1 * t6621;
  t6966 = 0.3e1 / 0.8e1 * t6623;
  t6967 = t6626 / 0.4e1;
  t6968 = 0.3e1 / 0.16e2 * t6632;
  t6969 = -t1327 + t1315 + t1318 - t1323 + t1380 - t1381 - t1382 + t1399 - t1376 + t1377 + t1378 - t1379 - t6961 - t6962 + t6963 + t6964 + t6965 - t6966 - t6967 + t6968;
  t6970 = t6636 / 0.8e1;
  t6980 = -t6970 + t6407 / 0.4e1 - 0.3e1 / 0.16e2 * t6410 - 0.3e1 / 0.32e2 * t6413 + 0.3e1 / 0.16e2 * t6416 - t6420 / 0.16e2 + 0.3e1 / 0.32e2 * t6423 - t6426 / 0.8e1 + 0.3e1 / 0.32e2 * t6429 - 0.3e1 / 0.16e2 * t6431 - t6652 + t6653 - t6654 + t6655 - t6656 - t6657 + t6658 - t6659 + t6660 - t262;
  t6983 = my_piecewise3(t3, 0, t6915 + t6959 + t6969 + t6980);
  tv4sigmalapl2tau0 = 0.2e1 * rho[0] * t6983;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 0] += tv4sigmalapl2tau0;

  t6997 = t6902 / 0.16e2;
  t6999 = t1460 * t36;
  t7003 = -t1526 * t1447 / 0.16e2 + t1526 * t1464 / 0.16e2 - 0.3e1 / 0.32e2 * t1270 * t1566 + 0.3e1 / 0.32e2 * t1270 * t1585 + t1526 * t1453 / 0.16e2 + 0.3e1 / 0.32e2 * t1270 * t1573 - t6997 - t6686 + t6692 - t6724 + t6727 + t6730 - t6733 - t6737 + t6742 - t6746 - t6379 - t6264 / 0.32e2 - 0.11e2 / 0.16e2 * t177 * t6999 * t2302;
  t7019 = t5194 * t2987;
  t7022 = t5210 * t2987;
  t7027 = t5808 * t2987;
  t7051 = 0.3e1 / 0.8e1 * t177 * t6999 * t5819 - 0.15e2 / 0.32e2 * t162 * t5198 * t2987 - 0.25e2 / 0.16e2 * t177 * t5202 * t2987 + 0.15e2 / 0.16e2 * t177 * t5206 * t2987 + 0.11e2 / 0.16e2 * t177 * t5847 * t1977 + 0.11e2 / 0.16e2 * t162 * t7019 - 0.3e1 / 0.2e1 * t177 * t7022 + 0.9e1 / 0.8e1 * t177 * t7019 + 0.9e1 / 0.16e2 * t162 * t7027 - t177 * t1579 * t74 * t1855 / 0.16e2 - 0.7e1 / 0.32e2 * t162 * t7022 - 0.11e2 / 0.32e2 * t162 * t905 * t5831 + 0.11e2 / 0.16e2 * t177 * t7027 - 0.9e1 / 0.16e2 * t162 * t854 * t5831 + 0.3e1 / 0.8e1 * t177 * t5266 * t2987 - t48 * t6878 * t346 * t119 / 0.32e2 - t6136 - t6151 + t6154 + t6184;
  t7053 = -t1459 + t1456 + t1457 - t1458 + t1380 - t1381 - t1382 + t1399 - t1260 + t1264 + t1268 - t1275 - t6961 - t6962 + t6963 + t6964 + t6965 - t6966 - t6967 + t6968;
  t7063 = -t6970 + t6643 - t6644 - t6645 + t6646 - t6647 + t6648 - t6649 + t6650 - t6651 - t6316 / 0.16e2 + 0.3e1 / 0.16e2 * t6319 - 0.3e1 / 0.32e2 * t6322 + t6325 / 0.4e1 - 0.3e1 / 0.16e2 * t6328 - 0.3e1 / 0.16e2 * t6330 + 0.3e1 / 0.32e2 * t6333 - t6336 / 0.8e1 + 0.3e1 / 0.32e2 * t6339 - t262;
  t7066 = my_piecewise3(t3, 0, t7003 + t7051 + t7053 + t7063);
  tv4sigmalapltau20 = 0.2e1 * rho[0] * t7066;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 0] += tv4sigmalapltau20;

  t7073 = t5907 * t1977;
  t7085 = t5903 * t2127;
  t7090 = t5903 * t2002;
  t7097 = t5915 * t1321;
  t7098 = t7097 / 0.16e2;
  t7103 = t5915 * t1464 / 0.16e2 + 0.11e2 / 0.16e2 * t177 * t5903 * t1977 + 0.11e2 / 0.16e2 * t162 * t7073 - 0.15e2 / 0.32e2 * t162 * t5899 * t1983 - 0.25e2 / 0.16e2 * t177 * t5907 * t1983 + 0.15e2 / 0.16e2 * t177 * t5899 * t6785 - 0.3e1 / 0.2e1 * t177 * t7085 + 0.9e1 / 0.8e1 * t177 * t7073 + 0.9e1 / 0.16e2 * t162 * t7090 - t5915 * t1447 / 0.16e2 - 0.7e1 / 0.32e2 * t162 * t7085 - t7098 + t5915 * t1453 / 0.16e2 + 0.11e2 / 0.16e2 * t177 * t7090;
  t7113 = t1598 * t74;
  t7123 = 0.3e1 / 0.8e1 * t6685;
  t7124 = 0.9e1 / 0.32e2 * t6691;
  t7125 = 0.9e1 / 0.32e2 * t6723;
  t7126 = 0.9e1 / 0.32e2 * t6726;
  t7127 = 0.3e1 / 0.4e1 * t6729;
  t7128 = 0.9e1 / 0.16e2 * t6732;
  t7129 = 0.3e1 / 0.16e2 * t6736;
  t7130 = 0.9e1 / 0.16e2 * t6741;
  t7131 = -0.9e1 / 0.16e2 * t162 * t500 * t5953 + 0.3e1 / 0.8e1 * t177 * t5961 * t6821 - 0.11e2 / 0.32e2 * t162 * t182 * t5965 + 0.3e1 / 0.8e1 * t177 * t7113 * t1846 - t177 * t7113 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t177 * t7113 * t1840 - t7123 + t7124 - t7125 + t7126 + t7127 - t7128 - t7129 + t7130;
  t7133 = 0.9e1 / 0.16e2 * t6745;
  t7135 = t1249 * t1598;
  t7170 = t6845 * t227 / 0.4e1 + t6186 + t92 * t74 * t140 / 0.2e1 - t6040 * t283 / 0.2e1 - t6043 * t287 / 0.2e1 - t6046 * t4275 / 0.2e1 + t6857 * t6050 / 0.2e1 + t6198 + t1613 * t6860 / 0.2e1 - t1613 * t6863 / 0.2e1 - t1613 * t6866 / 0.2e1 - t6206 * t91 * t64 / 0.2e1 - t6212 - t1615 * t6860 / 0.2e1 + t1615 * t6863 / 0.2e1 + t1615 * t6866 / 0.2e1;
  t7178 = -t7133 - 0.3e1 / 0.32e2 * t6378 + 0.3e1 / 0.32e2 * t48 * t7135 * t385 + 0.3e1 / 0.32e2 * t48 * t7135 * t420 - t48 * t7170 * t346 * t119 / 0.32e2 - 0.3e1 / 0.32e2 * t48 * t7135 * t377 - t6136 - t6151 + t6154 + t6184 - t1626 + t1623 + t1624 - t1625;
  t7179 = t1380 - t1381 - t1382 + t1399 + t6408 - t6411 - t6414 + t6417 - t6421 + t6424 - t6427 + t6430 - t6432 - t262;
  t7182 = my_piecewise3(t3, 0, t7103 + t7131 + t7178 + t7179);
  tv4sigmatau30 = 0.2e1 * rho[0] * t7182;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 0] += tv4sigmatau30;

  t7194 = t1483 * t1488;
  t7201 = t310 * t310;
  t7202 = t49 * t7201;
  t7212 = t110 * t7201;
  t7229 = t434 * t310;
  t7236 = t108 * t1483;
  t7240 = t437 * t310;
  t7247 = t312 / 0.4e1 + t6186 + t316 / 0.2e1 - t319 / 0.2e1 - t322 / 0.2e1 - t1761 * t310 * t119 / 0.2e1 + t1765 * t310 * t119 / 0.2e1 + t6198 + t7229 * t140 / 0.2e1 - t7229 * t147 / 0.2e1 - t7229 * t151 / 0.2e1 - t7236 * t83 * t64 / 0.2e1 - t6212 - t7240 * t140 / 0.2e1 + t7240 * t147 / 0.2e1 + t7240 * t151 / 0.2e1;
  t7255 = -0.5e1 / 0.32e2 * t6817 + 0.9e1 / 0.16e2 * t6480 + 0.3e1 / 0.2e1 * t6483 - 0.9e1 / 0.8e1 * t6488 - 0.3e1 / 0.8e1 * t6492 - 0.9e1 / 0.16e2 * t6497 + 0.9e1 / 0.16e2 * t6506 + 0.9e1 / 0.8e1 * t6509 - 0.9e1 / 0.8e1 * t6513 - 0.3e1 / 0.4e1 * t6520 - 0.5e1 / 0.32e2 * t48 * t7194 * t377 + 0.5e1 / 0.32e2 * t48 * t7194 * t385 + 0.11e2 / 0.16e2 * t48 * t7202 * t1746 + 0.5e1 / 0.32e2 * t48 * t7194 * t420 + 0.3e1 / 0.8e1 * t48 * t7202 * t1885 - 0.11e2 / 0.32e2 * t48 * t7212 * t1819 - 0.7e1 / 0.32e2 * t48 * t7212 * t1864 - t48 * t7247 * t310 * t119 / 0.32e2 + 0.3e1 / 0.8e1 * t48 * t7202 * t1846;
  t7293 = -t48 * t7202 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t48 * t7202 * t1840 - 0.25e2 / 0.16e2 * t48 * t7202 * t1735 + 0.15e2 / 0.16e2 * t48 * t7202 * t1742 + 0.9e1 / 0.16e2 * t48 * t7212 * t1746 - 0.9e1 / 0.16e2 * t48 * t7212 * t1750 - 0.3e1 / 0.2e1 * t48 * t7202 * t1864 + 0.9e1 / 0.8e1 * t48 * t7202 * t1716 + 0.11e2 / 0.16e2 * t48 * t7202 * t1730 + 0.11e2 / 0.16e2 * t48 * t7212 * t1716 - 0.15e2 / 0.32e2 * t48 * t7212 * t1724 - t6136 - t6151 + t6154 + t6184 - t1259 / 0.4e1 + t1263 / 0.4e1 + t1267 / 0.4e1 - t1274 / 0.8e1 - t262;
  t7295 = my_piecewise3(t3, 0, t7255 + t7293);
  tv4lapl40 = 0.2e1 * rho[0] * t7295;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 0] += tv4lapl40;

  t7300 = t91 * t1488;
  t7314 = t5415 * t2488;
  t7332 = t241 * t2001 * t1488;
  t7337 = -0.15e2 / 0.32e2 * t162 * t5400 * t2464 - 0.25e2 / 0.16e2 * t177 * t7300 * t1735 + 0.15e2 / 0.16e2 * t177 * t2452 * t1992 * t1488 - t177 * t7300 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t177 * t7300 * t1840 - 0.7e1 / 0.32e2 * t162 * t7314 - 0.11e2 / 0.32e2 * t162 * t5415 * t2507 - t15 * t18 * t7247 * t328 / 0.32e2 - 0.5e1 / 0.32e2 * t1526 * t1544 + 0.5e1 / 0.32e2 * t1526 * t1549 + 0.11e2 / 0.16e2 * t177 * t7300 * t1730 + 0.11e2 / 0.16e2 * t177 * t7332 + 0.9e1 / 0.16e2 * t162 * t7332;
  t7344 = t697 * t1976 * t1488;
  t7359 = -0.9e1 / 0.16e2 * t162 * t5396 * t2488 - 0.3e1 / 0.2e1 * t177 * t7314 + 0.9e1 / 0.8e1 * t177 * t7344 + 0.11e2 / 0.16e2 * t162 * t7344 + 0.3e1 / 0.8e1 * t177 * t7300 * t1846 + 0.3e1 / 0.8e1 * t177 * t245 * t2051 * t1488 + 0.5e1 / 0.32e2 * t1526 * t1537 - t6997 - 0.3e1 / 0.32e2 * t6817 + t6825 + t6826 - t6827 - t6828;
  t7361 = -t6829 + t6830 + t6831 - t6832 - t6835 - t6136 - t6151 + t6154 + t6184 - t1327 + t1315 + t1318 - t1323;
  t7362 = 0.9e1 / 0.16e2 * t6609;
  t7363 = 0.9e1 / 0.32e2 * t6612;
  t7364 = 0.9e1 / 0.32e2 * t6615;
  t7365 = 0.3e1 / 0.4e1 * t6618;
  t7366 = 0.9e1 / 0.16e2 * t6621;
  t7367 = 0.9e1 / 0.16e2 * t6623;
  t7368 = 0.3e1 / 0.8e1 * t6626;
  t7369 = 0.9e1 / 0.32e2 * t6632;
  t7370 = 0.3e1 / 0.16e2 * t6636;
  t7371 = -t1503 + t1504 + t1505 - t1506 - t7362 - t7363 + t7364 + t7365 + t7366 - t7367 - t7368 + t7369 - t7370 - t262;
  t7374 = my_piecewise3(t3, 0, t7337 + t7359 + t7361 + t7371);
  tv4lapl3tau0 = 0.2e1 * rho[0] * t7374;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 0] += tv4lapl3tau0;

  t7376 = t1007 * t6680;
  t7396 = t1182 * t3556;
  t7400 = t1147 * t2001 * t310;
  t7403 = t346 * t310;
  t7419 = -0.7e1 / 0.32e2 * t162 * t7376 - 0.9e1 / 0.16e2 * t162 * t1011 * t6680 - 0.11e2 / 0.32e2 * t162 * t1007 * t3949 + 0.5e1 / 0.32e2 * t1526 * t1573 - 0.25e2 / 0.16e2 * t177 * t1182 * t3477 + 0.15e2 / 0.16e2 * t177 * t3972 * t1992 * t310 - 0.3e1 / 0.2e1 * t177 * t7376 + 0.9e1 / 0.8e1 * t177 * t7396 + 0.9e1 / 0.16e2 * t162 * t7400 + 0.11e2 / 0.16e2 * t177 * t7403 * t1730 + 0.11e2 / 0.16e2 * t162 * t7396 - 0.15e2 / 0.32e2 * t162 * t3972 * t3477 - 0.5e1 / 0.32e2 * t1526 * t1566 + 0.5e1 / 0.32e2 * t1526 * t1585 - 0.11e2 / 0.16e2 * t177 * t7403 * t1840;
  t7433 = 0.3e1 / 0.8e1 * t177 * t7403 * t1846 - t177 * t7403 * t1855 / 0.16e2 + 0.3e1 / 0.8e1 * t177 * t1143 * t2051 * t310 + 0.11e2 / 0.16e2 * t177 * t7400 - t6902 / 0.8e1 - t6904 - t6686 + t6692 - t6724 + t6727 + t6730 - t6733 - t6737 + t6742 - t6746 + t6481;
  t7439 = t6484 - t6489 - t6493 - t6498 + t6507 + t6510 - t6514 - t6521 - t48 * t7247 * t346 * t119 / 0.32e2 - t6136 - t6151 + t6154 + t6184 - t1459 + t1456;
  t7448 = t1457 - t1458 - t1376 + t1377 + t1378 - t1379 - 0.3e1 / 0.4e1 * t6609 - 0.3e1 / 0.8e1 * t6612 + 0.3e1 / 0.8e1 * t6615 + t6618 + 0.3e1 / 0.4e1 * t6621 - 0.3e1 / 0.4e1 * t6623 - t6626 / 0.2e1 + 0.3e1 / 0.8e1 * t6632 - t6636 / 0.4e1 - t262;
  t7451 = my_piecewise3(t3, 0, t7419 + t7433 + t7439 + t7448);
  tv4lapl2tau20 = 0.2e1 * rho[0] * t7451;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 0] += tv4lapl2tau20;

  t7456 = t5907 * t2220;
  t7465 = t5903 * t2326;
  t7470 = t5903 * t5819;
  t7491 = 0.11e2 / 0.16e2 * t177 * t5903 * t2220 + 0.11e2 / 0.16e2 * t162 * t7456 - 0.15e2 / 0.32e2 * t162 * t5899 * t2224 - 0.25e2 / 0.16e2 * t177 * t5907 * t2224 - 0.3e1 / 0.2e1 * t177 * t7465 + 0.9e1 / 0.8e1 * t177 * t7456 + 0.9e1 / 0.16e2 * t162 * t7470 - t5915 * t1566 / 0.16e2 + t5915 * t1585 / 0.16e2 - 0.9e1 / 0.16e2 * t162 * t606 * t5953 + 0.3e1 / 0.8e1 * t177 * t5961 * t2051 * t83 - 0.11e2 / 0.32e2 * t162 * t213 * t5965 + 0.11e2 / 0.16e2 * t177 * t7470 - 0.7e1 / 0.32e2 * t162 * t7465;
  t7498 = t1598 * t83;
  t7509 = t5915 * t1573 / 0.16e2 + 0.15e2 / 0.16e2 * t177 * t5899 * t1992 * t83 - 0.11e2 / 0.16e2 * t177 * t7498 * t1840 + 0.3e1 / 0.8e1 * t177 * t7498 * t1846 - t177 * t7498 * t1855 / 0.16e2 - t7098 - 0.3e1 / 0.32e2 * t6902 - t7123 + t7124 - t7125 + t7126 + t7127 - t7128 - t7129;
  t7527 = t217 * t164;
  t7530 = t146 * t5528;
  t7533 = t62 * t5528;
  t7545 = t110 * t83 * t113 * t227 / 0.4e1 + t6186 + t92 * t83 * t140 / 0.2e1 - t6040 * t335 / 0.2e1 - t6043 * t339 / 0.2e1 - t6046 * t5529 / 0.2e1 + t1765 * t83 * t6050 / 0.2e1 + t6198 + t1613 * t7527 / 0.2e1 - t1613 * t7530 / 0.2e1 - t1613 * t7533 / 0.2e1 - t7236 * t91 * t64 / 0.2e1 - t6212 - t1615 * t7527 / 0.2e1 + t1615 * t7530 / 0.2e1 + t1615 * t7533 / 0.2e1;
  t7550 = t1483 * t1598;
  t7560 = t7130 - t7133 - t48 * t7545 * t346 * t119 / 0.32e2 - 0.3e1 / 0.32e2 * t48 * t7550 * t377 + 0.3e1 / 0.32e2 * t48 * t7550 * t385 + 0.3e1 / 0.32e2 * t48 * t7550 * t420 - t6136 - t6151 + t6154 + t6184 - t1626 + t1623 + t1624 - t1625;
  t7561 = -t1260 + t1264 + t1268 - t1275 - t7362 - t7363 + t7364 + t7365 + t7366 - t7367 - t7368 + t7369 - t7370 - t262;
  t7564 = my_piecewise3(t3, 0, t7491 + t7509 + t7560 + t7561);
  tv4lapltau30 = 0.2e1 * rho[0] * t7564;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 0] += tv4lapltau30;

  t7576 = t346 * t346;
  t7577 = t110 * t7576;
  t7587 = t49 * t7576;
  t7606 = -0.5e1 / 0.32e2 * t7097 - 0.3e1 / 0.4e1 * t6685 + 0.9e1 / 0.16e2 * t6691 - 0.9e1 / 0.16e2 * t6723 + 0.9e1 / 0.16e2 * t6726 + 0.3e1 / 0.2e1 * t6729 - 0.9e1 / 0.8e1 * t6732 - 0.3e1 / 0.8e1 * t6736 + 0.9e1 / 0.8e1 * t6741 - 0.9e1 / 0.8e1 * t6745 - 0.7e1 / 0.32e2 * t48 * t7577 * t1864 - 0.9e1 / 0.16e2 * t48 * t7577 * t1750 - 0.11e2 / 0.32e2 * t48 * t7577 * t1819 - t48 * t7587 * t1855 / 0.16e2 - 0.11e2 / 0.16e2 * t48 * t7587 * t1840 + 0.3e1 / 0.8e1 * t48 * t7587 * t1846 + 0.3e1 / 0.8e1 * t48 * t7587 * t1885 + 0.11e2 / 0.16e2 * t48 * t7587 * t1746 - 0.15e2 / 0.32e2 * t48 * t7577 * t1724;
  t7622 = t1618 * t1598;
  t7648 = t434 * t346;
  t7659 = t437 * t346;
  t7666 = t348 / 0.4e1 + t6186 + t352 / 0.2e1 - t355 / 0.2e1 - t358 / 0.2e1 - t1761 * t346 * t119 / 0.2e1 + t1765 * t346 * t119 / 0.2e1 + t6198 + t7648 * t140 / 0.2e1 - t7648 * t147 / 0.2e1 - t7648 * t151 / 0.2e1 - t108 * t1618 * t91 * t64 / 0.2e1 - t6212 - t7659 * t140 / 0.2e1 + t7659 * t147 / 0.2e1 + t7659 * t151 / 0.2e1;
  t7675 = -0.25e2 / 0.16e2 * t48 * t7587 * t1735 + 0.15e2 / 0.16e2 * t48 * t7587 * t1742 - 0.3e1 / 0.2e1 * t48 * t7587 * t1864 + 0.9e1 / 0.8e1 * t48 * t7587 * t1716 + 0.9e1 / 0.16e2 * t48 * t7577 * t1746 - 0.5e1 / 0.32e2 * t48 * t7622 * t377 + 0.5e1 / 0.32e2 * t48 * t7622 * t385 + 0.11e2 / 0.16e2 * t48 * t7587 * t1730 + 0.11e2 / 0.16e2 * t48 * t7577 * t1716 + 0.5e1 / 0.32e2 * t48 * t7622 * t420 - t48 * t7666 * t346 * t119 / 0.32e2 - t6136 - t6151 + t6154 + t6184 - t1326 / 0.4e1 + t1314 / 0.4e1 + t1317 / 0.4e1 - t1322 / 0.8e1 - t262;
  t7677 = my_piecewise3(t3, 0, t7606 + t7675);
  tv4tau40 = 0.2e1 * rho[0] * t7677;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 0] += tv4tau40;

}

#endif


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t21, t22;
  double t23, t24, t25, t26, t27, t28, t32, t33;
  double t37, t38, t39, t40, t41, t43, t44, t45;
  double t46, t47, t50, t51, t52, t54, t55, t56;
  double t57, t58, t59, t60, t61, t62, t66, t67;
  double t71, t72, t73, t75, t76, t77, t78, t79;
  double t82, tzk0;


  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = sqrt(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = sqrt(t16);
  t21 = t20 * t16;
  t22 = my_piecewise3(t17, t19, t21);
  t23 = M_PI * t22;
  t24 = M_SQRT2;
  t25 = sqrt(t3);
  t26 = t24 * t25;
  t27 = rho[0] * rho[0];
  t28 = 0.1e1 / t27;
  t32 = t27 * rho[0];
  t33 = 0.1e1 / t32;
  t37 = 0.1e1 / M_PI;
  t38 = (lapl[0] * t28 / 0.4e1 - tau[0] * t28 + sigma[0] * t33 / 0.8e1) * t37;
  t39 = -0.9999999999e0 < t38;
  t40 = my_piecewise3(t39, t38, -0.9999999999e0);
  t41 = exp(-0.1e1);
  t43 = LambertW(t40 * t41);
  t44 = t43 + 0.1e1;
  t45 = t44 / 0.2e1;
  t46 = xc_bessel_I0(t45);
  t47 = t26 * t46;
  t50 = my_piecewise3(t2, 0, -t23 * t47 / 0.8e1);
  t51 = rho[1] <= p->dens_threshold;
  t52 = -t13;
  t54 = my_piecewise5(t11, t8, t7, t12, t52 * t4);
  t55 = 0.1e1 + t54;
  t56 = t55 <= p->zeta_threshold;
  t57 = sqrt(t55);
  t58 = t57 * t55;
  t59 = my_piecewise3(t56, t19, t58);
  t60 = M_PI * t59;
  t61 = rho[1] * rho[1];
  t62 = 0.1e1 / t61;
  t66 = t61 * rho[1];
  t67 = 0.1e1 / t66;
  t71 = (lapl[1] * t62 / 0.4e1 - tau[1] * t62 + sigma[2] * t67 / 0.8e1) * t37;
  t72 = -0.9999999999e0 < t71;
  t73 = my_piecewise3(t72, t71, -0.9999999999e0);
  t75 = LambertW(t73 * t41);
  t76 = t75 + 0.1e1;
  t77 = t76 / 0.2e1;
  t78 = xc_bessel_I0(t77);
  t79 = t26 * t78;
  t82 = my_piecewise3(t51, 0, -t60 * t79 / 0.8e1);
  tzk0 = t50 + t82;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t21, t22;
  double t23, t24, t25, t26, t27, t28, t32, t33;
  double t37, t38, t39, t40, t41, t43, t44, t45;
  double t46, t47, t50, t51, t52, t54, t55, t56;
  double t57, t58, t59, t60, t61, t62, t66, t67;
  double t71, t72, t73, t75, t76, t77, t78, t79;
  double t82, tzk0;

  double t83, t84, t85, t87, t90, t91, t95, t96;
  double t98, t99, t100, t105, t106, t111, t113, t114;
  double t116, t117, t121, t122, t124, t127, t128, t131;
  double t133, t135, tvrho0, t139, t142, t143, t147, t149;
  double t152, t153, t156, t157, t162, t163, t168, t170;
  double t171, t173, t174, t178, tvrho1, t181, t183, t184;
  double t185, t188, tvsigma0, tvsigma1, t189, t191, t192, t193;
  double t196, tvsigma2, t197, t199, t200, t201, t204, tvlapl0;
  double t205, t207, t208, t209, t212, tvlapl1, t213, t214;
  double t215, t218, tvtau0, t219, t220, t221, t224, tvtau1;


  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = sqrt(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = sqrt(t16);
  t21 = t20 * t16;
  t22 = my_piecewise3(t17, t19, t21);
  t23 = M_PI * t22;
  t24 = M_SQRT2;
  t25 = sqrt(t3);
  t26 = t24 * t25;
  t27 = rho[0] * rho[0];
  t28 = 0.1e1 / t27;
  t32 = t27 * rho[0];
  t33 = 0.1e1 / t32;
  t37 = 0.1e1 / M_PI;
  t38 = (lapl[0] * t28 / 0.4e1 - tau[0] * t28 + sigma[0] * t33 / 0.8e1) * t37;
  t39 = -0.9999999999e0 < t38;
  t40 = my_piecewise3(t39, t38, -0.9999999999e0);
  t41 = exp(-0.1e1);
  t43 = LambertW(t40 * t41);
  t44 = t43 + 0.1e1;
  t45 = t44 / 0.2e1;
  t46 = xc_bessel_I0(t45);
  t47 = t26 * t46;
  t50 = my_piecewise3(t2, 0, -t23 * t47 / 0.8e1);
  t51 = rho[1] <= p->dens_threshold;
  t52 = -t13;
  t54 = my_piecewise5(t11, t8, t7, t12, t52 * t4);
  t55 = 0.1e1 + t54;
  t56 = t55 <= p->zeta_threshold;
  t57 = sqrt(t55);
  t58 = t57 * t55;
  t59 = my_piecewise3(t56, t19, t58);
  t60 = M_PI * t59;
  t61 = rho[1] * rho[1];
  t62 = 0.1e1 / t61;
  t66 = t61 * rho[1];
  t67 = 0.1e1 / t66;
  t71 = (lapl[1] * t62 / 0.4e1 - tau[1] * t62 + sigma[2] * t67 / 0.8e1) * t37;
  t72 = -0.9999999999e0 < t71;
  t73 = my_piecewise3(t72, t71, -0.9999999999e0);
  t75 = LambertW(t73 * t41);
  t76 = t75 + 0.1e1;
  t77 = t76 / 0.2e1;
  t78 = xc_bessel_I0(t77);
  t79 = t26 * t78;
  t82 = my_piecewise3(t51, 0, -t60 * t79 / 0.8e1);
  tzk0 = t50 + t82;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t83 = t3 * t3;
  t84 = 0.1e1 / t83;
  t85 = t13 * t84;
  t87 = my_piecewise5(t7, 0, t11, 0, t4 - t85);
  t90 = my_piecewise3(t17, 0, 0.3e1 / 0.2e1 * t20 * t87);
  t91 = M_PI * t90;
  t95 = t24 / t25;
  t96 = t95 * t46;
  t98 = t23 * t96 / 0.16e2;
  t99 = t23 * t26;
  t100 = xc_bessel_I1(t45);
  t105 = t27 * t27;
  t106 = 0.1e1 / t105;
  t111 = my_piecewise3(t39, (-lapl[0] * t33 / 0.2e1 + 0.2e1 * tau[0] * t33 - 0.3e1 / 0.8e1 * sigma[0] * t106) * t37, 0);
  t113 = 0.1e1 / t44;
  t114 = t43 * t113;
  t116 = t114 / t40;
  t117 = t100 * t111 * t116;
  t121 = my_piecewise3(t2, 0, -t91 * t47 / 0.8e1 - t98 - t99 * t117 / 0.16e2);
  t122 = t52 * t84;
  t124 = my_piecewise5(t11, 0, t7, 0, -t4 - t122);
  t127 = my_piecewise3(t56, 0, 0.3e1 / 0.2e1 * t57 * t124);
  t128 = M_PI * t127;
  t131 = t95 * t78;
  t133 = t60 * t131 / 0.16e2;
  t135 = my_piecewise3(t51, 0, -t128 * t79 / 0.8e1 - t133);
  tvrho0 = t50 + t82 + t3 * (t121 + t135);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t139 = my_piecewise5(t7, 0, t11, 0, -t4 - t85);
  t142 = my_piecewise3(t17, 0, 0.3e1 / 0.2e1 * t20 * t139);
  t143 = M_PI * t142;
  t147 = my_piecewise3(t2, 0, -t143 * t47 / 0.8e1 - t98);
  t149 = my_piecewise5(t11, 0, t7, 0, t4 - t122);
  t152 = my_piecewise3(t56, 0, 0.3e1 / 0.2e1 * t57 * t149);
  t153 = M_PI * t152;
  t156 = t60 * t26;
  t157 = xc_bessel_I1(t77);
  t162 = t61 * t61;
  t163 = 0.1e1 / t162;
  t168 = my_piecewise3(t72, (-lapl[1] * t67 / 0.2e1 + 0.2e1 * tau[1] * t67 - 0.3e1 / 0.8e1 * sigma[2] * t163) * t37, 0);
  t170 = 0.1e1 / t76;
  t171 = t75 * t170;
  t173 = t171 / t73;
  t174 = t157 * t168 * t173;
  t178 = my_piecewise3(t51, 0, -t153 * t79 / 0.8e1 - t133 - t156 * t174 / 0.16e2);
  tvrho1 = t50 + t82 + t3 * (t147 + t178);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t181 = t33 * t37;
  t183 = my_piecewise3(t39, t181 / 0.8e1, 0);
  t184 = t100 * t183;
  t185 = t184 * t116;
  t188 = my_piecewise3(t2, 0, -t99 * t185 / 0.16e2);
  tvsigma0 = t3 * t188;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t189 = t67 * t37;
  t191 = my_piecewise3(t72, t189 / 0.8e1, 0);
  t192 = t157 * t191;
  t193 = t192 * t173;
  t196 = my_piecewise3(t51, 0, -t156 * t193 / 0.16e2);
  tvsigma2 = t3 * t196;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t197 = t28 * t37;
  t199 = my_piecewise3(t39, t197 / 0.4e1, 0);
  t200 = t100 * t199;
  t201 = t200 * t116;
  t204 = my_piecewise3(t2, 0, -t99 * t201 / 0.16e2);
  tvlapl0 = t3 * t204;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t205 = t62 * t37;
  t207 = my_piecewise3(t72, t205 / 0.4e1, 0);
  t208 = t157 * t207;
  t209 = t208 * t173;
  t212 = my_piecewise3(t51, 0, -t156 * t209 / 0.16e2);
  tvlapl1 = t3 * t212;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t213 = my_piecewise3(t39, -t197, 0);
  t214 = t100 * t213;
  t215 = t214 * t116;
  t218 = my_piecewise3(t2, 0, -t99 * t215 / 0.16e2);
  tvtau0 = t3 * t218;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t219 = my_piecewise3(t72, -t205, 0);
  t220 = t157 * t219;
  t221 = t220 * t173;
  t224 = my_piecewise3(t51, 0, -t156 * t221 / 0.16e2);
  tvtau1 = t3 * t224;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t21, t22;
  double t23, t24, t25, t26, t27, t28, t32, t33;
  double t37, t38, t39, t40, t41, t43, t44, t45;
  double t46, t47, t50, t51, t52, t54, t55, t56;
  double t57, t58, t59, t60, t61, t62, t66, t67;
  double t71, t72, t73, t75, t76, t77, t78, t79;
  double t82, tzk0;

  double t83, t84, t85, t87, t90, t91, t95, t96;
  double t98, t99, t100, t105, t106, t111, t113, t114;
  double t116, t117, t121, t122, t124, t127, t128, t131;
  double t133, t135, tvrho0, t139, t142, t143, t147, t149;
  double t152, t153, t156, t157, t162, t163, t168, t170;
  double t171, t173, t174, t178, tvrho1, t181, t183, t184;
  double t185, t188, tvsigma0, tvsigma1, t189, t191, t192, t193;
  double t196, tvsigma2, t197, t199, t200, t201, t204, tvlapl0;
  double t205, t207, t208, t209, t212, tvlapl1, t213, t214;
  double t215, t218, tvtau0, t219, t220, t221, t224, tvtau1;

  double t227, t228, t231, t232, t233, t236, t240, t241;
  double t244, t246, t251, t252, t254, t255, t256, t258;
  double t260, t261, t263, t264, t265, t266, t267, t268;
  double t269, t270, t278, t283, t285, t288, t289, t290;
  double t291, t294, t295, t296, t297, t298, t301, t302;
  double t306, t307, t308, t311, t314, t318, t319, t322;
  double t324, t326, t328, tv2rho20, t331, t335, t339, t340;
  double t343, t345, t351, t352, t356, t360, t361, t364;
  double t367, t370, t371, t374, tv2rho21, t379, t384, t388;
  double t389, t394, t395, t400, t404, t405, t409, t413;
  double t415, t416, t418, t419, t420, t421, t422, t423;
  double t424, t425, t433, t438, t440, t443, t444, t445;
  double t446, t449, t450, t451, t452, t453, t456, t457;
  double t461, tv2rho22, t467, t468, t469, t470, t471, t472;
  double t473, t476, t478, t480, t483, t484, t485, t486;
  double t489, t490, t491, t492, t495, t496, t497, t498;
  double t502, tv2rhosigma0, tv2rhosigma1, t507, t509, tv2rhosigma2, t514, tv2rhosigma3;
  double tv2rhosigma4, t518, t519, t520, t521, t522, t523, t526;
  double t528, t530, t533, t534, t535, t536, t539, t540;
  double t541, t542, t545, t546, t547, t548, t552, tv2rhosigma5;
  double t557, t558, t559, t563, t565, t568, t569, t572;
  double t573, t576, t577, t581, tv2rholapl0, t586, t588, tv2rholapl1;
  double t593, tv2rholapl2, t597, t598, t602, t604, t607, t608;
  double t611, t612, t615, t616, t620, tv2rholapl3, t625, t626;
  double t627, t631, t633, t636, t637, t640, t641, t644;
  double t645, t649, tv2rhotau0, t654, t656, tv2rhotau1, t661, tv2rhotau2;
  double t665, t666, t670, t672, t675, t676, t679, t680;
  double t683, t684, t688, tv2rhotau3, t690, t692, t695, t697;
  double t699, t700, t701, t704, t707, t711, tv2sigma20, tv2sigma21;
  double tv2sigma22, tv2sigma23, tv2sigma24, t712, t714, t717, t719, t721;
  double t722, t723, t726, t729, t733, tv2sigma25, t734, t737;
  double t738, t741, t742, t745, t746, t750, tv2sigmalapl0, tv2sigmalapl1;
  double tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t751, t754, t755, t758, t759;
  double t762, t763, t767, tv2sigmalapl5, t768, t771, t772, t775;
  double t778, t782, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, t783;
  double t786, t787, t790, t793, t797, tv2sigmatau5, t798, t800;
  double t803, t804, t807, t810, t814, tv2lapl20, tv2lapl21, t815;
  double t817, t820, t821, t824, t827, t831, tv2lapl22, t832;
  double t835, t836, t839, t840, t843, t844, t848, tv2lapltau0;
  double tv2lapltau1, tv2lapltau2, t849, t852, t853, t856, t857, t860;
  double t861, t865, tv2lapltau3, t866, t868, t871, t872, t875;
  double t878, t882, tv2tau20, tv2tau21, t883, t885, t888, t889;
  double t892, t895, t899, tv2tau22;


  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = sqrt(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = sqrt(t16);
  t21 = t20 * t16;
  t22 = my_piecewise3(t17, t19, t21);
  t23 = M_PI * t22;
  t24 = M_SQRT2;
  t25 = sqrt(t3);
  t26 = t24 * t25;
  t27 = rho[0] * rho[0];
  t28 = 0.1e1 / t27;
  t32 = t27 * rho[0];
  t33 = 0.1e1 / t32;
  t37 = 0.1e1 / M_PI;
  t38 = (lapl[0] * t28 / 0.4e1 - tau[0] * t28 + sigma[0] * t33 / 0.8e1) * t37;
  t39 = -0.9999999999e0 < t38;
  t40 = my_piecewise3(t39, t38, -0.9999999999e0);
  t41 = exp(-0.1e1);
  t43 = LambertW(t40 * t41);
  t44 = t43 + 0.1e1;
  t45 = t44 / 0.2e1;
  t46 = xc_bessel_I0(t45);
  t47 = t26 * t46;
  t50 = my_piecewise3(t2, 0, -t23 * t47 / 0.8e1);
  t51 = rho[1] <= p->dens_threshold;
  t52 = -t13;
  t54 = my_piecewise5(t11, t8, t7, t12, t52 * t4);
  t55 = 0.1e1 + t54;
  t56 = t55 <= p->zeta_threshold;
  t57 = sqrt(t55);
  t58 = t57 * t55;
  t59 = my_piecewise3(t56, t19, t58);
  t60 = M_PI * t59;
  t61 = rho[1] * rho[1];
  t62 = 0.1e1 / t61;
  t66 = t61 * rho[1];
  t67 = 0.1e1 / t66;
  t71 = (lapl[1] * t62 / 0.4e1 - tau[1] * t62 + sigma[2] * t67 / 0.8e1) * t37;
  t72 = -0.9999999999e0 < t71;
  t73 = my_piecewise3(t72, t71, -0.9999999999e0);
  t75 = LambertW(t73 * t41);
  t76 = t75 + 0.1e1;
  t77 = t76 / 0.2e1;
  t78 = xc_bessel_I0(t77);
  t79 = t26 * t78;
  t82 = my_piecewise3(t51, 0, -t60 * t79 / 0.8e1);
  tzk0 = t50 + t82;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t83 = t3 * t3;
  t84 = 0.1e1 / t83;
  t85 = t13 * t84;
  t87 = my_piecewise5(t7, 0, t11, 0, t4 - t85);
  t90 = my_piecewise3(t17, 0, 0.3e1 / 0.2e1 * t20 * t87);
  t91 = M_PI * t90;
  t95 = t24 / t25;
  t96 = t95 * t46;
  t98 = t23 * t96 / 0.16e2;
  t99 = t23 * t26;
  t100 = xc_bessel_I1(t45);
  t105 = t27 * t27;
  t106 = 0.1e1 / t105;
  t111 = my_piecewise3(t39, (-lapl[0] * t33 / 0.2e1 + 0.2e1 * tau[0] * t33 - 0.3e1 / 0.8e1 * sigma[0] * t106) * t37, 0);
  t113 = 0.1e1 / t44;
  t114 = t43 * t113;
  t116 = t114 / t40;
  t117 = t100 * t111 * t116;
  t121 = my_piecewise3(t2, 0, -t91 * t47 / 0.8e1 - t98 - t99 * t117 / 0.16e2);
  t122 = t52 * t84;
  t124 = my_piecewise5(t11, 0, t7, 0, -t4 - t122);
  t127 = my_piecewise3(t56, 0, 0.3e1 / 0.2e1 * t57 * t124);
  t128 = M_PI * t127;
  t131 = t95 * t78;
  t133 = t60 * t131 / 0.16e2;
  t135 = my_piecewise3(t51, 0, -t128 * t79 / 0.8e1 - t133);
  tvrho0 = t50 + t82 + t3 * (t121 + t135);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t139 = my_piecewise5(t7, 0, t11, 0, -t4 - t85);
  t142 = my_piecewise3(t17, 0, 0.3e1 / 0.2e1 * t20 * t139);
  t143 = M_PI * t142;
  t147 = my_piecewise3(t2, 0, -t143 * t47 / 0.8e1 - t98);
  t149 = my_piecewise5(t11, 0, t7, 0, t4 - t122);
  t152 = my_piecewise3(t56, 0, 0.3e1 / 0.2e1 * t57 * t149);
  t153 = M_PI * t152;
  t156 = t60 * t26;
  t157 = xc_bessel_I1(t77);
  t162 = t61 * t61;
  t163 = 0.1e1 / t162;
  t168 = my_piecewise3(t72, (-lapl[1] * t67 / 0.2e1 + 0.2e1 * tau[1] * t67 - 0.3e1 / 0.8e1 * sigma[2] * t163) * t37, 0);
  t170 = 0.1e1 / t76;
  t171 = t75 * t170;
  t173 = t171 / t73;
  t174 = t157 * t168 * t173;
  t178 = my_piecewise3(t51, 0, -t153 * t79 / 0.8e1 - t133 - t156 * t174 / 0.16e2);
  tvrho1 = t50 + t82 + t3 * (t147 + t178);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t181 = t33 * t37;
  t183 = my_piecewise3(t39, t181 / 0.8e1, 0);
  t184 = t100 * t183;
  t185 = t184 * t116;
  t188 = my_piecewise3(t2, 0, -t99 * t185 / 0.16e2);
  tvsigma0 = t3 * t188;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t189 = t67 * t37;
  t191 = my_piecewise3(t72, t189 / 0.8e1, 0);
  t192 = t157 * t191;
  t193 = t192 * t173;
  t196 = my_piecewise3(t51, 0, -t156 * t193 / 0.16e2);
  tvsigma2 = t3 * t196;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t197 = t28 * t37;
  t199 = my_piecewise3(t39, t197 / 0.4e1, 0);
  t200 = t100 * t199;
  t201 = t200 * t116;
  t204 = my_piecewise3(t2, 0, -t99 * t201 / 0.16e2);
  tvlapl0 = t3 * t204;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t205 = t62 * t37;
  t207 = my_piecewise3(t72, t205 / 0.4e1, 0);
  t208 = t157 * t207;
  t209 = t208 * t173;
  t212 = my_piecewise3(t51, 0, -t156 * t209 / 0.16e2);
  tvlapl1 = t3 * t212;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t213 = my_piecewise3(t39, -t197, 0);
  t214 = t100 * t213;
  t215 = t214 * t116;
  t218 = my_piecewise3(t2, 0, -t99 * t215 / 0.16e2);
  tvtau0 = t3 * t218;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t219 = my_piecewise3(t72, -t205, 0);
  t220 = t157 * t219;
  t221 = t220 * t173;
  t224 = my_piecewise3(t51, 0, -t156 * t221 / 0.16e2);
  tvtau1 = t3 * t224;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t227 = 0.1e1 / t20;
  t228 = t87 * t87;
  t231 = t83 * t3;
  t232 = 0.1e1 / t231;
  t233 = t13 * t232;
  t236 = my_piecewise5(t7, 0, t11, 0, -0.2e1 * t84 + 0.2e1 * t233);
  t240 = my_piecewise3(t17, 0, 0.3e1 / 0.4e1 * t227 * t228 + 0.3e1 / 0.2e1 * t20 * t236);
  t241 = M_PI * t240;
  t244 = t91 * t96;
  t246 = t91 * t26;
  t251 = t24 / t25 / t3;
  t252 = t251 * t46;
  t254 = t23 * t252 / 0.32e2;
  t255 = t23 * t95;
  t256 = t255 * t117;
  t258 = 0.1e1 / t45;
  t260 = -t258 * t100 + t46;
  t261 = t111 * t111;
  t263 = t43 * t43;
  t264 = t44 * t44;
  t265 = 0.1e1 / t264;
  t266 = t263 * t265;
  t267 = t40 * t40;
  t268 = 0.1e1 / t267;
  t269 = t266 * t268;
  t270 = t260 * t261 * t269;
  t278 = 0.1e1 / t105 / rho[0];
  t283 = my_piecewise3(t39, (0.3e1 / 0.2e1 * lapl[0] * t106 - 0.6e1 * tau[0] * t106 + 0.3e1 / 0.2e1 * sigma[0] * t278) * t37, 0);
  t285 = t100 * t283 * t116;
  t288 = t100 * t261;
  t289 = t43 * t265;
  t290 = t289 * t268;
  t291 = t288 * t290;
  t294 = t264 * t44;
  t295 = 0.1e1 / t294;
  t296 = t263 * t295;
  t297 = t296 * t268;
  t298 = t288 * t297;
  t301 = t114 * t268;
  t302 = t288 * t301;
  t306 = my_piecewise3(t2, 0, -t241 * t47 / 0.8e1 - t244 / 0.8e1 - t246 * t117 / 0.8e1 + t254 - t256 / 0.16e2 - t99 * t270 / 0.32e2 - t99 * t285 / 0.16e2 - t99 * t291 / 0.16e2 + t99 * t298 / 0.16e2 + t99 * t302 / 0.16e2);
  t307 = 0.1e1 / t57;
  t308 = t124 * t124;
  t311 = t52 * t232;
  t314 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t84 + 0.2e1 * t311);
  t318 = my_piecewise3(t56, 0, 0.3e1 / 0.4e1 * t307 * t308 + 0.3e1 / 0.2e1 * t57 * t314);
  t319 = M_PI * t318;
  t322 = t128 * t131;
  t324 = t251 * t78;
  t326 = t60 * t324 / 0.32e2;
  t328 = my_piecewise3(t51, 0, -t319 * t79 / 0.8e1 - t322 / 0.8e1 + t326);
  tv2rho20 = 0.2e1 * t121 + 0.2e1 * t135 + t3 * (t306 + t328);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t331 = t227 * t139;
  t335 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t233);
  t339 = my_piecewise3(t17, 0, 0.3e1 / 0.4e1 * t331 * t87 + 0.3e1 / 0.2e1 * t20 * t335);
  t340 = M_PI * t339;
  t343 = t143 * t96;
  t345 = t143 * t26;
  t351 = my_piecewise3(t2, 0, -t340 * t47 / 0.8e1 - t343 / 0.16e2 - t345 * t117 / 0.16e2 - t244 / 0.16e2 + t254 - t256 / 0.32e2);
  t352 = t307 * t149;
  t356 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t311);
  t360 = my_piecewise3(t56, 0, 0.3e1 / 0.4e1 * t352 * t124 + 0.3e1 / 0.2e1 * t57 * t356);
  t361 = M_PI * t360;
  t364 = t153 * t131;
  t367 = t128 * t26;
  t370 = t60 * t95;
  t371 = t370 * t174;
  t374 = my_piecewise3(t51, 0, -t361 * t79 / 0.8e1 - t364 / 0.16e2 - t322 / 0.16e2 + t326 - t367 * t174 / 0.16e2 - t371 / 0.32e2);
  tv2rho21 = t121 + t135 + t147 + t178 + t3 * (t351 + t374);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t379 = t139 * t139;
  t384 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t84 + 0.2e1 * t233);
  t388 = my_piecewise3(t17, 0, 0.3e1 / 0.4e1 * t227 * t379 + 0.3e1 / 0.2e1 * t20 * t384);
  t389 = M_PI * t388;
  t394 = my_piecewise3(t2, 0, -t389 * t47 / 0.8e1 - t343 / 0.8e1 + t254);
  t395 = t149 * t149;
  t400 = my_piecewise5(t11, 0, t7, 0, -0.2e1 * t84 + 0.2e1 * t311);
  t404 = my_piecewise3(t56, 0, 0.3e1 / 0.4e1 * t307 * t395 + 0.3e1 / 0.2e1 * t57 * t400);
  t405 = M_PI * t404;
  t409 = t153 * t26;
  t413 = 0.1e1 / t77;
  t415 = -t413 * t157 + t78;
  t416 = t168 * t168;
  t418 = t75 * t75;
  t419 = t76 * t76;
  t420 = 0.1e1 / t419;
  t421 = t418 * t420;
  t422 = t73 * t73;
  t423 = 0.1e1 / t422;
  t424 = t421 * t423;
  t425 = t415 * t416 * t424;
  t433 = 0.1e1 / t162 / rho[1];
  t438 = my_piecewise3(t72, (0.3e1 / 0.2e1 * lapl[1] * t163 - 0.6e1 * tau[1] * t163 + 0.3e1 / 0.2e1 * sigma[2] * t433) * t37, 0);
  t440 = t157 * t438 * t173;
  t443 = t157 * t416;
  t444 = t75 * t420;
  t445 = t444 * t423;
  t446 = t443 * t445;
  t449 = t419 * t76;
  t450 = 0.1e1 / t449;
  t451 = t418 * t450;
  t452 = t451 * t423;
  t453 = t443 * t452;
  t456 = t171 * t423;
  t457 = t443 * t456;
  t461 = my_piecewise3(t51, 0, -t405 * t79 / 0.8e1 - t364 / 0.8e1 - t409 * t174 / 0.8e1 + t326 - t371 / 0.16e2 - t156 * t425 / 0.32e2 - t156 * t440 / 0.16e2 - t156 * t446 / 0.16e2 + t156 * t453 / 0.16e2 + t156 * t457 / 0.16e2);
  tv2rho22 = 0.2e1 * t147 + 0.2e1 * t178 + t3 * (t394 + t461);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t467 = t255 * t185 / 0.32e2;
  t468 = t26 * t260;
  t469 = t23 * t468;
  t470 = t111 * t263;
  t471 = t265 * t268;
  t472 = t471 * t183;
  t473 = t470 * t472;
  t476 = t106 * t37;
  t478 = my_piecewise3(t39, -0.3e1 / 0.8e1 * t476, 0);
  t480 = t100 * t478 * t116;
  t483 = t26 * t100;
  t484 = t23 * t483;
  t485 = t183 * t111;
  t486 = t485 * t290;
  t489 = t183 * t263;
  t490 = t295 * t268;
  t491 = t490 * t111;
  t492 = t489 * t491;
  t495 = t183 * t43;
  t496 = t113 * t268;
  t497 = t496 * t111;
  t498 = t495 * t497;
  t502 = my_piecewise3(t2, 0, -t246 * t185 / 0.16e2 - t467 - t469 * t473 / 0.32e2 - t99 * t480 / 0.16e2 - t484 * t486 / 0.16e2 + t484 * t492 / 0.16e2 + t484 * t498 / 0.16e2);
  tv2rhosigma0 = t3 * t502 + t188;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t507 = t370 * t193 / 0.32e2;
  t509 = my_piecewise3(t51, 0, -t367 * t193 / 0.16e2 - t507);
  tv2rhosigma2 = t3 * t509 + t196;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t514 = my_piecewise3(t2, 0, -t345 * t185 / 0.16e2 - t467);
  tv2rhosigma3 = t3 * t514 + t188;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t518 = t26 * t415;
  t519 = t60 * t518;
  t520 = t168 * t418;
  t521 = t420 * t423;
  t522 = t521 * t191;
  t523 = t520 * t522;
  t526 = t163 * t37;
  t528 = my_piecewise3(t72, -0.3e1 / 0.8e1 * t526, 0);
  t530 = t157 * t528 * t173;
  t533 = t26 * t157;
  t534 = t60 * t533;
  t535 = t191 * t168;
  t536 = t535 * t445;
  t539 = t191 * t418;
  t540 = t450 * t423;
  t541 = t540 * t168;
  t542 = t539 * t541;
  t545 = t191 * t75;
  t546 = t170 * t423;
  t547 = t546 * t168;
  t548 = t545 * t547;
  t552 = my_piecewise3(t51, 0, -t409 * t193 / 0.16e2 - t507 - t519 * t523 / 0.32e2 - t156 * t530 / 0.16e2 - t534 * t536 / 0.16e2 + t534 * t542 / 0.16e2 + t534 * t548 / 0.16e2);
  tv2rhosigma5 = t3 * t552 + t196;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t557 = t255 * t201 / 0.32e2;
  t558 = t471 * t199;
  t559 = t470 * t558;
  t563 = my_piecewise3(t39, -t181 / 0.2e1, 0);
  t565 = t100 * t563 * t116;
  t568 = t199 * t111;
  t569 = t568 * t290;
  t572 = t199 * t263;
  t573 = t572 * t491;
  t576 = t199 * t43;
  t577 = t576 * t497;
  t581 = my_piecewise3(t2, 0, -t246 * t201 / 0.16e2 - t557 - t469 * t559 / 0.32e2 - t99 * t565 / 0.16e2 - t484 * t569 / 0.16e2 + t484 * t573 / 0.16e2 + t484 * t577 / 0.16e2);
  tv2rholapl0 = t3 * t581 + t204;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t586 = t370 * t209 / 0.32e2;
  t588 = my_piecewise3(t51, 0, -t367 * t209 / 0.16e2 - t586);
  tv2rholapl1 = t3 * t588 + t212;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t593 = my_piecewise3(t2, 0, -t345 * t201 / 0.16e2 - t557);
  tv2rholapl2 = t3 * t593 + t204;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t597 = t521 * t207;
  t598 = t520 * t597;
  t602 = my_piecewise3(t72, -t189 / 0.2e1, 0);
  t604 = t157 * t602 * t173;
  t607 = t207 * t168;
  t608 = t607 * t445;
  t611 = t207 * t418;
  t612 = t611 * t541;
  t615 = t207 * t75;
  t616 = t615 * t547;
  t620 = my_piecewise3(t51, 0, -t409 * t209 / 0.16e2 - t586 - t519 * t598 / 0.32e2 - t156 * t604 / 0.16e2 - t534 * t608 / 0.16e2 + t534 * t612 / 0.16e2 + t534 * t616 / 0.16e2);
  tv2rholapl3 = t3 * t620 + t212;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  t625 = t255 * t215 / 0.32e2;
  t626 = t471 * t213;
  t627 = t470 * t626;
  t631 = my_piecewise3(t39, 0.2e1 * t181, 0);
  t633 = t100 * t631 * t116;
  t636 = t213 * t111;
  t637 = t636 * t290;
  t640 = t213 * t263;
  t641 = t640 * t491;
  t644 = t213 * t43;
  t645 = t644 * t497;
  t649 = my_piecewise3(t2, 0, -t246 * t215 / 0.16e2 - t625 - t469 * t627 / 0.32e2 - t99 * t633 / 0.16e2 - t484 * t637 / 0.16e2 + t484 * t641 / 0.16e2 + t484 * t645 / 0.16e2);
  tv2rhotau0 = t3 * t649 + t218;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t654 = t370 * t221 / 0.32e2;
  t656 = my_piecewise3(t51, 0, -t367 * t221 / 0.16e2 - t654);
  tv2rhotau1 = t3 * t656 + t224;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  t661 = my_piecewise3(t2, 0, -t345 * t215 / 0.16e2 - t625);
  tv2rhotau2 = t3 * t661 + t218;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  t665 = t521 * t219;
  t666 = t520 * t665;
  t670 = my_piecewise3(t72, 0.2e1 * t189, 0);
  t672 = t157 * t670 * t173;
  t675 = t219 * t168;
  t676 = t675 * t445;
  t679 = t219 * t418;
  t680 = t679 * t541;
  t683 = t219 * t75;
  t684 = t683 * t547;
  t688 = my_piecewise3(t51, 0, -t409 * t221 / 0.16e2 - t654 - t519 * t666 / 0.32e2 - t156 * t672 / 0.16e2 - t534 * t676 / 0.16e2 + t534 * t680 / 0.16e2 + t534 * t684 / 0.16e2);
  tv2rhotau3 = t3 * t688 + t224;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t690 = t183 * t183;
  t692 = t260 * t690 * t269;
  t695 = my_piecewise3(t39, 0, 0);
  t697 = t100 * t695 * t116;
  t699 = t99 * t697 / 0.16e2;
  t700 = t100 * t690;
  t701 = t700 * t290;
  t704 = t700 * t297;
  t707 = t700 * t301;
  t711 = my_piecewise3(t2, 0, -t99 * t692 / 0.32e2 - t699 - t99 * t701 / 0.16e2 + t99 * t704 / 0.16e2 + t99 * t707 / 0.16e2);
  tv2sigma20 = t3 * t711;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t712 = t191 * t191;
  t714 = t415 * t712 * t424;
  t717 = my_piecewise3(t72, 0, 0);
  t719 = t157 * t717 * t173;
  t721 = t156 * t719 / 0.16e2;
  t722 = t157 * t712;
  t723 = t722 * t445;
  t726 = t722 * t452;
  t729 = t722 * t456;
  t733 = my_piecewise3(t51, 0, -t156 * t714 / 0.32e2 - t721 - t156 * t723 / 0.16e2 + t156 * t726 / 0.16e2 + t156 * t729 / 0.16e2);
  tv2sigma25 = t3 * t733;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t734 = t489 * t558;
  t737 = t199 * t183;
  t738 = t737 * t290;
  t741 = t490 * t183;
  t742 = t572 * t741;
  t745 = t496 * t183;
  t746 = t576 * t745;
  t750 = my_piecewise3(t2, 0, -t469 * t734 / 0.32e2 - t699 - t484 * t738 / 0.16e2 + t484 * t742 / 0.16e2 + t484 * t746 / 0.16e2);
  tv2sigmalapl0 = t3 * t750;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t751 = t539 * t597;
  t754 = t207 * t191;
  t755 = t754 * t445;
  t758 = t540 * t191;
  t759 = t611 * t758;
  t762 = t546 * t191;
  t763 = t615 * t762;
  t767 = my_piecewise3(t51, 0, -t519 * t751 / 0.32e2 - t721 - t534 * t755 / 0.16e2 + t534 * t759 / 0.16e2 + t534 * t763 / 0.16e2);
  tv2sigmalapl5 = t3 * t767;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  t768 = t489 * t626;
  t771 = t213 * t183;
  t772 = t771 * t290;
  t775 = t640 * t741;
  t778 = t644 * t745;
  t782 = my_piecewise3(t2, 0, -t469 * t768 / 0.32e2 - t699 - t484 * t772 / 0.16e2 + t484 * t775 / 0.16e2 + t484 * t778 / 0.16e2);
  tv2sigmatau0 = t3 * t782;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  t783 = t539 * t665;
  t786 = t219 * t191;
  t787 = t786 * t445;
  t790 = t679 * t758;
  t793 = t683 * t762;
  t797 = my_piecewise3(t51, 0, -t519 * t783 / 0.32e2 - t721 - t534 * t787 / 0.16e2 + t534 * t790 / 0.16e2 + t534 * t793 / 0.16e2);
  tv2sigmatau5 = t3 * t797;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t798 = t199 * t199;
  t800 = t260 * t798 * t269;
  t803 = t100 * t798;
  t804 = t803 * t290;
  t807 = t803 * t297;
  t810 = t803 * t301;
  t814 = my_piecewise3(t2, 0, -t99 * t800 / 0.32e2 - t699 - t99 * t804 / 0.16e2 + t99 * t807 / 0.16e2 + t99 * t810 / 0.16e2);
  tv2lapl20 = t3 * t814;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t815 = t207 * t207;
  t817 = t415 * t815 * t424;
  t820 = t157 * t815;
  t821 = t820 * t445;
  t824 = t820 * t452;
  t827 = t820 * t456;
  t831 = my_piecewise3(t51, 0, -t156 * t817 / 0.32e2 - t721 - t156 * t821 / 0.16e2 + t156 * t824 / 0.16e2 + t156 * t827 / 0.16e2);
  tv2lapl22 = t3 * t831;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  t832 = t572 * t626;
  t835 = t213 * t199;
  t836 = t835 * t290;
  t839 = t490 * t199;
  t840 = t640 * t839;
  t843 = t496 * t199;
  t844 = t644 * t843;
  t848 = my_piecewise3(t2, 0, -t469 * t832 / 0.32e2 - t699 - t484 * t836 / 0.16e2 + t484 * t840 / 0.16e2 + t484 * t844 / 0.16e2);
  tv2lapltau0 = t3 * t848;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  t849 = t611 * t665;
  t852 = t219 * t207;
  t853 = t852 * t445;
  t856 = t540 * t207;
  t857 = t679 * t856;
  t860 = t546 * t207;
  t861 = t683 * t860;
  t865 = my_piecewise3(t51, 0, -t519 * t849 / 0.32e2 - t721 - t534 * t853 / 0.16e2 + t534 * t857 / 0.16e2 + t534 * t861 / 0.16e2);
  tv2lapltau3 = t3 * t865;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  t866 = t213 * t213;
  t868 = t260 * t866 * t269;
  t871 = t100 * t866;
  t872 = t871 * t290;
  t875 = t871 * t297;
  t878 = t871 * t301;
  t882 = my_piecewise3(t2, 0, -t99 * t868 / 0.32e2 - t699 - t99 * t872 / 0.16e2 + t99 * t875 / 0.16e2 + t99 * t878 / 0.16e2);
  tv2tau20 = t3 * t882;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  t883 = t219 * t219;
  t885 = t415 * t883 * t424;
  t888 = t157 * t883;
  t889 = t888 * t445;
  t892 = t888 * t452;
  t895 = t888 * t456;
  t899 = my_piecewise3(t51, 0, -t156 * t885 / 0.32e2 - t721 - t156 * t889 / 0.16e2 + t156 * t892 / 0.16e2 + t156 * t895 / 0.16e2);
  tv2tau22 = t3 * t899;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t21, t22;
  double t23, t24, t25, t26, t27, t28, t32, t33;
  double t37, t38, t39, t40, t41, t43, t44, t45;
  double t46, t47, t50, t51, t52, t54, t55, t56;
  double t57, t58, t59, t60, t61, t62, t66, t67;
  double t71, t72, t73, t75, t76, t77, t78, t79;
  double t82, tzk0;

  double t83, t84, t85, t87, t90, t91, t95, t96;
  double t98, t99, t100, t105, t106, t111, t113, t114;
  double t116, t117, t121, t122, t124, t127, t128, t131;
  double t133, t135, tvrho0, t139, t142, t143, t147, t149;
  double t152, t153, t156, t157, t162, t163, t168, t170;
  double t171, t173, t174, t178, tvrho1, t181, t183, t184;
  double t185, t188, tvsigma0, tvsigma1, t189, t191, t192, t193;
  double t196, tvsigma2, t197, t199, t200, t201, t204, tvlapl0;
  double t205, t207, t208, t209, t212, tvlapl1, t213, t214;
  double t215, t218, tvtau0, t219, t220, t221, t224, tvtau1;

  double t227, t228, t231, t232, t233, t236, t240, t241;
  double t244, t246, t251, t252, t254, t255, t256, t258;
  double t260, t261, t263, t264, t265, t266, t267, t268;
  double t269, t270, t278, t283, t285, t288, t289, t290;
  double t291, t294, t295, t296, t297, t298, t301, t302;
  double t306, t307, t308, t311, t314, t318, t319, t322;
  double t324, t326, t328, tv2rho20, t331, t335, t339, t340;
  double t343, t345, t351, t352, t356, t360, t361, t364;
  double t367, t370, t371, t374, tv2rho21, t379, t384, t388;
  double t389, t394, t395, t400, t404, t405, t409, t413;
  double t415, t416, t418, t419, t420, t421, t422, t423;
  double t424, t425, t433, t438, t440, t443, t444, t445;
  double t446, t449, t450, t451, t452, t453, t456, t457;
  double t461, tv2rho22, t467, t468, t469, t470, t471, t472;
  double t473, t476, t478, t480, t483, t484, t485, t486;
  double t489, t490, t491, t492, t495, t496, t497, t498;
  double t502, tv2rhosigma0, tv2rhosigma1, t507, t509, tv2rhosigma2, t514, tv2rhosigma3;
  double tv2rhosigma4, t518, t519, t520, t521, t522, t523, t526;
  double t528, t530, t533, t534, t535, t536, t539, t540;
  double t541, t542, t545, t546, t547, t548, t552, tv2rhosigma5;
  double t557, t558, t559, t563, t565, t568, t569, t572;
  double t573, t576, t577, t581, tv2rholapl0, t586, t588, tv2rholapl1;
  double t593, tv2rholapl2, t597, t598, t602, t604, t607, t608;
  double t611, t612, t615, t616, t620, tv2rholapl3, t625, t626;
  double t627, t631, t633, t636, t637, t640, t641, t644;
  double t645, t649, tv2rhotau0, t654, t656, tv2rhotau1, t661, tv2rhotau2;
  double t665, t666, t670, t672, t675, t676, t679, t680;
  double t683, t684, t688, tv2rhotau3, t690, t692, t695, t697;
  double t699, t700, t701, t704, t707, t711, tv2sigma20, tv2sigma21;
  double tv2sigma22, tv2sigma23, tv2sigma24, t712, t714, t717, t719, t721;
  double t722, t723, t726, t729, t733, tv2sigma25, t734, t737;
  double t738, t741, t742, t745, t746, t750, tv2sigmalapl0, tv2sigmalapl1;
  double tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t751, t754, t755, t758, t759;
  double t762, t763, t767, tv2sigmalapl5, t768, t771, t772, t775;
  double t778, t782, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, t783;
  double t786, t787, t790, t793, t797, tv2sigmatau5, t798, t800;
  double t803, t804, t807, t810, t814, tv2lapl20, tv2lapl21, t815;
  double t817, t820, t821, t824, t827, t831, tv2lapl22, t832;
  double t835, t836, t839, t840, t843, t844, t848, tv2lapltau0;
  double tv2lapltau1, tv2lapltau2, t849, t852, t853, t856, t857, t860;
  double t861, t865, tv2lapltau3, t866, t868, t871, t872, t875;
  double t878, t882, tv2tau20, tv2tau21, t883, t885, t888, t889;
  double t892, t895, t899, tv2tau22;

  double t902, t903, t906, t909, t910, t911, t914, t918;
  double t919, t924, t925, t927, t928, t930, t932, t933;
  double t934, t935, t936, t937, t939, t940, t941, t944;
  double t945, t946, t947, t951, t952, t953, t954, t959;
  double t961, t962, t965, t966, t969, t970, t973, t974;
  double t977, t982, t984, t989, t990, t992, t994, t996;
  double t997, t998, t1001, t1005, t1007, t1015, t1020, t1022;
  double t1025, t1028, t1029, t1033, t1035, t1036, t1037, t1041;
  double t1045, t1048, t1049, t1053, t1056, t1058, t1059, t1060;
  double t1063, t1066, t1069, t1073, t1074, t1077, t1079, t1081;
  double t1083, t1085, tv3rho30, t1088, t1089, t1093, t1096, t1101;
  double t1102, t1104, t1108, t1109, t1113, t1114, t1124, t1127;
  double t1129, t1138, t1139, t1140, t1143, t1148, t1150, t1154;
  double t1155, t1159, t1160, t1164, t1167, t1169, t1170, t1171;
  double t1174, tv3rho31, t1177, t1182, t1186, t1190, t1191, t1194;
  double t1196, t1203, t1204, t1209, t1213, t1217, t1218, t1221;
  double t1224, t1227, t1228, t1234, t1238, t1242, t1246, t1250;
  double t1252, t1253, tv3rho32, t1258, t1265, t1269, t1270, t1276;
  double t1282, t1286, t1290, t1293, t1294, t1297, t1304, t1305;
  double t1306, t1309, t1313, t1315, t1321, t1325, t1326, t1327;
  double t1329, t1330, t1331, t1334, t1335, t1336, t1339, t1340;
  double t1341, t1342, t1343, t1344, t1347, t1348, t1349, t1353;
  double t1354, t1355, t1356, t1361, t1362, t1365, t1368, t1369;
  double t1374, t1375, t1383, t1388, t1390, t1394, t1401, t1405;
  double t1406, t1409, t1411, tv3rho33, t1415, t1418, t1419, t1420;
  double t1423, t1428, t1429, t1432, t1435, t1440, t1442, t1444;
  double t1446, t1449, t1451, t1452, t1455, t1458, t1461, t1462;
  double t1463, t1466, t1467, t1468, t1469, t1472, t1473, t1474;
  double t1475, t1478, t1479, t1482, t1483, t1486, t1487, t1490;
  double t1491, t1496, t1499, t1501, t1502, t1503, t1505, t1506;
  double t1509, t1512, t1513, t1516, t1517, t1518, t1519, t1524;
  double t1525, t1526, t1527, t1530, t1532, tv3rho2sigma0, tv3rho2sigma1, t1537;
  double t1540, t1542, tv3rho2sigma2, t1546, t1548, t1553, t1566, t1567;
  double tv3rho2sigma3, tv3rho2sigma4, t1571, t1574, t1577, t1578, t1579, t1583;
  double t1585, t1588, t1589, t1590, t1594, t1598, t1600, t1601;
  double tv3rho2sigma5, t1608, tv3rho2sigma6, tv3rho2sigma7, t1611, t1612, t1613, t1614;
  double t1617, t1618, t1619, t1620, t1623, t1624, t1625, t1626;
  double t1629, t1630, t1634, t1636, t1638, t1650, t1651, t1654;
  double t1655, t1658, t1659, t1662, t1663, t1666, t1667, t1670;
  double t1671, t1674, t1675, t1678, t1681, t1685, t1692, t1693;
  double t1696, t1701, t1702, t1703, t1706, t1707, t1708, t1711;
  double t1714, t1716, tv3rho2sigma8, t1719, t1720, t1723, t1724, t1729;
  double t1732, t1737, t1739, t1740, t1743, t1744, t1747, t1750;
  double t1753, t1756, t1757, t1762, t1763, t1766, t1769, t1770;
  double t1771, t1774, t1777, t1784, t1786, t1790, t1793, t1794;
  double t1798, t1799, t1801, t1804, t1806, t1813, t1815, tv3rho2lapl0;
  double t1820, t1823, t1825, tv3rho2lapl1, t1829, t1847, t1848, tv3rho2lapl2;
  double t1852, t1857, t1861, t1865, t1869, t1873, t1875, t1876;
  double tv3rho2lapl3, t1883, tv3rho2lapl4, t1888, t1889, t1892, t1893, t1896;
  double t1897, t1900, t1903, t1904, t1907, t1910, t1917, t1920;
  double t1921, t1924, t1925, t1932, t1933, t1936, t1941, t1942;
  double t1945, t1953, t1955, t1962, t1963, t1966, t1969, t1970;
  double t1973, t1975, tv3rho2lapl5, t1979, t1982, t1983, t1986, t1987;
  double t1990, t1991, t1998, t2000, t2004, t2009, t2012, t2017;
  double t2019, t2020, t2023, t2024, t2027, t2032, t2035, t2036;
  double t2039, t2042, t2047, t2050, t2052, t2055, t2058, t2059;
  double t2062, t2063, t2066, t2067, t2070, t2073, t2075, tv3rho2tau0;
  double t2080, t2083, t2085, tv3rho2tau1, t2089, t2107, t2108, tv3rho2tau2;
  double t2112, t2117, t2121, t2125, t2129, t2133, t2135, t2136;
  double tv3rho2tau3, t2143, tv3rho2tau4, t2147, t2150, t2151, t2154, t2155;
  double t2158, t2159, t2162, t2163, t2169, t2174, t2175, t2178;
  double t2183, t2186, t2187, t2190, t2194, t2197, t2198, t2199;
  double t2202, t2203, t2206, t2215, t2222, t2224, t2233, t2235;
  double tv3rho2tau5, t2237, t2238, t2239, t2242, t2243, t2244, t2245;
  double t2246, t2247, t2248, t2249, t2251, t2254, t2255, t2256;
  double t2257, t2258, t2259, t2260, t2263, t2264, t2267, t2268;
  double t2269, t2270, t2271, t2274, t2277, t2278, t2279, t2282;
  double t2283, t2288, t2289, t2290, t2293, t2294, t2297, t2300;
  double t2308, t2310, t2312, t2313, t2314, t2316, t2320, t2323;
  double t2324, t2327, t2329, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23, tv3rhosigma24;
  double t2334, t2336, t2337, t2338, t2342, t2346, t2350, t2352;
  double tv3rhosigma25, t2357, t2365, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210;
  double t2367, t2370, t2371, t2372, t2375, t2376, t2377, t2378;
  double t2379, t2380, t2381, t2382, t2383, t2386, t2387, t2390;
  double t2391, t2394, t2395, t2396, t2397, t2399, t2402, t2403;
  double t2406, t2407, t2408, t2411, t2412, t2413, t2414, t2415;
  double t2418, t2419, t2420, t2425, t2426, t2429, t2430, t2438;
  double t2441, t2442, t2447, t2449, tv3rhosigma211, t2451, t2452, t2455;
  double t2456, t2457, t2458, t2461, t2462, t2465, t2466, t2467;
  double t2468, t2471, t2472, t2477, t2478, t2481, t2482, t2485;
  double t2486, t2489, t2493, t2495, t2497, t2499, t2502, t2503;
  double t2504, t2507, t2508, t2513, t2516, t2521, t2528, t2531;
  double t2534, t2536, tv3rhosigmalapl0, tv3rhosigmalapl1, tv3rhosigmalapl2, tv3rhosigmalapl3, tv3rhosigmalapl4, t2541;
  double t2545, t2549, t2553, t2555, tv3rhosigmalapl5, t2566, tv3rhosigmalapl6, tv3rhosigmalapl7;
  double tv3rhosigmalapl8, tv3rhosigmalapl9, tv3rhosigmalapl10, t2568, t2569, t2572, t2573, t2574;
  double t2575, t2578, t2579, t2580, t2581, t2584, t2585, t2588;
  double t2589, t2594, t2595, t2598, t2599, t2602, t2603, t2606;
  double t2609, t2612, t2617, t2618, t2621, t2622, t2625, t2628;
  double t2631, t2640, t2643, t2645, tv3rhosigmalapl11, t2647, t2648, t2651;
  double t2652, t2655, t2656, t2659, t2660, t2663, t2664, t2665;
  double t2670, t2673, t2674, t2677, t2678, t2683, t2686, t2690;
  double t2692, t2694, t2695, t2697, t2700, t2701, t2704, t2705;
  double t2710, t2713, t2718, t2721, t2726, t2728, tv3rhosigmatau0, tv3rhosigmatau1;
  double tv3rhosigmatau2, tv3rhosigmatau3, tv3rhosigmatau4, t2733, t2737, t2741, t2745, t2747;
  double tv3rhosigmatau5, t2758, tv3rhosigmatau6, tv3rhosigmatau7, tv3rhosigmatau8, tv3rhosigmatau9, tv3rhosigmatau10, t2760;
  double t2761, t2762, t2765, t2766, t2769, t2770, t2773, t2774;
  double t2777, t2780, t2783, t2784, t2789, t2790, t2793, t2796;
  double t2803, t2806, t2809, t2812, t2813, t2816, t2817, t2822;
  double t2825, t2830, t2832, tv3rhosigmatau11, t2834, t2835, t2838, t2839;
  double t2842, t2843, t2846, t2849, t2852, t2853, t2858, t2859;
  double t2862, t2863, t2866, t2869, t2872, t2875, t2878, t2880;
  double t2882, t2884, t2886, t2890, t2899, t2901, tv3rholapl20, tv3rholapl21;
  double t2906, t2910, t2914, t2918, t2920, tv3rholapl22, t2931, tv3rholapl23;
  double tv3rholapl24, t2933, t2934, t2937, t2938, t2941, t2944, t2947;
  double t2948, t2951, t2952, t2957, t2958, t2961, t2964, t2967;
  double t2970, t2971, t2974, t2977, t2979, t2990, t2992, tv3rholapl25;
  double t2994, t2997, t2998, t3001, t3002, t3005, t3008, t3009;
  double t3013, t3016, t3017, t3022, t3027, t3030, t3036, t3038;
  double t3039, t3041, t3043, t3044, t3045, t3048, t3049, t3054;
  double t3057, t3062, t3065, t3070, t3072, tv3rholapltau0, tv3rholapltau1, tv3rholapltau2;
  double t3077, t3081, t3085, t3089, t3091, tv3rholapltau3, t3102, tv3rholapltau4;
  double tv3rholapltau5, tv3rholapltau6, t3105, t3108, t3109, t3112, t3113, t3116;
  double t3117, t3120, t3123, t3124, t3129, t3132, t3133, t3136;
  double t3139, t3144, t3147, t3152, t3155, t3158, t3163, t3164;
  double t3167, t3168, t3173, t3175, tv3rholapltau7, t3177, t3178, t3181;
  double t3182, t3185, t3186, t3189, t3192, t3195, t3198, t3199;
  double t3203, t3209, t3212, t3215, t3218, t3221, t3223, t3225;
  double t3227, t3229, t3235, t3242, t3244, tv3rhotau20, tv3rhotau21, t3249;
  double t3253, t3257, t3261, t3263, tv3rhotau22, t3274, tv3rhotau23, tv3rhotau24;
  double t3276, t3277, t3280, t3281, t3284, t3287, t3288, t3291;
  double t3294, t3297, t3300, t3301, t3305, t3311, t3314, t3317;
  double t3320, t3326, t3333, t3335, tv3rhotau25, t3337, t3338, t3339;
  double t3342, t3345, t3346, t3347, t3348, t3349, t3352, t3353;
  double t3354, t3355, t3358, t3360, t3363, t3365, t3368, t3369;
  double t3370, t3371, t3372, t3375, t3378, t3381, t3382, t3383;
  double t3384, t3387, t3390, t3391, tv3sigma30, tv3sigma31, tv3sigma32, tv3sigma33;
  double tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t3392, t3393, t3394;
  double t3397, t3400, t3401, t3402, t3403, t3404, t3407, t3408;
  double t3409, t3410, t3413, t3415, t3418, t3420, t3423, t3424;
  double t3425, t3426, t3427, t3430, t3433, t3436, t3437, t3438;
  double t3439, t3442, t3445, t3446, tv3sigma39, t3447, t3448, t3449;
  double t3450, t3451, t3452, t3453, t3454, t3455, t3456, t3457;
  double t3458, t3459, t3460, t3461, t3462, t3463, t3466, t3467;
  double t3468, t3469, t3472, t3473, t3476, t3477, t3480, t3483;
  double t3484, t3487, t3490, t3493, t3496, t3497, t3500, t3501;
  double tv3sigma2lapl0, tv3sigma2lapl1, tv3sigma2lapl2, tv3sigma2lapl3, tv3sigma2lapl4, tv3sigma2lapl5, tv3sigma2lapl6, tv3sigma2lapl7;
  double tv3sigma2lapl8, tv3sigma2lapl9, tv3sigma2lapl10, t3502, t3503, t3504, t3505, t3506;
  double t3507, t3508, t3509, t3510, t3511, t3512, t3513, t3514;
  double t3515, t3518, t3519, t3520, t3521, t3522, t3523, t3526;
  double t3527, t3530, t3531, t3534, t3535, t3538, t3539, t3542;
  double t3545, t3548, t3551, t3552, t3555, t3556, tv3sigma2lapl11, t3557;
  double t3558, t3559, t3560, t3561, t3562, t3565, t3566, t3567;
  double t3568, t3569, t3570, t3571, t3572, t3575, t3576, t3579;
  double t3582, t3585, t3590, t3593, t3596, t3599, t3600, tv3sigma2tau0;
  double tv3sigma2tau1, tv3sigma2tau2, tv3sigma2tau3, tv3sigma2tau4, tv3sigma2tau5, tv3sigma2tau6, tv3sigma2tau7, tv3sigma2tau8;
  double tv3sigma2tau9, tv3sigma2tau10, t3601, t3602, t3603, t3606, t3607, t3608;
  double t3609, t3610, t3611, t3612, t3613, t3614, t3615, t3616;
  double t3619, t3620, t3623, t3626, t3629, t3634, t3637, t3640;
  double t3643, t3644, tv3sigma2tau11, t3645, t3648, t3649, t3652, t3653;
  double t3656, t3659, t3660, t3661, t3662, t3663, t3664, t3666;
  double t3669, t3670, t3673, t3676, t3679, t3682, t3683, t3686;
  double t3687, t3688, tv3sigmalapl20, tv3sigmalapl21, tv3sigmalapl22, tv3sigmalapl23, tv3sigmalapl24, tv3sigmalapl25;
  double tv3sigmalapl26, tv3sigmalapl27, t3689, t3692, t3695, t3696, t3699, t3702;
  double t3703, t3704, t3705, t3706, t3707, t3709, t3712, t3713;
  double t3716, t3717, t3720, t3721, t3726, t3729, t3730, t3731;
  double tv3sigmalapl28, t3734, t3735, t3738, t3739, t3742, t3745, t3746;
  double t3749, t3750, t3755, t3758, t3761, t3764, t3766, tv3sigmalapltau0;
  double tv3sigmalapltau1, tv3sigmalapltau2, tv3sigmalapltau3, tv3sigmalapltau4, tv3sigmalapltau5, tv3sigmalapltau6, tv3sigmalapltau7, tv3sigmalapltau8;
  double tv3sigmalapltau9, tv3sigmalapltau10, t3769, t3770, t3771, t3774, t3775, t3778;
  double t3781, t3782, t3785, t3786, t3791, t3794, t3797, t3800;
  double t3802, tv3sigmalapltau11, t3803, t3806, t3809, t3812, t3815, t3816;
  double t3817, t3818, t3820, t3823, t3824, t3829, t3832, t3835;
  double t3838, t3839, tv3sigmatau20, tv3sigmatau21, tv3sigmatau22, tv3sigmatau23, tv3sigmatau24, tv3sigmatau25;
  double tv3sigmatau26, tv3sigmatau27, t3840, t3843, t3846, t3849, t3852, t3853;
  double t3854, t3855, t3857, t3860, t3861, t3866, t3869, t3872;
  double t3875, t3876, tv3sigmatau28, t3877, t3879, t3882, t3884, t3887;
  double t3888, t3889, t3892, t3895, t3896, t3899, t3902, t3903;
  double t3904, t3905, t3906, t3909, t3912, t3915, t3918, t3921;
  double t3922, tv3lapl30, tv3lapl31, tv3lapl32, t3923, t3925, t3928, t3930;
  double t3933, t3934, t3935, t3938, t3941, t3942, t3945, t3948;
  double t3949, t3950, t3951, t3952, t3955, t3958, t3961, t3964;
  double t3967, t3968, tv3lapl33, t3969, t3970, t3973, t3974, t3978;
  double t3981, t3982, t3985, t3988, t3993, t3996, t3999, t4000;
  double t4003, t4004, tv3lapl2tau0, tv3lapl2tau1, tv3lapl2tau2, tv3lapl2tau3, tv3lapl2tau4, t4005;
  double t4006, t4009, t4010, t4014, t4017, t4018, t4021, t4024;
  double t4029, t4032, t4035, t4036, t4039, t4040, tv3lapl2tau5, t4042;
  double t4045, t4049, t4053, t4056, t4059, t4060, t4065, t4068;
  double t4072, t4075, t4076, tv3lapltau20, tv3lapltau21, tv3lapltau22, tv3lapltau23, tv3lapltau24;
  double t4078, t4082, t4085, t4089, t4092, t4095, t4096, t4101;
  double t4104, t4108, t4111, t4112, tv3lapltau25, t4113, t4115, t4118;
  double t4120, t4123, t4124, t4125, t4128, t4131, t4134, t4135;
  double t4138, t4139, t4140, t4141, t4142, t4145, t4148, t4151;
  double t4154, t4157, t4158, tv3tau30, tv3tau31, tv3tau32, t4159, t4161;
  double t4164, t4166, t4169, t4170, t4171, t4174, t4177, t4178;
  double t4181, t4184, t4185, t4186, t4187, t4188, t4191, t4194;
  double t4197, t4200, t4203, t4204, tv3tau33;


  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = sqrt(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = sqrt(t16);
  t21 = t20 * t16;
  t22 = my_piecewise3(t17, t19, t21);
  t23 = M_PI * t22;
  t24 = M_SQRT2;
  t25 = sqrt(t3);
  t26 = t24 * t25;
  t27 = rho[0] * rho[0];
  t28 = 0.1e1 / t27;
  t32 = t27 * rho[0];
  t33 = 0.1e1 / t32;
  t37 = 0.1e1 / M_PI;
  t38 = (lapl[0] * t28 / 0.4e1 - tau[0] * t28 + sigma[0] * t33 / 0.8e1) * t37;
  t39 = -0.9999999999e0 < t38;
  t40 = my_piecewise3(t39, t38, -0.9999999999e0);
  t41 = exp(-0.1e1);
  t43 = LambertW(t40 * t41);
  t44 = t43 + 0.1e1;
  t45 = t44 / 0.2e1;
  t46 = xc_bessel_I0(t45);
  t47 = t26 * t46;
  t50 = my_piecewise3(t2, 0, -t23 * t47 / 0.8e1);
  t51 = rho[1] <= p->dens_threshold;
  t52 = -t13;
  t54 = my_piecewise5(t11, t8, t7, t12, t52 * t4);
  t55 = 0.1e1 + t54;
  t56 = t55 <= p->zeta_threshold;
  t57 = sqrt(t55);
  t58 = t57 * t55;
  t59 = my_piecewise3(t56, t19, t58);
  t60 = M_PI * t59;
  t61 = rho[1] * rho[1];
  t62 = 0.1e1 / t61;
  t66 = t61 * rho[1];
  t67 = 0.1e1 / t66;
  t71 = (lapl[1] * t62 / 0.4e1 - tau[1] * t62 + sigma[2] * t67 / 0.8e1) * t37;
  t72 = -0.9999999999e0 < t71;
  t73 = my_piecewise3(t72, t71, -0.9999999999e0);
  t75 = LambertW(t73 * t41);
  t76 = t75 + 0.1e1;
  t77 = t76 / 0.2e1;
  t78 = xc_bessel_I0(t77);
  t79 = t26 * t78;
  t82 = my_piecewise3(t51, 0, -t60 * t79 / 0.8e1);
  tzk0 = t50 + t82;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t83 = t3 * t3;
  t84 = 0.1e1 / t83;
  t85 = t13 * t84;
  t87 = my_piecewise5(t7, 0, t11, 0, t4 - t85);
  t90 = my_piecewise3(t17, 0, 0.3e1 / 0.2e1 * t20 * t87);
  t91 = M_PI * t90;
  t95 = t24 / t25;
  t96 = t95 * t46;
  t98 = t23 * t96 / 0.16e2;
  t99 = t23 * t26;
  t100 = xc_bessel_I1(t45);
  t105 = t27 * t27;
  t106 = 0.1e1 / t105;
  t111 = my_piecewise3(t39, (-lapl[0] * t33 / 0.2e1 + 0.2e1 * tau[0] * t33 - 0.3e1 / 0.8e1 * sigma[0] * t106) * t37, 0);
  t113 = 0.1e1 / t44;
  t114 = t43 * t113;
  t116 = t114 / t40;
  t117 = t100 * t111 * t116;
  t121 = my_piecewise3(t2, 0, -t91 * t47 / 0.8e1 - t98 - t99 * t117 / 0.16e2);
  t122 = t52 * t84;
  t124 = my_piecewise5(t11, 0, t7, 0, -t4 - t122);
  t127 = my_piecewise3(t56, 0, 0.3e1 / 0.2e1 * t57 * t124);
  t128 = M_PI * t127;
  t131 = t95 * t78;
  t133 = t60 * t131 / 0.16e2;
  t135 = my_piecewise3(t51, 0, -t128 * t79 / 0.8e1 - t133);
  tvrho0 = t50 + t82 + t3 * (t121 + t135);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t139 = my_piecewise5(t7, 0, t11, 0, -t4 - t85);
  t142 = my_piecewise3(t17, 0, 0.3e1 / 0.2e1 * t20 * t139);
  t143 = M_PI * t142;
  t147 = my_piecewise3(t2, 0, -t143 * t47 / 0.8e1 - t98);
  t149 = my_piecewise5(t11, 0, t7, 0, t4 - t122);
  t152 = my_piecewise3(t56, 0, 0.3e1 / 0.2e1 * t57 * t149);
  t153 = M_PI * t152;
  t156 = t60 * t26;
  t157 = xc_bessel_I1(t77);
  t162 = t61 * t61;
  t163 = 0.1e1 / t162;
  t168 = my_piecewise3(t72, (-lapl[1] * t67 / 0.2e1 + 0.2e1 * tau[1] * t67 - 0.3e1 / 0.8e1 * sigma[2] * t163) * t37, 0);
  t170 = 0.1e1 / t76;
  t171 = t75 * t170;
  t173 = t171 / t73;
  t174 = t157 * t168 * t173;
  t178 = my_piecewise3(t51, 0, -t153 * t79 / 0.8e1 - t133 - t156 * t174 / 0.16e2);
  tvrho1 = t50 + t82 + t3 * (t147 + t178);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t181 = t33 * t37;
  t183 = my_piecewise3(t39, t181 / 0.8e1, 0);
  t184 = t100 * t183;
  t185 = t184 * t116;
  t188 = my_piecewise3(t2, 0, -t99 * t185 / 0.16e2);
  tvsigma0 = t3 * t188;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t189 = t67 * t37;
  t191 = my_piecewise3(t72, t189 / 0.8e1, 0);
  t192 = t157 * t191;
  t193 = t192 * t173;
  t196 = my_piecewise3(t51, 0, -t156 * t193 / 0.16e2);
  tvsigma2 = t3 * t196;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t197 = t28 * t37;
  t199 = my_piecewise3(t39, t197 / 0.4e1, 0);
  t200 = t100 * t199;
  t201 = t200 * t116;
  t204 = my_piecewise3(t2, 0, -t99 * t201 / 0.16e2);
  tvlapl0 = t3 * t204;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t205 = t62 * t37;
  t207 = my_piecewise3(t72, t205 / 0.4e1, 0);
  t208 = t157 * t207;
  t209 = t208 * t173;
  t212 = my_piecewise3(t51, 0, -t156 * t209 / 0.16e2);
  tvlapl1 = t3 * t212;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t213 = my_piecewise3(t39, -t197, 0);
  t214 = t100 * t213;
  t215 = t214 * t116;
  t218 = my_piecewise3(t2, 0, -t99 * t215 / 0.16e2);
  tvtau0 = t3 * t218;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t219 = my_piecewise3(t72, -t205, 0);
  t220 = t157 * t219;
  t221 = t220 * t173;
  t224 = my_piecewise3(t51, 0, -t156 * t221 / 0.16e2);
  tvtau1 = t3 * t224;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t227 = 0.1e1 / t20;
  t228 = t87 * t87;
  t231 = t83 * t3;
  t232 = 0.1e1 / t231;
  t233 = t13 * t232;
  t236 = my_piecewise5(t7, 0, t11, 0, -0.2e1 * t84 + 0.2e1 * t233);
  t240 = my_piecewise3(t17, 0, 0.3e1 / 0.4e1 * t227 * t228 + 0.3e1 / 0.2e1 * t20 * t236);
  t241 = M_PI * t240;
  t244 = t91 * t96;
  t246 = t91 * t26;
  t251 = t24 / t25 / t3;
  t252 = t251 * t46;
  t254 = t23 * t252 / 0.32e2;
  t255 = t23 * t95;
  t256 = t255 * t117;
  t258 = 0.1e1 / t45;
  t260 = -t258 * t100 + t46;
  t261 = t111 * t111;
  t263 = t43 * t43;
  t264 = t44 * t44;
  t265 = 0.1e1 / t264;
  t266 = t263 * t265;
  t267 = t40 * t40;
  t268 = 0.1e1 / t267;
  t269 = t266 * t268;
  t270 = t260 * t261 * t269;
  t278 = 0.1e1 / t105 / rho[0];
  t283 = my_piecewise3(t39, (0.3e1 / 0.2e1 * lapl[0] * t106 - 0.6e1 * tau[0] * t106 + 0.3e1 / 0.2e1 * sigma[0] * t278) * t37, 0);
  t285 = t100 * t283 * t116;
  t288 = t100 * t261;
  t289 = t43 * t265;
  t290 = t289 * t268;
  t291 = t288 * t290;
  t294 = t264 * t44;
  t295 = 0.1e1 / t294;
  t296 = t263 * t295;
  t297 = t296 * t268;
  t298 = t288 * t297;
  t301 = t114 * t268;
  t302 = t288 * t301;
  t306 = my_piecewise3(t2, 0, -t241 * t47 / 0.8e1 - t244 / 0.8e1 - t246 * t117 / 0.8e1 + t254 - t256 / 0.16e2 - t99 * t270 / 0.32e2 - t99 * t285 / 0.16e2 - t99 * t291 / 0.16e2 + t99 * t298 / 0.16e2 + t99 * t302 / 0.16e2);
  t307 = 0.1e1 / t57;
  t308 = t124 * t124;
  t311 = t52 * t232;
  t314 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t84 + 0.2e1 * t311);
  t318 = my_piecewise3(t56, 0, 0.3e1 / 0.4e1 * t307 * t308 + 0.3e1 / 0.2e1 * t57 * t314);
  t319 = M_PI * t318;
  t322 = t128 * t131;
  t324 = t251 * t78;
  t326 = t60 * t324 / 0.32e2;
  t328 = my_piecewise3(t51, 0, -t319 * t79 / 0.8e1 - t322 / 0.8e1 + t326);
  tv2rho20 = 0.2e1 * t121 + 0.2e1 * t135 + t3 * (t306 + t328);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t331 = t227 * t139;
  t335 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t233);
  t339 = my_piecewise3(t17, 0, 0.3e1 / 0.4e1 * t331 * t87 + 0.3e1 / 0.2e1 * t20 * t335);
  t340 = M_PI * t339;
  t343 = t143 * t96;
  t345 = t143 * t26;
  t351 = my_piecewise3(t2, 0, -t340 * t47 / 0.8e1 - t343 / 0.16e2 - t345 * t117 / 0.16e2 - t244 / 0.16e2 + t254 - t256 / 0.32e2);
  t352 = t307 * t149;
  t356 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t311);
  t360 = my_piecewise3(t56, 0, 0.3e1 / 0.4e1 * t352 * t124 + 0.3e1 / 0.2e1 * t57 * t356);
  t361 = M_PI * t360;
  t364 = t153 * t131;
  t367 = t128 * t26;
  t370 = t60 * t95;
  t371 = t370 * t174;
  t374 = my_piecewise3(t51, 0, -t361 * t79 / 0.8e1 - t364 / 0.16e2 - t322 / 0.16e2 + t326 - t367 * t174 / 0.16e2 - t371 / 0.32e2);
  tv2rho21 = t121 + t135 + t147 + t178 + t3 * (t351 + t374);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t379 = t139 * t139;
  t384 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t84 + 0.2e1 * t233);
  t388 = my_piecewise3(t17, 0, 0.3e1 / 0.4e1 * t227 * t379 + 0.3e1 / 0.2e1 * t20 * t384);
  t389 = M_PI * t388;
  t394 = my_piecewise3(t2, 0, -t389 * t47 / 0.8e1 - t343 / 0.8e1 + t254);
  t395 = t149 * t149;
  t400 = my_piecewise5(t11, 0, t7, 0, -0.2e1 * t84 + 0.2e1 * t311);
  t404 = my_piecewise3(t56, 0, 0.3e1 / 0.4e1 * t307 * t395 + 0.3e1 / 0.2e1 * t57 * t400);
  t405 = M_PI * t404;
  t409 = t153 * t26;
  t413 = 0.1e1 / t77;
  t415 = -t413 * t157 + t78;
  t416 = t168 * t168;
  t418 = t75 * t75;
  t419 = t76 * t76;
  t420 = 0.1e1 / t419;
  t421 = t418 * t420;
  t422 = t73 * t73;
  t423 = 0.1e1 / t422;
  t424 = t421 * t423;
  t425 = t415 * t416 * t424;
  t433 = 0.1e1 / t162 / rho[1];
  t438 = my_piecewise3(t72, (0.3e1 / 0.2e1 * lapl[1] * t163 - 0.6e1 * tau[1] * t163 + 0.3e1 / 0.2e1 * sigma[2] * t433) * t37, 0);
  t440 = t157 * t438 * t173;
  t443 = t157 * t416;
  t444 = t75 * t420;
  t445 = t444 * t423;
  t446 = t443 * t445;
  t449 = t419 * t76;
  t450 = 0.1e1 / t449;
  t451 = t418 * t450;
  t452 = t451 * t423;
  t453 = t443 * t452;
  t456 = t171 * t423;
  t457 = t443 * t456;
  t461 = my_piecewise3(t51, 0, -t405 * t79 / 0.8e1 - t364 / 0.8e1 - t409 * t174 / 0.8e1 + t326 - t371 / 0.16e2 - t156 * t425 / 0.32e2 - t156 * t440 / 0.16e2 - t156 * t446 / 0.16e2 + t156 * t453 / 0.16e2 + t156 * t457 / 0.16e2);
  tv2rho22 = 0.2e1 * t147 + 0.2e1 * t178 + t3 * (t394 + t461);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t467 = t255 * t185 / 0.32e2;
  t468 = t26 * t260;
  t469 = t23 * t468;
  t470 = t111 * t263;
  t471 = t265 * t268;
  t472 = t471 * t183;
  t473 = t470 * t472;
  t476 = t106 * t37;
  t478 = my_piecewise3(t39, -0.3e1 / 0.8e1 * t476, 0);
  t480 = t100 * t478 * t116;
  t483 = t26 * t100;
  t484 = t23 * t483;
  t485 = t183 * t111;
  t486 = t485 * t290;
  t489 = t183 * t263;
  t490 = t295 * t268;
  t491 = t490 * t111;
  t492 = t489 * t491;
  t495 = t183 * t43;
  t496 = t113 * t268;
  t497 = t496 * t111;
  t498 = t495 * t497;
  t502 = my_piecewise3(t2, 0, -t246 * t185 / 0.16e2 - t467 - t469 * t473 / 0.32e2 - t99 * t480 / 0.16e2 - t484 * t486 / 0.16e2 + t484 * t492 / 0.16e2 + t484 * t498 / 0.16e2);
  tv2rhosigma0 = t3 * t502 + t188;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t507 = t370 * t193 / 0.32e2;
  t509 = my_piecewise3(t51, 0, -t367 * t193 / 0.16e2 - t507);
  tv2rhosigma2 = t3 * t509 + t196;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t514 = my_piecewise3(t2, 0, -t345 * t185 / 0.16e2 - t467);
  tv2rhosigma3 = t3 * t514 + t188;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t518 = t26 * t415;
  t519 = t60 * t518;
  t520 = t168 * t418;
  t521 = t420 * t423;
  t522 = t521 * t191;
  t523 = t520 * t522;
  t526 = t163 * t37;
  t528 = my_piecewise3(t72, -0.3e1 / 0.8e1 * t526, 0);
  t530 = t157 * t528 * t173;
  t533 = t26 * t157;
  t534 = t60 * t533;
  t535 = t191 * t168;
  t536 = t535 * t445;
  t539 = t191 * t418;
  t540 = t450 * t423;
  t541 = t540 * t168;
  t542 = t539 * t541;
  t545 = t191 * t75;
  t546 = t170 * t423;
  t547 = t546 * t168;
  t548 = t545 * t547;
  t552 = my_piecewise3(t51, 0, -t409 * t193 / 0.16e2 - t507 - t519 * t523 / 0.32e2 - t156 * t530 / 0.16e2 - t534 * t536 / 0.16e2 + t534 * t542 / 0.16e2 + t534 * t548 / 0.16e2);
  tv2rhosigma5 = t3 * t552 + t196;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t557 = t255 * t201 / 0.32e2;
  t558 = t471 * t199;
  t559 = t470 * t558;
  t563 = my_piecewise3(t39, -t181 / 0.2e1, 0);
  t565 = t100 * t563 * t116;
  t568 = t199 * t111;
  t569 = t568 * t290;
  t572 = t199 * t263;
  t573 = t572 * t491;
  t576 = t199 * t43;
  t577 = t576 * t497;
  t581 = my_piecewise3(t2, 0, -t246 * t201 / 0.16e2 - t557 - t469 * t559 / 0.32e2 - t99 * t565 / 0.16e2 - t484 * t569 / 0.16e2 + t484 * t573 / 0.16e2 + t484 * t577 / 0.16e2);
  tv2rholapl0 = t3 * t581 + t204;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t586 = t370 * t209 / 0.32e2;
  t588 = my_piecewise3(t51, 0, -t367 * t209 / 0.16e2 - t586);
  tv2rholapl1 = t3 * t588 + t212;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t593 = my_piecewise3(t2, 0, -t345 * t201 / 0.16e2 - t557);
  tv2rholapl2 = t3 * t593 + t204;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t597 = t521 * t207;
  t598 = t520 * t597;
  t602 = my_piecewise3(t72, -t189 / 0.2e1, 0);
  t604 = t157 * t602 * t173;
  t607 = t207 * t168;
  t608 = t607 * t445;
  t611 = t207 * t418;
  t612 = t611 * t541;
  t615 = t207 * t75;
  t616 = t615 * t547;
  t620 = my_piecewise3(t51, 0, -t409 * t209 / 0.16e2 - t586 - t519 * t598 / 0.32e2 - t156 * t604 / 0.16e2 - t534 * t608 / 0.16e2 + t534 * t612 / 0.16e2 + t534 * t616 / 0.16e2);
  tv2rholapl3 = t3 * t620 + t212;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  t625 = t255 * t215 / 0.32e2;
  t626 = t471 * t213;
  t627 = t470 * t626;
  t631 = my_piecewise3(t39, 0.2e1 * t181, 0);
  t633 = t100 * t631 * t116;
  t636 = t213 * t111;
  t637 = t636 * t290;
  t640 = t213 * t263;
  t641 = t640 * t491;
  t644 = t213 * t43;
  t645 = t644 * t497;
  t649 = my_piecewise3(t2, 0, -t246 * t215 / 0.16e2 - t625 - t469 * t627 / 0.32e2 - t99 * t633 / 0.16e2 - t484 * t637 / 0.16e2 + t484 * t641 / 0.16e2 + t484 * t645 / 0.16e2);
  tv2rhotau0 = t3 * t649 + t218;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t654 = t370 * t221 / 0.32e2;
  t656 = my_piecewise3(t51, 0, -t367 * t221 / 0.16e2 - t654);
  tv2rhotau1 = t3 * t656 + t224;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  t661 = my_piecewise3(t2, 0, -t345 * t215 / 0.16e2 - t625);
  tv2rhotau2 = t3 * t661 + t218;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  t665 = t521 * t219;
  t666 = t520 * t665;
  t670 = my_piecewise3(t72, 0.2e1 * t189, 0);
  t672 = t157 * t670 * t173;
  t675 = t219 * t168;
  t676 = t675 * t445;
  t679 = t219 * t418;
  t680 = t679 * t541;
  t683 = t219 * t75;
  t684 = t683 * t547;
  t688 = my_piecewise3(t51, 0, -t409 * t221 / 0.16e2 - t654 - t519 * t666 / 0.32e2 - t156 * t672 / 0.16e2 - t534 * t676 / 0.16e2 + t534 * t680 / 0.16e2 + t534 * t684 / 0.16e2);
  tv2rhotau3 = t3 * t688 + t224;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t690 = t183 * t183;
  t692 = t260 * t690 * t269;
  t695 = my_piecewise3(t39, 0, 0);
  t697 = t100 * t695 * t116;
  t699 = t99 * t697 / 0.16e2;
  t700 = t100 * t690;
  t701 = t700 * t290;
  t704 = t700 * t297;
  t707 = t700 * t301;
  t711 = my_piecewise3(t2, 0, -t99 * t692 / 0.32e2 - t699 - t99 * t701 / 0.16e2 + t99 * t704 / 0.16e2 + t99 * t707 / 0.16e2);
  tv2sigma20 = t3 * t711;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t712 = t191 * t191;
  t714 = t415 * t712 * t424;
  t717 = my_piecewise3(t72, 0, 0);
  t719 = t157 * t717 * t173;
  t721 = t156 * t719 / 0.16e2;
  t722 = t157 * t712;
  t723 = t722 * t445;
  t726 = t722 * t452;
  t729 = t722 * t456;
  t733 = my_piecewise3(t51, 0, -t156 * t714 / 0.32e2 - t721 - t156 * t723 / 0.16e2 + t156 * t726 / 0.16e2 + t156 * t729 / 0.16e2);
  tv2sigma25 = t3 * t733;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t734 = t489 * t558;
  t737 = t199 * t183;
  t738 = t737 * t290;
  t741 = t490 * t183;
  t742 = t572 * t741;
  t745 = t496 * t183;
  t746 = t576 * t745;
  t750 = my_piecewise3(t2, 0, -t469 * t734 / 0.32e2 - t699 - t484 * t738 / 0.16e2 + t484 * t742 / 0.16e2 + t484 * t746 / 0.16e2);
  tv2sigmalapl0 = t3 * t750;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t751 = t539 * t597;
  t754 = t207 * t191;
  t755 = t754 * t445;
  t758 = t540 * t191;
  t759 = t611 * t758;
  t762 = t546 * t191;
  t763 = t615 * t762;
  t767 = my_piecewise3(t51, 0, -t519 * t751 / 0.32e2 - t721 - t534 * t755 / 0.16e2 + t534 * t759 / 0.16e2 + t534 * t763 / 0.16e2);
  tv2sigmalapl5 = t3 * t767;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  t768 = t489 * t626;
  t771 = t213 * t183;
  t772 = t771 * t290;
  t775 = t640 * t741;
  t778 = t644 * t745;
  t782 = my_piecewise3(t2, 0, -t469 * t768 / 0.32e2 - t699 - t484 * t772 / 0.16e2 + t484 * t775 / 0.16e2 + t484 * t778 / 0.16e2);
  tv2sigmatau0 = t3 * t782;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  t783 = t539 * t665;
  t786 = t219 * t191;
  t787 = t786 * t445;
  t790 = t679 * t758;
  t793 = t683 * t762;
  t797 = my_piecewise3(t51, 0, -t519 * t783 / 0.32e2 - t721 - t534 * t787 / 0.16e2 + t534 * t790 / 0.16e2 + t534 * t793 / 0.16e2);
  tv2sigmatau5 = t3 * t797;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t798 = t199 * t199;
  t800 = t260 * t798 * t269;
  t803 = t100 * t798;
  t804 = t803 * t290;
  t807 = t803 * t297;
  t810 = t803 * t301;
  t814 = my_piecewise3(t2, 0, -t99 * t800 / 0.32e2 - t699 - t99 * t804 / 0.16e2 + t99 * t807 / 0.16e2 + t99 * t810 / 0.16e2);
  tv2lapl20 = t3 * t814;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t815 = t207 * t207;
  t817 = t415 * t815 * t424;
  t820 = t157 * t815;
  t821 = t820 * t445;
  t824 = t820 * t452;
  t827 = t820 * t456;
  t831 = my_piecewise3(t51, 0, -t156 * t817 / 0.32e2 - t721 - t156 * t821 / 0.16e2 + t156 * t824 / 0.16e2 + t156 * t827 / 0.16e2);
  tv2lapl22 = t3 * t831;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  t832 = t572 * t626;
  t835 = t213 * t199;
  t836 = t835 * t290;
  t839 = t490 * t199;
  t840 = t640 * t839;
  t843 = t496 * t199;
  t844 = t644 * t843;
  t848 = my_piecewise3(t2, 0, -t469 * t832 / 0.32e2 - t699 - t484 * t836 / 0.16e2 + t484 * t840 / 0.16e2 + t484 * t844 / 0.16e2);
  tv2lapltau0 = t3 * t848;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  t849 = t611 * t665;
  t852 = t219 * t207;
  t853 = t852 * t445;
  t856 = t540 * t207;
  t857 = t679 * t856;
  t860 = t546 * t207;
  t861 = t683 * t860;
  t865 = my_piecewise3(t51, 0, -t519 * t849 / 0.32e2 - t721 - t534 * t853 / 0.16e2 + t534 * t857 / 0.16e2 + t534 * t861 / 0.16e2);
  tv2lapltau3 = t3 * t865;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  t866 = t213 * t213;
  t868 = t260 * t866 * t269;
  t871 = t100 * t866;
  t872 = t871 * t290;
  t875 = t871 * t297;
  t878 = t871 * t301;
  t882 = my_piecewise3(t2, 0, -t99 * t868 / 0.32e2 - t699 - t99 * t872 / 0.16e2 + t99 * t875 / 0.16e2 + t99 * t878 / 0.16e2);
  tv2tau20 = t3 * t882;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  t883 = t219 * t219;
  t885 = t415 * t883 * t424;
  t888 = t157 * t883;
  t889 = t888 * t445;
  t892 = t888 * t452;
  t895 = t888 * t456;
  t899 = my_piecewise3(t51, 0, -t156 * t885 / 0.32e2 - t721 - t156 * t889 / 0.16e2 + t156 * t892 / 0.16e2 + t156 * t895 / 0.16e2);
  tv2tau22 = t3 * t899;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

  t902 = 0.1e1 / t21;
  t903 = t228 * t87;
  t906 = t227 * t87;
  t909 = t83 * t83;
  t910 = 0.1e1 / t909;
  t911 = t13 * t910;
  t914 = my_piecewise5(t7, 0, t11, 0, 0.6e1 * t232 - 0.6e1 * t911);
  t918 = my_piecewise3(t17, 0, -0.3e1 / 0.8e1 * t902 * t903 + 0.9e1 / 0.4e1 * t906 * t236 + 0.3e1 / 0.2e1 * t20 * t914);
  t919 = M_PI * t918;
  t924 = t24 / t25 / t83;
  t925 = t924 * t46;
  t927 = 0.3e1 / 0.64e2 * t23 * t925;
  t928 = t241 * t96;
  t930 = t91 * t252;
  t932 = t261 * t111;
  t933 = t260 * t932;
  t934 = t263 * t43;
  t935 = t264 * t264;
  t936 = 0.1e1 / t935;
  t937 = t934 * t936;
  t939 = 0.1e1 / t267 / t40;
  t940 = t937 * t939;
  t941 = t933 * t940;
  t944 = t100 * t932;
  t945 = t263 * t936;
  t946 = t945 * t939;
  t947 = t944 * t946;
  t951 = 0.1e1 / t935 / t44;
  t952 = t934 * t951;
  t953 = t952 * t939;
  t954 = t944 * t953;
  t959 = t255 * t298;
  t961 = t296 * t939;
  t962 = t933 * t961;
  t965 = t114 * t939;
  t966 = t944 * t965;
  t969 = t266 * t939;
  t970 = t933 * t969;
  t973 = t289 * t939;
  t974 = t944 * t973;
  t977 = t944 * t961;
  t982 = t255 * t302;
  t984 = -t919 * t47 / 0.8e1 - t927 - 0.3e1 / 0.16e2 * t928 + 0.3e1 / 0.32e2 * t930 + 0.3e1 / 0.32e2 * t99 * t941 + t99 * t947 / 0.4e1 - 0.3e1 / 0.16e2 * t99 * t954 + 0.3e1 / 0.16e2 * t246 * t298 + 0.3e1 / 0.32e2 * t959 - 0.3e1 / 0.32e2 * t99 * t962 - t99 * t966 / 0.8e1 + 0.3e1 / 0.32e2 * t99 * t970 + 0.3e1 / 0.16e2 * t99 * t974 - 0.3e1 / 0.16e2 * t99 * t977 + 0.3e1 / 0.16e2 * t246 * t302 + 0.3e1 / 0.32e2 * t982;
  t989 = t23 * t251;
  t990 = t989 * t117;
  t992 = t255 * t285;
  t994 = t255 * t270;
  t996 = t45 * t45;
  t997 = 0.1e1 / t996;
  t998 = t997 * t100;
  t1001 = t258 * t260;
  t1005 = -t1001 * t111 * t116 / 0.2e1 + t998 * t111 * t116 / 0.2e1 + t117 / 0.2e1;
  t1007 = t1005 * t261 * t269;
  t1015 = 0.1e1 / t105 / t27;
  t1020 = my_piecewise3(t39, (-0.6e1 * lapl[0] * t278 + 0.24e2 * tau[0] * t278 - 0.15e2 / 0.2e1 * sigma[0] * t1015) * t37, 0);
  t1022 = t100 * t1020 * t116;
  t1025 = t241 * t26;
  t1028 = t91 * t95;
  t1029 = t1028 * t117;
  t1033 = t255 * t291;
  t1035 = t43 * t295;
  t1036 = t1035 * t939;
  t1037 = t944 * t1036;
  t1041 = t470 * t471 * t283;
  t1045 = t283 * t111 * t290;
  t1048 = t283 * t263;
  t1049 = t1048 * t491;
  t1053 = t283 * t43 * t497;
  t1056 = -0.3e1 / 0.16e2 * t246 * t285 - 0.3e1 / 0.32e2 * t246 * t270 + 0.3e1 / 0.64e2 * t990 - 0.3e1 / 0.32e2 * t992 - 0.3e1 / 0.64e2 * t994 - t99 * t1007 / 0.32e2 - t99 * t1022 / 0.16e2 - 0.3e1 / 0.16e2 * t1025 * t117 - 0.3e1 / 0.16e2 * t1029 - 0.3e1 / 0.16e2 * t246 * t291 - 0.3e1 / 0.32e2 * t1033 - t99 * t1037 / 0.16e2 - 0.3e1 / 0.32e2 * t469 * t1041 - 0.3e1 / 0.16e2 * t484 * t1045 + 0.3e1 / 0.16e2 * t484 * t1049 + 0.3e1 / 0.16e2 * t484 * t1053;
  t1058 = my_piecewise3(t2, 0, t984 + t1056);
  t1059 = 0.1e1 / t58;
  t1060 = t308 * t124;
  t1063 = t307 * t124;
  t1066 = t52 * t910;
  t1069 = my_piecewise5(t11, 0, t7, 0, -0.6e1 * t232 - 0.6e1 * t1066);
  t1073 = my_piecewise3(t56, 0, -0.3e1 / 0.8e1 * t1059 * t1060 + 0.9e1 / 0.4e1 * t1063 * t314 + 0.3e1 / 0.2e1 * t57 * t1069);
  t1074 = M_PI * t1073;
  t1077 = t319 * t131;
  t1079 = t128 * t324;
  t1081 = t924 * t78;
  t1083 = 0.3e1 / 0.64e2 * t60 * t1081;
  t1085 = my_piecewise3(t51, 0, -t1074 * t79 / 0.8e1 - 0.3e1 / 0.16e2 * t1077 + 0.3e1 / 0.32e2 * t1079 - t1083);
  tv3rho30 = 0.3e1 * t306 + 0.3e1 * t328 + t3 * (t1058 + t1085);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t1088 = 0.2e1 * t351;
  t1089 = 0.2e1 * t374;
  t1093 = t902 * t139;
  t1096 = t227 * t335;
  t1101 = 0.2e1 * t232;
  t1102 = 0.6e1 * t911;
  t1104 = my_piecewise5(t7, 0, t11, 0, t1101 - t1102);
  t1108 = my_piecewise3(t17, 0, -0.3e1 / 0.8e1 * t1093 * t228 + 0.3e1 / 0.2e1 * t1096 * t87 + 0.3e1 / 0.4e1 * t331 * t236 + 0.3e1 / 0.2e1 * t20 * t1104);
  t1109 = M_PI * t1108;
  t1113 = t340 * t96 / 0.8e1;
  t1114 = t143 * t252;
  t1124 = t340 * t26;
  t1127 = t143 * t95;
  t1129 = t1127 * t117 / 0.16e2;
  t1138 = -t1033 / 0.32e2 - t345 * t291 / 0.16e2 - t1109 * t47 / 0.8e1 - t1113 + t1114 / 0.32e2 - t927 - t928 / 0.16e2 + t930 / 0.16e2 + t345 * t298 / 0.16e2 + t959 / 0.32e2 + t345 * t302 / 0.16e2 + t982 / 0.32e2 - t1124 * t117 / 0.8e1 - t1129 - t345 * t285 / 0.16e2 - t345 * t270 / 0.32e2 + t990 / 0.32e2 - t992 / 0.32e2 - t994 / 0.64e2 - t1029 / 0.16e2;
  t1139 = my_piecewise3(t2, 0, t1138);
  t1140 = t1059 * t149;
  t1143 = t307 * t356;
  t1148 = 0.6e1 * t1066;
  t1150 = my_piecewise5(t11, 0, t7, 0, -t1101 - t1148);
  t1154 = my_piecewise3(t56, 0, -0.3e1 / 0.8e1 * t1140 * t308 + 0.3e1 / 0.2e1 * t1143 * t124 + 0.3e1 / 0.4e1 * t352 * t314 + 0.3e1 / 0.2e1 * t57 * t1150);
  t1155 = M_PI * t1154;
  t1159 = t361 * t131 / 0.8e1;
  t1160 = t153 * t324;
  t1164 = t319 * t26;
  t1167 = t128 * t95;
  t1169 = t1167 * t174 / 0.16e2;
  t1170 = t60 * t251;
  t1171 = t1170 * t174;
  t1174 = my_piecewise3(t51, 0, -t1155 * t79 / 0.8e1 - t1159 + t1160 / 0.32e2 - t1077 / 0.16e2 + t1079 / 0.16e2 - t1083 - t1164 * t174 / 0.16e2 - t1169 + t1171 / 0.64e2);
  tv3rho31 = t306 + t328 + t1088 + t1089 + t3 * (t1139 + t1174);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t1177 = t902 * t379;
  t1182 = t227 * t384;
  t1186 = my_piecewise5(t7, 0, t11, 0, -t1101 - t1102);
  t1190 = my_piecewise3(t17, 0, -0.3e1 / 0.8e1 * t1177 * t87 + 0.3e1 / 0.2e1 * t331 * t335 + 0.3e1 / 0.4e1 * t1182 * t87 + 0.3e1 / 0.2e1 * t20 * t1186);
  t1191 = M_PI * t1190;
  t1194 = t389 * t96;
  t1196 = t389 * t26;
  t1203 = my_piecewise3(t2, 0, -t1191 * t47 / 0.8e1 - t1194 / 0.16e2 - t1196 * t117 / 0.16e2 - t1113 + t1114 / 0.16e2 - t1129 + t930 / 0.32e2 - t927 + t990 / 0.64e2);
  t1204 = t1059 * t395;
  t1209 = t307 * t400;
  t1213 = my_piecewise5(t11, 0, t7, 0, t1101 - t1148);
  t1217 = my_piecewise3(t56, 0, -0.3e1 / 0.8e1 * t1204 * t124 + 0.3e1 / 0.2e1 * t352 * t356 + 0.3e1 / 0.4e1 * t1209 * t124 + 0.3e1 / 0.2e1 * t57 * t1213);
  t1218 = M_PI * t1217;
  t1221 = t405 * t131;
  t1224 = t361 * t26;
  t1227 = t153 * t95;
  t1228 = t1227 * t174;
  t1234 = t370 * t425;
  t1238 = t370 * t440;
  t1242 = t370 * t446;
  t1246 = t370 * t453;
  t1250 = t370 * t457;
  t1252 = -t1218 * t79 / 0.8e1 - t1221 / 0.16e2 - t1159 + t1160 / 0.16e2 - t1224 * t174 / 0.8e1 - t1228 / 0.16e2 + t1079 / 0.32e2 - t1083 - t1169 + t1171 / 0.32e2 - t367 * t425 / 0.32e2 - t1234 / 0.64e2 - t367 * t440 / 0.16e2 - t1238 / 0.32e2 - t367 * t446 / 0.16e2 - t1242 / 0.32e2 + t367 * t453 / 0.16e2 + t1246 / 0.32e2 + t367 * t457 / 0.16e2 + t1250 / 0.32e2;
  t1253 = my_piecewise3(t51, 0, t1252);
  tv3rho32 = t1088 + t1089 + t394 + t461 + t3 * (t1203 + t1253);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t1258 = t379 * t139;
  t1265 = my_piecewise5(t7, 0, t11, 0, -0.6e1 * t232 - 0.6e1 * t911);
  t1269 = my_piecewise3(t17, 0, -0.3e1 / 0.8e1 * t902 * t1258 + 0.9e1 / 0.4e1 * t331 * t384 + 0.3e1 / 0.2e1 * t20 * t1265);
  t1270 = M_PI * t1269;
  t1276 = my_piecewise3(t2, 0, -t1270 * t47 / 0.8e1 - 0.3e1 / 0.16e2 * t1194 + 0.3e1 / 0.32e2 * t1114 - t927);
  t1282 = t520 * t521 * t438;
  t1286 = t438 * t75 * t547;
  t1290 = t438 * t168 * t445;
  t1293 = t438 * t418;
  t1294 = t1293 * t541;
  t1297 = t405 * t26;
  t1304 = t77 * t77;
  t1305 = 0.1e1 / t1304;
  t1306 = t1305 * t157;
  t1309 = t413 * t415;
  t1313 = t1306 * t168 * t173 / 0.2e1 - t1309 * t168 * t173 / 0.2e1 + t174 / 0.2e1;
  t1315 = t1313 * t416 * t424;
  t1321 = -t1083 + 0.3e1 / 0.32e2 * t1160 + 0.3e1 / 0.64e2 * t1171 - 0.3e1 / 0.16e2 * t1228 - 0.3e1 / 0.64e2 * t1234 - 0.3e1 / 0.32e2 * t519 * t1282 + 0.3e1 / 0.16e2 * t534 * t1286 - 0.3e1 / 0.16e2 * t534 * t1290 + 0.3e1 / 0.16e2 * t534 * t1294 - 0.3e1 / 0.16e2 * t1297 * t174 - 0.3e1 / 0.16e2 * t409 * t440 - 0.3e1 / 0.32e2 * t409 * t425 - t156 * t1315 / 0.32e2 - 0.3e1 / 0.32e2 * t1238 - 0.3e1 / 0.32e2 * t1242 + 0.3e1 / 0.32e2 * t1246;
  t1325 = t416 * t168;
  t1326 = t157 * t1325;
  t1327 = t75 * t450;
  t1329 = 0.1e1 / t422 / t73;
  t1330 = t1327 * t1329;
  t1331 = t1326 * t1330;
  t1334 = t415 * t1325;
  t1335 = t451 * t1329;
  t1336 = t1334 * t1335;
  t1339 = t418 * t75;
  t1340 = t419 * t419;
  t1341 = 0.1e1 / t1340;
  t1342 = t1339 * t1341;
  t1343 = t1342 * t1329;
  t1344 = t1334 * t1343;
  t1347 = t418 * t1341;
  t1348 = t1347 * t1329;
  t1349 = t1326 * t1348;
  t1353 = 0.1e1 / t1340 / t76;
  t1354 = t1339 * t1353;
  t1355 = t1354 * t1329;
  t1356 = t1326 * t1355;
  t1361 = t444 * t1329;
  t1362 = t1326 * t1361;
  t1365 = t1326 * t1335;
  t1368 = t171 * t1329;
  t1369 = t1326 * t1368;
  t1374 = t421 * t1329;
  t1375 = t1334 * t1374;
  t1383 = 0.1e1 / t162 / t61;
  t1388 = my_piecewise3(t72, (-0.6e1 * lapl[1] * t433 + 0.24e2 * tau[1] * t433 - 0.15e2 / 0.2e1 * sigma[2] * t1383) * t37, 0);
  t1390 = t157 * t1388 * t173;
  t1394 = t395 * t149;
  t1401 = my_piecewise5(t11, 0, t7, 0, 0.6e1 * t232 - 0.6e1 * t1066);
  t1405 = my_piecewise3(t56, 0, -0.3e1 / 0.8e1 * t1059 * t1394 + 0.9e1 / 0.4e1 * t352 * t400 + 0.3e1 / 0.2e1 * t57 * t1401);
  t1406 = M_PI * t1405;
  t1409 = 0.3e1 / 0.32e2 * t1250 - 0.3e1 / 0.16e2 * t409 * t446 - t156 * t1331 / 0.16e2 - 0.3e1 / 0.32e2 * t156 * t1336 + 0.3e1 / 0.32e2 * t156 * t1344 + t156 * t1349 / 0.4e1 - 0.3e1 / 0.16e2 * t156 * t1356 + 0.3e1 / 0.16e2 * t409 * t453 + 0.3e1 / 0.16e2 * t156 * t1362 - 0.3e1 / 0.16e2 * t156 * t1365 - t156 * t1369 / 0.8e1 + 0.3e1 / 0.16e2 * t409 * t457 + 0.3e1 / 0.32e2 * t156 * t1375 - t156 * t1390 / 0.16e2 - 0.3e1 / 0.16e2 * t1221 - t1406 * t79 / 0.8e1;
  t1411 = my_piecewise3(t51, 0, t1321 + t1409);
  tv3rho33 = 0.3e1 * t394 + 0.3e1 * t461 + t3 * (t1276 + t1411);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t1415 = t91 * t483;
  t1418 = t95 * t100;
  t1419 = t23 * t1418;
  t1420 = t1419 * t486;
  t1423 = t478 * t111 * t290;
  t1428 = t183 * t261;
  t1429 = t1428 * t946;
  t1432 = t1028 * t185;
  t1435 = t989 * t185 / 0.64e2;
  t1440 = t255 * t480;
  t1442 = t278 * t37;
  t1444 = my_piecewise3(t39, 0.3e1 / 0.2e1 * t1442, 0);
  t1446 = t100 * t1444 * t116;
  t1449 = t1419 * t492;
  t1451 = t478 * t263;
  t1452 = t1451 * t491;
  t1455 = t1428 * t1036;
  t1458 = t1428 * t973;
  t1461 = t295 * t939;
  t1462 = t1461 * t261;
  t1463 = t489 * t1462;
  t1466 = -t1415 * t486 / 0.8e1 - t1420 / 0.16e2 - t484 * t1423 / 0.8e1 + t1415 * t492 / 0.8e1 + t484 * t1429 / 0.4e1 - t1432 / 0.16e2 + t1435 - t1025 * t185 / 0.16e2 - t246 * t480 / 0.8e1 - t1440 / 0.16e2 - t99 * t1446 / 0.16e2 + t1449 / 0.16e2 + t484 * t1452 / 0.8e1 - t484 * t1455 / 0.16e2 + 0.3e1 / 0.16e2 * t484 * t1458 - 0.3e1 / 0.16e2 * t484 * t1463;
  t1467 = t113 * t939;
  t1468 = t1467 * t261;
  t1469 = t495 * t1468;
  t1472 = t261 * t263;
  t1473 = t265 * t939;
  t1474 = t1473 * t183;
  t1475 = t1472 * t1474;
  t1478 = t496 * t283;
  t1479 = t495 * t1478;
  t1482 = t478 * t43;
  t1483 = t1482 * t497;
  t1486 = t183 * t283;
  t1487 = t1486 * t290;
  t1490 = t490 * t283;
  t1491 = t489 * t1490;
  t1496 = t91 * t468;
  t1499 = t1419 * t498;
  t1501 = t95 * t260;
  t1502 = t23 * t1501;
  t1503 = t1502 * t473;
  t1505 = t26 * t1005;
  t1506 = t23 * t1505;
  t1509 = t1048 * t472;
  t1512 = t471 * t478;
  t1513 = t470 * t1512;
  t1516 = t183 * t934;
  t1517 = t951 * t939;
  t1518 = t1517 * t261;
  t1519 = t1516 * t1518;
  t1524 = t261 * t934;
  t1525 = t936 * t939;
  t1526 = t1525 * t183;
  t1527 = t1524 * t1526;
  t1530 = -t484 * t1469 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t1475 + t484 * t1479 / 0.16e2 + t484 * t1483 / 0.8e1 - t484 * t1487 / 0.16e2 + t484 * t1491 / 0.16e2 + t1415 * t498 / 0.8e1 - t1496 * t473 / 0.16e2 + t1499 / 0.16e2 - t1503 / 0.32e2 - t1506 * t473 / 0.32e2 - t469 * t1509 / 0.32e2 - t469 * t1513 / 0.16e2 - 0.3e1 / 0.16e2 * t484 * t1519 - 0.3e1 / 0.32e2 * t469 * t1463 + 0.3e1 / 0.32e2 * t469 * t1527;
  t1532 = my_piecewise3(t2, 0, t1466 + t1530);
  tv3rho2sigma0 = t3 * t1532 + 0.2e1 * t502;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t1537 = t1167 * t193;
  t1540 = t1170 * t193 / 0.64e2;
  t1542 = my_piecewise3(t51, 0, -t1164 * t193 / 0.16e2 - t1537 / 0.16e2 + t1540);
  tv3rho2sigma2 = t3 * t1542 + 0.2e1 * t509;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t1546 = t1127 * t185;
  t1548 = t143 * t468;
  t1553 = t143 * t483;
  t1566 = -t1124 * t185 / 0.16e2 - t1546 / 0.32e2 - t1548 * t473 / 0.32e2 - t345 * t480 / 0.16e2 - t1553 * t486 / 0.16e2 + t1553 * t492 / 0.16e2 + t1553 * t498 / 0.16e2 - t1432 / 0.32e2 + t1435 - t1503 / 0.64e2 - t1440 / 0.32e2 - t1420 / 0.32e2 + t1449 / 0.32e2 + t1499 / 0.32e2;
  t1567 = my_piecewise3(t2, 0, t1566);
  tv3rho2sigma3 = t3 * t1567 + t502 + t514;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t1571 = t1227 * t193;
  t1574 = t128 * t518;
  t1577 = t95 * t415;
  t1578 = t60 * t1577;
  t1579 = t1578 * t523;
  t1583 = t370 * t530;
  t1585 = t128 * t533;
  t1588 = t95 * t157;
  t1589 = t60 * t1588;
  t1590 = t1589 * t536;
  t1594 = t1589 * t542;
  t1598 = t1589 * t548;
  t1600 = -t1224 * t193 / 0.16e2 - t1571 / 0.32e2 - t1537 / 0.32e2 + t1540 - t1574 * t523 / 0.32e2 - t1579 / 0.64e2 - t367 * t530 / 0.16e2 - t1583 / 0.32e2 - t1585 * t536 / 0.16e2 - t1590 / 0.32e2 + t1585 * t542 / 0.16e2 + t1594 / 0.32e2 + t1585 * t548 / 0.16e2 + t1598 / 0.32e2;
  t1601 = my_piecewise3(t51, 0, t1600);
  tv3rho2sigma5 = t3 * t1601 + t509 + t552;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t1608 = my_piecewise3(t2, 0, -t1196 * t185 / 0.16e2 - t1546 / 0.16e2 + t1435);
  tv3rho2sigma6 = t3 * t1608 + 0.2e1 * t514;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t1611 = t191 * t1339;
  t1612 = t1353 * t1329;
  t1613 = t1612 * t416;
  t1614 = t1611 * t1613;
  t1617 = t416 * t418;
  t1618 = t450 * t1329;
  t1619 = t1618 * t191;
  t1620 = t1617 * t1619;
  t1623 = t416 * t1339;
  t1624 = t1341 * t1329;
  t1625 = t1624 * t191;
  t1626 = t1623 * t1625;
  t1629 = t191 * t416;
  t1630 = t1629 * t1348;
  t1634 = t433 * t37;
  t1636 = my_piecewise3(t72, 0.3e1 / 0.2e1 * t1634, 0);
  t1638 = t157 * t1636 * t173;
  t1650 = t546 * t438;
  t1651 = t545 * t1650;
  t1654 = t26 * t1313;
  t1655 = t60 * t1654;
  t1658 = -0.3e1 / 0.16e2 * t534 * t1614 - 0.3e1 / 0.32e2 * t519 * t1620 + 0.3e1 / 0.32e2 * t519 * t1626 + t534 * t1630 / 0.4e1 - t1583 / 0.16e2 - t156 * t1638 / 0.16e2 - t1297 * t193 / 0.16e2 - t409 * t530 / 0.8e1 + t1540 - t1571 / 0.16e2 - t1579 / 0.32e2 - t1590 / 0.16e2 + t1594 / 0.16e2 + t1598 / 0.16e2 + t534 * t1651 / 0.16e2 - t1655 * t523 / 0.32e2;
  t1659 = t1293 * t522;
  t1662 = t521 * t528;
  t1663 = t520 * t1662;
  t1666 = t528 * t75;
  t1667 = t1666 * t547;
  t1670 = t191 * t438;
  t1671 = t1670 * t445;
  t1674 = t540 * t438;
  t1675 = t539 * t1674;
  t1678 = t153 * t533;
  t1681 = t153 * t518;
  t1685 = t528 * t168 * t445;
  t1692 = t528 * t418;
  t1693 = t1692 * t541;
  t1696 = t1629 * t1330;
  t1701 = t170 * t1329;
  t1702 = t1701 * t416;
  t1703 = t545 * t1702;
  t1706 = t420 * t1329;
  t1707 = t1706 * t191;
  t1708 = t1617 * t1707;
  t1711 = t1629 * t1361;
  t1714 = -t519 * t1659 / 0.32e2 - t519 * t1663 / 0.16e2 + t534 * t1667 / 0.8e1 - t534 * t1671 / 0.16e2 + t534 * t1675 / 0.16e2 + t1678 * t548 / 0.8e1 - t1681 * t523 / 0.16e2 - t534 * t1685 / 0.8e1 - t1678 * t536 / 0.8e1 + t1678 * t542 / 0.8e1 + t534 * t1693 / 0.8e1 - t534 * t1696 / 0.16e2 - 0.3e1 / 0.16e2 * t534 * t1620 - t534 * t1703 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t1708 + 0.3e1 / 0.16e2 * t534 * t1711;
  t1716 = my_piecewise3(t51, 0, t1658 + t1714);
  tv3rho2sigma8 = t3 * t1716 + 0.2e1 * t552;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t1719 = t199 * t934;
  t1720 = t1719 * t1518;
  t1723 = t563 * t43;
  t1724 = t1723 * t497;
  t1729 = t1419 * t569;
  t1732 = t563 * t111 * t290;
  t1737 = t1419 * t573;
  t1739 = t563 * t263;
  t1740 = t1739 * t491;
  t1743 = t199 * t261;
  t1744 = t1743 * t1036;
  t1747 = t1743 * t973;
  t1750 = t572 * t1462;
  t1753 = t576 * t1468;
  t1756 = t1473 * t199;
  t1757 = t1472 * t1756;
  t1762 = t1525 * t199;
  t1763 = t1524 * t1762;
  t1766 = t1743 * t946;
  t1769 = -0.3e1 / 0.16e2 * t484 * t1720 + t484 * t1724 / 0.8e1 - t1415 * t569 / 0.8e1 - t1729 / 0.16e2 - t484 * t1732 / 0.8e1 + t1415 * t573 / 0.8e1 + t1737 / 0.16e2 + t484 * t1740 / 0.8e1 - t484 * t1744 / 0.16e2 + 0.3e1 / 0.16e2 * t484 * t1747 - 0.3e1 / 0.16e2 * t484 * t1750 - t484 * t1753 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t1757 - 0.3e1 / 0.32e2 * t469 * t1750 + 0.3e1 / 0.32e2 * t469 * t1763 + t484 * t1766 / 0.4e1;
  t1770 = t199 * t283;
  t1771 = t1770 * t290;
  t1774 = t572 * t1490;
  t1777 = t576 * t1478;
  t1784 = t1419 * t577;
  t1786 = t1502 * t559;
  t1790 = t1048 * t558;
  t1793 = t471 * t563;
  t1794 = t470 * t1793;
  t1798 = t989 * t201 / 0.64e2;
  t1799 = t1028 * t201;
  t1801 = t255 * t565;
  t1804 = my_piecewise3(t39, 0.3e1 / 0.2e1 * t476, 0);
  t1806 = t100 * t1804 * t116;
  t1813 = -t484 * t1771 / 0.16e2 + t484 * t1774 / 0.16e2 + t484 * t1777 / 0.16e2 + t1415 * t577 / 0.8e1 - t1496 * t559 / 0.16e2 + t1784 / 0.16e2 - t1786 / 0.32e2 - t1506 * t559 / 0.32e2 - t469 * t1790 / 0.32e2 - t469 * t1794 / 0.16e2 + t1798 - t1799 / 0.16e2 - t1801 / 0.16e2 - t99 * t1806 / 0.16e2 - t1025 * t201 / 0.16e2 - t246 * t565 / 0.8e1;
  t1815 = my_piecewise3(t2, 0, t1769 + t1813);
  tv3rho2lapl0 = t3 * t1815 + 0.2e1 * t581;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t1820 = t1167 * t209;
  t1823 = t1170 * t209 / 0.64e2;
  t1825 = my_piecewise3(t51, 0, -t1164 * t209 / 0.16e2 - t1820 / 0.16e2 + t1823);
  tv3rho2lapl1 = t3 * t1825 + 0.2e1 * t588;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 1] += tv3rho2lapl1;

  t1829 = t1127 * t201;
  t1847 = -t1124 * t201 / 0.16e2 - t1829 / 0.32e2 - t1548 * t559 / 0.32e2 - t345 * t565 / 0.16e2 - t1553 * t569 / 0.16e2 + t1553 * t573 / 0.16e2 + t1553 * t577 / 0.16e2 - t1799 / 0.32e2 + t1798 - t1786 / 0.64e2 - t1801 / 0.32e2 - t1729 / 0.32e2 + t1737 / 0.32e2 + t1784 / 0.32e2;
  t1848 = my_piecewise3(t2, 0, t1847);
  tv3rho2lapl2 = t3 * t1848 + t581 + t593;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 2] += tv3rho2lapl2;

  t1852 = t1227 * t209;
  t1857 = t1578 * t598;
  t1861 = t370 * t604;
  t1865 = t1589 * t608;
  t1869 = t1589 * t612;
  t1873 = t1589 * t616;
  t1875 = -t1224 * t209 / 0.16e2 - t1852 / 0.32e2 - t1820 / 0.32e2 + t1823 - t1574 * t598 / 0.32e2 - t1857 / 0.64e2 - t367 * t604 / 0.16e2 - t1861 / 0.32e2 - t1585 * t608 / 0.16e2 - t1865 / 0.32e2 + t1585 * t612 / 0.16e2 + t1869 / 0.32e2 + t1585 * t616 / 0.16e2 + t1873 / 0.32e2;
  t1876 = my_piecewise3(t51, 0, t1875);
  tv3rho2lapl3 = t3 * t1876 + t588 + t620;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 3] += tv3rho2lapl3;

  t1883 = my_piecewise3(t2, 0, -t1196 * t201 / 0.16e2 - t1829 / 0.16e2 + t1798);
  tv3rho2lapl4 = t3 * t1883 + 0.2e1 * t593;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 4] += tv3rho2lapl4;

  t1888 = t602 * t418;
  t1889 = t1888 * t541;
  t1892 = t207 * t416;
  t1893 = t1892 * t1330;
  t1896 = t1618 * t416;
  t1897 = t611 * t1896;
  t1900 = t615 * t1702;
  t1903 = t1706 * t207;
  t1904 = t1617 * t1903;
  t1907 = t1892 * t1361;
  t1910 = t615 * t1650;
  t1917 = t1293 * t597;
  t1920 = t521 * t602;
  t1921 = t520 * t1920;
  t1924 = t602 * t75;
  t1925 = t1924 * t547;
  t1932 = t602 * t168;
  t1933 = t1932 * t445;
  t1936 = t1678 * t612 / 0.8e1 + t534 * t1889 / 0.8e1 - t534 * t1893 / 0.16e2 - 0.3e1 / 0.16e2 * t534 * t1897 - t534 * t1900 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t1904 + 0.3e1 / 0.16e2 * t534 * t1907 + t534 * t1910 / 0.16e2 - t1681 * t598 / 0.16e2 - t1655 * t598 / 0.32e2 - t519 * t1917 / 0.32e2 - t519 * t1921 / 0.16e2 + t534 * t1925 / 0.8e1 + t1678 * t616 / 0.8e1 - t1678 * t608 / 0.8e1 - t534 * t1933 / 0.8e1;
  t1941 = t207 * t438;
  t1942 = t1941 * t445;
  t1945 = t611 * t1674;
  t1953 = my_piecewise3(t72, 0.3e1 / 0.2e1 * t526, 0);
  t1955 = t157 * t1953 * t173;
  t1962 = t1624 * t207;
  t1963 = t1623 * t1962;
  t1966 = t1892 * t1348;
  t1969 = t207 * t1339;
  t1970 = t1969 * t1613;
  t1973 = -t1857 / 0.32e2 - t1865 / 0.16e2 + t1869 / 0.16e2 + t1873 / 0.16e2 - t534 * t1942 / 0.16e2 + t534 * t1945 / 0.16e2 - t1297 * t209 / 0.16e2 - t409 * t604 / 0.8e1 - t156 * t1955 / 0.16e2 + t1823 - t1852 / 0.16e2 - t1861 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t1897 + 0.3e1 / 0.32e2 * t519 * t1963 + t534 * t1966 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t1970;
  t1975 = my_piecewise3(t51, 0, t1936 + t1973);
  tv3rho2lapl5 = t3 * t1975 + 0.2e1 * t620;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 5] += tv3rho2lapl5;

  t1979 = t1472 * t1461 * t213;
  t1982 = t1525 * t213;
  t1983 = t1524 * t1982;
  t1986 = t213 * t261;
  t1987 = t1986 * t946;
  t1990 = t213 * t934;
  t1991 = t1990 * t1518;
  t1998 = t1419 * t645;
  t2000 = t1502 * t627;
  t2004 = t1048 * t626;
  t2009 = t1419 * t637;
  t2012 = t631 * t111 * t290;
  t2017 = t1419 * t641;
  t2019 = t631 * t263;
  t2020 = t2019 * t491;
  t2023 = -0.3e1 / 0.32e2 * t469 * t1979 + 0.3e1 / 0.32e2 * t469 * t1983 + t484 * t1987 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t1991 + t1415 * t645 / 0.8e1 - t1496 * t627 / 0.16e2 + t1998 / 0.16e2 - t2000 / 0.32e2 - t1506 * t627 / 0.32e2 - t469 * t2004 / 0.32e2 - t1415 * t637 / 0.8e1 - t2009 / 0.16e2 - t484 * t2012 / 0.8e1 + t1415 * t641 / 0.8e1 + t2017 / 0.16e2 + t484 * t2020 / 0.8e1;
  t2024 = t1986 * t1036;
  t2027 = t1986 * t973;
  t2032 = t644 * t1468;
  t2035 = t1473 * t213;
  t2036 = t1472 * t2035;
  t2039 = t1028 * t215;
  t2042 = t989 * t215 / 0.64e2;
  t2047 = t255 * t633;
  t2050 = my_piecewise3(t39, -0.6e1 * t476, 0);
  t2052 = t100 * t2050 * t116;
  t2055 = t644 * t1478;
  t2058 = t471 * t631;
  t2059 = t470 * t2058;
  t2062 = t631 * t43;
  t2063 = t2062 * t497;
  t2066 = t213 * t283;
  t2067 = t2066 * t290;
  t2070 = t640 * t1490;
  t2073 = -t484 * t2024 / 0.16e2 + 0.3e1 / 0.16e2 * t484 * t2027 - 0.3e1 / 0.16e2 * t484 * t1979 - t484 * t2032 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t2036 - t2039 / 0.16e2 + t2042 - t1025 * t215 / 0.16e2 - t246 * t633 / 0.8e1 - t2047 / 0.16e2 - t99 * t2052 / 0.16e2 + t484 * t2055 / 0.16e2 - t469 * t2059 / 0.16e2 + t484 * t2063 / 0.8e1 - t484 * t2067 / 0.16e2 + t484 * t2070 / 0.16e2;
  t2075 = my_piecewise3(t2, 0, t2023 + t2073);
  tv3rho2tau0 = t3 * t2075 + 0.2e1 * t649;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t2080 = t1167 * t221;
  t2083 = t1170 * t221 / 0.64e2;
  t2085 = my_piecewise3(t51, 0, -t1164 * t221 / 0.16e2 - t2080 / 0.16e2 + t2083);
  tv3rho2tau1 = t3 * t2085 + 0.2e1 * t656;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 1] += tv3rho2tau1;

  t2089 = t1127 * t215;
  t2107 = -t1124 * t215 / 0.16e2 - t2089 / 0.32e2 - t1548 * t627 / 0.32e2 - t345 * t633 / 0.16e2 - t1553 * t637 / 0.16e2 + t1553 * t641 / 0.16e2 + t1553 * t645 / 0.16e2 - t2039 / 0.32e2 + t2042 - t2000 / 0.64e2 - t2047 / 0.32e2 - t2009 / 0.32e2 + t2017 / 0.32e2 + t1998 / 0.32e2;
  t2108 = my_piecewise3(t2, 0, t2107);
  tv3rho2tau2 = t3 * t2108 + t649 + t661;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 2] += tv3rho2tau2;

  t2112 = t1227 * t221;
  t2117 = t1578 * t666;
  t2121 = t370 * t672;
  t2125 = t1589 * t676;
  t2129 = t1589 * t680;
  t2133 = t1589 * t684;
  t2135 = -t1224 * t221 / 0.16e2 - t2112 / 0.32e2 - t2080 / 0.32e2 + t2083 - t1574 * t666 / 0.32e2 - t2117 / 0.64e2 - t367 * t672 / 0.16e2 - t2121 / 0.32e2 - t1585 * t676 / 0.16e2 - t2125 / 0.32e2 + t1585 * t680 / 0.16e2 + t2129 / 0.32e2 + t1585 * t684 / 0.16e2 + t2133 / 0.32e2;
  t2136 = my_piecewise3(t51, 0, t2135);
  tv3rho2tau3 = t3 * t2136 + t656 + t688;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 3] += tv3rho2tau3;

  t2143 = my_piecewise3(t2, 0, -t1196 * t215 / 0.16e2 - t2089 / 0.16e2 + t2042);
  tv3rho2tau4 = t3 * t2143 + 0.2e1 * t661;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 4] += tv3rho2tau4;

  t2147 = t1617 * t1618 * t219;
  t2150 = t1624 * t219;
  t2151 = t1623 * t2150;
  t2154 = t219 * t416;
  t2155 = t2154 * t1348;
  t2158 = t219 * t1339;
  t2159 = t2158 * t1613;
  t2162 = t521 * t670;
  t2163 = t520 * t2162;
  t2169 = t670 * t168 * t445;
  t2174 = t670 * t418;
  t2175 = t2174 * t541;
  t2178 = t2154 * t1330;
  t2183 = t683 * t1702;
  t2186 = t1706 * t219;
  t2187 = t1617 * t2186;
  t2190 = t2154 * t1361;
  t2194 = t683 * t1650;
  t2197 = -0.3e1 / 0.32e2 * t519 * t2147 + 0.3e1 / 0.32e2 * t519 * t2151 + t534 * t2155 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t2159 - t519 * t2163 / 0.16e2 - t1678 * t676 / 0.8e1 - t534 * t2169 / 0.8e1 + t1678 * t680 / 0.8e1 + t534 * t2175 / 0.8e1 - t534 * t2178 / 0.16e2 - 0.3e1 / 0.16e2 * t534 * t2147 - t534 * t2183 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t2187 + 0.3e1 / 0.16e2 * t534 * t2190 + t2133 / 0.16e2 + t534 * t2194 / 0.16e2;
  t2198 = t670 * t75;
  t2199 = t2198 * t547;
  t2202 = t219 * t438;
  t2203 = t2202 * t445;
  t2206 = t679 * t1674;
  t2215 = t1293 * t665;
  t2222 = my_piecewise3(t72, -0.6e1 * t526, 0);
  t2224 = t157 * t2222 * t173;
  t2233 = t534 * t2199 / 0.8e1 - t534 * t2203 / 0.16e2 + t534 * t2206 / 0.16e2 + t1678 * t684 / 0.8e1 - t1681 * t666 / 0.16e2 - t1655 * t666 / 0.32e2 - t519 * t2215 / 0.32e2 - t2117 / 0.32e2 - t2125 / 0.16e2 + t2129 / 0.16e2 - t156 * t2224 / 0.16e2 - t1297 * t221 / 0.16e2 - t409 * t672 / 0.8e1 + t2083 - t2112 / 0.16e2 - t2121 / 0.16e2;
  t2235 = my_piecewise3(t51, 0, t2197 + t2233);
  tv3rho2tau5 = t3 * t2235 + 0.2e1 * t688;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 5] += tv3rho2tau5;

  t2237 = t690 * t934;
  t2238 = t1517 * t111;
  t2239 = t2237 * t2238;
  t2242 = t695 * t43;
  t2243 = t2242 * t497;
  t2244 = t484 * t2243;
  t2245 = t2244 / 0.16e2;
  t2246 = t471 * t695;
  t2247 = t470 * t2246;
  t2248 = t469 * t2247;
  t2249 = t2248 / 0.32e2;
  t2251 = t690 * t111 * t1036;
  t2254 = t695 * t111;
  t2255 = t2254 * t290;
  t2256 = t484 * t2255;
  t2257 = t2256 / 0.16e2;
  t2258 = t690 * t263;
  t2259 = t1461 * t111;
  t2260 = t2258 * t2259;
  t2263 = t1525 * t111;
  t2264 = t2237 * t2263;
  t2267 = t695 * t263;
  t2268 = t2267 * t491;
  t2269 = t484 * t2268;
  t2270 = t2269 / 0.16e2;
  t2271 = t2258 * t2263;
  t2274 = t495 * t1512;
  t2277 = t690 * t43;
  t2278 = t1473 * t111;
  t2279 = t2277 * t2278;
  t2282 = t490 * t478;
  t2283 = t489 * t2282;
  t2288 = -t699 - 0.3e1 / 0.16e2 * t484 * t2239 + t2245 - t2249 - t484 * t2251 / 0.16e2 - t2257 - 0.3e1 / 0.32e2 * t469 * t2260 + 0.3e1 / 0.32e2 * t469 * t2264 + t2270 + t484 * t2271 / 0.4e1 - t484 * t2274 / 0.8e1 + 0.3e1 / 0.16e2 * t484 * t2279 + t484 * t2283 / 0.8e1 - 0.3e1 / 0.16e2 * t484 * t2260;
  t2289 = t496 * t478;
  t2290 = t495 * t2289;
  t2293 = t1467 * t111;
  t2294 = t2277 * t2293;
  t2297 = t489 * t1512;
  t2300 = t2258 * t2278;
  t2308 = t255 * t704 / 0.32e2;
  t2310 = t255 * t707 / 0.32e2;
  t2312 = t255 * t692 / 0.64e2;
  t2313 = t255 * t697;
  t2314 = t2313 / 0.32e2;
  t2316 = t255 * t701 / 0.32e2;
  t2320 = t1005 * t690 * t269;
  t2323 = t246 * t697;
  t2324 = t2323 / 0.16e2;
  t2327 = t484 * t2290 / 0.8e1 - t484 * t2294 / 0.8e1 - t469 * t2297 / 0.16e2 + 0.3e1 / 0.32e2 * t469 * t2300 + t246 * t704 / 0.16e2 + t246 * t707 / 0.16e2 + t2308 + t2310 - t2312 - t2314 - t2316 - t246 * t692 / 0.32e2 - t99 * t2320 / 0.32e2 - t2324 - t246 * t701 / 0.16e2;
  t2329 = my_piecewise3(t2, 0, t2288 + t2327);
  tv3rhosigma20 = t3 * t2329 + t711;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t2334 = t370 * t714 / 0.64e2;
  t2336 = t367 * t719 / 0.16e2;
  t2337 = t370 * t719;
  t2338 = t2337 / 0.32e2;
  t2342 = t370 * t723 / 0.32e2;
  t2346 = t370 * t726 / 0.32e2;
  t2350 = t370 * t729 / 0.32e2;
  t2352 = my_piecewise3(t51, 0, -t367 * t714 / 0.32e2 - t2334 - t2336 - t2338 - t367 * t723 / 0.16e2 - t2342 + t367 * t726 / 0.16e2 + t2346 + t367 * t729 / 0.16e2 + t2350);
  tv3rhosigma25 = t3 * t2352 + t733;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t2357 = t345 * t697 / 0.16e2;
  t2365 = my_piecewise3(t2, 0, -t345 * t692 / 0.32e2 - t2312 - t2357 - t2314 - t345 * t701 / 0.16e2 - t2316 + t345 * t704 / 0.16e2 + t2308 + t345 * t707 / 0.16e2 + t2310);
  tv3rhosigma26 = t3 * t2365 + t711;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t2367 = t539 * t1662;
  t2370 = t712 * t418;
  t2371 = t1706 * t168;
  t2372 = t2370 * t2371;
  t2375 = t717 * t75;
  t2376 = t2375 * t547;
  t2377 = t534 * t2376;
  t2378 = t2377 / 0.16e2;
  t2379 = t521 * t717;
  t2380 = t520 * t2379;
  t2381 = t519 * t2380;
  t2382 = t2381 / 0.32e2;
  t2383 = t545 * t1662;
  t2386 = t712 * t75;
  t2387 = t2386 * t2371;
  t2390 = t540 * t528;
  t2391 = t539 * t2390;
  t2394 = t717 * t168;
  t2395 = t2394 * t445;
  t2396 = t534 * t2395;
  t2397 = t2396 / 0.16e2;
  t2399 = t712 * t168 * t1330;
  t2402 = t1618 * t168;
  t2403 = t2370 * t2402;
  t2406 = t712 * t1339;
  t2407 = t1624 * t168;
  t2408 = t2406 * t2407;
  t2411 = t717 * t418;
  t2412 = t2411 * t541;
  t2413 = t534 * t2412;
  t2414 = t2413 / 0.16e2;
  t2415 = t2370 * t2407;
  t2418 = -t721 - t519 * t2367 / 0.16e2 + 0.3e1 / 0.32e2 * t519 * t2372 + t2378 - t2382 - t534 * t2383 / 0.8e1 + 0.3e1 / 0.16e2 * t534 * t2387 + t534 * t2391 / 0.8e1 - t2397 - t534 * t2399 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t2403 + 0.3e1 / 0.32e2 * t519 * t2408 + t2414 + t534 * t2415 / 0.4e1;
  t2419 = t1612 * t168;
  t2420 = t2406 * t2419;
  t2425 = t546 * t528;
  t2426 = t545 * t2425;
  t2429 = t1701 * t168;
  t2430 = t2386 * t2429;
  t2438 = t1313 * t712 * t424;
  t2441 = t409 * t719;
  t2442 = t2441 / 0.16e2;
  t2447 = -0.3e1 / 0.16e2 * t534 * t2420 - 0.3e1 / 0.16e2 * t534 * t2403 + t534 * t2426 / 0.8e1 - t534 * t2430 / 0.8e1 + t409 * t729 / 0.16e2 - t409 * t714 / 0.32e2 - t156 * t2438 / 0.32e2 - t2442 - t409 * t723 / 0.16e2 + t409 * t726 / 0.16e2 - t2342 + t2346 + t2350 - t2334 - t2338;
  t2449 = my_piecewise3(t51, 0, t2418 + t2447);
  tv3rhosigma211 = t3 * t2449 + t733;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t2451 = t737 * t111;
  t2452 = t2451 * t1036;
  t2455 = t572 * t295;
  t2456 = t939 * t183;
  t2457 = t2456 * t111;
  t2458 = t2455 * t2457;
  t2461 = t576 * t113;
  t2462 = t2461 * t2457;
  t2465 = t489 * t265;
  t2466 = t939 * t199;
  t2467 = t2466 * t111;
  t2468 = t2465 * t2467;
  t2471 = t737 * t43;
  t2472 = t2471 * t2278;
  t2477 = t1516 * t936;
  t2478 = t2477 * t2467;
  t2481 = t737 * t263;
  t2482 = t2481 * t2263;
  t2485 = t1719 * t951;
  t2486 = t2485 * t2457;
  t2489 = t489 * t1793;
  t2493 = t1419 * t742 / 0.32e2;
  t2495 = t1419 * t746 / 0.32e2;
  t2497 = t1502 * t734 / 0.64e2;
  t2499 = t1419 * t738 / 0.32e2;
  t2502 = -t484 * t2452 / 0.16e2 - 0.3e1 / 0.16e2 * t484 * t2458 - t484 * t2462 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t2468 + 0.3e1 / 0.16e2 * t484 * t2472 - 0.3e1 / 0.32e2 * t469 * t2458 + 0.3e1 / 0.32e2 * t469 * t2478 + t484 * t2482 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t2486 - t699 - t469 * t2489 / 0.32e2 + t2493 + t2495 - t2497 - t2499 - t1415 * t738 / 0.16e2;
  t2503 = t563 * t183;
  t2504 = t2503 * t290;
  t2507 = t199 * t478;
  t2508 = t2507 * t290;
  t2513 = t1739 * t741;
  t2516 = t572 * t2282;
  t2521 = t1723 * t745;
  t2528 = t1451 * t558;
  t2531 = t576 * t2289;
  t2534 = -t484 * t2504 / 0.16e2 - t484 * t2508 / 0.16e2 + t1415 * t742 / 0.16e2 + t484 * t2513 / 0.16e2 + t484 * t2516 / 0.16e2 + t1415 * t746 / 0.16e2 + t484 * t2521 / 0.16e2 - t1496 * t734 / 0.32e2 - t1506 * t734 / 0.32e2 - t469 * t2528 / 0.32e2 + t484 * t2531 / 0.16e2 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t2536 = my_piecewise3(t2, 0, t2502 + t2534);
  tv3rhosigmalapl0 = t3 * t2536 + t750;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  tv3rhosigmalapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 1] += tv3rhosigmalapl1;

  tv3rhosigmalapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 2] += tv3rhosigmalapl2;

  tv3rhosigmalapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 3] += tv3rhosigmalapl3;

  tv3rhosigmalapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 4] += tv3rhosigmalapl4;

  t2541 = t1578 * t751 / 0.64e2;
  t2545 = t1589 * t755 / 0.32e2;
  t2549 = t1589 * t759 / 0.32e2;
  t2553 = t1589 * t763 / 0.32e2;
  t2555 = my_piecewise3(t51, 0, -t1574 * t751 / 0.32e2 - t2541 - t2336 - t2338 - t1585 * t755 / 0.16e2 - t2545 + t1585 * t759 / 0.16e2 + t2549 + t1585 * t763 / 0.16e2 + t2553);
  tv3rhosigmalapl5 = t3 * t2555 + t767;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 5] += tv3rhosigmalapl5;

  t2566 = my_piecewise3(t2, 0, -t1548 * t734 / 0.32e2 - t2497 - t2357 - t2314 - t1553 * t738 / 0.16e2 - t2499 + t1553 * t742 / 0.16e2 + t2493 + t1553 * t746 / 0.16e2 + t2495);
  tv3rhosigmalapl6 = t3 * t2566 + t750;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 6] += tv3rhosigmalapl6;

  tv3rhosigmalapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 7] += tv3rhosigmalapl7;

  tv3rhosigmalapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 8] += tv3rhosigmalapl8;

  tv3rhosigmalapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 9] += tv3rhosigmalapl9;

  tv3rhosigmalapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 10] += tv3rhosigmalapl10;

  t2568 = t754 * t418;
  t2569 = t2568 * t2407;
  t2572 = t1969 * t1353;
  t2573 = t1329 * t191;
  t2574 = t2573 * t168;
  t2575 = t2572 * t2574;
  t2578 = t539 * t450;
  t2579 = t1329 * t207;
  t2580 = t2579 * t168;
  t2581 = t2578 * t2580;
  t2584 = t1611 * t1341;
  t2585 = t2584 * t2580;
  t2588 = t754 * t168;
  t2589 = t2588 * t1330;
  t2594 = t615 * t170;
  t2595 = t2594 * t2574;
  t2598 = t539 * t420;
  t2599 = t2598 * t2580;
  t2602 = t754 * t75;
  t2603 = t2602 * t2371;
  t2606 = t615 * t2425;
  t2609 = t1692 * t597;
  t2612 = t539 * t1920;
  t2617 = t602 * t191;
  t2618 = t2617 * t445;
  t2621 = t207 * t528;
  t2622 = t2621 * t445;
  t2625 = t534 * t2569 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t2575 - 0.3e1 / 0.32e2 * t519 * t2581 + 0.3e1 / 0.32e2 * t519 * t2585 - t534 * t2589 / 0.16e2 - 0.3e1 / 0.16e2 * t534 * t2581 - t534 * t2595 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t2599 + 0.3e1 / 0.16e2 * t534 * t2603 - t721 + t534 * t2606 / 0.16e2 - t519 * t2609 / 0.32e2 - t519 * t2612 / 0.32e2 - t1678 * t755 / 0.16e2 - t534 * t2618 / 0.16e2 - t534 * t2622 / 0.16e2;
  t2628 = t1888 * t758;
  t2631 = t611 * t2390;
  t2640 = t1924 * t762;
  t2643 = t1678 * t759 / 0.16e2 + t534 * t2628 / 0.16e2 + t534 * t2631 / 0.16e2 + t1678 * t763 / 0.16e2 - t1681 * t751 / 0.32e2 - t1655 * t751 / 0.32e2 - t2545 + t2549 + t2553 + t534 * t2640 / 0.16e2 - t2541 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t2645 = my_piecewise3(t51, 0, t2625 + t2643);
  tv3rhosigmalapl11 = t3 * t2645 + t767;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 11] += tv3rhosigmalapl11;

  t2647 = t771 * t111;
  t2648 = t2647 * t1036;
  t2651 = t771 * t43;
  t2652 = t2651 * t2278;
  t2655 = t640 * t295;
  t2656 = t2655 * t2457;
  t2659 = t644 * t113;
  t2660 = t2659 * t2457;
  t2663 = t939 * t213;
  t2664 = t2663 * t111;
  t2665 = t2465 * t2664;
  t2670 = t2477 * t2664;
  t2673 = t771 * t263;
  t2674 = t2673 * t2263;
  t2677 = t1990 * t951;
  t2678 = t2677 * t2457;
  t2683 = t1451 * t626;
  t2686 = t489 * t2058;
  t2690 = t1419 * t772 / 0.32e2;
  t2692 = t1419 * t775 / 0.32e2;
  t2694 = t1419 * t778 / 0.32e2;
  t2695 = -t484 * t2648 / 0.16e2 + 0.3e1 / 0.16e2 * t484 * t2652 - 0.3e1 / 0.16e2 * t484 * t2656 - t484 * t2660 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t2665 - 0.3e1 / 0.32e2 * t469 * t2656 + 0.3e1 / 0.32e2 * t469 * t2670 + t484 * t2674 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t2678 - t699 - t1506 * t768 / 0.32e2 - t469 * t2683 / 0.32e2 - t469 * t2686 / 0.32e2 - t2690 + t2692 + t2694;
  t2697 = t1502 * t768 / 0.64e2;
  t2700 = t631 * t183;
  t2701 = t2700 * t290;
  t2704 = t213 * t478;
  t2705 = t2704 * t290;
  t2710 = t2019 * t741;
  t2713 = t640 * t2282;
  t2718 = t2062 * t745;
  t2721 = t644 * t2289;
  t2726 = -t2697 - t1415 * t772 / 0.16e2 - t484 * t2701 / 0.16e2 - t484 * t2705 / 0.16e2 + t1415 * t775 / 0.16e2 + t484 * t2710 / 0.16e2 + t484 * t2713 / 0.16e2 + t1415 * t778 / 0.16e2 + t484 * t2718 / 0.16e2 + t484 * t2721 / 0.16e2 - t1496 * t768 / 0.32e2 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t2728 = my_piecewise3(t2, 0, t2695 + t2726);
  tv3rhosigmatau0 = t3 * t2728 + t782;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  tv3rhosigmatau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 1] += tv3rhosigmatau1;

  tv3rhosigmatau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 2] += tv3rhosigmatau2;

  tv3rhosigmatau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 3] += tv3rhosigmatau3;

  tv3rhosigmatau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 4] += tv3rhosigmatau4;

  t2733 = t1578 * t783 / 0.64e2;
  t2737 = t1589 * t787 / 0.32e2;
  t2741 = t1589 * t790 / 0.32e2;
  t2745 = t1589 * t793 / 0.32e2;
  t2747 = my_piecewise3(t51, 0, -t1574 * t783 / 0.32e2 - t2733 - t2336 - t2338 - t1585 * t787 / 0.16e2 - t2737 + t1585 * t790 / 0.16e2 + t2741 + t1585 * t793 / 0.16e2 + t2745);
  tv3rhosigmatau5 = t3 * t2747 + t797;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 5] += tv3rhosigmatau5;

  t2758 = my_piecewise3(t2, 0, -t1548 * t768 / 0.32e2 - t2697 - t2357 - t2314 - t1553 * t772 / 0.16e2 - t2690 + t1553 * t775 / 0.16e2 + t2692 + t1553 * t778 / 0.16e2 + t2694);
  tv3rhosigmatau6 = t3 * t2758 + t782;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 6] += tv3rhosigmatau6;

  tv3rhosigmatau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 7] += tv3rhosigmatau7;

  tv3rhosigmatau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 8] += tv3rhosigmatau8;

  tv3rhosigmatau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 9] += tv3rhosigmatau9;

  tv3rhosigmatau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 10] += tv3rhosigmatau10;

  t2760 = t1329 * t219;
  t2761 = t2760 * t168;
  t2762 = t2598 * t2761;
  t2765 = t786 * t75;
  t2766 = t2765 * t2371;
  t2769 = t786 * t418;
  t2770 = t2769 * t2407;
  t2773 = t2158 * t1353;
  t2774 = t2773 * t2574;
  t2777 = t2578 * t2761;
  t2780 = t2584 * t2761;
  t2783 = t786 * t168;
  t2784 = t2783 * t1330;
  t2789 = t683 * t170;
  t2790 = t2789 * t2574;
  t2793 = t2198 * t762;
  t2796 = t683 * t2425;
  t2803 = t1692 * t665;
  t2806 = t539 * t2162;
  t2809 = 0.3e1 / 0.32e2 * t519 * t2762 + 0.3e1 / 0.16e2 * t534 * t2766 + t534 * t2770 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t2774 - 0.3e1 / 0.32e2 * t519 * t2777 + 0.3e1 / 0.32e2 * t519 * t2780 - t534 * t2784 / 0.16e2 - 0.3e1 / 0.16e2 * t534 * t2777 - t534 * t2790 / 0.8e1 - t721 + t534 * t2793 / 0.16e2 + t534 * t2796 / 0.16e2 - t1681 * t783 / 0.32e2 - t1655 * t783 / 0.32e2 - t519 * t2803 / 0.32e2 - t519 * t2806 / 0.32e2;
  t2812 = t670 * t191;
  t2813 = t2812 * t445;
  t2816 = t219 * t528;
  t2817 = t2816 * t445;
  t2822 = t2174 * t758;
  t2825 = t679 * t2390;
  t2830 = t2745 - t1678 * t787 / 0.16e2 - t534 * t2813 / 0.16e2 - t534 * t2817 / 0.16e2 + t1678 * t790 / 0.16e2 + t534 * t2822 / 0.16e2 + t534 * t2825 / 0.16e2 + t1678 * t793 / 0.16e2 - t2733 - t2737 + t2741 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t2832 = my_piecewise3(t51, 0, t2809 + t2830);
  tv3rhosigmatau11 = t3 * t2832 + t797;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 11] += tv3rhosigmatau11;

  t2834 = t798 * t111;
  t2835 = t2834 * t1036;
  t2838 = t798 * t263;
  t2839 = t2838 * t2259;
  t2842 = t798 * t934;
  t2843 = t2842 * t2263;
  t2846 = t2838 * t2263;
  t2849 = t2842 * t2238;
  t2852 = t490 * t563;
  t2853 = t572 * t2852;
  t2858 = t496 * t563;
  t2859 = t576 * t2858;
  t2862 = t798 * t43;
  t2863 = t2862 * t2293;
  t2866 = t572 * t1793;
  t2869 = t2838 * t2278;
  t2872 = t576 * t1793;
  t2875 = t2862 * t2278;
  t2878 = -t699 - t484 * t2835 / 0.16e2 - 0.3e1 / 0.32e2 * t469 * t2839 + 0.3e1 / 0.32e2 * t469 * t2843 + t484 * t2846 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t2849 + t484 * t2853 / 0.8e1 - 0.3e1 / 0.16e2 * t484 * t2839 + t484 * t2859 / 0.8e1 - t484 * t2863 / 0.8e1 - t469 * t2866 / 0.16e2 + 0.3e1 / 0.32e2 * t469 * t2869 - t484 * t2872 / 0.8e1 + 0.3e1 / 0.16e2 * t484 * t2875;
  t2880 = t255 * t807 / 0.32e2;
  t2882 = t255 * t810 / 0.32e2;
  t2884 = t255 * t800 / 0.64e2;
  t2886 = t255 * t804 / 0.32e2;
  t2890 = t1005 * t798 * t269;
  t2899 = t2245 - t2249 - t2257 + t2270 + t2880 + t2882 - t2884 - t2886 - t246 * t800 / 0.32e2 - t99 * t2890 / 0.32e2 - t246 * t804 / 0.16e2 + t246 * t807 / 0.16e2 + t246 * t810 / 0.16e2 - t2314 - t2324;
  t2901 = my_piecewise3(t2, 0, t2878 + t2899);
  tv3rholapl20 = t3 * t2901 + t814;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  tv3rholapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 1] += tv3rholapl21;

  t2906 = t370 * t817 / 0.64e2;
  t2910 = t370 * t821 / 0.32e2;
  t2914 = t370 * t824 / 0.32e2;
  t2918 = t370 * t827 / 0.32e2;
  t2920 = my_piecewise3(t51, 0, -t367 * t817 / 0.32e2 - t2906 - t2336 - t2338 - t367 * t821 / 0.16e2 - t2910 + t367 * t824 / 0.16e2 + t2914 + t367 * t827 / 0.16e2 + t2918);
  tv3rholapl22 = t3 * t2920 + t831;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 2] += tv3rholapl22;

  t2931 = my_piecewise3(t2, 0, -t345 * t800 / 0.32e2 - t2884 - t2357 - t2314 - t345 * t804 / 0.16e2 - t2886 + t345 * t807 / 0.16e2 + t2880 + t345 * t810 / 0.16e2 + t2882);
  tv3rholapl23 = t3 * t2931 + t814;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 3] += tv3rholapl23;

  tv3rholapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 4] += tv3rholapl24;

  t2933 = t815 * t418;
  t2934 = t2933 * t2402;
  t2937 = t815 * t1339;
  t2938 = t2937 * t2407;
  t2941 = t2933 * t2407;
  t2944 = t2937 * t2419;
  t2947 = t815 * t75;
  t2948 = t2947 * t2371;
  t2951 = t540 * t602;
  t2952 = t611 * t2951;
  t2957 = t546 * t602;
  t2958 = t615 * t2957;
  t2961 = t2947 * t2429;
  t2964 = t611 * t1920;
  t2967 = t2933 * t2371;
  t2970 = t815 * t168;
  t2971 = t2970 * t1330;
  t2974 = t615 * t1920;
  t2977 = -t721 - 0.3e1 / 0.32e2 * t519 * t2934 + 0.3e1 / 0.32e2 * t519 * t2938 + t534 * t2941 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t2944 + 0.3e1 / 0.16e2 * t534 * t2948 + t534 * t2952 / 0.8e1 - 0.3e1 / 0.16e2 * t534 * t2934 + t534 * t2958 / 0.8e1 - t534 * t2961 / 0.8e1 - t519 * t2964 / 0.16e2 + 0.3e1 / 0.32e2 * t519 * t2967 - t534 * t2971 / 0.16e2 - t534 * t2974 / 0.8e1;
  t2979 = t1313 * t815 * t424;
  t2990 = t2378 - t2382 - t2397 + t2414 - t156 * t2979 / 0.32e2 - t409 * t821 / 0.16e2 + t409 * t824 / 0.16e2 + t409 * t827 / 0.16e2 - t409 * t817 / 0.32e2 - t2906 - t2910 + t2914 + t2918 - t2442 - t2338;
  t2992 = my_piecewise3(t51, 0, t2977 + t2990);
  tv3rholapl25 = t3 * t2992 + t831;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 5] += tv3rholapl25;

  t2994 = t2455 * t2664;
  t2997 = t1719 * t936;
  t2998 = t2997 * t2664;
  t3001 = t835 * t263;
  t3002 = t3001 * t2263;
  t3005 = t2677 * t2467;
  t3008 = t572 * t265;
  t3009 = t3008 * t2664;
  t3013 = t835 * t111 * t1036;
  t3016 = t835 * t43;
  t3017 = t3016 * t2278;
  t3022 = t2659 * t2467;
  t3027 = t1739 * t626;
  t3030 = t572 * t2058;
  t3036 = t1419 * t836 / 0.32e2;
  t3038 = t1419 * t840 / 0.32e2;
  t3039 = -0.3e1 / 0.32e2 * t469 * t2994 + 0.3e1 / 0.32e2 * t469 * t2998 + t484 * t3002 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3005 + 0.3e1 / 0.32e2 * t469 * t3009 - t484 * t3013 / 0.16e2 + 0.3e1 / 0.16e2 * t484 * t3017 - 0.3e1 / 0.16e2 * t484 * t2994 - t484 * t3022 / 0.8e1 - t699 - t1506 * t832 / 0.32e2 - t469 * t3027 / 0.32e2 - t469 * t3030 / 0.32e2 - t1415 * t836 / 0.16e2 - t3036 + t3038;
  t3041 = t1419 * t844 / 0.32e2;
  t3043 = t1502 * t832 / 0.64e2;
  t3044 = t631 * t199;
  t3045 = t3044 * t290;
  t3048 = t213 * t563;
  t3049 = t3048 * t290;
  t3054 = t2019 * t839;
  t3057 = t640 * t2852;
  t3062 = t2062 * t843;
  t3065 = t644 * t2858;
  t3070 = t3041 - t3043 - t484 * t3045 / 0.16e2 - t484 * t3049 / 0.16e2 + t1415 * t840 / 0.16e2 + t484 * t3054 / 0.16e2 + t484 * t3057 / 0.16e2 + t1415 * t844 / 0.16e2 + t484 * t3062 / 0.16e2 + t484 * t3065 / 0.16e2 - t1496 * t832 / 0.32e2 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t3072 = my_piecewise3(t2, 0, t3039 + t3070);
  tv3rholapltau0 = t3 * t3072 + t848;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  tv3rholapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 1] += tv3rholapltau1;

  tv3rholapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 2] += tv3rholapltau2;

  t3077 = t1578 * t849 / 0.64e2;
  t3081 = t1589 * t853 / 0.32e2;
  t3085 = t1589 * t857 / 0.32e2;
  t3089 = t1589 * t861 / 0.32e2;
  t3091 = my_piecewise3(t51, 0, -t1574 * t849 / 0.32e2 - t3077 - t2336 - t2338 - t1585 * t853 / 0.16e2 - t3081 + t1585 * t857 / 0.16e2 + t3085 + t1585 * t861 / 0.16e2 + t3089);
  tv3rholapltau3 = t3 * t3091 + t865;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 3] += tv3rholapltau3;

  t3102 = my_piecewise3(t2, 0, -t1548 * t832 / 0.32e2 - t3043 - t2357 - t2314 - t1553 * t836 / 0.16e2 - t3036 + t1553 * t840 / 0.16e2 + t3038 + t1553 * t844 / 0.16e2 + t3041);
  tv3rholapltau4 = t3 * t3102 + t848;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 4] += tv3rholapltau4;

  tv3rholapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 5] += tv3rholapltau5;

  tv3rholapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 6] += tv3rholapltau6;

  t3105 = t852 * t168 * t1330;
  t3108 = t611 * t450;
  t3109 = t3108 * t2761;
  t3112 = t1969 * t1341;
  t3113 = t3112 * t2761;
  t3116 = t852 * t418;
  t3117 = t3116 * t2407;
  t3120 = t2773 * t2580;
  t3123 = t852 * t75;
  t3124 = t3123 * t2371;
  t3129 = t2789 * t2580;
  t3132 = t611 * t420;
  t3133 = t3132 * t2761;
  t3136 = t2174 * t856;
  t3139 = t679 * t2951;
  t3144 = t2198 * t860;
  t3147 = t683 * t2957;
  t3152 = -t534 * t3105 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t3109 + 0.3e1 / 0.32e2 * t519 * t3113 + t534 * t3117 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3120 + 0.3e1 / 0.16e2 * t534 * t3124 - 0.3e1 / 0.16e2 * t534 * t3109 - t534 * t3129 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t3133 - t721 + t534 * t3136 / 0.16e2 + t534 * t3139 / 0.16e2 + t1678 * t861 / 0.16e2 + t534 * t3144 / 0.16e2 + t534 * t3147 / 0.16e2 - t1681 * t849 / 0.32e2;
  t3155 = t1888 * t665;
  t3158 = t611 * t2162;
  t3163 = t670 * t207;
  t3164 = t3163 * t445;
  t3167 = t219 * t602;
  t3168 = t3167 * t445;
  t3173 = -t1655 * t849 / 0.32e2 - t519 * t3155 / 0.32e2 - t519 * t3158 / 0.32e2 - t1678 * t853 / 0.16e2 - t534 * t3164 / 0.16e2 - t534 * t3168 / 0.16e2 + t1678 * t857 / 0.16e2 - t3077 - t3081 + t3085 + t3089 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t3175 = my_piecewise3(t51, 0, t3152 + t3173);
  tv3rholapltau7 = t3 * t3175 + t865;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 7] += tv3rholapltau7;

  t3177 = t866 * t111;
  t3178 = t3177 * t1036;
  t3181 = t866 * t263;
  t3182 = t3181 * t2259;
  t3185 = t866 * t934;
  t3186 = t3185 * t2263;
  t3189 = t3181 * t2263;
  t3192 = t3185 * t2238;
  t3195 = t644 * t2058;
  t3198 = t866 * t43;
  t3199 = t3198 * t2278;
  t3203 = t640 * t490 * t631;
  t3209 = t644 * t496 * t631;
  t3212 = t3198 * t2293;
  t3215 = t640 * t2058;
  t3218 = t3181 * t2278;
  t3221 = -t699 - t484 * t3178 / 0.16e2 - 0.3e1 / 0.32e2 * t469 * t3182 + 0.3e1 / 0.32e2 * t469 * t3186 + t484 * t3189 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3192 - t484 * t3195 / 0.8e1 + 0.3e1 / 0.16e2 * t484 * t3199 + t484 * t3203 / 0.8e1 - 0.3e1 / 0.16e2 * t484 * t3182 + t484 * t3209 / 0.8e1 - t484 * t3212 / 0.8e1 - t469 * t3215 / 0.16e2 + 0.3e1 / 0.32e2 * t469 * t3218;
  t3223 = t255 * t878 / 0.32e2;
  t3225 = t255 * t872 / 0.32e2;
  t3227 = t255 * t875 / 0.32e2;
  t3229 = t255 * t868 / 0.64e2;
  t3235 = t1005 * t866 * t269;
  t3242 = t2245 - t2249 - t2257 + t2270 + t3223 - t3225 + t3227 - t3229 + t246 * t878 / 0.16e2 - t246 * t868 / 0.32e2 - t99 * t3235 / 0.32e2 - t246 * t872 / 0.16e2 + t246 * t875 / 0.16e2 - t2314 - t2324;
  t3244 = my_piecewise3(t2, 0, t3221 + t3242);
  tv3rhotau20 = t3 * t3244 + t882;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  tv3rhotau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 1] += tv3rhotau21;

  t3249 = t370 * t885 / 0.64e2;
  t3253 = t370 * t889 / 0.32e2;
  t3257 = t370 * t892 / 0.32e2;
  t3261 = t370 * t895 / 0.32e2;
  t3263 = my_piecewise3(t51, 0, -t367 * t885 / 0.32e2 - t3249 - t2336 - t2338 - t367 * t889 / 0.16e2 - t3253 + t367 * t892 / 0.16e2 + t3257 + t367 * t895 / 0.16e2 + t3261);
  tv3rhotau22 = t3 * t3263 + t899;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 2] += tv3rhotau22;

  t3274 = my_piecewise3(t2, 0, -t345 * t868 / 0.32e2 - t3229 - t2357 - t2314 - t345 * t872 / 0.16e2 - t3225 + t345 * t875 / 0.16e2 + t3227 + t345 * t878 / 0.16e2 + t3223);
  tv3rhotau23 = t3 * t3274 + t882;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 3] += tv3rhotau23;

  tv3rhotau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 4] += tv3rhotau24;

  t3276 = t883 * t418;
  t3277 = t3276 * t2371;
  t3280 = t883 * t168;
  t3281 = t3280 * t1330;
  t3284 = t3276 * t2402;
  t3287 = t883 * t1339;
  t3288 = t3287 * t2407;
  t3291 = t3276 * t2407;
  t3294 = t3287 * t2419;
  t3297 = t683 * t2162;
  t3300 = t883 * t75;
  t3301 = t3300 * t2371;
  t3305 = t679 * t540 * t670;
  t3311 = t683 * t546 * t670;
  t3314 = t3300 * t2429;
  t3317 = t679 * t2162;
  t3320 = -t721 + 0.3e1 / 0.32e2 * t519 * t3277 - t534 * t3281 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t3284 + 0.3e1 / 0.32e2 * t519 * t3288 + t534 * t3291 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3294 - t534 * t3297 / 0.8e1 + 0.3e1 / 0.16e2 * t534 * t3301 + t534 * t3305 / 0.8e1 - 0.3e1 / 0.16e2 * t534 * t3284 + t534 * t3311 / 0.8e1 - t534 * t3314 / 0.8e1 - t519 * t3317 / 0.16e2;
  t3326 = t1313 * t883 * t424;
  t3333 = t2378 - t2382 - t2397 + t2414 + t409 * t895 / 0.16e2 - t3253 + t3257 + t3261 - t409 * t885 / 0.32e2 - t156 * t3326 / 0.32e2 - t409 * t889 / 0.16e2 + t409 * t892 / 0.16e2 - t3249 - t2442 - t2338;
  t3335 = my_piecewise3(t51, 0, t3320 + t3333);
  tv3rhotau25 = t3 * t3335 + t899;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 5] += tv3rhotau25;

  t3337 = t690 * t183;
  t3338 = t100 * t3337;
  t3339 = t3338 * t961;
  t3342 = t3338 * t965;
  t3345 = t489 * t2246;
  t3346 = t469 * t3345;
  t3347 = 0.3e1 / 0.32e2 * t3346;
  t3348 = t260 * t3337;
  t3349 = t3348 * t969;
  t3352 = t2242 * t745;
  t3353 = t484 * t3352;
  t3354 = 0.3e1 / 0.16e2 * t3353;
  t3355 = t3338 * t973;
  t3358 = t998 * t183;
  t3360 = t1001 * t183;
  t3363 = t3358 * t116 / 0.2e1 - t3360 * t116 / 0.2e1 + t185 / 0.2e1;
  t3365 = t3363 * t690 * t269;
  t3368 = t695 * t183;
  t3369 = t3368 * t290;
  t3370 = t484 * t3369;
  t3371 = 0.3e1 / 0.16e2 * t3370;
  t3372 = t3338 * t1036;
  t3375 = t3348 * t961;
  t3378 = t3348 * t940;
  t3381 = t2267 * t741;
  t3382 = t484 * t3381;
  t3383 = 0.3e1 / 0.16e2 * t3382;
  t3384 = t3338 * t946;
  t3387 = t3338 * t953;
  t3390 = -0.3e1 / 0.16e2 * t99 * t3339 - t99 * t3342 / 0.8e1 - t3347 + 0.3e1 / 0.32e2 * t99 * t3349 + t3354 + 0.3e1 / 0.16e2 * t99 * t3355 - t99 * t3365 / 0.32e2 - t3371 - t99 * t3372 / 0.16e2 - 0.3e1 / 0.32e2 * t99 * t3375 + 0.3e1 / 0.32e2 * t99 * t3378 + t3383 + t99 * t3384 / 0.4e1 - 0.3e1 / 0.16e2 * t99 * t3387 - t699;
  t3391 = my_piecewise3(t2, 0, t3390);
  tv3sigma30 = t3 * t3391;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t3392 = t712 * t191;
  t3393 = t157 * t3392;
  t3394 = t3393 * t1335;
  t3397 = t3393 * t1368;
  t3400 = t539 * t2379;
  t3401 = t519 * t3400;
  t3402 = 0.3e1 / 0.32e2 * t3401;
  t3403 = t415 * t3392;
  t3404 = t3403 * t1374;
  t3407 = t2375 * t762;
  t3408 = t534 * t3407;
  t3409 = 0.3e1 / 0.16e2 * t3408;
  t3410 = t3393 * t1361;
  t3413 = t1306 * t191;
  t3415 = t1309 * t191;
  t3418 = t3413 * t173 / 0.2e1 - t3415 * t173 / 0.2e1 + t193 / 0.2e1;
  t3420 = t3418 * t712 * t424;
  t3423 = t717 * t191;
  t3424 = t3423 * t445;
  t3425 = t534 * t3424;
  t3426 = 0.3e1 / 0.16e2 * t3425;
  t3427 = t3393 * t1330;
  t3430 = t3403 * t1335;
  t3433 = t3403 * t1343;
  t3436 = t2411 * t758;
  t3437 = t534 * t3436;
  t3438 = 0.3e1 / 0.16e2 * t3437;
  t3439 = t3393 * t1348;
  t3442 = t3393 * t1355;
  t3445 = -0.3e1 / 0.16e2 * t156 * t3394 - t156 * t3397 / 0.8e1 - t3402 + 0.3e1 / 0.32e2 * t156 * t3404 + t3409 + 0.3e1 / 0.16e2 * t156 * t3410 - t156 * t3420 / 0.32e2 - t3426 - t156 * t3427 / 0.16e2 - 0.3e1 / 0.32e2 * t156 * t3430 + 0.3e1 / 0.32e2 * t156 * t3433 + t3438 + t156 * t3439 / 0.4e1 - 0.3e1 / 0.16e2 * t156 * t3442 - t721;
  t3446 = my_piecewise3(t51, 0, t3445);
  tv3sigma39 = t3 * t3446;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t3447 = t496 * t695;
  t3448 = t576 * t3447;
  t3449 = t484 * t3448;
  t3450 = t3449 / 0.16e2;
  t3451 = t2267 * t558;
  t3452 = t469 * t3451;
  t3453 = t3452 / 0.32e2;
  t3454 = t199 * t695;
  t3455 = t3454 * t290;
  t3456 = t484 * t3455;
  t3457 = t3456 / 0.16e2;
  t3458 = t490 * t695;
  t3459 = t572 * t3458;
  t3460 = t484 * t3459;
  t3461 = t3460 / 0.16e2;
  t3462 = t26 * t3363;
  t3463 = t23 * t3462;
  t3466 = t3346 / 0.16e2;
  t3467 = t3353 / 0.8e1;
  t3468 = t199 * t690;
  t3469 = t3468 * t973;
  t3472 = t1461 * t690;
  t3473 = t572 * t3472;
  t3476 = t1467 * t690;
  t3477 = t576 * t3476;
  t3480 = t2258 * t1756;
  t3483 = t3370 / 0.8e1;
  t3484 = t3468 * t1036;
  t3487 = t3382 / 0.8e1;
  t3490 = t2237 * t1762;
  t3493 = t3468 * t946;
  t3496 = t1517 * t690;
  t3497 = t1719 * t3496;
  t3500 = t3450 - t3453 - t3457 + t3461 - t3463 * t734 / 0.32e2 - t3466 + t3467 + 0.3e1 / 0.16e2 * t484 * t3469 - 0.3e1 / 0.16e2 * t484 * t3473 - t484 * t3477 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t3480 - t3483 - t484 * t3484 / 0.16e2 + t3487 - 0.3e1 / 0.32e2 * t469 * t3473 + 0.3e1 / 0.32e2 * t469 * t3490 + t484 * t3493 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3497 - t699;
  t3501 = my_piecewise3(t2, 0, t3500);
  tv3sigma2lapl0 = t3 * t3501;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  tv3sigma2lapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 1] += tv3sigma2lapl1;

  tv3sigma2lapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 2] += tv3sigma2lapl2;

  tv3sigma2lapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 3] += tv3sigma2lapl3;

  tv3sigma2lapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 4] += tv3sigma2lapl4;

  tv3sigma2lapl5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 5] += tv3sigma2lapl5;

  tv3sigma2lapl6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 6] += tv3sigma2lapl6;

  tv3sigma2lapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 7] += tv3sigma2lapl7;

  tv3sigma2lapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 8] += tv3sigma2lapl8;

  tv3sigma2lapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 9] += tv3sigma2lapl9;

  tv3sigma2lapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 10] += tv3sigma2lapl10;

  t3502 = t207 * t717;
  t3503 = t3502 * t445;
  t3504 = t534 * t3503;
  t3505 = t3504 / 0.16e2;
  t3506 = t540 * t717;
  t3507 = t611 * t3506;
  t3508 = t534 * t3507;
  t3509 = t3508 / 0.16e2;
  t3510 = t546 * t717;
  t3511 = t615 * t3510;
  t3512 = t534 * t3511;
  t3513 = t3512 / 0.16e2;
  t3514 = t26 * t3418;
  t3515 = t60 * t3514;
  t3518 = t2411 * t597;
  t3519 = t519 * t3518;
  t3520 = t3519 / 0.32e2;
  t3521 = t3401 / 0.16e2;
  t3522 = t3408 / 0.8e1;
  t3523 = t2370 * t1903;
  t3526 = t207 * t712;
  t3527 = t3526 * t1361;
  t3530 = t1618 * t712;
  t3531 = t611 * t3530;
  t3534 = t1701 * t712;
  t3535 = t615 * t3534;
  t3538 = t3425 / 0.8e1;
  t3539 = t3526 * t1330;
  t3542 = t3437 / 0.8e1;
  t3545 = t2406 * t1962;
  t3548 = t3526 * t1348;
  t3551 = t1612 * t712;
  t3552 = t1969 * t3551;
  t3555 = -t3505 + t3509 + t3513 - t3515 * t751 / 0.32e2 - t3520 - t3521 + t3522 + 0.3e1 / 0.32e2 * t519 * t3523 + 0.3e1 / 0.16e2 * t534 * t3527 - 0.3e1 / 0.16e2 * t534 * t3531 - t534 * t3535 / 0.8e1 - t3538 - t534 * t3539 / 0.16e2 + t3542 - 0.3e1 / 0.32e2 * t519 * t3531 + 0.3e1 / 0.32e2 * t519 * t3545 + t534 * t3548 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3552 - t721;
  t3556 = my_piecewise3(t51, 0, t3555);
  tv3sigma2lapl11 = t3 * t3556;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 11] += tv3sigma2lapl11;

  t3557 = t640 * t3458;
  t3558 = t484 * t3557;
  t3559 = t3558 / 0.16e2;
  t3560 = t644 * t3447;
  t3561 = t484 * t3560;
  t3562 = t3561 / 0.16e2;
  t3565 = t2267 * t626;
  t3566 = t469 * t3565;
  t3567 = t3566 / 0.32e2;
  t3568 = t213 * t695;
  t3569 = t3568 * t290;
  t3570 = t484 * t3569;
  t3571 = t3570 / 0.16e2;
  t3572 = t2258 * t2035;
  t3575 = t213 * t690;
  t3576 = t3575 * t973;
  t3579 = t640 * t3472;
  t3582 = t644 * t3476;
  t3585 = t3575 * t1036;
  t3590 = t2237 * t1982;
  t3593 = t3575 * t946;
  t3596 = t1990 * t3496;
  t3599 = t3559 + t3562 - t3463 * t768 / 0.32e2 - t3567 - t3571 - t3466 + t3467 + 0.3e1 / 0.32e2 * t469 * t3572 + 0.3e1 / 0.16e2 * t484 * t3576 - 0.3e1 / 0.16e2 * t484 * t3579 - t484 * t3582 / 0.8e1 - t3483 - t484 * t3585 / 0.16e2 + t3487 - 0.3e1 / 0.32e2 * t469 * t3579 + 0.3e1 / 0.32e2 * t469 * t3590 + t484 * t3593 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3596 - t699;
  t3600 = my_piecewise3(t2, 0, t3599);
  tv3sigma2tau0 = t3 * t3600;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  tv3sigma2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 1] += tv3sigma2tau1;

  tv3sigma2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 2] += tv3sigma2tau2;

  tv3sigma2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 3] += tv3sigma2tau3;

  tv3sigma2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 4] += tv3sigma2tau4;

  tv3sigma2tau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 5] += tv3sigma2tau5;

  tv3sigma2tau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 6] += tv3sigma2tau6;

  tv3sigma2tau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 7] += tv3sigma2tau7;

  tv3sigma2tau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 8] += tv3sigma2tau8;

  tv3sigma2tau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 9] += tv3sigma2tau9;

  tv3sigma2tau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 10] += tv3sigma2tau10;

  t3601 = t683 * t3510;
  t3602 = t534 * t3601;
  t3603 = t3602 / 0.16e2;
  t3606 = t2411 * t665;
  t3607 = t519 * t3606;
  t3608 = t3607 / 0.32e2;
  t3609 = t219 * t717;
  t3610 = t3609 * t445;
  t3611 = t534 * t3610;
  t3612 = t3611 / 0.16e2;
  t3613 = t679 * t3506;
  t3614 = t534 * t3613;
  t3615 = t3614 / 0.16e2;
  t3616 = t2370 * t2186;
  t3619 = t219 * t712;
  t3620 = t3619 * t1361;
  t3623 = t679 * t3530;
  t3626 = t683 * t3534;
  t3629 = t3619 * t1330;
  t3634 = t2406 * t2150;
  t3637 = t3619 * t1348;
  t3640 = t2158 * t3551;
  t3643 = t3603 - t3515 * t783 / 0.32e2 - t3608 - t3612 + t3615 - t3521 + t3522 + 0.3e1 / 0.32e2 * t519 * t3616 + 0.3e1 / 0.16e2 * t534 * t3620 - 0.3e1 / 0.16e2 * t534 * t3623 - t534 * t3626 / 0.8e1 - t3538 - t534 * t3629 / 0.16e2 + t3542 - 0.3e1 / 0.32e2 * t519 * t3623 + 0.3e1 / 0.32e2 * t519 * t3634 + t534 * t3637 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3640 - t721;
  t3644 = my_piecewise3(t51, 0, t3643);
  tv3sigma2tau11 = t3 * t3644;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 11] += tv3sigma2tau11;

  t3645 = t2862 * t1474;
  t3648 = t1461 * t183;
  t3649 = t2838 * t3648;
  t3652 = t1467 * t183;
  t3653 = t2862 * t3652;
  t3656 = t2838 * t1474;
  t3659 = t3449 / 0.8e1;
  t3660 = t3452 / 0.16e2;
  t3661 = t3456 / 0.8e1;
  t3662 = t3460 / 0.8e1;
  t3663 = t3346 / 0.32e2;
  t3664 = t3353 / 0.16e2;
  t3666 = t3363 * t798 * t269;
  t3669 = t798 * t183;
  t3670 = t3669 * t1036;
  t3673 = t3370 / 0.16e2;
  t3676 = t2842 * t1526;
  t3679 = t2838 * t1526;
  t3682 = t1517 * t183;
  t3683 = t2842 * t3682;
  t3686 = t3382 / 0.16e2;
  t3687 = 0.3e1 / 0.16e2 * t484 * t3645 - 0.3e1 / 0.16e2 * t484 * t3649 - t484 * t3653 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t3656 + t3659 - t3660 - t3661 + t3662 - t3663 + t3664 - t99 * t3666 / 0.32e2 - t484 * t3670 / 0.16e2 - t3673 - 0.3e1 / 0.32e2 * t469 * t3649 + 0.3e1 / 0.32e2 * t469 * t3676 + t484 * t3679 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3683 + t3686 - t699;
  t3688 = my_piecewise3(t2, 0, t3687);
  tv3sigmalapl20 = t3 * t3688;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  tv3sigmalapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 1] += tv3sigmalapl21;

  tv3sigmalapl22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 2] += tv3sigmalapl22;

  tv3sigmalapl23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 3] += tv3sigmalapl23;

  tv3sigmalapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 4] += tv3sigmalapl24;

  tv3sigmalapl25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 5] += tv3sigmalapl25;

  tv3sigmalapl26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 6] += tv3sigmalapl26;

  tv3sigmalapl27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 7] += tv3sigmalapl27;

  t3689 = t2947 * t1707;
  t3692 = t2933 * t1619;
  t3695 = t1701 * t191;
  t3696 = t2947 * t3695;
  t3699 = t2933 * t1707;
  t3702 = t3504 / 0.8e1;
  t3703 = t3508 / 0.8e1;
  t3704 = t3512 / 0.8e1;
  t3705 = t3519 / 0.16e2;
  t3706 = t3401 / 0.32e2;
  t3707 = t3408 / 0.16e2;
  t3709 = t3418 * t815 * t424;
  t3712 = t815 * t191;
  t3713 = t3712 * t1330;
  t3716 = t3425 / 0.16e2;
  t3717 = t2933 * t1625;
  t3720 = t1612 * t191;
  t3721 = t2937 * t3720;
  t3726 = t2937 * t1625;
  t3729 = t3437 / 0.16e2;
  t3730 = 0.3e1 / 0.16e2 * t534 * t3689 - 0.3e1 / 0.16e2 * t534 * t3692 - t534 * t3696 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t3699 - t3702 + t3703 + t3704 - t3705 - t3706 + t3707 - t156 * t3709 / 0.32e2 - t534 * t3713 / 0.16e2 - t3716 + t534 * t3717 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3721 - 0.3e1 / 0.32e2 * t519 * t3692 + 0.3e1 / 0.32e2 * t519 * t3726 + t3729 - t721;
  t3731 = my_piecewise3(t51, 0, t3730);
  tv3sigmalapl28 = t3 * t3731;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 8] += tv3sigmalapl28;

  t3734 = -t3463 * t832 / 0.32e2 + t3559 + t3562 - t3567 - t3571 + t3450 - t3453 - t3457 + t3461 - t3663 + t3664;
  t3735 = t3016 * t1474;
  t3738 = t2466 * t183;
  t3739 = t2655 * t3738;
  t3742 = t2659 * t3738;
  t3745 = t2663 * t183;
  t3746 = t3008 * t3745;
  t3749 = t835 * t183;
  t3750 = t3749 * t1036;
  t3755 = t2997 * t3745;
  t3758 = t3001 * t1526;
  t3761 = t2677 * t3738;
  t3764 = 0.3e1 / 0.16e2 * t484 * t3735 - 0.3e1 / 0.16e2 * t484 * t3739 - t484 * t3742 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t3746 - t3673 - t484 * t3750 / 0.16e2 + t3686 - 0.3e1 / 0.32e2 * t469 * t3739 + 0.3e1 / 0.32e2 * t469 * t3755 + t484 * t3758 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3761 - t699;
  t3766 = my_piecewise3(t2, 0, t3734 + t3764);
  tv3sigmalapltau0 = t3 * t3766;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  tv3sigmalapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 1] += tv3sigmalapltau1;

  tv3sigmalapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 2] += tv3sigmalapltau2;

  tv3sigmalapltau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 3] += tv3sigmalapltau3;

  tv3sigmalapltau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 4] += tv3sigmalapltau4;

  tv3sigmalapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 5] += tv3sigmalapltau5;

  tv3sigmalapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 6] += tv3sigmalapltau6;

  tv3sigmalapltau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 7] += tv3sigmalapltau7;

  tv3sigmalapltau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 8] += tv3sigmalapltau8;

  tv3sigmalapltau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 9] += tv3sigmalapltau9;

  tv3sigmalapltau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 10] += tv3sigmalapltau10;

  t3769 = -t3515 * t849 / 0.32e2 + t3603 - t3608 - t3612 + t3615 - t3505 + t3509 + t3513 - t3520 - t3706 + t3707;
  t3770 = t2579 * t191;
  t3771 = t2789 * t3770;
  t3774 = t2760 * t191;
  t3775 = t3132 * t3774;
  t3778 = t3123 * t1707;
  t3781 = t679 * t450;
  t3782 = t3781 * t3770;
  t3785 = t852 * t191;
  t3786 = t3785 * t1330;
  t3791 = t3112 * t3774;
  t3794 = t3116 * t1625;
  t3797 = t2773 * t3770;
  t3800 = -t534 * t3771 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t3775 + 0.3e1 / 0.16e2 * t534 * t3778 - 0.3e1 / 0.16e2 * t534 * t3782 - t3716 - t534 * t3786 / 0.16e2 + t3729 - 0.3e1 / 0.32e2 * t519 * t3782 + 0.3e1 / 0.32e2 * t519 * t3791 + t534 * t3794 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3797 - t721;
  t3802 = my_piecewise3(t51, 0, t3769 + t3800);
  tv3sigmalapltau11 = t3 * t3802;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 11] += tv3sigmalapltau11;

  t3803 = t3198 * t3652;
  t3806 = t3198 * t1474;
  t3809 = t3181 * t3648;
  t3812 = t3181 * t1474;
  t3815 = t3558 / 0.8e1;
  t3816 = t3561 / 0.8e1;
  t3817 = t3566 / 0.16e2;
  t3818 = t3570 / 0.8e1;
  t3820 = t3363 * t866 * t269;
  t3823 = t866 * t183;
  t3824 = t3823 * t1036;
  t3829 = t3185 * t1526;
  t3832 = t3181 * t1526;
  t3835 = t3185 * t3682;
  t3838 = -t484 * t3803 / 0.8e1 + 0.3e1 / 0.16e2 * t484 * t3806 - 0.3e1 / 0.16e2 * t484 * t3809 + 0.3e1 / 0.32e2 * t469 * t3812 + t3815 + t3816 - t3817 - t3818 - t3663 + t3664 - t99 * t3820 / 0.32e2 - t484 * t3824 / 0.16e2 - t3673 - 0.3e1 / 0.32e2 * t469 * t3809 + 0.3e1 / 0.32e2 * t469 * t3829 + t484 * t3832 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3835 + t3686 - t699;
  t3839 = my_piecewise3(t2, 0, t3838);
  tv3sigmatau20 = t3 * t3839;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  tv3sigmatau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 1] += tv3sigmatau21;

  tv3sigmatau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 2] += tv3sigmatau22;

  tv3sigmatau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 3] += tv3sigmatau23;

  tv3sigmatau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 4] += tv3sigmatau24;

  tv3sigmatau25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 5] += tv3sigmatau25;

  tv3sigmatau26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 6] += tv3sigmatau26;

  tv3sigmatau27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 7] += tv3sigmatau27;

  t3840 = t3300 * t1707;
  t3843 = t3276 * t1619;
  t3846 = t3300 * t3695;
  t3849 = t3276 * t1707;
  t3852 = t3602 / 0.8e1;
  t3853 = t3607 / 0.16e2;
  t3854 = t3611 / 0.8e1;
  t3855 = t3614 / 0.8e1;
  t3857 = t3418 * t883 * t424;
  t3860 = t883 * t191;
  t3861 = t3860 * t1330;
  t3866 = t3287 * t1625;
  t3869 = t3276 * t1625;
  t3872 = t3287 * t3720;
  t3875 = 0.3e1 / 0.16e2 * t534 * t3840 - 0.3e1 / 0.16e2 * t534 * t3843 - t534 * t3846 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t3849 + t3852 - t3853 - t3854 + t3855 - t3706 + t3707 - t156 * t3857 / 0.32e2 - t534 * t3861 / 0.16e2 - t3716 - 0.3e1 / 0.32e2 * t519 * t3843 + 0.3e1 / 0.32e2 * t519 * t3866 + t534 * t3869 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3872 + t3729 - t721;
  t3876 = my_piecewise3(t51, 0, t3875);
  tv3sigmatau28 = t3 * t3876;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 8] += tv3sigmatau28;

  t3877 = t998 * t199;
  t3879 = t1001 * t199;
  t3882 = t3877 * t116 / 0.2e1 - t3879 * t116 / 0.2e1 + t201 / 0.2e1;
  t3884 = t3882 * t798 * t269;
  t3887 = t798 * t199;
  t3888 = t100 * t3887;
  t3889 = t3888 * t961;
  t3892 = t3888 * t965;
  t3895 = t260 * t3887;
  t3896 = t3895 * t969;
  t3899 = t3888 * t973;
  t3902 = 0.3e1 / 0.16e2 * t3449;
  t3903 = 0.3e1 / 0.32e2 * t3452;
  t3904 = 0.3e1 / 0.16e2 * t3456;
  t3905 = 0.3e1 / 0.16e2 * t3460;
  t3906 = t3888 * t1036;
  t3909 = t3895 * t961;
  t3912 = t3895 * t940;
  t3915 = t3888 * t946;
  t3918 = t3888 * t953;
  t3921 = -t99 * t3884 / 0.32e2 - 0.3e1 / 0.16e2 * t99 * t3889 - t99 * t3892 / 0.8e1 + 0.3e1 / 0.32e2 * t99 * t3896 + 0.3e1 / 0.16e2 * t99 * t3899 + t3902 - t3903 - t3904 + t3905 - t99 * t3906 / 0.16e2 - 0.3e1 / 0.32e2 * t99 * t3909 + 0.3e1 / 0.32e2 * t99 * t3912 + t99 * t3915 / 0.4e1 - 0.3e1 / 0.16e2 * t99 * t3918 - t699;
  t3922 = my_piecewise3(t2, 0, t3921);
  tv3lapl30 = t3 * t3922;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  tv3lapl31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 1] += tv3lapl31;

  tv3lapl32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 2] += tv3lapl32;

  t3923 = t1306 * t207;
  t3925 = t1309 * t207;
  t3928 = t3923 * t173 / 0.2e1 - t3925 * t173 / 0.2e1 + t209 / 0.2e1;
  t3930 = t3928 * t815 * t424;
  t3933 = t815 * t207;
  t3934 = t157 * t3933;
  t3935 = t3934 * t1335;
  t3938 = t3934 * t1368;
  t3941 = t415 * t3933;
  t3942 = t3941 * t1374;
  t3945 = t3934 * t1361;
  t3948 = 0.3e1 / 0.16e2 * t3504;
  t3949 = 0.3e1 / 0.16e2 * t3508;
  t3950 = 0.3e1 / 0.16e2 * t3512;
  t3951 = 0.3e1 / 0.32e2 * t3519;
  t3952 = t3934 * t1330;
  t3955 = t3941 * t1335;
  t3958 = t3941 * t1343;
  t3961 = t3934 * t1348;
  t3964 = t3934 * t1355;
  t3967 = -t156 * t3930 / 0.32e2 - 0.3e1 / 0.16e2 * t156 * t3935 - t156 * t3938 / 0.8e1 + 0.3e1 / 0.32e2 * t156 * t3942 + 0.3e1 / 0.16e2 * t156 * t3945 - t3948 + t3949 + t3950 - t3951 - t156 * t3952 / 0.16e2 - 0.3e1 / 0.32e2 * t156 * t3955 + 0.3e1 / 0.32e2 * t156 * t3958 + t156 * t3961 / 0.4e1 - 0.3e1 / 0.16e2 * t156 * t3964 - t721;
  t3968 = my_piecewise3(t51, 0, t3967);
  tv3lapl33 = t3 * t3968;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 3] += tv3lapl33;

  t3969 = t26 * t3882;
  t3970 = t23 * t3969;
  t3973 = t213 * t798;
  t3974 = t3973 * t973;
  t3978 = t640 * t1461 * t798;
  t3981 = t1467 * t798;
  t3982 = t644 * t3981;
  t3985 = t2838 * t2035;
  t3988 = t3973 * t1036;
  t3993 = t2842 * t1982;
  t3996 = t3973 * t946;
  t3999 = t1517 * t798;
  t4000 = t1990 * t3999;
  t4003 = -t3970 * t832 / 0.32e2 + t3559 + t3562 - t3567 - t3571 + t3659 - t3660 - t3661 + t3662 + 0.3e1 / 0.16e2 * t484 * t3974 - 0.3e1 / 0.16e2 * t484 * t3978 - t484 * t3982 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t3985 - t484 * t3988 / 0.16e2 - 0.3e1 / 0.32e2 * t469 * t3978 + 0.3e1 / 0.32e2 * t469 * t3993 + t484 * t3996 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t4000 - t699;
  t4004 = my_piecewise3(t2, 0, t4003);
  tv3lapl2tau0 = t3 * t4004;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  tv3lapl2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 1] += tv3lapl2tau1;

  tv3lapl2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 2] += tv3lapl2tau2;

  tv3lapl2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 3] += tv3lapl2tau3;

  tv3lapl2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 4] += tv3lapl2tau4;

  t4005 = t26 * t3928;
  t4006 = t60 * t4005;
  t4009 = t219 * t815;
  t4010 = t4009 * t1361;
  t4014 = t679 * t1618 * t815;
  t4017 = t1701 * t815;
  t4018 = t683 * t4017;
  t4021 = t2933 * t2186;
  t4024 = t4009 * t1330;
  t4029 = t2937 * t2150;
  t4032 = t4009 * t1348;
  t4035 = t1612 * t815;
  t4036 = t2158 * t4035;
  t4039 = -t4006 * t849 / 0.32e2 + t3603 - t3608 - t3612 + t3615 - t3702 + t3703 + t3704 - t3705 + 0.3e1 / 0.16e2 * t534 * t4010 - 0.3e1 / 0.16e2 * t534 * t4014 - t534 * t4018 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t4021 - t534 * t4024 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t4014 + 0.3e1 / 0.32e2 * t519 * t4029 + t534 * t4032 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t4036 - t721;
  t4040 = my_piecewise3(t51, 0, t4039);
  tv3lapl2tau5 = t3 * t4040;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 5] += tv3lapl2tau5;

  t4042 = t3882 * t866 * t269;
  t4045 = t3198 * t1756;
  t4049 = t3181 * t1461 * t199;
  t4053 = t3198 * t1467 * t199;
  t4056 = t3181 * t1756;
  t4059 = t866 * t199;
  t4060 = t4059 * t1036;
  t4065 = t3185 * t1762;
  t4068 = t3181 * t1762;
  t4072 = t3185 * t1517 * t199;
  t4075 = -t99 * t4042 / 0.32e2 + 0.3e1 / 0.16e2 * t484 * t4045 - 0.3e1 / 0.16e2 * t484 * t4049 - t484 * t4053 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t4056 + t3815 + t3816 - t3817 - t3818 + t3450 - t3453 - t3457 + t3461 - t484 * t4060 / 0.16e2 - 0.3e1 / 0.32e2 * t469 * t4049 + 0.3e1 / 0.32e2 * t469 * t4065 + t484 * t4068 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t4072 - t699;
  t4076 = my_piecewise3(t2, 0, t4075);
  tv3lapltau20 = t3 * t4076;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  tv3lapltau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 1] += tv3lapltau21;

  tv3lapltau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 2] += tv3lapltau22;

  tv3lapltau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 3] += tv3lapltau23;

  tv3lapltau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 4] += tv3lapltau24;

  t4078 = t3928 * t883 * t424;
  t4082 = t3300 * t1701 * t207;
  t4085 = t3300 * t1903;
  t4089 = t3276 * t1618 * t207;
  t4092 = t3276 * t1903;
  t4095 = t883 * t207;
  t4096 = t4095 * t1330;
  t4101 = t3287 * t1962;
  t4104 = t3276 * t1962;
  t4108 = t3287 * t1612 * t207;
  t4111 = -t156 * t4078 / 0.32e2 - t534 * t4082 / 0.8e1 + 0.3e1 / 0.16e2 * t534 * t4085 - 0.3e1 / 0.16e2 * t534 * t4089 + 0.3e1 / 0.32e2 * t519 * t4092 + t3852 - t3853 - t3854 + t3855 - t3505 + t3509 + t3513 - t3520 - t534 * t4096 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t4089 + 0.3e1 / 0.32e2 * t519 * t4101 + t534 * t4104 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t4108 - t721;
  t4112 = my_piecewise3(t51, 0, t4111);
  tv3lapltau25 = t3 * t4112;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 5] += tv3lapltau25;

  t4113 = t998 * t213;
  t4115 = t1001 * t213;
  t4118 = t4113 * t116 / 0.2e1 - t4115 * t116 / 0.2e1 + t215 / 0.2e1;
  t4120 = t4118 * t866 * t269;
  t4123 = t866 * t213;
  t4124 = t100 * t4123;
  t4125 = t4124 * t973;
  t4128 = t4124 * t961;
  t4131 = t4124 * t965;
  t4134 = t260 * t4123;
  t4135 = t4134 * t969;
  t4138 = 0.3e1 / 0.16e2 * t3558;
  t4139 = 0.3e1 / 0.16e2 * t3561;
  t4140 = 0.3e1 / 0.32e2 * t3566;
  t4141 = 0.3e1 / 0.16e2 * t3570;
  t4142 = t4124 * t1036;
  t4145 = t4134 * t961;
  t4148 = t4134 * t940;
  t4151 = t4124 * t946;
  t4154 = t4124 * t953;
  t4157 = -t99 * t4120 / 0.32e2 + 0.3e1 / 0.16e2 * t99 * t4125 - 0.3e1 / 0.16e2 * t99 * t4128 - t99 * t4131 / 0.8e1 + 0.3e1 / 0.32e2 * t99 * t4135 + t4138 + t4139 - t4140 - t4141 - t99 * t4142 / 0.16e2 - 0.3e1 / 0.32e2 * t99 * t4145 + 0.3e1 / 0.32e2 * t99 * t4148 + t99 * t4151 / 0.4e1 - 0.3e1 / 0.16e2 * t99 * t4154 - t699;
  t4158 = my_piecewise3(t2, 0, t4157);
  tv3tau30 = t3 * t4158;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  tv3tau31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 1] += tv3tau31;

  tv3tau32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 2] += tv3tau32;

  t4159 = t1306 * t219;
  t4161 = t1309 * t219;
  t4164 = t4159 * t173 / 0.2e1 - t4161 * t173 / 0.2e1 + t221 / 0.2e1;
  t4166 = t4164 * t883 * t424;
  t4169 = t883 * t219;
  t4170 = t157 * t4169;
  t4171 = t4170 * t1335;
  t4174 = t4170 * t1368;
  t4177 = t415 * t4169;
  t4178 = t4177 * t1374;
  t4181 = t4170 * t1361;
  t4184 = 0.3e1 / 0.16e2 * t3602;
  t4185 = 0.3e1 / 0.32e2 * t3607;
  t4186 = 0.3e1 / 0.16e2 * t3611;
  t4187 = 0.3e1 / 0.16e2 * t3614;
  t4188 = t4170 * t1330;
  t4191 = t4177 * t1335;
  t4194 = t4177 * t1343;
  t4197 = t4170 * t1348;
  t4200 = t4170 * t1355;
  t4203 = -t156 * t4166 / 0.32e2 - 0.3e1 / 0.16e2 * t156 * t4171 - t156 * t4174 / 0.8e1 + 0.3e1 / 0.32e2 * t156 * t4178 + 0.3e1 / 0.16e2 * t156 * t4181 + t4184 - t4185 - t4186 + t4187 - t156 * t4188 / 0.16e2 - 0.3e1 / 0.32e2 * t156 * t4191 + 0.3e1 / 0.32e2 * t156 * t4194 + t156 * t4197 / 0.4e1 - 0.3e1 / 0.16e2 * t156 * t4200 - t721;
  t4204 = my_piecewise3(t51, 0, t4203);
  tv3tau33 = t3 * t4204;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 3] += tv3tau33;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t21, t22;
  double t23, t24, t25, t26, t27, t28, t32, t33;
  double t37, t38, t39, t40, t41, t43, t44, t45;
  double t46, t47, t50, t51, t52, t54, t55, t56;
  double t57, t58, t59, t60, t61, t62, t66, t67;
  double t71, t72, t73, t75, t76, t77, t78, t79;
  double t82, tzk0;

  double t83, t84, t85, t87, t90, t91, t95, t96;
  double t98, t99, t100, t105, t106, t111, t113, t114;
  double t116, t117, t121, t122, t124, t127, t128, t131;
  double t133, t135, tvrho0, t139, t142, t143, t147, t149;
  double t152, t153, t156, t157, t162, t163, t168, t170;
  double t171, t173, t174, t178, tvrho1, t181, t183, t184;
  double t185, t188, tvsigma0, tvsigma1, t189, t191, t192, t193;
  double t196, tvsigma2, t197, t199, t200, t201, t204, tvlapl0;
  double t205, t207, t208, t209, t212, tvlapl1, t213, t214;
  double t215, t218, tvtau0, t219, t220, t221, t224, tvtau1;

  double t227, t228, t231, t232, t233, t236, t240, t241;
  double t244, t246, t251, t252, t254, t255, t256, t258;
  double t260, t261, t263, t264, t265, t266, t267, t268;
  double t269, t270, t278, t283, t285, t288, t289, t290;
  double t291, t294, t295, t296, t297, t298, t301, t302;
  double t306, t307, t308, t311, t314, t318, t319, t322;
  double t324, t326, t328, tv2rho20, t331, t335, t339, t340;
  double t343, t345, t351, t352, t356, t360, t361, t364;
  double t367, t370, t371, t374, tv2rho21, t379, t384, t388;
  double t389, t394, t395, t400, t404, t405, t409, t413;
  double t415, t416, t418, t419, t420, t421, t422, t423;
  double t424, t425, t433, t438, t440, t443, t444, t445;
  double t446, t449, t450, t451, t452, t453, t456, t457;
  double t461, tv2rho22, t467, t468, t469, t470, t471, t472;
  double t473, t476, t478, t480, t483, t484, t485, t486;
  double t489, t490, t491, t492, t495, t496, t497, t498;
  double t502, tv2rhosigma0, tv2rhosigma1, t507, t509, tv2rhosigma2, t514, tv2rhosigma3;
  double tv2rhosigma4, t518, t519, t520, t521, t522, t523, t526;
  double t528, t530, t533, t534, t535, t536, t539, t540;
  double t541, t542, t545, t546, t547, t548, t552, tv2rhosigma5;
  double t557, t558, t559, t563, t565, t568, t569, t572;
  double t573, t576, t577, t581, tv2rholapl0, t586, t588, tv2rholapl1;
  double t593, tv2rholapl2, t597, t598, t602, t604, t607, t608;
  double t611, t612, t615, t616, t620, tv2rholapl3, t625, t626;
  double t627, t631, t633, t636, t637, t640, t641, t644;
  double t645, t649, tv2rhotau0, t654, t656, tv2rhotau1, t661, tv2rhotau2;
  double t665, t666, t670, t672, t675, t676, t679, t680;
  double t683, t684, t688, tv2rhotau3, t690, t692, t695, t697;
  double t699, t700, t701, t704, t707, t711, tv2sigma20, tv2sigma21;
  double tv2sigma22, tv2sigma23, tv2sigma24, t712, t714, t717, t719, t721;
  double t722, t723, t726, t729, t733, tv2sigma25, t734, t737;
  double t738, t741, t742, t745, t746, t750, tv2sigmalapl0, tv2sigmalapl1;
  double tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t751, t754, t755, t758, t759;
  double t762, t763, t767, tv2sigmalapl5, t768, t771, t772, t775;
  double t778, t782, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, t783;
  double t786, t787, t790, t793, t797, tv2sigmatau5, t798, t800;
  double t803, t804, t807, t810, t814, tv2lapl20, tv2lapl21, t815;
  double t817, t820, t821, t824, t827, t831, tv2lapl22, t832;
  double t835, t836, t839, t840, t843, t844, t848, tv2lapltau0;
  double tv2lapltau1, tv2lapltau2, t849, t852, t853, t856, t857, t860;
  double t861, t865, tv2lapltau3, t866, t868, t871, t872, t875;
  double t878, t882, tv2tau20, tv2tau21, t883, t885, t888, t889;
  double t892, t895, t899, tv2tau22;

  double t902, t903, t906, t909, t910, t911, t914, t918;
  double t919, t924, t925, t927, t928, t930, t932, t933;
  double t934, t935, t936, t937, t939, t940, t941, t944;
  double t945, t946, t947, t951, t952, t953, t954, t959;
  double t961, t962, t965, t966, t969, t970, t973, t974;
  double t977, t982, t984, t989, t990, t992, t994, t996;
  double t997, t998, t1001, t1005, t1007, t1015, t1020, t1022;
  double t1025, t1028, t1029, t1033, t1035, t1036, t1037, t1041;
  double t1045, t1048, t1049, t1053, t1056, t1058, t1059, t1060;
  double t1063, t1066, t1069, t1073, t1074, t1077, t1079, t1081;
  double t1083, t1085, tv3rho30, t1088, t1089, t1093, t1096, t1101;
  double t1102, t1104, t1108, t1109, t1113, t1114, t1124, t1127;
  double t1129, t1138, t1139, t1140, t1143, t1148, t1150, t1154;
  double t1155, t1159, t1160, t1164, t1167, t1169, t1170, t1171;
  double t1174, tv3rho31, t1177, t1182, t1186, t1190, t1191, t1194;
  double t1196, t1203, t1204, t1209, t1213, t1217, t1218, t1221;
  double t1224, t1227, t1228, t1234, t1238, t1242, t1246, t1250;
  double t1252, t1253, tv3rho32, t1258, t1265, t1269, t1270, t1276;
  double t1282, t1286, t1290, t1293, t1294, t1297, t1304, t1305;
  double t1306, t1309, t1313, t1315, t1321, t1325, t1326, t1327;
  double t1329, t1330, t1331, t1334, t1335, t1336, t1339, t1340;
  double t1341, t1342, t1343, t1344, t1347, t1348, t1349, t1353;
  double t1354, t1355, t1356, t1361, t1362, t1365, t1368, t1369;
  double t1374, t1375, t1383, t1388, t1390, t1394, t1401, t1405;
  double t1406, t1409, t1411, tv3rho33, t1415, t1418, t1419, t1420;
  double t1423, t1428, t1429, t1432, t1435, t1440, t1442, t1444;
  double t1446, t1449, t1451, t1452, t1455, t1458, t1461, t1462;
  double t1463, t1466, t1467, t1468, t1469, t1472, t1473, t1474;
  double t1475, t1478, t1479, t1482, t1483, t1486, t1487, t1490;
  double t1491, t1496, t1499, t1501, t1502, t1503, t1505, t1506;
  double t1509, t1512, t1513, t1516, t1517, t1518, t1519, t1524;
  double t1525, t1526, t1527, t1530, t1532, tv3rho2sigma0, tv3rho2sigma1, t1537;
  double t1540, t1542, tv3rho2sigma2, t1546, t1548, t1553, t1566, t1567;
  double tv3rho2sigma3, tv3rho2sigma4, t1571, t1574, t1577, t1578, t1579, t1583;
  double t1585, t1588, t1589, t1590, t1594, t1598, t1600, t1601;
  double tv3rho2sigma5, t1608, tv3rho2sigma6, tv3rho2sigma7, t1611, t1612, t1613, t1614;
  double t1617, t1618, t1619, t1620, t1623, t1624, t1625, t1626;
  double t1629, t1630, t1634, t1636, t1638, t1650, t1651, t1654;
  double t1655, t1658, t1659, t1662, t1663, t1666, t1667, t1670;
  double t1671, t1674, t1675, t1678, t1681, t1685, t1692, t1693;
  double t1696, t1701, t1702, t1703, t1706, t1707, t1708, t1711;
  double t1714, t1716, tv3rho2sigma8, t1719, t1720, t1723, t1724, t1729;
  double t1732, t1737, t1739, t1740, t1743, t1744, t1747, t1750;
  double t1753, t1756, t1757, t1762, t1763, t1766, t1769, t1770;
  double t1771, t1774, t1777, t1784, t1786, t1790, t1793, t1794;
  double t1798, t1799, t1801, t1804, t1806, t1813, t1815, tv3rho2lapl0;
  double t1820, t1823, t1825, tv3rho2lapl1, t1829, t1847, t1848, tv3rho2lapl2;
  double t1852, t1857, t1861, t1865, t1869, t1873, t1875, t1876;
  double tv3rho2lapl3, t1883, tv3rho2lapl4, t1888, t1889, t1892, t1893, t1896;
  double t1897, t1900, t1903, t1904, t1907, t1910, t1917, t1920;
  double t1921, t1924, t1925, t1932, t1933, t1936, t1941, t1942;
  double t1945, t1953, t1955, t1962, t1963, t1966, t1969, t1970;
  double t1973, t1975, tv3rho2lapl5, t1979, t1982, t1983, t1986, t1987;
  double t1990, t1991, t1998, t2000, t2004, t2009, t2012, t2017;
  double t2019, t2020, t2023, t2024, t2027, t2032, t2035, t2036;
  double t2039, t2042, t2047, t2050, t2052, t2055, t2058, t2059;
  double t2062, t2063, t2066, t2067, t2070, t2073, t2075, tv3rho2tau0;
  double t2080, t2083, t2085, tv3rho2tau1, t2089, t2107, t2108, tv3rho2tau2;
  double t2112, t2117, t2121, t2125, t2129, t2133, t2135, t2136;
  double tv3rho2tau3, t2143, tv3rho2tau4, t2147, t2150, t2151, t2154, t2155;
  double t2158, t2159, t2162, t2163, t2169, t2174, t2175, t2178;
  double t2183, t2186, t2187, t2190, t2194, t2197, t2198, t2199;
  double t2202, t2203, t2206, t2215, t2222, t2224, t2233, t2235;
  double tv3rho2tau5, t2237, t2238, t2239, t2242, t2243, t2244, t2245;
  double t2246, t2247, t2248, t2249, t2251, t2254, t2255, t2256;
  double t2257, t2258, t2259, t2260, t2263, t2264, t2267, t2268;
  double t2269, t2270, t2271, t2274, t2277, t2278, t2279, t2282;
  double t2283, t2288, t2289, t2290, t2293, t2294, t2297, t2300;
  double t2308, t2310, t2312, t2313, t2314, t2316, t2320, t2323;
  double t2324, t2327, t2329, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23, tv3rhosigma24;
  double t2334, t2336, t2337, t2338, t2342, t2346, t2350, t2352;
  double tv3rhosigma25, t2357, t2365, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210;
  double t2367, t2370, t2371, t2372, t2375, t2376, t2377, t2378;
  double t2379, t2380, t2381, t2382, t2383, t2386, t2387, t2390;
  double t2391, t2394, t2395, t2396, t2397, t2399, t2402, t2403;
  double t2406, t2407, t2408, t2411, t2412, t2413, t2414, t2415;
  double t2418, t2419, t2420, t2425, t2426, t2429, t2430, t2438;
  double t2441, t2442, t2447, t2449, tv3rhosigma211, t2451, t2452, t2455;
  double t2456, t2457, t2458, t2461, t2462, t2465, t2466, t2467;
  double t2468, t2471, t2472, t2477, t2478, t2481, t2482, t2485;
  double t2486, t2489, t2493, t2495, t2497, t2499, t2502, t2503;
  double t2504, t2507, t2508, t2513, t2516, t2521, t2528, t2531;
  double t2534, t2536, tv3rhosigmalapl0, tv3rhosigmalapl1, tv3rhosigmalapl2, tv3rhosigmalapl3, tv3rhosigmalapl4, t2541;
  double t2545, t2549, t2553, t2555, tv3rhosigmalapl5, t2566, tv3rhosigmalapl6, tv3rhosigmalapl7;
  double tv3rhosigmalapl8, tv3rhosigmalapl9, tv3rhosigmalapl10, t2568, t2569, t2572, t2573, t2574;
  double t2575, t2578, t2579, t2580, t2581, t2584, t2585, t2588;
  double t2589, t2594, t2595, t2598, t2599, t2602, t2603, t2606;
  double t2609, t2612, t2617, t2618, t2621, t2622, t2625, t2628;
  double t2631, t2640, t2643, t2645, tv3rhosigmalapl11, t2647, t2648, t2651;
  double t2652, t2655, t2656, t2659, t2660, t2663, t2664, t2665;
  double t2670, t2673, t2674, t2677, t2678, t2683, t2686, t2690;
  double t2692, t2694, t2695, t2697, t2700, t2701, t2704, t2705;
  double t2710, t2713, t2718, t2721, t2726, t2728, tv3rhosigmatau0, tv3rhosigmatau1;
  double tv3rhosigmatau2, tv3rhosigmatau3, tv3rhosigmatau4, t2733, t2737, t2741, t2745, t2747;
  double tv3rhosigmatau5, t2758, tv3rhosigmatau6, tv3rhosigmatau7, tv3rhosigmatau8, tv3rhosigmatau9, tv3rhosigmatau10, t2760;
  double t2761, t2762, t2765, t2766, t2769, t2770, t2773, t2774;
  double t2777, t2780, t2783, t2784, t2789, t2790, t2793, t2796;
  double t2803, t2806, t2809, t2812, t2813, t2816, t2817, t2822;
  double t2825, t2830, t2832, tv3rhosigmatau11, t2834, t2835, t2838, t2839;
  double t2842, t2843, t2846, t2849, t2852, t2853, t2858, t2859;
  double t2862, t2863, t2866, t2869, t2872, t2875, t2878, t2880;
  double t2882, t2884, t2886, t2890, t2899, t2901, tv3rholapl20, tv3rholapl21;
  double t2906, t2910, t2914, t2918, t2920, tv3rholapl22, t2931, tv3rholapl23;
  double tv3rholapl24, t2933, t2934, t2937, t2938, t2941, t2944, t2947;
  double t2948, t2951, t2952, t2957, t2958, t2961, t2964, t2967;
  double t2970, t2971, t2974, t2977, t2979, t2990, t2992, tv3rholapl25;
  double t2994, t2997, t2998, t3001, t3002, t3005, t3008, t3009;
  double t3013, t3016, t3017, t3022, t3027, t3030, t3036, t3038;
  double t3039, t3041, t3043, t3044, t3045, t3048, t3049, t3054;
  double t3057, t3062, t3065, t3070, t3072, tv3rholapltau0, tv3rholapltau1, tv3rholapltau2;
  double t3077, t3081, t3085, t3089, t3091, tv3rholapltau3, t3102, tv3rholapltau4;
  double tv3rholapltau5, tv3rholapltau6, t3105, t3108, t3109, t3112, t3113, t3116;
  double t3117, t3120, t3123, t3124, t3129, t3132, t3133, t3136;
  double t3139, t3144, t3147, t3152, t3155, t3158, t3163, t3164;
  double t3167, t3168, t3173, t3175, tv3rholapltau7, t3177, t3178, t3181;
  double t3182, t3185, t3186, t3189, t3192, t3195, t3198, t3199;
  double t3203, t3209, t3212, t3215, t3218, t3221, t3223, t3225;
  double t3227, t3229, t3235, t3242, t3244, tv3rhotau20, tv3rhotau21, t3249;
  double t3253, t3257, t3261, t3263, tv3rhotau22, t3274, tv3rhotau23, tv3rhotau24;
  double t3276, t3277, t3280, t3281, t3284, t3287, t3288, t3291;
  double t3294, t3297, t3300, t3301, t3305, t3311, t3314, t3317;
  double t3320, t3326, t3333, t3335, tv3rhotau25, t3337, t3338, t3339;
  double t3342, t3345, t3346, t3347, t3348, t3349, t3352, t3353;
  double t3354, t3355, t3358, t3360, t3363, t3365, t3368, t3369;
  double t3370, t3371, t3372, t3375, t3378, t3381, t3382, t3383;
  double t3384, t3387, t3390, t3391, tv3sigma30, tv3sigma31, tv3sigma32, tv3sigma33;
  double tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t3392, t3393, t3394;
  double t3397, t3400, t3401, t3402, t3403, t3404, t3407, t3408;
  double t3409, t3410, t3413, t3415, t3418, t3420, t3423, t3424;
  double t3425, t3426, t3427, t3430, t3433, t3436, t3437, t3438;
  double t3439, t3442, t3445, t3446, tv3sigma39, t3447, t3448, t3449;
  double t3450, t3451, t3452, t3453, t3454, t3455, t3456, t3457;
  double t3458, t3459, t3460, t3461, t3462, t3463, t3466, t3467;
  double t3468, t3469, t3472, t3473, t3476, t3477, t3480, t3483;
  double t3484, t3487, t3490, t3493, t3496, t3497, t3500, t3501;
  double tv3sigma2lapl0, tv3sigma2lapl1, tv3sigma2lapl2, tv3sigma2lapl3, tv3sigma2lapl4, tv3sigma2lapl5, tv3sigma2lapl6, tv3sigma2lapl7;
  double tv3sigma2lapl8, tv3sigma2lapl9, tv3sigma2lapl10, t3502, t3503, t3504, t3505, t3506;
  double t3507, t3508, t3509, t3510, t3511, t3512, t3513, t3514;
  double t3515, t3518, t3519, t3520, t3521, t3522, t3523, t3526;
  double t3527, t3530, t3531, t3534, t3535, t3538, t3539, t3542;
  double t3545, t3548, t3551, t3552, t3555, t3556, tv3sigma2lapl11, t3557;
  double t3558, t3559, t3560, t3561, t3562, t3565, t3566, t3567;
  double t3568, t3569, t3570, t3571, t3572, t3575, t3576, t3579;
  double t3582, t3585, t3590, t3593, t3596, t3599, t3600, tv3sigma2tau0;
  double tv3sigma2tau1, tv3sigma2tau2, tv3sigma2tau3, tv3sigma2tau4, tv3sigma2tau5, tv3sigma2tau6, tv3sigma2tau7, tv3sigma2tau8;
  double tv3sigma2tau9, tv3sigma2tau10, t3601, t3602, t3603, t3606, t3607, t3608;
  double t3609, t3610, t3611, t3612, t3613, t3614, t3615, t3616;
  double t3619, t3620, t3623, t3626, t3629, t3634, t3637, t3640;
  double t3643, t3644, tv3sigma2tau11, t3645, t3648, t3649, t3652, t3653;
  double t3656, t3659, t3660, t3661, t3662, t3663, t3664, t3666;
  double t3669, t3670, t3673, t3676, t3679, t3682, t3683, t3686;
  double t3687, t3688, tv3sigmalapl20, tv3sigmalapl21, tv3sigmalapl22, tv3sigmalapl23, tv3sigmalapl24, tv3sigmalapl25;
  double tv3sigmalapl26, tv3sigmalapl27, t3689, t3692, t3695, t3696, t3699, t3702;
  double t3703, t3704, t3705, t3706, t3707, t3709, t3712, t3713;
  double t3716, t3717, t3720, t3721, t3726, t3729, t3730, t3731;
  double tv3sigmalapl28, t3734, t3735, t3738, t3739, t3742, t3745, t3746;
  double t3749, t3750, t3755, t3758, t3761, t3764, t3766, tv3sigmalapltau0;
  double tv3sigmalapltau1, tv3sigmalapltau2, tv3sigmalapltau3, tv3sigmalapltau4, tv3sigmalapltau5, tv3sigmalapltau6, tv3sigmalapltau7, tv3sigmalapltau8;
  double tv3sigmalapltau9, tv3sigmalapltau10, t3769, t3770, t3771, t3774, t3775, t3778;
  double t3781, t3782, t3785, t3786, t3791, t3794, t3797, t3800;
  double t3802, tv3sigmalapltau11, t3803, t3806, t3809, t3812, t3815, t3816;
  double t3817, t3818, t3820, t3823, t3824, t3829, t3832, t3835;
  double t3838, t3839, tv3sigmatau20, tv3sigmatau21, tv3sigmatau22, tv3sigmatau23, tv3sigmatau24, tv3sigmatau25;
  double tv3sigmatau26, tv3sigmatau27, t3840, t3843, t3846, t3849, t3852, t3853;
  double t3854, t3855, t3857, t3860, t3861, t3866, t3869, t3872;
  double t3875, t3876, tv3sigmatau28, t3877, t3879, t3882, t3884, t3887;
  double t3888, t3889, t3892, t3895, t3896, t3899, t3902, t3903;
  double t3904, t3905, t3906, t3909, t3912, t3915, t3918, t3921;
  double t3922, tv3lapl30, tv3lapl31, tv3lapl32, t3923, t3925, t3928, t3930;
  double t3933, t3934, t3935, t3938, t3941, t3942, t3945, t3948;
  double t3949, t3950, t3951, t3952, t3955, t3958, t3961, t3964;
  double t3967, t3968, tv3lapl33, t3969, t3970, t3973, t3974, t3978;
  double t3981, t3982, t3985, t3988, t3993, t3996, t3999, t4000;
  double t4003, t4004, tv3lapl2tau0, tv3lapl2tau1, tv3lapl2tau2, tv3lapl2tau3, tv3lapl2tau4, t4005;
  double t4006, t4009, t4010, t4014, t4017, t4018, t4021, t4024;
  double t4029, t4032, t4035, t4036, t4039, t4040, tv3lapl2tau5, t4042;
  double t4045, t4049, t4053, t4056, t4059, t4060, t4065, t4068;
  double t4072, t4075, t4076, tv3lapltau20, tv3lapltau21, tv3lapltau22, tv3lapltau23, tv3lapltau24;
  double t4078, t4082, t4085, t4089, t4092, t4095, t4096, t4101;
  double t4104, t4108, t4111, t4112, tv3lapltau25, t4113, t4115, t4118;
  double t4120, t4123, t4124, t4125, t4128, t4131, t4134, t4135;
  double t4138, t4139, t4140, t4141, t4142, t4145, t4148, t4151;
  double t4154, t4157, t4158, tv3tau30, tv3tau31, tv3tau32, t4159, t4161;
  double t4164, t4166, t4169, t4170, t4171, t4174, t4177, t4178;
  double t4181, t4184, t4185, t4186, t4187, t4188, t4191, t4194;
  double t4197, t4200, t4203, t4204, tv3tau33;

  double t4207, t4218, t4220, t4222, t4225, t4236, t4240, t4243;
  double t4249, t4260, t4264, t4274, t4275, t4276, t4277, t4278;
  double t4282, t4284, t4286, t4290, t4293, t4294, t4296, t4297;
  double t4299, t4300, t4304, t4314, t4315, t4317, t4319, t4323;
  double t4328, t4330, t4334, t4336, t4338, t4342, t4347, t4350;
  double t4354, t4359, t4363, t4365, t4368, t4372, t4373, t4380;
  double t4384, t4386, t4391, t4399, t4404, t4406, t4408, t4410;
  double t4426, t4430, t4432, t4433, t4439, t4445, t4446, t4449;
  double t4453, t4457, t4461, t4464, t4465, t4467, t4476, t4480;
  double t4487, t4494, t4501, t4508, t4523, t4532, t4534, t4536;
  double t4538, t4539, t4544, t4546, t4550, t4555, t4560, t4564;
  double t4566, t4568, t4572, t4573, t4575, t4576, t4582, t4587;
  double t4590, t4594, t4598, t4600, t4602, t4606, t4608, tv4rho40;
  double t4631, t4633, t4641, t4652, t4655, t4656, t4658, t4659;
  double t4660, t4667, t4671, t4675, t4677, t4694, t4697, t4699;
  double t4700, t4701, t4719, t4720, t4722, t4726, t4740, t4743;
  double t4760, t4762, t4766, t4770, t4772, t4773, t4774, t4779;
  double t4782, t4783, t4785, t4786, t4787, t4788, t4789, t4791;
  double t4792, tv4rho41, t4805, t4808, t4809, t4823, t4836, t4849;
  double t4853, t4857, t4859, t4868, t4870, t4879, t4882, t4884;
  double t4886, t4888, t4890, t4892, t4894, t4896, t4898, t4899;
  double t4901, t4903, t4904, t4906, t4907, t4925, t4938, t4942;
  double t4946, t4948, t4952, t4954, tv4rho42, t4975, t4979, t4983;
  double t4985, t4994, t4995, t4996, t4998, t5000, t5002, t5012;
  double t5014, t5016, t5018, t5020, t5022, t5024, t5026, t5028;
  double t5029, t5057, t5059, t5060, t5062, t5064, t5066, t5068;
  double t5070, t5072, t5074, t5082, t5091, t5115, t5119, t5126;
  double t5129, t5132, tv4rho43, t5137, t5142, t5149, t5153, t5161;
  double t5162, t5169, t5173, t5176, t5196, t5200, t5211, t5217;
  double t5225, t5226, t5227, t5229, t5231, t5232, t5233, t5237;
  double t5243, t5248, t5252, t5253, t5258, t5260, t5265, t5271;
  double t5277, t5281, t5282, t5285, t5300, t5304, t5314, t5318;
  double t5321, t5325, t5329, t5339, t5354, t5364, t5368, t5375;
  double t5382, t5389, t5396, t5411, t5429, t5445, t5453, t5458;
  double t5465, t5469, t5476, t5480, tv4rho44, t5484, t5488, t5497;
  double t5499, t5505, t5507, t5513, t5514, t5519, t5520, t5522;
  double t5523, t5528, t5530, t5537, t5539, t5544, t5545, t5546;
  double t5549, t5551, t5552, t5556, t5560, t5562, t5564, t5566;
  double t5572, t5574, t5576, t5578, t5585, t5593, t5595, t5597;
  double t5598, t5616, t5618, t5619, t5623, t5626, t5633, t5641;
  double t5657, t5658, t5659, t5668, t5669, t5670, t5678, t5685;
  double t5689, t5690, t5691, t5695, t5698, t5699, t5702, t5703;
  double t5705, t5707, t5710, t5713, t5717, t5718, t5719, t5723;
  double t5724, t5725, t5730, t5734, t5754, t5758, t5763, t5765;
  double t5769, t5774, t5777, t5778, t5784, t5786, t5790, t5791;
  double t5792, t5796, t5797, t5800, t5806, t5810, t5814, t5818;
  double t5822, tv4rho3sigma0, tv4rho3sigma1, t5827, t5829, t5832, t5834, tv4rho3sigma2;
  double t5836, t5841, t5844, t5846, t5850, t5865, t5869, t5872;
  double t5887, t5889, t5890, t5901, t5919, t5930, t5931, t5934;
  double t5941, t5944, tv4rho3sigma3, tv4rho3sigma4, t5946, t5948, t5949, t5951;
  double t5953, t5954, t5957, t5958, t5961, t5962, t5964, t5966;
  double t5967, t5969, t5977, t5981, t5982, t5985, t5986, t5994;
  double t5996, tv4rho3sigma5, t6000, t6002, t6007, t6022, t6024, tv4rho3sigma6;
  double tv4rho3sigma7, t6026, t6027, t6029, t6031, t6033, t6035, t6037;
  double t6038, t6040, t6043, t6044, t6046, t6048, t6050, t6052;
  double t6054, t6060, t6063, t6064, t6067, t6078, t6080, t6082;
  double t6084, t6086, t6088, t6090, t6092, t6094, t6098, t6126;
  double t6129, t6131, t6133, t6144, t6147, tv4rho3sigma8, t6155, tv4rho3sigma9;
  double tv4rho3sigma10, t6158, t6159, t6162, t6166, t6172, t6176, t6186;
  double t6193, t6194, t6195, t6196, t6199, t6203, t6207, t6208;
  double t6209, t6214, t6215, t6216, t6217, t6220, t6226, t6227;
  double t6248, t6269, t6270, t6278, t6287, t6291, t6299, t6310;
  double t6330, t6338, t6342, t6346, t6351, t6352, t6356, t6357;
  double t6363, t6370, t6385, t6404, t6410, t6419, t6431, t6433;
  double t6437, t6442, t6446, t6447, t6451, t6455, tv4rho3sigma11, t6462;
  double t6464, t6466, t6476, t6478, t6482, t6488, t6490, t6491;
  double t6496, t6503, t6506, t6507, t6512, t6514, t6516, t6522;
  double t6523, t6526, t6530, t6536, t6545, t6547, t6557, t6559;
  double t6566, t6567, t6576, t6578, t6580, t6582, t6584, t6586;
  double t6601, t6633, t6635, t6636, t6638, t6640, t6642, t6644;
  double t6646, t6652, t6653, t6656, t6670, t6674, t6676, t6680;
  double t6682, t6697, t6702, t6703, t6705, t6710, t6715, t6720;
  double t6722, t6724, t6741, t6742, t6756, t6760, tv4rho3lapl0, t6765;
  double t6767, t6770, t6772, tv4rho3lapl1, t6774, t6778, t6796, t6807;
  double t6813, t6815, t6834, t6852, t6858, t6859, t6866, t6874;
  double t6877, tv4rho3lapl2, t6879, t6885, t6886, t6891, t6892, t6896;
  double t6899, t6901, t6904, t6905, t6908, t6910, t6911, t6919;
  double t6921, tv4rho3lapl3, t6925, t6945, t6947, tv4rho3lapl4, t6949, t6951;
  double t6953, t6955, t6957, t6959, t6961, t6963, t6965, t6967;
  double t6969, t6971, t6973, t6975, t6977, t6979, t6981, t6982;
  double t7004, t7006, t7008, t7010, t7014, t7038, t7042, t7051;
  double t7053, t7055, t7060, t7063, tv4rho3lapl5, t7071, tv4rho3lapl6, t7074;
  double t7078, t7083, t7093, t7102, t7113, t7118, t7119, t7122;
  double t7129, t7140, t7147, t7152, t7153, t7156, t7192, t7204;
  double t7210, t7216, t7228, t7239, t7259, t7264, t7279, t7305;
  double t7306, t7307, t7310, t7313, t7314, t7325, t7341, t7345;
  double tv4rho3lapl7, t7348, t7350, t7356, t7358, t7362, t7369, t7378;
  double t7380, t7384, t7388, t7391, t7400, t7402, t7404, t7410;
  double t7411, t7414, t7420, t7422, t7424, t7433, t7435, t7441;
  double t7447, t7451, t7455, t7459, t7465, t7482, t7488, t7495;
  double t7498, t7509, t7513, t7515, t7517, t7519, t7523, t7525;
  double t7529, t7545, t7547, t7564, t7569, t7571, t7577, t7581;
  double t7585, t7587, t7589, t7604, t7607, t7610, t7621, t7622;
  double t7626, t7629, t7634, t7636, t7638, t7644, t7648, tv4rho3tau0;
  double t7653, t7655, t7658, t7660, tv4rho3tau1, t7662, t7666, t7676;
  double t7695, t7703, t7705, t7722, t7740, t7748, t7759, t7760;
  double t7762, t7765, tv4rho3tau2, t7767, t7777, t7778, t7782, t7787;
  double t7789, t7792, t7793, t7796, t7797, t7800, t7801, t7804;
  double t7807, t7809, tv4rho3tau3, t7813, t7833, t7835, tv4rho3tau4, t7837;
  double t7839, t7841, t7843, t7845, t7847, t7849, t7851, t7853;
  double t7855, t7857, t7859, t7861, t7863, t7865, t7867, t7869;
  double t7870, t7872, t7874, t7876, t7878, t7880, t7902, t7930;
  double t7939, t7941, t7943, t7948, t7951, tv4rho3tau5, t7959, tv4rho3tau6;
  double t7962, t7974, t7980, t7998, t8009, t8034, t8038, t8042;
  double t8066, t8074, t8075, t8081, t8090, t8097, t8101, t8106;
  double t8119, t8124, t8130, t8134, t8144, t8155, t8158, t8165;
  double t8182, t8198, t8212, t8226, t8230, tv4rho3tau7, t8241, t8244;
  double t8249, t8250, t8252, t8253, t8257, t8260, t8263, t8267;
  double t8269, t8271, t8273, t8274, t8277, t8292, t8293, t8296;
  double t8300, t8306, t8313, t8317, t8323, t8325, t8327, t8331;
  double t8334, t8338, t8340, t8342, t8343, t8345, t8346, t8350;
  double t8352, t8354, t8355, t8358, t8364, t8365, t8366, t8369;
  double t8370, t8383, t8384, t8385, t8386, t8387, t8391, t8394;
  double t8395, t8398, t8400, t8402, t8406, t8413, t8421, t8430;
  double t8433, t8434, t8437, t8441, t8443, t8445, t8449, t8453;
  double t8456, t8460, t8465, t8472, t8480, t8485, t8493, t8494;
  double t8499, t8500, t8506, t8507, t8511, t8522, t8525, t8528;
  double t8530, t8532, t8533, t8535, t8537, t8542, t8547, t8548;
  double t8549, t8550, t8551, t8552, t8553, t8557, tv4rho2sigma20, tv4rho2sigma21;
  double tv4rho2sigma22, tv4rho2sigma23, tv4rho2sigma24, t8562, t8565, t8567, t8568, t8569;
  double t8571, t8574, t8577, t8580, t8583, t8586, t8589, t8590;
  double t8591, tv4rho2sigma25, t8600, t8604, t8608, t8610, t8621, t8629;
  double t8633, t8640, t8643, t8644, t8658, t8659, t8661, t8663;
  double t8665, t8666, t8668, t8669, t8675, t8676, t8679, tv4rho2sigma26;
  double tv4rho2sigma27, tv4rho2sigma28, tv4rho2sigma29, tv4rho2sigma210, t8681, t8683, t8685, t8686;
  double t8687, t8688, t8689, t8691, t8693, t8695, t8697, t8699;
  double t8701, t8703, t8705, t8707, t8708, t8709, t8710, t8712;
  double t8714, t8715, t8727, t8729, t8740, t8743, t8751, t8752;
  double t8757, t8766, t8768, t8770, t8771, t8773, t8775, t8776;
  double t8781, t8782, t8785, tv4rho2sigma211, t8792, t8793, t8803, t8804;
  double tv4rho2sigma212, tv4rho2sigma213, tv4rho2sigma214, tv4rho2sigma215, tv4rho2sigma216, t8808, t8809, t8832;
  double t8836, t8839, t8840, t8848, t8852, t8862, t8870, t8871;
  double t8875, t8878, t8881, t8885, t8886, t8889, t8893, t8895;
  double t8898, t8899, t8900, t8905, t8906, t8909, t8911, t8913;
  double t8919, t8922, t8927, t8936, t8942, t8945, t8957, t8958;
  double t8961, t8964, t8965, t8968, t8972, t8980, t8984, t8988;
  double t9005, t9009, t9010, t9015, t9018, t9028, t9031, t9032;
  double t9042, t9044, t9047, t9048, t9049, t9078, t9081, t9085;
  double t9086, t9087, t9088, t9089, t9090, t9091, t9092, t9096;
  double tv4rho2sigma217, t9103, t9104, t9105, t9109, t9113, t9114, t9117;
  double t9120, t9121, t9122, t9123, t9128, t9132, t9134, t9152;
  double t9156, t9162, t9164, t9166, t9191, t9198, t9206, t9216;
  double t9217, t9225, t9237, t9242, t9243, t9253, t9255, t9257;
  double t9277, t9288, t9292, t9308, t9321, t9323, t9325, t9350;
  double t9376, t9378, t9380, t9382, t9383, t9385, t9387, t9389;
  double t9391, t9393, t9395, t9397, t9399, t9401, t9403, t9405;
  double t9406, t9410, tv4rho2sigmalapl0, tv4rho2sigmalapl1, tv4rho2sigmalapl2, tv4rho2sigmalapl3, tv4rho2sigmalapl4, t9415;
  double t9418, t9421, t9424, t9427, t9430, t9433, t9436, t9437;
  double t9438, tv4rho2sigmalapl5, t9465, t9494, t9496, t9498, t9500, t9502;
  double t9514, t9518, t9521, tv4rho2sigmalapl6, tv4rho2sigmalapl7, tv4rho2sigmalapl8, tv4rho2sigmalapl9, tv4rho2sigmalapl10;
  double t9523, t9525, t9527, t9529, t9531, t9533, t9535, t9537;
  double t9539, t9555, t9560, t9562, t9564, t9566, t9568, t9590;
  double t9598, t9600, t9602, t9604, t9606, t9608, t9610, t9612;
  double t9617, t9619, t9622, tv4rho2sigmalapl11, t9637, t9638, tv4rho2sigmalapl12, tv4rho2sigmalapl13;
  double tv4rho2sigmalapl14, tv4rho2sigmalapl15, tv4rho2sigmalapl16, t9641, t9642, t9643, t9646, t9647;
  double t9648, t9655, t9663, t9677, t9681, t9682, t9699, t9700;
  double t9701, t9704, t9715, t9716, t9752, t9756, t9769, t9772;
  double t9773, t9780, t9806, t9807, t9812, t9842, t9890, t9917;
  double t9920, t9921, t9925, tv4rho2sigmalapl17, t9928, t9929, t9930, t9940;
  double t9944, t9948, t9968, t9979, t9980, t9983, t9993, t9996;
  double t9998, t10000, t10010, t10011, t10014, t10015, t10030, t10040;
  double t10063, t10065, t10067, t10070, t10074, t10076, t10078, t10080;
  double t10081, t10132, t10139, t10141, t10143, t10145, t10147, t10149;
  double t10151, t10173, t10203, t10205, t10207, t10209, t10210, t10212;
  double t10214, t10216, t10218, t10220, t10222, t10227, t10231, tv4rho2sigmatau0;
  double tv4rho2sigmatau1, tv4rho2sigmatau2, tv4rho2sigmatau3, tv4rho2sigmatau4, t10236, t10239, t10242, t10245;
  double t10248, t10251, t10254, t10257, t10258, t10259, tv4rho2sigmatau5, t10286;
  double t10307, t10309, t10311, t10313, t10319, t10335, t10339, t10342;
  double tv4rho2sigmatau6, tv4rho2sigmatau7, tv4rho2sigmatau8, tv4rho2sigmatau9, tv4rho2sigmatau10, t10344, t10346, t10366;
  double t10368, t10370, t10372, t10374, t10376, t10377, t10379, t10381;
  double t10383, t10385, t10387, t10389, t10391, t10393, t10395, t10397;
  double t10411, t10427, t10429, t10431, t10433, t10438, t10440, t10443;
  double tv4rho2sigmatau11, t10458, t10459, tv4rho2sigmatau12, tv4rho2sigmatau13, tv4rho2sigmatau14, tv4rho2sigmatau15, tv4rho2sigmatau16;
  double t10466, t10470, t10474, t10475, t10476, t10479, t10480, t10483;
  double t10509, t10516, t10527, t10528, t10529, t10536, t10537, t10546;
  double t10549, t10555, t10573, t10621, t10654, t10701, t10729, t10732;
  double t10736, tv4rho2sigmatau17, t10739, t10745, t10756, t10766, t10769, t10772;
  double t10773, t10778, t10783, t10787, t10789, t10794, t10810, t10817;
  double t10822, t10831, t10835, t10837, t10839, t10843, t10854, t10856;
  double t10858, t10875, t10877, t10880, t10884, t10886, t10888, t10895;
  double t10919, t10924, t10925, t10928, t10930, t10931, t10932, t10937;
  double t10945, t10947, t10949, t10959, t10962, t10964, t10970, t10975;
  double t10979, tv4rho2lapl20, tv4rho2lapl21, t10984, t10987, t10990, t10993, t10996;
  double t10999, t11002, t11005, t11006, t11007, tv4rho2lapl22, t11036, t11049;
  double t11051, t11053, t11055, t11057, t11069, t11075, t11078, tv4rho2lapl23;
  double tv4rho2lapl24, t11082, t11084, t11086, t11088, t11090, t11092, t11094;
  double t11096, t11098, t11100, t11102, t11104, t11106, t11108, t11133;
  double t11135, t11137, t11139, t11141, t11143, t11153, t11160, t11163;
  double tv4rho2lapl25, t11178, t11179, tv4rho2lapl26, tv4rho2lapl27, t11182, t11189, t11193;
  double t11197, t11214, t11221, t11231, t11235, t11238, t11244, t11248;
  double t11264, t11270, t11297, t11306, t11316, t11322, t11331, t11342;
  double t11355, t11356, t11370, t11371, t11390, t11393, t11397, tv4rho2lapl28;
  double t11400, t11404, t11407, t11410, t11417, t11425, t11429, t11437;
  double t11438, t11453, t11460, t11466, t11470, t11477, t11479, t11483;
  double t11486, t11489, t11495, t11497, t11501, t11503, t11505, t11507;
  double t11518, t11528, t11548, t11554, t11556, t11560, t11585, t11587;
  double t11590, t11592, t11594, t11595, t11599, t11610, t11612, t11614;
  double t11616, t11618, t11620, t11622, t11624, t11634, t11657, t11659;
  double t11661, t11681, t11696, t11700, tv4rho2lapltau0, tv4rho2lapltau1, tv4rho2lapltau2, t11705;
  double t11708, t11711, t11714, t11717, t11720, t11723, t11726, t11727;
  double t11728, tv4rho2lapltau3, t11755, t11770, t11772, t11774, t11776, t11788;
  double t11804, t11808, t11811, tv4rho2lapltau4, tv4rho2lapltau5, tv4rho2lapltau6, t11815, t11817;
  double t11819, t11821, t11823, t11825, t11827, t11829, t11831, t11845;
  double t11850, t11854, t11856, t11858, t11860, t11862, t11864, t11866;
  double t11868, t11870, t11872, t11874, t11876, t11880, t11907, t11909;
  double t11912, tv4rho2lapltau7, t11927, t11928, tv4rho2lapltau8, tv4rho2lapltau9, tv4rho2lapltau10, t11950;
  double t11954, t11958, t11978, t11979, t11984, t11988, t11997, t12001;
  double t12012, t12022, t12025, t12029, t12034, t12039, t12051, t12055;
  double t12059, t12062, t12073, t12085, t12119, t12166, t12193, t12196;
  double t12200, tv4rho2lapltau11, t12203, t12209, t12214, t12239, t12240, t12244;
  double t12247, t12260, t12265, t12273, t12278, t12283, t12285, t12296;
  double t12298, t12302, t12304, t12306, t12318, t12319, t12330, t12332;
  double t12343, t12359, t12376, t12380, t12385, t12387, t12390, t12391;
  double t12392, t12397, t12406, t12408, t12414, t12416, t12422, t12431;
  double t12433, t12435, t12437, t12441, tv4rho2tau20, tv4rho2tau21, t12446, t12449;
  double t12452, t12455, t12458, t12461, t12464, t12467, t12468, t12469;
  double tv4rho2tau22, t12498, t12511, t12523, t12525, t12527, t12529, t12531;
  double t12537, t12540, tv4rho2tau23, tv4rho2tau24, t12542, t12544, t12546, t12548;
  double t12550, t12552, t12554, t12564, t12566, t12568, t12570, t12571;
  double t12573, t12575, t12595, t12607, t12609, t12611, t12613, t12615;
  double t12616, t12622, t12625, tv4rho2tau25, t12640, t12641, tv4rho2tau26, tv4rho2tau27;
  double t12644, t12656, t12660, t12664, t12674, t12677, t12684, t12688;
  double t12692, t12723, t12746, t12755, t12762, t12769, t12770, t12779;
  double t12804, t12817, t12819, t12824, t12851, t12854, t12858, tv4rho2tau28;
  double t12862, t12866, t12870, t12872, t12873, t12874, t12875, t12878;
  double t12880, t12884, t12887, t12891, t12894, t12895, t12896, t12899;
  double t12900, t12901, t12904, t12907, t12912, t12915, t12917, t12926;
  double t12930, t12947, t12948, t12955, t12959, t12960, t12963, t12964;
  double t12965, t12966, t12967, t12975, t12979, t12981, t12986, t12994;
  double t12996, t12997, t12998, t13001, t13002, t13006, t13020, t13023;
  double t13026, t13029, t13031, t13033, t13035, t13037, t13039, t13041;
  double t13043, t13057, t13058, t13061, t13062, t13063, t13070, t13073;
  double t13076, t13091, t13100, t13104, t13129, t13130, t13132, t13133;
  double t13137, tv4rhosigma30, tv4rhosigma31, tv4rhosigma32, tv4rhosigma33, tv4rhosigma34, tv4rhosigma35, tv4rhosigma36;
  double tv4rhosigma37, tv4rhosigma38, t13139, t13140, t13141, t13142, t13143, t13144;
  double t13145, t13146, t13147, t13149, t13151, t13153, t13158, t13160;
  double t13162, t13164, t13166, t13168, t13169, t13171, t13173, t13175;
  double t13177, t13196, t13198, tv4rhosigma39, t13200, t13202, t13204, t13206;
  double t13222, t13229, t13231, tv4rhosigma310, tv4rhosigma311, tv4rhosigma312, tv4rhosigma313, tv4rhosigma314;
  double tv4rhosigma315, tv4rhosigma316, tv4rhosigma317, tv4rhosigma318, t13235, t13239, t13243, t13245;
  double t13246, t13248, t13251, t13252, t13256, t13260, t13262, t13265;
  double t13268, t13269, t13273, t13277, t13281, t13282, t13283, t13286;
  double t13287, t13290, t13291, t13301, t13308, t13316, t13324, t13326;
  double t13329, t13334, t13340, t13342, t13345, t13352, t13358, t13361;
  double t13372, t13379, t13386, t13389, t13401, t13415, t13416, t13419;
  double t13420, t13421, t13427, t13428, t13431, t13434, t13449, t13458;
  double t13471, t13478, t13479, t13483, tv4rhosigma319, t13485, t13487, t13488;
  double t13489, t13491, t13492, t13494, t13495, t13500, t13501, t13505;
  double t13506, t13509, t13514, t13515, t13518, t13519, t13528, t13529;
  double t13533, t13541, t13542, t13543, t13544, t13545, t13550, t13554;
  double t13555, t13560, t13566, t13567, t13568, t13570, t13571, t13581;
  double t13605, t13606, t13607, t13608, t13609, t13610, t13611, t13612;
  double t13613, t13614, t13616, t13618, t13620, t13622, t13624, t13626;
  double t13628, t13629, t13630, t13632, t13634, t13635, t13636, t13637;
  double t13638, t13639, t13640, t13645, t13648, t13649, t13651, t13652;
  double t13653, t13657, t13664, t13665, t13667, t13668, t13669, t13670;
  double t13671, t13672, t13674, t13675, t13676, t13677, t13680, t13681;
  double t13683, t13685, t13686, t13687, t13699, t13725, t13736, t13737;
  double t13738, t13739, t13740, t13741, t13742, t13743, t13744, t13745;
  double t13746, t13747, t13748, t13749, t13750, t13754, tv4rhosigma2lapl0, tv4rhosigma2lapl1;
  double tv4rhosigma2lapl2, tv4rhosigma2lapl3, tv4rhosigma2lapl4, tv4rhosigma2lapl5, tv4rhosigma2lapl6, tv4rhosigma2lapl7, tv4rhosigma2lapl8, tv4rhosigma2lapl9;
  double tv4rhosigma2lapl10, t13756, t13757, t13758, t13759, t13760, t13761, t13763;
  double t13765, t13766, t13767, t13769, t13771, t13773, t13775, t13777;
  double t13779, t13781, t13796, t13801, t13802, t13803, t13806, t13807;
  double t13808, t13809, t13810, t13811, t13813, t13815, t13816, t13817;
  double t13818, t13819, t13820, t13821, t13822, t13823, t13824, t13826;
  double tv4rhosigma2lapl11, t13836, t13841, t13842, t13843, t13844, t13845, t13846;
  double t13847, t13848, t13857, t13858, t13859, t13860, t13861, t13862;
  double t13864, tv4rhosigma2lapl12, tv4rhosigma2lapl13, tv4rhosigma2lapl14, tv4rhosigma2lapl15, tv4rhosigma2lapl16, tv4rhosigma2lapl17, tv4rhosigma2lapl18;
  double tv4rhosigma2lapl19, tv4rhosigma2lapl20, tv4rhosigma2lapl21, tv4rhosigma2lapl22, t13866, t13867, t13875, t13877;
  double t13878, t13880, t13881, t13887, t13891, t13892, t13895, t13899;
  double t13900, t13903, t13911, t13913, t13914, t13915, t13916, t13917;
  double t13918, t13919, t13934, t13938, t13955, t13962, t13964, t13965;
  double t13967, t13968, t13970, t13971, t13973, t13974, t13979, t13980;
  double t13981, t13988, t13989, t13990, t13991, t13992, t13993, t13994;
  double t13995, t13996, t13997, t13998, t14003, t14007, t14014, t14015;
  double t14016, t14017, t14019, t14020, t14021, t14022, t14025, t14026;
  double t14027, t14028, t14030, t14031, t14032, t14033, t14034, t14038;
  double t14039, t14045, t14076, t14087, t14089, t14090, t14091, t14092;
  double t14093, t14094, t14095, t14096, t14097, t14098, t14099, t14103;
  double tv4rhosigma2lapl23, t14105, t14117, t14120, t14124, t14125, t14128, t14137;
  double t14138, t14140, t14141, t14146, t14147, t14148, t14149, t14150;
  double t14151, t14153, t14154, t14156, t14157, t14159, t14160, t14175;
  double t14188, t14193, t14194, t14195, t14208, t14213, t14214, t14217;
  double t14218, t14222, t14224, t14226, t14228, t14230, t14232, t14234;
  double t14235, t14236, t14237, t14238, t14239, t14240, t14241, t14242;
  double t14244, t14247, t14252, t14260, t14261, t14269, t14270, t14272;
  double t14273, t14282, t14283, t14284, t14285, t14287, t14288, t14289;
  double t14290, t14291, t14292, t14293, t14295, t14296, t14298, t14300;
  double t14302, t14303, t14327, t14339, t14340, t14344, tv4rhosigma2tau0, tv4rhosigma2tau1;
  double tv4rhosigma2tau2, tv4rhosigma2tau3, tv4rhosigma2tau4, tv4rhosigma2tau5, tv4rhosigma2tau6, tv4rhosigma2tau7, tv4rhosigma2tau8, tv4rhosigma2tau9;
  double tv4rhosigma2tau10, t14360, t14361, t14362, t14363, t14364, t14365, t14368;
  double t14369, t14370, t14371, t14373, t14375, t14377, t14379, t14381;
  double t14383, t14384, t14386, t14388, t14390, t14392, t14393, t14394;
  double t14395, t14396, t14397, t14398, t14403, t14405, tv4rhosigma2tau11, t14409;
  double t14410, t14411, t14412, t14413, t14414, t14415, t14416, t14435;
  double t14436, t14438, tv4rhosigma2tau12, tv4rhosigma2tau13, tv4rhosigma2tau14, tv4rhosigma2tau15, tv4rhosigma2tau16, tv4rhosigma2tau17;
  double tv4rhosigma2tau18, tv4rhosigma2tau19, tv4rhosigma2tau20, tv4rhosigma2tau21, tv4rhosigma2tau22, t14443, t14444, t14447;
  double t14448, t14449, t14456, t14457, t14463, t14464, t14467, t14478;
  double t14484, t14507, t14512, t14513, t14514, t14516, t14517, t14530;
  double t14535, t14536, t14537, t14542, t14543, t14544, t14546, t14547;
  double t14548, t14550, t14551, t14553, t14554, t14555, t14556, t14557;
  double t14559, t14560, t14570, t14576, t14584, t14585, t14587, t14588;
  double t14591, t14607, t14608, t14609, t14610, t14612, t14613, t14614;
  double t14615, t14618, t14619, t14630, t14642, t14644, t14645, t14649;
  double tv4rhosigma2tau23, t14654, t14659, t14663, t14664, t14665, t14668, t14688;
  double t14697, t14700, t14704, t14714, t14738, t14739, t14740, t14741;
  double t14742, t14744, t14745, t14746, t14747, t14748, t14749, t14750;
  double t14751, t14752, t14753, t14754, t14755, t14756, t14757, t14758;
  double t14761, t14768, t14770, t14772, t14774, t14776, t14778, t14780;
  double t14782, t14784, t14794, t14832, t14840, t14841, t14842, t14843;
  double t14844, t14845, t14846, t14847, t14848, t14849, t14850, t14851;
  double t14852, t14854, t14855, t14856, t14857, t14858, t14859, t14860;
  double t14861, t14862, t14863, t14864, t14865, t14866, t14867, t14869;
  double t14870, t14877, t14881, tv4rhosigmalapl20, tv4rhosigmalapl21, tv4rhosigmalapl22, tv4rhosigmalapl23, tv4rhosigmalapl24;
  double tv4rhosigmalapl25, tv4rhosigmalapl26, tv4rhosigmalapl27, t14900, t14902, t14904, t14906, t14908;
  double t14912, t14914, t14916, t14918, t14919, t14920, t14921, t14922;
  double t14923, t14924, t14925, t14926, t14927, t14928, t14929, t14930;
  double t14931, t14932, t14933, t14934, t14935, t14939, t14940, t14942;
  double tv4rhosigmalapl28, t14962, t14963, t14964, t14965, t14966, t14967, t14968;
  double t14969, t14970, t14973, t14975, tv4rhosigmalapl29, tv4rhosigmalapl210, tv4rhosigmalapl211, tv4rhosigmalapl212;
  double tv4rhosigmalapl213, tv4rhosigmalapl214, tv4rhosigmalapl215, tv4rhosigmalapl216, t14977, t14987, t14988, t14989;
  double t15004, t15010, t15011, t15027, t15064, t15065, t15066, t15067;
  double t15068, t15070, t15071, t15072, t15073, t15074, t15075, t15076;
  double t15077, t15078, t15079, t15080, t15081, t15082, t15083, t15084;
  double t15087, t15123, t15147, t15148, t15149, t15150, t15151, t15152;
  double t15153, t15154, t15155, t15156, t15157, t15159, t15160, t15161;
  double t15162, t15163, t15164, t15165, t15166, t15167, t15168, t15175;
  double t15179, tv4rhosigmalapl217, t15181, t15184, t15187, t15195, t15197, t15199;
  double t15201, t15203, t15205, t15224, t15279, t15305, t15307, t15309;
  double t15314, t15315, t15319, t15328, t15329, t15330, t15332, t15338;
  double t15358, t15387, t15389, t15390, t15394, tv4rhosigmalapltau0, tv4rhosigmalapltau1, tv4rhosigmalapltau2;
  double tv4rhosigmalapltau3, tv4rhosigmalapltau4, tv4rhosigmalapltau5, tv4rhosigmalapltau6, tv4rhosigmalapltau7, tv4rhosigmalapltau8, tv4rhosigmalapltau9, tv4rhosigmalapltau10;
  double t15405, t15407, t15409, t15411, t15413, t15415, t15417, t15418;
  double t15420, t15422, t15436, t15437, t15439, t15440, t15443, tv4rhosigmalapltau11;
  double t15463, t15466, t15468, t15469, t15472, tv4rhosigmalapltau12, tv4rhosigmalapltau13, tv4rhosigmalapltau14;
  double tv4rhosigmalapltau15, tv4rhosigmalapltau16, tv4rhosigmalapltau17, tv4rhosigmalapltau18, tv4rhosigmalapltau19, tv4rhosigmalapltau20, tv4rhosigmalapltau21, tv4rhosigmalapltau22;
  double t15480, t15483, t15486, t15524, t15577, t15589, t15590, t15601;
  double t15602, t15605, t15609, t15611, t15625, t15632, t15663, t15664;
  double t15668, tv4rhosigmalapltau23, t15674, t15675, t15678, t15682, t15686, t15690;
  double t15691, t15694, t15695, t15700, t15711, t15712, t15713, t15714;
  double t15715, t15716, t15717, t15718, t15719, t15720, t15721, t15725;
  double t15750, t15752, t15754, t15756, t15757, t15759, t15761, t15763;
  double t15765, t15767, t15791, t15804, t15805, t15806, t15807, t15808;
  double t15809, t15810, t15811, t15812, t15813, t15814, t15815, t15816;
  double t15817, t15818, t15821, t15833, t15839, t15849, t15853, t15854;
  double t15858, t15869, t15873, t15877, tv4rhosigmatau20, tv4rhosigmatau21, tv4rhosigmatau22, tv4rhosigmatau23;
  double tv4rhosigmatau24, tv4rhosigmatau25, tv4rhosigmatau26, tv4rhosigmatau27, t15880, t15882, t15884, t15886;
  double t15888, t15890, t15892, t15894, t15914, t15915, t15916, t15917;
  double t15918, t15919, t15920, t15921, t15922, t15923, t15925, t15928;
  double t15930, tv4rhosigmatau28, t15950, t15951, t15952, t15953, t15954, t15957;
  double t15959, tv4rhosigmatau29, tv4rhosigmatau210, tv4rhosigmatau211, tv4rhosigmatau212, tv4rhosigmatau213, tv4rhosigmatau214, tv4rhosigmatau215;
  double tv4rhosigmatau216, t15961, t15962, t15963, t15964, t15965, t15966, t15967;
  double t15968, t15969, t15982, t15983, t16019, t16032, t16033, t16034;
  double t16035, t16036, t16037, t16038, t16039, t16040, t16043, t16044;
  double t16049, t16050, t16053, t16057, t16061, t16065, t16066, t16075;
  double t16079, t16087, t16088, t16089, t16092, t16103, t16110, t16121;
  double t16128, t16133, t16140, t16144, tv4rhosigmatau217, t16151, t16155, t16169;
  double t16172, t16178, t16182, t16186, t16200, t16204, t16205, t16211;
  double t16220, t16221, t16224, t16236, t16247, t16248, t16249, t16250;
  double t16251, t16264, t16267, t16269, t16271, t16273, t16275, t16282;
  double t16291, t16305, t16308, t16311, t16314, t16315, t16339, t16354;
  double t16356, t16358, t16359, t16361, t16362, t16366, tv4rholapl30, tv4rholapl31;
  double tv4rholapl32, t16368, t16369, t16370, t16371, t16383, t16385, t16387;
  double t16389, t16390, t16392, t16394, t16396, t16398, t16400, t16402;
  double t16417, t16419, tv4rholapl33, t16439, t16446, t16448, tv4rholapl34, tv4rholapl35;
  double tv4rholapl36, t16450, t16470, t16473, t16474, t16478, t16482, t16486;
  double t16490, t16494, t16509, t16512, t16516, t16518, t16531, t16543;
  double t16555, t16566, t16583, t16586, t16589, t16592, t16593, t16617;
  double t16635, t16641, t16642, t16646, tv4rholapl37, t16666, t16668, t16670;
  double t16672, t16674, t16676, t16678, t16680, t16682, t16684, t16688;
  double t16689, t16703, t16709, t16735, t16736, t16737, t16740, t16741;
  double t16752, t16759, t16766, t16773, t16785, t16791, t16796, t16812;
  double t16817, t16825, t16826, t16830, tv4rholapl2tau0, tv4rholapl2tau1, tv4rholapl2tau2, tv4rholapl2tau3;
  double tv4rholapl2tau4, t16848, t16850, t16852, t16854, t16856, t16858, t16860;
  double t16862, t16864, t16868, t16873, t16876, t16878, tv4rholapl2tau5, t16901;
  double t16902, t16904, tv4rholapl2tau6, tv4rholapl2tau7, tv4rholapl2tau8, tv4rholapl2tau9, tv4rholapl2tau10, t16906;
  double t16911, t16937, t16969, t16971, t16972, t16975, t16976, t16980;
  double t16984, t16985, t16988, t16996, t17004, t17011, t17030, t17033;
  double t17037, t17041, t17042, t17063, t17067, tv4rholapl2tau11, t17071, t17093;
  double t17095, t17097, t17099, t17100, t17102, t17104, t17106, t17108;
  double t17134, t17144, t17149, t17150, t17153, t17155, t17162, t17164;
  double t17168, t17169, t17195, t17208, t17211, t17216, t17229, t17241;
  double t17245, tv4rholapltau20, tv4rholapltau21, tv4rholapltau22, tv4rholapltau23, tv4rholapltau24, t17252, t17254;
  double t17256, t17258, t17260, t17262, t17264, t17266, t17268, t17283;
  double t17287, t17288, t17290, tv4rholapltau25, t17310, t17313, t17315, tv4rholapltau26;
  double tv4rholapltau27, tv4rholapltau28, tv4rholapltau29, tv4rholapltau210, t17348, t17351, t17377, t17379;
  double t17380, t17383, t17390, t17392, t17393, t17396, t17399, t17402;
  double t17425, t17435, t17436, t17468, t17472, tv4rholapltau211, t17474, t17481;
  double t17484, t17485, t17488, t17501, t17509, t17513, t17521, t17540;
  double t17542, t17543, t17551, t17569, t17577, t17578, t17579, t17580;
  double t17581, t17594, t17598, t17622, t17632, t17635, t17638, t17642;
  double t17666, t17674, t17676, t17678, t17680, t17682, t17684, t17686;
  double t17688, t17689, t17691, t17692, t17696, tv4rhotau30, tv4rhotau31, tv4rhotau32;
  double t17702, t17703, t17704, t17705, t17707, t17709, t17711, t17713;
  double t17720, t17736, t17738, t17740, t17742, t17744, t17746, t17747;
  double t17749, tv4rhotau33, t17769, t17776, t17778, tv4rhotau34, tv4rhotau35, tv4rhotau36;
  double t17780, t17794, t17799, t17802, t17806, t17815, t17816, t17819;
  double t17822, t17843, t17849, t17857, t17861, t17875, t17887, t17900;
  double t17919, t17922, t17925, t17929, t17953, t17967, t17973, t17974;
  double t17978, tv4rhotau37, t17980, t17982, t17985, t17988, t17991, t17993;
  double t17994, t17995, t17998, t18001, t18003, t18005, t18007, t18009;
  double t18011, t18012, t18016, t18020, t18021, t18024, t18027, t18037;
  double t18041, t18045, t18050, t18062, t18063, t18070, t18076, t18077;
  double t18084, t18127, t18132, t18134, tv4sigma40, tv4sigma41, tv4sigma42, tv4sigma43;
  double tv4sigma44, tv4sigma45, tv4sigma46, tv4sigma47, tv4sigma48, tv4sigma49, tv4sigma410, tv4sigma411;
  double tv4sigma412, tv4sigma413, t18135, t18137, t18140, t18143, t18146, t18149;
  double t18151, t18152, t18153, t18155, t18157, t18159, t18161, t18164;
  double t18166, t18167, t18174, t18175, t18178, t18181, t18185, t18188;
  double t18195, t18197, t18209, t18210, t18217, t18223, t18224, t18231;
  double t18236, t18246, t18287, t18289, tv4sigma414, t18290, t18298, t18302;
  double t18311, t18324, t18327, t18328, t18348, t18351, t18352, t18353;
  double t18354, t18355, t18356, t18357, t18359, t18360, t18361, t18362;
  double t18363, t18364, t18365, t18366, t18367, t18368, t18369, t18370;
  double t18372, t18373, t18374, t18376, t18377, t18380, t18381, t18383;
  double t18384, t18386, t18387, t18389, t18390, t18392, t18393, t18394;
  double t18397, tv4sigma3lapl0, tv4sigma3lapl1, tv4sigma3lapl2, tv4sigma3lapl3, tv4sigma3lapl4, tv4sigma3lapl5, tv4sigma3lapl6;
  double tv4sigma3lapl7, tv4sigma3lapl8, tv4sigma3lapl9, tv4sigma3lapl10, tv4sigma3lapl11, tv4sigma3lapl12, tv4sigma3lapl13, tv4sigma3lapl14;
  double tv4sigma3lapl15, tv4sigma3lapl16, tv4sigma3lapl17, tv4sigma3lapl18, t18398, t18399, t18402, t18409;
  double t18428, t18434, t18435, t18441, t18444, t18445, t18448, t18460;
  double t18461, t18462, t18463, t18464, t18466, t18467, t18468, t18469;
  double t18470, t18471, t18472, t18474, t18475, t18478, t18479, t18481;
  double t18482, t18483, t18485, t18486, t18488, t18489, t18490, t18491;
  double t18492, t18493, t18494, t18496, t18497, t18499, t18500, t18501;
  double t18504, tv4sigma3lapl19, t18505, t18510, t18533, t18539, t18542, t18547;
  double t18548, t18564, t18566, t18567, t18568, t18570, t18571, t18573;
  double t18574, t18575, t18577, t18578, t18581, t18582, t18583, t18584;
  double t18586, t18587, t18589, t18590, t18592, t18593, t18594, t18597;
  double tv4sigma3tau0, tv4sigma3tau1, tv4sigma3tau2, tv4sigma3tau3, tv4sigma3tau4, tv4sigma3tau5, tv4sigma3tau6, tv4sigma3tau7;
  double tv4sigma3tau8, tv4sigma3tau9, tv4sigma3tau10, tv4sigma3tau11, tv4sigma3tau12, tv4sigma3tau13, tv4sigma3tau14, tv4sigma3tau15;
  double tv4sigma3tau16, tv4sigma3tau17, tv4sigma3tau18, t18600, t18601, t18607, t18608, t18611;
  double t18633, t18646, t18647, t18656, t18659, t18660, t18661, t18662;
  double t18663, t18665, t18666, t18667, t18670, t18671, t18672, t18673;
  double t18675, t18676, t18678, t18679, t18681, t18682, t18684, t18685;
  double t18686, t18689, tv4sigma3tau19, t18692, t18705, t18706, t18713, t18714;
  double t18715, t18719, t18726, t18727, t18733, t18734, t18739, t18746;
  double t18749, t18751, t18752, t18753, t18754, t18755, t18757, t18758;
  double t18760, t18761, t18764, t18765, t18769, t18770, t18773, t18774;
  double t18776, t18777, t18779, t18780, t18781, t18782, t18783, t18784;
  double t18785, t18786, t18787, t18793, t18801, t18804, tv4sigma2lapl20, tv4sigma2lapl21;
  double tv4sigma2lapl22, tv4sigma2lapl23, tv4sigma2lapl24, tv4sigma2lapl25, tv4sigma2lapl26, tv4sigma2lapl27, tv4sigma2lapl28, tv4sigma2lapl29;
  double tv4sigma2lapl210, tv4sigma2lapl211, tv4sigma2lapl212, tv4sigma2lapl213, tv4sigma2lapl214, tv4sigma2lapl215, tv4sigma2lapl216, t18805;
  double t18814, t18818, t18822, t18825, t18826, t18832, t18833, t18834;
  double t18841, t18842, t18846, t18847, t18850, t18851, t18853, t18854;
  double t18855, t18859, t18860, t18861, t18864, t18865, t18872, t18873;
  double t18880, t18881, t18883, t18884, t18887, t18888, t18893, t18894;
  double t18896, t18897, t18898, t18899, t18900, t18901, t18902, t18903;
  double t18904, t18910, t18918, t18921, tv4sigma2lapl217, t18926, t18930, t18936;
  double t18946, t18949, t18953, t18956, t18960, t18966, t18969, t18973;
  double t18974, t18984, t18986, t18987, t19004, t19006, t19008, t19009;
  double t19010, t19011, t19012, t19013, t19014, t19015, t19016, t19017;
  double t19018, t19019, t19020, t19021, t19022, t19023, t19024, t19025;
  double t19026, t19027, t19030, tv4sigma2lapltau0, tv4sigma2lapltau1, tv4sigma2lapltau2, tv4sigma2lapltau3, tv4sigma2lapltau4;
  double tv4sigma2lapltau5, tv4sigma2lapltau6, tv4sigma2lapltau7, tv4sigma2lapltau8, tv4sigma2lapltau9, tv4sigma2lapltau10, tv4sigma2lapltau11, tv4sigma2lapltau12;
  double tv4sigma2lapltau13, tv4sigma2lapltau14, tv4sigma2lapltau15, tv4sigma2lapltau16, tv4sigma2lapltau17, tv4sigma2lapltau18, tv4sigma2lapltau19, tv4sigma2lapltau20;
  double tv4sigma2lapltau21, tv4sigma2lapltau22, t19033, t19037, t19041, t19055, t19060, t19064;
  double t19068, t19071, t19074, t19078, t19082, t19083, t19085, t19088;
  double t19093, t19096, t19099, t19103, t19117, t19118, t19119, t19120;
  double t19121, t19122, t19123, t19124, t19125, t19126, t19127, t19128;
  double t19129, t19130, t19131, t19132, t19133, t19134, t19135, t19136;
  double t19139, tv4sigma2lapltau23, t19142, t19154, t19161, t19162, t19164, t19165;
  double t19170, t19171, t19172, t19173, t19182, t19186, t19194, t19203;
  double t19204, t19206, t19207, t19209, t19210, t19213, t19214, t19217;
  double t19218, t19219, t19220, t19221, t19223, t19230, t19238, t19241;
  double tv4sigma2tau20, tv4sigma2tau21, tv4sigma2tau22, tv4sigma2tau23, tv4sigma2tau24, tv4sigma2tau25, tv4sigma2tau26, tv4sigma2tau27;
  double tv4sigma2tau28, tv4sigma2tau29, tv4sigma2tau210, tv4sigma2tau211, tv4sigma2tau212, tv4sigma2tau213, tv4sigma2tau214, tv4sigma2tau215;
  double tv4sigma2tau216, t19242, t19254, t19259, t19270, t19279, t19280, t19281;
  double t19282, t19284, t19285, t19287, t19288, t19290, t19291, t19294;
  double t19295, t19299, t19300, t19307, t19308, t19310, t19311, t19314;
  double t19315, t19323, t19330, t19338, t19341, tv4sigma2tau217, t19348, t19352;
  double t19355, t19358, t19365, t19374, t19378, t19392, t19399, t19400;
  double t19401, t19402, t19403, t19404, t19405, t19406, t19408, t19409;
  double t19411, t19419, t19431, t19434, t19437, t19440, t19452, t19460;
  double t19461, t19464, tv4sigmalapl30, tv4sigmalapl31, tv4sigmalapl32, tv4sigmalapl33, tv4sigmalapl34, tv4sigmalapl35;
  double tv4sigmalapl36, tv4sigmalapl37, tv4sigmalapl38, tv4sigmalapl39, tv4sigmalapl310, t19465, t19474, t19478;
  double t19483, t19490, t19494, t19501, t19515, t19522, t19523, t19524;
  double t19525, t19526, t19527, t19528, t19529, t19531, t19532, t19534;
  double t19545, t19557, t19560, t19563, t19566, t19578, t19583, t19584;
  double t19587, tv4sigmalapl311, t19598, t19600, t19602, t19609, t19621, t19624;
  double t19636, t19655, t19657, t19658, t19659, t19660, t19661, t19662;
  double t19663, t19664, t19665, t19675, t19676, t19679, tv4sigmalapl2tau0, tv4sigmalapl2tau1;
  double tv4sigmalapl2tau2, tv4sigmalapl2tau3, tv4sigmalapl2tau4, tv4sigmalapl2tau5, tv4sigmalapl2tau6, tv4sigmalapl2tau7, tv4sigmalapl2tau8, tv4sigmalapl2tau9;
  double tv4sigmalapl2tau10, tv4sigmalapl2tau11, tv4sigmalapl2tau12, tv4sigmalapl2tau13, tv4sigmalapl2tau14, tv4sigmalapl2tau15, tv4sigmalapl2tau16, t19690;
  double t19692, t19694, t19701, t19708, t19711, t19729, t19747, t19749;
  double t19750, t19751, t19752, t19753, t19754, t19755, t19756, t19757;
  double t19767, t19768, t19771, tv4sigmalapl2tau17, t19784, t19786, t19794, t19797;
  double t19815, t19838, t19841, t19850, t19853, tv4sigmalapltau20, tv4sigmalapltau21, tv4sigmalapltau22;
  double tv4sigmalapltau23, tv4sigmalapltau24, tv4sigmalapltau25, tv4sigmalapltau26, tv4sigmalapltau27, tv4sigmalapltau28, tv4sigmalapltau29, tv4sigmalapltau210;
  double tv4sigmalapltau211, tv4sigmalapltau212, tv4sigmalapltau213, tv4sigmalapltau214, tv4sigmalapltau215, tv4sigmalapltau216, t19866, t19868;
  double t19873, t19880, t19883, t19892, t19920, t19923, t19932, t19935;
  double tv4sigmalapltau217, t19939, t19955, t19963, t19964, t19970, t19971, t19972;
  double t19980, t19992, t19993, t19994, t19995, t19996, t19997, t19998;
  double t19999, t20001, t20002, t20004, t20042, t20047, t20048, t20051;
  double tv4sigmatau30, tv4sigmatau31, tv4sigmatau32, tv4sigmatau33, tv4sigmatau34, tv4sigmatau35, tv4sigmatau36, tv4sigmatau37;
  double tv4sigmatau38, tv4sigmatau39, tv4sigmatau310, t20052, t20062, t20065, t20066, t20069;
  double t20081, t20090, t20107, t20108, t20109, t20110, t20111, t20112;
  double t20113, t20114, t20116, t20117, t20119, t20154, t20162, t20163;
  double t20166, tv4sigmatau311, t20177, t20178, t20198, t20205, t20209, t20216;
  double t20221, t20225, t20235, t20276, t20278, tv4lapl40, tv4lapl41, tv4lapl42;
  double tv4lapl43, t20289, t20290, t20300, t20316, t20317, t20343, t20350;
  double t20354, t20361, t20388, t20390, tv4lapl44, t20392, t20399, t20410;
  double t20424, t20429, t20453, t20455, t20456, t20457, t20458, t20459;
  double t20460, t20461, t20462, t20463, t20464, t20465, t20468, tv4lapl3tau0;
  double tv4lapl3tau1, tv4lapl3tau2, tv4lapl3tau3, tv4lapl3tau4, tv4lapl3tau5, tv4lapl3tau6, t20472, t20480;
  double t20484, t20502, t20505, t20530, t20532, t20533, t20534, t20535;
  double t20536, t20537, t20538, t20539, t20540, t20541, t20542, t20545;
  double tv4lapl3tau7, t20546, t20563, t20571, t20576, t20582, t20589, t20604;
  double t20611, t20619, t20622, tv4lapl2tau20, tv4lapl2tau21, tv4lapl2tau22, tv4lapl2tau23, tv4lapl2tau24;
  double tv4lapl2tau25, tv4lapl2tau26, tv4lapl2tau27, t20624, t20631, t20641, t20652, t20664;
  double t20680, t20687, t20695, t20698, tv4lapl2tau28, t20710, t20713, t20714;
  double t20729, t20737, t20740, t20756, t20758, t20784, t20787, t20790;
  double t20802, t20807, t20808, t20811, tv4lapltau30, tv4lapltau31, tv4lapltau32, tv4lapltau33;
  double tv4lapltau34, tv4lapltau35, tv4lapltau36, t20812, t20819, t20836, t20841, t20850;
  double t20868, t20870, t20896, t20899, t20902, t20914, t20919, t20920;
  double t20923, tv4lapltau37, t20934, t20935, t20942, t20959, t20970, t20977;
  double t20991, t20998, t21033, t21035, tv4tau40, tv4tau41, tv4tau42, tv4tau43;
  double t21046, t21047, t21051, t21074, t21085, t21092, t21097, t21104;
  double t21145, t21147, tv4tau44;


  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = sqrt(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = sqrt(t16);
  t21 = t20 * t16;
  t22 = my_piecewise3(t17, t19, t21);
  t23 = M_PI * t22;
  t24 = M_SQRT2;
  t25 = sqrt(t3);
  t26 = t24 * t25;
  t27 = rho[0] * rho[0];
  t28 = 0.1e1 / t27;
  t32 = t27 * rho[0];
  t33 = 0.1e1 / t32;
  t37 = 0.1e1 / M_PI;
  t38 = (lapl[0] * t28 / 0.4e1 - tau[0] * t28 + sigma[0] * t33 / 0.8e1) * t37;
  t39 = -0.9999999999e0 < t38;
  t40 = my_piecewise3(t39, t38, -0.9999999999e0);
  t41 = exp(-0.1e1);
  t43 = LambertW(t40 * t41);
  t44 = t43 + 0.1e1;
  t45 = t44 / 0.2e1;
  t46 = xc_bessel_I0(t45);
  t47 = t26 * t46;
  t50 = my_piecewise3(t2, 0, -t23 * t47 / 0.8e1);
  t51 = rho[1] <= p->dens_threshold;
  t52 = -t13;
  t54 = my_piecewise5(t11, t8, t7, t12, t52 * t4);
  t55 = 0.1e1 + t54;
  t56 = t55 <= p->zeta_threshold;
  t57 = sqrt(t55);
  t58 = t57 * t55;
  t59 = my_piecewise3(t56, t19, t58);
  t60 = M_PI * t59;
  t61 = rho[1] * rho[1];
  t62 = 0.1e1 / t61;
  t66 = t61 * rho[1];
  t67 = 0.1e1 / t66;
  t71 = (lapl[1] * t62 / 0.4e1 - tau[1] * t62 + sigma[2] * t67 / 0.8e1) * t37;
  t72 = -0.9999999999e0 < t71;
  t73 = my_piecewise3(t72, t71, -0.9999999999e0);
  t75 = LambertW(t73 * t41);
  t76 = t75 + 0.1e1;
  t77 = t76 / 0.2e1;
  t78 = xc_bessel_I0(t77);
  t79 = t26 * t78;
  t82 = my_piecewise3(t51, 0, -t60 * t79 / 0.8e1);
  tzk0 = t50 + t82;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t83 = t3 * t3;
  t84 = 0.1e1 / t83;
  t85 = t13 * t84;
  t87 = my_piecewise5(t7, 0, t11, 0, t4 - t85);
  t90 = my_piecewise3(t17, 0, 0.3e1 / 0.2e1 * t20 * t87);
  t91 = M_PI * t90;
  t95 = t24 / t25;
  t96 = t95 * t46;
  t98 = t23 * t96 / 0.16e2;
  t99 = t23 * t26;
  t100 = xc_bessel_I1(t45);
  t105 = t27 * t27;
  t106 = 0.1e1 / t105;
  t111 = my_piecewise3(t39, (-lapl[0] * t33 / 0.2e1 + 0.2e1 * tau[0] * t33 - 0.3e1 / 0.8e1 * sigma[0] * t106) * t37, 0);
  t113 = 0.1e1 / t44;
  t114 = t43 * t113;
  t116 = t114 / t40;
  t117 = t100 * t111 * t116;
  t121 = my_piecewise3(t2, 0, -t91 * t47 / 0.8e1 - t98 - t99 * t117 / 0.16e2);
  t122 = t52 * t84;
  t124 = my_piecewise5(t11, 0, t7, 0, -t4 - t122);
  t127 = my_piecewise3(t56, 0, 0.3e1 / 0.2e1 * t57 * t124);
  t128 = M_PI * t127;
  t131 = t95 * t78;
  t133 = t60 * t131 / 0.16e2;
  t135 = my_piecewise3(t51, 0, -t128 * t79 / 0.8e1 - t133);
  tvrho0 = t50 + t82 + t3 * (t121 + t135);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t139 = my_piecewise5(t7, 0, t11, 0, -t4 - t85);
  t142 = my_piecewise3(t17, 0, 0.3e1 / 0.2e1 * t20 * t139);
  t143 = M_PI * t142;
  t147 = my_piecewise3(t2, 0, -t143 * t47 / 0.8e1 - t98);
  t149 = my_piecewise5(t11, 0, t7, 0, t4 - t122);
  t152 = my_piecewise3(t56, 0, 0.3e1 / 0.2e1 * t57 * t149);
  t153 = M_PI * t152;
  t156 = t60 * t26;
  t157 = xc_bessel_I1(t77);
  t162 = t61 * t61;
  t163 = 0.1e1 / t162;
  t168 = my_piecewise3(t72, (-lapl[1] * t67 / 0.2e1 + 0.2e1 * tau[1] * t67 - 0.3e1 / 0.8e1 * sigma[2] * t163) * t37, 0);
  t170 = 0.1e1 / t76;
  t171 = t75 * t170;
  t173 = t171 / t73;
  t174 = t157 * t168 * t173;
  t178 = my_piecewise3(t51, 0, -t153 * t79 / 0.8e1 - t133 - t156 * t174 / 0.16e2);
  tvrho1 = t50 + t82 + t3 * (t147 + t178);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t181 = t33 * t37;
  t183 = my_piecewise3(t39, t181 / 0.8e1, 0);
  t184 = t100 * t183;
  t185 = t184 * t116;
  t188 = my_piecewise3(t2, 0, -t99 * t185 / 0.16e2);
  tvsigma0 = t3 * t188;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t189 = t67 * t37;
  t191 = my_piecewise3(t72, t189 / 0.8e1, 0);
  t192 = t157 * t191;
  t193 = t192 * t173;
  t196 = my_piecewise3(t51, 0, -t156 * t193 / 0.16e2);
  tvsigma2 = t3 * t196;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t197 = t28 * t37;
  t199 = my_piecewise3(t39, t197 / 0.4e1, 0);
  t200 = t100 * t199;
  t201 = t200 * t116;
  t204 = my_piecewise3(t2, 0, -t99 * t201 / 0.16e2);
  tvlapl0 = t3 * t204;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t205 = t62 * t37;
  t207 = my_piecewise3(t72, t205 / 0.4e1, 0);
  t208 = t157 * t207;
  t209 = t208 * t173;
  t212 = my_piecewise3(t51, 0, -t156 * t209 / 0.16e2);
  tvlapl1 = t3 * t212;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t213 = my_piecewise3(t39, -t197, 0);
  t214 = t100 * t213;
  t215 = t214 * t116;
  t218 = my_piecewise3(t2, 0, -t99 * t215 / 0.16e2);
  tvtau0 = t3 * t218;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t219 = my_piecewise3(t72, -t205, 0);
  t220 = t157 * t219;
  t221 = t220 * t173;
  t224 = my_piecewise3(t51, 0, -t156 * t221 / 0.16e2);
  tvtau1 = t3 * t224;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t227 = 0.1e1 / t20;
  t228 = t87 * t87;
  t231 = t83 * t3;
  t232 = 0.1e1 / t231;
  t233 = t13 * t232;
  t236 = my_piecewise5(t7, 0, t11, 0, -0.2e1 * t84 + 0.2e1 * t233);
  t240 = my_piecewise3(t17, 0, 0.3e1 / 0.4e1 * t227 * t228 + 0.3e1 / 0.2e1 * t20 * t236);
  t241 = M_PI * t240;
  t244 = t91 * t96;
  t246 = t91 * t26;
  t251 = t24 / t25 / t3;
  t252 = t251 * t46;
  t254 = t23 * t252 / 0.32e2;
  t255 = t23 * t95;
  t256 = t255 * t117;
  t258 = 0.1e1 / t45;
  t260 = -t258 * t100 + t46;
  t261 = t111 * t111;
  t263 = t43 * t43;
  t264 = t44 * t44;
  t265 = 0.1e1 / t264;
  t266 = t263 * t265;
  t267 = t40 * t40;
  t268 = 0.1e1 / t267;
  t269 = t266 * t268;
  t270 = t260 * t261 * t269;
  t278 = 0.1e1 / t105 / rho[0];
  t283 = my_piecewise3(t39, (0.3e1 / 0.2e1 * lapl[0] * t106 - 0.6e1 * tau[0] * t106 + 0.3e1 / 0.2e1 * sigma[0] * t278) * t37, 0);
  t285 = t100 * t283 * t116;
  t288 = t100 * t261;
  t289 = t43 * t265;
  t290 = t289 * t268;
  t291 = t288 * t290;
  t294 = t264 * t44;
  t295 = 0.1e1 / t294;
  t296 = t263 * t295;
  t297 = t296 * t268;
  t298 = t288 * t297;
  t301 = t114 * t268;
  t302 = t288 * t301;
  t306 = my_piecewise3(t2, 0, -t241 * t47 / 0.8e1 - t244 / 0.8e1 - t246 * t117 / 0.8e1 + t254 - t256 / 0.16e2 - t99 * t270 / 0.32e2 - t99 * t285 / 0.16e2 - t99 * t291 / 0.16e2 + t99 * t298 / 0.16e2 + t99 * t302 / 0.16e2);
  t307 = 0.1e1 / t57;
  t308 = t124 * t124;
  t311 = t52 * t232;
  t314 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t84 + 0.2e1 * t311);
  t318 = my_piecewise3(t56, 0, 0.3e1 / 0.4e1 * t307 * t308 + 0.3e1 / 0.2e1 * t57 * t314);
  t319 = M_PI * t318;
  t322 = t128 * t131;
  t324 = t251 * t78;
  t326 = t60 * t324 / 0.32e2;
  t328 = my_piecewise3(t51, 0, -t319 * t79 / 0.8e1 - t322 / 0.8e1 + t326);
  tv2rho20 = 0.2e1 * t121 + 0.2e1 * t135 + t3 * (t306 + t328);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t331 = t227 * t139;
  t335 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t233);
  t339 = my_piecewise3(t17, 0, 0.3e1 / 0.4e1 * t331 * t87 + 0.3e1 / 0.2e1 * t20 * t335);
  t340 = M_PI * t339;
  t343 = t143 * t96;
  t345 = t143 * t26;
  t351 = my_piecewise3(t2, 0, -t340 * t47 / 0.8e1 - t343 / 0.16e2 - t345 * t117 / 0.16e2 - t244 / 0.16e2 + t254 - t256 / 0.32e2);
  t352 = t307 * t149;
  t356 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t311);
  t360 = my_piecewise3(t56, 0, 0.3e1 / 0.4e1 * t352 * t124 + 0.3e1 / 0.2e1 * t57 * t356);
  t361 = M_PI * t360;
  t364 = t153 * t131;
  t367 = t128 * t26;
  t370 = t60 * t95;
  t371 = t370 * t174;
  t374 = my_piecewise3(t51, 0, -t361 * t79 / 0.8e1 - t364 / 0.16e2 - t322 / 0.16e2 + t326 - t367 * t174 / 0.16e2 - t371 / 0.32e2);
  tv2rho21 = t121 + t135 + t147 + t178 + t3 * (t351 + t374);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t379 = t139 * t139;
  t384 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t84 + 0.2e1 * t233);
  t388 = my_piecewise3(t17, 0, 0.3e1 / 0.4e1 * t227 * t379 + 0.3e1 / 0.2e1 * t20 * t384);
  t389 = M_PI * t388;
  t394 = my_piecewise3(t2, 0, -t389 * t47 / 0.8e1 - t343 / 0.8e1 + t254);
  t395 = t149 * t149;
  t400 = my_piecewise5(t11, 0, t7, 0, -0.2e1 * t84 + 0.2e1 * t311);
  t404 = my_piecewise3(t56, 0, 0.3e1 / 0.4e1 * t307 * t395 + 0.3e1 / 0.2e1 * t57 * t400);
  t405 = M_PI * t404;
  t409 = t153 * t26;
  t413 = 0.1e1 / t77;
  t415 = -t413 * t157 + t78;
  t416 = t168 * t168;
  t418 = t75 * t75;
  t419 = t76 * t76;
  t420 = 0.1e1 / t419;
  t421 = t418 * t420;
  t422 = t73 * t73;
  t423 = 0.1e1 / t422;
  t424 = t421 * t423;
  t425 = t415 * t416 * t424;
  t433 = 0.1e1 / t162 / rho[1];
  t438 = my_piecewise3(t72, (0.3e1 / 0.2e1 * lapl[1] * t163 - 0.6e1 * tau[1] * t163 + 0.3e1 / 0.2e1 * sigma[2] * t433) * t37, 0);
  t440 = t157 * t438 * t173;
  t443 = t157 * t416;
  t444 = t75 * t420;
  t445 = t444 * t423;
  t446 = t443 * t445;
  t449 = t419 * t76;
  t450 = 0.1e1 / t449;
  t451 = t418 * t450;
  t452 = t451 * t423;
  t453 = t443 * t452;
  t456 = t171 * t423;
  t457 = t443 * t456;
  t461 = my_piecewise3(t51, 0, -t405 * t79 / 0.8e1 - t364 / 0.8e1 - t409 * t174 / 0.8e1 + t326 - t371 / 0.16e2 - t156 * t425 / 0.32e2 - t156 * t440 / 0.16e2 - t156 * t446 / 0.16e2 + t156 * t453 / 0.16e2 + t156 * t457 / 0.16e2);
  tv2rho22 = 0.2e1 * t147 + 0.2e1 * t178 + t3 * (t394 + t461);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t467 = t255 * t185 / 0.32e2;
  t468 = t26 * t260;
  t469 = t23 * t468;
  t470 = t111 * t263;
  t471 = t265 * t268;
  t472 = t471 * t183;
  t473 = t470 * t472;
  t476 = t106 * t37;
  t478 = my_piecewise3(t39, -0.3e1 / 0.8e1 * t476, 0);
  t480 = t100 * t478 * t116;
  t483 = t26 * t100;
  t484 = t23 * t483;
  t485 = t183 * t111;
  t486 = t485 * t290;
  t489 = t183 * t263;
  t490 = t295 * t268;
  t491 = t490 * t111;
  t492 = t489 * t491;
  t495 = t183 * t43;
  t496 = t113 * t268;
  t497 = t496 * t111;
  t498 = t495 * t497;
  t502 = my_piecewise3(t2, 0, -t246 * t185 / 0.16e2 - t467 - t469 * t473 / 0.32e2 - t99 * t480 / 0.16e2 - t484 * t486 / 0.16e2 + t484 * t492 / 0.16e2 + t484 * t498 / 0.16e2);
  tv2rhosigma0 = t3 * t502 + t188;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t507 = t370 * t193 / 0.32e2;
  t509 = my_piecewise3(t51, 0, -t367 * t193 / 0.16e2 - t507);
  tv2rhosigma2 = t3 * t509 + t196;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t514 = my_piecewise3(t2, 0, -t345 * t185 / 0.16e2 - t467);
  tv2rhosigma3 = t3 * t514 + t188;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t518 = t26 * t415;
  t519 = t60 * t518;
  t520 = t168 * t418;
  t521 = t420 * t423;
  t522 = t521 * t191;
  t523 = t520 * t522;
  t526 = t163 * t37;
  t528 = my_piecewise3(t72, -0.3e1 / 0.8e1 * t526, 0);
  t530 = t157 * t528 * t173;
  t533 = t26 * t157;
  t534 = t60 * t533;
  t535 = t191 * t168;
  t536 = t535 * t445;
  t539 = t191 * t418;
  t540 = t450 * t423;
  t541 = t540 * t168;
  t542 = t539 * t541;
  t545 = t191 * t75;
  t546 = t170 * t423;
  t547 = t546 * t168;
  t548 = t545 * t547;
  t552 = my_piecewise3(t51, 0, -t409 * t193 / 0.16e2 - t507 - t519 * t523 / 0.32e2 - t156 * t530 / 0.16e2 - t534 * t536 / 0.16e2 + t534 * t542 / 0.16e2 + t534 * t548 / 0.16e2);
  tv2rhosigma5 = t3 * t552 + t196;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t557 = t255 * t201 / 0.32e2;
  t558 = t471 * t199;
  t559 = t470 * t558;
  t563 = my_piecewise3(t39, -t181 / 0.2e1, 0);
  t565 = t100 * t563 * t116;
  t568 = t199 * t111;
  t569 = t568 * t290;
  t572 = t199 * t263;
  t573 = t572 * t491;
  t576 = t199 * t43;
  t577 = t576 * t497;
  t581 = my_piecewise3(t2, 0, -t246 * t201 / 0.16e2 - t557 - t469 * t559 / 0.32e2 - t99 * t565 / 0.16e2 - t484 * t569 / 0.16e2 + t484 * t573 / 0.16e2 + t484 * t577 / 0.16e2);
  tv2rholapl0 = t3 * t581 + t204;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t586 = t370 * t209 / 0.32e2;
  t588 = my_piecewise3(t51, 0, -t367 * t209 / 0.16e2 - t586);
  tv2rholapl1 = t3 * t588 + t212;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t593 = my_piecewise3(t2, 0, -t345 * t201 / 0.16e2 - t557);
  tv2rholapl2 = t3 * t593 + t204;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t597 = t521 * t207;
  t598 = t520 * t597;
  t602 = my_piecewise3(t72, -t189 / 0.2e1, 0);
  t604 = t157 * t602 * t173;
  t607 = t207 * t168;
  t608 = t607 * t445;
  t611 = t207 * t418;
  t612 = t611 * t541;
  t615 = t207 * t75;
  t616 = t615 * t547;
  t620 = my_piecewise3(t51, 0, -t409 * t209 / 0.16e2 - t586 - t519 * t598 / 0.32e2 - t156 * t604 / 0.16e2 - t534 * t608 / 0.16e2 + t534 * t612 / 0.16e2 + t534 * t616 / 0.16e2);
  tv2rholapl3 = t3 * t620 + t212;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  t625 = t255 * t215 / 0.32e2;
  t626 = t471 * t213;
  t627 = t470 * t626;
  t631 = my_piecewise3(t39, 0.2e1 * t181, 0);
  t633 = t100 * t631 * t116;
  t636 = t213 * t111;
  t637 = t636 * t290;
  t640 = t213 * t263;
  t641 = t640 * t491;
  t644 = t213 * t43;
  t645 = t644 * t497;
  t649 = my_piecewise3(t2, 0, -t246 * t215 / 0.16e2 - t625 - t469 * t627 / 0.32e2 - t99 * t633 / 0.16e2 - t484 * t637 / 0.16e2 + t484 * t641 / 0.16e2 + t484 * t645 / 0.16e2);
  tv2rhotau0 = t3 * t649 + t218;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t654 = t370 * t221 / 0.32e2;
  t656 = my_piecewise3(t51, 0, -t367 * t221 / 0.16e2 - t654);
  tv2rhotau1 = t3 * t656 + t224;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  t661 = my_piecewise3(t2, 0, -t345 * t215 / 0.16e2 - t625);
  tv2rhotau2 = t3 * t661 + t218;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  t665 = t521 * t219;
  t666 = t520 * t665;
  t670 = my_piecewise3(t72, 0.2e1 * t189, 0);
  t672 = t157 * t670 * t173;
  t675 = t219 * t168;
  t676 = t675 * t445;
  t679 = t219 * t418;
  t680 = t679 * t541;
  t683 = t219 * t75;
  t684 = t683 * t547;
  t688 = my_piecewise3(t51, 0, -t409 * t221 / 0.16e2 - t654 - t519 * t666 / 0.32e2 - t156 * t672 / 0.16e2 - t534 * t676 / 0.16e2 + t534 * t680 / 0.16e2 + t534 * t684 / 0.16e2);
  tv2rhotau3 = t3 * t688 + t224;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t690 = t183 * t183;
  t692 = t260 * t690 * t269;
  t695 = my_piecewise3(t39, 0, 0);
  t697 = t100 * t695 * t116;
  t699 = t99 * t697 / 0.16e2;
  t700 = t100 * t690;
  t701 = t700 * t290;
  t704 = t700 * t297;
  t707 = t700 * t301;
  t711 = my_piecewise3(t2, 0, -t99 * t692 / 0.32e2 - t699 - t99 * t701 / 0.16e2 + t99 * t704 / 0.16e2 + t99 * t707 / 0.16e2);
  tv2sigma20 = t3 * t711;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t712 = t191 * t191;
  t714 = t415 * t712 * t424;
  t717 = my_piecewise3(t72, 0, 0);
  t719 = t157 * t717 * t173;
  t721 = t156 * t719 / 0.16e2;
  t722 = t157 * t712;
  t723 = t722 * t445;
  t726 = t722 * t452;
  t729 = t722 * t456;
  t733 = my_piecewise3(t51, 0, -t156 * t714 / 0.32e2 - t721 - t156 * t723 / 0.16e2 + t156 * t726 / 0.16e2 + t156 * t729 / 0.16e2);
  tv2sigma25 = t3 * t733;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t734 = t489 * t558;
  t737 = t199 * t183;
  t738 = t737 * t290;
  t741 = t490 * t183;
  t742 = t572 * t741;
  t745 = t496 * t183;
  t746 = t576 * t745;
  t750 = my_piecewise3(t2, 0, -t469 * t734 / 0.32e2 - t699 - t484 * t738 / 0.16e2 + t484 * t742 / 0.16e2 + t484 * t746 / 0.16e2);
  tv2sigmalapl0 = t3 * t750;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t751 = t539 * t597;
  t754 = t207 * t191;
  t755 = t754 * t445;
  t758 = t540 * t191;
  t759 = t611 * t758;
  t762 = t546 * t191;
  t763 = t615 * t762;
  t767 = my_piecewise3(t51, 0, -t519 * t751 / 0.32e2 - t721 - t534 * t755 / 0.16e2 + t534 * t759 / 0.16e2 + t534 * t763 / 0.16e2);
  tv2sigmalapl5 = t3 * t767;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  t768 = t489 * t626;
  t771 = t213 * t183;
  t772 = t771 * t290;
  t775 = t640 * t741;
  t778 = t644 * t745;
  t782 = my_piecewise3(t2, 0, -t469 * t768 / 0.32e2 - t699 - t484 * t772 / 0.16e2 + t484 * t775 / 0.16e2 + t484 * t778 / 0.16e2);
  tv2sigmatau0 = t3 * t782;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  t783 = t539 * t665;
  t786 = t219 * t191;
  t787 = t786 * t445;
  t790 = t679 * t758;
  t793 = t683 * t762;
  t797 = my_piecewise3(t51, 0, -t519 * t783 / 0.32e2 - t721 - t534 * t787 / 0.16e2 + t534 * t790 / 0.16e2 + t534 * t793 / 0.16e2);
  tv2sigmatau5 = t3 * t797;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t798 = t199 * t199;
  t800 = t260 * t798 * t269;
  t803 = t100 * t798;
  t804 = t803 * t290;
  t807 = t803 * t297;
  t810 = t803 * t301;
  t814 = my_piecewise3(t2, 0, -t99 * t800 / 0.32e2 - t699 - t99 * t804 / 0.16e2 + t99 * t807 / 0.16e2 + t99 * t810 / 0.16e2);
  tv2lapl20 = t3 * t814;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t815 = t207 * t207;
  t817 = t415 * t815 * t424;
  t820 = t157 * t815;
  t821 = t820 * t445;
  t824 = t820 * t452;
  t827 = t820 * t456;
  t831 = my_piecewise3(t51, 0, -t156 * t817 / 0.32e2 - t721 - t156 * t821 / 0.16e2 + t156 * t824 / 0.16e2 + t156 * t827 / 0.16e2);
  tv2lapl22 = t3 * t831;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  t832 = t572 * t626;
  t835 = t213 * t199;
  t836 = t835 * t290;
  t839 = t490 * t199;
  t840 = t640 * t839;
  t843 = t496 * t199;
  t844 = t644 * t843;
  t848 = my_piecewise3(t2, 0, -t469 * t832 / 0.32e2 - t699 - t484 * t836 / 0.16e2 + t484 * t840 / 0.16e2 + t484 * t844 / 0.16e2);
  tv2lapltau0 = t3 * t848;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  t849 = t611 * t665;
  t852 = t219 * t207;
  t853 = t852 * t445;
  t856 = t540 * t207;
  t857 = t679 * t856;
  t860 = t546 * t207;
  t861 = t683 * t860;
  t865 = my_piecewise3(t51, 0, -t519 * t849 / 0.32e2 - t721 - t534 * t853 / 0.16e2 + t534 * t857 / 0.16e2 + t534 * t861 / 0.16e2);
  tv2lapltau3 = t3 * t865;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  t866 = t213 * t213;
  t868 = t260 * t866 * t269;
  t871 = t100 * t866;
  t872 = t871 * t290;
  t875 = t871 * t297;
  t878 = t871 * t301;
  t882 = my_piecewise3(t2, 0, -t99 * t868 / 0.32e2 - t699 - t99 * t872 / 0.16e2 + t99 * t875 / 0.16e2 + t99 * t878 / 0.16e2);
  tv2tau20 = t3 * t882;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  t883 = t219 * t219;
  t885 = t415 * t883 * t424;
  t888 = t157 * t883;
  t889 = t888 * t445;
  t892 = t888 * t452;
  t895 = t888 * t456;
  t899 = my_piecewise3(t51, 0, -t156 * t885 / 0.32e2 - t721 - t156 * t889 / 0.16e2 + t156 * t892 / 0.16e2 + t156 * t895 / 0.16e2);
  tv2tau22 = t3 * t899;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

  t902 = 0.1e1 / t21;
  t903 = t228 * t87;
  t906 = t227 * t87;
  t909 = t83 * t83;
  t910 = 0.1e1 / t909;
  t911 = t13 * t910;
  t914 = my_piecewise5(t7, 0, t11, 0, 0.6e1 * t232 - 0.6e1 * t911);
  t918 = my_piecewise3(t17, 0, -0.3e1 / 0.8e1 * t902 * t903 + 0.9e1 / 0.4e1 * t906 * t236 + 0.3e1 / 0.2e1 * t20 * t914);
  t919 = M_PI * t918;
  t924 = t24 / t25 / t83;
  t925 = t924 * t46;
  t927 = 0.3e1 / 0.64e2 * t23 * t925;
  t928 = t241 * t96;
  t930 = t91 * t252;
  t932 = t261 * t111;
  t933 = t260 * t932;
  t934 = t263 * t43;
  t935 = t264 * t264;
  t936 = 0.1e1 / t935;
  t937 = t934 * t936;
  t939 = 0.1e1 / t267 / t40;
  t940 = t937 * t939;
  t941 = t933 * t940;
  t944 = t100 * t932;
  t945 = t263 * t936;
  t946 = t945 * t939;
  t947 = t944 * t946;
  t951 = 0.1e1 / t935 / t44;
  t952 = t934 * t951;
  t953 = t952 * t939;
  t954 = t944 * t953;
  t959 = t255 * t298;
  t961 = t296 * t939;
  t962 = t933 * t961;
  t965 = t114 * t939;
  t966 = t944 * t965;
  t969 = t266 * t939;
  t970 = t933 * t969;
  t973 = t289 * t939;
  t974 = t944 * t973;
  t977 = t944 * t961;
  t982 = t255 * t302;
  t984 = -t919 * t47 / 0.8e1 - t927 - 0.3e1 / 0.16e2 * t928 + 0.3e1 / 0.32e2 * t930 + 0.3e1 / 0.32e2 * t99 * t941 + t99 * t947 / 0.4e1 - 0.3e1 / 0.16e2 * t99 * t954 + 0.3e1 / 0.16e2 * t246 * t298 + 0.3e1 / 0.32e2 * t959 - 0.3e1 / 0.32e2 * t99 * t962 - t99 * t966 / 0.8e1 + 0.3e1 / 0.32e2 * t99 * t970 + 0.3e1 / 0.16e2 * t99 * t974 - 0.3e1 / 0.16e2 * t99 * t977 + 0.3e1 / 0.16e2 * t246 * t302 + 0.3e1 / 0.32e2 * t982;
  t989 = t23 * t251;
  t990 = t989 * t117;
  t992 = t255 * t285;
  t994 = t255 * t270;
  t996 = t45 * t45;
  t997 = 0.1e1 / t996;
  t998 = t997 * t100;
  t1001 = t258 * t260;
  t1005 = -t1001 * t111 * t116 / 0.2e1 + t998 * t111 * t116 / 0.2e1 + t117 / 0.2e1;
  t1007 = t1005 * t261 * t269;
  t1015 = 0.1e1 / t105 / t27;
  t1020 = my_piecewise3(t39, (-0.6e1 * lapl[0] * t278 + 0.24e2 * tau[0] * t278 - 0.15e2 / 0.2e1 * sigma[0] * t1015) * t37, 0);
  t1022 = t100 * t1020 * t116;
  t1025 = t241 * t26;
  t1028 = t91 * t95;
  t1029 = t1028 * t117;
  t1033 = t255 * t291;
  t1035 = t43 * t295;
  t1036 = t1035 * t939;
  t1037 = t944 * t1036;
  t1041 = t470 * t471 * t283;
  t1045 = t283 * t111 * t290;
  t1048 = t283 * t263;
  t1049 = t1048 * t491;
  t1053 = t283 * t43 * t497;
  t1056 = -0.3e1 / 0.16e2 * t246 * t285 - 0.3e1 / 0.32e2 * t246 * t270 + 0.3e1 / 0.64e2 * t990 - 0.3e1 / 0.32e2 * t992 - 0.3e1 / 0.64e2 * t994 - t99 * t1007 / 0.32e2 - t99 * t1022 / 0.16e2 - 0.3e1 / 0.16e2 * t1025 * t117 - 0.3e1 / 0.16e2 * t1029 - 0.3e1 / 0.16e2 * t246 * t291 - 0.3e1 / 0.32e2 * t1033 - t99 * t1037 / 0.16e2 - 0.3e1 / 0.32e2 * t469 * t1041 - 0.3e1 / 0.16e2 * t484 * t1045 + 0.3e1 / 0.16e2 * t484 * t1049 + 0.3e1 / 0.16e2 * t484 * t1053;
  t1058 = my_piecewise3(t2, 0, t984 + t1056);
  t1059 = 0.1e1 / t58;
  t1060 = t308 * t124;
  t1063 = t307 * t124;
  t1066 = t52 * t910;
  t1069 = my_piecewise5(t11, 0, t7, 0, -0.6e1 * t232 - 0.6e1 * t1066);
  t1073 = my_piecewise3(t56, 0, -0.3e1 / 0.8e1 * t1059 * t1060 + 0.9e1 / 0.4e1 * t1063 * t314 + 0.3e1 / 0.2e1 * t57 * t1069);
  t1074 = M_PI * t1073;
  t1077 = t319 * t131;
  t1079 = t128 * t324;
  t1081 = t924 * t78;
  t1083 = 0.3e1 / 0.64e2 * t60 * t1081;
  t1085 = my_piecewise3(t51, 0, -t1074 * t79 / 0.8e1 - 0.3e1 / 0.16e2 * t1077 + 0.3e1 / 0.32e2 * t1079 - t1083);
  tv3rho30 = 0.3e1 * t306 + 0.3e1 * t328 + t3 * (t1058 + t1085);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t1088 = 0.2e1 * t351;
  t1089 = 0.2e1 * t374;
  t1093 = t902 * t139;
  t1096 = t227 * t335;
  t1101 = 0.2e1 * t232;
  t1102 = 0.6e1 * t911;
  t1104 = my_piecewise5(t7, 0, t11, 0, t1101 - t1102);
  t1108 = my_piecewise3(t17, 0, -0.3e1 / 0.8e1 * t1093 * t228 + 0.3e1 / 0.2e1 * t1096 * t87 + 0.3e1 / 0.4e1 * t331 * t236 + 0.3e1 / 0.2e1 * t20 * t1104);
  t1109 = M_PI * t1108;
  t1113 = t340 * t96 / 0.8e1;
  t1114 = t143 * t252;
  t1124 = t340 * t26;
  t1127 = t143 * t95;
  t1129 = t1127 * t117 / 0.16e2;
  t1138 = -t1033 / 0.32e2 - t345 * t291 / 0.16e2 - t1109 * t47 / 0.8e1 - t1113 + t1114 / 0.32e2 - t927 - t928 / 0.16e2 + t930 / 0.16e2 + t345 * t298 / 0.16e2 + t959 / 0.32e2 + t345 * t302 / 0.16e2 + t982 / 0.32e2 - t1124 * t117 / 0.8e1 - t1129 - t345 * t285 / 0.16e2 - t345 * t270 / 0.32e2 + t990 / 0.32e2 - t992 / 0.32e2 - t994 / 0.64e2 - t1029 / 0.16e2;
  t1139 = my_piecewise3(t2, 0, t1138);
  t1140 = t1059 * t149;
  t1143 = t307 * t356;
  t1148 = 0.6e1 * t1066;
  t1150 = my_piecewise5(t11, 0, t7, 0, -t1101 - t1148);
  t1154 = my_piecewise3(t56, 0, -0.3e1 / 0.8e1 * t1140 * t308 + 0.3e1 / 0.2e1 * t1143 * t124 + 0.3e1 / 0.4e1 * t352 * t314 + 0.3e1 / 0.2e1 * t57 * t1150);
  t1155 = M_PI * t1154;
  t1159 = t361 * t131 / 0.8e1;
  t1160 = t153 * t324;
  t1164 = t319 * t26;
  t1167 = t128 * t95;
  t1169 = t1167 * t174 / 0.16e2;
  t1170 = t60 * t251;
  t1171 = t1170 * t174;
  t1174 = my_piecewise3(t51, 0, -t1155 * t79 / 0.8e1 - t1159 + t1160 / 0.32e2 - t1077 / 0.16e2 + t1079 / 0.16e2 - t1083 - t1164 * t174 / 0.16e2 - t1169 + t1171 / 0.64e2);
  tv3rho31 = t306 + t328 + t1088 + t1089 + t3 * (t1139 + t1174);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t1177 = t902 * t379;
  t1182 = t227 * t384;
  t1186 = my_piecewise5(t7, 0, t11, 0, -t1101 - t1102);
  t1190 = my_piecewise3(t17, 0, -0.3e1 / 0.8e1 * t1177 * t87 + 0.3e1 / 0.2e1 * t331 * t335 + 0.3e1 / 0.4e1 * t1182 * t87 + 0.3e1 / 0.2e1 * t20 * t1186);
  t1191 = M_PI * t1190;
  t1194 = t389 * t96;
  t1196 = t389 * t26;
  t1203 = my_piecewise3(t2, 0, -t1191 * t47 / 0.8e1 - t1194 / 0.16e2 - t1196 * t117 / 0.16e2 - t1113 + t1114 / 0.16e2 - t1129 + t930 / 0.32e2 - t927 + t990 / 0.64e2);
  t1204 = t1059 * t395;
  t1209 = t307 * t400;
  t1213 = my_piecewise5(t11, 0, t7, 0, t1101 - t1148);
  t1217 = my_piecewise3(t56, 0, -0.3e1 / 0.8e1 * t1204 * t124 + 0.3e1 / 0.2e1 * t352 * t356 + 0.3e1 / 0.4e1 * t1209 * t124 + 0.3e1 / 0.2e1 * t57 * t1213);
  t1218 = M_PI * t1217;
  t1221 = t405 * t131;
  t1224 = t361 * t26;
  t1227 = t153 * t95;
  t1228 = t1227 * t174;
  t1234 = t370 * t425;
  t1238 = t370 * t440;
  t1242 = t370 * t446;
  t1246 = t370 * t453;
  t1250 = t370 * t457;
  t1252 = -t1218 * t79 / 0.8e1 - t1221 / 0.16e2 - t1159 + t1160 / 0.16e2 - t1224 * t174 / 0.8e1 - t1228 / 0.16e2 + t1079 / 0.32e2 - t1083 - t1169 + t1171 / 0.32e2 - t367 * t425 / 0.32e2 - t1234 / 0.64e2 - t367 * t440 / 0.16e2 - t1238 / 0.32e2 - t367 * t446 / 0.16e2 - t1242 / 0.32e2 + t367 * t453 / 0.16e2 + t1246 / 0.32e2 + t367 * t457 / 0.16e2 + t1250 / 0.32e2;
  t1253 = my_piecewise3(t51, 0, t1252);
  tv3rho32 = t1088 + t1089 + t394 + t461 + t3 * (t1203 + t1253);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t1258 = t379 * t139;
  t1265 = my_piecewise5(t7, 0, t11, 0, -0.6e1 * t232 - 0.6e1 * t911);
  t1269 = my_piecewise3(t17, 0, -0.3e1 / 0.8e1 * t902 * t1258 + 0.9e1 / 0.4e1 * t331 * t384 + 0.3e1 / 0.2e1 * t20 * t1265);
  t1270 = M_PI * t1269;
  t1276 = my_piecewise3(t2, 0, -t1270 * t47 / 0.8e1 - 0.3e1 / 0.16e2 * t1194 + 0.3e1 / 0.32e2 * t1114 - t927);
  t1282 = t520 * t521 * t438;
  t1286 = t438 * t75 * t547;
  t1290 = t438 * t168 * t445;
  t1293 = t438 * t418;
  t1294 = t1293 * t541;
  t1297 = t405 * t26;
  t1304 = t77 * t77;
  t1305 = 0.1e1 / t1304;
  t1306 = t1305 * t157;
  t1309 = t413 * t415;
  t1313 = t1306 * t168 * t173 / 0.2e1 - t1309 * t168 * t173 / 0.2e1 + t174 / 0.2e1;
  t1315 = t1313 * t416 * t424;
  t1321 = -t1083 + 0.3e1 / 0.32e2 * t1160 + 0.3e1 / 0.64e2 * t1171 - 0.3e1 / 0.16e2 * t1228 - 0.3e1 / 0.64e2 * t1234 - 0.3e1 / 0.32e2 * t519 * t1282 + 0.3e1 / 0.16e2 * t534 * t1286 - 0.3e1 / 0.16e2 * t534 * t1290 + 0.3e1 / 0.16e2 * t534 * t1294 - 0.3e1 / 0.16e2 * t1297 * t174 - 0.3e1 / 0.16e2 * t409 * t440 - 0.3e1 / 0.32e2 * t409 * t425 - t156 * t1315 / 0.32e2 - 0.3e1 / 0.32e2 * t1238 - 0.3e1 / 0.32e2 * t1242 + 0.3e1 / 0.32e2 * t1246;
  t1325 = t416 * t168;
  t1326 = t157 * t1325;
  t1327 = t75 * t450;
  t1329 = 0.1e1 / t422 / t73;
  t1330 = t1327 * t1329;
  t1331 = t1326 * t1330;
  t1334 = t415 * t1325;
  t1335 = t451 * t1329;
  t1336 = t1334 * t1335;
  t1339 = t418 * t75;
  t1340 = t419 * t419;
  t1341 = 0.1e1 / t1340;
  t1342 = t1339 * t1341;
  t1343 = t1342 * t1329;
  t1344 = t1334 * t1343;
  t1347 = t418 * t1341;
  t1348 = t1347 * t1329;
  t1349 = t1326 * t1348;
  t1353 = 0.1e1 / t1340 / t76;
  t1354 = t1339 * t1353;
  t1355 = t1354 * t1329;
  t1356 = t1326 * t1355;
  t1361 = t444 * t1329;
  t1362 = t1326 * t1361;
  t1365 = t1326 * t1335;
  t1368 = t171 * t1329;
  t1369 = t1326 * t1368;
  t1374 = t421 * t1329;
  t1375 = t1334 * t1374;
  t1383 = 0.1e1 / t162 / t61;
  t1388 = my_piecewise3(t72, (-0.6e1 * lapl[1] * t433 + 0.24e2 * tau[1] * t433 - 0.15e2 / 0.2e1 * sigma[2] * t1383) * t37, 0);
  t1390 = t157 * t1388 * t173;
  t1394 = t395 * t149;
  t1401 = my_piecewise5(t11, 0, t7, 0, 0.6e1 * t232 - 0.6e1 * t1066);
  t1405 = my_piecewise3(t56, 0, -0.3e1 / 0.8e1 * t1059 * t1394 + 0.9e1 / 0.4e1 * t352 * t400 + 0.3e1 / 0.2e1 * t57 * t1401);
  t1406 = M_PI * t1405;
  t1409 = 0.3e1 / 0.32e2 * t1250 - 0.3e1 / 0.16e2 * t409 * t446 - t156 * t1331 / 0.16e2 - 0.3e1 / 0.32e2 * t156 * t1336 + 0.3e1 / 0.32e2 * t156 * t1344 + t156 * t1349 / 0.4e1 - 0.3e1 / 0.16e2 * t156 * t1356 + 0.3e1 / 0.16e2 * t409 * t453 + 0.3e1 / 0.16e2 * t156 * t1362 - 0.3e1 / 0.16e2 * t156 * t1365 - t156 * t1369 / 0.8e1 + 0.3e1 / 0.16e2 * t409 * t457 + 0.3e1 / 0.32e2 * t156 * t1375 - t156 * t1390 / 0.16e2 - 0.3e1 / 0.16e2 * t1221 - t1406 * t79 / 0.8e1;
  t1411 = my_piecewise3(t51, 0, t1321 + t1409);
  tv3rho33 = 0.3e1 * t394 + 0.3e1 * t461 + t3 * (t1276 + t1411);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t1415 = t91 * t483;
  t1418 = t95 * t100;
  t1419 = t23 * t1418;
  t1420 = t1419 * t486;
  t1423 = t478 * t111 * t290;
  t1428 = t183 * t261;
  t1429 = t1428 * t946;
  t1432 = t1028 * t185;
  t1435 = t989 * t185 / 0.64e2;
  t1440 = t255 * t480;
  t1442 = t278 * t37;
  t1444 = my_piecewise3(t39, 0.3e1 / 0.2e1 * t1442, 0);
  t1446 = t100 * t1444 * t116;
  t1449 = t1419 * t492;
  t1451 = t478 * t263;
  t1452 = t1451 * t491;
  t1455 = t1428 * t1036;
  t1458 = t1428 * t973;
  t1461 = t295 * t939;
  t1462 = t1461 * t261;
  t1463 = t489 * t1462;
  t1466 = -t1415 * t486 / 0.8e1 - t1420 / 0.16e2 - t484 * t1423 / 0.8e1 + t1415 * t492 / 0.8e1 + t484 * t1429 / 0.4e1 - t1432 / 0.16e2 + t1435 - t1025 * t185 / 0.16e2 - t246 * t480 / 0.8e1 - t1440 / 0.16e2 - t99 * t1446 / 0.16e2 + t1449 / 0.16e2 + t484 * t1452 / 0.8e1 - t484 * t1455 / 0.16e2 + 0.3e1 / 0.16e2 * t484 * t1458 - 0.3e1 / 0.16e2 * t484 * t1463;
  t1467 = t113 * t939;
  t1468 = t1467 * t261;
  t1469 = t495 * t1468;
  t1472 = t261 * t263;
  t1473 = t265 * t939;
  t1474 = t1473 * t183;
  t1475 = t1472 * t1474;
  t1478 = t496 * t283;
  t1479 = t495 * t1478;
  t1482 = t478 * t43;
  t1483 = t1482 * t497;
  t1486 = t183 * t283;
  t1487 = t1486 * t290;
  t1490 = t490 * t283;
  t1491 = t489 * t1490;
  t1496 = t91 * t468;
  t1499 = t1419 * t498;
  t1501 = t95 * t260;
  t1502 = t23 * t1501;
  t1503 = t1502 * t473;
  t1505 = t26 * t1005;
  t1506 = t23 * t1505;
  t1509 = t1048 * t472;
  t1512 = t471 * t478;
  t1513 = t470 * t1512;
  t1516 = t183 * t934;
  t1517 = t951 * t939;
  t1518 = t1517 * t261;
  t1519 = t1516 * t1518;
  t1524 = t261 * t934;
  t1525 = t936 * t939;
  t1526 = t1525 * t183;
  t1527 = t1524 * t1526;
  t1530 = -t484 * t1469 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t1475 + t484 * t1479 / 0.16e2 + t484 * t1483 / 0.8e1 - t484 * t1487 / 0.16e2 + t484 * t1491 / 0.16e2 + t1415 * t498 / 0.8e1 - t1496 * t473 / 0.16e2 + t1499 / 0.16e2 - t1503 / 0.32e2 - t1506 * t473 / 0.32e2 - t469 * t1509 / 0.32e2 - t469 * t1513 / 0.16e2 - 0.3e1 / 0.16e2 * t484 * t1519 - 0.3e1 / 0.32e2 * t469 * t1463 + 0.3e1 / 0.32e2 * t469 * t1527;
  t1532 = my_piecewise3(t2, 0, t1466 + t1530);
  tv3rho2sigma0 = t3 * t1532 + 0.2e1 * t502;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t1537 = t1167 * t193;
  t1540 = t1170 * t193 / 0.64e2;
  t1542 = my_piecewise3(t51, 0, -t1164 * t193 / 0.16e2 - t1537 / 0.16e2 + t1540);
  tv3rho2sigma2 = t3 * t1542 + 0.2e1 * t509;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t1546 = t1127 * t185;
  t1548 = t143 * t468;
  t1553 = t143 * t483;
  t1566 = -t1124 * t185 / 0.16e2 - t1546 / 0.32e2 - t1548 * t473 / 0.32e2 - t345 * t480 / 0.16e2 - t1553 * t486 / 0.16e2 + t1553 * t492 / 0.16e2 + t1553 * t498 / 0.16e2 - t1432 / 0.32e2 + t1435 - t1503 / 0.64e2 - t1440 / 0.32e2 - t1420 / 0.32e2 + t1449 / 0.32e2 + t1499 / 0.32e2;
  t1567 = my_piecewise3(t2, 0, t1566);
  tv3rho2sigma3 = t3 * t1567 + t502 + t514;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t1571 = t1227 * t193;
  t1574 = t128 * t518;
  t1577 = t95 * t415;
  t1578 = t60 * t1577;
  t1579 = t1578 * t523;
  t1583 = t370 * t530;
  t1585 = t128 * t533;
  t1588 = t95 * t157;
  t1589 = t60 * t1588;
  t1590 = t1589 * t536;
  t1594 = t1589 * t542;
  t1598 = t1589 * t548;
  t1600 = -t1224 * t193 / 0.16e2 - t1571 / 0.32e2 - t1537 / 0.32e2 + t1540 - t1574 * t523 / 0.32e2 - t1579 / 0.64e2 - t367 * t530 / 0.16e2 - t1583 / 0.32e2 - t1585 * t536 / 0.16e2 - t1590 / 0.32e2 + t1585 * t542 / 0.16e2 + t1594 / 0.32e2 + t1585 * t548 / 0.16e2 + t1598 / 0.32e2;
  t1601 = my_piecewise3(t51, 0, t1600);
  tv3rho2sigma5 = t3 * t1601 + t509 + t552;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t1608 = my_piecewise3(t2, 0, -t1196 * t185 / 0.16e2 - t1546 / 0.16e2 + t1435);
  tv3rho2sigma6 = t3 * t1608 + 0.2e1 * t514;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t1611 = t191 * t1339;
  t1612 = t1353 * t1329;
  t1613 = t1612 * t416;
  t1614 = t1611 * t1613;
  t1617 = t416 * t418;
  t1618 = t450 * t1329;
  t1619 = t1618 * t191;
  t1620 = t1617 * t1619;
  t1623 = t416 * t1339;
  t1624 = t1341 * t1329;
  t1625 = t1624 * t191;
  t1626 = t1623 * t1625;
  t1629 = t191 * t416;
  t1630 = t1629 * t1348;
  t1634 = t433 * t37;
  t1636 = my_piecewise3(t72, 0.3e1 / 0.2e1 * t1634, 0);
  t1638 = t157 * t1636 * t173;
  t1650 = t546 * t438;
  t1651 = t545 * t1650;
  t1654 = t26 * t1313;
  t1655 = t60 * t1654;
  t1658 = -0.3e1 / 0.16e2 * t534 * t1614 - 0.3e1 / 0.32e2 * t519 * t1620 + 0.3e1 / 0.32e2 * t519 * t1626 + t534 * t1630 / 0.4e1 - t1583 / 0.16e2 - t156 * t1638 / 0.16e2 - t1297 * t193 / 0.16e2 - t409 * t530 / 0.8e1 + t1540 - t1571 / 0.16e2 - t1579 / 0.32e2 - t1590 / 0.16e2 + t1594 / 0.16e2 + t1598 / 0.16e2 + t534 * t1651 / 0.16e2 - t1655 * t523 / 0.32e2;
  t1659 = t1293 * t522;
  t1662 = t521 * t528;
  t1663 = t520 * t1662;
  t1666 = t528 * t75;
  t1667 = t1666 * t547;
  t1670 = t191 * t438;
  t1671 = t1670 * t445;
  t1674 = t540 * t438;
  t1675 = t539 * t1674;
  t1678 = t153 * t533;
  t1681 = t153 * t518;
  t1685 = t528 * t168 * t445;
  t1692 = t528 * t418;
  t1693 = t1692 * t541;
  t1696 = t1629 * t1330;
  t1701 = t170 * t1329;
  t1702 = t1701 * t416;
  t1703 = t545 * t1702;
  t1706 = t420 * t1329;
  t1707 = t1706 * t191;
  t1708 = t1617 * t1707;
  t1711 = t1629 * t1361;
  t1714 = -t519 * t1659 / 0.32e2 - t519 * t1663 / 0.16e2 + t534 * t1667 / 0.8e1 - t534 * t1671 / 0.16e2 + t534 * t1675 / 0.16e2 + t1678 * t548 / 0.8e1 - t1681 * t523 / 0.16e2 - t534 * t1685 / 0.8e1 - t1678 * t536 / 0.8e1 + t1678 * t542 / 0.8e1 + t534 * t1693 / 0.8e1 - t534 * t1696 / 0.16e2 - 0.3e1 / 0.16e2 * t534 * t1620 - t534 * t1703 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t1708 + 0.3e1 / 0.16e2 * t534 * t1711;
  t1716 = my_piecewise3(t51, 0, t1658 + t1714);
  tv3rho2sigma8 = t3 * t1716 + 0.2e1 * t552;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t1719 = t199 * t934;
  t1720 = t1719 * t1518;
  t1723 = t563 * t43;
  t1724 = t1723 * t497;
  t1729 = t1419 * t569;
  t1732 = t563 * t111 * t290;
  t1737 = t1419 * t573;
  t1739 = t563 * t263;
  t1740 = t1739 * t491;
  t1743 = t199 * t261;
  t1744 = t1743 * t1036;
  t1747 = t1743 * t973;
  t1750 = t572 * t1462;
  t1753 = t576 * t1468;
  t1756 = t1473 * t199;
  t1757 = t1472 * t1756;
  t1762 = t1525 * t199;
  t1763 = t1524 * t1762;
  t1766 = t1743 * t946;
  t1769 = -0.3e1 / 0.16e2 * t484 * t1720 + t484 * t1724 / 0.8e1 - t1415 * t569 / 0.8e1 - t1729 / 0.16e2 - t484 * t1732 / 0.8e1 + t1415 * t573 / 0.8e1 + t1737 / 0.16e2 + t484 * t1740 / 0.8e1 - t484 * t1744 / 0.16e2 + 0.3e1 / 0.16e2 * t484 * t1747 - 0.3e1 / 0.16e2 * t484 * t1750 - t484 * t1753 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t1757 - 0.3e1 / 0.32e2 * t469 * t1750 + 0.3e1 / 0.32e2 * t469 * t1763 + t484 * t1766 / 0.4e1;
  t1770 = t199 * t283;
  t1771 = t1770 * t290;
  t1774 = t572 * t1490;
  t1777 = t576 * t1478;
  t1784 = t1419 * t577;
  t1786 = t1502 * t559;
  t1790 = t1048 * t558;
  t1793 = t471 * t563;
  t1794 = t470 * t1793;
  t1798 = t989 * t201 / 0.64e2;
  t1799 = t1028 * t201;
  t1801 = t255 * t565;
  t1804 = my_piecewise3(t39, 0.3e1 / 0.2e1 * t476, 0);
  t1806 = t100 * t1804 * t116;
  t1813 = -t484 * t1771 / 0.16e2 + t484 * t1774 / 0.16e2 + t484 * t1777 / 0.16e2 + t1415 * t577 / 0.8e1 - t1496 * t559 / 0.16e2 + t1784 / 0.16e2 - t1786 / 0.32e2 - t1506 * t559 / 0.32e2 - t469 * t1790 / 0.32e2 - t469 * t1794 / 0.16e2 + t1798 - t1799 / 0.16e2 - t1801 / 0.16e2 - t99 * t1806 / 0.16e2 - t1025 * t201 / 0.16e2 - t246 * t565 / 0.8e1;
  t1815 = my_piecewise3(t2, 0, t1769 + t1813);
  tv3rho2lapl0 = t3 * t1815 + 0.2e1 * t581;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t1820 = t1167 * t209;
  t1823 = t1170 * t209 / 0.64e2;
  t1825 = my_piecewise3(t51, 0, -t1164 * t209 / 0.16e2 - t1820 / 0.16e2 + t1823);
  tv3rho2lapl1 = t3 * t1825 + 0.2e1 * t588;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 1] += tv3rho2lapl1;

  t1829 = t1127 * t201;
  t1847 = -t1124 * t201 / 0.16e2 - t1829 / 0.32e2 - t1548 * t559 / 0.32e2 - t345 * t565 / 0.16e2 - t1553 * t569 / 0.16e2 + t1553 * t573 / 0.16e2 + t1553 * t577 / 0.16e2 - t1799 / 0.32e2 + t1798 - t1786 / 0.64e2 - t1801 / 0.32e2 - t1729 / 0.32e2 + t1737 / 0.32e2 + t1784 / 0.32e2;
  t1848 = my_piecewise3(t2, 0, t1847);
  tv3rho2lapl2 = t3 * t1848 + t581 + t593;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 2] += tv3rho2lapl2;

  t1852 = t1227 * t209;
  t1857 = t1578 * t598;
  t1861 = t370 * t604;
  t1865 = t1589 * t608;
  t1869 = t1589 * t612;
  t1873 = t1589 * t616;
  t1875 = -t1224 * t209 / 0.16e2 - t1852 / 0.32e2 - t1820 / 0.32e2 + t1823 - t1574 * t598 / 0.32e2 - t1857 / 0.64e2 - t367 * t604 / 0.16e2 - t1861 / 0.32e2 - t1585 * t608 / 0.16e2 - t1865 / 0.32e2 + t1585 * t612 / 0.16e2 + t1869 / 0.32e2 + t1585 * t616 / 0.16e2 + t1873 / 0.32e2;
  t1876 = my_piecewise3(t51, 0, t1875);
  tv3rho2lapl3 = t3 * t1876 + t588 + t620;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 3] += tv3rho2lapl3;

  t1883 = my_piecewise3(t2, 0, -t1196 * t201 / 0.16e2 - t1829 / 0.16e2 + t1798);
  tv3rho2lapl4 = t3 * t1883 + 0.2e1 * t593;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 4] += tv3rho2lapl4;

  t1888 = t602 * t418;
  t1889 = t1888 * t541;
  t1892 = t207 * t416;
  t1893 = t1892 * t1330;
  t1896 = t1618 * t416;
  t1897 = t611 * t1896;
  t1900 = t615 * t1702;
  t1903 = t1706 * t207;
  t1904 = t1617 * t1903;
  t1907 = t1892 * t1361;
  t1910 = t615 * t1650;
  t1917 = t1293 * t597;
  t1920 = t521 * t602;
  t1921 = t520 * t1920;
  t1924 = t602 * t75;
  t1925 = t1924 * t547;
  t1932 = t602 * t168;
  t1933 = t1932 * t445;
  t1936 = t1678 * t612 / 0.8e1 + t534 * t1889 / 0.8e1 - t534 * t1893 / 0.16e2 - 0.3e1 / 0.16e2 * t534 * t1897 - t534 * t1900 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t1904 + 0.3e1 / 0.16e2 * t534 * t1907 + t534 * t1910 / 0.16e2 - t1681 * t598 / 0.16e2 - t1655 * t598 / 0.32e2 - t519 * t1917 / 0.32e2 - t519 * t1921 / 0.16e2 + t534 * t1925 / 0.8e1 + t1678 * t616 / 0.8e1 - t1678 * t608 / 0.8e1 - t534 * t1933 / 0.8e1;
  t1941 = t207 * t438;
  t1942 = t1941 * t445;
  t1945 = t611 * t1674;
  t1953 = my_piecewise3(t72, 0.3e1 / 0.2e1 * t526, 0);
  t1955 = t157 * t1953 * t173;
  t1962 = t1624 * t207;
  t1963 = t1623 * t1962;
  t1966 = t1892 * t1348;
  t1969 = t207 * t1339;
  t1970 = t1969 * t1613;
  t1973 = -t1857 / 0.32e2 - t1865 / 0.16e2 + t1869 / 0.16e2 + t1873 / 0.16e2 - t534 * t1942 / 0.16e2 + t534 * t1945 / 0.16e2 - t1297 * t209 / 0.16e2 - t409 * t604 / 0.8e1 - t156 * t1955 / 0.16e2 + t1823 - t1852 / 0.16e2 - t1861 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t1897 + 0.3e1 / 0.32e2 * t519 * t1963 + t534 * t1966 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t1970;
  t1975 = my_piecewise3(t51, 0, t1936 + t1973);
  tv3rho2lapl5 = t3 * t1975 + 0.2e1 * t620;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 5] += tv3rho2lapl5;

  t1979 = t1472 * t1461 * t213;
  t1982 = t1525 * t213;
  t1983 = t1524 * t1982;
  t1986 = t213 * t261;
  t1987 = t1986 * t946;
  t1990 = t213 * t934;
  t1991 = t1990 * t1518;
  t1998 = t1419 * t645;
  t2000 = t1502 * t627;
  t2004 = t1048 * t626;
  t2009 = t1419 * t637;
  t2012 = t631 * t111 * t290;
  t2017 = t1419 * t641;
  t2019 = t631 * t263;
  t2020 = t2019 * t491;
  t2023 = -0.3e1 / 0.32e2 * t469 * t1979 + 0.3e1 / 0.32e2 * t469 * t1983 + t484 * t1987 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t1991 + t1415 * t645 / 0.8e1 - t1496 * t627 / 0.16e2 + t1998 / 0.16e2 - t2000 / 0.32e2 - t1506 * t627 / 0.32e2 - t469 * t2004 / 0.32e2 - t1415 * t637 / 0.8e1 - t2009 / 0.16e2 - t484 * t2012 / 0.8e1 + t1415 * t641 / 0.8e1 + t2017 / 0.16e2 + t484 * t2020 / 0.8e1;
  t2024 = t1986 * t1036;
  t2027 = t1986 * t973;
  t2032 = t644 * t1468;
  t2035 = t1473 * t213;
  t2036 = t1472 * t2035;
  t2039 = t1028 * t215;
  t2042 = t989 * t215 / 0.64e2;
  t2047 = t255 * t633;
  t2050 = my_piecewise3(t39, -0.6e1 * t476, 0);
  t2052 = t100 * t2050 * t116;
  t2055 = t644 * t1478;
  t2058 = t471 * t631;
  t2059 = t470 * t2058;
  t2062 = t631 * t43;
  t2063 = t2062 * t497;
  t2066 = t213 * t283;
  t2067 = t2066 * t290;
  t2070 = t640 * t1490;
  t2073 = -t484 * t2024 / 0.16e2 + 0.3e1 / 0.16e2 * t484 * t2027 - 0.3e1 / 0.16e2 * t484 * t1979 - t484 * t2032 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t2036 - t2039 / 0.16e2 + t2042 - t1025 * t215 / 0.16e2 - t246 * t633 / 0.8e1 - t2047 / 0.16e2 - t99 * t2052 / 0.16e2 + t484 * t2055 / 0.16e2 - t469 * t2059 / 0.16e2 + t484 * t2063 / 0.8e1 - t484 * t2067 / 0.16e2 + t484 * t2070 / 0.16e2;
  t2075 = my_piecewise3(t2, 0, t2023 + t2073);
  tv3rho2tau0 = t3 * t2075 + 0.2e1 * t649;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t2080 = t1167 * t221;
  t2083 = t1170 * t221 / 0.64e2;
  t2085 = my_piecewise3(t51, 0, -t1164 * t221 / 0.16e2 - t2080 / 0.16e2 + t2083);
  tv3rho2tau1 = t3 * t2085 + 0.2e1 * t656;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 1] += tv3rho2tau1;

  t2089 = t1127 * t215;
  t2107 = -t1124 * t215 / 0.16e2 - t2089 / 0.32e2 - t1548 * t627 / 0.32e2 - t345 * t633 / 0.16e2 - t1553 * t637 / 0.16e2 + t1553 * t641 / 0.16e2 + t1553 * t645 / 0.16e2 - t2039 / 0.32e2 + t2042 - t2000 / 0.64e2 - t2047 / 0.32e2 - t2009 / 0.32e2 + t2017 / 0.32e2 + t1998 / 0.32e2;
  t2108 = my_piecewise3(t2, 0, t2107);
  tv3rho2tau2 = t3 * t2108 + t649 + t661;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 2] += tv3rho2tau2;

  t2112 = t1227 * t221;
  t2117 = t1578 * t666;
  t2121 = t370 * t672;
  t2125 = t1589 * t676;
  t2129 = t1589 * t680;
  t2133 = t1589 * t684;
  t2135 = -t1224 * t221 / 0.16e2 - t2112 / 0.32e2 - t2080 / 0.32e2 + t2083 - t1574 * t666 / 0.32e2 - t2117 / 0.64e2 - t367 * t672 / 0.16e2 - t2121 / 0.32e2 - t1585 * t676 / 0.16e2 - t2125 / 0.32e2 + t1585 * t680 / 0.16e2 + t2129 / 0.32e2 + t1585 * t684 / 0.16e2 + t2133 / 0.32e2;
  t2136 = my_piecewise3(t51, 0, t2135);
  tv3rho2tau3 = t3 * t2136 + t656 + t688;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 3] += tv3rho2tau3;

  t2143 = my_piecewise3(t2, 0, -t1196 * t215 / 0.16e2 - t2089 / 0.16e2 + t2042);
  tv3rho2tau4 = t3 * t2143 + 0.2e1 * t661;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 4] += tv3rho2tau4;

  t2147 = t1617 * t1618 * t219;
  t2150 = t1624 * t219;
  t2151 = t1623 * t2150;
  t2154 = t219 * t416;
  t2155 = t2154 * t1348;
  t2158 = t219 * t1339;
  t2159 = t2158 * t1613;
  t2162 = t521 * t670;
  t2163 = t520 * t2162;
  t2169 = t670 * t168 * t445;
  t2174 = t670 * t418;
  t2175 = t2174 * t541;
  t2178 = t2154 * t1330;
  t2183 = t683 * t1702;
  t2186 = t1706 * t219;
  t2187 = t1617 * t2186;
  t2190 = t2154 * t1361;
  t2194 = t683 * t1650;
  t2197 = -0.3e1 / 0.32e2 * t519 * t2147 + 0.3e1 / 0.32e2 * t519 * t2151 + t534 * t2155 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t2159 - t519 * t2163 / 0.16e2 - t1678 * t676 / 0.8e1 - t534 * t2169 / 0.8e1 + t1678 * t680 / 0.8e1 + t534 * t2175 / 0.8e1 - t534 * t2178 / 0.16e2 - 0.3e1 / 0.16e2 * t534 * t2147 - t534 * t2183 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t2187 + 0.3e1 / 0.16e2 * t534 * t2190 + t2133 / 0.16e2 + t534 * t2194 / 0.16e2;
  t2198 = t670 * t75;
  t2199 = t2198 * t547;
  t2202 = t219 * t438;
  t2203 = t2202 * t445;
  t2206 = t679 * t1674;
  t2215 = t1293 * t665;
  t2222 = my_piecewise3(t72, -0.6e1 * t526, 0);
  t2224 = t157 * t2222 * t173;
  t2233 = t534 * t2199 / 0.8e1 - t534 * t2203 / 0.16e2 + t534 * t2206 / 0.16e2 + t1678 * t684 / 0.8e1 - t1681 * t666 / 0.16e2 - t1655 * t666 / 0.32e2 - t519 * t2215 / 0.32e2 - t2117 / 0.32e2 - t2125 / 0.16e2 + t2129 / 0.16e2 - t156 * t2224 / 0.16e2 - t1297 * t221 / 0.16e2 - t409 * t672 / 0.8e1 + t2083 - t2112 / 0.16e2 - t2121 / 0.16e2;
  t2235 = my_piecewise3(t51, 0, t2197 + t2233);
  tv3rho2tau5 = t3 * t2235 + 0.2e1 * t688;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 5] += tv3rho2tau5;

  t2237 = t690 * t934;
  t2238 = t1517 * t111;
  t2239 = t2237 * t2238;
  t2242 = t695 * t43;
  t2243 = t2242 * t497;
  t2244 = t484 * t2243;
  t2245 = t2244 / 0.16e2;
  t2246 = t471 * t695;
  t2247 = t470 * t2246;
  t2248 = t469 * t2247;
  t2249 = t2248 / 0.32e2;
  t2251 = t690 * t111 * t1036;
  t2254 = t695 * t111;
  t2255 = t2254 * t290;
  t2256 = t484 * t2255;
  t2257 = t2256 / 0.16e2;
  t2258 = t690 * t263;
  t2259 = t1461 * t111;
  t2260 = t2258 * t2259;
  t2263 = t1525 * t111;
  t2264 = t2237 * t2263;
  t2267 = t695 * t263;
  t2268 = t2267 * t491;
  t2269 = t484 * t2268;
  t2270 = t2269 / 0.16e2;
  t2271 = t2258 * t2263;
  t2274 = t495 * t1512;
  t2277 = t690 * t43;
  t2278 = t1473 * t111;
  t2279 = t2277 * t2278;
  t2282 = t490 * t478;
  t2283 = t489 * t2282;
  t2288 = -t699 - 0.3e1 / 0.16e2 * t484 * t2239 + t2245 - t2249 - t484 * t2251 / 0.16e2 - t2257 - 0.3e1 / 0.32e2 * t469 * t2260 + 0.3e1 / 0.32e2 * t469 * t2264 + t2270 + t484 * t2271 / 0.4e1 - t484 * t2274 / 0.8e1 + 0.3e1 / 0.16e2 * t484 * t2279 + t484 * t2283 / 0.8e1 - 0.3e1 / 0.16e2 * t484 * t2260;
  t2289 = t496 * t478;
  t2290 = t495 * t2289;
  t2293 = t1467 * t111;
  t2294 = t2277 * t2293;
  t2297 = t489 * t1512;
  t2300 = t2258 * t2278;
  t2308 = t255 * t704 / 0.32e2;
  t2310 = t255 * t707 / 0.32e2;
  t2312 = t255 * t692 / 0.64e2;
  t2313 = t255 * t697;
  t2314 = t2313 / 0.32e2;
  t2316 = t255 * t701 / 0.32e2;
  t2320 = t1005 * t690 * t269;
  t2323 = t246 * t697;
  t2324 = t2323 / 0.16e2;
  t2327 = t484 * t2290 / 0.8e1 - t484 * t2294 / 0.8e1 - t469 * t2297 / 0.16e2 + 0.3e1 / 0.32e2 * t469 * t2300 + t246 * t704 / 0.16e2 + t246 * t707 / 0.16e2 + t2308 + t2310 - t2312 - t2314 - t2316 - t246 * t692 / 0.32e2 - t99 * t2320 / 0.32e2 - t2324 - t246 * t701 / 0.16e2;
  t2329 = my_piecewise3(t2, 0, t2288 + t2327);
  tv3rhosigma20 = t3 * t2329 + t711;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t2334 = t370 * t714 / 0.64e2;
  t2336 = t367 * t719 / 0.16e2;
  t2337 = t370 * t719;
  t2338 = t2337 / 0.32e2;
  t2342 = t370 * t723 / 0.32e2;
  t2346 = t370 * t726 / 0.32e2;
  t2350 = t370 * t729 / 0.32e2;
  t2352 = my_piecewise3(t51, 0, -t367 * t714 / 0.32e2 - t2334 - t2336 - t2338 - t367 * t723 / 0.16e2 - t2342 + t367 * t726 / 0.16e2 + t2346 + t367 * t729 / 0.16e2 + t2350);
  tv3rhosigma25 = t3 * t2352 + t733;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t2357 = t345 * t697 / 0.16e2;
  t2365 = my_piecewise3(t2, 0, -t345 * t692 / 0.32e2 - t2312 - t2357 - t2314 - t345 * t701 / 0.16e2 - t2316 + t345 * t704 / 0.16e2 + t2308 + t345 * t707 / 0.16e2 + t2310);
  tv3rhosigma26 = t3 * t2365 + t711;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t2367 = t539 * t1662;
  t2370 = t712 * t418;
  t2371 = t1706 * t168;
  t2372 = t2370 * t2371;
  t2375 = t717 * t75;
  t2376 = t2375 * t547;
  t2377 = t534 * t2376;
  t2378 = t2377 / 0.16e2;
  t2379 = t521 * t717;
  t2380 = t520 * t2379;
  t2381 = t519 * t2380;
  t2382 = t2381 / 0.32e2;
  t2383 = t545 * t1662;
  t2386 = t712 * t75;
  t2387 = t2386 * t2371;
  t2390 = t540 * t528;
  t2391 = t539 * t2390;
  t2394 = t717 * t168;
  t2395 = t2394 * t445;
  t2396 = t534 * t2395;
  t2397 = t2396 / 0.16e2;
  t2399 = t712 * t168 * t1330;
  t2402 = t1618 * t168;
  t2403 = t2370 * t2402;
  t2406 = t712 * t1339;
  t2407 = t1624 * t168;
  t2408 = t2406 * t2407;
  t2411 = t717 * t418;
  t2412 = t2411 * t541;
  t2413 = t534 * t2412;
  t2414 = t2413 / 0.16e2;
  t2415 = t2370 * t2407;
  t2418 = -t721 - t519 * t2367 / 0.16e2 + 0.3e1 / 0.32e2 * t519 * t2372 + t2378 - t2382 - t534 * t2383 / 0.8e1 + 0.3e1 / 0.16e2 * t534 * t2387 + t534 * t2391 / 0.8e1 - t2397 - t534 * t2399 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t2403 + 0.3e1 / 0.32e2 * t519 * t2408 + t2414 + t534 * t2415 / 0.4e1;
  t2419 = t1612 * t168;
  t2420 = t2406 * t2419;
  t2425 = t546 * t528;
  t2426 = t545 * t2425;
  t2429 = t1701 * t168;
  t2430 = t2386 * t2429;
  t2438 = t1313 * t712 * t424;
  t2441 = t409 * t719;
  t2442 = t2441 / 0.16e2;
  t2447 = -0.3e1 / 0.16e2 * t534 * t2420 - 0.3e1 / 0.16e2 * t534 * t2403 + t534 * t2426 / 0.8e1 - t534 * t2430 / 0.8e1 + t409 * t729 / 0.16e2 - t409 * t714 / 0.32e2 - t156 * t2438 / 0.32e2 - t2442 - t409 * t723 / 0.16e2 + t409 * t726 / 0.16e2 - t2342 + t2346 + t2350 - t2334 - t2338;
  t2449 = my_piecewise3(t51, 0, t2418 + t2447);
  tv3rhosigma211 = t3 * t2449 + t733;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t2451 = t737 * t111;
  t2452 = t2451 * t1036;
  t2455 = t572 * t295;
  t2456 = t939 * t183;
  t2457 = t2456 * t111;
  t2458 = t2455 * t2457;
  t2461 = t576 * t113;
  t2462 = t2461 * t2457;
  t2465 = t489 * t265;
  t2466 = t939 * t199;
  t2467 = t2466 * t111;
  t2468 = t2465 * t2467;
  t2471 = t737 * t43;
  t2472 = t2471 * t2278;
  t2477 = t1516 * t936;
  t2478 = t2477 * t2467;
  t2481 = t737 * t263;
  t2482 = t2481 * t2263;
  t2485 = t1719 * t951;
  t2486 = t2485 * t2457;
  t2489 = t489 * t1793;
  t2493 = t1419 * t742 / 0.32e2;
  t2495 = t1419 * t746 / 0.32e2;
  t2497 = t1502 * t734 / 0.64e2;
  t2499 = t1419 * t738 / 0.32e2;
  t2502 = -t484 * t2452 / 0.16e2 - 0.3e1 / 0.16e2 * t484 * t2458 - t484 * t2462 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t2468 + 0.3e1 / 0.16e2 * t484 * t2472 - 0.3e1 / 0.32e2 * t469 * t2458 + 0.3e1 / 0.32e2 * t469 * t2478 + t484 * t2482 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t2486 - t699 - t469 * t2489 / 0.32e2 + t2493 + t2495 - t2497 - t2499 - t1415 * t738 / 0.16e2;
  t2503 = t563 * t183;
  t2504 = t2503 * t290;
  t2507 = t199 * t478;
  t2508 = t2507 * t290;
  t2513 = t1739 * t741;
  t2516 = t572 * t2282;
  t2521 = t1723 * t745;
  t2528 = t1451 * t558;
  t2531 = t576 * t2289;
  t2534 = -t484 * t2504 / 0.16e2 - t484 * t2508 / 0.16e2 + t1415 * t742 / 0.16e2 + t484 * t2513 / 0.16e2 + t484 * t2516 / 0.16e2 + t1415 * t746 / 0.16e2 + t484 * t2521 / 0.16e2 - t1496 * t734 / 0.32e2 - t1506 * t734 / 0.32e2 - t469 * t2528 / 0.32e2 + t484 * t2531 / 0.16e2 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t2536 = my_piecewise3(t2, 0, t2502 + t2534);
  tv3rhosigmalapl0 = t3 * t2536 + t750;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  tv3rhosigmalapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 1] += tv3rhosigmalapl1;

  tv3rhosigmalapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 2] += tv3rhosigmalapl2;

  tv3rhosigmalapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 3] += tv3rhosigmalapl3;

  tv3rhosigmalapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 4] += tv3rhosigmalapl4;

  t2541 = t1578 * t751 / 0.64e2;
  t2545 = t1589 * t755 / 0.32e2;
  t2549 = t1589 * t759 / 0.32e2;
  t2553 = t1589 * t763 / 0.32e2;
  t2555 = my_piecewise3(t51, 0, -t1574 * t751 / 0.32e2 - t2541 - t2336 - t2338 - t1585 * t755 / 0.16e2 - t2545 + t1585 * t759 / 0.16e2 + t2549 + t1585 * t763 / 0.16e2 + t2553);
  tv3rhosigmalapl5 = t3 * t2555 + t767;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 5] += tv3rhosigmalapl5;

  t2566 = my_piecewise3(t2, 0, -t1548 * t734 / 0.32e2 - t2497 - t2357 - t2314 - t1553 * t738 / 0.16e2 - t2499 + t1553 * t742 / 0.16e2 + t2493 + t1553 * t746 / 0.16e2 + t2495);
  tv3rhosigmalapl6 = t3 * t2566 + t750;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 6] += tv3rhosigmalapl6;

  tv3rhosigmalapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 7] += tv3rhosigmalapl7;

  tv3rhosigmalapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 8] += tv3rhosigmalapl8;

  tv3rhosigmalapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 9] += tv3rhosigmalapl9;

  tv3rhosigmalapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 10] += tv3rhosigmalapl10;

  t2568 = t754 * t418;
  t2569 = t2568 * t2407;
  t2572 = t1969 * t1353;
  t2573 = t1329 * t191;
  t2574 = t2573 * t168;
  t2575 = t2572 * t2574;
  t2578 = t539 * t450;
  t2579 = t1329 * t207;
  t2580 = t2579 * t168;
  t2581 = t2578 * t2580;
  t2584 = t1611 * t1341;
  t2585 = t2584 * t2580;
  t2588 = t754 * t168;
  t2589 = t2588 * t1330;
  t2594 = t615 * t170;
  t2595 = t2594 * t2574;
  t2598 = t539 * t420;
  t2599 = t2598 * t2580;
  t2602 = t754 * t75;
  t2603 = t2602 * t2371;
  t2606 = t615 * t2425;
  t2609 = t1692 * t597;
  t2612 = t539 * t1920;
  t2617 = t602 * t191;
  t2618 = t2617 * t445;
  t2621 = t207 * t528;
  t2622 = t2621 * t445;
  t2625 = t534 * t2569 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t2575 - 0.3e1 / 0.32e2 * t519 * t2581 + 0.3e1 / 0.32e2 * t519 * t2585 - t534 * t2589 / 0.16e2 - 0.3e1 / 0.16e2 * t534 * t2581 - t534 * t2595 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t2599 + 0.3e1 / 0.16e2 * t534 * t2603 - t721 + t534 * t2606 / 0.16e2 - t519 * t2609 / 0.32e2 - t519 * t2612 / 0.32e2 - t1678 * t755 / 0.16e2 - t534 * t2618 / 0.16e2 - t534 * t2622 / 0.16e2;
  t2628 = t1888 * t758;
  t2631 = t611 * t2390;
  t2640 = t1924 * t762;
  t2643 = t1678 * t759 / 0.16e2 + t534 * t2628 / 0.16e2 + t534 * t2631 / 0.16e2 + t1678 * t763 / 0.16e2 - t1681 * t751 / 0.32e2 - t1655 * t751 / 0.32e2 - t2545 + t2549 + t2553 + t534 * t2640 / 0.16e2 - t2541 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t2645 = my_piecewise3(t51, 0, t2625 + t2643);
  tv3rhosigmalapl11 = t3 * t2645 + t767;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 11] += tv3rhosigmalapl11;

  t2647 = t771 * t111;
  t2648 = t2647 * t1036;
  t2651 = t771 * t43;
  t2652 = t2651 * t2278;
  t2655 = t640 * t295;
  t2656 = t2655 * t2457;
  t2659 = t644 * t113;
  t2660 = t2659 * t2457;
  t2663 = t939 * t213;
  t2664 = t2663 * t111;
  t2665 = t2465 * t2664;
  t2670 = t2477 * t2664;
  t2673 = t771 * t263;
  t2674 = t2673 * t2263;
  t2677 = t1990 * t951;
  t2678 = t2677 * t2457;
  t2683 = t1451 * t626;
  t2686 = t489 * t2058;
  t2690 = t1419 * t772 / 0.32e2;
  t2692 = t1419 * t775 / 0.32e2;
  t2694 = t1419 * t778 / 0.32e2;
  t2695 = -t484 * t2648 / 0.16e2 + 0.3e1 / 0.16e2 * t484 * t2652 - 0.3e1 / 0.16e2 * t484 * t2656 - t484 * t2660 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t2665 - 0.3e1 / 0.32e2 * t469 * t2656 + 0.3e1 / 0.32e2 * t469 * t2670 + t484 * t2674 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t2678 - t699 - t1506 * t768 / 0.32e2 - t469 * t2683 / 0.32e2 - t469 * t2686 / 0.32e2 - t2690 + t2692 + t2694;
  t2697 = t1502 * t768 / 0.64e2;
  t2700 = t631 * t183;
  t2701 = t2700 * t290;
  t2704 = t213 * t478;
  t2705 = t2704 * t290;
  t2710 = t2019 * t741;
  t2713 = t640 * t2282;
  t2718 = t2062 * t745;
  t2721 = t644 * t2289;
  t2726 = -t2697 - t1415 * t772 / 0.16e2 - t484 * t2701 / 0.16e2 - t484 * t2705 / 0.16e2 + t1415 * t775 / 0.16e2 + t484 * t2710 / 0.16e2 + t484 * t2713 / 0.16e2 + t1415 * t778 / 0.16e2 + t484 * t2718 / 0.16e2 + t484 * t2721 / 0.16e2 - t1496 * t768 / 0.32e2 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t2728 = my_piecewise3(t2, 0, t2695 + t2726);
  tv3rhosigmatau0 = t3 * t2728 + t782;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  tv3rhosigmatau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 1] += tv3rhosigmatau1;

  tv3rhosigmatau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 2] += tv3rhosigmatau2;

  tv3rhosigmatau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 3] += tv3rhosigmatau3;

  tv3rhosigmatau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 4] += tv3rhosigmatau4;

  t2733 = t1578 * t783 / 0.64e2;
  t2737 = t1589 * t787 / 0.32e2;
  t2741 = t1589 * t790 / 0.32e2;
  t2745 = t1589 * t793 / 0.32e2;
  t2747 = my_piecewise3(t51, 0, -t1574 * t783 / 0.32e2 - t2733 - t2336 - t2338 - t1585 * t787 / 0.16e2 - t2737 + t1585 * t790 / 0.16e2 + t2741 + t1585 * t793 / 0.16e2 + t2745);
  tv3rhosigmatau5 = t3 * t2747 + t797;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 5] += tv3rhosigmatau5;

  t2758 = my_piecewise3(t2, 0, -t1548 * t768 / 0.32e2 - t2697 - t2357 - t2314 - t1553 * t772 / 0.16e2 - t2690 + t1553 * t775 / 0.16e2 + t2692 + t1553 * t778 / 0.16e2 + t2694);
  tv3rhosigmatau6 = t3 * t2758 + t782;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 6] += tv3rhosigmatau6;

  tv3rhosigmatau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 7] += tv3rhosigmatau7;

  tv3rhosigmatau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 8] += tv3rhosigmatau8;

  tv3rhosigmatau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 9] += tv3rhosigmatau9;

  tv3rhosigmatau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 10] += tv3rhosigmatau10;

  t2760 = t1329 * t219;
  t2761 = t2760 * t168;
  t2762 = t2598 * t2761;
  t2765 = t786 * t75;
  t2766 = t2765 * t2371;
  t2769 = t786 * t418;
  t2770 = t2769 * t2407;
  t2773 = t2158 * t1353;
  t2774 = t2773 * t2574;
  t2777 = t2578 * t2761;
  t2780 = t2584 * t2761;
  t2783 = t786 * t168;
  t2784 = t2783 * t1330;
  t2789 = t683 * t170;
  t2790 = t2789 * t2574;
  t2793 = t2198 * t762;
  t2796 = t683 * t2425;
  t2803 = t1692 * t665;
  t2806 = t539 * t2162;
  t2809 = 0.3e1 / 0.32e2 * t519 * t2762 + 0.3e1 / 0.16e2 * t534 * t2766 + t534 * t2770 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t2774 - 0.3e1 / 0.32e2 * t519 * t2777 + 0.3e1 / 0.32e2 * t519 * t2780 - t534 * t2784 / 0.16e2 - 0.3e1 / 0.16e2 * t534 * t2777 - t534 * t2790 / 0.8e1 - t721 + t534 * t2793 / 0.16e2 + t534 * t2796 / 0.16e2 - t1681 * t783 / 0.32e2 - t1655 * t783 / 0.32e2 - t519 * t2803 / 0.32e2 - t519 * t2806 / 0.32e2;
  t2812 = t670 * t191;
  t2813 = t2812 * t445;
  t2816 = t219 * t528;
  t2817 = t2816 * t445;
  t2822 = t2174 * t758;
  t2825 = t679 * t2390;
  t2830 = t2745 - t1678 * t787 / 0.16e2 - t534 * t2813 / 0.16e2 - t534 * t2817 / 0.16e2 + t1678 * t790 / 0.16e2 + t534 * t2822 / 0.16e2 + t534 * t2825 / 0.16e2 + t1678 * t793 / 0.16e2 - t2733 - t2737 + t2741 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t2832 = my_piecewise3(t51, 0, t2809 + t2830);
  tv3rhosigmatau11 = t3 * t2832 + t797;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 11] += tv3rhosigmatau11;

  t2834 = t798 * t111;
  t2835 = t2834 * t1036;
  t2838 = t798 * t263;
  t2839 = t2838 * t2259;
  t2842 = t798 * t934;
  t2843 = t2842 * t2263;
  t2846 = t2838 * t2263;
  t2849 = t2842 * t2238;
  t2852 = t490 * t563;
  t2853 = t572 * t2852;
  t2858 = t496 * t563;
  t2859 = t576 * t2858;
  t2862 = t798 * t43;
  t2863 = t2862 * t2293;
  t2866 = t572 * t1793;
  t2869 = t2838 * t2278;
  t2872 = t576 * t1793;
  t2875 = t2862 * t2278;
  t2878 = -t699 - t484 * t2835 / 0.16e2 - 0.3e1 / 0.32e2 * t469 * t2839 + 0.3e1 / 0.32e2 * t469 * t2843 + t484 * t2846 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t2849 + t484 * t2853 / 0.8e1 - 0.3e1 / 0.16e2 * t484 * t2839 + t484 * t2859 / 0.8e1 - t484 * t2863 / 0.8e1 - t469 * t2866 / 0.16e2 + 0.3e1 / 0.32e2 * t469 * t2869 - t484 * t2872 / 0.8e1 + 0.3e1 / 0.16e2 * t484 * t2875;
  t2880 = t255 * t807 / 0.32e2;
  t2882 = t255 * t810 / 0.32e2;
  t2884 = t255 * t800 / 0.64e2;
  t2886 = t255 * t804 / 0.32e2;
  t2890 = t1005 * t798 * t269;
  t2899 = t2245 - t2249 - t2257 + t2270 + t2880 + t2882 - t2884 - t2886 - t246 * t800 / 0.32e2 - t99 * t2890 / 0.32e2 - t246 * t804 / 0.16e2 + t246 * t807 / 0.16e2 + t246 * t810 / 0.16e2 - t2314 - t2324;
  t2901 = my_piecewise3(t2, 0, t2878 + t2899);
  tv3rholapl20 = t3 * t2901 + t814;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  tv3rholapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 1] += tv3rholapl21;

  t2906 = t370 * t817 / 0.64e2;
  t2910 = t370 * t821 / 0.32e2;
  t2914 = t370 * t824 / 0.32e2;
  t2918 = t370 * t827 / 0.32e2;
  t2920 = my_piecewise3(t51, 0, -t367 * t817 / 0.32e2 - t2906 - t2336 - t2338 - t367 * t821 / 0.16e2 - t2910 + t367 * t824 / 0.16e2 + t2914 + t367 * t827 / 0.16e2 + t2918);
  tv3rholapl22 = t3 * t2920 + t831;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 2] += tv3rholapl22;

  t2931 = my_piecewise3(t2, 0, -t345 * t800 / 0.32e2 - t2884 - t2357 - t2314 - t345 * t804 / 0.16e2 - t2886 + t345 * t807 / 0.16e2 + t2880 + t345 * t810 / 0.16e2 + t2882);
  tv3rholapl23 = t3 * t2931 + t814;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 3] += tv3rholapl23;

  tv3rholapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 4] += tv3rholapl24;

  t2933 = t815 * t418;
  t2934 = t2933 * t2402;
  t2937 = t815 * t1339;
  t2938 = t2937 * t2407;
  t2941 = t2933 * t2407;
  t2944 = t2937 * t2419;
  t2947 = t815 * t75;
  t2948 = t2947 * t2371;
  t2951 = t540 * t602;
  t2952 = t611 * t2951;
  t2957 = t546 * t602;
  t2958 = t615 * t2957;
  t2961 = t2947 * t2429;
  t2964 = t611 * t1920;
  t2967 = t2933 * t2371;
  t2970 = t815 * t168;
  t2971 = t2970 * t1330;
  t2974 = t615 * t1920;
  t2977 = -t721 - 0.3e1 / 0.32e2 * t519 * t2934 + 0.3e1 / 0.32e2 * t519 * t2938 + t534 * t2941 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t2944 + 0.3e1 / 0.16e2 * t534 * t2948 + t534 * t2952 / 0.8e1 - 0.3e1 / 0.16e2 * t534 * t2934 + t534 * t2958 / 0.8e1 - t534 * t2961 / 0.8e1 - t519 * t2964 / 0.16e2 + 0.3e1 / 0.32e2 * t519 * t2967 - t534 * t2971 / 0.16e2 - t534 * t2974 / 0.8e1;
  t2979 = t1313 * t815 * t424;
  t2990 = t2378 - t2382 - t2397 + t2414 - t156 * t2979 / 0.32e2 - t409 * t821 / 0.16e2 + t409 * t824 / 0.16e2 + t409 * t827 / 0.16e2 - t409 * t817 / 0.32e2 - t2906 - t2910 + t2914 + t2918 - t2442 - t2338;
  t2992 = my_piecewise3(t51, 0, t2977 + t2990);
  tv3rholapl25 = t3 * t2992 + t831;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 5] += tv3rholapl25;

  t2994 = t2455 * t2664;
  t2997 = t1719 * t936;
  t2998 = t2997 * t2664;
  t3001 = t835 * t263;
  t3002 = t3001 * t2263;
  t3005 = t2677 * t2467;
  t3008 = t572 * t265;
  t3009 = t3008 * t2664;
  t3013 = t835 * t111 * t1036;
  t3016 = t835 * t43;
  t3017 = t3016 * t2278;
  t3022 = t2659 * t2467;
  t3027 = t1739 * t626;
  t3030 = t572 * t2058;
  t3036 = t1419 * t836 / 0.32e2;
  t3038 = t1419 * t840 / 0.32e2;
  t3039 = -0.3e1 / 0.32e2 * t469 * t2994 + 0.3e1 / 0.32e2 * t469 * t2998 + t484 * t3002 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3005 + 0.3e1 / 0.32e2 * t469 * t3009 - t484 * t3013 / 0.16e2 + 0.3e1 / 0.16e2 * t484 * t3017 - 0.3e1 / 0.16e2 * t484 * t2994 - t484 * t3022 / 0.8e1 - t699 - t1506 * t832 / 0.32e2 - t469 * t3027 / 0.32e2 - t469 * t3030 / 0.32e2 - t1415 * t836 / 0.16e2 - t3036 + t3038;
  t3041 = t1419 * t844 / 0.32e2;
  t3043 = t1502 * t832 / 0.64e2;
  t3044 = t631 * t199;
  t3045 = t3044 * t290;
  t3048 = t213 * t563;
  t3049 = t3048 * t290;
  t3054 = t2019 * t839;
  t3057 = t640 * t2852;
  t3062 = t2062 * t843;
  t3065 = t644 * t2858;
  t3070 = t3041 - t3043 - t484 * t3045 / 0.16e2 - t484 * t3049 / 0.16e2 + t1415 * t840 / 0.16e2 + t484 * t3054 / 0.16e2 + t484 * t3057 / 0.16e2 + t1415 * t844 / 0.16e2 + t484 * t3062 / 0.16e2 + t484 * t3065 / 0.16e2 - t1496 * t832 / 0.32e2 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t3072 = my_piecewise3(t2, 0, t3039 + t3070);
  tv3rholapltau0 = t3 * t3072 + t848;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  tv3rholapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 1] += tv3rholapltau1;

  tv3rholapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 2] += tv3rholapltau2;

  t3077 = t1578 * t849 / 0.64e2;
  t3081 = t1589 * t853 / 0.32e2;
  t3085 = t1589 * t857 / 0.32e2;
  t3089 = t1589 * t861 / 0.32e2;
  t3091 = my_piecewise3(t51, 0, -t1574 * t849 / 0.32e2 - t3077 - t2336 - t2338 - t1585 * t853 / 0.16e2 - t3081 + t1585 * t857 / 0.16e2 + t3085 + t1585 * t861 / 0.16e2 + t3089);
  tv3rholapltau3 = t3 * t3091 + t865;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 3] += tv3rholapltau3;

  t3102 = my_piecewise3(t2, 0, -t1548 * t832 / 0.32e2 - t3043 - t2357 - t2314 - t1553 * t836 / 0.16e2 - t3036 + t1553 * t840 / 0.16e2 + t3038 + t1553 * t844 / 0.16e2 + t3041);
  tv3rholapltau4 = t3 * t3102 + t848;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 4] += tv3rholapltau4;

  tv3rholapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 5] += tv3rholapltau5;

  tv3rholapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 6] += tv3rholapltau6;

  t3105 = t852 * t168 * t1330;
  t3108 = t611 * t450;
  t3109 = t3108 * t2761;
  t3112 = t1969 * t1341;
  t3113 = t3112 * t2761;
  t3116 = t852 * t418;
  t3117 = t3116 * t2407;
  t3120 = t2773 * t2580;
  t3123 = t852 * t75;
  t3124 = t3123 * t2371;
  t3129 = t2789 * t2580;
  t3132 = t611 * t420;
  t3133 = t3132 * t2761;
  t3136 = t2174 * t856;
  t3139 = t679 * t2951;
  t3144 = t2198 * t860;
  t3147 = t683 * t2957;
  t3152 = -t534 * t3105 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t3109 + 0.3e1 / 0.32e2 * t519 * t3113 + t534 * t3117 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3120 + 0.3e1 / 0.16e2 * t534 * t3124 - 0.3e1 / 0.16e2 * t534 * t3109 - t534 * t3129 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t3133 - t721 + t534 * t3136 / 0.16e2 + t534 * t3139 / 0.16e2 + t1678 * t861 / 0.16e2 + t534 * t3144 / 0.16e2 + t534 * t3147 / 0.16e2 - t1681 * t849 / 0.32e2;
  t3155 = t1888 * t665;
  t3158 = t611 * t2162;
  t3163 = t670 * t207;
  t3164 = t3163 * t445;
  t3167 = t219 * t602;
  t3168 = t3167 * t445;
  t3173 = -t1655 * t849 / 0.32e2 - t519 * t3155 / 0.32e2 - t519 * t3158 / 0.32e2 - t1678 * t853 / 0.16e2 - t534 * t3164 / 0.16e2 - t534 * t3168 / 0.16e2 + t1678 * t857 / 0.16e2 - t3077 - t3081 + t3085 + t3089 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t3175 = my_piecewise3(t51, 0, t3152 + t3173);
  tv3rholapltau7 = t3 * t3175 + t865;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 7] += tv3rholapltau7;

  t3177 = t866 * t111;
  t3178 = t3177 * t1036;
  t3181 = t866 * t263;
  t3182 = t3181 * t2259;
  t3185 = t866 * t934;
  t3186 = t3185 * t2263;
  t3189 = t3181 * t2263;
  t3192 = t3185 * t2238;
  t3195 = t644 * t2058;
  t3198 = t866 * t43;
  t3199 = t3198 * t2278;
  t3203 = t640 * t490 * t631;
  t3209 = t644 * t496 * t631;
  t3212 = t3198 * t2293;
  t3215 = t640 * t2058;
  t3218 = t3181 * t2278;
  t3221 = -t699 - t484 * t3178 / 0.16e2 - 0.3e1 / 0.32e2 * t469 * t3182 + 0.3e1 / 0.32e2 * t469 * t3186 + t484 * t3189 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3192 - t484 * t3195 / 0.8e1 + 0.3e1 / 0.16e2 * t484 * t3199 + t484 * t3203 / 0.8e1 - 0.3e1 / 0.16e2 * t484 * t3182 + t484 * t3209 / 0.8e1 - t484 * t3212 / 0.8e1 - t469 * t3215 / 0.16e2 + 0.3e1 / 0.32e2 * t469 * t3218;
  t3223 = t255 * t878 / 0.32e2;
  t3225 = t255 * t872 / 0.32e2;
  t3227 = t255 * t875 / 0.32e2;
  t3229 = t255 * t868 / 0.64e2;
  t3235 = t1005 * t866 * t269;
  t3242 = t2245 - t2249 - t2257 + t2270 + t3223 - t3225 + t3227 - t3229 + t246 * t878 / 0.16e2 - t246 * t868 / 0.32e2 - t99 * t3235 / 0.32e2 - t246 * t872 / 0.16e2 + t246 * t875 / 0.16e2 - t2314 - t2324;
  t3244 = my_piecewise3(t2, 0, t3221 + t3242);
  tv3rhotau20 = t3 * t3244 + t882;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  tv3rhotau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 1] += tv3rhotau21;

  t3249 = t370 * t885 / 0.64e2;
  t3253 = t370 * t889 / 0.32e2;
  t3257 = t370 * t892 / 0.32e2;
  t3261 = t370 * t895 / 0.32e2;
  t3263 = my_piecewise3(t51, 0, -t367 * t885 / 0.32e2 - t3249 - t2336 - t2338 - t367 * t889 / 0.16e2 - t3253 + t367 * t892 / 0.16e2 + t3257 + t367 * t895 / 0.16e2 + t3261);
  tv3rhotau22 = t3 * t3263 + t899;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 2] += tv3rhotau22;

  t3274 = my_piecewise3(t2, 0, -t345 * t868 / 0.32e2 - t3229 - t2357 - t2314 - t345 * t872 / 0.16e2 - t3225 + t345 * t875 / 0.16e2 + t3227 + t345 * t878 / 0.16e2 + t3223);
  tv3rhotau23 = t3 * t3274 + t882;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 3] += tv3rhotau23;

  tv3rhotau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 4] += tv3rhotau24;

  t3276 = t883 * t418;
  t3277 = t3276 * t2371;
  t3280 = t883 * t168;
  t3281 = t3280 * t1330;
  t3284 = t3276 * t2402;
  t3287 = t883 * t1339;
  t3288 = t3287 * t2407;
  t3291 = t3276 * t2407;
  t3294 = t3287 * t2419;
  t3297 = t683 * t2162;
  t3300 = t883 * t75;
  t3301 = t3300 * t2371;
  t3305 = t679 * t540 * t670;
  t3311 = t683 * t546 * t670;
  t3314 = t3300 * t2429;
  t3317 = t679 * t2162;
  t3320 = -t721 + 0.3e1 / 0.32e2 * t519 * t3277 - t534 * t3281 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t3284 + 0.3e1 / 0.32e2 * t519 * t3288 + t534 * t3291 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3294 - t534 * t3297 / 0.8e1 + 0.3e1 / 0.16e2 * t534 * t3301 + t534 * t3305 / 0.8e1 - 0.3e1 / 0.16e2 * t534 * t3284 + t534 * t3311 / 0.8e1 - t534 * t3314 / 0.8e1 - t519 * t3317 / 0.16e2;
  t3326 = t1313 * t883 * t424;
  t3333 = t2378 - t2382 - t2397 + t2414 + t409 * t895 / 0.16e2 - t3253 + t3257 + t3261 - t409 * t885 / 0.32e2 - t156 * t3326 / 0.32e2 - t409 * t889 / 0.16e2 + t409 * t892 / 0.16e2 - t3249 - t2442 - t2338;
  t3335 = my_piecewise3(t51, 0, t3320 + t3333);
  tv3rhotau25 = t3 * t3335 + t899;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 5] += tv3rhotau25;

  t3337 = t690 * t183;
  t3338 = t100 * t3337;
  t3339 = t3338 * t961;
  t3342 = t3338 * t965;
  t3345 = t489 * t2246;
  t3346 = t469 * t3345;
  t3347 = 0.3e1 / 0.32e2 * t3346;
  t3348 = t260 * t3337;
  t3349 = t3348 * t969;
  t3352 = t2242 * t745;
  t3353 = t484 * t3352;
  t3354 = 0.3e1 / 0.16e2 * t3353;
  t3355 = t3338 * t973;
  t3358 = t998 * t183;
  t3360 = t1001 * t183;
  t3363 = t3358 * t116 / 0.2e1 - t3360 * t116 / 0.2e1 + t185 / 0.2e1;
  t3365 = t3363 * t690 * t269;
  t3368 = t695 * t183;
  t3369 = t3368 * t290;
  t3370 = t484 * t3369;
  t3371 = 0.3e1 / 0.16e2 * t3370;
  t3372 = t3338 * t1036;
  t3375 = t3348 * t961;
  t3378 = t3348 * t940;
  t3381 = t2267 * t741;
  t3382 = t484 * t3381;
  t3383 = 0.3e1 / 0.16e2 * t3382;
  t3384 = t3338 * t946;
  t3387 = t3338 * t953;
  t3390 = -0.3e1 / 0.16e2 * t99 * t3339 - t99 * t3342 / 0.8e1 - t3347 + 0.3e1 / 0.32e2 * t99 * t3349 + t3354 + 0.3e1 / 0.16e2 * t99 * t3355 - t99 * t3365 / 0.32e2 - t3371 - t99 * t3372 / 0.16e2 - 0.3e1 / 0.32e2 * t99 * t3375 + 0.3e1 / 0.32e2 * t99 * t3378 + t3383 + t99 * t3384 / 0.4e1 - 0.3e1 / 0.16e2 * t99 * t3387 - t699;
  t3391 = my_piecewise3(t2, 0, t3390);
  tv3sigma30 = t3 * t3391;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t3392 = t712 * t191;
  t3393 = t157 * t3392;
  t3394 = t3393 * t1335;
  t3397 = t3393 * t1368;
  t3400 = t539 * t2379;
  t3401 = t519 * t3400;
  t3402 = 0.3e1 / 0.32e2 * t3401;
  t3403 = t415 * t3392;
  t3404 = t3403 * t1374;
  t3407 = t2375 * t762;
  t3408 = t534 * t3407;
  t3409 = 0.3e1 / 0.16e2 * t3408;
  t3410 = t3393 * t1361;
  t3413 = t1306 * t191;
  t3415 = t1309 * t191;
  t3418 = t3413 * t173 / 0.2e1 - t3415 * t173 / 0.2e1 + t193 / 0.2e1;
  t3420 = t3418 * t712 * t424;
  t3423 = t717 * t191;
  t3424 = t3423 * t445;
  t3425 = t534 * t3424;
  t3426 = 0.3e1 / 0.16e2 * t3425;
  t3427 = t3393 * t1330;
  t3430 = t3403 * t1335;
  t3433 = t3403 * t1343;
  t3436 = t2411 * t758;
  t3437 = t534 * t3436;
  t3438 = 0.3e1 / 0.16e2 * t3437;
  t3439 = t3393 * t1348;
  t3442 = t3393 * t1355;
  t3445 = -0.3e1 / 0.16e2 * t156 * t3394 - t156 * t3397 / 0.8e1 - t3402 + 0.3e1 / 0.32e2 * t156 * t3404 + t3409 + 0.3e1 / 0.16e2 * t156 * t3410 - t156 * t3420 / 0.32e2 - t3426 - t156 * t3427 / 0.16e2 - 0.3e1 / 0.32e2 * t156 * t3430 + 0.3e1 / 0.32e2 * t156 * t3433 + t3438 + t156 * t3439 / 0.4e1 - 0.3e1 / 0.16e2 * t156 * t3442 - t721;
  t3446 = my_piecewise3(t51, 0, t3445);
  tv3sigma39 = t3 * t3446;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t3447 = t496 * t695;
  t3448 = t576 * t3447;
  t3449 = t484 * t3448;
  t3450 = t3449 / 0.16e2;
  t3451 = t2267 * t558;
  t3452 = t469 * t3451;
  t3453 = t3452 / 0.32e2;
  t3454 = t199 * t695;
  t3455 = t3454 * t290;
  t3456 = t484 * t3455;
  t3457 = t3456 / 0.16e2;
  t3458 = t490 * t695;
  t3459 = t572 * t3458;
  t3460 = t484 * t3459;
  t3461 = t3460 / 0.16e2;
  t3462 = t26 * t3363;
  t3463 = t23 * t3462;
  t3466 = t3346 / 0.16e2;
  t3467 = t3353 / 0.8e1;
  t3468 = t199 * t690;
  t3469 = t3468 * t973;
  t3472 = t1461 * t690;
  t3473 = t572 * t3472;
  t3476 = t1467 * t690;
  t3477 = t576 * t3476;
  t3480 = t2258 * t1756;
  t3483 = t3370 / 0.8e1;
  t3484 = t3468 * t1036;
  t3487 = t3382 / 0.8e1;
  t3490 = t2237 * t1762;
  t3493 = t3468 * t946;
  t3496 = t1517 * t690;
  t3497 = t1719 * t3496;
  t3500 = t3450 - t3453 - t3457 + t3461 - t3463 * t734 / 0.32e2 - t3466 + t3467 + 0.3e1 / 0.16e2 * t484 * t3469 - 0.3e1 / 0.16e2 * t484 * t3473 - t484 * t3477 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t3480 - t3483 - t484 * t3484 / 0.16e2 + t3487 - 0.3e1 / 0.32e2 * t469 * t3473 + 0.3e1 / 0.32e2 * t469 * t3490 + t484 * t3493 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3497 - t699;
  t3501 = my_piecewise3(t2, 0, t3500);
  tv3sigma2lapl0 = t3 * t3501;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  tv3sigma2lapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 1] += tv3sigma2lapl1;

  tv3sigma2lapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 2] += tv3sigma2lapl2;

  tv3sigma2lapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 3] += tv3sigma2lapl3;

  tv3sigma2lapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 4] += tv3sigma2lapl4;

  tv3sigma2lapl5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 5] += tv3sigma2lapl5;

  tv3sigma2lapl6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 6] += tv3sigma2lapl6;

  tv3sigma2lapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 7] += tv3sigma2lapl7;

  tv3sigma2lapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 8] += tv3sigma2lapl8;

  tv3sigma2lapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 9] += tv3sigma2lapl9;

  tv3sigma2lapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 10] += tv3sigma2lapl10;

  t3502 = t207 * t717;
  t3503 = t3502 * t445;
  t3504 = t534 * t3503;
  t3505 = t3504 / 0.16e2;
  t3506 = t540 * t717;
  t3507 = t611 * t3506;
  t3508 = t534 * t3507;
  t3509 = t3508 / 0.16e2;
  t3510 = t546 * t717;
  t3511 = t615 * t3510;
  t3512 = t534 * t3511;
  t3513 = t3512 / 0.16e2;
  t3514 = t26 * t3418;
  t3515 = t60 * t3514;
  t3518 = t2411 * t597;
  t3519 = t519 * t3518;
  t3520 = t3519 / 0.32e2;
  t3521 = t3401 / 0.16e2;
  t3522 = t3408 / 0.8e1;
  t3523 = t2370 * t1903;
  t3526 = t207 * t712;
  t3527 = t3526 * t1361;
  t3530 = t1618 * t712;
  t3531 = t611 * t3530;
  t3534 = t1701 * t712;
  t3535 = t615 * t3534;
  t3538 = t3425 / 0.8e1;
  t3539 = t3526 * t1330;
  t3542 = t3437 / 0.8e1;
  t3545 = t2406 * t1962;
  t3548 = t3526 * t1348;
  t3551 = t1612 * t712;
  t3552 = t1969 * t3551;
  t3555 = -t3505 + t3509 + t3513 - t3515 * t751 / 0.32e2 - t3520 - t3521 + t3522 + 0.3e1 / 0.32e2 * t519 * t3523 + 0.3e1 / 0.16e2 * t534 * t3527 - 0.3e1 / 0.16e2 * t534 * t3531 - t534 * t3535 / 0.8e1 - t3538 - t534 * t3539 / 0.16e2 + t3542 - 0.3e1 / 0.32e2 * t519 * t3531 + 0.3e1 / 0.32e2 * t519 * t3545 + t534 * t3548 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3552 - t721;
  t3556 = my_piecewise3(t51, 0, t3555);
  tv3sigma2lapl11 = t3 * t3556;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 11] += tv3sigma2lapl11;

  t3557 = t640 * t3458;
  t3558 = t484 * t3557;
  t3559 = t3558 / 0.16e2;
  t3560 = t644 * t3447;
  t3561 = t484 * t3560;
  t3562 = t3561 / 0.16e2;
  t3565 = t2267 * t626;
  t3566 = t469 * t3565;
  t3567 = t3566 / 0.32e2;
  t3568 = t213 * t695;
  t3569 = t3568 * t290;
  t3570 = t484 * t3569;
  t3571 = t3570 / 0.16e2;
  t3572 = t2258 * t2035;
  t3575 = t213 * t690;
  t3576 = t3575 * t973;
  t3579 = t640 * t3472;
  t3582 = t644 * t3476;
  t3585 = t3575 * t1036;
  t3590 = t2237 * t1982;
  t3593 = t3575 * t946;
  t3596 = t1990 * t3496;
  t3599 = t3559 + t3562 - t3463 * t768 / 0.32e2 - t3567 - t3571 - t3466 + t3467 + 0.3e1 / 0.32e2 * t469 * t3572 + 0.3e1 / 0.16e2 * t484 * t3576 - 0.3e1 / 0.16e2 * t484 * t3579 - t484 * t3582 / 0.8e1 - t3483 - t484 * t3585 / 0.16e2 + t3487 - 0.3e1 / 0.32e2 * t469 * t3579 + 0.3e1 / 0.32e2 * t469 * t3590 + t484 * t3593 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3596 - t699;
  t3600 = my_piecewise3(t2, 0, t3599);
  tv3sigma2tau0 = t3 * t3600;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  tv3sigma2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 1] += tv3sigma2tau1;

  tv3sigma2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 2] += tv3sigma2tau2;

  tv3sigma2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 3] += tv3sigma2tau3;

  tv3sigma2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 4] += tv3sigma2tau4;

  tv3sigma2tau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 5] += tv3sigma2tau5;

  tv3sigma2tau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 6] += tv3sigma2tau6;

  tv3sigma2tau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 7] += tv3sigma2tau7;

  tv3sigma2tau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 8] += tv3sigma2tau8;

  tv3sigma2tau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 9] += tv3sigma2tau9;

  tv3sigma2tau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 10] += tv3sigma2tau10;

  t3601 = t683 * t3510;
  t3602 = t534 * t3601;
  t3603 = t3602 / 0.16e2;
  t3606 = t2411 * t665;
  t3607 = t519 * t3606;
  t3608 = t3607 / 0.32e2;
  t3609 = t219 * t717;
  t3610 = t3609 * t445;
  t3611 = t534 * t3610;
  t3612 = t3611 / 0.16e2;
  t3613 = t679 * t3506;
  t3614 = t534 * t3613;
  t3615 = t3614 / 0.16e2;
  t3616 = t2370 * t2186;
  t3619 = t219 * t712;
  t3620 = t3619 * t1361;
  t3623 = t679 * t3530;
  t3626 = t683 * t3534;
  t3629 = t3619 * t1330;
  t3634 = t2406 * t2150;
  t3637 = t3619 * t1348;
  t3640 = t2158 * t3551;
  t3643 = t3603 - t3515 * t783 / 0.32e2 - t3608 - t3612 + t3615 - t3521 + t3522 + 0.3e1 / 0.32e2 * t519 * t3616 + 0.3e1 / 0.16e2 * t534 * t3620 - 0.3e1 / 0.16e2 * t534 * t3623 - t534 * t3626 / 0.8e1 - t3538 - t534 * t3629 / 0.16e2 + t3542 - 0.3e1 / 0.32e2 * t519 * t3623 + 0.3e1 / 0.32e2 * t519 * t3634 + t534 * t3637 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3640 - t721;
  t3644 = my_piecewise3(t51, 0, t3643);
  tv3sigma2tau11 = t3 * t3644;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 11] += tv3sigma2tau11;

  t3645 = t2862 * t1474;
  t3648 = t1461 * t183;
  t3649 = t2838 * t3648;
  t3652 = t1467 * t183;
  t3653 = t2862 * t3652;
  t3656 = t2838 * t1474;
  t3659 = t3449 / 0.8e1;
  t3660 = t3452 / 0.16e2;
  t3661 = t3456 / 0.8e1;
  t3662 = t3460 / 0.8e1;
  t3663 = t3346 / 0.32e2;
  t3664 = t3353 / 0.16e2;
  t3666 = t3363 * t798 * t269;
  t3669 = t798 * t183;
  t3670 = t3669 * t1036;
  t3673 = t3370 / 0.16e2;
  t3676 = t2842 * t1526;
  t3679 = t2838 * t1526;
  t3682 = t1517 * t183;
  t3683 = t2842 * t3682;
  t3686 = t3382 / 0.16e2;
  t3687 = 0.3e1 / 0.16e2 * t484 * t3645 - 0.3e1 / 0.16e2 * t484 * t3649 - t484 * t3653 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t3656 + t3659 - t3660 - t3661 + t3662 - t3663 + t3664 - t99 * t3666 / 0.32e2 - t484 * t3670 / 0.16e2 - t3673 - 0.3e1 / 0.32e2 * t469 * t3649 + 0.3e1 / 0.32e2 * t469 * t3676 + t484 * t3679 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3683 + t3686 - t699;
  t3688 = my_piecewise3(t2, 0, t3687);
  tv3sigmalapl20 = t3 * t3688;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  tv3sigmalapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 1] += tv3sigmalapl21;

  tv3sigmalapl22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 2] += tv3sigmalapl22;

  tv3sigmalapl23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 3] += tv3sigmalapl23;

  tv3sigmalapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 4] += tv3sigmalapl24;

  tv3sigmalapl25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 5] += tv3sigmalapl25;

  tv3sigmalapl26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 6] += tv3sigmalapl26;

  tv3sigmalapl27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 7] += tv3sigmalapl27;

  t3689 = t2947 * t1707;
  t3692 = t2933 * t1619;
  t3695 = t1701 * t191;
  t3696 = t2947 * t3695;
  t3699 = t2933 * t1707;
  t3702 = t3504 / 0.8e1;
  t3703 = t3508 / 0.8e1;
  t3704 = t3512 / 0.8e1;
  t3705 = t3519 / 0.16e2;
  t3706 = t3401 / 0.32e2;
  t3707 = t3408 / 0.16e2;
  t3709 = t3418 * t815 * t424;
  t3712 = t815 * t191;
  t3713 = t3712 * t1330;
  t3716 = t3425 / 0.16e2;
  t3717 = t2933 * t1625;
  t3720 = t1612 * t191;
  t3721 = t2937 * t3720;
  t3726 = t2937 * t1625;
  t3729 = t3437 / 0.16e2;
  t3730 = 0.3e1 / 0.16e2 * t534 * t3689 - 0.3e1 / 0.16e2 * t534 * t3692 - t534 * t3696 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t3699 - t3702 + t3703 + t3704 - t3705 - t3706 + t3707 - t156 * t3709 / 0.32e2 - t534 * t3713 / 0.16e2 - t3716 + t534 * t3717 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3721 - 0.3e1 / 0.32e2 * t519 * t3692 + 0.3e1 / 0.32e2 * t519 * t3726 + t3729 - t721;
  t3731 = my_piecewise3(t51, 0, t3730);
  tv3sigmalapl28 = t3 * t3731;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 8] += tv3sigmalapl28;

  t3734 = -t3463 * t832 / 0.32e2 + t3559 + t3562 - t3567 - t3571 + t3450 - t3453 - t3457 + t3461 - t3663 + t3664;
  t3735 = t3016 * t1474;
  t3738 = t2466 * t183;
  t3739 = t2655 * t3738;
  t3742 = t2659 * t3738;
  t3745 = t2663 * t183;
  t3746 = t3008 * t3745;
  t3749 = t835 * t183;
  t3750 = t3749 * t1036;
  t3755 = t2997 * t3745;
  t3758 = t3001 * t1526;
  t3761 = t2677 * t3738;
  t3764 = 0.3e1 / 0.16e2 * t484 * t3735 - 0.3e1 / 0.16e2 * t484 * t3739 - t484 * t3742 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t3746 - t3673 - t484 * t3750 / 0.16e2 + t3686 - 0.3e1 / 0.32e2 * t469 * t3739 + 0.3e1 / 0.32e2 * t469 * t3755 + t484 * t3758 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3761 - t699;
  t3766 = my_piecewise3(t2, 0, t3734 + t3764);
  tv3sigmalapltau0 = t3 * t3766;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  tv3sigmalapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 1] += tv3sigmalapltau1;

  tv3sigmalapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 2] += tv3sigmalapltau2;

  tv3sigmalapltau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 3] += tv3sigmalapltau3;

  tv3sigmalapltau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 4] += tv3sigmalapltau4;

  tv3sigmalapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 5] += tv3sigmalapltau5;

  tv3sigmalapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 6] += tv3sigmalapltau6;

  tv3sigmalapltau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 7] += tv3sigmalapltau7;

  tv3sigmalapltau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 8] += tv3sigmalapltau8;

  tv3sigmalapltau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 9] += tv3sigmalapltau9;

  tv3sigmalapltau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 10] += tv3sigmalapltau10;

  t3769 = -t3515 * t849 / 0.32e2 + t3603 - t3608 - t3612 + t3615 - t3505 + t3509 + t3513 - t3520 - t3706 + t3707;
  t3770 = t2579 * t191;
  t3771 = t2789 * t3770;
  t3774 = t2760 * t191;
  t3775 = t3132 * t3774;
  t3778 = t3123 * t1707;
  t3781 = t679 * t450;
  t3782 = t3781 * t3770;
  t3785 = t852 * t191;
  t3786 = t3785 * t1330;
  t3791 = t3112 * t3774;
  t3794 = t3116 * t1625;
  t3797 = t2773 * t3770;
  t3800 = -t534 * t3771 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t3775 + 0.3e1 / 0.16e2 * t534 * t3778 - 0.3e1 / 0.16e2 * t534 * t3782 - t3716 - t534 * t3786 / 0.16e2 + t3729 - 0.3e1 / 0.32e2 * t519 * t3782 + 0.3e1 / 0.32e2 * t519 * t3791 + t534 * t3794 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3797 - t721;
  t3802 = my_piecewise3(t51, 0, t3769 + t3800);
  tv3sigmalapltau11 = t3 * t3802;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 11] += tv3sigmalapltau11;

  t3803 = t3198 * t3652;
  t3806 = t3198 * t1474;
  t3809 = t3181 * t3648;
  t3812 = t3181 * t1474;
  t3815 = t3558 / 0.8e1;
  t3816 = t3561 / 0.8e1;
  t3817 = t3566 / 0.16e2;
  t3818 = t3570 / 0.8e1;
  t3820 = t3363 * t866 * t269;
  t3823 = t866 * t183;
  t3824 = t3823 * t1036;
  t3829 = t3185 * t1526;
  t3832 = t3181 * t1526;
  t3835 = t3185 * t3682;
  t3838 = -t484 * t3803 / 0.8e1 + 0.3e1 / 0.16e2 * t484 * t3806 - 0.3e1 / 0.16e2 * t484 * t3809 + 0.3e1 / 0.32e2 * t469 * t3812 + t3815 + t3816 - t3817 - t3818 - t3663 + t3664 - t99 * t3820 / 0.32e2 - t484 * t3824 / 0.16e2 - t3673 - 0.3e1 / 0.32e2 * t469 * t3809 + 0.3e1 / 0.32e2 * t469 * t3829 + t484 * t3832 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3835 + t3686 - t699;
  t3839 = my_piecewise3(t2, 0, t3838);
  tv3sigmatau20 = t3 * t3839;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  tv3sigmatau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 1] += tv3sigmatau21;

  tv3sigmatau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 2] += tv3sigmatau22;

  tv3sigmatau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 3] += tv3sigmatau23;

  tv3sigmatau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 4] += tv3sigmatau24;

  tv3sigmatau25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 5] += tv3sigmatau25;

  tv3sigmatau26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 6] += tv3sigmatau26;

  tv3sigmatau27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 7] += tv3sigmatau27;

  t3840 = t3300 * t1707;
  t3843 = t3276 * t1619;
  t3846 = t3300 * t3695;
  t3849 = t3276 * t1707;
  t3852 = t3602 / 0.8e1;
  t3853 = t3607 / 0.16e2;
  t3854 = t3611 / 0.8e1;
  t3855 = t3614 / 0.8e1;
  t3857 = t3418 * t883 * t424;
  t3860 = t883 * t191;
  t3861 = t3860 * t1330;
  t3866 = t3287 * t1625;
  t3869 = t3276 * t1625;
  t3872 = t3287 * t3720;
  t3875 = 0.3e1 / 0.16e2 * t534 * t3840 - 0.3e1 / 0.16e2 * t534 * t3843 - t534 * t3846 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t3849 + t3852 - t3853 - t3854 + t3855 - t3706 + t3707 - t156 * t3857 / 0.32e2 - t534 * t3861 / 0.16e2 - t3716 - 0.3e1 / 0.32e2 * t519 * t3843 + 0.3e1 / 0.32e2 * t519 * t3866 + t534 * t3869 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3872 + t3729 - t721;
  t3876 = my_piecewise3(t51, 0, t3875);
  tv3sigmatau28 = t3 * t3876;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 8] += tv3sigmatau28;

  t3877 = t998 * t199;
  t3879 = t1001 * t199;
  t3882 = t3877 * t116 / 0.2e1 - t3879 * t116 / 0.2e1 + t201 / 0.2e1;
  t3884 = t3882 * t798 * t269;
  t3887 = t798 * t199;
  t3888 = t100 * t3887;
  t3889 = t3888 * t961;
  t3892 = t3888 * t965;
  t3895 = t260 * t3887;
  t3896 = t3895 * t969;
  t3899 = t3888 * t973;
  t3902 = 0.3e1 / 0.16e2 * t3449;
  t3903 = 0.3e1 / 0.32e2 * t3452;
  t3904 = 0.3e1 / 0.16e2 * t3456;
  t3905 = 0.3e1 / 0.16e2 * t3460;
  t3906 = t3888 * t1036;
  t3909 = t3895 * t961;
  t3912 = t3895 * t940;
  t3915 = t3888 * t946;
  t3918 = t3888 * t953;
  t3921 = -t99 * t3884 / 0.32e2 - 0.3e1 / 0.16e2 * t99 * t3889 - t99 * t3892 / 0.8e1 + 0.3e1 / 0.32e2 * t99 * t3896 + 0.3e1 / 0.16e2 * t99 * t3899 + t3902 - t3903 - t3904 + t3905 - t99 * t3906 / 0.16e2 - 0.3e1 / 0.32e2 * t99 * t3909 + 0.3e1 / 0.32e2 * t99 * t3912 + t99 * t3915 / 0.4e1 - 0.3e1 / 0.16e2 * t99 * t3918 - t699;
  t3922 = my_piecewise3(t2, 0, t3921);
  tv3lapl30 = t3 * t3922;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  tv3lapl31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 1] += tv3lapl31;

  tv3lapl32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 2] += tv3lapl32;

  t3923 = t1306 * t207;
  t3925 = t1309 * t207;
  t3928 = t3923 * t173 / 0.2e1 - t3925 * t173 / 0.2e1 + t209 / 0.2e1;
  t3930 = t3928 * t815 * t424;
  t3933 = t815 * t207;
  t3934 = t157 * t3933;
  t3935 = t3934 * t1335;
  t3938 = t3934 * t1368;
  t3941 = t415 * t3933;
  t3942 = t3941 * t1374;
  t3945 = t3934 * t1361;
  t3948 = 0.3e1 / 0.16e2 * t3504;
  t3949 = 0.3e1 / 0.16e2 * t3508;
  t3950 = 0.3e1 / 0.16e2 * t3512;
  t3951 = 0.3e1 / 0.32e2 * t3519;
  t3952 = t3934 * t1330;
  t3955 = t3941 * t1335;
  t3958 = t3941 * t1343;
  t3961 = t3934 * t1348;
  t3964 = t3934 * t1355;
  t3967 = -t156 * t3930 / 0.32e2 - 0.3e1 / 0.16e2 * t156 * t3935 - t156 * t3938 / 0.8e1 + 0.3e1 / 0.32e2 * t156 * t3942 + 0.3e1 / 0.16e2 * t156 * t3945 - t3948 + t3949 + t3950 - t3951 - t156 * t3952 / 0.16e2 - 0.3e1 / 0.32e2 * t156 * t3955 + 0.3e1 / 0.32e2 * t156 * t3958 + t156 * t3961 / 0.4e1 - 0.3e1 / 0.16e2 * t156 * t3964 - t721;
  t3968 = my_piecewise3(t51, 0, t3967);
  tv3lapl33 = t3 * t3968;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 3] += tv3lapl33;

  t3969 = t26 * t3882;
  t3970 = t23 * t3969;
  t3973 = t213 * t798;
  t3974 = t3973 * t973;
  t3978 = t640 * t1461 * t798;
  t3981 = t1467 * t798;
  t3982 = t644 * t3981;
  t3985 = t2838 * t2035;
  t3988 = t3973 * t1036;
  t3993 = t2842 * t1982;
  t3996 = t3973 * t946;
  t3999 = t1517 * t798;
  t4000 = t1990 * t3999;
  t4003 = -t3970 * t832 / 0.32e2 + t3559 + t3562 - t3567 - t3571 + t3659 - t3660 - t3661 + t3662 + 0.3e1 / 0.16e2 * t484 * t3974 - 0.3e1 / 0.16e2 * t484 * t3978 - t484 * t3982 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t3985 - t484 * t3988 / 0.16e2 - 0.3e1 / 0.32e2 * t469 * t3978 + 0.3e1 / 0.32e2 * t469 * t3993 + t484 * t3996 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t4000 - t699;
  t4004 = my_piecewise3(t2, 0, t4003);
  tv3lapl2tau0 = t3 * t4004;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  tv3lapl2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 1] += tv3lapl2tau1;

  tv3lapl2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 2] += tv3lapl2tau2;

  tv3lapl2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 3] += tv3lapl2tau3;

  tv3lapl2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 4] += tv3lapl2tau4;

  t4005 = t26 * t3928;
  t4006 = t60 * t4005;
  t4009 = t219 * t815;
  t4010 = t4009 * t1361;
  t4014 = t679 * t1618 * t815;
  t4017 = t1701 * t815;
  t4018 = t683 * t4017;
  t4021 = t2933 * t2186;
  t4024 = t4009 * t1330;
  t4029 = t2937 * t2150;
  t4032 = t4009 * t1348;
  t4035 = t1612 * t815;
  t4036 = t2158 * t4035;
  t4039 = -t4006 * t849 / 0.32e2 + t3603 - t3608 - t3612 + t3615 - t3702 + t3703 + t3704 - t3705 + 0.3e1 / 0.16e2 * t534 * t4010 - 0.3e1 / 0.16e2 * t534 * t4014 - t534 * t4018 / 0.8e1 + 0.3e1 / 0.32e2 * t519 * t4021 - t534 * t4024 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t4014 + 0.3e1 / 0.32e2 * t519 * t4029 + t534 * t4032 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t4036 - t721;
  t4040 = my_piecewise3(t51, 0, t4039);
  tv3lapl2tau5 = t3 * t4040;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 5] += tv3lapl2tau5;

  t4042 = t3882 * t866 * t269;
  t4045 = t3198 * t1756;
  t4049 = t3181 * t1461 * t199;
  t4053 = t3198 * t1467 * t199;
  t4056 = t3181 * t1756;
  t4059 = t866 * t199;
  t4060 = t4059 * t1036;
  t4065 = t3185 * t1762;
  t4068 = t3181 * t1762;
  t4072 = t3185 * t1517 * t199;
  t4075 = -t99 * t4042 / 0.32e2 + 0.3e1 / 0.16e2 * t484 * t4045 - 0.3e1 / 0.16e2 * t484 * t4049 - t484 * t4053 / 0.8e1 + 0.3e1 / 0.32e2 * t469 * t4056 + t3815 + t3816 - t3817 - t3818 + t3450 - t3453 - t3457 + t3461 - t484 * t4060 / 0.16e2 - 0.3e1 / 0.32e2 * t469 * t4049 + 0.3e1 / 0.32e2 * t469 * t4065 + t484 * t4068 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t4072 - t699;
  t4076 = my_piecewise3(t2, 0, t4075);
  tv3lapltau20 = t3 * t4076;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  tv3lapltau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 1] += tv3lapltau21;

  tv3lapltau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 2] += tv3lapltau22;

  tv3lapltau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 3] += tv3lapltau23;

  tv3lapltau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 4] += tv3lapltau24;

  t4078 = t3928 * t883 * t424;
  t4082 = t3300 * t1701 * t207;
  t4085 = t3300 * t1903;
  t4089 = t3276 * t1618 * t207;
  t4092 = t3276 * t1903;
  t4095 = t883 * t207;
  t4096 = t4095 * t1330;
  t4101 = t3287 * t1962;
  t4104 = t3276 * t1962;
  t4108 = t3287 * t1612 * t207;
  t4111 = -t156 * t4078 / 0.32e2 - t534 * t4082 / 0.8e1 + 0.3e1 / 0.16e2 * t534 * t4085 - 0.3e1 / 0.16e2 * t534 * t4089 + 0.3e1 / 0.32e2 * t519 * t4092 + t3852 - t3853 - t3854 + t3855 - t3505 + t3509 + t3513 - t3520 - t534 * t4096 / 0.16e2 - 0.3e1 / 0.32e2 * t519 * t4089 + 0.3e1 / 0.32e2 * t519 * t4101 + t534 * t4104 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t4108 - t721;
  t4112 = my_piecewise3(t51, 0, t4111);
  tv3lapltau25 = t3 * t4112;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 5] += tv3lapltau25;

  t4113 = t998 * t213;
  t4115 = t1001 * t213;
  t4118 = t4113 * t116 / 0.2e1 - t4115 * t116 / 0.2e1 + t215 / 0.2e1;
  t4120 = t4118 * t866 * t269;
  t4123 = t866 * t213;
  t4124 = t100 * t4123;
  t4125 = t4124 * t973;
  t4128 = t4124 * t961;
  t4131 = t4124 * t965;
  t4134 = t260 * t4123;
  t4135 = t4134 * t969;
  t4138 = 0.3e1 / 0.16e2 * t3558;
  t4139 = 0.3e1 / 0.16e2 * t3561;
  t4140 = 0.3e1 / 0.32e2 * t3566;
  t4141 = 0.3e1 / 0.16e2 * t3570;
  t4142 = t4124 * t1036;
  t4145 = t4134 * t961;
  t4148 = t4134 * t940;
  t4151 = t4124 * t946;
  t4154 = t4124 * t953;
  t4157 = -t99 * t4120 / 0.32e2 + 0.3e1 / 0.16e2 * t99 * t4125 - 0.3e1 / 0.16e2 * t99 * t4128 - t99 * t4131 / 0.8e1 + 0.3e1 / 0.32e2 * t99 * t4135 + t4138 + t4139 - t4140 - t4141 - t99 * t4142 / 0.16e2 - 0.3e1 / 0.32e2 * t99 * t4145 + 0.3e1 / 0.32e2 * t99 * t4148 + t99 * t4151 / 0.4e1 - 0.3e1 / 0.16e2 * t99 * t4154 - t699;
  t4158 = my_piecewise3(t2, 0, t4157);
  tv3tau30 = t3 * t4158;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  tv3tau31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 1] += tv3tau31;

  tv3tau32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 2] += tv3tau32;

  t4159 = t1306 * t219;
  t4161 = t1309 * t219;
  t4164 = t4159 * t173 / 0.2e1 - t4161 * t173 / 0.2e1 + t221 / 0.2e1;
  t4166 = t4164 * t883 * t424;
  t4169 = t883 * t219;
  t4170 = t157 * t4169;
  t4171 = t4170 * t1335;
  t4174 = t4170 * t1368;
  t4177 = t415 * t4169;
  t4178 = t4177 * t1374;
  t4181 = t4170 * t1361;
  t4184 = 0.3e1 / 0.16e2 * t3602;
  t4185 = 0.3e1 / 0.32e2 * t3607;
  t4186 = 0.3e1 / 0.16e2 * t3611;
  t4187 = 0.3e1 / 0.16e2 * t3614;
  t4188 = t4170 * t1330;
  t4191 = t4177 * t1335;
  t4194 = t4177 * t1343;
  t4197 = t4170 * t1348;
  t4200 = t4170 * t1355;
  t4203 = -t156 * t4166 / 0.32e2 - 0.3e1 / 0.16e2 * t156 * t4171 - t156 * t4174 / 0.8e1 + 0.3e1 / 0.32e2 * t156 * t4178 + 0.3e1 / 0.16e2 * t156 * t4181 + t4184 - t4185 - t4186 + t4187 - t156 * t4188 / 0.16e2 - 0.3e1 / 0.32e2 * t156 * t4191 + 0.3e1 / 0.32e2 * t156 * t4194 + t156 * t4197 / 0.4e1 - 0.3e1 / 0.16e2 * t156 * t4200 - t721;
  t4204 = my_piecewise3(t51, 0, t4203);
  tv3tau33 = t3 * t4204;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 3] += tv3tau33;

  t4207 = t283 * t261;
  t4218 = t1502 * t1041;
  t4220 = t1419 * t1049;
  t4222 = t1048 * t1462;
  t4225 = t1419 * t1053;
  t4236 = t1525 * t283;
  t4240 = -0.3e1 / 0.8e1 * t484 * t4207 * t1036 + 0.3e1 / 0.2e1 * t484 * t4207 * t946 - 0.9e1 / 0.8e1 * t484 * t283 * t934 * t1518 - 0.3e1 / 0.16e2 * t4218 + 0.3e1 / 0.8e1 * t4220 - 0.9e1 / 0.8e1 * t484 * t4222 + 0.3e1 / 0.8e1 * t4225 + 0.9e1 / 0.8e1 * t484 * t4207 * t973 - 0.9e1 / 0.16e2 * t469 * t4222 + t484 * t1020 * t43 * t497 / 0.4e1 + 0.9e1 / 0.16e2 * t469 * t1524 * t4236;
  t4243 = t1020 * t263;
  t4249 = t1419 * t1045;
  t4260 = t1467 * t283;
  t4264 = t1473 * t283;
  t4274 = t261 * t261;
  t4275 = t260 * t4274;
  t4276 = t267 * t267;
  t4277 = 0.1e1 / t4276;
  t4278 = t266 * t4277;
  t4282 = 0.3e1 / 0.4e1 * t1415 * t1049 + t484 * t4243 * t491 / 0.4e1 - 0.3e1 / 0.4e1 * t1415 * t1045 - 0.3e1 / 0.8e1 * t4249 - t484 * t1020 * t111 * t290 / 0.4e1 - t469 * t470 * t471 * t1020 / 0.8e1 - 0.3e1 / 0.4e1 * t484 * t261 * t43 * t4260 + 0.9e1 / 0.16e2 * t469 * t1472 * t4264 + 0.3e1 / 0.4e1 * t1415 * t1053 - 0.3e1 / 0.8e1 * t1496 * t1041 - 0.5e1 / 0.32e2 * t1506 * t1041 - 0.11e2 / 0.32e2 * t99 * t4275 * t4278;
  t4284 = t255 * t962;
  t4286 = t945 * t4277;
  t4290 = t919 * t26;
  t4293 = t23 * t924;
  t4294 = t4293 * t117;
  t4296 = t241 * t95;
  t4297 = t4296 * t117;
  t4299 = t91 * t251;
  t4300 = t4299 * t117;
  t4304 = t1005 * t932;
  t4314 = -0.3e1 / 0.16e2 * t4284 - 0.7e1 / 0.32e2 * t99 * t4275 * t4286 - t4290 * t117 / 0.4e1 - 0.3e1 / 0.32e2 * t4294 - 0.3e1 / 0.8e1 * t4297 + 0.3e1 / 0.16e2 * t4300 + 0.3e1 / 0.8e1 * t246 * t941 + 0.5e1 / 0.32e2 * t99 * t4304 * t940 - 0.3e1 / 0.8e1 * t1025 * t291 - 0.3e1 / 0.8e1 * t246 * t962 - t246 * t1037 / 0.4e1;
  t4315 = t255 * t1037;
  t4317 = t100 * t4274;
  t4319 = t43 * t936 * t4277;
  t4323 = t289 * t4277;
  t4328 = 0.1e1 / t935 / t264;
  t4330 = t934 * t4328 * t4277;
  t4334 = t263 * t263;
  t4336 = 0.1e1 / t935 / t294;
  t4338 = t4334 * t4336 * t4277;
  t4342 = t296 * t4277;
  t4347 = t255 * t947;
  t4350 = t263 * t951 * t4277;
  t4354 = t952 * t4277;
  t4359 = t4334 * t4328 * t4277;
  t4363 = t255 * t941;
  t4365 = -t4315 / 0.8e1 - t99 * t4317 * t4319 / 0.16e2 - 0.11e2 / 0.16e2 * t99 * t4317 * t4323 - 0.25e2 / 0.16e2 * t99 * t4317 * t4330 + 0.15e2 / 0.16e2 * t99 * t4317 * t4338 + 0.11e2 / 0.16e2 * t99 * t4317 * t4342 + t246 * t947 + t4347 / 0.2e1 + 0.11e2 / 0.16e2 * t99 * t4317 * t4350 + 0.11e2 / 0.16e2 * t99 * t4275 * t4354 - 0.15e2 / 0.32e2 * t99 * t4275 * t4359 + 0.3e1 / 0.16e2 * t4363;
  t4368 = t937 * t4277;
  t4372 = t283 * t283;
  t4373 = t100 * t4372;
  t4380 = t1028 * t291;
  t4384 = t989 * t291;
  t4386 = t255 * t974;
  t4391 = t1035 * t4277;
  t4399 = -0.9e1 / 0.16e2 * t99 * t4275 * t4368 + 0.3e1 / 0.16e2 * t99 * t4373 * t297 - 0.3e1 / 0.2e1 * t99 * t4317 * t4286 - 0.3e1 / 0.8e1 * t4380 + 0.3e1 / 0.4e1 * t246 * t974 + 0.3e1 / 0.32e2 * t4384 + 0.3e1 / 0.8e1 * t4386 - 0.3e1 / 0.16e2 * t99 * t4373 * t290 + 0.3e1 / 0.8e1 * t99 * t4317 * t4391 - 0.3e1 / 0.8e1 * t1025 * t285 - t246 * t1022 / 0.4e1;
  t4404 = t989 * t285;
  t4406 = t989 * t270;
  t4408 = t255 * t1022;
  t4410 = t255 * t1007;
  t4426 = -0.3e1 / 0.16e2 * t1025 * t270 - t246 * t1007 / 0.8e1 + 0.3e1 / 0.32e2 * t4404 + 0.3e1 / 0.64e2 * t4406 - t4408 / 0.8e1 - t4410 / 0.16e2 + 0.3e1 / 0.8e1 * t246 * t970 + 0.5e1 / 0.32e2 * t99 * t4304 * t969 + 0.3e1 / 0.8e1 * t1025 * t302 - 0.3e1 / 0.4e1 * t246 * t954 + 0.3e1 / 0.8e1 * t1025 * t298 - 0.5e1 / 0.32e2 * t99 * t4304 * t961;
  t4430 = t16 * t16;
  t4432 = 0.1e1 / t20 / t4430;
  t4433 = t228 * t228;
  t4439 = t236 * t236;
  t4445 = 0.1e1 / t909 / t3;
  t4446 = t13 * t4445;
  t4449 = my_piecewise5(t7, 0, t11, 0, -0.24e2 * t910 + 0.24e2 * t4446);
  t4453 = my_piecewise3(t17, 0, 0.9e1 / 0.16e2 * t4432 * t4433 - 0.9e1 / 0.4e1 * t902 * t228 * t236 + 0.9e1 / 0.4e1 * t227 * t4439 + 0.3e1 * t906 * t914 + 0.3e1 / 0.2e1 * t20 * t4449);
  t4457 = t91 * t925;
  t4461 = t24 / t25 / t231;
  t4464 = 0.15e2 / 0.128e3 * t23 * t4461 * t46;
  t4465 = t241 * t252;
  t4467 = t919 * t96;
  t4476 = 0.1e1 / t996 / t45 * t100;
  t4480 = t997 * t260;
  t4487 = t998 * t261;
  t4494 = t258 * t1005;
  t4501 = t1001 * t261;
  t4508 = t270 / 0.4e1 + t285 / 0.2e1 + t291 / 0.2e1 - t298 / 0.2e1 - t302 / 0.2e1 - t4476 * t261 * t269 / 0.2e1 + t4480 * t261 * t269 / 0.2e1 + t998 * t283 * t116 / 0.2e1 + t4487 * t290 / 0.2e1 - t4487 * t297 / 0.2e1 - t4487 * t301 / 0.2e1 - t4494 * t111 * t116 / 0.2e1 - t1001 * t283 * t116 / 0.2e1 - t4501 * t290 / 0.2e1 + t4501 * t297 / 0.2e1 + t4501 * t301 / 0.2e1;
  t4523 = my_piecewise3(t39, (0.3e2 * lapl[0] * t1015 - 0.12e3 * tau[0] * t1015 + 0.45e2 * sigma[0] / t105 / t32) * t37, 0);
  t4532 = t1028 * t285;
  t4534 = t1028 * t270;
  t4536 = t1028 * t302;
  t4538 = -t246 * t966 / 0.2e1 - M_PI * t4453 * t47 / 0.8e1 - 0.3e1 / 0.16e2 * t4457 + t4464 + 0.3e1 / 0.16e2 * t4465 - t4467 / 0.4e1 - t99 * t4508 * t261 * t269 / 0.32e2 - t99 * t100 * t4523 * t116 / 0.16e2 - 0.3e1 / 0.32e2 * t99 * t260 * t4372 * t269 - 0.3e1 / 0.8e1 * t4532 - 0.3e1 / 0.16e2 * t4534 + 0.3e1 / 0.8e1 * t4536;
  t4539 = t989 * t302;
  t4544 = t255 * t966;
  t4546 = t114 * t4277;
  t4550 = t255 * t970;
  t4555 = t255 * t954;
  t4560 = t1028 * t298;
  t4564 = t989 * t298;
  t4566 = t255 * t977;
  t4568 = -0.3e1 / 0.32e2 * t4539 + 0.9e1 / 0.16e2 * t99 * t4275 * t4342 - t4544 / 0.4e1 + 0.3e1 / 0.8e1 * t99 * t4317 * t4546 + 0.3e1 / 0.16e2 * t4550 + 0.3e1 / 0.16e2 * t99 * t4373 * t301 - 0.3e1 / 0.8e1 * t4555 + 0.9e1 / 0.8e1 * t99 * t4317 * t4354 + 0.3e1 / 0.8e1 * t4560 - 0.3e1 / 0.4e1 * t246 * t977 - 0.3e1 / 0.32e2 * t4564 - 0.3e1 / 0.8e1 * t4566;
  t4572 = my_piecewise3(t2, 0, t4240 + t4282 + t4314 + t4365 + t4399 + t4426 + t4538 + t4568);
  t4573 = t55 * t55;
  t4575 = 0.1e1 / t57 / t4573;
  t4576 = t308 * t308;
  t4582 = t314 * t314;
  t4587 = t52 * t4445;
  t4590 = my_piecewise5(t11, 0, t7, 0, 0.24e2 * t910 + 0.24e2 * t4587);
  t4594 = my_piecewise3(t56, 0, 0.9e1 / 0.16e2 * t4575 * t4576 - 0.9e1 / 0.4e1 * t1059 * t308 * t314 + 0.9e1 / 0.4e1 * t307 * t4582 + 0.3e1 * t1063 * t1069 + 0.3e1 / 0.2e1 * t57 * t4590);
  t4598 = t1074 * t131;
  t4600 = t319 * t324;
  t4602 = t128 * t1081;
  t4606 = 0.15e2 / 0.128e3 * t60 * t4461 * t78;
  t4608 = my_piecewise3(t51, 0, -M_PI * t4594 * t79 / 0.8e1 - t4598 / 0.4e1 + 0.3e1 / 0.16e2 * t4600 - 0.3e1 / 0.16e2 * t4602 + t4606);
  tv4rho40 = 0.4e1 * t1058 + 0.4e1 * t1085 + t3 * (t4572 + t4608);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t4631 = t1127 * t285;
  t4633 = t1127 * t270;
  t4641 = -0.3e1 / 0.32e2 * t1548 * t1041 + 0.3e1 / 0.16e2 * t1553 * t1053 - 0.3e1 / 0.16e2 * t1553 * t1045 + 0.3e1 / 0.16e2 * t1553 * t1049 - 0.3e1 / 0.64e2 * t4218 + 0.3e1 / 0.32e2 * t4220 + 0.3e1 / 0.32e2 * t4225 - 0.3e1 / 0.32e2 * t4249 - t345 * t1037 / 0.16e2 + t345 * t947 / 0.4e1 - 0.3e1 / 0.16e2 * t345 * t954 - 0.3e1 / 0.32e2 * t4631 - 0.3e1 / 0.64e2 * t4633 - t345 * t1022 / 0.16e2 - t345 * t1007 / 0.32e2 + 0.3e1 / 0.16e2 * t1124 * t302;
  t4652 = t1109 * t26;
  t4655 = t340 * t95;
  t4656 = t4655 * t117;
  t4658 = t143 * t251;
  t4659 = t4658 * t117;
  t4660 = 0.3e1 / 0.64e2 * t4659;
  t4667 = t1127 * t302;
  t4671 = t1127 * t291;
  t4675 = t1127 * t298;
  t4677 = 0.3e1 / 0.32e2 * t345 * t970 - 0.3e1 / 0.16e2 * t1124 * t285 - 0.3e1 / 0.32e2 * t1124 * t270 - 0.3e1 / 0.16e2 * t1124 * t291 - 0.3e1 / 0.32e2 * t345 * t962 - 0.3e1 / 0.16e2 * t4652 * t117 - 0.3e1 / 0.16e2 * t4656 + t4660 + 0.3e1 / 0.16e2 * t1124 * t298 + 0.3e1 / 0.32e2 * t345 * t941 - 0.3e1 / 0.16e2 * t345 * t977 + 0.3e1 / 0.32e2 * t4667 - t345 * t966 / 0.8e1 - 0.3e1 / 0.32e2 * t4671 + 0.3e1 / 0.16e2 * t345 * t974 + 0.3e1 / 0.32e2 * t4675;
  t4694 = -0.3e1 / 0.64e2 * t4284 - 0.9e1 / 0.128e3 * t4294 - 0.3e1 / 0.32e2 * t4297 + 0.3e1 / 0.32e2 * t4300 - t4315 / 0.32e2 + t4347 / 0.8e1 + 0.3e1 / 0.64e2 * t4363 - 0.3e1 / 0.32e2 * t4380 + 0.3e1 / 0.64e2 * t4384 + 0.3e1 / 0.32e2 * t4386 + 0.3e1 / 0.64e2 * t4404 + 0.3e1 / 0.128e3 * t4406 - t4408 / 0.32e2 - t4410 / 0.64e2 - 0.9e1 / 0.64e2 * t4457 + t4464;
  t4697 = t1109 * t96;
  t4699 = t340 * t252;
  t4700 = 0.3e1 / 0.32e2 * t4699;
  t4701 = t143 * t925;
  t4719 = 0.12e2 * t910;
  t4720 = 0.24e2 * t4446;
  t4722 = my_piecewise5(t7, 0, t11, 0, -t4719 + t4720);
  t4726 = my_piecewise3(t17, 0, 0.9e1 / 0.16e2 * t4432 * t139 * t903 - 0.9e1 / 0.8e1 * t902 * t335 * t228 - 0.9e1 / 0.8e1 * t1093 * t87 * t236 + 0.9e1 / 0.4e1 * t227 * t1104 * t87 + 0.9e1 / 0.4e1 * t1096 * t236 + 0.3e1 / 0.4e1 * t331 * t914 + 0.3e1 / 0.2e1 * t20 * t4722);
  t4740 = 0.3e1 / 0.32e2 * t4465 - t4467 / 0.16e2 - 0.3e1 / 0.16e2 * t4697 + t4700 - 0.3e1 / 0.64e2 * t4701 - M_PI * t4726 * t47 / 0.8e1 - 0.3e1 / 0.32e2 * t4532 - 0.3e1 / 0.64e2 * t4534 + 0.3e1 / 0.32e2 * t4536 - 0.3e1 / 0.64e2 * t4539 - t4544 / 0.16e2 + 0.3e1 / 0.64e2 * t4550 - 0.3e1 / 0.32e2 * t4555 + 0.3e1 / 0.32e2 * t4560 - 0.3e1 / 0.64e2 * t4564 - 0.3e1 / 0.32e2 * t4566;
  t4743 = my_piecewise3(t2, 0, t4641 + t4677 + t4694 + t4740);
  t4760 = 0.24e2 * t4587;
  t4762 = my_piecewise5(t11, 0, t7, 0, t4719 + t4760);
  t4766 = my_piecewise3(t56, 0, 0.9e1 / 0.16e2 * t4575 * t149 * t1060 - 0.9e1 / 0.8e1 * t1059 * t356 * t308 - 0.9e1 / 0.8e1 * t1140 * t124 * t314 + 0.9e1 / 0.4e1 * t307 * t1150 * t124 + 0.9e1 / 0.4e1 * t1143 * t314 + 0.3e1 / 0.4e1 * t352 * t1069 + 0.3e1 / 0.2e1 * t57 * t4762);
  t4770 = t1155 * t131;
  t4772 = t361 * t324;
  t4773 = 0.3e1 / 0.32e2 * t4772;
  t4774 = t153 * t1081;
  t4779 = t1074 * t26;
  t4782 = t319 * t95;
  t4783 = t4782 * t174;
  t4785 = t128 * t251;
  t4786 = t4785 * t174;
  t4787 = 0.3e1 / 0.64e2 * t4786;
  t4788 = t60 * t924;
  t4789 = t4788 * t174;
  t4791 = -M_PI * t4766 * t79 / 0.8e1 - 0.3e1 / 0.16e2 * t4770 + t4773 - 0.3e1 / 0.64e2 * t4774 - t4598 / 0.16e2 + 0.3e1 / 0.32e2 * t4600 - 0.9e1 / 0.64e2 * t4602 + t4606 - t4779 * t174 / 0.16e2 - 0.3e1 / 0.32e2 * t4783 + t4787 - 0.3e1 / 0.128e3 * t4789;
  t4792 = my_piecewise3(t51, 0, t4791);
  tv4rho41 = t1058 + t1085 + 0.3e1 * t1139 + 0.3e1 * t1174 + t3 * (t4743 + t4792);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 1] += tv4rho41;

  t4805 = t1191 * t26;
  t4808 = t389 * t95;
  t4809 = t4808 * t117;
  t4823 = -t1196 * t291 / 0.16e2 + t1196 * t298 / 0.16e2 + t1196 * t302 / 0.16e2 - t4805 * t117 / 0.8e1 - t4809 / 0.16e2 - t1196 * t285 / 0.16e2 - t1196 * t270 / 0.32e2 - t4631 / 0.16e2 - t4633 / 0.32e2 - t4656 / 0.8e1 + t4659 / 0.16e2 + t4667 / 0.16e2 - t4671 / 0.16e2 + t4675 / 0.16e2 - 0.3e1 / 0.64e2 * t4294;
  t4836 = t335 * t335;
  t4849 = my_piecewise5(t7, 0, t11, 0, t4720);
  t4853 = my_piecewise3(t17, 0, 0.9e1 / 0.16e2 * t4432 * t379 * t228 - 0.3e1 / 0.2e1 * t1093 * t87 * t335 - 0.3e1 / 0.8e1 * t1177 * t236 + 0.3e1 / 0.2e1 * t227 * t4836 + 0.3e1 / 0.2e1 * t331 * t1104 - 0.3e1 / 0.8e1 * t902 * t384 * t228 + 0.3e1 / 0.2e1 * t227 * t1186 * t87 + 0.3e1 / 0.4e1 * t1182 * t236 + 0.3e1 / 0.2e1 * t20 * t4849);
  t4857 = t1191 * t96;
  t4859 = t389 * t252;
  t4868 = t4300 / 0.32e2 + t4384 / 0.64e2 + t4404 / 0.64e2 + t4406 / 0.128e3 - M_PI * t4853 * t47 / 0.8e1 - t4857 / 0.8e1 + t4859 / 0.32e2 - 0.3e1 / 0.32e2 * t4457 + t4464 + t4465 / 0.32e2 - t4697 / 0.8e1 + t4699 / 0.8e1 - 0.3e1 / 0.32e2 * t4701 - t4539 / 0.64e2 - t4564 / 0.64e2;
  t4870 = my_piecewise3(t2, 0, t4823 + t4868);
  t4879 = t1155 * t26;
  t4882 = t1170 * t453;
  t4884 = t1167 * t457;
  t4886 = t1170 * t457;
  t4888 = t1167 * t440;
  t4890 = t1170 * t440;
  t4892 = t1167 * t446;
  t4894 = t1170 * t446;
  t4896 = t1167 * t453;
  t4898 = t153 * t251;
  t4899 = t4898 * t174;
  t4901 = t1167 * t425;
  t4903 = t1164 * t453 / 0.16e2 + t1164 * t457 / 0.16e2 - t1164 * t425 / 0.32e2 - t1164 * t440 / 0.16e2 - t4879 * t174 / 0.8e1 - t4882 / 0.64e2 + t4884 / 0.16e2 - t4886 / 0.64e2 - t4888 / 0.16e2 + t4890 / 0.64e2 - t4892 / 0.16e2 + t4894 / 0.64e2 + t4896 / 0.16e2 + t4899 / 0.32e2 - t4901 / 0.32e2;
  t4904 = t1170 * t425;
  t4906 = t361 * t95;
  t4907 = t4906 * t174;
  t4925 = t356 * t356;
  t4938 = my_piecewise5(t11, 0, t7, 0, t4760);
  t4942 = my_piecewise3(t56, 0, 0.9e1 / 0.16e2 * t4575 * t395 * t308 - 0.3e1 / 0.2e1 * t1140 * t124 * t356 - 0.3e1 / 0.8e1 * t1204 * t314 + 0.3e1 / 0.2e1 * t307 * t4925 + 0.3e1 / 0.2e1 * t352 * t1150 - 0.3e1 / 0.8e1 * t1059 * t400 * t308 + 0.3e1 / 0.2e1 * t307 * t1213 * t124 + 0.3e1 / 0.4e1 * t1209 * t314 + 0.3e1 / 0.2e1 * t57 * t4938);
  t4946 = t1218 * t131;
  t4948 = t405 * t324;
  t4952 = t4904 / 0.128e3 - t4907 / 0.8e1 - t1164 * t446 / 0.16e2 - t4783 / 0.16e2 + t4786 / 0.16e2 - 0.3e1 / 0.64e2 * t4789 - t4770 / 0.8e1 + t4772 / 0.8e1 - 0.3e1 / 0.32e2 * t4774 - M_PI * t4942 * t79 / 0.8e1 - t4946 / 0.8e1 + t4948 / 0.32e2 + t4600 / 0.32e2 - 0.3e1 / 0.32e2 * t4602 + t4606;
  t4954 = my_piecewise3(t51, 0, t4903 + t4952);
  tv4rho42 = 0.2e1 * t1139 + 0.2e1 * t1174 + 0.2e1 * t1203 + 0.2e1 * t1253 + t3 * (t4870 + t4954);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 2] += tv4rho42;

  t4975 = my_piecewise5(t7, 0, t11, 0, t4719 + t4720);
  t4979 = my_piecewise3(t17, 0, 0.9e1 / 0.16e2 * t4432 * t1258 * t87 - 0.9e1 / 0.8e1 * t1177 * t335 - 0.9e1 / 0.8e1 * t1093 * t384 * t87 + 0.9e1 / 0.4e1 * t1096 * t384 + 0.9e1 / 0.4e1 * t331 * t1186 + 0.3e1 / 0.4e1 * t227 * t1265 * t87 + 0.3e1 / 0.2e1 * t20 * t4975);
  t4983 = t1270 * t96;
  t4985 = t1270 * t26;
  t4994 = -M_PI * t4979 * t47 / 0.8e1 - t4983 / 0.16e2 - t4985 * t117 / 0.16e2 - 0.3e1 / 0.16e2 * t4857 + 0.3e1 / 0.32e2 * t4859 - 0.3e1 / 0.32e2 * t4809 + t4700 - 0.9e1 / 0.64e2 * t4701 + t4660 - 0.3e1 / 0.64e2 * t4457 + t4464 - 0.3e1 / 0.128e3 * t4294;
  t4995 = my_piecewise3(t2, 0, t4994);
  t4996 = t1578 * t1282;
  t4998 = t1589 * t1286;
  t5000 = t1589 * t1290;
  t5002 = t1589 * t1294;
  t5012 = t370 * t1365;
  t5014 = t370 * t1369;
  t5016 = t1227 * t457;
  t5018 = t370 * t1344;
  t5020 = t370 * t1349;
  t5022 = t370 * t1356;
  t5024 = t1227 * t446;
  t5026 = t370 * t1331;
  t5028 = -0.3e1 / 0.64e2 * t4996 + 0.3e1 / 0.32e2 * t4998 - 0.3e1 / 0.32e2 * t5000 + 0.3e1 / 0.32e2 * t5002 + 0.3e1 / 0.16e2 * t1585 * t1294 - 0.3e1 / 0.16e2 * t1585 * t1290 - 0.3e1 / 0.32e2 * t1574 * t1282 + 0.3e1 / 0.16e2 * t1585 * t1286 - 0.3e1 / 0.32e2 * t5012 - t5014 / 0.16e2 + 0.3e1 / 0.32e2 * t5016 + 0.3e1 / 0.64e2 * t5018 + t5020 / 0.8e1 - 0.3e1 / 0.32e2 * t5022 - 0.3e1 / 0.32e2 * t5024 - t5026 / 0.32e2;
  t5029 = t370 * t1336;
  t5057 = t370 * t1390;
  t5059 = t405 * t95;
  t5060 = t5059 * t174;
  t5062 = -0.3e1 / 0.64e2 * t5029 - 0.3e1 / 0.16e2 * t1224 * t440 + 0.3e1 / 0.32e2 * t367 * t1375 - 0.3e1 / 0.16e2 * t367 * t1356 + 0.3e1 / 0.16e2 * t1224 * t453 + 0.3e1 / 0.16e2 * t367 * t1362 - 0.3e1 / 0.16e2 * t367 * t1365 - t367 * t1369 / 0.8e1 + 0.3e1 / 0.16e2 * t1224 * t457 - 0.3e1 / 0.16e2 * t1224 * t446 - t367 * t1331 / 0.16e2 - 0.3e1 / 0.32e2 * t367 * t1336 + 0.3e1 / 0.32e2 * t367 * t1344 + t367 * t1349 / 0.4e1 - t5057 / 0.32e2 - 0.3e1 / 0.32e2 * t5060;
  t5064 = t1227 * t440;
  t5066 = t1227 * t425;
  t5068 = t370 * t1315;
  t5070 = t370 * t1375;
  t5072 = t1227 * t453;
  t5074 = t370 * t1362;
  t5082 = t1218 * t26;
  t5091 = -0.3e1 / 0.32e2 * t5064 - 0.3e1 / 0.64e2 * t5066 - t5068 / 0.64e2 + 0.3e1 / 0.64e2 * t5070 + 0.3e1 / 0.32e2 * t5072 + 0.3e1 / 0.32e2 * t5074 - 0.3e1 / 0.32e2 * t1224 * t425 - t367 * t1315 / 0.32e2 - t367 * t1390 / 0.16e2 - 0.3e1 / 0.16e2 * t5082 * t174 - 0.3e1 / 0.64e2 * t4882 + 0.3e1 / 0.32e2 * t4884 - 0.3e1 / 0.64e2 * t4886 - 0.3e1 / 0.32e2 * t4888 + 0.3e1 / 0.64e2 * t4890 - 0.3e1 / 0.32e2 * t4892;
  t5115 = my_piecewise5(t11, 0, t7, 0, -t4719 + t4760);
  t5119 = my_piecewise3(t56, 0, 0.9e1 / 0.16e2 * t4575 * t1394 * t124 - 0.9e1 / 0.8e1 * t1204 * t356 - 0.9e1 / 0.8e1 * t1140 * t400 * t124 + 0.9e1 / 0.4e1 * t1143 * t400 + 0.9e1 / 0.4e1 * t352 * t1213 + 0.3e1 / 0.4e1 * t307 * t1401 * t124 + 0.3e1 / 0.2e1 * t57 * t5115);
  t5126 = t1406 * t131;
  t5129 = 0.3e1 / 0.64e2 * t4894 + 0.3e1 / 0.32e2 * t4896 + 0.3e1 / 0.32e2 * t4899 - 0.3e1 / 0.64e2 * t4901 + 0.3e1 / 0.128e3 * t4904 - 0.3e1 / 0.16e2 * t4907 + t4787 - 0.9e1 / 0.128e3 * t4789 - M_PI * t5119 * t79 / 0.8e1 + t4773 - 0.9e1 / 0.64e2 * t4774 - 0.3e1 / 0.16e2 * t4946 + 0.3e1 / 0.32e2 * t4948 - t5126 / 0.16e2 - 0.3e1 / 0.64e2 * t4602 + t4606;
  t5132 = my_piecewise3(t51, 0, t5028 + t5062 + t5091 + t5129);
  tv4rho43 = 0.3e1 * t1203 + 0.3e1 * t1253 + t1276 + t1411 + t3 * (t4995 + t5132);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 3] += tv4rho43;

  t5137 = t379 * t379;
  t5142 = t384 * t384;
  t5149 = my_piecewise5(t7, 0, t11, 0, 0.24e2 * t910 + 0.24e2 * t4446);
  t5153 = my_piecewise3(t17, 0, 0.9e1 / 0.16e2 * t4432 * t5137 - 0.9e1 / 0.4e1 * t1177 * t384 + 0.9e1 / 0.4e1 * t227 * t5142 + 0.3e1 * t331 * t1265 + 0.3e1 / 0.2e1 * t20 * t5149);
  t5161 = my_piecewise3(t2, 0, -M_PI * t5153 * t47 / 0.8e1 - t4983 / 0.4e1 + 0.3e1 / 0.16e2 * t4859 - 0.3e1 / 0.16e2 * t4701 + t4464);
  t5162 = t438 * t416;
  t5169 = t438 * t1339;
  t5173 = t1293 * t1896;
  t5176 = t1706 * t438;
  t5196 = t1701 * t438;
  t5200 = -0.3e1 / 0.8e1 * t534 * t5162 * t1330 + 0.3e1 / 0.2e1 * t534 * t5162 * t1348 - 0.9e1 / 0.8e1 * t534 * t5169 * t1613 - 0.9e1 / 0.8e1 * t534 * t5173 + 0.9e1 / 0.16e2 * t519 * t1617 * t5176 + 0.9e1 / 0.8e1 * t534 * t5162 * t1361 - t534 * t1388 * t168 * t445 / 0.4e1 - 0.9e1 / 0.16e2 * t519 * t5173 - 0.3e1 / 0.4e1 * t1678 * t1290 + t534 * t1388 * t75 * t547 / 0.4e1 - 0.3e1 / 0.4e1 * t534 * t416 * t75 * t5196;
  t5211 = t1624 * t438;
  t5217 = t1388 * t418;
  t5225 = t416 * t416;
  t5226 = t157 * t5225;
  t5227 = t418 * t418;
  t5229 = 0.1e1 / t1340 / t449;
  t5231 = t422 * t422;
  t5232 = 0.1e1 / t5231;
  t5233 = t5227 * t5229 * t5232;
  t5237 = 0.3e1 / 0.4e1 * t1678 * t1286 - 0.3e1 / 0.8e1 * t1681 * t1282 - 0.5e1 / 0.32e2 * t1655 * t1282 - t519 * t520 * t521 * t1388 / 0.8e1 + 0.9e1 / 0.16e2 * t519 * t1623 * t5211 + 0.3e1 / 0.4e1 * t1678 * t1294 + t534 * t5217 * t541 / 0.4e1 - 0.3e1 / 0.16e2 * t4996 + 0.3e1 / 0.8e1 * t4998 - 0.3e1 / 0.8e1 * t5000 + 0.3e1 / 0.8e1 * t5002 + 0.15e2 / 0.16e2 * t156 * t5226 * t5233;
  t5243 = t75 * t1341 * t5232;
  t5248 = t418 * t1353 * t5232;
  t5252 = t415 * t5225;
  t5253 = t1354 * t5232;
  t5258 = 0.1e1 / t1340 / t419;
  t5260 = t5227 * t5258 * t5232;
  t5265 = t1339 * t5258 * t5232;
  t5271 = t421 * t5232;
  t5277 = t1347 * t5232;
  t5281 = t409 * t1349 - t409 * t1331 / 0.4e1 - t156 * t5226 * t5243 / 0.16e2 + 0.11e2 / 0.16e2 * t156 * t5226 * t5248 + 0.11e2 / 0.16e2 * t156 * t5252 * t5253 - 0.15e2 / 0.32e2 * t156 * t5252 * t5260 - 0.25e2 / 0.16e2 * t156 * t5226 * t5265 - t409 * t1369 / 0.2e1 - 0.11e2 / 0.32e2 * t156 * t5252 * t5271 + 0.3e1 / 0.8e1 * t1297 * t457 - 0.7e1 / 0.32e2 * t156 * t5252 * t5277;
  t5282 = t1406 * t26;
  t5285 = t1313 * t1325;
  t5300 = t171 * t5232;
  t5304 = t438 * t438;
  t5314 = t444 * t5232;
  t5318 = -t5282 * t174 / 0.4e1 - 0.5e1 / 0.32e2 * t156 * t5285 * t1335 + 0.3e1 / 0.8e1 * t409 * t1344 + 0.5e1 / 0.32e2 * t156 * t5285 * t1343 - 0.3e1 / 0.4e1 * t409 * t1356 - 0.3e1 / 0.8e1 * t1297 * t446 - 0.3e1 / 0.8e1 * t409 * t1336 + 0.3e1 / 0.8e1 * t156 * t5226 * t5300 - 0.3e1 / 0.32e2 * t156 * t415 * t5304 * t424 + 0.9e1 / 0.8e1 * t156 * t5226 * t5253 - 0.3e1 / 0.4e1 * t409 * t1365 - 0.11e2 / 0.16e2 * t156 * t5226 * t5314;
  t5321 = t451 * t5232;
  t5325 = t1342 * t5232;
  t5329 = t157 * t5304;
  t5339 = t1327 * t5232;
  t5354 = 0.11e2 / 0.16e2 * t156 * t5226 * t5321 - 0.9e1 / 0.16e2 * t156 * t5252 * t5325 + 0.3e1 / 0.16e2 * t156 * t5329 * t452 - 0.3e1 / 0.2e1 * t156 * t5226 * t5277 - 0.3e1 / 0.16e2 * t156 * t5329 * t445 + 0.3e1 / 0.8e1 * t156 * t5226 * t5339 + 0.9e1 / 0.16e2 * t156 * t5252 * t5321 + 0.3e1 / 0.4e1 * t409 * t1362 - 0.3e1 / 0.8e1 * t1297 * t440 - 0.3e1 / 0.16e2 * t1297 * t425 - t409 * t1390 / 0.4e1;
  t5364 = 0.1e1 / t1304 / t77 * t157;
  t5368 = t1305 * t415;
  t5375 = t1306 * t416;
  t5382 = t413 * t1313;
  t5389 = t1309 * t416;
  t5396 = t425 / 0.4e1 + t440 / 0.2e1 + t446 / 0.2e1 - t453 / 0.2e1 - t457 / 0.2e1 - t5364 * t416 * t424 / 0.2e1 + t5368 * t416 * t424 / 0.2e1 + t1306 * t438 * t173 / 0.2e1 + t5375 * t445 / 0.2e1 - t5375 * t452 / 0.2e1 - t5375 * t456 / 0.2e1 - t5382 * t168 * t173 / 0.2e1 - t1309 * t438 * t173 / 0.2e1 - t5389 * t445 / 0.2e1 + t5389 * t452 / 0.2e1 + t5389 * t456 / 0.2e1;
  t5411 = my_piecewise3(t72, (0.3e2 * lapl[1] * t1383 - 0.12e3 * tau[1] * t1383 + 0.45e2 * sigma[2] / t162 / t66) * t37, 0);
  t5429 = -t409 * t1315 / 0.8e1 - t156 * t5396 * t416 * t424 / 0.32e2 - t156 * t157 * t5411 * t173 / 0.16e2 + 0.3e1 / 0.8e1 * t409 * t1375 + 0.5e1 / 0.32e2 * t156 * t5285 * t1374 + 0.3e1 / 0.8e1 * t1297 * t453 - 0.3e1 / 0.8e1 * t5012 - t5014 / 0.4e1 + 0.3e1 / 0.8e1 * t5016 + 0.3e1 / 0.16e2 * t5018 + t5020 / 0.2e1 - 0.3e1 / 0.8e1 * t5022;
  t5445 = -0.3e1 / 0.8e1 * t5024 - t5026 / 0.8e1 - 0.3e1 / 0.16e2 * t5029 + 0.3e1 / 0.16e2 * t156 * t5329 * t456 - t5057 / 0.8e1 - 0.3e1 / 0.8e1 * t5060 - 0.3e1 / 0.8e1 * t5064 - 0.3e1 / 0.16e2 * t5066 - t5068 / 0.16e2 + 0.3e1 / 0.16e2 * t5070 + 0.3e1 / 0.8e1 * t5072 + 0.3e1 / 0.8e1 * t5074;
  t5453 = t395 * t395;
  t5458 = t400 * t400;
  t5465 = my_piecewise5(t11, 0, t7, 0, -0.24e2 * t910 + 0.24e2 * t4587);
  t5469 = my_piecewise3(t56, 0, 0.9e1 / 0.16e2 * t4575 * t5453 - 0.9e1 / 0.4e1 * t1204 * t400 + 0.9e1 / 0.4e1 * t307 * t5458 + 0.3e1 * t352 * t1401 + 0.3e1 / 0.2e1 * t57 * t5465);
  t5476 = -0.3e1 / 0.32e2 * t4882 - 0.3e1 / 0.32e2 * t4886 + 0.3e1 / 0.32e2 * t4890 + 0.3e1 / 0.32e2 * t4894 + 0.3e1 / 0.16e2 * t4899 + 0.3e1 / 0.64e2 * t4904 - 0.3e1 / 0.32e2 * t4789 - M_PI * t5469 * t79 / 0.8e1 - 0.3e1 / 0.16e2 * t4774 + 0.3e1 / 0.16e2 * t4948 - t5126 / 0.4e1 + t4606;
  t5480 = my_piecewise3(t51, 0, t5200 + t5237 + t5281 + t5318 + t5354 + t5429 + t5445 + t5476);
  tv4rho44 = 0.4e1 * t1276 + 0.4e1 * t1411 + t3 * (t5161 + t5480);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 4] += tv4rho44;

  t5484 = t183 * t932;
  t5488 = t5484 * t4286;
  t5497 = t1419 * t1429;
  t5499 = t478 * t261;
  t5505 = t1419 * t1519;
  t5507 = t1451 * t1462;
  t5513 = t91 * t1418;
  t5514 = t5513 * t486;
  t5519 = t23 * t251 * t100;
  t5520 = t5519 * t486;
  t5522 = 0.11e2 / 0.16e2 * t484 * t5484 * t4350 - 0.3e1 / 0.2e1 * t484 * t5488 - 0.9e1 / 0.16e2 * t484 * t478 * t934 * t1518 + 0.3e1 / 0.4e1 * t1415 * t1429 + 0.3e1 / 0.8e1 * t5497 + 0.3e1 / 0.4e1 * t484 * t5499 * t946 - 0.9e1 / 0.16e2 * t1415 * t1519 - 0.9e1 / 0.32e2 * t5505 - 0.9e1 / 0.16e2 * t484 * t5507 + 0.3e1 / 0.8e1 * t484 * t5484 * t4391 - 0.3e1 / 0.16e2 * t5514 + 0.9e1 / 0.16e2 * t1415 * t1458 + 0.3e1 / 0.64e2 * t5520;
  t5523 = t1419 * t1458;
  t5528 = t5513 * t492;
  t5530 = t241 * t483;
  t5537 = t1419 * t1479;
  t5539 = t1419 * t1483;
  t5544 = t295 * t4277;
  t5545 = t5544 * t932;
  t5546 = t489 * t5545;
  t5549 = t1419 * t1469;
  t5551 = t113 * t4277;
  t5552 = t5551 * t932;
  t5556 = t1502 * t1475;
  t5560 = 0.9e1 / 0.32e2 * t5523 + 0.9e1 / 0.16e2 * t484 * t5499 * t973 + 0.3e1 / 0.16e2 * t5528 - 0.3e1 / 0.16e2 * t5530 * t486 - 0.3e1 / 0.8e1 * t1415 * t1423 - 0.3e1 / 0.16e2 * t1415 * t1487 + 0.3e1 / 0.32e2 * t5537 + 0.3e1 / 0.16e2 * t5539 - 0.11e2 / 0.16e2 * t484 * t5484 * t4323 + 0.11e2 / 0.16e2 * t484 * t5546 - 0.3e1 / 0.16e2 * t5549 + 0.3e1 / 0.8e1 * t484 * t495 * t5552 + 0.9e1 / 0.64e2 * t5556 - 0.9e1 / 0.16e2 * t1415 * t1463;
  t5562 = t5519 * t492;
  t5564 = t1419 * t1463;
  t5566 = t1473 * t478;
  t5572 = t1419 * t1452;
  t5574 = t1419 * t1491;
  t5576 = t1502 * t1527;
  t5578 = t1444 * t263;
  t5585 = t1525 * t478;
  t5593 = t1419 * t1423;
  t5595 = t1419 * t1487;
  t5597 = -0.3e1 / 0.64e2 * t5562 - 0.9e1 / 0.32e2 * t5564 + 0.9e1 / 0.32e2 * t469 * t1472 * t5566 + 0.9e1 / 0.32e2 * t1496 * t1527 + 0.3e1 / 0.16e2 * t5572 + 0.3e1 / 0.32e2 * t5574 + 0.9e1 / 0.64e2 * t5576 + 0.3e1 / 0.16e2 * t484 * t5578 * t491 + 0.3e1 / 0.16e2 * t484 * t1451 * t1490 + 0.9e1 / 0.32e2 * t469 * t1524 * t5585 - 0.7e1 / 0.32e2 * t469 * t5488 - 0.9e1 / 0.32e2 * t1496 * t1463 - 0.3e1 / 0.16e2 * t5593 - 0.3e1 / 0.32e2 * t5595;
  t5598 = t1502 * t1463;
  t5616 = t5513 * t498;
  t5618 = t91 * t1501;
  t5619 = t5618 * t473;
  t5623 = t241 * t468;
  t5626 = t91 * t1505;
  t5633 = -0.9e1 / 0.64e2 * t5598 - 0.3e1 / 0.16e2 * t484 * t1444 * t111 * t290 - 0.3e1 / 0.16e2 * t484 * t478 * t283 * t290 - 0.9e1 / 0.32e2 * t469 * t5507 + 0.3e1 / 0.16e2 * t5530 * t492 + 0.3e1 / 0.8e1 * t1415 * t1452 + 0.3e1 / 0.16e2 * t1415 * t1491 + 0.3e1 / 0.16e2 * t5616 - 0.3e1 / 0.32e2 * t5619 + 0.3e1 / 0.16e2 * t5530 * t498 - 0.3e1 / 0.32e2 * t5623 * t473 - 0.3e1 / 0.32e2 * t5626 * t473 - 0.3e1 / 0.32e2 * t1496 * t1509 - 0.3e1 / 0.16e2 * t1496 * t1513;
  t5641 = t496 * t1020;
  t5657 = t932 * t934;
  t5658 = t936 * t4277;
  t5659 = t5658 * t183;
  t5668 = t932 * t263;
  t5669 = t265 * t4277;
  t5670 = t5669 * t183;
  t5678 = 0.3e1 / 0.16e2 * t1415 * t1479 + 0.3e1 / 0.16e2 * t484 * t1482 * t1478 + t484 * t495 * t5641 / 0.16e2 + 0.3e1 / 0.8e1 * t1415 * t1483 + 0.3e1 / 0.16e2 * t484 * t1444 * t43 * t497 - t484 * t183 * t1020 * t290 / 0.16e2 + 0.9e1 / 0.16e2 * t469 * t5546 - 0.9e1 / 0.16e2 * t469 * t5657 * t5659 - 0.3e1 / 0.8e1 * t1415 * t1469 - 0.3e1 / 0.8e1 * t484 * t1482 * t1468 - 0.11e2 / 0.32e2 * t469 * t5668 * t5670 + 0.9e1 / 0.32e2 * t1496 * t1475 + 0.5e1 / 0.32e2 * t1506 * t1475;
  t5685 = t471 * t1444;
  t5689 = t932 * t4334;
  t5690 = t4328 * t4277;
  t5691 = t5690 * t183;
  t5695 = t5519 * t498;
  t5698 = t23 * t251 * t260;
  t5699 = t5698 * t473;
  t5702 = t23 * t95 * t1005;
  t5703 = t5702 * t473;
  t5705 = t1502 * t1509;
  t5707 = t1502 * t1513;
  t5710 = t23 * t26 * t4508;
  t5713 = t490 * t1020;
  t5717 = t183 * t4334;
  t5718 = t4336 * t4277;
  t5719 = t5718 * t932;
  t5723 = t951 * t4277;
  t5724 = t5723 * t183;
  t5725 = t5657 * t5724;
  t5730 = -t469 * t4243 * t472 / 0.32e2 - 0.3e1 / 0.32e2 * t469 * t1048 * t1512 - 0.3e1 / 0.32e2 * t469 * t470 * t5685 - 0.15e2 / 0.32e2 * t469 * t5689 * t5691 - 0.3e1 / 0.64e2 * t5695 + 0.3e1 / 0.128e3 * t5699 - 0.3e1 / 0.64e2 * t5703 - 0.3e1 / 0.64e2 * t5705 - 0.3e1 / 0.32e2 * t5707 - t5710 * t473 / 0.32e2 + t484 * t489 * t5713 / 0.16e2 + 0.15e2 / 0.16e2 * t484 * t5717 * t5719 + 0.11e2 / 0.16e2 * t469 * t5725 + 0.9e1 / 0.8e1 * t484 * t5725;
  t5734 = t1419 * t1455;
  t5754 = t255 * t1446;
  t5758 = my_piecewise3(t39, -0.15e2 / 0.2e1 * t1015 * t37, 0);
  t5763 = t1028 * t480;
  t5765 = t989 * t480;
  t5769 = -0.3e1 / 0.16e2 * t1415 * t1455 - 0.3e1 / 0.32e2 * t5734 - 0.3e1 / 0.16e2 * t484 * t5499 * t1036 - t484 * t5484 * t4319 / 0.16e2 - t1506 * t1509 / 0.16e2 - 0.3e1 / 0.32e2 * t1506 * t1513 - 0.5e1 / 0.32e2 * t1506 * t1463 + 0.5e1 / 0.32e2 * t1506 * t1527 - 0.25e2 / 0.16e2 * t484 * t1516 * t5690 * t932 - 0.3e1 / 0.32e2 * t5754 - t99 * t100 * t5758 * t116 / 0.16e2 - 0.3e1 / 0.16e2 * t5763 + 0.3e1 / 0.64e2 * t5765 - t4290 * t185 / 0.16e2;
  t5774 = t4296 * t185;
  t5777 = 0.3e1 / 0.128e3 * t4293 * t185;
  t5778 = t4299 * t185;
  t5784 = t1516 * t951;
  t5786 = t939 * t283 * t111;
  t5790 = t111 * t934;
  t5791 = t5790 * t936;
  t5792 = t2456 * t283;
  t5796 = t470 * t295;
  t5797 = t5796 * t5792;
  t5800 = t485 * t43;
  t5806 = t495 * t113;
  t5810 = t470 * t265;
  t5814 = t1461 * t283;
  t5818 = -0.3e1 / 0.16e2 * t1025 * t480 - 0.3e1 / 0.16e2 * t246 * t1446 - 0.3e1 / 0.32e2 * t5774 - t5777 + 0.3e1 / 0.64e2 * t5778 + 0.3e1 / 0.4e1 * t484 * t1486 * t263 * t2263 - 0.9e1 / 0.16e2 * t484 * t5784 * t5786 + 0.9e1 / 0.32e2 * t469 * t5791 * t5792 - 0.9e1 / 0.32e2 * t469 * t5797 + 0.9e1 / 0.16e2 * t484 * t5800 * t4264 - 0.9e1 / 0.16e2 * t484 * t5797 - 0.3e1 / 0.8e1 * t484 * t5806 * t5786 + 0.9e1 / 0.32e2 * t469 * t5810 * t5792 - 0.3e1 / 0.16e2 * t484 * t5800 * t5814;
  t5822 = my_piecewise3(t2, 0, t5522 + t5560 + t5597 + t5633 + t5678 + t5730 + t5769 + t5818);
  tv4rho3sigma0 = t3 * t5822 + 0.3e1 * t1532;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  tv4rho3sigma1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 1] += tv4rho3sigma1;

  t5827 = t4782 * t193;
  t5829 = t4785 * t193;
  t5832 = 0.3e1 / 0.128e3 * t4788 * t193;
  t5834 = my_piecewise3(t51, 0, -t4779 * t193 / 0.16e2 - 0.3e1 / 0.32e2 * t5827 + 0.3e1 / 0.64e2 * t5829 - t5832);
  tv4rho3sigma2 = t3 * t5834 + 0.3e1 * t1542;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 2] += tv4rho3sigma2;

  t5836 = 0.2e1 * t1567;
  t5841 = t340 * t483;
  t5844 = t143 * t1418;
  t5846 = t5844 * t486 / 0.16e2;
  t5850 = t5844 * t492 / 0.16e2;
  t5865 = t340 * t468;
  t5869 = t5844 * t498 / 0.16e2;
  t5872 = 0.3e1 / 0.16e2 * t1553 * t1458 - 0.3e1 / 0.16e2 * t1553 * t1463 - t5841 * t486 / 0.8e1 - t5846 - t1553 * t1423 / 0.8e1 + t5850 + t1553 * t1452 / 0.8e1 - t1553 * t1455 / 0.16e2 - t1553 * t1469 / 0.8e1 + 0.3e1 / 0.32e2 * t1548 * t1475 + t1553 * t1483 / 0.8e1 - t1553 * t1487 / 0.16e2 + t5841 * t498 / 0.8e1 - t5865 * t473 / 0.16e2 + t5869 - 0.3e1 / 0.32e2 * t1548 * t1463;
  t5887 = t143 * t1501;
  t5889 = t5887 * t473 / 0.32e2;
  t5890 = t143 * t1505;
  t5901 = 0.3e1 / 0.32e2 * t1548 * t1527 + t1553 * t1429 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t1519 + t5841 * t492 / 0.8e1 + t5497 / 0.8e1 - 0.3e1 / 0.32e2 * t5505 + t1553 * t1491 / 0.16e2 + t1553 * t1479 / 0.16e2 - t5889 - t5890 * t473 / 0.32e2 - t1548 * t1509 / 0.32e2 - t1548 * t1513 / 0.16e2 - t5514 / 0.16e2 + t5520 / 0.32e2 + 0.3e1 / 0.32e2 * t5523 + t5528 / 0.16e2;
  t5919 = t5537 / 0.32e2 + t5539 / 0.16e2 - t5549 / 0.16e2 + 0.3e1 / 0.64e2 * t5556 - t5562 / 0.32e2 - 0.3e1 / 0.32e2 * t5564 + t5572 / 0.16e2 + t5574 / 0.32e2 + 0.3e1 / 0.64e2 * t5576 - t5593 / 0.16e2 - t5595 / 0.32e2 - 0.3e1 / 0.64e2 * t5598 + t5616 / 0.16e2 - t5619 / 0.32e2 - t5695 / 0.32e2 + t5699 / 0.64e2;
  t5930 = t4655 * t185 / 0.16e2;
  t5931 = t4658 * t185;
  t5934 = t1127 * t480 / 0.16e2;
  t5941 = -t5703 / 0.64e2 - t5705 / 0.64e2 - t5707 / 0.32e2 - t5734 / 0.32e2 - t5754 / 0.32e2 - t5763 / 0.16e2 + t5765 / 0.32e2 - t5774 / 0.32e2 - t5777 + t5778 / 0.32e2 - t5930 + t5931 / 0.64e2 - t5934 - t345 * t1446 / 0.16e2 - t4652 * t185 / 0.16e2 - t1124 * t480 / 0.8e1;
  t5944 = my_piecewise3(t2, 0, t5872 + t5901 + t5919 + t5941);
  tv4rho3sigma3 = t3 * t5944 + t1532 + t5836;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 3] += tv4rho3sigma3;

  tv4rho3sigma4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 4] += tv4rho3sigma4;

  t5946 = 0.2e1 * t1601;
  t5948 = t60 * t251 * t157;
  t5949 = t5948 * t548;
  t5951 = t128 * t1588;
  t5953 = t5951 * t536 / 0.16e2;
  t5954 = t5948 * t536;
  t5957 = t5951 * t542 / 0.16e2;
  t5958 = t5948 * t542;
  t5961 = t5951 * t548 / 0.16e2;
  t5962 = t128 * t1577;
  t5964 = t5962 * t523 / 0.32e2;
  t5966 = t60 * t251 * t415;
  t5967 = t5966 * t523;
  t5969 = t319 * t533;
  t5977 = t319 * t518;
  t5981 = t1167 * t530 / 0.16e2;
  t5982 = t1170 * t530;
  t5985 = t4906 * t193 / 0.16e2;
  t5986 = t4898 * t193;
  t5994 = t5969 * t542 / 0.16e2 - t5977 * t523 / 0.32e2 - t5981 + t5982 / 0.64e2 - t5985 + t5986 / 0.64e2 - t5832 - t5827 / 0.32e2 + t5829 / 0.32e2 - t1164 * t530 / 0.16e2 - t4879 * t193 / 0.16e2;
  t5996 = my_piecewise3(t51, 0, -t5949 / 0.64e2 - t5953 + t5954 / 0.64e2 + t5957 - t5958 / 0.64e2 + t5961 - t5964 + t5967 / 0.128e3 + t5969 * t548 / 0.16e2 - t5969 * t536 / 0.16e2 + t5994);
  tv4rho3sigma5 = t3 * t5996 + t1542 + t5946;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 5] += tv4rho3sigma5;

  t6000 = t4808 * t185;
  t6002 = t389 * t468;
  t6007 = t389 * t483;
  t6022 = -t5934 - t5846 + t5850 + t5869 + t5778 / 0.64e2 - t5777 + t5699 / 0.128e3 + t5765 / 0.64e2 + t5520 / 0.64e2 - t5562 / 0.64e2 - t5695 / 0.64e2;
  t6024 = my_piecewise3(t2, 0, -t4805 * t185 / 0.16e2 - t6000 / 0.32e2 - t6002 * t473 / 0.32e2 - t1196 * t480 / 0.16e2 - t6007 * t486 / 0.16e2 + t6007 * t492 / 0.16e2 + t6007 * t498 / 0.16e2 - t5930 + t5931 / 0.32e2 - t5889 + t6022);
  tv4rho3sigma6 = t3 * t6024 + t1608 + t5836;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 6] += tv4rho3sigma6;

  tv4rho3sigma7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 7] += tv4rho3sigma7;

  t6026 = t153 * t1588;
  t6027 = t6026 * t542;
  t6029 = t1589 * t1693;
  t6031 = t1589 * t1696;
  t6033 = t1589 * t1675;
  t6035 = t6026 * t548;
  t6037 = t153 * t1577;
  t6038 = t6037 * t523;
  t6040 = t1589 * t1685;
  t6043 = t60 * t95 * t1313;
  t6044 = t6043 * t523;
  t6046 = t1578 * t1659;
  t6048 = t1578 * t1663;
  t6050 = t1589 * t1667;
  t6052 = t1589 * t1671;
  t6054 = t1589 * t1651;
  t6060 = t361 * t533;
  t6063 = t6027 / 0.16e2 + t6029 / 0.16e2 - t6031 / 0.32e2 + t6033 / 0.32e2 + t6035 / 0.16e2 - t6038 / 0.32e2 - t6040 / 0.16e2 - t6044 / 0.64e2 - t6046 / 0.64e2 - t6048 / 0.32e2 + t6050 / 0.16e2 - t6052 / 0.32e2 + t6054 / 0.32e2 - t1585 * t1671 / 0.16e2 + t1585 * t1675 / 0.16e2 + t6060 * t548 / 0.8e1;
  t6064 = t361 * t518;
  t6067 = t128 * t1654;
  t6078 = t1578 * t1620;
  t6080 = t1578 * t1626;
  t6082 = t1589 * t1630;
  t6084 = t1589 * t1614;
  t6086 = t1589 * t1620;
  t6088 = t1589 * t1703;
  t6090 = t1578 * t1708;
  t6092 = t1589 * t1711;
  t6094 = t6026 * t536;
  t6098 = -t6064 * t523 / 0.16e2 - t6067 * t523 / 0.32e2 - t1574 * t1659 / 0.32e2 - t1574 * t1663 / 0.16e2 + t1585 * t1667 / 0.8e1 + t1585 * t1651 / 0.16e2 - 0.3e1 / 0.64e2 * t6078 + 0.3e1 / 0.64e2 * t6080 + t6082 / 0.8e1 - 0.3e1 / 0.32e2 * t6084 - 0.3e1 / 0.32e2 * t6086 - t6088 / 0.16e2 + 0.3e1 / 0.64e2 * t6090 + 0.3e1 / 0.32e2 * t6092 - t6094 / 0.16e2 + t1585 * t1630 / 0.4e1;
  t6126 = -0.3e1 / 0.16e2 * t1585 * t1614 - 0.3e1 / 0.32e2 * t1574 * t1620 + 0.3e1 / 0.32e2 * t1574 * t1626 + 0.3e1 / 0.32e2 * t1574 * t1708 + 0.3e1 / 0.16e2 * t1585 * t1711 - t1585 * t1696 / 0.16e2 - 0.3e1 / 0.16e2 * t1585 * t1620 - t1585 * t1703 / 0.8e1 - t6060 * t536 / 0.8e1 + t6060 * t542 / 0.8e1 + t1585 * t1693 / 0.8e1 - t1585 * t1685 / 0.8e1 - t5949 / 0.32e2 - t5953 + t5954 / 0.32e2 + t5957;
  t6129 = t370 * t1638;
  t6131 = t5059 * t193;
  t6133 = t1227 * t530;
  t6144 = -t5958 / 0.32e2 + t5961 - t5964 + t5967 / 0.64e2 - t6129 / 0.32e2 - t6131 / 0.32e2 - t6133 / 0.16e2 - t367 * t1638 / 0.16e2 - t5082 * t193 / 0.16e2 - t1224 * t530 / 0.8e1 - t5981 + t5982 / 0.32e2 - t5985 + t5986 / 0.32e2 + t5829 / 0.64e2 - t5832;
  t6147 = my_piecewise3(t51, 0, t6063 + t6098 + t6126 + t6144);
  tv4rho3sigma8 = t3 * t6147 + t1716 + t5946;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 8] += tv4rho3sigma8;

  t6155 = my_piecewise3(t2, 0, -t4985 * t185 / 0.16e2 - 0.3e1 / 0.32e2 * t6000 + 0.3e1 / 0.64e2 * t5931 - t5777);
  tv4rho3sigma9 = t3 * t6155 + 0.3e1 * t1608;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 9] += tv4rho3sigma9;

  tv4rho3sigma10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 10] += tv4rho3sigma10;

  t6158 = t1618 * t528;
  t6159 = t1617 * t6158;
  t6162 = t1624 * t528;
  t6166 = t528 * t416;
  t6172 = t1636 * t418;
  t6176 = t405 * t533;
  t6186 = t191 * t1325;
  t6193 = t1325 * t1339;
  t6194 = t1353 * t5232;
  t6195 = t6194 * t191;
  t6196 = t6193 * t6195;
  t6199 = t528 * t1339;
  t6203 = -0.9e1 / 0.32e2 * t519 * t6159 + 0.9e1 / 0.32e2 * t519 * t1623 * t6162 + 0.9e1 / 0.16e2 * t534 * t6166 * t1361 + 0.9e1 / 0.16e2 * t1678 * t1711 + 0.3e1 / 0.16e2 * t534 * t6172 * t541 + 0.3e1 / 0.16e2 * t6176 * t542 + 0.3e1 / 0.8e1 * t1678 * t1693 - 0.3e1 / 0.16e2 * t534 * t6166 * t1330 - 0.3e1 / 0.16e2 * t1678 * t1696 - t534 * t6186 * t5243 / 0.16e2 - 0.11e2 / 0.16e2 * t534 * t6186 * t5314 + 0.11e2 / 0.16e2 * t519 * t6196 - 0.9e1 / 0.16e2 * t534 * t6199 * t1613;
  t6207 = t1341 * t5232;
  t6208 = t6207 * t1325;
  t6209 = t539 * t6208;
  t6214 = t1325 * t418;
  t6215 = t450 * t5232;
  t6216 = t6215 * t191;
  t6217 = t6214 * t6216;
  t6220 = t5258 * t5232;
  t6226 = t5229 * t5232;
  t6227 = t6226 * t1325;
  t6248 = 0.11e2 / 0.16e2 * t534 * t6186 * t5248 - 0.3e1 / 0.2e1 * t534 * t6209 + 0.9e1 / 0.8e1 * t534 * t6196 + 0.9e1 / 0.16e2 * t519 * t6217 - 0.25e2 / 0.16e2 * t534 * t1611 * t6220 * t1325 + 0.15e2 / 0.16e2 * t534 * t191 * t5227 * t6227 - 0.9e1 / 0.16e2 * t534 * t6159 - 0.9e1 / 0.16e2 * t1678 * t1620 - 0.9e1 / 0.32e2 * t1681 * t1620 + 0.9e1 / 0.32e2 * t1681 * t1626 + 0.3e1 / 0.4e1 * t534 * t6166 * t1348 + 0.3e1 / 0.4e1 * t1678 * t1630 - 0.9e1 / 0.16e2 * t1678 * t1614 - 0.5e1 / 0.32e2 * t1655 * t1620;
  t6269 = t170 * t5232;
  t6270 = t6269 * t1325;
  t6278 = t1706 * t528;
  t6287 = 0.5e1 / 0.32e2 * t1655 * t1626 - 0.3e1 / 0.32e2 * t1655 * t1663 - 0.3e1 / 0.32e2 * t1681 * t1659 - 0.3e1 / 0.16e2 * t534 * t1636 * t168 * t445 - 0.3e1 / 0.16e2 * t6176 * t536 - 0.3e1 / 0.8e1 * t1678 * t1685 + 0.3e1 / 0.8e1 * t534 * t6186 * t5339 + 0.11e2 / 0.16e2 * t534 * t6217 + 0.3e1 / 0.8e1 * t534 * t545 * t6270 - 0.3e1 / 0.8e1 * t1678 * t1703 + 0.5e1 / 0.32e2 * t1655 * t1708 + 0.9e1 / 0.32e2 * t519 * t1617 * t6278 - 0.3e1 / 0.8e1 * t534 * t1666 * t1702 + 0.3e1 / 0.16e2 * t1678 * t1675;
  t6291 = t540 * t1388;
  t6299 = t405 * t518;
  t6310 = t521 * t1636;
  t6330 = 0.3e1 / 0.16e2 * t534 * t1692 * t1674 + t534 * t539 * t6291 / 0.16e2 + 0.3e1 / 0.16e2 * t6176 * t548 + 0.9e1 / 0.32e2 * t1681 * t1708 - 0.3e1 / 0.32e2 * t6299 * t523 - t519 * t5217 * t522 / 0.32e2 - 0.3e1 / 0.32e2 * t519 * t1293 * t1662 - 0.3e1 / 0.16e2 * t1681 * t1663 - 0.3e1 / 0.32e2 * t519 * t520 * t6310 + 0.3e1 / 0.8e1 * t1678 * t1667 + 0.3e1 / 0.16e2 * t534 * t1636 * t75 * t547 - 0.3e1 / 0.16e2 * t1678 * t1671 - 0.3e1 / 0.16e2 * t534 * t528 * t438 * t445 - t534 * t191 * t1388 * t445 / 0.16e2;
  t6338 = t546 * t1388;
  t6342 = t153 * t1654;
  t6346 = t60 * t26 * t5396;
  t6351 = t1325 * t5227;
  t6352 = t6220 * t191;
  t6356 = t420 * t5232;
  t6357 = t6356 * t191;
  t6363 = t6207 * t191;
  t6370 = 0.3e1 / 0.16e2 * t1678 * t1651 + 0.3e1 / 0.16e2 * t534 * t1666 * t1650 + t534 * t545 * t6338 / 0.16e2 - 0.3e1 / 0.32e2 * t6342 * t523 - t6346 * t523 / 0.32e2 - t1655 * t1659 / 0.16e2 - 0.15e2 / 0.32e2 * t519 * t6351 * t6352 - 0.11e2 / 0.32e2 * t519 * t6214 * t6357 - 0.7e1 / 0.32e2 * t519 * t6209 - 0.9e1 / 0.16e2 * t519 * t6193 * t6363 + 0.3e1 / 0.16e2 * t6027 + 0.3e1 / 0.16e2 * t6029 - 0.3e1 / 0.32e2 * t6031;
  t6385 = 0.3e1 / 0.32e2 * t6033 + 0.3e1 / 0.16e2 * t6035 - 0.3e1 / 0.32e2 * t6038 - 0.3e1 / 0.16e2 * t6040 - 0.3e1 / 0.64e2 * t6044 - 0.3e1 / 0.64e2 * t6046 - 0.3e1 / 0.32e2 * t6048 + 0.3e1 / 0.16e2 * t6050 - 0.3e1 / 0.32e2 * t6052 + 0.3e1 / 0.32e2 * t6054 - 0.9e1 / 0.64e2 * t6078 + 0.9e1 / 0.64e2 * t6080 + 0.3e1 / 0.8e1 * t6082 - 0.9e1 / 0.32e2 * t6084;
  t6404 = my_piecewise3(t72, -0.15e2 / 0.2e1 * t1383 * t37, 0);
  t6410 = -0.9e1 / 0.32e2 * t6086 - 0.3e1 / 0.16e2 * t6088 + 0.9e1 / 0.64e2 * t6090 + 0.9e1 / 0.32e2 * t6092 - 0.3e1 / 0.16e2 * t6094 - 0.3e1 / 0.64e2 * t5949 + 0.3e1 / 0.64e2 * t5954 - 0.3e1 / 0.64e2 * t5958 + 0.3e1 / 0.128e3 * t5967 - t5282 * t193 / 0.16e2 - 0.3e1 / 0.16e2 * t1297 * t530 - 0.3e1 / 0.16e2 * t409 * t1638 - t156 * t157 * t6404 * t173 / 0.16e2 - 0.3e1 / 0.32e2 * t6129;
  t6419 = t535 * t75;
  t6431 = t1611 * t1353;
  t6433 = t1329 * t438 * t168;
  t6437 = t2578 * t6433;
  t6442 = t545 * t170;
  t6446 = t520 * t420;
  t6447 = t2573 * t438;
  t6451 = -0.3e1 / 0.32e2 * t6131 - 0.3e1 / 0.16e2 * t6133 + 0.3e1 / 0.64e2 * t5982 + 0.3e1 / 0.64e2 * t5986 - t5832 + 0.9e1 / 0.32e2 * t519 * t5169 * t1341 * t2574 + 0.9e1 / 0.16e2 * t534 * t6419 * t5176 - 0.3e1 / 0.16e2 * t534 * t1670 * t168 * t1330 + 0.3e1 / 0.4e1 * t534 * t1670 * t418 * t2407 - 0.9e1 / 0.16e2 * t534 * t6431 * t6433 - 0.9e1 / 0.16e2 * t534 * t6437 - 0.9e1 / 0.32e2 * t519 * t6437 - 0.3e1 / 0.8e1 * t534 * t6442 * t6433 + 0.9e1 / 0.32e2 * t519 * t6446 * t6447;
  t6455 = my_piecewise3(t51, 0, t6203 + t6248 + t6287 + t6330 + t6370 + t6385 + t6410 + t6451);
  tv4rho3sigma11 = t3 * t6455 + 0.3e1 * t1716;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 11] += tv4rho3sigma11;

  t6462 = t5513 * t573;
  t6464 = t1419 * t1740;
  t6466 = t1804 * t263;
  t6476 = t1419 * t1744;
  t6478 = t563 * t261;
  t6482 = t199 * t932;
  t6488 = t5519 * t573;
  t6490 = -0.9e1 / 0.32e2 * t1496 * t1750 + 0.9e1 / 0.32e2 * t1496 * t1763 + 0.3e1 / 0.16e2 * t6462 + 0.3e1 / 0.16e2 * t6464 + 0.3e1 / 0.16e2 * t484 * t6466 * t491 + 0.3e1 / 0.16e2 * t5530 * t573 + 0.3e1 / 0.8e1 * t1415 * t1740 - 0.3e1 / 0.16e2 * t1415 * t1744 - 0.3e1 / 0.32e2 * t6476 - 0.3e1 / 0.16e2 * t484 * t6478 * t1036 - t484 * t6482 * t4319 / 0.16e2 + 0.9e1 / 0.16e2 * t1415 * t1747 - 0.3e1 / 0.64e2 * t6488;
  t6491 = t1419 * t1747;
  t6496 = t563 * t934;
  t6503 = t6482 * t4286;
  t6506 = t5723 * t932;
  t6507 = t1719 * t6506;
  t6512 = t1419 * t1750;
  t6514 = t1502 * t1750;
  t6516 = t1502 * t1763;
  t6522 = t1461 * t563;
  t6523 = t1472 * t6522;
  t6526 = t1525 * t563;
  t6530 = 0.9e1 / 0.32e2 * t6491 + 0.9e1 / 0.16e2 * t484 * t6478 * t973 - 0.9e1 / 0.16e2 * t484 * t6496 * t1518 + 0.11e2 / 0.16e2 * t484 * t6482 * t4350 - 0.3e1 / 0.2e1 * t484 * t6503 + 0.9e1 / 0.8e1 * t484 * t6507 + 0.11e2 / 0.16e2 * t469 * t6507 - 0.9e1 / 0.32e2 * t6512 - 0.9e1 / 0.64e2 * t6514 + 0.9e1 / 0.64e2 * t6516 - 0.5e1 / 0.32e2 * t1506 * t1750 + 0.5e1 / 0.32e2 * t1506 * t1763 - 0.9e1 / 0.32e2 * t469 * t6523 + 0.9e1 / 0.32e2 * t469 * t1524 * t6526;
  t6536 = t1419 * t1766;
  t6545 = t5513 * t569;
  t6547 = t1419 * t1732;
  t6557 = t5519 * t569;
  t6559 = t5690 * t199;
  t6566 = -0.9e1 / 0.16e2 * t484 * t6523 + 0.3e1 / 0.4e1 * t1415 * t1766 + 0.3e1 / 0.8e1 * t6536 - 0.9e1 / 0.16e2 * t1415 * t1750 + 0.3e1 / 0.16e2 * t1415 * t1774 + 0.3e1 / 0.16e2 * t484 * t1739 * t1490 - 0.3e1 / 0.16e2 * t6545 - 0.3e1 / 0.16e2 * t6547 - 0.3e1 / 0.16e2 * t484 * t1804 * t111 * t290 - 0.3e1 / 0.16e2 * t5530 * t569 - 0.3e1 / 0.8e1 * t1415 * t1732 + 0.3e1 / 0.64e2 * t6557 - 0.15e2 / 0.32e2 * t469 * t5689 * t6559 - 0.25e2 / 0.16e2 * t484 * t6482 * t4330;
  t6567 = t199 * t4334;
  t6576 = t1419 * t1720;
  t6578 = t1419 * t1724;
  t6580 = t1502 * t1757;
  t6582 = t5702 * t559;
  t6584 = t1502 * t1790;
  t6586 = t1502 * t1794;
  t6601 = 0.15e2 / 0.16e2 * t484 * t6567 * t5719 + 0.3e1 / 0.4e1 * t484 * t6478 * t946 - 0.9e1 / 0.16e2 * t1415 * t1720 - 0.9e1 / 0.32e2 * t6576 + 0.3e1 / 0.16e2 * t6578 + 0.9e1 / 0.64e2 * t6580 - 0.3e1 / 0.64e2 * t6582 - 0.3e1 / 0.64e2 * t6584 - 0.3e1 / 0.32e2 * t6586 - t5710 * t559 / 0.32e2 + t484 * t572 * t5713 / 0.16e2 + 0.3e1 / 0.16e2 * t1415 * t1777 + 0.3e1 / 0.16e2 * t484 * t1723 * t1478 + t484 * t576 * t5641 / 0.16e2;
  t6633 = t5618 * t559;
  t6635 = 0.3e1 / 0.16e2 * t5530 * t577 + 0.3e1 / 0.8e1 * t1415 * t1724 + 0.9e1 / 0.32e2 * t1496 * t1757 - 0.3e1 / 0.32e2 * t5623 * t559 - 0.3e1 / 0.32e2 * t5626 * t559 - 0.3e1 / 0.32e2 * t1496 * t1790 - 0.3e1 / 0.16e2 * t1496 * t1794 - 0.3e1 / 0.16e2 * t1415 * t1771 - 0.3e1 / 0.16e2 * t484 * t563 * t283 * t290 - t484 * t199 * t1020 * t290 / 0.16e2 - 0.3e1 / 0.8e1 * t484 * t1723 * t1468 - 0.3e1 / 0.8e1 * t1415 * t1753 - 0.3e1 / 0.32e2 * t6633;
  t6636 = t1419 * t1753;
  t6638 = t1419 * t1771;
  t6640 = t1419 * t1774;
  t6642 = t1419 * t1777;
  t6644 = t5513 * t577;
  t6646 = t5669 * t199;
  t6652 = t5544 * t199;
  t6653 = t5668 * t6652;
  t6656 = t5658 * t199;
  t6670 = t471 * t1804;
  t6674 = -0.3e1 / 0.16e2 * t6636 - 0.3e1 / 0.32e2 * t6638 + 0.3e1 / 0.32e2 * t6640 + 0.3e1 / 0.32e2 * t6642 + 0.3e1 / 0.16e2 * t6644 - 0.11e2 / 0.32e2 * t469 * t5668 * t6646 - 0.7e1 / 0.32e2 * t469 * t6503 + 0.9e1 / 0.16e2 * t469 * t6653 - 0.9e1 / 0.16e2 * t469 * t5657 * t6656 - t1506 * t1790 / 0.16e2 - 0.3e1 / 0.32e2 * t1506 * t1794 - t469 * t4243 * t558 / 0.32e2 - 0.3e1 / 0.32e2 * t469 * t1048 * t1793 - 0.3e1 / 0.32e2 * t469 * t470 * t6670;
  t6676 = t1804 * t43;
  t6680 = t5519 * t577;
  t6682 = t5698 * t559;
  t6697 = t1473 * t563;
  t6702 = 0.3e1 / 0.128e3 * t4293 * t201;
  t6703 = t1028 * t565;
  t6705 = t255 * t1806;
  t6710 = my_piecewise3(t39, -0.6e1 * t1442, 0);
  t6715 = 0.3e1 / 0.16e2 * t484 * t6676 * t497 - 0.3e1 / 0.64e2 * t6680 + 0.3e1 / 0.128e3 * t6682 - 0.11e2 / 0.16e2 * t484 * t6482 * t4323 + 0.11e2 / 0.16e2 * t484 * t6653 + 0.3e1 / 0.8e1 * t484 * t576 * t5552 + 0.3e1 / 0.8e1 * t484 * t6482 * t4391 + 0.5e1 / 0.32e2 * t1506 * t1757 + 0.9e1 / 0.32e2 * t469 * t1472 * t6697 - t6702 - 0.3e1 / 0.16e2 * t6703 - 0.3e1 / 0.32e2 * t6705 - 0.3e1 / 0.16e2 * t246 * t1806 - t99 * t100 * t6710 * t116 / 0.16e2;
  t6720 = t4299 * t201;
  t6722 = t989 * t565;
  t6724 = t4296 * t201;
  t6741 = t2466 * t283;
  t6742 = t5796 * t6741;
  t6756 = -t4290 * t201 / 0.16e2 - 0.3e1 / 0.16e2 * t1025 * t565 + 0.3e1 / 0.64e2 * t6720 + 0.3e1 / 0.64e2 * t6722 - 0.3e1 / 0.32e2 * t6724 - 0.3e1 / 0.16e2 * t484 * t1770 * t111 * t1036 + 0.3e1 / 0.4e1 * t484 * t1770 * t263 * t2263 - 0.9e1 / 0.16e2 * t484 * t2485 * t5786 + 0.9e1 / 0.16e2 * t484 * t1770 * t43 * t2278 - 0.9e1 / 0.32e2 * t469 * t6742 - 0.9e1 / 0.16e2 * t484 * t6742 + 0.9e1 / 0.32e2 * t469 * t5791 * t6741 - 0.3e1 / 0.8e1 * t484 * t2461 * t5786 + 0.9e1 / 0.32e2 * t469 * t5810 * t6741;
  t6760 = my_piecewise3(t2, 0, t6490 + t6530 + t6566 + t6601 + t6635 + t6674 + t6715 + t6756);
  tv4rho3lapl0 = t3 * t6760 + 0.3e1 * t1815;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 0] += tv4rho3lapl0;

  t6765 = t4782 * t209;
  t6767 = t4785 * t209;
  t6770 = 0.3e1 / 0.128e3 * t4788 * t209;
  t6772 = my_piecewise3(t51, 0, -t4779 * t209 / 0.16e2 - 0.3e1 / 0.32e2 * t6765 + 0.3e1 / 0.64e2 * t6767 - t6770);
  tv4rho3lapl1 = t3 * t6772 + 0.3e1 * t1825;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 1] += tv4rho3lapl1;

  t6774 = 0.2e1 * t1848;
  t6778 = t5844 * t573 / 0.16e2;
  t6796 = t5844 * t569 / 0.16e2;
  t6807 = t5841 * t573 / 0.8e1 + t6778 + t1553 * t1740 / 0.8e1 - t1553 * t1744 / 0.16e2 - t1553 * t1732 / 0.8e1 - 0.3e1 / 0.32e2 * t1548 * t1750 + 0.3e1 / 0.32e2 * t1548 * t1763 + t1553 * t1766 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t1720 - t5841 * t569 / 0.8e1 - t6796 + t1553 * t1777 / 0.16e2 - t1548 * t1794 / 0.16e2 + t1553 * t1724 / 0.8e1 - t1553 * t1771 / 0.16e2 + t1553 * t1774 / 0.16e2;
  t6813 = t5844 * t577 / 0.16e2;
  t6815 = t5887 * t559 / 0.32e2;
  t6834 = t5841 * t577 / 0.8e1 - t5865 * t559 / 0.16e2 + t6813 - t6815 - t5890 * t559 / 0.32e2 - t1548 * t1790 / 0.32e2 - t1553 * t1753 / 0.8e1 + 0.3e1 / 0.32e2 * t1548 * t1757 + 0.3e1 / 0.16e2 * t1553 * t1747 - 0.3e1 / 0.16e2 * t1553 * t1750 + t6462 / 0.16e2 + t6464 / 0.16e2 - t6476 / 0.32e2 - t6488 / 0.32e2 + 0.3e1 / 0.32e2 * t6491 - 0.3e1 / 0.32e2 * t6512;
  t6852 = -0.3e1 / 0.64e2 * t6514 + 0.3e1 / 0.64e2 * t6516 + t6536 / 0.8e1 - t6545 / 0.16e2 - t6547 / 0.16e2 + t6557 / 0.32e2 - 0.3e1 / 0.32e2 * t6576 + t6578 / 0.16e2 + 0.3e1 / 0.64e2 * t6580 - t6582 / 0.64e2 - t6584 / 0.64e2 - t6586 / 0.32e2 - t6633 / 0.32e2 - t6636 / 0.16e2 - t6638 / 0.32e2 + t6640 / 0.32e2;
  t6858 = t4655 * t201 / 0.16e2;
  t6859 = t4658 * t201;
  t6866 = t1127 * t565 / 0.16e2;
  t6874 = t6642 / 0.32e2 + t6644 / 0.16e2 - t6680 / 0.32e2 + t6682 / 0.64e2 - t6858 + t6859 / 0.64e2 - t4652 * t201 / 0.16e2 - t1124 * t565 / 0.8e1 - t6866 - t345 * t1806 / 0.16e2 - t6702 - t6703 / 0.16e2 - t6705 / 0.32e2 + t6720 / 0.32e2 + t6722 / 0.32e2 - t6724 / 0.32e2;
  t6877 = my_piecewise3(t2, 0, t6807 + t6834 + t6852 + t6874);
  tv4rho3lapl2 = t3 * t6877 + t1815 + t6774;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 2] += tv4rho3lapl2;

  t6879 = 0.2e1 * t1876;
  t6885 = t1167 * t604 / 0.16e2;
  t6886 = t1170 * t604;
  t6891 = t4906 * t209 / 0.16e2;
  t6892 = t4898 * t209;
  t6896 = t5948 * t616;
  t6899 = t5951 * t608 / 0.16e2;
  t6901 = t5948 * t608;
  t6904 = t5951 * t612 / 0.16e2;
  t6905 = t5948 * t612;
  t6908 = t5951 * t616 / 0.16e2;
  t6910 = t5962 * t598 / 0.32e2;
  t6911 = t5966 * t598;
  t6919 = t6901 / 0.64e2 + t6904 - t6905 / 0.64e2 + t6908 - t6910 + t6911 / 0.128e3 - t6765 / 0.32e2 + t6767 / 0.32e2 - t6770 - t4879 * t209 / 0.16e2 - t1164 * t604 / 0.16e2;
  t6921 = my_piecewise3(t51, 0, t5969 * t612 / 0.16e2 + t5969 * t616 / 0.16e2 - t6885 + t6886 / 0.64e2 - t5969 * t608 / 0.16e2 - t6891 + t6892 / 0.64e2 - t5977 * t598 / 0.32e2 - t6896 / 0.64e2 - t6899 + t6919);
  tv4rho3lapl3 = t3 * t6921 + t1825 + t6879;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 3] += tv4rho3lapl3;

  t6925 = t4808 * t201;
  t6945 = -t6866 - t6796 + t6778 + t6813 + t6720 / 0.64e2 - t6702 + t6682 / 0.128e3 + t6722 / 0.64e2 + t6557 / 0.64e2 - t6488 / 0.64e2 - t6680 / 0.64e2;
  t6947 = my_piecewise3(t2, 0, -t4805 * t201 / 0.16e2 - t6925 / 0.32e2 - t6002 * t559 / 0.32e2 - t1196 * t565 / 0.16e2 - t6007 * t569 / 0.16e2 + t6007 * t573 / 0.16e2 + t6007 * t577 / 0.16e2 - t6858 + t6859 / 0.32e2 - t6815 + t6945);
  tv4rho3lapl4 = t3 * t6947 + t1883 + t6774;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 4] += tv4rho3lapl4;

  t6949 = t1589 * t1942;
  t6951 = t1589 * t1945;
  t6953 = t1578 * t1904;
  t6955 = t1589 * t1907;
  t6957 = t1589 * t1933;
  t6959 = t6026 * t612;
  t6961 = t1589 * t1889;
  t6963 = t1589 * t1893;
  t6965 = t1589 * t1897;
  t6967 = t1578 * t1921;
  t6969 = t1589 * t1925;
  t6971 = t6026 * t616;
  t6973 = t6026 * t608;
  t6975 = t1589 * t1910;
  t6977 = t6037 * t598;
  t6979 = t6043 * t598;
  t6981 = -t6949 / 0.32e2 + t6951 / 0.32e2 + 0.3e1 / 0.64e2 * t6953 + 0.3e1 / 0.32e2 * t6955 - t6957 / 0.16e2 + t6959 / 0.16e2 + t6961 / 0.16e2 - t6963 / 0.32e2 - 0.3e1 / 0.32e2 * t6965 - t6967 / 0.32e2 + t6969 / 0.16e2 + t6971 / 0.16e2 - t6973 / 0.16e2 + t6975 / 0.32e2 - t6977 / 0.32e2 - t6979 / 0.64e2;
  t6982 = t1578 * t1917;
  t7004 = t1589 * t1900;
  t7006 = t1589 * t1966;
  t7008 = t1589 * t1970;
  t7010 = t1578 * t1897;
  t7014 = -t6982 / 0.64e2 - t6060 * t608 / 0.8e1 - t1574 * t1921 / 0.16e2 + t1585 * t1925 / 0.8e1 + t6060 * t616 / 0.8e1 + t1585 * t1910 / 0.16e2 - t6064 * t598 / 0.16e2 - t6067 * t598 / 0.32e2 - t1574 * t1917 / 0.32e2 - t1585 * t1942 / 0.16e2 + t1585 * t1945 / 0.16e2 - t7004 / 0.16e2 + t7006 / 0.8e1 - 0.3e1 / 0.32e2 * t7008 - 0.3e1 / 0.64e2 * t7010 - 0.3e1 / 0.32e2 * t1574 * t1897;
  t7038 = t1578 * t1963;
  t7042 = 0.3e1 / 0.32e2 * t1574 * t1963 + t1585 * t1966 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t1970 - 0.3e1 / 0.16e2 * t1585 * t1897 - t1585 * t1900 / 0.8e1 + 0.3e1 / 0.32e2 * t1574 * t1904 + 0.3e1 / 0.16e2 * t1585 * t1907 - t1585 * t1933 / 0.8e1 + t6060 * t612 / 0.8e1 + t1585 * t1889 / 0.8e1 - t1585 * t1893 / 0.16e2 + 0.3e1 / 0.64e2 * t7038 + t6908 - t6910 + t6911 / 0.64e2 - t6896 / 0.32e2;
  t7051 = t5059 * t209;
  t7053 = t1227 * t604;
  t7055 = t370 * t1955;
  t7060 = -t6899 + t6901 / 0.32e2 + t6904 - t6905 / 0.32e2 - t5082 * t209 / 0.16e2 - t1224 * t604 / 0.8e1 - t367 * t1955 / 0.16e2 - t7051 / 0.32e2 - t7053 / 0.16e2 - t7055 / 0.32e2 - t6770 - t6885 + t6886 / 0.32e2 - t6891 + t6892 / 0.32e2 + t6767 / 0.64e2;
  t7063 = my_piecewise3(t51, 0, t6981 + t7014 + t7042 + t7060);
  tv4rho3lapl5 = t3 * t7063 + t1975 + t6879;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 5] += tv4rho3lapl5;

  t7071 = my_piecewise3(t2, 0, -t4985 * t201 / 0.16e2 - 0.3e1 / 0.32e2 * t6925 + 0.3e1 / 0.64e2 * t6859 - t6702);
  tv4rho3lapl6 = t3 * t7071 + 0.3e1 * t1883;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 6] += tv4rho3lapl6;

  t7074 = t1624 * t602;
  t7078 = t1888 * t1896;
  t7083 = t602 * t416;
  t7093 = t1953 * t418;
  t7102 = t207 * t1325;
  t7113 = 0.9e1 / 0.32e2 * t519 * t1623 * t7074 - 0.9e1 / 0.16e2 * t534 * t7078 - 0.9e1 / 0.16e2 * t1678 * t1897 + 0.9e1 / 0.16e2 * t534 * t7083 * t1361 + 0.9e1 / 0.16e2 * t1678 * t1907 + 0.3e1 / 0.16e2 * t6176 * t612 + 0.3e1 / 0.8e1 * t1678 * t1889 + 0.3e1 / 0.16e2 * t534 * t7093 * t541 - 0.3e1 / 0.16e2 * t1678 * t1893 - 0.3e1 / 0.16e2 * t534 * t7083 * t1330 - t534 * t7102 * t5243 / 0.16e2 - 0.11e2 / 0.16e2 * t534 * t7102 * t5314 - 0.3e1 / 0.16e2 * t534 * t1953 * t168 * t445;
  t7118 = t6194 * t207;
  t7119 = t6193 * t7118;
  t7122 = t6220 * t207;
  t7129 = t207 * t5227;
  t7140 = t602 * t1339;
  t7147 = t611 * t6208;
  t7152 = t6215 * t207;
  t7153 = t6214 * t7152;
  t7156 = -0.3e1 / 0.16e2 * t6176 * t608 - 0.3e1 / 0.8e1 * t1678 * t1933 + 0.11e2 / 0.16e2 * t519 * t7119 - 0.15e2 / 0.32e2 * t519 * t6351 * t7122 - 0.25e2 / 0.16e2 * t534 * t7102 * t5265 + 0.15e2 / 0.16e2 * t534 * t7129 * t6227 + 0.3e1 / 0.4e1 * t1678 * t1966 + 0.3e1 / 0.4e1 * t534 * t7083 * t1348 - 0.9e1 / 0.16e2 * t1678 * t1970 - 0.9e1 / 0.16e2 * t534 * t7140 * t1613 + 0.11e2 / 0.16e2 * t534 * t7102 * t5248 - 0.3e1 / 0.2e1 * t534 * t7147 + 0.9e1 / 0.8e1 * t534 * t7119 + 0.9e1 / 0.16e2 * t519 * t7153;
  t7192 = -0.9e1 / 0.32e2 * t1681 * t1897 + 0.9e1 / 0.32e2 * t1681 * t1963 - 0.5e1 / 0.32e2 * t1655 * t1897 + 0.5e1 / 0.32e2 * t1655 * t1963 - 0.9e1 / 0.32e2 * t519 * t7078 - t534 * t207 * t1388 * t445 / 0.16e2 + 0.3e1 / 0.16e2 * t1678 * t1945 + 0.3e1 / 0.16e2 * t534 * t1888 * t1674 + t534 * t611 * t6291 / 0.16e2 + 0.3e1 / 0.16e2 * t1678 * t1910 + 0.3e1 / 0.16e2 * t534 * t1924 * t1650 + t534 * t615 * t6338 / 0.16e2 - 0.3e1 / 0.32e2 * t6299 * t598 - 0.3e1 / 0.32e2 * t6342 * t598;
  t7204 = t6356 * t207;
  t7210 = t6207 * t207;
  t7216 = t1953 * t75;
  t7228 = -0.3e1 / 0.32e2 * t1681 * t1917 - 0.3e1 / 0.8e1 * t534 * t1924 * t1702 - 0.3e1 / 0.8e1 * t1678 * t1900 + 0.9e1 / 0.32e2 * t1681 * t1904 + 0.5e1 / 0.32e2 * t1655 * t1904 - 0.11e2 / 0.32e2 * t519 * t6214 * t7204 - 0.7e1 / 0.32e2 * t519 * t7147 - 0.9e1 / 0.16e2 * t519 * t6193 * t7210 + 0.3e1 / 0.8e1 * t1678 * t1925 + 0.3e1 / 0.16e2 * t534 * t7216 * t547 + 0.3e1 / 0.16e2 * t6176 * t616 - 0.3e1 / 0.16e2 * t1681 * t1921 - t6346 * t598 / 0.32e2 - t1655 * t1917 / 0.16e2;
  t7239 = t521 * t1953;
  t7259 = t1706 * t602;
  t7264 = -0.3e1 / 0.32e2 * t1655 * t1921 - t519 * t5217 * t597 / 0.32e2 - 0.3e1 / 0.32e2 * t519 * t1293 * t1920 - 0.3e1 / 0.32e2 * t519 * t520 * t7239 - 0.3e1 / 0.16e2 * t1678 * t1942 - 0.3e1 / 0.16e2 * t534 * t602 * t438 * t445 - 0.3e1 / 0.32e2 * t6949 + 0.3e1 / 0.32e2 * t6951 + 0.3e1 / 0.8e1 * t534 * t7102 * t5339 + 0.11e2 / 0.16e2 * t534 * t7153 + 0.3e1 / 0.8e1 * t534 * t615 * t6270 + 0.9e1 / 0.32e2 * t519 * t1617 * t7259 + 0.9e1 / 0.64e2 * t6953;
  t7279 = 0.9e1 / 0.32e2 * t6955 - 0.3e1 / 0.16e2 * t6957 + 0.3e1 / 0.16e2 * t6959 + 0.3e1 / 0.16e2 * t6961 - 0.3e1 / 0.32e2 * t6963 - 0.9e1 / 0.32e2 * t6965 - 0.3e1 / 0.32e2 * t6967 + 0.3e1 / 0.16e2 * t6969 + 0.3e1 / 0.16e2 * t6971 - 0.3e1 / 0.16e2 * t6973 + 0.3e1 / 0.32e2 * t6975 - 0.3e1 / 0.32e2 * t6977 - 0.3e1 / 0.64e2 * t6979 - 0.3e1 / 0.64e2 * t6982;
  t7305 = t520 * t450;
  t7306 = t2579 * t438;
  t7307 = t7305 * t7306;
  t7310 = -0.3e1 / 0.16e2 * t7004 + 0.3e1 / 0.8e1 * t7006 - 0.9e1 / 0.32e2 * t7008 - 0.9e1 / 0.64e2 * t7010 + 0.9e1 / 0.64e2 * t7038 + 0.3e1 / 0.128e3 * t6911 - 0.3e1 / 0.64e2 * t6896 + 0.3e1 / 0.64e2 * t6901 - 0.3e1 / 0.64e2 * t6905 - 0.3e1 / 0.16e2 * t534 * t1941 * t168 * t1330 + 0.3e1 / 0.4e1 * t534 * t1941 * t418 * t2407 - 0.9e1 / 0.16e2 * t534 * t2572 * t6433 + 0.9e1 / 0.16e2 * t534 * t1941 * t75 * t2371 - 0.9e1 / 0.32e2 * t519 * t7307;
  t7313 = t168 * t1339;
  t7314 = t7313 * t1341;
  t7325 = my_piecewise3(t72, -0.6e1 * t1634, 0);
  t7341 = -0.9e1 / 0.16e2 * t534 * t7307 + 0.9e1 / 0.32e2 * t519 * t7314 * t7306 - 0.3e1 / 0.8e1 * t534 * t2594 * t6433 + 0.9e1 / 0.32e2 * t519 * t6446 * t7306 - t156 * t157 * t7325 * t173 / 0.16e2 - t5282 * t209 / 0.16e2 - 0.3e1 / 0.16e2 * t1297 * t604 - 0.3e1 / 0.16e2 * t409 * t1955 - 0.3e1 / 0.32e2 * t7051 - 0.3e1 / 0.16e2 * t7053 - 0.3e1 / 0.32e2 * t7055 - t6770 + 0.3e1 / 0.64e2 * t6886 + 0.3e1 / 0.64e2 * t6892;
  t7345 = my_piecewise3(t51, 0, t7113 + t7156 + t7192 + t7228 + t7264 + t7279 + t7310 + t7341);
  tv4rho3lapl7 = t3 * t7345 + 0.3e1 * t1975;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 7] += tv4rho3lapl7;

  t7348 = t1419 * t2020;
  t7350 = t2050 * t263;
  t7356 = t1419 * t2024;
  t7358 = t631 * t261;
  t7362 = t213 * t932;
  t7369 = t5513 * t641;
  t7378 = t1419 * t1991;
  t7380 = t631 * t934;
  t7384 = 0.3e1 / 0.16e2 * t7348 + 0.3e1 / 0.16e2 * t484 * t7350 * t491 - 0.3e1 / 0.16e2 * t1415 * t2024 - 0.3e1 / 0.32e2 * t7356 - 0.3e1 / 0.16e2 * t484 * t7358 * t1036 - t484 * t7362 * t4319 / 0.16e2 + 0.9e1 / 0.16e2 * t484 * t7358 * t973 + 0.3e1 / 0.16e2 * t7369 + 0.9e1 / 0.16e2 * t1415 * t2027 + 0.3e1 / 0.4e1 * t484 * t7358 * t946 - 0.9e1 / 0.16e2 * t1415 * t1991 - 0.9e1 / 0.32e2 * t7378 - 0.9e1 / 0.16e2 * t484 * t7380 * t1518;
  t7388 = t7362 * t4286;
  t7391 = t1990 * t6506;
  t7400 = t1419 * t1979;
  t7402 = t1502 * t1979;
  t7404 = t1502 * t1983;
  t7410 = t1461 * t631;
  t7411 = t1472 * t7410;
  t7414 = t1525 * t631;
  t7420 = 0.11e2 / 0.16e2 * t484 * t7362 * t4350 - 0.3e1 / 0.2e1 * t484 * t7388 + 0.9e1 / 0.8e1 * t484 * t7391 - 0.9e1 / 0.16e2 * t1415 * t1979 - 0.9e1 / 0.32e2 * t1496 * t1979 + 0.9e1 / 0.32e2 * t1496 * t1983 - 0.9e1 / 0.32e2 * t7400 - 0.9e1 / 0.64e2 * t7402 + 0.9e1 / 0.64e2 * t7404 - 0.5e1 / 0.32e2 * t1506 * t1979 + 0.5e1 / 0.32e2 * t1506 * t1983 - 0.9e1 / 0.32e2 * t469 * t7411 + 0.9e1 / 0.32e2 * t469 * t1524 * t7414 - 0.9e1 / 0.16e2 * t484 * t7411;
  t7422 = t5519 * t641;
  t7424 = t1419 * t2027;
  t7433 = t1419 * t2067;
  t7435 = t5519 * t637;
  t7441 = t1419 * t2012;
  t7447 = t5513 * t637;
  t7451 = t5690 * t213;
  t7455 = -0.3e1 / 0.64e2 * t7422 + 0.9e1 / 0.32e2 * t7424 + 0.3e1 / 0.16e2 * t5530 * t641 + 0.3e1 / 0.8e1 * t1415 * t2020 - 0.3e1 / 0.8e1 * t484 * t2062 * t1468 - 0.3e1 / 0.32e2 * t7433 + 0.3e1 / 0.64e2 * t7435 - 0.3e1 / 0.16e2 * t5530 * t637 - 0.3e1 / 0.8e1 * t1415 * t2012 - 0.3e1 / 0.16e2 * t7441 - 0.3e1 / 0.16e2 * t484 * t2050 * t111 * t290 - 0.3e1 / 0.16e2 * t7447 + 0.11e2 / 0.16e2 * t469 * t7391 - 0.15e2 / 0.32e2 * t469 * t5689 * t7451;
  t7459 = t213 * t4334;
  t7465 = t1419 * t1987;
  t7482 = t471 * t2050;
  t7488 = t2050 * t43;
  t7495 = -0.25e2 / 0.16e2 * t484 * t7362 * t4330 + 0.15e2 / 0.16e2 * t484 * t7459 * t5719 + 0.3e1 / 0.4e1 * t1415 * t1987 + 0.3e1 / 0.8e1 * t7465 + 0.3e1 / 0.16e2 * t1415 * t2055 + 0.3e1 / 0.16e2 * t484 * t2062 * t1478 + t484 * t644 * t5641 / 0.16e2 - 0.3e1 / 0.16e2 * t1496 * t2059 - 0.3e1 / 0.32e2 * t1506 * t2059 - 0.3e1 / 0.32e2 * t469 * t1048 * t2058 - 0.3e1 / 0.32e2 * t469 * t470 * t7482 + 0.3e1 / 0.8e1 * t1415 * t2063 + 0.3e1 / 0.16e2 * t484 * t7488 * t497 - 0.11e2 / 0.16e2 * t484 * t7362 * t4323;
  t7498 = t640 * t5545;
  t7509 = t1419 * t2070;
  t7513 = t1419 * t2032;
  t7515 = t1419 * t2055;
  t7517 = t1502 * t2059;
  t7519 = t1473 * t631;
  t7523 = t1419 * t2063;
  t7525 = t1502 * t2004;
  t7529 = 0.11e2 / 0.16e2 * t484 * t7498 + 0.3e1 / 0.8e1 * t484 * t644 * t5552 + 0.3e1 / 0.8e1 * t484 * t7362 * t4391 + 0.5e1 / 0.32e2 * t1506 * t2036 + 0.3e1 / 0.32e2 * t7509 - 0.3e1 / 0.8e1 * t1415 * t2032 - 0.3e1 / 0.16e2 * t7513 + 0.3e1 / 0.32e2 * t7515 - 0.3e1 / 0.32e2 * t7517 + 0.9e1 / 0.32e2 * t469 * t1472 * t7519 + 0.3e1 / 0.16e2 * t7523 - 0.3e1 / 0.64e2 * t7525 - t5710 * t627 / 0.32e2;
  t7545 = t5519 * t645;
  t7547 = t5698 * t627;
  t7564 = -t1506 * t2004 / 0.16e2 - t469 * t4243 * t626 / 0.32e2 + 0.3e1 / 0.16e2 * t5530 * t645 + 0.9e1 / 0.32e2 * t1496 * t2036 - 0.3e1 / 0.32e2 * t5623 * t627 - 0.3e1 / 0.32e2 * t5626 * t627 - 0.3e1 / 0.32e2 * t1496 * t2004 - 0.3e1 / 0.64e2 * t7545 + 0.3e1 / 0.128e3 * t7547 - 0.3e1 / 0.16e2 * t1415 * t2067 - 0.3e1 / 0.16e2 * t484 * t631 * t283 * t290 - t484 * t213 * t1020 * t290 / 0.16e2 + 0.3e1 / 0.16e2 * t1415 * t2070 + 0.3e1 / 0.16e2 * t484 * t2019 * t1490;
  t7569 = t5513 * t645;
  t7571 = t5618 * t627;
  t7577 = t5658 * t213;
  t7581 = t5669 * t213;
  t7585 = t1502 * t2036;
  t7587 = t5702 * t627;
  t7589 = t636 * t43;
  t7604 = t2655 * t5786;
  t7607 = t484 * t640 * t5713 / 0.16e2 + 0.3e1 / 0.16e2 * t7569 - 0.3e1 / 0.32e2 * t7571 - 0.7e1 / 0.32e2 * t469 * t7388 + 0.9e1 / 0.16e2 * t469 * t7498 - 0.9e1 / 0.16e2 * t469 * t5657 * t7577 - 0.11e2 / 0.32e2 * t469 * t5668 * t7581 + 0.9e1 / 0.64e2 * t7585 - 0.3e1 / 0.64e2 * t7587 + 0.9e1 / 0.16e2 * t484 * t7589 * t4264 - 0.3e1 / 0.16e2 * t484 * t2066 * t111 * t1036 + 0.3e1 / 0.4e1 * t484 * t2066 * t263 * t2263 - 0.9e1 / 0.16e2 * t484 * t2677 * t5786 - 0.9e1 / 0.16e2 * t484 * t7604;
  t7610 = t2663 * t283;
  t7621 = 0.3e1 / 0.128e3 * t4293 * t215;
  t7622 = t4299 * t215;
  t7626 = t255 * t2052;
  t7629 = my_piecewise3(t39, 0.24e2 * t1442, 0);
  t7634 = t4296 * t215;
  t7636 = t1028 * t633;
  t7638 = t989 * t633;
  t7644 = -0.9e1 / 0.32e2 * t469 * t7604 + 0.9e1 / 0.32e2 * t469 * t5791 * t7610 - 0.3e1 / 0.8e1 * t484 * t2659 * t5786 + 0.9e1 / 0.32e2 * t469 * t5810 * t7610 - t7621 + 0.3e1 / 0.64e2 * t7622 - 0.3e1 / 0.16e2 * t246 * t2052 - 0.3e1 / 0.32e2 * t7626 - t99 * t100 * t7629 * t116 / 0.16e2 - 0.3e1 / 0.32e2 * t7634 - 0.3e1 / 0.16e2 * t7636 + 0.3e1 / 0.64e2 * t7638 - t4290 * t215 / 0.16e2 - 0.3e1 / 0.16e2 * t1025 * t633;
  t7648 = my_piecewise3(t2, 0, t7384 + t7420 + t7455 + t7495 + t7529 + t7564 + t7607 + t7644);
  tv4rho3tau0 = t3 * t7648 + 0.3e1 * t2075;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 0] += tv4rho3tau0;

  t7653 = t4782 * t221;
  t7655 = t4785 * t221;
  t7658 = 0.3e1 / 0.128e3 * t4788 * t221;
  t7660 = my_piecewise3(t51, 0, -t4779 * t221 / 0.16e2 - 0.3e1 / 0.32e2 * t7653 + 0.3e1 / 0.64e2 * t7655 - t7658);
  tv4rho3tau1 = t3 * t7660 + 0.3e1 * t2085;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 1] += tv4rho3tau1;

  t7662 = 0.2e1 * t2108;
  t7666 = t5844 * t641 / 0.16e2;
  t7676 = t5844 * t637 / 0.16e2;
  t7695 = t5841 * t641 / 0.8e1 + t7666 + t1553 * t2020 / 0.8e1 - t1553 * t2024 / 0.16e2 - t1553 * t2012 / 0.8e1 - t5841 * t637 / 0.8e1 - t7676 - 0.3e1 / 0.32e2 * t1548 * t1979 + 0.3e1 / 0.32e2 * t1548 * t1983 + t1553 * t1987 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t1991 + 0.3e1 / 0.16e2 * t1553 * t2027 - 0.3e1 / 0.16e2 * t1553 * t1979 - t1553 * t2032 / 0.8e1 - t1553 * t2067 / 0.16e2 + t1553 * t2070 / 0.16e2;
  t7703 = t5844 * t645 / 0.16e2;
  t7705 = t5887 * t627 / 0.32e2;
  t7722 = t1553 * t2055 / 0.16e2 + t5841 * t645 / 0.8e1 - t5865 * t627 / 0.16e2 + t7703 - t7705 - t5890 * t627 / 0.32e2 - t1548 * t2004 / 0.32e2 - t1548 * t2059 / 0.16e2 + t1553 * t2063 / 0.8e1 + t7348 / 0.16e2 - t7356 / 0.32e2 + t7369 / 0.16e2 + 0.3e1 / 0.32e2 * t1548 * t2036 - 0.3e1 / 0.32e2 * t7378 - 0.3e1 / 0.32e2 * t7400 - 0.3e1 / 0.64e2 * t7402;
  t7740 = 0.3e1 / 0.64e2 * t7404 - t7422 / 0.32e2 + 0.3e1 / 0.32e2 * t7424 - t7433 / 0.32e2 + t7435 / 0.32e2 - t7441 / 0.16e2 - t7447 / 0.16e2 + t7465 / 0.8e1 + t7509 / 0.32e2 - t7513 / 0.16e2 + t7515 / 0.32e2 - t7517 / 0.32e2 + t7523 / 0.16e2 - t7525 / 0.64e2 - t7545 / 0.32e2 + t7547 / 0.64e2;
  t7748 = t1127 * t633 / 0.16e2;
  t7759 = t4655 * t215 / 0.16e2;
  t7760 = t4658 * t215;
  t7762 = t7569 / 0.16e2 - t7571 / 0.32e2 + 0.3e1 / 0.64e2 * t7585 - t7587 / 0.64e2 - t1124 * t633 / 0.8e1 - t7748 - t345 * t2052 / 0.16e2 - t4652 * t215 / 0.16e2 - t7621 + t7622 / 0.32e2 - t7626 / 0.32e2 - t7634 / 0.32e2 - t7636 / 0.16e2 + t7638 / 0.32e2 - t7759 + t7760 / 0.64e2;
  t7765 = my_piecewise3(t2, 0, t7695 + t7722 + t7740 + t7762);
  tv4rho3tau2 = t3 * t7765 + t2075 + t7662;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 2] += tv4rho3tau2;

  t7767 = 0.2e1 * t2136;
  t7777 = t1167 * t672 / 0.16e2;
  t7778 = t1170 * t672;
  t7782 = t4898 * t221;
  t7787 = t4906 * t221 / 0.16e2;
  t7789 = t5948 * t676;
  t7792 = t5951 * t680 / 0.16e2;
  t7793 = t5948 * t680;
  t7796 = t5951 * t684 / 0.16e2;
  t7797 = t5948 * t684;
  t7800 = t5962 * t666 / 0.32e2;
  t7801 = t5966 * t666;
  t7804 = t5951 * t676 / 0.16e2;
  t7807 = t7789 / 0.64e2 + t7792 - t7793 / 0.64e2 + t7796 - t7797 / 0.64e2 - t7800 + t7801 / 0.128e3 - t7804 - t7653 / 0.32e2 + t7655 / 0.32e2 - t7658;
  t7809 = my_piecewise3(t51, 0, -t1164 * t672 / 0.16e2 - t4879 * t221 / 0.16e2 + t5969 * t680 / 0.16e2 + t5969 * t684 / 0.16e2 - t7777 + t7778 / 0.64e2 - t5969 * t676 / 0.16e2 + t7782 / 0.64e2 - t5977 * t666 / 0.32e2 - t7787 + t7807);
  tv4rho3tau3 = t3 * t7809 + t2085 + t7767;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 3] += tv4rho3tau3;

  t7813 = t4808 * t215;
  t7833 = -t7748 - t7676 + t7666 + t7703 + t7622 / 0.64e2 - t7621 + t7547 / 0.128e3 + t7638 / 0.64e2 + t7435 / 0.64e2 - t7422 / 0.64e2 - t7545 / 0.64e2;
  t7835 = my_piecewise3(t2, 0, -t4805 * t215 / 0.16e2 - t7813 / 0.32e2 - t6002 * t627 / 0.32e2 - t1196 * t633 / 0.16e2 - t6007 * t637 / 0.16e2 + t6007 * t641 / 0.16e2 + t6007 * t645 / 0.16e2 - t7759 + t7760 / 0.32e2 - t7705 + t7833);
  tv4rho3tau4 = t3 * t7835 + t2143 + t7662;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 4] += tv4rho3tau4;

  t7837 = t6043 * t666;
  t7839 = t1589 * t2194;
  t7841 = t1589 * t2199;
  t7843 = t1589 * t2155;
  t7845 = t1589 * t2159;
  t7847 = t1578 * t2147;
  t7849 = t1578 * t2151;
  t7851 = t1589 * t2183;
  t7853 = t1578 * t2187;
  t7855 = t1589 * t2190;
  t7857 = t1589 * t2169;
  t7859 = t6026 * t680;
  t7861 = t1589 * t2175;
  t7863 = t1589 * t2178;
  t7865 = t1589 * t2147;
  t7867 = t1578 * t2215;
  t7869 = -t7837 / 0.64e2 + t7839 / 0.32e2 + t7841 / 0.16e2 + t7843 / 0.8e1 - 0.3e1 / 0.32e2 * t7845 - 0.3e1 / 0.64e2 * t7847 + 0.3e1 / 0.64e2 * t7849 - t7851 / 0.16e2 + 0.3e1 / 0.64e2 * t7853 + 0.3e1 / 0.32e2 * t7855 - t7857 / 0.16e2 + t7859 / 0.16e2 + t7861 / 0.16e2 - t7863 / 0.32e2 - 0.3e1 / 0.32e2 * t7865 - t7867 / 0.64e2;
  t7870 = t1578 * t2163;
  t7872 = t6026 * t676;
  t7874 = t1589 * t2203;
  t7876 = t1589 * t2206;
  t7878 = t6026 * t684;
  t7880 = t6037 * t666;
  t7902 = -t7870 / 0.32e2 - t7872 / 0.16e2 - t7874 / 0.32e2 + t7876 / 0.32e2 + t7878 / 0.16e2 - t7880 / 0.32e2 - t6060 * t676 / 0.8e1 - t1585 * t2169 / 0.8e1 - t1574 * t2215 / 0.32e2 - t1574 * t2163 / 0.16e2 + t1585 * t2206 / 0.16e2 + t6060 * t684 / 0.8e1 - t6064 * t666 / 0.16e2 - t6067 * t666 / 0.32e2 + t1585 * t2194 / 0.16e2 + t1585 * t2199 / 0.8e1;
  t7930 = -t1585 * t2203 / 0.16e2 + 0.3e1 / 0.32e2 * t1574 * t2151 + t1585 * t2155 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t2159 - 0.3e1 / 0.32e2 * t1574 * t2147 - t1585 * t2183 / 0.8e1 + 0.3e1 / 0.32e2 * t1574 * t2187 + 0.3e1 / 0.16e2 * t1585 * t2190 + t6060 * t680 / 0.8e1 + t1585 * t2175 / 0.8e1 - t1585 * t2178 / 0.16e2 - 0.3e1 / 0.16e2 * t1585 * t2147 + t7789 / 0.32e2 + t7792 - t7793 / 0.32e2 + t7796;
  t7939 = t370 * t2224;
  t7941 = t5059 * t221;
  t7943 = t1227 * t672;
  t7948 = -t7797 / 0.32e2 - t7800 + t7801 / 0.64e2 - t7804 - t1224 * t672 / 0.8e1 - t367 * t2224 / 0.16e2 - t5082 * t221 / 0.16e2 - t7939 / 0.32e2 - t7941 / 0.32e2 - t7943 / 0.16e2 - t7777 + t7778 / 0.32e2 + t7782 / 0.32e2 - t7787 + t7655 / 0.64e2 - t7658;
  t7951 = my_piecewise3(t51, 0, t7869 + t7902 + t7930 + t7948);
  tv4rho3tau5 = t3 * t7951 + t2235 + t7767;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 5] += tv4rho3tau5;

  t7959 = my_piecewise3(t2, 0, -t4985 * t215 / 0.16e2 - 0.3e1 / 0.32e2 * t7813 + 0.3e1 / 0.64e2 * t7760 - t7621);
  tv4rho3tau6 = t3 * t7959 + 0.3e1 * t2143;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 6] += tv4rho3tau6;

  t7962 = t219 * t1325;
  t7974 = t670 * t416;
  t7980 = t2222 * t418;
  t7998 = -0.11e2 / 0.16e2 * t534 * t7962 * t5314 - 0.3e1 / 0.16e2 * t534 * t2222 * t168 * t445 - 0.3e1 / 0.16e2 * t6176 * t676 - 0.3e1 / 0.8e1 * t1678 * t2169 + 0.9e1 / 0.16e2 * t534 * t7974 * t1361 + 0.9e1 / 0.16e2 * t1678 * t2190 + 0.3e1 / 0.16e2 * t534 * t7980 * t541 + 0.3e1 / 0.16e2 * t6176 * t680 + 0.3e1 / 0.8e1 * t1678 * t2175 - 0.3e1 / 0.16e2 * t1678 * t2178 - 0.3e1 / 0.16e2 * t534 * t7974 * t1330 - t534 * t7962 * t5243 / 0.16e2 + 0.3e1 / 0.16e2 * t1678 * t2194;
  t8009 = t679 * t6215 * t1325;
  t8034 = 0.3e1 / 0.16e2 * t534 * t2198 * t1650 + t534 * t683 * t6338 / 0.16e2 + 0.3e1 / 0.8e1 * t534 * t7962 * t5339 + 0.11e2 / 0.16e2 * t534 * t8009 + 0.3e1 / 0.8e1 * t534 * t683 * t6270 + 0.5e1 / 0.32e2 * t1655 * t2187 - 0.3e1 / 0.8e1 * t1678 * t2183 - 0.3e1 / 0.8e1 * t534 * t2198 * t1702 - 0.3e1 / 0.32e2 * t6342 * t666 - 0.3e1 / 0.32e2 * t1681 * t2215 - 0.3e1 / 0.16e2 * t1681 * t2163 - t6346 * t666 / 0.32e2 - t1655 * t2215 / 0.16e2 - 0.3e1 / 0.32e2 * t1655 * t2163;
  t8038 = t2222 * t75;
  t8042 = t1706 * t670;
  t8066 = t675 * t75;
  t8074 = t2760 * t438;
  t8075 = t7305 * t8074;
  t8081 = 0.3e1 / 0.8e1 * t1678 * t2199 + 0.3e1 / 0.16e2 * t534 * t8038 * t547 + 0.9e1 / 0.32e2 * t519 * t1617 * t8042 - 0.3e1 / 0.16e2 * t1678 * t2203 - 0.3e1 / 0.16e2 * t534 * t670 * t438 * t445 - t534 * t219 * t1388 * t445 / 0.16e2 + 0.3e1 / 0.16e2 * t1678 * t2206 + 0.3e1 / 0.16e2 * t534 * t2174 * t1674 + t534 * t679 * t6291 / 0.16e2 + 0.3e1 / 0.16e2 * t6176 * t684 + 0.9e1 / 0.16e2 * t534 * t8066 * t5176 - 0.3e1 / 0.16e2 * t534 * t2202 * t168 * t1330 - 0.9e1 / 0.32e2 * t519 * t8075 + 0.9e1 / 0.32e2 * t519 * t7314 * t8074;
  t8090 = t670 * t1339;
  t8097 = t679 * t6208;
  t8101 = t2158 * t6194 * t1325;
  t8106 = t2174 * t1896;
  t8119 = -0.3e1 / 0.8e1 * t534 * t2789 * t6433 + 0.9e1 / 0.32e2 * t519 * t6446 * t8074 - 0.9e1 / 0.16e2 * t1678 * t2159 - 0.9e1 / 0.16e2 * t534 * t8090 * t1613 + 0.11e2 / 0.16e2 * t534 * t7962 * t5248 - 0.3e1 / 0.2e1 * t534 * t8097 + 0.9e1 / 0.8e1 * t534 * t8101 + 0.9e1 / 0.16e2 * t519 * t8009 - 0.9e1 / 0.16e2 * t534 * t8106 - 0.9e1 / 0.16e2 * t1678 * t2147 - 0.9e1 / 0.32e2 * t1681 * t2147 + 0.9e1 / 0.32e2 * t1681 * t2151 - 0.5e1 / 0.32e2 * t1655 * t2147 + 0.5e1 / 0.32e2 * t1655 * t2151;
  t8124 = t1624 * t670;
  t8130 = t6207 * t219;
  t8134 = t6356 * t219;
  t8144 = t521 * t2222;
  t8155 = -0.9e1 / 0.32e2 * t519 * t8106 + 0.9e1 / 0.32e2 * t519 * t1623 * t8124 - 0.7e1 / 0.32e2 * t519 * t8097 - 0.9e1 / 0.16e2 * t519 * t6193 * t8130 - 0.11e2 / 0.32e2 * t519 * t6214 * t8134 - t519 * t5217 * t665 / 0.32e2 - 0.3e1 / 0.32e2 * t519 * t1293 * t2162 - 0.3e1 / 0.32e2 * t519 * t520 * t8144 + 0.9e1 / 0.32e2 * t1681 * t2187 - 0.3e1 / 0.32e2 * t6299 * t666 - 0.3e1 / 0.64e2 * t7837 + 0.3e1 / 0.32e2 * t7839 + 0.3e1 / 0.16e2 * t7841;
  t8158 = t6220 * t219;
  t8165 = t219 * t5227;
  t8182 = 0.11e2 / 0.16e2 * t519 * t8101 - 0.15e2 / 0.32e2 * t519 * t6351 * t8158 - 0.25e2 / 0.16e2 * t534 * t7962 * t5265 + 0.15e2 / 0.16e2 * t534 * t8165 * t6227 + 0.3e1 / 0.4e1 * t1678 * t2155 + 0.3e1 / 0.4e1 * t534 * t7974 * t1348 + 0.3e1 / 0.8e1 * t7843 - 0.9e1 / 0.32e2 * t7845 - 0.9e1 / 0.64e2 * t7847 + 0.9e1 / 0.64e2 * t7849 - 0.3e1 / 0.16e2 * t7851 + 0.9e1 / 0.64e2 * t7853 + 0.9e1 / 0.32e2 * t7855 - 0.3e1 / 0.16e2 * t7857;
  t8198 = 0.3e1 / 0.16e2 * t7859 + 0.3e1 / 0.16e2 * t7861 - 0.3e1 / 0.32e2 * t7863 - 0.9e1 / 0.32e2 * t7865 - 0.3e1 / 0.64e2 * t7867 - 0.3e1 / 0.32e2 * t7870 - 0.3e1 / 0.16e2 * t7872 - 0.3e1 / 0.32e2 * t7874 + 0.3e1 / 0.32e2 * t7876 + 0.3e1 / 0.16e2 * t7878 - 0.3e1 / 0.32e2 * t7880 + 0.3e1 / 0.64e2 * t7789 - 0.3e1 / 0.64e2 * t7793 - 0.3e1 / 0.64e2 * t7797;
  t8212 = my_piecewise3(t72, 0.24e2 * t1634, 0);
  t8226 = 0.3e1 / 0.128e3 * t7801 - 0.9e1 / 0.16e2 * t534 * t8075 + 0.3e1 / 0.4e1 * t534 * t2202 * t418 * t2407 - 0.9e1 / 0.16e2 * t534 * t2773 * t6433 - 0.3e1 / 0.16e2 * t409 * t2224 - t156 * t157 * t8212 * t173 / 0.16e2 - t5282 * t221 / 0.16e2 - 0.3e1 / 0.16e2 * t1297 * t672 - 0.3e1 / 0.32e2 * t7939 - 0.3e1 / 0.32e2 * t7941 - 0.3e1 / 0.16e2 * t7943 + 0.3e1 / 0.64e2 * t7778 + 0.3e1 / 0.64e2 * t7782 - t7658;
  t8230 = my_piecewise3(t51, 0, t7998 + t8034 + t8081 + t8119 + t8155 + t8182 + t8198 + t8226);
  tv4rho3tau7 = t3 * t8230 + 0.3e1 * t2235;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 7] += tv4rho3tau7;

  t8241 = t1419 * t2251;
  t8244 = t1415 * t2255 / 0.8e1;
  t8249 = t1419 * t2255;
  t8250 = t8249 / 0.16e2;
  t8252 = t1415 * t2268 / 0.8e1;
  t8253 = t690 * t261;
  t8257 = t695 * t261;
  t8260 = t484 * t8257 * t1036 / 0.16e2;
  t8263 = -t699 - 0.3e1 / 0.16e2 * t1496 * t2260 - 0.5e1 / 0.32e2 * t1506 * t2260 + 0.5e1 / 0.32e2 * t1506 * t2264 + t1415 * t2271 / 0.2e1 - t8241 / 0.16e2 - t8244 - t1415 * t2251 / 0.8e1 + 0.3e1 / 0.8e1 * t1415 * t2279 - t8250 + t8252 - t484 * t8253 * t4319 / 0.16e2 - t8260 - 0.3e1 / 0.8e1 * t1415 * t2239;
  t8267 = t1419 * t2271;
  t8269 = t1419 * t2239;
  t8271 = t1502 * t2260;
  t8273 = t1419 * t2268;
  t8274 = t8273 / 0.16e2;
  t8277 = 0.3e1 / 0.16e2 * t484 * t8257 * t973;
  t8292 = t5544 * t690;
  t8293 = t1472 * t8292;
  t8296 = t1419 * t2283;
  t8300 = 0.3e1 / 0.8e1 * t484 * t8253 * t4391 + t8267 / 0.4e1 - 0.3e1 / 0.16e2 * t8269 - 0.3e1 / 0.32e2 * t8271 + t8274 + t8277 + t1415 * t2290 / 0.4e1 - t1415 * t2294 / 0.4e1 + 0.3e1 / 0.16e2 * t1496 * t2300 - t1415 * t2274 / 0.4e1 - t484 * t495 * t5685 / 0.8e1 + 0.3e1 / 0.16e2 * t484 * t2277 * t4264 + 0.9e1 / 0.16e2 * t469 * t8293 + t8296 / 0.8e1 + t1415 * t2283 / 0.4e1;
  t8306 = t496 * t1444;
  t8313 = t5669 * t690;
  t8317 = t1502 * t2297;
  t8323 = t1419 * t2260;
  t8325 = t1502 * t2264;
  t8327 = t490 * t1444;
  t8331 = t2258 * t5814;
  t8334 = t5658 * t690;
  t8338 = t1419 * t2290;
  t8340 = t1419 * t2294;
  t8342 = -0.3e1 / 0.8e1 * t1415 * t2260 + 0.3e1 / 0.16e2 * t1496 * t2264 + t484 * t495 * t8306 / 0.8e1 - t484 * t2277 * t4260 / 0.8e1 - 0.11e2 / 0.32e2 * t469 * t1472 * t8313 - t8317 / 0.16e2 - t1496 * t2297 / 0.8e1 - t1506 * t2297 / 0.8e1 - 0.3e1 / 0.16e2 * t8323 + 0.3e1 / 0.32e2 * t8325 + t484 * t489 * t8327 / 0.8e1 - 0.3e1 / 0.16e2 * t484 * t8331 - 0.9e1 / 0.16e2 * t469 * t1524 * t8334 + t8338 / 0.8e1 - t8340 / 0.8e1;
  t8343 = t1502 * t2300;
  t8345 = t690 * t4334;
  t8346 = t5718 * t261;
  t8350 = t2267 * t1462;
  t8352 = 0.3e1 / 0.16e2 * t484 * t8350;
  t8354 = 0.3e1 / 0.32e2 * t469 * t8350;
  t8355 = t1525 * t695;
  t8358 = 0.3e1 / 0.32e2 * t469 * t1524 * t8355;
  t8364 = t484 * t8257 * t946 / 0.4e1;
  t8365 = t5723 * t261;
  t8366 = t2237 * t8365;
  t8369 = t5658 * t261;
  t8370 = t2258 * t8369;
  t8383 = t1419 * t2243;
  t8384 = t8383 / 0.16e2;
  t8385 = t1502 * t2247;
  t8386 = t8385 / 0.32e2;
  t8387 = 0.3e1 / 0.32e2 * t8343 + 0.15e2 / 0.16e2 * t484 * t8345 * t8346 - t8352 - t8354 + t8358 + 0.11e2 / 0.16e2 * t484 * t8253 * t4350 + t8364 + 0.11e2 / 0.16e2 * t469 * t8366 - 0.3e1 / 0.2e1 * t484 * t8370 + 0.9e1 / 0.8e1 * t484 * t8366 - t469 * t489 * t5685 / 0.16e2 + 0.5e1 / 0.32e2 * t1506 * t2300 + 0.3e1 / 0.32e2 * t469 * t2258 * t4264 + t8384 - t8386;
  t8391 = t1415 * t2243 / 0.8e1;
  t8394 = t484 * t2242 * t1478 / 0.16e2;
  t8395 = t1473 * t695;
  t8398 = 0.3e1 / 0.32e2 * t469 * t1472 * t8395;
  t8400 = t1496 * t2247 / 0.16e2;
  t8402 = t1506 * t2247 / 0.32e2;
  t8406 = t1517 * t283;
  t8413 = t484 * t695 * t283 * t290 / 0.16e2;
  t8421 = t484 * t2267 * t1490 / 0.16e2;
  t8430 = t469 * t1048 * t2246 / 0.32e2;
  t8433 = t484 * t2242 * t1468 / 0.8e1;
  t8434 = t8391 + t8394 + t8398 - t8400 - t8402 + t484 * t2258 * t4236 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t2237 * t8406 - t8413 - 0.3e1 / 0.32e2 * t469 * t8331 + 0.3e1 / 0.32e2 * t469 * t2237 * t4236 + t8421 - t484 * t690 * t283 * t1036 / 0.16e2 - 0.7e1 / 0.32e2 * t469 * t8370 - t8430 - t8433;
  t8437 = t5551 * t261;
  t8441 = t1419 * t2274;
  t8443 = t1419 * t2279;
  t8445 = t5669 * t261;
  t8449 = t5690 * t261;
  t8453 = t695 * t934;
  t8456 = 0.3e1 / 0.16e2 * t484 * t8453 * t1518;
  t8460 = t1461 * t478;
  t8465 = t939 * t478 * t111;
  t8472 = t2456 * t478;
  t8480 = t5796 * t8472;
  t8485 = 0.11e2 / 0.16e2 * t484 * t8293 + 0.3e1 / 0.8e1 * t484 * t2277 * t8437 - t8441 / 0.8e1 + 0.3e1 / 0.16e2 * t8443 - 0.11e2 / 0.16e2 * t484 * t2277 * t8445 - 0.15e2 / 0.32e2 * t469 * t8345 * t8449 - t8456 - 0.25e2 / 0.16e2 * t484 * t2237 * t8449 - t484 * t5800 * t8460 / 0.4e1 - 0.3e1 / 0.4e1 * t484 * t5784 * t8465 - t484 * t5806 * t8465 / 0.2e1 + 0.3e1 / 0.8e1 * t469 * t5810 * t8472 + 0.3e1 / 0.4e1 * t484 * t495 * t265 * t8465 - 0.3e1 / 0.8e1 * t469 * t8480 - 0.3e1 / 0.4e1 * t484 * t8480;
  t8493 = t478 * t478;
  t8494 = t100 * t8493;
  t8499 = t989 * t707 / 0.64e2;
  t8500 = t1028 * t707;
  t8506 = t989 * t704 / 0.64e2;
  t8507 = t1028 * t704;
  t8511 = t1028 * t701;
  t8522 = t1025 * t697 / 0.16e2;
  t8525 = t484 * t489 * t936 * t8465 + 0.3e1 / 0.8e1 * t469 * t5791 * t8472 + t99 * t8494 * t297 / 0.8e1 - t8499 + t8500 / 0.16e2 - t99 * t8494 * t290 / 0.8e1 - t8506 + t8507 / 0.16e2 - t1025 * t701 / 0.16e2 - t8511 / 0.16e2 - t1025 * t692 / 0.32e2 - t246 * t2320 / 0.16e2 - t99 * t4508 * t690 * t269 / 0.32e2 - t8522 + t1025 * t704 / 0.16e2;
  t8528 = t1028 * t692;
  t8530 = t255 * t2320;
  t8532 = t1028 * t697;
  t8533 = t8532 / 0.16e2;
  t8535 = t989 * t701 / 0.64e2;
  t8537 = t989 * t697 / 0.64e2;
  t8542 = t989 * t692 / 0.128e3;
  t8547 = t2244 / 0.8e1;
  t8548 = t2248 / 0.16e2;
  t8549 = t2256 / 0.8e1;
  t8550 = t2269 / 0.8e1;
  t8551 = t2313 / 0.16e2;
  t8552 = t2323 / 0.8e1;
  t8553 = t1025 * t707 / 0.16e2 - t8528 / 0.32e2 - t8530 / 0.32e2 - t8533 + t8535 + t8537 + t99 * t8494 * t301 / 0.8e1 + t8542 - t99 * t260 * t8493 * t269 / 0.16e2 + t8547 - t8548 - t8549 + t8550 - t8551 - t8552;
  t8557 = my_piecewise3(t2, 0, t8263 + t8300 + t8342 + t8387 + t8434 + t8485 + t8525 + t8553);
  tv4rho2sigma20 = t3 * t8557 + 0.2e1 * t2329;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  tv4rho2sigma21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 1] += tv4rho2sigma21;

  tv4rho2sigma22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 2] += tv4rho2sigma22;

  tv4rho2sigma23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 3] += tv4rho2sigma23;

  tv4rho2sigma24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 4] += tv4rho2sigma24;

  t8562 = t1167 * t714;
  t8565 = t1170 * t714 / 0.128e3;
  t8567 = t1164 * t719 / 0.16e2;
  t8568 = t1167 * t719;
  t8569 = t8568 / 0.16e2;
  t8571 = t1170 * t719 / 0.64e2;
  t8574 = t1167 * t723;
  t8577 = t1170 * t723 / 0.64e2;
  t8580 = t1167 * t726;
  t8583 = t1170 * t726 / 0.64e2;
  t8586 = t1167 * t729;
  t8589 = t1170 * t729 / 0.64e2;
  t8590 = -t1164 * t714 / 0.32e2 - t8562 / 0.32e2 + t8565 - t8567 - t8569 + t8571 - t1164 * t723 / 0.16e2 - t8574 / 0.16e2 + t8577 + t1164 * t726 / 0.16e2 + t8580 / 0.16e2 - t8583 + t1164 * t729 / 0.16e2 + t8586 / 0.16e2 - t8589;
  t8591 = my_piecewise3(t51, 0, t8590);
  tv4rho2sigma25 = t3 * t8591 + 0.2e1 * t2352;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 5] += tv4rho2sigma25;

  t8600 = t1553 * t2255 / 0.16e2;
  t8604 = t1553 * t2268 / 0.16e2;
  t8608 = t1553 * t2243 / 0.16e2;
  t8610 = t1548 * t2247 / 0.32e2;
  t8621 = -0.3e1 / 0.16e2 * t1553 * t2239 - 0.3e1 / 0.32e2 * t1548 * t2260 + 0.3e1 / 0.32e2 * t1548 * t2264 - t8600 - t1553 * t2251 / 0.16e2 + t8604 + t1553 * t2271 / 0.4e1 + t8608 - t8610 - 0.3e1 / 0.16e2 * t1553 * t2260 + t1553 * t2290 / 0.8e1 - t1553 * t2294 / 0.8e1 - t1553 * t2274 / 0.8e1 + 0.3e1 / 0.16e2 * t1553 * t2279;
  t8629 = t8249 / 0.32e2;
  t8633 = t8273 / 0.32e2;
  t8640 = t1553 * t2283 / 0.8e1 - t1548 * t2297 / 0.16e2 + 0.3e1 / 0.32e2 * t1548 * t2300 - t8241 / 0.32e2 - t8629 + t8267 / 0.8e1 - 0.3e1 / 0.32e2 * t8269 - 0.3e1 / 0.64e2 * t8271 + t8633 + t8296 / 0.16e2 - t8317 / 0.32e2 - 0.3e1 / 0.32e2 * t8323 + 0.3e1 / 0.64e2 * t8325 + t8338 / 0.16e2 - t8340 / 0.16e2;
  t8643 = t8383 / 0.32e2;
  t8644 = t8385 / 0.64e2;
  t8658 = t1124 * t697 / 0.16e2;
  t8659 = t1127 * t707;
  t8661 = t1127 * t701;
  t8663 = t1127 * t704;
  t8665 = 0.3e1 / 0.64e2 * t8343 + t8643 - t8644 - t8441 / 0.16e2 + 0.3e1 / 0.32e2 * t8443 + t1124 * t707 / 0.16e2 - t1124 * t701 / 0.16e2 + t1124 * t704 / 0.16e2 - t1124 * t692 / 0.32e2 - t345 * t2320 / 0.32e2 - t8658 + t8659 / 0.32e2 - t8661 / 0.32e2 + t8663 / 0.32e2;
  t8666 = t1127 * t692;
  t8668 = t1127 * t697;
  t8669 = t8668 / 0.32e2;
  t8675 = t8532 / 0.32e2;
  t8676 = -t8666 / 0.64e2 - t8669 - t8499 + t8500 / 0.32e2 - t8506 + t8507 / 0.32e2 - t8511 / 0.32e2 - t8528 / 0.64e2 - t8530 / 0.64e2 - t8675 + t8535 + t8537 + t8542 - t2357 - t2314;
  t8679 = my_piecewise3(t2, 0, t8621 + t8640 + t8665 + t8676);
  tv4rho2sigma26 = t3 * t8679 + t2329 + t2365;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 6] += tv4rho2sigma26;

  tv4rho2sigma27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 7] += tv4rho2sigma27;

  tv4rho2sigma28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 8] += tv4rho2sigma28;

  tv4rho2sigma29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 9] += tv4rho2sigma29;

  tv4rho2sigma210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 10] += tv4rho2sigma210;

  t8681 = t1589 * t2399;
  t8683 = t1578 * t2372;
  t8685 = t1589 * t2376;
  t8686 = t8685 / 0.32e2;
  t8687 = t1578 * t2380;
  t8688 = t8687 / 0.64e2;
  t8689 = t1589 * t2383;
  t8691 = t1589 * t2387;
  t8693 = t1589 * t2403;
  t8695 = t1589 * t2426;
  t8697 = t1589 * t2430;
  t8699 = t1578 * t2367;
  t8701 = t1589 * t2420;
  t8703 = t1578 * t2403;
  t8705 = t1578 * t2408;
  t8707 = t1589 * t2412;
  t8708 = t8707 / 0.32e2;
  t8709 = -t8681 / 0.32e2 + 0.3e1 / 0.64e2 * t8683 + t8686 - t8688 - t8689 / 0.16e2 + 0.3e1 / 0.32e2 * t8691 - 0.3e1 / 0.32e2 * t8693 + t8695 / 0.16e2 - t8697 / 0.16e2 - t8699 / 0.32e2 - 0.3e1 / 0.32e2 * t8701 - 0.3e1 / 0.64e2 * t8703 + 0.3e1 / 0.64e2 * t8705 + t8708;
  t8710 = t1589 * t2415;
  t8712 = t1589 * t2391;
  t8714 = t1589 * t2395;
  t8715 = t8714 / 0.32e2;
  t8727 = t1585 * t2376 / 0.16e2;
  t8729 = t1574 * t2380 / 0.32e2;
  t8740 = t8710 / 0.8e1 + t8712 / 0.16e2 - t8715 - t1585 * t2383 / 0.8e1 + 0.3e1 / 0.16e2 * t1585 * t2387 + t1585 * t2391 / 0.8e1 - t1574 * t2367 / 0.16e2 + 0.3e1 / 0.32e2 * t1574 * t2372 + t8727 - t8729 - 0.3e1 / 0.16e2 * t1585 * t2403 + t1585 * t2426 / 0.8e1 - t1585 * t2430 / 0.8e1 + t1585 * t2415 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t2420;
  t8743 = t1585 * t2395 / 0.16e2;
  t8751 = t1585 * t2412 / 0.16e2;
  t8752 = t1227 * t723;
  t8757 = t1224 * t719 / 0.16e2;
  t8766 = t1227 * t726;
  t8768 = t1227 * t729;
  t8770 = -t8743 - t1585 * t2399 / 0.16e2 - 0.3e1 / 0.32e2 * t1574 * t2403 + 0.3e1 / 0.32e2 * t1574 * t2408 + t8751 - t8752 / 0.32e2 - t367 * t2438 / 0.32e2 - t8757 - t1224 * t723 / 0.16e2 + t1224 * t726 / 0.16e2 + t1224 * t729 / 0.16e2 - t1224 * t714 / 0.32e2 + t8766 / 0.32e2 + t8768 / 0.32e2;
  t8771 = t1227 * t714;
  t8773 = t370 * t2438;
  t8775 = t1227 * t719;
  t8776 = t8775 / 0.32e2;
  t8781 = t8568 / 0.32e2;
  t8782 = -t8771 / 0.64e2 - t8773 / 0.64e2 - t8776 + t8571 - t8574 / 0.32e2 + t8577 + t8580 / 0.32e2 - t8583 + t8586 / 0.32e2 - t8589 - t8562 / 0.64e2 + t8565 - t8781 - t2336 - t2338;
  t8785 = my_piecewise3(t51, 0, t8709 + t8740 + t8770 + t8782);
  tv4rho2sigma211 = t3 * t8785 + t2352 + t2449;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 11] += tv4rho2sigma211;

  t8792 = t1196 * t697 / 0.16e2;
  t8793 = t8668 / 0.16e2;
  t8803 = -t1196 * t692 / 0.32e2 - t8666 / 0.32e2 + t8542 - t8792 - t8793 + t8537 - t1196 * t701 / 0.16e2 - t8661 / 0.16e2 + t8535 + t1196 * t704 / 0.16e2 + t8663 / 0.16e2 - t8506 + t1196 * t707 / 0.16e2 + t8659 / 0.16e2 - t8499;
  t8804 = my_piecewise3(t2, 0, t8803);
  tv4rho2sigma212 = t3 * t8804 + 0.2e1 * t2365;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 12] += tv4rho2sigma212;

  tv4rho2sigma213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 13] += tv4rho2sigma213;

  tv4rho2sigma214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 14] += tv4rho2sigma214;

  tv4rho2sigma215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 15] += tv4rho2sigma215;

  tv4rho2sigma216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 16] += tv4rho2sigma216;

  t8808 = t1329 * t528 * t168;
  t8809 = t2578 * t8808;
  t8832 = t2573 * t528;
  t8836 = t717 * t416;
  t8839 = t534 * t8836 * t1330 / 0.16e2;
  t8840 = t712 * t416;
  t8848 = -t721 - 0.3e1 / 0.8e1 * t519 * t8809 + 0.3e1 / 0.8e1 * t519 * t2584 * t8808 + 0.3e1 / 0.4e1 * t534 * t6419 * t6278 - t534 * t6419 * t6158 / 0.4e1 + t534 * t539 * t1341 * t8808 - 0.3e1 / 0.4e1 * t534 * t6431 * t8808 - 0.3e1 / 0.4e1 * t534 * t8809 - t534 * t6442 * t8808 / 0.2e1 + 0.3e1 / 0.8e1 * t519 * t6446 * t8832 - t8839 - t534 * t8840 * t5243 / 0.16e2 + 0.3e1 / 0.16e2 * t1681 * t2408 - 0.5e1 / 0.32e2 * t1655 * t2403;
  t8852 = t1678 * t2412 / 0.8e1;
  t8862 = 0.3e1 / 0.16e2 * t534 * t8836 * t1361;
  t8870 = t712 * t5227;
  t8871 = t6226 * t416;
  t8875 = t1624 * t717;
  t8878 = 0.3e1 / 0.32e2 * t519 * t1623 * t8875;
  t8881 = t534 * t8836 * t1348 / 0.4e1;
  t8885 = t6194 * t416;
  t8886 = t2406 * t8885;
  t8889 = t6220 * t416;
  t8893 = 0.5e1 / 0.32e2 * t1655 * t2408 + t8852 + t1678 * t2415 / 0.2e1 - 0.3e1 / 0.8e1 * t1678 * t2420 - 0.11e2 / 0.16e2 * t534 * t8840 * t5314 + t8862 + 0.3e1 / 0.8e1 * t534 * t8840 * t5339 - 0.3e1 / 0.8e1 * t1678 * t2403 - 0.3e1 / 0.16e2 * t1681 * t2403 + 0.15e2 / 0.16e2 * t534 * t8870 * t8871 + t8878 + t8881 + 0.11e2 / 0.16e2 * t534 * t8840 * t5248 + 0.11e2 / 0.16e2 * t519 * t8886 - 0.15e2 / 0.32e2 * t519 * t8870 * t8889;
  t8895 = t717 * t1339;
  t8898 = 0.3e1 / 0.16e2 * t534 * t8895 * t1613;
  t8899 = t6207 * t416;
  t8900 = t2370 * t8899;
  t8905 = t6215 * t416;
  t8906 = t2370 * t8905;
  t8909 = t2411 * t1896;
  t8911 = 0.3e1 / 0.16e2 * t534 * t8909;
  t8913 = 0.3e1 / 0.32e2 * t519 * t8909;
  t8919 = t534 * t2375 * t1702 / 0.8e1;
  t8922 = t6269 * t416;
  t8927 = t1681 * t2380 / 0.16e2;
  t8936 = -t8898 - 0.3e1 / 0.2e1 * t534 * t8900 + 0.9e1 / 0.8e1 * t534 * t8886 + 0.9e1 / 0.16e2 * t519 * t8906 - t8911 - t8913 - 0.25e2 / 0.16e2 * t534 * t2406 * t8889 - t8919 + 0.11e2 / 0.16e2 * t534 * t8906 + 0.3e1 / 0.8e1 * t534 * t2386 * t8922 - t8927 - t1678 * t2383 / 0.4e1 + t1678 * t2426 / 0.4e1 - t1678 * t2430 / 0.4e1 + 0.3e1 / 0.16e2 * t1681 * t2372;
  t8942 = t1678 * t2395 / 0.8e1;
  t8945 = t6356 * t712;
  t8957 = t534 * t2375 * t1650 / 0.16e2;
  t8958 = t1706 * t717;
  t8961 = 0.3e1 / 0.32e2 * t519 * t1617 * t8958;
  t8964 = t1618 * t438;
  t8965 = t2370 * t8964;
  t8968 = t6207 * t712;
  t8972 = t546 * t1636;
  t8980 = -t1681 * t2367 / 0.8e1 + 0.3e1 / 0.8e1 * t1678 * t2387 - t8942 - t1678 * t2399 / 0.8e1 - 0.11e2 / 0.32e2 * t519 * t1617 * t8945 - t519 * t539 * t6310 / 0.16e2 + 0.3e1 / 0.32e2 * t519 * t2370 * t5176 + t8957 + t8961 + t1678 * t2391 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t8965 - 0.9e1 / 0.16e2 * t519 * t1623 * t8968 + t534 * t545 * t8972 / 0.8e1 - t1655 * t2367 / 0.8e1 + 0.5e1 / 0.32e2 * t1655 * t2372;
  t8984 = t1678 * t2376 / 0.8e1;
  t8988 = t1612 * t438;
  t9005 = t534 * t2411 * t1674 / 0.16e2;
  t9009 = t534 * t717 * t438 * t445 / 0.16e2;
  t9010 = t540 * t1636;
  t9015 = t1655 * t2380 / 0.32e2;
  t9018 = t519 * t1293 * t2379 / 0.32e2;
  t9028 = t8984 + t534 * t2370 * t5211 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t2406 * t8988 - t534 * t712 * t438 * t1330 / 0.16e2 - 0.7e1 / 0.32e2 * t519 * t8900 - 0.3e1 / 0.32e2 * t519 * t8965 + 0.3e1 / 0.32e2 * t519 * t2406 * t5211 + t9005 - t9009 + t534 * t539 * t9010 / 0.8e1 - t9015 - t9018 - t534 * t545 * t6310 / 0.8e1 + 0.3e1 / 0.16e2 * t534 * t2386 * t5176 - t534 * t2386 * t5196 / 0.8e1;
  t9031 = t8685 / 0.16e2;
  t9032 = t8687 / 0.32e2;
  t9042 = t8707 / 0.16e2;
  t9044 = -t8681 / 0.16e2 + 0.3e1 / 0.32e2 * t8683 + t9031 - t9032 - t8689 / 0.8e1 + 0.3e1 / 0.16e2 * t8691 - 0.3e1 / 0.16e2 * t8693 + t8695 / 0.8e1 - t8697 / 0.8e1 - t8699 / 0.16e2 - 0.3e1 / 0.16e2 * t8701 - 0.3e1 / 0.32e2 * t8703 + 0.3e1 / 0.32e2 * t8705 + t9042 + t8710 / 0.4e1;
  t9047 = t8714 / 0.16e2;
  t9048 = t528 * t528;
  t9049 = t157 * t9048;
  t9078 = t1297 * t719 / 0.16e2;
  t9081 = t8712 / 0.8e1 - t9047 + t156 * t9049 * t452 / 0.8e1 - t156 * t9049 * t445 / 0.8e1 - t156 * t415 * t9048 * t424 / 0.16e2 + t156 * t9049 * t456 / 0.8e1 - t1297 * t723 / 0.16e2 + t1297 * t726 / 0.16e2 + t1297 * t729 / 0.16e2 - t1297 * t714 / 0.32e2 - t409 * t2438 / 0.16e2 - t156 * t5396 * t712 * t424 / 0.32e2 - t9078 - t8752 / 0.16e2 + t8766 / 0.16e2;
  t9085 = t8775 / 0.16e2;
  t9086 = t2377 / 0.8e1;
  t9087 = t2381 / 0.16e2;
  t9088 = t2396 / 0.8e1;
  t9089 = t2413 / 0.8e1;
  t9090 = t2441 / 0.8e1;
  t9091 = t2337 / 0.16e2;
  t9092 = t8768 / 0.16e2 - t8771 / 0.32e2 - t8773 / 0.32e2 - t9085 + t8571 + t8577 - t8583 - t8589 + t8565 + t9086 - t9087 - t9088 + t9089 - t9090 - t9091;
  t9096 = my_piecewise3(t51, 0, t8848 + t8893 + t8936 + t8980 + t9028 + t9044 + t9081 + t9092);
  tv4rho2sigma217 = t3 * t9096 + 0.2e1 * t2449;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 17] += tv4rho2sigma217;

  t9103 = t6567 * t4336;
  t9104 = t4277 * t183;
  t9105 = t9104 * t261;
  t9109 = t737 * t261;
  t9113 = t572 * t936;
  t9114 = t9113 * t9105;
  t9117 = t2485 * t9105;
  t9120 = t489 * t295;
  t9121 = t4277 * t199;
  t9122 = t9121 * t261;
  t9123 = t9120 * t9122;
  t9128 = t5717 * t4328;
  t9132 = t1419 * t2472;
  t9134 = t568 * t43;
  t9152 = t1502 * t2458;
  t9156 = -t699 - 0.25e2 / 0.16e2 * t484 * t737 * t934 * t8449 + 0.15e2 / 0.16e2 * t484 * t9103 * t9105 + 0.11e2 / 0.16e2 * t484 * t9109 * t4350 - 0.3e1 / 0.2e1 * t484 * t9114 + 0.9e1 / 0.8e1 * t484 * t9117 + 0.9e1 / 0.16e2 * t469 * t9123 + 0.11e2 / 0.16e2 * t469 * t9117 - 0.15e2 / 0.32e2 * t469 * t9128 * t9122 + 0.3e1 / 0.16e2 * t9132 + 0.3e1 / 0.8e1 * t484 * t9134 * t5566 - t1415 * t2452 / 0.8e1 - t484 * t2503 * t111 * t1036 / 0.8e1 - t484 * t2507 * t111 * t1036 / 0.8e1 - 0.11e2 / 0.16e2 * t484 * t1743 * t43 * t5670 - 0.3e1 / 0.32e2 * t9152 - 0.5e1 / 0.32e2 * t1506 * t2458;
  t9162 = t1419 * t2482;
  t9164 = t1419 * t2486;
  t9166 = t2455 * t8465;
  t9191 = t1419 * t2452;
  t9198 = t2466 * t478;
  t9206 = 0.5e1 / 0.32e2 * t1506 * t2478 - t484 * t9109 * t4319 / 0.16e2 + t9162 / 0.4e1 - 0.3e1 / 0.16e2 * t9164 - 0.3e1 / 0.8e1 * t484 * t9166 + t1415 * t2482 / 0.2e1 + t484 * t2503 * t263 * t2263 / 0.2e1 + t484 * t2507 * t263 * t2263 / 0.2e1 - 0.3e1 / 0.8e1 * t1415 * t2486 - 0.3e1 / 0.8e1 * t484 * t6496 * t951 * t2457 - 0.3e1 / 0.8e1 * t484 * t2485 * t8465 + 0.3e1 / 0.8e1 * t484 * t2461 * t9105 - t9191 / 0.16e2 + 0.3e1 / 0.8e1 * t484 * t9109 * t4391 + 0.11e2 / 0.16e2 * t484 * t9123 + 0.3e1 / 0.16e2 * t469 * t5810 * t9198 + 0.3e1 / 0.8e1 * t1415 * t2472 - 0.3e1 / 0.16e2 * t1496 * t2458;
  t9216 = t939 * t563;
  t9217 = t9216 * t183;
  t9225 = t5796 * t9217;
  t9237 = t1502 * t2468;
  t9242 = t1472 * t265;
  t9243 = t9121 * t183;
  t9253 = t1419 * t2458;
  t9255 = t1502 * t2478;
  t9257 = -t1415 * t2462 / 0.4e1 + 0.3e1 / 0.16e2 * t1496 * t2468 - t484 * t1723 * t113 * t2457 / 0.4e1 + 0.3e1 / 0.16e2 * t469 * t5810 * t9217 + 0.3e1 / 0.8e1 * t484 * t2503 * t43 * t2278 - 0.3e1 / 0.16e2 * t469 * t9225 - 0.3e1 / 0.16e2 * t469 * t9166 - 0.3e1 / 0.8e1 * t1415 * t2458 + 0.3e1 / 0.16e2 * t1496 * t2478 - t484 * t2461 * t8465 / 0.4e1 + 0.3e1 / 0.32e2 * t9237 - t484 * t2461 * t5792 / 0.8e1 - 0.11e2 / 0.32e2 * t469 * t9242 * t9243 - t484 * t737 * t283 * t1036 / 0.16e2 - 0.7e1 / 0.32e2 * t469 * t9114 - 0.3e1 / 0.16e2 * t9253 + 0.3e1 / 0.32e2 * t9255;
  t9277 = t9120 * t6741;
  t9288 = t1524 * t936;
  t9292 = t1419 * t2462;
  t9308 = 0.5e1 / 0.32e2 * t1506 * t2468 - 0.3e1 / 0.8e1 * t484 * t9225 + 0.3e1 / 0.16e2 * t469 * t5791 * t9217 + 0.3e1 / 0.16e2 * t469 * t5791 * t9198 + t484 * t2481 * t4236 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t2485 * t5792 + 0.3e1 / 0.16e2 * t484 * t2471 * t4264 - 0.3e1 / 0.32e2 * t469 * t9277 + 0.3e1 / 0.32e2 * t469 * t2477 * t6741 + 0.3e1 / 0.32e2 * t469 * t2465 * t6741 - 0.3e1 / 0.16e2 * t484 * t9277 - 0.9e1 / 0.16e2 * t469 * t9288 * t9243 - t9292 / 0.8e1 - t484 * t563 * t478 * t290 / 0.8e1 - t484 * t199 * t1444 * t290 / 0.16e2 + t5530 * t742 / 0.16e2 + t1415 * t2513 / 0.8e1 + t1415 * t2516 / 0.8e1;
  t9321 = t1419 * t2513;
  t9323 = t1419 * t2531;
  t9325 = t5513 * t738;
  t9350 = t1415 * t2531 / 0.8e1 + t484 * t1723 * t2289 / 0.8e1 + t484 * t576 * t8306 / 0.16e2 - t5530 * t738 / 0.16e2 + t9321 / 0.16e2 + t9323 / 0.16e2 - t9325 / 0.16e2 - t469 * t489 * t6670 / 0.32e2 - t5623 * t734 / 0.32e2 - t5626 * t734 / 0.16e2 - t1496 * t2528 / 0.16e2 - t1496 * t2489 / 0.16e2 - t5710 * t734 / 0.32e2 - t1506 * t2528 / 0.16e2 - t1506 * t2489 / 0.16e2 - t469 * t5578 * t558 / 0.32e2 - t469 * t1451 * t1793 / 0.16e2;
  t9376 = t5519 * t738 / 0.64e2;
  t9378 = t5519 * t746 / 0.64e2;
  t9380 = t5698 * t734 / 0.128e3;
  t9382 = t5519 * t742 / 0.64e2;
  t9383 = t5618 * t734;
  t9385 = t5702 * t734;
  t9387 = t1502 * t2528;
  t9389 = t1502 * t2489;
  t9391 = t1419 * t2516;
  t9393 = t484 * t6466 * t741 / 0.16e2 + t484 * t1739 * t2282 / 0.8e1 + t484 * t572 * t8327 / 0.16e2 + t5530 * t746 / 0.16e2 + t1415 * t2521 / 0.8e1 + t484 * t6676 * t745 / 0.16e2 - t1415 * t2504 / 0.8e1 - t1415 * t2508 / 0.8e1 - t484 * t1804 * t183 * t290 / 0.16e2 + t9376 - t9378 + t9380 - t9382 - t9383 / 0.32e2 - t9385 / 0.32e2 - t9387 / 0.32e2 - t9389 / 0.32e2 + t9391 / 0.16e2;
  t9395 = t5513 * t746;
  t9397 = t1419 * t2521;
  t9399 = t1419 * t2504;
  t9401 = t1419 * t2508;
  t9403 = t5513 * t742;
  t9405 = t9395 / 0.16e2 + t9397 / 0.16e2 - t9399 / 0.16e2 - t9401 / 0.16e2 + t9403 / 0.16e2 - t8244 - t8250 + t8252 - t8260 + t8274 + t8277 - t8352 - t8354 + t8358 + t8364 + t8384 - t8386 + t8391;
  t9406 = t8394 + t8398 - t8400 - t8402 - t8413 + t8421 - t8430 - t8433 - t8456 - t8522 - t8533 + t8537 + t8547 - t8548 - t8549 + t8550 - t8551 - t8552;
  t9410 = my_piecewise3(t2, 0, t9156 + t9206 + t9257 + t9308 + t9350 + t9393 + t9405 + t9406);
  tv4rho2sigmalapl0 = t3 * t9410 + 0.2e1 * t2536;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 0] += tv4rho2sigmalapl0;

  tv4rho2sigmalapl1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 1] += tv4rho2sigmalapl1;

  tv4rho2sigmalapl2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 2] += tv4rho2sigmalapl2;

  tv4rho2sigmalapl3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 3] += tv4rho2sigmalapl3;

  tv4rho2sigmalapl4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 4] += tv4rho2sigmalapl4;

  t9415 = t5962 * t751;
  t9418 = t5966 * t751 / 0.128e3;
  t9421 = t5951 * t755;
  t9424 = t5948 * t755 / 0.64e2;
  t9427 = t5951 * t759;
  t9430 = t5948 * t759 / 0.64e2;
  t9433 = t5951 * t763;
  t9436 = t5948 * t763 / 0.64e2;
  t9437 = -t5977 * t751 / 0.32e2 - t9415 / 0.32e2 + t9418 - t8567 - t8569 + t8571 - t5969 * t755 / 0.16e2 - t9421 / 0.16e2 + t9424 + t5969 * t759 / 0.16e2 + t9427 / 0.16e2 - t9430 + t5969 * t763 / 0.16e2 + t9433 / 0.16e2 - t9436;
  t9438 = my_piecewise3(t51, 0, t9437);
  tv4rho2sigmalapl5 = t3 * t9438 + 0.2e1 * t2555;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 5] += tv4rho2sigmalapl5;

  t9465 = 0.3e1 / 0.32e2 * t1548 * t2478 + t1553 * t2482 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t2486 - 0.3e1 / 0.32e2 * t1548 * t2458 - t1553 * t2452 / 0.16e2 - 0.3e1 / 0.16e2 * t1553 * t2458 - t1553 * t2462 / 0.8e1 + 0.3e1 / 0.32e2 * t1548 * t2468 + 0.3e1 / 0.16e2 * t1553 * t2472 + 0.3e1 / 0.32e2 * t9132 - 0.3e1 / 0.64e2 * t9152 + t9162 / 0.8e1 - 0.3e1 / 0.32e2 * t9164 - t9191 / 0.32e2 + 0.3e1 / 0.64e2 * t9237 - 0.3e1 / 0.32e2 * t9253;
  t9494 = t5844 * t742;
  t9496 = t5844 * t746;
  t9498 = 0.3e1 / 0.64e2 * t9255 - t9292 / 0.16e2 + t5841 * t746 / 0.16e2 - t5841 * t738 / 0.16e2 - t1553 * t2504 / 0.16e2 - t1553 * t2508 / 0.16e2 - t5865 * t734 / 0.32e2 - t5890 * t734 / 0.32e2 - t1548 * t2528 / 0.32e2 - t1548 * t2489 / 0.32e2 + t1553 * t2521 / 0.16e2 + t1553 * t2531 / 0.16e2 + t5841 * t742 / 0.16e2 + t1553 * t2513 / 0.16e2 + t1553 * t2516 / 0.16e2 + t9494 / 0.32e2 + t9496 / 0.32e2;
  t9500 = t5887 * t734;
  t9502 = t5844 * t738;
  t9514 = -t9500 / 0.64e2 - t9502 / 0.32e2 + t9321 / 0.32e2 + t9323 / 0.32e2 - t9325 / 0.32e2 + t9376 - t9378 + t9380 - t9382 - t9383 / 0.64e2 - t9385 / 0.64e2 - t9387 / 0.64e2 - t9389 / 0.64e2 + t9391 / 0.32e2 + t9395 / 0.32e2 + t9397 / 0.32e2;
  t9518 = -t9399 / 0.32e2 - t9401 / 0.32e2 + t9403 / 0.32e2 - t8600 + t8604 + t8608 - t8610 - t8629 + t8633 + t8643 - t8644 - t8658 - t8669 - t8675 + t8537 - t2357 - t2314;
  t9521 = my_piecewise3(t2, 0, t9465 + t9498 + t9514 + t9518);
  tv4rho2sigmalapl6 = t3 * t9521 + t2536 + t2566;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 6] += tv4rho2sigmalapl6;

  tv4rho2sigmalapl7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 7] += tv4rho2sigmalapl7;

  tv4rho2sigmalapl8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 8] += tv4rho2sigmalapl8;

  tv4rho2sigmalapl9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 9] += tv4rho2sigmalapl9;

  tv4rho2sigmalapl10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 10] += tv4rho2sigmalapl10;

  t9523 = t1578 * t2581;
  t9525 = t1578 * t2585;
  t9527 = t1589 * t2603;
  t9529 = t1589 * t2569;
  t9531 = t1589 * t2575;
  t9533 = t1589 * t2589;
  t9535 = t1589 * t2581;
  t9537 = t1589 * t2595;
  t9539 = t1578 * t2599;
  t9555 = -0.3e1 / 0.64e2 * t9523 + 0.3e1 / 0.64e2 * t9525 + 0.3e1 / 0.32e2 * t9527 + t9529 / 0.8e1 - 0.3e1 / 0.32e2 * t9531 - t9533 / 0.32e2 - 0.3e1 / 0.32e2 * t9535 - t9537 / 0.16e2 + 0.3e1 / 0.64e2 * t9539 + 0.3e1 / 0.32e2 * t1574 * t2585 + t1585 * t2569 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t2575 + 0.3e1 / 0.32e2 * t1574 * t2599 + 0.3e1 / 0.16e2 * t1585 * t2603 - t1585 * t2589 / 0.16e2 - 0.3e1 / 0.16e2 * t1585 * t2581;
  t9560 = t1589 * t2622;
  t9562 = t6026 * t759;
  t9564 = t1589 * t2640;
  t9566 = t1589 * t2606;
  t9568 = t1578 * t2609;
  t9590 = -t1585 * t2595 / 0.8e1 - 0.3e1 / 0.32e2 * t1574 * t2581 - t9560 / 0.32e2 + t9562 / 0.32e2 + t9564 / 0.32e2 + t9566 / 0.32e2 - t9568 / 0.64e2 - t6067 * t751 / 0.32e2 + t1585 * t2631 / 0.16e2 + t6060 * t763 / 0.16e2 - t6064 * t751 / 0.32e2 - t1585 * t2618 / 0.16e2 - t1585 * t2622 / 0.16e2 + t6060 * t759 / 0.16e2 + t1585 * t2628 / 0.16e2 + t1585 * t2606 / 0.16e2 - t1574 * t2609 / 0.32e2;
  t9598 = t1589 * t2628;
  t9600 = t1589 * t2631;
  t9602 = t6026 * t763;
  t9604 = t6037 * t751;
  t9606 = t6043 * t751;
  t9608 = t1578 * t2612;
  t9610 = t6026 * t755;
  t9612 = t1589 * t2618;
  t9617 = -t1574 * t2612 / 0.32e2 - t6060 * t755 / 0.16e2 + t1585 * t2640 / 0.16e2 + t9598 / 0.32e2 + t9600 / 0.32e2 + t9602 / 0.32e2 - t9604 / 0.64e2 - t9606 / 0.64e2 - t9608 / 0.64e2 - t9610 / 0.32e2 - t9612 / 0.32e2 - t9415 / 0.64e2 + t9418 - t9421 / 0.32e2 + t9424 + t9427 / 0.32e2;
  t9619 = -t9430 + t9433 / 0.32e2 - t9436 + t8686 - t8688 + t8708 - t8715 + t8727 - t8729 - t8743 + t8751 - t8757 - t8776 + t8571 - t8781 - t2336 - t2338;
  t9622 = my_piecewise3(t51, 0, t9555 + t9590 + t9617 + t9619);
  tv4rho2sigmalapl11 = t3 * t9622 + t2555 + t2645;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 11] += tv4rho2sigmalapl11;

  t9637 = -t6002 * t734 / 0.32e2 - t9500 / 0.32e2 + t9380 - t8792 - t8793 + t8537 - t6007 * t738 / 0.16e2 - t9502 / 0.16e2 + t9376 + t6007 * t742 / 0.16e2 + t9494 / 0.16e2 - t9382 + t6007 * t746 / 0.16e2 + t9496 / 0.16e2 - t9378;
  t9638 = my_piecewise3(t2, 0, t9637);
  tv4rho2sigmalapl12 = t3 * t9638 + 0.2e1 * t2566;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 12] += tv4rho2sigmalapl12;

  tv4rho2sigmalapl13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 13] += tv4rho2sigmalapl13;

  tv4rho2sigmalapl14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 14] += tv4rho2sigmalapl14;

  tv4rho2sigmalapl15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 15] += tv4rho2sigmalapl15;

  tv4rho2sigmalapl16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 16] += tv4rho2sigmalapl16;

  t9641 = t5232 * t191;
  t9642 = t9641 * t416;
  t9643 = t2572 * t9642;
  t9646 = t5232 * t207;
  t9647 = t9646 * t416;
  t9648 = t2578 * t9647;
  t9655 = t7129 * t5229;
  t9663 = t607 * t75;
  t9677 = t754 * t416;
  t9681 = t611 * t1341;
  t9682 = t9681 * t9642;
  t9699 = -t721 + 0.9e1 / 0.8e1 * t534 * t9643 + 0.9e1 / 0.16e2 * t519 * t9648 - 0.25e2 / 0.16e2 * t534 * t754 * t1339 * t8889 + 0.15e2 / 0.16e2 * t534 * t9655 * t9642 + 0.3e1 / 0.8e1 * t534 * t1932 * t75 * t1707 + 0.3e1 / 0.8e1 * t534 * t9663 * t6278 - t1678 * t2589 / 0.8e1 - t534 * t2617 * t168 * t1330 / 0.8e1 - t534 * t2621 * t168 * t1330 / 0.8e1 + 0.11e2 / 0.16e2 * t534 * t9677 * t5248 - 0.3e1 / 0.2e1 * t534 * t9682 - 0.3e1 / 0.8e1 * t534 * t2572 * t8808 - 0.5e1 / 0.32e2 * t1655 * t2581 + 0.5e1 / 0.32e2 * t1655 * t2585 - t534 * t9677 * t5243 / 0.16e2 - 0.11e2 / 0.16e2 * t534 * t1892 * t75 * t6357;
  t9700 = t1888 * t450;
  t9701 = t9700 * t2574;
  t9704 = t3108 * t8808;
  t9715 = t1329 * t602;
  t9716 = t9715 * t168;
  t9752 = t9715 * t191;
  t9756 = -0.3e1 / 0.8e1 * t534 * t9701 - 0.3e1 / 0.8e1 * t534 * t9704 - 0.3e1 / 0.16e2 * t519 * t9704 + 0.3e1 / 0.16e2 * t519 * t6199 * t1341 * t2580 - 0.3e1 / 0.16e2 * t519 * t9701 + 0.3e1 / 0.16e2 * t519 * t2584 * t9716 + t1678 * t2569 / 0.2e1 + t534 * t2617 * t418 * t2407 / 0.2e1 + t534 * t2621 * t418 * t2407 / 0.2e1 - 0.3e1 / 0.8e1 * t1678 * t2575 - 0.3e1 / 0.8e1 * t534 * t7140 * t1353 * t2574 + 0.11e2 / 0.16e2 * t534 * t9648 + 0.3e1 / 0.8e1 * t534 * t2594 * t9642 + 0.3e1 / 0.8e1 * t534 * t9677 * t5339 + 0.3e1 / 0.8e1 * t1678 * t2603 - 0.3e1 / 0.16e2 * t1681 * t2581 - t534 * t1924 * t170 * t2574 / 0.4e1 + 0.3e1 / 0.16e2 * t519 * t6446 * t9752;
  t9769 = t3108 * t6447;
  t9772 = t1623 * t1341;
  t9773 = t9646 * t191;
  t9780 = t1617 * t420;
  t9806 = t534 * t2568 * t5211 / 0.4e1 + 0.11e2 / 0.16e2 * t519 * t9643 - 0.3e1 / 0.16e2 * t534 * t2572 * t6447 + 0.3e1 / 0.16e2 * t534 * t2602 * t5176 - 0.3e1 / 0.16e2 * t534 * t9769 - 0.9e1 / 0.16e2 * t519 * t9772 * t9773 - t534 * t2594 * t6447 / 0.8e1 - 0.11e2 / 0.32e2 * t519 * t9780 * t9773 + 0.3e1 / 0.32e2 * t519 * t2598 * t7306 - t534 * t754 * t438 * t1330 / 0.16e2 - 0.7e1 / 0.32e2 * t519 * t9682 + 0.5e1 / 0.32e2 * t1655 * t2599 - t1678 * t2595 / 0.4e1 + 0.3e1 / 0.16e2 * t1681 * t2599 - 0.3e1 / 0.8e1 * t1678 * t2581 + 0.3e1 / 0.16e2 * t1681 * t2585 - t534 * t2594 * t8808 / 0.4e1;
  t9807 = t2579 * t528;
  t9812 = t416 * t5227 * t5258;
  t9842 = 0.3e1 / 0.16e2 * t519 * t6446 * t9807 - 0.15e2 / 0.32e2 * t519 * t9812 * t9773 - 0.3e1 / 0.32e2 * t519 * t9769 + 0.3e1 / 0.32e2 * t519 * t2584 * t7306 - 0.3e1 / 0.32e2 * t9523 + 0.3e1 / 0.32e2 * t9525 + 0.3e1 / 0.16e2 * t9527 + t9529 / 0.4e1 - 0.3e1 / 0.16e2 * t9531 - t9533 / 0.16e2 - 0.3e1 / 0.16e2 * t9535 - t9537 / 0.8e1 + 0.3e1 / 0.32e2 * t9539 - t1678 * t2622 / 0.8e1 + t1678 * t2640 / 0.8e1 + t534 * t7216 * t762 / 0.16e2 + t534 * t1924 * t2425 / 0.8e1 + t1678 * t2606 / 0.8e1;
  t9890 = -t6342 * t751 / 0.16e2 - t6346 * t751 / 0.32e2 - t534 * t1953 * t191 * t445 / 0.16e2 - t534 * t602 * t528 * t445 / 0.8e1 - t534 * t207 * t1636 * t445 / 0.16e2 + t6176 * t759 / 0.16e2 + t1678 * t2628 / 0.8e1 + t1678 * t2631 / 0.8e1 + t534 * t7093 * t758 / 0.16e2 + t534 * t1888 * t2390 / 0.8e1 + t534 * t615 * t8972 / 0.16e2 - t1681 * t2609 / 0.16e2 - t1655 * t2609 / 0.16e2 - t519 * t6172 * t597 / 0.32e2 - t519 * t1692 * t1920 / 0.16e2 - t1681 * t2612 / 0.16e2 - t1655 * t2612 / 0.16e2;
  t9917 = -t519 * t539 * t7239 / 0.32e2 - t6176 * t755 / 0.16e2 - t1678 * t2618 / 0.8e1 + t534 * t611 * t9010 / 0.16e2 + t6176 * t763 / 0.16e2 - t6299 * t751 / 0.32e2 - t9560 / 0.16e2 + t9562 / 0.16e2 + t9564 / 0.16e2 + t9566 / 0.16e2 - t9568 / 0.32e2 + t9598 / 0.16e2 + t9600 / 0.16e2 + t9602 / 0.16e2 - t9604 / 0.32e2 - t9606 / 0.32e2 - t9608 / 0.32e2 - t9610 / 0.16e2;
  t9920 = -t9612 / 0.16e2 + t9418 + t9424 - t9430 - t9436 - t8839 + t8852 + t8862 + t8878 + t8881 - t8898 - t8911 - t8913 - t8919 - t8927 - t8942 + t8957 + t8961;
  t9921 = t8984 + t9005 - t9009 - t9015 - t9018 + t9031 - t9032 + t9042 - t9047 - t9078 - t9085 + t8571 + t9086 - t9087 - t9088 + t9089 - t9090 - t9091;
  t9925 = my_piecewise3(t51, 0, t9699 + t9756 + t9806 + t9842 + t9890 + t9917 + t9920 + t9921);
  tv4rho2sigmalapl17 = t3 * t9925 + 0.2e1 * t2645;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 17] += tv4rho2sigmalapl17;

  t9928 = t4277 * t213;
  t9929 = t9928 * t261;
  t9930 = t5784 * t9929;
  t9940 = t7459 * t4336;
  t9944 = t771 * t261;
  t9948 = t2673 * t8369;
  t9968 = t7380 * t951;
  t9979 = t2663 * t478;
  t9980 = t5796 * t9979;
  t9983 = -t699 + 0.11e2 / 0.16e2 * t469 * t9930 - 0.15e2 / 0.32e2 * t469 * t9128 * t9929 - 0.25e2 / 0.16e2 * t484 * t771 * t934 * t8449 + 0.15e2 / 0.16e2 * t484 * t9940 * t9105 + 0.11e2 / 0.16e2 * t484 * t9944 * t4350 - 0.3e1 / 0.2e1 * t484 * t9948 + 0.9e1 / 0.8e1 * t484 * t9930 - t484 * t9944 * t4319 / 0.16e2 + t1415 * t2674 / 0.2e1 + t484 * t2700 * t263 * t2263 / 0.2e1 + t484 * t2704 * t263 * t2263 / 0.2e1 - 0.3e1 / 0.8e1 * t1415 * t2678 - 0.3e1 / 0.8e1 * t484 * t9968 * t2457 - 0.3e1 / 0.8e1 * t484 * t2677 * t8465 + 0.3e1 / 0.8e1 * t484 * t2704 * t43 * t2278 - 0.3e1 / 0.16e2 * t469 * t9980;
  t9993 = t2655 * t9105;
  t9996 = t1419 * t2648;
  t9998 = t1419 * t2674;
  t10000 = t1419 * t2678;
  t10010 = t2019 * t295;
  t10011 = t10010 * t2457;
  t10014 = t939 * t631;
  t10015 = t10014 * t183;
  t10030 = 0.3e1 / 0.8e1 * t484 * t2659 * t9105 + 0.3e1 / 0.8e1 * t484 * t9944 * t4391 - 0.11e2 / 0.16e2 * t484 * t2651 * t8445 + 0.11e2 / 0.16e2 * t484 * t9993 - t9996 / 0.16e2 + t9998 / 0.4e1 - 0.3e1 / 0.16e2 * t10000 - 0.5e1 / 0.32e2 * t1506 * t2656 + 0.5e1 / 0.32e2 * t1506 * t2670 - 0.3e1 / 0.8e1 * t1415 * t2656 + 0.3e1 / 0.16e2 * t1496 * t2670 - 0.3e1 / 0.8e1 * t484 * t10011 + 0.3e1 / 0.16e2 * t469 * t5791 * t10015 - 0.3e1 / 0.8e1 * t484 * t9980 + 0.3e1 / 0.16e2 * t469 * t5791 * t9979 - t1415 * t2660 / 0.4e1 + 0.3e1 / 0.8e1 * t1415 * t2652 - 0.3e1 / 0.16e2 * t1496 * t2656;
  t10040 = t2062 * t113;
  t10063 = t1419 * t2656;
  t10065 = t1502 * t2670;
  t10067 = t2655 * t5792;
  t10070 = t9928 * t183;
  t10074 = t1419 * t2660;
  t10076 = t1502 * t2665;
  t10078 = t1419 * t2652;
  t10080 = 0.3e1 / 0.8e1 * t484 * t2700 * t43 * t2278 - 0.3e1 / 0.16e2 * t469 * t10011 + 0.3e1 / 0.16e2 * t1496 * t2665 - t484 * t10040 * t2457 / 0.4e1 + 0.3e1 / 0.16e2 * t469 * t5810 * t10015 - t484 * t2659 * t8465 / 0.4e1 + 0.3e1 / 0.16e2 * t469 * t5810 * t9979 - t1415 * t2648 / 0.8e1 - t484 * t2700 * t111 * t1036 / 0.8e1 - t484 * t2704 * t111 * t1036 / 0.8e1 - 0.3e1 / 0.16e2 * t10063 + 0.3e1 / 0.32e2 * t10065 - 0.3e1 / 0.16e2 * t484 * t10067 - 0.9e1 / 0.16e2 * t469 * t9288 * t10070 - t10074 / 0.8e1 + 0.3e1 / 0.32e2 * t10076 + 0.3e1 / 0.16e2 * t10078;
  t10081 = t1502 * t2656;
  t10132 = -0.3e1 / 0.32e2 * t10081 + 0.3e1 / 0.16e2 * t484 * t2651 * t4264 + 0.9e1 / 0.16e2 * t469 * t9993 - t484 * t771 * t283 * t1036 / 0.16e2 - 0.7e1 / 0.32e2 * t469 * t9948 + 0.5e1 / 0.32e2 * t1506 * t2665 - 0.3e1 / 0.16e2 * t484 * t2677 * t5792 - 0.3e1 / 0.32e2 * t469 * t10067 + 0.3e1 / 0.32e2 * t469 * t2477 * t7610 + t484 * t2673 * t4236 / 0.4e1 - t484 * t2659 * t5792 / 0.8e1 - 0.11e2 / 0.32e2 * t469 * t9242 * t10070 + 0.3e1 / 0.32e2 * t469 * t2465 * t7610 - t484 * t2050 * t183 * t290 / 0.16e2 - t484 * t631 * t478 * t290 / 0.8e1 - t484 * t213 * t1444 * t290 / 0.16e2 + t5530 * t775 / 0.16e2 + t1415 * t2710 / 0.8e1;
  t10139 = t1419 * t2710;
  t10141 = t1419 * t2713;
  t10143 = t5513 * t778;
  t10145 = t5513 * t772;
  t10147 = t1419 * t2701;
  t10149 = t1419 * t2705;
  t10151 = t5513 * t775;
  t10173 = t1415 * t2713 / 0.8e1 - t5530 * t772 / 0.16e2 + t10139 / 0.16e2 + t10141 / 0.16e2 + t10143 / 0.16e2 - t10145 / 0.16e2 - t10147 / 0.16e2 - t10149 / 0.16e2 + t10151 / 0.16e2 - t469 * t1451 * t2058 / 0.16e2 - t469 * t489 * t7482 / 0.32e2 + t484 * t2062 * t2289 / 0.8e1 + t484 * t644 * t8306 / 0.16e2 - t5623 * t768 / 0.32e2 - t5626 * t768 / 0.16e2 - t1496 * t2683 / 0.16e2 - t1496 * t2686 / 0.16e2;
  t10203 = t5698 * t768 / 0.128e3;
  t10205 = t5519 * t778 / 0.64e2;
  t10207 = t5519 * t772 / 0.64e2;
  t10209 = t5519 * t775 / 0.64e2;
  t10210 = t1502 * t2683;
  t10212 = t1502 * t2686;
  t10214 = -t5710 * t768 / 0.32e2 - t1506 * t2683 / 0.16e2 - t1506 * t2686 / 0.16e2 + t484 * t7350 * t741 / 0.16e2 + t484 * t2019 * t2282 / 0.8e1 + t484 * t640 * t8327 / 0.16e2 + t5530 * t778 / 0.16e2 + t1415 * t2718 / 0.8e1 + t1415 * t2721 / 0.8e1 + t484 * t7488 * t745 / 0.16e2 - t1415 * t2701 / 0.8e1 - t1415 * t2705 / 0.8e1 + t10203 - t10205 + t10207 - t10209 - t10210 / 0.32e2 - t10212 / 0.32e2;
  t10216 = t1419 * t2718;
  t10218 = t1419 * t2721;
  t10220 = t5618 * t768;
  t10222 = t5702 * t768;
  t10227 = t10216 / 0.16e2 + t10218 / 0.16e2 - t10220 / 0.32e2 - t10222 / 0.32e2 - t469 * t5578 * t626 / 0.32e2 - t8244 - t8250 + t8252 - t8260 + t8274 + t8277 - t8352 - t8354 + t8358 + t8364 + t8384 - t8386 + t8391;
  t10231 = my_piecewise3(t2, 0, t9983 + t10030 + t10080 + t10132 + t10173 + t10214 + t10227 + t9406);
  tv4rho2sigmatau0 = t3 * t10231 + 0.2e1 * t2728;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 0] += tv4rho2sigmatau0;

  tv4rho2sigmatau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 1] += tv4rho2sigmatau1;

  tv4rho2sigmatau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 2] += tv4rho2sigmatau2;

  tv4rho2sigmatau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 3] += tv4rho2sigmatau3;

  tv4rho2sigmatau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 4] += tv4rho2sigmatau4;

  t10236 = t5962 * t783;
  t10239 = t5966 * t783 / 0.128e3;
  t10242 = t5951 * t787;
  t10245 = t5948 * t787 / 0.64e2;
  t10248 = t5951 * t790;
  t10251 = t5948 * t790 / 0.64e2;
  t10254 = t5951 * t793;
  t10257 = t5948 * t793 / 0.64e2;
  t10258 = -t5977 * t783 / 0.32e2 - t10236 / 0.32e2 + t10239 - t8567 - t8569 + t8571 - t5969 * t787 / 0.16e2 - t10242 / 0.16e2 + t10245 + t5969 * t790 / 0.16e2 + t10248 / 0.16e2 - t10251 + t5969 * t793 / 0.16e2 + t10254 / 0.16e2 - t10257;
  t10259 = my_piecewise3(t51, 0, t10258);
  tv4rho2sigmatau5 = t3 * t10259 + 0.2e1 * t2747;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 5] += tv4rho2sigmatau5;

  t10286 = -0.3e1 / 0.32e2 * t1548 * t2656 + 0.3e1 / 0.32e2 * t1548 * t2670 + t1553 * t2674 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t2678 - t1553 * t2648 / 0.16e2 - t1553 * t2660 / 0.8e1 + 0.3e1 / 0.16e2 * t1553 * t2652 - 0.3e1 / 0.16e2 * t1553 * t2656 + 0.3e1 / 0.32e2 * t1548 * t2665 - t9996 / 0.32e2 + t9998 / 0.8e1 - 0.3e1 / 0.32e2 * t10000 - 0.3e1 / 0.32e2 * t10063 + 0.3e1 / 0.64e2 * t10065 - t10074 / 0.16e2 + 0.3e1 / 0.64e2 * t10076;
  t10307 = t5844 * t778;
  t10309 = t5844 * t772;
  t10311 = t5844 * t775;
  t10313 = t5887 * t768;
  t10319 = 0.3e1 / 0.32e2 * t10078 - 0.3e1 / 0.64e2 * t10081 + t1553 * t2710 / 0.16e2 + t1553 * t2713 / 0.16e2 - t5865 * t768 / 0.32e2 - t5890 * t768 / 0.32e2 - t1548 * t2683 / 0.32e2 - t1548 * t2686 / 0.32e2 + t5841 * t778 / 0.16e2 + t1553 * t2718 / 0.16e2 + t1553 * t2721 / 0.16e2 + t10307 / 0.32e2 - t10309 / 0.32e2 + t10311 / 0.32e2 - t10313 / 0.64e2 - t5841 * t772 / 0.16e2 - t1553 * t2701 / 0.16e2;
  t10335 = -t1553 * t2705 / 0.16e2 + t5841 * t775 / 0.16e2 + t10139 / 0.32e2 + t10141 / 0.32e2 + t10143 / 0.32e2 - t10145 / 0.32e2 - t10147 / 0.32e2 - t10149 / 0.32e2 + t10151 / 0.32e2 + t10203 - t10205 + t10207 - t10209 - t10210 / 0.64e2 - t10212 / 0.64e2 + t10216 / 0.32e2;
  t10339 = t10218 / 0.32e2 - t10220 / 0.64e2 - t10222 / 0.64e2 - t8600 + t8604 + t8608 - t8610 - t8629 + t8633 + t8643 - t8644 - t8658 - t8669 - t8675 + t8537 - t2357 - t2314;
  t10342 = my_piecewise3(t2, 0, t10286 + t10319 + t10335 + t10339);
  tv4rho2sigmatau6 = t3 * t10342 + t2728 + t2758;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 6] += tv4rho2sigmatau6;

  tv4rho2sigmatau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 7] += tv4rho2sigmatau7;

  tv4rho2sigmatau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 8] += tv4rho2sigmatau8;

  tv4rho2sigmatau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 9] += tv4rho2sigmatau9;

  tv4rho2sigmatau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 10] += tv4rho2sigmatau10;

  t10344 = t1589 * t2777;
  t10346 = t1589 * t2790;
  t10366 = t1589 * t2770;
  t10368 = t1589 * t2774;
  t10370 = t1578 * t2777;
  t10372 = t1578 * t2780;
  t10374 = t1589 * t2784;
  t10376 = -0.3e1 / 0.32e2 * t10344 - t10346 / 0.16e2 - 0.3e1 / 0.16e2 * t1585 * t2777 - t1585 * t2790 / 0.8e1 + 0.3e1 / 0.32e2 * t1574 * t2762 + 0.3e1 / 0.16e2 * t1585 * t2766 - t1585 * t2784 / 0.16e2 + 0.3e1 / 0.32e2 * t1574 * t2780 + t1585 * t2770 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t2774 - 0.3e1 / 0.32e2 * t1574 * t2777 + t10366 / 0.8e1 - 0.3e1 / 0.32e2 * t10368 - 0.3e1 / 0.64e2 * t10370 + 0.3e1 / 0.64e2 * t10372 - t10374 / 0.32e2;
  t10377 = t1578 * t2762;
  t10379 = t1589 * t2766;
  t10381 = t6043 * t783;
  t10383 = t1578 * t2803;
  t10385 = t1589 * t2817;
  t10387 = t6026 * t790;
  t10389 = t1589 * t2822;
  t10391 = t1589 * t2825;
  t10393 = t6026 * t793;
  t10395 = t6026 * t787;
  t10397 = t1589 * t2813;
  t10411 = 0.3e1 / 0.64e2 * t10377 + 0.3e1 / 0.32e2 * t10379 - t10381 / 0.64e2 - t10383 / 0.64e2 - t10385 / 0.32e2 + t10387 / 0.32e2 + t10389 / 0.32e2 + t10391 / 0.32e2 + t10393 / 0.32e2 - t10395 / 0.32e2 - t10397 / 0.32e2 - t1574 * t2806 / 0.32e2 + t1585 * t2796 / 0.16e2 - t6064 * t783 / 0.32e2 - t6067 * t783 / 0.32e2 - t1574 * t2803 / 0.32e2 + t1585 * t2822 / 0.16e2;
  t10427 = t1578 * t2806;
  t10429 = t1589 * t2793;
  t10431 = t1589 * t2796;
  t10433 = t6037 * t783;
  t10438 = t1585 * t2825 / 0.16e2 + t6060 * t793 / 0.16e2 + t1585 * t2793 / 0.16e2 - t1585 * t2813 / 0.16e2 - t1585 * t2817 / 0.16e2 + t6060 * t790 / 0.16e2 - t6060 * t787 / 0.16e2 - t10427 / 0.64e2 + t10429 / 0.32e2 + t10431 / 0.32e2 - t10433 / 0.64e2 - t10236 / 0.64e2 + t10239 - t10242 / 0.32e2 + t10245 + t10248 / 0.32e2;
  t10440 = -t10251 + t10254 / 0.32e2 - t10257 + t8686 - t8688 + t8708 - t8715 + t8727 - t8729 - t8743 + t8751 - t8757 - t8776 + t8571 - t8781 - t2336 - t2338;
  t10443 = my_piecewise3(t51, 0, t10376 + t10411 + t10438 + t10440);
  tv4rho2sigmatau11 = t3 * t10443 + t2747 + t2832;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 11] += tv4rho2sigmatau11;

  t10458 = -t6002 * t768 / 0.32e2 - t10313 / 0.32e2 + t10203 - t8792 - t8793 + t8537 - t6007 * t772 / 0.16e2 - t10309 / 0.16e2 + t10207 + t6007 * t775 / 0.16e2 + t10311 / 0.16e2 - t10209 + t6007 * t778 / 0.16e2 + t10307 / 0.16e2 - t10205;
  t10459 = my_piecewise3(t2, 0, t10458);
  tv4rho2sigmatau12 = t3 * t10459 + 0.2e1 * t2758;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 12] += tv4rho2sigmatau12;

  tv4rho2sigmatau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 13] += tv4rho2sigmatau13;

  tv4rho2sigmatau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 14] += tv4rho2sigmatau14;

  tv4rho2sigmatau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 15] += tv4rho2sigmatau15;

  tv4rho2sigmatau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 16] += tv4rho2sigmatau16;

  t10466 = t8165 * t5229;
  t10470 = t786 * t416;
  t10474 = t5232 * t219;
  t10475 = t10474 * t416;
  t10476 = t2578 * t10475;
  t10479 = t679 * t1341;
  t10480 = t10479 * t9642;
  t10483 = t2773 * t9642;
  t10509 = t8090 * t1353;
  t10516 = -t721 - 0.25e2 / 0.16e2 * t534 * t786 * t1339 * t8889 + 0.15e2 / 0.16e2 * t534 * t10466 * t9642 + 0.11e2 / 0.16e2 * t534 * t10470 * t5248 + 0.9e1 / 0.16e2 * t519 * t10476 - 0.3e1 / 0.2e1 * t534 * t10480 + 0.9e1 / 0.8e1 * t534 * t10483 - 0.5e1 / 0.32e2 * t1655 * t2777 + 0.5e1 / 0.32e2 * t1655 * t2780 - t534 * t10470 * t5243 / 0.16e2 - 0.11e2 / 0.16e2 * t534 * t2154 * t75 * t6357 + t1678 * t2770 / 0.2e1 + t534 * t2812 * t418 * t2407 / 0.2e1 + t534 * t2816 * t418 * t2407 / 0.2e1 - 0.3e1 / 0.8e1 * t1678 * t2774 - 0.3e1 / 0.8e1 * t534 * t10509 * t2574 - 0.3e1 / 0.8e1 * t534 * t2773 * t8808;
  t10527 = t1329 * t670;
  t10528 = t10527 * t191;
  t10529 = t7305 * t10528;
  t10536 = t2760 * t528;
  t10537 = t7305 * t10536;
  t10546 = t3781 * t6447;
  t10549 = t10474 * t191;
  t10555 = t2198 * t170;
  t10573 = -t1678 * t2784 / 0.8e1 - t534 * t2812 * t168 * t1330 / 0.8e1 - t534 * t2816 * t168 * t1330 / 0.8e1 - 0.3e1 / 0.16e2 * t519 * t10529 + 0.3e1 / 0.8e1 * t534 * t2816 * t75 * t2371 - 0.3e1 / 0.16e2 * t519 * t10537 - 0.3e1 / 0.8e1 * t1678 * t2777 - 0.3e1 / 0.8e1 * t534 * t10529 - 0.3e1 / 0.8e1 * t534 * t10537 - 0.3e1 / 0.16e2 * t534 * t10546 - 0.9e1 / 0.16e2 * t519 * t9772 * t10549 - t1678 * t2790 / 0.4e1 - t534 * t10555 * t2574 / 0.4e1 - t534 * t2789 * t8808 / 0.4e1 - t534 * t2789 * t6447 / 0.8e1 + 0.3e1 / 0.8e1 * t534 * t10470 * t5339 + 0.11e2 / 0.16e2 * t534 * t10476 + 0.3e1 / 0.8e1 * t534 * t2789 * t9642;
  t10621 = -0.15e2 / 0.32e2 * t519 * t9812 * t10549 - 0.3e1 / 0.32e2 * t519 * t10546 + 0.3e1 / 0.32e2 * t519 * t2598 * t8074 + 0.3e1 / 0.16e2 * t534 * t2765 * t5176 - t534 * t786 * t438 * t1330 / 0.16e2 - 0.7e1 / 0.32e2 * t519 * t10480 + 0.5e1 / 0.32e2 * t1655 * t2762 + 0.3e1 / 0.16e2 * t1681 * t2762 + 0.3e1 / 0.16e2 * t519 * t6446 * t10528 + 0.3e1 / 0.16e2 * t519 * t6446 * t10536 + 0.3e1 / 0.16e2 * t1681 * t2780 + 0.3e1 / 0.16e2 * t519 * t7314 * t10528 + 0.3e1 / 0.16e2 * t519 * t7314 * t10536 - 0.11e2 / 0.32e2 * t519 * t9780 * t10549 + 0.3e1 / 0.8e1 * t1678 * t2766 - 0.3e1 / 0.16e2 * t1681 * t2777 + 0.3e1 / 0.8e1 * t534 * t2812 * t75 * t2371;
  t10654 = 0.3e1 / 0.32e2 * t519 * t2584 * t8074 + t534 * t2769 * t5211 / 0.4e1 + 0.11e2 / 0.16e2 * t519 * t10483 - 0.3e1 / 0.16e2 * t534 * t2773 * t6447 - 0.3e1 / 0.16e2 * t10344 - t10346 / 0.8e1 + t10366 / 0.4e1 - 0.3e1 / 0.16e2 * t10368 - 0.3e1 / 0.32e2 * t10370 + 0.3e1 / 0.32e2 * t10372 - t10374 / 0.16e2 + 0.3e1 / 0.32e2 * t10377 + 0.3e1 / 0.16e2 * t10379 - t6176 * t787 / 0.16e2 - t1678 * t2813 / 0.8e1 - t1678 * t2817 / 0.8e1 - t534 * t2222 * t191 * t445 / 0.16e2 - t6342 * t783 / 0.16e2;
  t10701 = -t1681 * t2803 / 0.16e2 - t1681 * t2806 / 0.16e2 - t6346 * t783 / 0.32e2 - t1655 * t2803 / 0.16e2 - t1655 * t2806 / 0.16e2 - t519 * t6172 * t665 / 0.32e2 - t519 * t1692 * t2162 / 0.16e2 + t534 * t679 * t9010 / 0.16e2 + t6176 * t793 / 0.16e2 + t1678 * t2793 / 0.8e1 + t1678 * t2796 / 0.8e1 + t534 * t8038 * t762 / 0.16e2 + t534 * t2198 * t2425 / 0.8e1 + t534 * t683 * t8972 / 0.16e2 - t534 * t670 * t528 * t445 / 0.8e1 - t534 * t219 * t1636 * t445 / 0.16e2 + t6176 * t790 / 0.16e2;
  t10729 = t1678 * t2822 / 0.8e1 + t1678 * t2825 / 0.8e1 + t534 * t7980 * t758 / 0.16e2 + t534 * t2174 * t2390 / 0.8e1 - t519 * t539 * t8144 / 0.32e2 - t6299 * t783 / 0.32e2 - t10381 / 0.32e2 - t10383 / 0.32e2 - t10385 / 0.16e2 + t10387 / 0.16e2 + t10389 / 0.16e2 + t10391 / 0.16e2 + t10393 / 0.16e2 - t10395 / 0.16e2 - t10397 / 0.16e2 - t10427 / 0.32e2 + t10429 / 0.16e2 + t10431 / 0.16e2;
  t10732 = -t10433 / 0.32e2 + t10239 + t10245 - t10251 - t10257 - t8839 + t8852 + t8862 + t8878 + t8881 - t8898 - t8911 - t8913 - t8919 - t8927 - t8942 + t8957 + t8961;
  t10736 = my_piecewise3(t51, 0, t10516 + t10573 + t10621 + t10654 + t10701 + t10729 + t10732 + t9921);
  tv4rho2sigmatau17 = t3 * t10736 + 0.2e1 * t2832;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 17] += tv4rho2sigmatau17;

  t10739 = t9216 * t111;
  t10745 = t2455 * t10739;
  t10756 = t2466 * t563;
  t10766 = t2838 * t8369;
  t10769 = t2842 * t8365;
  t10772 = t5544 * t261;
  t10773 = t2838 * t10772;
  t10778 = -t699 + t484 * t9113 * t10739 - 0.3e1 / 0.4e1 * t484 * t2485 * t10739 - 0.3e1 / 0.8e1 * t469 * t10745 + 0.3e1 / 0.4e1 * t484 * t9134 * t6697 - t484 * t9134 * t6522 / 0.4e1 - 0.3e1 / 0.4e1 * t484 * t10745 + 0.3e1 / 0.8e1 * t469 * t5791 * t10756 - t484 * t2461 * t10739 / 0.2e1 + 0.3e1 / 0.8e1 * t469 * t5810 * t10756 - 0.3e1 / 0.2e1 * t484 * t10766 + 0.9e1 / 0.8e1 * t484 * t10769 + 0.9e1 / 0.16e2 * t469 * t10773 + 0.5e1 / 0.32e2 * t1506 * t2843;
  t10783 = t798 * t261;
  t10787 = t1419 * t2846;
  t10789 = t1419 * t2849;
  t10794 = t1502 * t2839;
  t10810 = t798 * t4334;
  t10817 = t1415 * t2846 / 0.2e1 - 0.3e1 / 0.8e1 * t1415 * t2849 - t484 * t10783 * t4319 / 0.16e2 + t10787 / 0.4e1 - 0.3e1 / 0.16e2 * t10789 - 0.11e2 / 0.16e2 * t484 * t10783 * t4323 - 0.3e1 / 0.32e2 * t10794 + 0.3e1 / 0.8e1 * t484 * t10783 * t4391 - 0.3e1 / 0.16e2 * t1496 * t2839 + 0.3e1 / 0.16e2 * t1496 * t2843 - 0.5e1 / 0.32e2 * t1506 * t2839 + 0.11e2 / 0.16e2 * t484 * t10783 * t4350 + 0.11e2 / 0.16e2 * t469 * t10769 - 0.15e2 / 0.32e2 * t469 * t10810 * t8449 - 0.25e2 / 0.16e2 * t484 * t2842 * t8449;
  t10822 = t496 * t1804;
  t10831 = t5669 * t798;
  t10835 = t1419 * t2853;
  t10837 = t1419 * t2839;
  t10839 = t1502 * t2843;
  t10843 = t490 * t1804;
  t10854 = t1419 * t2875;
  t10856 = t1419 * t2835;
  t10858 = 0.15e2 / 0.16e2 * t484 * t10810 * t8346 + t484 * t576 * t10822 / 0.8e1 - t1415 * t2863 / 0.4e1 - t484 * t2862 * t4260 / 0.8e1 - 0.11e2 / 0.32e2 * t469 * t1472 * t10831 + t10835 / 0.8e1 - 0.3e1 / 0.16e2 * t10837 + 0.3e1 / 0.32e2 * t10839 + t1415 * t2853 / 0.4e1 + t484 * t572 * t10843 / 0.8e1 - 0.3e1 / 0.8e1 * t1415 * t2839 + 0.3e1 / 0.8e1 * t484 * t2862 * t8437 + 0.11e2 / 0.16e2 * t484 * t10773 + 0.3e1 / 0.16e2 * t10854 - t10856 / 0.16e2;
  t10875 = t1419 * t2872;
  t10877 = t2838 * t5814;
  t10880 = t5658 * t798;
  t10884 = t1419 * t2859;
  t10886 = t1419 * t2863;
  t10888 = t1502 * t2869;
  t10895 = -t1415 * t2835 / 0.8e1 - t1496 * t2866 / 0.8e1 - t1506 * t2866 / 0.8e1 - t469 * t572 * t6670 / 0.16e2 + 0.3e1 / 0.16e2 * t1496 * t2869 + 0.5e1 / 0.32e2 * t1506 * t2869 + 0.3e1 / 0.32e2 * t469 * t2838 * t4264 - t10875 / 0.8e1 - 0.3e1 / 0.16e2 * t484 * t10877 - 0.9e1 / 0.16e2 * t469 * t1524 * t10880 + t10884 / 0.8e1 - t10886 / 0.8e1 + 0.3e1 / 0.32e2 * t10888 + t1415 * t2859 / 0.4e1 + t484 * t2838 * t4236 / 0.4e1;
  t10919 = t1502 * t2866;
  t10924 = -0.3e1 / 0.16e2 * t484 * t2842 * t8406 - t484 * t798 * t283 * t1036 / 0.16e2 - 0.7e1 / 0.32e2 * t469 * t10766 - 0.3e1 / 0.32e2 * t469 * t10877 - t1415 * t2872 / 0.4e1 - t484 * t576 * t6670 / 0.8e1 + 0.3e1 / 0.8e1 * t1415 * t2875 + 0.3e1 / 0.16e2 * t484 * t2862 * t4264 - t10919 / 0.16e2 + 0.3e1 / 0.32e2 * t469 * t2842 * t4236 - t8244 - t8250 + t8252 - t8260 + t8274;
  t10925 = t8277 - t8352 - t8354 + t8358 + t8364 + t8384 - t8386 + t8391 + t8394 + t8398 - t8400 - t8402 - t8413 + t8421 - t8430;
  t10928 = t989 * t804 / 0.64e2;
  t10930 = t989 * t810 / 0.64e2;
  t10931 = t563 * t563;
  t10932 = t100 * t10931;
  t10937 = t989 * t807 / 0.64e2;
  t10945 = t1028 * t800;
  t10947 = t255 * t2890;
  t10949 = t1028 * t804;
  t10959 = -t8433 - t8456 + t10928 - t10930 + t99 * t10932 * t301 / 0.8e1 - t10937 + t99 * t10932 * t297 / 0.8e1 + t1025 * t807 / 0.16e2 + t1025 * t810 / 0.16e2 - t10945 / 0.32e2 - t10947 / 0.32e2 - t10949 / 0.16e2 - t1025 * t800 / 0.32e2 - t246 * t2890 / 0.16e2 - t99 * t4508 * t798 * t269 / 0.32e2;
  t10962 = t1028 * t807;
  t10964 = t1028 * t810;
  t10970 = t989 * t800 / 0.128e3;
  t10975 = -t1025 * t804 / 0.16e2 + t10962 / 0.16e2 + t10964 / 0.16e2 - t99 * t10932 * t290 / 0.8e1 + t10970 - t99 * t260 * t10931 * t269 / 0.16e2 - t8522 - t8533 + t8537 + t8547 - t8548 - t8549 + t8550 - t8551 - t8552;
  t10979 = my_piecewise3(t2, 0, t10778 + t10817 + t10858 + t10895 + t10924 + t10925 + t10959 + t10975);
  tv4rho2lapl20 = t3 * t10979 + 0.2e1 * t2901;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 0] += tv4rho2lapl20;

  tv4rho2lapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 1] += tv4rho2lapl21;

  t10984 = t1167 * t817;
  t10987 = t1170 * t817 / 0.128e3;
  t10990 = t1167 * t821;
  t10993 = t1170 * t821 / 0.64e2;
  t10996 = t1167 * t824;
  t10999 = t1170 * t824 / 0.64e2;
  t11002 = t1167 * t827;
  t11005 = t1170 * t827 / 0.64e2;
  t11006 = -t1164 * t817 / 0.32e2 - t10984 / 0.32e2 + t10987 - t8567 - t8569 + t8571 - t1164 * t821 / 0.16e2 - t10990 / 0.16e2 + t10993 + t1164 * t824 / 0.16e2 + t10996 / 0.16e2 - t10999 + t1164 * t827 / 0.16e2 + t11002 / 0.16e2 - t11005;
  t11007 = my_piecewise3(t51, 0, t11006);
  tv4rho2lapl22 = t3 * t11007 + 0.2e1 * t2920;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 2] += tv4rho2lapl22;

  t11036 = -t1553 * t2835 / 0.16e2 - 0.3e1 / 0.32e2 * t1548 * t2839 + 0.3e1 / 0.32e2 * t1548 * t2843 + t1553 * t2846 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t2849 + t1553 * t2859 / 0.8e1 - t1553 * t2863 / 0.8e1 + 0.3e1 / 0.16e2 * t1553 * t2875 + t1553 * t2853 / 0.8e1 - 0.3e1 / 0.16e2 * t1553 * t2839 + 0.3e1 / 0.32e2 * t1548 * t2869 - t1553 * t2872 / 0.8e1 - t1548 * t2866 / 0.16e2 + t10787 / 0.8e1;
  t11049 = -0.3e1 / 0.32e2 * t10789 - 0.3e1 / 0.64e2 * t10794 + t10835 / 0.16e2 - 0.3e1 / 0.32e2 * t10837 + 0.3e1 / 0.64e2 * t10839 + 0.3e1 / 0.32e2 * t10854 - t10856 / 0.32e2 - t10875 / 0.16e2 + t10884 / 0.16e2 - t10886 / 0.16e2 + 0.3e1 / 0.64e2 * t10888 - t10919 / 0.32e2 - t8600 + t8604 + t8608;
  t11051 = t1127 * t810;
  t11053 = t1127 * t807;
  t11055 = t1127 * t804;
  t11057 = t1127 * t800;
  t11069 = -t8610 - t8629 + t8633 + t8643 - t8644 + t11051 / 0.32e2 + t11053 / 0.32e2 - t11055 / 0.32e2 - t11057 / 0.64e2 - t1124 * t804 / 0.16e2 + t1124 * t807 / 0.16e2 + t1124 * t810 / 0.16e2 - t1124 * t800 / 0.32e2 - t345 * t2890 / 0.32e2;
  t11075 = t10928 - t10930 - t10937 - t10945 / 0.64e2 - t10947 / 0.64e2 - t10949 / 0.32e2 + t10962 / 0.32e2 + t10964 / 0.32e2 + t10970 - t8658 - t8669 - t8675 + t8537 - t2357 - t2314;
  t11078 = my_piecewise3(t2, 0, t11036 + t11049 + t11069 + t11075);
  tv4rho2lapl23 = t3 * t11078 + t2901 + t2931;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 3] += tv4rho2lapl23;

  tv4rho2lapl24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 4] += tv4rho2lapl24;

  t11082 = t1578 * t2938;
  t11084 = t1589 * t2941;
  t11086 = t1589 * t2944;
  t11088 = t1589 * t2971;
  t11090 = t1578 * t2934;
  t11092 = t1578 * t2967;
  t11094 = t1589 * t2952;
  t11096 = t1589 * t2934;
  t11098 = t1589 * t2958;
  t11100 = t1589 * t2961;
  t11102 = t1578 * t2964;
  t11104 = t1589 * t2974;
  t11106 = t1589 * t2948;
  t11108 = 0.3e1 / 0.16e2 * t1585 * t2948 + 0.3e1 / 0.64e2 * t11082 + t11084 / 0.8e1 - 0.3e1 / 0.32e2 * t11086 - t11088 / 0.32e2 - 0.3e1 / 0.64e2 * t11090 + 0.3e1 / 0.64e2 * t11092 + t11094 / 0.16e2 - 0.3e1 / 0.32e2 * t11096 + t11098 / 0.16e2 - t11100 / 0.16e2 - t11102 / 0.32e2 - t11104 / 0.16e2 + 0.3e1 / 0.32e2 * t11106;
  t11133 = -0.3e1 / 0.32e2 * t1574 * t2934 + 0.3e1 / 0.32e2 * t1574 * t2938 + t1585 * t2941 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t2944 - t1585 * t2971 / 0.16e2 - t1574 * t2964 / 0.16e2 + 0.3e1 / 0.32e2 * t1574 * t2967 + t1585 * t2952 / 0.8e1 - 0.3e1 / 0.16e2 * t1585 * t2934 + t1585 * t2958 / 0.8e1 - t1585 * t2961 / 0.8e1 - t1585 * t2974 / 0.8e1 + t8686 - t8688 + t8708;
  t11135 = t1227 * t827;
  t11137 = t1227 * t817;
  t11139 = t370 * t2979;
  t11141 = t1227 * t821;
  t11143 = t1227 * t824;
  t11153 = -t8715 + t8727 - t8729 - t8743 + t8751 + t11135 / 0.32e2 - t11137 / 0.64e2 - t11139 / 0.64e2 - t11141 / 0.32e2 + t11143 / 0.32e2 - t367 * t2979 / 0.32e2 - t1224 * t821 / 0.16e2 + t1224 * t824 / 0.16e2 + t1224 * t827 / 0.16e2;
  t11160 = -t1224 * t817 / 0.32e2 + t11002 / 0.32e2 - t11005 - t10984 / 0.64e2 + t10987 - t10990 / 0.32e2 + t10993 + t10996 / 0.32e2 - t10999 - t8757 - t8776 + t8571 - t8781 - t2336 - t2338;
  t11163 = my_piecewise3(t51, 0, t11108 + t11133 + t11153 + t11160);
  tv4rho2lapl25 = t3 * t11163 + t2920 + t2992;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 5] += tv4rho2lapl25;

  t11178 = -t1196 * t800 / 0.32e2 - t11057 / 0.32e2 + t10970 - t8792 - t8793 + t8537 - t1196 * t804 / 0.16e2 - t11055 / 0.16e2 + t10928 + t1196 * t807 / 0.16e2 + t11053 / 0.16e2 - t10937 + t1196 * t810 / 0.16e2 + t11051 / 0.16e2 - t10930;
  t11179 = my_piecewise3(t2, 0, t11178);
  tv4rho2lapl26 = t3 * t11179 + 0.2e1 * t2931;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 6] += tv4rho2lapl26;

  tv4rho2lapl27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 7] += tv4rho2lapl27;

  t11182 = t1618 * t602;
  t11189 = t2579 * t602;
  t11193 = t615 * t420;
  t11197 = t7305 * t11189;
  t11214 = t815 * t416;
  t11221 = -t721 - t534 * t9663 * t11182 / 0.4e1 - t534 * t2594 * t9716 / 0.2e1 + 0.3e1 / 0.8e1 * t519 * t6446 * t11189 + 0.3e1 / 0.4e1 * t534 * t11193 * t9716 - 0.3e1 / 0.8e1 * t519 * t11197 - 0.3e1 / 0.4e1 * t534 * t2572 * t9716 + t534 * t9681 * t9716 - 0.3e1 / 0.4e1 * t534 * t11197 + 0.3e1 / 0.8e1 * t519 * t7314 * t11189 - t1678 * t2971 / 0.8e1 - 0.3e1 / 0.8e1 * t1678 * t2944 - t534 * t11214 * t5243 / 0.16e2 + 0.3e1 / 0.8e1 * t534 * t11214 * t5339;
  t11231 = t815 * t5227;
  t11235 = t2937 * t8885;
  t11238 = t2933 * t8899;
  t11244 = t6356 * t416;
  t11248 = t2933 * t8905;
  t11264 = -0.5e1 / 0.32e2 * t1655 * t2934 + 0.5e1 / 0.32e2 * t1655 * t2938 + t1678 * t2941 / 0.2e1 - 0.25e2 / 0.16e2 * t534 * t2937 * t8889 + 0.15e2 / 0.16e2 * t534 * t11231 * t8871 + 0.9e1 / 0.8e1 * t534 * t11235 - 0.3e1 / 0.2e1 * t534 * t11238 + 0.3e1 / 0.8e1 * t534 * t2947 * t8922 - 0.11e2 / 0.16e2 * t534 * t2947 * t11244 + 0.11e2 / 0.16e2 * t534 * t11248 - t519 * t611 * t7239 / 0.16e2 - t1678 * t2974 / 0.4e1 - t534 * t615 * t7239 / 0.8e1 + 0.3e1 / 0.8e1 * t1678 * t2948 + 0.3e1 / 0.16e2 * t534 * t2947 * t5176;
  t11270 = t540 * t1953;
  t11297 = t2933 * t8964;
  t11306 = 0.9e1 / 0.16e2 * t519 * t11248 + t1678 * t2952 / 0.4e1 + t534 * t611 * t11270 / 0.8e1 + 0.11e2 / 0.16e2 * t534 * t11214 * t5248 + 0.11e2 / 0.16e2 * t519 * t11235 - 0.15e2 / 0.32e2 * t519 * t11231 * t8889 + 0.3e1 / 0.32e2 * t519 * t2937 * t5211 + t534 * t2933 * t5211 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t2937 * t8988 - t534 * t815 * t438 * t1330 / 0.16e2 - 0.7e1 / 0.32e2 * t519 * t11238 - 0.3e1 / 0.32e2 * t519 * t11297 - 0.3e1 / 0.16e2 * t1681 * t2934 + 0.3e1 / 0.16e2 * t1681 * t2938 + 0.3e1 / 0.16e2 * t1681 * t2967;
  t11316 = t6207 * t815;
  t11322 = t546 * t1953;
  t11331 = t6356 * t815;
  t11342 = 0.5e1 / 0.32e2 * t1655 * t2967 + 0.3e1 / 0.32e2 * t519 * t2933 * t5176 - 0.3e1 / 0.8e1 * t1678 * t2934 - 0.3e1 / 0.16e2 * t534 * t11297 - 0.9e1 / 0.16e2 * t519 * t1623 * t11316 + t1678 * t2958 / 0.4e1 + t534 * t615 * t11322 / 0.8e1 - t1678 * t2961 / 0.4e1 - t534 * t2947 * t5196 / 0.8e1 - 0.11e2 / 0.32e2 * t519 * t1617 * t11331 - t1681 * t2964 / 0.8e1 - t1655 * t2964 / 0.8e1 + 0.3e1 / 0.32e2 * t11082 + t11084 / 0.4e1 - 0.3e1 / 0.16e2 * t11086;
  t11355 = -t11088 / 0.16e2 - 0.3e1 / 0.32e2 * t11090 + 0.3e1 / 0.32e2 * t11092 + t11094 / 0.8e1 - 0.3e1 / 0.16e2 * t11096 + t11098 / 0.8e1 - t11100 / 0.8e1 - t11102 / 0.16e2 - t11104 / 0.8e1 + 0.3e1 / 0.16e2 * t11106 - t8839 + t8852 + t8862 + t8878 + t8881;
  t11356 = -t8898 - t8911 - t8913 - t8919 - t8927 - t8942 + t8957 + t8961 + t8984 + t9005 - t9009 - t9015 - t9018 + t9031 - t9032;
  t11370 = t602 * t602;
  t11371 = t157 * t11370;
  t11390 = t9042 - t9047 - t1297 * t817 / 0.32e2 - t409 * t2979 / 0.16e2 - t156 * t5396 * t815 * t424 / 0.32e2 - t1297 * t821 / 0.16e2 + t1297 * t824 / 0.16e2 + t156 * t11371 * t456 / 0.8e1 - t156 * t415 * t11370 * t424 / 0.16e2 - t156 * t11371 * t445 / 0.8e1 + t156 * t11371 * t452 / 0.8e1 + t1297 * t827 / 0.16e2 + t11135 / 0.16e2 - t11137 / 0.32e2 - t11139 / 0.32e2;
  t11393 = -t11141 / 0.16e2 + t11143 / 0.16e2 - t11005 + t10987 + t10993 - t10999 - t9078 - t9085 + t8571 + t9086 - t9087 - t9088 + t9089 - t9090 - t9091;
  t11397 = my_piecewise3(t51, 0, t11221 + t11264 + t11306 + t11342 + t11355 + t11356 + t11390 + t11393);
  tv4rho2lapl28 = t3 * t11397 + 0.2e1 * t2992;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 8] += tv4rho2lapl28;

  t11400 = t6567 * t4328;
  t11404 = t3001 * t8369;
  t11407 = t2677 * t9122;
  t11410 = t835 * t934;
  t11417 = t835 * t261;
  t11425 = t3044 * t43;
  t11429 = t3048 * t43;
  t11437 = t9928 * t199;
  t11438 = t1472 * t295 * t11437;
  t11453 = -t699 - 0.15e2 / 0.32e2 * t469 * t11400 * t9929 - 0.3e1 / 0.2e1 * t484 * t11404 + 0.9e1 / 0.8e1 * t484 * t11407 - 0.25e2 / 0.16e2 * t484 * t11410 * t8449 + 0.15e2 / 0.16e2 * t484 * t9940 * t9122 + 0.11e2 / 0.16e2 * t484 * t11417 * t4350 + 0.11e2 / 0.16e2 * t469 * t11407 + 0.3e1 / 0.8e1 * t1415 * t3017 + 0.3e1 / 0.8e1 * t484 * t11425 * t2278 + 0.3e1 / 0.8e1 * t484 * t11429 * t2278 + 0.3e1 / 0.16e2 * t484 * t3016 * t4264 + 0.9e1 / 0.16e2 * t469 * t11438 + 0.3e1 / 0.8e1 * t484 * t2659 * t9122 - 0.11e2 / 0.16e2 * t484 * t3016 * t8445 + 0.11e2 / 0.16e2 * t484 * t11438 - t484 * t3044 * t111 * t1036 / 0.8e1;
  t11460 = t1419 * t3013;
  t11466 = t1739 * t265;
  t11470 = t10014 * t111;
  t11477 = t1419 * t2994;
  t11479 = t1502 * t2998;
  t11483 = t10010 * t2467;
  t11486 = t2655 * t10739;
  t11489 = t2655 * t6741;
  t11495 = t1419 * t3022;
  t11497 = t1502 * t3009;
  t11501 = -t484 * t3048 * t111 * t1036 / 0.8e1 - t1415 * t3013 / 0.8e1 - t11460 / 0.16e2 + 0.3e1 / 0.16e2 * t1496 * t3009 + 0.5e1 / 0.32e2 * t1506 * t3009 + 0.3e1 / 0.16e2 * t469 * t11466 * t2664 + 0.3e1 / 0.16e2 * t469 * t3008 * t11470 + 0.3e1 / 0.32e2 * t469 * t3008 * t7610 - 0.3e1 / 0.16e2 * t11477 + 0.3e1 / 0.32e2 * t11479 - 0.3e1 / 0.8e1 * t1415 * t2994 - 0.3e1 / 0.8e1 * t484 * t11483 - 0.3e1 / 0.8e1 * t484 * t11486 - 0.3e1 / 0.16e2 * t484 * t11489 - 0.9e1 / 0.16e2 * t469 * t9288 * t11437 - t11495 / 0.8e1 + 0.3e1 / 0.32e2 * t11497 - t1415 * t3022 / 0.4e1;
  t11503 = t1419 * t3017;
  t11505 = t1502 * t2994;
  t11507 = t1419 * t3002;
  t11518 = t2663 * t563;
  t11528 = t10014 * t199;
  t11548 = 0.3e1 / 0.16e2 * t11503 - 0.3e1 / 0.32e2 * t11505 + t11507 / 0.4e1 + 0.3e1 / 0.8e1 * t484 * t11417 * t4391 - t484 * t835 * t283 * t1036 / 0.16e2 - 0.7e1 / 0.32e2 * t469 * t11404 + 0.3e1 / 0.16e2 * t469 * t5791 * t11518 - 0.3e1 / 0.16e2 * t469 * t11483 - 0.3e1 / 0.16e2 * t469 * t11486 + 0.3e1 / 0.16e2 * t1496 * t2998 + 0.3e1 / 0.16e2 * t469 * t5791 * t11528 - t484 * t10040 * t2467 / 0.4e1 - t484 * t2659 * t10739 / 0.4e1 - t484 * t2659 * t6741 / 0.8e1 - 0.11e2 / 0.32e2 * t469 * t9242 * t11437 - 0.3e1 / 0.16e2 * t1496 * t2994 - 0.5e1 / 0.32e2 * t1506 * t2994;
  t11554 = t1419 * t3005;
  t11556 = t3044 * t263;
  t11560 = t3048 * t263;
  t11585 = t1419 * t3065;
  t11587 = t5618 * t832;
  t11590 = t5698 * t832 / 0.128e3;
  t11592 = t5519 * t844 / 0.64e2;
  t11594 = t5519 * t836 / 0.64e2;
  t11595 = 0.5e1 / 0.32e2 * t1506 * t2998 - t484 * t11417 * t4319 / 0.16e2 - 0.3e1 / 0.16e2 * t11554 + t484 * t11556 * t2263 / 0.2e1 + t484 * t11560 * t2263 / 0.2e1 + t1415 * t3002 / 0.2e1 - 0.3e1 / 0.8e1 * t1415 * t3005 - 0.3e1 / 0.8e1 * t484 * t9968 * t2467 - 0.3e1 / 0.8e1 * t484 * t2677 * t10739 - 0.3e1 / 0.16e2 * t484 * t2677 * t6741 - 0.3e1 / 0.32e2 * t469 * t11489 + 0.3e1 / 0.32e2 * t469 * t2997 * t7610 + t484 * t3001 * t4236 / 0.4e1 + t11585 / 0.16e2 - t11587 / 0.32e2 + t11590 - t11592 + t11594;
  t11599 = t5519 * t840 / 0.64e2;
  t11610 = t5513 * t836;
  t11612 = t1419 * t3045;
  t11614 = t1419 * t3049;
  t11616 = t5513 * t840;
  t11618 = t1419 * t3054;
  t11620 = t1419 * t3057;
  t11622 = t5513 * t844;
  t11624 = t1419 * t3062;
  t11634 = -t11599 - t484 * t213 * t1804 * t290 / 0.16e2 + t5530 * t840 / 0.16e2 + t1415 * t3054 / 0.8e1 + t1415 * t3057 / 0.8e1 - t11610 / 0.16e2 - t11612 / 0.16e2 - t11614 / 0.16e2 + t11616 / 0.16e2 + t11618 / 0.16e2 + t11620 / 0.16e2 + t11622 / 0.16e2 + t11624 / 0.16e2 - t5626 * t832 / 0.16e2 - t1496 * t3027 / 0.16e2 - t1496 * t3030 / 0.16e2 - t5710 * t832 / 0.32e2;
  t11657 = t5702 * t832;
  t11659 = t1502 * t3027;
  t11661 = t1502 * t3030;
  t11681 = -t1506 * t3027 / 0.16e2 - t1506 * t3030 / 0.16e2 + t484 * t7350 * t839 / 0.16e2 + t484 * t2019 * t2852 / 0.8e1 + t484 * t640 * t10843 / 0.16e2 + t5530 * t844 / 0.16e2 + t1415 * t3062 / 0.8e1 + t1415 * t3065 / 0.8e1 + t484 * t7488 * t843 / 0.16e2 - t11657 / 0.32e2 - t11659 / 0.32e2 - t11661 / 0.32e2 - t1415 * t3045 / 0.8e1 - t484 * t2050 * t199 * t290 / 0.16e2 - t484 * t631 * t563 * t290 / 0.8e1 - t1415 * t3049 / 0.8e1 - t469 * t6466 * t626 / 0.32e2 - t469 * t1739 * t2058 / 0.16e2;
  t11696 = -t469 * t572 * t7482 / 0.32e2 - t5530 * t836 / 0.16e2 + t484 * t2062 * t2858 / 0.8e1 + t484 * t644 * t10822 / 0.16e2 - t5623 * t832 / 0.32e2 - t8244 - t8250 + t8252 - t8260 + t8274 + t8277 - t8352 - t8354 + t8358 + t8364 + t8384 - t8386 + t8391;
  t11700 = my_piecewise3(t2, 0, t11453 + t11501 + t11548 + t11595 + t11634 + t11681 + t11696 + t9406);
  tv4rho2lapltau0 = t3 * t11700 + 0.2e1 * t3072;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 0] += tv4rho2lapltau0;

  tv4rho2lapltau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 1] += tv4rho2lapltau1;

  tv4rho2lapltau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 2] += tv4rho2lapltau2;

  t11705 = t5962 * t849;
  t11708 = t5966 * t849 / 0.128e3;
  t11711 = t5951 * t853;
  t11714 = t5948 * t853 / 0.64e2;
  t11717 = t5951 * t857;
  t11720 = t5948 * t857 / 0.64e2;
  t11723 = t5951 * t861;
  t11726 = t5948 * t861 / 0.64e2;
  t11727 = -t5977 * t849 / 0.32e2 - t11705 / 0.32e2 + t11708 - t8567 - t8569 + t8571 - t5969 * t853 / 0.16e2 - t11711 / 0.16e2 + t11714 + t5969 * t857 / 0.16e2 + t11717 / 0.16e2 - t11720 + t5969 * t861 / 0.16e2 + t11723 / 0.16e2 - t11726;
  t11728 = my_piecewise3(t51, 0, t11727);
  tv4rho2lapltau3 = t3 * t11728 + 0.2e1 * t3091;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 3] += tv4rho2lapltau3;

  t11755 = -t1553 * t3013 / 0.16e2 + t1553 * t3002 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t3005 - 0.3e1 / 0.32e2 * t1548 * t2994 + 0.3e1 / 0.32e2 * t1548 * t2998 - 0.3e1 / 0.16e2 * t1553 * t2994 - t1553 * t3022 / 0.8e1 + 0.3e1 / 0.32e2 * t1548 * t3009 + 0.3e1 / 0.16e2 * t1553 * t3017 - t11460 / 0.32e2 - 0.3e1 / 0.32e2 * t11477 + 0.3e1 / 0.64e2 * t11479 - t11495 / 0.16e2 + 0.3e1 / 0.64e2 * t11497 + 0.3e1 / 0.32e2 * t11503 - 0.3e1 / 0.64e2 * t11505;
  t11770 = t5844 * t844;
  t11772 = t5844 * t836;
  t11774 = t5844 * t840;
  t11776 = t5887 * t832;
  t11788 = t11507 / 0.8e1 - 0.3e1 / 0.32e2 * t11554 + t1553 * t3054 / 0.16e2 + t1553 * t3057 / 0.16e2 - t5865 * t832 / 0.32e2 - t5890 * t832 / 0.32e2 - t1548 * t3027 / 0.32e2 - t1548 * t3030 / 0.32e2 + t11770 / 0.32e2 - t11772 / 0.32e2 + t11774 / 0.32e2 - t11776 / 0.64e2 + t5841 * t844 / 0.16e2 + t1553 * t3062 / 0.16e2 + t1553 * t3065 / 0.16e2 - t5841 * t836 / 0.16e2 - t1553 * t3045 / 0.16e2;
  t11804 = -t1553 * t3049 / 0.16e2 + t5841 * t840 / 0.16e2 + t11585 / 0.32e2 - t11587 / 0.64e2 + t11590 - t11592 + t11594 - t11599 - t11610 / 0.32e2 - t11612 / 0.32e2 - t11614 / 0.32e2 + t11616 / 0.32e2 + t11618 / 0.32e2 + t11620 / 0.32e2 + t11622 / 0.32e2 + t11624 / 0.32e2;
  t11808 = -t11657 / 0.64e2 - t11659 / 0.64e2 - t11661 / 0.64e2 - t8600 + t8604 + t8608 - t8610 - t8629 + t8633 + t8643 - t8644 - t8658 - t8669 - t8675 + t8537 - t2357 - t2314;
  t11811 = my_piecewise3(t2, 0, t11755 + t11788 + t11804 + t11808);
  tv4rho2lapltau4 = t3 * t11811 + t3072 + t3102;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 4] += tv4rho2lapltau4;

  tv4rho2lapltau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 5] += tv4rho2lapltau5;

  tv4rho2lapltau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 6] += tv4rho2lapltau6;

  t11815 = t1589 * t3117;
  t11817 = t1589 * t3120;
  t11819 = t1589 * t3105;
  t11821 = t1578 * t3109;
  t11823 = t1578 * t3113;
  t11825 = t1578 * t3133;
  t11827 = t1589 * t3124;
  t11829 = t1589 * t3109;
  t11831 = t1589 * t3129;
  t11845 = -t1585 * t3129 / 0.8e1 + t11815 / 0.8e1 - 0.3e1 / 0.32e2 * t11817 - t11819 / 0.32e2 - 0.3e1 / 0.64e2 * t11821 + 0.3e1 / 0.64e2 * t11823 + 0.3e1 / 0.64e2 * t11825 + 0.3e1 / 0.32e2 * t11827 - 0.3e1 / 0.32e2 * t11829 - t11831 / 0.16e2 - t1585 * t3105 / 0.16e2 + 0.3e1 / 0.32e2 * t1574 * t3133 + 0.3e1 / 0.16e2 * t1585 * t3124 - 0.3e1 / 0.16e2 * t1585 * t3109 + t1585 * t3117 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t3120;
  t11850 = t1589 * t3136;
  t11854 = t6043 * t849;
  t11856 = t1578 * t3155;
  t11858 = t1578 * t3158;
  t11860 = t6026 * t853;
  t11862 = t1589 * t3139;
  t11864 = t6026 * t861;
  t11866 = t1589 * t3144;
  t11868 = t1589 * t3147;
  t11870 = t6037 * t849;
  t11872 = t1589 * t3164;
  t11874 = t1589 * t3168;
  t11876 = t6026 * t857;
  t11880 = -0.3e1 / 0.32e2 * t1574 * t3109 + 0.3e1 / 0.32e2 * t1574 * t3113 + t11850 / 0.32e2 + t1585 * t3136 / 0.16e2 - t11854 / 0.64e2 - t11856 / 0.64e2 - t11858 / 0.64e2 - t11860 / 0.32e2 + t11862 / 0.32e2 + t11864 / 0.32e2 + t11866 / 0.32e2 + t11868 / 0.32e2 - t11870 / 0.64e2 - t11872 / 0.32e2 - t11874 / 0.32e2 + t11876 / 0.32e2 - t6060 * t853 / 0.16e2;
  t11907 = -t6064 * t849 / 0.32e2 - t6067 * t849 / 0.32e2 - t1574 * t3155 / 0.32e2 - t1574 * t3158 / 0.32e2 + t1585 * t3139 / 0.16e2 + t6060 * t861 / 0.16e2 + t1585 * t3144 / 0.16e2 + t1585 * t3147 / 0.16e2 - t1585 * t3164 / 0.16e2 - t1585 * t3168 / 0.16e2 + t6060 * t857 / 0.16e2 - t11705 / 0.64e2 + t11708 - t11711 / 0.32e2 + t11714 + t11717 / 0.32e2;
  t11909 = -t11720 + t11723 / 0.32e2 - t11726 + t8686 - t8688 + t8708 - t8715 + t8727 - t8729 - t8743 + t8751 - t8757 - t8776 + t8571 - t8781 - t2336 - t2338;
  t11912 = my_piecewise3(t51, 0, t11845 + t11880 + t11907 + t11909);
  tv4rho2lapltau7 = t3 * t11912 + t3091 + t3175;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 7] += tv4rho2lapltau7;

  t11927 = -t6002 * t832 / 0.32e2 - t11776 / 0.32e2 + t11590 - t8792 - t8793 + t8537 - t6007 * t836 / 0.16e2 - t11772 / 0.16e2 + t11594 + t6007 * t840 / 0.16e2 + t11774 / 0.16e2 - t11599 + t6007 * t844 / 0.16e2 + t11770 / 0.16e2 - t11592;
  t11928 = my_piecewise3(t2, 0, t11927);
  tv4rho2lapltau8 = t3 * t11928 + 0.2e1 * t3102;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 8] += tv4rho2lapltau8;

  tv4rho2lapltau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 9] += tv4rho2lapltau9;

  tv4rho2lapltau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 10] += tv4rho2lapltau10;

  t11950 = t852 * t416;
  t11954 = t3163 * t418;
  t11958 = t3167 * t418;
  t11978 = -t721 + 0.3e1 / 0.8e1 * t534 * t2789 * t9647 - t534 * t3163 * t168 * t1330 / 0.8e1 - t534 * t3167 * t168 * t1330 / 0.8e1 - t1678 * t3105 / 0.8e1 - 0.3e1 / 0.16e2 * t1681 * t3109 - 0.5e1 / 0.32e2 * t1655 * t3109 + 0.5e1 / 0.32e2 * t1655 * t3113 - t534 * t11950 * t5243 / 0.16e2 + t534 * t11954 * t2407 / 0.2e1 + t534 * t11958 * t2407 / 0.2e1 + t1678 * t3117 / 0.2e1 - 0.3e1 / 0.8e1 * t1678 * t3120 - 0.3e1 / 0.8e1 * t534 * t10509 * t2580 - 0.3e1 / 0.8e1 * t534 * t2773 * t9716 + 0.3e1 / 0.8e1 * t534 * t11950 * t5339 - 0.11e2 / 0.16e2 * t534 * t3123 * t11244;
  t11979 = t3781 * t9647;
  t11984 = t1888 * t420;
  t11988 = t10527 * t168;
  t11997 = t3163 * t75;
  t12001 = t3167 * t75;
  t12012 = t852 * t1339;
  t12022 = t2572 * t10475;
  t12025 = t7129 * t5258;
  t12029 = t3116 * t8899;
  t12034 = 0.11e2 / 0.16e2 * t534 * t11979 + 0.5e1 / 0.32e2 * t1655 * t3133 + 0.3e1 / 0.16e2 * t519 * t11984 * t2761 + 0.3e1 / 0.16e2 * t519 * t3132 * t11988 + 0.3e1 / 0.32e2 * t519 * t3132 * t8074 + 0.3e1 / 0.8e1 * t1678 * t3124 + 0.3e1 / 0.8e1 * t534 * t11997 * t2371 + 0.3e1 / 0.8e1 * t534 * t12001 * t2371 + 0.3e1 / 0.16e2 * t534 * t3123 * t5176 + 0.9e1 / 0.16e2 * t519 * t11979 - 0.3e1 / 0.8e1 * t1678 * t3109 - 0.25e2 / 0.16e2 * t534 * t12012 * t8889 + 0.15e2 / 0.16e2 * t534 * t10466 * t9647 + 0.11e2 / 0.16e2 * t534 * t11950 * t5248 + 0.11e2 / 0.16e2 * t519 * t12022 - 0.15e2 / 0.32e2 * t519 * t12025 * t10475 - 0.3e1 / 0.2e1 * t534 * t12029 + 0.9e1 / 0.8e1 * t534 * t12022;
  t12039 = t3108 * t8074;
  t12051 = t10527 * t207;
  t12055 = t2760 * t602;
  t12059 = t7305 * t12051;
  t12062 = t7305 * t12055;
  t12073 = t10474 * t207;
  t12085 = -0.3e1 / 0.16e2 * t534 * t2773 * t7306 - 0.3e1 / 0.32e2 * t519 * t12039 + 0.3e1 / 0.32e2 * t519 * t3112 * t8074 - t534 * t852 * t438 * t1330 / 0.16e2 - 0.7e1 / 0.32e2 * t519 * t12029 + 0.3e1 / 0.16e2 * t519 * t7314 * t12051 + 0.3e1 / 0.16e2 * t519 * t7314 * t12055 - 0.3e1 / 0.16e2 * t519 * t12059 - 0.3e1 / 0.16e2 * t519 * t12062 + 0.3e1 / 0.16e2 * t1681 * t3113 - 0.3e1 / 0.8e1 * t534 * t12059 - 0.3e1 / 0.8e1 * t534 * t12062 - 0.3e1 / 0.16e2 * t534 * t12039 - 0.9e1 / 0.16e2 * t519 * t9772 * t12073 - t1678 * t3129 / 0.4e1 - t534 * t10555 * t2580 / 0.4e1 - t534 * t2789 * t9716 / 0.4e1;
  t12119 = -t534 * t2789 * t7306 / 0.8e1 - 0.11e2 / 0.32e2 * t519 * t9780 * t12073 + 0.3e1 / 0.16e2 * t1681 * t3133 + t534 * t3116 * t5211 / 0.4e1 + t11815 / 0.4e1 - 0.3e1 / 0.16e2 * t11817 - t11819 / 0.16e2 - 0.3e1 / 0.32e2 * t11821 + 0.3e1 / 0.32e2 * t11823 + 0.3e1 / 0.32e2 * t11825 + 0.3e1 / 0.16e2 * t11827 - 0.3e1 / 0.16e2 * t11829 - t11831 / 0.8e1 - t534 * t219 * t1953 * t445 / 0.16e2 + t6176 * t857 / 0.16e2 + t1678 * t3136 / 0.8e1 + t1678 * t3139 / 0.8e1 + t534 * t7980 * t856 / 0.16e2;
  t12166 = t534 * t2174 * t2951 / 0.8e1 + t534 * t679 * t11270 / 0.16e2 + t6176 * t861 / 0.16e2 - t1678 * t3164 / 0.8e1 - t534 * t2222 * t207 * t445 / 0.16e2 - t534 * t670 * t602 * t445 / 0.8e1 - t1678 * t3168 / 0.8e1 - t6346 * t849 / 0.32e2 - t1655 * t3155 / 0.16e2 - t1655 * t3158 / 0.16e2 - t519 * t7093 * t665 / 0.32e2 - t519 * t1888 * t2162 / 0.16e2 - t519 * t611 * t8144 / 0.32e2 - t6176 * t853 / 0.16e2 + t1678 * t3144 / 0.8e1 + t1678 * t3147 / 0.8e1 + t534 * t8038 * t860 / 0.16e2;
  t12193 = t534 * t2198 * t2957 / 0.8e1 + t534 * t683 * t11322 / 0.16e2 - t6299 * t849 / 0.32e2 - t6342 * t849 / 0.16e2 - t1681 * t3155 / 0.16e2 - t1681 * t3158 / 0.16e2 + t11850 / 0.16e2 - t11854 / 0.32e2 - t11856 / 0.32e2 - t11858 / 0.32e2 - t11860 / 0.16e2 + t11862 / 0.16e2 + t11864 / 0.16e2 + t11866 / 0.16e2 + t11868 / 0.16e2 - t11870 / 0.32e2 - t11872 / 0.16e2 - t11874 / 0.16e2;
  t12196 = t11876 / 0.16e2 + t11708 + t11714 - t11720 - t11726 - t8839 + t8852 + t8862 + t8878 + t8881 - t8898 - t8911 - t8913 - t8919 - t8927 - t8942 + t8957 + t8961;
  t12200 = my_piecewise3(t51, 0, t11978 + t12034 + t12085 + t12119 + t12166 + t12193 + t12196 + t9921);
  tv4rho2lapltau11 = t3 * t12200 + 0.2e1 * t3175;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 11] += tv4rho2lapltau11;

  t12203 = t640 * t936;
  t12209 = t2655 * t11470;
  t12214 = t1990 * t936;
  t12239 = -t699 + t484 * t12203 * t11470 - 0.3e1 / 0.4e1 * t484 * t2677 * t11470 - 0.3e1 / 0.4e1 * t484 * t12209 - 0.3e1 / 0.8e1 * t469 * t12209 + 0.3e1 / 0.8e1 * t469 * t12214 * t11470 + 0.3e1 / 0.4e1 * t484 * t7589 * t7519 - t484 * t7589 * t7410 / 0.4e1 - t484 * t2659 * t11470 / 0.2e1 + 0.3e1 / 0.8e1 * t469 * t5810 * t2663 * t631 - 0.5e1 / 0.32e2 * t1506 * t3182 + 0.5e1 / 0.32e2 * t1506 * t3186 + t1415 * t3189 / 0.2e1 - 0.3e1 / 0.8e1 * t1415 * t3192;
  t12240 = t866 * t261;
  t12244 = t3185 * t8365;
  t12247 = t866 * t4334;
  t12260 = t3181 * t8369;
  t12265 = t3181 * t10772;
  t12273 = t1419 * t3182;
  t12278 = t1419 * t3189;
  t12283 = 0.11e2 / 0.16e2 * t484 * t12240 * t4350 + 0.11e2 / 0.16e2 * t469 * t12244 - 0.15e2 / 0.32e2 * t469 * t12247 * t8449 - 0.25e2 / 0.16e2 * t484 * t3185 * t8449 + 0.15e2 / 0.16e2 * t484 * t12247 * t8346 - 0.9e1 / 0.16e2 * t469 * t3185 * t8369 - 0.3e1 / 0.2e1 * t484 * t12260 + 0.9e1 / 0.8e1 * t484 * t12244 + 0.11e2 / 0.16e2 * t484 * t12265 + 0.9e1 / 0.16e2 * t469 * t12265 - t484 * t12240 * t4319 / 0.16e2 - 0.3e1 / 0.16e2 * t12273 - 0.11e2 / 0.16e2 * t484 * t12240 * t4323 + t12278 / 0.4e1 + 0.3e1 / 0.8e1 * t484 * t12240 * t4391;
  t12285 = t1419 * t3192;
  t12296 = t1419 * t3195;
  t12298 = t1502 * t3182;
  t12302 = t1419 * t3209;
  t12304 = t1419 * t3212;
  t12306 = t1502 * t3218;
  t12318 = -0.3e1 / 0.16e2 * t12285 - 0.3e1 / 0.16e2 * t1496 * t3182 + 0.3e1 / 0.16e2 * t1496 * t3186 + 0.5e1 / 0.32e2 * t1506 * t3218 + 0.3e1 / 0.32e2 * t469 * t3181 * t4264 - t12296 / 0.8e1 - 0.3e1 / 0.32e2 * t12298 - t1415 * t3195 / 0.4e1 + t12302 / 0.8e1 - t12304 / 0.8e1 + 0.3e1 / 0.32e2 * t12306 + t1415 * t3209 / 0.4e1 + t484 * t644 * t496 * t2050 / 0.8e1 - t1415 * t3212 / 0.4e1 - 0.3e1 / 0.8e1 * t1415 * t3182;
  t12319 = t3181 * t5814;
  t12330 = t1419 * t3203;
  t12332 = t1502 * t3186;
  t12343 = t5669 * t866;
  t12359 = -0.3e1 / 0.16e2 * t484 * t12319 - t484 * t644 * t7482 / 0.8e1 + 0.3e1 / 0.8e1 * t1415 * t3199 + 0.3e1 / 0.16e2 * t484 * t3198 * t4264 + t12330 / 0.8e1 + 0.3e1 / 0.32e2 * t12332 + t1415 * t3203 / 0.4e1 + t484 * t640 * t490 * t2050 / 0.8e1 - t484 * t3198 * t4260 / 0.8e1 - 0.11e2 / 0.32e2 * t469 * t1472 * t12343 - t1496 * t3215 / 0.8e1 - t1506 * t3215 / 0.8e1 - t469 * t640 * t7482 / 0.16e2 + 0.3e1 / 0.16e2 * t1496 * t3218 + 0.3e1 / 0.32e2 * t469 * t3185 * t4236;
  t12376 = t1419 * t3178;
  t12380 = t1419 * t3199;
  t12385 = t1502 * t3215;
  t12387 = t484 * t3181 * t4236 / 0.4e1 - 0.3e1 / 0.16e2 * t484 * t3185 * t8406 - t484 * t866 * t283 * t1036 / 0.16e2 - 0.7e1 / 0.32e2 * t469 * t12260 - 0.3e1 / 0.32e2 * t469 * t12319 - t12376 / 0.16e2 - t1415 * t3178 / 0.8e1 + 0.3e1 / 0.16e2 * t12380 + 0.3e1 / 0.8e1 * t484 * t3198 * t8437 - t12385 / 0.16e2 - t8244 - t8250 + t8252 - t8260 + t8274;
  t12390 = t989 * t868 / 0.128e3;
  t12391 = t631 * t631;
  t12392 = t100 * t12391;
  t12397 = t989 * t875 / 0.64e2;
  t12406 = t989 * t872 / 0.64e2;
  t12408 = t989 * t878 / 0.64e2;
  t12414 = t1028 * t868;
  t12416 = t255 * t3235;
  t12422 = -t8433 - t8456 + t12390 - t99 * t12392 * t290 / 0.8e1 - t12397 + t99 * t12392 * t297 / 0.8e1 - t99 * t260 * t12391 * t269 / 0.16e2 + t12406 - t12408 + t99 * t12392 * t301 / 0.8e1 + t1025 * t875 / 0.16e2 - t12414 / 0.32e2 - t12416 / 0.32e2 + t1025 * t878 / 0.16e2 - t1025 * t868 / 0.32e2;
  t12431 = t1028 * t878;
  t12433 = t1028 * t872;
  t12435 = t1028 * t875;
  t12437 = -t246 * t3235 / 0.16e2 - t99 * t4508 * t866 * t269 / 0.32e2 - t1025 * t872 / 0.16e2 + t12431 / 0.16e2 - t12433 / 0.16e2 + t12435 / 0.16e2 - t8522 - t8533 + t8537 + t8547 - t8548 - t8549 + t8550 - t8551 - t8552;
  t12441 = my_piecewise3(t2, 0, t12239 + t12283 + t12318 + t12359 + t12387 + t10925 + t12422 + t12437);
  tv4rho2tau20 = t3 * t12441 + 0.2e1 * t3244;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 0] += tv4rho2tau20;

  tv4rho2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 1] += tv4rho2tau21;

  t12446 = t1167 * t885;
  t12449 = t1170 * t885 / 0.128e3;
  t12452 = t1167 * t889;
  t12455 = t1170 * t889 / 0.64e2;
  t12458 = t1167 * t892;
  t12461 = t1170 * t892 / 0.64e2;
  t12464 = t1167 * t895;
  t12467 = t1170 * t895 / 0.64e2;
  t12468 = -t1164 * t885 / 0.32e2 - t12446 / 0.32e2 + t12449 - t8567 - t8569 + t8571 - t1164 * t889 / 0.16e2 - t12452 / 0.16e2 + t12455 + t1164 * t892 / 0.16e2 + t12458 / 0.16e2 - t12461 + t1164 * t895 / 0.16e2 + t12464 / 0.16e2 - t12467;
  t12469 = my_piecewise3(t51, 0, t12468);
  tv4rho2tau22 = t3 * t12469 + 0.2e1 * t3263;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 2] += tv4rho2tau22;

  t12498 = t1553 * t3189 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t3192 - 0.3e1 / 0.32e2 * t1548 * t3182 + 0.3e1 / 0.32e2 * t1548 * t3186 - t1553 * t3195 / 0.8e1 + 0.3e1 / 0.16e2 * t1553 * t3199 - t1548 * t3215 / 0.16e2 - t1553 * t3178 / 0.16e2 + t1553 * t3209 / 0.8e1 - t1553 * t3212 / 0.8e1 + t1553 * t3203 / 0.8e1 - 0.3e1 / 0.16e2 * t1553 * t3182 + 0.3e1 / 0.32e2 * t1548 * t3218 - 0.3e1 / 0.32e2 * t12273;
  t12511 = t12278 / 0.8e1 - 0.3e1 / 0.32e2 * t12285 - t12296 / 0.16e2 - 0.3e1 / 0.64e2 * t12298 + t12302 / 0.16e2 - t12304 / 0.16e2 + 0.3e1 / 0.64e2 * t12306 + t12330 / 0.16e2 + 0.3e1 / 0.64e2 * t12332 - t12376 / 0.32e2 + 0.3e1 / 0.32e2 * t12380 - t12385 / 0.32e2 - t8600 + t8604 + t8608;
  t12523 = t1127 * t878;
  t12525 = t1127 * t875;
  t12527 = t1127 * t872;
  t12529 = t1127 * t868;
  t12531 = -t8610 - t8629 + t8633 + t8643 - t8644 + t1124 * t875 / 0.16e2 + t1124 * t878 / 0.16e2 - t1124 * t868 / 0.32e2 - t345 * t3235 / 0.32e2 - t1124 * t872 / 0.16e2 + t12523 / 0.32e2 + t12525 / 0.32e2 - t12527 / 0.32e2 - t12529 / 0.64e2;
  t12537 = t12390 - t12397 + t12406 - t12408 - t12414 / 0.64e2 - t12416 / 0.64e2 + t12431 / 0.32e2 - t12433 / 0.32e2 + t12435 / 0.32e2 - t8658 - t8669 - t8675 + t8537 - t2357 - t2314;
  t12540 = my_piecewise3(t2, 0, t12498 + t12511 + t12531 + t12537);
  tv4rho2tau23 = t3 * t12540 + t3244 + t3274;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 3] += tv4rho2tau23;

  tv4rho2tau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 4] += tv4rho2tau24;

  t12542 = t1578 * t3317;
  t12544 = t1578 * t3277;
  t12546 = t1589 * t3297;
  t12548 = t1589 * t3301;
  t12550 = t1589 * t3305;
  t12552 = t1589 * t3284;
  t12554 = t1589 * t3311;
  t12564 = t1578 * t3288;
  t12566 = t1589 * t3291;
  t12568 = t1589 * t3294;
  t12570 = -t12542 / 0.32e2 + 0.3e1 / 0.64e2 * t12544 - t12546 / 0.16e2 + 0.3e1 / 0.32e2 * t12548 + t12550 / 0.16e2 - 0.3e1 / 0.32e2 * t12552 + t12554 / 0.16e2 + t1585 * t3305 / 0.8e1 - 0.3e1 / 0.16e2 * t1585 * t3284 + t1585 * t3311 / 0.8e1 - t1585 * t3297 / 0.8e1 + 0.3e1 / 0.64e2 * t12564 + t12566 / 0.8e1 - 0.3e1 / 0.32e2 * t12568;
  t12571 = t1589 * t3281;
  t12573 = t1578 * t3284;
  t12575 = t1589 * t3314;
  t12595 = -t12571 / 0.32e2 - 0.3e1 / 0.64e2 * t12573 - t12575 / 0.16e2 - 0.3e1 / 0.32e2 * t1574 * t3284 + 0.3e1 / 0.32e2 * t1574 * t3288 + t1585 * t3291 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t3294 - t1585 * t3281 / 0.16e2 - t1585 * t3314 / 0.8e1 - t1574 * t3317 / 0.16e2 + 0.3e1 / 0.32e2 * t1574 * t3277 + 0.3e1 / 0.16e2 * t1585 * t3301 + t8686 - t8688 + t8708;
  t12607 = t1227 * t889;
  t12609 = t1227 * t892;
  t12611 = t1227 * t895;
  t12613 = t1227 * t885;
  t12615 = -t8715 + t8727 - t8729 - t8743 + t8751 - t1224 * t885 / 0.32e2 - t367 * t3326 / 0.32e2 - t1224 * t889 / 0.16e2 + t1224 * t892 / 0.16e2 + t1224 * t895 / 0.16e2 - t12607 / 0.32e2 + t12609 / 0.32e2 + t12611 / 0.32e2 - t12613 / 0.64e2;
  t12616 = t370 * t3326;
  t12622 = -t12616 / 0.64e2 - t12446 / 0.64e2 + t12449 - t12452 / 0.32e2 + t12455 + t12458 / 0.32e2 - t12461 + t12464 / 0.32e2 - t12467 - t8757 - t8776 + t8571 - t8781 - t2336 - t2338;
  t12625 = my_piecewise3(t51, 0, t12570 + t12595 + t12615 + t12622);
  tv4rho2tau25 = t3 * t12625 + t3263 + t3335;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 5] += tv4rho2tau25;

  t12640 = -t1196 * t868 / 0.32e2 - t12529 / 0.32e2 + t12390 - t8792 - t8793 + t8537 - t1196 * t872 / 0.16e2 - t12527 / 0.16e2 + t12406 + t1196 * t875 / 0.16e2 + t12525 / 0.16e2 - t12397 + t1196 * t878 / 0.16e2 + t12523 / 0.16e2 - t12408;
  t12641 = my_piecewise3(t2, 0, t12640);
  tv4rho2tau26 = t3 * t12641 + 0.2e1 * t3274;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 6] += tv4rho2tau26;

  tv4rho2tau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 7] += tv4rho2tau27;

  t12644 = t1618 * t670;
  t12656 = t2760 * t670;
  t12660 = t683 * t420;
  t12664 = t7305 * t12656;
  t12674 = t3287 * t8885;
  t12677 = t883 * t5227;
  t12684 = -t721 - t534 * t8066 * t12644 / 0.4e1 + t534 * t10479 * t11988 - 0.3e1 / 0.4e1 * t534 * t2773 * t11988 - t534 * t2789 * t11988 / 0.2e1 + 0.3e1 / 0.8e1 * t519 * t6446 * t12656 + 0.3e1 / 0.4e1 * t534 * t12660 * t11988 - 0.3e1 / 0.8e1 * t519 * t12664 - 0.3e1 / 0.4e1 * t534 * t12664 + 0.3e1 / 0.8e1 * t519 * t7314 * t12656 - 0.3e1 / 0.16e2 * t1681 * t3284 + 0.11e2 / 0.16e2 * t519 * t12674 - 0.15e2 / 0.32e2 * t519 * t12677 * t8889 - 0.25e2 / 0.16e2 * t534 * t3287 * t8889;
  t12688 = t883 * t416;
  t12692 = t3276 * t8899;
  t12723 = 0.15e2 / 0.16e2 * t534 * t12677 * t8871 + 0.11e2 / 0.16e2 * t534 * t12688 * t5248 - 0.3e1 / 0.2e1 * t534 * t12692 + 0.9e1 / 0.8e1 * t534 * t12674 - t534 * t12688 * t5243 / 0.16e2 + 0.3e1 / 0.16e2 * t1681 * t3288 - 0.5e1 / 0.32e2 * t1655 * t3284 + 0.5e1 / 0.32e2 * t1655 * t3288 + t1678 * t3291 / 0.2e1 - 0.3e1 / 0.8e1 * t1678 * t3294 + 0.3e1 / 0.8e1 * t534 * t12688 * t5339 - t1678 * t3281 / 0.8e1 + t534 * t683 * t546 * t2222 / 0.8e1 + t1678 * t3305 / 0.4e1 - 0.3e1 / 0.8e1 * t1678 * t3284;
  t12746 = t3276 * t8964;
  t12755 = t6356 * t883;
  t12762 = t1678 * t3311 / 0.4e1 - t1678 * t3314 / 0.4e1 - t534 * t683 * t8144 / 0.8e1 - t1681 * t3317 / 0.8e1 + 0.3e1 / 0.16e2 * t1681 * t3277 - t1655 * t3317 / 0.8e1 + 0.5e1 / 0.32e2 * t1655 * t3277 - t1678 * t3297 / 0.4e1 + 0.3e1 / 0.8e1 * t1678 * t3301 - 0.7e1 / 0.32e2 * t519 * t12692 - 0.3e1 / 0.32e2 * t519 * t12746 + 0.3e1 / 0.32e2 * t519 * t3287 * t5211 - t534 * t3300 * t5196 / 0.8e1 - 0.11e2 / 0.32e2 * t519 * t1617 * t12755 - t519 * t679 * t8144 / 0.16e2;
  t12769 = t6215 * t883;
  t12770 = t1617 * t12769;
  t12779 = t6207 * t883;
  t12804 = 0.3e1 / 0.32e2 * t519 * t3276 * t5176 + 0.3e1 / 0.16e2 * t534 * t3300 * t5176 + 0.9e1 / 0.16e2 * t519 * t12770 + t534 * t679 * t540 * t2222 / 0.8e1 - 0.3e1 / 0.16e2 * t534 * t12746 - 0.9e1 / 0.16e2 * t519 * t1623 * t12779 + 0.11e2 / 0.16e2 * t534 * t12770 + 0.3e1 / 0.8e1 * t534 * t3300 * t8922 - 0.11e2 / 0.16e2 * t534 * t3300 * t11244 + t534 * t3276 * t5211 / 0.4e1 - 0.3e1 / 0.16e2 * t534 * t3287 * t8988 - t534 * t883 * t438 * t1330 / 0.16e2 - t12542 / 0.16e2 + 0.3e1 / 0.32e2 * t12544 - t12546 / 0.8e1;
  t12817 = 0.3e1 / 0.16e2 * t12548 + t12550 / 0.8e1 - 0.3e1 / 0.16e2 * t12552 + t12554 / 0.8e1 + 0.3e1 / 0.32e2 * t12564 + t12566 / 0.4e1 - 0.3e1 / 0.16e2 * t12568 - t12571 / 0.16e2 - 0.3e1 / 0.32e2 * t12573 - t12575 / 0.8e1 - t8839 + t8852 + t8862 + t8878 + t8881;
  t12819 = t670 * t670;
  t12824 = t157 * t12819;
  t12851 = t9042 - t9047 - t156 * t415 * t12819 * t424 / 0.16e2 + t156 * t12824 * t452 / 0.8e1 + t156 * t12824 * t456 / 0.8e1 - t156 * t12824 * t445 / 0.8e1 - t1297 * t889 / 0.16e2 + t1297 * t892 / 0.16e2 + t1297 * t895 / 0.16e2 - t1297 * t885 / 0.32e2 - t409 * t3326 / 0.16e2 - t156 * t5396 * t883 * t424 / 0.32e2 - t12607 / 0.16e2 + t12609 / 0.16e2 + t12611 / 0.16e2;
  t12854 = -t12613 / 0.32e2 - t12616 / 0.32e2 + t12449 + t12455 - t12461 - t12467 - t9078 - t9085 + t8571 + t9086 - t9087 - t9088 + t9089 - t9090 - t9091;
  t12858 = my_piecewise3(t51, 0, t12684 + t12723 + t12762 + t12804 + t12817 + t11356 + t12851 + t12854);
  tv4rho2tau28 = t3 * t12858 + 0.2e1 * t3335;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 8] += tv4rho2tau28;

  t12862 = t484 * t8453 * t951 * t2457;
  t12866 = t484 * t2254 * t43 * t1474;
  t12870 = t484 * t3368 * t111 * t1036;
  t12872 = t939 * t695;
  t12873 = t12872 * t111;
  t12874 = t9120 * t12873;
  t12875 = t469 * t12874;
  t12878 = t469 * t2477 * t12873;
  t12880 = t484 * t12874;
  t12884 = t484 * t3368 * t263 * t2263;
  t12887 = t469 * t2465 * t12873;
  t12891 = t484 * t2242 * t113 * t2457;
  t12894 = t3337 * t934;
  t12895 = t5723 * t111;
  t12896 = t12894 * t12895;
  t12899 = t3337 * t263;
  t12900 = t5544 * t111;
  t12901 = t12899 * t12900;
  t12904 = t1506 * t3345;
  t12907 = t469 * t1451 * t2246;
  t12912 = t1415 * t3352;
  t12915 = t484 * t2242 * t2289;
  t12917 = t2258 * t8460;
  t12926 = t3337 * t111;
  t12930 = 0.9e1 / 0.8e1 * t484 * t12896 + 0.9e1 / 0.16e2 * t469 * t12901 - 0.3e1 / 0.32e2 * t12904 - 0.3e1 / 0.32e2 * t12907 + 0.9e1 / 0.32e2 * t469 * t2258 * t5566 + 0.3e1 / 0.16e2 * t12912 + 0.3e1 / 0.16e2 * t12915 - 0.9e1 / 0.16e2 * t484 * t12917 + 0.11e2 / 0.16e2 * t484 * t12901 - 0.9e1 / 0.16e2 * t469 * t5790 * t5658 * t3337 - 0.11e2 / 0.16e2 * t484 * t12926 * t4323;
  t12947 = t3337 * t4334;
  t12948 = t5690 * t111;
  t12955 = t5718 * t111;
  t12959 = t5658 * t111;
  t12960 = t12899 * t12959;
  t12963 = t1502 * t3345;
  t12964 = 0.3e1 / 0.64e2 * t12963;
  t12965 = 0.3e1 / 0.8e1 * t484 * t12926 * t4391 - t484 * t12926 * t4319 / 0.16e2 - t3463 * t2260 / 0.16e2 + t3463 * t2264 / 0.16e2 + 0.11e2 / 0.16e2 * t484 * t12899 * t12895 + 0.11e2 / 0.16e2 * t469 * t12896 - 0.15e2 / 0.32e2 * t469 * t12947 * t12948 - 0.25e2 / 0.16e2 * t484 * t12894 * t12948 + 0.15e2 / 0.16e2 * t484 * t12947 * t12955 - 0.3e1 / 0.2e1 * t484 * t12960 - t12964;
  t12966 = t1419 * t3352;
  t12967 = 0.3e1 / 0.32e2 * t12966;
  t12975 = t1415 * t3369;
  t12979 = t484 * t695 * t478 * t290;
  t12981 = t1467 * t478;
  t12986 = t5551 * t111;
  t12994 = t1496 * t3345;
  t12996 = t1419 * t3369;
  t12997 = 0.3e1 / 0.32e2 * t12996;
  t12998 = t12967 + 0.9e1 / 0.16e2 * t484 * t2277 * t5566 - t3463 * t2297 / 0.16e2 + t3463 * t2300 / 0.16e2 - 0.3e1 / 0.16e2 * t12975 - 0.3e1 / 0.16e2 * t12979 - 0.3e1 / 0.8e1 * t484 * t2277 * t12981 + 0.3e1 / 0.8e1 * t484 * t3337 * t43 * t12986 - 0.11e2 / 0.32e2 * t469 * t470 * t5669 * t3337 - 0.3e1 / 0.32e2 * t12994 - t12997;
  t13001 = t1419 * t3381;
  t13002 = 0.3e1 / 0.32e2 * t13001;
  t13006 = t1517 * t478;
  t13020 = t1415 * t3381;
  t13023 = t484 * t2267 * t2282;
  t13026 = 0.3e1 / 0.64e2 * t255 * t3349;
  t13029 = 0.3e1 / 0.32e2 * t255 * t3339;
  t13031 = t255 * t3342 / 0.16e2;
  t13033 = t255 * t3384 / 0.8e1;
  t13035 = 0.3e1 / 0.32e2 * t255 * t3387;
  t13037 = t255 * t3372 / 0.32e2;
  t13039 = 0.3e1 / 0.64e2 * t255 * t3375;
  t13041 = 0.3e1 / 0.64e2 * t255 * t3378;
  t13043 = t260 * t111 * t263;
  t13057 = t268 * t111;
  t13058 = t266 * t13057;
  t13061 = t4480 * t111;
  t13062 = t268 * t183;
  t13063 = t266 * t13062;
  t13070 = t111 * t43 * t471;
  t13073 = t296 * t13057;
  t13076 = t114 * t13057;
  t13091 = t13043 * t472 / 0.4e1 + t480 / 0.2e1 + t184 * t111 * t290 / 0.2e1 - t184 * t263 * t491 / 0.2e1 - t184 * t43 * t497 / 0.2e1 - t4476 * t183 * t13058 / 0.2e1 + t13061 * t13063 / 0.2e1 + t998 * t478 * t116 / 0.2e1 + t3358 * t13070 / 0.2e1 - t3358 * t13073 / 0.2e1 - t3358 * t13076 / 0.2e1 - t4494 * t183 * t116 / 0.2e1 - t1001 * t478 * t116 / 0.2e1 - t3360 * t13070 / 0.2e1 + t3360 * t13073 / 0.2e1 + t3360 * t13076 / 0.2e1;
  t13100 = t1005 * t3337;
  t13104 = -t13029 - t13031 + t13033 - t13035 - t13037 - t13039 + t13041 - t99 * t13091 * t690 * t269 / 0.32e2 - t246 * t3372 / 0.16e2 - 0.3e1 / 0.32e2 * t246 * t3375 - 0.3e1 / 0.32e2 * t99 * t13100 * t961;
  t13129 = 0.3e1 / 0.32e2 * t255 * t3355;
  t13130 = 0.3e1 / 0.32e2 * t246 * t3378 + 0.3e1 / 0.32e2 * t99 * t13100 * t940 + t246 * t3384 / 0.4e1 - 0.3e1 / 0.16e2 * t246 * t3387 - 0.3e1 / 0.16e2 * t246 * t3339 - t246 * t3342 / 0.8e1 + 0.3e1 / 0.32e2 * t246 * t3349 + 0.3e1 / 0.32e2 * t99 * t13100 * t969 + 0.3e1 / 0.16e2 * t246 * t3355 - t246 * t3365 / 0.32e2 + t13129;
  t13132 = t255 * t3365 / 0.64e2;
  t13133 = -t13132 - t3347 + t3354 - t3371 + t3383 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t13137 = my_piecewise3(t2, 0, -t699 + t13133 + t13130 + t13104 + 0.3e1 / 0.16e2 * t13023 + t13026 + 0.3e1 / 0.16e2 * t13020 + t13002 + t12998 + t12965 - 0.7e1 / 0.32e2 * t469 * t12960 - 0.9e1 / 0.32e2 * t469 * t12917 + t12930 - 0.3e1 / 0.8e1 * t12891 + 0.9e1 / 0.32e2 * t12887 + 0.3e1 / 0.4e1 * t12884 + 0.9e1 / 0.32e2 * t12878 - 0.9e1 / 0.16e2 * t12880 - 0.9e1 / 0.32e2 * t12875 - 0.3e1 / 0.16e2 * t12870 + 0.9e1 / 0.16e2 * t12866 - 0.9e1 / 0.16e2 * t12862 + 0.3e1 / 0.4e1 * t484 * t2258 * t5585 - 0.9e1 / 0.16e2 * t484 * t2237 * t13006 - 0.3e1 / 0.16e2 * t484 * t2277 * t8460 + 0.9e1 / 0.32e2 * t469 * t2237 * t5585);
  tv4rhosigma30 = t3 * t13137 + t3391;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  tv4rhosigma31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 1] += tv4rhosigma31;

  tv4rhosigma32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 2] += tv4rhosigma32;

  tv4rhosigma33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 3] += tv4rhosigma33;

  tv4rhosigma34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 4] += tv4rhosigma34;

  tv4rhosigma35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 5] += tv4rhosigma35;

  tv4rhosigma36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 6] += tv4rhosigma36;

  tv4rhosigma37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 7] += tv4rhosigma37;

  tv4rhosigma38 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 8] += tv4rhosigma38;

  t13139 = t1589 * t3424;
  t13140 = 0.3e1 / 0.32e2 * t13139;
  t13141 = t1589 * t3436;
  t13142 = 0.3e1 / 0.32e2 * t13141;
  t13143 = t1578 * t3400;
  t13144 = 0.3e1 / 0.64e2 * t13143;
  t13145 = t1589 * t3407;
  t13146 = 0.3e1 / 0.32e2 * t13145;
  t13147 = t1585 * t3436;
  t13149 = t1585 * t3407;
  t13151 = t1585 * t3424;
  t13153 = t1574 * t3400;
  t13158 = t370 * t3439 / 0.8e1;
  t13160 = 0.3e1 / 0.32e2 * t370 * t3442;
  t13162 = t370 * t3427 / 0.32e2;
  t13164 = 0.3e1 / 0.64e2 * t370 * t3430;
  t13166 = 0.3e1 / 0.64e2 * t370 * t3433;
  t13168 = 0.3e1 / 0.32e2 * t370 * t3410;
  t13169 = -t13140 + t13142 - t13144 + t13146 + 0.3e1 / 0.16e2 * t13147 + 0.3e1 / 0.16e2 * t13149 - 0.3e1 / 0.16e2 * t13151 - 0.3e1 / 0.32e2 * t13153 + 0.3e1 / 0.16e2 * t367 * t3410 + t13158 - t13160 - t13162 - t13164 + t13166 + t13168;
  t13171 = t370 * t3420 / 0.64e2;
  t13173 = 0.3e1 / 0.32e2 * t370 * t3394;
  t13175 = t370 * t3397 / 0.16e2;
  t13177 = 0.3e1 / 0.64e2 * t370 * t3404;
  t13196 = -t13171 - t13173 - t13175 + t13177 - t367 * t3420 / 0.32e2 - t367 * t3427 / 0.16e2 - 0.3e1 / 0.32e2 * t367 * t3430 + 0.3e1 / 0.32e2 * t367 * t3433 + t367 * t3439 / 0.4e1 - 0.3e1 / 0.16e2 * t367 * t3442 - 0.3e1 / 0.16e2 * t367 * t3394 - t367 * t3397 / 0.8e1 + 0.3e1 / 0.32e2 * t367 * t3404 - t2336 - t2338;
  t13198 = my_piecewise3(t51, 0, t13169 + t13196);
  tv4rhosigma39 = t3 * t13198 + t3446;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 9] += tv4rhosigma39;

  t13200 = t1553 * t3381;
  t13202 = t1553 * t3369;
  t13204 = t1553 * t3352;
  t13206 = t1548 * t3345;
  t13222 = 0.3e1 / 0.16e2 * t13200 - 0.3e1 / 0.16e2 * t13202 + 0.3e1 / 0.16e2 * t13204 - 0.3e1 / 0.32e2 * t13206 - t12964 + t12967 - t12997 + t13002 - 0.3e1 / 0.16e2 * t345 * t3387 + 0.3e1 / 0.16e2 * t345 * t3355 - t345 * t3365 / 0.32e2 - t345 * t3372 / 0.16e2 - 0.3e1 / 0.32e2 * t345 * t3375 + 0.3e1 / 0.32e2 * t345 * t3378 + t345 * t3384 / 0.4e1;
  t13229 = -0.3e1 / 0.16e2 * t345 * t3339 - t345 * t3342 / 0.8e1 + 0.3e1 / 0.32e2 * t345 * t3349 + t13026 - t13029 - t13031 + t13033 - t13035 - t13037 - t13039 + t13041 + t13129 - t13132 - t2357 - t2314;
  t13231 = my_piecewise3(t2, 0, t13222 + t13229);
  tv4rhosigma310 = t3 * t13231 + t3391;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 10] += tv4rhosigma310;

  tv4rhosigma311 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 11] += tv4rhosigma311;

  tv4rhosigma312 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 12] += tv4rhosigma312;

  tv4rhosigma313 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 13] += tv4rhosigma313;

  tv4rhosigma314 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 14] += tv4rhosigma314;

  tv4rhosigma315 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 15] += tv4rhosigma315;

  tv4rhosigma316 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 16] += tv4rhosigma316;

  tv4rhosigma317 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 17] += tv4rhosigma317;

  tv4rhosigma318 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 18] += tv4rhosigma318;

  t13235 = t534 * t2394 * t75 * t1707;
  t13239 = t534 * t3423 * t168 * t1330;
  t13243 = t534 * t2375 * t170 * t2574;
  t13245 = t1329 * t717;
  t13246 = t13245 * t168;
  t13248 = t519 * t2598 * t13246;
  t13251 = t2411 * t450 * t2574;
  t13252 = t534 * t13251;
  t13256 = t534 * t3423 * t418 * t2407;
  t13260 = t534 * t8895 * t1353 * t2574;
  t13262 = t519 * t13251;
  t13265 = t519 * t2584 * t13246;
  t13268 = t3392 * t5227;
  t13269 = t6220 * t168;
  t13273 = t3392 * t1339;
  t13277 = t6226 * t168;
  t13281 = t3392 * t418;
  t13282 = t6207 * t168;
  t13283 = t13281 * t13282;
  t13286 = t6194 * t168;
  t13287 = t13273 * t13286;
  t13290 = t6215 * t168;
  t13291 = t13281 * t13290;
  t13301 = t3392 * t168;
  t13308 = -0.15e2 / 0.32e2 * t519 * t13268 * t13269 - 0.25e2 / 0.16e2 * t534 * t13273 * t13269 + 0.15e2 / 0.16e2 * t534 * t13268 * t13277 - 0.3e1 / 0.2e1 * t534 * t13283 + 0.9e1 / 0.8e1 * t534 * t13287 + 0.9e1 / 0.16e2 * t519 * t13291 - t3515 * t2403 / 0.16e2 + t3515 * t2408 / 0.16e2 + 0.11e2 / 0.16e2 * t534 * t13281 * t13286 - 0.11e2 / 0.16e2 * t534 * t13301 * t5314 + 0.3e1 / 0.8e1 * t534 * t13301 * t5339;
  t13316 = t6269 * t168;
  t13324 = t1681 * t3400;
  t13326 = t1655 * t3400;
  t13329 = t519 * t1692 * t2379;
  t13334 = t1612 * t528;
  t13340 = t1678 * t3424;
  t13342 = -t534 * t13301 * t5243 / 0.16e2 + 0.11e2 / 0.16e2 * t519 * t13287 + 0.3e1 / 0.8e1 * t534 * t3392 * t75 * t13316 - 0.11e2 / 0.32e2 * t519 * t520 * t6356 * t3392 - 0.3e1 / 0.32e2 * t13324 - 0.3e1 / 0.32e2 * t13326 - 0.3e1 / 0.32e2 * t13329 + 0.3e1 / 0.4e1 * t534 * t2370 * t6162 - 0.9e1 / 0.16e2 * t534 * t2406 * t13334 + t3515 * t2372 / 0.16e2 - 0.3e1 / 0.16e2 * t13340;
  t13345 = t534 * t717 * t528 * t445;
  t13352 = t2370 * t6158;
  t13358 = t1678 * t3407;
  t13361 = t534 * t2375 * t2425;
  t13372 = -0.3e1 / 0.16e2 * t13345 - 0.3e1 / 0.16e2 * t534 * t2386 * t6158 - 0.7e1 / 0.32e2 * t519 * t13283 - 0.9e1 / 0.32e2 * t519 * t13352 + 0.9e1 / 0.32e2 * t519 * t2370 * t6278 + 0.3e1 / 0.16e2 * t13358 + 0.3e1 / 0.16e2 * t13361 + 0.9e1 / 0.16e2 * t534 * t2386 * t6278 - t3515 * t2367 / 0.16e2 - 0.9e1 / 0.16e2 * t534 * t13352 + 0.11e2 / 0.16e2 * t534 * t13291;
  t13379 = t1701 * t528;
  t13386 = t1678 * t3436;
  t13389 = t534 * t2411 * t2390;
  t13401 = t415 * t168 * t418;
  t13415 = t423 * t168;
  t13416 = t421 * t13415;
  t13419 = t5368 * t168;
  t13420 = t423 * t191;
  t13421 = t421 * t13420;
  t13427 = t168 * t75;
  t13428 = t13427 * t521;
  t13431 = t451 * t13415;
  t13434 = t171 * t13415;
  t13449 = t13401 * t522 / 0.4e1 + t530 / 0.2e1 + t192 * t168 * t445 / 0.2e1 - t192 * t418 * t541 / 0.2e1 - t192 * t75 * t547 / 0.2e1 - t5364 * t191 * t13416 / 0.2e1 + t13419 * t13421 / 0.2e1 + t1306 * t528 * t173 / 0.2e1 + t3413 * t13428 / 0.2e1 - t3413 * t13431 / 0.2e1 - t3413 * t13434 / 0.2e1 - t5382 * t191 * t173 / 0.2e1 - t1309 * t528 * t173 / 0.2e1 - t3415 * t13428 / 0.2e1 + t3415 * t13431 / 0.2e1 + t3415 * t13434 / 0.2e1;
  t13458 = t1313 * t3392;
  t13471 = -0.3e1 / 0.16e2 * t409 * t3442 + 0.3e1 / 0.16e2 * t409 * t3410 - t409 * t3420 / 0.32e2 - t156 * t13449 * t712 * t424 / 0.32e2 - t409 * t3427 / 0.16e2 - 0.3e1 / 0.32e2 * t409 * t3430 - 0.3e1 / 0.32e2 * t156 * t13458 * t1335 + 0.3e1 / 0.32e2 * t409 * t3433 + 0.3e1 / 0.32e2 * t156 * t13458 * t1343 - 0.3e1 / 0.16e2 * t409 * t3394 - t409 * t3397 / 0.8e1;
  t13478 = 0.3e1 / 0.32e2 * t409 * t3404 + 0.3e1 / 0.32e2 * t156 * t13458 * t1374 + t13158 - t13160 - t13162 - t13164 + t13166 + t13168 - t13171 - t13173 - t13175;
  t13479 = t13177 - t3402 + t3409 - t3426 + t3438 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t13483 = my_piecewise3(t51, 0, t13342 + t13308 + 0.9e1 / 0.32e2 * t13265 - 0.9e1 / 0.16e2 * t13260 - 0.9e1 / 0.32e2 * t13262 + 0.3e1 / 0.4e1 * t13256 - 0.9e1 / 0.16e2 * t13252 + 0.9e1 / 0.32e2 * t13248 - 0.3e1 / 0.8e1 * t13243 - 0.3e1 / 0.16e2 * t13239 + 0.9e1 / 0.16e2 * t13235 - t13144 + t13146 - t13140 + t13142 - t721 + t409 * t3439 / 0.4e1 - 0.9e1 / 0.16e2 * t519 * t7313 * t6207 * t3392 + t13471 + t13372 + 0.3e1 / 0.16e2 * t13386 + 0.3e1 / 0.16e2 * t13389 + t13478 + t13479 - 0.3e1 / 0.8e1 * t534 * t2386 * t13379 + 0.9e1 / 0.32e2 * t519 * t2406 * t6162);
  tv4rhosigma319 = t3 * t13483 + t3446;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 19] += tv4rhosigma319;

  t13485 = t8453 * t936;
  t13487 = t469 * t13485 * t2467;
  t13488 = 0.3e1 / 0.32e2 * t13487;
  t13489 = t3454 * t263;
  t13491 = t484 * t13489 * t2263;
  t13492 = t13491 / 0.4e1;
  t13494 = t484 * t2485 * t12873;
  t13495 = 0.3e1 / 0.16e2 * t13494;
  t13500 = t3468 * t263;
  t13501 = t13500 * t12959;
  t13505 = t4277 * t690 * t111;
  t13506 = t2485 * t13505;
  t13509 = t3468 * t111;
  t13514 = t484 * t9134 * t8395;
  t13515 = 0.3e1 / 0.16e2 * t13514;
  t13518 = t484 * t3454 * t111 * t1036;
  t13519 = t13518 / 0.16e2;
  t13528 = t8345 * t4328;
  t13529 = t9121 * t111;
  t13533 = -t699 + t13488 + t13492 - t13495 - t3463 * t2458 / 0.16e2 + t3463 * t2478 / 0.16e2 - 0.3e1 / 0.2e1 * t484 * t13501 + 0.9e1 / 0.8e1 * t484 * t13506 - t484 * t13509 * t4319 / 0.16e2 + t13515 - t13519 + 0.3e1 / 0.8e1 * t484 * t13509 * t4391 + 0.11e2 / 0.16e2 * t484 * t13500 * t12895 + 0.11e2 / 0.16e2 * t469 * t13506 - 0.15e2 / 0.32e2 * t469 * t13528 * t13529;
  t13541 = t2455 * t12873;
  t13542 = t484 * t13541;
  t13543 = 0.3e1 / 0.16e2 * t13542;
  t13544 = t469 * t13541;
  t13545 = 0.3e1 / 0.32e2 * t13544;
  t13550 = t5669 * t111;
  t13554 = t9121 * t690;
  t13555 = t5796 * t13554;
  t13560 = t2455 * t8472;
  t13566 = t484 * t2461 * t12873;
  t13567 = t13566 / 0.8e1;
  t13568 = t2466 * t695;
  t13570 = t469 * t5810 * t13568;
  t13571 = 0.3e1 / 0.32e2 * t13570;
  t13581 = -0.25e2 / 0.16e2 * t484 * t3468 * t934 * t12948 + 0.15e2 / 0.16e2 * t484 * t9103 * t13505 - t13543 - t13545 + 0.3e1 / 0.8e1 * t484 * t2471 * t5566 - 0.11e2 / 0.16e2 * t484 * t3468 * t43 * t13550 + 0.9e1 / 0.16e2 * t469 * t13555 + 0.11e2 / 0.16e2 * t484 * t13555 - 0.3e1 / 0.8e1 * t484 * t13560 + t3463 * t2468 / 0.16e2 - t13567 + t13571 + t484 * t2481 * t5585 / 0.2e1 - 0.3e1 / 0.8e1 * t484 * t2485 * t8472 - t484 * t2471 * t8460 / 0.8e1;
  t13605 = 0.3e1 / 0.8e1 * t12862;
  t13606 = 0.3e1 / 0.8e1 * t12866;
  t13607 = t12870 / 0.8e1;
  t13608 = 0.3e1 / 0.16e2 * t12875;
  t13609 = 0.3e1 / 0.16e2 * t12878;
  t13610 = 0.3e1 / 0.8e1 * t12880;
  t13611 = t12884 / 0.2e1;
  t13612 = -0.7e1 / 0.32e2 * t469 * t13501 - 0.3e1 / 0.16e2 * t469 * t13560 + 0.3e1 / 0.16e2 * t469 * t2477 * t9198 - 0.9e1 / 0.16e2 * t469 * t5791 * t13554 + 0.3e1 / 0.8e1 * t484 * t2461 * t13505 - t484 * t2461 * t8472 / 0.4e1 - 0.11e2 / 0.32e2 * t469 * t5810 * t13554 + 0.3e1 / 0.16e2 * t469 * t2465 * t9198 - t13605 + t13606 - t13607 - t13608 + t13609 - t13610 + t13611;
  t13613 = 0.3e1 / 0.16e2 * t12887;
  t13614 = t12891 / 0.4e1;
  t13616 = 0.3e1 / 0.64e2 * t1502 * t3473;
  t13618 = 0.3e1 / 0.64e2 * t1502 * t3490;
  t13620 = t1419 * t3477 / 0.16e2;
  t13622 = 0.3e1 / 0.64e2 * t1502 * t3480;
  t13624 = t1419 * t3484 / 0.32e2;
  t13626 = 0.3e1 / 0.32e2 * t1419 * t3469;
  t13628 = 0.3e1 / 0.32e2 * t1419 * t3473;
  t13629 = t1419 * t3459;
  t13630 = t13629 / 0.32e2;
  t13632 = t23 * t95 * t3363;
  t13634 = t13632 * t734 / 0.64e2;
  t13635 = t1419 * t3448;
  t13636 = t13635 / 0.32e2;
  t13637 = t1502 * t3451;
  t13638 = t13637 / 0.64e2;
  t13639 = t1419 * t3455;
  t13640 = t13639 / 0.32e2;
  t13645 = t13613 - t13614 - t13616 + t13618 - t13620 + t13622 - t13624 + t13626 - t13628 + t13630 - t13634 + t13636 - t13638 - t13640 + 0.3e1 / 0.32e2 * t1496 * t3480 + 0.3e1 / 0.32e2 * t1506 * t3480;
  t13648 = t1415 * t3459;
  t13649 = t13648 / 0.16e2;
  t13651 = t484 * t1739 * t3458;
  t13652 = t13651 / 0.16e2;
  t13653 = t91 * t3462;
  t13657 = t23 * t26 * t13091;
  t13664 = t1415 * t3448;
  t13665 = t13664 / 0.16e2;
  t13667 = t484 * t1723 * t3447;
  t13668 = t13667 / 0.16e2;
  t13669 = t1496 * t3451;
  t13670 = t13669 / 0.32e2;
  t13671 = t1506 * t3451;
  t13672 = t13671 / 0.32e2;
  t13674 = t469 * t2267 * t1793;
  t13675 = t13674 / 0.32e2;
  t13676 = t1415 * t3455;
  t13677 = t13676 / 0.16e2;
  t13680 = t484 * t563 * t695 * t290;
  t13681 = t13680 / 0.16e2;
  t13683 = t1419 * t3493 / 0.8e1;
  t13685 = 0.3e1 / 0.32e2 * t1419 * t3497;
  t13686 = t13649 + t13652 - t13653 * t734 / 0.32e2 - t13657 * t734 / 0.32e2 - t3463 * t2528 / 0.32e2 - t3463 * t2489 / 0.32e2 + t13665 + t13668 - t13670 - t13672 - t13675 - t13677 - t13681 + t13683 - t13685;
  t13687 = t2258 * t6522;
  t13699 = t563 * t690;
  t13725 = -0.3e1 / 0.32e2 * t469 * t13687 + 0.3e1 / 0.32e2 * t1496 * t3490 + 0.3e1 / 0.32e2 * t1506 * t3490 + 0.3e1 / 0.32e2 * t469 * t2237 * t6526 + t1415 * t3493 / 0.4e1 + t484 * t13699 * t946 / 0.4e1 - 0.3e1 / 0.16e2 * t1415 * t3497 - 0.3e1 / 0.16e2 * t484 * t6496 * t3496 + 0.3e1 / 0.32e2 * t469 * t2258 * t6697 - t1415 * t3484 / 0.16e2 - t484 * t13699 * t1036 / 0.16e2 - 0.3e1 / 0.32e2 * t1496 * t3473 - 0.3e1 / 0.32e2 * t1506 * t3473 + 0.3e1 / 0.16e2 * t1415 * t3469 + 0.3e1 / 0.16e2 * t484 * t13699 * t973;
  t13736 = t12904 / 0.16e2;
  t13737 = t12907 / 0.16e2;
  t13738 = t12912 / 0.8e1;
  t13739 = t12915 / 0.8e1;
  t13740 = t12963 / 0.32e2;
  t13741 = t12966 / 0.16e2;
  t13742 = t12975 / 0.8e1;
  t13743 = t12979 / 0.8e1;
  t13744 = t12994 / 0.16e2;
  t13745 = t12996 / 0.16e2;
  t13746 = t13001 / 0.16e2;
  t13747 = -0.3e1 / 0.16e2 * t1415 * t3473 - 0.3e1 / 0.16e2 * t484 * t13687 - t1415 * t3477 / 0.8e1 - t484 * t1723 * t3476 / 0.8e1 - t13736 - t13737 + t13738 + t13739 - t13740 + t13741 - t13742 - t13743 - t13744 - t13745 + t13746;
  t13748 = t13020 / 0.8e1;
  t13749 = t13023 / 0.8e1;
  t13750 = t13748 + t13749 + t3450 - t3453 - t3457 + t3461 - t3466 + t3467 - t3483 + t3487 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t13754 = my_piecewise3(t2, 0, t13533 + t13581 + t13612 + t13645 + t13686 + t13725 + t13747 + t13750);
  tv4rhosigma2lapl0 = t3 * t13754 + t3501;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 0] += tv4rhosigma2lapl0;

  tv4rhosigma2lapl1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 1] += tv4rhosigma2lapl1;

  tv4rhosigma2lapl2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 2] += tv4rhosigma2lapl2;

  tv4rhosigma2lapl3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 3] += tv4rhosigma2lapl3;

  tv4rhosigma2lapl4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 4] += tv4rhosigma2lapl4;

  tv4rhosigma2lapl5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 5] += tv4rhosigma2lapl5;

  tv4rhosigma2lapl6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 6] += tv4rhosigma2lapl6;

  tv4rhosigma2lapl7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 7] += tv4rhosigma2lapl7;

  tv4rhosigma2lapl8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 8] += tv4rhosigma2lapl8;

  tv4rhosigma2lapl9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 9] += tv4rhosigma2lapl9;

  tv4rhosigma2lapl10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 10] += tv4rhosigma2lapl10;

  t13756 = t1589 * t3503;
  t13757 = t13756 / 0.32e2;
  t13758 = t1589 * t3507;
  t13759 = t13758 / 0.32e2;
  t13760 = t1589 * t3511;
  t13761 = t13760 / 0.32e2;
  t13763 = t60 * t95 * t3418;
  t13765 = t13763 * t751 / 0.64e2;
  t13766 = t1578 * t3518;
  t13767 = t13766 / 0.64e2;
  t13769 = t1589 * t3548 / 0.8e1;
  t13771 = 0.3e1 / 0.32e2 * t1589 * t3552;
  t13773 = 0.3e1 / 0.32e2 * t1589 * t3531;
  t13775 = t1589 * t3535 / 0.16e2;
  t13777 = t1589 * t3539 / 0.32e2;
  t13779 = 0.3e1 / 0.64e2 * t1578 * t3523;
  t13781 = 0.3e1 / 0.32e2 * t1589 * t3527;
  t13796 = -t13757 + t13759 + t13761 - t13765 - t13767 + t13769 - t13771 - t13773 - t13775 - t13777 + t13779 + t13781 - 0.3e1 / 0.32e2 * t1574 * t3531 + 0.3e1 / 0.32e2 * t1574 * t3545 + t1585 * t3548 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t3552 - 0.3e1 / 0.16e2 * t1585 * t3531 - t1585 * t3535 / 0.8e1 - t1585 * t3539 / 0.16e2;
  t13801 = t1585 * t3511;
  t13802 = t13801 / 0.16e2;
  t13803 = t128 * t3514;
  t13806 = t1574 * t3518;
  t13807 = t13806 / 0.32e2;
  t13808 = t1585 * t3503;
  t13809 = t13808 / 0.16e2;
  t13810 = t1585 * t3507;
  t13811 = t13810 / 0.16e2;
  t13813 = 0.3e1 / 0.64e2 * t1578 * t3531;
  t13815 = 0.3e1 / 0.64e2 * t1578 * t3545;
  t13816 = t13139 / 0.16e2;
  t13817 = t13141 / 0.16e2;
  t13818 = t13143 / 0.32e2;
  t13819 = t13145 / 0.16e2;
  t13820 = t13147 / 0.8e1;
  t13821 = t13149 / 0.8e1;
  t13822 = t13151 / 0.8e1;
  t13823 = t13153 / 0.16e2;
  t13824 = 0.3e1 / 0.32e2 * t1574 * t3523 + 0.3e1 / 0.16e2 * t1585 * t3527 + t13802 - t13803 * t751 / 0.32e2 - t13807 - t13809 + t13811 - t13813 + t13815 - t13816 + t13817 - t13818 + t13819 + t13820 + t13821 - t13822 - t13823 - t2336 - t2338;
  t13826 = my_piecewise3(t51, 0, t13796 + t13824);
  tv4rhosigma2lapl11 = t3 * t13826 + t3556;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 11] += tv4rhosigma2lapl11;

  t13836 = t143 * t3462;
  t13841 = t1553 * t3448;
  t13842 = t13841 / 0.16e2;
  t13843 = t1548 * t3451;
  t13844 = t13843 / 0.32e2;
  t13845 = t1553 * t3455;
  t13846 = t13845 / 0.16e2;
  t13847 = t1553 * t3459;
  t13848 = t13847 / 0.16e2;
  t13857 = 0.3e1 / 0.32e2 * t1548 * t3490 - 0.3e1 / 0.16e2 * t1553 * t3473 - t1553 * t3477 / 0.8e1 + 0.3e1 / 0.32e2 * t1548 * t3480 - t13836 * t734 / 0.32e2 + 0.3e1 / 0.16e2 * t1553 * t3469 + t13842 - t13844 - t13846 + t13848 + t1553 * t3493 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t3497 - t1553 * t3484 / 0.16e2 - 0.3e1 / 0.32e2 * t1548 * t3473 - t13616 + t13618 - t13620 + t13622 - t13624;
  t13858 = t13200 / 0.8e1;
  t13859 = t13202 / 0.8e1;
  t13860 = t13204 / 0.8e1;
  t13861 = t13206 / 0.16e2;
  t13862 = t13626 - t13628 + t13630 - t13634 + t13636 - t13638 - t13640 + t13683 - t13685 + t13858 - t13859 + t13860 - t13861 - t13740 + t13741 - t13745 + t13746 - t2357 - t2314;
  t13864 = my_piecewise3(t2, 0, t13857 + t13862);
  tv4rhosigma2lapl12 = t3 * t13864 + t3501;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 12] += tv4rhosigma2lapl12;

  tv4rhosigma2lapl13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 13] += tv4rhosigma2lapl13;

  tv4rhosigma2lapl14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 14] += tv4rhosigma2lapl14;

  tv4rhosigma2lapl15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 15] += tv4rhosigma2lapl15;

  tv4rhosigma2lapl16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 16] += tv4rhosigma2lapl16;

  tv4rhosigma2lapl17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 17] += tv4rhosigma2lapl17;

  tv4rhosigma2lapl18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 18] += tv4rhosigma2lapl18;

  tv4rhosigma2lapl19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 19] += tv4rhosigma2lapl19;

  tv4rhosigma2lapl20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 20] += tv4rhosigma2lapl20;

  tv4rhosigma2lapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 21] += tv4rhosigma2lapl21;

  tv4rhosigma2lapl22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 22] += tv4rhosigma2lapl22;

  t13866 = t8870 * t5258;
  t13867 = t9646 * t168;
  t13875 = t3502 * t418;
  t13877 = t534 * t13875 * t2407;
  t13878 = t13877 / 0.4e1;
  t13880 = t534 * t2572 * t13246;
  t13881 = 0.3e1 / 0.16e2 * t13880;
  t13887 = t5232 * t712 * t168;
  t13891 = t2370 * t450;
  t13892 = t13891 * t13867;
  t13895 = t2406 * t1341;
  t13899 = t3526 * t418;
  t13900 = t13899 * t13282;
  t13903 = t2572 * t13887;
  t13911 = t3502 * t75;
  t13913 = t534 * t13911 * t2371;
  t13914 = 0.3e1 / 0.16e2 * t13913;
  t13915 = -t721 - 0.15e2 / 0.32e2 * t519 * t13866 * t13867 - 0.25e2 / 0.16e2 * t534 * t3526 * t1339 * t13269 + t13878 - t13881 - t3515 * t2581 / 0.16e2 + t3515 * t2585 / 0.16e2 + 0.15e2 / 0.16e2 * t534 * t9655 * t13887 + 0.9e1 / 0.16e2 * t519 * t13892 - 0.9e1 / 0.16e2 * t519 * t13895 * t13867 - 0.3e1 / 0.2e1 * t534 * t13900 + 0.9e1 / 0.8e1 * t534 * t13903 + 0.11e2 / 0.16e2 * t534 * t13899 * t13286 + 0.11e2 / 0.16e2 * t519 * t13903 + t13914;
  t13916 = t2579 * t717;
  t13917 = t7305 * t13916;
  t13918 = t519 * t13917;
  t13919 = 0.3e1 / 0.32e2 * t13918;
  t13934 = t2578 * t9807;
  t13938 = t6356 * t168;
  t13955 = t2370 * t420;
  t13962 = -t13919 + 0.3e1 / 0.16e2 * t519 * t2584 * t9807 + t534 * t2568 * t6162 / 0.2e1 - 0.3e1 / 0.8e1 * t534 * t2572 * t8832 - t534 * t2602 * t6158 / 0.8e1 - 0.7e1 / 0.32e2 * t519 * t13900 - 0.3e1 / 0.16e2 * t519 * t13934 - 0.11e2 / 0.16e2 * t534 * t3526 * t75 * t13938 + 0.11e2 / 0.16e2 * t534 * t13892 - 0.3e1 / 0.8e1 * t534 * t13934 + 0.3e1 / 0.8e1 * t534 * t2594 * t13887 - t534 * t2594 * t8832 / 0.4e1 + 0.3e1 / 0.16e2 * t519 * t2598 * t9807 - 0.11e2 / 0.32e2 * t519 * t13955 * t13867 + 0.3e1 / 0.8e1 * t534 * t2602 * t6278;
  t13964 = t534 * t13917;
  t13965 = 0.3e1 / 0.16e2 * t13964;
  t13967 = t519 * t7314 * t13916;
  t13968 = 0.3e1 / 0.32e2 * t13967;
  t13970 = t534 * t2594 * t13246;
  t13971 = t13970 / 0.8e1;
  t13973 = t519 * t6446 * t13916;
  t13974 = 0.3e1 / 0.32e2 * t13973;
  t13979 = t534 * t3502 * t168 * t1330;
  t13980 = t13979 / 0.16e2;
  t13981 = t3526 * t168;
  t13988 = 0.3e1 / 0.8e1 * t13235;
  t13989 = t13239 / 0.8e1;
  t13990 = t13243 / 0.4e1;
  t13991 = 0.3e1 / 0.16e2 * t13248;
  t13992 = 0.3e1 / 0.8e1 * t13252;
  t13993 = t13256 / 0.2e1;
  t13994 = 0.3e1 / 0.8e1 * t13260;
  t13995 = -t13965 + t13968 - t13971 + t13974 + t3515 * t2599 / 0.16e2 - t13980 + 0.3e1 / 0.8e1 * t534 * t13981 * t5339 - t534 * t13981 * t5243 / 0.16e2 + t13988 - t13989 - t13990 + t13991 - t13992 + t13993 - t13994;
  t13996 = 0.3e1 / 0.16e2 * t13262;
  t13997 = 0.3e1 / 0.16e2 * t13265;
  t13998 = t1888 * t3530;
  t14003 = t153 * t3514;
  t14007 = t60 * t26 * t13449;
  t14014 = t1681 * t3518;
  t14015 = t14014 / 0.32e2;
  t14016 = t1655 * t3518;
  t14017 = t14016 / 0.32e2;
  t14019 = t519 * t2411 * t1920;
  t14020 = t14019 / 0.32e2;
  t14021 = t1678 * t3503;
  t14022 = t14021 / 0.16e2;
  t14025 = t534 * t602 * t717 * t445;
  t14026 = t14025 / 0.16e2;
  t14027 = t1678 * t3507;
  t14028 = t14027 / 0.16e2;
  t14030 = t534 * t1888 * t3506;
  t14031 = t14030 / 0.16e2;
  t14032 = t1678 * t3511;
  t14033 = t14032 / 0.16e2;
  t14034 = -t13996 + t13997 - 0.3e1 / 0.16e2 * t534 * t13998 - t1678 * t3535 / 0.8e1 - t14003 * t751 / 0.32e2 - t14007 * t751 / 0.32e2 - t3515 * t2609 / 0.32e2 - t3515 * t2612 / 0.32e2 - t14015 - t14017 - t14020 - t14022 - t14026 + t14028 + t14031 + t14033;
  t14038 = t534 * t1924 * t3510;
  t14039 = t14038 / 0.16e2;
  t14045 = t602 * t712;
  t14076 = t14039 + 0.3e1 / 0.32e2 * t519 * t2406 * t7074 + t1678 * t3548 / 0.4e1 + t534 * t14045 * t1348 / 0.4e1 - 0.3e1 / 0.16e2 * t1678 * t3552 - 0.3e1 / 0.16e2 * t534 * t7140 * t3551 - t534 * t1924 * t3534 / 0.8e1 - t1678 * t3539 / 0.16e2 - t534 * t14045 * t1330 / 0.16e2 - 0.3e1 / 0.32e2 * t1681 * t3531 + 0.3e1 / 0.32e2 * t1681 * t3523 + 0.3e1 / 0.32e2 * t1655 * t3523 + 0.3e1 / 0.32e2 * t519 * t2370 * t7259 + 0.3e1 / 0.16e2 * t1678 * t3527 + 0.3e1 / 0.16e2 * t534 * t14045 * t1361;
  t14087 = -0.3e1 / 0.16e2 * t1678 * t3531 - 0.3e1 / 0.32e2 * t1655 * t3531 - 0.3e1 / 0.32e2 * t519 * t13998 + 0.3e1 / 0.32e2 * t1681 * t3545 + 0.3e1 / 0.32e2 * t1655 * t3545 - t13757 + t13759 + t13761 - t13765 - t13767 + t13769 - t13771 - t13773 - t13775 - t13777;
  t14089 = t13324 / 0.16e2;
  t14090 = t13326 / 0.16e2;
  t14091 = t13329 / 0.16e2;
  t14092 = t13340 / 0.8e1;
  t14093 = t13345 / 0.8e1;
  t14094 = t13358 / 0.8e1;
  t14095 = t13361 / 0.8e1;
  t14096 = t13386 / 0.8e1;
  t14097 = t13389 / 0.8e1;
  t14098 = t13779 + t13781 - t13813 + t13815 - t14089 - t14090 - t14091 - t14092 - t14093 + t14094 + t14095 + t14096 + t14097 - t13816 + t13817;
  t14099 = -t13818 + t13819 - t3505 + t3509 + t3513 - t3520 - t3521 + t3522 - t3538 + t3542 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t14103 = my_piecewise3(t51, 0, t13915 + t13962 + t13995 + t14034 + t14076 + t14087 + t14098 + t14099);
  tv4rhosigma2lapl23 = t3 * t14103 + t3556;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 23] += tv4rhosigma2lapl23;

  t14105 = t9928 * t111;
  t14117 = t2258 * t295 * t14105;
  t14120 = t2237 * t936;
  t14124 = t3575 * t263;
  t14125 = t14124 * t12959;
  t14128 = t2677 * t13505;
  t14137 = t484 * t12203 * t12873;
  t14138 = t14137 / 0.4e1;
  t14140 = t484 * t2677 * t12873;
  t14141 = 0.3e1 / 0.16e2 * t14140;
  t14146 = t2267 * t295;
  t14147 = t14146 * t2664;
  t14148 = t469 * t14147;
  t14149 = 0.3e1 / 0.32e2 * t14148;
  t14150 = -t699 - 0.15e2 / 0.32e2 * t469 * t13528 * t14105 - 0.25e2 / 0.16e2 * t484 * t3575 * t934 * t12948 + 0.15e2 / 0.16e2 * t484 * t9940 * t13505 + 0.9e1 / 0.16e2 * t469 * t14117 - 0.9e1 / 0.16e2 * t469 * t14120 * t14105 - 0.3e1 / 0.2e1 * t484 * t14125 + 0.9e1 / 0.8e1 * t484 * t14128 + 0.11e2 / 0.16e2 * t484 * t14124 * t12895 + 0.11e2 / 0.16e2 * t469 * t14128 + t14138 - t14141 - t3463 * t2656 / 0.16e2 + t3463 * t2670 / 0.16e2 - t14149;
  t14151 = t2663 * t695;
  t14153 = t469 * t5791 * t14151;
  t14154 = 0.3e1 / 0.32e2 * t14153;
  t14156 = t484 * t2659 * t12873;
  t14157 = t14156 / 0.8e1;
  t14159 = t469 * t5810 * t14151;
  t14160 = 0.3e1 / 0.32e2 * t14159;
  t14175 = t2258 * t265;
  t14188 = t2655 * t8472;
  t14193 = t484 * t14147;
  t14194 = 0.3e1 / 0.16e2 * t14193;
  t14195 = t14154 - t14157 + t14160 + 0.3e1 / 0.8e1 * t484 * t2659 * t13505 - t484 * t2659 * t8472 / 0.4e1 - t484 * t2651 * t8460 / 0.8e1 - 0.7e1 / 0.32e2 * t469 * t14125 + 0.3e1 / 0.16e2 * t469 * t2465 * t9979 - 0.11e2 / 0.32e2 * t469 * t14175 * t14105 + 0.3e1 / 0.8e1 * t484 * t2651 * t5566 - 0.11e2 / 0.16e2 * t484 * t3575 * t43 * t13550 + 0.11e2 / 0.16e2 * t484 * t14117 - 0.3e1 / 0.8e1 * t484 * t14188 + t3463 * t2665 / 0.16e2 - t14194;
  t14208 = t3575 * t111;
  t14213 = t484 * t7589 * t8395;
  t14214 = 0.3e1 / 0.16e2 * t14213;
  t14217 = t484 * t3568 * t111 * t1036;
  t14218 = t14217 / 0.16e2;
  t14222 = -0.3e1 / 0.8e1 * t484 * t2677 * t8472 - 0.3e1 / 0.16e2 * t469 * t14188 + 0.3e1 / 0.16e2 * t469 * t2477 * t9979 + t484 * t2673 * t5585 / 0.2e1 - t484 * t14208 * t4319 / 0.16e2 + t14214 - t14218 + 0.3e1 / 0.8e1 * t484 * t14208 * t4391 - t13605 + t13606 - t13607 - t13608 + t13609 - t13610 + t13611;
  t14224 = t1419 * t3593 / 0.8e1;
  t14226 = t1419 * t3582 / 0.16e2;
  t14228 = t1419 * t3585 / 0.32e2;
  t14230 = 0.3e1 / 0.64e2 * t1502 * t3572;
  t14232 = 0.3e1 / 0.32e2 * t1419 * t3576;
  t14234 = 0.3e1 / 0.32e2 * t1419 * t3579;
  t14235 = t1502 * t3565;
  t14236 = t14235 / 0.64e2;
  t14237 = t1419 * t3569;
  t14238 = t14237 / 0.32e2;
  t14239 = t1419 * t3557;
  t14240 = t14239 / 0.32e2;
  t14241 = t1419 * t3560;
  t14242 = t14241 / 0.32e2;
  t14244 = t13632 * t768 / 0.64e2;
  t14247 = t2019 * t3472;
  t14252 = t13613 - t13614 + t14224 - t14226 - t14228 + t14230 + t14232 - t14234 - t14236 - t14238 + t14240 + t14242 - t14244 - 0.3e1 / 0.16e2 * t1415 * t3579 - 0.3e1 / 0.16e2 * t484 * t14247 - t1415 * t3582 / 0.8e1;
  t14260 = t484 * t631 * t695 * t290;
  t14261 = t14260 / 0.16e2;
  t14269 = t1415 * t3560;
  t14270 = t14269 / 0.16e2;
  t14272 = t484 * t2062 * t3447;
  t14273 = t14272 / 0.16e2;
  t14282 = t1496 * t3565;
  t14283 = t14282 / 0.32e2;
  t14284 = t1506 * t3565;
  t14285 = t14284 / 0.32e2;
  t14287 = t469 * t2267 * t2058;
  t14288 = t14287 / 0.32e2;
  t14289 = t1415 * t3569;
  t14290 = t14289 / 0.16e2;
  t14291 = -t484 * t2062 * t3476 / 0.8e1 - t14261 + 0.3e1 / 0.32e2 * t1496 * t3572 + 0.3e1 / 0.32e2 * t1506 * t3572 + 0.3e1 / 0.32e2 * t469 * t2258 * t7519 + t14270 + t14273 - t13653 * t768 / 0.32e2 - t13657 * t768 / 0.32e2 - t3463 * t2683 / 0.32e2 - t3463 * t2686 / 0.32e2 - t14283 - t14285 - t14288 - t14290;
  t14292 = t1415 * t3557;
  t14293 = t14292 / 0.16e2;
  t14295 = t484 * t2019 * t3458;
  t14296 = t14295 / 0.16e2;
  t14298 = 0.3e1 / 0.32e2 * t1419 * t3596;
  t14300 = 0.3e1 / 0.64e2 * t1502 * t3579;
  t14302 = 0.3e1 / 0.64e2 * t1502 * t3590;
  t14303 = t631 * t690;
  t14327 = t14293 + t14296 - t14298 - t14300 + t14302 + t484 * t14303 * t946 / 0.4e1 - 0.3e1 / 0.16e2 * t1415 * t3596 - 0.3e1 / 0.16e2 * t484 * t7380 * t3496 - t1415 * t3585 / 0.16e2 - t484 * t14303 * t1036 / 0.16e2 - 0.3e1 / 0.32e2 * t1496 * t3579 - 0.3e1 / 0.32e2 * t1506 * t3579 - 0.3e1 / 0.32e2 * t469 * t14247 + 0.3e1 / 0.32e2 * t1496 * t3590 + 0.3e1 / 0.32e2 * t1506 * t3590;
  t14339 = 0.3e1 / 0.32e2 * t469 * t2237 * t7414 + t1415 * t3593 / 0.4e1 + 0.3e1 / 0.16e2 * t1415 * t3576 + 0.3e1 / 0.16e2 * t484 * t14303 * t973 - t13736 - t13737 + t13738 + t13739 - t13740 + t13741 - t13742 - t13743 - t13744 - t13745 + t13746;
  t14340 = t13748 + t13749 - t3567 - t3571 + t3559 + t3562 - t3466 + t3467 - t3483 + t3487 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t14344 = my_piecewise3(t2, 0, t14150 + t14195 + t14222 + t14252 + t14291 + t14327 + t14339 + t14340);
  tv4rhosigma2tau0 = t3 * t14344 + t3600;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 0] += tv4rhosigma2tau0;

  tv4rhosigma2tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 1] += tv4rhosigma2tau1;

  tv4rhosigma2tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 2] += tv4rhosigma2tau2;

  tv4rhosigma2tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 3] += tv4rhosigma2tau3;

  tv4rhosigma2tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 4] += tv4rhosigma2tau4;

  tv4rhosigma2tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 5] += tv4rhosigma2tau5;

  tv4rhosigma2tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 6] += tv4rhosigma2tau6;

  tv4rhosigma2tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 7] += tv4rhosigma2tau7;

  tv4rhosigma2tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 8] += tv4rhosigma2tau8;

  tv4rhosigma2tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 9] += tv4rhosigma2tau9;

  tv4rhosigma2tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 10] += tv4rhosigma2tau10;

  t14360 = t1585 * t3610;
  t14361 = t14360 / 0.16e2;
  t14362 = t1585 * t3613;
  t14363 = t14362 / 0.16e2;
  t14364 = t1585 * t3601;
  t14365 = t14364 / 0.16e2;
  t14368 = t1574 * t3606;
  t14369 = t14368 / 0.32e2;
  t14370 = t1589 * t3601;
  t14371 = t14370 / 0.32e2;
  t14373 = t13763 * t783 / 0.64e2;
  t14375 = 0.3e1 / 0.64e2 * t1578 * t3634;
  t14377 = t1589 * t3637 / 0.8e1;
  t14379 = 0.3e1 / 0.32e2 * t1589 * t3640;
  t14381 = t1589 * t3626 / 0.16e2;
  t14383 = t1589 * t3629 / 0.32e2;
  t14384 = -0.3e1 / 0.16e2 * t1585 * t3640 - t1585 * t3629 / 0.16e2 - 0.3e1 / 0.32e2 * t1574 * t3623 + 0.3e1 / 0.32e2 * t1574 * t3616 + 0.3e1 / 0.16e2 * t1585 * t3620 - 0.3e1 / 0.16e2 * t1585 * t3623 - t1585 * t3626 / 0.8e1 - t14361 + t14363 + t14365 - t13803 * t783 / 0.32e2 - t14369 + t14371 - t14373 + t14375 + t14377 - t14379 - t14381 - t14383;
  t14386 = 0.3e1 / 0.64e2 * t1578 * t3623;
  t14388 = 0.3e1 / 0.64e2 * t1578 * t3616;
  t14390 = 0.3e1 / 0.32e2 * t1589 * t3620;
  t14392 = 0.3e1 / 0.32e2 * t1589 * t3623;
  t14393 = t1578 * t3606;
  t14394 = t14393 / 0.64e2;
  t14395 = t1589 * t3610;
  t14396 = t14395 / 0.32e2;
  t14397 = t1589 * t3613;
  t14398 = t14397 / 0.32e2;
  t14403 = -t14386 + t14388 + t14390 - t14392 - t14394 - t14396 + t14398 + 0.3e1 / 0.32e2 * t1574 * t3634 + t1585 * t3637 / 0.4e1 - t13816 + t13817 - t13818 + t13819 + t13820 + t13821 - t13822 - t13823 - t2336 - t2338;
  t14405 = my_piecewise3(t51, 0, t14384 + t14403);
  tv4rhosigma2tau11 = t3 * t14405 + t3644;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 11] += tv4rhosigma2tau11;

  t14409 = t1548 * t3565;
  t14410 = t14409 / 0.32e2;
  t14411 = t1553 * t3569;
  t14412 = t14411 / 0.16e2;
  t14413 = t1553 * t3557;
  t14414 = t14413 / 0.16e2;
  t14415 = t1553 * t3560;
  t14416 = t14415 / 0.16e2;
  t14435 = -t13836 * t768 / 0.32e2 - t14410 - t14412 + t14414 + t14416 - 0.3e1 / 0.32e2 * t1548 * t3579 + 0.3e1 / 0.32e2 * t1548 * t3590 + t1553 * t3593 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t3596 - t1553 * t3582 / 0.8e1 - t1553 * t3585 / 0.16e2 + 0.3e1 / 0.32e2 * t1548 * t3572 + 0.3e1 / 0.16e2 * t1553 * t3576 - 0.3e1 / 0.16e2 * t1553 * t3579 + t14224 - t14226 - t14228 + t14230 + t14232;
  t14436 = -t14234 - t14236 - t14238 + t14240 + t14242 - t14244 - t14298 - t14300 + t14302 + t13858 - t13859 + t13860 - t13861 - t13740 + t13741 - t13745 + t13746 - t2357 - t2314;
  t14438 = my_piecewise3(t2, 0, t14435 + t14436);
  tv4rhosigma2tau12 = t3 * t14438 + t3600;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 12] += tv4rhosigma2tau12;

  tv4rhosigma2tau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 13] += tv4rhosigma2tau13;

  tv4rhosigma2tau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 14] += tv4rhosigma2tau14;

  tv4rhosigma2tau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 15] += tv4rhosigma2tau15;

  tv4rhosigma2tau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 16] += tv4rhosigma2tau16;

  tv4rhosigma2tau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 17] += tv4rhosigma2tau17;

  tv4rhosigma2tau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 18] += tv4rhosigma2tau18;

  tv4rhosigma2tau19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 19] += tv4rhosigma2tau19;

  tv4rhosigma2tau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 20] += tv4rhosigma2tau20;

  tv4rhosigma2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 21] += tv4rhosigma2tau21;

  tv4rhosigma2tau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 22] += tv4rhosigma2tau22;

  t14443 = t534 * t8066 * t8958;
  t14444 = 0.3e1 / 0.16e2 * t14443;
  t14447 = t534 * t3609 * t168 * t1330;
  t14448 = t14447 / 0.16e2;
  t14449 = t3619 * t168;
  t14456 = t10474 * t168;
  t14457 = t13891 * t14456;
  t14463 = t3619 * t418;
  t14464 = t14463 * t13282;
  t14467 = t2773 * t13887;
  t14478 = t2578 * t10536;
  t14484 = -t721 + t3515 * t2762 / 0.16e2 + t14444 - t14448 + 0.3e1 / 0.8e1 * t534 * t14449 * t5339 - t534 * t14449 * t5243 / 0.16e2 + 0.9e1 / 0.16e2 * t519 * t14457 - 0.9e1 / 0.16e2 * t519 * t13895 * t14456 - 0.3e1 / 0.2e1 * t534 * t14464 + 0.9e1 / 0.8e1 * t534 * t14467 + t534 * t2769 * t6162 / 0.2e1 - 0.3e1 / 0.8e1 * t534 * t2773 * t8832 - 0.7e1 / 0.32e2 * t519 * t14464 - 0.3e1 / 0.16e2 * t519 * t14478 + 0.3e1 / 0.16e2 * t519 * t2584 * t10536;
  t14507 = t3619 * t75;
  t14512 = t534 * t2789 * t13246;
  t14513 = t14512 / 0.8e1;
  t14514 = t2760 * t717;
  t14516 = t519 * t6446 * t14514;
  t14517 = 0.3e1 / 0.32e2 * t14516;
  t14530 = 0.11e2 / 0.16e2 * t534 * t14457 - 0.3e1 / 0.8e1 * t534 * t14478 + 0.3e1 / 0.8e1 * t534 * t2789 * t13887 - t534 * t2789 * t8832 / 0.4e1 - t534 * t2765 * t6158 / 0.8e1 + 0.3e1 / 0.16e2 * t519 * t2598 * t10536 - 0.11e2 / 0.32e2 * t519 * t13955 * t14456 + 0.3e1 / 0.8e1 * t534 * t2765 * t6278 - 0.11e2 / 0.16e2 * t534 * t14507 * t13938 - t14513 + t14517 + 0.11e2 / 0.16e2 * t534 * t14463 * t13286 + 0.11e2 / 0.16e2 * t519 * t14467 - 0.15e2 / 0.32e2 * t519 * t13866 * t14456 - 0.25e2 / 0.16e2 * t534 * t3619 * t1339 * t13269;
  t14535 = t3781 * t13246;
  t14536 = t534 * t14535;
  t14537 = 0.3e1 / 0.16e2 * t14536;
  t14542 = t519 * t14535;
  t14543 = 0.3e1 / 0.32e2 * t14542;
  t14544 = t8895 * t1341;
  t14546 = t519 * t14544 * t2761;
  t14547 = 0.3e1 / 0.32e2 * t14546;
  t14548 = t3609 * t418;
  t14550 = t534 * t14548 * t2407;
  t14551 = t14550 / 0.4e1;
  t14553 = t534 * t2773 * t13246;
  t14554 = 0.3e1 / 0.16e2 * t14553;
  t14555 = 0.15e2 / 0.16e2 * t534 * t10466 * t13887 - t14537 - t3515 * t2777 / 0.16e2 + t3515 * t2780 / 0.16e2 - t14543 + t14547 + t14551 - t14554 + t13988 - t13989 - t13990 + t13991 - t13992 + t13993 - t13994;
  t14556 = t1678 * t3601;
  t14557 = t14556 / 0.16e2;
  t14559 = t534 * t2198 * t3510;
  t14560 = t14559 / 0.16e2;
  t14570 = t670 * t712;
  t14576 = t2174 * t3530;
  t14584 = t1678 * t3613;
  t14585 = t14584 / 0.16e2;
  t14587 = t534 * t2174 * t3506;
  t14588 = t14587 / 0.16e2;
  t14591 = -t13996 + t13997 + t14557 + t14560 + 0.3e1 / 0.32e2 * t1655 * t3634 + 0.3e1 / 0.32e2 * t519 * t2406 * t8124 + t1678 * t3637 / 0.4e1 + 0.3e1 / 0.16e2 * t1678 * t3620 + 0.3e1 / 0.16e2 * t534 * t14570 * t1361 - 0.3e1 / 0.16e2 * t1678 * t3623 - 0.3e1 / 0.16e2 * t534 * t14576 - t1678 * t3626 / 0.8e1 - t534 * t2198 * t3534 / 0.8e1 + t14585 + t14588 + 0.3e1 / 0.32e2 * t1681 * t3616;
  t14607 = t1681 * t3606;
  t14608 = t14607 / 0.32e2;
  t14609 = t1655 * t3606;
  t14610 = t14609 / 0.32e2;
  t14612 = t519 * t2411 * t2162;
  t14613 = t14612 / 0.32e2;
  t14614 = t1678 * t3610;
  t14615 = t14614 / 0.16e2;
  t14618 = t534 * t670 * t717 * t445;
  t14619 = t14618 / 0.16e2;
  t14630 = 0.3e1 / 0.32e2 * t1655 * t3616 + 0.3e1 / 0.32e2 * t519 * t2370 * t8042 - t14003 * t783 / 0.32e2 - t14007 * t783 / 0.32e2 - t3515 * t2803 / 0.32e2 - t3515 * t2806 / 0.32e2 - t14608 - t14610 - t14613 - t14615 - t14619 + t534 * t14570 * t1348 / 0.4e1 - 0.3e1 / 0.16e2 * t1678 * t3640 - 0.3e1 / 0.16e2 * t534 * t8090 * t3551 - t1678 * t3629 / 0.16e2;
  t14642 = -t534 * t14570 * t1330 / 0.16e2 - 0.3e1 / 0.32e2 * t1681 * t3623 - 0.3e1 / 0.32e2 * t1655 * t3623 - 0.3e1 / 0.32e2 * t519 * t14576 + 0.3e1 / 0.32e2 * t1681 * t3634 + t14371 - t14373 + t14375 + t14377 - t14379 - t14381 - t14383 - t14386 + t14388 + t14390;
  t14644 = -t14392 - t14394 - t14396 + t14398 - t14089 - t14090 - t14091 - t14092 - t14093 + t14094 + t14095 + t14096 + t14097 - t13816 + t13817;
  t14645 = -t13818 + t13819 + t3615 + t3603 - t3608 - t3612 - t3521 + t3522 - t3538 + t3542 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t14649 = my_piecewise3(t51, 0, t14484 + t14530 + t14555 + t14591 + t14630 + t14642 + t14644 + t14645);
  tv4rhosigma2tau23 = t3 * t14649 + t3644;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 23] += tv4rhosigma2tau23;

  t14654 = t576 * t265;
  t14659 = t9104 * t111;
  t14663 = t4277 * t798;
  t14664 = t14663 * t183;
  t14665 = t5796 * t14664;
  t14668 = t2455 * t9217;
  t14688 = t5544 * t183;
  t14697 = t2842 * t951 * t14659;
  t14700 = t10810 * t4328;
  t14704 = -t699 + 0.3e1 / 0.16e2 * t469 * t3008 * t9217 + 0.3e1 / 0.8e1 * t484 * t14654 * t9217 - 0.11e2 / 0.16e2 * t484 * t2862 * t265 * t14659 + 0.9e1 / 0.16e2 * t469 * t14665 - 0.3e1 / 0.8e1 * t484 * t14668 + 0.11e2 / 0.16e2 * t484 * t14665 - 0.9e1 / 0.16e2 * t469 * t5791 * t14664 - t484 * t2461 * t9217 / 0.4e1 + 0.3e1 / 0.8e1 * t484 * t2862 * t113 * t14659 - t484 * t3669 * t111 * t4319 / 0.16e2 + 0.3e1 / 0.8e1 * t484 * t2834 * t43 * t14688 + 0.11e2 / 0.16e2 * t484 * t3669 * t263 * t12895 + 0.11e2 / 0.16e2 * t469 * t14697 - 0.15e2 / 0.32e2 * t469 * t14700 * t14659;
  t14714 = t2838 * t936 * t14659;
  t14738 = 0.3e1 / 0.16e2 * t13487;
  t14739 = t13491 / 0.2e1;
  t14740 = 0.3e1 / 0.8e1 * t13494;
  t14741 = 0.3e1 / 0.8e1 * t13514;
  t14742 = -0.25e2 / 0.16e2 * t484 * t2842 * t4328 * t14659 + 0.15e2 / 0.16e2 * t484 * t10810 * t4336 * t14659 - 0.3e1 / 0.2e1 * t484 * t14714 + 0.9e1 / 0.8e1 * t484 * t14697 + 0.3e1 / 0.16e2 * t469 * t2997 * t9217 + t484 * t9113 * t9217 / 0.2e1 - 0.3e1 / 0.8e1 * t484 * t2485 * t9217 - t484 * t2471 * t6522 / 0.8e1 - 0.7e1 / 0.32e2 * t469 * t14714 - 0.3e1 / 0.16e2 * t469 * t14668 - 0.11e2 / 0.32e2 * t469 * t5810 * t14664 + t14738 + t14739 - t14740 + t14741;
  t14744 = t13518 / 0.8e1;
  t14745 = 0.3e1 / 0.8e1 * t13542;
  t14746 = 0.3e1 / 0.16e2 * t13544;
  t14747 = t13566 / 0.4e1;
  t14748 = 0.3e1 / 0.16e2 * t13570;
  t14749 = 0.3e1 / 0.16e2 * t12862;
  t14750 = 0.3e1 / 0.16e2 * t12866;
  t14751 = t12870 / 0.16e2;
  t14752 = 0.3e1 / 0.32e2 * t12875;
  t14753 = 0.3e1 / 0.32e2 * t12878;
  t14754 = 0.3e1 / 0.16e2 * t12880;
  t14755 = t12884 / 0.4e1;
  t14756 = 0.3e1 / 0.32e2 * t12887;
  t14757 = t12891 / 0.8e1;
  t14758 = t2838 * t8460;
  t14761 = -t14744 - t14745 - t14746 - t14747 + t14748 - t14749 + t14750 - t14751 - t14752 + t14753 - t14754 + t14755 + t14756 - t14757 - 0.3e1 / 0.16e2 * t484 * t14758;
  t14768 = 0.3e1 / 0.64e2 * t1502 * t3676;
  t14770 = t1419 * t3679 / 0.8e1;
  t14772 = 0.3e1 / 0.32e2 * t1419 * t3683;
  t14774 = t1419 * t3670 / 0.32e2;
  t14776 = 0.3e1 / 0.64e2 * t1502 * t3649;
  t14778 = 0.3e1 / 0.64e2 * t1502 * t3656;
  t14780 = 0.3e1 / 0.32e2 * t1419 * t3645;
  t14782 = 0.3e1 / 0.32e2 * t1419 * t3649;
  t14784 = t1419 * t3653 / 0.16e2;
  t14794 = -t1415 * t3653 / 0.8e1 - t484 * t2862 * t12981 / 0.8e1 + t14768 + t14770 - t14772 - t14774 - t14776 + t14778 + t14780 - t14782 - t14784 - t3463 * t2839 / 0.16e2 + t3463 * t2843 / 0.16e2 + 0.3e1 / 0.32e2 * t469 * t2842 * t5585 + t1415 * t3679 / 0.4e1;
  t14832 = t484 * t2838 * t5585 / 0.4e1 - 0.3e1 / 0.16e2 * t1415 * t3683 - 0.3e1 / 0.16e2 * t484 * t2842 * t13006 + t3463 * t2869 / 0.16e2 - t1415 * t3670 / 0.16e2 - t484 * t798 * t478 * t1036 / 0.16e2 - 0.3e1 / 0.32e2 * t1496 * t3649 - 0.3e1 / 0.32e2 * t1506 * t3649 - 0.3e1 / 0.32e2 * t469 * t14758 + 0.3e1 / 0.32e2 * t1496 * t3676 - t3463 * t2866 / 0.16e2 + 0.3e1 / 0.32e2 * t1496 * t3656 + 0.3e1 / 0.32e2 * t1506 * t3656 + 0.3e1 / 0.32e2 * t469 * t2838 * t5566 + 0.3e1 / 0.16e2 * t1415 * t3645;
  t14840 = t13629 / 0.16e2;
  t14841 = t13635 / 0.16e2;
  t14842 = t13637 / 0.32e2;
  t14843 = t13639 / 0.16e2;
  t14844 = t13648 / 0.8e1;
  t14845 = t13651 / 0.8e1;
  t14846 = t13664 / 0.8e1;
  t14847 = t13667 / 0.8e1;
  t14848 = t13669 / 0.16e2;
  t14849 = t13671 / 0.16e2;
  t14850 = t13674 / 0.16e2;
  t14851 = t13676 / 0.8e1;
  t14852 = 0.3e1 / 0.16e2 * t484 * t2862 * t5566 - 0.3e1 / 0.16e2 * t1415 * t3649 + 0.3e1 / 0.32e2 * t1506 * t3676 + t14840 + t14841 - t14842 - t14843 + t14844 + t14845 + t14846 + t14847 - t14848 - t14849 - t14850 - t14851;
  t14854 = t13680 / 0.8e1;
  t14855 = t12904 / 0.32e2;
  t14856 = t12907 / 0.32e2;
  t14857 = t12912 / 0.16e2;
  t14858 = t12915 / 0.16e2;
  t14859 = t12963 / 0.64e2;
  t14860 = t12966 / 0.32e2;
  t14861 = t12975 / 0.16e2;
  t14862 = t12979 / 0.16e2;
  t14863 = t12994 / 0.32e2;
  t14864 = t12996 / 0.32e2;
  t14865 = t13001 / 0.32e2;
  t14866 = t13020 / 0.16e2;
  t14867 = t13023 / 0.16e2;
  t14869 = t255 * t3666 / 0.64e2;
  t14870 = -t14854 - t14855 - t14856 + t14857 + t14858 - t14859 + t14860 - t14861 - t14862 - t14863 - t14864 + t14865 + t14866 + t14867 - t14869;
  t14877 = -t246 * t3666 / 0.32e2 - t99 * t13091 * t798 * t269 / 0.32e2 + t3659 - t3660 - t3661 + t3662 - t3663 + t3664 - t3673 + t3686 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t14881 = my_piecewise3(t2, 0, t14704 + t14742 + t14761 + t14794 + t14832 + t14852 + t14870 + t14877);
  tv4rhosigmalapl20 = t3 * t14881 + t3688;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 0] += tv4rhosigmalapl20;

  tv4rhosigmalapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 1] += tv4rhosigmalapl21;

  tv4rhosigmalapl22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 2] += tv4rhosigmalapl22;

  tv4rhosigmalapl23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 3] += tv4rhosigmalapl23;

  tv4rhosigmalapl24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 4] += tv4rhosigmalapl24;

  tv4rhosigmalapl25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 5] += tv4rhosigmalapl25;

  tv4rhosigmalapl26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 6] += tv4rhosigmalapl26;

  tv4rhosigmalapl27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 7] += tv4rhosigmalapl27;

  t14900 = 0.3e1 / 0.64e2 * t1578 * t3692;
  t14902 = 0.3e1 / 0.64e2 * t1578 * t3726;
  t14904 = t1589 * t3713 / 0.32e2;
  t14906 = t1589 * t3717 / 0.8e1;
  t14908 = 0.3e1 / 0.32e2 * t1589 * t3721;
  t14912 = 0.3e1 / 0.32e2 * t1589 * t3692;
  t14914 = t1589 * t3696 / 0.16e2;
  t14916 = 0.3e1 / 0.64e2 * t1578 * t3699;
  t14918 = 0.3e1 / 0.32e2 * t1589 * t3689;
  t14919 = t13756 / 0.16e2;
  t14920 = t1585 * t3717 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t3721 - 0.3e1 / 0.32e2 * t1574 * t3692 + 0.3e1 / 0.32e2 * t1574 * t3726 - t1585 * t3713 / 0.16e2 - 0.3e1 / 0.16e2 * t1585 * t3692 - t1585 * t3696 / 0.8e1 + 0.3e1 / 0.32e2 * t1574 * t3699 - t14900 + t14902 - t14904 + t14906 - t14908 + 0.3e1 / 0.16e2 * t1585 * t3689 - t14912 - t14914 + t14916 + t14918 - t14919;
  t14921 = t13758 / 0.16e2;
  t14922 = t13760 / 0.16e2;
  t14923 = t13766 / 0.32e2;
  t14924 = t13801 / 0.8e1;
  t14925 = t13806 / 0.16e2;
  t14926 = t13808 / 0.8e1;
  t14927 = t13810 / 0.8e1;
  t14928 = t13139 / 0.32e2;
  t14929 = t13141 / 0.32e2;
  t14930 = t13143 / 0.64e2;
  t14931 = t13145 / 0.32e2;
  t14932 = t13147 / 0.16e2;
  t14933 = t13149 / 0.16e2;
  t14934 = t13151 / 0.16e2;
  t14935 = t13153 / 0.32e2;
  t14939 = t370 * t3709 / 0.64e2;
  t14940 = t14921 + t14922 - t14923 + t14924 - t14925 - t14926 + t14927 - t14928 + t14929 - t14930 + t14931 + t14932 + t14933 - t14934 - t14935 - t367 * t3709 / 0.32e2 - t14939 - t2336 - t2338;
  t14942 = my_piecewise3(t51, 0, t14920 + t14940);
  tv4rhosigmalapl28 = t3 * t14942 + t3731;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 8] += tv4rhosigmalapl28;

  t14962 = t13841 / 0.8e1;
  t14963 = -0.3e1 / 0.16e2 * t1553 * t3683 - 0.3e1 / 0.32e2 * t1548 * t3649 + 0.3e1 / 0.32e2 * t1548 * t3676 + t1553 * t3679 / 0.4e1 - t1553 * t3670 / 0.16e2 + 0.3e1 / 0.16e2 * t1553 * t3645 - 0.3e1 / 0.16e2 * t1553 * t3649 - t1553 * t3653 / 0.8e1 + 0.3e1 / 0.32e2 * t1548 * t3656 + t14768 + t14770 - t14772 - t14774 - t14776 + t14778 + t14780 - t14782 - t14784 + t14962;
  t14964 = t13843 / 0.16e2;
  t14965 = t13845 / 0.8e1;
  t14966 = t13847 / 0.8e1;
  t14967 = t13200 / 0.16e2;
  t14968 = t13202 / 0.16e2;
  t14969 = t13204 / 0.16e2;
  t14970 = t13206 / 0.32e2;
  t14973 = -t14964 - t14965 + t14966 + t14840 + t14841 - t14842 - t14843 + t14967 - t14968 + t14969 - t14970 - t14859 + t14860 - t14864 + t14865 - t14869 - t345 * t3666 / 0.32e2 - t2357 - t2314;
  t14975 = my_piecewise3(t2, 0, t14963 + t14973);
  tv4rhosigmalapl29 = t3 * t14975 + t3688;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 9] += tv4rhosigmalapl29;

  tv4rhosigmalapl210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 10] += tv4rhosigmalapl210;

  tv4rhosigmalapl211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 11] += tv4rhosigmalapl211;

  tv4rhosigmalapl212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 12] += tv4rhosigmalapl212;

  tv4rhosigmalapl213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 13] += tv4rhosigmalapl213;

  tv4rhosigmalapl214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 14] += tv4rhosigmalapl214;

  tv4rhosigmalapl215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 15] += tv4rhosigmalapl215;

  tv4rhosigmalapl216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 16] += tv4rhosigmalapl216;

  t14977 = t3108 * t9752;
  t14987 = t5232 * t815;
  t14988 = t14987 * t191;
  t14989 = t7313 * t1353 * t14988;
  t15004 = t520 * t1341 * t14988;
  t15010 = t9641 * t168;
  t15011 = t2933 * t450 * t15010;
  t15027 = -t721 - 0.3e1 / 0.16e2 * t519 * t14977 + 0.3e1 / 0.16e2 * t519 * t3112 * t9752 + t534 * t9681 * t9752 / 0.2e1 + 0.11e2 / 0.16e2 * t519 * t14989 - 0.3e1 / 0.8e1 * t534 * t2572 * t9752 - 0.15e2 / 0.32e2 * t519 * t168 * t5227 * t5258 * t14988 - t534 * t2602 * t11182 / 0.8e1 - 0.7e1 / 0.32e2 * t519 * t15004 - 0.3e1 / 0.8e1 * t534 * t14977 + 0.11e2 / 0.16e2 * t534 * t15011 - 0.9e1 / 0.16e2 * t519 * t7314 * t14988 - t534 * t2594 * t9752 / 0.4e1 + 0.3e1 / 0.8e1 * t534 * t2947 * t170 * t15010 - 0.11e2 / 0.32e2 * t519 * t6446 * t14988;
  t15064 = t13877 / 0.2e1;
  t15065 = 0.3e1 / 0.8e1 * t13880;
  t15066 = 0.3e1 / 0.8e1 * t13913;
  t15067 = 0.3e1 / 0.16e2 * t13918;
  t15068 = 0.3e1 / 0.16e2 * t519 * t3132 * t9752 + 0.3e1 / 0.8e1 * t534 * t11193 * t9752 - 0.11e2 / 0.16e2 * t534 * t2947 * t420 * t15010 + 0.9e1 / 0.16e2 * t519 * t15011 + 0.3e1 / 0.8e1 * t534 * t2970 * t75 * t6216 - t534 * t3712 * t168 * t5243 / 0.16e2 + 0.11e2 / 0.16e2 * t534 * t3712 * t418 * t13286 - 0.25e2 / 0.16e2 * t534 * t2937 * t5258 * t15010 + 0.15e2 / 0.16e2 * t534 * t11231 * t5229 * t15010 - 0.3e1 / 0.2e1 * t534 * t15004 + 0.9e1 / 0.8e1 * t534 * t14989 + t15064 - t15065 + t15066 - t15067;
  t15070 = 0.3e1 / 0.8e1 * t13964;
  t15071 = 0.3e1 / 0.16e2 * t13967;
  t15072 = t13970 / 0.4e1;
  t15073 = 0.3e1 / 0.16e2 * t13973;
  t15074 = t13979 / 0.8e1;
  t15075 = 0.3e1 / 0.16e2 * t13235;
  t15076 = t13239 / 0.16e2;
  t15077 = t13243 / 0.8e1;
  t15078 = 0.3e1 / 0.32e2 * t13248;
  t15079 = 0.3e1 / 0.16e2 * t13252;
  t15080 = t13256 / 0.4e1;
  t15081 = 0.3e1 / 0.16e2 * t13260;
  t15082 = 0.3e1 / 0.32e2 * t13262;
  t15083 = 0.3e1 / 0.32e2 * t13265;
  t15084 = t2933 * t6158;
  t15087 = -t15070 + t15071 - t15072 + t15073 - t15074 + t15075 - t15076 - t15077 + t15078 - t15079 + t15080 - t15081 - t15082 + t15083 - 0.3e1 / 0.16e2 * t534 * t15084;
  t15123 = -t1678 * t3696 / 0.8e1 + t534 * t2933 * t6162 / 0.4e1 - 0.3e1 / 0.16e2 * t1678 * t3721 - 0.3e1 / 0.16e2 * t534 * t2937 * t13334 - 0.3e1 / 0.32e2 * t1681 * t3692 - 0.3e1 / 0.32e2 * t1655 * t3692 - 0.3e1 / 0.32e2 * t519 * t15084 + 0.3e1 / 0.32e2 * t1681 * t3726 + 0.3e1 / 0.32e2 * t1655 * t3726 + 0.3e1 / 0.32e2 * t519 * t2937 * t6162 - t3515 * t2964 / 0.16e2 + t3515 * t2967 / 0.16e2 - t1678 * t3713 / 0.16e2 - t534 * t815 * t528 * t1330 / 0.16e2 + t1678 * t3717 / 0.4e1;
  t15147 = -t534 * t2947 * t13379 / 0.8e1 + 0.3e1 / 0.32e2 * t1681 * t3699 + 0.3e1 / 0.32e2 * t1655 * t3699 + 0.3e1 / 0.32e2 * t519 * t2933 * t6278 + 0.3e1 / 0.16e2 * t1678 * t3689 + 0.3e1 / 0.16e2 * t534 * t2947 * t6278 - 0.3e1 / 0.16e2 * t1678 * t3692 - t3515 * t2934 / 0.16e2 + t3515 * t2938 / 0.16e2 - t14900 + t14902 - t14904 + t14906 - t14908 - t14912;
  t15148 = t14014 / 0.16e2;
  t15149 = t14016 / 0.16e2;
  t15150 = t14019 / 0.16e2;
  t15151 = t14021 / 0.8e1;
  t15152 = t14025 / 0.8e1;
  t15153 = t14027 / 0.8e1;
  t15154 = t14030 / 0.8e1;
  t15155 = t14032 / 0.8e1;
  t15156 = t14038 / 0.8e1;
  t15157 = -t14914 + t14916 + t14918 - t15148 - t15149 - t15150 - t15151 - t15152 + t15153 + t15154 + t15155 + t15156 - t14919 + t14921 + t14922;
  t15159 = t13324 / 0.32e2;
  t15160 = t13326 / 0.32e2;
  t15161 = t13329 / 0.32e2;
  t15162 = t13340 / 0.16e2;
  t15163 = t13345 / 0.16e2;
  t15164 = t13358 / 0.16e2;
  t15165 = t13361 / 0.16e2;
  t15166 = t13386 / 0.16e2;
  t15167 = t13389 / 0.16e2;
  t15168 = -t14923 - t15159 - t15160 - t15161 - t15162 - t15163 + t15164 + t15165 + t15166 + t15167 - t14928 + t14929 - t14930 + t14931 - t14939;
  t15175 = -t409 * t3709 / 0.32e2 - t156 * t13449 * t815 * t424 / 0.32e2 - t3702 + t3703 + t3704 - t3705 - t3706 + t3707 - t3716 + t3729 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t15179 = my_piecewise3(t51, 0, t15027 + t15068 + t15087 + t15123 + t15147 + t15157 + t15168 + t15175);
  tv4rhosigmalapl217 = t3 * t15179 + t3731;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 17] += tv4rhosigmalapl217;

  t15181 = t10010 * t3738;
  t15184 = t2655 * t9217;
  t15187 = t2655 * t9198;
  t15195 = 0.3e1 / 0.64e2 * t1502 * t3746;
  t15197 = t1419 * t3750 / 0.32e2;
  t15199 = 0.3e1 / 0.64e2 * t1502 * t3739;
  t15201 = 0.3e1 / 0.64e2 * t1502 * t3755;
  t15203 = t1419 * t3758 / 0.8e1;
  t15205 = 0.3e1 / 0.32e2 * t1419 * t3761;
  t15224 = -t699 - 0.3e1 / 0.16e2 * t484 * t15181 - 0.3e1 / 0.16e2 * t484 * t15184 - 0.3e1 / 0.16e2 * t484 * t15187 - t1415 * t3742 / 0.8e1 + t3463 * t3009 / 0.16e2 + t15195 - t15197 - t15199 + t15201 + t15203 - t15205 - 0.3e1 / 0.32e2 * t469 * t15181 - 0.3e1 / 0.32e2 * t469 * t15187 + 0.3e1 / 0.32e2 * t1496 * t3755 + 0.3e1 / 0.32e2 * t1506 * t3755 + 0.3e1 / 0.32e2 * t469 * t6496 * t936 * t3745 - t484 * t10040 * t3738 / 0.8e1 - t484 * t2659 * t9217 / 0.8e1;
  t15279 = -t484 * t2659 * t9198 / 0.8e1 + 0.3e1 / 0.32e2 * t1496 * t3746 + 0.3e1 / 0.32e2 * t1506 * t3746 + 0.3e1 / 0.32e2 * t469 * t11466 * t3745 + 0.3e1 / 0.32e2 * t469 * t3008 * t10015 + 0.3e1 / 0.32e2 * t469 * t3008 * t9979 - t1415 * t3750 / 0.16e2 - t484 * t3044 * t183 * t1036 / 0.16e2 + 0.3e1 / 0.16e2 * t1415 * t3735 + 0.3e1 / 0.16e2 * t484 * t11425 * t1474 + 0.3e1 / 0.16e2 * t484 * t11429 * t1474 + 0.3e1 / 0.16e2 * t484 * t3016 * t5566 - 0.3e1 / 0.16e2 * t1415 * t3739 + 0.3e1 / 0.32e2 * t469 * t2997 * t10015 + 0.3e1 / 0.32e2 * t469 * t2997 * t9979 + t1415 * t3758 / 0.4e1 + t484 * t11556 * t1526 / 0.4e1 + t484 * t11560 * t1526 / 0.4e1 + t484 * t3001 * t5585 / 0.4e1 - 0.3e1 / 0.16e2 * t1415 * t3761;
  t15305 = 0.3e1 / 0.32e2 * t1419 * t3735;
  t15307 = 0.3e1 / 0.32e2 * t1419 * t3739;
  t15309 = t1419 * t3742 / 0.16e2;
  t15314 = -0.3e1 / 0.16e2 * t484 * t9968 * t3738 - 0.3e1 / 0.16e2 * t484 * t2677 * t9217 - 0.3e1 / 0.16e2 * t484 * t2677 * t9198 - t484 * t3048 * t183 * t1036 / 0.16e2 - t484 * t835 * t478 * t1036 / 0.16e2 - 0.3e1 / 0.32e2 * t1496 * t3739 - 0.3e1 / 0.32e2 * t1506 * t3739 - 0.3e1 / 0.32e2 * t469 * t15184 + t15305 - t15307 - t15309 - t3463 * t2994 / 0.16e2 + t3463 * t2998 / 0.16e2 + t14138 - t14141 - t14149 + t14154 - t14157 + t14160;
  t15315 = -t14194 + t14214 - t14218 + t13488 + t13492 - t13495 + t13515 - t13519 - t13543 - t13545 - t13567 + t13571 - t14749 + t14750 - t14751 - t14752 + t14753 - t14754 + t14755 + t14756;
  t15319 = t13632 * t832 / 0.64e2;
  t15328 = -t14757 - t15319 - t3463 * t3027 / 0.32e2 - t3463 * t3030 / 0.32e2 - t13653 * t832 / 0.32e2 - t13657 * t832 / 0.32e2 - t14236 - t14238 + t14240 + t14242 - t14261 + t14270 + t14273 - t14283 - t14285 - t14288 - t14290 + t14293 + t14296;
  t15329 = t23 * t24;
  t15330 = t25 * t260;
  t15332 = t15329 * t15330 * t111;
  t15338 = t15329 * t25 * t100 * t213;
  t15358 = t15329 * t15330 * t199;
  t15387 = -0.7e1 / 0.32e2 * t15332 * t4286 * t3749 + 0.3e1 / 0.8e1 * t15338 * t4546 * t2451 - 0.11e2 / 0.32e2 * t15332 * t4278 * t3749 + 0.11e2 / 0.16e2 * t15338 * t4342 * t2451 - 0.9e1 / 0.16e2 * t15332 * t4368 * t3749 + 0.9e1 / 0.8e1 * t15338 * t4354 * t2451 + 0.11e2 / 0.16e2 * t15338 * t2481 * t12895 + 0.11e2 / 0.16e2 * t15358 * t4354 * t2647 - 0.15e2 / 0.32e2 * t15358 * t4359 * t2647 - 0.25e2 / 0.16e2 * t15338 * t1719 * t4328 * t14659 + 0.15e2 / 0.16e2 * t15338 * t4338 * t2451 - 0.3e1 / 0.2e1 * t15338 * t9113 * t14659 - t15338 * t2451 * t4319 / 0.16e2 - 0.11e2 / 0.16e2 * t15338 * t14654 * t14659 + 0.9e1 / 0.16e2 * t15332 * t4342 * t3749 + 0.3e1 / 0.8e1 * t15338 * t9134 * t14688 + t13630 + t13636 - t13638 - t13640;
  t15389 = t13649 + t13652 + t13665 + t13668 - t13670 - t13672 - t13675 - t13677 - t13681 - t14855 - t14856 + t14857 + t14858 - t14859 + t14860 - t14861 - t14862 - t14863 - t14864 + t14865;
  t15390 = t14866 + t14867 - t3567 - t3571 + t3559 + t3562 + t3450 - t3453 - t3457 + t3461 - t3663 + t3664 - t3673 + t3686 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t15394 = my_piecewise3(t2, 0, t15224 + t15279 + t15314 + t15315 + t15328 + t15387 + t15389 + t15390);
  tv4rhosigmalapltau0 = t3 * t15394 + t3766;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 0] += tv4rhosigmalapltau0;

  tv4rhosigmalapltau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 1] += tv4rhosigmalapltau1;

  tv4rhosigmalapltau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 2] += tv4rhosigmalapltau2;

  tv4rhosigmalapltau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 3] += tv4rhosigmalapltau3;

  tv4rhosigmalapltau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 4] += tv4rhosigmalapltau4;

  tv4rhosigmalapltau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 5] += tv4rhosigmalapltau5;

  tv4rhosigmalapltau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 6] += tv4rhosigmalapltau6;

  tv4rhosigmalapltau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 7] += tv4rhosigmalapltau7;

  tv4rhosigmalapltau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 8] += tv4rhosigmalapltau8;

  tv4rhosigmalapltau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 9] += tv4rhosigmalapltau9;

  tv4rhosigmalapltau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 10] += tv4rhosigmalapltau10;

  t15405 = t1589 * t3771 / 0.16e2;
  t15407 = 0.3e1 / 0.64e2 * t1578 * t3775;
  t15409 = 0.3e1 / 0.32e2 * t1589 * t3778;
  t15411 = 0.3e1 / 0.32e2 * t1589 * t3782;
  t15413 = t1589 * t3786 / 0.32e2;
  t15415 = 0.3e1 / 0.64e2 * t1578 * t3782;
  t15417 = 0.3e1 / 0.64e2 * t1578 * t3791;
  t15418 = -0.3e1 / 0.32e2 * t1574 * t3782 + 0.3e1 / 0.32e2 * t1574 * t3791 + t1585 * t3794 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t3797 - t15405 + t15407 + t15409 - t15411 - t15413 - t15415 + t15417;
  t15420 = t1589 * t3794 / 0.8e1;
  t15422 = 0.3e1 / 0.32e2 * t1589 * t3797;
  t15436 = t13763 * t849 / 0.64e2;
  t15437 = t15420 - t15422 - t1585 * t3771 / 0.8e1 + 0.3e1 / 0.32e2 * t1574 * t3775 + 0.3e1 / 0.16e2 * t1585 * t3778 - 0.3e1 / 0.16e2 * t1585 * t3782 - t1585 * t3786 / 0.16e2 - t13803 * t849 / 0.32e2 - t15436 - t14361 + t14363 + t14365;
  t15439 = -t14369 + t14371 - t14394 - t14396 + t14398 - t13757 + t13759 + t13761 - t13767 + t13802 - t13807;
  t15440 = -t13809 + t13811 - t14928 + t14929 - t14930 + t14931 + t14932 + t14933 - t14934 - t14935 - t2336 - t2338;
  t15443 = my_piecewise3(t51, 0, t15418 + t15437 + t15439 + t15440);
  tv4rhosigmalapltau11 = t3 * t15443 + t3802;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 11] += tv4rhosigmalapltau11;

  t15463 = 0.3e1 / 0.16e2 * t1553 * t3735 - 0.3e1 / 0.16e2 * t1553 * t3739 - t1553 * t3742 / 0.8e1 + 0.3e1 / 0.32e2 * t1548 * t3746 - t1553 * t3750 / 0.16e2 - 0.3e1 / 0.32e2 * t1548 * t3739 + 0.3e1 / 0.32e2 * t1548 * t3755 + t1553 * t3758 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t3761 + t15195 - t15197;
  t15466 = -t15199 + t15201 + t15203 - t15205 + t15305 - t15307 - t15309 - t13836 * t832 / 0.32e2 - t15319 - t14410 - t14412 + t14414;
  t15468 = t14416 - t14236 - t14238 + t14240 + t14242 + t13842 - t13844 - t13846 + t13848 + t13630 + t13636;
  t15469 = -t13638 - t13640 + t14967 - t14968 + t14969 - t14970 - t14859 + t14860 - t14864 + t14865 - t2357 - t2314;
  t15472 = my_piecewise3(t2, 0, t15463 + t15466 + t15468 + t15469);
  tv4rhosigmalapltau12 = t3 * t15472 + t3766;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 12] += tv4rhosigmalapltau12;

  tv4rhosigmalapltau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 13] += tv4rhosigmalapltau13;

  tv4rhosigmalapltau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 14] += tv4rhosigmalapltau14;

  tv4rhosigmalapltau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 15] += tv4rhosigmalapltau15;

  tv4rhosigmalapltau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 16] += tv4rhosigmalapltau16;

  tv4rhosigmalapltau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 17] += tv4rhosigmalapltau17;

  tv4rhosigmalapltau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 18] += tv4rhosigmalapltau18;

  tv4rhosigmalapltau19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 19] += tv4rhosigmalapltau19;

  tv4rhosigmalapltau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 20] += tv4rhosigmalapltau20;

  tv4rhosigmalapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 21] += tv4rhosigmalapltau21;

  tv4rhosigmalapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 22] += tv4rhosigmalapltau22;

  t15480 = t9700 * t3774;
  t15483 = t3108 * t10528;
  t15486 = t3108 * t10536;
  t15524 = -t721 - 0.3e1 / 0.16e2 * t534 * t2773 * t9752 - 0.3e1 / 0.16e2 * t534 * t2773 * t9807 - 0.3e1 / 0.32e2 * t519 * t15480 - 0.3e1 / 0.32e2 * t519 * t15483 - 0.3e1 / 0.32e2 * t519 * t15486 + 0.3e1 / 0.32e2 * t1681 * t3791 + 0.3e1 / 0.32e2 * t1655 * t3791 + 0.3e1 / 0.32e2 * t519 * t7140 * t1341 * t3774 + 0.3e1 / 0.32e2 * t519 * t3112 * t10528 + 0.3e1 / 0.32e2 * t519 * t3112 * t10536 + t1678 * t3794 / 0.4e1 + t534 * t11954 * t1625 / 0.4e1 + t534 * t11958 * t1625 / 0.4e1 + t534 * t3116 * t6162 / 0.4e1 - 0.3e1 / 0.16e2 * t1678 * t3797 - 0.3e1 / 0.16e2 * t534 * t10509 * t3770 + 0.3e1 / 0.32e2 * t519 * t3132 * t10536 + 0.3e1 / 0.16e2 * t1678 * t3778;
  t15577 = 0.3e1 / 0.16e2 * t534 * t11997 * t1707 + 0.3e1 / 0.16e2 * t534 * t12001 * t1707 + 0.3e1 / 0.16e2 * t534 * t3123 * t6278 - 0.3e1 / 0.16e2 * t1678 * t3782 - 0.3e1 / 0.16e2 * t534 * t15483 - 0.3e1 / 0.16e2 * t534 * t15480 - 0.3e1 / 0.16e2 * t534 * t15486 - t1678 * t3786 / 0.16e2 - t534 * t3163 * t191 * t1330 / 0.16e2 - t534 * t3167 * t191 * t1330 / 0.16e2 - t534 * t852 * t528 * t1330 / 0.16e2 - 0.3e1 / 0.32e2 * t1681 * t3782 - 0.3e1 / 0.32e2 * t1655 * t3782 + t3515 * t3133 / 0.16e2 - t1678 * t3771 / 0.8e1 - t534 * t10555 * t3770 / 0.8e1 - t534 * t2789 * t9752 / 0.8e1 - t534 * t2789 * t9807 / 0.8e1 + 0.3e1 / 0.32e2 * t1681 * t3775 + 0.3e1 / 0.32e2 * t1655 * t3775;
  t15589 = 0.3e1 / 0.32e2 * t519 * t11984 * t3774 + 0.3e1 / 0.32e2 * t519 * t3132 * t10528 - t3515 * t3109 / 0.16e2 + t3515 * t3113 / 0.16e2 - t15405 + t15407 + t15409 - t15411 - t15413 - t15415 + t15417 + t15420 - t15422 + t14444 - t14448 - t14513 + t14517 - t14537 - t14543;
  t15590 = t14547 + t14551 - t14554 + t13878 - t13881 + t13914 - t13919 - t13965 + t13968 - t13971 + t13974 - t13980 + t15075 - t15076 - t15077 + t15078 - t15079 + t15080 - t15081 - t15082;
  t15601 = t15083 - t14003 * t849 / 0.32e2 - t14007 * t849 / 0.32e2 - t3515 * t3155 / 0.32e2 - t3515 * t3158 / 0.32e2 - t15436 + t14557 + t14560 + t14585 + t14588 - t14608 - t14610 - t14613 - t14615 - t14619 + t14371 - t14394 - t14396 + t14398;
  t15602 = t60 * t24;
  t15605 = t15602 * t25 * t157 * t219;
  t15609 = t25 * t415;
  t15611 = t15602 * t15609 * t168;
  t15625 = t15602 * t15609 * t207;
  t15632 = -t14015 - t14017 - t14020 - t14022 - t14026 + t14028 + t14031 + t14033 + t14039 - t13757 + t13759 + t13761 - t13767 + 0.3e1 / 0.8e1 * t15605 * t5300 * t2588 - 0.11e2 / 0.32e2 * t15611 * t5271 * t3785 - 0.7e1 / 0.32e2 * t15611 * t5277 * t3785 + 0.15e2 / 0.16e2 * t15605 * t5233 * t2588 + 0.11e2 / 0.16e2 * t15605 * t5321 * t2588 + 0.9e1 / 0.16e2 * t15625 * t5321 * t2783 - 0.9e1 / 0.16e2 * t15625 * t5325 * t2783;
  t15663 = -0.3e1 / 0.2e1 * t15605 * t9681 * t15010 + 0.9e1 / 0.8e1 * t15605 * t5253 * t2588 + 0.11e2 / 0.16e2 * t15605 * t2568 * t13286 + 0.11e2 / 0.16e2 * t15625 * t5253 * t2783 - 0.15e2 / 0.32e2 * t15625 * t5260 * t2783 - 0.25e2 / 0.16e2 * t15605 * t1969 * t5258 * t15010 - 0.11e2 / 0.16e2 * t15605 * t13427 * t420 * t9773 + 0.3e1 / 0.8e1 * t15605 * t9663 * t6216 - t15605 * t2588 * t5243 / 0.16e2 - t15159 - t15160 - t15161 - t15162 - t15163 + t15164 + t15165 + t15166 + t15167 - t14928 + t14929;
  t15664 = -t14930 + t14931 + t3615 + t3603 - t3608 - t3612 - t3505 + t3509 + t3513 - t3520 - t3706 + t3707 - t3716 + t3729 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t15668 = my_piecewise3(t51, 0, t15524 + t15577 + t15589 + t15590 + t15601 + t15632 + t15663 + t15664);
  tv4rhosigmalapltau23 = t3 * t15668 + t3802;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 23] += tv4rhosigmalapltau23;

  t15674 = t3185 * t951;
  t15675 = t15674 * t14659;
  t15678 = t12247 * t4328;
  t15682 = t3185 * t4328;
  t15686 = t12247 * t4336;
  t15690 = t3181 * t295;
  t15691 = t15690 * t14659;
  t15694 = t3181 * t936;
  t15695 = t15694 * t14659;
  t15700 = t3177 * t43;
  t15711 = t14137 / 0.2e1;
  t15712 = 0.3e1 / 0.8e1 * t14140;
  t15713 = 0.3e1 / 0.16e2 * t14148;
  t15714 = -t699 + 0.11e2 / 0.16e2 * t484 * t3823 * t263 * t12895 + 0.11e2 / 0.16e2 * t469 * t15675 - 0.15e2 / 0.32e2 * t469 * t15678 * t14659 - 0.25e2 / 0.16e2 * t484 * t15682 * t14659 + 0.15e2 / 0.16e2 * t484 * t15686 * t14659 + 0.11e2 / 0.16e2 * t484 * t15691 - 0.3e1 / 0.2e1 * t484 * t15695 + 0.9e1 / 0.8e1 * t484 * t15675 - 0.11e2 / 0.16e2 * t484 * t15700 * t5670 + 0.3e1 / 0.8e1 * t484 * t15700 * t14688 - t484 * t3823 * t111 * t4319 / 0.16e2 + t15711 - t15712 - t15713;
  t15715 = 0.3e1 / 0.16e2 * t14153;
  t15716 = t14156 / 0.4e1;
  t15717 = 0.3e1 / 0.16e2 * t14159;
  t15718 = 0.3e1 / 0.8e1 * t14193;
  t15719 = 0.3e1 / 0.8e1 * t14213;
  t15720 = t14217 / 0.8e1;
  t15721 = t15715 - t15716 + t15717 - t15718 + t15719 - t15720 - t14749 + t14750 - t14751 - t14752 + t14753 - t14754 + t14755 + t14756 - t14757;
  t15725 = t3181 * t8460;
  t15750 = t1419 * t3803 / 0.16e2;
  t15752 = 0.3e1 / 0.32e2 * t1419 * t3806;
  t15754 = 0.3e1 / 0.32e2 * t1419 * t3809;
  t15756 = 0.3e1 / 0.64e2 * t1502 * t3812;
  t15757 = -0.3e1 / 0.32e2 * t1506 * t3809 - 0.3e1 / 0.32e2 * t469 * t15725 + 0.3e1 / 0.32e2 * t1496 * t3812 + 0.3e1 / 0.32e2 * t1506 * t3812 + 0.3e1 / 0.32e2 * t469 * t3181 * t5566 - t1415 * t3803 / 0.8e1 - t484 * t3198 * t12981 / 0.8e1 + 0.3e1 / 0.16e2 * t1415 * t3806 + 0.3e1 / 0.16e2 * t484 * t3198 * t5566 - 0.3e1 / 0.16e2 * t1415 * t3809 - 0.3e1 / 0.16e2 * t484 * t15725 - t15750 + t15752 - t15754 + t15756;
  t15759 = t1419 * t3824 / 0.32e2;
  t15761 = 0.3e1 / 0.64e2 * t1502 * t3809;
  t15763 = 0.3e1 / 0.64e2 * t1502 * t3829;
  t15765 = t1419 * t3832 / 0.8e1;
  t15767 = 0.3e1 / 0.32e2 * t1419 * t3835;
  t15791 = -t15759 - t15761 + t15763 + t15765 - t15767 + 0.3e1 / 0.32e2 * t1496 * t3829 + 0.3e1 / 0.32e2 * t1506 * t3829 + 0.3e1 / 0.32e2 * t469 * t3185 * t5585 + t1415 * t3832 / 0.4e1 + t484 * t3181 * t5585 / 0.4e1 - 0.3e1 / 0.16e2 * t1415 * t3835 - 0.3e1 / 0.16e2 * t484 * t3185 * t13006 - t3463 * t3215 / 0.16e2 + t3463 * t3218 / 0.16e2 - t1415 * t3824 / 0.16e2;
  t15804 = t14235 / 0.32e2;
  t15805 = t14237 / 0.16e2;
  t15806 = t14239 / 0.16e2;
  t15807 = t14241 / 0.16e2;
  t15808 = t14260 / 0.8e1;
  t15809 = t14269 / 0.8e1;
  t15810 = t14272 / 0.8e1;
  t15811 = t14282 / 0.16e2;
  t15812 = t14284 / 0.16e2;
  t15813 = t14287 / 0.16e2;
  t15814 = t14289 / 0.8e1;
  t15815 = -t484 * t866 * t478 * t1036 / 0.16e2 - 0.3e1 / 0.32e2 * t1496 * t3809 - t3463 * t3182 / 0.16e2 + t3463 * t3186 / 0.16e2 - t15804 - t15805 + t15806 + t15807 - t15808 + t15809 + t15810 - t15811 - t15812 - t15813 - t15814;
  t15816 = t14292 / 0.8e1;
  t15817 = t14295 / 0.8e1;
  t15818 = t15816 + t15817 - t14855 - t14856 + t14857 + t14858 - t14859 + t14860 - t14861 - t14862 - t14863 - t14864 + t14865 + t14866 + t14867;
  t15821 = t255 * t3820 / 0.64e2;
  t15833 = t2655 * t10015;
  t15839 = -t15821 - t246 * t3820 / 0.32e2 - t99 * t13091 * t866 * t269 / 0.32e2 - t3817 - t3818 + t3815 + t3816 - t3663 + t3664 - t3673 + t3686 - t484 * t2651 * t7410 / 0.8e1 - 0.7e1 / 0.32e2 * t469 * t15695 - 0.3e1 / 0.16e2 * t469 * t15833 + 0.3e1 / 0.16e2 * t469 * t12214 * t10015;
  t15849 = t3198 * t113;
  t15853 = t4277 * t866;
  t15854 = t15853 * t183;
  t15858 = t644 * t265;
  t15869 = t640 * t265;
  t15873 = t484 * t12203 * t10015 / 0.2e1 - 0.3e1 / 0.8e1 * t484 * t2677 * t10015 - t484 * t2659 * t10015 / 0.4e1 + 0.3e1 / 0.8e1 * t484 * t15849 * t14659 - 0.11e2 / 0.32e2 * t469 * t5810 * t15854 + 0.3e1 / 0.8e1 * t484 * t15858 * t10015 + 0.9e1 / 0.16e2 * t469 * t15691 - 0.3e1 / 0.8e1 * t484 * t15833 - 0.9e1 / 0.16e2 * t469 * t5791 * t15854 + 0.3e1 / 0.16e2 * t469 * t15869 * t10015 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t15877 = my_piecewise3(t2, 0, t15714 + t15721 + t15757 + t15791 + t15815 + t15818 + t15839 + t15873);
  tv4rhosigmatau20 = t3 * t15877 + t3839;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 0] += tv4rhosigmatau20;

  tv4rhosigmatau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 1] += tv4rhosigmatau21;

  tv4rhosigmatau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 2] += tv4rhosigmatau22;

  tv4rhosigmatau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 3] += tv4rhosigmatau23;

  tv4rhosigmatau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 4] += tv4rhosigmatau24;

  tv4rhosigmatau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 5] += tv4rhosigmatau25;

  tv4rhosigmatau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 6] += tv4rhosigmatau26;

  tv4rhosigmatau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 7] += tv4rhosigmatau27;

  t15880 = 0.3e1 / 0.32e2 * t1589 * t3843;
  t15882 = t1589 * t3846 / 0.16e2;
  t15884 = 0.3e1 / 0.64e2 * t1578 * t3849;
  t15886 = t1589 * t3861 / 0.32e2;
  t15888 = 0.3e1 / 0.64e2 * t1578 * t3843;
  t15890 = 0.3e1 / 0.64e2 * t1578 * t3866;
  t15892 = t1589 * t3869 / 0.8e1;
  t15894 = 0.3e1 / 0.32e2 * t1589 * t3872;
  t15914 = 0.3e1 / 0.32e2 * t1589 * t3840;
  t15915 = t14360 / 0.8e1;
  t15916 = -t15880 - t15882 + t15884 - t15886 - t15888 + t15890 + t15892 - t15894 - 0.3e1 / 0.32e2 * t1574 * t3843 + 0.3e1 / 0.32e2 * t1574 * t3866 + t1585 * t3869 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t3872 - t1585 * t3861 / 0.16e2 - 0.3e1 / 0.16e2 * t1585 * t3843 - t1585 * t3846 / 0.8e1 + 0.3e1 / 0.32e2 * t1574 * t3849 + 0.3e1 / 0.16e2 * t1585 * t3840 + t15914 - t15915;
  t15917 = t14362 / 0.8e1;
  t15918 = t14364 / 0.8e1;
  t15919 = t14368 / 0.16e2;
  t15920 = t14370 / 0.16e2;
  t15921 = t14393 / 0.32e2;
  t15922 = t14395 / 0.16e2;
  t15923 = t14397 / 0.16e2;
  t15925 = t370 * t3857 / 0.64e2;
  t15928 = t15917 + t15918 - t15919 + t15920 - t15921 - t15922 + t15923 - t14928 + t14929 - t14930 + t14931 + t14932 + t14933 - t14934 - t14935 - t15925 - t367 * t3857 / 0.32e2 - t2336 - t2338;
  t15930 = my_piecewise3(t51, 0, t15916 + t15928);
  tv4rhosigmatau28 = t3 * t15930 + t3876;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 8] += tv4rhosigmatau28;

  t15950 = t14409 / 0.16e2;
  t15951 = -t1553 * t3803 / 0.8e1 + 0.3e1 / 0.16e2 * t1553 * t3806 - 0.3e1 / 0.16e2 * t1553 * t3809 + 0.3e1 / 0.32e2 * t1548 * t3812 - 0.3e1 / 0.16e2 * t1553 * t3835 - t1553 * t3824 / 0.16e2 - 0.3e1 / 0.32e2 * t1548 * t3809 + 0.3e1 / 0.32e2 * t1548 * t3829 + t1553 * t3832 / 0.4e1 - t15750 + t15752 - t15754 + t15756 - t15759 - t15761 + t15763 + t15765 - t15767 - t15950;
  t15952 = t14411 / 0.8e1;
  t15953 = t14413 / 0.8e1;
  t15954 = t14415 / 0.8e1;
  t15957 = -t15952 + t15953 + t15954 - t15804 - t15805 + t15806 + t15807 + t14967 - t14968 + t14969 - t14970 - t14859 + t14860 - t14864 + t14865 - t345 * t3820 / 0.32e2 - t15821 - t2357 - t2314;
  t15959 = my_piecewise3(t2, 0, t15951 + t15957);
  tv4rhosigmatau29 = t3 * t15959 + t3839;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 9] += tv4rhosigmatau29;

  tv4rhosigmatau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 10] += tv4rhosigmatau210;

  tv4rhosigmatau211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 11] += tv4rhosigmatau211;

  tv4rhosigmatau212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 12] += tv4rhosigmatau212;

  tv4rhosigmatau213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 13] += tv4rhosigmatau213;

  tv4rhosigmatau214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 14] += tv4rhosigmatau214;

  tv4rhosigmatau215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 15] += tv4rhosigmatau215;

  tv4rhosigmatau216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 16] += tv4rhosigmatau216;

  t15961 = 0.3e1 / 0.8e1 * t14443;
  t15962 = t14447 / 0.8e1;
  t15963 = t14512 / 0.4e1;
  t15964 = 0.3e1 / 0.16e2 * t14516;
  t15965 = 0.3e1 / 0.8e1 * t14536;
  t15966 = 0.3e1 / 0.16e2 * t14542;
  t15967 = 0.3e1 / 0.16e2 * t14546;
  t15968 = t14550 / 0.2e1;
  t15969 = 0.3e1 / 0.8e1 * t14553;
  t15982 = -t721 + t15961 - t15962 - t15963 + t15964 - t15965 - t15966 + t15967 + t15968 - t15969 + 0.3e1 / 0.32e2 * t1655 * t3849 + 0.3e1 / 0.32e2 * t519 * t3276 * t6278 + 0.3e1 / 0.16e2 * t1678 * t3840 + 0.3e1 / 0.16e2 * t534 * t3300 * t6278 - 0.3e1 / 0.16e2 * t1678 * t3843;
  t15983 = t3276 * t6158;
  t16019 = -0.3e1 / 0.16e2 * t534 * t15983 + 0.3e1 / 0.32e2 * t1681 * t3866 + 0.3e1 / 0.32e2 * t1655 * t3866 + 0.3e1 / 0.32e2 * t519 * t3287 * t6162 + t1678 * t3869 / 0.4e1 + t534 * t3276 * t6162 / 0.4e1 - 0.3e1 / 0.16e2 * t1678 * t3872 - 0.3e1 / 0.16e2 * t534 * t3287 * t13334 - t1678 * t3861 / 0.16e2 - t534 * t883 * t528 * t1330 / 0.16e2 - 0.3e1 / 0.32e2 * t1681 * t3843 - 0.3e1 / 0.32e2 * t1655 * t3843 - 0.3e1 / 0.32e2 * t519 * t15983 - t3515 * t3317 / 0.16e2 + t3515 * t3277 / 0.16e2;
  t16032 = -t1678 * t3846 / 0.8e1 - t534 * t3300 * t13379 / 0.8e1 + 0.3e1 / 0.32e2 * t1681 * t3849 - t3515 * t3284 / 0.16e2 + t3515 * t3288 / 0.16e2 - t15880 - t15882 + t15884 - t15886 - t15888 + t15890 + t15892 - t15894 + t15075 - t15076;
  t16033 = t14556 / 0.8e1;
  t16034 = t14559 / 0.8e1;
  t16035 = t14584 / 0.8e1;
  t16036 = t14587 / 0.8e1;
  t16037 = t14607 / 0.16e2;
  t16038 = t14609 / 0.16e2;
  t16039 = t14612 / 0.16e2;
  t16040 = -t15077 + t15078 - t15079 + t15080 - t15081 - t15082 + t15083 + t15914 + t16033 + t16034 + t16035 + t16036 - t16037 - t16038 - t16039;
  t16043 = t14614 / 0.8e1;
  t16044 = t14618 / 0.8e1;
  t16049 = t3287 * t1353;
  t16050 = t16049 * t15010;
  t16053 = t12677 * t5258;
  t16057 = t3287 * t5258;
  t16061 = t12677 * t5229;
  t16065 = t3276 * t1341;
  t16066 = t16065 * t15010;
  t16075 = t3280 * t75;
  t16079 = -t16043 - t16044 + t15920 - t15921 - t15922 + t15923 + 0.11e2 / 0.16e2 * t534 * t3860 * t418 * t13286 + 0.11e2 / 0.16e2 * t519 * t16050 - 0.15e2 / 0.32e2 * t519 * t16053 * t15010 - 0.25e2 / 0.16e2 * t534 * t16057 * t15010 + 0.15e2 / 0.16e2 * t534 * t16061 * t15010 - 0.3e1 / 0.2e1 * t534 * t16066 + 0.9e1 / 0.8e1 * t534 * t16050 - t534 * t3860 * t168 * t5243 / 0.16e2 + 0.3e1 / 0.8e1 * t534 * t16075 * t6216;
  t16087 = t5232 * t883;
  t16088 = t16087 * t191;
  t16089 = t7305 * t16088;
  t16092 = t3781 * t10528;
  t16103 = t3300 * t170;
  t16110 = t679 * t420;
  t16121 = t2158 * t1341;
  t16128 = 0.3e1 / 0.8e1 * t534 * t12660 * t10528 - 0.11e2 / 0.16e2 * t534 * t3300 * t420 * t15010 + 0.9e1 / 0.16e2 * t519 * t16089 - 0.3e1 / 0.8e1 * t534 * t16092 + 0.11e2 / 0.16e2 * t534 * t16089 - 0.9e1 / 0.16e2 * t519 * t7314 * t16088 - t534 * t2789 * t10528 / 0.4e1 + 0.3e1 / 0.8e1 * t534 * t16103 * t15010 - 0.11e2 / 0.32e2 * t519 * t6446 * t16088 + 0.3e1 / 0.16e2 * t519 * t16110 * t10528 - t534 * t2765 * t12644 / 0.8e1 - 0.7e1 / 0.32e2 * t519 * t16066 - 0.3e1 / 0.16e2 * t519 * t16092 + 0.3e1 / 0.16e2 * t519 * t16121 * t10528 + t534 * t10479 * t10528 / 0.2e1;
  t16133 = -0.3e1 / 0.8e1 * t534 * t2773 * t10528 - t15159 - t15160 - t15161 - t15162 - t15163 + t15164 + t15165 + t15166 + t15167 - t14928 + t14929 - t14930 + t14931 - t15925;
  t16140 = -t409 * t3857 / 0.32e2 - t156 * t13449 * t883 * t424 / 0.32e2 + t3855 + t3852 - t3853 - t3854 - t3706 + t3707 - t3716 + t3729 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t16144 = my_piecewise3(t51, 0, t15982 + t16019 + t16032 + t16040 + t16079 + t16128 + t16133 + t16140);
  tv4rhosigmatau217 = t3 * t16144 + t3876;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 17] += tv4rhosigmatau217;

  t16151 = t3887 * t111;
  t16155 = t5658 * t3887;
  t16169 = t470 * t16155;
  t16172 = t2838 * t6522;
  t16178 = t1467 * t563;
  t16182 = t3887 * t43;
  t16186 = t5669 * t3887;
  t16200 = -0.3e1 / 0.16e2 * t484 * t2862 * t6522 - 0.7e1 / 0.32e2 * t469 * t16169 - 0.9e1 / 0.32e2 * t469 * t16172 + 0.9e1 / 0.32e2 * t469 * t2842 * t6526 - 0.3e1 / 0.8e1 * t484 * t2862 * t16178 + 0.3e1 / 0.8e1 * t484 * t16182 * t12986 - 0.11e2 / 0.32e2 * t469 * t470 * t16186 + 0.9e1 / 0.32e2 * t469 * t2838 * t6697 + 0.9e1 / 0.16e2 * t484 * t2862 * t6697 - t3970 * t2866 / 0.16e2 + t3970 * t2869 / 0.16e2;
  t16204 = t3887 * t263;
  t16205 = t16204 * t12900;
  t16211 = t1517 * t563;
  t16220 = t3887 * t934;
  t16221 = t16220 * t12895;
  t16224 = t3887 * t4334;
  t16236 = -0.9e1 / 0.16e2 * t484 * t16172 + 0.11e2 / 0.16e2 * t484 * t16205 + 0.3e1 / 0.4e1 * t484 * t2838 * t6526 - 0.9e1 / 0.16e2 * t484 * t2842 * t16211 + 0.9e1 / 0.16e2 * t469 * t16205 + 0.11e2 / 0.16e2 * t484 * t16204 * t12895 + 0.11e2 / 0.16e2 * t469 * t16221 - 0.15e2 / 0.32e2 * t469 * t16224 * t12948 - 0.25e2 / 0.16e2 * t484 * t16220 * t12948 + 0.15e2 / 0.16e2 * t484 * t16224 * t12955 - t3970 * t2839 / 0.16e2;
  t16247 = 0.3e1 / 0.32e2 * t13629;
  t16248 = 0.3e1 / 0.32e2 * t13635;
  t16249 = 0.3e1 / 0.64e2 * t13637;
  t16250 = 0.3e1 / 0.32e2 * t13639;
  t16251 = t3970 * t2843 / 0.16e2 - 0.3e1 / 0.2e1 * t484 * t16169 + 0.9e1 / 0.8e1 * t484 * t16221 - 0.9e1 / 0.16e2 * t13542 - 0.9e1 / 0.32e2 * t13544 - 0.3e1 / 0.8e1 * t13566 + 0.9e1 / 0.32e2 * t13570 + t16247 + t16248 - t16249 - t16250;
  t16264 = t255 * t3915 / 0.8e1;
  t16267 = t255 * t3892 / 0.16e2;
  t16269 = 0.3e1 / 0.64e2 * t255 * t3896;
  t16271 = 0.3e1 / 0.32e2 * t255 * t3899;
  t16273 = t255 * t3884 / 0.64e2;
  t16275 = 0.3e1 / 0.32e2 * t255 * t3889;
  t16282 = t1005 * t3887;
  t16291 = -t16267 + t16269 + t16271 - t16273 - t16275 + 0.3e1 / 0.16e2 * t246 * t3899 - t246 * t3906 / 0.16e2 - 0.3e1 / 0.32e2 * t246 * t3909 - 0.3e1 / 0.32e2 * t99 * t16282 * t961 + 0.3e1 / 0.32e2 * t246 * t3912 + 0.3e1 / 0.32e2 * t99 * t16282 * t940;
  t16305 = t200 * t263;
  t16308 = t200 * t43;
  t16311 = t4476 * t199;
  t16314 = t268 * t199;
  t16315 = t266 * t16314;
  t16339 = t13043 * t558 / 0.4e1 + t565 / 0.2e1 + t200 * t111 * t290 / 0.2e1 - t16305 * t491 / 0.2e1 - t16308 * t497 / 0.2e1 - t16311 * t13058 / 0.2e1 + t13061 * t16315 / 0.2e1 + t998 * t563 * t116 / 0.2e1 + t3877 * t13070 / 0.2e1 - t3877 * t13073 / 0.2e1 - t3877 * t13076 / 0.2e1 - t4494 * t199 * t116 / 0.2e1 - t1001 * t563 * t116 / 0.2e1 - t3879 * t13070 / 0.2e1 + t3879 * t13073 / 0.2e1 + t3879 * t13076 / 0.2e1;
  t16354 = 0.3e1 / 0.32e2 * t255 * t3918;
  t16356 = t255 * t3906 / 0.32e2;
  t16358 = 0.3e1 / 0.64e2 * t255 * t3909;
  t16359 = t246 * t3915 / 0.4e1 - 0.3e1 / 0.16e2 * t246 * t3918 - t246 * t3884 / 0.32e2 - t99 * t16339 * t798 * t269 / 0.32e2 - 0.3e1 / 0.16e2 * t246 * t3889 - t246 * t3892 / 0.8e1 + 0.3e1 / 0.32e2 * t246 * t3896 + 0.3e1 / 0.32e2 * t99 * t16282 * t969 - t16354 - t16356 - t16358;
  t16361 = 0.3e1 / 0.64e2 * t255 * t3912;
  t16362 = t16361 + t3902 - t3903 - t3904 + t3905 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t16366 = my_piecewise3(t2, 0, -0.3e1 / 0.16e2 * t13680 - 0.3e1 / 0.32e2 * t13674 - 0.3e1 / 0.16e2 * t13676 - 0.3e1 / 0.32e2 * t13669 - 0.3e1 / 0.32e2 * t13671 - t699 + 0.3e1 / 0.16e2 * t13667 + 0.3e1 / 0.16e2 * t13664 + 0.3e1 / 0.16e2 * t13648 + 0.3e1 / 0.16e2 * t13651 - 0.9e1 / 0.16e2 * t13494 + 0.3e1 / 0.4e1 * t13491 + t16291 + 0.9e1 / 0.32e2 * t13487 + t16236 + t16200 + t16264 + t16251 - 0.3e1 / 0.16e2 * t13518 + 0.9e1 / 0.16e2 * t13514 + 0.3e1 / 0.8e1 * t484 * t16151 * t4391 - t484 * t16151 * t4319 / 0.16e2 - 0.9e1 / 0.16e2 * t469 * t5790 * t16155 - 0.11e2 / 0.16e2 * t484 * t16151 * t4323 + t16359 + t16362);
  tv4rholapl30 = t3 * t16366 + t3922;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 0] += tv4rholapl30;

  tv4rholapl31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 1] += tv4rholapl31;

  tv4rholapl32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 2] += tv4rholapl32;

  t16368 = 0.3e1 / 0.32e2 * t13756;
  t16369 = 0.3e1 / 0.32e2 * t13758;
  t16370 = 0.3e1 / 0.32e2 * t13760;
  t16371 = 0.3e1 / 0.64e2 * t13766;
  t16383 = 0.3e1 / 0.32e2 * t370 * t3964;
  t16385 = 0.3e1 / 0.64e2 * t370 * t3955;
  t16387 = 0.3e1 / 0.64e2 * t370 * t3958;
  t16389 = t370 * t3961 / 0.8e1;
  t16390 = -t16368 + t16369 + t16370 - t16371 + 0.3e1 / 0.16e2 * t13801 - 0.3e1 / 0.32e2 * t13806 - 0.3e1 / 0.16e2 * t13808 + 0.3e1 / 0.16e2 * t13810 - t367 * t3952 / 0.16e2 - 0.3e1 / 0.32e2 * t367 * t3955 - t367 * t3930 / 0.32e2 - t16383 - t16385 + t16387 + t16389;
  t16392 = t370 * t3952 / 0.32e2;
  t16394 = 0.3e1 / 0.32e2 * t370 * t3945;
  t16396 = t370 * t3930 / 0.64e2;
  t16398 = 0.3e1 / 0.32e2 * t370 * t3935;
  t16400 = t370 * t3938 / 0.16e2;
  t16402 = 0.3e1 / 0.64e2 * t370 * t3942;
  t16417 = -t16392 + t16394 - t16396 - t16398 - t16400 + t16402 + 0.3e1 / 0.32e2 * t367 * t3958 + t367 * t3961 / 0.4e1 - 0.3e1 / 0.16e2 * t367 * t3964 - 0.3e1 / 0.16e2 * t367 * t3935 - t367 * t3938 / 0.8e1 + 0.3e1 / 0.32e2 * t367 * t3942 + 0.3e1 / 0.16e2 * t367 * t3945 - t2336 - t2338;
  t16419 = my_piecewise3(t51, 0, t16390 + t16417);
  tv4rholapl33 = t3 * t16419 + t3968;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 3] += tv4rholapl33;

  t16439 = 0.3e1 / 0.16e2 * t13841 - 0.3e1 / 0.32e2 * t13843 - 0.3e1 / 0.16e2 * t13845 + 0.3e1 / 0.16e2 * t13847 + t16247 + t16248 - t16249 - t16250 - t345 * t3884 / 0.32e2 - 0.3e1 / 0.16e2 * t345 * t3889 - t345 * t3892 / 0.8e1 + t345 * t3915 / 0.4e1 - 0.3e1 / 0.16e2 * t345 * t3918 + 0.3e1 / 0.32e2 * t345 * t3896 + 0.3e1 / 0.16e2 * t345 * t3899;
  t16446 = -t345 * t3906 / 0.16e2 - 0.3e1 / 0.32e2 * t345 * t3909 + 0.3e1 / 0.32e2 * t345 * t3912 + t16264 - t16267 + t16269 + t16271 - t16273 - t16275 - t16354 - t16356 - t16358 + t16361 - t2357 - t2314;
  t16448 = my_piecewise3(t2, 0, t16439 + t16446);
  tv4rholapl34 = t3 * t16448 + t3922;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 4] += tv4rholapl34;

  tv4rholapl35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 5] += tv4rholapl35;

  tv4rholapl36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 6] += tv4rholapl36;

  t16450 = t3933 * t168;
  t16470 = t2933 * t11182;
  t16473 = t3933 * t418;
  t16474 = t16473 * t13290;
  t16478 = t6207 * t3933;
  t16482 = t1701 * t602;
  t16486 = t3933 * t75;
  t16490 = t6356 * t3933;
  t16494 = t1612 * t602;
  t16509 = t520 * t16478;
  t16512 = t3933 * t5227;
  t16516 = -0.9e1 / 0.16e2 * t519 * t7313 * t16478 - 0.3e1 / 0.8e1 * t534 * t2947 * t16482 + 0.3e1 / 0.8e1 * t534 * t16486 * t13316 - 0.11e2 / 0.32e2 * t519 * t520 * t16490 - 0.9e1 / 0.16e2 * t534 * t2937 * t16494 - 0.9e1 / 0.32e2 * t519 * t16470 + 0.9e1 / 0.32e2 * t519 * t2937 * t7074 + 0.3e1 / 0.4e1 * t534 * t2933 * t7074 - 0.3e1 / 0.16e2 * t534 * t2947 * t11182 - 0.7e1 / 0.32e2 * t519 * t16509 - 0.15e2 / 0.32e2 * t519 * t16512 * t13269;
  t16518 = t3933 * t1339;
  t16531 = t16518 * t13286;
  t16543 = -0.25e2 / 0.16e2 * t534 * t16518 * t13269 + 0.15e2 / 0.16e2 * t534 * t16512 * t13277 - t4006 * t2934 / 0.16e2 + t4006 * t2938 / 0.16e2 - 0.3e1 / 0.2e1 * t534 * t16509 + 0.9e1 / 0.8e1 * t534 * t16531 + 0.9e1 / 0.16e2 * t519 * t16474 + 0.11e2 / 0.16e2 * t534 * t16473 * t13286 + 0.11e2 / 0.16e2 * t519 * t16531 + 0.3e1 / 0.4e1 * t13877 - 0.9e1 / 0.16e2 * t13880;
  t16555 = 0.9e1 / 0.16e2 * t13913 - 0.9e1 / 0.32e2 * t13918 - 0.9e1 / 0.16e2 * t13964 + 0.9e1 / 0.32e2 * t13967 - 0.3e1 / 0.8e1 * t13970 + 0.9e1 / 0.32e2 * t13973 - 0.3e1 / 0.16e2 * t13979 - 0.3e1 / 0.32e2 * t14014 - 0.3e1 / 0.32e2 * t14016 - 0.3e1 / 0.32e2 * t14019 - 0.3e1 / 0.16e2 * t14021;
  t16566 = t1313 * t3933;
  t16583 = t208 * t418;
  t16586 = t208 * t75;
  t16589 = t5364 * t207;
  t16592 = t423 * t207;
  t16593 = t421 * t16592;
  t16617 = t13401 * t597 / 0.4e1 + t604 / 0.2e1 + t208 * t168 * t445 / 0.2e1 - t16583 * t541 / 0.2e1 - t16586 * t547 / 0.2e1 - t16589 * t13416 / 0.2e1 + t13419 * t16593 / 0.2e1 + t1306 * t602 * t173 / 0.2e1 + t3923 * t13428 / 0.2e1 - t3923 * t13431 / 0.2e1 - t3923 * t13434 / 0.2e1 - t5382 * t207 * t173 / 0.2e1 - t1309 * t602 * t173 / 0.2e1 - t3925 * t13428 / 0.2e1 + t3925 * t13431 / 0.2e1 + t3925 * t13434 / 0.2e1;
  t16635 = -0.3e1 / 0.32e2 * t156 * t16566 * t1335 + 0.3e1 / 0.32e2 * t409 * t3958 + 0.3e1 / 0.32e2 * t156 * t16566 * t1343 - t409 * t3930 / 0.32e2 - t156 * t16617 * t815 * t424 / 0.32e2 - 0.3e1 / 0.16e2 * t409 * t3935 - t409 * t3938 / 0.8e1 + t409 * t3961 / 0.4e1 - 0.3e1 / 0.16e2 * t409 * t3964 + 0.3e1 / 0.32e2 * t409 * t3942 + 0.3e1 / 0.32e2 * t156 * t16566 * t1374;
  t16641 = 0.3e1 / 0.16e2 * t409 * t3945 - t409 * t3952 / 0.16e2 - t16383 - t16385 + t16387 + t16389 - t16392 + t16394 - t16396 - t16398 - t16400;
  t16642 = t16402 - t3948 + t3949 + t3950 - t3951 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t16646 = my_piecewise3(t51, 0, -0.3e1 / 0.32e2 * t409 * t3955 - 0.9e1 / 0.16e2 * t534 * t16470 + 0.11e2 / 0.16e2 * t534 * t16474 - t4006 * t2964 / 0.16e2 + t4006 * t2967 / 0.16e2 - t721 + 0.3e1 / 0.16e2 * t14038 + 0.3e1 / 0.16e2 * t14032 + 0.3e1 / 0.16e2 * t14027 + 0.3e1 / 0.16e2 * t14030 - 0.3e1 / 0.16e2 * t14025 + t16642 + t16641 + t16635 - t16371 - t16368 + t16369 + t16370 + t16555 + t16543 + t16516 - 0.11e2 / 0.16e2 * t534 * t16450 * t5314 + 0.3e1 / 0.8e1 * t534 * t16450 * t5339 - t534 * t16450 * t5243 / 0.16e2 + 0.9e1 / 0.32e2 * t519 * t2933 * t7259 + 0.9e1 / 0.16e2 * t534 * t2947 * t7259);
  tv4rholapl37 = t3 * t16646 + t3968;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 7] += tv4rholapl37;

  t16666 = -t699 + t14138 - t14141 - t14149 + t14154 - t14157 + t14160 - t14194 + 0.3e1 / 0.32e2 * t1506 * t3985 + 0.3e1 / 0.32e2 * t469 * t2838 * t7519 + 0.3e1 / 0.16e2 * t1415 * t3974 - t91 * t3969 * t832 / 0.32e2 - t23 * t26 * t16339 * t832 / 0.32e2 - t3970 * t3027 / 0.32e2 - t3970 * t3030 / 0.32e2;
  t16668 = t1419 * t3996 / 0.8e1;
  t16670 = 0.3e1 / 0.32e2 * t1419 * t4000;
  t16672 = t1419 * t3988 / 0.32e2;
  t16674 = 0.3e1 / 0.64e2 * t1502 * t3978;
  t16676 = 0.3e1 / 0.64e2 * t1502 * t3993;
  t16678 = 0.3e1 / 0.32e2 * t1419 * t3978;
  t16680 = t1419 * t3982 / 0.16e2;
  t16682 = 0.3e1 / 0.64e2 * t1502 * t3985;
  t16684 = 0.3e1 / 0.32e2 * t1419 * t3974;
  t16688 = t23 * t95 * t3882 * t832 / 0.64e2;
  t16689 = t631 * t798;
  t16703 = t16668 - t16670 - t16672 - t16674 + t16676 - t16678 - t16680 + t16682 + t16684 - t16688 + t484 * t16689 * t946 / 0.4e1 - 0.3e1 / 0.16e2 * t1415 * t4000 - 0.3e1 / 0.16e2 * t484 * t7380 * t3999 - t1415 * t3988 / 0.16e2 - t484 * t16689 * t1036 / 0.16e2;
  t16709 = t2838 * t7410;
  t16735 = -0.3e1 / 0.32e2 * t1496 * t3978 - 0.3e1 / 0.32e2 * t1506 * t3978 - 0.3e1 / 0.32e2 * t469 * t16709 + 0.3e1 / 0.32e2 * t1496 * t3993 + 0.3e1 / 0.32e2 * t1506 * t3993 + 0.3e1 / 0.32e2 * t469 * t2842 * t7414 + t1415 * t3996 / 0.4e1 + 0.3e1 / 0.16e2 * t484 * t16689 * t973 - 0.3e1 / 0.16e2 * t1415 * t3978 - 0.3e1 / 0.16e2 * t484 * t16709 - t1415 * t3982 / 0.8e1 - t484 * t2062 * t3981 / 0.8e1 + 0.3e1 / 0.32e2 * t1496 * t3985 + t14214 - t14218;
  t16736 = t3973 * t263;
  t16737 = t16736 * t12959;
  t16740 = t14663 * t111;
  t16741 = t2677 * t16740;
  t16752 = t3973 * t934;
  t16759 = t14738 + t14739 - t14740 + t14741 - t14744 - t14745 - t14746 - t14747 + t14748 - 0.3e1 / 0.2e1 * t484 * t16737 + 0.9e1 / 0.8e1 * t484 * t16741 + 0.11e2 / 0.16e2 * t484 * t16736 * t12895 + 0.11e2 / 0.16e2 * t469 * t16741 - 0.15e2 / 0.32e2 * t469 * t14700 * t14105 - 0.25e2 / 0.16e2 * t484 * t16752 * t12948 + 0.15e2 / 0.16e2 * t484 * t9940 * t16740;
  t16766 = t3973 * t111;
  t16773 = -t3970 * t2994 / 0.16e2 + t3970 * t2998 / 0.16e2 + 0.3e1 / 0.8e1 * t484 * t16766 * t4391 - t484 * t16766 * t4319 / 0.16e2 - t14236 - t14238 + t14240 + t14242 - t14261 + t14270 + t14273 - t14283 - t14285 - t14288 - t14290;
  t16785 = t2455 * t11518;
  t16791 = t2655 * t16740;
  t16796 = t9928 * t798;
  t16812 = t14293 + t14296 + t484 * t3001 * t6526 / 0.2e1 - 0.3e1 / 0.8e1 * t484 * t2677 * t10756 - t484 * t3016 * t6522 / 0.8e1 - 0.7e1 / 0.32e2 * t469 * t16737 - 0.3e1 / 0.16e2 * t469 * t16785 + 0.3e1 / 0.16e2 * t469 * t2997 * t11518 + 0.11e2 / 0.16e2 * t484 * t16791 - 0.3e1 / 0.8e1 * t484 * t16785 - 0.9e1 / 0.16e2 * t469 * t5791 * t16796 + 0.3e1 / 0.8e1 * t484 * t2659 * t16740 - t484 * t2659 * t10756 / 0.4e1 - 0.11e2 / 0.32e2 * t469 * t5810 * t16796 + 0.3e1 / 0.16e2 * t469 * t3008 * t11518;
  t16817 = t3973 * t43;
  t16825 = 0.3e1 / 0.8e1 * t484 * t3016 * t6697 - 0.11e2 / 0.16e2 * t484 * t16817 * t13550 + 0.9e1 / 0.16e2 * t469 * t16791 + t3970 * t3009 / 0.16e2 + t14840 + t14841 - t14842 - t14843 + t14844 + t14845 + t14846 + t14847 - t14848 - t14849 - t14850;
  t16826 = -t14851 - t14854 - t3567 - t3571 + t3559 + t3562 + t3659 - t3660 - t3661 + t3662 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t16830 = my_piecewise3(t2, 0, t16666 + t16703 + t16735 + t16759 + t16773 + t16812 + t16825 + t16826);
  tv4rholapl2tau0 = t3 * t16830 + t4004;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 0] += tv4rholapl2tau0;

  tv4rholapl2tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 1] += tv4rholapl2tau1;

  tv4rholapl2tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 2] += tv4rholapl2tau2;

  tv4rholapl2tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 3] += tv4rholapl2tau3;

  tv4rholapl2tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 4] += tv4rholapl2tau4;

  t16848 = 0.3e1 / 0.64e2 * t1578 * t4029;
  t16850 = t1589 * t4032 / 0.8e1;
  t16852 = 0.3e1 / 0.32e2 * t1589 * t4036;
  t16854 = t1589 * t4018 / 0.16e2;
  t16856 = 0.3e1 / 0.64e2 * t1578 * t4021;
  t16858 = t1589 * t4024 / 0.32e2;
  t16860 = 0.3e1 / 0.64e2 * t1578 * t4014;
  t16862 = 0.3e1 / 0.32e2 * t1589 * t4010;
  t16864 = 0.3e1 / 0.32e2 * t1589 * t4014;
  t16868 = t60 * t95 * t3928 * t849 / 0.64e2;
  t16873 = -0.3e1 / 0.16e2 * t1585 * t4036 - t1585 * t4018 / 0.8e1 + 0.3e1 / 0.32e2 * t1574 * t4021 - t1585 * t4024 / 0.16e2 + 0.3e1 / 0.16e2 * t1585 * t4010 - 0.3e1 / 0.16e2 * t1585 * t4014 - t128 * t4005 * t849 / 0.32e2 + t16848 + t16850 - t16852 - t16854 + t16856 - t16858 - t16860 + t16862 - t16864 - t16868 - 0.3e1 / 0.32e2 * t1574 * t4014 + 0.3e1 / 0.32e2 * t1574 * t4029;
  t16876 = t1585 * t4032 / 0.4e1 - t14361 + t14363 + t14365 - t14369 + t14371 - t14394 - t14396 + t14398 - t14919 + t14921 + t14922 - t14923 + t14924 - t14925 - t14926 + t14927 - t2336 - t2338;
  t16878 = my_piecewise3(t51, 0, t16873 + t16876);
  tv4rholapl2tau5 = t3 * t16878 + t4040;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 5] += tv4rholapl2tau5;

  t16901 = -0.3e1 / 0.16e2 * t1553 * t3978 - t143 * t3969 * t832 / 0.32e2 - 0.3e1 / 0.32e2 * t1548 * t3978 + 0.3e1 / 0.32e2 * t1548 * t3993 + t1553 * t3996 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t4000 - t1553 * t3982 / 0.8e1 + 0.3e1 / 0.32e2 * t1548 * t3985 - t1553 * t3988 / 0.16e2 + 0.3e1 / 0.16e2 * t1553 * t3974 + t16668 - t16670 - t16672 - t16674 + t16676 - t16678 - t16680 + t16682 + t16684;
  t16902 = -t16688 - t14410 - t14412 + t14414 + t14416 - t14236 - t14238 + t14240 + t14242 + t14962 - t14964 - t14965 + t14966 + t14840 + t14841 - t14842 - t14843 - t2357 - t2314;
  t16904 = my_piecewise3(t2, 0, t16901 + t16902);
  tv4rholapl2tau6 = t3 * t16904 + t4004;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 6] += tv4rholapl2tau6;

  tv4rholapl2tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 7] += tv4rholapl2tau7;

  tv4rholapl2tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 8] += tv4rholapl2tau8;

  tv4rholapl2tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 9] += tv4rholapl2tau9;

  tv4rholapl2tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 10] += tv4rholapl2tau10;

  t16906 = t2933 * t12644;
  t16911 = t670 * t815;
  t16937 = -t721 + t14444 - t14448 - 0.3e1 / 0.32e2 * t519 * t16906 + 0.3e1 / 0.16e2 * t1678 * t4010 + 0.3e1 / 0.16e2 * t534 * t16911 * t1361 - 0.3e1 / 0.16e2 * t1678 * t4014 - 0.3e1 / 0.16e2 * t534 * t16906 - t60 * t26 * t16617 * t849 / 0.32e2 - t4006 * t3155 / 0.32e2 - t4006 * t3158 / 0.32e2 - t153 * t4005 * t849 / 0.32e2 + 0.3e1 / 0.32e2 * t1681 * t4029 + 0.3e1 / 0.32e2 * t1655 * t4029 + 0.3e1 / 0.32e2 * t519 * t2937 * t8124;
  t16969 = t1678 * t4032 / 0.4e1 + t534 * t16911 * t1348 / 0.4e1 - 0.3e1 / 0.16e2 * t1678 * t4036 - 0.3e1 / 0.16e2 * t534 * t8090 * t4035 - t1678 * t4018 / 0.8e1 - t534 * t2198 * t4017 / 0.8e1 + 0.3e1 / 0.32e2 * t1681 * t4021 + 0.3e1 / 0.32e2 * t1655 * t4021 + 0.3e1 / 0.32e2 * t519 * t2933 * t8042 - t1678 * t4024 / 0.16e2 - t534 * t16911 * t1330 / 0.16e2 - 0.3e1 / 0.32e2 * t1681 * t4014 - 0.3e1 / 0.32e2 * t1655 * t4014 + t16848 + t16850;
  t16971 = -t16852 - t16854 + t16856 - t16858 - t16860 + t16862 - t16864 - t16868 - t14513 + t14517 - t14537 - t14543 + t14547 + t14551 - t14554;
  t16972 = t15064 - t15065 + t15066 - t15067 - t15070 + t15071 - t15072 + t15073 - t15074 + t14557 + t14560 + t14585 + t14588 - t14608 - t14610 - t14613;
  t16975 = -t14615 - t14619 + t14371 - t14394 - t14396 + t14398 - t15148 - t15149 - t15150 - t15151 - t15152 + t15153 + t15154 + t15155 + t15156;
  t16976 = t4009 * t1339;
  t16980 = t14987 * t168;
  t16984 = t4009 * t418;
  t16985 = t16984 * t13282;
  t16988 = t2773 * t16980;
  t16996 = t11231 * t5258;
  t17004 = t4009 * t168;
  t17011 = -t14919 + t14921 + t14922 - t14923 - 0.25e2 / 0.16e2 * t534 * t16976 * t13269 + 0.15e2 / 0.16e2 * t534 * t10466 * t16980 - 0.3e1 / 0.2e1 * t534 * t16985 + 0.9e1 / 0.8e1 * t534 * t16988 + 0.11e2 / 0.16e2 * t534 * t16984 * t13286 + 0.11e2 / 0.16e2 * t519 * t16988 - 0.15e2 / 0.32e2 * t519 * t16996 * t14456 - t4006 * t3109 / 0.16e2 + t4006 * t3113 / 0.16e2 + 0.3e1 / 0.8e1 * t534 * t17004 * t5339 - t534 * t17004 * t5243 / 0.16e2;
  t17030 = t3108 * t12055;
  t17033 = 0.3e1 / 0.16e2 * t519 * t3112 * t12055 + t534 * t3116 * t7074 / 0.2e1 - 0.3e1 / 0.8e1 * t534 * t2773 * t11189 + 0.3e1 / 0.16e2 * t519 * t3132 * t12055 - t534 * t3123 * t11182 / 0.8e1 - 0.7e1 / 0.32e2 * t519 * t16985 - 0.3e1 / 0.16e2 * t519 * t17030 + t3615 + t3603 - t3608 - t3612 - t3702 + t3703 + t3704 - t3705;
  t17037 = t4009 * t75;
  t17041 = t10474 * t815;
  t17042 = t7305 * t17041;
  t17063 = t2378 - t2382 - t2397 + t2414 - t2442 - t2338 + 0.3e1 / 0.8e1 * t534 * t3123 * t7259 - 0.11e2 / 0.16e2 * t534 * t17037 * t13938 + 0.9e1 / 0.16e2 * t519 * t17042 + 0.11e2 / 0.16e2 * t534 * t17042 - 0.3e1 / 0.8e1 * t534 * t17030 - 0.9e1 / 0.16e2 * t519 * t7314 * t17041 + 0.3e1 / 0.8e1 * t534 * t2789 * t16980 - t534 * t2789 * t11189 / 0.4e1 - 0.11e2 / 0.32e2 * t519 * t6446 * t17041 + t4006 * t3133 / 0.16e2;
  t17067 = my_piecewise3(t51, 0, t16937 + t16969 + t16971 + t16972 + t16975 + t17011 + t17033 + t17063);
  tv4rholapl2tau11 = t3 * t17067 + t4040;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 11] += tv4rholapl2tau11;

  t17071 = t3181 * t6522;
  t17093 = 0.3e1 / 0.64e2 * t1502 * t4049;
  t17095 = 0.3e1 / 0.64e2 * t1502 * t4065;
  t17097 = t1419 * t4068 / 0.8e1;
  t17099 = t1419 * t4060 / 0.32e2;
  t17100 = -t699 - 0.3e1 / 0.16e2 * t1415 * t4049 - 0.3e1 / 0.16e2 * t484 * t17071 - t1415 * t4053 / 0.8e1 - t484 * t3198 * t16178 / 0.8e1 + 0.3e1 / 0.32e2 * t1496 * t4056 + 0.3e1 / 0.32e2 * t1506 * t4056 + 0.3e1 / 0.32e2 * t469 * t3181 * t6697 - t3970 * t3215 / 0.16e2 + t3970 * t3218 / 0.16e2 + 0.3e1 / 0.16e2 * t1415 * t4045 - t17093 + t17095 + t17097 - t17099;
  t17102 = 0.3e1 / 0.32e2 * t1419 * t4049;
  t17104 = t1419 * t4053 / 0.16e2;
  t17106 = 0.3e1 / 0.64e2 * t1502 * t4056;
  t17108 = 0.3e1 / 0.32e2 * t1419 * t4045;
  t17134 = -t17102 - t17104 + t17106 + t17108 - 0.3e1 / 0.16e2 * t1415 * t4072 - 0.3e1 / 0.16e2 * t484 * t3185 * t16211 - 0.3e1 / 0.32e2 * t1496 * t4049 - 0.3e1 / 0.32e2 * t1506 * t4049 - 0.3e1 / 0.32e2 * t469 * t17071 + 0.3e1 / 0.32e2 * t1496 * t4065 + 0.3e1 / 0.32e2 * t1506 * t4065 + 0.3e1 / 0.32e2 * t469 * t3185 * t6526 + t1415 * t4068 / 0.4e1 + t484 * t3181 * t6526 / 0.4e1 - t1415 * t4060 / 0.16e2;
  t17144 = 0.3e1 / 0.32e2 * t1419 * t4072;
  t17149 = -t484 * t866 * t563 * t1036 / 0.16e2 + 0.3e1 / 0.16e2 * t484 * t3198 * t6697 - t17144 - t3970 * t3182 / 0.16e2 + t3970 * t3186 / 0.16e2 + t15711 - t15712 - t15713 + t15715 - t15716 + t15717 - t15718 + t15719 - t15720 + t13488;
  t17150 = t13492 - t13495 + t13515 - t13519 - t13543 - t13545 - t13567 + t13571 - t15804 - t15805 + t15806 + t15807 - t15808 + t15809 + t15810;
  t17153 = -t15811 - t15812 - t15813 - t15814 + t15816 + t15817 + t13630 + t13636 - t13638 - t13640 + t13649 + t13652 + t13665 + t13668 - t13670;
  t17155 = t255 * t4042 / 0.64e2;
  t17162 = -t13672 - t13675 - t13677 - t13681 - t17155 - t246 * t4042 / 0.32e2 - t99 * t16339 * t866 * t269 / 0.32e2 - t3817 - t3818 + t3815 + t3816 + t3450 - t3453 - t3457 + t3461;
  t17164 = t3198 * t265;
  t17168 = t15853 * t199;
  t17169 = t5796 * t17168;
  t17195 = t2655 * t11528;
  t17208 = t470 * t936 * t17168;
  t17211 = -0.11e2 / 0.16e2 * t484 * t17164 * t13529 + 0.9e1 / 0.16e2 * t469 * t17169 + 0.11e2 / 0.16e2 * t484 * t17169 - 0.9e1 / 0.16e2 * t469 * t5791 * t17168 - t484 * t2659 * t11528 / 0.4e1 + 0.3e1 / 0.8e1 * t484 * t15849 * t13529 - 0.11e2 / 0.32e2 * t469 * t5810 * t17168 + 0.3e1 / 0.16e2 * t469 * t15869 * t11528 + 0.3e1 / 0.8e1 * t484 * t15858 * t11528 - 0.3e1 / 0.8e1 * t484 * t2677 * t11528 - 0.3e1 / 0.16e2 * t469 * t17195 + 0.3e1 / 0.16e2 * t469 * t12214 * t11528 + t484 * t12203 * t11528 / 0.2e1 - t484 * t3016 * t7410 / 0.8e1 - 0.7e1 / 0.32e2 * t469 * t17208;
  t17216 = t15674 * t13529;
  t17229 = t4059 * t263;
  t17241 = -0.3e1 / 0.8e1 * t484 * t17195 - 0.3e1 / 0.2e1 * t484 * t17208 + 0.9e1 / 0.8e1 * t484 * t17216 - t484 * t4059 * t111 * t4319 / 0.16e2 + 0.3e1 / 0.8e1 * t484 * t15700 * t6652 + 0.15e2 / 0.16e2 * t484 * t15686 * t13529 + 0.11e2 / 0.16e2 * t484 * t17229 * t12895 + 0.11e2 / 0.16e2 * t469 * t17216 - 0.15e2 / 0.32e2 * t469 * t15678 * t13529 - 0.25e2 / 0.16e2 * t484 * t15682 * t13529 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t17245 = my_piecewise3(t2, 0, t17100 + t17134 + t17149 + t17150 + t17153 + t17162 + t17211 + t17241);
  tv4rholapltau20 = t3 * t17245 + t4076;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 0] += tv4rholapltau20;

  tv4rholapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 1] += tv4rholapltau21;

  tv4rholapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 2] += tv4rholapltau22;

  tv4rholapltau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 3] += tv4rholapltau23;

  tv4rholapltau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 4] += tv4rholapltau24;

  t17252 = 0.3e1 / 0.32e2 * t1589 * t4108;
  t17254 = 0.3e1 / 0.64e2 * t1578 * t4089;
  t17256 = 0.3e1 / 0.64e2 * t1578 * t4101;
  t17258 = t1589 * t4104 / 0.8e1;
  t17260 = t1589 * t4096 / 0.32e2;
  t17262 = t1589 * t4082 / 0.16e2;
  t17264 = 0.3e1 / 0.32e2 * t1589 * t4085;
  t17266 = 0.3e1 / 0.32e2 * t1589 * t4089;
  t17268 = 0.3e1 / 0.64e2 * t1578 * t4092;
  t17283 = -0.3e1 / 0.16e2 * t1585 * t4089 + 0.3e1 / 0.32e2 * t1574 * t4092 - t17252 - t17254 + t17256 + t17258 - t17260 - t17262 + t17264 - t17266 + t17268 - t1585 * t4082 / 0.8e1 + t1585 * t4104 / 0.4e1 - 0.3e1 / 0.16e2 * t1585 * t4108 - t1585 * t4096 / 0.16e2 - 0.3e1 / 0.32e2 * t1574 * t4089 + 0.3e1 / 0.32e2 * t1574 * t4101 + 0.3e1 / 0.16e2 * t1585 * t4085 - t15915;
  t17287 = t370 * t4078 / 0.64e2;
  t17288 = t15917 + t15918 - t15919 + t15920 - t15921 - t15922 + t15923 - t13757 + t13759 + t13761 - t13767 + t13802 - t13807 - t13809 + t13811 - t367 * t4078 / 0.32e2 - t17287 - t2336 - t2338;
  t17290 = my_piecewise3(t51, 0, t17283 + t17288);
  tv4rholapltau25 = t3 * t17290 + t4112;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 5] += tv4rholapltau25;

  t17310 = t1553 * t4068 / 0.4e1 - 0.3e1 / 0.16e2 * t1553 * t4072 - t1553 * t4060 / 0.16e2 - 0.3e1 / 0.32e2 * t1548 * t4049 + 0.3e1 / 0.32e2 * t1548 * t4065 - 0.3e1 / 0.16e2 * t1553 * t4049 - t1553 * t4053 / 0.8e1 + 0.3e1 / 0.32e2 * t1548 * t4056 + 0.3e1 / 0.16e2 * t1553 * t4045 - t17093 + t17095 + t17097 - t17099 - t17102 - t17104 + t17106 + t17108 - t17144 - t15950;
  t17313 = -t15952 + t15953 + t15954 - t15804 - t15805 + t15806 + t15807 + t13842 - t13844 - t13846 + t13848 + t13630 + t13636 - t13638 - t13640 - t345 * t4042 / 0.32e2 - t17155 - t2357 - t2314;
  t17315 = my_piecewise3(t2, 0, t17310 + t17313);
  tv4rholapltau26 = t3 * t17315 + t4076;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 6] += tv4rholapltau26;

  tv4rholapltau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 7] += tv4rholapltau27;

  tv4rholapltau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 8] += tv4rholapltau28;

  tv4rholapltau29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 9] += tv4rholapltau29;

  tv4rholapltau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 10] += tv4rholapltau210;

  t17348 = -t721 + t15961 - t15962 + t4006 * t3277 / 0.16e2 - t1678 * t4082 / 0.8e1 - t534 * t3300 * t16482 / 0.8e1 + 0.3e1 / 0.16e2 * t1678 * t4085 + 0.3e1 / 0.32e2 * t519 * t3287 * t7074 + t1678 * t4104 / 0.4e1 + t534 * t3276 * t7074 / 0.4e1 - 0.3e1 / 0.16e2 * t1678 * t4108 - 0.3e1 / 0.16e2 * t534 * t3287 * t16494 - t1678 * t4096 / 0.16e2 - t534 * t883 * t602 * t1330 / 0.16e2 + 0.3e1 / 0.16e2 * t534 * t3300 * t7259;
  t17351 = t3276 * t11182;
  t17377 = -0.3e1 / 0.16e2 * t1678 * t4089 - 0.3e1 / 0.16e2 * t534 * t17351 + 0.3e1 / 0.32e2 * t1681 * t4092 + 0.3e1 / 0.32e2 * t1655 * t4092 + 0.3e1 / 0.32e2 * t519 * t3276 * t7259 - t4006 * t3317 / 0.16e2 + t4006 * t3288 / 0.16e2 - 0.3e1 / 0.32e2 * t1681 * t4089 - 0.3e1 / 0.32e2 * t1655 * t4089 - 0.3e1 / 0.32e2 * t519 * t17351 + 0.3e1 / 0.32e2 * t1681 * t4101 + 0.3e1 / 0.32e2 * t1655 * t4101 - t4006 * t3284 / 0.16e2 - t17252 - t17254;
  t17379 = t17256 + t17258 - t17260 - t17262 + t17264 - t17266 + t17268 - t15963 + t15964 - t15965 - t15966 + t15967 + t15968 - t15969 + t13878;
  t17380 = -t13881 + t13914 - t13919 - t13965 + t13968 - t13971 + t13974 - t13980 + t16033 + t16034 + t16035 + t16036 - t16037 - t16038 - t16039;
  t17383 = -t16043 - t16044 + t15920 - t15921 - t15922 + t15923 - t14015 - t14017 - t14020 - t14022 - t14026 + t14028 + t14031 + t14033 + t14039;
  t17390 = -t13757 + t13759 + t13761 - t13767 - t409 * t4078 / 0.32e2 - t156 * t16617 * t883 * t424 / 0.32e2 - t17287 + t3855 + t3852 - t3853 - t3854 - t3505 + t3509 + t3513 - t3520;
  t17392 = t3276 * t450;
  t17393 = t17392 * t13867;
  t17396 = t16065 * t13867;
  t17399 = t16049 * t13867;
  t17402 = t4095 * t418;
  t17425 = t3781 * t12051;
  t17435 = 0.11e2 / 0.16e2 * t534 * t17393 - 0.3e1 / 0.2e1 * t534 * t17396 + 0.9e1 / 0.8e1 * t534 * t17399 + 0.11e2 / 0.16e2 * t534 * t17402 * t13286 + 0.11e2 / 0.16e2 * t519 * t17399 - 0.15e2 / 0.32e2 * t519 * t16053 * t13867 - 0.25e2 / 0.16e2 * t534 * t16057 * t13867 + 0.15e2 / 0.16e2 * t534 * t16061 * t13867 + t534 * t10479 * t12051 / 0.2e1 - t534 * t3123 * t12644 / 0.8e1 - 0.7e1 / 0.32e2 * t519 * t17396 - 0.3e1 / 0.16e2 * t519 * t17425 + 0.3e1 / 0.8e1 * t534 * t12660 * t12051 + 0.9e1 / 0.16e2 * t519 * t17393 - 0.3e1 / 0.8e1 * t534 * t17425;
  t17436 = t16087 * t207;
  t17468 = -0.9e1 / 0.16e2 * t519 * t7314 * t17436 + 0.3e1 / 0.16e2 * t519 * t16110 * t12051 - t534 * t2789 * t12051 / 0.4e1 + 0.3e1 / 0.8e1 * t534 * t16103 * t13867 - 0.11e2 / 0.32e2 * t519 * t6446 * t17436 - 0.3e1 / 0.8e1 * t534 * t2773 * t12051 + 0.3e1 / 0.16e2 * t519 * t16121 * t12051 + 0.3e1 / 0.8e1 * t534 * t16075 * t7152 - t534 * t4095 * t168 * t5243 / 0.16e2 - 0.11e2 / 0.16e2 * t534 * t16075 * t7204 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t17472 = my_piecewise3(t51, 0, t17348 + t17377 + t17379 + t17380 + t17383 + t17390 + t17435 + t17468);
  tv4rholapltau211 = t3 * t17472 + t4112;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 11] += tv4rholapltau211;

  t17474 = t4123 * t111;
  t17481 = t3181 * t7410;
  t17484 = t4123 * t263;
  t17485 = t17484 * t12900;
  t17488 = t5658 * t4123;
  t17501 = t470 * t17488;
  t17509 = t4123 * t43;
  t17513 = t5669 * t4123;
  t17521 = t23 * t26 * t4118;
  t17540 = -0.3e1 / 0.8e1 * t484 * t3198 * t1467 * t631 + 0.3e1 / 0.8e1 * t484 * t17509 * t12986 - 0.11e2 / 0.32e2 * t469 * t470 * t17513 + 0.9e1 / 0.32e2 * t469 * t3181 * t7519 - t17521 * t3215 / 0.16e2 + t17521 * t3218 / 0.16e2 + 0.9e1 / 0.16e2 * t484 * t3198 * t7519 - 0.11e2 / 0.16e2 * t484 * t17509 * t13550 + 0.9e1 / 0.16e2 * t469 * t17485 - 0.9e1 / 0.16e2 * t484 * t3185 * t1517 * t631 - 0.9e1 / 0.32e2 * t469 * t17481;
  t17542 = t4123 * t934;
  t17543 = t17542 * t12895;
  t17551 = t4123 * t4334;
  t17569 = 0.9e1 / 0.8e1 * t484 * t17543 + 0.11e2 / 0.16e2 * t484 * t17484 * t12895 + 0.11e2 / 0.16e2 * t469 * t17543 - 0.15e2 / 0.32e2 * t469 * t17551 * t12948 - 0.25e2 / 0.16e2 * t484 * t17542 * t12948 + 0.15e2 / 0.16e2 * t484 * t17551 * t12955 - t17521 * t3182 / 0.16e2 + t17521 * t3186 / 0.16e2 - 0.3e1 / 0.2e1 * t484 * t17501 + 0.3e1 / 0.4e1 * t14137 - 0.9e1 / 0.16e2 * t14140;
  t17577 = 0.3e1 / 0.64e2 * t14235;
  t17578 = 0.3e1 / 0.32e2 * t14237;
  t17579 = 0.3e1 / 0.32e2 * t14239;
  t17580 = 0.3e1 / 0.32e2 * t14241;
  t17581 = -0.9e1 / 0.32e2 * t14148 + 0.9e1 / 0.32e2 * t14153 - 0.3e1 / 0.8e1 * t14156 + 0.9e1 / 0.32e2 * t14159 - 0.9e1 / 0.16e2 * t14193 + 0.9e1 / 0.16e2 * t14213 - 0.3e1 / 0.16e2 * t14217 - t17577 - t17578 + t17579 + t17580;
  t17594 = t255 * t4120 / 0.64e2;
  t17598 = t1005 * t4123;
  t17622 = 0.3e1 / 0.32e2 * t246 * t4148 + 0.3e1 / 0.32e2 * t99 * t17598 * t940 + t246 * t4151 / 0.4e1 - 0.3e1 / 0.16e2 * t246 * t4154 - 0.3e1 / 0.16e2 * t246 * t4128 - t246 * t4131 / 0.8e1 + 0.3e1 / 0.32e2 * t246 * t4135 + 0.3e1 / 0.32e2 * t99 * t17598 * t969 - t246 * t4142 / 0.16e2 - 0.3e1 / 0.32e2 * t246 * t4145 - 0.3e1 / 0.32e2 * t99 * t17598 * t961;
  t17632 = t214 * t263;
  t17635 = t214 * t43;
  t17638 = t4476 * t213;
  t17642 = t266 * t268 * t213;
  t17666 = t13043 * t626 / 0.4e1 + t633 / 0.2e1 + t214 * t111 * t290 / 0.2e1 - t17632 * t491 / 0.2e1 - t17635 * t497 / 0.2e1 - t17638 * t13058 / 0.2e1 + t13061 * t17642 / 0.2e1 + t998 * t631 * t116 / 0.2e1 + t4113 * t13070 / 0.2e1 - t4113 * t13073 / 0.2e1 - t4113 * t13076 / 0.2e1 - t4494 * t213 * t116 / 0.2e1 - t1001 * t631 * t116 / 0.2e1 - t4115 * t13070 / 0.2e1 + t4115 * t13073 / 0.2e1 + t4115 * t13076 / 0.2e1;
  t17674 = 0.3e1 / 0.64e2 * t255 * t4145;
  t17676 = 0.3e1 / 0.64e2 * t255 * t4148;
  t17678 = t255 * t4151 / 0.8e1;
  t17680 = 0.3e1 / 0.32e2 * t255 * t4154;
  t17682 = t255 * t4142 / 0.32e2;
  t17684 = 0.3e1 / 0.64e2 * t255 * t4135;
  t17686 = 0.3e1 / 0.32e2 * t255 * t4125;
  t17688 = 0.3e1 / 0.32e2 * t255 * t4128;
  t17689 = -t246 * t4120 / 0.32e2 - t99 * t17666 * t866 * t269 / 0.32e2 + 0.3e1 / 0.16e2 * t246 * t4125 - t17674 + t17676 + t17678 - t17680 - t17682 + t17684 + t17686 - t17688;
  t17691 = t255 * t4131 / 0.16e2;
  t17692 = -t17691 - t4140 - t4141 + t4138 + t4139 + t2245 - t2249 - t2257 + t2270 - t2314 - t2324;
  t17696 = my_piecewise3(t2, 0, -0.7e1 / 0.32e2 * t469 * t17501 - 0.9e1 / 0.16e2 * t484 * t17481 + 0.11e2 / 0.16e2 * t484 * t17485 - t699 + 0.3e1 / 0.16e2 * t14295 + 0.3e1 / 0.16e2 * t14292 - 0.3e1 / 0.32e2 * t14287 - 0.3e1 / 0.16e2 * t14289 - 0.3e1 / 0.32e2 * t14282 - 0.3e1 / 0.32e2 * t14284 + 0.3e1 / 0.16e2 * t14272 + 0.3e1 / 0.16e2 * t14269 - 0.3e1 / 0.16e2 * t14260 - t484 * t17474 * t4319 / 0.16e2 - 0.9e1 / 0.16e2 * t469 * t5790 * t17488 + 0.9e1 / 0.32e2 * t469 * t3185 * t7414 + 0.3e1 / 0.4e1 * t484 * t3181 * t7414 - 0.3e1 / 0.16e2 * t484 * t3198 * t7410 + 0.3e1 / 0.8e1 * t484 * t17474 * t4391 + t17692 + t17689 + t17622 - t17594 + t17581 + t17569 + t17540);
  tv4rhotau30 = t3 * t17696 + t4158;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 0] += tv4rhotau30;

  tv4rhotau31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 1] += tv4rhotau31;

  tv4rhotau32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 2] += tv4rhotau32;

  t17702 = 0.3e1 / 0.32e2 * t14370;
  t17703 = 0.3e1 / 0.64e2 * t14393;
  t17704 = 0.3e1 / 0.32e2 * t14395;
  t17705 = 0.3e1 / 0.32e2 * t14397;
  t17707 = 0.3e1 / 0.64e2 * t370 * t4178;
  t17709 = 0.3e1 / 0.32e2 * t370 * t4181;
  t17711 = t370 * t4166 / 0.64e2;
  t17713 = 0.3e1 / 0.32e2 * t370 * t4171;
  t17720 = -0.3e1 / 0.16e2 * t14360 + 0.3e1 / 0.16e2 * t14362 + 0.3e1 / 0.16e2 * t14364 - 0.3e1 / 0.32e2 * t14368 + t17702 - t17703 - t17704 + t17705 + t17707 + t17709 - t17711 - t17713 + t367 * t4197 / 0.4e1 - 0.3e1 / 0.16e2 * t367 * t4200 + 0.3e1 / 0.32e2 * t367 * t4178;
  t17736 = 0.3e1 / 0.32e2 * t370 * t4200;
  t17738 = t370 * t4188 / 0.32e2;
  t17740 = 0.3e1 / 0.64e2 * t370 * t4191;
  t17742 = 0.3e1 / 0.64e2 * t370 * t4194;
  t17744 = t370 * t4197 / 0.8e1;
  t17746 = t370 * t4174 / 0.16e2;
  t17747 = 0.3e1 / 0.16e2 * t367 * t4181 - t367 * t4188 / 0.16e2 - 0.3e1 / 0.32e2 * t367 * t4191 + 0.3e1 / 0.32e2 * t367 * t4194 - t367 * t4166 / 0.32e2 - 0.3e1 / 0.16e2 * t367 * t4171 - t367 * t4174 / 0.8e1 - t17736 - t17738 - t17740 + t17742 + t17744 - t17746 - t2336 - t2338;
  t17749 = my_piecewise3(t51, 0, t17720 + t17747);
  tv4rhotau33 = t3 * t17749 + t4204;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 3] += tv4rhotau33;

  t17769 = -0.3e1 / 0.32e2 * t14409 - 0.3e1 / 0.16e2 * t14411 + 0.3e1 / 0.16e2 * t14413 + 0.3e1 / 0.16e2 * t14415 - t17577 - t17578 + t17579 + t17580 - t345 * t4142 / 0.16e2 - 0.3e1 / 0.32e2 * t345 * t4145 + 0.3e1 / 0.32e2 * t345 * t4148 + t345 * t4151 / 0.4e1 - 0.3e1 / 0.16e2 * t345 * t4154 - t345 * t4120 / 0.32e2 + 0.3e1 / 0.16e2 * t345 * t4125;
  t17776 = -0.3e1 / 0.16e2 * t345 * t4128 - t345 * t4131 / 0.8e1 + 0.3e1 / 0.32e2 * t345 * t4135 - t17594 - t17674 + t17676 + t17678 - t17680 - t17682 + t17684 + t17686 - t17688 - t17691 - t2357 - t2314;
  t17778 = my_piecewise3(t2, 0, t17769 + t17776);
  tv4rhotau34 = t3 * t17778 + t4158;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 4] += tv4rhotau34;

  tv4rhotau35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 5] += tv4rhotau35;

  tv4rhotau36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 6] += tv4rhotau36;

  t17780 = t4169 * t168;
  t17794 = t60 * t26 * t4164;
  t17799 = t3276 * t12644;
  t17802 = t4169 * t1339;
  t17806 = t4169 * t5227;
  t17815 = t4169 * t418;
  t17816 = t17815 * t13282;
  t17819 = t17802 * t13286;
  t17822 = t17815 * t13290;
  t17843 = -t17794 * t3284 / 0.16e2 + t17794 * t3288 / 0.16e2 - 0.3e1 / 0.2e1 * t534 * t17816 + 0.9e1 / 0.8e1 * t534 * t17819 + 0.9e1 / 0.16e2 * t519 * t17822 + 0.11e2 / 0.16e2 * t534 * t17815 * t13286 + 0.9e1 / 0.32e2 * t519 * t3287 * t8124 + 0.3e1 / 0.4e1 * t534 * t3276 * t8124 - 0.9e1 / 0.16e2 * t534 * t3287 * t1612 * t670 - 0.3e1 / 0.16e2 * t534 * t3300 * t12644 - 0.7e1 / 0.32e2 * t519 * t17816;
  t17849 = t6207 * t4169;
  t17857 = t4169 * t75;
  t17861 = t6356 * t4169;
  t17875 = -0.9e1 / 0.32e2 * t519 * t17799 + 0.11e2 / 0.16e2 * t534 * t17822 - 0.9e1 / 0.16e2 * t519 * t7313 * t17849 - 0.3e1 / 0.8e1 * t534 * t3300 * t1701 * t670 + 0.3e1 / 0.8e1 * t534 * t17857 * t13316 - 0.11e2 / 0.32e2 * t519 * t520 * t17861 + 0.9e1 / 0.32e2 * t519 * t3276 * t8042 + 0.11e2 / 0.16e2 * t519 * t17819 - 0.15e2 / 0.32e2 * t519 * t17806 * t13269 + 0.9e1 / 0.16e2 * t14443 - 0.3e1 / 0.16e2 * t14447;
  t17887 = -0.3e1 / 0.8e1 * t14512 + 0.9e1 / 0.32e2 * t14516 - 0.9e1 / 0.16e2 * t14536 - 0.9e1 / 0.32e2 * t14542 + 0.9e1 / 0.32e2 * t14546 + 0.3e1 / 0.4e1 * t14550 - 0.9e1 / 0.16e2 * t14553 + 0.3e1 / 0.16e2 * t14556 + 0.3e1 / 0.16e2 * t14559 + 0.3e1 / 0.16e2 * t14584 + 0.3e1 / 0.16e2 * t14587;
  t17900 = t1313 * t4169;
  t17919 = t220 * t418;
  t17922 = t220 * t75;
  t17925 = t5364 * t219;
  t17929 = t421 * t423 * t219;
  t17953 = t13401 * t665 / 0.4e1 + t672 / 0.2e1 + t220 * t168 * t445 / 0.2e1 - t17919 * t541 / 0.2e1 - t17922 * t547 / 0.2e1 - t17925 * t13416 / 0.2e1 + t13419 * t17929 / 0.2e1 + t1306 * t670 * t173 / 0.2e1 + t4159 * t13428 / 0.2e1 - t4159 * t13431 / 0.2e1 - t4159 * t13434 / 0.2e1 - t5382 * t219 * t173 / 0.2e1 - t1309 * t670 * t173 / 0.2e1 - t4161 * t13428 / 0.2e1 + t4161 * t13431 / 0.2e1 + t4161 * t13434 / 0.2e1;
  t17967 = -0.3e1 / 0.32e2 * t409 * t4191 - 0.3e1 / 0.32e2 * t156 * t17900 * t1335 + 0.3e1 / 0.32e2 * t409 * t4194 + 0.3e1 / 0.32e2 * t156 * t17900 * t1343 + t409 * t4197 / 0.4e1 - 0.3e1 / 0.16e2 * t409 * t4200 - t156 * t17953 * t883 * t424 / 0.32e2 - 0.3e1 / 0.16e2 * t409 * t4171 - t409 * t4174 / 0.8e1 + 0.3e1 / 0.32e2 * t409 * t4178 + 0.3e1 / 0.32e2 * t156 * t17900 * t1374;
  t17973 = 0.3e1 / 0.16e2 * t409 * t4181 - t409 * t4166 / 0.32e2 + t17707 + t17709 - t17711 - t17713 - t17736 - t17738 - t17740 + t17742 + t17744;
  t17974 = -t17746 + t4187 + t4184 - t4185 - t4186 + t2378 - t2382 - t2397 + t2414 - t2442 - t2338;
  t17978 = my_piecewise3(t51, 0, -t409 * t4188 / 0.16e2 - t17794 * t3317 / 0.16e2 + t17794 * t3277 / 0.16e2 - 0.9e1 / 0.16e2 * t534 * t17799 - 0.3e1 / 0.16e2 * t14618 - 0.3e1 / 0.32e2 * t14612 - 0.3e1 / 0.16e2 * t14614 - 0.3e1 / 0.32e2 * t14609 - 0.3e1 / 0.32e2 * t14607 - t721 - t534 * t17780 * t5243 / 0.16e2 - 0.11e2 / 0.16e2 * t534 * t17780 * t5314 + 0.3e1 / 0.8e1 * t534 * t17780 * t5339 + 0.9e1 / 0.16e2 * t534 * t3300 * t8042 - 0.25e2 / 0.16e2 * t534 * t17802 * t13269 + 0.15e2 / 0.16e2 * t534 * t17806 * t13277 + t17887 + t17875 + t17843 + t17973 + t17974 + t17967 + t17702 - t17703 - t17704 + t17705);
  tv4rhotau37 = t3 * t17978 + t4204;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 7] += tv4rhotau37;

  t17980 = t695 * t690;
  t17982 = t484 * t17980 * t1036;
  t17985 = t484 * t17980 * t973;
  t17988 = t484 * t17980 * t946;
  t17991 = t484 * t8453 * t3496;
  t17993 = t1461 * t695;
  t17994 = t2258 * t17993;
  t17995 = t469 * t17994;
  t17998 = t469 * t2237 * t8355;
  t18001 = t469 * t2258 * t8395;
  t18003 = t484 * t17994;
  t18005 = t1467 * t695;
  t18007 = t484 * t2277 * t18005;
  t18009 = t3463 * t3345;
  t18011 = t690 * t690;
  t18012 = t100 * t18011;
  t18016 = t260 * t18011;
  t18020 = t695 * t695;
  t18021 = t100 * t18020;
  t18024 = 0.3e1 / 0.16e2 * t99 * t18021 * t290;
  t18027 = 0.3e1 / 0.16e2 * t99 * t18021 * t301;
  t18037 = 0.3e1 / 0.32e2 * t99 * t260 * t18020 * t269;
  t18041 = -t699 - 0.3e1 / 0.8e1 * t17982 + 0.9e1 / 0.8e1 * t17985 + 0.3e1 / 0.2e1 * t17988 - 0.9e1 / 0.8e1 * t17991 - 0.9e1 / 0.16e2 * t17995 + 0.9e1 / 0.16e2 * t17998 + 0.9e1 / 0.16e2 * t18001 - 0.9e1 / 0.8e1 * t18003 - 0.3e1 / 0.4e1 * t18007 - 0.5e1 / 0.32e2 * t18009 + 0.9e1 / 0.8e1 * t99 * t18012 * t4354 + 0.9e1 / 0.16e2 * t99 * t18016 * t4342 - t18024 + t18027 + 0.11e2 / 0.16e2 * t99 * t18012 * t4342 + 0.3e1 / 0.8e1 * t99 * t18012 * t4546 - t18037 - 0.7e1 / 0.32e2 * t99 * t18016 * t4286;
  t18045 = t3363 * t3337;
  t18050 = t697 / 0.2e1;
  t18062 = t998 * t695 * t116 / 0.2e1;
  t18063 = t998 * t690;
  t18070 = t258 * t3363;
  t18076 = t1001 * t695 * t116 / 0.2e1;
  t18077 = t1001 * t690;
  t18084 = t692 / 0.4e1 + t18050 + t701 / 0.2e1 - t704 / 0.2e1 - t707 / 0.2e1 - t4476 * t690 * t269 / 0.2e1 + t4480 * t690 * t269 / 0.2e1 + t18062 + t18063 * t290 / 0.2e1 - t18063 * t297 / 0.2e1 - t18063 * t301 / 0.2e1 - t18070 * t183 * t116 / 0.2e1 - t18076 - t18077 * t290 / 0.2e1 + t18077 * t297 / 0.2e1 + t18077 * t301 / 0.2e1;
  t18127 = 0.3e1 / 0.16e2 * t99 * t18021 * t297;
  t18132 = -0.11e2 / 0.32e2 * t99 * t18016 * t4278 + 0.5e1 / 0.32e2 * t99 * t18045 * t969 - t99 * t18084 * t690 * t269 / 0.32e2 - 0.9e1 / 0.16e2 * t99 * t18016 * t4368 - 0.11e2 / 0.16e2 * t99 * t18012 * t4323 + 0.3e1 / 0.8e1 * t99 * t18012 * t4391 - t99 * t18012 * t4319 / 0.16e2 + 0.5e1 / 0.32e2 * t99 * t18045 * t940 + 0.11e2 / 0.16e2 * t99 * t18012 * t4350 + 0.11e2 / 0.16e2 * t99 * t18016 * t4354 - 0.15e2 / 0.32e2 * t99 * t18016 * t4359 - 0.25e2 / 0.16e2 * t99 * t18012 * t4330 + 0.15e2 / 0.16e2 * t99 * t18012 * t4338 - 0.5e1 / 0.32e2 * t99 * t18045 * t961 - 0.3e1 / 0.2e1 * t99 * t18012 * t4286 + t18127 - t3346 / 0.8e1 + t3353 / 0.4e1 - t3370 / 0.4e1 + t3382 / 0.4e1;
  t18134 = my_piecewise3(t2, 0, t18041 + t18132);
  tv4sigma40 = t3 * t18134;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  tv4sigma41 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 1] += tv4sigma41;

  tv4sigma42 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 2] += tv4sigma42;

  tv4sigma43 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 3] += tv4sigma43;

  tv4sigma44 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 4] += tv4sigma44;

  tv4sigma45 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 5] += tv4sigma45;

  tv4sigma46 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 6] += tv4sigma46;

  tv4sigma47 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 7] += tv4sigma47;

  tv4sigma48 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 8] += tv4sigma48;

  tv4sigma49 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 9] += tv4sigma49;

  tv4sigma410 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 10] += tv4sigma410;

  tv4sigma411 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 11] += tv4sigma411;

  tv4sigma412 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 12] += tv4sigma412;

  tv4sigma413 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 13] += tv4sigma413;

  t18135 = t717 * t712;
  t18137 = t534 * t18135 * t1361;
  t18140 = t534 * t18135 * t1330;
  t18143 = t519 * t2406 * t8875;
  t18146 = t534 * t18135 * t1348;
  t18149 = t534 * t8895 * t3551;
  t18151 = t1618 * t717;
  t18152 = t2370 * t18151;
  t18153 = t519 * t18152;
  t18155 = t3515 * t3400;
  t18157 = t534 * t18152;
  t18159 = t1701 * t717;
  t18161 = t534 * t2386 * t18159;
  t18164 = t519 * t2370 * t8958;
  t18166 = t712 * t712;
  t18167 = t157 * t18166;
  t18174 = t717 * t717;
  t18175 = t157 * t18174;
  t18178 = 0.3e1 / 0.16e2 * t156 * t18175 * t452;
  t18181 = 0.3e1 / 0.16e2 * t156 * t18175 * t445;
  t18185 = 0.3e1 / 0.32e2 * t156 * t415 * t18174 * t424;
  t18188 = 0.3e1 / 0.16e2 * t156 * t18175 * t456;
  t18195 = -t721 + 0.9e1 / 0.8e1 * t18137 - 0.3e1 / 0.8e1 * t18140 + 0.9e1 / 0.16e2 * t18143 + 0.3e1 / 0.2e1 * t18146 - 0.9e1 / 0.8e1 * t18149 - 0.9e1 / 0.16e2 * t18153 - 0.5e1 / 0.32e2 * t18155 - 0.9e1 / 0.8e1 * t18157 - 0.3e1 / 0.4e1 * t18161 + 0.9e1 / 0.16e2 * t18164 + 0.11e2 / 0.16e2 * t156 * t18167 * t5248 - 0.3e1 / 0.2e1 * t156 * t18167 * t5277 + t18178 - t18181 - t18185 + t18188 + 0.11e2 / 0.16e2 * t156 * t18167 * t5321 + 0.3e1 / 0.8e1 * t156 * t18167 * t5300;
  t18197 = t719 / 0.2e1;
  t18209 = t1306 * t717 * t173 / 0.2e1;
  t18210 = t1306 * t712;
  t18217 = t413 * t3418;
  t18223 = t1309 * t717 * t173 / 0.2e1;
  t18224 = t1309 * t712;
  t18231 = t714 / 0.4e1 + t18197 + t723 / 0.2e1 - t726 / 0.2e1 - t729 / 0.2e1 - t5364 * t712 * t424 / 0.2e1 + t5368 * t712 * t424 / 0.2e1 + t18209 + t18210 * t445 / 0.2e1 - t18210 * t452 / 0.2e1 - t18210 * t456 / 0.2e1 - t18217 * t191 * t173 / 0.2e1 - t18223 - t18224 * t445 / 0.2e1 + t18224 * t452 / 0.2e1 + t18224 * t456 / 0.2e1;
  t18236 = t415 * t18166;
  t18246 = t3418 * t3392;
  t18287 = -t156 * t18231 * t712 * t424 / 0.32e2 - 0.7e1 / 0.32e2 * t156 * t18236 * t5277 - 0.9e1 / 0.16e2 * t156 * t18236 * t5325 - 0.11e2 / 0.32e2 * t156 * t18236 * t5271 + 0.5e1 / 0.32e2 * t156 * t18246 * t1374 + 0.3e1 / 0.8e1 * t156 * t18167 * t5339 - t156 * t18167 * t5243 / 0.16e2 - 0.11e2 / 0.16e2 * t156 * t18167 * t5314 + 0.11e2 / 0.16e2 * t156 * t18236 * t5253 - 0.15e2 / 0.32e2 * t156 * t18236 * t5260 - 0.25e2 / 0.16e2 * t156 * t18167 * t5265 + 0.15e2 / 0.16e2 * t156 * t18167 * t5233 + 0.9e1 / 0.8e1 * t156 * t18167 * t5253 + 0.9e1 / 0.16e2 * t156 * t18236 * t5321 - 0.5e1 / 0.32e2 * t156 * t18246 * t1335 + 0.5e1 / 0.32e2 * t156 * t18246 * t1343 - t3401 / 0.8e1 + t3408 / 0.4e1 - t3425 / 0.4e1 + t3437 / 0.4e1;
  t18289 = my_piecewise3(t51, 0, t18195 + t18287);
  tv4sigma414 = t3 * t18289;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 14] += tv4sigma414;

  t18290 = t199 * t3337;
  t18298 = t18290 * t4286;
  t18302 = t1719 * t5723 * t3337;
  t18311 = t5718 * t3337;
  t18324 = t572 * t5544 * t3337;
  t18327 = -t699 - 0.25e2 / 0.16e2 * t484 * t18290 * t4330 - 0.5e1 / 0.32e2 * t3463 * t3473 + 0.5e1 / 0.32e2 * t3463 * t3490 - 0.3e1 / 0.2e1 * t484 * t18298 + 0.9e1 / 0.8e1 * t484 * t18302 + 0.3e1 / 0.8e1 * t484 * t18290 * t4391 - t484 * t18290 * t4319 / 0.16e2 + 0.15e2 / 0.16e2 * t484 * t6567 * t18311 + 0.11e2 / 0.16e2 * t484 * t18290 * t4350 + 0.11e2 / 0.16e2 * t469 * t18302 - 0.15e2 / 0.32e2 * t469 * t12947 * t6559 + 0.11e2 / 0.16e2 * t484 * t18324;
  t18328 = t5551 * t3337;
  t18348 = t23 * t26 * t18084;
  t18351 = t3463 * t3451;
  t18352 = t18351 / 0.16e2;
  t18353 = 0.3e1 / 0.16e2 * t17982;
  t18354 = 0.9e1 / 0.16e2 * t17985;
  t18355 = 0.3e1 / 0.4e1 * t17988;
  t18356 = 0.9e1 / 0.16e2 * t17991;
  t18357 = 0.3e1 / 0.8e1 * t484 * t576 * t18328 + 0.5e1 / 0.32e2 * t3463 * t3480 - 0.11e2 / 0.16e2 * t484 * t18290 * t4323 - 0.7e1 / 0.32e2 * t469 * t18298 + 0.9e1 / 0.16e2 * t469 * t18324 - 0.9e1 / 0.16e2 * t469 * t12894 * t6656 - 0.11e2 / 0.32e2 * t469 * t12899 * t6646 - t18348 * t734 / 0.32e2 - t18352 - t18353 + t18354 + t18355 - t18356;
  t18359 = 0.9e1 / 0.32e2 * t17995;
  t18360 = 0.9e1 / 0.32e2 * t17998;
  t18361 = 0.9e1 / 0.32e2 * t18001;
  t18362 = 0.9e1 / 0.16e2 * t18003;
  t18363 = 0.3e1 / 0.8e1 * t18007;
  t18364 = 0.3e1 / 0.32e2 * t18009;
  t18365 = t12872 * t183;
  t18366 = t2455 * t18365;
  t18367 = t484 * t18366;
  t18368 = 0.9e1 / 0.16e2 * t18367;
  t18369 = t469 * t18366;
  t18370 = 0.9e1 / 0.32e2 * t18369;
  t18372 = t469 * t13485 * t3738;
  t18373 = 0.9e1 / 0.32e2 * t18372;
  t18374 = -t18359 + t18360 + t18361 - t18362 - t18363 - t18364 - t18024 + t18027 - t18037 + t18127 - t18368 - t18370 + t18373;
  t18376 = t484 * t13489 * t1526;
  t18377 = 0.3e1 / 0.4e1 * t18376;
  t18380 = t484 * t3454 * t183 * t1036;
  t18381 = 0.3e1 / 0.16e2 * t18380;
  t18383 = t484 * t2485 * t18365;
  t18384 = 0.9e1 / 0.16e2 * t18383;
  t18386 = t484 * t2471 * t8395;
  t18387 = 0.9e1 / 0.16e2 * t18386;
  t18389 = t484 * t2461 * t18365;
  t18390 = 0.3e1 / 0.8e1 * t18389;
  t18392 = t469 * t2465 * t13568;
  t18393 = 0.9e1 / 0.32e2 * t18392;
  t18394 = t18377 - t18381 - t18384 + t18387 - t18390 + t18393 + t3450 - t3453 - t3457 + t3461 - t3347 + t3354 - t3371 + t3383;
  t18397 = my_piecewise3(t2, 0, t18327 + t18357 + t18374 + t18394);
  tv4sigma3lapl0 = t3 * t18397;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 0] += tv4sigma3lapl0;

  tv4sigma3lapl1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 1] += tv4sigma3lapl1;

  tv4sigma3lapl2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 2] += tv4sigma3lapl2;

  tv4sigma3lapl3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 3] += tv4sigma3lapl3;

  tv4sigma3lapl4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 4] += tv4sigma3lapl4;

  tv4sigma3lapl5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 5] += tv4sigma3lapl5;

  tv4sigma3lapl6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 6] += tv4sigma3lapl6;

  tv4sigma3lapl7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 7] += tv4sigma3lapl7;

  tv4sigma3lapl8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 8] += tv4sigma3lapl8;

  tv4sigma3lapl9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 9] += tv4sigma3lapl9;

  tv4sigma3lapl10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 10] += tv4sigma3lapl10;

  tv4sigma3lapl11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 11] += tv4sigma3lapl11;

  tv4sigma3lapl12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 12] += tv4sigma3lapl12;

  tv4sigma3lapl13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 13] += tv4sigma3lapl13;

  tv4sigma3lapl14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 14] += tv4sigma3lapl14;

  tv4sigma3lapl15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 15] += tv4sigma3lapl15;

  tv4sigma3lapl16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 16] += tv4sigma3lapl16;

  tv4sigma3lapl17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 17] += tv4sigma3lapl17;

  tv4sigma3lapl18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 18] += tv4sigma3lapl18;

  t18398 = t6194 * t3392;
  t18399 = t1969 * t18398;
  t18402 = t207 * t3392;
  t18409 = t6226 * t3392;
  t18428 = t13281 * t7152;
  t18434 = -t721 + 0.9e1 / 0.8e1 * t534 * t18399 + 0.3e1 / 0.8e1 * t534 * t18402 * t5339 - t534 * t18402 * t5243 / 0.16e2 + 0.15e2 / 0.16e2 * t534 * t7129 * t18409 + 0.11e2 / 0.16e2 * t534 * t18402 * t5248 + 0.11e2 / 0.16e2 * t519 * t18399 - 0.15e2 / 0.32e2 * t519 * t13268 * t7122 - 0.25e2 / 0.16e2 * t534 * t18402 * t5265 - 0.5e1 / 0.32e2 * t3515 * t3531 + 0.5e1 / 0.32e2 * t3515 * t3545 + 0.9e1 / 0.16e2 * t519 * t18428 - 0.9e1 / 0.16e2 * t519 * t13273 * t7210;
  t18435 = t18402 * t5277;
  t18441 = t60 * t26 * t18231;
  t18444 = t3515 * t3518;
  t18445 = t18444 / 0.16e2;
  t18448 = t6269 * t3392;
  t18460 = 0.9e1 / 0.16e2 * t18137;
  t18461 = 0.3e1 / 0.16e2 * t18140;
  t18462 = 0.9e1 / 0.32e2 * t18143;
  t18463 = 0.3e1 / 0.4e1 * t18146;
  t18464 = -0.3e1 / 0.2e1 * t534 * t18435 - 0.7e1 / 0.32e2 * t519 * t18435 - t18441 * t751 / 0.32e2 - t18445 + 0.11e2 / 0.16e2 * t534 * t18428 + 0.3e1 / 0.8e1 * t534 * t615 * t18448 - 0.11e2 / 0.32e2 * t519 * t13281 * t7204 - 0.11e2 / 0.16e2 * t534 * t18402 * t5314 + 0.5e1 / 0.32e2 * t3515 * t3523 + t18460 - t18461 + t18462 + t18463;
  t18466 = 0.9e1 / 0.16e2 * t18149;
  t18467 = 0.9e1 / 0.32e2 * t18153;
  t18468 = 0.3e1 / 0.32e2 * t18155;
  t18469 = 0.9e1 / 0.16e2 * t18157;
  t18470 = 0.3e1 / 0.8e1 * t18161;
  t18471 = 0.9e1 / 0.32e2 * t18164;
  t18472 = t13245 * t191;
  t18474 = t534 * t2572 * t18472;
  t18475 = 0.9e1 / 0.16e2 * t18474;
  t18478 = t534 * t3502 * t191 * t1330;
  t18479 = 0.3e1 / 0.16e2 * t18478;
  t18481 = t534 * t13875 * t1625;
  t18482 = 0.3e1 / 0.4e1 * t18481;
  t18483 = -t18466 - t18467 - t18468 - t18469 - t18470 + t18471 + t18178 - t18181 - t18185 + t18188 - t18475 - t18479 + t18482;
  t18485 = t519 * t2598 * t13916;
  t18486 = 0.9e1 / 0.32e2 * t18485;
  t18488 = t534 * t13911 * t1707;
  t18489 = 0.9e1 / 0.16e2 * t18488;
  t18490 = t2578 * t13916;
  t18491 = t519 * t18490;
  t18492 = 0.9e1 / 0.32e2 * t18491;
  t18493 = t534 * t18490;
  t18494 = 0.9e1 / 0.16e2 * t18493;
  t18496 = t519 * t2584 * t13916;
  t18497 = 0.9e1 / 0.32e2 * t18496;
  t18499 = t534 * t2594 * t18472;
  t18500 = 0.3e1 / 0.8e1 * t18499;
  t18501 = t18486 + t18489 - t18492 - t18494 + t18497 - t18500 - t3505 + t3509 + t3513 - t3520 - t3402 + t3409 - t3426 + t3438;
  t18504 = my_piecewise3(t51, 0, t18434 + t18464 + t18483 + t18501);
  tv4sigma3lapl19 = t3 * t18504;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 19] += tv4sigma3lapl19;

  t18505 = t213 * t3337;
  t18510 = t12894 * t5723 * t213;
  t18533 = t12899 * t5544 * t213;
  t18539 = t18505 * t4286;
  t18542 = -t699 + 0.11e2 / 0.16e2 * t484 * t18505 * t4350 + 0.11e2 / 0.16e2 * t469 * t18510 - 0.5e1 / 0.32e2 * t3463 * t3579 + 0.5e1 / 0.32e2 * t3463 * t3590 - t484 * t18505 * t4319 / 0.16e2 + 0.3e1 / 0.8e1 * t484 * t18505 * t4391 - 0.15e2 / 0.32e2 * t469 * t12947 * t7451 - 0.25e2 / 0.16e2 * t484 * t18505 * t4330 + 0.15e2 / 0.16e2 * t484 * t7459 * t18311 + 0.9e1 / 0.16e2 * t469 * t18533 - 0.9e1 / 0.16e2 * t469 * t12894 * t7577 - 0.3e1 / 0.2e1 * t484 * t18539;
  t18547 = t3463 * t3565;
  t18548 = t18547 / 0.16e2;
  t18564 = 0.9e1 / 0.8e1 * t484 * t18510 - 0.7e1 / 0.32e2 * t469 * t18539 - t18548 - t18348 * t768 / 0.32e2 + 0.11e2 / 0.16e2 * t484 * t18533 + 0.3e1 / 0.8e1 * t484 * t644 * t18328 - 0.11e2 / 0.32e2 * t469 * t12899 * t7581 - 0.11e2 / 0.16e2 * t484 * t18505 * t4323 + 0.5e1 / 0.32e2 * t3463 * t3572 - t18353 + t18354 + t18355 - t18356;
  t18566 = t14146 * t3745;
  t18567 = t469 * t18566;
  t18568 = 0.9e1 / 0.32e2 * t18567;
  t18570 = t484 * t12203 * t18365;
  t18571 = 0.3e1 / 0.4e1 * t18570;
  t18573 = t484 * t2677 * t18365;
  t18574 = 0.9e1 / 0.16e2 * t18573;
  t18575 = -t18359 + t18360 + t18361 - t18362 - t18363 - t18364 - t18024 + t18027 - t18037 + t18127 - t18568 + t18571 - t18574;
  t18577 = t484 * t2651 * t8395;
  t18578 = 0.9e1 / 0.16e2 * t18577;
  t18581 = t484 * t3568 * t183 * t1036;
  t18582 = 0.3e1 / 0.16e2 * t18581;
  t18583 = t484 * t18566;
  t18584 = 0.9e1 / 0.16e2 * t18583;
  t18586 = t469 * t2477 * t14151;
  t18587 = 0.9e1 / 0.32e2 * t18586;
  t18589 = t484 * t2659 * t18365;
  t18590 = 0.3e1 / 0.8e1 * t18589;
  t18592 = t469 * t2465 * t14151;
  t18593 = 0.9e1 / 0.32e2 * t18592;
  t18594 = t18578 - t18582 - t18584 + t18587 - t18590 + t18593 - t3567 - t3571 + t3559 + t3562 - t3347 + t3354 - t3371 + t3383;
  t18597 = my_piecewise3(t2, 0, t18542 + t18564 + t18575 + t18594);
  tv4sigma3tau0 = t3 * t18597;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 0] += tv4sigma3tau0;

  tv4sigma3tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 1] += tv4sigma3tau1;

  tv4sigma3tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 2] += tv4sigma3tau2;

  tv4sigma3tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 3] += tv4sigma3tau3;

  tv4sigma3tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 4] += tv4sigma3tau4;

  tv4sigma3tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 5] += tv4sigma3tau5;

  tv4sigma3tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 6] += tv4sigma3tau6;

  tv4sigma3tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 7] += tv4sigma3tau7;

  tv4sigma3tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 8] += tv4sigma3tau8;

  tv4sigma3tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 9] += tv4sigma3tau9;

  tv4sigma3tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 10] += tv4sigma3tau10;

  tv4sigma3tau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 11] += tv4sigma3tau11;

  tv4sigma3tau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 12] += tv4sigma3tau12;

  tv4sigma3tau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 13] += tv4sigma3tau13;

  tv4sigma3tau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 14] += tv4sigma3tau14;

  tv4sigma3tau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 15] += tv4sigma3tau15;

  tv4sigma3tau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 16] += tv4sigma3tau16;

  tv4sigma3tau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 17] += tv4sigma3tau17;

  tv4sigma3tau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 18] += tv4sigma3tau18;

  t18600 = t6215 * t219;
  t18601 = t13281 * t18600;
  t18607 = t219 * t3392;
  t18608 = t18607 * t5277;
  t18611 = t2158 * t18398;
  t18633 = -t721 + 0.5e1 / 0.32e2 * t3515 * t3634 + 0.9e1 / 0.16e2 * t519 * t18601 - 0.9e1 / 0.16e2 * t519 * t13273 * t8130 - 0.3e1 / 0.2e1 * t534 * t18608 + 0.9e1 / 0.8e1 * t534 * t18611 - 0.5e1 / 0.32e2 * t3515 * t3623 - 0.25e2 / 0.16e2 * t534 * t18607 * t5265 + 0.15e2 / 0.16e2 * t534 * t8165 * t18409 + 0.3e1 / 0.8e1 * t534 * t18607 * t5339 - t534 * t18607 * t5243 / 0.16e2 + 0.11e2 / 0.16e2 * t534 * t18601 + 0.3e1 / 0.8e1 * t534 * t683 * t18448;
  t18646 = t3515 * t3606;
  t18647 = t18646 / 0.16e2;
  t18656 = -0.11e2 / 0.32e2 * t519 * t13281 * t8134 - 0.11e2 / 0.16e2 * t534 * t18607 * t5314 + 0.5e1 / 0.32e2 * t3515 * t3616 - 0.7e1 / 0.32e2 * t519 * t18608 - t18441 * t783 / 0.32e2 - t18647 + 0.11e2 / 0.16e2 * t534 * t18607 * t5248 + 0.11e2 / 0.16e2 * t519 * t18611 - 0.15e2 / 0.32e2 * t519 * t13268 * t8158 + t18460 - t18461 + t18462 + t18463;
  t18659 = t534 * t2773 * t18472;
  t18660 = 0.9e1 / 0.16e2 * t18659;
  t18661 = t3781 * t18472;
  t18662 = t534 * t18661;
  t18663 = 0.9e1 / 0.16e2 * t18662;
  t18665 = t534 * t2765 * t8958;
  t18666 = 0.9e1 / 0.16e2 * t18665;
  t18667 = -t18466 - t18467 - t18468 - t18469 - t18470 + t18471 + t18178 - t18181 - t18185 + t18188 - t18660 - t18663 + t18666;
  t18670 = t534 * t3609 * t191 * t1330;
  t18671 = 0.3e1 / 0.16e2 * t18670;
  t18672 = t519 * t18661;
  t18673 = 0.9e1 / 0.32e2 * t18672;
  t18675 = t519 * t14544 * t3774;
  t18676 = 0.9e1 / 0.32e2 * t18675;
  t18678 = t534 * t14548 * t1625;
  t18679 = 0.3e1 / 0.4e1 * t18678;
  t18681 = t534 * t2789 * t18472;
  t18682 = 0.3e1 / 0.8e1 * t18681;
  t18684 = t519 * t2598 * t14514;
  t18685 = 0.9e1 / 0.32e2 * t18684;
  t18686 = -t18671 - t18673 + t18676 + t18679 - t18682 + t18685 + t3615 + t3603 - t3608 - t3612 - t3402 + t3409 - t3426 + t3438;
  t18689 = my_piecewise3(t51, 0, t18633 + t18656 + t18667 + t18686);
  tv4sigma3tau19 = t3 * t18689;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 19] += tv4sigma3tau19;

  t18692 = t798 * t690;
  t18705 = t484 * t2862 * t18005;
  t18706 = t18705 / 0.8e1;
  t18713 = t469 * t2838 * t8395;
  t18714 = 0.3e1 / 0.32e2 * t18713;
  t18715 = t5690 * t690;
  t18719 = t5718 * t690;
  t18726 = t5723 * t690;
  t18727 = t2842 * t18726;
  t18733 = -t699 + 0.5e1 / 0.32e2 * t3463 * t3676 - t484 * t18692 * t4319 / 0.16e2 + 0.3e1 / 0.8e1 * t484 * t18692 * t4391 - 0.5e1 / 0.32e2 * t3463 * t3649 - 0.9e1 / 0.16e2 * t469 * t2237 * t10880 - t18706 - 0.11e2 / 0.32e2 * t469 * t2258 * t10831 + 0.5e1 / 0.32e2 * t3463 * t3656 + t18714 - 0.25e2 / 0.16e2 * t484 * t2842 * t18715 + 0.15e2 / 0.16e2 * t484 * t10810 * t18719 + 0.11e2 / 0.16e2 * t484 * t18692 * t4350 + 0.11e2 / 0.16e2 * t469 * t18727 - 0.15e2 / 0.32e2 * t469 * t10810 * t18715;
  t18734 = t2838 * t8334;
  t18739 = t5551 * t690;
  t18746 = t2838 * t8292;
  t18749 = t1517 * t695;
  t18751 = t484 * t2842 * t18749;
  t18752 = 0.3e1 / 0.16e2 * t18751;
  t18753 = t2838 * t17993;
  t18754 = t469 * t18753;
  t18755 = 0.3e1 / 0.32e2 * t18754;
  t18757 = t469 * t2842 * t8355;
  t18758 = 0.3e1 / 0.32e2 * t18757;
  t18760 = t484 * t2838 * t8355;
  t18761 = t18760 / 0.4e1;
  t18764 = t484 * t798 * t695 * t1036;
  t18765 = t18764 / 0.16e2;
  t18769 = t484 * t2862 * t8395;
  t18770 = 0.3e1 / 0.16e2 * t18769;
  t18773 = t484 * t18753;
  t18774 = 0.3e1 / 0.16e2 * t18773;
  t18776 = t17982 / 0.16e2;
  t18777 = -0.3e1 / 0.2e1 * t484 * t18734 + 0.9e1 / 0.8e1 * t484 * t18727 + 0.3e1 / 0.8e1 * t484 * t2862 * t18739 - 0.11e2 / 0.16e2 * t484 * t2862 * t8313 + 0.11e2 / 0.16e2 * t484 * t18746 - t18752 - t18755 + t18758 + t18761 - t18765 - 0.7e1 / 0.32e2 * t469 * t18734 + t18770 + 0.9e1 / 0.16e2 * t469 * t18746 - t18774 - t18351 / 0.8e1 - t18776;
  t18779 = 0.3e1 / 0.16e2 * t17985;
  t18780 = t17988 / 0.4e1;
  t18781 = 0.3e1 / 0.16e2 * t17991;
  t18782 = 0.3e1 / 0.32e2 * t17995;
  t18783 = 0.3e1 / 0.32e2 * t17998;
  t18784 = 0.3e1 / 0.32e2 * t18001;
  t18785 = 0.3e1 / 0.16e2 * t18003;
  t18786 = t18007 / 0.8e1;
  t18787 = t18009 / 0.32e2;
  t18793 = t18779 + t18780 - t18781 - t18782 + t18783 + t18784 - t18785 - t18786 - t18787 - t99 * t18084 * t798 * t269 / 0.32e2 - t18024 + t18027 - t18037 + t18127 - 0.3e1 / 0.4e1 * t18367;
  t18801 = -0.3e1 / 0.8e1 * t18369 + 0.3e1 / 0.8e1 * t18372 + t18376 - t18380 / 0.4e1 - 0.3e1 / 0.4e1 * t18383 + 0.3e1 / 0.4e1 * t18386 - t18389 / 0.2e1 + 0.3e1 / 0.8e1 * t18392 + t3659 - t3660 - t3661 + t3662 - t3466 + t3467 - t3483 + t3487;
  t18804 = my_piecewise3(t2, 0, t18733 + t18777 + t18793 + t18801);
  tv4sigma2lapl20 = t3 * t18804;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 0] += tv4sigma2lapl20;

  tv4sigma2lapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 1] += tv4sigma2lapl21;

  tv4sigma2lapl22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 2] += tv4sigma2lapl22;

  tv4sigma2lapl23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 3] += tv4sigma2lapl23;

  tv4sigma2lapl24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 4] += tv4sigma2lapl24;

  tv4sigma2lapl25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 5] += tv4sigma2lapl25;

  tv4sigma2lapl26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 6] += tv4sigma2lapl26;

  tv4sigma2lapl27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 7] += tv4sigma2lapl27;

  tv4sigma2lapl28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 8] += tv4sigma2lapl28;

  tv4sigma2lapl29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 9] += tv4sigma2lapl29;

  tv4sigma2lapl210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 10] += tv4sigma2lapl210;

  tv4sigma2lapl211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 11] += tv4sigma2lapl211;

  tv4sigma2lapl212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 12] += tv4sigma2lapl212;

  tv4sigma2lapl213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 13] += tv4sigma2lapl213;

  tv4sigma2lapl214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 14] += tv4sigma2lapl214;

  tv4sigma2lapl215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 15] += tv4sigma2lapl215;

  tv4sigma2lapl216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 16] += tv4sigma2lapl216;

  t18805 = t815 * t712;
  t18814 = t6220 * t712;
  t18818 = t6226 * t712;
  t18822 = t2933 * t8968;
  t18825 = t6194 * t712;
  t18826 = t2937 * t18825;
  t18832 = t519 * t2937 * t8875;
  t18833 = 0.3e1 / 0.32e2 * t18832;
  t18834 = t6269 * t712;
  t18841 = t6215 * t712;
  t18842 = t2933 * t18841;
  t18846 = t534 * t2933 * t8875;
  t18847 = t18846 / 0.4e1;
  t18850 = -t721 - t534 * t18805 * t5243 / 0.16e2 + 0.3e1 / 0.8e1 * t534 * t18805 * t5339 - 0.5e1 / 0.32e2 * t3515 * t3692 - 0.25e2 / 0.16e2 * t534 * t2937 * t18814 + 0.15e2 / 0.16e2 * t534 * t11231 * t18818 - 0.3e1 / 0.2e1 * t534 * t18822 + 0.9e1 / 0.8e1 * t534 * t18826 + 0.5e1 / 0.32e2 * t3515 * t3726 + t18833 + 0.3e1 / 0.8e1 * t534 * t2947 * t18834 - 0.11e2 / 0.16e2 * t534 * t2947 * t8945 + 0.11e2 / 0.16e2 * t534 * t18842 + t18847 + 0.11e2 / 0.16e2 * t519 * t18826;
  t18851 = t1612 * t717;
  t18853 = t534 * t2937 * t18851;
  t18854 = 0.3e1 / 0.16e2 * t18853;
  t18855 = t6220 * t815;
  t18859 = t2933 * t18151;
  t18860 = t519 * t18859;
  t18861 = 0.3e1 / 0.32e2 * t18860;
  t18864 = t534 * t815 * t717 * t1330;
  t18865 = t18864 / 0.16e2;
  t18872 = t534 * t2947 * t18159;
  t18873 = t18872 / 0.8e1;
  t18880 = t519 * t2933 * t8958;
  t18881 = 0.3e1 / 0.32e2 * t18880;
  t18883 = t534 * t2947 * t8958;
  t18884 = 0.3e1 / 0.16e2 * t18883;
  t18887 = t534 * t18859;
  t18888 = 0.3e1 / 0.16e2 * t18887;
  t18893 = 0.3e1 / 0.16e2 * t18137;
  t18894 = -t18854 - 0.15e2 / 0.32e2 * t519 * t8870 * t18855 - t18861 - t18865 - 0.7e1 / 0.32e2 * t519 * t18822 - 0.9e1 / 0.16e2 * t519 * t2406 * t11316 - t18873 - 0.11e2 / 0.32e2 * t519 * t2370 * t11331 + 0.5e1 / 0.32e2 * t3515 * t3699 + t18881 + t18884 + 0.9e1 / 0.16e2 * t519 * t18842 - t18888 + 0.11e2 / 0.16e2 * t534 * t18805 * t5248 - t18444 / 0.8e1 + t18893;
  t18896 = t18140 / 0.16e2;
  t18897 = 0.3e1 / 0.32e2 * t18143;
  t18898 = t18146 / 0.4e1;
  t18899 = 0.3e1 / 0.16e2 * t18149;
  t18900 = 0.3e1 / 0.32e2 * t18153;
  t18901 = t18155 / 0.32e2;
  t18902 = 0.3e1 / 0.16e2 * t18157;
  t18903 = t18161 / 0.8e1;
  t18904 = 0.3e1 / 0.32e2 * t18164;
  t18910 = -t18896 + t18897 + t18898 - t18899 - t18900 - t18901 - t18902 - t18903 + t18904 - t156 * t18231 * t815 * t424 / 0.32e2 + t18178 - t18181 - t18185 + t18188 - 0.3e1 / 0.4e1 * t18474;
  t18918 = -t18478 / 0.4e1 + t18481 + 0.3e1 / 0.8e1 * t18485 + 0.3e1 / 0.4e1 * t18488 - 0.3e1 / 0.8e1 * t18491 - 0.3e1 / 0.4e1 * t18493 + 0.3e1 / 0.8e1 * t18496 - t18499 / 0.2e1 - t3702 + t3703 + t3704 - t3705 - t3521 + t3522 - t3538 + t3542;
  t18921 = my_piecewise3(t51, 0, t18850 + t18894 + t18910 + t18918);
  tv4sigma2lapl217 = t3 * t18921;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 17] += tv4sigma2lapl217;

  t18926 = -t699 - t18348 * t832 / 0.32e2 - t18548 - t18352 - t18776 + t18779 + t18780 - t18781 - t18782 + t18783 + t18784 - t18785 - t18786 - t18787 - t18024 + t18027 - t18037 + t18127 + 0.5e1 / 0.32e2 * t3463 * t3755;
  t18930 = t2655 * t13554;
  t18936 = t835 * t690;
  t18946 = t469 * t2997 * t14151;
  t18949 = t484 * t3001 * t8355;
  t18953 = t484 * t835 * t695 * t1036;
  t18956 = t2258 * t936 * t11437;
  t18960 = t484 * t2659 * t13568;
  t18966 = t469 * t3008 * t14151;
  t18969 = t484 * t3016 * t8395;
  t18973 = t2655 * t13568;
  t18974 = t484 * t18973;
  t18984 = -0.11e2 / 0.16e2 * t484 * t3016 * t8313 + 0.11e2 / 0.16e2 * t484 * t18930 + 0.3e1 / 0.8e1 * t484 * t2659 * t13554 - t484 * t18936 * t4319 / 0.16e2 + 0.3e1 / 0.8e1 * t484 * t18936 * t4391 - 0.5e1 / 0.32e2 * t3463 * t3739 + 0.3e1 / 0.32e2 * t18946 + t18949 / 0.4e1 - t18953 / 0.16e2 - 0.7e1 / 0.32e2 * t469 * t18956 - t18960 / 0.8e1 - 0.11e2 / 0.32e2 * t469 * t14175 * t11437 + 0.3e1 / 0.32e2 * t18966 + 0.3e1 / 0.16e2 * t18969 + 0.9e1 / 0.16e2 * t469 * t18930 - 0.3e1 / 0.16e2 * t18974 - 0.9e1 / 0.16e2 * t469 * t14120 * t11437 + 0.5e1 / 0.32e2 * t3463 * t3746 + 0.11e2 / 0.16e2 * t484 * t18936 * t4350;
  t18986 = t9928 * t690;
  t18987 = t2485 * t18986;
  t19004 = t484 * t2677 * t13568;
  t19006 = t469 * t18973;
  t19008 = 0.3e1 / 0.16e2 * t18567;
  t19009 = t18570 / 0.2e1;
  t19010 = 0.3e1 / 0.8e1 * t18573;
  t19011 = 0.3e1 / 0.8e1 * t18577;
  t19012 = t18581 / 0.8e1;
  t19013 = 0.3e1 / 0.8e1 * t18583;
  t19014 = 0.3e1 / 0.16e2 * t18586;
  t19015 = t18589 / 0.4e1;
  t19016 = 0.3e1 / 0.16e2 * t18592;
  t19017 = 0.3e1 / 0.8e1 * t18367;
  t19018 = 0.3e1 / 0.16e2 * t18369;
  t19019 = 0.11e2 / 0.16e2 * t469 * t18987 - 0.15e2 / 0.32e2 * t469 * t11400 * t18986 - 0.25e2 / 0.16e2 * t484 * t11410 * t18715 + 0.15e2 / 0.16e2 * t484 * t9940 * t13554 - 0.3e1 / 0.2e1 * t484 * t18956 + 0.9e1 / 0.8e1 * t484 * t18987 - 0.3e1 / 0.16e2 * t19004 - 0.3e1 / 0.32e2 * t19006 - t19008 + t19009 - t19010 + t19011 - t19012 - t19013 + t19014 - t19015 + t19016 - t19017 - t19018;
  t19020 = 0.3e1 / 0.16e2 * t18372;
  t19021 = t18376 / 0.2e1;
  t19022 = t18380 / 0.8e1;
  t19023 = 0.3e1 / 0.8e1 * t18383;
  t19024 = 0.3e1 / 0.8e1 * t18386;
  t19025 = t18389 / 0.4e1;
  t19026 = 0.3e1 / 0.16e2 * t18392;
  t19027 = t19020 + t19021 - t19022 - t19023 + t19024 - t19025 + t19026 - t3567 - t3571 + t3559 + t3562 + t3450 - t3453 - t3457 + t3461 - t3466 + t3467 - t3483 + t3487;
  t19030 = my_piecewise3(t2, 0, t18926 + t18984 + t19019 + t19027);
  tv4sigma2lapltau0 = t3 * t19030;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 0] += tv4sigma2lapltau0;

  tv4sigma2lapltau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 1] += tv4sigma2lapltau1;

  tv4sigma2lapltau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 2] += tv4sigma2lapltau2;

  tv4sigma2lapltau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 3] += tv4sigma2lapltau3;

  tv4sigma2lapltau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 4] += tv4sigma2lapltau4;

  tv4sigma2lapltau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 5] += tv4sigma2lapltau5;

  tv4sigma2lapltau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 6] += tv4sigma2lapltau6;

  tv4sigma2lapltau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 7] += tv4sigma2lapltau7;

  tv4sigma2lapltau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 8] += tv4sigma2lapltau8;

  tv4sigma2lapltau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 9] += tv4sigma2lapltau9;

  tv4sigma2lapltau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 10] += tv4sigma2lapltau10;

  tv4sigma2lapltau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 11] += tv4sigma2lapltau11;

  tv4sigma2lapltau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 12] += tv4sigma2lapltau12;

  tv4sigma2lapltau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 13] += tv4sigma2lapltau13;

  tv4sigma2lapltau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 14] += tv4sigma2lapltau14;

  tv4sigma2lapltau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 15] += tv4sigma2lapltau15;

  tv4sigma2lapltau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 16] += tv4sigma2lapltau16;

  tv4sigma2lapltau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 17] += tv4sigma2lapltau17;

  tv4sigma2lapltau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 18] += tv4sigma2lapltau18;

  tv4sigma2lapltau19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 19] += tv4sigma2lapltau19;

  tv4sigma2lapltau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 20] += tv4sigma2lapltau20;

  tv4sigma2lapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 21] += tv4sigma2lapltau21;

  tv4sigma2lapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 22] += tv4sigma2lapltau22;

  t19033 = t9646 * t712;
  t19037 = -t721 - t18441 * t849 / 0.32e2 - t18647 - t18445 + t18893 - t18896 + t18897 + t18898 - t18899 - t18900 - t18901 - t18902 - t18903 + t18904 + t18178 - t18181 - t18185 + t18188 + 0.3e1 / 0.8e1 * t534 * t2789 * t19033;
  t19041 = t852 * t712;
  t19055 = t3781 * t19033;
  t19060 = t10474 * t712;
  t19064 = t3116 * t8968;
  t19068 = t534 * t2773 * t13916;
  t19071 = t519 * t3112 * t14514;
  t19074 = t534 * t3116 * t8875;
  t19078 = t534 * t852 * t717 * t1330;
  t19082 = t3108 * t14514;
  t19083 = t519 * t19082;
  t19085 = t534 * t19082;
  t19088 = t534 * t2789 * t13916;
  t19093 = -0.11e2 / 0.16e2 * t534 * t14507 * t7204 + 0.3e1 / 0.8e1 * t534 * t19041 * t5339 - t534 * t19041 * t5243 / 0.16e2 + 0.5e1 / 0.32e2 * t3515 * t3791 - 0.5e1 / 0.32e2 * t3515 * t3782 + 0.15e2 / 0.16e2 * t534 * t10466 * t19033 + 0.11e2 / 0.16e2 * t534 * t19055 + 0.9e1 / 0.16e2 * t519 * t19055 - 0.9e1 / 0.16e2 * t519 * t3112 * t19060 - 0.3e1 / 0.2e1 * t534 * t19064 - 0.3e1 / 0.16e2 * t19068 + 0.3e1 / 0.32e2 * t19071 + t19074 / 0.4e1 - t19078 / 0.16e2 - 0.7e1 / 0.32e2 * t519 * t19064 - 0.3e1 / 0.32e2 * t19083 - 0.3e1 / 0.16e2 * t19085 - t19088 / 0.8e1 - 0.11e2 / 0.32e2 * t519 * t13955 * t12073;
  t19096 = t519 * t3132 * t14514;
  t19099 = t534 * t3123 * t8958;
  t19103 = t2773 * t19033;
  t19117 = 0.3e1 / 0.8e1 * t18659;
  t19118 = 0.3e1 / 0.8e1 * t18662;
  t19119 = 0.3e1 / 0.8e1 * t18665;
  t19120 = t18670 / 0.8e1;
  t19121 = 0.3e1 / 0.16e2 * t18672;
  t19122 = 0.3e1 / 0.16e2 * t18675;
  t19123 = t18678 / 0.2e1;
  t19124 = t18681 / 0.4e1;
  t19125 = 0.3e1 / 0.16e2 * t18684;
  t19126 = 0.3e1 / 0.8e1 * t18474;
  t19127 = t18478 / 0.8e1;
  t19128 = 0.3e1 / 0.32e2 * t19096 + 0.3e1 / 0.16e2 * t19099 + 0.5e1 / 0.32e2 * t3515 * t3775 + 0.9e1 / 0.8e1 * t534 * t19103 + 0.11e2 / 0.16e2 * t534 * t19041 * t5248 + 0.11e2 / 0.16e2 * t519 * t19103 - 0.15e2 / 0.32e2 * t519 * t12025 * t19060 - 0.25e2 / 0.16e2 * t534 * t12012 * t18814 - t19117 - t19118 + t19119 - t19120 - t19121 + t19122 + t19123 - t19124 + t19125 - t19126 - t19127;
  t19129 = t18481 / 0.2e1;
  t19130 = 0.3e1 / 0.16e2 * t18485;
  t19131 = 0.3e1 / 0.8e1 * t18488;
  t19132 = 0.3e1 / 0.16e2 * t18491;
  t19133 = 0.3e1 / 0.8e1 * t18493;
  t19134 = 0.3e1 / 0.16e2 * t18496;
  t19135 = t18499 / 0.4e1;
  t19136 = t19129 + t19130 + t19131 - t19132 - t19133 + t19134 - t19135 + t3615 + t3603 - t3608 - t3612 - t3505 + t3509 + t3513 - t3520 - t3521 + t3522 - t3538 + t3542;
  t19139 = my_piecewise3(t51, 0, t19037 + t19093 + t19128 + t19136);
  tv4sigma2lapltau23 = t3 * t19139;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 23] += tv4sigma2lapltau23;

  t19142 = t866 * t690;
  t19154 = t5658 * t866;
  t19161 = t469 * t3181 * t8395;
  t19162 = 0.3e1 / 0.32e2 * t19161;
  t19164 = t484 * t3198 * t18005;
  t19165 = t19164 / 0.8e1;
  t19170 = t484 * t3198 * t8395;
  t19171 = 0.3e1 / 0.16e2 * t19170;
  t19172 = t5544 * t866;
  t19173 = t2258 * t19172;
  t19182 = -t699 + 0.5e1 / 0.32e2 * t3463 * t3829 - t484 * t19142 * t4319 / 0.16e2 - 0.11e2 / 0.16e2 * t484 * t19142 * t4323 + 0.3e1 / 0.8e1 * t484 * t19142 * t4391 - 0.5e1 / 0.32e2 * t3463 * t3809 - 0.9e1 / 0.16e2 * t469 * t2237 * t19154 + 0.5e1 / 0.32e2 * t3463 * t3812 + t19162 - t19165 - 0.11e2 / 0.32e2 * t469 * t2258 * t12343 + t19171 + 0.9e1 / 0.16e2 * t469 * t19173 - 0.25e2 / 0.16e2 * t484 * t3185 * t18715 + 0.15e2 / 0.16e2 * t484 * t12247 * t18719;
  t19186 = t3185 * t18726;
  t19194 = t3181 * t8334;
  t19203 = t469 * t3185 * t8355;
  t19204 = 0.3e1 / 0.32e2 * t19203;
  t19206 = t484 * t3181 * t8355;
  t19207 = t19206 / 0.4e1;
  t19209 = t484 * t3185 * t18749;
  t19210 = 0.3e1 / 0.16e2 * t19209;
  t19213 = t484 * t866 * t695 * t1036;
  t19214 = t19213 / 0.16e2;
  t19217 = t3181 * t17993;
  t19218 = t469 * t19217;
  t19219 = 0.3e1 / 0.32e2 * t19218;
  t19220 = t484 * t19217;
  t19221 = 0.3e1 / 0.16e2 * t19220;
  t19223 = 0.11e2 / 0.16e2 * t484 * t19142 * t4350 + 0.11e2 / 0.16e2 * t469 * t19186 - 0.15e2 / 0.32e2 * t469 * t12247 * t18715 + 0.11e2 / 0.16e2 * t484 * t19173 - 0.3e1 / 0.2e1 * t484 * t19194 + 0.9e1 / 0.8e1 * t484 * t19186 + 0.3e1 / 0.8e1 * t484 * t3198 * t18739 + t19204 + t19207 - t19210 - t19214 - 0.7e1 / 0.32e2 * t469 * t19194 - t19219 - t19221 - t18547 / 0.8e1 - t18776;
  t19230 = t18779 + t18780 - t18781 - t18782 + t18783 + t18784 - t18785 - t18786 - t18787 - t99 * t18084 * t866 * t269 / 0.32e2 - t18024 + t18027 - t18037 + t18127 - 0.3e1 / 0.8e1 * t18567;
  t19238 = t18570 - 0.3e1 / 0.4e1 * t18573 + 0.3e1 / 0.4e1 * t18577 - t18581 / 0.4e1 - 0.3e1 / 0.4e1 * t18583 + 0.3e1 / 0.8e1 * t18586 - t18589 / 0.2e1 + 0.3e1 / 0.8e1 * t18592 - t3817 - t3818 + t3815 + t3816 - t3466 + t3467 - t3483 + t3487;
  t19241 = my_piecewise3(t2, 0, t19182 + t19223 + t19230 + t19238);
  tv4sigma2tau20 = t3 * t19241;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 0] += tv4sigma2tau20;

  tv4sigma2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 1] += tv4sigma2tau21;

  tv4sigma2tau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 2] += tv4sigma2tau22;

  tv4sigma2tau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 3] += tv4sigma2tau23;

  tv4sigma2tau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 4] += tv4sigma2tau24;

  tv4sigma2tau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 5] += tv4sigma2tau25;

  tv4sigma2tau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 6] += tv4sigma2tau26;

  tv4sigma2tau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 7] += tv4sigma2tau27;

  tv4sigma2tau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 8] += tv4sigma2tau28;

  tv4sigma2tau29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 9] += tv4sigma2tau29;

  tv4sigma2tau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 10] += tv4sigma2tau210;

  tv4sigma2tau211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 11] += tv4sigma2tau211;

  tv4sigma2tau212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 12] += tv4sigma2tau212;

  tv4sigma2tau213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 13] += tv4sigma2tau213;

  tv4sigma2tau214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 14] += tv4sigma2tau214;

  tv4sigma2tau215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 15] += tv4sigma2tau215;

  tv4sigma2tau216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 16] += tv4sigma2tau216;

  t19242 = t3287 * t18825;
  t19254 = t3276 * t8968;
  t19259 = t883 * t712;
  t19270 = t3276 * t18841;
  t19279 = t3276 * t18151;
  t19280 = t519 * t19279;
  t19281 = 0.3e1 / 0.32e2 * t19280;
  t19282 = -t721 + 0.11e2 / 0.16e2 * t519 * t19242 - 0.15e2 / 0.32e2 * t519 * t12677 * t18814 - 0.25e2 / 0.16e2 * t534 * t3287 * t18814 + 0.15e2 / 0.16e2 * t534 * t12677 * t18818 - 0.3e1 / 0.2e1 * t534 * t19254 + 0.9e1 / 0.8e1 * t534 * t19242 - t534 * t19259 * t5243 / 0.16e2 + 0.3e1 / 0.8e1 * t534 * t19259 * t5339 - 0.5e1 / 0.32e2 * t3515 * t3843 + 0.5e1 / 0.32e2 * t3515 * t3866 + 0.11e2 / 0.16e2 * t534 * t19270 + 0.3e1 / 0.8e1 * t534 * t3300 * t18834 - 0.11e2 / 0.16e2 * t534 * t3300 * t8945 - t19281;
  t19284 = t519 * t3287 * t8875;
  t19285 = 0.3e1 / 0.32e2 * t19284;
  t19287 = t534 * t3276 * t8875;
  t19288 = t19287 / 0.4e1;
  t19290 = t534 * t3287 * t18851;
  t19291 = 0.3e1 / 0.16e2 * t19290;
  t19294 = t534 * t883 * t717 * t1330;
  t19295 = t19294 / 0.16e2;
  t19299 = t534 * t3300 * t18159;
  t19300 = t19299 / 0.8e1;
  t19307 = t519 * t3276 * t8958;
  t19308 = 0.3e1 / 0.32e2 * t19307;
  t19310 = t534 * t3300 * t8958;
  t19311 = 0.3e1 / 0.16e2 * t19310;
  t19314 = t534 * t19279;
  t19315 = 0.3e1 / 0.16e2 * t19314;
  t19323 = t19285 + t19288 - t19291 - t19295 - 0.7e1 / 0.32e2 * t519 * t19254 - t19300 - 0.11e2 / 0.32e2 * t519 * t2370 * t12755 + 0.5e1 / 0.32e2 * t3515 * t3849 + t19308 + t19311 + 0.9e1 / 0.16e2 * t519 * t19270 - t19315 - 0.9e1 / 0.16e2 * t519 * t2406 * t12779 + 0.11e2 / 0.16e2 * t534 * t19259 * t5248 - t18646 / 0.8e1 + t18893;
  t19330 = -t18896 + t18897 + t18898 - t18899 - t18900 - t18901 - t18902 - t18903 + t18904 - t156 * t18231 * t883 * t424 / 0.32e2 + t18178 - t18181 - t18185 + t18188 - 0.3e1 / 0.4e1 * t18659;
  t19338 = -0.3e1 / 0.4e1 * t18662 + 0.3e1 / 0.4e1 * t18665 - t18670 / 0.4e1 - 0.3e1 / 0.8e1 * t18672 + 0.3e1 / 0.8e1 * t18675 + t18678 - t18681 / 0.2e1 + 0.3e1 / 0.8e1 * t18684 + t3855 + t3852 - t3853 - t3854 - t3521 + t3522 - t3538 + t3542;
  t19341 = my_piecewise3(t51, 0, t19282 + t19323 + t19330 + t19338);
  tv4sigma2tau217 = t3 * t19341;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 17] += tv4sigma2tau217;

  t19348 = t5718 * t183;
  t19352 = t16204 * t5659;
  t19355 = t16220 * t5724;
  t19358 = t16204 * t14688;
  t19365 = t3970 * t3451;
  t19374 = t3887 * t183;
  t19378 = -t699 - 0.15e2 / 0.32e2 * t469 * t16224 * t5691 - 0.25e2 / 0.16e2 * t484 * t16220 * t5691 + 0.15e2 / 0.16e2 * t484 * t16224 * t19348 - 0.3e1 / 0.2e1 * t484 * t19352 + 0.9e1 / 0.8e1 * t484 * t19355 + 0.9e1 / 0.16e2 * t469 * t19358 - t3970 * t3649 / 0.16e2 + t3970 * t3676 / 0.16e2 - t19365 / 0.16e2 + t3970 * t3656 / 0.16e2 + 0.11e2 / 0.16e2 * t484 * t19358 - 0.9e1 / 0.16e2 * t469 * t1516 * t16155 - 0.11e2 / 0.16e2 * t484 * t19374 * t4323;
  t19392 = t5551 * t183;
  t19399 = 0.3e1 / 0.8e1 * t18705;
  t19400 = 0.9e1 / 0.32e2 * t18713;
  t19401 = 0.9e1 / 0.16e2 * t18751;
  t19402 = 0.9e1 / 0.32e2 * t18754;
  t19403 = 0.9e1 / 0.32e2 * t18757;
  t19404 = 0.3e1 / 0.4e1 * t18760;
  t19405 = 0.3e1 / 0.16e2 * t18764;
  t19406 = 0.3e1 / 0.8e1 * t484 * t19374 * t4391 - t484 * t19374 * t4319 / 0.16e2 + 0.11e2 / 0.16e2 * t484 * t16204 * t5724 + 0.11e2 / 0.16e2 * t469 * t19355 - 0.7e1 / 0.32e2 * t469 * t19352 + 0.3e1 / 0.8e1 * t484 * t16182 * t19392 - 0.11e2 / 0.32e2 * t469 * t489 * t16186 - t19399 + t19400 - t19401 - t19402 + t19403 + t19404 - t19405;
  t19408 = 0.9e1 / 0.16e2 * t18769;
  t19409 = 0.9e1 / 0.16e2 * t18773;
  t19411 = t3363 * t3887;
  t19419 = t260 * t183 * t263;
  t19431 = t4480 * t183;
  t19434 = t495 * t471;
  t19437 = t296 * t13062;
  t19440 = t114 * t13062;
  t19452 = t19419 * t558 / 0.4e1 + t18050 + t200 * t183 * t290 / 0.2e1 - t16305 * t741 / 0.2e1 - t16308 * t745 / 0.2e1 - t16311 * t13063 / 0.2e1 + t19431 * t16315 / 0.2e1 + t18062 + t3877 * t19434 / 0.2e1 - t3877 * t19437 / 0.2e1 - t3877 * t19440 / 0.2e1 - t18070 * t199 * t116 / 0.2e1 - t18076 - t3879 * t19434 / 0.2e1 + t3879 * t19437 / 0.2e1 + t3879 * t19440 / 0.2e1;
  t19460 = t19408 - t19409 - 0.3e1 / 0.32e2 * t18351 - 0.3e1 / 0.32e2 * t99 * t19411 * t961 + 0.3e1 / 0.32e2 * t99 * t19411 * t940 - t99 * t19452 * t798 * t269 / 0.32e2 + 0.3e1 / 0.32e2 * t99 * t19411 * t969 - t18024 + t18027 - t18037 + t18127 - t18368 - t18370 + t18373;
  t19461 = t18377 - t18381 - t18384 + t18387 - t18390 + t18393 + t3902 - t3903 - t3904 + t3905 - t3663 + t3664 - t3673 + t3686;
  t19464 = my_piecewise3(t2, 0, t19378 + t19406 + t19460 + t19461);
  tv4sigmalapl30 = t3 * t19464;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 0] += tv4sigmalapl30;

  tv4sigmalapl31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 1] += tv4sigmalapl31;

  tv4sigmalapl32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 2] += tv4sigmalapl32;

  tv4sigmalapl33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 3] += tv4sigmalapl33;

  tv4sigmalapl34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 4] += tv4sigmalapl34;

  tv4sigmalapl35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 5] += tv4sigmalapl35;

  tv4sigmalapl36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 6] += tv4sigmalapl36;

  tv4sigmalapl37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 7] += tv4sigmalapl37;

  tv4sigmalapl38 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 8] += tv4sigmalapl38;

  tv4sigmalapl39 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 9] += tv4sigmalapl39;

  tv4sigmalapl310 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 10] += tv4sigmalapl310;

  t19465 = t16518 * t6195;
  t19474 = t6226 * t191;
  t19478 = t16473 * t6363;
  t19483 = t16473 * t6216;
  t19490 = t4006 * t3518;
  t19494 = t3933 * t191;
  t19501 = -t721 + 0.11e2 / 0.16e2 * t519 * t19465 - 0.15e2 / 0.32e2 * t519 * t16512 * t6352 - 0.25e2 / 0.16e2 * t534 * t16518 * t6352 + 0.15e2 / 0.16e2 * t534 * t16512 * t19474 - 0.3e1 / 0.2e1 * t534 * t19478 + 0.9e1 / 0.8e1 * t534 * t19465 + 0.9e1 / 0.16e2 * t519 * t19483 - t4006 * t3692 / 0.16e2 + t4006 * t3726 / 0.16e2 - t19490 / 0.16e2 + t4006 * t3699 / 0.16e2 - 0.11e2 / 0.16e2 * t534 * t19494 * t5314 + 0.3e1 / 0.8e1 * t534 * t19494 * t5339;
  t19515 = t6269 * t191;
  t19522 = 0.9e1 / 0.32e2 * t18832;
  t19523 = 0.3e1 / 0.4e1 * t18846;
  t19524 = 0.9e1 / 0.16e2 * t18853;
  t19525 = 0.9e1 / 0.32e2 * t18860;
  t19526 = 0.3e1 / 0.16e2 * t18864;
  t19527 = 0.3e1 / 0.8e1 * t18872;
  t19528 = 0.9e1 / 0.32e2 * t18880;
  t19529 = -t534 * t19494 * t5243 / 0.16e2 + 0.11e2 / 0.16e2 * t534 * t16473 * t6195 - 0.7e1 / 0.32e2 * t519 * t19478 + 0.11e2 / 0.16e2 * t534 * t19483 - 0.9e1 / 0.16e2 * t519 * t1611 * t16478 + 0.3e1 / 0.8e1 * t534 * t16486 * t19515 - 0.11e2 / 0.32e2 * t519 * t539 * t16490 + t19522 + t19523 - t19524 - t19525 - t19526 - t19527 + t19528;
  t19531 = 0.9e1 / 0.16e2 * t18883;
  t19532 = 0.9e1 / 0.16e2 * t18887;
  t19534 = t3418 * t3933;
  t19545 = t415 * t191 * t418;
  t19557 = t5368 * t191;
  t19560 = t545 * t521;
  t19563 = t451 * t13420;
  t19566 = t171 * t13420;
  t19578 = t19545 * t597 / 0.4e1 + t18197 + t208 * t191 * t445 / 0.2e1 - t16583 * t758 / 0.2e1 - t16586 * t762 / 0.2e1 - t16589 * t13421 / 0.2e1 + t19557 * t16593 / 0.2e1 + t18209 + t3923 * t19560 / 0.2e1 - t3923 * t19563 / 0.2e1 - t3923 * t19566 / 0.2e1 - t18217 * t207 * t173 / 0.2e1 - t18223 - t3925 * t19560 / 0.2e1 + t3925 * t19563 / 0.2e1 + t3925 * t19566 / 0.2e1;
  t19583 = t19531 - t19532 - 0.3e1 / 0.32e2 * t18444 - 0.3e1 / 0.32e2 * t156 * t19534 * t1335 + 0.3e1 / 0.32e2 * t156 * t19534 * t1343 + 0.3e1 / 0.32e2 * t156 * t19534 * t1374 - t156 * t19578 * t815 * t424 / 0.32e2 + t18178 - t18181 - t18185 + t18188 - t18475 - t18479 + t18482;
  t19584 = t18486 + t18489 - t18492 - t18494 + t18497 - t18500 - t3948 + t3949 + t3950 - t3951 - t3706 + t3707 - t3716 + t3729;
  t19587 = my_piecewise3(t51, 0, t19501 + t19529 + t19583 + t19584);
  tv4sigmalapl311 = t3 * t19587;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 11] += tv4sigmalapl311;

  t19598 = t3970 * t3565;
  t19600 = t19365 / 0.32e2;
  t19602 = t3973 * t183;
  t19609 = -t699 - 0.3e1 / 0.32e2 * t3463 * t3978 + 0.3e1 / 0.32e2 * t3463 * t3993 + 0.3e1 / 0.32e2 * t3463 * t3985 - t23 * t26 * t19452 * t832 / 0.32e2 - t19598 / 0.32e2 - t19600 - t18706 + t18714 - t18752 - t18755 + t18758 + t18761 - t18765 + t18770 - t18774 - t18547 / 0.32e2 - t18352 - t484 * t19602 * t4319 / 0.16e2 + 0.3e1 / 0.8e1 * t484 * t19602 * t4391;
  t19621 = t16736 * t5659;
  t19624 = t2677 * t14664;
  t19636 = t2655 * t14664;
  t19655 = -t3970 * t3739 / 0.16e2 - 0.15e2 / 0.32e2 * t469 * t14700 * t10070 - 0.25e2 / 0.16e2 * t484 * t16752 * t5691 + 0.15e2 / 0.16e2 * t484 * t9940 * t14664 - 0.3e1 / 0.2e1 * t484 * t19621 + 0.9e1 / 0.8e1 * t484 * t19624 + 0.11e2 / 0.16e2 * t484 * t16736 * t5724 + 0.11e2 / 0.16e2 * t469 * t19624 + t3970 * t3755 / 0.16e2 - 0.7e1 / 0.32e2 * t469 * t19621 + 0.11e2 / 0.16e2 * t484 * t19636 - 0.9e1 / 0.16e2 * t469 * t2477 * t16796 + 0.3e1 / 0.8e1 * t484 * t2659 * t14664 - 0.11e2 / 0.32e2 * t469 * t2465 * t16796 - 0.11e2 / 0.16e2 * t484 * t16817 * t5670 + 0.9e1 / 0.16e2 * t469 * t19636 + t3970 * t3746 / 0.16e2 - t18024 + t18027 - t18037;
  t19657 = 0.3e1 / 0.16e2 * t18946;
  t19658 = t18949 / 0.2e1;
  t19659 = t18953 / 0.8e1;
  t19660 = t18960 / 0.4e1;
  t19661 = 0.3e1 / 0.16e2 * t18966;
  t19662 = 0.3e1 / 0.8e1 * t18969;
  t19663 = 0.3e1 / 0.8e1 * t18974;
  t19664 = 0.3e1 / 0.8e1 * t19004;
  t19665 = 0.3e1 / 0.16e2 * t19006;
  t19675 = t18127 + t19657 + t19658 - t19659 - t19660 + t19661 + t19662 - t19663 - t19664 - t19665 - 0.3e1 / 0.32e2 * t18567 + t18570 / 0.4e1 - 0.3e1 / 0.16e2 * t18573 + 0.3e1 / 0.16e2 * t18577 - t18581 / 0.16e2 - 0.3e1 / 0.16e2 * t18583 + 0.3e1 / 0.32e2 * t18586 - t18589 / 0.8e1 + 0.3e1 / 0.32e2 * t18592 - t19017;
  t19676 = -t19018 + t19020 + t19021 - t19022 - t19023 + t19024 - t19025 + t19026 - t3567 - t3571 + t3559 + t3562 + t3659 - t3660 - t3661 + t3662 - t3663 + t3664 - t3673 + t3686;
  t19679 = my_piecewise3(t2, 0, t19609 + t19655 + t19675 + t19676);
  tv4sigmalapl2tau0 = t3 * t19679;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 0] += tv4sigmalapl2tau0;

  tv4sigmalapl2tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 1] += tv4sigmalapl2tau1;

  tv4sigmalapl2tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 2] += tv4sigmalapl2tau2;

  tv4sigmalapl2tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 3] += tv4sigmalapl2tau3;

  tv4sigmalapl2tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 4] += tv4sigmalapl2tau4;

  tv4sigmalapl2tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 5] += tv4sigmalapl2tau5;

  tv4sigmalapl2tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 6] += tv4sigmalapl2tau6;

  tv4sigmalapl2tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 7] += tv4sigmalapl2tau7;

  tv4sigmalapl2tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 8] += tv4sigmalapl2tau8;

  tv4sigmalapl2tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 9] += tv4sigmalapl2tau9;

  tv4sigmalapl2tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 10] += tv4sigmalapl2tau10;

  tv4sigmalapl2tau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 11] += tv4sigmalapl2tau11;

  tv4sigmalapl2tau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 12] += tv4sigmalapl2tau12;

  tv4sigmalapl2tau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 13] += tv4sigmalapl2tau13;

  tv4sigmalapl2tau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 14] += tv4sigmalapl2tau14;

  tv4sigmalapl2tau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 15] += tv4sigmalapl2tau15;

  tv4sigmalapl2tau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 16] += tv4sigmalapl2tau16;

  t19690 = t4006 * t3606;
  t19692 = t19490 / 0.32e2;
  t19694 = t4009 * t191;
  t19701 = -t721 - 0.3e1 / 0.32e2 * t3515 * t4014 + 0.3e1 / 0.32e2 * t3515 * t4029 + 0.3e1 / 0.32e2 * t3515 * t4021 - t60 * t26 * t19578 * t849 / 0.32e2 - t19690 / 0.32e2 - t19692 + t18833 + t18847 - t18854 - t18861 - t18865 - t18873 + t18881 + t18884 - t18888 - t18646 / 0.32e2 - t18445 - t534 * t19694 * t5243 / 0.16e2 + 0.3e1 / 0.8e1 * t534 * t19694 * t5339;
  t19708 = t16984 * t6363;
  t19711 = t2773 * t14988;
  t19729 = t2578 * t17041;
  t19747 = -0.25e2 / 0.16e2 * t534 * t16976 * t6352 + 0.15e2 / 0.16e2 * t534 * t10466 * t14988 - 0.3e1 / 0.2e1 * t534 * t19708 + 0.9e1 / 0.8e1 * t534 * t19711 + 0.11e2 / 0.16e2 * t534 * t16984 * t6195 - t4006 * t3782 / 0.16e2 + t4006 * t3791 / 0.16e2 + 0.11e2 / 0.16e2 * t519 * t19711 - 0.15e2 / 0.32e2 * t519 * t16996 * t10549 - 0.11e2 / 0.16e2 * t534 * t17037 * t6357 + 0.9e1 / 0.16e2 * t519 * t19729 + 0.11e2 / 0.16e2 * t534 * t19729 - 0.9e1 / 0.16e2 * t519 * t2584 * t17041 + 0.3e1 / 0.8e1 * t534 * t2789 * t14988 + t4006 * t3775 / 0.16e2 - 0.11e2 / 0.32e2 * t519 * t2598 * t17041 - 0.7e1 / 0.32e2 * t519 * t19708 + t18178 - t18181 - t18185;
  t19749 = 0.3e1 / 0.8e1 * t19068;
  t19750 = 0.3e1 / 0.16e2 * t19071;
  t19751 = t19074 / 0.2e1;
  t19752 = t19078 / 0.8e1;
  t19753 = 0.3e1 / 0.16e2 * t19083;
  t19754 = 0.3e1 / 0.8e1 * t19085;
  t19755 = t19088 / 0.4e1;
  t19756 = 0.3e1 / 0.16e2 * t19096;
  t19757 = 0.3e1 / 0.8e1 * t19099;
  t19767 = t18188 - t19749 + t19750 + t19751 - t19752 - t19753 - t19754 - t19755 + t19756 + t19757 - 0.3e1 / 0.16e2 * t18659 - 0.3e1 / 0.16e2 * t18662 + 0.3e1 / 0.16e2 * t18665 - t18670 / 0.16e2 - 0.3e1 / 0.32e2 * t18672 + 0.3e1 / 0.32e2 * t18675 + t18678 / 0.4e1 - t18681 / 0.8e1 + 0.3e1 / 0.32e2 * t18684 - t19126;
  t19768 = -t19127 + t19129 + t19130 + t19131 - t19132 - t19133 + t19134 - t19135 + t3615 + t3603 - t3608 - t3612 - t3702 + t3703 + t3704 - t3705 - t3706 + t3707 - t3716 + t3729;
  t19771 = my_piecewise3(t51, 0, t19701 + t19747 + t19767 + t19768);
  tv4sigmalapl2tau17 = t3 * t19771;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 17] += tv4sigmalapl2tau17;

  t19784 = t19598 / 0.16e2;
  t19786 = -t699 - t3970 * t3809 / 0.16e2 + t3970 * t3829 / 0.16e2 - 0.3e1 / 0.32e2 * t3463 * t4049 + 0.3e1 / 0.32e2 * t3463 * t4065 + 0.3e1 / 0.32e2 * t3463 * t4056 + t3970 * t3812 / 0.16e2 - t19784 + t19162 - t19165 + t19171 + t19204 + t19207 - t19210 - t19214 - t19219 - t19221 - t18548 - t18351 / 0.32e2;
  t19794 = t15674 * t9243;
  t19797 = t15694 * t9243;
  t19815 = t15690 * t9243;
  t19838 = -t484 * t4059 * t183 * t4319 / 0.16e2 - 0.15e2 / 0.32e2 * t469 * t15678 * t9243 + 0.9e1 / 0.8e1 * t484 * t19794 - 0.3e1 / 0.2e1 * t484 * t19797 + 0.3e1 / 0.8e1 * t484 * t3823 * t43 * t6652 - 0.25e2 / 0.16e2 * t484 * t15682 * t9243 + 0.15e2 / 0.16e2 * t484 * t15686 * t9243 + 0.11e2 / 0.16e2 * t484 * t17229 * t5724 + 0.11e2 / 0.16e2 * t469 * t19794 + 0.11e2 / 0.16e2 * t484 * t19815 - 0.7e1 / 0.32e2 * t469 * t19797 - 0.9e1 / 0.16e2 * t469 * t2477 * t17168 + 0.3e1 / 0.8e1 * t484 * t15849 * t9243 - 0.11e2 / 0.32e2 * t469 * t2465 * t17168 - 0.11e2 / 0.16e2 * t484 * t17164 * t9243 + 0.9e1 / 0.16e2 * t469 * t19815 - t99 * t19452 * t866 * t269 / 0.32e2 - t18024 + t18027 - t18037;
  t19841 = t18127 + t19657 + t19658 - t19659 - t19660 + t19661 + t19662 - t19663 - t19664 - t19665 - t19008 + t19009 - t19010 + t19011 - t19012 - t19013 + t19014 - t19015 + t19016 - 0.3e1 / 0.16e2 * t18367;
  t19850 = -0.3e1 / 0.32e2 * t18369 + 0.3e1 / 0.32e2 * t18372 + t18376 / 0.4e1 - t18380 / 0.16e2 - 0.3e1 / 0.16e2 * t18383 + 0.3e1 / 0.16e2 * t18386 - t18389 / 0.8e1 + 0.3e1 / 0.32e2 * t18392 - t3817 - t3818 + t3815 + t3816 + t3450 - t3453 - t3457 + t3461 - t3663 + t3664 - t3673 + t3686;
  t19853 = my_piecewise3(t2, 0, t19786 + t19838 + t19841 + t19850);
  tv4sigmalapltau20 = t3 * t19853;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 0] += tv4sigmalapltau20;

  tv4sigmalapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 1] += tv4sigmalapltau21;

  tv4sigmalapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 2] += tv4sigmalapltau22;

  tv4sigmalapltau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 3] += tv4sigmalapltau23;

  tv4sigmalapltau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 4] += tv4sigmalapltau24;

  tv4sigmalapltau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 5] += tv4sigmalapltau25;

  tv4sigmalapltau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 6] += tv4sigmalapltau26;

  tv4sigmalapltau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 7] += tv4sigmalapltau27;

  tv4sigmalapltau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 8] += tv4sigmalapltau28;

  tv4sigmalapltau29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 9] += tv4sigmalapltau29;

  tv4sigmalapltau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 10] += tv4sigmalapltau210;

  tv4sigmalapltau211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 11] += tv4sigmalapltau211;

  tv4sigmalapltau212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 12] += tv4sigmalapltau212;

  tv4sigmalapltau213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 13] += tv4sigmalapltau213;

  tv4sigmalapltau214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 14] += tv4sigmalapltau214;

  tv4sigmalapltau215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 15] += tv4sigmalapltau215;

  tv4sigmalapltau216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 16] += tv4sigmalapltau216;

  t19866 = t19690 / 0.16e2;
  t19868 = -t721 + t4006 * t3866 / 0.16e2 - 0.3e1 / 0.32e2 * t3515 * t4089 + 0.3e1 / 0.32e2 * t3515 * t4101 + 0.3e1 / 0.32e2 * t3515 * t4092 + t4006 * t3849 / 0.16e2 - t4006 * t3843 / 0.16e2 - t19866 - t19281 + t19285 + t19288 - t19291 - t19295 - t19300 + t19308 + t19311 - t19315 - t18647 - t18444 / 0.32e2;
  t19873 = t3860 * t75;
  t19880 = t17392 * t9773;
  t19883 = t16065 * t9773;
  t19892 = t16049 * t9773;
  t19920 = -t534 * t4095 * t191 * t5243 / 0.16e2 - 0.11e2 / 0.16e2 * t534 * t19873 * t7204 + 0.3e1 / 0.8e1 * t534 * t19873 * t7152 + 0.11e2 / 0.16e2 * t534 * t19880 - 0.3e1 / 0.2e1 * t534 * t19883 - 0.25e2 / 0.16e2 * t534 * t16057 * t9773 + 0.15e2 / 0.16e2 * t534 * t16061 * t9773 + 0.9e1 / 0.8e1 * t534 * t19892 - 0.7e1 / 0.32e2 * t519 * t19883 - 0.9e1 / 0.16e2 * t519 * t2584 * t17436 + 0.3e1 / 0.8e1 * t534 * t16103 * t9773 - 0.11e2 / 0.32e2 * t519 * t2598 * t17436 + 0.9e1 / 0.16e2 * t519 * t19880 + 0.11e2 / 0.16e2 * t534 * t17402 * t6195 + 0.11e2 / 0.16e2 * t519 * t19892 - 0.15e2 / 0.32e2 * t519 * t16053 * t9773 - t156 * t19578 * t883 * t424 / 0.32e2 + t18178 - t18181 - t18185;
  t19923 = t18188 - t19749 + t19750 + t19751 - t19752 - t19753 - t19754 - t19755 + t19756 + t19757 - t19117 - t19118 + t19119 - t19120 - t19121 + t19122 + t19123 - t19124 + t19125 - 0.3e1 / 0.16e2 * t18474;
  t19932 = -t18478 / 0.16e2 + t18481 / 0.4e1 + 0.3e1 / 0.32e2 * t18485 + 0.3e1 / 0.16e2 * t18488 - 0.3e1 / 0.32e2 * t18491 - 0.3e1 / 0.16e2 * t18493 + 0.3e1 / 0.32e2 * t18496 - t18499 / 0.8e1 + t3855 + t3852 - t3853 - t3854 - t3505 + t3509 + t3513 - t3520 - t3706 + t3707 - t3716 + t3729;
  t19935 = my_piecewise3(t51, 0, t19868 + t19920 + t19923 + t19932);
  tv4sigmalapltau217 = t3 * t19935;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 17] += tv4sigmalapltau217;

  t19939 = t17542 * t5724;
  t19955 = t17484 * t5659;
  t19963 = t17521 * t3565;
  t19964 = t19963 / 0.16e2;
  t19970 = -t699 + 0.11e2 / 0.16e2 * t484 * t17484 * t5724 + 0.11e2 / 0.16e2 * t469 * t19939 - 0.15e2 / 0.32e2 * t469 * t17551 * t5691 - 0.25e2 / 0.16e2 * t484 * t17542 * t5691 + 0.15e2 / 0.16e2 * t484 * t17551 * t19348 - t17521 * t3809 / 0.16e2 + t17521 * t3829 / 0.16e2 - 0.3e1 / 0.2e1 * t484 * t19955 + 0.9e1 / 0.8e1 * t484 * t19939 - 0.11e2 / 0.32e2 * t469 * t489 * t17513 - t19964 + t17521 * t3812 / 0.16e2 - 0.11e2 / 0.16e2 * t484 * t17509 * t5670;
  t19971 = t5544 * t4123;
  t19972 = t489 * t19971;
  t19980 = t4123 * t183;
  t19992 = 0.9e1 / 0.32e2 * t19161;
  t19993 = 0.3e1 / 0.8e1 * t19164;
  t19994 = 0.9e1 / 0.16e2 * t19170;
  t19995 = 0.9e1 / 0.32e2 * t19203;
  t19996 = 0.3e1 / 0.4e1 * t19206;
  t19997 = 0.9e1 / 0.16e2 * t19209;
  t19998 = 0.3e1 / 0.16e2 * t19213;
  t19999 = 0.9e1 / 0.16e2 * t469 * t19972 + 0.11e2 / 0.16e2 * t484 * t19972 - 0.9e1 / 0.16e2 * t469 * t1516 * t17488 + 0.3e1 / 0.8e1 * t484 * t19980 * t4391 - t484 * t19980 * t4319 / 0.16e2 - 0.7e1 / 0.32e2 * t469 * t19955 + 0.3e1 / 0.8e1 * t484 * t17509 * t19392 + t19992 - t19993 + t19994 + t19995 + t19996 - t19997 - t19998;
  t20001 = 0.9e1 / 0.32e2 * t19218;
  t20002 = 0.9e1 / 0.16e2 * t19220;
  t20004 = t3363 * t4123;
  t20042 = t19419 * t626 / 0.4e1 + t18050 + t214 * t183 * t290 / 0.2e1 - t17632 * t741 / 0.2e1 - t17635 * t745 / 0.2e1 - t17638 * t13063 / 0.2e1 + t19431 * t17642 / 0.2e1 + t18062 + t4113 * t19434 / 0.2e1 - t4113 * t19437 / 0.2e1 - t4113 * t19440 / 0.2e1 - t18070 * t213 * t116 / 0.2e1 - t18076 - t4115 * t19434 / 0.2e1 + t4115 * t19437 / 0.2e1 + t4115 * t19440 / 0.2e1;
  t20047 = -t20001 - t20002 - 0.3e1 / 0.32e2 * t18547 + 0.3e1 / 0.32e2 * t99 * t20004 * t969 - 0.3e1 / 0.32e2 * t99 * t20004 * t961 + 0.3e1 / 0.32e2 * t99 * t20004 * t940 - t99 * t20042 * t866 * t269 / 0.32e2 - t18024 + t18027 - t18037 + t18127 - t18568 + t18571 - t18574;
  t20048 = t18578 - t18582 - t18584 + t18587 - t18590 + t18593 - t4140 - t4141 + t4138 + t4139 - t3663 + t3664 - t3673 + t3686;
  t20051 = my_piecewise3(t2, 0, t19970 + t19999 + t20047 + t20048);
  tv4sigmatau30 = t3 * t20051;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 0] += tv4sigmatau30;

  tv4sigmatau31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 1] += tv4sigmatau31;

  tv4sigmatau32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 2] += tv4sigmatau32;

  tv4sigmatau33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 3] += tv4sigmatau33;

  tv4sigmatau34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 4] += tv4sigmatau34;

  tv4sigmatau35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 5] += tv4sigmatau35;

  tv4sigmatau36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 6] += tv4sigmatau36;

  tv4sigmatau37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 7] += tv4sigmatau37;

  tv4sigmatau38 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 8] += tv4sigmatau38;

  tv4sigmatau39 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 9] += tv4sigmatau39;

  tv4sigmatau310 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 10] += tv4sigmatau310;

  t20052 = t4169 * t191;
  t20062 = t539 * t17849;
  t20065 = t17794 * t3606;
  t20066 = t20065 / 0.16e2;
  t20069 = t17815 * t6216;
  t20081 = t17802 * t6195;
  t20090 = -t721 - t534 * t20052 * t5243 / 0.16e2 - 0.11e2 / 0.16e2 * t534 * t20052 * t5314 + 0.3e1 / 0.8e1 * t534 * t20052 * t5339 - 0.7e1 / 0.32e2 * t519 * t20062 - t20066 + t17794 * t3849 / 0.16e2 + 0.11e2 / 0.16e2 * t534 * t20069 - 0.9e1 / 0.16e2 * t519 * t1611 * t17849 + 0.3e1 / 0.8e1 * t534 * t17857 * t19515 - 0.11e2 / 0.32e2 * t519 * t539 * t17861 + 0.11e2 / 0.16e2 * t519 * t20081 - 0.15e2 / 0.32e2 * t519 * t17806 * t6352 - 0.25e2 / 0.16e2 * t534 * t17802 * t6352;
  t20107 = 0.9e1 / 0.32e2 * t19280;
  t20108 = 0.9e1 / 0.32e2 * t19284;
  t20109 = 0.3e1 / 0.4e1 * t19287;
  t20110 = 0.9e1 / 0.16e2 * t19290;
  t20111 = 0.3e1 / 0.16e2 * t19294;
  t20112 = 0.3e1 / 0.8e1 * t19299;
  t20113 = 0.9e1 / 0.32e2 * t19307;
  t20114 = 0.15e2 / 0.16e2 * t534 * t17806 * t19474 + 0.9e1 / 0.8e1 * t534 * t20081 + 0.9e1 / 0.16e2 * t519 * t20069 + 0.11e2 / 0.16e2 * t534 * t17815 * t6195 - t17794 * t3843 / 0.16e2 + t17794 * t3866 / 0.16e2 - 0.3e1 / 0.2e1 * t534 * t20062 - t20107 + t20108 + t20109 - t20110 - t20111 - t20112 + t20113;
  t20116 = 0.9e1 / 0.16e2 * t19310;
  t20117 = 0.9e1 / 0.16e2 * t19314;
  t20119 = t3418 * t4169;
  t20154 = t19545 * t665 / 0.4e1 + t18197 + t220 * t191 * t445 / 0.2e1 - t17919 * t758 / 0.2e1 - t17922 * t762 / 0.2e1 - t17925 * t13421 / 0.2e1 + t19557 * t17929 / 0.2e1 + t18209 + t4159 * t19560 / 0.2e1 - t4159 * t19563 / 0.2e1 - t4159 * t19566 / 0.2e1 - t18217 * t219 * t173 / 0.2e1 - t18223 - t4161 * t19560 / 0.2e1 + t4161 * t19563 / 0.2e1 + t4161 * t19566 / 0.2e1;
  t20162 = t20116 - t20117 - 0.3e1 / 0.32e2 * t18646 - 0.3e1 / 0.32e2 * t156 * t20119 * t1335 + 0.3e1 / 0.32e2 * t156 * t20119 * t1343 - t156 * t20154 * t883 * t424 / 0.32e2 + 0.3e1 / 0.32e2 * t156 * t20119 * t1374 + t18178 - t18181 - t18185 + t18188 - t18660 - t18663 + t18666;
  t20163 = -t18671 - t18673 + t18676 + t18679 - t18682 + t18685 + t4187 + t4184 - t4185 - t4186 - t3706 + t3707 - t3716 + t3729;
  t20166 = my_piecewise3(t51, 0, t20090 + t20114 + t20162 + t20163);
  tv4sigmatau311 = t3 * t20166;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 11] += tv4sigmatau311;

  t20177 = t798 * t798;
  t20178 = t260 * t20177;
  t20198 = t998 * t798;
  t20205 = t258 * t3882;
  t20209 = t1001 * t798;
  t20216 = t800 / 0.4e1 + t18050 + t804 / 0.2e1 - t807 / 0.2e1 - t810 / 0.2e1 - t4476 * t798 * t269 / 0.2e1 + t4480 * t798 * t269 / 0.2e1 + t18062 + t20198 * t290 / 0.2e1 - t20198 * t297 / 0.2e1 - t20198 * t301 / 0.2e1 - t20205 * t199 * t116 / 0.2e1 - t18076 - t20209 * t290 / 0.2e1 + t20209 * t297 / 0.2e1 + t20209 * t301 / 0.2e1;
  t20221 = t100 * t20177;
  t20225 = t3882 * t3887;
  t20235 = -t699 - 0.5e1 / 0.32e2 * t19365 - 0.3e1 / 0.4e1 * t18705 + 0.9e1 / 0.16e2 * t18713 - 0.9e1 / 0.8e1 * t18751 - 0.9e1 / 0.16e2 * t18754 + 0.9e1 / 0.16e2 * t18757 + 0.3e1 / 0.2e1 * t18760 - 0.3e1 / 0.8e1 * t18764 + 0.9e1 / 0.8e1 * t18769 - 0.9e1 / 0.8e1 * t18773 - 0.9e1 / 0.16e2 * t99 * t20178 * t4368 - 0.11e2 / 0.32e2 * t99 * t20178 * t4278 - 0.7e1 / 0.32e2 * t99 * t20178 * t4286 - t99 * t20216 * t798 * t269 / 0.32e2 + 0.3e1 / 0.8e1 * t99 * t20221 * t4546 + 0.5e1 / 0.32e2 * t99 * t20225 * t969 + 0.11e2 / 0.16e2 * t99 * t20221 * t4342 + 0.11e2 / 0.16e2 * t99 * t20178 * t4354;
  t20276 = -0.15e2 / 0.32e2 * t99 * t20178 * t4359 - 0.25e2 / 0.16e2 * t99 * t20221 * t4330 + 0.15e2 / 0.16e2 * t99 * t20221 * t4338 - 0.5e1 / 0.32e2 * t99 * t20225 * t961 + 0.5e1 / 0.32e2 * t99 * t20225 * t940 - 0.3e1 / 0.2e1 * t99 * t20221 * t4286 + 0.9e1 / 0.8e1 * t99 * t20221 * t4354 + 0.9e1 / 0.16e2 * t99 * t20178 * t4342 + 0.11e2 / 0.16e2 * t99 * t20221 * t4350 - 0.11e2 / 0.16e2 * t99 * t20221 * t4323 + 0.3e1 / 0.8e1 * t99 * t20221 * t4391 - t99 * t20221 * t4319 / 0.16e2 - t18024 + t18027 - t18037 + t18127 + t3449 / 0.4e1 - t3452 / 0.8e1 - t3456 / 0.4e1 + t3460 / 0.4e1;
  t20278 = my_piecewise3(t2, 0, t20235 + t20276);
  tv4lapl40 = t3 * t20278;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 0] += tv4lapl40;

  tv4lapl41 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 1] += tv4lapl41;

  tv4lapl42 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 2] += tv4lapl42;

  tv4lapl43 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 3] += tv4lapl43;

  t20289 = t815 * t815;
  t20290 = t157 * t20289;
  t20300 = t415 * t20289;
  t20316 = -t721 - 0.5e1 / 0.32e2 * t19490 + 0.9e1 / 0.16e2 * t18832 + 0.3e1 / 0.2e1 * t18846 - 0.9e1 / 0.8e1 * t18853 - 0.9e1 / 0.16e2 * t18860 - 0.3e1 / 0.8e1 * t18864 - 0.3e1 / 0.4e1 * t18872 + 0.9e1 / 0.16e2 * t18880 + 0.9e1 / 0.8e1 * t18883 - 0.9e1 / 0.8e1 * t18887 + 0.15e2 / 0.16e2 * t156 * t20290 * t5233 - 0.3e1 / 0.2e1 * t156 * t20290 * t5277 + 0.9e1 / 0.8e1 * t156 * t20290 * t5253 + 0.9e1 / 0.16e2 * t156 * t20300 * t5321 + 0.11e2 / 0.16e2 * t156 * t20290 * t5248 + 0.11e2 / 0.16e2 * t156 * t20300 * t5253 - 0.15e2 / 0.32e2 * t156 * t20300 * t5260 - 0.25e2 / 0.16e2 * t156 * t20290 * t5265;
  t20317 = t3928 * t3933;
  t20343 = t1306 * t815;
  t20350 = t413 * t3928;
  t20354 = t1309 * t815;
  t20361 = t817 / 0.4e1 + t18197 + t821 / 0.2e1 - t824 / 0.2e1 - t827 / 0.2e1 - t5364 * t815 * t424 / 0.2e1 + t5368 * t815 * t424 / 0.2e1 + t18209 + t20343 * t445 / 0.2e1 - t20343 * t452 / 0.2e1 - t20343 * t456 / 0.2e1 - t20350 * t207 * t173 / 0.2e1 - t18223 - t20354 * t445 / 0.2e1 + t20354 * t452 / 0.2e1 + t20354 * t456 / 0.2e1;
  t20388 = -0.5e1 / 0.32e2 * t156 * t20317 * t1335 + 0.5e1 / 0.32e2 * t156 * t20317 * t1343 - 0.11e2 / 0.16e2 * t156 * t20290 * t5314 + 0.3e1 / 0.8e1 * t156 * t20290 * t5339 - t156 * t20290 * t5243 / 0.16e2 - t156 * t20361 * t815 * t424 / 0.32e2 + 0.5e1 / 0.32e2 * t156 * t20317 * t1374 + 0.11e2 / 0.16e2 * t156 * t20290 * t5321 + 0.3e1 / 0.8e1 * t156 * t20290 * t5300 - 0.9e1 / 0.16e2 * t156 * t20300 * t5325 - 0.11e2 / 0.32e2 * t156 * t20300 * t5271 - 0.7e1 / 0.32e2 * t156 * t20300 * t5277 + t18178 - t18181 - t18185 + t18188 - t3504 / 0.4e1 + t3508 / 0.4e1 + t3512 / 0.4e1 - t3519 / 0.8e1;
  t20390 = my_piecewise3(t51, 0, t20316 + t20388);
  tv4lapl44 = t3 * t20390;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 4] += tv4lapl44;

  t20392 = t640 * t5544 * t3887;
  t20399 = t213 * t3887;
  t20410 = t1990 * t5723 * t3887;
  t20424 = t20399 * t4286;
  t20429 = -t699 + 0.11e2 / 0.16e2 * t484 * t20392 + 0.3e1 / 0.8e1 * t484 * t644 * t5551 * t3887 - 0.11e2 / 0.16e2 * t484 * t20399 * t4323 + 0.5e1 / 0.32e2 * t3970 * t3985 + 0.15e2 / 0.16e2 * t484 * t7459 * t5718 * t3887 + 0.9e1 / 0.8e1 * t484 * t20410 + 0.11e2 / 0.16e2 * t484 * t20399 * t4350 + 0.11e2 / 0.16e2 * t469 * t20410 - 0.15e2 / 0.32e2 * t469 * t16224 * t7451 - 0.25e2 / 0.16e2 * t484 * t20399 * t4330 - 0.3e1 / 0.2e1 * t484 * t20424 - 0.5e1 / 0.32e2 * t3970 * t3978;
  t20453 = 0.5e1 / 0.32e2 * t3970 * t3993 + 0.3e1 / 0.8e1 * t484 * t20399 * t4391 - t484 * t20399 * t4319 / 0.16e2 - 0.11e2 / 0.32e2 * t469 * t16204 * t7581 - 0.7e1 / 0.32e2 * t469 * t20424 + 0.9e1 / 0.16e2 * t469 * t20392 - 0.9e1 / 0.16e2 * t469 * t16220 * t7577 - t23 * t26 * t20216 * t832 / 0.32e2 - t19784 - 0.3e1 / 0.32e2 * t19365 - t19399 + t19400 - t19401;
  t20455 = 0.9e1 / 0.32e2 * t18946;
  t20456 = 0.3e1 / 0.4e1 * t18949;
  t20457 = 0.3e1 / 0.16e2 * t18953;
  t20458 = -t19402 + t19403 + t19404 - t19405 + t19408 - t19409 - t18024 + t18027 - t18037 + t18127 + t20455 + t20456 - t20457;
  t20459 = 0.3e1 / 0.8e1 * t18960;
  t20460 = 0.9e1 / 0.32e2 * t18966;
  t20461 = 0.9e1 / 0.16e2 * t18969;
  t20462 = 0.9e1 / 0.16e2 * t18974;
  t20463 = 0.9e1 / 0.16e2 * t19004;
  t20464 = 0.9e1 / 0.32e2 * t19006;
  t20465 = -t20459 + t20460 + t20461 - t20462 - t20463 - t20464 - t3567 - t3571 + t3559 + t3562 + t3902 - t3903 - t3904 + t3905;
  t20468 = my_piecewise3(t2, 0, t20429 + t20453 + t20458 + t20465);
  tv4lapl3tau0 = t3 * t20468;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 0] += tv4lapl3tau0;

  tv4lapl3tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 1] += tv4lapl3tau1;

  tv4lapl3tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 2] += tv4lapl3tau2;

  tv4lapl3tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 3] += tv4lapl3tau3;

  tv4lapl3tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 4] += tv4lapl3tau4;

  tv4lapl3tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 5] += tv4lapl3tau5;

  tv4lapl3tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 6] += tv4lapl3tau6;

  t20472 = t219 * t3933;
  t20480 = t20472 * t5277;
  t20484 = t2158 * t6194 * t3933;
  t20502 = t16473 * t18600;
  t20505 = -t721 - 0.15e2 / 0.32e2 * t519 * t16512 * t8158 - 0.25e2 / 0.16e2 * t534 * t20472 * t5265 + 0.15e2 / 0.16e2 * t534 * t8165 * t6226 * t3933 - 0.3e1 / 0.2e1 * t534 * t20480 + 0.9e1 / 0.8e1 * t534 * t20484 - 0.5e1 / 0.32e2 * t4006 * t4014 + 0.5e1 / 0.32e2 * t4006 * t4029 + 0.3e1 / 0.8e1 * t534 * t20472 * t5339 - t534 * t20472 * t5243 / 0.16e2 - 0.11e2 / 0.32e2 * t519 * t16473 * t8134 - 0.7e1 / 0.32e2 * t519 * t20480 + 0.9e1 / 0.16e2 * t519 * t20502;
  t20530 = -0.9e1 / 0.16e2 * t519 * t16518 * t8130 - t60 * t26 * t20361 * t849 / 0.32e2 - 0.11e2 / 0.16e2 * t534 * t20472 * t5314 + 0.11e2 / 0.16e2 * t534 * t20502 + 0.3e1 / 0.8e1 * t534 * t683 * t6269 * t3933 + 0.5e1 / 0.32e2 * t4006 * t4021 + 0.11e2 / 0.16e2 * t534 * t20472 * t5248 + 0.11e2 / 0.16e2 * t519 * t20484 - t19866 - 0.3e1 / 0.32e2 * t19490 + t19522 + t19523 - t19524;
  t20532 = 0.9e1 / 0.16e2 * t19068;
  t20533 = 0.9e1 / 0.32e2 * t19071;
  t20534 = 0.3e1 / 0.4e1 * t19074;
  t20535 = -t19525 - t19526 - t19527 + t19528 + t19531 - t19532 + t18178 - t18181 - t18185 + t18188 - t20532 + t20533 + t20534;
  t20536 = 0.3e1 / 0.16e2 * t19078;
  t20537 = 0.9e1 / 0.32e2 * t19083;
  t20538 = 0.9e1 / 0.16e2 * t19085;
  t20539 = 0.3e1 / 0.8e1 * t19088;
  t20540 = 0.9e1 / 0.32e2 * t19096;
  t20541 = 0.9e1 / 0.16e2 * t19099;
  t20542 = -t20536 - t20537 - t20538 - t20539 + t20540 + t20541 + t3615 + t3603 - t3608 - t3612 - t3948 + t3949 + t3950 - t3951;
  t20545 = my_piecewise3(t51, 0, t20505 + t20530 + t20535 + t20542);
  tv4lapl3tau7 = t3 * t20545;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 7] += tv4lapl3tau7;

  t20546 = t2838 * t19172;
  t20563 = t5690 * t798;
  t20571 = t866 * t798;
  t20576 = t3185 * t5723 * t798;
  t20582 = t3181 * t10880;
  t20589 = -t699 + 0.9e1 / 0.16e2 * t469 * t20546 - 0.9e1 / 0.16e2 * t469 * t2842 * t19154 + 0.5e1 / 0.32e2 * t3970 * t4056 - 0.11e2 / 0.16e2 * t484 * t3198 * t10831 + 0.11e2 / 0.16e2 * t484 * t20546 + 0.3e1 / 0.8e1 * t484 * t3198 * t5551 * t798 - 0.25e2 / 0.16e2 * t484 * t3185 * t20563 + 0.15e2 / 0.16e2 * t484 * t12247 * t5718 * t798 + 0.11e2 / 0.16e2 * t484 * t20571 * t4350 + 0.11e2 / 0.16e2 * t469 * t20576 - 0.15e2 / 0.32e2 * t469 * t12247 * t20563 - 0.3e1 / 0.2e1 * t484 * t20582 + 0.9e1 / 0.8e1 * t484 * t20576 - 0.5e1 / 0.32e2 * t3970 * t4049;
  t20604 = 0.5e1 / 0.32e2 * t3970 * t4065 + 0.3e1 / 0.8e1 * t484 * t20571 * t4391 - t484 * t20571 * t4319 / 0.16e2 - 0.7e1 / 0.32e2 * t469 * t20582 - 0.11e2 / 0.32e2 * t469 * t2838 * t12343 - t19598 / 0.8e1 - t19600 + t19162 - t19165 + t19171 + t19204 + t19207 - t19210 - t19214 - t19219 - t19221;
  t20611 = -t18706 + t18714 - t18752 - t18755 + t18758 + t18761 - t18765 + t18770 - t18774 - t99 * t20216 * t866 * t269 / 0.32e2 - t18024 + t18027 - t18037 + t18127 + 0.3e1 / 0.8e1 * t18946;
  t20619 = t18949 - t18953 / 0.4e1 - t18960 / 0.2e1 + 0.3e1 / 0.8e1 * t18966 + 0.3e1 / 0.4e1 * t18969 - 0.3e1 / 0.4e1 * t18974 - 0.3e1 / 0.4e1 * t19004 - 0.3e1 / 0.8e1 * t19006 - t3817 - t3818 + t3815 + t3816 + t3659 - t3660 - t3661 + t3662;
  t20622 = my_piecewise3(t2, 0, t20589 + t20604 + t20611 + t20619);
  tv4lapl2tau20 = t3 * t20622;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 0] += tv4lapl2tau20;

  tv4lapl2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 1] += tv4lapl2tau21;

  tv4lapl2tau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 2] += tv4lapl2tau22;

  tv4lapl2tau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 3] += tv4lapl2tau23;

  tv4lapl2tau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 4] += tv4lapl2tau24;

  tv4lapl2tau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 5] += tv4lapl2tau25;

  tv4lapl2tau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 6] += tv4lapl2tau26;

  tv4lapl2tau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 7] += tv4lapl2tau27;

  t20624 = t3287 * t6194 * t815;
  t20631 = t883 * t815;
  t20641 = t2933 * t12779;
  t20652 = t2933 * t12769;
  t20664 = -t721 + 0.9e1 / 0.8e1 * t534 * t20624 - 0.5e1 / 0.32e2 * t4006 * t4089 + 0.5e1 / 0.32e2 * t4006 * t4101 - 0.11e2 / 0.16e2 * t534 * t20631 * t5314 + 0.3e1 / 0.8e1 * t534 * t20631 * t5339 - t534 * t20631 * t5243 / 0.16e2 - 0.7e1 / 0.32e2 * t519 * t20641 - 0.9e1 / 0.16e2 * t519 * t2937 * t12779 + 0.5e1 / 0.32e2 * t4006 * t4092 - 0.11e2 / 0.32e2 * t519 * t2933 * t12755 + 0.9e1 / 0.16e2 * t519 * t20652 + 0.3e1 / 0.8e1 * t534 * t3300 * t6269 * t815 + 0.11e2 / 0.16e2 * t519 * t20624 - 0.15e2 / 0.32e2 * t519 * t12677 * t18855;
  t20680 = -0.25e2 / 0.16e2 * t534 * t3287 * t18855 + 0.15e2 / 0.16e2 * t534 * t12677 * t6226 * t815 + 0.11e2 / 0.16e2 * t534 * t20631 * t5248 + 0.11e2 / 0.16e2 * t534 * t20652 - 0.3e1 / 0.2e1 * t534 * t20641 - t19690 / 0.8e1 - t19692 - t19281 + t19285 + t19288 - t19291 - t19295 - t19300 + t19308 + t19311 - t19315;
  t20687 = t18833 + t18847 - t18854 - t18861 - t18865 - t18873 + t18881 + t18884 - t18888 - t156 * t20361 * t883 * t424 / 0.32e2 + t18178 - t18181 - t18185 + t18188 - 0.3e1 / 0.4e1 * t19068;
  t20695 = 0.3e1 / 0.8e1 * t19071 + t19074 - t19078 / 0.4e1 - 0.3e1 / 0.8e1 * t19083 - 0.3e1 / 0.4e1 * t19085 - t19088 / 0.2e1 + 0.3e1 / 0.8e1 * t19096 + 0.3e1 / 0.4e1 * t19099 + t3855 + t3852 - t3853 - t3854 - t3702 + t3703 + t3704 - t3705;
  t20698 = my_piecewise3(t51, 0, t20664 + t20680 + t20687 + t20695);
  tv4lapl2tau28 = t3 * t20698;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 8] += tv4lapl2tau28;

  t20710 = t17484 * t6656;
  t20713 = t5723 * t199;
  t20714 = t17542 * t20713;
  t20729 = t572 * t19971;
  t20737 = -t699 - 0.25e2 / 0.16e2 * t484 * t17542 * t6559 + 0.15e2 / 0.16e2 * t484 * t17551 * t5718 * t199 - t17521 * t4049 / 0.16e2 + t17521 * t4065 / 0.16e2 - 0.3e1 / 0.2e1 * t484 * t20710 + 0.9e1 / 0.8e1 * t484 * t20714 - 0.7e1 / 0.32e2 * t469 * t20710 + 0.3e1 / 0.8e1 * t484 * t17509 * t5551 * t199 - 0.11e2 / 0.32e2 * t469 * t572 * t17513 - 0.11e2 / 0.16e2 * t484 * t17509 * t6646 + 0.9e1 / 0.16e2 * t469 * t20729 + 0.11e2 / 0.16e2 * t484 * t20729 - 0.9e1 / 0.16e2 * t469 * t1719 * t17488;
  t20740 = t4123 * t199;
  t20756 = t17521 * t4056 / 0.16e2 + 0.3e1 / 0.8e1 * t484 * t20740 * t4391 - t484 * t20740 * t4319 / 0.16e2 + 0.11e2 / 0.16e2 * t484 * t17484 * t20713 + 0.11e2 / 0.16e2 * t469 * t20714 - 0.15e2 / 0.32e2 * t469 * t17551 * t6559 - t19964 - 0.3e1 / 0.32e2 * t19598 + t19992 - t19993 + t19994 + t19995 + t19996 - t19997;
  t20758 = t3882 * t4123;
  t20784 = t576 * t471;
  t20787 = t296 * t16314;
  t20790 = t114 * t16314;
  t20802 = t260 * t199 * t263 * t626 / 0.4e1 + t18050 + t214 * t199 * t290 / 0.2e1 - t17632 * t839 / 0.2e1 - t17635 * t843 / 0.2e1 - t17638 * t16315 / 0.2e1 + t4480 * t199 * t17642 / 0.2e1 + t18062 + t4113 * t20784 / 0.2e1 - t4113 * t20787 / 0.2e1 - t4113 * t20790 / 0.2e1 - t20205 * t213 * t116 / 0.2e1 - t18076 - t4115 * t20784 / 0.2e1 + t4115 * t20787 / 0.2e1 + t4115 * t20790 / 0.2e1;
  t20807 = -t19998 - t20001 - t20002 - 0.3e1 / 0.32e2 * t99 * t20758 * t961 + 0.3e1 / 0.32e2 * t99 * t20758 * t940 + 0.3e1 / 0.32e2 * t99 * t20758 * t969 - t99 * t20802 * t866 * t269 / 0.32e2 - t18024 + t18027 - t18037 + t18127 + t20455 + t20456 - t20457;
  t20808 = -t20459 + t20460 + t20461 - t20462 - t20463 - t20464 - t4140 - t4141 + t4138 + t4139 + t3450 - t3453 - t3457 + t3461;
  t20811 = my_piecewise3(t2, 0, t20737 + t20756 + t20807 + t20808);
  tv4lapltau30 = t3 * t20811;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 0] += tv4lapltau30;

  tv4lapltau31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 1] += tv4lapltau31;

  tv4lapltau32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 2] += tv4lapltau32;

  tv4lapltau33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 3] += tv4lapltau33;

  tv4lapltau34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 4] += tv4lapltau34;

  tv4lapltau35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 5] += tv4lapltau35;

  tv4lapltau36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 6] += tv4lapltau36;

  t20812 = t4169 * t207;
  t20819 = t17802 * t7118;
  t20836 = t17815 * t7210;
  t20841 = t17815 * t7152;
  t20850 = -t721 - t534 * t20812 * t5243 / 0.16e2 + 0.11e2 / 0.16e2 * t534 * t17815 * t7118 + 0.11e2 / 0.16e2 * t519 * t20819 - 0.15e2 / 0.32e2 * t519 * t17806 * t7122 - 0.25e2 / 0.16e2 * t534 * t17802 * t7122 + 0.15e2 / 0.16e2 * t534 * t17806 * t6226 * t207 - t17794 * t4089 / 0.16e2 + t17794 * t4101 / 0.16e2 - 0.3e1 / 0.2e1 * t534 * t20836 + 0.9e1 / 0.8e1 * t534 * t20819 + 0.9e1 / 0.16e2 * t519 * t20841 - 0.7e1 / 0.32e2 * t519 * t20836 + 0.3e1 / 0.8e1 * t534 * t17857 * t6269 * t207;
  t20868 = -0.11e2 / 0.32e2 * t519 * t611 * t17861 + t17794 * t4092 / 0.16e2 + 0.11e2 / 0.16e2 * t534 * t20841 - 0.9e1 / 0.16e2 * t519 * t1969 * t17849 - 0.11e2 / 0.16e2 * t534 * t20812 * t5314 + 0.3e1 / 0.8e1 * t534 * t20812 * t5339 - t20066 - 0.3e1 / 0.32e2 * t19690 - t20107 + t20108 + t20109 - t20110 - t20111 - t20112;
  t20870 = t3928 * t4169;
  t20896 = t615 * t521;
  t20899 = t451 * t16592;
  t20902 = t171 * t16592;
  t20914 = t415 * t207 * t418 * t665 / 0.4e1 + t18197 + t220 * t207 * t445 / 0.2e1 - t17919 * t856 / 0.2e1 - t17922 * t860 / 0.2e1 - t17925 * t16593 / 0.2e1 + t5368 * t207 * t17929 / 0.2e1 + t18209 + t4159 * t20896 / 0.2e1 - t4159 * t20899 / 0.2e1 - t4159 * t20902 / 0.2e1 - t20350 * t219 * t173 / 0.2e1 - t18223 - t4161 * t20896 / 0.2e1 + t4161 * t20899 / 0.2e1 + t4161 * t20902 / 0.2e1;
  t20919 = t20113 + t20116 - t20117 + 0.3e1 / 0.32e2 * t156 * t20870 * t1343 + 0.3e1 / 0.32e2 * t156 * t20870 * t1374 - 0.3e1 / 0.32e2 * t156 * t20870 * t1335 - t156 * t20914 * t883 * t424 / 0.32e2 + t18178 - t18181 - t18185 + t18188 - t20532 + t20533 + t20534;
  t20920 = -t20536 - t20537 - t20538 - t20539 + t20540 + t20541 + t4187 + t4184 - t4185 - t4186 - t3505 + t3509 + t3513 - t3520;
  t20923 = my_piecewise3(t51, 0, t20850 + t20868 + t20919 + t20920);
  tv4lapltau37 = t3 * t20923;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 7] += tv4lapltau37;

  t20934 = t866 * t866;
  t20935 = t100 * t20934;
  t20942 = t260 * t20934;
  t20959 = t998 * t866;
  t20970 = t1001 * t866;
  t20977 = t868 / 0.4e1 + t18050 + t872 / 0.2e1 - t875 / 0.2e1 - t878 / 0.2e1 - t4476 * t866 * t269 / 0.2e1 + t4480 * t866 * t269 / 0.2e1 + t18062 + t20959 * t290 / 0.2e1 - t20959 * t297 / 0.2e1 - t20959 * t301 / 0.2e1 - t258 * t4118 * t213 * t116 / 0.2e1 - t18076 - t20970 * t290 / 0.2e1 + t20970 * t297 / 0.2e1 + t20970 * t301 / 0.2e1;
  t20991 = -t699 - 0.5e1 / 0.32e2 * t19963 + 0.9e1 / 0.16e2 * t19161 - 0.3e1 / 0.4e1 * t19164 + 0.9e1 / 0.8e1 * t19170 + 0.9e1 / 0.16e2 * t19203 + 0.3e1 / 0.2e1 * t19206 - 0.9e1 / 0.8e1 * t19209 - 0.3e1 / 0.8e1 * t19213 - 0.9e1 / 0.16e2 * t19218 - 0.9e1 / 0.8e1 * t19220 - 0.3e1 / 0.2e1 * t99 * t20935 * t4286 + 0.9e1 / 0.8e1 * t99 * t20935 * t4354 - 0.11e2 / 0.32e2 * t99 * t20942 * t4278 - 0.7e1 / 0.32e2 * t99 * t20942 * t4286 - t99 * t20977 * t866 * t269 / 0.32e2 + 0.9e1 / 0.16e2 * t99 * t20942 * t4342 - 0.9e1 / 0.16e2 * t99 * t20942 * t4368 - t99 * t20935 * t4319 / 0.16e2;
  t20998 = t4118 * t4123;
  t21033 = 0.3e1 / 0.8e1 * t99 * t20935 * t4391 + 0.3e1 / 0.8e1 * t99 * t20935 * t4546 + 0.5e1 / 0.32e2 * t99 * t20998 * t969 - 0.11e2 / 0.16e2 * t99 * t20935 * t4323 + 0.11e2 / 0.16e2 * t99 * t20935 * t4342 + 0.11e2 / 0.16e2 * t99 * t20935 * t4350 + 0.11e2 / 0.16e2 * t99 * t20942 * t4354 - 0.15e2 / 0.32e2 * t99 * t20942 * t4359 - 0.25e2 / 0.16e2 * t99 * t20935 * t4330 + 0.15e2 / 0.16e2 * t99 * t20935 * t4338 - 0.5e1 / 0.32e2 * t99 * t20998 * t961 + 0.5e1 / 0.32e2 * t99 * t20998 * t940 - t18024 + t18027 - t18037 + t18127 - t3566 / 0.8e1 - t3570 / 0.4e1 + t3558 / 0.4e1 + t3561 / 0.4e1;
  t21035 = my_piecewise3(t2, 0, t20991 + t21033);
  tv4tau40 = t3 * t21035;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 0] += tv4tau40;

  tv4tau41 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 1] += tv4tau41;

  tv4tau42 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 2] += tv4tau42;

  tv4tau43 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 3] += tv4tau43;

  t21046 = t883 * t883;
  t21047 = t415 * t21046;
  t21051 = t4164 * t4169;
  t21074 = t1306 * t883;
  t21085 = t1309 * t883;
  t21092 = t885 / 0.4e1 + t18197 + t889 / 0.2e1 - t892 / 0.2e1 - t895 / 0.2e1 - t5364 * t883 * t424 / 0.2e1 + t5368 * t883 * t424 / 0.2e1 + t18209 + t21074 * t445 / 0.2e1 - t21074 * t452 / 0.2e1 - t21074 * t456 / 0.2e1 - t413 * t4164 * t219 * t173 / 0.2e1 - t18223 - t21085 * t445 / 0.2e1 + t21085 * t452 / 0.2e1 + t21085 * t456 / 0.2e1;
  t21097 = t157 * t21046;
  t21104 = -t721 - 0.5e1 / 0.32e2 * t20065 - 0.9e1 / 0.16e2 * t19280 + 0.9e1 / 0.16e2 * t19284 + 0.3e1 / 0.2e1 * t19287 - 0.9e1 / 0.8e1 * t19290 - 0.3e1 / 0.8e1 * t19294 - 0.3e1 / 0.4e1 * t19299 + 0.9e1 / 0.16e2 * t19307 + 0.9e1 / 0.8e1 * t19310 - 0.9e1 / 0.8e1 * t19314 - 0.15e2 / 0.32e2 * t156 * t21047 * t5260 - 0.5e1 / 0.32e2 * t156 * t21051 * t1335 - 0.7e1 / 0.32e2 * t156 * t21047 * t5277 - 0.9e1 / 0.16e2 * t156 * t21047 * t5325 - 0.11e2 / 0.32e2 * t156 * t21047 * t5271 - t156 * t21092 * t883 * t424 / 0.32e2 - t156 * t21097 * t5243 / 0.16e2 - 0.11e2 / 0.16e2 * t156 * t21097 * t5314;
  t21145 = 0.3e1 / 0.8e1 * t156 * t21097 * t5339 + 0.3e1 / 0.8e1 * t156 * t21097 * t5300 + 0.5e1 / 0.32e2 * t156 * t21051 * t1374 + 0.11e2 / 0.16e2 * t156 * t21097 * t5321 - 0.25e2 / 0.16e2 * t156 * t21097 * t5265 + 0.15e2 / 0.16e2 * t156 * t21097 * t5233 + 0.5e1 / 0.32e2 * t156 * t21051 * t1343 - 0.3e1 / 0.2e1 * t156 * t21097 * t5277 + 0.9e1 / 0.8e1 * t156 * t21097 * t5253 + 0.9e1 / 0.16e2 * t156 * t21047 * t5321 + 0.11e2 / 0.16e2 * t156 * t21097 * t5248 + 0.11e2 / 0.16e2 * t156 * t21047 * t5253 + t18178 - t18181 - t18185 + t18188 + t3614 / 0.4e1 + t3602 / 0.4e1 - t3607 / 0.8e1 - t3611 / 0.4e1;
  t21147 = my_piecewise3(t51, 0, t21104 + t21145);
  tv4tau44 = t3 * t21147;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 4] += tv4tau44;

}

#endif

