/*
  This file was generated automatically with scripts/maple2c.py.
  Do not edit this file directly as it can be overwritten!!

  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.

  Maple version     : Maple 2020 (X86 64 LINUX)
  Maple source      : ./maple/mgga_exc/mgga_x_br89.mpl
  Type of functional: mgga_exc
*/

#define maple2c_order 4
#define MAPLE2C_FLAGS (XC_FLAGS_I_HAVE_EXC | XC_FLAGS_I_HAVE_VXC | XC_FLAGS_I_HAVE_FXC | XC_FLAGS_I_HAVE_KXC | XC_FLAGS_I_HAVE_LXC)


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t18, t19, t20, t21, t22, t23;
  double t24, t25, t27, t30, t33, t34, t36, t40;
  double t43, t44, t47, t50, t53, t54, t55, t56;
  double t57, t59, t60, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t74, t75;
  double t76, t77, t78, t80, t81, t82, t83, t84;
  double t87, t88, t89, t91, t95, t96, t97, t100;
  double tzk0;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = POW_1_3(p->zeta_threshold);
  t12 = POW_1_3(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = POW_1_3(rho[0]);
  t16 = t14 * t15;
  t18 = POW_1_3(0.1e1 / M_PI);
  t19 = 0.1e1 / t18;
  t20 = M_CBRT4;
  t21 = t19 * t20;
  t22 = t16 * t21;
  t23 = M_CBRT2;
  t24 = t23 * t23;
  t25 = t15 * t15;
  t27 = 0.1e1 / t25 / rho[0];
  t30 = params->gamma * tau[0];
  t33 = params->gamma * sigma[0];
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t25 / t34;
  t40 = fabs(lapl[0] * t27 / 0.2e1 - 0.2e1 * t30 * t27 + t33 * t36 / 0.4e1);
  t43 = t24 * t40 / 0.3e1 < 0.5e-12;
  t44 = lapl[0] * t24;
  t47 = t24 * t27;
  t50 = t24 * t36;
  t53 = t44 * t27 / 0.6e1 - 0.2e1 / 0.3e1 * t30 * t47 + t33 * t50 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t43, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t24;
  t75 = t74 * t27;
  t76 = t73 - t75;
  t77 = t73 + t75;
  t78 = 0.1e1 / t77;
  t80 = t76 * t76;
  t81 = t80 * t76;
  t82 = t77 * t77;
  t83 = t82 * t77;
  t84 = 0.1e1 / t83;
  t87 = t80 * t80;
  t88 = t87 * t76;
  t89 = t82 * t82;
  t91 = 0.1e1 / t89 / t77;
  t95 = 0.1e1 + params->at * (t76 * t78 - 0.2e1 * t81 * t84 + t88 * t91);
  t96 = t66 * t95;
  t97 = t65 * t96;
  t100 = my_piecewise3(t3, 0, -t22 * t97 / 0.4e1);
  tzk0 = 0.2e1 * t100;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t18, t19, t20, t21, t22, t23;
  double t24, t25, t27, t30, t33, t34, t36, t40;
  double t43, t44, t47, t50, t53, t54, t55, t56;
  double t57, t59, t60, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t74, t75;
  double t76, t77, t78, t80, t81, t82, t83, t84;
  double t87, t88, t89, t91, t95, t96, t97, t100;
  double tzk0;

  double t102, t103, t106, t107, t108, t109, t110, t115;
  double t117, t118, t122, t123, t124, t125, t126, t127;
  double t129, t130, t131, t133, t134, t135, t136, t137;
  double t138, t139, t142, t143, t144, t145, t146, t148;
  double t149, t150, t153, t154, t155, t158, t159, t160;
  double t161, t162, t163, t165, t166, t169, t173, t174;
  double t175, t178, t181, t182, t185, t189, t190, t193;
  double t194, t195, t199, tvrho0, t202, t203, t205, t206;
  double t207, t208, t211, t212, t214, t217, t218, t219;
  double t223, t227, tvsigma0, t230, t231, t232, t233, t236;
  double t237, t239, t242, t243, t244, t248, t252, tvlapl0;
  double t256, t257, t258, t259, t262, t263, t265, t268;
  double t269, t270, t274, t287, t288, t289, t293, tvtau0;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = POW_1_3(p->zeta_threshold);
  t12 = POW_1_3(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = POW_1_3(rho[0]);
  t16 = t14 * t15;
  t18 = POW_1_3(0.1e1 / M_PI);
  t19 = 0.1e1 / t18;
  t20 = M_CBRT4;
  t21 = t19 * t20;
  t22 = t16 * t21;
  t23 = M_CBRT2;
  t24 = t23 * t23;
  t25 = t15 * t15;
  t27 = 0.1e1 / t25 / rho[0];
  t30 = params->gamma * tau[0];
  t33 = params->gamma * sigma[0];
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t25 / t34;
  t40 = fabs(lapl[0] * t27 / 0.2e1 - 0.2e1 * t30 * t27 + t33 * t36 / 0.4e1);
  t43 = t24 * t40 / 0.3e1 < 0.5e-12;
  t44 = lapl[0] * t24;
  t47 = t24 * t27;
  t50 = t24 * t36;
  t53 = t44 * t27 / 0.6e1 - 0.2e1 / 0.3e1 * t30 * t47 + t33 * t50 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t43, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t24;
  t75 = t74 * t27;
  t76 = t73 - t75;
  t77 = t73 + t75;
  t78 = 0.1e1 / t77;
  t80 = t76 * t76;
  t81 = t80 * t76;
  t82 = t77 * t77;
  t83 = t82 * t77;
  t84 = 0.1e1 / t83;
  t87 = t80 * t80;
  t88 = t87 * t76;
  t89 = t82 * t82;
  t91 = 0.1e1 / t89 / t77;
  t95 = 0.1e1 + params->at * (t76 * t78 - 0.2e1 * t81 * t84 + t88 * t91);
  t96 = t66 * t95;
  t97 = t65 * t96;
  t100 = my_piecewise3(t3, 0, -t22 * t97 / 0.4e1);
  tzk0 = 0.2e1 * t100;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t102 = t14 / t25;
  t103 = t102 * t21;
  t106 = t16 * t19;
  t107 = M_CBRTPI;
  t108 = t107 * t107;
  t109 = t20 * t108;
  t110 = my_piecewise3(t54, 0, 0);
  t115 = t34 * rho[0];
  t117 = 0.1e1 / t25 / t115;
  t118 = t24 * t117;
  t122 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t44 * t36 + 0.1e2 / 0.9e1 * t30 * t50 - 0.2e1 / 0.9e1 * t33 * t118);
  t123 = t56 * t56;
  t124 = 0.1e1 / t123;
  t125 = t122 * t124;
  t126 = t109 * t125;
  t127 = t106 * t126;
  t129 = exp(-0.2e1 / 0.3e1 * t57);
  t130 = 0.1e1 / t129;
  t131 = t57 * t57;
  t133 = t131 - 0.2e1 * t57 + 0.3e1;
  t134 = 0.1e1 / t133;
  t135 = t130 * t134;
  t136 = t57 - 0.2e1;
  t137 = t136 * t136;
  t138 = t135 * t137;
  t139 = t138 * t97;
  t142 = t108 * t122;
  t143 = t124 * t130;
  t144 = t142 * t143;
  t145 = t134 * t137;
  t146 = t145 * t63;
  t148 = t142 * t124;
  t149 = t137 * t60;
  t150 = t135 * t149;
  t153 = t144 * t146 - t148 * t150 / 0.2e1;
  t154 = t59 * t153;
  t155 = t154 * t96;
  t158 = t20 * t59;
  t159 = 0.1e1 / t131;
  t160 = t64 * t159;
  t161 = t158 * t160;
  t162 = t106 * t161;
  t163 = t95 * t108;
  t165 = t143 * t145;
  t166 = t163 * t122 * t165;
  t169 = t66 * params->at;
  t173 = 0.1e1 / t82;
  t174 = t76 * t173;
  t175 = t74 * t36;
  t178 = t80 * t84;
  t181 = 0.1e1 / t89;
  t182 = t81 * t181;
  t185 = t87 * t91;
  t189 = 0.1e1 / t89 / t82;
  t190 = t88 * t189;
  t193 = 0.5e1 / 0.3e1 * t74 * t36 * t78 + 0.5e1 / 0.3e1 * t174 * t175 - 0.1e2 * t178 * t175 - 0.1e2 * t182 * t175 + 0.25e2 / 0.3e1 * t185 * t175 + 0.25e2 / 0.3e1 * t190 * t175;
  t194 = t169 * t193;
  t195 = t65 * t194;
  t199 = my_piecewise3(t3, 0, -t103 * t97 / 0.12e2 - t127 * t139 / 0.12e2 - t22 * t155 / 0.4e1 + t162 * t166 / 0.4e1 - t22 * t195 / 0.4e1);
  tvrho0 = 0.2e1 * rho[0] * t199 + 0.2e1 * t100;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t202 = params->gamma * t24;
  t203 = t202 * t36;
  t205 = my_piecewise3(t43, t110, t203 / 0.12e2);
  t206 = t205 * t124;
  t207 = t109 * t206;
  t208 = t106 * t207;
  t211 = t108 * t205;
  t212 = t211 * t143;
  t214 = t211 * t124;
  t217 = t212 * t146 - t214 * t150 / 0.2e1;
  t218 = t59 * t217;
  t219 = t218 * t96;
  t223 = t163 * t205 * t165;
  t227 = my_piecewise3(t3, 0, -t208 * t139 / 0.12e2 - t22 * t219 / 0.4e1 + t162 * t223 / 0.4e1);
  tvsigma0 = 0.2e1 * rho[0] * t227;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t230 = my_piecewise3(t43, t110, t47 / 0.6e1);
  t231 = t230 * t124;
  t232 = t109 * t231;
  t233 = t106 * t232;
  t236 = t108 * t230;
  t237 = t236 * t143;
  t239 = t236 * t124;
  t242 = t237 * t146 - t239 * t150 / 0.2e1;
  t243 = t59 * t242;
  t244 = t243 * t96;
  t248 = t163 * t230 * t165;
  t252 = my_piecewise3(t3, 0, -t233 * t139 / 0.12e2 - t22 * t244 / 0.4e1 + t162 * t248 / 0.4e1);
  tvlapl0 = 0.2e1 * rho[0] * t252;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t256 = my_piecewise3(t43, t110, -0.2e1 / 0.3e1 * t202 * t27);
  t257 = t256 * t124;
  t258 = t109 * t257;
  t259 = t106 * t258;
  t262 = t108 * t256;
  t263 = t262 * t143;
  t265 = t262 * t124;
  t268 = t263 * t146 - t265 * t150 / 0.2e1;
  t269 = t59 * t268;
  t270 = t269 * t96;
  t274 = t163 * t256 * t165;
  t287 = -t174 * t47 + 0.6e1 * t178 * t47 + 0.6e1 * t182 * t47 - 0.5e1 * t185 * t47 - 0.5e1 * t190 * t47 - t47 * t78;
  t288 = t169 * t287;
  t289 = t65 * t288;
  t293 = my_piecewise3(t3, 0, -t259 * t139 / 0.12e2 - t22 * t270 / 0.4e1 + t162 * t274 / 0.4e1 - t22 * t289 / 0.4e1);
  tvtau0 = 0.2e1 * rho[0] * t293;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t18, t19, t20, t21, t22, t23;
  double t24, t25, t27, t30, t33, t34, t36, t40;
  double t43, t44, t47, t50, t53, t54, t55, t56;
  double t57, t59, t60, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t74, t75;
  double t76, t77, t78, t80, t81, t82, t83, t84;
  double t87, t88, t89, t91, t95, t96, t97, t100;
  double tzk0;

  double t102, t103, t106, t107, t108, t109, t110, t115;
  double t117, t118, t122, t123, t124, t125, t126, t127;
  double t129, t130, t131, t133, t134, t135, t136, t137;
  double t138, t139, t142, t143, t144, t145, t146, t148;
  double t149, t150, t153, t154, t155, t158, t159, t160;
  double t161, t162, t163, t165, t166, t169, t173, t174;
  double t175, t178, t181, t182, t185, t189, t190, t193;
  double t194, t195, t199, tvrho0, t202, t203, t205, t206;
  double t207, t208, t211, t212, t214, t217, t218, t219;
  double t223, t227, tvsigma0, t230, t231, t232, t233, t236;
  double t237, t239, t242, t243, t244, t248, t252, tvlapl0;
  double t256, t257, t258, t259, t262, t263, t265, t268;
  double t269, t270, t274, t287, t288, t289, t293, tvtau0;

  double t296, t298, t301, t302, t303, t304, t305, t306;
  double t307, t312, t313, t314, t315, t318, t319, t320;
  double t323, t325, t326, t327, t328, t329, t332, t334;
  double t335, t342, t344, t345, t349, t351, t354, t355;
  double t356, t359, t362, t363, t364, t365, t366, t367;
  double t368, t369, t370, t371, t372, t373, t374, t377;
  double t378, t379, t382, t383, t386, t387, t390, t391;
  double t393, t394, t397, t398, t399, t400, t401, t404;
  double t405, t406, t408, t409, t410, t413, t414, t415;
  double t418, t421, t423, t424, t427, t428, t430, t431;
  double t432, t437, t443, t444, t445, t447, t451, t452;
  double t455, t458, t463, t468, t474, t475, t480, t481;
  double t482, t485, t486, t491, t492, t493, t496, t497;
  double t500, t501, t502, t506, t507, t508, t509, t510;
  double t511, t512, t513, t516, t517, t520, t522, tv2rho20;
  double t525, t528, t530, t531, t532, t533, t536, t537;
  double t538, t539, t540, t541, t544, t545, t546, t547;
  double t548, t549, t554, t555, t556, t561, t562, t569;
  double t572, t573, t574, t576, t577, t578, t581, t582;
  double t583, t587, t590, t591, t594, t597, t601, t603;
  double t604, t605, t608, t609, t610, t613, t620, t621;
  double t622, t623, t627, t631, t634, t635, t636, t637;
  double t640, t641, t645, t646, t649, t651, tv2rhosigma0, t654;
  double t658, t659, t660, t661, t664, t665, t666, t669;
  double t670, t671, t686, t689, t690, t691, t693, t696;
  double t697, t705, t712, t713, t714, t717, t718, t719;
  double t722, t729, t730, t734, t738, t741, t742, t745;
  double t746, t749, t752, t754, tv2rholapl0, t757, t758, t759;
  double t762, t763, t764, t767, t768, t772, t775, t776;
  double t777, t781, t784, t785, t790, t791, t796, t803;
  double t806, t810, t811, t812, t813, t818, t821, t822;
  double t823, t829, t834, t837, t844, t845, t848, t869;
  double t870, t871, t874, t875, t877, t880, t881, t889;
  double t896, t897, t898, t903, t905, tv2rhotau0, t908, t909;
  double t910, t911, t913, t914, t915, t916, t917, t920;
  double t921, t922, t929, t930, t931, t932, t941, t942;
  double t943, t944, t945, t948, t949, t952, t953, t957;
  double t960, t962, t963, t965, t966, t970, t971, t972;
  double t977, t978, t982, t984, t986, t989, t990, t991;
  double t994, t997, t998, tv2sigma20, t1000, t1001, t1002, t1005;
  double t1010, t1015, t1016, t1021, t1022, t1025, t1029, t1032;
  double t1033, t1036, t1040, t1042, t1043, t1044, t1051, t1052;
  double t1053, t1056, t1057, t1058, t1061, t1064, t1065, t1066;
  double t1069, t1070, tv2sigmalapl0, t1099, t1100, t1101, t1108, t1111;
  double t1114, t1117, t1122, t1126, t1129, t1130, tv2sigmatau0, t1132;
  double t1133, t1134, t1135, t1138, t1139, t1140, t1147, t1148;
  double t1149, t1150, t1159, t1160, t1163, t1164, t1167, t1168;
  double t1172, t1175, t1177, t1178, t1182, t1183, t1184, t1189;
  double t1190, t1194, t1197, t1198, t1199, t1202, t1205, t1206;
  double tv2lapl20, t1208, t1209, t1210, t1213, t1218, t1223, t1224;
  double t1229, t1230, t1233, t1237, t1240, t1241, t1244, t1248;
  double t1250, t1251, t1252, t1259, t1260, t1261, t1264, t1265;
  double t1266, t1269, t1272, t1273, t1274, t1279, t1283, t1286;
  double t1287, tv2lapltau0, t1289, t1290, t1291, t1292, t1295, t1296;
  double t1297, t1304, t1305, t1306, t1307, t1318, t1319, t1322;
  double t1323, t1326, t1327, t1331, t1334, t1336, t1337, t1341;
  double t1342, t1343, t1348, t1351, t1352, t1356, t1360, t1363;
  double t1364, t1365, t1368, t1373, t1386, t1387, t1388, t1391;
  double t1392, tv2tau20;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = POW_1_3(p->zeta_threshold);
  t12 = POW_1_3(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = POW_1_3(rho[0]);
  t16 = t14 * t15;
  t18 = POW_1_3(0.1e1 / M_PI);
  t19 = 0.1e1 / t18;
  t20 = M_CBRT4;
  t21 = t19 * t20;
  t22 = t16 * t21;
  t23 = M_CBRT2;
  t24 = t23 * t23;
  t25 = t15 * t15;
  t27 = 0.1e1 / t25 / rho[0];
  t30 = params->gamma * tau[0];
  t33 = params->gamma * sigma[0];
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t25 / t34;
  t40 = fabs(lapl[0] * t27 / 0.2e1 - 0.2e1 * t30 * t27 + t33 * t36 / 0.4e1);
  t43 = t24 * t40 / 0.3e1 < 0.5e-12;
  t44 = lapl[0] * t24;
  t47 = t24 * t27;
  t50 = t24 * t36;
  t53 = t44 * t27 / 0.6e1 - 0.2e1 / 0.3e1 * t30 * t47 + t33 * t50 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t43, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t24;
  t75 = t74 * t27;
  t76 = t73 - t75;
  t77 = t73 + t75;
  t78 = 0.1e1 / t77;
  t80 = t76 * t76;
  t81 = t80 * t76;
  t82 = t77 * t77;
  t83 = t82 * t77;
  t84 = 0.1e1 / t83;
  t87 = t80 * t80;
  t88 = t87 * t76;
  t89 = t82 * t82;
  t91 = 0.1e1 / t89 / t77;
  t95 = 0.1e1 + params->at * (t76 * t78 - 0.2e1 * t81 * t84 + t88 * t91);
  t96 = t66 * t95;
  t97 = t65 * t96;
  t100 = my_piecewise3(t3, 0, -t22 * t97 / 0.4e1);
  tzk0 = 0.2e1 * t100;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t102 = t14 / t25;
  t103 = t102 * t21;
  t106 = t16 * t19;
  t107 = M_CBRTPI;
  t108 = t107 * t107;
  t109 = t20 * t108;
  t110 = my_piecewise3(t54, 0, 0);
  t115 = t34 * rho[0];
  t117 = 0.1e1 / t25 / t115;
  t118 = t24 * t117;
  t122 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t44 * t36 + 0.1e2 / 0.9e1 * t30 * t50 - 0.2e1 / 0.9e1 * t33 * t118);
  t123 = t56 * t56;
  t124 = 0.1e1 / t123;
  t125 = t122 * t124;
  t126 = t109 * t125;
  t127 = t106 * t126;
  t129 = exp(-0.2e1 / 0.3e1 * t57);
  t130 = 0.1e1 / t129;
  t131 = t57 * t57;
  t133 = t131 - 0.2e1 * t57 + 0.3e1;
  t134 = 0.1e1 / t133;
  t135 = t130 * t134;
  t136 = t57 - 0.2e1;
  t137 = t136 * t136;
  t138 = t135 * t137;
  t139 = t138 * t97;
  t142 = t108 * t122;
  t143 = t124 * t130;
  t144 = t142 * t143;
  t145 = t134 * t137;
  t146 = t145 * t63;
  t148 = t142 * t124;
  t149 = t137 * t60;
  t150 = t135 * t149;
  t153 = t144 * t146 - t148 * t150 / 0.2e1;
  t154 = t59 * t153;
  t155 = t154 * t96;
  t158 = t20 * t59;
  t159 = 0.1e1 / t131;
  t160 = t64 * t159;
  t161 = t158 * t160;
  t162 = t106 * t161;
  t163 = t95 * t108;
  t165 = t143 * t145;
  t166 = t163 * t122 * t165;
  t169 = t66 * params->at;
  t173 = 0.1e1 / t82;
  t174 = t76 * t173;
  t175 = t74 * t36;
  t178 = t80 * t84;
  t181 = 0.1e1 / t89;
  t182 = t81 * t181;
  t185 = t87 * t91;
  t189 = 0.1e1 / t89 / t82;
  t190 = t88 * t189;
  t193 = 0.5e1 / 0.3e1 * t74 * t36 * t78 + 0.5e1 / 0.3e1 * t174 * t175 - 0.1e2 * t178 * t175 - 0.1e2 * t182 * t175 + 0.25e2 / 0.3e1 * t185 * t175 + 0.25e2 / 0.3e1 * t190 * t175;
  t194 = t169 * t193;
  t195 = t65 * t194;
  t199 = my_piecewise3(t3, 0, -t103 * t97 / 0.12e2 - t127 * t139 / 0.12e2 - t22 * t155 / 0.4e1 + t162 * t166 / 0.4e1 - t22 * t195 / 0.4e1);
  tvrho0 = 0.2e1 * rho[0] * t199 + 0.2e1 * t100;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t202 = params->gamma * t24;
  t203 = t202 * t36;
  t205 = my_piecewise3(t43, t110, t203 / 0.12e2);
  t206 = t205 * t124;
  t207 = t109 * t206;
  t208 = t106 * t207;
  t211 = t108 * t205;
  t212 = t211 * t143;
  t214 = t211 * t124;
  t217 = t212 * t146 - t214 * t150 / 0.2e1;
  t218 = t59 * t217;
  t219 = t218 * t96;
  t223 = t163 * t205 * t165;
  t227 = my_piecewise3(t3, 0, -t208 * t139 / 0.12e2 - t22 * t219 / 0.4e1 + t162 * t223 / 0.4e1);
  tvsigma0 = 0.2e1 * rho[0] * t227;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t230 = my_piecewise3(t43, t110, t47 / 0.6e1);
  t231 = t230 * t124;
  t232 = t109 * t231;
  t233 = t106 * t232;
  t236 = t108 * t230;
  t237 = t236 * t143;
  t239 = t236 * t124;
  t242 = t237 * t146 - t239 * t150 / 0.2e1;
  t243 = t59 * t242;
  t244 = t243 * t96;
  t248 = t163 * t230 * t165;
  t252 = my_piecewise3(t3, 0, -t233 * t139 / 0.12e2 - t22 * t244 / 0.4e1 + t162 * t248 / 0.4e1);
  tvlapl0 = 0.2e1 * rho[0] * t252;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t256 = my_piecewise3(t43, t110, -0.2e1 / 0.3e1 * t202 * t27);
  t257 = t256 * t124;
  t258 = t109 * t257;
  t259 = t106 * t258;
  t262 = t108 * t256;
  t263 = t262 * t143;
  t265 = t262 * t124;
  t268 = t263 * t146 - t265 * t150 / 0.2e1;
  t269 = t59 * t268;
  t270 = t269 * t96;
  t274 = t163 * t256 * t165;
  t287 = -t174 * t47 + 0.6e1 * t178 * t47 + 0.6e1 * t182 * t47 - 0.5e1 * t185 * t47 - 0.5e1 * t190 * t47 - t47 * t78;
  t288 = t169 * t287;
  t289 = t65 * t288;
  t293 = my_piecewise3(t3, 0, -t259 * t139 / 0.12e2 - t22 * t270 / 0.4e1 + t162 * t274 / 0.4e1 - t22 * t289 / 0.4e1);
  tvtau0 = 0.2e1 * rho[0] * t293;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t296 = params->at * t193;
  t298 = t296 * t142 * t165;
  t301 = t133 * t133;
  t302 = 0.1e1 / t301;
  t303 = t130 * t302;
  t304 = t137 * t59;
  t305 = t303 * t304;
  t306 = t64 * t66;
  t307 = t57 * t108;
  t312 = 0.2e1 * t122 * t165 * t307 - 0.2e1 * t138 * t148;
  t313 = t95 * t312;
  t314 = t306 * t313;
  t315 = t305 * t314;
  t318 = t135 * t304;
  t319 = t306 * t296;
  t320 = t318 * t319;
  t323 = t122 * t122;
  t325 = t123 * t56;
  t326 = 0.1e1 / t325;
  t327 = t326 * t130;
  t328 = t327 * t145;
  t329 = t163 * t323 * t328;
  t332 = t163 * t125;
  t334 = t303 * t137 * t312;
  t335 = t332 * t334;
  t342 = t34 * t34;
  t344 = 0.1e1 / t25 / t342;
  t345 = t24 * t344;
  t349 = my_piecewise3(t43, t110, 0.2e2 / 0.27e2 * t44 * t117 - 0.8e2 / 0.27e2 * t30 * t118 + 0.22e2 / 0.27e2 * t33 * t345);
  t351 = t163 * t349 * t165;
  t354 = t349 * t124;
  t355 = t109 * t354;
  t356 = t106 * t355;
  t359 = t138 * t155;
  t362 = t107 * M_PI;
  t363 = t20 * t362;
  t364 = t123 * t123;
  t365 = 0.1e1 / t364;
  t366 = t323 * t365;
  t367 = t363 * t366;
  t368 = t106 * t367;
  t369 = t129 * t129;
  t370 = 0.1e1 / t369;
  t371 = t370 * t302;
  t372 = t137 * t137;
  t373 = t371 * t372;
  t374 = t373 * t97;
  t377 = t153 * t159;
  t378 = t158 * t377;
  t379 = t106 * t378;
  t382 = t102 * t19;
  t383 = t382 * t126;
  t386 = t162 * t298 / 0.2e1 + t127 * t315 / 0.12e2 - t127 * t320 / 0.6e1 - t162 * t329 / 0.2e1 - t162 * t335 / 0.4e1 + t162 * t351 / 0.4e1 - t356 * t139 / 0.12e2 - t127 * t359 / 0.6e1 - t368 * t374 / 0.12e2 + t379 * t166 / 0.2e1 - t383 * t139 / 0.18e2;
  t387 = t382 * t161;
  t390 = t108 * t349;
  t391 = t390 * t143;
  t393 = t108 * t323;
  t394 = t393 * t327;
  t397 = t362 * t323;
  t398 = t365 * t370;
  t399 = t397 * t398;
  t400 = t302 * t372;
  t401 = t400 * t63;
  t404 = t302 * t137;
  t405 = t63 * t312;
  t406 = t404 * t405;
  t408 = t137 * t136;
  t409 = t302 * t408;
  t410 = t409 * t63;
  t413 = t397 * t365;
  t414 = t372 * t60;
  t415 = t371 * t414;
  t418 = t390 * t124;
  t421 = t393 * t326;
  t423 = t60 * t312;
  t424 = t404 * t423;
  t427 = t408 * t60;
  t428 = t371 * t427;
  t430 = t391 * t146 - 0.2e1 * t394 * t146 - t399 * t401 / 0.3e1 - t144 * t406 + 0.2e1 * t399 * t410 + 0.2e1 / 0.3e1 * t413 * t415 - t418 * t150 / 0.2e1 + t421 * t150 + t144 * t424 / 0.2e1 - t413 * t428;
  t431 = t59 * t430;
  t432 = t431 * t96;
  t437 = t154 * t194;
  t443 = tau[0] * tau[0];
  t444 = t443 * t23;
  t445 = t342 * rho[0];
  t447 = 0.1e1 / t15 / t445;
  t451 = t76 * t84;
  t452 = t444 * t447;
  t455 = t74 * t117;
  t458 = t80 * t181;
  t463 = t81 * t91;
  t468 = t87 * t189;
  t474 = 0.1e1 / t89 / t83;
  t475 = t88 * t474;
  t480 = -0.4e2 / 0.9e1 * t74 * t117 * t78 + 0.1e3 / 0.9e1 * t444 * t447 * t173 - 0.5e3 / 0.9e1 * t451 * t452 - 0.4e2 / 0.9e1 * t174 * t455 - 0.2e3 * t458 * t452 + 0.8e2 / 0.3e1 * t178 * t455 - 0.2e3 / 0.9e1 * t463 * t452 + 0.8e2 / 0.3e1 * t182 * t455 + 0.25e4 / 0.9e1 * t468 * t452 - 0.2e3 / 0.9e1 * t185 * t455 + 0.5e3 / 0.3e1 * t475 * t452 - 0.2e3 / 0.9e1 * t190 * t455;
  t481 = t169 * t480;
  t482 = t65 * t481;
  t485 = t14 * t27;
  t486 = t485 * t21;
  t491 = t323 * t326;
  t492 = t109 * t491;
  t493 = t106 * t492;
  t496 = t371 * t408;
  t497 = t496 * t97;
  t500 = t159 * t95;
  t501 = t65 * t500;
  t502 = t373 * t501;
  t506 = 0.1e1 / t131 / t57;
  t507 = t64 * t506;
  t508 = t158 * t507;
  t509 = t106 * t508;
  t510 = t95 * t362;
  t511 = t510 * t323;
  t512 = t398 * t400;
  t513 = t511 * t512;
  t516 = t398 * t409;
  t517 = t511 * t516;
  t520 = t387 * t166 / 0.6e1 - t22 * t432 / 0.4e1 - t103 * t155 / 0.6e1 - t22 * t437 / 0.2e1 - t22 * t482 / 0.4e1 + t486 * t97 / 0.18e2 - t103 * t195 / 0.6e1 + t493 * t139 / 0.6e1 - t368 * t497 / 0.6e1 + t368 * t502 / 0.3e1 - t509 * t513 / 0.2e1 + t162 * t517 / 0.2e1;
  t522 = my_piecewise3(t3, 0, t386 + t520);
  tv2rho20 = 0.2e1 * rho[0] * t522 + 0.4e1 * t199;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t525 = t382 * t207;
  t528 = t202 * t117;
  t530 = my_piecewise3(t43, t110, -0.2e1 / 0.9e1 * t528);
  t531 = t530 * t124;
  t532 = t109 * t531;
  t533 = t106 * t532;
  t536 = t205 * t326;
  t537 = t109 * t536;
  t538 = t106 * t537;
  t539 = t95 * t122;
  t540 = t306 * t539;
  t541 = t318 * t540;
  t544 = t205 * t365;
  t545 = t363 * t544;
  t546 = t106 * t545;
  t547 = t372 * t59;
  t548 = t371 * t547;
  t549 = t548 * t540;
  t554 = t408 * t59;
  t555 = t371 * t554;
  t556 = t555 * t540;
  t561 = t160 * t539;
  t562 = t548 * t561;
  t569 = t138 * t219;
  t572 = -t525 * t139 / 0.36e2 - t533 * t139 / 0.12e2 + t538 * t541 / 0.6e1 - t546 * t549 / 0.12e2 + t208 * t315 / 0.12e2 - t546 * t556 / 0.6e1 - t208 * t359 / 0.12e2 + t546 * t562 / 0.3e1 - t208 * t320 / 0.12e2 - t103 * t219 / 0.12e2 - t127 * t569 / 0.12e2;
  t573 = t108 * t530;
  t574 = t573 * t143;
  t576 = t211 * t327;
  t577 = t63 * t122;
  t578 = t145 * t577;
  t581 = t362 * t205;
  t582 = t581 * t398;
  t583 = t400 * t577;
  t587 = t409 * t577;
  t590 = t60 * t122;
  t591 = t400 * t590;
  t594 = t573 * t124;
  t597 = t145 * t590;
  t601 = t409 * t590;
  t603 = t574 * t146 - 0.2e1 * t576 * t578 - t582 * t583 / 0.3e1 - t212 * t406 + 0.2e1 * t582 * t587 + 0.2e1 / 0.3e1 * t582 * t591 - t594 * t150 / 0.2e1 + t576 * t597 + t212 * t424 / 0.2e1 - t582 * t601;
  t604 = t59 * t603;
  t605 = t604 * t96;
  t608 = t217 * t159;
  t609 = t158 * t608;
  t610 = t106 * t609;
  t613 = t218 * t194;
  t620 = t510 * t544;
  t621 = t372 * t122;
  t622 = t371 * t621;
  t623 = t620 * t622;
  t627 = t296 * t211 * t165;
  t631 = t163 * t530 * t165;
  t634 = t163 * t536;
  t635 = t137 * t122;
  t636 = t135 * t635;
  t637 = t634 * t636;
  t640 = t163 * t206;
  t641 = t640 * t334;
  t645 = t371 * t408 * t122;
  t646 = t620 * t645;
  t649 = -t22 * t605 / 0.4e1 + t610 * t166 / 0.4e1 - t22 * t613 / 0.4e1 + t387 * t223 / 0.12e2 + t379 * t223 / 0.4e1 - t509 * t623 / 0.2e1 + t162 * t627 / 0.4e1 + t162 * t631 / 0.4e1 - t162 * t637 / 0.2e1 - t162 * t641 / 0.4e1 + t162 * t646 / 0.2e1;
  t651 = my_piecewise3(t3, 0, t572 + t649);
  tv2rhosigma0 = 0.2e1 * rho[0] * t651 + 0.2e1 * t227;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t654 = t382 * t232;
  t658 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t50);
  t659 = t658 * t124;
  t660 = t109 * t659;
  t661 = t106 * t660;
  t664 = t230 * t326;
  t665 = t109 * t664;
  t666 = t106 * t665;
  t669 = t230 * t365;
  t670 = t363 * t669;
  t671 = t106 * t670;
  t686 = t138 * t244;
  t689 = -t654 * t139 / 0.36e2 - t661 * t139 / 0.12e2 + t666 * t541 / 0.6e1 - t671 * t549 / 0.12e2 + t233 * t315 / 0.12e2 - t671 * t556 / 0.6e1 - t233 * t359 / 0.12e2 + t671 * t562 / 0.3e1 - t233 * t320 / 0.12e2 - t103 * t244 / 0.12e2 - t127 * t686 / 0.12e2;
  t690 = t108 * t658;
  t691 = t690 * t143;
  t693 = t236 * t327;
  t696 = t362 * t230;
  t697 = t696 * t398;
  t705 = t690 * t124;
  t712 = t691 * t146 - 0.2e1 * t693 * t578 - t697 * t583 / 0.3e1 - t237 * t406 + 0.2e1 * t697 * t587 + 0.2e1 / 0.3e1 * t697 * t591 - t705 * t150 / 0.2e1 + t693 * t597 + t237 * t424 / 0.2e1 - t697 * t601;
  t713 = t59 * t712;
  t714 = t713 * t96;
  t717 = t242 * t159;
  t718 = t158 * t717;
  t719 = t106 * t718;
  t722 = t243 * t194;
  t729 = t510 * t669;
  t730 = t729 * t622;
  t734 = t296 * t236 * t165;
  t738 = t163 * t658 * t165;
  t741 = t163 * t664;
  t742 = t741 * t636;
  t745 = t163 * t231;
  t746 = t745 * t334;
  t749 = t729 * t645;
  t752 = -t22 * t714 / 0.4e1 + t719 * t166 / 0.4e1 - t22 * t722 / 0.4e1 + t387 * t248 / 0.12e2 + t379 * t248 / 0.4e1 - t509 * t730 / 0.2e1 + t162 * t734 / 0.4e1 + t162 * t738 / 0.4e1 - t162 * t742 / 0.2e1 - t162 * t746 / 0.4e1 + t162 * t749 / 0.2e1;
  t754 = my_piecewise3(t3, 0, t689 + t752);
  tv2rholapl0 = 0.2e1 * rho[0] * t754 + 0.2e1 * t252;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t757 = t256 * t365;
  t758 = t510 * t757;
  t759 = t758 * t622;
  t762 = t256 * t326;
  t763 = t163 * t762;
  t764 = t763 * t636;
  t767 = t163 * t257;
  t768 = t767 * t334;
  t772 = t296 * t262 * t165;
  t775 = params->at * t287;
  t776 = t306 * t775;
  t777 = t318 * t776;
  t781 = t775 * t142 * t165;
  t784 = t109 * t762;
  t785 = t106 * t784;
  t790 = t363 * t757;
  t791 = t106 * t790;
  t796 = t758 * t645;
  t803 = -t509 * t759 / 0.2e1 - t162 * t764 / 0.2e1 - t162 * t768 / 0.4e1 + t162 * t772 / 0.4e1 - t127 * t777 / 0.12e2 + t162 * t781 / 0.4e1 + t785 * t541 / 0.6e1 + t259 * t315 / 0.12e2 - t791 * t549 / 0.12e2 - t259 * t320 / 0.12e2 + t162 * t796 / 0.2e1 - t791 * t556 / 0.6e1 + t791 * t562 / 0.3e1;
  t806 = t382 * t258;
  t810 = my_piecewise3(t43, t110, 0.1e2 / 0.9e1 * t203);
  t811 = t810 * t124;
  t812 = t109 * t811;
  t813 = t106 * t812;
  t818 = t138 * t270;
  t821 = t268 * t159;
  t822 = t158 * t821;
  t823 = t106 * t822;
  t829 = t163 * t810 * t165;
  t834 = t269 * t194;
  t837 = t154 * t288;
  t844 = t23 / t15 / t342;
  t845 = t173 * tau[0];
  t848 = t844 * tau[0];
  t869 = 0.5e1 / 0.3e1 * t50 * t78 - 0.2e2 / 0.3e1 * t844 * t845 + 0.1e3 / 0.3e1 * t451 * t848 + 0.5e1 / 0.3e1 * t174 * t50 + 0.12e3 * t458 * t848 - 0.1e2 * t178 * t50 + 0.4e2 / 0.3e1 * t463 * t848 - 0.1e2 * t182 * t50 - 0.5e3 / 0.3e1 * t468 * t848 + 0.25e2 / 0.3e1 * t185 * t50 - 0.1e3 * t475 * t848 + 0.25e2 / 0.3e1 * t190 * t50;
  t870 = t169 * t869;
  t871 = t65 * t870;
  t874 = t108 * t810;
  t875 = t874 * t143;
  t877 = t262 * t327;
  t880 = t362 * t256;
  t881 = t880 * t398;
  t889 = t874 * t124;
  t896 = t875 * t146 - 0.2e1 * t877 * t578 - t881 * t583 / 0.3e1 - t263 * t406 + 0.2e1 * t881 * t587 + 0.2e1 / 0.3e1 * t881 * t591 - t889 * t150 / 0.2e1 + t877 * t597 + t263 * t424 / 0.2e1 - t881 * t601;
  t897 = t59 * t896;
  t898 = t897 * t96;
  t903 = t387 * t274 / 0.12e2 - t806 * t139 / 0.36e2 - t813 * t139 / 0.12e2 - t259 * t359 / 0.12e2 - t127 * t818 / 0.12e2 + t823 * t166 / 0.4e1 + t379 * t274 / 0.4e1 + t162 * t829 / 0.4e1 - t103 * t289 / 0.12e2 - t22 * t834 / 0.4e1 - t22 * t837 / 0.4e1 - t22 * t871 / 0.4e1 - t22 * t898 / 0.4e1 - t103 * t270 / 0.12e2;
  t905 = my_piecewise3(t3, 0, t803 + t903);
  tv2rhotau0 = 0.2e1 * rho[0] * t905 + 0.2e1 * t293;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t908 = my_piecewise3(t43, t110, 0);
  t909 = t908 * t124;
  t910 = t109 * t909;
  t911 = t106 * t910;
  t913 = t911 * t139 / 0.12e2;
  t914 = t205 * t205;
  t915 = t914 * t326;
  t916 = t109 * t915;
  t917 = t106 * t916;
  t920 = t914 * t365;
  t921 = t363 * t920;
  t922 = t106 * t921;
  t929 = 0.2e1 * t165 * t205 * t307 - 0.2e1 * t138 * t214;
  t930 = t95 * t929;
  t931 = t306 * t930;
  t932 = t305 * t931;
  t941 = t108 * t908;
  t942 = t941 * t143;
  t943 = t942 * t146;
  t944 = t108 * t914;
  t945 = t944 * t327;
  t948 = t362 * t914;
  t949 = t948 * t398;
  t952 = t63 * t929;
  t953 = t404 * t952;
  t957 = t948 * t365;
  t960 = t941 * t124;
  t962 = t960 * t150 / 0.2e1;
  t963 = t944 * t326;
  t965 = t60 * t929;
  t966 = t404 * t965;
  t970 = t943 - 0.2e1 * t945 * t146 - t949 * t401 / 0.3e1 - t212 * t953 + 0.2e1 * t949 * t410 + 0.2e1 / 0.3e1 * t957 * t415 - t962 + t963 * t150 + t212 * t966 / 0.2e1 - t957 * t428;
  t971 = t59 * t970;
  t972 = t971 * t96;
  t977 = t510 * t914;
  t978 = t977 * t512;
  t982 = t163 * t908 * t165;
  t984 = t162 * t982 / 0.4e1;
  t986 = t163 * t914 * t328;
  t989 = t137 * t929;
  t990 = t303 * t989;
  t991 = t640 * t990;
  t994 = t977 * t516;
  t997 = -t913 + t917 * t139 / 0.6e1 - t922 * t374 / 0.12e2 + t208 * t932 / 0.12e2 - t922 * t497 / 0.6e1 - t208 * t569 / 0.6e1 + t922 * t502 / 0.3e1 - t22 * t972 / 0.4e1 + t610 * t223 / 0.2e1 - t509 * t978 / 0.2e1 + t984 - t162 * t986 / 0.2e1 - t162 * t991 / 0.4e1 + t162 * t994 / 0.2e1;
  t998 = my_piecewise3(t3, 0, t997);
  tv2sigma20 = 0.2e1 * rho[0] * t998;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t1000 = t95 * t205;
  t1001 = t306 * t1000;
  t1002 = t318 * t1001;
  t1005 = t548 * t1001;
  t1010 = t555 * t1001;
  t1015 = t160 * t1000;
  t1016 = t548 * t1015;
  t1021 = t63 * t205;
  t1022 = t145 * t1021;
  t1025 = t400 * t1021;
  t1029 = t409 * t1021;
  t1032 = t60 * t205;
  t1033 = t400 * t1032;
  t1036 = t145 * t1032;
  t1040 = t409 * t1032;
  t1042 = t943 - 0.2e1 * t693 * t1022 - t697 * t1025 / 0.3e1 - t237 * t953 + 0.2e1 * t697 * t1029 + 0.2e1 / 0.3e1 * t697 * t1033 - t962 + t693 * t1036 + t237 * t966 / 0.2e1 - t697 * t1040;
  t1043 = t59 * t1042;
  t1044 = t1043 * t96;
  t1051 = t372 * t205;
  t1052 = t371 * t1051;
  t1053 = t729 * t1052;
  t1056 = t137 * t205;
  t1057 = t135 * t1056;
  t1058 = t741 * t1057;
  t1061 = t745 * t990;
  t1064 = t408 * t205;
  t1065 = t371 * t1064;
  t1066 = t729 * t1065;
  t1069 = -t913 + t666 * t1002 / 0.6e1 - t671 * t1005 / 0.12e2 + t233 * t932 / 0.12e2 - t671 * t1010 / 0.6e1 - t233 * t569 / 0.12e2 + t671 * t1016 / 0.3e1 - t208 * t686 / 0.12e2 - t22 * t1044 / 0.4e1 + t719 * t223 / 0.4e1 + t610 * t248 / 0.4e1 - t509 * t1053 / 0.2e1 + t984 - t162 * t1058 / 0.2e1 - t162 * t1061 / 0.4e1 + t162 * t1066 / 0.2e1;
  t1070 = my_piecewise3(t3, 0, t1069);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t1070;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  t1099 = t943 - 0.2e1 * t877 * t1022 - t881 * t1025 / 0.3e1 - t263 * t953 + 0.2e1 * t881 * t1029 + 0.2e1 / 0.3e1 * t881 * t1033 - t962 + t877 * t1036 + t263 * t966 / 0.2e1 - t881 * t1040;
  t1100 = t59 * t1099;
  t1101 = t1100 * t96;
  t1108 = t758 * t1052;
  t1111 = t763 * t1057;
  t1114 = t767 * t990;
  t1117 = t758 * t1065;
  t1122 = t218 * t288;
  t1126 = t775 * t211 * t165;
  t1129 = -t913 + t785 * t1002 / 0.6e1 - t791 * t1005 / 0.12e2 + t259 * t932 / 0.12e2 - t791 * t1010 / 0.6e1 - t259 * t569 / 0.12e2 + t791 * t1016 / 0.3e1 - t208 * t818 / 0.12e2 - t22 * t1101 / 0.4e1 + t823 * t223 / 0.4e1 + t610 * t274 / 0.4e1 - t509 * t1108 / 0.2e1 + t984 - t162 * t1111 / 0.2e1 - t162 * t1114 / 0.4e1 + t162 * t1117 / 0.2e1 - t208 * t777 / 0.12e2 - t22 * t1122 / 0.4e1 + t162 * t1126 / 0.4e1;
  t1130 = my_piecewise3(t3, 0, t1129);
  tv2sigmatau0 = 0.2e1 * rho[0] * t1130;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t1132 = t230 * t230;
  t1133 = t1132 * t326;
  t1134 = t109 * t1133;
  t1135 = t106 * t1134;
  t1138 = t1132 * t365;
  t1139 = t363 * t1138;
  t1140 = t106 * t1139;
  t1147 = 0.2e1 * t165 * t230 * t307 - 0.2e1 * t138 * t239;
  t1148 = t95 * t1147;
  t1149 = t306 * t1148;
  t1150 = t305 * t1149;
  t1159 = t108 * t1132;
  t1160 = t1159 * t327;
  t1163 = t362 * t1132;
  t1164 = t1163 * t398;
  t1167 = t63 * t1147;
  t1168 = t404 * t1167;
  t1172 = t1163 * t365;
  t1175 = t1159 * t326;
  t1177 = t60 * t1147;
  t1178 = t404 * t1177;
  t1182 = t943 - 0.2e1 * t1160 * t146 - t1164 * t401 / 0.3e1 - t237 * t1168 + 0.2e1 * t1164 * t410 + 0.2e1 / 0.3e1 * t1172 * t415 - t962 + t1175 * t150 + t237 * t1178 / 0.2e1 - t1172 * t428;
  t1183 = t59 * t1182;
  t1184 = t1183 * t96;
  t1189 = t510 * t1132;
  t1190 = t1189 * t512;
  t1194 = t163 * t1132 * t328;
  t1197 = t137 * t1147;
  t1198 = t303 * t1197;
  t1199 = t745 * t1198;
  t1202 = t1189 * t516;
  t1205 = -t913 + t1135 * t139 / 0.6e1 - t1140 * t374 / 0.12e2 + t233 * t1150 / 0.12e2 - t1140 * t497 / 0.6e1 - t233 * t686 / 0.6e1 + t1140 * t502 / 0.3e1 - t22 * t1184 / 0.4e1 + t719 * t248 / 0.2e1 - t509 * t1190 / 0.2e1 + t984 - t162 * t1194 / 0.2e1 - t162 * t1199 / 0.4e1 + t162 * t1202 / 0.2e1;
  t1206 = my_piecewise3(t3, 0, t1205);
  tv2lapl20 = 0.2e1 * rho[0] * t1206;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  t1208 = t95 * t230;
  t1209 = t306 * t1208;
  t1210 = t318 * t1209;
  t1213 = t548 * t1209;
  t1218 = t555 * t1209;
  t1223 = t160 * t1208;
  t1224 = t548 * t1223;
  t1229 = t63 * t230;
  t1230 = t145 * t1229;
  t1233 = t400 * t1229;
  t1237 = t409 * t1229;
  t1240 = t60 * t230;
  t1241 = t400 * t1240;
  t1244 = t145 * t1240;
  t1248 = t409 * t1240;
  t1250 = t943 - 0.2e1 * t877 * t1230 - t881 * t1233 / 0.3e1 - t263 * t1168 + 0.2e1 * t881 * t1237 + 0.2e1 / 0.3e1 * t881 * t1241 - t962 + t877 * t1244 + t263 * t1178 / 0.2e1 - t881 * t1248;
  t1251 = t59 * t1250;
  t1252 = t1251 * t96;
  t1259 = t372 * t230;
  t1260 = t371 * t1259;
  t1261 = t758 * t1260;
  t1264 = t137 * t230;
  t1265 = t135 * t1264;
  t1266 = t763 * t1265;
  t1269 = t767 * t1198;
  t1272 = t408 * t230;
  t1273 = t371 * t1272;
  t1274 = t758 * t1273;
  t1279 = t243 * t288;
  t1283 = t775 * t236 * t165;
  t1286 = -t913 + t785 * t1210 / 0.6e1 - t791 * t1213 / 0.12e2 + t259 * t1150 / 0.12e2 - t791 * t1218 / 0.6e1 - t259 * t686 / 0.12e2 + t791 * t1224 / 0.3e1 - t233 * t818 / 0.12e2 - t22 * t1252 / 0.4e1 + t823 * t248 / 0.4e1 + t719 * t274 / 0.4e1 - t509 * t1261 / 0.2e1 + t984 - t162 * t1266 / 0.2e1 - t162 * t1269 / 0.4e1 + t162 * t1274 / 0.2e1 - t233 * t777 / 0.12e2 - t22 * t1279 / 0.4e1 + t162 * t1283 / 0.4e1;
  t1287 = my_piecewise3(t3, 0, t1286);
  tv2lapltau0 = 0.2e1 * rho[0] * t1287;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  t1289 = t256 * t256;
  t1290 = t1289 * t326;
  t1291 = t109 * t1290;
  t1292 = t106 * t1291;
  t1295 = t1289 * t365;
  t1296 = t363 * t1295;
  t1297 = t106 * t1296;
  t1304 = 0.2e1 * t165 * t256 * t307 - 0.2e1 * t138 * t265;
  t1305 = t95 * t1304;
  t1306 = t306 * t1305;
  t1307 = t305 * t1306;
  t1318 = t108 * t1289;
  t1319 = t1318 * t327;
  t1322 = t362 * t1289;
  t1323 = t1322 * t398;
  t1326 = t63 * t1304;
  t1327 = t404 * t1326;
  t1331 = t1322 * t365;
  t1334 = t1318 * t326;
  t1336 = t60 * t1304;
  t1337 = t404 * t1336;
  t1341 = t943 - 0.2e1 * t1319 * t146 - t1323 * t401 / 0.3e1 - t263 * t1327 + 0.2e1 * t1323 * t410 + 0.2e1 / 0.3e1 * t1331 * t415 - t962 + t1334 * t150 + t263 * t1337 / 0.2e1 - t1331 * t428;
  t1342 = t59 * t1341;
  t1343 = t1342 * t96;
  t1348 = t269 * t288;
  t1351 = t510 * t1289;
  t1352 = t1351 * t512;
  t1356 = t775 * t262 * t165;
  t1360 = t163 * t1289 * t328;
  t1363 = t137 * t1304;
  t1364 = t303 * t1363;
  t1365 = t767 * t1364;
  t1368 = t1351 * t516;
  t1373 = t23 / t15 / t115;
  t1386 = 0.4e1 * t1373 * t173 - 0.2e2 * t1373 * t451 - 0.72e2 * t1373 * t458 - 0.8e1 * t1373 * t463 + 0.1e3 * t1373 * t468 + 0.6e2 * t1373 * t475;
  t1387 = t169 * t1386;
  t1388 = t65 * t1387;
  t1391 = -t913 + t1292 * t139 / 0.6e1 - t1297 * t374 / 0.12e2 + t259 * t1307 / 0.12e2 - t1297 * t497 / 0.6e1 - t259 * t818 / 0.6e1 + t1297 * t502 / 0.3e1 - t259 * t777 / 0.6e1 - t22 * t1343 / 0.4e1 + t823 * t274 / 0.2e1 - t22 * t1348 / 0.2e1 - t509 * t1352 / 0.2e1 + t162 * t1356 / 0.2e1 + t984 - t162 * t1360 / 0.2e1 - t162 * t1365 / 0.4e1 + t162 * t1368 / 0.2e1 - t22 * t1388 / 0.4e1;
  t1392 = my_piecewise3(t3, 0, t1391);
  tv2tau20 = 0.2e1 * rho[0] * t1392;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t18, t19, t20, t21, t22, t23;
  double t24, t25, t27, t30, t33, t34, t36, t40;
  double t43, t44, t47, t50, t53, t54, t55, t56;
  double t57, t59, t60, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t74, t75;
  double t76, t77, t78, t80, t81, t82, t83, t84;
  double t87, t88, t89, t91, t95, t96, t97, t100;
  double tzk0;

  double t102, t103, t106, t107, t108, t109, t110, t115;
  double t117, t118, t122, t123, t124, t125, t126, t127;
  double t129, t130, t131, t133, t134, t135, t136, t137;
  double t138, t139, t142, t143, t144, t145, t146, t148;
  double t149, t150, t153, t154, t155, t158, t159, t160;
  double t161, t162, t163, t165, t166, t169, t173, t174;
  double t175, t178, t181, t182, t185, t189, t190, t193;
  double t194, t195, t199, tvrho0, t202, t203, t205, t206;
  double t207, t208, t211, t212, t214, t217, t218, t219;
  double t223, t227, tvsigma0, t230, t231, t232, t233, t236;
  double t237, t239, t242, t243, t244, t248, t252, tvlapl0;
  double t256, t257, t258, t259, t262, t263, t265, t268;
  double t269, t270, t274, t287, t288, t289, t293, tvtau0;

  double t296, t298, t301, t302, t303, t304, t305, t306;
  double t307, t312, t313, t314, t315, t318, t319, t320;
  double t323, t325, t326, t327, t328, t329, t332, t334;
  double t335, t342, t344, t345, t349, t351, t354, t355;
  double t356, t359, t362, t363, t364, t365, t366, t367;
  double t368, t369, t370, t371, t372, t373, t374, t377;
  double t378, t379, t382, t383, t386, t387, t390, t391;
  double t393, t394, t397, t398, t399, t400, t401, t404;
  double t405, t406, t408, t409, t410, t413, t414, t415;
  double t418, t421, t423, t424, t427, t428, t430, t431;
  double t432, t437, t443, t444, t445, t447, t451, t452;
  double t455, t458, t463, t468, t474, t475, t480, t481;
  double t482, t485, t486, t491, t492, t493, t496, t497;
  double t500, t501, t502, t506, t507, t508, t509, t510;
  double t511, t512, t513, t516, t517, t520, t522, tv2rho20;
  double t525, t528, t530, t531, t532, t533, t536, t537;
  double t538, t539, t540, t541, t544, t545, t546, t547;
  double t548, t549, t554, t555, t556, t561, t562, t569;
  double t572, t573, t574, t576, t577, t578, t581, t582;
  double t583, t587, t590, t591, t594, t597, t601, t603;
  double t604, t605, t608, t609, t610, t613, t620, t621;
  double t622, t623, t627, t631, t634, t635, t636, t637;
  double t640, t641, t645, t646, t649, t651, tv2rhosigma0, t654;
  double t658, t659, t660, t661, t664, t665, t666, t669;
  double t670, t671, t686, t689, t690, t691, t693, t696;
  double t697, t705, t712, t713, t714, t717, t718, t719;
  double t722, t729, t730, t734, t738, t741, t742, t745;
  double t746, t749, t752, t754, tv2rholapl0, t757, t758, t759;
  double t762, t763, t764, t767, t768, t772, t775, t776;
  double t777, t781, t784, t785, t790, t791, t796, t803;
  double t806, t810, t811, t812, t813, t818, t821, t822;
  double t823, t829, t834, t837, t844, t845, t848, t869;
  double t870, t871, t874, t875, t877, t880, t881, t889;
  double t896, t897, t898, t903, t905, tv2rhotau0, t908, t909;
  double t910, t911, t913, t914, t915, t916, t917, t920;
  double t921, t922, t929, t930, t931, t932, t941, t942;
  double t943, t944, t945, t948, t949, t952, t953, t957;
  double t960, t962, t963, t965, t966, t970, t971, t972;
  double t977, t978, t982, t984, t986, t989, t990, t991;
  double t994, t997, t998, tv2sigma20, t1000, t1001, t1002, t1005;
  double t1010, t1015, t1016, t1021, t1022, t1025, t1029, t1032;
  double t1033, t1036, t1040, t1042, t1043, t1044, t1051, t1052;
  double t1053, t1056, t1057, t1058, t1061, t1064, t1065, t1066;
  double t1069, t1070, tv2sigmalapl0, t1099, t1100, t1101, t1108, t1111;
  double t1114, t1117, t1122, t1126, t1129, t1130, tv2sigmatau0, t1132;
  double t1133, t1134, t1135, t1138, t1139, t1140, t1147, t1148;
  double t1149, t1150, t1159, t1160, t1163, t1164, t1167, t1168;
  double t1172, t1175, t1177, t1178, t1182, t1183, t1184, t1189;
  double t1190, t1194, t1197, t1198, t1199, t1202, t1205, t1206;
  double tv2lapl20, t1208, t1209, t1210, t1213, t1218, t1223, t1224;
  double t1229, t1230, t1233, t1237, t1240, t1241, t1244, t1248;
  double t1250, t1251, t1252, t1259, t1260, t1261, t1264, t1265;
  double t1266, t1269, t1272, t1273, t1274, t1279, t1283, t1286;
  double t1287, tv2lapltau0, t1289, t1290, t1291, t1292, t1295, t1296;
  double t1297, t1304, t1305, t1306, t1307, t1318, t1319, t1322;
  double t1323, t1326, t1327, t1331, t1334, t1336, t1337, t1341;
  double t1342, t1343, t1348, t1351, t1352, t1356, t1360, t1363;
  double t1364, t1365, t1368, t1373, t1386, t1387, t1388, t1391;
  double t1392, tv2tau20;

  double t1395, t1396, t1397, t1398, t1399, t1400, t1403, t1404;
  double t1405, t1406, t1407, t1415, t1416, t1417, t1418, t1419;
  double t1420, t1421, t1427, t1432, t1433, t1436, t1439, t1440;
  double t1441, t1442, t1443, t1446, t1447, t1448, t1449, t1452;
  double t1455, t1456, t1463, t1464, t1467, t1468, t1472, t1473;
  double t1474, t1485, t1486, t1489, t1502, t1503, t1504, t1505;
  double t1512, t1514, t1521, t1523, t1524, t1525, t1528, t1531;
  double t1533, t1534, t1535, t1536, t1538, t1539, t1540, t1541;
  double t1542, t1545, t1546, t1547, t1557, t1558, t1562, t1564;
  double t1567, t1568, t1569, t1574, t1575, t1581, t1582, t1583;
  double t1584, t1587, t1588, t1591, t1594, t1596, t1599, t1600;
  double t1602, t1603, t1605, t1606, t1609, t1612, t1613, t1616;
  double t1617, t1621, t1622, t1625, t1628, t1629, t1634, t1636;
  double t1639, t1640, t1641, t1642, t1643, t1644, t1647, t1648;
  double t1655, t1657, t1662, t1663, t1666, t1669, t1670, t1671;
  double t1672, t1675, t1678, t1679, t1681, t1684, t1687, t1688;
  double t1689, t1694, t1697, t1698, t1699, t1700, t1703, t1704;
  double t1707, t1708, t1709, t1712, t1713, t1716, t1718, t1721;
  double t1728, t1733, t1734, t1735, t1738, t1739, t1740, t1741;
  double t1742, t1743, t1744, t1745, t1746, t1747, t1748, t1751;
  double t1752, t1753, t1756, t1757, t1758, t1763, t1766, t1770;
  double t1771, t1774, t1781, t1784, t1787, t1789, t1790, t1809;
  double t1810, t1811, t1812, t1821, t1824, t1827, t1830, t1833;
  double t1834, t1835, t1838, t1839, t1840, t1843, t1844, t1845;
  double t1846, t1849, t1850, t1853, t1854, t1857, t1858, t1863;
  double t1866, t1867, t1870, t1871, t1877, t1879, t1880, t1883;
  double t1884, t1885, t1888, t1893, t1894, t1896, t1899, t1900;
  double t1903, t1909, t1913, t1916, t1917, t1920, t1921, t1923;
  double t1928, t1931, t1936, t1939, t1940, t1941, t1942, t1945;
  double t1946, t1953, t1957, tv3rho30, t1961, t1962, t1963, t1964;
  double t1965, t1968, t1969, t1970, t1971, t1974, t1975, t1976;
  double t1978, t1979, t1982, t1983, t1984, t1987, t1990, t1993;
  double t1996, t1997, t2000, t2001, t2002, t2004, t2005, t2006;
  double t2009, t2010, t2011, t2012, t2014, t2015, t2017, t2018;
  double t2021, t2022, t2023, t2024, t2025, t2026, t2027, t2030;
  double t2031, t2034, t2038, t2039, t2040, t2041, t2042, t2043;
  double t2044, t2045, t2053, t2056, t2057, t2058, t2061, t2064;
  double t2067, t2068, t2069, t2071, t2072, t2073, t2075, t2076;
  double t2079, t2085, t2086, t2087, t2088, t2091, t2092, t2094;
  double t2095, t2098, t2099, t2100, t2105, t2110, t2111, t2114;
  double t2115, t2118, t2127, t2128, t2129, t2138, t2139, t2142;
  double t2143, t2146, t2149, t2156, t2157, t2158, t2161, t2162;
  double t2170, t2174, t2184, t2185, t2192, t2197, t2200, t2203;
  double t2204, t2205, t2208, t2209, t2210, t2213, t2214, t2217;
  double t2218, t2219, t2222, t2223, t2230, t2232, t2234, t2241;
  double t2242, t2243, t2248, t2253, t2256, t2258, t2261, t2262;
  double t2263, t2270, t2277, t2278, t2279, t2280, t2281, t2284;
  double t2285, t2286, t2289, t2291, t2292, t2297, t2298, t2299;
  double t2303, t2304, t2307, t2308, t2311, t2316, t2317, t2320;
  double t2323, t2324, t2327, t2330, t2331, t2332, t2335, t2338;
  double t2341, t2344, t2345, t2350, t2353, t2354, t2359, t2360;
  double t2366, t2370, t2374, t2377, t2380, t2382, t2385, t2388;
  double t2392, t2393, t2394, t2395, t2402, t2405, t2406, t2407;
  double t2410, t2415, t2417, t2418, t2423, t2425, t2428, t2431;
  double t2432, t2433, t2440, t2443, t2446, t2447, t2450, t2451;
  double t2452, t2459, t2460, t2463, t2467, tv3rho2sigma0, t2471, t2475;
  double t2476, t2478, t2485, t2490, t2491, t2494, t2496, t2497;
  double t2498, t2501, t2503, t2504, t2508, t2511, t2518, t2519;
  double t2520, t2527, t2528, t2529, t2544, t2546, t2547, t2548;
  double t2552, t2553, t2558, t2559, t2562, t2565, t2570, t2577;
  double t2578, t2584, t2585, t2586, t2587, t2600, t2610, t2614;
  double t2619, t2623, t2626, t2627, t2629, t2630, t2633, t2635;
  double t2654, t2661, t2662, t2665, t2668, t2675, t2678, t2679;
  double t2682, t2687, t2689, t2695, t2696, t2697, t2700, t2701;
  double t2708, t2720, t2725, t2726, t2733, t2736, t2749, t2771;
  double t2772, t2773, t2774, t2777, t2778, t2779, t2782, t2786;
  double t2787, t2790, t2793, t2805, t2814, t2815, t2816, t2821;
  double t2822, t2827, t2830, t2837, t2842, t2843, t2844, t2849;
  double t2852, t2855, t2856, t2859, t2860, t2861, t2866, t2870;
  double tv3rho2lapl0, t2874, t2880, t2885, t2887, t2891, t2896, t2897;
  double t2900, t2907, t2908, t2911, t2912, t2917, t2922, t2925;
  double t2926, t2927, t2934, t2935, t2936, t2943, t2944, t2946;
  double t2947, t2948, t2951, t2952, t2954, t2956, t2957, t2960;
  double t2961, t2966, t2967, t2968, t2971, t2972, t2977, t2981;
  double t2983, t2986, t2987, t2988, t2991, t2992, t2993, t2996;
  double t2997, t2998, t3005, t3006, t3007, t3026, t3030, t3031;
  double t3033, t3036, t3037, t3039, t3045, t3049, t3059, t3064;
  double t3065, t3070, t3076, t3078, t3081, t3082, t3083, t3084;
  double t3085, t3086, t3092, t3099, t3100, t3115, t3116, t3117;
  double t3138, t3141, t3142, t3143, t3146, t3153, t3156, t3159;
  double t3162, t3165, t3168, t3171, t3172, t3175, t3180, t3181;
  double t3184, t3187, t3192, t3197, t3200, t3205, t3206, t3207;
  double t3210, t3211, t3214, t3219, t3220, t3227, t3245, t3246;
  double t3271, t3281, t3282, t3283, t3284, t3295, t3298, t3300;
  double t3301, t3304, t3305, t3314, t3322, t3331, t3337, t3342;
  double t3347, t3350, t3351, t3352, t3361, t3364, t3365, t3366;
  double t3373, t3380, t3383, t3384, t3387, t3388, t3389, t3392;
  double t3396, tv3rho2tau0, t3399, t3400, t3401, t3404, t3405, t3406;
  double t3409, t3410, t3411, t3412, t3415, t3416, t3417, t3420;
  double t3421, t3424, t3425, t3428, t3429, t3432, t3435, t3436;
  double t3439, t3440, t3441, t3444, t3445, t3448, t3449, t3454;
  double t3460, t3463, t3466, t3473, t3478, t3481, t3482, t3483;
  double t3484, t3487, t3488, t3489, t3496, t3502, t3503, t3510;
  double t3515, t3517, t3518, t3519, t3520, t3522, t3523, t3524;
  double t3527, t3528, t3529, t3531, t3532, t3533, t3536, t3537;
  double t3539, t3540, t3544, t3545, t3547, t3549, t3553, t3554;
  double t3556, t3557, t3560, t3561, t3564, t3566, t3571, t3572;
  double t3573, t3574, t3575, t3576, t3579, t3582, t3583, t3584;
  double t3585, t3590, t3591, t3592, t3595, t3598, t3599, t3600;
  double t3601, t3604, t3607, t3608, t3609, t3610, t3611, t3612;
  double t3613, t3614, t3615, t3616, t3619, t3624, t3625, t3626;
  double t3627, t3630, t3631, t3632, t3636, t3637, t3639, t3640;
  double t3643, t3647, t3649, t3650, t3652, t3655, t3660, t3664;
  double t3667, t3672, t3675, t3676, t3679, t3682, t3683, t3688;
  double t3689, t3690, t3691, t3694, t3697, t3698, t3703, t3704;
  double t3705, t3713, t3715, t3716, t3717, t3720, t3721, t3724;
  double t3727, t3730, t3735, t3738, t3739, t3740, t3743, t3744;
  double t3745, t3746, t3747, t3748, t3749, t3751, t3755, t3756;
  double t3759, t3760, t3761, t3764, t3765, t3766, t3767, t3768;
  double t3769, t3770, t3771, t3780, t3781, t3782, t3783, t3784;
  double t3785, t3786, t3787, t3788, t3789, t3790, t3791, t3796;
  double t3803, t3804, t3807, t3810, t3811, t3818, t3820, t3821;
  double t3824, t3825, t3828, t3829, t3836, t3847, t3850, t3851;
  double t3852, t3855, t3866, t3867, t3868, t3869, t3880, t3883;
  double t3884, t3885, t3888, t3892, tv3rhosigma20, t3895, t3898, t3901;
  double t3912, t3915, t3920, t3923, t3928, t3933, t3934, t3935;
  double t3936, t3939, t3948, t3949, t3952, t3953, t3956, t3957;
  double t3958, t3961, t3962, t3965, t3966, t3971, t3974, t3975;
  double t3978, t3979, t3980, t3981, t3982, t3983, t3986, t3987;
  double t3990, t3992, t3993, t3996, t3997, t4000, t4002, t4003;
  double t4004, t4007, t4012, t4015, t4016, t4018, t4025, t4026;
  double t4033, t4034, t4039, t4054, t4057, t4060, t4073, t4076;
  double t4077, t4078, t4079, t4080, t4083, t4084, t4085, t4090;
  double t4095, t4100, t4101, t4104, t4105, t4106, t4109, t4114;
  double t4117, t4120, t4121, t4122, t4129, t4145, t4148, t4149;
  double t4159, t4162, t4165, t4168, t4174, t4177, t4179, t4183;
  double t4185, t4186, t4187, t4190, t4191, t4194, t4195, t4198;
  double t4201, t4202, t4203, t4206, t4209, t4212, t4219, t4222;
  double t4231, t4232, t4235, t4240, t4241, t4244, t4246, t4247;
  double t4250, t4251, t4254, t4255, t4258, t4259, t4262, t4265;
  double t4267, t4272, t4277, t4302, t4305, t4306, t4307, t4308;
  double t4335, t4339, tv3rhosigmalapl0, t4344, t4349, t4360, t4365, t4374;
  double t4395, t4420, t4426, t4428, t4429, t4430, t4433, t4434;
  double t4435, t4438, t4439, t4440, t4443, t4444, t4447, t4450;
  double t4451, t4452, t4479, t4482, t4489, t4492, t4503, t4510;
  double t4519, t4523, t4526, t4527, t4530, t4531, t4534, t4537;
  double t4540, t4543, t4546, t4557, t4560, t4565, t4566, t4569;
  double t4578, t4579, t4585, t4589, t4594, t4597, t4598, t4599;
  double t4602, t4605, t4606, t4609, t4612, t4613, t4640, t4649;
  double t4660, t4665, t4668, t4671, t4674, t4676, t4679, t4682;
  double t4685, t4688, t4689, t4692, t4700, t4720, t4721, t4722;
  double t4737, t4740, t4741, t4755, t4764, t4767, t4768, t4781;
  double t4785, tv3rhosigmatau0, t4788, t4789, t4790, t4793, t4794, t4795;
  double t4799, t4800, t4811, t4812, t4820, t4823, t4826, t4833;
  double t4838, t4841, t4842, t4843, t4844, t4853, t4854, t4855;
  double t4857, t4858, t4868, t4872, t4873, t4877, t4878, t4880;
  double t4881, t4884, t4885, t4886, t4888, t4889, t4892, t4902;
  double t4903, t4904, t4913, t4918, t4919, t4920, t4921, t4924;
  double t4925, t4926, t4929, t4942, t4943, t4944, t4951, t4962;
  double t4965, t4970, t4973, t4974, t4975, t4978, t4981, t4984;
  double t4985, t4988, t4989, t4992, t4993, t4996, t4997, t5000;
  double t5001, t5006, t5013, t5016, t5022, t5024, t5025, t5027;
  double t5028, t5030, t5031, t5040, t5048, t5051, t5057, t5058;
  double t5060, t5063, t5072, t5074, t5075, t5076, t5079, t5080;
  double t5083, t5084, t5087, t5088, t5091, t5094, t5095, t5096;
  double t5099, t5100, t5101, t5104, t5105, t5108, t5111, t5112;
  double t5121, t5123, t5126, t5133, t5142, t5151, t5152, t5157;
  double t5160, t5161, t5169, t5170, t5172, t5174, t5177, t5178;
  double t5182, t5187, t5191, tv3rholapl20, t5194, t5197, t5200, t5207;
  double t5208, t5229, t5238, t5241, t5242, t5245, t5246, t5249;
  double t5258, t5261, t5264, t5265, t5267, t5268, t5271, t5272;
  double t5277, t5286, t5288, t5291, t5292, t5317, t5320, t5325;
  double t5326, t5329, t5333, t5337, t5342, t5345, t5352, t5353;
  double t5372, t5373, t5376, t5377, t5380, t5387, t5388, t5391;
  double t5394, t5404, t5405, t5408, t5409, t5412, t5416, t5423;
  double t5428, t5429, t5432, t5435, t5441, t5447, t5448, t5449;
  double t5452, t5453, t5456, t5459, t5462, t5466, t5469, t5472;
  double t5479, t5486, t5497, t5499, t5500, t5501, t5508, t5511;
  double t5512, t5513, t5530, t5547, t5550, t5551, t5560, t5563;
  double t5573, t5574, t5577, t5578, t5579, t5582, t5585, t5588;
  double t5591, t5595, t5598, t5600, t5605, t5608, t5611, t5614;
  double t5616, t5619, t5620, t5621, t5622, t5625, t5626, t5629;
  double t5630, t5635, t5636, t5639, t5642, t5651, t5654, t5657;
  double t5660, t5667, t5671, tv3rholapltau0, t5682, t5683, t5695, t5696;
  double t5697, t5702, t5705, t5706, t5711, t5712, t5713, t5716;
  double t5717, t5719, t5720, t5721, t5724, t5725, t5726, t5729;
  double t5730, t5731, t5734, t5737, t5738, t5741, t5742, t5745;
  double t5748, t5749, t5750, t5760, t5761, t5763, t5764, t5768;
  double t5772, t5775, t5776, t5777, t5779, t5780, t5783, t5785;
  double t5786, t5788, t5789, t5802, t5803, t5804, t5808, t5813;
  double t5817, t5823, t5826, t5829, t5836, t5841, t5844, t5846;
  double t5847, t5850, t5852, t5853, t5855, t5856, t5860, t5863;
  double t5866, t5871, t5872, t5875, t5896, t5897, t5898, t5901;
  double t5904, t5909, t5910, t5911, t5918, t5920, t5923, t5926;
  double t5927, t5930, t5937, t5938, t5963, t5966, t5969, t5974;
  double t5983, t5984, t5985, t6002, t6007, t6017, t6018, t6021;
  double t6022, t6023, t6028, t6029, t6030, t6033, t6034, t6037;
  double t6040, t6043, t6044, t6048, t6049, t6051, t6052, t6055;
  double t6056, t6059, t6062, t6065, t6068, t6070, t6071, t6075;
  double t6078, t6087, t6091, t6095, t6096, t6102, t6109, t6114;
  double t6115, t6118, t6127, t6129, t6130, t6131, t6136, t6141;
  double t6152, t6153, t6155, t6157, t6158, t6159, t6162, t6163;
  double t6166, t6167, t6171, t6174, t6177, t6181, tv3rhotau20, t6184;
  double t6185, t6186, t6189, t6192, t6193, t6195, t6197, t6198;
  double t6201, t6202, t6203, t6206, t6212, t6216, t6224, t6231;
  double t6233, t6234, t6237, t6238, t6241, t6242, t6243, t6244;
  double t6249, t6250, t6251, t6252, t6259, t6260, t6261, t6266;
  double t6267, t6274, t6275, t6276, t6277, t6282, t6291, t6292;
  double t6296, t6297, t6300, t6304, t6307, t6312, t6315, t6316;
  double t6319, t6320, t6323, t6325, t6326, t6328, t6329, t6330;
  double t6331, t6332, t6333, t6334, t6337, t6340, t6341, t6344;
  double t6345, t6354, t6357, t6358, t6361, t6366, t6371, t6372;
  double t6375, t6376, t6377, t6378, t6379, t6384, t6387, t6388;
  double t6390, t6391, t6392, t6393, t6394, t6395, t6398, t6399;
  double t6400, t6401, t6402, t6403, t6404, t6405, t6406, t6407;
  double t6408, t6409, t6412, t6413, t6414, t6417, t6418, t6419;
  double t6422, t6423, t6424, t6425, t6428, t6429, t6432, t6433;
  double t6436, t6437, t6438, t6439, t6442, tv3sigma30, t6444, t6445;
  double t6446, t6449, t6450, t6451, t6454, t6455, t6456, t6460;
  double t6461, t6464, t6465, t6466, t6469, t6470, t6473, t6474;
  double t6477, t6481, t6482, t6483, t6484, t6485, t6488, t6489;
  double t6490, t6491, t6492, t6493, t6496, t6499, t6502, t6505;
  double t6509, t6510, t6513, t6516, t6518, t6519, t6522, t6525;
  double t6526, t6529, t6530, t6531, t6532, t6533, t6536, t6538;
  double t6541, t6542, t6543, t6544, t6545, t6546, t6547, t6552;
  double t6555, t6558, t6561, t6562, t6563, t6564, t6565, t6566;
  double t6567, t6568, t6569, t6570, t6587, t6588, t6589, t6596;
  double t6597, t6598, t6601, t6602, t6603, t6606, t6607, t6608;
  double t6609, t6610, t6611, t6614, t6615, t6616, t6617, t6624;
  double t6627, t6628, t6629, t6630, t6631, t6632, t6633, t6640;
  double t6641, t6644, t6645, t6646, t6647, t6648, t6651, t6654;
  double t6658, t6659, t6660, t6661, t6662, t6666, t6667, t6668;
  double t6669, t6670, t6674, t6675, t6678, t6679, t6684, t6687;
  double t6688, t6689, t6692, t6693, t6696, t6699, t6700, t6703;
  double t6704, t6706, t6709, t6710, t6712, t6713, t6714, t6715;
  double t6718, t6719, t6724, t6727, tv3sigma2lapl0, t6729, t6731, t6738;
  double t6745, t6746, t6750, t6753, t6756, t6759, t6768, t6771;
  double t6772, t6773, t6776, t6777, t6778, t6779, t6780, t6781;
  double t6783, t6784, t6785, t6786, t6787, t6788, t6794, t6795;
  double t6798, t6799, t6800, t6801, t6808, t6823, t6824, t6825;
  double t6826, t6829, t6832, t6843, t6844, t6845, t6853, t6859;
  double t6862, t6865, t6868, t6869, t6889, t6890, t6896, t6897;
  double t6898, t6899, t6900, t6914, t6915, t6916, t6917, t6920;
  double t6923, t6930, t6940, t6941, t6946, t6947, t6951, t6956;
  double t6957, t6964, t6968, tv3sigma2tau0, t6970, t6973, t6974, t6977;
  double t6978, t6979, t6982, t6983, t6986, t6987, t6992, t6993;
  double t6994, t6997, t7000, t7003, t7006, t7009, t7010, t7018;
  double t7019, t7020, t7037, t7039, t7040, t7043, t7044, t7046;
  double t7049, t7052, t7055, t7064, t7087, t7091, t7092, t7093;
  double t7094, t7095, t7096, t7097, t7098, t7099, t7100, t7103;
  double t7106, t7107, t7110, t7111, t7112, t7117, t7120, t7121;
  double t7122, t7129, t7130, t7131, t7134, t7135, t7136, t7139;
  double t7140, t7143, t7146, t7147, t7150, t7154, t7155, t7158;
  double t7161, t7162, t7165, t7166, t7167, t7173, t7174, t7175;
  double t7176, t7177, t7178, t7181, t7182, t7186, t7189, t7198;
  double t7201, t7202, t7204, t7209, t7211, t7212, t7214, t7215;
  double t7216, t7218, t7219, t7220, t7221, t7222, t7223, t7224;
  double t7227, t7228, t7231, t7234, t7237, t7238, t7239, t7240;
  double t7241, t7244, t7251, t7256, t7259, t7261, t7262, t7263;
  double t7266, t7267, t7268, t7269, t7270, t7274, tv3sigmalapl20, t7278;
  double t7281, t7284, t7285, t7286, t7291, t7294, t7295, t7297;
  double t7300, t7303, t7304, t7305, t7308, t7309, t7312, t7313;
  double t7315, t7318, t7320, t7321, t7324, t7325, t7328, t7329;
  double t7334, t7337, t7338, t7347, t7348, t7351, t7358, t7360;
  double t7363, t7364, t7367, t7368, t7371, t7376, t7383, t7392;
  double t7403, t7408, t7421, t7424, t7425, t7436, t7443, t7446;
  double t7447, t7450, t7453, t7458, t7461, t7464, t7465, t7468;
  double t7470, t7473, t7476, t7477, t7480, t7483, t7484, t7485;
  double t7488, t7491, t7495, t7504, t7507, t7510, t7517, t7518;
  double t7523, t7526, t7529, t7530, t7531, t7535, t7538, t7542;
  double t7543, t7546, t7549, t7554, t7557, t7562, t7563, t7564;
  double t7567, t7570, t7573, t7577, t7580, t7586, t7589, t7591;
  double t7592, t7593, t7596, t7600, tv3sigmalapltau0, t7610, t7611, t7612;
  double t7613, t7632, t7633, t7634, t7635, t7648, t7651, t7654;
  double t7657, t7660, t7677, t7683, t7684, t7685, t7686, t7687;
  double t7698, t7699, t7702, t7708, t7709, t7710, t7711, t7712;
  double t7713, t7714, t7716, t7728, t7729, t7730, t7732, t7733;
  double t7738, t7740, t7742, t7749, t7752, t7753, t7756, t7759;
  double t7761, t7762, t7763, t7771, t7772, t7773, t7774, t7789;
  double t7790, t7791, t7802, t7804, t7806, t7807, t7808, t7811;
  double t7812, t7815, t7816, t7817, t7818, t7821, t7823, t7826;
  double t7833, t7836, t7837, t7840, t7843, t7846, t7847, t7854;
  double t7855, t7856, t7857, t7860, t7862, t7865, t7868, t7869;
  double t7870, t7872, t7873, t7876, t7878, t7881, t7886, t7889;
  double t7890, t7906, t7909, t7913, tv3sigmatau20, t7917, t7918, t7926;
  double t7939, t7940, t7941, t7942, t7947, t7950, t7951, t7952;
  double t7955, t7958, t7959, t7962, t7963, t7966, t7968, t7969;
  double t7970, t7973, t7974, t7975, t7977, t7978, t7981, t7982;
  double t7983, t7986, t7987, t7988, t7989, t7990, t7991, t7992;
  double t7993, t7995, t7997, t7998, t7999, t8002, t8003, t8004;
  double t8008, t8009, t8010, t8019, t8028, t8033, t8034, t8035;
  double t8036, t8039, t8040, t8050, t8053, t8064, t8065, t8066;
  double t8067, t8068, t8071, t8073, t8074, t8076, t8077, t8080;
  double t8081, t8083, t8084, t8087, t8088, t8089, t8092, t8093;
  double t8096, t8097, t8098, t8107, t8108, t8113, t8116, t8119;
  double t8122, t8127, t8134, t8135, t8136, t8137, t8140, t8143;
  double tv3lapl30, t8147, t8148, t8151, t8154, t8157, t8161, t8164;
  double t8167, t8168, t8171, t8172, t8175, t8179, t8180, t8185;
  double t8188, t8189, t8192, t8194, t8197, t8200, t8203, t8206;
  double t8209, t8210, t8211, t8212, t8217, t8218, t8221, t8222;
  double t8225, t8228, t8229, t8230, t8233, t8236, t8246, t8254;
  double t8255, t8262, t8264, t8265, t8268, t8274, t8275, t8278;
  double t8279, t8282, t8283, t8284, t8287, t8288, t8289, t8292;
  double t8295, t8298, t8301, t8306, t8307, t8310, t8314, t8315;
  double t8318, t8319, t8320, t8324, t8329, t8333, t8334, t8337;
  double t8338, t8341, t8344, t8345, t8348, t8351, t8354, t8355;
  double t8359, t8381, t8384, t8387, t8388, t8390, t8393, t8394;
  double t8395, t8398, t8399, t8401, t8404, t8408, tv3lapl2tau0, t8412;
  double t8415, t8418, t8421, t8424, t8427, t8428, t8431, t8432;
  double t8435, t8436, t8439, t8440, t8445, t8446, t8447, t8448;
  double t8451, t8452, t8453, t8473, t8474, t8475, t8478, t8485;
  double t8490, t8500, t8503, t8506, t8507, t8509, t8510, t8517;
  double t8519, t8523, t8526, t8531, t8533, t8534, t8536, t8537;
  double t8538, t8541, t8542, t8545, t8548, t8551, t8553, t8554;
  double t8555, t8558, t8559, t8560, t8563, t8564, t8567, t8569;
  double t8571, t8574, t8575, t8576, t8581, t8586, t8603, t8608;
  double t8611, t8612, t8615, t8616, t8617, t8618, t8628, t8632;
  double t8633, t8636, t8638, t8641, t8646, t8649, t8651, t8654;
  double t8655, t8658, t8667, t8685, t8686, t8691, t8692, t8695;
  double t8696, t8697, t8700, t8703, t8706, t8707, t8710, t8711;
  double t8714, t8715, t8718, t8720, t8723, t8726, t8730, tv3lapltau20;
  double t8732, t8733, t8734, t8737, t8738, t8741, t8744, t8745;
  double t8749, t8751, t8752, t8756, t8759, t8760, t8761, t8764;
  double t8768, t8782, t8783, t8786, t8792, t8805, t8806, t8807;
  double t8808, t8813, t8818, t8821, t8822, t8825, t8826, t8827;
  double t8830, t8833, t8834, t8835, t8838, t8839, t8840, t8841;
  double t8844, t8845, t8847, t8848, t8853, t8854, t8857, t8860;
  double t8861, t8866, t8873, t8876, t8877, t8878, t8879, t8880;
  double t8881, t8882, t8883, t8886, t8895, t8900, t8902, t8903;
  double t8905, t8906, t8909, t8910, t8911, t8912, t8915, t8916;
  double t8917, t8918, t8919, t8921, t8922, t8923, t8924, t8925;
  double t8926, t8938, t8939, t8942, t8945, t8946, t8947, t8953;
  double t8954, t8957, t8962, t8973, t8974, t8975, t8979, t8982;
  double t8991, t8992, t8993, t8994, t8997, t9010, t9011, t9012;
  double t9015, t9018, t9019, t9022, tv3tau30;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = POW_1_3(p->zeta_threshold);
  t12 = POW_1_3(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = POW_1_3(rho[0]);
  t16 = t14 * t15;
  t18 = POW_1_3(0.1e1 / M_PI);
  t19 = 0.1e1 / t18;
  t20 = M_CBRT4;
  t21 = t19 * t20;
  t22 = t16 * t21;
  t23 = M_CBRT2;
  t24 = t23 * t23;
  t25 = t15 * t15;
  t27 = 0.1e1 / t25 / rho[0];
  t30 = params->gamma * tau[0];
  t33 = params->gamma * sigma[0];
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t25 / t34;
  t40 = fabs(lapl[0] * t27 / 0.2e1 - 0.2e1 * t30 * t27 + t33 * t36 / 0.4e1);
  t43 = t24 * t40 / 0.3e1 < 0.5e-12;
  t44 = lapl[0] * t24;
  t47 = t24 * t27;
  t50 = t24 * t36;
  t53 = t44 * t27 / 0.6e1 - 0.2e1 / 0.3e1 * t30 * t47 + t33 * t50 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t43, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t24;
  t75 = t74 * t27;
  t76 = t73 - t75;
  t77 = t73 + t75;
  t78 = 0.1e1 / t77;
  t80 = t76 * t76;
  t81 = t80 * t76;
  t82 = t77 * t77;
  t83 = t82 * t77;
  t84 = 0.1e1 / t83;
  t87 = t80 * t80;
  t88 = t87 * t76;
  t89 = t82 * t82;
  t91 = 0.1e1 / t89 / t77;
  t95 = 0.1e1 + params->at * (t76 * t78 - 0.2e1 * t81 * t84 + t88 * t91);
  t96 = t66 * t95;
  t97 = t65 * t96;
  t100 = my_piecewise3(t3, 0, -t22 * t97 / 0.4e1);
  tzk0 = 0.2e1 * t100;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t102 = t14 / t25;
  t103 = t102 * t21;
  t106 = t16 * t19;
  t107 = M_CBRTPI;
  t108 = t107 * t107;
  t109 = t20 * t108;
  t110 = my_piecewise3(t54, 0, 0);
  t115 = t34 * rho[0];
  t117 = 0.1e1 / t25 / t115;
  t118 = t24 * t117;
  t122 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t44 * t36 + 0.1e2 / 0.9e1 * t30 * t50 - 0.2e1 / 0.9e1 * t33 * t118);
  t123 = t56 * t56;
  t124 = 0.1e1 / t123;
  t125 = t122 * t124;
  t126 = t109 * t125;
  t127 = t106 * t126;
  t129 = exp(-0.2e1 / 0.3e1 * t57);
  t130 = 0.1e1 / t129;
  t131 = t57 * t57;
  t133 = t131 - 0.2e1 * t57 + 0.3e1;
  t134 = 0.1e1 / t133;
  t135 = t130 * t134;
  t136 = t57 - 0.2e1;
  t137 = t136 * t136;
  t138 = t135 * t137;
  t139 = t138 * t97;
  t142 = t108 * t122;
  t143 = t124 * t130;
  t144 = t142 * t143;
  t145 = t134 * t137;
  t146 = t145 * t63;
  t148 = t142 * t124;
  t149 = t137 * t60;
  t150 = t135 * t149;
  t153 = t144 * t146 - t148 * t150 / 0.2e1;
  t154 = t59 * t153;
  t155 = t154 * t96;
  t158 = t20 * t59;
  t159 = 0.1e1 / t131;
  t160 = t64 * t159;
  t161 = t158 * t160;
  t162 = t106 * t161;
  t163 = t95 * t108;
  t165 = t143 * t145;
  t166 = t163 * t122 * t165;
  t169 = t66 * params->at;
  t173 = 0.1e1 / t82;
  t174 = t76 * t173;
  t175 = t74 * t36;
  t178 = t80 * t84;
  t181 = 0.1e1 / t89;
  t182 = t81 * t181;
  t185 = t87 * t91;
  t189 = 0.1e1 / t89 / t82;
  t190 = t88 * t189;
  t193 = 0.5e1 / 0.3e1 * t74 * t36 * t78 + 0.5e1 / 0.3e1 * t174 * t175 - 0.1e2 * t178 * t175 - 0.1e2 * t182 * t175 + 0.25e2 / 0.3e1 * t185 * t175 + 0.25e2 / 0.3e1 * t190 * t175;
  t194 = t169 * t193;
  t195 = t65 * t194;
  t199 = my_piecewise3(t3, 0, -t103 * t97 / 0.12e2 - t127 * t139 / 0.12e2 - t22 * t155 / 0.4e1 + t162 * t166 / 0.4e1 - t22 * t195 / 0.4e1);
  tvrho0 = 0.2e1 * rho[0] * t199 + 0.2e1 * t100;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t202 = params->gamma * t24;
  t203 = t202 * t36;
  t205 = my_piecewise3(t43, t110, t203 / 0.12e2);
  t206 = t205 * t124;
  t207 = t109 * t206;
  t208 = t106 * t207;
  t211 = t108 * t205;
  t212 = t211 * t143;
  t214 = t211 * t124;
  t217 = t212 * t146 - t214 * t150 / 0.2e1;
  t218 = t59 * t217;
  t219 = t218 * t96;
  t223 = t163 * t205 * t165;
  t227 = my_piecewise3(t3, 0, -t208 * t139 / 0.12e2 - t22 * t219 / 0.4e1 + t162 * t223 / 0.4e1);
  tvsigma0 = 0.2e1 * rho[0] * t227;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t230 = my_piecewise3(t43, t110, t47 / 0.6e1);
  t231 = t230 * t124;
  t232 = t109 * t231;
  t233 = t106 * t232;
  t236 = t108 * t230;
  t237 = t236 * t143;
  t239 = t236 * t124;
  t242 = t237 * t146 - t239 * t150 / 0.2e1;
  t243 = t59 * t242;
  t244 = t243 * t96;
  t248 = t163 * t230 * t165;
  t252 = my_piecewise3(t3, 0, -t233 * t139 / 0.12e2 - t22 * t244 / 0.4e1 + t162 * t248 / 0.4e1);
  tvlapl0 = 0.2e1 * rho[0] * t252;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t256 = my_piecewise3(t43, t110, -0.2e1 / 0.3e1 * t202 * t27);
  t257 = t256 * t124;
  t258 = t109 * t257;
  t259 = t106 * t258;
  t262 = t108 * t256;
  t263 = t262 * t143;
  t265 = t262 * t124;
  t268 = t263 * t146 - t265 * t150 / 0.2e1;
  t269 = t59 * t268;
  t270 = t269 * t96;
  t274 = t163 * t256 * t165;
  t287 = -t174 * t47 + 0.6e1 * t178 * t47 + 0.6e1 * t182 * t47 - 0.5e1 * t185 * t47 - 0.5e1 * t190 * t47 - t47 * t78;
  t288 = t169 * t287;
  t289 = t65 * t288;
  t293 = my_piecewise3(t3, 0, -t259 * t139 / 0.12e2 - t22 * t270 / 0.4e1 + t162 * t274 / 0.4e1 - t22 * t289 / 0.4e1);
  tvtau0 = 0.2e1 * rho[0] * t293;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t296 = params->at * t193;
  t298 = t296 * t142 * t165;
  t301 = t133 * t133;
  t302 = 0.1e1 / t301;
  t303 = t130 * t302;
  t304 = t137 * t59;
  t305 = t303 * t304;
  t306 = t64 * t66;
  t307 = t57 * t108;
  t312 = 0.2e1 * t122 * t165 * t307 - 0.2e1 * t138 * t148;
  t313 = t95 * t312;
  t314 = t306 * t313;
  t315 = t305 * t314;
  t318 = t135 * t304;
  t319 = t306 * t296;
  t320 = t318 * t319;
  t323 = t122 * t122;
  t325 = t123 * t56;
  t326 = 0.1e1 / t325;
  t327 = t326 * t130;
  t328 = t327 * t145;
  t329 = t163 * t323 * t328;
  t332 = t163 * t125;
  t334 = t303 * t137 * t312;
  t335 = t332 * t334;
  t342 = t34 * t34;
  t344 = 0.1e1 / t25 / t342;
  t345 = t24 * t344;
  t349 = my_piecewise3(t43, t110, 0.2e2 / 0.27e2 * t44 * t117 - 0.8e2 / 0.27e2 * t30 * t118 + 0.22e2 / 0.27e2 * t33 * t345);
  t351 = t163 * t349 * t165;
  t354 = t349 * t124;
  t355 = t109 * t354;
  t356 = t106 * t355;
  t359 = t138 * t155;
  t362 = t107 * M_PI;
  t363 = t20 * t362;
  t364 = t123 * t123;
  t365 = 0.1e1 / t364;
  t366 = t323 * t365;
  t367 = t363 * t366;
  t368 = t106 * t367;
  t369 = t129 * t129;
  t370 = 0.1e1 / t369;
  t371 = t370 * t302;
  t372 = t137 * t137;
  t373 = t371 * t372;
  t374 = t373 * t97;
  t377 = t153 * t159;
  t378 = t158 * t377;
  t379 = t106 * t378;
  t382 = t102 * t19;
  t383 = t382 * t126;
  t386 = t162 * t298 / 0.2e1 + t127 * t315 / 0.12e2 - t127 * t320 / 0.6e1 - t162 * t329 / 0.2e1 - t162 * t335 / 0.4e1 + t162 * t351 / 0.4e1 - t356 * t139 / 0.12e2 - t127 * t359 / 0.6e1 - t368 * t374 / 0.12e2 + t379 * t166 / 0.2e1 - t383 * t139 / 0.18e2;
  t387 = t382 * t161;
  t390 = t108 * t349;
  t391 = t390 * t143;
  t393 = t108 * t323;
  t394 = t393 * t327;
  t397 = t362 * t323;
  t398 = t365 * t370;
  t399 = t397 * t398;
  t400 = t302 * t372;
  t401 = t400 * t63;
  t404 = t302 * t137;
  t405 = t63 * t312;
  t406 = t404 * t405;
  t408 = t137 * t136;
  t409 = t302 * t408;
  t410 = t409 * t63;
  t413 = t397 * t365;
  t414 = t372 * t60;
  t415 = t371 * t414;
  t418 = t390 * t124;
  t421 = t393 * t326;
  t423 = t60 * t312;
  t424 = t404 * t423;
  t427 = t408 * t60;
  t428 = t371 * t427;
  t430 = t391 * t146 - 0.2e1 * t394 * t146 - t399 * t401 / 0.3e1 - t144 * t406 + 0.2e1 * t399 * t410 + 0.2e1 / 0.3e1 * t413 * t415 - t418 * t150 / 0.2e1 + t421 * t150 + t144 * t424 / 0.2e1 - t413 * t428;
  t431 = t59 * t430;
  t432 = t431 * t96;
  t437 = t154 * t194;
  t443 = tau[0] * tau[0];
  t444 = t443 * t23;
  t445 = t342 * rho[0];
  t447 = 0.1e1 / t15 / t445;
  t451 = t76 * t84;
  t452 = t444 * t447;
  t455 = t74 * t117;
  t458 = t80 * t181;
  t463 = t81 * t91;
  t468 = t87 * t189;
  t474 = 0.1e1 / t89 / t83;
  t475 = t88 * t474;
  t480 = -0.4e2 / 0.9e1 * t74 * t117 * t78 + 0.1e3 / 0.9e1 * t444 * t447 * t173 - 0.5e3 / 0.9e1 * t451 * t452 - 0.4e2 / 0.9e1 * t174 * t455 - 0.2e3 * t458 * t452 + 0.8e2 / 0.3e1 * t178 * t455 - 0.2e3 / 0.9e1 * t463 * t452 + 0.8e2 / 0.3e1 * t182 * t455 + 0.25e4 / 0.9e1 * t468 * t452 - 0.2e3 / 0.9e1 * t185 * t455 + 0.5e3 / 0.3e1 * t475 * t452 - 0.2e3 / 0.9e1 * t190 * t455;
  t481 = t169 * t480;
  t482 = t65 * t481;
  t485 = t14 * t27;
  t486 = t485 * t21;
  t491 = t323 * t326;
  t492 = t109 * t491;
  t493 = t106 * t492;
  t496 = t371 * t408;
  t497 = t496 * t97;
  t500 = t159 * t95;
  t501 = t65 * t500;
  t502 = t373 * t501;
  t506 = 0.1e1 / t131 / t57;
  t507 = t64 * t506;
  t508 = t158 * t507;
  t509 = t106 * t508;
  t510 = t95 * t362;
  t511 = t510 * t323;
  t512 = t398 * t400;
  t513 = t511 * t512;
  t516 = t398 * t409;
  t517 = t511 * t516;
  t520 = t387 * t166 / 0.6e1 - t22 * t432 / 0.4e1 - t103 * t155 / 0.6e1 - t22 * t437 / 0.2e1 - t22 * t482 / 0.4e1 + t486 * t97 / 0.18e2 - t103 * t195 / 0.6e1 + t493 * t139 / 0.6e1 - t368 * t497 / 0.6e1 + t368 * t502 / 0.3e1 - t509 * t513 / 0.2e1 + t162 * t517 / 0.2e1;
  t522 = my_piecewise3(t3, 0, t386 + t520);
  tv2rho20 = 0.2e1 * rho[0] * t522 + 0.4e1 * t199;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t525 = t382 * t207;
  t528 = t202 * t117;
  t530 = my_piecewise3(t43, t110, -0.2e1 / 0.9e1 * t528);
  t531 = t530 * t124;
  t532 = t109 * t531;
  t533 = t106 * t532;
  t536 = t205 * t326;
  t537 = t109 * t536;
  t538 = t106 * t537;
  t539 = t95 * t122;
  t540 = t306 * t539;
  t541 = t318 * t540;
  t544 = t205 * t365;
  t545 = t363 * t544;
  t546 = t106 * t545;
  t547 = t372 * t59;
  t548 = t371 * t547;
  t549 = t548 * t540;
  t554 = t408 * t59;
  t555 = t371 * t554;
  t556 = t555 * t540;
  t561 = t160 * t539;
  t562 = t548 * t561;
  t569 = t138 * t219;
  t572 = -t525 * t139 / 0.36e2 - t533 * t139 / 0.12e2 + t538 * t541 / 0.6e1 - t546 * t549 / 0.12e2 + t208 * t315 / 0.12e2 - t546 * t556 / 0.6e1 - t208 * t359 / 0.12e2 + t546 * t562 / 0.3e1 - t208 * t320 / 0.12e2 - t103 * t219 / 0.12e2 - t127 * t569 / 0.12e2;
  t573 = t108 * t530;
  t574 = t573 * t143;
  t576 = t211 * t327;
  t577 = t63 * t122;
  t578 = t145 * t577;
  t581 = t362 * t205;
  t582 = t581 * t398;
  t583 = t400 * t577;
  t587 = t409 * t577;
  t590 = t60 * t122;
  t591 = t400 * t590;
  t594 = t573 * t124;
  t597 = t145 * t590;
  t601 = t409 * t590;
  t603 = t574 * t146 - 0.2e1 * t576 * t578 - t582 * t583 / 0.3e1 - t212 * t406 + 0.2e1 * t582 * t587 + 0.2e1 / 0.3e1 * t582 * t591 - t594 * t150 / 0.2e1 + t576 * t597 + t212 * t424 / 0.2e1 - t582 * t601;
  t604 = t59 * t603;
  t605 = t604 * t96;
  t608 = t217 * t159;
  t609 = t158 * t608;
  t610 = t106 * t609;
  t613 = t218 * t194;
  t620 = t510 * t544;
  t621 = t372 * t122;
  t622 = t371 * t621;
  t623 = t620 * t622;
  t627 = t296 * t211 * t165;
  t631 = t163 * t530 * t165;
  t634 = t163 * t536;
  t635 = t137 * t122;
  t636 = t135 * t635;
  t637 = t634 * t636;
  t640 = t163 * t206;
  t641 = t640 * t334;
  t645 = t371 * t408 * t122;
  t646 = t620 * t645;
  t649 = -t22 * t605 / 0.4e1 + t610 * t166 / 0.4e1 - t22 * t613 / 0.4e1 + t387 * t223 / 0.12e2 + t379 * t223 / 0.4e1 - t509 * t623 / 0.2e1 + t162 * t627 / 0.4e1 + t162 * t631 / 0.4e1 - t162 * t637 / 0.2e1 - t162 * t641 / 0.4e1 + t162 * t646 / 0.2e1;
  t651 = my_piecewise3(t3, 0, t572 + t649);
  tv2rhosigma0 = 0.2e1 * rho[0] * t651 + 0.2e1 * t227;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t654 = t382 * t232;
  t658 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t50);
  t659 = t658 * t124;
  t660 = t109 * t659;
  t661 = t106 * t660;
  t664 = t230 * t326;
  t665 = t109 * t664;
  t666 = t106 * t665;
  t669 = t230 * t365;
  t670 = t363 * t669;
  t671 = t106 * t670;
  t686 = t138 * t244;
  t689 = -t654 * t139 / 0.36e2 - t661 * t139 / 0.12e2 + t666 * t541 / 0.6e1 - t671 * t549 / 0.12e2 + t233 * t315 / 0.12e2 - t671 * t556 / 0.6e1 - t233 * t359 / 0.12e2 + t671 * t562 / 0.3e1 - t233 * t320 / 0.12e2 - t103 * t244 / 0.12e2 - t127 * t686 / 0.12e2;
  t690 = t108 * t658;
  t691 = t690 * t143;
  t693 = t236 * t327;
  t696 = t362 * t230;
  t697 = t696 * t398;
  t705 = t690 * t124;
  t712 = t691 * t146 - 0.2e1 * t693 * t578 - t697 * t583 / 0.3e1 - t237 * t406 + 0.2e1 * t697 * t587 + 0.2e1 / 0.3e1 * t697 * t591 - t705 * t150 / 0.2e1 + t693 * t597 + t237 * t424 / 0.2e1 - t697 * t601;
  t713 = t59 * t712;
  t714 = t713 * t96;
  t717 = t242 * t159;
  t718 = t158 * t717;
  t719 = t106 * t718;
  t722 = t243 * t194;
  t729 = t510 * t669;
  t730 = t729 * t622;
  t734 = t296 * t236 * t165;
  t738 = t163 * t658 * t165;
  t741 = t163 * t664;
  t742 = t741 * t636;
  t745 = t163 * t231;
  t746 = t745 * t334;
  t749 = t729 * t645;
  t752 = -t22 * t714 / 0.4e1 + t719 * t166 / 0.4e1 - t22 * t722 / 0.4e1 + t387 * t248 / 0.12e2 + t379 * t248 / 0.4e1 - t509 * t730 / 0.2e1 + t162 * t734 / 0.4e1 + t162 * t738 / 0.4e1 - t162 * t742 / 0.2e1 - t162 * t746 / 0.4e1 + t162 * t749 / 0.2e1;
  t754 = my_piecewise3(t3, 0, t689 + t752);
  tv2rholapl0 = 0.2e1 * rho[0] * t754 + 0.2e1 * t252;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t757 = t256 * t365;
  t758 = t510 * t757;
  t759 = t758 * t622;
  t762 = t256 * t326;
  t763 = t163 * t762;
  t764 = t763 * t636;
  t767 = t163 * t257;
  t768 = t767 * t334;
  t772 = t296 * t262 * t165;
  t775 = params->at * t287;
  t776 = t306 * t775;
  t777 = t318 * t776;
  t781 = t775 * t142 * t165;
  t784 = t109 * t762;
  t785 = t106 * t784;
  t790 = t363 * t757;
  t791 = t106 * t790;
  t796 = t758 * t645;
  t803 = -t509 * t759 / 0.2e1 - t162 * t764 / 0.2e1 - t162 * t768 / 0.4e1 + t162 * t772 / 0.4e1 - t127 * t777 / 0.12e2 + t162 * t781 / 0.4e1 + t785 * t541 / 0.6e1 + t259 * t315 / 0.12e2 - t791 * t549 / 0.12e2 - t259 * t320 / 0.12e2 + t162 * t796 / 0.2e1 - t791 * t556 / 0.6e1 + t791 * t562 / 0.3e1;
  t806 = t382 * t258;
  t810 = my_piecewise3(t43, t110, 0.1e2 / 0.9e1 * t203);
  t811 = t810 * t124;
  t812 = t109 * t811;
  t813 = t106 * t812;
  t818 = t138 * t270;
  t821 = t268 * t159;
  t822 = t158 * t821;
  t823 = t106 * t822;
  t829 = t163 * t810 * t165;
  t834 = t269 * t194;
  t837 = t154 * t288;
  t844 = t23 / t15 / t342;
  t845 = t173 * tau[0];
  t848 = t844 * tau[0];
  t869 = 0.5e1 / 0.3e1 * t50 * t78 - 0.2e2 / 0.3e1 * t844 * t845 + 0.1e3 / 0.3e1 * t451 * t848 + 0.5e1 / 0.3e1 * t174 * t50 + 0.12e3 * t458 * t848 - 0.1e2 * t178 * t50 + 0.4e2 / 0.3e1 * t463 * t848 - 0.1e2 * t182 * t50 - 0.5e3 / 0.3e1 * t468 * t848 + 0.25e2 / 0.3e1 * t185 * t50 - 0.1e3 * t475 * t848 + 0.25e2 / 0.3e1 * t190 * t50;
  t870 = t169 * t869;
  t871 = t65 * t870;
  t874 = t108 * t810;
  t875 = t874 * t143;
  t877 = t262 * t327;
  t880 = t362 * t256;
  t881 = t880 * t398;
  t889 = t874 * t124;
  t896 = t875 * t146 - 0.2e1 * t877 * t578 - t881 * t583 / 0.3e1 - t263 * t406 + 0.2e1 * t881 * t587 + 0.2e1 / 0.3e1 * t881 * t591 - t889 * t150 / 0.2e1 + t877 * t597 + t263 * t424 / 0.2e1 - t881 * t601;
  t897 = t59 * t896;
  t898 = t897 * t96;
  t903 = t387 * t274 / 0.12e2 - t806 * t139 / 0.36e2 - t813 * t139 / 0.12e2 - t259 * t359 / 0.12e2 - t127 * t818 / 0.12e2 + t823 * t166 / 0.4e1 + t379 * t274 / 0.4e1 + t162 * t829 / 0.4e1 - t103 * t289 / 0.12e2 - t22 * t834 / 0.4e1 - t22 * t837 / 0.4e1 - t22 * t871 / 0.4e1 - t22 * t898 / 0.4e1 - t103 * t270 / 0.12e2;
  t905 = my_piecewise3(t3, 0, t803 + t903);
  tv2rhotau0 = 0.2e1 * rho[0] * t905 + 0.2e1 * t293;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t908 = my_piecewise3(t43, t110, 0);
  t909 = t908 * t124;
  t910 = t109 * t909;
  t911 = t106 * t910;
  t913 = t911 * t139 / 0.12e2;
  t914 = t205 * t205;
  t915 = t914 * t326;
  t916 = t109 * t915;
  t917 = t106 * t916;
  t920 = t914 * t365;
  t921 = t363 * t920;
  t922 = t106 * t921;
  t929 = 0.2e1 * t165 * t205 * t307 - 0.2e1 * t138 * t214;
  t930 = t95 * t929;
  t931 = t306 * t930;
  t932 = t305 * t931;
  t941 = t108 * t908;
  t942 = t941 * t143;
  t943 = t942 * t146;
  t944 = t108 * t914;
  t945 = t944 * t327;
  t948 = t362 * t914;
  t949 = t948 * t398;
  t952 = t63 * t929;
  t953 = t404 * t952;
  t957 = t948 * t365;
  t960 = t941 * t124;
  t962 = t960 * t150 / 0.2e1;
  t963 = t944 * t326;
  t965 = t60 * t929;
  t966 = t404 * t965;
  t970 = t943 - 0.2e1 * t945 * t146 - t949 * t401 / 0.3e1 - t212 * t953 + 0.2e1 * t949 * t410 + 0.2e1 / 0.3e1 * t957 * t415 - t962 + t963 * t150 + t212 * t966 / 0.2e1 - t957 * t428;
  t971 = t59 * t970;
  t972 = t971 * t96;
  t977 = t510 * t914;
  t978 = t977 * t512;
  t982 = t163 * t908 * t165;
  t984 = t162 * t982 / 0.4e1;
  t986 = t163 * t914 * t328;
  t989 = t137 * t929;
  t990 = t303 * t989;
  t991 = t640 * t990;
  t994 = t977 * t516;
  t997 = -t913 + t917 * t139 / 0.6e1 - t922 * t374 / 0.12e2 + t208 * t932 / 0.12e2 - t922 * t497 / 0.6e1 - t208 * t569 / 0.6e1 + t922 * t502 / 0.3e1 - t22 * t972 / 0.4e1 + t610 * t223 / 0.2e1 - t509 * t978 / 0.2e1 + t984 - t162 * t986 / 0.2e1 - t162 * t991 / 0.4e1 + t162 * t994 / 0.2e1;
  t998 = my_piecewise3(t3, 0, t997);
  tv2sigma20 = 0.2e1 * rho[0] * t998;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t1000 = t95 * t205;
  t1001 = t306 * t1000;
  t1002 = t318 * t1001;
  t1005 = t548 * t1001;
  t1010 = t555 * t1001;
  t1015 = t160 * t1000;
  t1016 = t548 * t1015;
  t1021 = t63 * t205;
  t1022 = t145 * t1021;
  t1025 = t400 * t1021;
  t1029 = t409 * t1021;
  t1032 = t60 * t205;
  t1033 = t400 * t1032;
  t1036 = t145 * t1032;
  t1040 = t409 * t1032;
  t1042 = t943 - 0.2e1 * t693 * t1022 - t697 * t1025 / 0.3e1 - t237 * t953 + 0.2e1 * t697 * t1029 + 0.2e1 / 0.3e1 * t697 * t1033 - t962 + t693 * t1036 + t237 * t966 / 0.2e1 - t697 * t1040;
  t1043 = t59 * t1042;
  t1044 = t1043 * t96;
  t1051 = t372 * t205;
  t1052 = t371 * t1051;
  t1053 = t729 * t1052;
  t1056 = t137 * t205;
  t1057 = t135 * t1056;
  t1058 = t741 * t1057;
  t1061 = t745 * t990;
  t1064 = t408 * t205;
  t1065 = t371 * t1064;
  t1066 = t729 * t1065;
  t1069 = -t913 + t666 * t1002 / 0.6e1 - t671 * t1005 / 0.12e2 + t233 * t932 / 0.12e2 - t671 * t1010 / 0.6e1 - t233 * t569 / 0.12e2 + t671 * t1016 / 0.3e1 - t208 * t686 / 0.12e2 - t22 * t1044 / 0.4e1 + t719 * t223 / 0.4e1 + t610 * t248 / 0.4e1 - t509 * t1053 / 0.2e1 + t984 - t162 * t1058 / 0.2e1 - t162 * t1061 / 0.4e1 + t162 * t1066 / 0.2e1;
  t1070 = my_piecewise3(t3, 0, t1069);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t1070;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  t1099 = t943 - 0.2e1 * t877 * t1022 - t881 * t1025 / 0.3e1 - t263 * t953 + 0.2e1 * t881 * t1029 + 0.2e1 / 0.3e1 * t881 * t1033 - t962 + t877 * t1036 + t263 * t966 / 0.2e1 - t881 * t1040;
  t1100 = t59 * t1099;
  t1101 = t1100 * t96;
  t1108 = t758 * t1052;
  t1111 = t763 * t1057;
  t1114 = t767 * t990;
  t1117 = t758 * t1065;
  t1122 = t218 * t288;
  t1126 = t775 * t211 * t165;
  t1129 = -t913 + t785 * t1002 / 0.6e1 - t791 * t1005 / 0.12e2 + t259 * t932 / 0.12e2 - t791 * t1010 / 0.6e1 - t259 * t569 / 0.12e2 + t791 * t1016 / 0.3e1 - t208 * t818 / 0.12e2 - t22 * t1101 / 0.4e1 + t823 * t223 / 0.4e1 + t610 * t274 / 0.4e1 - t509 * t1108 / 0.2e1 + t984 - t162 * t1111 / 0.2e1 - t162 * t1114 / 0.4e1 + t162 * t1117 / 0.2e1 - t208 * t777 / 0.12e2 - t22 * t1122 / 0.4e1 + t162 * t1126 / 0.4e1;
  t1130 = my_piecewise3(t3, 0, t1129);
  tv2sigmatau0 = 0.2e1 * rho[0] * t1130;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t1132 = t230 * t230;
  t1133 = t1132 * t326;
  t1134 = t109 * t1133;
  t1135 = t106 * t1134;
  t1138 = t1132 * t365;
  t1139 = t363 * t1138;
  t1140 = t106 * t1139;
  t1147 = 0.2e1 * t165 * t230 * t307 - 0.2e1 * t138 * t239;
  t1148 = t95 * t1147;
  t1149 = t306 * t1148;
  t1150 = t305 * t1149;
  t1159 = t108 * t1132;
  t1160 = t1159 * t327;
  t1163 = t362 * t1132;
  t1164 = t1163 * t398;
  t1167 = t63 * t1147;
  t1168 = t404 * t1167;
  t1172 = t1163 * t365;
  t1175 = t1159 * t326;
  t1177 = t60 * t1147;
  t1178 = t404 * t1177;
  t1182 = t943 - 0.2e1 * t1160 * t146 - t1164 * t401 / 0.3e1 - t237 * t1168 + 0.2e1 * t1164 * t410 + 0.2e1 / 0.3e1 * t1172 * t415 - t962 + t1175 * t150 + t237 * t1178 / 0.2e1 - t1172 * t428;
  t1183 = t59 * t1182;
  t1184 = t1183 * t96;
  t1189 = t510 * t1132;
  t1190 = t1189 * t512;
  t1194 = t163 * t1132 * t328;
  t1197 = t137 * t1147;
  t1198 = t303 * t1197;
  t1199 = t745 * t1198;
  t1202 = t1189 * t516;
  t1205 = -t913 + t1135 * t139 / 0.6e1 - t1140 * t374 / 0.12e2 + t233 * t1150 / 0.12e2 - t1140 * t497 / 0.6e1 - t233 * t686 / 0.6e1 + t1140 * t502 / 0.3e1 - t22 * t1184 / 0.4e1 + t719 * t248 / 0.2e1 - t509 * t1190 / 0.2e1 + t984 - t162 * t1194 / 0.2e1 - t162 * t1199 / 0.4e1 + t162 * t1202 / 0.2e1;
  t1206 = my_piecewise3(t3, 0, t1205);
  tv2lapl20 = 0.2e1 * rho[0] * t1206;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  t1208 = t95 * t230;
  t1209 = t306 * t1208;
  t1210 = t318 * t1209;
  t1213 = t548 * t1209;
  t1218 = t555 * t1209;
  t1223 = t160 * t1208;
  t1224 = t548 * t1223;
  t1229 = t63 * t230;
  t1230 = t145 * t1229;
  t1233 = t400 * t1229;
  t1237 = t409 * t1229;
  t1240 = t60 * t230;
  t1241 = t400 * t1240;
  t1244 = t145 * t1240;
  t1248 = t409 * t1240;
  t1250 = t943 - 0.2e1 * t877 * t1230 - t881 * t1233 / 0.3e1 - t263 * t1168 + 0.2e1 * t881 * t1237 + 0.2e1 / 0.3e1 * t881 * t1241 - t962 + t877 * t1244 + t263 * t1178 / 0.2e1 - t881 * t1248;
  t1251 = t59 * t1250;
  t1252 = t1251 * t96;
  t1259 = t372 * t230;
  t1260 = t371 * t1259;
  t1261 = t758 * t1260;
  t1264 = t137 * t230;
  t1265 = t135 * t1264;
  t1266 = t763 * t1265;
  t1269 = t767 * t1198;
  t1272 = t408 * t230;
  t1273 = t371 * t1272;
  t1274 = t758 * t1273;
  t1279 = t243 * t288;
  t1283 = t775 * t236 * t165;
  t1286 = -t913 + t785 * t1210 / 0.6e1 - t791 * t1213 / 0.12e2 + t259 * t1150 / 0.12e2 - t791 * t1218 / 0.6e1 - t259 * t686 / 0.12e2 + t791 * t1224 / 0.3e1 - t233 * t818 / 0.12e2 - t22 * t1252 / 0.4e1 + t823 * t248 / 0.4e1 + t719 * t274 / 0.4e1 - t509 * t1261 / 0.2e1 + t984 - t162 * t1266 / 0.2e1 - t162 * t1269 / 0.4e1 + t162 * t1274 / 0.2e1 - t233 * t777 / 0.12e2 - t22 * t1279 / 0.4e1 + t162 * t1283 / 0.4e1;
  t1287 = my_piecewise3(t3, 0, t1286);
  tv2lapltau0 = 0.2e1 * rho[0] * t1287;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  t1289 = t256 * t256;
  t1290 = t1289 * t326;
  t1291 = t109 * t1290;
  t1292 = t106 * t1291;
  t1295 = t1289 * t365;
  t1296 = t363 * t1295;
  t1297 = t106 * t1296;
  t1304 = 0.2e1 * t165 * t256 * t307 - 0.2e1 * t138 * t265;
  t1305 = t95 * t1304;
  t1306 = t306 * t1305;
  t1307 = t305 * t1306;
  t1318 = t108 * t1289;
  t1319 = t1318 * t327;
  t1322 = t362 * t1289;
  t1323 = t1322 * t398;
  t1326 = t63 * t1304;
  t1327 = t404 * t1326;
  t1331 = t1322 * t365;
  t1334 = t1318 * t326;
  t1336 = t60 * t1304;
  t1337 = t404 * t1336;
  t1341 = t943 - 0.2e1 * t1319 * t146 - t1323 * t401 / 0.3e1 - t263 * t1327 + 0.2e1 * t1323 * t410 + 0.2e1 / 0.3e1 * t1331 * t415 - t962 + t1334 * t150 + t263 * t1337 / 0.2e1 - t1331 * t428;
  t1342 = t59 * t1341;
  t1343 = t1342 * t96;
  t1348 = t269 * t288;
  t1351 = t510 * t1289;
  t1352 = t1351 * t512;
  t1356 = t775 * t262 * t165;
  t1360 = t163 * t1289 * t328;
  t1363 = t137 * t1304;
  t1364 = t303 * t1363;
  t1365 = t767 * t1364;
  t1368 = t1351 * t516;
  t1373 = t23 / t15 / t115;
  t1386 = 0.4e1 * t1373 * t173 - 0.2e2 * t1373 * t451 - 0.72e2 * t1373 * t458 - 0.8e1 * t1373 * t463 + 0.1e3 * t1373 * t468 + 0.6e2 * t1373 * t475;
  t1387 = t169 * t1386;
  t1388 = t65 * t1387;
  t1391 = -t913 + t1292 * t139 / 0.6e1 - t1297 * t374 / 0.12e2 + t259 * t1307 / 0.12e2 - t1297 * t497 / 0.6e1 - t259 * t818 / 0.6e1 + t1297 * t502 / 0.3e1 - t259 * t777 / 0.6e1 - t22 * t1343 / 0.4e1 + t823 * t274 / 0.2e1 - t22 * t1348 / 0.2e1 - t509 * t1352 / 0.2e1 + t162 * t1356 / 0.2e1 + t984 - t162 * t1360 / 0.2e1 - t162 * t1365 / 0.4e1 + t162 * t1368 / 0.2e1 - t22 * t1388 / 0.4e1;
  t1392 = my_piecewise3(t3, 0, t1391);
  tv2tau20 = 0.2e1 * rho[0] * t1392;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  t1395 = t159 * params->at;
  t1396 = t65 * t1395;
  t1397 = t22 * t1396;
  t1398 = t193 * t108;
  t1399 = t1398 * t125;
  t1400 = t1399 * t334;
  t1403 = t22 * t144;
  t1404 = t404 * t65;
  t1405 = t193 * t312;
  t1406 = t169 * t1405;
  t1407 = t1404 * t1406;
  t1415 = 0.1e1 / t301 / t133;
  t1416 = t130 * t1415;
  t1417 = t1416 * t304;
  t1418 = t312 * t312;
  t1419 = t95 * t1418;
  t1420 = t306 * t1419;
  t1421 = t1417 * t1420;
  t1427 = t296 * t393 * t328;
  t1432 = t296 * t397;
  t1433 = t1432 * t512;
  t1436 = t1432 * t516;
  t1439 = t510 * t366;
  t1440 = t370 * t1415;
  t1441 = t408 * t312;
  t1442 = t1440 * t1441;
  t1443 = t1439 * t1442;
  t1446 = -0.3e1 / 0.4e1 * t1397 * t1400 + t1403 * t1407 / 0.4e1 - t383 * t320 / 0.6e1 - t493 * t315 / 0.3e1 - t127 * t1421 / 0.6e1 + t383 * t315 / 0.12e2 - 0.3e1 / 0.2e1 * t162 * t1427 + t387 * t298 / 0.2e1 - 0.3e1 / 0.2e1 * t509 * t1433 + 0.3e1 / 0.2e1 * t162 * t1436 - 0.3e1 / 0.2e1 * t162 * t1443;
  t1447 = t372 * t312;
  t1448 = t1440 * t1447;
  t1449 = t1439 * t1448;
  t1452 = t555 * t319;
  t1455 = t1440 * t547;
  t1456 = t1455 * t314;
  t1463 = t1440 * t554;
  t1464 = t1463 * t314;
  t1467 = t160 * t313;
  t1468 = t1455 * t1467;
  t1472 = t153 * t66;
  t1473 = t1472 * t313;
  t1474 = t305 * t1473;
  t1485 = t57 * t362;
  t1486 = t1485 * t323;
  t1489 = t307 * t125;
  t1502 = 0.2e1 / 0.3e1 * t413 * t373 + 0.2e1 * t307 * t349 * t165 - 0.4e1 * t307 * t323 * t328 + 0.4e1 / 0.3e1 * t1486 * t512 - 0.2e1 * t1489 * t334 + 0.4e1 * t1486 * t516 - 0.2e1 * t418 * t138 + 0.4e1 * t421 * t138 + 0.2e1 * t148 * t334 - 0.4e1 * t413 * t496;
  t1503 = t95 * t1502;
  t1504 = t306 * t1503;
  t1505 = t305 * t1504;
  t1512 = 0.3e1 / 0.2e1 * t509 * t1449 - t368 * t1452 / 0.2e1 + t368 * t1456 / 0.4e1 - t356 * t320 / 0.4e1 + 0.3e1 / 0.2e1 * t379 * t298 + t368 * t1464 / 0.2e1 - t368 * t1468 + t356 * t315 / 0.6e1 + t127 * t1474 / 0.4e1 + t127 * t1505 / 0.12e2 - t383 * t359 / 0.6e1 + t493 * t359 / 0.2e1;
  t1514 = t382 * t355;
  t1521 = t323 * t122;
  t1523 = t365 * t130;
  t1524 = t1523 * t145;
  t1525 = t163 * t1521 * t1524;
  t1528 = t373 * t155;
  t1531 = t20 * t69;
  t1533 = 0.1e1 / t364 / t123;
  t1534 = t1521 * t1533;
  t1535 = t1531 * t1534;
  t1536 = t106 * t1535;
  t1538 = 0.1e1 / t369 / t129;
  t1539 = t1538 * t1415;
  t1540 = t372 * t137;
  t1541 = t1539 * t1540;
  t1542 = t1541 * t97;
  t1545 = t430 * t159;
  t1546 = t158 * t1545;
  t1547 = t106 * t1546;
  t1557 = 0.1e1 / t25 / t445;
  t1558 = t24 * t1557;
  t1562 = my_piecewise3(t43, t110, -0.22e3 / 0.81e2 * t44 * t344 + 0.88e3 / 0.81e2 * t30 * t345 - 0.308e3 / 0.81e2 * t33 * t1558);
  t1564 = t163 * t1562 * t165;
  t1567 = t1562 * t124;
  t1568 = t109 * t1567;
  t1569 = t106 * t1568;
  t1574 = -t1514 * t139 / 0.12e2 + t387 * t351 / 0.4e1 - t387 * t329 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t1525 - t368 * t1528 / 0.4e1 - 0.5e1 / 0.36e2 * t1536 * t1542 + 0.3e1 / 0.4e1 * t1547 * t166 + 0.3e1 / 0.4e1 * t379 * t351 + t162 * t1564 / 0.4e1 - t1569 * t139 / 0.12e2 - t356 * t359 / 0.4e1;
  t1575 = t138 * t432;
  t1581 = 0.1e1 / t364 / t56;
  t1582 = t1521 * t1581;
  t1583 = t363 * t1582;
  t1584 = t106 * t1583;
  t1587 = t160 * t296;
  t1588 = t548 * t1587;
  t1591 = t296 * t390 * t165;
  t1594 = params->at * t480;
  t1596 = t1594 * t142 * t165;
  t1599 = t163 * t491;
  t1600 = t1599 * t334;
  t1602 = t122 * t326;
  t1603 = t163 * t1602;
  t1605 = t135 * t137 * t349;
  t1606 = t1603 * t1605;
  t1609 = t548 * t319;
  t1612 = t1472 * t296;
  t1613 = t318 * t1612;
  t1616 = t306 * t1594;
  t1617 = t318 * t1616;
  t1621 = t303 * t137 * t1502;
  t1622 = t332 * t1621;
  t1625 = -t127 * t1575 / 0.4e1 - 0.3e1 / 0.2e1 * t379 * t329 - 0.2e1 * t1584 * t502 + t368 * t1588 + 0.3e1 / 0.4e1 * t162 * t1591 + 0.3e1 / 0.4e1 * t162 * t1596 + t162 * t1600 - 0.3e1 / 0.2e1 * t162 * t1606 - t368 * t1609 / 0.4e1 - t127 * t1613 / 0.2e1 - t127 * t1617 / 0.4e1 - t162 * t1622 / 0.4e1;
  t1628 = t163 * t354;
  t1629 = t1628 * t334;
  t1634 = t349 * t326;
  t1636 = t106 * t109 * t1634;
  t1639 = t122 * t365;
  t1640 = t363 * t1639;
  t1641 = t106 * t1640;
  t1642 = t95 * t349;
  t1643 = t160 * t1642;
  t1644 = t548 * t1643;
  t1647 = t1416 * t137 * t1418;
  t1648 = t332 * t1647;
  t1655 = t349 * t365;
  t1657 = t106 * t363 * t1655;
  t1662 = t510 * t1655;
  t1663 = t1662 * t622;
  t1666 = t1662 * t645;
  t1669 = -t162 * t1629 / 0.2e1 - 0.3e1 / 0.4e1 * t379 * t335 + t1636 * t541 / 0.2e1 + t1641 * t1644 + t162 * t1648 / 0.2e1 - t387 * t335 / 0.4e1 + t493 * t320 / 0.2e1 - t1657 * t549 / 0.4e1 - t1657 * t556 / 0.2e1 - 0.3e1 / 0.2e1 * t509 * t1663 + 0.3e1 / 0.2e1 * t162 * t1666;
  t1670 = t372 * t136;
  t1671 = t1539 * t1670;
  t1672 = t1671 * t501;
  t1675 = t496 * t155;
  t1678 = t154 * t500;
  t1679 = t373 * t1678;
  t1681 = t1671 * t97;
  t1684 = t1541 * t501;
  t1687 = t153 * t506;
  t1688 = t158 * t1687;
  t1689 = t106 * t1688;
  t1694 = t382 * t367;
  t1697 = t510 * t1521;
  t1698 = t1581 * t370;
  t1699 = t1698 * t400;
  t1700 = t1697 * t1699;
  t1703 = t1698 * t409;
  t1704 = t1697 * t1703;
  t1707 = t1521 * t365;
  t1708 = t109 * t1707;
  t1709 = t106 * t1708;
  t1712 = t485 * t19;
  t1713 = t1712 * t161;
  t1716 = 0.7e1 / 0.3e1 * t1536 * t1672 - t368 * t1675 / 0.2e1 + t368 * t1679 - 0.11e2 / 0.18e2 * t1536 * t1681 + 0.23e2 / 0.36e2 * t1536 * t1684 - 0.3e1 / 0.2e1 * t1689 * t513 + 0.3e1 / 0.2e1 * t379 * t517 - t1694 * t497 / 0.6e1 + 0.3e1 * t509 * t1700 - 0.3e1 * t162 * t1704 - t1709 * t139 / 0.2e1 - t1713 * t166 / 0.6e1;
  t1718 = t1712 * t126;
  t1721 = t382 * t492;
  t1728 = t382 * t378;
  t1733 = t506 * t95;
  t1734 = t65 * t1733;
  t1735 = t1541 * t1734;
  t1738 = t131 * t131;
  t1739 = 0.1e1 / t1738;
  t1740 = t64 * t1739;
  t1741 = t158 * t1740;
  t1742 = t106 * t1741;
  t1743 = t95 * t69;
  t1744 = t1743 * t1521;
  t1745 = t1533 * t1538;
  t1746 = t1415 * t1540;
  t1747 = t1745 * t1746;
  t1748 = t1744 * t1747;
  t1751 = t1415 * t1670;
  t1752 = t1745 * t1751;
  t1753 = t1744 * t1752;
  t1756 = t1415 * t372;
  t1757 = t1745 * t1756;
  t1758 = t1744 * t1757;
  t1763 = t382 * t508;
  t1766 = t1718 * t139 / 0.18e2 + t1721 * t139 / 0.6e1 - t1694 * t374 / 0.12e2 + t1584 * t374 / 0.2e1 + t1728 * t166 / 0.2e1 - t103 * t482 / 0.4e1 - 0.3e1 / 0.2e1 * t1536 * t1735 + 0.3e1 / 0.2e1 * t1742 * t1748 - 0.3e1 * t509 * t1753 + 0.3e1 / 0.2e1 * t162 * t1758 + t1694 * t502 / 0.3e1 - t1763 * t513 / 0.2e1;
  t1770 = t1539 * t372;
  t1771 = t1770 * t97;
  t1774 = t431 * t194;
  t1781 = t154 * t481;
  t1784 = t74 * t344;
  t1787 = t342 * t34;
  t1789 = 0.1e1 / t15 / t1787;
  t1790 = t444 * t1789;
  t1809 = t443 * tau[0];
  t1810 = t342 * t342;
  t1811 = 0.1e1 / t1810;
  t1812 = t1809 * t1811;
  t1821 = t76 * t181;
  t1824 = t80 * t91;
  t1827 = t81 * t189;
  t1830 = t87 * t474;
  t1833 = t89 * t89;
  t1834 = 0.1e1 / t1833;
  t1835 = t88 * t1834;
  t1838 = -0.88e3 / 0.9e1 * t178 * t1784 + 0.16e4 / 0.9e1 * t463 * t1790 - 0.88e3 / 0.9e1 * t182 * t1784 - 0.2e5 / 0.9e1 * t468 * t1790 + 0.22e4 / 0.27e2 * t185 * t1784 - 0.4e4 / 0.3e1 * t475 * t1790 + 0.22e4 / 0.27e2 * t190 * t1784 + 0.4e4 / 0.9e1 * t451 * t1790 + 0.44e3 / 0.27e2 * t174 * t1784 + 0.16e4 * t458 * t1790 - 0.1e4 / 0.9e1 * t1812 * t84 + 0.44e3 / 0.27e2 * t74 * t344 * t78 - 0.8e3 / 0.9e1 * t444 * t1789 * t173 - 0.17e5 / 0.9e1 * t1821 * t1812 - 0.26e5 / 0.9e1 * t1824 * t1812 + 0.1e5 / 0.3e1 * t1827 * t1812 + 0.25e5 / 0.3e1 * t1830 * t1812 + 0.35e5 / 0.9e1 * t1835 * t1812;
  t1839 = t169 * t1838;
  t1840 = t65 * t1839;
  t1843 = t69 * t1521;
  t1844 = t1843 * t1533;
  t1845 = t1670 * t60;
  t1846 = t1539 * t1845;
  t1849 = t108 * t1562;
  t1850 = t1849 * t124;
  t1853 = t362 * t1521;
  t1854 = t1853 * t1581;
  t1857 = t1540 * t60;
  t1858 = t1539 * t1857;
  t1863 = t1539 * t414;
  t1866 = t108 * t1521;
  t1867 = t1866 * t365;
  t1870 = t362 * t349;
  t1871 = t1870 * t398;
  t1877 = t1756 * t405;
  t1879 = t1415 * t408;
  t1880 = t1879 * t405;
  t1883 = t1415 * t137;
  t1884 = t63 * t1418;
  t1885 = t1883 * t1884;
  t1888 = t390 * t327;
  t1893 = t63 * t1502;
  t1894 = t404 * t1893;
  t1896 = 0.1e2 / 0.3e1 * t1844 * t1846 - t1850 * t150 / 0.2e1 - 0.4e1 * t1854 * t415 + t1844 * t1858 / 0.18e2 + 0.6e1 * t1854 * t428 - 0.3e1 * t1844 * t1863 - 0.3e1 * t1867 * t150 + 0.6e1 * t1871 * t587 - t1871 * t583 + 0.4e1 * t394 * t406 + t399 * t1877 - 0.6e1 * t399 * t1880 + 0.2e1 * t144 * t1885 - 0.6e1 * t1888 * t578 - 0.2e1 * t391 * t406 - t144 * t1894;
  t1899 = t60 * t1502;
  t1900 = t404 * t1899;
  t1903 = t1756 * t423;
  t1909 = t1849 * t143;
  t1913 = t1853 * t1698;
  t1916 = t1843 * t1745;
  t1917 = t1746 * t63;
  t1920 = t60 * t1418;
  t1921 = t1883 * t1920;
  t1923 = t1866 * t1523;
  t1928 = t1756 * t63;
  t1931 = t1879 * t423;
  t1936 = t1751 * t63;
  t1939 = -0.2e1 * t394 * t424 + t144 * t1900 / 0.2e1 - 0.2e1 * t399 * t1903 + 0.3e1 * t1888 * t597 + t391 * t424 + t1909 * t146 + 0.2e1 * t1871 * t591 + 0.2e1 * t1913 * t401 - t1916 * t1917 / 0.9e1 - t144 * t1921 + 0.6e1 * t1923 * t146 - 0.3e1 * t1871 * t601 + 0.6e1 * t1916 * t1928 + 0.3e1 * t399 * t1931 - 0.12e2 * t1913 * t410 - 0.2e1 / 0.3e1 * t1916 * t1936;
  t1940 = t1896 + t1939;
  t1941 = t59 * t1940;
  t1942 = t1941 * t96;
  t1945 = t14 * t36;
  t1946 = t1945 * t21;
  t1953 = t387 * t517 / 0.2e1 + t1584 * t497 - t1536 * t1771 / 0.2e1 - 0.3e1 / 0.4e1 * t22 * t1774 - t103 * t437 / 0.2e1 + t486 * t195 / 0.6e1 - 0.3e1 / 0.4e1 * t22 * t1781 - t22 * t1840 / 0.4e1 - t22 * t1942 / 0.4e1 - 0.5e1 / 0.54e2 * t1946 * t97 + t486 * t155 / 0.6e1 - t103 * t432 / 0.4e1;
  t1957 = my_piecewise3(t3, 0, t1446 + t1512 + t1574 + t1625 + t1669 + t1716 + t1766 + t1953);
  tv3rho30 = 0.2e1 * rho[0] * t1957 + 0.6e1 * t522;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t1961 = t22 * t582;
  t1962 = t400 * t65;
  t1963 = t193 * t122;
  t1964 = t1395 * t1963;
  t1965 = t1962 * t1964;
  t1968 = t1879 * t65;
  t1969 = t312 * t122;
  t1970 = t96 * t1969;
  t1971 = t1968 * t1970;
  t1974 = t1756 * t65;
  t1975 = t500 * t1969;
  t1976 = t1974 * t1975;
  t1978 = t22 * t576;
  t1979 = t1404 * t1970;
  t1982 = t145 * t65;
  t1983 = t169 * t1963;
  t1984 = t1982 * t1983;
  t1987 = t1974 * t1970;
  t1990 = t1962 * t1983;
  t1993 = t22 * t212;
  t1996 = t409 * t65;
  t1997 = t1996 * t1983;
  t2000 = t193 * t362;
  t2001 = t2000 * t544;
  t2002 = t2001 * t645;
  t2004 = t22 * t501;
  t2005 = t1879 * t1969;
  t2006 = t582 * t2005;
  t2009 = t506 * params->at;
  t2010 = t65 * t2009;
  t2011 = t22 * t2010;
  t2012 = t2001 * t622;
  t2014 = t1398 * t536;
  t2015 = t2014 * t636;
  t2017 = t1398 * t206;
  t2018 = t2017 * t334;
  t2021 = 0.2e1 / 0.3e1 * t1961 * t1965 + t1961 * t1971 / 0.2e1 - t1961 * t1976 - t1978 * t1979 / 0.3e1 + t1978 * t1984 / 0.3e1 + t1961 * t1987 / 0.4e1 - t1961 * t1990 / 0.6e1 + t1993 * t1407 / 0.6e1 - t1961 * t1997 / 0.3e1 + t1397 * t2002 - 0.3e1 / 0.2e1 * t2004 * t2006 - t2011 * t2012 - t1397 * t2015 - t1397 * t2018 / 0.2e1;
  t2022 = t22 * t1734;
  t2023 = t362 * t122;
  t2024 = t2023 * t398;
  t2025 = t205 * t312;
  t2026 = t1756 * t2025;
  t2027 = t2024 * t2026;
  t2030 = t404 * t1969;
  t2031 = t576 * t2030;
  t2034 = t296 * t573 * t165;
  t2038 = t205 * t1533;
  t2039 = t1531 * t2038;
  t2040 = t106 * t2039;
  t2041 = t1540 * t59;
  t2042 = t1539 * t2041;
  t2043 = t95 * t323;
  t2044 = t306 * t2043;
  t2045 = t2042 * t2044;
  t2053 = t1594 * t211 * t165;
  t2056 = t372 * t349;
  t2057 = t371 * t2056;
  t2058 = t620 * t2057;
  t2061 = t640 * t1621;
  t2064 = t634 * t1605;
  t2067 = t530 * t365;
  t2068 = t510 * t2067;
  t2069 = t2068 * t622;
  t2071 = t530 * t326;
  t2072 = t163 * t2071;
  t2073 = t2072 * t636;
  t2075 = t163 * t531;
  t2076 = t2075 * t334;
  t2079 = 0.3e1 / 0.2e1 * t2022 * t2027 + t2004 * t2031 + t162 * t2034 / 0.2e1 - t379 * t637 - 0.5e1 / 0.36e2 * t2040 * t2045 - t387 * t637 / 0.3e1 + t387 * t631 / 0.6e1 + t162 * t2053 / 0.4e1 - t509 * t2058 / 0.2e1 - t162 * t2061 / 0.4e1 - t162 * t2064 / 0.2e1 - t509 * t2069 - t162 * t2073 - t162 * t2076 / 0.2e1;
  t2085 = t1743 * t2038;
  t2086 = t372 * t323;
  t2087 = t1539 * t2086;
  t2088 = t2085 * t2087;
  t2091 = t205 * t1581;
  t2092 = t510 * t2091;
  t2094 = t371 * t408 * t323;
  t2095 = t2092 * t2094;
  t2098 = t1540 * t323;
  t2099 = t1539 * t2098;
  t2100 = t2085 * t2099;
  t2105 = t382 * t545;
  t2110 = t363 * t2067;
  t2111 = t106 * t2110;
  t2114 = t306 * t1642;
  t2115 = t548 * t2114;
  t2118 = t382 * t537;
  t2127 = t379 * t627 / 0.2e1 - t379 * t641 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t2088 - 0.3e1 * t162 * t2095 + 0.3e1 / 0.2e1 * t1742 * t2100 - t1763 * t623 / 0.3e1 - t2105 * t556 / 0.9e1 + 0.2e1 / 0.9e1 * t2105 * t562 - t2111 * t556 / 0.3e1 - t546 * t2115 / 0.12e2 + t2118 * t541 / 0.9e1 + t525 * t315 / 0.18e2 - t2111 * t549 / 0.6e1 + t208 * t1505 / 0.12e2;
  t2128 = t1472 * t539;
  t2129 = t555 * t2128;
  t2138 = t135 * t137 * t323;
  t2139 = t163 * t544 * t2138;
  t2142 = t371 * t2086;
  t2143 = t2092 * t2142;
  t2146 = t640 * t1647;
  t2149 = t555 * t2114;
  t2156 = t217 * t66;
  t2157 = t2156 * t296;
  t2158 = t318 * t2157;
  t2161 = t2156 * t313;
  t2162 = t305 * t2161;
  t2170 = -t546 * t2129 / 0.3e1 - t533 * t320 / 0.6e1 + t208 * t1474 / 0.6e1 + 0.3e1 / 0.2e1 * t162 * t2139 + 0.3e1 * t509 * t2143 + t162 * t2146 / 0.2e1 - t546 * t2149 / 0.6e1 + t546 * t1644 / 0.3e1 - t208 * t1613 / 0.6e1 - t127 * t2158 / 0.6e1 + t127 * t2162 / 0.12e2 - t208 * t1617 / 0.12e2 + t610 * t298 / 0.2e1 - t1689 * t623;
  t2174 = t2068 * t645;
  t2184 = t109 * t2071;
  t2185 = t106 * t2184;
  t2192 = t318 * t2128;
  t2197 = t218 * t481;
  t2200 = t604 * t194;
  t2203 = t1670 * t323;
  t2204 = t1539 * t2203;
  t2205 = t2085 * t2204;
  t2208 = t379 * t646 + t162 * t2174 + t387 * t646 / 0.3e1 - t610 * t335 / 0.4e1 - t387 * t641 / 0.6e1 + t387 * t627 / 0.6e1 + t2185 * t541 / 0.3e1 + t533 * t315 / 0.6e1 - t525 * t320 / 0.18e2 + t538 * t2192 / 0.3e1 - t103 * t613 / 0.6e1 - t22 * t2197 / 0.4e1 - t22 * t2200 / 0.2e1 - 0.3e1 * t509 * t2205;
  t2209 = t160 * t2043;
  t2210 = t2042 * t2209;
  t2213 = t1539 * t547;
  t2214 = t2213 * t2044;
  t2217 = t1670 * t59;
  t2218 = t1539 * t2217;
  t2219 = t2218 * t2209;
  t2222 = t507 * t2043;
  t2223 = t2042 * t2222;
  t2230 = t202 * t344;
  t2232 = my_piecewise3(t43, t110, 0.22e2 / 0.27e2 * t2230);
  t2234 = t163 * t2232 * t165;
  t2241 = t603 * t159;
  t2242 = t158 * t2241;
  t2243 = t106 * t2242;
  t2248 = t382 * t609;
  t2253 = t138 * t605;
  t2256 = 0.23e2 / 0.36e2 * t2040 * t2210 - t2040 * t2214 / 0.2e1 + 0.7e1 / 0.3e1 * t2040 * t2219 - 0.3e1 / 0.2e1 * t2040 * t2223 + t1547 * t223 / 0.4e1 + t379 * t631 / 0.2e1 + t162 * t2234 / 0.4e1 + t610 * t351 / 0.4e1 + t1728 * t223 / 0.6e1 + t2243 * t166 / 0.2e1 - t383 * t569 / 0.18e2 + t2248 * t166 / 0.6e1 - t356 * t569 / 0.12e2 - t127 * t2253 / 0.6e1;
  t2258 = t373 * t219;
  t2261 = t2232 * t124;
  t2262 = t109 * t2261;
  t2263 = t106 * t2262;
  t2270 = t382 * t532;
  t2277 = t327 * t302;
  t2278 = t211 * t2277;
  t2279 = t62 * t122;
  t2280 = t2279 * t312;
  t2281 = t149 * t2280;
  t2284 = t398 * t1415;
  t2285 = t581 * t2284;
  t2286 = t427 * t2280;
  t2289 = t414 * t2280;
  t2291 = t108 * t2232;
  t2292 = t2291 * t124;
  t2297 = t211 * t1523;
  t2298 = t63 * t323;
  t2299 = t145 * t2298;
  t2303 = t590 * t312;
  t2304 = t1756 * t2303;
  t2307 = t63 * t349;
  t2308 = t409 * t2307;
  t2311 = t573 * t327;
  t2316 = t362 * t530;
  t2317 = t2316 * t398;
  t2320 = t145 * t2307;
  t2323 = t581 * t1698;
  t2324 = t400 * t2298;
  t2327 = t409 * t2298;
  t2330 = t69 * t205;
  t2331 = t2330 * t1745;
  t2332 = t1751 * t2298;
  t2335 = t1756 * t2298;
  t2338 = t404 * t2303;
  t2341 = t400 * t2307;
  t2344 = 0.4e1 * t2278 * t2281 - 0.6e1 * t2285 * t2286 + t2285 * t2289 - t2292 * t150 / 0.2e1 + 0.2e1 * t212 * t1885 + 0.6e1 * t2297 * t2299 - t212 * t1894 - 0.2e1 * t582 * t2304 + 0.2e1 * t582 * t2308 - 0.4e1 * t2311 * t578 - 0.2e1 * t574 * t406 - 0.2e1 / 0.3e1 * t2317 * t583 - 0.2e1 * t576 * t2320 + 0.2e1 * t2323 * t2324 - 0.12e2 * t2323 * t2327 - 0.2e1 / 0.3e1 * t2331 * t2332 + 0.6e1 * t2331 * t2335 - 0.2e1 * t576 * t2338 - t582 * t2341 / 0.3e1;
  t2345 = t1746 * t2298;
  t2350 = t1879 * t2303;
  t2353 = t60 * t323;
  t2354 = t1751 * t2353;
  t2359 = t60 * t349;
  t2360 = t400 * t2359;
  t2366 = t145 * t2359;
  t2370 = t2291 * t143;
  t2374 = t400 * t2353;
  t2377 = t1746 * t2353;
  t2380 = t409 * t2359;
  t2382 = t409 * t2353;
  t2385 = t1756 * t2353;
  t2388 = t145 * t2353;
  t2392 = -t2331 * t2345 / 0.9e1 + 0.4e1 * t2317 * t587 + 0.3e1 * t582 * t2350 + 0.1e2 / 0.3e1 * t2331 * t2354 - 0.2e1 * t2317 * t601 + 0.2e1 / 0.3e1 * t582 * t2360 + 0.2e1 * t2311 * t597 + t574 * t424 + t576 * t2366 + t212 * t1900 / 0.2e1 + t2370 * t146 + 0.4e1 / 0.3e1 * t2317 * t591 - 0.4e1 * t2323 * t2374 + t2331 * t2377 / 0.18e2 - t582 * t2380 + 0.6e1 * t2323 * t2382 - 0.3e1 * t2331 * t2385 - 0.3e1 * t2297 * t2388 - t212 * t1921;
  t2393 = t2344 + t2392;
  t2394 = t59 * t2393;
  t2395 = t2394 * t96;
  t2402 = t318 * t2114;
  t2405 = t363 * t2091;
  t2406 = t106 * t2405;
  t2407 = t548 * t2044;
  t2410 = t548 * t2128;
  t2415 = -t368 * t2258 / 0.12e2 - t2263 * t139 / 0.12e2 - t533 * t359 / 0.6e1 - t208 * t1575 / 0.12e2 - t2270 * t139 / 0.18e2 - t525 * t359 / 0.18e2 - t1713 * t223 / 0.18e2 - t22 * t2395 / 0.4e1 - t103 * t605 / 0.6e1 + t486 * t219 / 0.18e2 + t538 * t2402 / 0.6e1 + t2406 * t2407 / 0.2e1 - t546 * t2410 / 0.6e1 - t2105 * t549 / 0.18e2;
  t2417 = t371 * t408 * t349;
  t2418 = t620 * t2417;
  t2423 = t555 * t2044;
  t2425 = t548 * t2209;
  t2428 = t2218 * t2044;
  t2431 = t109 * t544;
  t2432 = t106 * t2431;
  t2433 = t318 * t2044;
  t2440 = t1712 * t207;
  t2443 = t496 * t219;
  t2446 = t218 * t500;
  t2447 = t373 * t2446;
  t2450 = t217 * t506;
  t2451 = t158 * t2450;
  t2452 = t106 * t2451;
  t2459 = t377 * t539;
  t2460 = t548 * t2459;
  t2463 = t162 * t2418 / 0.2e1 - t610 * t329 / 0.2e1 + t2406 * t2423 - 0.2e1 * t2406 * t2425 - 0.11e2 / 0.18e2 * t2040 * t2428 - t2432 * t2433 / 0.2e1 - t208 * t1421 / 0.6e1 + t493 * t569 / 0.6e1 + t2440 * t139 / 0.54e2 - t368 * t2443 / 0.6e1 + t368 * t2447 / 0.3e1 - t2452 * t513 / 0.2e1 + t610 * t517 / 0.2e1 + 0.2e1 / 0.3e1 * t2111 * t562 + 0.2e1 / 0.3e1 * t546 * t2460;
  t2467 = my_piecewise3(t3, 0, t2021 + t2079 + t2127 + t2170 + t2208 + t2256 + t2415 + t2463);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t2467 + 0.4e1 * t651;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t2471 = t22 * t697;
  t2475 = t2000 * t669;
  t2476 = t2475 * t645;
  t2478 = t697 * t2005;
  t2485 = t22 * t693;
  t2490 = t1398 * t231;
  t2491 = t2490 * t334;
  t2494 = t693 * t2030;
  t2496 = t230 * t312;
  t2497 = t1756 * t2496;
  t2498 = t2024 * t2497;
  t2501 = t2475 * t622;
  t2503 = t1398 * t664;
  t2504 = t2503 * t636;
  t2508 = t2471 * t1971 / 0.2e1 - t2471 * t1976 + t1397 * t2476 - 0.3e1 / 0.2e1 * t2004 * t2478 + t2471 * t1987 / 0.4e1 - t2471 * t1990 / 0.6e1 - t2485 * t1979 / 0.3e1 + t2485 * t1984 / 0.3e1 - t1397 * t2491 / 0.2e1 + t2004 * t2494 + 0.3e1 / 0.2e1 * t2022 * t2498 - t2011 * t2501 - t1397 * t2504 + 0.2e1 / 0.3e1 * t2471 * t1965;
  t2511 = t22 * t237;
  t2518 = t230 * t1533;
  t2519 = t1531 * t2518;
  t2520 = t106 * t2519;
  t2527 = t658 * t365;
  t2528 = t363 * t2527;
  t2529 = t106 * t2528;
  t2544 = -t2471 * t1997 / 0.3e1 + t2511 * t1407 / 0.6e1 - t671 * t2410 / 0.6e1 - t671 * t2115 / 0.12e2 - 0.5e1 / 0.36e2 * t2520 * t2045 + t233 * t1474 / 0.6e1 + t233 * t1505 / 0.12e2 - t2529 * t549 / 0.6e1 - t661 * t320 / 0.6e1 + t666 * t2192 / 0.3e1 - 0.11e2 / 0.18e2 * t2520 * t2428 + 0.23e2 / 0.36e2 * t2520 * t2210 - t2520 * t2214 / 0.2e1 + 0.7e1 / 0.3e1 * t2520 * t2219;
  t2546 = t230 * t1581;
  t2547 = t363 * t2546;
  t2548 = t106 * t2547;
  t2552 = t510 * t2546;
  t2553 = t2552 * t2094;
  t2558 = t1743 * t2518;
  t2559 = t2558 * t2099;
  t2562 = t2558 * t2204;
  t2565 = t382 * t670;
  t2570 = t2558 * t2087;
  t2577 = t510 * t2527;
  t2578 = t2577 * t645;
  t2584 = t2548 * t2423 - 0.2e1 * t2548 * t2425 - 0.3e1 * t162 * t2553 - 0.3e1 / 0.2e1 * t2520 * t2223 + 0.3e1 / 0.2e1 * t1742 * t2559 - 0.3e1 * t509 * t2562 + 0.2e1 / 0.9e1 * t2565 * t562 - t2529 * t556 / 0.3e1 + 0.3e1 / 0.2e1 * t162 * t2570 - t1763 * t730 / 0.3e1 - t2565 * t556 / 0.9e1 + t162 * t2578 + 0.2e1 / 0.3e1 * t2529 * t562 + 0.2e1 / 0.3e1 * t671 * t2460;
  t2585 = t658 * t326;
  t2586 = t109 * t2585;
  t2587 = t106 * t2586;
  t2600 = t382 * t665;
  t2610 = t1594 * t236 * t165;
  t2614 = t296 * t690 * t165;
  t2619 = t2587 * t541 / 0.3e1 + t661 * t315 / 0.6e1 + t387 * t749 / 0.3e1 - t1689 * t730 + t379 * t749 + t666 * t2402 / 0.6e1 + t2548 * t2407 / 0.2e1 + t2600 * t541 / 0.9e1 + t654 * t315 / 0.18e2 - t2565 * t549 / 0.18e2 - t654 * t320 / 0.18e2 + t162 * t2610 / 0.4e1 + t162 * t2614 / 0.2e1 + t387 * t734 / 0.6e1;
  t2623 = t745 * t1621;
  t2626 = t163 * t2585;
  t2627 = t2626 * t636;
  t2629 = t163 * t659;
  t2630 = t2629 * t334;
  t2633 = t2577 * t622;
  t2635 = t729 * t2057;
  t2654 = -t379 * t742 - t162 * t2623 / 0.4e1 - t162 * t2627 - t162 * t2630 / 0.2e1 - t509 * t2633 - t509 * t2635 / 0.2e1 - t387 * t742 / 0.3e1 - t387 * t746 / 0.6e1 - t719 * t335 / 0.4e1 - t379 * t746 / 0.2e1 + t379 * t734 / 0.2e1 + t719 * t298 / 0.2e1 - t233 * t1613 / 0.6e1 + t671 * t1644 / 0.3e1;
  t2661 = t109 * t669;
  t2662 = t106 * t2661;
  t2665 = t713 * t194;
  t2668 = t243 * t481;
  t2675 = t745 * t1647;
  t2678 = t163 * t669;
  t2679 = t2678 * t2138;
  t2682 = t2552 * t2142;
  t2687 = t696 * t2284;
  t2689 = t236 * t2277;
  t2695 = my_piecewise3(t43, t110, 0.2e2 / 0.27e2 * t118);
  t2696 = t108 * t2695;
  t2697 = t2696 * t124;
  t2700 = t69 * t230;
  t2701 = t2700 * t1745;
  t2708 = t696 * t1698;
  t2720 = t690 * t327;
  t2725 = t362 * t658;
  t2726 = t2725 * t398;
  t2733 = t236 * t1523;
  t2736 = t2687 * t2289 + 0.4e1 * t2689 * t2281 - 0.6e1 * t2687 * t2286 - t2697 * t150 / 0.2e1 - 0.2e1 / 0.3e1 * t2701 * t2332 + 0.6e1 * t2701 * t2335 - 0.2e1 * t693 * t2338 + 0.2e1 * t2708 * t2324 - t697 * t2341 / 0.3e1 - t2701 * t2345 / 0.9e1 - t237 * t1894 - 0.2e1 * t697 * t2304 + 0.2e1 * t697 * t2308 - 0.4e1 * t2720 * t578 - 0.2e1 * t691 * t406 - 0.2e1 / 0.3e1 * t2726 * t583 - 0.2e1 * t693 * t2320 + 0.2e1 * t237 * t1885 + 0.6e1 * t2733 * t2299;
  t2749 = t2696 * t143;
  t2771 = 0.3e1 * t697 * t2350 + 0.4e1 * t2726 * t587 - 0.12e2 * t2708 * t2327 + t2701 * t2377 / 0.18e2 + 0.1e2 / 0.3e1 * t2701 * t2354 + 0.2e1 / 0.3e1 * t697 * t2360 + t2749 * t146 + 0.6e1 * t2708 * t2382 - 0.3e1 * t2701 * t2385 - 0.3e1 * t2733 * t2388 - t237 * t1921 - 0.2e1 * t2726 * t601 - t697 * t2380 + 0.2e1 * t2720 * t597 + t691 * t424 + t693 * t2366 + t237 * t1900 / 0.2e1 + 0.4e1 / 0.3e1 * t2726 * t591 - 0.4e1 * t2708 * t2374;
  t2772 = t2736 + t2771;
  t2773 = t59 * t2772;
  t2774 = t2773 * t96;
  t2777 = t242 * t66;
  t2778 = t2777 * t296;
  t2779 = t318 * t2778;
  t2782 = -t671 * t2129 / 0.3e1 - t671 * t2149 / 0.6e1 - t103 * t722 / 0.6e1 - t2662 * t2433 / 0.2e1 - t22 * t2665 / 0.2e1 - t22 * t2668 / 0.4e1 + t486 * t244 / 0.18e2 - t103 * t714 / 0.6e1 + t162 * t2675 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t2679 + 0.3e1 * t509 * t2682 - t233 * t1421 / 0.6e1 - t22 * t2774 / 0.4e1 - t127 * t2779 / 0.6e1;
  t2786 = t2777 * t313;
  t2787 = t305 * t2786;
  t2790 = t729 * t2417;
  t2793 = t741 * t1605;
  t2805 = t163 * t2695 * t165;
  t2814 = t712 * t159;
  t2815 = t158 * t2814;
  t2816 = t106 * t2815;
  t2821 = -t233 * t1617 / 0.12e2 + t127 * t2787 / 0.12e2 + t162 * t2790 / 0.2e1 - t162 * t2793 / 0.2e1 - t1713 * t248 / 0.18e2 - t719 * t329 / 0.2e1 + t1547 * t248 / 0.4e1 + t379 * t738 / 0.2e1 + t162 * t2805 / 0.4e1 + t719 * t351 / 0.4e1 + t1728 * t248 / 0.6e1 + t387 * t738 / 0.6e1 + t2816 * t166 / 0.2e1 - t383 * t686 / 0.18e2;
  t2822 = t382 * t718;
  t2827 = t138 * t714;
  t2830 = t373 * t244;
  t2837 = t382 * t660;
  t2842 = t2695 * t124;
  t2843 = t109 * t2842;
  t2844 = t106 * t2843;
  t2849 = t1712 * t232;
  t2852 = t496 * t244;
  t2855 = t243 * t500;
  t2856 = t373 * t2855;
  t2859 = t242 * t506;
  t2860 = t158 * t2859;
  t2861 = t106 * t2860;
  t2866 = t2822 * t166 / 0.6e1 - t356 * t686 / 0.12e2 - t127 * t2827 / 0.6e1 - t368 * t2830 / 0.12e2 - t661 * t359 / 0.6e1 - t233 * t1575 / 0.12e2 - t2837 * t139 / 0.18e2 - t654 * t359 / 0.18e2 - t2844 * t139 / 0.12e2 + t493 * t686 / 0.6e1 + t2849 * t139 / 0.54e2 - t368 * t2852 / 0.6e1 + t368 * t2856 / 0.3e1 - t2861 * t513 / 0.2e1 + t719 * t517 / 0.2e1;
  t2870 = my_piecewise3(t3, 0, t2508 + t2544 + t2584 + t2619 + t2654 + t2782 + t2821 + t2866);
  tv3rho2lapl0 = 0.2e1 * rho[0] * t2870 + 0.4e1 * t754;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t2874 = t22 * t881;
  t2880 = t548 * t776;
  t2885 = params->at * t869;
  t2887 = t2885 * t142 * t165;
  t2891 = t775 * t390 * t165;
  t2896 = t163 * t811;
  t2897 = t2896 * t334;
  t2900 = t382 * t790;
  t2907 = t1472 * t775;
  t2908 = t318 * t2907;
  t2911 = t306 * t2885;
  t2912 = t318 * t2911;
  t2917 = t382 * t784;
  t2922 = 0.2e1 / 0.3e1 * t2874 * t1965 - t2874 * t1976 - t2874 * t1997 / 0.3e1 - t368 * t2880 / 0.12e2 + t379 * t781 / 0.2e1 + t162 * t2887 / 0.2e1 + t162 * t2891 / 0.4e1 - t379 * t768 / 0.2e1 - t162 * t2897 / 0.2e1 - t2900 * t549 / 0.18e2 - t806 * t320 / 0.18e2 - t356 * t777 / 0.12e2 - t127 * t2908 / 0.6e1 - t127 * t2912 / 0.6e1 + t259 * t1505 / 0.12e2 + t2917 * t541 / 0.9e1 + t806 * t315 / 0.18e2;
  t2925 = t810 * t326;
  t2926 = t109 * t2925;
  t2927 = t106 * t2926;
  t2934 = t256 * t1581;
  t2935 = t363 * t2934;
  t2936 = t106 * t2935;
  t2943 = t2000 * t757;
  t2944 = t2943 * t622;
  t2946 = t256 * t312;
  t2947 = t1756 * t2946;
  t2948 = t2024 * t2947;
  t2951 = t1398 * t762;
  t2952 = t2951 * t636;
  t2954 = t877 * t2030;
  t2956 = t1398 * t257;
  t2957 = t2956 * t334;
  t2960 = t775 * t397;
  t2961 = t2960 * t516;
  t2966 = t268 * t66;
  t2967 = t2966 * t313;
  t2968 = t305 * t2967;
  t2971 = t2966 * t296;
  t2972 = t318 * t2971;
  t2977 = -t259 * t1617 / 0.12e2 + t2927 * t541 / 0.3e1 + t785 * t2192 / 0.3e1 + t785 * t2402 / 0.6e1 + t2936 * t2407 / 0.2e1 + t813 * t315 / 0.6e1 + t259 * t1474 / 0.6e1 - t2011 * t2944 + 0.3e1 / 0.2e1 * t2022 * t2948 - t1397 * t2952 + t2004 * t2954 - t1397 * t2957 / 0.2e1 + t162 * t2961 / 0.2e1 + t823 * t298 / 0.2e1 + t127 * t2968 / 0.12e2 - t127 * t2972 / 0.6e1 - t823 * t335 / 0.4e1;
  t2981 = t2943 * t645;
  t2983 = t881 * t2005;
  t2986 = t287 * t108;
  t2987 = t2986 * t125;
  t2988 = t2987 * t334;
  t2991 = t287 * t312;
  t2992 = t169 * t2991;
  t2993 = t1404 * t2992;
  t2996 = t810 * t365;
  t2997 = t363 * t2996;
  t2998 = t106 * t2997;
  t3005 = t256 * t1533;
  t3006 = t1531 * t3005;
  t3007 = t106 * t3006;
  t3026 = t2874 * t1971 / 0.2e1 + t1397 * t2981 - 0.3e1 / 0.2e1 * t2004 * t2983 - t1397 * t2988 / 0.4e1 + t1403 * t2993 / 0.12e2 - t2998 * t549 / 0.6e1 - t791 * t2410 / 0.6e1 - t791 * t2115 / 0.12e2 - 0.5e1 / 0.36e2 * t3007 * t2045 - t813 * t320 / 0.6e1 - t259 * t1613 / 0.6e1 - t2998 * t556 / 0.3e1 - t791 * t2129 / 0.3e1 - t791 * t2149 / 0.6e1 - 0.11e2 / 0.18e2 * t3007 * t2428 + 0.2e1 / 0.3e1 * t2998 * t562 + 0.2e1 / 0.3e1 * t791 * t2460;
  t3030 = t510 * t2996;
  t3031 = t3030 * t622;
  t3033 = t758 * t2057;
  t3036 = t163 * t2925;
  t3037 = t3036 * t636;
  t3039 = t763 * t1605;
  t3045 = t1594 * t262 * t165;
  t3049 = t296 * t874 * t165;
  t3059 = t767 * t1621;
  t3064 = t109 * t757;
  t3065 = t106 * t3064;
  t3070 = t791 * t1644 / 0.3e1 - t1689 * t759 - t509 * t3031 - t509 * t3033 / 0.2e1 - t162 * t3037 - t162 * t3039 / 0.2e1 + 0.23e2 / 0.36e2 * t3007 * t2210 + t162 * t3045 / 0.4e1 + t162 * t3049 / 0.2e1 - t387 * t764 / 0.3e1 - t387 * t768 / 0.6e1 + t387 * t772 / 0.6e1 - t379 * t764 - t162 * t3059 / 0.4e1 + t379 * t772 / 0.2e1 - t3065 * t2433 / 0.2e1 - t383 * t777 / 0.18e2;
  t3076 = t3030 * t645;
  t3078 = t758 * t2417;
  t3081 = t323 * t1533;
  t3082 = t1531 * t3081;
  t3083 = t106 * t3082;
  t3084 = t95 * t256;
  t3085 = t160 * t3084;
  t3086 = t2218 * t3085;
  t3092 = t775 * t393 * t328;
  t3099 = t23 * t447;
  t3100 = t3099 * tau[0];
  t3115 = t342 * t115;
  t3116 = 0.1e1 / t3115;
  t3117 = t3116 * t443;
  t3138 = t3116 * t84;
  t3141 = 0.1e4 * t468 * t3100 + 0.6e3 * t475 * t3100 - 0.2e3 * t451 * t3100 - 0.72e3 * t458 * t3100 - 0.8e2 * t463 * t3100 - 0.4e2 / 0.9e1 * t118 * t78 + 0.4e2 * t3099 * t845 + 0.34e4 / 0.3e1 * t1821 * t3117 + 0.52e4 / 0.3e1 * t1824 * t3117 - 0.2e4 * t1827 * t3117 - 0.5e4 * t1830 * t3117 - 0.7e4 / 0.3e1 * t1835 * t3117 - 0.2e3 / 0.9e1 * t185 * t118 - 0.2e3 / 0.9e1 * t190 * t118 - 0.4e2 / 0.9e1 * t174 * t118 + 0.8e2 / 0.3e1 * t178 * t118 + 0.8e2 / 0.3e1 * t182 * t118 + 0.2e3 / 0.3e1 * t3138 * t443;
  t3142 = t169 * t3141;
  t3143 = t65 * t3142;
  t3146 = t269 * t481;
  t3153 = t897 * t194;
  t3156 = t431 * t288;
  t3159 = t154 * t870;
  t3162 = t22 * t877;
  t3165 = t493 * t777 / 0.6e1 + t379 * t796 + t162 * t3076 + t162 * t3078 / 0.2e1 + 0.7e1 / 0.3e1 * t3083 * t3086 - t259 * t1421 / 0.6e1 - t162 * t3092 / 0.2e1 + t486 * t289 / 0.18e2 - t103 * t834 / 0.6e1 - t22 * t3143 / 0.4e1 - t22 * t3146 / 0.4e1 - t103 * t837 / 0.6e1 - t103 * t871 / 0.6e1 - t22 * t3153 / 0.2e1 - t22 * t3156 / 0.4e1 - t22 * t3159 / 0.2e1 + t3162 * t1984 / 0.3e1;
  t3168 = t22 * t263;
  t3171 = t160 * t775;
  t3172 = t548 * t3171;
  t3175 = t2960 * t512;
  t3180 = t1743 * t3005;
  t3181 = t3180 * t2099;
  t3184 = t3180 * t2204;
  t3187 = t3180 * t2087;
  t3192 = t555 * t776;
  t3197 = t880 * t2284;
  t3200 = t262 * t2277;
  t3205 = my_piecewise3(t43, t110, -0.8e2 / 0.27e2 * t528);
  t3206 = t108 * t3205;
  t3207 = t3206 * t124;
  t3210 = t69 * t256;
  t3211 = t3210 * t1745;
  t3214 = t880 * t1698;
  t3219 = t362 * t810;
  t3220 = t3219 * t398;
  t3227 = t262 * t1523;
  t3245 = -0.6e1 * t3197 * t2286 + 0.4e1 * t3200 * t2281 + t3197 * t2289 - t3207 * t150 / 0.2e1 + 0.6e1 * t3211 * t2335 - 0.12e2 * t3214 * t2327 - 0.2e1 / 0.3e1 * t3211 * t2332 + 0.4e1 * t3220 * t587 + 0.3e1 * t881 * t2350 + 0.2e1 * t263 * t1885 + 0.6e1 * t3227 * t2299 - 0.2e1 * t877 * t2338 - 0.2e1 * t877 * t2320 + 0.2e1 * t3214 * t2324 - t881 * t2341 / 0.3e1 - t3211 * t2345 / 0.9e1 - t263 * t1894 - 0.2e1 * t881 * t2304 + 0.2e1 * t881 * t2308;
  t3246 = t874 * t327;
  t3271 = t3206 * t143;
  t3281 = -0.4e1 * t3246 * t578 - 0.2e1 * t875 * t406 - 0.2e1 / 0.3e1 * t3220 * t583 - 0.3e1 * t3211 * t2385 + 0.6e1 * t3214 * t2382 - 0.2e1 * t3220 * t601 + t263 * t1900 / 0.2e1 + 0.4e1 / 0.3e1 * t3220 * t591 - 0.4e1 * t3214 * t2374 + t3211 * t2377 / 0.18e2 + 0.1e2 / 0.3e1 * t3211 * t2354 + 0.2e1 / 0.3e1 * t881 * t2360 + t3271 * t146 - 0.3e1 * t3227 * t2388 - t263 * t1921 - t881 * t2380 + 0.2e1 * t3246 * t597 + t875 * t424 + t877 * t2366;
  t3282 = t3245 + t3281;
  t3283 = t59 * t3282;
  t3284 = t3283 * t96;
  t3295 = t767 * t1647;
  t3298 = t2874 * t1987 / 0.4e1 + t3168 * t1407 / 0.6e1 + t368 * t3172 / 0.3e1 - t509 * t3175 / 0.2e1 - 0.3e1 / 0.2e1 * t3007 * t2223 + 0.3e1 / 0.2e1 * t1742 * t3181 - 0.3e1 * t509 * t3184 + 0.3e1 / 0.2e1 * t162 * t3187 - t3007 * t2214 / 0.2e1 - t368 * t3192 / 0.6e1 - t103 * t898 / 0.6e1 - t22 * t3284 / 0.4e1 + t486 * t270 / 0.18e2 - t3162 * t1979 / 0.3e1 - t2874 * t1990 / 0.6e1 + t387 * t781 / 0.6e1 + t162 * t3295 / 0.2e1;
  t3300 = t163 * t757;
  t3301 = t3300 * t2138;
  t3304 = t510 * t2934;
  t3305 = t3304 * t2142;
  t3314 = t3304 * t2094;
  t3322 = t382 * t822;
  t3331 = t1712 * t258;
  t3337 = t163 * t3205 * t165;
  t3342 = 0.3e1 / 0.2e1 * t162 * t3301 + 0.3e1 * t509 * t3305 + 0.2e1 / 0.9e1 * t2900 * t562 - 0.2e1 * t2936 * t2425 - t1763 * t759 / 0.3e1 - 0.3e1 * t162 * t3314 - t2900 * t556 / 0.9e1 + t2936 * t2423 + t387 * t796 / 0.3e1 + t3322 * t166 / 0.6e1 - t823 * t329 / 0.2e1 - t383 * t818 / 0.18e2 + t493 * t818 / 0.6e1 + t3331 * t139 / 0.54e2 - t1713 * t274 / 0.18e2 + t162 * t3337 / 0.4e1 + t823 * t351 / 0.4e1;
  t3347 = t373 * t270;
  t3350 = t3205 * t124;
  t3351 = t109 * t3350;
  t3352 = t106 * t3351;
  t3361 = t138 * t898;
  t3364 = t896 * t159;
  t3365 = t158 * t3364;
  t3366 = t106 * t3365;
  t3373 = t382 * t812;
  t3380 = t496 * t270;
  t3383 = t269 * t500;
  t3384 = t373 * t3383;
  t3387 = t268 * t506;
  t3388 = t158 * t3387;
  t3389 = t106 * t3388;
  t3392 = t1547 * t274 / 0.4e1 + t379 * t829 / 0.2e1 - t368 * t3347 / 0.12e2 - t3352 * t139 / 0.12e2 - t813 * t359 / 0.6e1 - t259 * t1575 / 0.12e2 - t356 * t818 / 0.12e2 - t127 * t3361 / 0.6e1 + t3366 * t166 / 0.2e1 + t1728 * t274 / 0.6e1 + t387 * t829 / 0.6e1 - t3373 * t139 / 0.18e2 - t806 * t359 / 0.18e2 + t823 * t517 / 0.2e1 - t368 * t3380 / 0.6e1 + t368 * t3384 / 0.3e1 - t3389 * t513 / 0.2e1;
  t3396 = my_piecewise3(t3, 0, t2922 + t2977 + t3026 + t3070 + t3165 + t3298 + t3342 + t3392);
  tv3rho2tau0 = 0.2e1 * rho[0] * t3396 + 0.4e1 * t905;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t3399 = t929 * t122;
  t3400 = t96 * t3399;
  t3401 = t1974 * t3400;
  t3404 = t193 * t929;
  t3405 = t169 * t3404;
  t3406 = t1404 * t3405;
  t3409 = t914 * t1533;
  t3410 = t1743 * t3409;
  t3411 = t1539 * t621;
  t3412 = t3410 * t3411;
  t3415 = t1531 * t3409;
  t3416 = t106 * t3415;
  t3417 = t2218 * t561;
  t3420 = t2156 * t539;
  t3421 = t555 * t3420;
  t3424 = t608 * t539;
  t3425 = t548 * t3424;
  t3428 = t507 * t539;
  t3429 = t2042 * t3428;
  t3432 = t1968 * t3400;
  t3435 = t500 * t3399;
  t3436 = t1974 * t3435;
  t3439 = t205 * t929;
  t3440 = t1756 * t3439;
  t3441 = t2024 * t3440;
  t3444 = t1879 * t3399;
  t3445 = t582 * t3444;
  t3448 = t1961 * t3401 / 0.12e2 + t1993 * t3406 / 0.12e2 - t913 + t984 + 0.3e1 / 0.2e1 * t162 * t3412 + 0.7e1 / 0.3e1 * t3416 * t3417 - t546 * t3421 / 0.3e1 + 0.2e1 / 0.3e1 * t546 * t3425 - 0.3e1 / 0.2e1 * t3416 * t3429 + t1961 * t3432 / 0.6e1 - t1961 * t3436 / 0.3e1 + t2022 * t3441 / 0.2e1 - t2004 * t3445 / 0.2e1;
  t3449 = t548 * t3420;
  t3454 = t2023 * t365;
  t3460 = t307 * t536;
  t3463 = t1485 * t544;
  t3466 = t307 * t206;
  t3473 = t211 * t326;
  t3478 = t581 * t365;
  t3481 = 0.2e1 / 0.3e1 * t3454 * t1052 + 0.2e1 * t307 * t530 * t165 - 0.4e1 * t3460 * t636 + 0.4e1 / 0.3e1 * t3463 * t622 - 0.2e1 * t3466 * t334 + 0.4e1 * t3463 * t645 - 0.2e1 * t594 * t138 + 0.4e1 * t3473 * t636 + 0.2e1 * t214 * t334 - 0.4e1 * t3478 * t645;
  t3482 = t95 * t3481;
  t3483 = t306 * t3482;
  t3484 = t305 * t3483;
  t3487 = t95 * t530;
  t3488 = t306 * t3487;
  t3489 = t555 * t3488;
  t3496 = t2017 * t990;
  t3502 = t160 * t3487;
  t3503 = t548 * t3502;
  t3510 = t318 * t3420;
  t3515 = -t546 * t3449 / 0.6e1 - t208 * t2158 / 0.6e1 + t208 * t3484 / 0.12e2 - t546 * t3489 / 0.3e1 + t922 * t1464 / 0.3e1 - t922 * t1452 / 0.6e1 - t1397 * t3496 / 0.4e1 - t610 * t637 - t610 * t641 / 0.2e1 + 0.2e1 / 0.3e1 * t546 * t3503 - 0.2e1 / 0.3e1 * t922 * t1468 + t922 * t1588 / 0.3e1 + t538 * t3510 / 0.3e1 + t208 * t2162 / 0.6e1;
  t3517 = t163 * t909;
  t3518 = t3517 * t334;
  t3519 = t162 * t3518;
  t3520 = t3519 / 0.4e1;
  t3522 = t296 * t941 * t165;
  t3523 = t162 * t3522;
  t3524 = t3523 / 0.4e1;
  t3527 = t372 * t530;
  t3528 = t371 * t3527;
  t3529 = t620 * t3528;
  t3531 = t914 * t1581;
  t3532 = t510 * t3531;
  t3533 = t3532 * t622;
  t3536 = t510 * t920;
  t3537 = t3536 * t1448;
  t3539 = t296 * t948;
  t3540 = t3539 * t512;
  t3544 = t371 * t408 * t530;
  t3545 = t620 * t3544;
  t3547 = t3536 * t1442;
  t3549 = t3539 * t516;
  t3553 = t135 * t137 * t530;
  t3554 = t634 * t3553;
  t3556 = t163 * t920;
  t3557 = t3556 * t636;
  t3560 = t163 * t915;
  t3561 = t3560 * t334;
  t3564 = -t3520 + t3524 + t610 * t627 / 0.2e1 - t509 * t3529 + 0.3e1 * t509 * t3533 + t509 * t3537 - t509 * t3540 / 0.2e1 + t162 * t3545 - t162 * t3547 + t162 * t3549 / 0.2e1 - t162 * t3554 + 0.3e1 / 0.2e1 * t162 * t3557 + t162 * t3561 / 0.2e1;
  t3566 = t296 * t944 * t328;
  t3571 = t908 * t326;
  t3572 = t163 * t3571;
  t3573 = t3572 * t636;
  t3574 = t162 * t3573;
  t3575 = t3574 / 0.2e1;
  t3576 = t971 * t194;
  t3579 = t1404 * t3400;
  t3582 = t1883 * t65;
  t3583 = t929 * t312;
  t3584 = t96 * t3583;
  t3585 = t3582 * t3584;
  t3590 = t62 * t929;
  t3591 = t3590 * t122;
  t3592 = t427 * t3591;
  t3595 = t149 * t3591;
  t3598 = t143 * t1415;
  t3599 = t211 * t3598;
  t3600 = t3590 * t312;
  t3601 = t149 * t3600;
  t3604 = t414 * t3591;
  t3607 = t941 * t327;
  t3608 = t3607 * t578;
  t3609 = 0.2e1 * t3608;
  t3610 = t942 * t406;
  t3611 = t362 * t908;
  t3612 = t3611 * t398;
  t3613 = t3612 * t583;
  t3614 = t3613 / 0.3e1;
  t3615 = t63 * t530;
  t3616 = t145 * t3615;
  t3619 = t944 * t1523;
  t3624 = t3612 * t587;
  t3625 = 0.2e1 * t3624;
  t3626 = -0.2e1 * t2285 * t3592 + 0.2e1 * t2278 * t3595 + 0.2e1 * t3599 * t3601 + t2285 * t3604 / 0.3e1 - t3609 - t3610 - t3614 - 0.4e1 * t576 * t3616 + 0.6e1 * t3619 * t578 + 0.2e1 * t945 * t406 + t3625;
  t3627 = t409 * t3615;
  t3630 = t69 * t914;
  t3631 = t3630 * t1745;
  t3632 = t1746 * t577;
  t3636 = t63 * t3481;
  t3637 = t404 * t3636;
  t3639 = t590 * t929;
  t3640 = t1756 * t3639;
  t3643 = t1879 * t3639;
  t3647 = t404 * t3639;
  t3649 = t965 * t312;
  t3650 = t1883 * t3649;
  t3652 = t948 * t1698;
  t3655 = t400 * t3615;
  t3660 = 0.4e1 * t582 * t3627 - t3631 * t3632 / 0.9e1 - t574 * t953 - t212 * t3637 - 0.2e1 / 0.3e1 * t582 * t3640 + t582 * t3643 - 0.4e1 * t949 * t1880 - t576 * t3647 - t212 * t3650 + 0.2e1 * t3652 * t583 - 0.2e1 / 0.3e1 * t582 * t3655 + 0.2e1 / 0.3e1 * t949 * t1877;
  t3664 = t1751 * t577;
  t3667 = t1756 * t577;
  t3672 = t1756 * t590;
  t3675 = t60 * t3481;
  t3676 = t404 * t3675;
  t3679 = t1751 * t590;
  t3682 = t60 * t530;
  t3683 = t400 * t3682;
  t3688 = t3607 * t597;
  t3689 = t3612 * t591;
  t3690 = 0.2e1 / 0.3e1 * t3689;
  t3691 = -0.12e2 * t3652 * t587 - 0.2e1 / 0.3e1 * t3631 * t3664 + 0.6e1 * t3631 * t3667 + 0.6e1 * t3652 * t601 - 0.3e1 * t3631 * t3672 + t212 * t3676 / 0.2e1 + 0.1e2 / 0.3e1 * t3631 * t3679 + 0.4e1 / 0.3e1 * t582 * t3683 - 0.4e1 / 0.3e1 * t949 * t1903 + t3688 + t3690;
  t3694 = t1746 * t590;
  t3697 = t3612 * t601;
  t3698 = t409 * t3682;
  t3703 = t942 * t424;
  t3704 = t3703 / 0.2e1;
  t3705 = t145 * t3682;
  t3713 = -0.4e1 * t3652 * t591 + t3631 * t3694 / 0.18e2 - t3697 - 0.2e1 * t582 * t3698 + 0.2e1 * t949 * t1931 + t3704 + 0.2e1 * t576 * t3705 - 0.3e1 * t3619 * t597 - t945 * t424 + t574 * t966 / 0.2e1 - t962 + t943;
  t3715 = t3626 + t3660 + t3691 + t3713;
  t3716 = t59 * t3715;
  t3717 = t3716 * t96;
  t3720 = t363 * t3531;
  t3721 = t106 * t3720;
  t3724 = t2218 * t540;
  t3727 = t2042 * t561;
  t3730 = t2213 * t540;
  t3735 = -t162 * t3566 / 0.2e1 - t379 * t991 / 0.4e1 - t3575 - t22 * t3576 / 0.4e1 - t1978 * t3579 / 0.6e1 - t1993 * t3585 / 0.6e1 - t103 * t972 / 0.12e2 - t22 * t3717 / 0.4e1 - 0.2e1 * t3721 * t562 - 0.11e2 / 0.18e2 * t3416 * t3724 + 0.23e2 / 0.36e2 * t3416 * t3727 - t3416 * t3730 / 0.2e1 - t2452 * t623 + t610 * t646;
  t3738 = t1540 * t122;
  t3739 = t1539 * t3738;
  t3740 = t3410 * t3739;
  t3743 = t908 * t365;
  t3744 = t363 * t3743;
  t3745 = t106 * t3744;
  t3746 = t3745 * t556;
  t3747 = t3746 / 0.6e1;
  t3748 = t3745 * t562;
  t3749 = t3748 / 0.3e1;
  t3751 = t2075 * t990;
  t3755 = t303 * t137 * t3481;
  t3756 = t640 * t3755;
  t3759 = t1670 * t122;
  t3760 = t1539 * t3759;
  t3761 = t3410 * t3760;
  t3764 = t510 * t3743;
  t3765 = t3764 * t622;
  t3766 = t509 * t3765;
  t3767 = t3766 / 0.2e1;
  t3768 = t3764 * t645;
  t3769 = t162 * t3768;
  t3770 = t3769 / 0.2e1;
  t3771 = t3532 * t645;
  t3780 = 0.3e1 / 0.2e1 * t1742 * t3740 - t3747 + t3749 + t3721 * t556 - t162 * t3751 / 0.4e1 - t162 * t3756 / 0.4e1 - 0.3e1 * t509 * t3761 - t3767 + t3770 - 0.3e1 * t162 * t3771 - t387 * t991 / 0.12e2 + t525 * t932 / 0.36e2 + t917 * t320 / 0.6e1;
  t3781 = t109 * t3571;
  t3782 = t106 * t3781;
  t3783 = t3782 * t541;
  t3784 = t3783 / 0.6e1;
  t3785 = t911 * t315;
  t3786 = t3785 / 0.12e2;
  t3787 = t3745 * t549;
  t3788 = t3787 / 0.12e2;
  t3789 = t911 * t320;
  t3790 = t3789 / 0.12e2;
  t3791 = t548 * t3488;
  t3796 = t2042 * t540;
  t3803 = t1472 * t930;
  t3804 = t305 * t3803;
  t3807 = t318 * t3488;
  t3810 = t109 * t920;
  t3811 = t106 * t3810;
  t3818 = t3784 + t3786 - t3788 - t3790 - t546 * t3791 / 0.6e1 + t922 * t1456 / 0.6e1 - 0.5e1 / 0.36e2 * t3416 * t3796 - t922 * t1609 / 0.12e2 + t533 * t932 / 0.12e2 + t208 * t3804 / 0.12e2 + t538 * t3807 / 0.3e1 - t3811 * t541 / 0.2e1 - t917 * t315 / 0.6e1 + t3721 * t549 / 0.2e1;
  t3820 = t404 * t3399;
  t3821 = t576 * t3820;
  t3824 = t1883 * t3583;
  t3825 = t212 * t3824;
  t3828 = t911 * t359;
  t3829 = t3828 / 0.12e2;
  t3836 = t382 * t916;
  t3847 = t382 * t921;
  t3850 = t382 * t910;
  t3851 = t3850 * t139;
  t3852 = t3851 / 0.36e2;
  t3855 = t2004 * t3821 / 0.2e1 + t2004 * t3825 / 0.2e1 - t3829 - t922 * t1528 / 0.12e2 - t922 * t1675 / 0.6e1 + t917 * t359 / 0.6e1 + t3836 * t139 / 0.18e2 - t533 * t569 / 0.6e1 - t208 * t2253 / 0.6e1 + t922 * t1679 / 0.3e1 - t525 * t569 / 0.18e2 - t3847 * t374 / 0.36e2 - t3852 + t3847 * t502 / 0.9e1;
  t3866 = t387 * t982;
  t3867 = t3866 / 0.12e2;
  t3868 = t379 * t982;
  t3869 = t3868 / 0.4e1;
  t3880 = t138 * t972;
  t3883 = t970 * t159;
  t3884 = t158 * t3883;
  t3885 = t106 * t3884;
  t3888 = -t3847 * t497 / 0.18e2 + t2248 * t223 / 0.6e1 - t1763 * t978 / 0.6e1 - t387 * t986 / 0.6e1 + t387 * t994 / 0.6e1 + t3867 + t3869 - t379 * t986 / 0.2e1 + t379 * t994 / 0.2e1 + t2243 * t223 / 0.2e1 + t610 * t631 / 0.2e1 - t1689 * t978 / 0.2e1 - t127 * t3880 / 0.12e2 + t3885 * t166 / 0.4e1;
  t3892 = my_piecewise3(t3, 0, t3448 + t3515 + t3564 + t3735 + t3780 + t3818 + t3855 + t3888);
  tv3rhosigma20 = 0.2e1 * rho[0] * t3892 + 0.2e1 * t998;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t3895 = t745 * t3755;
  t3898 = t2577 * t1052;
  t3901 = t729 * t3528;
  t3912 = t2577 * t1065;
  t3915 = t729 * t3544;
  t3920 = t2626 * t1057;
  t3923 = t741 * t3553;
  t3928 = t2629 * t990;
  t3933 = t22 * t2701;
  t3934 = t205 * t122;
  t3935 = t96 * t3934;
  t3936 = t1974 * t3935;
  t3939 = -t162 * t3895 / 0.4e1 - t509 * t3898 / 0.2e1 - t509 * t3901 / 0.2e1 - t610 * t742 / 0.2e1 - t610 * t746 / 0.4e1 + t610 * t734 / 0.4e1 - t1689 * t1053 / 0.2e1 + t162 * t3912 / 0.2e1 + t162 * t3915 / 0.2e1 - t379 * t1058 / 0.2e1 - t162 * t3920 / 0.2e1 - t162 * t3923 / 0.2e1 - t379 * t1061 / 0.4e1 - t162 * t3928 / 0.4e1 - t2471 * t3436 / 0.3e1 - t3933 * t3936 / 0.2e1;
  t3948 = t2777 * t539;
  t3949 = t555 * t3948;
  t3952 = t717 * t539;
  t3953 = t548 * t3952;
  t3956 = t22 * t2708;
  t3957 = t500 * t3934;
  t3958 = t1962 * t3957;
  t3961 = t1751 * t65;
  t3962 = t3961 * t3935;
  t3965 = t1746 * t65;
  t3966 = t3965 * t3957;
  t3971 = t3961 * t3957;
  t3974 = t1733 * t3934;
  t3975 = t3965 * t3974;
  t3978 = t1739 * t95;
  t3979 = t65 * t3978;
  t3980 = t22 * t3979;
  t3981 = t230 * t122;
  t3982 = t1746 * t3981;
  t3983 = t2331 * t3982;
  t3986 = t1751 * t3981;
  t3987 = t2331 * t3986;
  t3990 = t1996 * t3935;
  t3992 = t1756 * t3934;
  t3993 = t2701 * t3992;
  t3996 = t409 * t3934;
  t3997 = t2708 * t3996;
  t4000 = t2600 * t1002 / 0.18e2 + t610 * t749 / 0.2e1 - t671 * t3421 / 0.6e1 + t671 * t3425 / 0.3e1 - t546 * t3949 / 0.6e1 + t546 * t3953 / 0.3e1 - 0.2e1 * t3956 * t3958 - 0.11e2 / 0.18e2 * t3933 * t3962 + 0.23e2 / 0.36e2 * t3933 * t3966 + t2471 * t3432 / 0.6e1 + 0.7e1 / 0.3e1 * t3933 * t3971 - 0.3e1 / 0.2e1 * t3933 * t3975 + 0.3e1 / 0.2e1 * t3980 * t3983 - 0.3e1 * t2022 * t3987 + t3956 * t3990 + 0.3e1 / 0.2e1 * t2004 * t3993 - 0.3e1 * t2004 * t3997;
  t4002 = t230 * t929;
  t4003 = t1756 * t4002;
  t4004 = t2024 * t4003;
  t4007 = t697 * t3444;
  t4012 = t1043 * t194;
  t4015 = t1879 * t2025;
  t4016 = t697 * t4015;
  t4018 = t2475 * t1065;
  t4025 = t1472 * t1000;
  t4026 = t318 * t4025;
  t4033 = t2022 * t4004 / 0.2e1 - t2004 * t4007 / 0.2e1 - t913 + t984 + t379 * t1066 / 0.2e1 - t22 * t4012 / 0.4e1 - t2004 * t4016 + t1397 * t4018 / 0.2e1 - t3520 + t3524 - t3575 - t103 * t1044 / 0.12e2 + t2587 * t1002 / 0.6e1 + t666 * t4026 / 0.6e1 + t666 * t3807 / 0.6e1 - t2529 * t1005 / 0.12e2;
  t4034 = t548 * t4025;
  t4039 = t555 * t4025;
  t4054 = t693 * t3820;
  t4057 = t237 * t3824;
  t4060 = t2503 * t1057;
  t4073 = -t671 * t4034 / 0.12e2 - t671 * t3791 / 0.12e2 - t671 * t4039 / 0.6e1 - t671 * t3489 / 0.6e1 + t666 * t3510 / 0.6e1 + t671 * t3503 / 0.3e1 + t233 * t3804 / 0.12e2 + t233 * t3484 / 0.12e2 - t2529 * t1010 / 0.6e1 + t2004 * t4054 / 0.2e1 + t2004 * t4057 / 0.2e1 - t1397 * t4060 / 0.2e1 + t2471 * t3401 / 0.12e2 + t2511 * t3406 / 0.12e2 - t2861 * t623 / 0.2e1 + t719 * t646 / 0.2e1 - t2452 * t730 / 0.2e1;
  t4076 = t1698 * t302;
  t4077 = t696 * t4076;
  t4078 = t62 * t205;
  t4079 = t4078 * t122;
  t4080 = t427 * t4079;
  t4083 = t1745 * t1415;
  t4084 = t2700 * t4083;
  t4085 = t1845 * t4079;
  t4090 = t414 * t4079;
  t4095 = t236 * t3598;
  t4100 = t4078 * t312;
  t4101 = t427 * t4100;
  t4104 = t1523 * t134;
  t4105 = t236 * t4104;
  t4106 = t149 * t4079;
  t4109 = t149 * t4100;
  t4114 = t414 * t4100;
  t4117 = t1857 * t4079;
  t4120 = -0.12e2 * t4077 * t4080 - 0.2e1 / 0.3e1 * t4084 * t4085 - 0.2e1 * t2687 * t3592 + 0.6e1 * t4084 * t4090 + 0.2e1 * t2689 * t3595 + 0.2e1 * t4095 * t3601 + t2687 * t3604 / 0.3e1 - 0.4e1 * t2687 * t4101 + 0.6e1 * t4105 * t4106 + 0.2e1 * t2689 * t4109 + 0.2e1 * t4077 * t4090 + 0.2e1 / 0.3e1 * t2687 * t4114 - t4084 * t4117 / 0.9e1;
  t4121 = t590 * t205;
  t4122 = t400 * t4121;
  t4129 = t1746 * t4121;
  t4145 = -0.4e1 * t2708 * t4122 - t2726 * t1025 / 0.3e1 - t697 * t3655 / 0.3e1 + t2701 * t4129 / 0.18e2 - t691 * t953 + t2720 * t1036 + t693 * t3705 + t691 * t966 / 0.2e1 + t237 * t3676 / 0.2e1 - t2726 * t1040 - t697 * t3698 + 0.2e1 / 0.3e1 * t2726 * t1033 + 0.2e1 / 0.3e1 * t697 * t3683;
  t4148 = t1032 * t312;
  t4149 = t1879 * t4148;
  t4159 = t1751 * t4121;
  t4162 = t1756 * t4148;
  t4165 = t145 * t4121;
  t4168 = t404 * t4148;
  t4174 = t409 * t4121;
  t4177 = -t237 * t3650 + 0.2e1 * t697 * t4149 - t237 * t3637 - 0.2e1 / 0.3e1 * t697 * t3640 + 0.2e1 * t2726 * t1029 + 0.2e1 * t697 * t3627 + 0.1e2 / 0.3e1 * t2701 * t4159 - 0.4e1 / 0.3e1 * t697 * t4162 - 0.3e1 * t2733 * t4165 - t693 * t4168 - 0.2e1 * t2720 * t1022 - 0.2e1 * t693 * t3616 + 0.6e1 * t2708 * t4174;
  t4179 = t1756 * t4121;
  t4183 = -0.3e1 * t2701 * t4179 + t3643 * t697 - t3647 * t693 - t3609 - t3610 - t3614 + t3625 + t3688 + t3690 - t3697 + t3704 + t943 - t962;
  t4185 = t4120 + t4145 + t4177 + t4183;
  t4186 = t59 * t4185;
  t4187 = t4186 * t96;
  t4190 = t22 * t2733;
  t4191 = t1982 * t3935;
  t4194 = t96 * t2025;
  t4195 = t1404 * t4194;
  t4198 = t1962 * t3935;
  t4201 = t193 * t205;
  t4202 = t169 * t4201;
  t4203 = t1982 * t4202;
  t4206 = t1974 * t4194;
  t4209 = t3965 * t3935;
  t4212 = t1962 * t4202;
  t4219 = t1968 * t4194;
  t4222 = t1996 * t4202;
  t4231 = t377 * t1000;
  t4232 = t548 * t4231;
  t4235 = -t22 * t4187 / 0.4e1 - t4190 * t4191 / 0.2e1 - t2485 * t4195 / 0.6e1 + t3956 * t4198 / 0.2e1 + t2485 * t4203 / 0.6e1 + t2471 * t4206 / 0.6e1 - 0.5e1 / 0.36e2 * t3933 * t4209 - t2471 * t4212 / 0.12e2 - t2485 * t3579 / 0.6e1 - t2511 * t3585 / 0.6e1 + t2471 * t4219 / 0.3e1 - t2471 * t4222 / 0.6e1 - t671 * t3449 / 0.12e2 - t233 * t2158 / 0.12e2 + t2529 * t1016 / 0.3e1 + t671 * t4232 / 0.3e1;
  t4240 = t400 * t3981;
  t4241 = t2323 * t4240;
  t4244 = t582 * t2497;
  t4246 = t500 * t2025;
  t4247 = t1974 * t4246;
  t4250 = t1395 * t4201;
  t4251 = t1962 * t4250;
  t4254 = t145 * t3934;
  t4255 = t2733 * t4254;
  t4258 = t404 * t2025;
  t4259 = t693 * t4258;
  t4262 = t2490 * t990;
  t4265 = -t2565 * t1005 / 0.36e2 + t654 * t932 / 0.36e2 + 0.3e1 * t2022 * t4241 + t2022 * t4244 - 0.2e1 / 0.3e1 * t2471 * t4247 + t2471 * t4251 / 0.3e1 - t3747 + t3749 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 + 0.3e1 / 0.2e1 * t2004 * t4255 + t2004 * t4259 / 0.2e1 - t1397 * t4262 / 0.4e1;
  t4267 = t2475 * t1052;
  t4272 = t318 * t3948;
  t4277 = t548 * t3948;
  t4302 = t138 * t1044;
  t4305 = -t2011 * t4267 / 0.2e1 + t233 * t2162 / 0.12e2 + t538 * t4272 / 0.6e1 + t208 * t2787 / 0.12e2 - t546 * t4277 / 0.12e2 - t208 * t2779 / 0.12e2 - t719 * t637 / 0.2e1 - t719 * t641 / 0.4e1 + t719 * t627 / 0.4e1 - t525 * t686 / 0.36e2 - t654 * t569 / 0.36e2 + t2822 * t223 / 0.12e2 + t2248 * t248 / 0.12e2 - t208 * t2827 / 0.12e2 - t661 * t569 / 0.12e2 + t610 * t738 / 0.4e1 - t127 * t4302 / 0.12e2;
  t4306 = t1042 * t159;
  t4307 = t158 * t4306;
  t4308 = t106 * t4307;
  t4335 = t4308 * t166 / 0.4e1 + t2816 * t223 / 0.4e1 - t233 * t2253 / 0.12e2 - t533 * t686 / 0.12e2 + t2243 * t248 / 0.4e1 - t3829 + t719 * t631 / 0.4e1 - t3852 + t3867 + t661 * t932 / 0.12e2 + t387 * t1066 / 0.6e1 - t387 * t1061 / 0.12e2 - t387 * t1058 / 0.6e1 - t1763 * t1053 / 0.6e1 + t2565 * t1016 / 0.9e1 - t2565 * t1010 / 0.18e2 + t3869;
  t4339 = my_piecewise3(t3, 0, t3939 + t4000 + t4033 + t4073 + t4235 + t4265 + t4305 + t4335);
  tv3rhosigmalapl0 = 0.2e1 * rho[0] * t4339 + 0.2e1 * t1070;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  t4344 = t3210 * t4083;
  t4349 = t262 * t3598;
  t4360 = t880 * t4076;
  t4365 = t262 * t4104;
  t4374 = -t4344 * t4117 / 0.9e1 + 0.2e1 * t3200 * t3595 + 0.2e1 * t4349 * t3601 + t3197 * t3604 / 0.3e1 - 0.2e1 / 0.3e1 * t4344 * t4085 - 0.2e1 * t3197 * t3592 + 0.6e1 * t4344 * t4090 - 0.12e2 * t4360 * t4080 - 0.4e1 * t3197 * t4101 + 0.6e1 * t4365 * t4106 + 0.2e1 * t3200 * t4109 + 0.2e1 * t4360 * t4090 + 0.2e1 / 0.3e1 * t3197 * t4114;
  t4395 = -t3220 * t1040 - t881 * t3698 + 0.2e1 / 0.3e1 * t3220 * t1033 + 0.2e1 / 0.3e1 * t881 * t3683 + t3246 * t1036 + t877 * t3705 + t875 * t966 / 0.2e1 + 0.6e1 * t3214 * t4174 + t881 * t3643 - 0.3e1 * t3211 * t4179 - t263 * t3637 - 0.2e1 / 0.3e1 * t881 * t3640 + 0.2e1 * t3220 * t1029;
  t4420 = 0.2e1 * t881 * t3627 + 0.2e1 * t881 * t4149 + 0.1e2 / 0.3e1 * t3211 * t4159 - 0.4e1 / 0.3e1 * t881 * t4162 - 0.3e1 * t3227 * t4165 - t877 * t4168 - t877 * t3647 - t263 * t3650 - 0.2e1 * t3246 * t1022 - 0.2e1 * t877 * t3616 - 0.4e1 * t3214 * t4122 - t3220 * t1025 / 0.3e1 - t881 * t3655 / 0.3e1;
  t4426 = t3211 * t4129 / 0.18e2 - t875 * t953 + t263 * t3676 / 0.2e1 - t3609 - t3610 - t3614 + t3625 + t3688 + t3690 - t3697 + t3704 - t962 + t943;
  t4428 = t4374 + t4395 + t4420 + t4426;
  t4429 = t59 * t4428;
  t4430 = t4429 * t96;
  t4433 = t287 * t362;
  t4434 = t4433 * t544;
  t4435 = t4434 * t645;
  t4438 = t256 * t122;
  t4439 = t1746 * t4438;
  t4440 = t2331 * t4439;
  t4443 = t1751 * t4438;
  t4444 = t2331 * t4443;
  t4447 = t3214 * t3996;
  t4450 = t256 * t929;
  t4451 = t1756 * t4450;
  t4452 = t2024 * t4451;
  t4479 = -t103 * t1101 / 0.12e2 - t22 * t4430 / 0.4e1 + t1397 * t4435 / 0.2e1 + 0.3e1 / 0.2e1 * t3980 * t4440 - 0.3e1 * t2022 * t4444 - 0.3e1 * t2004 * t4447 + t2022 * t4452 / 0.2e1 - t791 * t4034 / 0.12e2 - t791 * t3791 / 0.12e2 + t813 * t932 / 0.12e2 - t2998 * t1010 / 0.6e1 - t791 * t4039 / 0.6e1 - t791 * t3489 / 0.6e1 + t785 * t3510 / 0.6e1 + t2927 * t1002 / 0.6e1 + t785 * t4026 / 0.6e1 + t785 * t3807 / 0.6e1 - t2998 * t1005 / 0.12e2 + t3168 * t3406 / 0.12e2;
  t4482 = t22 * t3211;
  t4489 = t604 * t288;
  t4492 = t1100 * t194;
  t4503 = t22 * t3214;
  t4510 = t22 * t3227;
  t4519 = t2874 * t4219 / 0.3e1 - 0.5e1 / 0.36e2 * t4482 * t4209 - t2874 * t4212 / 0.12e2 - t103 * t1122 / 0.12e2 - t22 * t4489 / 0.4e1 - t22 * t4492 / 0.4e1 - t3162 * t3579 / 0.6e1 - t3168 * t3585 / 0.6e1 + t2874 * t3401 / 0.12e2 - t3162 * t4195 / 0.6e1 + t4503 * t4198 / 0.2e1 + t3162 * t4203 / 0.6e1 + t2874 * t4206 / 0.6e1 - t4510 * t4191 / 0.2e1 - t913 + t984 + t791 * t3425 / 0.3e1 - 0.2e1 * t4503 * t3958 - 0.11e2 / 0.18e2 * t4482 * t3962;
  t4523 = t218 * t870;
  t4526 = t2986 * t536;
  t4527 = t4526 * t636;
  t4530 = t2986 * t206;
  t4531 = t4530 * t334;
  t4534 = t2943 * t1065;
  t4537 = t2896 * t990;
  t4540 = t767 * t3755;
  t4543 = t3030 * t1052;
  t4546 = t758 * t3528;
  t4557 = t3036 * t1057;
  t4560 = t763 * t3553;
  t4565 = 0.23e2 / 0.36e2 * t4482 * t3966 - t22 * t4523 / 0.4e1 - t3520 + t3524 - t3575 - t1397 * t4527 / 0.2e1 - t1397 * t4531 / 0.4e1 + t1397 * t4534 / 0.2e1 - t162 * t4537 / 0.4e1 - t162 * t4540 / 0.4e1 - t509 * t4543 / 0.2e1 - t509 * t4546 / 0.2e1 - t610 * t764 / 0.2e1 - t610 * t768 / 0.4e1 + t610 * t781 / 0.4e1 - t379 * t1111 / 0.2e1 - t162 * t4557 / 0.2e1 - t162 * t4560 / 0.2e1 - t379 * t1114 / 0.4e1;
  t4566 = t3030 * t1065;
  t4569 = t758 * t3544;
  t4578 = t2156 * t775;
  t4579 = t318 * t4578;
  t4585 = t2885 * t211 * t165;
  t4589 = t775 * t573 * t165;
  t4594 = t3211 * t3992;
  t4597 = t287 * t122;
  t4598 = t169 * t4597;
  t4599 = t1996 * t4598;
  t4602 = t162 * t4566 / 0.2e1 + t162 * t4569 / 0.2e1 - t533 * t777 / 0.12e2 - t208 * t2908 / 0.12e2 - t208 * t2912 / 0.12e2 - t127 * t4579 / 0.12e2 + t379 * t1126 / 0.4e1 + t162 * t4585 / 0.4e1 + t162 * t4589 / 0.4e1 + t379 * t1117 / 0.2e1 - t3747 + t3749 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 + 0.3e1 / 0.2e1 * t2004 * t4594 - t1961 * t4599 / 0.6e1;
  t4605 = t1395 * t4597;
  t4606 = t1962 * t4605;
  t4609 = t4434 * t622;
  t4612 = t2966 * t539;
  t4613 = t548 * t4612;
  t4640 = t318 * t4612;
  t4649 = t1961 * t4606 / 0.3e1 - t2011 * t4609 / 0.2e1 - t546 * t4613 / 0.12e2 - t208 * t2972 / 0.12e2 + t259 * t2162 / 0.12e2 - t791 * t3449 / 0.12e2 - t259 * t2158 / 0.12e2 + t2998 * t1016 / 0.3e1 + t791 * t4232 / 0.3e1 + t791 * t3503 / 0.3e1 + t259 * t3804 / 0.12e2 + t259 * t3484 / 0.12e2 - t823 * t637 / 0.2e1 - t823 * t641 / 0.4e1 + t823 * t627 / 0.4e1 + t538 * t4640 / 0.6e1 + t208 * t2968 / 0.12e2 + t610 * t772 / 0.4e1 - t1689 * t1108 / 0.2e1;
  t4660 = t1982 * t4598;
  t4665 = t1962 * t4598;
  t4668 = t263 * t3824;
  t4671 = t2956 * t990;
  t4674 = t881 * t4015;
  t4676 = t3227 * t4254;
  t4679 = t877 * t4258;
  t4682 = t2951 * t1057;
  t4685 = t877 * t3820;
  t4688 = t400 * t4438;
  t4689 = t2323 * t4688;
  t4692 = t582 * t2947;
  t4700 = t387 * t1126 / 0.12e2 - t525 * t777 / 0.36e2 + t387 * t1117 / 0.6e1 - t387 * t1114 / 0.12e2 - t387 * t1111 / 0.6e1 + t1978 * t4660 / 0.6e1 + t1993 * t2993 / 0.12e2 - t1961 * t4665 / 0.12e2 + t2004 * t4668 / 0.2e1 - t1397 * t4671 / 0.4e1 - t2004 * t4674 + 0.3e1 / 0.2e1 * t2004 * t4676 + t2004 * t4679 / 0.2e1 - t1397 * t4682 / 0.2e1 + t2004 * t4685 / 0.2e1 + 0.3e1 * t2022 * t4689 + t2022 * t4692 - t1763 * t1108 / 0.6e1 + t2900 * t1016 / 0.9e1 - t2900 * t1010 / 0.18e2;
  t4720 = t1099 * t159;
  t4721 = t158 * t4720;
  t4722 = t106 * t4721;
  t4737 = t138 * t1101;
  t4740 = t806 * t932 / 0.36e2 - t2900 * t1005 / 0.36e2 + t2917 * t1002 / 0.18e2 + t2248 * t274 / 0.12e2 + t3322 * t223 / 0.12e2 - t525 * t818 / 0.36e2 - t806 * t569 / 0.36e2 - t813 * t569 / 0.12e2 - t259 * t2253 / 0.12e2 + t4722 * t166 / 0.4e1 + t3366 * t223 / 0.4e1 - t533 * t818 / 0.12e2 - t208 * t3361 / 0.12e2 + t823 * t631 / 0.4e1 + t2243 * t274 / 0.4e1 + t610 * t829 / 0.4e1 - t127 * t4737 / 0.12e2 - t3829 - t3852;
  t4741 = t881 * t3444;
  t4755 = t2943 * t1052;
  t4764 = t555 * t4612;
  t4767 = t821 * t539;
  t4768 = t548 * t4767;
  t4781 = t3867 - t2004 * t4741 / 0.2e1 + t2874 * t3432 / 0.6e1 - t2874 * t3436 / 0.3e1 - t4482 * t3936 / 0.2e1 + 0.7e1 / 0.3e1 * t4482 * t3971 - 0.3e1 / 0.2e1 * t4482 * t3975 + t4503 * t3990 - t2011 * t4755 / 0.2e1 + t2874 * t4251 / 0.3e1 - t2874 * t4222 / 0.6e1 - 0.2e1 / 0.3e1 * t2874 * t4247 - t546 * t4764 / 0.6e1 + t546 * t4768 / 0.3e1 - t3389 * t623 / 0.2e1 + t823 * t646 / 0.2e1 - t2452 * t759 / 0.2e1 + t610 * t796 / 0.2e1 - t791 * t3421 / 0.6e1 + t3869;
  t4785 = my_piecewise3(t3, 0, t4479 + t4519 + t4565 + t4602 + t4649 + t4700 + t4740 + t4781);
  tv3rhosigmatau0 = 0.2e1 * rho[0] * t4785 + 0.2e1 * t1130;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  t4788 = t1132 * t1533;
  t4789 = t1743 * t4788;
  t4790 = t4789 * t3760;
  t4793 = t1132 * t1581;
  t4794 = t363 * t4793;
  t4795 = t106 * t4794;
  t4799 = t1531 * t4788;
  t4800 = t106 * t4799;
  t4811 = t1472 * t1148;
  t4812 = t305 * t4811;
  t4820 = t307 * t664;
  t4823 = t1485 * t669;
  t4826 = t307 * t231;
  t4833 = t236 * t326;
  t4838 = t696 * t365;
  t4841 = 0.2e1 / 0.3e1 * t3454 * t1260 + 0.2e1 * t307 * t658 * t165 - 0.4e1 * t4820 * t636 + 0.4e1 / 0.3e1 * t4823 * t622 - 0.2e1 * t4826 * t334 + 0.4e1 * t4823 * t645 - 0.2e1 * t705 * t138 + 0.4e1 * t4833 * t636 + 0.2e1 * t239 * t334 - 0.4e1 * t4838 * t645;
  t4842 = t95 * t4841;
  t4843 = t306 * t4842;
  t4844 = t305 * t4843;
  t4853 = -0.3e1 * t509 * t4790 + t4795 * t556 - 0.2e1 * t4795 * t562 - 0.11e2 / 0.18e2 * t4800 * t3724 + 0.23e2 / 0.36e2 * t4800 * t3727 - 0.5e1 / 0.36e2 * t4800 * t3796 - t1140 * t1609 / 0.12e2 + t661 * t1150 / 0.12e2 + t233 * t4812 / 0.12e2 + t233 * t4844 / 0.12e2 - t1135 * t315 / 0.6e1 + t4795 * t549 / 0.2e1 + t1135 * t320 / 0.6e1;
  t4854 = t510 * t1138;
  t4855 = t4854 * t1448;
  t4857 = t296 * t1163;
  t4858 = t4857 * t512;
  t4868 = t2629 * t1198;
  t4872 = t303 * t137 * t4841;
  t4873 = t745 * t4872;
  t4877 = t135 * t137 * t658;
  t4878 = t741 * t4877;
  t4880 = t163 * t1138;
  t4881 = t4880 * t636;
  t4884 = t372 * t658;
  t4885 = t371 * t4884;
  t4886 = t729 * t4885;
  t4888 = t510 * t4793;
  t4889 = t4888 * t622;
  t4892 = t509 * t4855 - t509 * t4858 / 0.2e1 - t719 * t742 - t719 * t746 / 0.2e1 + t719 * t734 / 0.2e1 - 0.2e1 / 0.3e1 * t1140 * t1468 - t162 * t4868 / 0.4e1 - t162 * t4873 / 0.4e1 - t162 * t4878 + 0.3e1 / 0.2e1 * t162 * t4881 - t509 * t4886 + 0.3e1 * t509 * t4889 - t913 + t984;
  t4902 = t95 * t658;
  t4903 = t160 * t4902;
  t4904 = t548 * t4903;
  t4913 = t4789 * t3739;
  t4918 = t1140 * t1588 / 0.3e1 + t233 * t2787 / 0.6e1 - t671 * t4277 / 0.6e1 - t233 * t2779 / 0.6e1 + 0.2e1 / 0.3e1 * t671 * t4904 + 0.2e1 / 0.3e1 * t671 * t3953 - 0.3e1 / 0.2e1 * t4800 * t3429 - t2861 * t730 + t719 * t749 + 0.3e1 / 0.2e1 * t1742 * t4913 - t103 * t1184 / 0.12e2 - t3520 + t3524;
  t4919 = t1147 * t122;
  t4920 = t404 * t4919;
  t4921 = t693 * t4920;
  t4924 = t1147 * t312;
  t4925 = t1883 * t4924;
  t4926 = t237 * t4925;
  t4929 = t2490 * t1198;
  t4942 = t1182 * t159;
  t4943 = t158 * t4942;
  t4944 = t106 * t4943;
  t4951 = -t3575 + t2004 * t4921 / 0.2e1 + t2004 * t4926 / 0.2e1 - t1397 * t4929 / 0.4e1 - t3747 + t3749 - t1140 * t1675 / 0.6e1 - t661 * t686 / 0.6e1 - t233 * t2827 / 0.6e1 + t1135 * t359 / 0.6e1 - t1140 * t1528 / 0.12e2 + t4944 * t166 / 0.4e1 + t2816 * t248 / 0.2e1 + t1140 * t1679 / 0.3e1;
  t4962 = t138 * t1184;
  t4965 = t1183 * t194;
  t4970 = -t379 * t1194 / 0.2e1 + t379 * t1202 / 0.2e1 + t719 * t738 / 0.2e1 - t1689 * t1190 / 0.2e1 - t127 * t4962 / 0.12e2 - t22 * t4965 / 0.4e1 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 - t4800 * t3730 / 0.2e1;
  t4973 = t62 * t1147;
  t4974 = t4973 * t122;
  t4975 = t427 * t4974;
  t4978 = t414 * t4974;
  t4981 = t149 * t4974;
  t4984 = t4973 * t312;
  t4985 = t149 * t4984;
  t4988 = t60 * t4841;
  t4989 = t404 * t4988;
  t4992 = t60 * t658;
  t4993 = t409 * t4992;
  t4996 = t69 * t1132;
  t4997 = t4996 * t1745;
  t5000 = -0.2e1 * t2687 * t4975 + t2687 * t4978 / 0.3e1 + 0.2e1 * t2689 * t4981 + 0.2e1 * t4095 * t4985 - t3609 - t3610 - t3614 + t3625 + t237 * t4989 / 0.2e1 - 0.2e1 * t697 * t4993 + 0.1e2 / 0.3e1 * t4997 * t3679;
  t5001 = t400 * t4992;
  t5006 = t1163 * t1698;
  t5013 = t145 * t4992;
  t5016 = t1159 * t1523;
  t5022 = 0.4e1 / 0.3e1 * t697 * t5001 - 0.4e1 / 0.3e1 * t1164 * t1903 - 0.4e1 * t5006 * t591 + t4997 * t3694 / 0.18e2 + 0.2e1 * t1164 * t1931 + 0.2e1 * t693 * t5013 - 0.3e1 * t5016 * t597 - t1160 * t424 + t691 * t1178 / 0.2e1 + t3688 + t3690 - t3697;
  t5024 = t1177 * t122;
  t5025 = t404 * t5024;
  t5027 = t1177 * t312;
  t5028 = t1883 * t5027;
  t5030 = t63 * t658;
  t5031 = t145 * t5030;
  t5040 = t400 * t5030;
  t5048 = t3704 - t693 * t5025 - t237 * t5028 - 0.4e1 * t693 * t5031 + 0.6e1 * t5016 * t578 + 0.2e1 * t1160 * t406 + 0.2e1 * t5006 * t583 - 0.2e1 / 0.3e1 * t697 * t5040 + 0.2e1 / 0.3e1 * t1164 * t1877 - t4997 * t3632 / 0.9e1 - t691 * t1168;
  t5051 = t1879 * t5024;
  t5057 = t63 * t4841;
  t5058 = t404 * t5057;
  t5060 = t1756 * t5024;
  t5063 = t409 * t5030;
  t5072 = 0.6e1 * t4997 * t3667 + t697 * t5051 - 0.12e2 * t5006 * t587 - 0.2e1 / 0.3e1 * t4997 * t3664 - t237 * t5058 - 0.2e1 / 0.3e1 * t697 * t5060 + 0.4e1 * t697 * t5063 - 0.4e1 * t1164 * t1880 + 0.6e1 * t5006 * t601 - 0.3e1 * t4997 * t3672 - t962 + t943;
  t5074 = t5000 + t5022 + t5048 + t5072;
  t5075 = t59 * t5074;
  t5076 = t5075 * t96;
  t5079 = t500 * t4919;
  t5080 = t1974 * t5079;
  t5083 = t96 * t4919;
  t5084 = t1404 * t5083;
  t5087 = t96 * t4924;
  t5088 = t3582 * t5087;
  t5091 = t1974 * t5083;
  t5094 = t193 * t1147;
  t5095 = t169 * t5094;
  t5096 = t1404 * t5095;
  t5099 = t230 * t1147;
  t5100 = t1756 * t5099;
  t5101 = t2024 * t5100;
  t5104 = t1879 * t4919;
  t5105 = t697 * t5104;
  t5108 = t1968 * t5083;
  t5111 = t306 * t4902;
  t5112 = t555 * t5111;
  t5121 = 0.7e1 / 0.3e1 * t4800 * t3417 - t22 * t5076 / 0.4e1 - t2471 * t5080 / 0.3e1 - t2485 * t5084 / 0.6e1 - t2511 * t5088 / 0.6e1 + t2471 * t5091 / 0.12e2 + t2511 * t5096 / 0.12e2 + t2022 * t5101 / 0.2e1 - t2004 * t5105 / 0.2e1 + t2471 * t5108 / 0.6e1 - t671 * t5112 / 0.3e1 + t1140 * t1464 / 0.3e1 - t1140 * t1452 / 0.6e1 + t666 * t4272 / 0.3e1;
  t5123 = t4888 * t645;
  t5126 = t4789 * t3411;
  t5133 = t382 * t1139;
  t5142 = t382 * t1134;
  t5151 = -0.3e1 * t162 * t5123 + 0.3e1 / 0.2e1 * t162 * t5126 - t671 * t3949 / 0.3e1 - t1763 * t1190 / 0.6e1 + t5133 * t502 / 0.9e1 - t654 * t686 / 0.18e2 - t5133 * t497 / 0.18e2 - t5133 * t374 / 0.36e2 + t5142 * t139 / 0.18e2 + t387 * t1202 / 0.6e1 - t387 * t1194 / 0.6e1 + t2822 * t248 / 0.6e1 - t3829 - t3852;
  t5152 = t548 * t5111;
  t5157 = t318 * t5111;
  t5160 = t109 * t1138;
  t5161 = t106 * t5160;
  t5169 = t371 * t408 * t658;
  t5170 = t729 * t5169;
  t5172 = t4854 * t1442;
  t5174 = t4857 * t516;
  t5177 = t163 * t1133;
  t5178 = t5177 * t334;
  t5182 = t296 * t1159 * t328;
  t5187 = t3867 - t671 * t5152 / 0.6e1 + t1140 * t1456 / 0.6e1 + t666 * t5157 / 0.3e1 - t5161 * t541 / 0.2e1 - t387 * t1199 / 0.12e2 + t654 * t1150 / 0.36e2 + t162 * t5170 - t162 * t5172 + t162 * t5174 / 0.2e1 + t162 * t5178 / 0.2e1 - t162 * t5182 / 0.2e1 - t379 * t1199 / 0.4e1 + t3869;
  t5191 = my_piecewise3(t3, 0, t4853 + t4892 + t4918 + t4951 + t4970 + t5121 + t5151 + t5187);
  tv3rholapl20 = 0.2e1 * rho[0] * t5191 + 0.2e1 * t1206;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  t5194 = t1251 * t194;
  t5197 = t243 * t870;
  t5200 = t713 * t288;
  t5207 = t1472 * t1208;
  t5208 = t548 * t5207;
  t5229 = t3030 * t1260;
  t5238 = -t22 * t5194 / 0.4e1 - t22 * t5197 / 0.4e1 - t22 * t5200 / 0.4e1 + t785 * t5157 / 0.6e1 - t2998 * t1213 / 0.12e2 - t791 * t5208 / 0.12e2 - t791 * t5152 / 0.12e2 + t813 * t1150 / 0.12e2 + t259 * t4812 / 0.12e2 + t233 * t2968 / 0.12e2 - t671 * t4613 / 0.12e2 - t233 * t2972 / 0.12e2 - t791 * t4277 / 0.12e2 - t259 * t2779 / 0.12e2 + t2998 * t1224 / 0.3e1 - t509 * t5229 / 0.2e1 - t823 * t742 / 0.2e1 - t823 * t746 / 0.4e1 + t823 * t734 / 0.4e1;
  t5241 = t2986 * t664;
  t5242 = t5241 * t636;
  t5245 = t2986 * t231;
  t5246 = t5245 * t334;
  t5249 = t2943 * t1273;
  t5258 = t263 * t4925;
  t5261 = t2956 * t1198;
  t5264 = t1879 * t2496;
  t5265 = t881 * t5264;
  t5267 = t145 * t3981;
  t5268 = t3227 * t5267;
  t5271 = t404 * t2496;
  t5272 = t877 * t5271;
  t5277 = t555 * t5207;
  t5286 = t666 * t4640 / 0.6e1 - t913 + t984 - t1397 * t5242 / 0.2e1 - t1397 * t5246 / 0.4e1 + t1397 * t5249 / 0.2e1 + t2485 * t4660 / 0.6e1 + t2511 * t2993 / 0.12e2 - t2471 * t4665 / 0.12e2 + t2004 * t5258 / 0.2e1 - t1397 * t5261 / 0.4e1 - t2004 * t5265 + 0.3e1 / 0.2e1 * t2004 * t5268 + t2004 * t5272 / 0.2e1 - t2998 * t1218 / 0.6e1 - t791 * t5277 / 0.6e1 - t791 * t5112 / 0.6e1 + t785 * t4272 / 0.6e1 + t259 * t2787 / 0.12e2;
  t5288 = t318 * t5207;
  t5291 = t377 * t1208;
  t5292 = t548 * t5291;
  t5317 = t3036 * t1265;
  t5320 = t763 * t4877;
  t5325 = t785 * t5288 / 0.6e1 + t791 * t5292 / 0.3e1 + t791 * t4904 / 0.3e1 + t259 * t4844 / 0.12e2 + t2927 * t1210 / 0.6e1 + t387 * t1283 / 0.12e2 - t654 * t777 / 0.36e2 + t387 * t1274 / 0.6e1 - t387 * t1269 / 0.12e2 - t387 * t1266 / 0.6e1 - t1763 * t1261 / 0.6e1 - t3520 + t3524 - t3575 - t233 * t2912 / 0.12e2 - t379 * t1266 / 0.2e1 - t162 * t5317 / 0.2e1 - t162 * t5320 / 0.2e1 - t379 * t1269 / 0.4e1;
  t5326 = t2896 * t1198;
  t5329 = t767 * t4872;
  t5333 = t2885 * t236 * t165;
  t5337 = t775 * t690 * t165;
  t5342 = t3030 * t1273;
  t5345 = t758 * t5169;
  t5352 = t2777 * t775;
  t5353 = t318 * t5352;
  t5372 = t96 * t3981;
  t5373 = t1982 * t5372;
  t5376 = t1756 * t3981;
  t5377 = t3211 * t5376;
  t5380 = -t162 * t5326 / 0.4e1 - t162 * t5329 / 0.4e1 + t162 * t5333 / 0.4e1 + t162 * t5337 / 0.4e1 + t379 * t1274 / 0.2e1 + t162 * t5342 / 0.2e1 + t162 * t5345 / 0.2e1 - t661 * t777 / 0.12e2 - t233 * t2908 / 0.12e2 - t127 * t5353 / 0.12e2 + t719 * t781 / 0.4e1 + t379 * t1283 / 0.4e1 + t791 * t3953 / 0.3e1 - t671 * t4764 / 0.6e1 + t671 * t4768 / 0.3e1 - t3389 * t730 / 0.2e1 + t823 * t749 / 0.2e1 - t2861 * t759 / 0.2e1 - t4510 * t5373 / 0.2e1 + 0.3e1 / 0.2e1 * t2004 * t5377;
  t5387 = t4433 * t669;
  t5388 = t5387 * t622;
  t5391 = t5387 * t645;
  t5394 = t2701 * t4443;
  t5404 = t590 * t230;
  t5405 = t1751 * t5404;
  t5408 = t1240 * t312;
  t5409 = t1756 * t5408;
  t5412 = t409 * t5404;
  t5416 = t1756 * t5404;
  t5423 = t400 * t5404;
  t5428 = -t263 * t5058 - 0.2e1 / 0.3e1 * t881 * t5060 + 0.2e1 * t3220 * t1237 + 0.2e1 * t881 * t5063 + 0.1e2 / 0.3e1 * t3211 * t5405 - 0.4e1 / 0.3e1 * t881 * t5409 + 0.6e1 * t3214 * t5412 + t881 * t5051 - 0.3e1 * t3211 * t5416 - 0.2e1 * t3246 * t1230 - 0.2e1 * t877 * t5031 - 0.4e1 * t3214 * t5423 - t3220 * t1233 / 0.3e1;
  t5429 = t1879 * t5408;
  t5432 = t145 * t5404;
  t5435 = t404 * t5408;
  t5441 = t1746 * t5404;
  t5447 = t62 * t230;
  t5448 = t5447 * t312;
  t5449 = t427 * t5448;
  t5452 = t5447 * t122;
  t5453 = t149 * t5452;
  t5456 = t149 * t5448;
  t5459 = t414 * t5452;
  t5462 = 0.2e1 * t881 * t5429 - 0.3e1 * t3227 * t5432 - t877 * t5435 - t877 * t5025 - t263 * t5028 - t881 * t5040 / 0.3e1 + t3211 * t5441 / 0.18e2 - t875 * t1168 + t3197 * t4978 / 0.3e1 - 0.4e1 * t3197 * t5449 + 0.6e1 * t4365 * t5453 + 0.2e1 * t3200 * t5456 + 0.2e1 * t4360 * t5459;
  t5466 = t427 * t5452;
  t5469 = t414 * t5448;
  t5472 = t1857 * t5452;
  t5479 = t1845 * t5452;
  t5486 = 0.6e1 * t4344 * t5459 - 0.12e2 * t4360 * t5466 + 0.2e1 / 0.3e1 * t3197 * t5469 - t4344 * t5472 / 0.9e1 + 0.2e1 * t3200 * t4981 + 0.2e1 * t4349 * t4985 - 0.2e1 / 0.3e1 * t4344 * t5479 - 0.2e1 * t3197 * t4975 - t3609 - t3610 - t3614 + t3625 + t263 * t4989 / 0.2e1;
  t5497 = -t3220 * t1248 - t881 * t4993 + 0.2e1 / 0.3e1 * t3220 * t1241 + 0.2e1 / 0.3e1 * t881 * t5001 + t3246 * t1244 + t877 * t5013 + t875 * t1178 / 0.2e1 + t3688 + t3690 - t3697 + t3704 - t962 + t943;
  t5499 = t5428 + t5462 + t5486 + t5497;
  t5500 = t59 * t5499;
  t5501 = t5500 * t96;
  t5508 = t138 * t1252;
  t5511 = t1250 * t159;
  t5512 = t158 * t5511;
  t5513 = t106 * t5512;
  t5530 = -t2471 * t4599 / 0.6e1 + t2471 * t4606 / 0.3e1 - t2011 * t5388 / 0.2e1 + t1397 * t5391 / 0.2e1 - 0.3e1 * t2022 * t5394 - t22 * t5501 / 0.4e1 - t3747 + t3749 + t2816 * t274 / 0.4e1 + t719 * t829 / 0.4e1 - t127 * t5508 / 0.12e2 + t5513 * t166 / 0.4e1 + t3366 * t248 / 0.4e1 + t823 * t738 / 0.4e1 - t813 * t686 / 0.12e2 - t259 * t2827 / 0.12e2 - t806 * t686 / 0.36e2 - t661 * t818 / 0.12e2 - t233 * t3361 / 0.12e2;
  t5547 = t3961 * t5372;
  t5550 = t500 * t3981;
  t5551 = t3965 * t5550;
  t5560 = t758 * t4885;
  t5563 = t3322 * t248 / 0.12e2 - t654 * t818 / 0.36e2 + t2822 * t274 / 0.12e2 + t2900 * t1224 / 0.9e1 - t2900 * t1218 / 0.18e2 + t806 * t1150 / 0.36e2 - t2900 * t1213 / 0.36e2 + t2917 * t1210 / 0.18e2 - 0.11e2 / 0.18e2 * t4482 * t5547 + 0.23e2 / 0.36e2 * t4482 * t5551 + t2874 * t5108 / 0.6e1 - t2874 * t5080 / 0.3e1 - t103 * t1279 / 0.12e2 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 - t509 * t5560 / 0.2e1;
  t5573 = t409 * t3981;
  t5574 = t3214 * t5573;
  t5577 = t256 * t1147;
  t5578 = t1756 * t5577;
  t5579 = t2024 * t5578;
  t5582 = t881 * t5104;
  t5585 = t1974 * t5372;
  t5588 = t3961 * t5550;
  t5591 = t1733 * t3981;
  t5595 = t2701 * t4439;
  t5598 = t1996 * t5372;
  t5600 = t1962 * t5550;
  t5605 = t2951 * t1265;
  t5608 = t877 * t4920;
  t5611 = t2708 * t4688;
  t5614 = t697 * t2947;
  t5616 = t2943 * t1260;
  t5619 = -t719 * t764 / 0.2e1 - t719 * t768 / 0.4e1 + t719 * t772 / 0.4e1 - t1689 * t1261 / 0.2e1 - 0.3e1 * t2004 * t5574 + t2022 * t5579 / 0.2e1 - t2004 * t5582 / 0.2e1 - t4482 * t5585 / 0.2e1 + 0.7e1 / 0.3e1 * t4482 * t5588 - 0.3e1 / 0.2e1 * t4482 * t3965 * t5591 + 0.3e1 / 0.2e1 * t3980 * t5595 + t4503 * t5598 - 0.2e1 * t4503 * t5600 - t103 * t1252 / 0.12e2 - t1397 * t5605 / 0.2e1 + t2004 * t5608 / 0.2e1 + 0.3e1 * t2022 * t5611 + t2022 * t5614 - t2011 * t5616 / 0.2e1;
  t5620 = t193 * t230;
  t5621 = t1395 * t5620;
  t5622 = t1962 * t5621;
  t5625 = t169 * t5620;
  t5626 = t1996 * t5625;
  t5629 = t500 * t2496;
  t5630 = t1974 * t5629;
  t5635 = t96 * t2496;
  t5636 = t1968 * t5635;
  t5639 = t3965 * t5372;
  t5642 = t1962 * t5625;
  t5651 = t1404 * t5635;
  t5654 = t1962 * t5372;
  t5657 = t1982 * t5625;
  t5660 = t1974 * t5635;
  t5667 = t2874 * t5622 / 0.3e1 - t2874 * t5626 / 0.6e1 - 0.2e1 / 0.3e1 * t2874 * t5630 + t3168 * t5096 / 0.12e2 + t2874 * t5636 / 0.3e1 - 0.5e1 / 0.36e2 * t4482 * t5639 - t2874 * t5642 / 0.12e2 - t3162 * t5084 / 0.6e1 - t3168 * t5088 / 0.6e1 + t2874 * t5091 / 0.12e2 - t3162 * t5651 / 0.6e1 + t4503 * t5654 / 0.2e1 + t3162 * t5657 / 0.6e1 + t2874 * t5660 / 0.6e1 - t3829 - t3852 + t3867 + t3869 + t719 * t796 / 0.2e1 - t791 * t3949 / 0.6e1;
  t5671 = my_piecewise3(t3, 0, t5238 + t5286 + t5325 + t5380 + t5530 + t5563 + t5619 + t5667);
  tv3rholapltau0 = 0.2e1 * rho[0] * t5671 + 0.2e1 * t1287;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  t5682 = t2966 * t775;
  t5683 = t318 * t5682;
  t5695 = t95 * t810;
  t5696 = t306 * t5695;
  t5697 = t548 * t5696;
  t5702 = t318 * t5696;
  t5705 = t109 * t1295;
  t5706 = t106 * t5705;
  t5711 = t1289 * t1581;
  t5712 = t363 * t5711;
  t5713 = t106 * t5712;
  t5716 = t2986 * t762;
  t5717 = t5716 * t636;
  t5719 = -t103 * t1348 / 0.6e1 - t103 * t1388 / 0.12e2 - t823 * t768 / 0.2e1 + t823 * t772 / 0.2e1 - t127 * t5683 / 0.6e1 + t823 * t781 / 0.2e1 - t823 * t764 + t1297 * t1588 / 0.3e1 - t813 * t777 / 0.6e1 - t259 * t2908 / 0.6e1 - t791 * t5697 / 0.6e1 + t1297 * t1456 / 0.6e1 + t785 * t5702 / 0.3e1 - t5706 * t541 / 0.2e1 - t1292 * t315 / 0.6e1 + t5713 * t549 / 0.2e1 - t1397 * t5717;
  t5720 = t2986 * t257;
  t5721 = t5720 * t334;
  t5724 = t1304 * t122;
  t5725 = t404 * t5724;
  t5726 = t877 * t5725;
  t5729 = t1304 * t312;
  t5730 = t1883 * t5729;
  t5731 = t263 * t5730;
  t5734 = t2956 * t1364;
  t5737 = t96 * t5724;
  t5738 = t1404 * t5737;
  t5741 = t96 * t5729;
  t5742 = t3582 * t5741;
  t5745 = t1974 * t5737;
  t5748 = t193 * t1304;
  t5749 = t169 * t5748;
  t5750 = t1404 * t5749;
  t5760 = t135 * t137 * t810;
  t5761 = t763 * t5760;
  t5763 = t163 * t1295;
  t5764 = t5763 * t636;
  t5768 = t2885 * t262 * t165;
  t5772 = t775 * t874 * t165;
  t5775 = t372 * t810;
  t5776 = t371 * t5775;
  t5777 = t758 * t5776;
  t5779 = t510 * t5711;
  t5780 = t5779 * t622;
  t5783 = -t1397 * t5721 / 0.2e1 + t2004 * t5726 / 0.2e1 + t2004 * t5731 / 0.2e1 - t1397 * t5734 / 0.4e1 - t3162 * t5738 / 0.6e1 - t3168 * t5742 / 0.6e1 + t2874 * t5745 / 0.12e2 + t3168 * t5750 / 0.12e2 + t3162 * t4660 / 0.3e1 + t3168 * t2993 / 0.6e1 - t2874 * t4665 / 0.6e1 - t162 * t5761 + 0.3e1 / 0.2e1 * t162 * t5764 + t162 * t5768 / 0.2e1 + t162 * t5772 / 0.2e1 - t509 * t5777 + 0.3e1 * t509 * t5780;
  t5785 = t510 * t1295;
  t5786 = t5785 * t1448;
  t5788 = t296 * t1322;
  t5789 = t5788 * t512;
  t5802 = params->at * t1386;
  t5803 = t306 * t5802;
  t5804 = t318 * t5803;
  t5808 = t5802 * t142 * t165;
  t5813 = t2896 * t1364;
  t5817 = t371 * t372 * t256;
  t5823 = t307 * t762;
  t5826 = t1485 * t757;
  t5829 = t307 * t257;
  t5836 = t262 * t326;
  t5841 = t880 * t365;
  t5844 = 0.2e1 / 0.3e1 * t3454 * t5817 + 0.2e1 * t307 * t810 * t165 - 0.4e1 * t5823 * t636 + 0.4e1 / 0.3e1 * t5826 * t622 - 0.2e1 * t5829 * t334 + 0.4e1 * t5826 * t645 - 0.2e1 * t889 * t138 + 0.4e1 * t5836 * t636 + 0.2e1 * t265 * t334 - 0.4e1 * t5841 * t645;
  t5846 = t303 * t137 * t5844;
  t5847 = t767 * t5846;
  t5850 = t509 * t5786 - t509 * t5789 / 0.2e1 + t379 * t1356 / 0.2e1 + t806 * t1307 / 0.36e2 - t806 * t777 / 0.18e2 + t387 * t1356 / 0.6e1 - t387 * t1365 / 0.12e2 - t913 + t984 - t3520 + t3524 - t3575 - t127 * t5804 / 0.12e2 + t162 * t5808 / 0.4e1 - t379 * t1365 / 0.4e1 - t162 * t5813 / 0.4e1 - t162 * t5847 / 0.4e1;
  t5852 = t371 * t408 * t810;
  t5853 = t758 * t5852;
  t5855 = t163 * t1290;
  t5856 = t5855 * t334;
  t5860 = t296 * t1318 * t328;
  t5863 = t269 * t870;
  t5866 = t154 * t1387;
  t5871 = 0.1e1 / t1787;
  t5872 = t5871 * t84;
  t5875 = t5871 * tau[0];
  t5896 = -0.4e2 / 0.3e1 * t844 * t173 - 0.4e2 * t5872 * tau[0] - 0.68e3 * t1821 * t5875 + 0.2e3 / 0.3e1 * t451 * t844 - 0.104e4 * t1824 * t5875 + 0.24e3 * t458 * t844 + 0.12e4 * t1827 * t5875 + 0.8e2 / 0.3e1 * t463 * t844 + 0.3e4 * t1830 * t5875 - 0.1e4 / 0.3e1 * t468 * t844 + 0.14e4 * t1835 * t5875 - 0.2e3 * t475 * t844;
  t5897 = t169 * t5896;
  t5898 = t65 * t5897;
  t5901 = t1342 * t194;
  t5904 = t897 * t288;
  t5909 = t1289 * t1533;
  t5910 = t1531 * t5909;
  t5911 = t106 * t5910;
  t5918 = t5785 * t1442;
  t5920 = t5788 * t516;
  t5923 = t1968 * t5737;
  t5926 = t500 * t5724;
  t5927 = t1974 * t5926;
  t5930 = t162 * t5853 + t162 * t5856 / 0.2e1 - t162 * t5860 / 0.2e1 - t22 * t5863 / 0.2e1 - t22 * t5866 / 0.4e1 - t22 * t5898 / 0.4e1 - t22 * t5901 / 0.4e1 - t22 * t5904 / 0.2e1 + 0.2e1 / 0.3e1 * t791 * t4768 - 0.3e1 / 0.2e1 * t5911 * t3429 - t3389 * t759 + t5713 * t556 - 0.2e1 * t5713 * t562 - t162 * t5918 + t162 * t5920 / 0.2e1 + t2874 * t5923 / 0.6e1 - t2874 * t5927 / 0.3e1;
  t5937 = t160 * t5695;
  t5938 = t548 * t5937;
  t5963 = t138 * t1343;
  t5966 = -t2874 * t4599 / 0.3e1 - t259 * t2912 / 0.6e1 + 0.2e1 / 0.3e1 * t791 * t5938 - 0.2e1 / 0.3e1 * t1297 * t1468 + t785 * t4640 / 0.3e1 + t259 * t2968 / 0.6e1 - t791 * t4613 / 0.6e1 - t259 * t2972 / 0.6e1 - t3747 + t3749 - t1297 * t1675 / 0.6e1 - t813 * t818 / 0.6e1 - t259 * t3361 / 0.6e1 + t1292 * t359 / 0.6e1 - t1297 * t1528 / 0.12e2 + t823 * t829 / 0.2e1 - t127 * t5963 / 0.12e2;
  t5969 = t382 * t1296;
  t5974 = t382 * t1291;
  t5983 = t1341 * t159;
  t5984 = t158 * t5983;
  t5985 = t106 * t5984;
  t6002 = t555 * t5696;
  t6007 = t1297 * t1679 / 0.3e1 - t5969 * t497 / 0.18e2 - t5969 * t374 / 0.36e2 + t5974 * t139 / 0.18e2 - t379 * t1360 / 0.2e1 + t379 * t1368 / 0.2e1 - t1689 * t1352 / 0.2e1 + t5985 * t166 / 0.4e1 + t3366 * t274 / 0.2e1 - t387 * t1360 / 0.6e1 - t1763 * t1352 / 0.6e1 + t3322 * t274 / 0.6e1 + t5969 * t502 / 0.9e1 - t806 * t818 / 0.18e2 + t387 * t1368 / 0.6e1 - t791 * t6002 / 0.3e1 + t1297 * t1464 / 0.3e1;
  t6017 = t1472 * t1305;
  t6018 = t305 * t6017;
  t6021 = t95 * t5844;
  t6022 = t306 * t6021;
  t6023 = t305 * t6022;
  t6028 = t62 * t1304;
  t6029 = t6028 * t122;
  t6030 = t149 * t6029;
  t6033 = t6028 * t312;
  t6034 = t149 * t6033;
  t6037 = t414 * t6029;
  t6040 = t427 * t6029;
  t6043 = t69 * t1289;
  t6044 = t6043 * t1745;
  t6048 = t63 * t5844;
  t6049 = t404 * t6048;
  t6051 = t590 * t1304;
  t6052 = t1756 * t6051;
  t6055 = t63 * t810;
  t6056 = t145 * t6055;
  t6059 = t1318 * t1523;
  t6062 = t409 * t6055;
  t6065 = 0.2e1 * t3200 * t6030 + 0.2e1 * t4349 * t6034 + t3197 * t6037 / 0.3e1 - 0.2e1 * t3197 * t6040 - t6044 * t3632 / 0.9e1 - t875 * t1327 - t263 * t6049 - 0.2e1 / 0.3e1 * t881 * t6052 - 0.4e1 * t877 * t6056 + 0.6e1 * t6059 * t578 + 0.4e1 * t881 * t6062;
  t6068 = t404 * t6051;
  t6070 = t1336 * t312;
  t6071 = t1883 * t6070;
  t6075 = t1322 * t1698;
  t6078 = t400 * t6055;
  t6087 = t1879 * t6051;
  t6091 = -0.4e1 * t1323 * t1880 - t877 * t6068 - t263 * t6071 + 0.2e1 * t1319 * t406 + 0.2e1 * t6075 * t583 - 0.2e1 / 0.3e1 * t881 * t6078 + 0.2e1 / 0.3e1 * t1323 * t1877 - 0.2e1 / 0.3e1 * t6044 * t3664 + 0.6e1 * t6044 * t3667 + t881 * t6087 - 0.12e2 * t6075 * t587 - t3609;
  t6095 = t60 * t810;
  t6096 = t145 * t6095;
  t6102 = -t3610 - t3614 + t3625 + t3688 + t3690 - t3697 + t3704 - 0.4e1 / 0.3e1 * t1323 * t1903 + 0.2e1 * t877 * t6096 - 0.3e1 * t6059 * t597 - t1319 * t424;
  t6109 = t400 * t6095;
  t6114 = t60 * t5844;
  t6115 = t404 * t6114;
  t6118 = t409 * t6095;
  t6127 = -0.4e1 * t6075 * t591 + t6044 * t3694 / 0.18e2 + 0.1e2 / 0.3e1 * t6044 * t3679 + 0.4e1 / 0.3e1 * t881 * t6109 + t875 * t1337 / 0.2e1 + t263 * t6115 / 0.2e1 - 0.2e1 * t881 * t6118 + 0.2e1 * t1323 * t1931 + 0.6e1 * t6075 * t601 - 0.3e1 * t6044 * t3672 - t962 + t943;
  t6129 = t6065 + t6091 + t6102 + t6127;
  t6130 = t59 * t6129;
  t6131 = t6130 * t96;
  t6136 = t5779 * t645;
  t6141 = -t1297 * t1452 / 0.6e1 - 0.5e1 / 0.36e2 * t5911 * t3796 - t1297 * t1609 / 0.12e2 + t813 * t1307 / 0.12e2 + t259 * t6018 / 0.12e2 + t259 * t6023 / 0.12e2 + t1292 * t320 / 0.6e1 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 - t22 * t6131 / 0.4e1 - t103 * t1343 / 0.12e2 - 0.3e1 * t162 * t6136 - 0.11e2 / 0.18e2 * t5911 * t3724;
  t6152 = t4433 * t757;
  t6153 = t6152 * t622;
  t6155 = t6152 * t645;
  t6157 = t256 * t1304;
  t6158 = t1756 * t6157;
  t6159 = t2024 * t6158;
  t6162 = t1879 * t5724;
  t6163 = t881 * t6162;
  t6166 = t1743 * t5909;
  t6167 = t6166 * t3411;
  t6171 = t6166 * t3739;
  t6174 = t6166 * t3760;
  t6177 = 0.23e2 / 0.36e2 * t5911 * t3727 - t5911 * t3730 / 0.2e1 + 0.7e1 / 0.3e1 * t5911 * t3417 - t791 * t4764 / 0.3e1 + 0.2e1 / 0.3e1 * t2874 * t4606 - t2011 * t6153 + t1397 * t6155 + t2022 * t6159 / 0.2e1 - t2004 * t6163 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t6167 + t823 * t796 + 0.3e1 / 0.2e1 * t1742 * t6171 - 0.3e1 * t509 * t6174 - t3829 - t3852 + t3867 + t3869;
  t6181 = my_piecewise3(t3, 0, t5719 + t5783 + t5850 + t5930 + t5966 + t6007 + t6141 + t6177);
  tv3rhotau20 = 0.2e1 * rho[0] * t6181 + 0.2e1 * t1392;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  t6184 = t408 * t929;
  t6185 = t1440 * t6184;
  t6186 = t3536 * t6185;
  t6189 = t1463 * t931;
  t6192 = t160 * t930;
  t6193 = t1455 * t6192;
  t6195 = t929 * t929;
  t6197 = t1416 * t137 * t6195;
  t6198 = t640 * t6197;
  t6201 = t95 * t6195;
  t6202 = t306 * t6201;
  t6203 = t1417 * t6202;
  t6206 = t3560 * t990;
  t6212 = 0.2e1 * t307 * t908 * t165;
  t6216 = t1485 * t914;
  t6224 = 0.2e1 * t960 * t138;
  t6231 = 0.2e1 / 0.3e1 * t957 * t373 + t6212 - 0.4e1 * t307 * t914 * t328 + 0.4e1 / 0.3e1 * t6216 * t512 - 0.2e1 * t3466 * t990 + 0.4e1 * t6216 * t516 - t6224 + 0.4e1 * t963 * t138 + 0.2e1 * t214 * t990 - 0.4e1 * t957 * t496;
  t6233 = t303 * t137 * t6231;
  t6234 = t640 * t6233;
  t6237 = t911 * t569;
  t6238 = t6237 / 0.4e1;
  t6241 = t914 * t205;
  t6242 = t6241 * t1581;
  t6243 = t363 * t6242;
  t6244 = t106 * t6243;
  t6249 = -0.3e1 / 0.2e1 * t162 * t6186 + t922 * t6189 / 0.2e1 - t922 * t6193 + t162 * t6198 / 0.2e1 - t208 * t6203 / 0.6e1 + t162 * t6206 - t162 * t6234 / 0.4e1 - t913 + t984 - t6238 + t917 * t569 / 0.2e1 + t6244 * t374 / 0.2e1 - t922 * t2258 / 0.4e1;
  t6250 = t6241 * t1533;
  t6251 = t1531 * t6250;
  t6252 = t106 * t6251;
  t6259 = t6241 * t365;
  t6260 = t109 * t6259;
  t6261 = t106 * t6260;
  t6266 = t610 * t982;
  t6267 = 0.3e1 / 0.4e1 * t6266;
  t6274 = t3782 * t1002;
  t6275 = t6274 / 0.2e1;
  t6276 = t911 * t932;
  t6277 = t6276 / 0.6e1;
  t6282 = -0.5e1 / 0.36e2 * t6252 * t1542 - t922 * t2443 / 0.2e1 + 0.23e2 / 0.36e2 * t6252 * t1684 - t6261 * t139 / 0.2e1 + 0.3e1 / 0.4e1 * t3885 * t223 + t6267 - t208 * t3880 / 0.4e1 - 0.2e1 * t6244 * t502 - 0.11e2 / 0.18e2 * t6252 * t1681 + t6275 + t6277 - t6252 * t1771 / 0.2e1 + 0.7e1 / 0.3e1 * t6252 * t1672;
  t6291 = t1743 * t6241;
  t6292 = t6291 * t1747;
  t6296 = t510 * t6241;
  t6297 = t6296 * t1703;
  t6300 = t6291 * t1757;
  t6304 = t163 * t6241 * t1524;
  t6307 = t6296 * t1699;
  t6312 = t6291 * t1752;
  t6315 = t108 * t6241;
  t6316 = t6315 * t365;
  t6319 = t3612 * t1029;
  t6320 = 0.6e1 * t6319;
  t6323 = t1756 * t952;
  t6325 = t63 * t6231;
  t6326 = t404 * t6325;
  t6328 = t3607 * t1022;
  t6329 = 0.6e1 * t6328;
  t6330 = t942 * t953;
  t6331 = 0.2e1 * t6330;
  t6332 = t3612 * t1025;
  t6333 = t63 * t6195;
  t6334 = t1883 * t6333;
  t6337 = t1879 * t952;
  t6340 = t69 * t6241;
  t6341 = t6340 * t1533;
  t6344 = t362 * t6241;
  t6345 = t6344 * t1581;
  t6354 = t6315 * t1523;
  t6357 = -0.3e1 * t6316 * t150 + t6320 + 0.4e1 * t945 * t953 + t949 * t6323 - t212 * t6326 - t6329 - t6331 - t6332 + 0.2e1 * t212 * t6334 - 0.6e1 * t949 * t6337 - 0.3e1 * t6341 * t1863 + 0.6e1 * t6345 * t428 + 0.1e2 / 0.3e1 * t6341 * t1846 + t6341 * t1858 / 0.18e2 - 0.4e1 * t6345 * t415 + 0.6e1 * t6354 * t146;
  t6358 = t6344 * t1698;
  t6361 = t6340 * t1745;
  t6366 = t1879 * t965;
  t6371 = t60 * t6231;
  t6372 = t404 * t6371;
  t6375 = t3607 * t1036;
  t6376 = 0.3e1 * t6375;
  t6377 = t942 * t966;
  t6378 = t3612 * t1033;
  t6379 = 0.2e1 * t6378;
  t6384 = t1756 * t965;
  t6387 = t60 * t6195;
  t6388 = t1883 * t6387;
  t6390 = t3612 * t1040;
  t6391 = 0.3e1 * t6390;
  t6392 = -0.12e2 * t6358 * t410 - 0.2e1 / 0.3e1 * t6361 * t1936 + 0.6e1 * t6361 * t1928 + 0.3e1 * t949 * t6366 - 0.2e1 * t945 * t966 + t212 * t6372 / 0.2e1 + t6376 + t6377 + t6379 + 0.2e1 * t6358 * t401 - t6361 * t1917 / 0.9e1 - 0.2e1 * t949 * t6384 - t212 * t6388 - t6391 - t962 + t943;
  t6393 = t6357 + t6392;
  t6394 = t59 * t6393;
  t6395 = t6394 * t96;
  t6398 = t922 * t2447 - 0.3e1 / 0.2e1 * t6252 * t1735 - 0.3e1 / 0.2e1 * t2452 * t978 + 0.3e1 / 0.2e1 * t610 * t994 + 0.3e1 / 0.2e1 * t1742 * t6292 + t6244 * t497 - 0.3e1 * t162 * t6297 + 0.3e1 / 0.2e1 * t162 * t6300 + 0.3e1 / 0.2e1 * t162 * t6304 + 0.3e1 * t509 * t6307 - 0.3e1 / 0.2e1 * t610 * t986 - 0.3e1 * t509 * t6312 - t22 * t6395 / 0.4e1;
  t6399 = t3517 * t990;
  t6400 = t162 * t6399;
  t6401 = t6400 / 0.2e1;
  t6402 = t372 * t908;
  t6403 = t371 * t6402;
  t6404 = t620 * t6403;
  t6405 = t509 * t6404;
  t6406 = 0.3e1 / 0.2e1 * t6405;
  t6407 = t372 * t929;
  t6408 = t1440 * t6407;
  t6409 = t3536 * t6408;
  t6412 = t3572 * t1057;
  t6413 = t162 * t6412;
  t6414 = 0.3e1 / 0.2e1 * t6413;
  t6417 = t95 * t6231;
  t6418 = t306 * t6417;
  t6419 = t305 * t6418;
  t6422 = t3745 * t1010;
  t6423 = t6422 / 0.2e1;
  t6424 = t3745 * t1016;
  t6425 = t1455 * t931;
  t6428 = t2156 * t930;
  t6429 = t305 * t6428;
  t6432 = t3745 * t1005;
  t6433 = t6432 / 0.4e1;
  t6436 = t3764 * t1065;
  t6437 = t162 * t6436;
  t6438 = 0.3e1 / 0.2e1 * t6437;
  t6439 = -t6401 - t6406 + 0.3e1 / 0.2e1 * t509 * t6409 - t6414 - 0.3e1 / 0.4e1 * t610 * t991 + t208 * t6419 / 0.12e2 - t6423 + t6424 + t922 * t6425 / 0.4e1 + t208 * t6429 / 0.4e1 - t6433 - t917 * t932 / 0.3e1 + t6438;
  t6442 = my_piecewise3(t3, 0, t6249 + t6282 + t6398 + t6439);
  tv3sigma30 = 0.2e1 * rho[0] * t6442;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t6444 = t372 * t914;
  t6445 = t1539 * t6444;
  t6446 = t2558 * t6445;
  t6449 = t1540 * t914;
  t6450 = t1539 * t6449;
  t6451 = t2558 * t6450;
  t6454 = t1670 * t914;
  t6455 = t1539 * t6454;
  t6456 = t2558 * t6455;
  t6460 = t371 * t408 * t914;
  t6461 = t2552 * t6460;
  t6464 = t95 * t914;
  t6465 = t306 * t6464;
  t6466 = t2213 * t6465;
  t6469 = t160 * t6464;
  t6470 = t2218 * t6469;
  t6473 = t507 * t6464;
  t6474 = t2042 * t6473;
  t6477 = t555 * t6465;
  t6481 = t60 * t908;
  t6482 = t409 * t6481;
  t6483 = t697 * t6482;
  t6484 = t60 * t914;
  t6485 = t1751 * t6484;
  t6488 = t400 * t6481;
  t6489 = t697 * t6488;
  t6490 = 0.2e1 / 0.3e1 * t6489;
  t6491 = t145 * t6481;
  t6492 = t693 * t6491;
  t6493 = t400 * t6484;
  t6496 = t1746 * t6484;
  t6499 = t409 * t6484;
  t6502 = t1756 * t6484;
  t6505 = t145 * t6484;
  t6509 = t3590 * t205;
  t6510 = t427 * t6509;
  t6513 = t149 * t6509;
  t6516 = t414 * t6509;
  t6518 = t63 * t914;
  t6519 = t409 * t6518;
  t6522 = t1751 * t6518;
  t6525 = t1032 * t929;
  t6526 = t404 * t6525;
  t6529 = t63 * t908;
  t6530 = t400 * t6529;
  t6531 = t697 * t6530;
  t6532 = t6531 / 0.3e1;
  t6533 = t1746 * t6518;
  t6536 = t237 * t6372 / 0.2e1 - t6483 + 0.1e2 / 0.3e1 * t2701 * t6485 + t6490 + t6492 - 0.4e1 * t2708 * t6493 + t2701 * t6496 / 0.18e2 + 0.6e1 * t2708 * t6499 - 0.3e1 * t2701 * t6502 - 0.3e1 * t2733 * t6505 - t237 * t6388 - 0.6e1 * t2687 * t6510 + 0.4e1 * t2689 * t6513 + t2687 * t6516 - 0.12e2 * t2708 * t6519 - 0.2e1 / 0.3e1 * t2701 * t6522 - 0.2e1 * t693 * t6526 - t6532 - t2701 * t6533 / 0.9e1;
  t6538 = t1756 * t6525;
  t6541 = t409 * t6529;
  t6542 = t697 * t6541;
  t6543 = 0.2e1 * t6542;
  t6544 = t145 * t6529;
  t6545 = t693 * t6544;
  t6546 = 0.2e1 * t6545;
  t6547 = t400 * t6518;
  t6552 = t145 * t6518;
  t6555 = t1879 * t6525;
  t6558 = t1756 * t6518;
  t6561 = 0.4e1 * t6319;
  t6562 = 0.4e1 * t6328;
  t6563 = 0.2e1 / 0.3e1 * t6332;
  t6564 = 0.2e1 * t6375;
  t6565 = 0.4e1 / 0.3e1 * t6378;
  t6566 = 0.2e1 * t6390;
  t6567 = -t237 * t6326 + 0.2e1 * t237 * t6334 + 0.6e1 * t2701 * t6558 + 0.2e1 * t2708 * t6547 + 0.6e1 * t2733 * t6552 - 0.2e1 * t6538 * t697 + 0.3e1 * t6555 * t697 - t6331 + t6377 + t6543 - t6546 + t6561 - t6562 - t6563 + t6564 + t6565 - t6566 + t943 - t962;
  t6568 = t6536 + t6567;
  t6569 = t59 * t6568;
  t6570 = t6569 * t96;
  t6587 = 0.3e1 / 0.2e1 * t162 * t6446 + 0.3e1 / 0.2e1 * t1742 * t6451 - 0.3e1 * t509 * t6456 - 0.3e1 * t162 * t6461 - t2520 * t6466 / 0.2e1 + 0.7e1 / 0.3e1 * t2520 * t6470 - 0.3e1 / 0.2e1 * t2520 * t6474 + t2548 * t6477 - t22 * t6570 / 0.4e1 - t913 + t984 - t2861 * t978 / 0.2e1 + t719 * t994 / 0.2e1 - t922 * t2852 / 0.6e1 + t922 * t2856 / 0.3e1 + t4308 * t223 / 0.2e1 - t922 * t2830 / 0.12e2 - t233 * t3880 / 0.12e2;
  t6588 = t911 * t686;
  t6589 = t6588 / 0.12e2;
  t6596 = t6237 / 0.6e1;
  t6597 = t719 * t982;
  t6598 = t6597 / 0.4e1;
  t6601 = t6266 / 0.2e1;
  t6602 = t2156 * t1000;
  t6603 = t555 * t6602;
  t6606 = t95 * t908;
  t6607 = t306 * t6606;
  t6608 = t555 * t6607;
  t6609 = t671 * t6608;
  t6610 = t6609 / 0.6e1;
  t6611 = t548 * t6602;
  t6614 = t548 * t6607;
  t6615 = t671 * t6614;
  t6616 = t6615 / 0.12e2;
  t6617 = t2042 * t6465;
  t6624 = t318 * t6602;
  t6627 = t318 * t6607;
  t6628 = t666 * t6627;
  t6629 = t6628 / 0.6e1;
  t6630 = t729 * t6403;
  t6631 = t509 * t6630;
  t6632 = t6631 / 0.2e1;
  t6633 = -t6589 - t208 * t4302 / 0.6e1 - t719 * t986 / 0.2e1 + t917 * t686 / 0.6e1 - t6596 + t6598 + t3885 * t248 / 0.4e1 + t6601 - t671 * t6603 / 0.3e1 - t6610 - t671 * t6611 / 0.6e1 - t6616 - 0.5e1 / 0.36e2 * t2520 * t6617 + t233 * t6429 / 0.6e1 + t233 * t6419 / 0.12e2 + t666 * t6624 / 0.3e1 + t6629 - t6632;
  t6640 = t2777 * t930;
  t6641 = t305 * t6640;
  t6644 = t160 * t6606;
  t6645 = t548 * t6644;
  t6646 = t671 * t6645;
  t6647 = t6646 / 0.3e1;
  t6648 = t548 * t6469;
  t6651 = t2218 * t6465;
  t6654 = t2042 * t6469;
  t6658 = t371 * t408 * t908;
  t6659 = t729 * t6658;
  t6660 = t162 * t6659;
  t6661 = t6660 / 0.2e1;
  t6662 = t745 * t6233;
  t6666 = t135 * t137 * t908;
  t6667 = t741 * t6666;
  t6668 = t162 * t6667;
  t6669 = t6668 / 0.2e1;
  t6670 = t745 * t6197;
  t6674 = t135 * t137 * t914;
  t6675 = t2678 * t6674;
  t6678 = t371 * t6444;
  t6679 = t2552 * t6678;
  t6684 = t318 * t6465;
  t6687 = t6274 / 0.3e1;
  t6688 = -t610 * t1058 - t610 * t1061 / 0.2e1 - t719 * t991 / 0.4e1 + t208 * t6641 / 0.12e2 + t6647 - 0.2e1 * t2548 * t6648 - 0.11e2 / 0.18e2 * t2520 * t6651 + 0.23e2 / 0.36e2 * t2520 * t6654 + t6661 - t162 * t6662 / 0.4e1 - t6669 + t162 * t6670 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t6675 + 0.3e1 * t509 * t6679 - t233 * t6203 / 0.6e1 - t2662 * t6684 / 0.2e1 + t6687 + t6277;
  t6689 = t582 * t4003;
  t6692 = t96 * t3439;
  t6693 = t1974 * t6692;
  t6696 = t1404 * t6692;
  t6699 = t1879 * t3439;
  t6700 = t697 * t6699;
  t6703 = t500 * t3439;
  t6704 = t1974 * t6703;
  t6706 = t1968 * t6692;
  t6709 = t404 * t3439;
  t6710 = t693 * t6709;
  t6712 = t6422 / 0.3e1;
  t6713 = 0.2e1 / 0.3e1 * t6424;
  t6714 = t6432 / 0.6e1;
  t6715 = t548 * t6465;
  t6718 = t608 * t1000;
  t6719 = t548 * t6718;
  t6724 = 0.3e1 / 0.2e1 * t2022 * t6689 + t2471 * t6693 / 0.4e1 - t2485 * t6696 / 0.3e1 - t6401 - t6405 - t6413 - 0.3e1 / 0.2e1 * t2004 * t6700 - t2471 * t6704 + t2471 * t6706 / 0.2e1 + t2004 * t6710 - t6712 + t6713 - t6714 + t6437 + t2548 * t6715 / 0.2e1 + 0.2e1 / 0.3e1 * t671 * t6719 - t2452 * t1053 + t610 * t1066;
  t6727 = my_piecewise3(t3, 0, t6587 + t6633 + t6688 + t6724);
  tv3sigma2lapl0 = 0.2e1 * rho[0] * t6727;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  t6729 = t877 * t6709;
  t6731 = t582 * t4451;
  t6738 = t3180 * t6445;
  t6745 = t775 * t948;
  t6746 = t6745 * t512;
  t6750 = t6745 * t516;
  t6753 = t3180 * t6450;
  t6756 = t3180 * t6455;
  t6759 = t3304 * t6460;
  t6768 = t4530 * t990;
  t6771 = t287 * t929;
  t6772 = t169 * t6771;
  t6773 = t1404 * t6772;
  t6776 = t758 * t6658;
  t6777 = t162 * t6776;
  t6778 = t6777 / 0.2e1;
  t6779 = t911 * t777;
  t6780 = t6779 / 0.12e2;
  t6781 = t162 * t6750 / 0.2e1 + 0.3e1 / 0.2e1 * t1742 * t6753 - 0.3e1 * t509 * t6756 - 0.3e1 * t162 * t6759 - t3007 * t6466 / 0.2e1 + 0.7e1 / 0.3e1 * t3007 * t6470 - 0.3e1 / 0.2e1 * t3007 * t6474 - t1397 * t6768 / 0.4e1 + t1993 * t6773 / 0.12e2 + t6778 - t6780;
  t6783 = t763 * t6666;
  t6784 = t162 * t6783;
  t6785 = t6784 / 0.2e1;
  t6786 = t758 * t6403;
  t6787 = t509 * t6786;
  t6788 = t6787 / 0.2e1;
  t6794 = t2966 * t930;
  t6795 = t305 * t6794;
  t6798 = t791 * t6645;
  t6799 = t6798 / 0.3e1;
  t6800 = t791 * t6608;
  t6801 = t6800 / 0.6e1;
  t6808 = -t6785 - t6788 - t610 * t1111 - t610 * t1114 / 0.2e1 - t823 * t991 / 0.4e1 + t208 * t6795 / 0.12e2 + t6799 - t6801 + t922 * t3384 / 0.3e1 - t3389 * t978 / 0.2e1 + t823 * t994 / 0.2e1;
  t6823 = t823 * t982;
  t6824 = t6823 / 0.4e1;
  t6825 = t911 * t818;
  t6826 = t6825 / 0.12e2;
  t6829 = -t208 * t4737 / 0.6e1 - t922 * t3347 / 0.12e2 - t259 * t3880 / 0.12e2 - t922 * t3380 / 0.6e1 + t917 * t818 / 0.6e1 + t3885 * t274 / 0.4e1 + t4722 * t223 / 0.2e1 + t6824 - t6826 - t823 * t986 / 0.2e1 - t6596;
  t6832 = t971 * t288;
  t6843 = t775 * t941 * t165;
  t6844 = t162 * t6843;
  t6845 = t6844 / 0.4e1;
  t6853 = t767 * t6233;
  t6859 = t881 * t6699;
  t6862 = t877 * t6491;
  t6865 = t881 * t6482;
  t6868 = t881 * t6488;
  t6869 = 0.2e1 / 0.3e1 * t6868;
  t6889 = t881 * t6530;
  t6890 = t6889 / 0.3e1;
  t6896 = t6862 + t263 * t6372 / 0.2e1 - t6865 + 0.1e2 / 0.3e1 * t3211 * t6485 + t6869 - 0.4e1 * t3214 * t6493 + t3211 * t6496 / 0.18e2 - 0.3e1 * t3227 * t6505 - t263 * t6388 + 0.3e1 * t881 * t6555 + 0.2e1 * t263 * t6334 + 0.6e1 * t3227 * t6552 + 0.6e1 * t3214 * t6499 - 0.3e1 * t3211 * t6502 - 0.2e1 * t877 * t6526 - t6890 - t3211 * t6533 / 0.9e1 - t263 * t6326 - 0.2e1 * t881 * t6538;
  t6897 = t881 * t6541;
  t6898 = 0.2e1 * t6897;
  t6899 = t877 * t6544;
  t6900 = 0.2e1 * t6899;
  t6914 = t6898 - t6900 + 0.2e1 * t3214 * t6547 - 0.2e1 / 0.3e1 * t3211 * t6522 + 0.6e1 * t3211 * t6558 - 0.12e2 * t3214 * t6519 + t6561 - t6562 - t6331 - t6563 + t6564 + t6377 + t6565 - t6566 + 0.4e1 * t3200 * t6513 + t3197 * t6516 - 0.6e1 * t3197 * t6510 - t962 + t943;
  t6915 = t6896 + t6914;
  t6916 = t59 * t6915;
  t6917 = t6916 * t96;
  t6920 = t3300 * t6674;
  t6923 = t3304 * t6678;
  t6930 = -t922 * t2880 / 0.12e2 + t610 * t1126 / 0.2e1 - t162 * t6853 / 0.4e1 + t2874 * t6706 / 0.2e1 - t2874 * t6704 - 0.3e1 / 0.2e1 * t2004 * t6859 - t22 * t6917 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t6920 + 0.3e1 * t509 * t6923 - t259 * t6203 / 0.6e1 - t3065 * t6684 / 0.2e1;
  t6940 = t785 * t6627;
  t6941 = t6940 / 0.6e1;
  t6946 = t791 * t6614;
  t6947 = t6946 / 0.12e2;
  t6951 = t775 * t944 * t328;
  t6956 = t259 * t6429 / 0.6e1 + t259 * t6419 / 0.12e2 - t791 * t6603 / 0.3e1 + t785 * t6624 / 0.3e1 + t6941 + t2936 * t6715 / 0.2e1 - t791 * t6611 / 0.6e1 - t6947 - 0.5e1 / 0.36e2 * t3007 * t6617 - t162 * t6951 / 0.2e1 + t917 * t777 / 0.6e1;
  t6957 = t767 * t6197;
  t6964 = t162 * t6957 / 0.2e1 - t2452 * t1108 + t610 * t1117 + 0.2e1 / 0.3e1 * t791 * t6719 - t6401 - t6405 - t6413 - t6712 + t6713 - t6714 + t6437;
  t6968 = my_piecewise3(t3, 0, t6808 + t6964 + t6956 + t6277 + t6781 + t6930 - 0.11e2 / 0.18e2 * t3007 * t6651 + 0.23e2 / 0.36e2 * t3007 * t6654 - t208 * t4579 / 0.6e1 + t6601 + t6845 + t6687 + t2004 * t6729 + 0.3e1 / 0.2e1 * t2022 * t6731 + t2874 * t6693 / 0.4e1 - t3162 * t6696 / 0.3e1 + 0.3e1 / 0.2e1 * t162 * t6738 - t922 * t3192 / 0.6e1 + t922 * t3172 / 0.3e1 - t509 * t6746 / 0.2e1 - t22 * t6832 / 0.4e1 + t2936 * t6477 - 0.2e1 * t2936 * t6648 + t6829 + t984 - t913);
  tv3sigma2tau0 = 0.2e1 * rho[0] * t6968;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  t6970 = t4888 * t1065;
  t6973 = t1539 * t1051;
  t6974 = t4789 * t6973;
  t6977 = t1670 * t205;
  t6978 = t1539 * t6977;
  t6979 = t4789 * t6978;
  t6982 = t717 * t1000;
  t6983 = t548 * t6982;
  t6986 = t507 * t1000;
  t6987 = t2042 * t6986;
  t6992 = t1540 * t205;
  t6993 = t1539 * t6992;
  t6994 = t4789 * t6993;
  t6997 = t2218 * t1001;
  t7000 = t2042 * t1015;
  t7003 = t2213 * t1001;
  t7006 = t2218 * t1015;
  t7009 = t2777 * t1000;
  t7010 = t555 * t7009;
  t7018 = t3517 * t1198;
  t7019 = t162 * t7018;
  t7020 = t7019 / 0.4e1;
  t7037 = 0.2e1 / 0.3e1 * t3478 * t1260 + t6212 - 0.4e1 * t4820 * t1057 + 0.4e1 / 0.3e1 * t4823 * t1052 - 0.2e1 * t4826 * t990 + 0.4e1 * t4823 * t1065 - t6224 + 0.4e1 * t4833 * t1057 + 0.2e1 * t239 * t990 - 0.4e1 * t4838 * t1065;
  t7039 = t303 * t137 * t7037;
  t7040 = t745 * t7039;
  t7043 = -0.3e1 * t162 * t6970 + 0.3e1 / 0.2e1 * t162 * t6974 - 0.3e1 * t509 * t6979 + 0.2e1 / 0.3e1 * t671 * t6983 - 0.3e1 / 0.2e1 * t4800 * t6987 - t2861 * t1053 + t719 * t1066 + 0.3e1 / 0.2e1 * t1742 * t6994 - 0.11e2 / 0.18e2 * t4800 * t6997 + 0.23e2 / 0.36e2 * t4800 * t7000 - t4800 * t7003 / 0.2e1 + 0.7e1 / 0.3e1 * t4800 * t7006 - t671 * t7010 / 0.3e1 + t4795 * t1010 - 0.2e1 * t4795 * t1016 - t913 + t984 - t610 * t1199 / 0.4e1 - t7020 - t162 * t7040 / 0.4e1;
  t7044 = t4854 * t6185;
  t7046 = t4880 * t1057;
  t7049 = t5177 * t990;
  t7052 = t4888 * t1052;
  t7055 = t4854 * t6408;
  t7064 = t548 * t7009;
  t7087 = -t162 * t7044 + 0.3e1 / 0.2e1 * t162 * t7046 + t162 * t7049 / 0.2e1 + 0.3e1 * t509 * t7052 + t509 * t7055 - t719 * t1061 / 0.2e1 - t719 * t1058 - 0.2e1 / 0.3e1 * t1140 * t6193 + t233 * t6641 / 0.6e1 - t671 * t7064 / 0.6e1 + t1140 * t2447 / 0.3e1 - t233 * t4302 / 0.6e1 + t1135 * t569 / 0.6e1 - t1140 * t2258 / 0.12e2 - t1140 * t2443 / 0.6e1 - t610 * t1194 / 0.2e1 + t610 * t1202 / 0.2e1 + t4308 * t248 / 0.2e1 - t2452 * t1190 / 0.2e1 - t208 * t4962 / 0.12e2;
  t7091 = t6588 / 0.6e1;
  t7092 = t6237 / 0.12e2;
  t7093 = t6597 / 0.2e1;
  t7094 = t6266 / 0.4e1;
  t7095 = t6609 / 0.3e1;
  t7096 = t6615 / 0.6e1;
  t7097 = t6628 / 0.3e1;
  t7098 = 0.2e1 / 0.3e1 * t6646;
  t7099 = t6274 / 0.6e1;
  t7100 = t6276 / 0.12e2;
  t7103 = t318 * t7009;
  t7106 = t2156 * t1148;
  t7107 = t305 * t7106;
  t7110 = t95 * t7037;
  t7111 = t306 * t7110;
  t7112 = t305 * t7111;
  t7117 = t2042 * t1001;
  t7120 = t4944 * t223 / 0.4e1 - t7091 - t7092 + t7093 + t7094 - t7095 - t7096 + t7097 - t6631 + t7098 + t6660 - t6668 + t7099 + t7100 + t1140 * t6189 / 0.3e1 + t666 * t7103 / 0.3e1 + t233 * t7107 / 0.12e2 + t233 * t7112 / 0.12e2 + t1140 * t6425 / 0.6e1 - 0.5e1 / 0.36e2 * t4800 * t7117;
  t7121 = t911 * t1150;
  t7122 = t7121 / 0.12e2;
  t7129 = t1147 * t929;
  t7130 = t1883 * t7129;
  t7131 = t237 * t7130;
  t7134 = t1147 * t205;
  t7135 = t404 * t7134;
  t7136 = t693 * t7135;
  t7139 = t96 * t7134;
  t7140 = t1974 * t7139;
  t7143 = t1404 * t7139;
  t7146 = t96 * t7129;
  t7147 = t3582 * t7146;
  t7150 = t582 * t5100;
  t7154 = t1879 * t7134;
  t7155 = t697 * t7154;
  t7158 = t1968 * t7139;
  t7161 = t500 * t7134;
  t7162 = t1974 * t7161;
  t7165 = t6400 / 0.4e1;
  t7166 = t6405 / 0.2e1;
  t7167 = t6413 / 0.2e1;
  t7173 = t942 * t1178;
  t7174 = t7173 / 0.2e1;
  t7175 = 0.2e1 * t6483;
  t7176 = 0.4e1 / 0.3e1 * t6489;
  t7177 = 0.2e1 * t6492;
  t7178 = t1756 * t1021;
  t7181 = t1177 * t205;
  t7182 = t1879 * t7181;
  t7186 = t1751 * t1021;
  t7189 = 0.2e1 * t1164 * t6366 - 0.3e1 * t5016 * t1036 - t1160 * t966 + t7174 - t7175 + t7176 + t7177 + 0.6e1 * t4997 * t7178 + t697 * t7182 - 0.12e2 * t5006 * t1029 - 0.2e1 / 0.3e1 * t4997 * t7186;
  t7198 = t1746 * t1021;
  t7201 = t63 * t7037;
  t7202 = t404 * t7201;
  t7204 = t1756 * t7181;
  t7209 = t404 * t7181;
  t7211 = t1177 * t929;
  t7212 = t1883 * t7211;
  t7214 = t942 * t1168;
  t7215 = 0.2e1 / 0.3e1 * t6531;
  t7216 = 0.6e1 * t5016 * t1022 + 0.2e1 * t1160 * t953 + 0.2e1 * t5006 * t1025 + 0.2e1 / 0.3e1 * t1164 * t6323 - t4997 * t7198 / 0.9e1 - t237 * t7202 - 0.2e1 / 0.3e1 * t697 * t7204 - 0.4e1 * t1164 * t6337 - t693 * t7209 - t237 * t7212 - t7214 - t7215;
  t7218 = 0.4e1 * t6542;
  t7219 = 0.4e1 * t6545;
  t7220 = 0.2e1 * t6319;
  t7221 = 0.2e1 * t6328;
  t7222 = t6332 / 0.3e1;
  t7223 = t4973 * t205;
  t7224 = t149 * t7223;
  t7227 = t4973 * t929;
  t7228 = t149 * t7227;
  t7231 = t414 * t7223;
  t7234 = t427 * t7223;
  t7237 = t7218 - t7219 + t7220 - t7221 - t6330 - t7222 + 0.2e1 * t2689 * t7224 + 0.2e1 * t4095 * t7228 + t2687 * t7231 / 0.3e1 - 0.2e1 * t2687 * t7234 + t6375;
  t7238 = t6377 / 0.2e1;
  t7239 = 0.2e1 / 0.3e1 * t6378;
  t7240 = t60 * t7037;
  t7241 = t404 * t7240;
  t7244 = t1751 * t1032;
  t7251 = t1746 * t1032;
  t7256 = t1756 * t1032;
  t7259 = t7238 + t7239 - t6390 + t237 * t7241 / 0.2e1 + 0.1e2 / 0.3e1 * t4997 * t7244 - 0.4e1 / 0.3e1 * t1164 * t6384 - 0.4e1 * t5006 * t1033 + t4997 * t7251 / 0.18e2 + 0.6e1 * t5006 * t1040 - 0.3e1 * t4997 * t7256 - t962 + t943;
  t7261 = t7189 + t7216 + t7237 + t7259;
  t7262 = t59 * t7261;
  t7263 = t7262 * t96;
  t7266 = t6422 / 0.6e1;
  t7267 = t6424 / 0.3e1;
  t7268 = t6432 / 0.12e2;
  t7269 = t6437 / 0.2e1;
  t7270 = -t2004 * t7155 / 0.2e1 + t2471 * t7158 / 0.6e1 - t2471 * t7162 / 0.3e1 - t7165 - t7166 - t7167 - t22 * t7263 / 0.4e1 - t7266 + t7267 - t7268 + t7269;
  t7274 = my_piecewise3(t3, 0, t7043 + t7087 + t7120 + t7122 - t1135 * t932 / 0.6e1 + t4795 * t1005 / 0.2e1 - t5161 * t1002 / 0.2e1 + t2004 * t7131 / 0.2e1 + t2004 * t7136 / 0.2e1 + t2471 * t7140 / 0.12e2 - t2485 * t7143 / 0.6e1 - t2511 * t7147 / 0.6e1 + t2022 * t7150 / 0.2e1 + t7270);
  tv3sigmalapl20 = 0.2e1 * rho[0] * t7274;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  t7278 = t5241 * t1057;
  t7281 = t5245 * t990;
  t7284 = t287 * t205;
  t7285 = t169 * t7284;
  t7286 = t1982 * t7285;
  t7291 = t1962 * t7285;
  t7294 = t1879 * t4002;
  t7295 = t881 * t7294;
  t7297 = t877 * t7135;
  t7300 = t263 * t7130;
  t7303 = t230 * t205;
  t7304 = t145 * t7303;
  t7305 = t3227 * t7304;
  t7308 = t404 * t4002;
  t7309 = t877 * t7308;
  t7312 = t610 * t1283 / 0.4e1 - t913 + t984 - t1397 * t7278 / 0.2e1 - t1397 * t7281 / 0.4e1 + t2485 * t7286 / 0.6e1 + t2511 * t6773 / 0.12e2 - t7020 - t2471 * t7291 / 0.12e2 - t2004 * t7295 + t2004 * t7297 / 0.2e1 + t2004 * t7300 / 0.2e1 + 0.3e1 / 0.2e1 * t2004 * t7305 + t2004 * t7309 / 0.2e1;
  t7313 = t256 * t205;
  t7315 = t2708 * t400 * t7313;
  t7318 = t697 * t4451;
  t7320 = t500 * t4002;
  t7321 = t1974 * t7320;
  t7324 = t96 * t4002;
  t7325 = t1968 * t7324;
  t7328 = t2966 * t1000;
  t7329 = t318 * t7328;
  t7334 = t548 * t7328;
  t7337 = t608 * t1208;
  t7338 = t548 * t7337;
  t7347 = t2156 * t1208;
  t7348 = t555 * t7347;
  t7351 = t548 * t7347;
  t7358 = 0.3e1 * t2022 * t7315 + t2022 * t7318 - 0.2e1 / 0.3e1 * t2874 * t7321 + t2874 * t7325 / 0.3e1 + t666 * t7329 / 0.6e1 + t233 * t6795 / 0.12e2 - t671 * t7334 / 0.12e2 + t791 * t7338 / 0.3e1 + t785 * t7103 / 0.6e1 + t259 * t6641 / 0.12e2 - t791 * t7064 / 0.12e2 - t791 * t7348 / 0.6e1 - t791 * t7351 / 0.12e2 + t259 * t7107 / 0.12e2 + t259 * t7112 / 0.12e2;
  t7360 = t318 * t7347;
  t7363 = t500 * t7303;
  t7364 = t1962 * t7363;
  t7367 = t96 * t7303;
  t7368 = t3961 * t7367;
  t7371 = t3965 * t7363;
  t7376 = t1043 * t288;
  t7383 = t785 * t7360 / 0.6e1 - 0.2e1 * t4503 * t7364 - 0.11e2 / 0.18e2 * t4482 * t7368 + 0.23e2 / 0.36e2 * t4482 * t7371 + t2874 * t7158 / 0.6e1 - t22 * t7376 / 0.4e1 + t6778 - t6780 - t6785 - t6788 + t6799 - t6801 + t4722 * t248 / 0.4e1 + t4308 * t274 / 0.4e1;
  t7392 = -t208 * t5508 / 0.12e2 + t5513 * t223 / 0.4e1 - t233 * t4737 / 0.12e2 - t259 * t4302 / 0.12e2 + t6824 - t6826 - t6589 - t7092 + t6598 + t7094 - t6610 - t6616 + t6629 - t6632 + t6647;
  t7403 = t767 * t7039;
  t7408 = t6661 - t6669 + t7099 + t7100 + t6845 + t7122 + t6941 - t6947 - t233 * t4579 / 0.12e2 - t208 * t5353 / 0.12e2 + t719 * t1126 / 0.4e1 - t610 * t1269 / 0.4e1 - t162 * t7403 / 0.4e1 + t610 * t1274 / 0.2e1;
  t7421 = t555 * t7328;
  t7424 = t821 * t1000;
  t7425 = t548 * t7424;
  t7436 = -t610 * t1266 / 0.2e1 - t2452 * t1261 / 0.2e1 - t719 * t1111 / 0.2e1 - t719 * t1114 / 0.4e1 - t823 * t1058 / 0.2e1 - t823 * t1061 / 0.4e1 - t7165 - t7166 - t7167 - t671 * t7421 / 0.6e1 + t671 * t7425 / 0.3e1 - t3389 * t1053 / 0.2e1 + t823 * t1066 / 0.2e1 - t2861 * t1108 / 0.2e1 + t719 * t1117 / 0.2e1;
  t7443 = t2701 * t1751 * t7313;
  t7446 = t409 * t7303;
  t7447 = t3214 * t7446;
  t7450 = t582 * t5578;
  t7453 = t881 * t7154;
  t7458 = t1974 * t7367;
  t7461 = t3961 * t7363;
  t7464 = t1733 * t7303;
  t7465 = t3965 * t7464;
  t7468 = t1996 * t7367;
  t7470 = t1982 * t7367;
  t7473 = t1404 * t7324;
  t7476 = t1756 * t7303;
  t7477 = t3211 * t7476;
  t7480 = t1996 * t7285;
  t7483 = -t791 * t7010 / 0.6e1 + t791 * t6983 / 0.3e1 - 0.3e1 * t2022 * t7443 - 0.3e1 * t2004 * t7447 + t2022 * t7450 / 0.2e1 - t2004 * t7453 / 0.2e1 - t2874 * t7162 / 0.3e1 - t4482 * t7458 / 0.2e1 + 0.7e1 / 0.3e1 * t4482 * t7461 - 0.3e1 / 0.2e1 * t4482 * t7465 + t4503 * t7468 - t4510 * t7470 / 0.2e1 - t3162 * t7473 / 0.6e1 + 0.3e1 / 0.2e1 * t2004 * t7477 - t2471 * t7480 / 0.6e1;
  t7484 = t1395 * t7284;
  t7485 = t1962 * t7484;
  t7488 = t5387 * t1052;
  t7491 = t5387 * t1065;
  t7495 = t2701 * t1746 * t7313;
  t7504 = t1962 * t7367;
  t7507 = t1974 * t7324;
  t7510 = t3965 * t7367;
  t7517 = t5447 * t205;
  t7518 = t1845 * t7517;
  t7523 = t414 * t7517;
  t7526 = t427 * t7517;
  t7529 = 0.2e1 * t3200 * t7224 + 0.2e1 * t4349 * t7228 - 0.2e1 / 0.3e1 * t4344 * t7518 - 0.2e1 * t3197 * t7234 + 0.6e1 * t4344 * t7523 - 0.12e2 * t4360 * t7526 + t7174 - t6483 + t6490 + t6492 + t6862 - t6865 + t6869;
  t7530 = t1240 * t205;
  t7531 = t409 * t7530;
  t7535 = t1756 * t7530;
  t7538 = -0.3e1 * t3211 * t7535 + 0.6e1 * t3214 * t7531 + t7182 * t881 - t6330 - t6532 + t6543 - t6546 - t6890 + t6898 - t6900 - t7214 + t7220 - t7221;
  t7542 = t5447 * t929;
  t7543 = t427 * t7542;
  t7546 = t149 * t7517;
  t7549 = t149 * t7542;
  t7554 = t414 * t7542;
  t7557 = t1857 * t7517;
  t7562 = -t7222 + t3197 * t7231 / 0.3e1 - 0.4e1 * t3197 * t7543 + 0.6e1 * t4365 * t7546 + 0.2e1 * t3200 * t7549 + 0.2e1 * t4360 * t7523 + 0.2e1 / 0.3e1 * t3197 * t7554 - t4344 * t7557 / 0.9e1 + t6375 + t7238 + t7239 - t6390 + t263 * t7241 / 0.2e1;
  t7563 = t1240 * t929;
  t7564 = t1879 * t7563;
  t7567 = t1756 * t7563;
  t7570 = t145 * t7530;
  t7573 = t404 * t7563;
  t7577 = t400 * t7530;
  t7580 = t1746 * t7530;
  t7586 = t1751 * t7530;
  t7589 = 0.2e1 * t881 * t7564 - 0.4e1 / 0.3e1 * t881 * t7567 - 0.3e1 * t3227 * t7570 - t877 * t7573 - t877 * t7209 - t263 * t7212 - 0.4e1 * t3214 * t7577 + t3211 * t7580 / 0.18e2 - t263 * t7202 - 0.2e1 / 0.3e1 * t881 * t7204 + 0.1e2 / 0.3e1 * t3211 * t7586 - t962 + t943;
  t7591 = t7529 + t7538 + t7562 + t7589;
  t7592 = t59 * t7591;
  t7593 = t7592 * t96;
  t7596 = t2471 * t7485 / 0.3e1 - t2011 * t7488 / 0.2e1 + t1397 * t7491 / 0.2e1 + 0.3e1 / 0.2e1 * t3980 * t7495 - t3162 * t7143 / 0.6e1 - t3168 * t7147 / 0.6e1 + t2874 * t7140 / 0.12e2 + t4503 * t7504 / 0.2e1 + t2874 * t7507 / 0.6e1 - 0.5e1 / 0.36e2 * t4482 * t7510 - t7266 + t7267 - t7268 + t7269 - t22 * t7593 / 0.4e1;
  t7600 = my_piecewise3(t3, 0, t7312 + t7358 + t7383 + t7392 + t7408 + t7436 + t7483 + t7596);
  tv3sigmalapltau0 = 0.2e1 * rho[0] * t7600;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  t7610 = t911 * t1307;
  t7611 = t7610 / 0.12e2;
  t7612 = t2156 * t1305;
  t7613 = t305 * t7612;
  t7632 = 0.2e1 / 0.3e1 * t3478 * t5817 + t6212 - 0.4e1 * t5823 * t1057 + 0.4e1 / 0.3e1 * t5826 * t1052 - 0.2e1 * t5829 * t990 + 0.4e1 * t5826 * t1065 - t6224 + 0.4e1 * t5836 * t1057 + 0.2e1 * t265 * t990 - 0.4e1 * t5841 * t1065;
  t7633 = t95 * t7632;
  t7634 = t306 * t7633;
  t7635 = t305 * t7634;
  t7648 = -0.2e1 / 0.3e1 * t1297 * t6193 + t785 * t7329 / 0.3e1 + t259 * t6795 / 0.6e1 - t791 * t7334 / 0.6e1 + t7611 + t259 * t7613 / 0.12e2 + t259 * t7635 / 0.12e2 + t1297 * t6189 / 0.3e1 + t5713 * t1005 / 0.2e1 + t1297 * t6425 / 0.6e1 - 0.5e1 / 0.36e2 * t5911 * t7117 - t5706 * t1002 / 0.2e1;
  t7651 = t6166 * t6973;
  t7654 = t6166 * t6993;
  t7657 = t6166 * t6978;
  t7660 = t5779 * t1065;
  t7677 = -t1292 * t932 / 0.6e1 + 0.3e1 / 0.2e1 * t162 * t7651 + 0.3e1 / 0.2e1 * t1742 * t7654 - 0.3e1 * t509 * t7657 - 0.3e1 * t162 * t7660 - t5911 * t7003 / 0.2e1 + 0.7e1 / 0.3e1 * t5911 * t7006 - t791 * t7421 / 0.3e1 + 0.2e1 / 0.3e1 * t791 * t7425 - 0.3e1 / 0.2e1 * t5911 * t6987 - t3389 * t1108 + t823 * t1117 - 0.2e1 * t5713 * t1016;
  t7683 = 0.2e1 * t6862;
  t7684 = 0.2e1 * t6865;
  t7685 = 0.4e1 / 0.3e1 * t6868;
  t7686 = t60 * t7632;
  t7687 = t404 * t7686;
  t7698 = t6028 * t205;
  t7699 = t427 * t7698;
  t7702 = 0.6e1 * t6075 * t1040 - 0.3e1 * t6044 * t7256 + t7683 - t7684 + t7685 + t263 * t7687 / 0.2e1 + t6044 * t7251 / 0.18e2 + 0.1e2 / 0.3e1 * t6044 * t7244 - 0.4e1 / 0.3e1 * t1323 * t6384 - 0.4e1 * t6075 * t1033 - 0.2e1 * t3197 * t7699;
  t7708 = t942 * t1337;
  t7709 = t7708 / 0.2e1;
  t7710 = 0.2e1 / 0.3e1 * t6889;
  t7711 = 0.4e1 * t6897;
  t7712 = 0.4e1 * t6899;
  t7713 = t1336 * t929;
  t7714 = t1883 * t7713;
  t7716 = -0.3e1 * t1036 * t6059 - t1319 * t966 + 0.2e1 * t1323 * t6366 - t263 * t7714 - t6330 + t7220 - t7221 - t7222 + t7709 - t7710 + t7711 - t7712;
  t7728 = t942 * t1327;
  t7729 = t63 * t7632;
  t7730 = t404 * t7729;
  t7732 = t1032 * t1304;
  t7733 = t1756 * t7732;
  t7738 = t404 * t7732;
  t7740 = t1879 * t7732;
  t7742 = 0.6e1 * t6059 * t1022 + 0.2e1 * t1319 * t953 + 0.2e1 * t6075 * t1025 + 0.2e1 / 0.3e1 * t1323 * t6323 - t6044 * t7198 / 0.9e1 - t7728 - t263 * t7730 - 0.2e1 / 0.3e1 * t881 * t7733 - 0.4e1 * t1323 * t6337 - t877 * t7738 + t881 * t7740;
  t7749 = t149 * t7698;
  t7752 = t6028 * t929;
  t7753 = t149 * t7752;
  t7756 = t414 * t7698;
  t7759 = -0.12e2 * t6075 * t1029 - 0.2e1 / 0.3e1 * t6044 * t7186 + 0.6e1 * t6044 * t7178 + t6375 + t7238 + t7239 - t6390 + 0.2e1 * t3200 * t7749 + 0.2e1 * t4349 * t7753 + t3197 * t7756 / 0.3e1 - t962 + t943;
  t7761 = t7702 + t7716 + t7742 + t7759;
  t7762 = t59 * t7761;
  t7763 = t7762 * t96;
  t7771 = t6779 / 0.6e1;
  t7772 = 0.2e1 / 0.3e1 * t6798;
  t7773 = t6800 / 0.3e1;
  t7774 = -t22 * t7763 / 0.4e1 - t913 + t984 - 0.11e2 / 0.18e2 * t5911 * t6997 + 0.23e2 / 0.36e2 * t5911 * t7000 + t5713 * t1010 + t6777 - t7771 - t6784 - t6787 + t7772 - t7773;
  t7789 = t6823 / 0.2e1;
  t7790 = t6825 / 0.6e1;
  t7791 = -t208 * t5963 / 0.12e2 + t5985 * t223 / 0.4e1 + t4722 * t274 / 0.2e1 + t1297 * t2447 / 0.3e1 - t610 * t1360 / 0.2e1 + t610 * t1368 / 0.2e1 - t2452 * t1352 / 0.2e1 + t7789 - t7790 - t7092 + t7094 + t7099 + t7100;
  t7802 = t6152 * t1052;
  t7804 = t6152 * t1065;
  t7806 = t1304 * t205;
  t7807 = t96 * t7806;
  t7808 = t1968 * t7807;
  t7811 = t500 * t7806;
  t7812 = t1974 * t7811;
  t7815 = t6844 / 0.2e1;
  t7816 = t1304 * t929;
  t7817 = t1883 * t7816;
  t7818 = t263 * t7817;
  t7821 = t5716 * t1057;
  t7823 = t5720 * t990;
  t7826 = -t1297 * t2258 / 0.12e2 - t1297 * t2443 / 0.6e1 - t259 * t4737 / 0.6e1 + t1292 * t569 / 0.6e1 - t2011 * t7802 + t1397 * t7804 + t2874 * t7808 / 0.6e1 - t2874 * t7812 / 0.3e1 + t7815 + t2004 * t7818 / 0.2e1 - t1397 * t7821 - t1397 * t7823 / 0.2e1;
  t7833 = t1404 * t7807;
  t7836 = t96 * t7816;
  t7837 = t3582 * t7836;
  t7840 = t1974 * t7807;
  t7843 = t582 * t6158;
  t7846 = t1879 * t7806;
  t7847 = t881 * t7846;
  t7854 = t6940 / 0.3e1;
  t7855 = t6946 / 0.6e1;
  t7856 = t404 * t7806;
  t7857 = t877 * t7856;
  t7860 = t3162 * t7286 / 0.3e1 + t3168 * t6773 / 0.6e1 - t2874 * t7291 / 0.6e1 - t3162 * t7833 / 0.6e1 - t3168 * t7837 / 0.6e1 + t2874 * t7840 / 0.12e2 + t2022 * t7843 / 0.2e1 - t2004 * t7847 / 0.2e1 - t2874 * t7480 / 0.3e1 + 0.2e1 / 0.3e1 * t2874 * t7485 + t7854 - t7855 + t2004 * t7857 / 0.2e1;
  t7862 = t218 * t1387;
  t7865 = t1100 * t288;
  t7868 = t3517 * t1364;
  t7869 = t162 * t7868;
  t7870 = t7869 / 0.4e1;
  t7872 = t303 * t137 * t7632;
  t7873 = t767 * t7872;
  t7876 = t5785 * t6185;
  t7878 = t5763 * t1057;
  t7881 = t5855 * t990;
  t7886 = t5779 * t1052;
  t7889 = -t22 * t7862 / 0.4e1 - t22 * t7865 / 0.2e1 - t7165 - t7166 - t7167 - t7870 - t162 * t7873 / 0.4e1 - t162 * t7876 + 0.3e1 / 0.2e1 * t162 * t7878 + t162 * t7881 / 0.2e1 - t610 * t1365 / 0.4e1 + 0.3e1 * t509 * t7886;
  t7890 = t5785 * t6408;
  t7906 = t5802 * t211 * t165;
  t7909 = t509 * t7890 + t610 * t1356 / 0.2e1 - t823 * t1111 - t823 * t1114 / 0.2e1 - t208 * t5683 / 0.6e1 + t823 * t1126 / 0.2e1 - t259 * t4579 / 0.6e1 - t208 * t5804 / 0.12e2 + t162 * t7906 / 0.4e1 - t7266 + t7267 - t7268 + t7269;
  t7913 = my_piecewise3(t3, 0, t7648 + t7677 + t7774 + t7791 + t7826 + t7860 + t7889 + t7909);
  tv3sigmatau20 = 0.2e1 * rho[0] * t7913;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  t7917 = t2777 * t1148;
  t7918 = t305 * t7917;
  t7926 = t1485 * t1132;
  t7939 = 0.2e1 / 0.3e1 * t1172 * t373 + t6212 - 0.4e1 * t307 * t1132 * t328 + 0.4e1 / 0.3e1 * t7926 * t512 - 0.2e1 * t4826 * t1198 + 0.4e1 * t7926 * t516 - t6224 + 0.4e1 * t1175 * t138 + 0.2e1 * t239 * t1198 - 0.4e1 * t1172 * t496;
  t7940 = t95 * t7939;
  t7941 = t306 * t7940;
  t7942 = t305 * t7941;
  t7947 = t1455 * t1149;
  t7950 = t408 * t1147;
  t7951 = t1440 * t7950;
  t7952 = t4854 * t7951;
  t7955 = t1463 * t1149;
  t7958 = t160 * t1148;
  t7959 = t1455 * t7958;
  t7962 = t303 * t137 * t7939;
  t7963 = t745 * t7962;
  t7966 = t5177 * t1198;
  t7968 = t372 * t1147;
  t7969 = t1440 * t7968;
  t7970 = t4854 * t7969;
  t7973 = -0.3e1 / 0.4e1 * t719 * t1199 + t233 * t7918 / 0.4e1 + t233 * t7942 / 0.12e2 - t1135 * t1150 / 0.3e1 + t1140 * t7947 / 0.4e1 - 0.3e1 / 0.2e1 * t162 * t7952 + t1140 * t7955 / 0.2e1 - t1140 * t7959 - t162 * t7963 / 0.4e1 + t162 * t7966 + 0.3e1 / 0.2e1 * t509 * t7970 - t913 + t984;
  t7974 = t7019 / 0.2e1;
  t7975 = t1147 * t1147;
  t7977 = t1416 * t137 * t7975;
  t7978 = t745 * t7977;
  t7981 = t95 * t7975;
  t7982 = t306 * t7981;
  t7983 = t1417 * t7982;
  t7986 = t6588 / 0.4e1;
  t7987 = 0.3e1 / 0.4e1 * t6597;
  t7988 = t6609 / 0.2e1;
  t7989 = t6615 / 0.4e1;
  t7990 = t6628 / 0.2e1;
  t7991 = 0.3e1 / 0.2e1 * t6631;
  t7992 = 0.3e1 / 0.2e1 * t6660;
  t7993 = 0.3e1 / 0.2e1 * t6668;
  t7995 = -t7974 + t162 * t7978 / 0.2e1 - t233 * t7983 / 0.6e1 - t7986 + t7987 - t7988 - t7989 + t7990 - t7991 + t6646 + t7992 - t7993 + t1140 * t2856;
  t7997 = t1132 * t230;
  t7998 = t1743 * t7997;
  t7999 = t7998 * t1752;
  t8002 = t7997 * t1581;
  t8003 = t363 * t8002;
  t8004 = t106 * t8003;
  t8008 = t7997 * t1533;
  t8009 = t1531 * t8008;
  t8010 = t106 * t8009;
  t8019 = t7998 * t1757;
  t8028 = t7998 * t1747;
  t8033 = -0.3e1 * t509 * t7999 + t8004 * t497 - 0.2e1 * t8004 * t502 - 0.11e2 / 0.18e2 * t8010 * t1681 + 0.23e2 / 0.36e2 * t8010 * t1684 - t8010 * t1771 / 0.2e1 + 0.7e1 / 0.3e1 * t8010 * t1672 + 0.3e1 / 0.2e1 * t162 * t8019 - 0.3e1 / 0.2e1 * t8010 * t1735 - 0.3e1 / 0.2e1 * t2861 * t1190 + 0.3e1 / 0.2e1 * t719 * t1202 + 0.3e1 / 0.2e1 * t1742 * t8028 - 0.3e1 / 0.2e1 * t719 * t1194;
  t8034 = t7997 * t365;
  t8035 = t109 * t8034;
  t8036 = t106 * t8035;
  t8039 = t510 * t7997;
  t8040 = t8039 * t1703;
  t8050 = t163 * t7997 * t1524;
  t8053 = t8039 * t1699;
  t8064 = t7121 / 0.6e1;
  t8065 = 0.3e1 * t6483;
  t8066 = 0.2e1 * t6489;
  t8067 = 0.3e1 * t6492;
  t8068 = 0.2e1 * t7214;
  t8071 = t1756 * t1167;
  t8073 = t63 * t7939;
  t8074 = t404 * t8073;
  t8076 = t63 * t7975;
  t8077 = t1883 * t8076;
  t8080 = t60 * t7975;
  t8081 = t1883 * t8080;
  t8083 = t108 * t7997;
  t8084 = t8083 * t1523;
  t8087 = 0.6e1 * t6542;
  t8088 = 0.6e1 * t6545;
  t8089 = t8083 * t365;
  t8092 = t362 * t7997;
  t8093 = t8092 * t1581;
  t8096 = 0.4e1 * t1160 * t1168 + t1164 * t8071 + 0.6e1 * t146 * t8084 - 0.3e1 * t150 * t8089 - t237 * t8074 + 0.2e1 * t237 * t8077 - t237 * t8081 + 0.6e1 * t428 * t8093 - t6531 + t7173 - t8065 + t8066 + t8067 - t8068 + t8087 - t8088;
  t8097 = t69 * t7997;
  t8098 = t8097 * t1533;
  t8107 = t60 * t7939;
  t8108 = t404 * t8107;
  t8113 = t8092 * t1698;
  t8116 = t8097 * t1745;
  t8119 = t1756 * t1177;
  t8122 = t1879 * t1167;
  t8127 = t1879 * t1177;
  t8134 = -0.3e1 * t8098 * t1863 + 0.1e2 / 0.3e1 * t8098 * t1846 + t8098 * t1858 / 0.18e2 - 0.4e1 * t8093 * t415 + t237 * t8108 / 0.2e1 - 0.2e1 * t1160 * t1178 + 0.2e1 * t8113 * t401 - t8116 * t1917 / 0.9e1 - 0.2e1 * t1164 * t8119 - t962 + t943 - 0.6e1 * t1164 * t8122 + 0.6e1 * t8116 * t1928 + 0.3e1 * t1164 * t8127 - 0.12e2 * t8113 * t410 - 0.2e1 / 0.3e1 * t8116 * t1936;
  t8135 = t8096 + t8134;
  t8136 = t59 * t8135;
  t8137 = t8136 * t96;
  t8140 = -t8036 * t139 / 0.2e1 - 0.3e1 * t162 * t8040 + t8004 * t374 / 0.2e1 - t1140 * t2830 / 0.4e1 - 0.5e1 / 0.36e2 * t8010 * t1542 + 0.3e1 / 0.2e1 * t162 * t8050 + 0.3e1 * t509 * t8053 + 0.3e1 / 0.4e1 * t4944 * t248 - t1140 * t2852 / 0.2e1 - t233 * t4962 / 0.4e1 + t1135 * t686 / 0.2e1 + t8064 - t22 * t8137 / 0.4e1;
  t8143 = my_piecewise3(t3, 0, t7973 + t7995 + t8033 + t8140);
  tv3lapl30 = 0.2e1 * rho[0] * t8143;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  t8147 = t60 * t1132;
  t8148 = t400 * t8147;
  t8151 = t1746 * t8147;
  t8154 = t1751 * t8147;
  t8157 = t145 * t8147;
  t8161 = t409 * t8147;
  t8164 = t1756 * t8147;
  t8167 = t1240 * t1147;
  t8168 = t404 * t8167;
  t8171 = t63 * t1132;
  t8172 = t400 * t8171;
  t8175 = t1746 * t8171;
  t8179 = t263 * t8108 / 0.2e1 - 0.4e1 * t3214 * t8148 + t3211 * t8151 / 0.18e2 + 0.1e2 / 0.3e1 * t3211 * t8154 - 0.3e1 * t3227 * t8157 - t263 * t8081 + 0.6e1 * t3214 * t8161 - 0.3e1 * t3211 * t8164 + t7173 - t7175 + t7176 + t7177 + t6862 - t6865 + t6869 - 0.2e1 * t877 * t8168 + 0.2e1 * t3214 * t8172 - t3211 * t8175 / 0.9e1 - t263 * t8074;
  t8180 = t1756 * t8167;
  t8185 = t145 * t8171;
  t8188 = t5447 * t1147;
  t8189 = t149 * t8188;
  t8192 = t414 * t8188;
  t8194 = t427 * t8188;
  t8197 = t1879 * t8167;
  t8200 = t409 * t8171;
  t8203 = t1751 * t8171;
  t8206 = t1756 * t8171;
  t8209 = -0.2e1 * t881 * t8180 + 0.2e1 * t263 * t8077 + 0.6e1 * t3227 * t8185 + 0.4e1 * t3200 * t8189 + t3197 * t8192 - t8068 - t6890 + t6898 - t6900 - t7215 + t7218 - t7219 - 0.6e1 * t3197 * t8194 + 0.3e1 * t881 * t8197 - 0.12e2 * t3214 * t8200 - 0.2e1 / 0.3e1 * t3211 * t8203 + 0.6e1 * t3211 * t8206 - t962 + t943;
  t8210 = t8179 + t8209;
  t8211 = t59 * t8210;
  t8212 = t8211 * t96;
  t8217 = t717 * t1208;
  t8218 = t548 * t8217;
  t8221 = t2777 * t1208;
  t8222 = t555 * t8221;
  t8225 = t318 * t8221;
  t8228 = t95 * t1132;
  t8229 = t306 * t8228;
  t8230 = t548 * t8229;
  t8233 = t548 * t8221;
  t8236 = t2042 * t8229;
  t8246 = t767 * t7962;
  t8254 = t2966 * t1148;
  t8255 = t305 * t8254;
  t8262 = t555 * t8229;
  t8264 = t160 * t8228;
  t8265 = t548 * t8264;
  t8268 = t719 * t1283 / 0.2e1 - t233 * t5353 / 0.6e1 - t162 * t8246 / 0.4e1 - t719 * t1266 - t719 * t1269 / 0.2e1 - t823 * t1199 / 0.4e1 + t233 * t8255 / 0.12e2 + t259 * t7918 / 0.6e1 + t259 * t7942 / 0.12e2 + t2936 * t8262 - 0.2e1 * t2936 * t8265;
  t8274 = t775 * t1163;
  t8275 = t8274 * t512;
  t8278 = t507 * t8228;
  t8279 = t2042 * t8278;
  t8282 = t1540 * t1132;
  t8283 = t1539 * t8282;
  t8284 = t3180 * t8283;
  t8287 = t1670 * t1132;
  t8288 = t1539 * t8287;
  t8289 = t3180 * t8288;
  t8292 = t2218 * t8229;
  t8295 = t2042 * t8264;
  t8298 = t2213 * t8229;
  t8301 = t2218 * t8264;
  t8306 = -t1140 * t3192 / 0.6e1 + t1140 * t3172 / 0.3e1 - t509 * t8275 / 0.2e1 - 0.3e1 / 0.2e1 * t3007 * t8279 + 0.3e1 / 0.2e1 * t1742 * t8284 - 0.3e1 * t509 * t8289 - 0.11e2 / 0.18e2 * t3007 * t8292 + 0.23e2 / 0.36e2 * t3007 * t8295 - t3007 * t8298 / 0.2e1 + 0.7e1 / 0.3e1 * t3007 * t8301 - t259 * t7983 / 0.6e1;
  t8307 = t318 * t8229;
  t8310 = t8274 * t516;
  t8314 = t371 * t408 * t1132;
  t8315 = t3304 * t8314;
  t8318 = t372 * t1132;
  t8319 = t1539 * t8318;
  t8320 = t3180 * t8319;
  t8324 = t775 * t1159 * t328;
  t8329 = t767 * t7977;
  t8333 = t135 * t137 * t1132;
  t8334 = t3300 * t8333;
  t8337 = t371 * t8318;
  t8338 = t3304 * t8337;
  t8341 = t697 * t5578;
  t8344 = t96 * t5099;
  t8345 = t1974 * t8344;
  t8348 = -t3065 * t8307 / 0.2e1 + t162 * t8310 / 0.2e1 - 0.3e1 * t162 * t8315 + 0.3e1 / 0.2e1 * t162 * t8320 - t162 * t8324 / 0.2e1 + t1135 * t777 / 0.6e1 + t162 * t8329 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t8334 + 0.3e1 * t509 * t8338 + 0.3e1 / 0.2e1 * t2022 * t8341 + t2874 * t8345 / 0.4e1;
  t8351 = t1404 * t8344;
  t8354 = t1879 * t5099;
  t8355 = t881 * t8354;
  t8359 = -t6801 + t6824 - t6826 - t7091 + t7093 - t7095 - t7096 + t7097 - t6631 + t7098 + t6660;
  t8381 = -t6668 - t1140 * t3380 / 0.6e1 + t1140 * t3384 / 0.3e1 - t3389 * t1190 / 0.2e1 + t823 * t1202 / 0.2e1 + t1135 * t818 / 0.6e1 + t5513 * t248 / 0.2e1 - t233 * t5508 / 0.6e1 - t1140 * t3347 / 0.12e2 - t259 * t4962 / 0.12e2 - t823 * t1194 / 0.2e1;
  t8384 = t1968 * t8344;
  t8387 = t500 * t5099;
  t8388 = t1974 * t8387;
  t8390 = t5245 * t1198;
  t8393 = t287 * t1147;
  t8394 = t169 * t8393;
  t8395 = t1404 * t8394;
  t8398 = t404 * t5099;
  t8399 = t877 * t8398;
  t8401 = t1183 * t288;
  t8404 = t4944 * t274 / 0.4e1 + t6845 + t8064 + t6941 - t6947 + t2874 * t8384 / 0.2e1 - t2874 * t8388 - t1397 * t8390 / 0.4e1 + t2511 * t8395 / 0.12e2 + t2004 * t8399 - t22 * t8401 / 0.4e1;
  t8408 = my_piecewise3(t3, 0, t8404 - t7974 + t8306 + 0.2e1 / 0.3e1 * t791 * t8218 - t791 * t8222 / 0.3e1 + t785 * t8225 / 0.3e1 + t2936 * t8230 / 0.2e1 - t791 * t8233 / 0.6e1 - 0.5e1 / 0.36e2 * t3007 * t8236 - t1140 * t2880 / 0.12e2 + t6799 - t6780 + t6778 + t8348 - t3162 * t8351 / 0.3e1 - 0.3e1 / 0.2e1 * t2004 * t8355 - t22 * t8212 / 0.4e1 - t2861 * t1261 + t719 * t1274 + t8268 - t6785 + t984 - t6788 + t8359 - t913 + t8381);
  tv3lapl2tau0 = 0.2e1 * rho[0] * t8408;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  t8412 = t2218 * t1209;
  t8415 = t2042 * t1223;
  t8418 = t2213 * t1209;
  t8421 = t2218 * t1223;
  t8424 = t5779 * t1273;
  t8427 = t1539 * t1259;
  t8428 = t6166 * t8427;
  t8431 = t2966 * t1208;
  t8432 = t555 * t8431;
  t8435 = t821 * t1208;
  t8436 = t548 * t8435;
  t8439 = t507 * t1208;
  t8440 = t2042 * t8439;
  t8445 = -0.2e1 * t5713 * t1224 - 0.11e2 / 0.18e2 * t5911 * t8412 + 0.23e2 / 0.36e2 * t5911 * t8415 - t5911 * t8418 / 0.2e1 + 0.7e1 / 0.3e1 * t5911 * t8421 - 0.3e1 * t162 * t8424 + 0.3e1 / 0.2e1 * t162 * t8428 - t791 * t8432 / 0.3e1 + 0.2e1 / 0.3e1 * t791 * t8436 - 0.3e1 / 0.2e1 * t5911 * t8440 - t3389 * t1261 + t823 * t1274;
  t8446 = t1540 * t230;
  t8447 = t1539 * t8446;
  t8448 = t6166 * t8447;
  t8451 = t1670 * t230;
  t8452 = t1539 * t8451;
  t8453 = t6166 * t8452;
  t8473 = 0.2e1 / 0.3e1 * t4838 * t5817 + t6212 - 0.4e1 * t5823 * t1265 + 0.4e1 / 0.3e1 * t5826 * t1260 - 0.2e1 * t5829 * t1198 + 0.4e1 * t5826 * t1273 - t6224 + 0.4e1 * t5836 * t1265 + 0.2e1 * t265 * t1198 - 0.4e1 * t5841 * t1273;
  t8474 = t60 * t8473;
  t8475 = t404 * t8474;
  t8478 = t1751 * t1240;
  t8485 = t1746 * t1240;
  t8490 = t1756 * t1240;
  t8500 = t263 * t8475 / 0.2e1 + 0.1e2 / 0.3e1 * t6044 * t8478 - 0.4e1 / 0.3e1 * t1323 * t8119 - 0.4e1 * t6075 * t1241 + t6044 * t8485 / 0.18e2 + 0.6e1 * t6075 * t1248 - 0.3e1 * t6044 * t8490 + 0.2e1 * t1323 * t8127 - 0.3e1 * t6059 * t1244 - t1319 * t1178 + 0.2e1 * t6075 * t1233;
  t8503 = t1746 * t1229;
  t8506 = t63 * t8473;
  t8507 = t404 * t8506;
  t8509 = t1240 * t1304;
  t8510 = t1756 * t8509;
  t8517 = 0.2e1 / 0.3e1 * t1323 * t8071 - t6044 * t8503 / 0.9e1 - t263 * t8507 - 0.2e1 / 0.3e1 * t881 * t8510 + 0.6e1 * t6059 * t1230 + 0.2e1 * t1319 * t1168 + t7174 - t6483 + t6490 + t6492 + t7683 - t7684;
  t8519 = t1879 * t8509;
  t8523 = t1751 * t1229;
  t8526 = t1756 * t1229;
  t8531 = t404 * t8509;
  t8533 = t1336 * t1147;
  t8534 = t1883 * t8533;
  t8536 = t7685 + t881 * t8519 - 0.12e2 * t6075 * t1237 - 0.2e1 / 0.3e1 * t6044 * t8523 + 0.6e1 * t6044 * t8526 - 0.4e1 * t1323 * t8122 - t877 * t8531 - t263 * t8534 - t7214 + t7709 - t7710;
  t8537 = t6028 * t1147;
  t8538 = t149 * t8537;
  t8541 = t6028 * t230;
  t8542 = t414 * t8541;
  t8545 = t427 * t8541;
  t8548 = t149 * t8541;
  t8551 = t7711 - t7712 - t6532 + t6543 - t6546 + 0.2e1 * t4349 * t8538 + t3197 * t8542 / 0.3e1 - 0.2e1 * t3197 * t8545 - t7728 + 0.2e1 * t3200 * t8548 - t962 + t943;
  t8553 = t8500 + t8517 + t8536 + t8551;
  t8554 = t59 * t8553;
  t8555 = t8554 * t96;
  t8558 = t287 * t230;
  t8559 = t169 * t8558;
  t8560 = t1996 * t8559;
  t8563 = t1395 * t8558;
  t8564 = t1962 * t8563;
  t8567 = t6152 * t1260;
  t8569 = t6152 * t1273;
  t8571 = t697 * t6158;
  t8574 = t1304 * t230;
  t8575 = t1879 * t8574;
  t8576 = t881 * t8575;
  t8581 = t2042 * t1209;
  t8586 = 0.3e1 / 0.2e1 * t1742 * t8448 - 0.3e1 * t509 * t8453 + t5713 * t1218 - t22 * t8555 / 0.4e1 - t2874 * t8560 / 0.3e1 + 0.2e1 / 0.3e1 * t2874 * t8564 - t2011 * t8567 + t1397 * t8569 + t2022 * t8571 / 0.2e1 - t2004 * t8576 / 0.2e1 + t1297 * t7947 / 0.6e1 - 0.5e1 / 0.36e2 * t5911 * t8581 - t5706 * t1210 / 0.2e1;
  t8603 = t318 * t8431;
  t8608 = t548 * t8431;
  t8611 = t2777 * t1305;
  t8612 = t305 * t8611;
  t8615 = -t1292 * t1150 / 0.6e1 + t719 * t1356 / 0.2e1 - t823 * t1266 - t823 * t1269 / 0.2e1 - t233 * t5683 / 0.6e1 + t823 * t1283 / 0.2e1 - t259 * t5353 / 0.6e1 - 0.2e1 / 0.3e1 * t1297 * t7959 + t785 * t8603 / 0.3e1 + t259 * t8255 / 0.6e1 - t791 * t8608 / 0.6e1 + t259 * t8612 / 0.12e2;
  t8616 = t95 * t8473;
  t8617 = t306 * t8616;
  t8618 = t305 * t8617;
  t8628 = t5802 * t236 * t165;
  t8632 = t303 * t137 * t8473;
  t8633 = t767 * t8632;
  t8636 = t5785 * t7951;
  t8638 = t5763 * t1265;
  t8641 = t5855 * t1198;
  t8646 = t5779 * t1260;
  t8649 = t5785 * t7969;
  t8651 = t259 * t8618 / 0.12e2 + t1297 * t7955 / 0.3e1 + t5713 * t1213 / 0.2e1 - t233 * t5804 / 0.12e2 + t162 * t8628 / 0.4e1 - t162 * t8633 / 0.4e1 - t162 * t8636 + 0.3e1 / 0.2e1 * t162 * t8638 + t162 * t8641 / 0.2e1 - t719 * t1365 / 0.4e1 + 0.3e1 * t509 * t8646 + t509 * t8649 + t7611;
  t8654 = -t913 + t984 - t7020 + t6777 - t7771 - t6784 - t6787 + t7772 - t7773 + t7789 - t7790 - t6589;
  t8655 = t243 * t1387;
  t8658 = t1251 * t288;
  t8667 = t6598 - t6610 - t6616 + t6629 - t6632 + t6647 + t6661 - t6669 - t22 * t8655 / 0.4e1 - t22 * t8658 / 0.2e1 - t259 * t5508 / 0.6e1 + t1292 * t686 / 0.6e1 - t719 * t1360 / 0.2e1;
  t8685 = t719 * t1368 / 0.2e1 - t2861 * t1352 / 0.2e1 + t5985 * t248 / 0.4e1 + t5513 * t274 / 0.2e1 + t1297 * t2856 / 0.3e1 - t1297 * t2830 / 0.12e2 - t1297 * t2852 / 0.6e1 - t233 * t5963 / 0.12e2 + t7815 + t7122 + t7854 - t7855;
  t8686 = t1982 * t8559;
  t8691 = t96 * t8574;
  t8692 = t1404 * t8691;
  t8695 = t1304 * t1147;
  t8696 = t96 * t8695;
  t8697 = t3582 * t8696;
  t8700 = t1974 * t8691;
  t8703 = t1968 * t8691;
  t8706 = t500 * t8574;
  t8707 = t1974 * t8706;
  t8710 = t404 * t8574;
  t8711 = t877 * t8710;
  t8714 = t1883 * t8695;
  t8715 = t263 * t8714;
  t8718 = t5716 * t1265;
  t8720 = t5720 * t1198;
  t8723 = t1962 * t8559;
  t8726 = t3162 * t8686 / 0.3e1 + t3168 * t8395 / 0.6e1 - t3162 * t8692 / 0.6e1 - t3168 * t8697 / 0.6e1 + t2874 * t8700 / 0.12e2 + t2874 * t8703 / 0.6e1 - t2874 * t8707 / 0.3e1 + t2004 * t8711 / 0.2e1 + t2004 * t8715 / 0.2e1 - t1397 * t8718 - t1397 * t8720 / 0.2e1 - t2874 * t8723 / 0.6e1 - t7870;
  t8730 = my_piecewise3(t3, 0, t8445 + t8586 + t8615 + t8651 + t8654 + t8667 + t8685 + t8726);
  tv3lapltau20 = 0.2e1 * rho[0] * t8730;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  t8732 = t408 * t1304;
  t8733 = t1440 * t8732;
  t8734 = t5785 * t8733;
  t8737 = t775 * t1322;
  t8738 = t8737 * t516;
  t8741 = t1463 * t1306;
  t8744 = t160 * t1305;
  t8745 = t1455 * t8744;
  t8749 = t1304 * t1304;
  t8751 = t1416 * t137 * t8749;
  t8752 = t767 * t8751;
  t8756 = t775 * t1318 * t328;
  t8759 = t95 * t8749;
  t8760 = t306 * t8759;
  t8761 = t1417 * t8760;
  t8764 = t8737 * t512;
  t8768 = t5802 * t262 * t165;
  t8782 = t2966 * t1305;
  t8783 = t305 * t8782;
  t8786 = -0.3e1 / 0.2e1 * t162 * t8734 + 0.3e1 / 0.2e1 * t162 * t8738 + t1297 * t8741 / 0.2e1 - t1297 * t8745 - t1292 * t1307 / 0.3e1 + t162 * t8752 / 0.2e1 - 0.3e1 / 0.2e1 * t162 * t8756 - t259 * t8761 / 0.6e1 - 0.3e1 / 0.2e1 * t509 * t8764 + 0.3e1 / 0.4e1 * t162 * t8768 - 0.3e1 / 0.4e1 * t823 * t1365 + 0.3e1 / 0.2e1 * t823 * t1356 - t259 * t5804 / 0.4e1 + t1297 * t3172 - t1297 * t3192 / 0.2e1 - t259 * t5683 / 0.2e1 + t259 * t8783 / 0.4e1;
  t8792 = t1485 * t1289;
  t8805 = 0.2e1 / 0.3e1 * t1331 * t373 + t6212 - 0.4e1 * t307 * t1289 * t328 + 0.4e1 / 0.3e1 * t8792 * t512 - 0.2e1 * t5829 * t1364 + 0.4e1 * t8792 * t516 - t6224 + 0.4e1 * t1334 * t138 + 0.2e1 * t265 * t1364 - 0.4e1 * t1331 * t496;
  t8806 = t95 * t8805;
  t8807 = t306 * t8806;
  t8808 = t305 * t8807;
  t8813 = t1455 * t1306;
  t8818 = t5855 * t1364;
  t8821 = t303 * t137 * t8805;
  t8822 = t767 * t8821;
  t8825 = t372 * t1304;
  t8826 = t1440 * t8825;
  t8827 = t5785 * t8826;
  t8830 = t5720 * t1364;
  t8833 = t287 * t1304;
  t8834 = t169 * t8833;
  t8835 = t1404 * t8834;
  t8838 = t7610 / 0.6e1;
  t8839 = t1289 * t256;
  t8840 = t69 * t8839;
  t8841 = t8840 * t1745;
  t8844 = t60 * t8749;
  t8845 = t1883 * t8844;
  t8847 = t108 * t8839;
  t8848 = t8847 * t1523;
  t8853 = t60 * t8805;
  t8854 = t404 * t8853;
  t8857 = t1756 * t1336;
  t8860 = t362 * t8839;
  t8861 = t8860 * t1698;
  t8866 = t1879 * t1336;
  t8873 = t1879 * t1326;
  t8876 = 0.3e1 * t6862;
  t8877 = 0.3e1 * t6865;
  t8878 = 0.2e1 * t6868;
  t8879 = 0.6e1 * t8841 * t1928 - t263 * t8845 + 0.6e1 * t8848 * t146 - 0.2e1 * t1319 * t1337 + t263 * t8854 / 0.2e1 - 0.2e1 * t1323 * t8857 + 0.2e1 * t8861 * t401 - t8841 * t1917 / 0.9e1 + 0.3e1 * t1323 * t8866 - 0.12e2 * t8861 * t410 - 0.2e1 / 0.3e1 * t8841 * t1936 - 0.6e1 * t1323 * t8873 + t8876 - t8877 + t8878 + t7708;
  t8880 = 0.6e1 * t6897;
  t8881 = 0.6e1 * t6899;
  t8882 = 0.2e1 * t7728;
  t8883 = t8860 * t1581;
  t8886 = t8840 * t1533;
  t8895 = t8847 * t365;
  t8900 = t1756 * t1326;
  t8902 = t63 * t8805;
  t8903 = t404 * t8902;
  t8905 = t63 * t8749;
  t8906 = t1883 * t8905;
  t8909 = -t6889 + t8880 - t8881 - t8882 + 0.6e1 * t8883 * t428 - 0.3e1 * t8886 * t1863 + 0.1e2 / 0.3e1 * t8886 * t1846 - 0.4e1 * t8883 * t415 + t8886 * t1858 / 0.18e2 - 0.3e1 * t8895 * t150 + 0.4e1 * t1319 * t1327 + t1323 * t8900 - t263 * t8903 + 0.2e1 * t263 * t8906 - t962 + t943;
  t8910 = t8879 + t8909;
  t8911 = t59 * t8910;
  t8912 = t8911 * t96;
  t8915 = 0.3e1 / 0.2e1 * t6777;
  t8916 = t6779 / 0.4e1;
  t8917 = 0.3e1 / 0.2e1 * t6784;
  t8918 = 0.3e1 / 0.2e1 * t6787;
  t8919 = t259 * t8808 / 0.12e2 + t1292 * t777 / 0.2e1 + t1297 * t8813 / 0.4e1 - t1297 * t2880 / 0.4e1 + t162 * t8818 - t162 * t8822 / 0.4e1 + 0.3e1 / 0.2e1 * t509 * t8827 - 0.3e1 / 0.4e1 * t1397 * t8830 + t3168 * t8835 / 0.4e1 + t8838 - t22 * t8912 / 0.4e1 - t913 + t984 + t8915 - t8916 - t8917 - t8918 + t6798;
  t8921 = t6800 / 0.2e1;
  t8922 = 0.3e1 / 0.4e1 * t6823;
  t8923 = t6825 / 0.4e1;
  t8924 = t8839 * t1533;
  t8925 = t1531 * t8924;
  t8926 = t106 * t8925;
  t8938 = t1743 * t8839;
  t8939 = t8938 * t1747;
  t8942 = t8938 * t1752;
  t8945 = t8839 * t1581;
  t8946 = t363 * t8945;
  t8947 = t106 * t8946;
  t8953 = t510 * t8839;
  t8954 = t8953 * t1703;
  t8957 = t8938 * t1757;
  t8962 = -t8921 + t8922 - t8923 + 0.23e2 / 0.36e2 * t8926 * t1684 - t8926 * t1771 / 0.2e1 + 0.7e1 / 0.3e1 * t8926 * t1672 + t1297 * t3384 - 0.3e1 / 0.2e1 * t3389 * t1352 + 0.3e1 / 0.2e1 * t823 * t1368 + 0.3e1 / 0.2e1 * t1742 * t8939 - 0.3e1 * t509 * t8942 + t8947 * t497 - 0.2e1 * t8947 * t502 - 0.11e2 / 0.18e2 * t8926 * t1681 - 0.3e1 * t162 * t8954 + 0.3e1 / 0.2e1 * t162 * t8957 - 0.3e1 / 0.2e1 * t8926 * t1735;
  t8973 = t8839 * t365;
  t8974 = t109 * t8973;
  t8975 = t106 * t8974;
  t8979 = t163 * t8839 * t1524;
  t8982 = t8953 * t1699;
  t8991 = 0.3e1 / 0.4e1 * t6844;
  t8992 = t6940 / 0.2e1;
  t8993 = t6946 / 0.4e1;
  t8994 = t1342 * t288;
  t8997 = 0.1e1 / t445;
  t9010 = 0.408e3 * t1821 * t8997 + 0.624e3 * t1824 * t8997 - 0.72e3 * t1827 * t8997 - 0.18e4 * t1830 * t8997 - 0.84e3 * t1835 * t8997 + 0.24e2 * t84 * t8997;
  t9011 = t169 * t9010;
  t9012 = t65 * t9011;
  t9015 = t269 * t1387;
  t9018 = t7869 / 0.2e1;
  t9019 = t8947 * t374 / 0.2e1 - t1297 * t3347 / 0.4e1 - 0.5e1 / 0.36e2 * t8926 * t1542 - t1297 * t3380 / 0.2e1 + t1292 * t818 / 0.2e1 - t8975 * t139 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t8979 + 0.3e1 * t509 * t8982 - 0.3e1 / 0.2e1 * t823 * t1360 + 0.3e1 / 0.4e1 * t5985 * t274 - t259 * t5963 / 0.4e1 + t8991 + t8992 - t8993 - 0.3e1 / 0.4e1 * t22 * t8994 - t22 * t9012 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t9015 - t9018;
  t9022 = my_piecewise3(t3, 0, t8786 + t8919 + t8962 + t9019);
  tv3tau30 = 0.2e1 * rho[0] * t9022;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t18, t19, t20, t21, t22, t23;
  double t24, t25, t27, t30, t33, t34, t36, t40;
  double t43, t44, t47, t50, t53, t54, t55, t56;
  double t57, t59, t60, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t74, t75;
  double t76, t77, t78, t80, t81, t82, t83, t84;
  double t87, t88, t89, t91, t95, t96, t97, t100;
  double tzk0;

  double t102, t103, t106, t107, t108, t109, t110, t115;
  double t117, t118, t122, t123, t124, t125, t126, t127;
  double t129, t130, t131, t133, t134, t135, t136, t137;
  double t138, t139, t142, t143, t144, t145, t146, t148;
  double t149, t150, t153, t154, t155, t158, t159, t160;
  double t161, t162, t163, t165, t166, t169, t173, t174;
  double t175, t178, t181, t182, t185, t189, t190, t193;
  double t194, t195, t199, tvrho0, t202, t203, t205, t206;
  double t207, t208, t211, t212, t214, t217, t218, t219;
  double t223, t227, tvsigma0, t230, t231, t232, t233, t236;
  double t237, t239, t242, t243, t244, t248, t252, tvlapl0;
  double t256, t257, t258, t259, t262, t263, t265, t268;
  double t269, t270, t274, t287, t288, t289, t293, tvtau0;

  double t296, t298, t301, t302, t303, t304, t305, t306;
  double t307, t312, t313, t314, t315, t318, t319, t320;
  double t323, t325, t326, t327, t328, t329, t332, t334;
  double t335, t342, t344, t345, t349, t351, t354, t355;
  double t356, t359, t362, t363, t364, t365, t366, t367;
  double t368, t369, t370, t371, t372, t373, t374, t377;
  double t378, t379, t382, t383, t386, t387, t390, t391;
  double t393, t394, t397, t398, t399, t400, t401, t404;
  double t405, t406, t408, t409, t410, t413, t414, t415;
  double t418, t421, t423, t424, t427, t428, t430, t431;
  double t432, t437, t443, t444, t445, t447, t451, t452;
  double t455, t458, t463, t468, t474, t475, t480, t481;
  double t482, t485, t486, t491, t492, t493, t496, t497;
  double t500, t501, t502, t506, t507, t508, t509, t510;
  double t511, t512, t513, t516, t517, t520, t522, tv2rho20;
  double t525, t528, t530, t531, t532, t533, t536, t537;
  double t538, t539, t540, t541, t544, t545, t546, t547;
  double t548, t549, t554, t555, t556, t561, t562, t569;
  double t572, t573, t574, t576, t577, t578, t581, t582;
  double t583, t587, t590, t591, t594, t597, t601, t603;
  double t604, t605, t608, t609, t610, t613, t620, t621;
  double t622, t623, t627, t631, t634, t635, t636, t637;
  double t640, t641, t645, t646, t649, t651, tv2rhosigma0, t654;
  double t658, t659, t660, t661, t664, t665, t666, t669;
  double t670, t671, t686, t689, t690, t691, t693, t696;
  double t697, t705, t712, t713, t714, t717, t718, t719;
  double t722, t729, t730, t734, t738, t741, t742, t745;
  double t746, t749, t752, t754, tv2rholapl0, t757, t758, t759;
  double t762, t763, t764, t767, t768, t772, t775, t776;
  double t777, t781, t784, t785, t790, t791, t796, t803;
  double t806, t810, t811, t812, t813, t818, t821, t822;
  double t823, t829, t834, t837, t844, t845, t848, t869;
  double t870, t871, t874, t875, t877, t880, t881, t889;
  double t896, t897, t898, t903, t905, tv2rhotau0, t908, t909;
  double t910, t911, t913, t914, t915, t916, t917, t920;
  double t921, t922, t929, t930, t931, t932, t941, t942;
  double t943, t944, t945, t948, t949, t952, t953, t957;
  double t960, t962, t963, t965, t966, t970, t971, t972;
  double t977, t978, t982, t984, t986, t989, t990, t991;
  double t994, t997, t998, tv2sigma20, t1000, t1001, t1002, t1005;
  double t1010, t1015, t1016, t1021, t1022, t1025, t1029, t1032;
  double t1033, t1036, t1040, t1042, t1043, t1044, t1051, t1052;
  double t1053, t1056, t1057, t1058, t1061, t1064, t1065, t1066;
  double t1069, t1070, tv2sigmalapl0, t1099, t1100, t1101, t1108, t1111;
  double t1114, t1117, t1122, t1126, t1129, t1130, tv2sigmatau0, t1132;
  double t1133, t1134, t1135, t1138, t1139, t1140, t1147, t1148;
  double t1149, t1150, t1159, t1160, t1163, t1164, t1167, t1168;
  double t1172, t1175, t1177, t1178, t1182, t1183, t1184, t1189;
  double t1190, t1194, t1197, t1198, t1199, t1202, t1205, t1206;
  double tv2lapl20, t1208, t1209, t1210, t1213, t1218, t1223, t1224;
  double t1229, t1230, t1233, t1237, t1240, t1241, t1244, t1248;
  double t1250, t1251, t1252, t1259, t1260, t1261, t1264, t1265;
  double t1266, t1269, t1272, t1273, t1274, t1279, t1283, t1286;
  double t1287, tv2lapltau0, t1289, t1290, t1291, t1292, t1295, t1296;
  double t1297, t1304, t1305, t1306, t1307, t1318, t1319, t1322;
  double t1323, t1326, t1327, t1331, t1334, t1336, t1337, t1341;
  double t1342, t1343, t1348, t1351, t1352, t1356, t1360, t1363;
  double t1364, t1365, t1368, t1373, t1386, t1387, t1388, t1391;
  double t1392, tv2tau20;

  double t1395, t1396, t1397, t1398, t1399, t1400, t1403, t1404;
  double t1405, t1406, t1407, t1415, t1416, t1417, t1418, t1419;
  double t1420, t1421, t1427, t1432, t1433, t1436, t1439, t1440;
  double t1441, t1442, t1443, t1446, t1447, t1448, t1449, t1452;
  double t1455, t1456, t1463, t1464, t1467, t1468, t1472, t1473;
  double t1474, t1485, t1486, t1489, t1502, t1503, t1504, t1505;
  double t1512, t1514, t1521, t1523, t1524, t1525, t1528, t1531;
  double t1533, t1534, t1535, t1536, t1538, t1539, t1540, t1541;
  double t1542, t1545, t1546, t1547, t1557, t1558, t1562, t1564;
  double t1567, t1568, t1569, t1574, t1575, t1581, t1582, t1583;
  double t1584, t1587, t1588, t1591, t1594, t1596, t1599, t1600;
  double t1602, t1603, t1605, t1606, t1609, t1612, t1613, t1616;
  double t1617, t1621, t1622, t1625, t1628, t1629, t1634, t1636;
  double t1639, t1640, t1641, t1642, t1643, t1644, t1647, t1648;
  double t1655, t1657, t1662, t1663, t1666, t1669, t1670, t1671;
  double t1672, t1675, t1678, t1679, t1681, t1684, t1687, t1688;
  double t1689, t1694, t1697, t1698, t1699, t1700, t1703, t1704;
  double t1707, t1708, t1709, t1712, t1713, t1716, t1718, t1721;
  double t1728, t1733, t1734, t1735, t1738, t1739, t1740, t1741;
  double t1742, t1743, t1744, t1745, t1746, t1747, t1748, t1751;
  double t1752, t1753, t1756, t1757, t1758, t1763, t1766, t1770;
  double t1771, t1774, t1781, t1784, t1787, t1789, t1790, t1809;
  double t1810, t1811, t1812, t1821, t1824, t1827, t1830, t1833;
  double t1834, t1835, t1838, t1839, t1840, t1843, t1844, t1845;
  double t1846, t1849, t1850, t1853, t1854, t1857, t1858, t1863;
  double t1866, t1867, t1870, t1871, t1877, t1879, t1880, t1883;
  double t1884, t1885, t1888, t1893, t1894, t1896, t1899, t1900;
  double t1903, t1909, t1913, t1916, t1917, t1920, t1921, t1923;
  double t1928, t1931, t1936, t1939, t1940, t1941, t1942, t1945;
  double t1946, t1953, t1957, tv3rho30, t1961, t1962, t1963, t1964;
  double t1965, t1968, t1969, t1970, t1971, t1974, t1975, t1976;
  double t1978, t1979, t1982, t1983, t1984, t1987, t1990, t1993;
  double t1996, t1997, t2000, t2001, t2002, t2004, t2005, t2006;
  double t2009, t2010, t2011, t2012, t2014, t2015, t2017, t2018;
  double t2021, t2022, t2023, t2024, t2025, t2026, t2027, t2030;
  double t2031, t2034, t2038, t2039, t2040, t2041, t2042, t2043;
  double t2044, t2045, t2053, t2056, t2057, t2058, t2061, t2064;
  double t2067, t2068, t2069, t2071, t2072, t2073, t2075, t2076;
  double t2079, t2085, t2086, t2087, t2088, t2091, t2092, t2094;
  double t2095, t2098, t2099, t2100, t2105, t2110, t2111, t2114;
  double t2115, t2118, t2127, t2128, t2129, t2138, t2139, t2142;
  double t2143, t2146, t2149, t2156, t2157, t2158, t2161, t2162;
  double t2170, t2174, t2184, t2185, t2192, t2197, t2200, t2203;
  double t2204, t2205, t2208, t2209, t2210, t2213, t2214, t2217;
  double t2218, t2219, t2222, t2223, t2230, t2232, t2234, t2241;
  double t2242, t2243, t2248, t2253, t2256, t2258, t2261, t2262;
  double t2263, t2270, t2277, t2278, t2279, t2280, t2281, t2284;
  double t2285, t2286, t2289, t2291, t2292, t2297, t2298, t2299;
  double t2303, t2304, t2307, t2308, t2311, t2316, t2317, t2320;
  double t2323, t2324, t2327, t2330, t2331, t2332, t2335, t2338;
  double t2341, t2344, t2345, t2350, t2353, t2354, t2359, t2360;
  double t2366, t2370, t2374, t2377, t2380, t2382, t2385, t2388;
  double t2392, t2393, t2394, t2395, t2402, t2405, t2406, t2407;
  double t2410, t2415, t2417, t2418, t2423, t2425, t2428, t2431;
  double t2432, t2433, t2440, t2443, t2446, t2447, t2450, t2451;
  double t2452, t2459, t2460, t2463, t2467, tv3rho2sigma0, t2471, t2475;
  double t2476, t2478, t2485, t2490, t2491, t2494, t2496, t2497;
  double t2498, t2501, t2503, t2504, t2508, t2511, t2518, t2519;
  double t2520, t2527, t2528, t2529, t2544, t2546, t2547, t2548;
  double t2552, t2553, t2558, t2559, t2562, t2565, t2570, t2577;
  double t2578, t2584, t2585, t2586, t2587, t2600, t2610, t2614;
  double t2619, t2623, t2626, t2627, t2629, t2630, t2633, t2635;
  double t2654, t2661, t2662, t2665, t2668, t2675, t2678, t2679;
  double t2682, t2687, t2689, t2695, t2696, t2697, t2700, t2701;
  double t2708, t2720, t2725, t2726, t2733, t2736, t2749, t2771;
  double t2772, t2773, t2774, t2777, t2778, t2779, t2782, t2786;
  double t2787, t2790, t2793, t2805, t2814, t2815, t2816, t2821;
  double t2822, t2827, t2830, t2837, t2842, t2843, t2844, t2849;
  double t2852, t2855, t2856, t2859, t2860, t2861, t2866, t2870;
  double tv3rho2lapl0, t2874, t2880, t2885, t2887, t2891, t2896, t2897;
  double t2900, t2907, t2908, t2911, t2912, t2917, t2922, t2925;
  double t2926, t2927, t2934, t2935, t2936, t2943, t2944, t2946;
  double t2947, t2948, t2951, t2952, t2954, t2956, t2957, t2960;
  double t2961, t2966, t2967, t2968, t2971, t2972, t2977, t2981;
  double t2983, t2986, t2987, t2988, t2991, t2992, t2993, t2996;
  double t2997, t2998, t3005, t3006, t3007, t3026, t3030, t3031;
  double t3033, t3036, t3037, t3039, t3045, t3049, t3059, t3064;
  double t3065, t3070, t3076, t3078, t3081, t3082, t3083, t3084;
  double t3085, t3086, t3092, t3099, t3100, t3115, t3116, t3117;
  double t3138, t3141, t3142, t3143, t3146, t3153, t3156, t3159;
  double t3162, t3165, t3168, t3171, t3172, t3175, t3180, t3181;
  double t3184, t3187, t3192, t3197, t3200, t3205, t3206, t3207;
  double t3210, t3211, t3214, t3219, t3220, t3227, t3245, t3246;
  double t3271, t3281, t3282, t3283, t3284, t3295, t3298, t3300;
  double t3301, t3304, t3305, t3314, t3322, t3331, t3337, t3342;
  double t3347, t3350, t3351, t3352, t3361, t3364, t3365, t3366;
  double t3373, t3380, t3383, t3384, t3387, t3388, t3389, t3392;
  double t3396, tv3rho2tau0, t3399, t3400, t3401, t3404, t3405, t3406;
  double t3409, t3410, t3411, t3412, t3415, t3416, t3417, t3420;
  double t3421, t3424, t3425, t3428, t3429, t3432, t3435, t3436;
  double t3439, t3440, t3441, t3444, t3445, t3448, t3449, t3454;
  double t3460, t3463, t3466, t3473, t3478, t3481, t3482, t3483;
  double t3484, t3487, t3488, t3489, t3496, t3502, t3503, t3510;
  double t3515, t3517, t3518, t3519, t3520, t3522, t3523, t3524;
  double t3527, t3528, t3529, t3531, t3532, t3533, t3536, t3537;
  double t3539, t3540, t3544, t3545, t3547, t3549, t3553, t3554;
  double t3556, t3557, t3560, t3561, t3564, t3566, t3571, t3572;
  double t3573, t3574, t3575, t3576, t3579, t3582, t3583, t3584;
  double t3585, t3590, t3591, t3592, t3595, t3598, t3599, t3600;
  double t3601, t3604, t3607, t3608, t3609, t3610, t3611, t3612;
  double t3613, t3614, t3615, t3616, t3619, t3624, t3625, t3626;
  double t3627, t3630, t3631, t3632, t3636, t3637, t3639, t3640;
  double t3643, t3647, t3649, t3650, t3652, t3655, t3660, t3664;
  double t3667, t3672, t3675, t3676, t3679, t3682, t3683, t3688;
  double t3689, t3690, t3691, t3694, t3697, t3698, t3703, t3704;
  double t3705, t3713, t3715, t3716, t3717, t3720, t3721, t3724;
  double t3727, t3730, t3735, t3738, t3739, t3740, t3743, t3744;
  double t3745, t3746, t3747, t3748, t3749, t3751, t3755, t3756;
  double t3759, t3760, t3761, t3764, t3765, t3766, t3767, t3768;
  double t3769, t3770, t3771, t3780, t3781, t3782, t3783, t3784;
  double t3785, t3786, t3787, t3788, t3789, t3790, t3791, t3796;
  double t3803, t3804, t3807, t3810, t3811, t3818, t3820, t3821;
  double t3824, t3825, t3828, t3829, t3836, t3847, t3850, t3851;
  double t3852, t3855, t3866, t3867, t3868, t3869, t3880, t3883;
  double t3884, t3885, t3888, t3892, tv3rhosigma20, t3895, t3898, t3901;
  double t3912, t3915, t3920, t3923, t3928, t3933, t3934, t3935;
  double t3936, t3939, t3948, t3949, t3952, t3953, t3956, t3957;
  double t3958, t3961, t3962, t3965, t3966, t3971, t3974, t3975;
  double t3978, t3979, t3980, t3981, t3982, t3983, t3986, t3987;
  double t3990, t3992, t3993, t3996, t3997, t4000, t4002, t4003;
  double t4004, t4007, t4012, t4015, t4016, t4018, t4025, t4026;
  double t4033, t4034, t4039, t4054, t4057, t4060, t4073, t4076;
  double t4077, t4078, t4079, t4080, t4083, t4084, t4085, t4090;
  double t4095, t4100, t4101, t4104, t4105, t4106, t4109, t4114;
  double t4117, t4120, t4121, t4122, t4129, t4145, t4148, t4149;
  double t4159, t4162, t4165, t4168, t4174, t4177, t4179, t4183;
  double t4185, t4186, t4187, t4190, t4191, t4194, t4195, t4198;
  double t4201, t4202, t4203, t4206, t4209, t4212, t4219, t4222;
  double t4231, t4232, t4235, t4240, t4241, t4244, t4246, t4247;
  double t4250, t4251, t4254, t4255, t4258, t4259, t4262, t4265;
  double t4267, t4272, t4277, t4302, t4305, t4306, t4307, t4308;
  double t4335, t4339, tv3rhosigmalapl0, t4344, t4349, t4360, t4365, t4374;
  double t4395, t4420, t4426, t4428, t4429, t4430, t4433, t4434;
  double t4435, t4438, t4439, t4440, t4443, t4444, t4447, t4450;
  double t4451, t4452, t4479, t4482, t4489, t4492, t4503, t4510;
  double t4519, t4523, t4526, t4527, t4530, t4531, t4534, t4537;
  double t4540, t4543, t4546, t4557, t4560, t4565, t4566, t4569;
  double t4578, t4579, t4585, t4589, t4594, t4597, t4598, t4599;
  double t4602, t4605, t4606, t4609, t4612, t4613, t4640, t4649;
  double t4660, t4665, t4668, t4671, t4674, t4676, t4679, t4682;
  double t4685, t4688, t4689, t4692, t4700, t4720, t4721, t4722;
  double t4737, t4740, t4741, t4755, t4764, t4767, t4768, t4781;
  double t4785, tv3rhosigmatau0, t4788, t4789, t4790, t4793, t4794, t4795;
  double t4799, t4800, t4811, t4812, t4820, t4823, t4826, t4833;
  double t4838, t4841, t4842, t4843, t4844, t4853, t4854, t4855;
  double t4857, t4858, t4868, t4872, t4873, t4877, t4878, t4880;
  double t4881, t4884, t4885, t4886, t4888, t4889, t4892, t4902;
  double t4903, t4904, t4913, t4918, t4919, t4920, t4921, t4924;
  double t4925, t4926, t4929, t4942, t4943, t4944, t4951, t4962;
  double t4965, t4970, t4973, t4974, t4975, t4978, t4981, t4984;
  double t4985, t4988, t4989, t4992, t4993, t4996, t4997, t5000;
  double t5001, t5006, t5013, t5016, t5022, t5024, t5025, t5027;
  double t5028, t5030, t5031, t5040, t5048, t5051, t5057, t5058;
  double t5060, t5063, t5072, t5074, t5075, t5076, t5079, t5080;
  double t5083, t5084, t5087, t5088, t5091, t5094, t5095, t5096;
  double t5099, t5100, t5101, t5104, t5105, t5108, t5111, t5112;
  double t5121, t5123, t5126, t5133, t5142, t5151, t5152, t5157;
  double t5160, t5161, t5169, t5170, t5172, t5174, t5177, t5178;
  double t5182, t5187, t5191, tv3rholapl20, t5194, t5197, t5200, t5207;
  double t5208, t5229, t5238, t5241, t5242, t5245, t5246, t5249;
  double t5258, t5261, t5264, t5265, t5267, t5268, t5271, t5272;
  double t5277, t5286, t5288, t5291, t5292, t5317, t5320, t5325;
  double t5326, t5329, t5333, t5337, t5342, t5345, t5352, t5353;
  double t5372, t5373, t5376, t5377, t5380, t5387, t5388, t5391;
  double t5394, t5404, t5405, t5408, t5409, t5412, t5416, t5423;
  double t5428, t5429, t5432, t5435, t5441, t5447, t5448, t5449;
  double t5452, t5453, t5456, t5459, t5462, t5466, t5469, t5472;
  double t5479, t5486, t5497, t5499, t5500, t5501, t5508, t5511;
  double t5512, t5513, t5530, t5547, t5550, t5551, t5560, t5563;
  double t5573, t5574, t5577, t5578, t5579, t5582, t5585, t5588;
  double t5591, t5595, t5598, t5600, t5605, t5608, t5611, t5614;
  double t5616, t5619, t5620, t5621, t5622, t5625, t5626, t5629;
  double t5630, t5635, t5636, t5639, t5642, t5651, t5654, t5657;
  double t5660, t5667, t5671, tv3rholapltau0, t5682, t5683, t5695, t5696;
  double t5697, t5702, t5705, t5706, t5711, t5712, t5713, t5716;
  double t5717, t5719, t5720, t5721, t5724, t5725, t5726, t5729;
  double t5730, t5731, t5734, t5737, t5738, t5741, t5742, t5745;
  double t5748, t5749, t5750, t5760, t5761, t5763, t5764, t5768;
  double t5772, t5775, t5776, t5777, t5779, t5780, t5783, t5785;
  double t5786, t5788, t5789, t5802, t5803, t5804, t5808, t5813;
  double t5817, t5823, t5826, t5829, t5836, t5841, t5844, t5846;
  double t5847, t5850, t5852, t5853, t5855, t5856, t5860, t5863;
  double t5866, t5871, t5872, t5875, t5896, t5897, t5898, t5901;
  double t5904, t5909, t5910, t5911, t5918, t5920, t5923, t5926;
  double t5927, t5930, t5937, t5938, t5963, t5966, t5969, t5974;
  double t5983, t5984, t5985, t6002, t6007, t6017, t6018, t6021;
  double t6022, t6023, t6028, t6029, t6030, t6033, t6034, t6037;
  double t6040, t6043, t6044, t6048, t6049, t6051, t6052, t6055;
  double t6056, t6059, t6062, t6065, t6068, t6070, t6071, t6075;
  double t6078, t6087, t6091, t6095, t6096, t6102, t6109, t6114;
  double t6115, t6118, t6127, t6129, t6130, t6131, t6136, t6141;
  double t6152, t6153, t6155, t6157, t6158, t6159, t6162, t6163;
  double t6166, t6167, t6171, t6174, t6177, t6181, tv3rhotau20, t6184;
  double t6185, t6186, t6189, t6192, t6193, t6195, t6197, t6198;
  double t6201, t6202, t6203, t6206, t6212, t6216, t6224, t6231;
  double t6233, t6234, t6237, t6238, t6241, t6242, t6243, t6244;
  double t6249, t6250, t6251, t6252, t6259, t6260, t6261, t6266;
  double t6267, t6274, t6275, t6276, t6277, t6282, t6291, t6292;
  double t6296, t6297, t6300, t6304, t6307, t6312, t6315, t6316;
  double t6319, t6320, t6323, t6325, t6326, t6328, t6329, t6330;
  double t6331, t6332, t6333, t6334, t6337, t6340, t6341, t6344;
  double t6345, t6354, t6357, t6358, t6361, t6366, t6371, t6372;
  double t6375, t6376, t6377, t6378, t6379, t6384, t6387, t6388;
  double t6390, t6391, t6392, t6393, t6394, t6395, t6398, t6399;
  double t6400, t6401, t6402, t6403, t6404, t6405, t6406, t6407;
  double t6408, t6409, t6412, t6413, t6414, t6417, t6418, t6419;
  double t6422, t6423, t6424, t6425, t6428, t6429, t6432, t6433;
  double t6436, t6437, t6438, t6439, t6442, tv3sigma30, t6444, t6445;
  double t6446, t6449, t6450, t6451, t6454, t6455, t6456, t6460;
  double t6461, t6464, t6465, t6466, t6469, t6470, t6473, t6474;
  double t6477, t6481, t6482, t6483, t6484, t6485, t6488, t6489;
  double t6490, t6491, t6492, t6493, t6496, t6499, t6502, t6505;
  double t6509, t6510, t6513, t6516, t6518, t6519, t6522, t6525;
  double t6526, t6529, t6530, t6531, t6532, t6533, t6536, t6538;
  double t6541, t6542, t6543, t6544, t6545, t6546, t6547, t6552;
  double t6555, t6558, t6561, t6562, t6563, t6564, t6565, t6566;
  double t6567, t6568, t6569, t6570, t6587, t6588, t6589, t6596;
  double t6597, t6598, t6601, t6602, t6603, t6606, t6607, t6608;
  double t6609, t6610, t6611, t6614, t6615, t6616, t6617, t6624;
  double t6627, t6628, t6629, t6630, t6631, t6632, t6633, t6640;
  double t6641, t6644, t6645, t6646, t6647, t6648, t6651, t6654;
  double t6658, t6659, t6660, t6661, t6662, t6666, t6667, t6668;
  double t6669, t6670, t6674, t6675, t6678, t6679, t6684, t6687;
  double t6688, t6689, t6692, t6693, t6696, t6699, t6700, t6703;
  double t6704, t6706, t6709, t6710, t6712, t6713, t6714, t6715;
  double t6718, t6719, t6724, t6727, tv3sigma2lapl0, t6729, t6731, t6738;
  double t6745, t6746, t6750, t6753, t6756, t6759, t6768, t6771;
  double t6772, t6773, t6776, t6777, t6778, t6779, t6780, t6781;
  double t6783, t6784, t6785, t6786, t6787, t6788, t6794, t6795;
  double t6798, t6799, t6800, t6801, t6808, t6823, t6824, t6825;
  double t6826, t6829, t6832, t6843, t6844, t6845, t6853, t6859;
  double t6862, t6865, t6868, t6869, t6889, t6890, t6896, t6897;
  double t6898, t6899, t6900, t6914, t6915, t6916, t6917, t6920;
  double t6923, t6930, t6940, t6941, t6946, t6947, t6951, t6956;
  double t6957, t6964, t6968, tv3sigma2tau0, t6970, t6973, t6974, t6977;
  double t6978, t6979, t6982, t6983, t6986, t6987, t6992, t6993;
  double t6994, t6997, t7000, t7003, t7006, t7009, t7010, t7018;
  double t7019, t7020, t7037, t7039, t7040, t7043, t7044, t7046;
  double t7049, t7052, t7055, t7064, t7087, t7091, t7092, t7093;
  double t7094, t7095, t7096, t7097, t7098, t7099, t7100, t7103;
  double t7106, t7107, t7110, t7111, t7112, t7117, t7120, t7121;
  double t7122, t7129, t7130, t7131, t7134, t7135, t7136, t7139;
  double t7140, t7143, t7146, t7147, t7150, t7154, t7155, t7158;
  double t7161, t7162, t7165, t7166, t7167, t7173, t7174, t7175;
  double t7176, t7177, t7178, t7181, t7182, t7186, t7189, t7198;
  double t7201, t7202, t7204, t7209, t7211, t7212, t7214, t7215;
  double t7216, t7218, t7219, t7220, t7221, t7222, t7223, t7224;
  double t7227, t7228, t7231, t7234, t7237, t7238, t7239, t7240;
  double t7241, t7244, t7251, t7256, t7259, t7261, t7262, t7263;
  double t7266, t7267, t7268, t7269, t7270, t7274, tv3sigmalapl20, t7278;
  double t7281, t7284, t7285, t7286, t7291, t7294, t7295, t7297;
  double t7300, t7303, t7304, t7305, t7308, t7309, t7312, t7313;
  double t7315, t7318, t7320, t7321, t7324, t7325, t7328, t7329;
  double t7334, t7337, t7338, t7347, t7348, t7351, t7358, t7360;
  double t7363, t7364, t7367, t7368, t7371, t7376, t7383, t7392;
  double t7403, t7408, t7421, t7424, t7425, t7436, t7443, t7446;
  double t7447, t7450, t7453, t7458, t7461, t7464, t7465, t7468;
  double t7470, t7473, t7476, t7477, t7480, t7483, t7484, t7485;
  double t7488, t7491, t7495, t7504, t7507, t7510, t7517, t7518;
  double t7523, t7526, t7529, t7530, t7531, t7535, t7538, t7542;
  double t7543, t7546, t7549, t7554, t7557, t7562, t7563, t7564;
  double t7567, t7570, t7573, t7577, t7580, t7586, t7589, t7591;
  double t7592, t7593, t7596, t7600, tv3sigmalapltau0, t7610, t7611, t7612;
  double t7613, t7632, t7633, t7634, t7635, t7648, t7651, t7654;
  double t7657, t7660, t7677, t7683, t7684, t7685, t7686, t7687;
  double t7698, t7699, t7702, t7708, t7709, t7710, t7711, t7712;
  double t7713, t7714, t7716, t7728, t7729, t7730, t7732, t7733;
  double t7738, t7740, t7742, t7749, t7752, t7753, t7756, t7759;
  double t7761, t7762, t7763, t7771, t7772, t7773, t7774, t7789;
  double t7790, t7791, t7802, t7804, t7806, t7807, t7808, t7811;
  double t7812, t7815, t7816, t7817, t7818, t7821, t7823, t7826;
  double t7833, t7836, t7837, t7840, t7843, t7846, t7847, t7854;
  double t7855, t7856, t7857, t7860, t7862, t7865, t7868, t7869;
  double t7870, t7872, t7873, t7876, t7878, t7881, t7886, t7889;
  double t7890, t7906, t7909, t7913, tv3sigmatau20, t7917, t7918, t7926;
  double t7939, t7940, t7941, t7942, t7947, t7950, t7951, t7952;
  double t7955, t7958, t7959, t7962, t7963, t7966, t7968, t7969;
  double t7970, t7973, t7974, t7975, t7977, t7978, t7981, t7982;
  double t7983, t7986, t7987, t7988, t7989, t7990, t7991, t7992;
  double t7993, t7995, t7997, t7998, t7999, t8002, t8003, t8004;
  double t8008, t8009, t8010, t8019, t8028, t8033, t8034, t8035;
  double t8036, t8039, t8040, t8050, t8053, t8064, t8065, t8066;
  double t8067, t8068, t8071, t8073, t8074, t8076, t8077, t8080;
  double t8081, t8083, t8084, t8087, t8088, t8089, t8092, t8093;
  double t8096, t8097, t8098, t8107, t8108, t8113, t8116, t8119;
  double t8122, t8127, t8134, t8135, t8136, t8137, t8140, t8143;
  double tv3lapl30, t8147, t8148, t8151, t8154, t8157, t8161, t8164;
  double t8167, t8168, t8171, t8172, t8175, t8179, t8180, t8185;
  double t8188, t8189, t8192, t8194, t8197, t8200, t8203, t8206;
  double t8209, t8210, t8211, t8212, t8217, t8218, t8221, t8222;
  double t8225, t8228, t8229, t8230, t8233, t8236, t8246, t8254;
  double t8255, t8262, t8264, t8265, t8268, t8274, t8275, t8278;
  double t8279, t8282, t8283, t8284, t8287, t8288, t8289, t8292;
  double t8295, t8298, t8301, t8306, t8307, t8310, t8314, t8315;
  double t8318, t8319, t8320, t8324, t8329, t8333, t8334, t8337;
  double t8338, t8341, t8344, t8345, t8348, t8351, t8354, t8355;
  double t8359, t8381, t8384, t8387, t8388, t8390, t8393, t8394;
  double t8395, t8398, t8399, t8401, t8404, t8408, tv3lapl2tau0, t8412;
  double t8415, t8418, t8421, t8424, t8427, t8428, t8431, t8432;
  double t8435, t8436, t8439, t8440, t8445, t8446, t8447, t8448;
  double t8451, t8452, t8453, t8473, t8474, t8475, t8478, t8485;
  double t8490, t8500, t8503, t8506, t8507, t8509, t8510, t8517;
  double t8519, t8523, t8526, t8531, t8533, t8534, t8536, t8537;
  double t8538, t8541, t8542, t8545, t8548, t8551, t8553, t8554;
  double t8555, t8558, t8559, t8560, t8563, t8564, t8567, t8569;
  double t8571, t8574, t8575, t8576, t8581, t8586, t8603, t8608;
  double t8611, t8612, t8615, t8616, t8617, t8618, t8628, t8632;
  double t8633, t8636, t8638, t8641, t8646, t8649, t8651, t8654;
  double t8655, t8658, t8667, t8685, t8686, t8691, t8692, t8695;
  double t8696, t8697, t8700, t8703, t8706, t8707, t8710, t8711;
  double t8714, t8715, t8718, t8720, t8723, t8726, t8730, tv3lapltau20;
  double t8732, t8733, t8734, t8737, t8738, t8741, t8744, t8745;
  double t8749, t8751, t8752, t8756, t8759, t8760, t8761, t8764;
  double t8768, t8782, t8783, t8786, t8792, t8805, t8806, t8807;
  double t8808, t8813, t8818, t8821, t8822, t8825, t8826, t8827;
  double t8830, t8833, t8834, t8835, t8838, t8839, t8840, t8841;
  double t8844, t8845, t8847, t8848, t8853, t8854, t8857, t8860;
  double t8861, t8866, t8873, t8876, t8877, t8878, t8879, t8880;
  double t8881, t8882, t8883, t8886, t8895, t8900, t8902, t8903;
  double t8905, t8906, t8909, t8910, t8911, t8912, t8915, t8916;
  double t8917, t8918, t8919, t8921, t8922, t8923, t8924, t8925;
  double t8926, t8938, t8939, t8942, t8945, t8946, t8947, t8953;
  double t8954, t8957, t8962, t8973, t8974, t8975, t8979, t8982;
  double t8991, t8992, t8993, t8994, t8997, t9010, t9011, t9012;
  double t9015, t9018, t9019, t9022, tv3tau30;

  double t9035, t9036, t9037, t9038, t9039, t9042, t9045, t9048;
  double t9051, t9055, t9056, t9060, t9069, t9078, t9080, t9083;
  double t9087, t9099, t9113, t9114, t9125, t9126, t9127, t9141;
  double t9153, t9160, t9163, t9164, t9171, t9189, t9200, t9227;
  double t9228, t9230, t9235, t9259, t9261, t9267, t9277, t9278;
  double t9283, t9287, t9333, t9354, t9357, t9364, t9366, t9370;
  double t9373, t9375, t9376, t9378, t9381, t9382, t9387, t9393;
  double t9396, t9402, t9407, t9411, t9414, t9421, t9424, t9428;
  double t9434, t9438, t9443, t9444, t9446, t9452, t9455, t9459;
  double t9463, t9473, t9476, t9477, t9479, t9482, t9485, t9487;
  double t9490, t9501, t9502, t9509, t9521, t9523, t9526, t9539;
  double t9543, t9546, t9547, t9548, t9551, t9556, t9559, t9562;
  double t9567, t9570, t9573, t9576, t9578, t9590, t9596, t9597;
  double t9613, t9614, t9618, t9619, t9622, t9625, t9628, t9629;
  double t9634, t9641, t9643, t9662, t9679, t9684, t9689, t9705;
  double t9714, t9718, t9722, t9730, t9734, t9736, t9742, t9743;
  double t9746, t9749, t9750, t9753, t9758, t9763, t9766, t9768;
  double t9771, t9774, t9775, t9776, t9777, t9780, t9781, t9782;
  double t9783, t9784, t9785, t9790, t9797, t9799, t9800, t9803;
  double t9804, t9805, t9810, t9813, t9816, t9819, t9820, t9821;
  double t9824, t9836, t9843, t9846, t9847, t9851, t9855, t9859;
  double t9862, t9865, t9868, t9871, t9874, t9877, t9880, t9881;
  double t9884, t9892, t9893, t9897, t9911, t9912, t9913, t9921;
  double t9928, t9933, t9936, t9940, t9943, t9946, t9948, t9959;
  double t9963, t9968, t9975, t9980, t9985, t9989, t9990, t9991;
  double t9992, t9993, t9997, t9998, t10012, t10015, t10021, t10028;
  double t10029, t10030, t10034, t10038, t10054, t10064, t10067, t10071;
  double t10074, t10075, t10076, t10080, t10081, t10098, t10106, t10107;
  double t10139, t10142, t10145, t10150, t10163, t10164, t10168, t10169;
  double t10173, t10178, t10188, t10196, t10204, t10211, t10215, t10218;
  double t10219, t10223, t10226, t10229, t10233, t10238, t10242, t10243;
  double t10247, t10249, t10252, t10257, t10258, t10259, t10262, t10265;
  double t10272, t10275, t10277, t10278, t10288, t10295, t10297, t10302;
  double t10308, t10312, t10314, t10317, t10318, t10321, t10322, t10323;
  double t10326, t10329, t10330, t10333, t10337, t10338, t10347, t10350;
  double t10353, t10360, t10365, t10368, t10373, t10378, t10379, t10382;
  double t10395, t10398, t10401, t10410, t10412, t10421, t10426, t10429;
  double t10438, t10439, t10442, t10449, t10452, t10457, t10458, t10469;
  double t10483, t10489, tv4rho40, t10497, t10498, t10502, t10503, t10507;
  double t10508, t10512, t10516, t10521, t10522, t10526, t10530, t10537;
  double t10541, t10542, t10543, t10546, t10547, t10548, t10550, t10551;
  double t10552, t10556, t10559, t10562, t10566, t10567, t10570, t10571;
  double t10579, t10580, t10583, t10584, t10587, t10589, t10590, t10594;
  double t10595, t10598, t10599, t10602, t10605, t10608, t10611, t10612;
  double t10615, t10616, t10617, t10618, t10621, t10624, t10627, t10630;
  double t10635, t10636, t10637, t10640, t10642, t10645, t10650, t10655;
  double t10656, t10657, t10660, t10662, t10663, t10668, t10671, t10674;
  double t10675, t10678, t10681, t10684, t10689, t10699, t10706, t10707;
  double t10709, t10728, t10729, t10735, t10739, t10746, t10755, t10759;
  double t10761, t10764, t10768, t10774, t10778, t10782, t10786, t10797;
  double t10800, t10804, t10805, t10809, t10812, t10816, t10819, t10822;
  double t10825, t10828, t10829, t10832, t10833, t10836, t10837, t10840;
  double t10841, t10844, t10849, t10852, t10855, t10857, t10861, t10874;
  double t10882, t10885, t10886, t10889, t10890, t10893, t10895, t10897;
  double t10898, t10899, t10900, t10904, t10905, t10906, t10909, t10912;
  double t10925, t10926, t10932, t10935, t10938, t10941, t10944, t10949;
  double t10958, t10959, t10964, t10967, t10992, t10999, t11014, t11024;
  double t11032, t11035, t11040, t11053, t11061, t11068, t11078, t11097;
  double t11098, t11105, t11106, t11110, t11111, t11112, t11113, t11117;
  double t11118, t11119, t11123, t11126, t11130, t11131, t11140, t11157;
  double t11163, t11170, t11171, t11186, t11187, t11190, t11197, t11205;
  double t11211, t11212, t11217, t11225, t11229, t11236, t11238, t11241;
  double t11246, t11251, t11260, t11264, t11267, t11270, t11275, t11281;
  double t11285, t11286, t11290, t11291, t11294, t11303, t11304, t11309;
  double t11310, t11316, t11322, t11328, t11329, t11338, t11342, t11347;
  double t11351, t11353, t11364, t11373, t11390, t11393, t11397, t11400;
  double t11404, t11408, t11412, t11413, t11419, t11433, t11441, t11450;
  double t11453, t11463, t11469, t11472, t11475, t11485, t11496, t11514;
  double t11524, t11534, t11537, t11546, t11560, t11565, t11570, t11581;
  double t11584, t11585, t11588, t11589, t11592, t11593, t11597, t11601;
  double t11604, t11609, t11619, t11640, t11645, t11647, t11651, t11652;
  double t11653, t11654, t11655, t11658, t11660, t11663, t11667, t11668;
  double t11669, t11670, t11676, t11685, t11688, t11691, t11692, t11693;
  double t11696, t11699, t11702, t11705, t11707, t11709, t11711, t11715;
  double t11720, t11723, t11734, t11745, t11769, t11785, t11789, t11802;
  double t11805, t11809, t11817, t11821, t11826, t11827, t11830, t11833;
  double t11836, t11837, t11838, t11841, t11842, t11843, t11844, t11847;
  double t11850, t11851, t11853, t11854, t11857, t11858, t11863, t11866;
  double t11867, t11868, t11869, t11872, t11873, t11876, t11877, t11880;
  double t11881, t11884, t11887, t11890, t11891, t11892, t11895, t11896;
  double t11897, t11900, t11903, t11904, t11905, t11908, t11911, t11912;
  double t11915, t11920, t11927, t11929, t11932, t11935, t11936, t11939;
  double t11940, t11945, t11946, t11949, t11952, t11953, t11956, t11959;
  double t11962, t11966, t11969, t11972, t11977, t11980, t11985, t11989;
  double t11993, t11994, t11998, t12004, t12007, t12010, t12013, t12020;
  double t12023, t12024, t12027, t12036, t12039, t12044, t12051, t12052;
  double t12055, t12058, t12061, t12066, t12067, t12070, t12075, t12079;
  double t12082, t12083, t12086, t12089, t12092, t12094, t12095, t12099;
  double t12102, t12110, t12117, t12120, t12125, t12129, t12132, t12139;
  double t12148, t12161, t12173, t12177, t12181, t12182, t12183, t12186;
  double t12188, t12191, t12193, t12197, t12202, t12206, t12208, t12211;
  double t12215, t12221, tv4rho3sigma0, t12233, t12238, t12250, t12257, t12262;
  double t12264, t12269, t12271, t12284, t12286, t12289, t12291, t12298;
  double t12326, t12342, t12343, t12347, t12354, t12355, t12361, t12364;
  double t12369, t12372, t12378, t12384, t12387, t12391, t12411, t12418;
  double t12421, t12436, t12446, t12453, t12459, t12477, t12480, t12484;
  double t12508, t12510, t12537, t12539, t12541, t12544, t12547, t12548;
  double t12562, t12570, t12573, t12582, t12597, t12612, t12615, t12618;
  double t12623, t12625, t12631, t12636, t12642, t12647, t12651, t12656;
  double t12661, t12664, t12667, t12692, t12693, t12726, t12746, t12757;
  double t12758, t12779, t12780, t12787, t12815, t12816, t12817, t12829;
  double t12833, t12839, t12843, t12847, t12849, t12852, t12859, t12861;
  double t12876, t12882, t12885, t12892, t12909, t12915, t12922, t12930;
  double t12944, t12950, t12952, t12955, t12983, t12990, t13002, t13030;
  double t13041, t13063, t13093, t13096, t13102, t13107, t13127, t13130;
  double t13137, t13156, t13161, t13174, t13179, t13188, t13191, t13195;
  double t13198, t13201, t13210, t13211, t13216, t13249, t13275, t13290;
  double t13299, t13303, t13307, t13309, t13315, t13326, t13329, t13334;
  double t13340, t13342, t13348, t13350, t13360, t13371, t13376, t13377;
  double t13382, t13392, t13395, t13396, t13401, t13408, t13412, t13421;
  double t13424, t13425, t13428, t13435, t13454, t13459, t13468, t13480;
  double t13483, t13492, t13500, t13509, t13522, t13537, t13546, t13549;
  double t13556, t13585, t13613, t13641, t13657, t13662, t13668, tv4rho3lapl0;
  double t13672, t13676, t13677, t13705, t13711, t13720, t13724, t13740;
  double t13745, t13748, t13761, t13764, t13769, t13772, t13779, t13806;
  double t13817, t13827, t13840, t13856, t13858, t13863, t13875, t13879;
  double t13881, t13885, t13888, t13893, t13898, t13901, t13908, t13910;
  double t13913, t13916, t13918, t13928, t13933, t13935, t13946, t13950;
  double t13954, t13956, t13959, t13962, t13966, t13970, t13976, t13985;
  double t13986, t13993, t14008, t14049, t14054, t14066, t14081, t14082;
  double t14090, t14092, t14096, t14112, t14120, t14143, t14174, t14177;
  double t14181, t14185, t14197, t14206, t14207, t14224, t14228, t14231;
  double t14247, t14255, t14258, t14259, t14262, t14275, t14278, t14282;
  double t14288, t14307, t14317, t14319, t14324, t14347, t14362, t14369;
  double t14372, t14378, t14392, t14398, t14409, t14429, t14436, t14444;
  double t14447, t14457, t14472, t14475, t14484, t14499, t14511, t14533;
  double t14538, t14543, t14573, t14605, t14609, t14610, t14614, t14660;
  double t14669, t14670, t14675, t14680, t14687, t14692, t14696, t14698;
  double t14701, t14707, t14710, t14723, t14726, t14731, t14756, t14765;
  double t14782, t14786, t14788, t14801, t14819, t14823, t14831, t14846;
  double t14860, t14861, t14865, t14893, t14912, t14916, t14921, t14935;
  double t14967, t14981, t14982, t14991, t15024, t15032, t15033, t15044;
  double t15059, t15062, t15077, t15090, t15129, t15144, t15153, t15156;
  double t15157, t15160, t15161, t15164, t15169, t15178, t15183, t15188;
  double t15190, t15198, t15201, t15219, t15249, t15276, t15307, t15336;
  double t15338, t15341, t15344, t15349, t15352, t15357, t15368, t15373;
  double t15402, t15421, t15427, tv4rho3tau0, t15437, t15445, t15452, t15453;
  double t15454, t15456, t15472, t15482, t15485, t15491, t15493, t15497;
  double t15504, t15508, t15515, t15523, t15526, t15541, t15551, t15569;
  double t15572, t15580, t15591, t15605, t15613, t15627, t15628, t15630;
  double t15644, t15645, t15646, t15649, t15650, t15651, t15654, t15655;
  double t15663, t15664, t15665, t15671, t15672, t15676, t15680, t15682;
  double t15688, t15689, t15692, t15693, t15696, t15698, t15712, t15713;
  double t15716, t15719, t15720, t15723, t15724, t15739, t15740, t15744;
  double t15745, t15748, t15749, t15753, t15758, t15764, t15768, t15771;
  double t15774, t15786, t15787, t15794, t15799, t15800, t15811, t15812;
  double t15815, t15816, t15822, t15829, t15841, t15844, t15846, t15850;
  double t15851, t15853, t15856, t15861, t15862, t15863, t15867, t15873;
  double t15878, t15879, t15884, t15886, t15888, t15889, t15891, t15892;
  double t15893, t15896, t15897, t15902, t15905, t15908, t15911, t15912;
  double t15919, t15922, t15925, t15929, t15930, t15933, t15936, t15939;
  double t15940, t15944, t15945, t15948, t15949, t15954, t15967, t15971;
  double t15974, t15984, t15988, t15995, t15998, t16011, t16019, t16031;
  double t16034, t16037, t16038, t16040, t16042, t16045, t16048, t16053;
  double t16054, t16057, t16058, t16063, t16065, t16066, t16067, t16072;
  double t16077, t16078, t16098, t16101, t16104, t16107, t16111, t16112;
  double t16116, t16120, t16124, t16129, t16130, t16132, t16135, t16138;
  double t16140, t16142, t16143, t16144, t16149, t16154, t16158, t16159;
  double t16165, t16169, t16173, t16179, t16180, t16183, t16184, t16185;
  double t16187, t16198, t16199, t16202, t16207, t16213, t16217, t16228;
  double t16229, t16237, t16241, t16243, t16247, t16258, t16262, t16265;
  double t16267, t16268, t16272, t16276, t16282, t16285, t16286, t16292;
  double t16298, t16315, t16323, t16330, t16331, t16335, t16337, t16342;
  double t16354, t16361, t16362, t16365, t16368, t16369, t16376, t16379;
  double t16382, t16386, t16390, t16394, t16398, t16401, t16404, t16410;
  double t16415, t16419, t16426, t16429, t16431, t16433, t16434, t16436;
  double t16438, t16444, t16447, t16454, t16457, t16460, t16461, t16468;
  double t16475, t16482, t16485, t16486, t16490, t16498, t16499, t16502;
  double t16510, t16515, t16545, t16549, t16551, t16554, t16557, t16558;
  double t16560, t16561, t16574, t16576, t16578, t16587, t16590, t16594;
  double t16601, t16605, t16607, t16609, t16611, t16613, t16615, t16617;
  double t16619, t16620, t16622, t16624, t16626, t16633, t16634, t16636;
  double t16638, t16640, t16641, t16644, t16647, t16651, t16655, t16658;
  double t16662, t16663, t16672, t16673, t16676, t16679, t16682, t16685;
  double t16688, t16691, t16697, t16700, t16701, t16702, t16703, t16704;
  double t16711, t16715, t16720, t16721, t16724, t16727, t16728, t16731;
  double t16734, t16735, t16736, t16744, t16748, t16751, t16752, t16758;
  double t16761, t16762, t16763, t16766, t16767, t16770, t16773, t16774;
  double t16776, t16779, t16781, t16784, t16787, t16790, t16793, t16795;
  double t16798, t16800, t16801, t16802, t16805, t16811, t16814, t16817;
  double t16820, t16821, t16824, t16825, t16828, t16829, t16830, t16833;
  double t16834, t16837, t16840, t16843, t16844, t16846, t16847, t16851;
  double t16852, t16855, t16857, t16859, t16860, t16863, t16867, t16873;
  double t16874, t16877, t16878, t16883, t16888, t16891, t16900, t16902;
  double t16904, t16906, t16907, t16910, t16911, t16916, t16920, t16921;
  double t16923, t16925, t16927, t16928, t16934, t16936, t16938, t16940;
  double t16943, t16945, t16946, t16948, t16951, t16955, t16956, t16957;
  double t16965, t16966, t16967, t16968, t16972, t16973, t16980, t16990;
  double t16993, t16994, t16995, t16998, t16999, t17002, t17005, t17008;
  double t17011, t17012, t17015, t17020, t17023, t17026, t17028, t17031;
  double t17034, t17037, t17040, t17041, t17042, t17044, t17049, t17052;
  double t17053, t17062, t17066, t17067, t17070, t17077, t17080, t17083;
  double t17085, t17088, t17091, t17093, t17099, t17103, t17109, t17112;
  double t17115, t17123, t17128, t17131, t17139, t17142, t17143, t17149;
  double t17152, t17163, t17166, t17167, t17170, t17173, t17180, t17183;
  double t17188, t17191, t17206, t17209, t17217, t17225, t17230, t17233;
  double t17236, t17241, t17247, t17250, t17257, t17260, t17266, t17268;
  double t17270, t17272, t17274, t17276, t17287, t17291, t17304, t17305;
  double t17306, t17307, t17310, t17317, t17322, t17325, t17328, t17347;
  double t17351, t17356, t17363, t17366, t17369, t17386, t17387, t17389;
  double t17392, t17394, t17396, t17397, t17404, t17407, t17413, t17416;
  double t17417, t17420, t17422, t17424, t17428, t17435, t17439, t17444;
  double t17451, t17452, t17454, t17459, t17462, t17475, t17476, t17477;
  double t17478, t17482, t17487, t17490, t17493, t17498, t17505, t17509;
  double t17513, t17516, t17521, t17524, t17527, t17530, t17537, t17539;
  double t17541, t17542, t17543, t17549, tv4rho2sigma20, t17554, t17557, t17558;
  double t17561, t17564, t17576, t17577, t17581, t17584, t17585, t17586;
  double t17592, t17593, t17598, t17599, t17604, t17606, t17607, t17612;
  double t17622, t17626, t17630, t17634, t17639, t17642, t17643, t17647;
  double t17648, t17660, t17661, t17670, t17671, t17674, t17677, t17692;
  double t17696, t17700, t17701, t17702, t17706, t17713, t17714, t17718;
  double t17719, t17723, t17729, t17735, t17738, t17741, t17744, t17746;
  double t17749, t17751, t17754, t17756, t17765, t17766, t17767, t17773;
  double t17774, t17775, t17779, t17783, t17790, t17799, t17802, t17805;
  double t17811, t17816, t17821, t17824, t17825, t17828, t17831, t17832;
  double t17835, t17838, t17847, t17854, t17857, t17858, t17863, t17871;
  double t17878, t17880, t17883, t17885, t17896, t17903, t17910, t17914;
  double t17921, t17926, t17929, t17941, t17943, t17956, t17958, t17973;
  double t17978, t17980, t17981, t17986, t17990, t17991, t17995, t17999;
  double t18000, t18009, t18010, t18013, t18016, t18017, t18018, t18021;
  double t18022, t18023, t18030, t18031, t18034, t18045, t18054, t18058;
  double t18059, t18060, t18064, t18069, t18073, t18075, t18076, t18079;
  double t18082, t18083, t18089, t18098, t18123, t18131, t18143, t18144;
  double t18147, t18150, t18151, t18154, t18155, t18160, t18167, t18172;
  double t18175, t18198, t18206, t18209, t18214, t18224, t18238, t18241;
  double t18248, t18252, t18253, t18264, t18271, t18278, t18282, t18294;
  double t18299, t18307, t18310, t18334, t18352, t18357, t18359, t18364;
  double t18367, t18369, t18382, t18393, t18404, t18406, t18426, t18427;
  double t18430, t18431, t18443, t18455, t18463, t18470, t18473, t18476;
  double t18486, t18491, t18510, t18512, t18517, t18518, t18521, t18524;
  double t18527, t18532, t18534, t18537, t18543, t18544, t18547, t18553;
  double t18556, t18562, t18564, t18566, t18577, t18578, t18582, t18586;
  double t18591, t18609, t18632, t18645, t18648, t18664, t18675, t18679;
  double t18684, t18687, t18691, t18704, t18709, t18716, t18717, t18728;
  double t18730, t18739, t18752, t18759, t18766, t18769, t18775, t18786;
  double t18799, t18824, t18827, t18833, t18836, t18847, t18852, t18855;
  double t18860, t18865, t18871, t18892, t18899, t18908, t18912, t18916;
  double t18935, t18938, t18962, t18965, t18970, t18976, t18981, t18984;
  double t18988, t18997, t18998, t19025, t19035, t19038, t19041, t19042;
  double t19045, t19052, t19060, t19066, t19068, t19073, t19088, t19095;
  double t19111, t19116, t19128, t19142, t19143, t19162, t19175, t19176;
  double t19179, t19190, t19212, t19215, t19216, t19221, t19224, t19227;
  double t19228, t19235, t19240, t19247, t19250, t19253, t19256, t19261;
  double t19264, t19272, t19273, t19274, t19277, t19280, t19285, t19292;
  double t19301, t19304, t19310, t19330, t19331, t19334, t19335, t19348;
  double t19352, t19355, t19356, t19357, t19358, t19361, t19364, t19367;
  double t19368, t19369, t19374, t19377, t19380, t19385, t19386, t19391;
  double t19397, t19400, t19403, t19408, t19411, t19412, t19415, t19418;
  double t19419, t19424, t19425, t19426, t19429, t19430, t19431, t19434;
  double t19437, t19442, t19447, t19452, t19464, t19465, t19474, t19477;
  double t19488, t19491, t19501, t19504, t19505, t19510, t19511, t19514;
  double t19517, t19524, t19543, t19552, t19570, t19575, t19592, t19599;
  double tv4rho2sigmalapl0, t19605, t19608, t19618, t19631, t19635, t19641, t19646;
  double t19663, t19666, t19680, t19683, t19699, t19708, t19711, t19719;
  double t19726, t19730, t19732, t19736, t19737, t19738, t19752, t19753;
  double t19755, t19766, t19768, t19783, t19810, t19811, t19817, t19831;
  double t19837, t19842, t19869, t19874, t19875, t19892, t19904, t19929;
  double t19932, t19944, t19964, t19981, t19992, t20001, t20003, t20022;
  double t20037, t20040, t20045, t20052, t20067, t20086, t20105, t20108;
  double t20121, t20126, t20135, t20159, t20182, t20200, t20224, t20231;
  double t20253, t20254, t20269, t20276, t20285, t20311, t20333, t20356;
  double t20373, t20387, t20388, t20390, t20393, t20394, t20403, t20406;
  double t20433, t20462, t20469, t20482, t20491, t20517, t20525, t20526;
  double t20536, t20537, t20538, t20543, t20548, t20549, t20550, t20555;
  double t20558, t20561, t20566, t20571, t20572, t20575, t20576, t20588;
  double t20597, t20613, t20618, t20639, t20648, t20655, t20662, t20673;
  double t20684, t20688, t20691, t20704, t20707, t20708, t20721, t20734;
  double t20735, t20736, t20739, t20749, t20752, t20754, t20765, t20770;
  double t20774, t20783, t20786, t20804, t20807, t20811, t20834, t20835;
  double t20840, t20865, t20873, t20890, t20902, t20916, t20929, t20948;
  double t20963, t20976, t20979, t21001, t21002, t21003, t21006, t21039;
  double t21044, t21063, t21068, t21071, t21072, t21087, t21115, t21125;
  double t21128, t21129, t21132, t21146, t21171, t21178, t21181, t21198;
  double t21226, t21233, t21252, t21259, t21262, t21265, t21269, t21274;
  double t21275, t21284, t21299, t21308, t21321, t21322, t21332, t21333;
  double t21336, t21339, t21342, t21343, t21359, t21360, t21365, t21369;
  double t21380, t21389, t21405, t21407, t21415, t21450, t21462, t21463;
  double t21467, t21469, t21475, t21478, t21485, t21512, t21524, t21527;
  double t21530, t21545, t21562, t21592, t21613, t21617, t21618, t21645;
  double t21670, t21696, t21724, t21748, t21755, tv4rho2sigmatau0, t21781, t21794;
  double t21805, t21806, t21809, t21810, t21828, t21834, t21837, t21843;
  double t21845, t21848, t21849, t21857, t21868, t21878, t21883, t21888;
  double t21904, t21907, t21918, t21922, t21936, t21939, t21942, t21945;
  double t21954, t21963, t21964, t21967, t21976, t21990, t22001, t22017;
  double t22027, t22034, t22035, t22038, t22041, t22046, t22047, t22048;
  double t22051, t22053, t22057, t22060, t22061, t22064, t22067, t22068;
  double t22071, t22076, t22082, t22086, t22094, t22095, t22096, t22102;
  double t22106, t22112, t22113, t22114, t22117, t22121, t22126, t22127;
  double t22131, t22141, t22145, t22161, t22165, t22166, t22167, t22170;
  double t22177, t22180, t22181, t22187, t22192, t22194, t22202, t22207;
  double t22211, t22214, t22215, t22218, t22219, t22222, t22224, t22232;
  double t22234, t22237, t22242, t22262, t22279, t22310, t22337, t22347;
  double t22350, t22359, t22383, t22394, t22399, t22402, t22406, t22411;
  double t22416, t22424, t22438, t22439, t22448, t22453, t22456, t22459;
  double t22461, t22462, t22467, t22472, t22473, t22474, t22477, t22481;
  double t22484, t22487, t22499, t22509, t22523, t22524, t22540, t22544;
  double t22550, t22557, t22558, t22562, t22568, t22573, t22580, t22584;
  double t22590, t22596, t22601, t22604, t22607, t22611, t22614, t22626;
  double t22632, t22633, t22636, t22638, t22639, t22654, t22658, t22666;
  double t22676, t22679, t22680, t22684, t22685, t22688, t22689, t22690;
  double t22694, t22704, t22732, t22736, t22739, t22746, t22773, t22778;
  double t22812, t22816, t22830, t22833, t22841, t22846, t22849, t22850;
  double t22851, t22854, t22857, t22858, t22864, t22867, t22868, t22871;
  double t22872, t22875, t22887, t22888, t22891, t22894, t22897, t22902;
  double t22905, t22906, t22907, t22910, t22913, t22915, t22918, t22921;
  double t22928, t22931, t22934, t22937, t22939, t22942, t22947, t22950;
  double t22953, t22956, t22960, t22963, t22968, t22969, t22972, t22977;
  double t22980, t22981, t22984, t22987, t22994, t22995, t22998, t23003;
  double t23004, t23011, t23014, t23015, t23018, t23027, t23028, t23033;
  double t23041, t23042, t23046, t23051, t23055, t23064, t23067, t23071;
  double t23074, t23075, t23078, t23083, t23086, t23097, t23098, t23103;
  double t23107, t23112, t23119, t23123, t23127, t23130, t23144, t23147;
  double t23156, t23159, t23162, t23163, t23166, t23173, t23178, t23187;
  double t23190, t23198, t23209, t23215, t23217, t23220, t23223, t23231;
  double t23241, t23244, t23248, t23253, t23256, t23267, t23271, t23274;
  double t23276, t23281, t23285, t23287, t23294, t23297, t23300, t23303;
  double t23308, t23311, t23315, t23320, t23322, t23326, t23330, t23337;
  double t23340, t23345, t23350, t23367, t23370, t23375, t23378, t23381;
  double t23386, t23390, t23401, t23404, t23407, t23414, t23419, t23435;
  double t23438, t23443, t23446, t23449, t23452, t23457, t23460, t23465;
  double t23485, t23489, t23495, t23500, t23506, tv4rho2lapl20, t23523, t23524;
  double t23533, t23560, t23586, t23591, t23595, t23606, t23631, t23640;
  double t23641, t23649, t23670, t23675, t23679, t23696, t23697, t23698;
  double t23714, t23736, t23747, t23777, t23805, t23837, t23861, t23892;
  double t23919, t23934, t23938, t23947, t23950, t23951, t23977, t24010;
  double t24048, t24084, t24093, t24097, t24118, t24146, t24173, t24201;
  double t24228, t24240, t24259, t24287, t24306, t24307, t24312, t24315;
  double t24316, t24322, t24324, t24326, t24354, t24358, t24379, t24395;
  double t24401, t24405, t24426, t24434, t24447, t24461, t24462, t24468;
  double t24474, t24475, t24479, t24487, t24489, t24506, t24507, t24510;
  double t24514, t24516, t24520, t24537, t24565, t24568, t24598, t24632;
  double t24658, t24662, t24671, t24689, t24692, t24716, t24742, t24745;
  double t24751, t24755, t24758, t24766, t24780, t24791, t24792, t24801;
  double t24804, t24805, t24823, t24834, t24846, t24857, t24861, t24876;
  double t24902, t24903, t24908, t24909, t24917, t24936, t24941, t24946;
  double t24968, t24971, t24994, t25012, t25035, t25067, t25095, t25102;
  double t25116, t25119, t25140, t25152, t25155, t25174, t25181, t25207;
  double t25220, t25251, t25272, t25288, t25291, t25306, t25315, t25325;
  double t25338, t25369, t25372, t25394, t25399, t25406, t25429, t25457;
  double t25460, t25464, t25469, t25493, t25505, t25515, t25520, t25550;
  double t25574, t25583, t25599, t25616, t25619, t25631, t25641, t25642;
  double t25646, t25672, t25681, t25700, t25705, t25709, t25712, t25733;
  double t25740, tv4rho2lapltau0, t25746, t25747, t25758, t25759, t25760, t25766;
  double t25786, t25814, t25830, t25835, t25836, t25840, t25843, t25859;
  double t25862, t25864, t25870, t25879, t25893, t25897, t25906, t25921;
  double t25922, t25923, t25927, t25932, t25933, t25943, t25946, t25958;
  double t25962, t25966, t25967, t25995, t26000, t26003, t26005, t26014;
  double t26030, t26041, t26048, t26050, t26058, t26067, t26073, t26086;
  double t26095, t26099, t26127, t26148, t26152, t26157, t26161, t26164;
  double t26192, t26197, t26216, t26245, t26248, t26252, t26255, t26269;
  double t26275, t26284, t26287, t26290, t26296, t26305, t26310, t26316;
  double t26319, t26329, t26330, t26342, t26357, t26371, t26405, t26436;
  double t26444, t26445, t26456, t26460, t26485, t26504, t26510, t26552;
  double t26576, t26577, t26582, t26593, t26604, t26607, t26610, t26631;
  double t26639, t26646, t26648, t26655, t26661, t26677, t26681, t26687;
  double t26691, t26697, t26713, t26719, t26722, t26731, t26738, t26763;
  double t26772, t26775, t26782, t26789, t26796, t26801, t26804, t26827;
  double t26835, t26844, t26848, t26864, t26877, t26885, t26889, t26892;
  double t26912, t26916, t26923, t26940, t26952, t26957, t26995, t27017;
  double t27019, t27024, t27059, t27067, t27099, t27110, t27118, t27125;
  double t27145, t27173, t27178, t27191, t27207, t27218, t27220, t27224;
  double t27228, t27242, t27256, t27277, t27288, t27297, t27308, t27311;
  double t27322, t27326, t27330, t27334, t27338, t27358, t27362, t27365;
  double t27421, t27437, t27440, t27457, t27465, t27466, t27474, t27477;
  double t27481, t27485, t27493, t27509, t27510, t27531, t27549, t27551;
  double t27555, t27556, t27561, t27562, t27572, t27576, t27582, t27585;
  double t27586, t27589, t27590, t27605, t27637, t27649, t27672, t27673;
  double t27677, t27683, t27713, t27717, t27748, t27769, t27784, t27794;
  double t27816, t27830, t27831, t27839, t27862, t27878, t27896, t27921;
  double t27930, t27937, tv4rho2tau20, t27944, t27951, t27956, t27959, t27962;
  double t27966, t27968, t27970, t27980, t27981, t27982, t27984, t27988;
  double t27989, t27991, t27996, t27997, t28003, t28010, t28020, t28021;
  double t28022, t28024, t28026, t28030, t28037, t28041, t28044, t28045;
  double t28047, t28051, t28053, t28054, t28057, t28058, t28062, t28067;
  double t28070, t28073, t28075, t28081, t28084, t28085, t28086, t28090;
  double t28108, t28116, t28121, t28122, t28126, t28132, t28133, t28134;
  double t28138, t28142, t28148, t28149, t28153, t28157, t28159, t28162;
  double t28165, t28172, t28175, t28181, t28182, t28185, t28186, t28190;
  double t28194, t28197, t28200, t28209, t28213, t28214, t28215, t28219;
  double t28220, t28230, t28233, t28237, t28238, t28242, t28246, t28251;
  double t28253, t28256, t28276, t28280, t28281, t28288, t28292, t28300;
  double t28305, t28308, t28313, t28318, t28321, t28329, t28333, t28350;
  double t28351, t28353, t28360, t28361, t28366, t28371, t28372, t28376;
  double t28378, t28386, t28389, t28390, t28394, t28397, t28400, t28401;
  double t28404, t28408, t28411, t28414, t28417, t28418, t28421, t28424;
  double t28427, t28432, t28437, t28440, t28444, t28447, t28450, t28452;
  double t28454, t28456, t28457, t28459, t28461, t28464, t28469, t28471;
  double t28473, t28474, t28475, t28476, t28477, t28478, t28479, t28480;
  double t28481, t28482, t28483, t28484, t28487, t28489, t28491, t28492;
  double t28494, t28497, t28498, t28499, t28503, t28508, t28518, t28525;
  double t28529, t28532, t28536, t28539, t28541, t28546, t28548, t28550;
  double t28554, t28559, t28563, t28566, t28569, t28572, t28577, t28591;
  double t28592, t28593, t28595, t28599, t28601, t28603, t28605, t28612;
  double t28617, t28622, t28633, t28652, t28655, t28656, t28657, t28666;
  double t28669, t28672, t28675, t28680, t28686, t28699, t28711, t28713;
  double t28722, t28724, t28738, t28740, t28749, t28753, t28757, t28758;
  double t28759, t28761, t28763, t28767, t28769, t28772, t28773, t28776;
  double t28778, t28781, t28783, t28796, t28801, t28807, t28811, t28816;
  double t28819, t28821, t28822, t28825, t28831, t28833, t28845, t28847;
  double t28848, t28850, t28851, t28853, t28859, t28862, t28867, t28870;
  double t28871, t28884, t28889, t28891, t28893, t28899, t28903, t28913;
  double t28914, t28916, t28925, t28933, t28942, t28944, t28947, t28956;
  double t28957, t28962, t28965, t28972, t28976, t28979, t28981, t28984;
  double t28990, t28992, t28997, t28998, t29000, t29002, t29004, t29006;
  double t29014, t29018, t29025, t29029, t29036, t29040, t29047, t29050;
  double t29059, t29068, t29073, t29074, t29089, t29093, t29094, t29096;
  double t29097, t29103, t29108, t29110, t29111, t29112, t29113, t29114;
  double t29115, t29118, t29119, t29120, t29122, t29126, t29131, t29134;
  double t29136, t29138, t29140, t29141, t29144, t29147, t29148, t29153;
  double t29156, t29157, t29160, t29161, t29162, t29166, t29170, t29173;
  double t29176, t29177, t29178, t29182, t29185, t29189, t29191, t29193;
  double t29194, t29196, t29206, t29211, t29213, t29214, t29215, t29217;
  double t29218, t29219, t29220, t29221, t29222, t29224, t29225, t29227;
  double t29229, t29232, t29234, t29235, t29236, t29238, t29242, t29244;
  double t29245, t29249, t29253, t29258, t29264, t29265, t29268, t29269;
  double t29270, t29273, t29276, t29280, t29283, t29286, t29288, t29293;
  double t29302, t29303, t29304, t29307, t29312, t29314, t29317, t29319;
  double t29322, t29327, t29330, t29343, t29345, t29347, t29349, t29353;
  double t29357, t29359, t29362, t29365, t29368, t29370, t29383, t29386;
  double t29389, t29392, t29395, t29402, t29404, t29405, t29408, t29411;
  double t29414, t29415, t29417, t29424, t29426, t29430, t29437, t29440;
  double t29450, t29453, t29461, t29463, t29464, t29465, t29466, t29472;
  double tv4rhosigma30, t29479, t29480, t29481, t29488, t29492, t29496, t29497;
  double t29498, t29499, t29500, t29501, t29503, t29504, t29505, t29507;
  double t29508, t29509, t29511, t29512, t29513, t29520, t29523, t29524;
  double t29525, t29526, t29527, t29528, t29529, t29530, t29531, t29532;
  double t29533, t29552, t29553, t29554, t29555, t29556, t29557, t29559;
  double t29560, t29561, t29562, t29563, t29564, t29565, t29566, t29567;
  double t29570, t29581, t29587, t29588, t29589, t29592, t29597, t29600;
  double t29609, t29615, t29623, t29624, t29625, t29626, t29635, t29636;
  double t29638, t29639, t29640, t29641, t29644, t29649, t29652, t29656;
  double t29666, t29667, t29668, t29669, t29676, t29680, t29684, t29693;
  double t29701, t29723, t29726, t29727, t29730, t29733, t29734, t29735;
  double t29736, t29738, t29739, t29740, t29741, t29742, t29743, t29745;
  double t29746, t29747, t29748, t29751, t29752, t29755, t29764, t29775;
  double t29777, t29778, t29779, t29781, t29782, t29783, t29784, t29789;
  double t29795, t29798, t29799, t29802, t29803, t29805, t29808, t29811;
  double t29818, t29819, t29824, t29827, t29830, t29831, t29834, t29837;
  double t29841, t29846, t29849, t29855, t29856, t29857, t29858, t29859;
  double t29860, t29865, t29866, t29871, t29876, t29877, t29882, t29883;
  double t29884, t29885, t29886, t29887, t29894, t29908, t29909, t29912;
  double t29913, t29914, t29915, t29917, t29918, t29926, t29929, t29934;
  double t29938, t29942, t29946, t29953, t29957, t29960, t29961, t29962;
  double t29963, t29964, t29965, t29966, t29967, t29968, t29969, t29970;
  double t29971, t29972, t29973, t29976, t29978, t29981, t29993, t29997;
  double t29998, t29999, t30000, t30003, t30010, t30011, t30013, t30014;
  double t30019, t30022, t30032, t30040, t30041, t30042, t30046, t30047;
  double t30048, t30051, t30058, t30063, t30064, t30067, t30068, t30077;
  double t30085, t30086, t30097, t30101, t30110, t30113, t30117, t30127;
  double t30135, t30140, t30141, t30142, t30151, t30152, t30155, t30156;
  double t30157, t30158, t30161, t30164, t30167, t30168, t30169, t30170;
  double t30171, t30172, t30173, t30178, t30179, t30180, t30181, t30191;
  double t30192, t30195, t30210, t30223, t30224, t30235, t30236, t30238;
  double t30239, t30240, t30241, t30242, t30243, t30244, t30245, t30246;
  double t30249, t30250, t30251, t30258, t30261, t30262, t30263, t30264;
  double t30265, t30266, t30267, t30268, t30269, t30270, t30271, t30272;
  double t30273, t30276, t30277, t30280, t30283, t30284, t30285, t30286;
  double t30287, t30288, t30289, t30290, t30291, t30292, t30295, t30296;
  double t30297, t30298, t30300, t30303, t30304, t30307, t30310, t30313;
  double t30316, t30319, t30322, t30325, t30328, t30329, t30330, t30331;
  double t30332, t30333, t30334, t30335, t30336, t30337, t30338, t30339;
  double t30340, t30343, t30350, t30351, t30356, t30359, t30360, t30361;
  double t30362, t30363, t30364, t30365, t30366, t30367, t30368, t30369;
  double t30370, t30373, t30374, t30375, t30376, t30377, t30378, t30381;
  double t30386, t30391, t30392, t30397, t30399, t30408, t30411, t30412;
  double t30413, t30414, t30417, t30418, t30421, t30422, t30425, t30430;
  double t30431, t30432, t30433, t30434, t30438, t30439, t30440, t30441;
  double t30442, t30443, t30446, t30449, t30452, t30455, t30458, t30461;
  double t30464, t30467, t30471, t30474, t30475, t30482, t30485, t30490;
  double t30491, t30494, t30499, t30502, t30507, t30508, t30509, t30510;
  double t30520, t30523, t30525, t30532, t30546, t30549, t30550, t30551;
  double t30554, t30555, t30558, t30559, t30560, t30563, t30564, t30565;
  double t30568, t30573, t30580, t30581, t30583, t30592, t30593, t30596;
  double t30602, t30605, t30606, t30612, t30615, t30618, t30621, t30624;
  double t30625, t30628, t30631, t30634, t30639, t30642, t30645, t30646;
  double t30647, t30648, t30657, t30667, t30668, t30669, t30670, t30674;
  double t30675, t30676, t30677, t30678, t30679, t30680, t30687, t30688;
  double t30691, t30694, t30697, t30709, t30712, t30716, t30717, t30718;
  double t30719, t30720, t30727, t30728, t30729, t30730, t30731, t30735;
  double t30736, t30739, t30741, t30742, t30747, t30748, t30749, t30752;
  double t30756, t30760, t30764, t30768, t30782, t30783, t30784, t30785;
  double t30788, t30790, t30792, t30795, t30796, t30797, t30798, t30799;
  double t30803, t30805, t30809, t30813, t30817, t30835, t30839, t30842;
  double t30843, t30849, t30850, t30851, t30852, t30853, t30856, t30857;
  double t30860, t30861, t30868, t30869, t30872, t30873, t30882, t30883;
  double t30890, t30894, t30897, t30900, t30901, t30902, t30912, t30921;
  double t30926, t30931, t30934, t30935, t30940, t30945, t30951, t30961;
  double t30965, t30971, t30976, t30981, t30984, t30985, t30986, t30987;
  double t30989, t30994, t30995, t31002, t31003, t31012, t31019, t31028;
  double t31034, t31037, t31038, t31041, t31045, t31048, t31052, t31053;
  double t31064, t31066, t31069, t31070, t31071, t31073, t31074, t31075;
  double t31077, t31078, t31079, t31081, t31082, t31089, t31091, t31098;
  double t31101, t31102, t31103, t31104, t31107, t31109, t31113, t31117;
  double t31121, t31125, t31129, t31134, t31136, t31137, t31141, t31144;
  double t31147, t31148, t31152, t31153, t31156, t31159, t31162, t31165;
  double t31169, t31170, t31185, t31199, t31200, t31201, t31209, t31212;
  double t31214, t31217, t31220, t31223, t31226, t31229, t31235, tv4rhosigma2lapl0;
  double t31248, t31261, t31262, t31263, t31264, t31265, t31287, t31291;
  double t31292, t31293, t31294, t31295, t31309, t31310, t31315, t31325;
  double t31328, t31332, t31343, t31346, t31347, t31348, t31349, t31352;
  double t31353, t31362, t31363, t31369, t31371, t31372, t31374, t31375;
  double t31384, t31391, t31400, t31403, t31404, t31406, t31407, t31409;
  double t31410, t31416, t31417, t31419, t31426, t31431, t31432, t31448;
  double t31457, t31459, t31460, t31474, t31481, t31484, t31486, t31487;
  double t31488, t31489, t31491, t31492, t31495, t31503, t31504, t31505;
  double t31506, t31514, t31521, t31522, t31523, t31524, t31537, t31541;
  double t31544, t31545, t31546, t31547, t31549, t31550, t31555, t31562;
  double t31566, t31567, t31574, t31588, t31592, t31593, t31596, t31597;
  double t31598, t31599, t31602, t31605, t31606, t31614, t31621, t31622;
  double t31623, t31624, t31639, t31640, t31643, t31664, t31669, t31674;
  double t31677, t31679, t31682, t31685, t31686, t31699, t31700, t31701;
  double t31706, t31713, t31728, t31744, t31748, t31751, t31754, t31772;
  double t31773, t31774, t31775, t31776, t31779, t31780, t31799, t31822;
  double t31829, t31837, t31838, t31839, t31840, t31841, t31842, t31844;
  double t31845, t31846, t31847, t31848, t31851, t31852, t31853, t31854;
  double t31857, t31868, t31886, t31909, t31928, t31935, t31936, t31944;
  double t31959, t31974, t31982, t31983, t31985, t31986, t31987, t31989;
  double t31990, t31992, t31993, t32002, t32005, t32012, t32015, t32016;
  double t32017, t32018, t32020, t32040, t32041, t32044, t32048, t32049;
  double t32057, t32060, t32065, t32068, t32071, t32073, t32078, t32079;
  double t32080, t32081, t32082, t32083, t32092, t32093, t32094, t32097;
  double t32098, t32121, t32130, t32131, t32132, t32137, t32139, t32140;
  double t32141, t32142, t32149, t32152, t32158, t32178, t32198, t32217;
  double t32219, t32220, t32222, t32223, t32230, t32231, t32233, t32234;
  double t32236, t32237, t32243, t32247, t32263, t32273, t32278, t32283;
  double t32289, t32290, t32291, t32292, t32293, t32294, t32296, t32297;
  double t32309, t32323, t32328, t32329, t32332, t32333, t32351, t32357;
  double t32359, t32368, t32369, t32378, t32392, t32393, t32394, t32395;
  double t32396, t32400, t32401, t32402, t32403, t32404, t32421, t32422;
  double t32424, t32425, t32426, t32438, t32439, t32440, t32441, t32448;
  double t32473, t32481, t32482, t32495, t32499, t32518, t32519, t32520;
  double t32521, t32522, t32532, t32533, t32536, t32537, t32544, t32552;
  double t32553, t32558, t32563, t32570, t32571, t32572, t32573, t32574;
  double t32583, t32605, t32616, t32617, t32618, t32619, t32620, t32647;
  double t32667, t32670, t32671, t32680, t32681, t32684, t32685, t32690;
  double t32693, t32694, t32701, t32726, t32755, t32770, t32771, t32785;
  double t32805, t32815, t32816, t32817, t32822, t32833, t32850, t32852;
  double t32853, t32854, t32855, t32880, t32902, t32907, t32910, t32913;
  double t32918, t32927, t32928, t32929, t32930, t32931, t32932, t32933;
  double t32934, t32935, t32938, t32958, t32959, t32960, t32961, t32964;
  double t32973, t32974, t32977, t32994, t33001, tv4rhosigma2tau0, t33004, t33015;
  double t33016, t33017, t33024, t33036, t33040, t33044, t33045, t33061;
  double t33073, t33074, t33075, t33076, t33080, t33082, t33083, t33084;
  double t33086, t33087, t33088, t33089, t33091, t33094, t33095, t33096;
  double t33101, t33104, t33105, t33106, t33107, t33108, t33109, t33112;
  double t33113, t33114, t33120, t33124, t33131, t33132, t33152, t33153;
  double t33154, t33155, t33156, t33157, t33159, t33160, t33163, t33164;
  double t33165, t33166, t33167, t33168, t33173, t33180, t33181, t33184;
  double t33194, t33195, t33204, t33212, t33214, t33217, t33218, t33231;
  double t33232, t33254, t33293, t33308, t33334, t33352, t33354, t33356;
  double t33371, t33376, t33383, t33421, t33422, t33423, t33424, t33425;
  double t33427, t33428, t33431, t33434, t33435, t33438, t33439, t33440;
  double t33444, t33448, t33450, t33455, t33457, t33460, t33463, t33467;
  double t33470, t33471, t33474, t33475, t33479, t33487, t33494, t33495;
  double t33496, t33497, t33502, t33503, t33505, t33506, t33520, t33546;
  double t33554, t33561, t33565, t33569, t33573, t33591, t33592, t33594;
  double t33595, t33598, t33600, t33601, t33602, t33617, t33639, t33640;
  double t33643, t33650, t33653, t33654, t33655, t33656, t33659, t33673;
  double t33677, t33680, t33683, t33687, t33693, t33694, t33695, t33696;
  double t33697, t33698, t33699, t33700, t33701, t33703, t33704, t33705;
  double t33706, t33707, t33708, t33709, t33710, t33711, t33713, t33721;
  double t33722, t33726, t33727, t33743, t33768, t33771, t33777, t33779;
  double t33782, t33785, t33791, t33795, t33797, t33804, t33808, t33811;
  double t33822, t33823, t33824, t33825, t33826, t33827, t33828, t33829;
  double t33830, t33831, t33832, t33837, t33838, t33839, t33840, t33841;
  double t33847, t33848, t33850, t33851, t33857, t33860, t33863, t33864;
  double t33869, t33872, t33881, t33885, t33887, t33888, t33895, t33896;
  double t33899, t33905, t33911, t33914, t33917, t33918, t33926, t33931;
  double t33942, t33943, t33944, t33945, t33946, t33947, t33948, t33949;
  double t33950, t33951, t33952, t33955, t33956, t33957, t33958, t33959;
  double t33960, t33961, t33962, t33963, t33964, t33965, t33966, t33967;
  double t33970, t33973, t33974, t33977, t33981, t33982, t33984, t33987;
  double t33989, t33993, t33996, t33999, t34001, t34002, t34003, t34004;
  double t34005, t34006, t34007, t34008, t34009, t34010, t34013, t34014;
  double t34017, t34020, t34023, t34026, t34029, t34030, t34033, t34034;
  double t34035, t34038, t34041, t34043, t34046, t34049, t34056, t34061;
  double t34062, t34065, t34068, t34071, t34074, t34080, t34083, t34084;
  double t34090, t34094, t34113, t34116, t34117, t34120, t34125, t34131;
  double t34134, t34135, t34136, t34137, t34138, t34139, t34141, t34142;
  double t34143, t34145, t34147, t34150, t34153, t34156, t34159, t34160;
  double t34161, t34162, t34163, t34164, t34169, t34172, t34175, t34178;
  double t34183, t34188, t34191, t34194, t34197, t34200, t34201, t34202;
  double t34205, t34206, t34207, t34210, t34215, t34220, t34225, t34226;
  double t34231, t34234, t34237, t34240, t34243, t34246, t34251, t34254;
  double t34255, t34256, t34259, t34262, t34265, t34266, t34267, t34268;
  double t34269, t34270, t34275, t34280, t34283, t34288, t34291, t34295;
  double t34296, t34297, t34298, t34301, t34304, t34311, t34314, t34323;
  double t34329, t34333, t34334, t34337, t34338, t34341, t34344, t34347;
  double t34353, t34367, t34368, t34370, t34375, t34381, t34384, t34392;
  double t34395, t34398, t34401, t34404, t34414, t34415, t34420, t34425;
  double t34427, t34432, t34435, t34440, t34443, t34453, t34454, t34459;
  double t34464, t34467, t34468, t34471, t34472, t34482, t34486, t34492;
  double t34495, t34497, t34500, t34506, t34507, t34508, t34509, t34510;
  double t34511, t34518, t34521, t34524, t34527, t34530, t34533, t34534;
  double t34537, t34541, t34545, t34549, t34553, t34554, t34555, t34558;
  double t34559, t34560, t34563, t34564, t34565, t34570, t34573, t34578;
  double t34581, t34584, t34587, t34590, t34593, t34596, t34599, t34602;
  double t34603, t34605, t34606, t34607, t34608, t34611, t34614, t34617;
  double t34622, t34624, t34629, t34632, t34633, t34635, t34639, t34642;
  double t34644, t34645, t34646, t34647, t34648, t34649, t34650, t34651;
  double t34652, t34655, t34656, t34657, t34659, t34660, t34666, t34671;
  double t34678, t34683, t34687, t34688, t34689, t34691, t34692, t34693;
  double t34697, t34698, t34699, t34703, t34707, t34709, t34714, t34719;
  double t34722, t34727, t34728, t34729, t34730, t34731, t34734, t34737;
  double t34743, t34744, t34745, t34748, t34751, t34754, t34755, t34759;
  double t34760, t34762, t34763, t34764, t34765, t34775, t34784, t34789;
  double t34793, t34797, t34801, t34808, t34823, t34824, t34825, t34830;
  double t34832, t34836, t34840, t34841, t34842, t34843, t34847, t34851;
  double t34859, t34863, t34864, t34866, t34867, t34884, t34885, t34890;
  double t34891, t34892, t34893, t34896, t34899, t34903, t34906, t34907;
  double t34911, t34925, t34926, t34927, t34928, t34934, t34935, t34938;
  double t34942, t34943, t34947, t34951, t34958, t34962, t34966, t34970;
  double t34975, t34979, t34983, t34990, t35000, t35006, t35012, t35015;
  double t35017, t35025, t35028, t35037, t35040, t35043, t35051, t35065;
  double t35070, t35081, t35082, t35089, t35096, tv4rhosigmalapl20, t35099, t35108;
  double t35113, t35123, t35127, t35137, t35138, t35152, t35169, t35172;
  double t35207, t35221, t35237, t35257, t35258, t35266, t35271, t35292;
  double t35303, t35339, t35356, t35357, t35374, t35408, t35411, t35416;
  double t35434, t35439, t35459, t35486, t35504, t35518, t35524, t35528;
  double t35533, t35537, t35563, t35564, t35567, t35568, t35571, t35573;
  double t35578, t35587, t35616, t35633, t35653, t35660, t35672, t35687;
  double t35690, t35691, t35694, t35706, t35710, t35724, t35756, t35778;
  double t35791, t35824, t35825, t35826, t35829, t35830, t35837, t35850;
  double t35859, t35862, t35865, t35869, t35886, t35917, t35918, t35953;
  double t35957, t35965, t35986, t36018, t36024, t36035, t36038, t36041;
  double t36044, t36049, t36066, t36078, t36080, t36084, t36087, t36096;
  double t36119, t36136, t36171, t36194, t36202, t36205, t36210, t36211;
  double t36216, t36228, t36241, t36248, t36261, t36288, t36292, t36301;
  double t36315, t36329, t36334, t36339, t36347, t36351, t36377, t36386;
  double t36389, t36414, t36446, t36474, t36477, t36480, t36483, t36495;
  double t36514, t36534, t36538, t36545, t36548, t36553, t36566, t36574;
  double t36580, t36581, t36592, t36600, t36612, t36622, t36630, t36661;
  double t36683, t36684, t36691, t36712, t36719, t36733, t36734, t36745;
  double t36750, t36758, t36759, t36762, t36766, t36781, t36787, t36803;
  double t36805, t36816, t36819, t36822, t36825, t36827, t36855, t36887;
  double t36890, t36924, t36930, t36958, t36961, t36974, t36979, t36992;
  double t36998, t37006, t37021, t37033, t37036, t37041, t37064, t37076;
  double t37094, t37110, t37113, t37116, t37155, t37165, t37173, t37178;
  double t37212, t37213, t37226, t37230, t37259, t37260, t37265, t37268;
  double t37305, t37332, t37350, t37374, t37383, t37398, t37405, tv4rhosigmalapltau0;
  double t37433, t37436, t37437, t37442, t37450, t37461, t37462, t37464;
  double t37465, t37466, t37467, t37469, t37470, t37474, t37475, t37479;
  double t37482, t37487, t37492, t37499, t37506, t37509, t37510, t37511;
  double t37514, t37515, t37516, t37517, t37534, t37535, t37536, t37539;
  double t37540, t37566, t37582, t37606, t37621, t37623, t37635, t37640;
  double t37641, t37644, t37648, t37666, t37672, t37676, t37683, t37687;
  double t37697, t37713, t37714, t37721, t37754, t37782, t37793, t37798;
  double t37807, t37812, t37813, t37826, t37827, t37828, t37843, t37850;
  double t37851, t37857, t37861, t37863, t37865, t37866, t37867, t37868;
  double t37873, t37887, t37891, t37917, t37947, t37954, t37955, t37956;
  double t37965, t37966, t37974, t37980, t37981, t37992, t37997, t38002;
  double t38007, t38010, t38011, t38012, t38043, t38044, t38047, t38062;
  double t38070, t38083, t38101, t38102, t38103, t38118, t38158, t38184;
  double t38211, t38212, t38213, t38216, t38219, t38246, t38247, t38253;
  double t38257, t38263, t38264, t38269, t38277, t38282, t38294, t38303;
  double t38304, t38305, t38318, t38328, t38331, t38334, t38345, t38346;
  double t38347, t38348, t38349, t38353, t38358, t38359, t38370, t38371;
  double t38374, t38379, t38391, t38392, t38393, t38394, t38395, t38396;
  double t38397, t38398, t38399, t38400, t38401, t38408, t38421, t38435;
  double t38436, t38439, t38442, t38443, t38447, t38460, t38461, t38462;
  double t38463, t38464, t38468, t38469, t38486, t38487, t38493, t38494;
  double t38495, t38497, t38498, t38499, t38502, t38525, t38554, t38564;
  double t38595, t38606, t38607, t38619, t38621, t38622, t38659, t38669;
  double t38670, t38683, t38699, t38701, t38702, t38707, t38711, t38720;
  double t38743, t38770, t38802, t38840, t38859, t38860, t38862, t38863;
  double t38874, t38877, t38878, t38881, t38884, t38887, t38888, t38889;
  double t38890, t38891, t38905, t38918, t38919, t38920, t38921, t38946;
  double t38951, t38973, t38976, t38977, t38992, t38993, t38994, t38995;
  double t38996, t38997, t39000, t39001, t39004, t39030, t39039, t39040;
  double t39045, t39046, t39054, t39064, t39065, t39082, t39087, t39088;
  double t39091, t39092, t39093, t39094, t39110, t39131, t39134, t39135;
  double t39141, t39142, t39153, t39163, t39168, t39176, t39183, t39186;
  double t39187, t39188, t39189, t39190, t39206, t39231, t39238, t39239;
  double t39240, t39254, t39257, t39274, t39288, t39295, t39306, t39307;
  double t39308, t39312, t39329, t39338, t39368, t39386, t39396, t39397;
  double t39401, t39402, t39421, t39434, t39444, t39465, t39471, t39472;
  double t39484, t39488, t39514, t39515, t39516, t39517, t39518, t39519;
  double t39520, t39522, t39526, t39529, t39530, t39541, t39554, t39563;
  double t39567, t39568, t39570, t39571, t39573, t39574, t39586, t39593;
  double t39601, t39615, t39651, t39658, tv4rhosigmatau20, t39661, t39665, t39673;
  double t39674, t39675, t39683, t39684, t39689, t39690, t39694, t39701;
  double t39704, t39705, t39713, t39714, t39715, t39719, t39721, t39728;
  double t39735, t39738, t39745, t39756, t39760, t39763, t39770, t39773;
  double t39778, t39781, t39802, t39804, t39807, t39812, t39813, t39818;
  double t39822, t39827, t39836, t39837, t39840, t39841, t39845, t39871;
  double t39874, t39879, t39882, t39885, t39904, t39911, t39915, t39918;
  double t39921, t39932, t39957, t39981, t39991, t40006, t40009, t40022;
  double t40023, t40024, t40031, t40035, t40042, t40050, t40073, t40079;
  double t40088, t40105, t40111, t40118, t40119, t40123, t40130, t40133;
  double t40138, t40141, t40142, t40145, t40148, t40149, t40150, t40157;
  double t40165, t40168, t40172, t40181, t40194, t40196, t40201, t40204;
  double t40205, t40208, t40210, t40213, t40216, t40225, t40230, t40237;
  double t40244, t40253, t40262, t40274, t40282, t40286, t40296, t40305;
  double t40312, t40313, t40316, t40321, t40324, t40327, t40328, t40329;
  double t40330, t40331, t40334, t40335, t40336, t40346, t40350, t40353;
  double t40356, t40357, t40361, t40366, t40369, t40376, t40377, t40379;
  double t40385, t40392, t40393, t40398, t40401, t40410, t40415, t40418;
  double t40432, t40441, t40444, t40451, t40454, t40463, t40470, t40471;
  double t40473, t40474, t40479, t40480, t40481, t40484, t40486, t40490;
  double t40494, t40497, t40501, t40511, t40515, t40518, t40525, t40532;
  double t40539, t40544, t40553, t40554, t40557, t40560, t40564, t40568;
  double t40571, t40574, t40577, t40581, t40584, t40587, t40590, t40596;
  double t40600, t40602, t40610, t40613, t40616, t40622, t40634, t40638;
  double t40639, t40646, t40650, t40652, t40655, t40657, t40678, t40680;
  double t40697, t40702, t40704, t40705, t40706, t40707, t40708, t40709;
  double t40721, t40727, t40741, t40744, t40751, t40752, t40756, t40759;
  double t40761, t40764, t40767, t40771, t40781, t40784, t40790, t40792;
  double t40799, t40803, t40807, t40811, t40814, t40817, t40820, t40823;
  double t40827, t40830, t40831, t40850, t40866, t40876, t40882, t40891;
  double t40895, t40907, t40911, t40923, t40925, t40932, t40934, t40938;
  double t40939, t40948, t40951, t40954, t40961, t40967, tv4rholapl30, t40978;
  double t40979, t40988, t40989, t40990, t40994, t41000, t41004, t41005;
  double t41008, t41010, t41013, t41015, t41031, t41034, t41045, t41055;
  double t41074, t41078, t41079, t41087, t41089, t41110, t41134, t41141;
  double t41150, t41151, t41160, t41171, t41173, t41176, t41192, t41199;
  double t41213, t41223, t41226, t41227, t41228, t41239, t41262, t41282;
  double t41297, t41308, t41309, t41310, t41311, t41318, t41319, t41320;
  double t41339, t41353, t41364, t41372, t41375, t41390, t41395, t41402;
  double t41424, t41435, t41443, t41451, t41462, t41477, t41505, t41529;
  double t41536, t41558, t41565, t41566, t41572, t41574, t41575, t41591;
  double t41597, t41598, t41607, t41620, t41638, t41641, t41647, t41656;
  double t41668, t41672, t41688, t41694, t41702, t41718, t41724, t41730;
  double t41737, t41741, t41748, t41755, t41766, t41769, t41782, t41789;
  double t41803, t41817, t41836, t41854, t41859, t41862, t41868, t41883;
  double t41902, t41907, t41913, t41922, t41930, t41954, t41957, t41962;
  double t41967, t41972, t42001, t42017, t42031, t42042, t42052, t42064;
  double t42074, t42075, t42076, t42080, t42083, t42084, t42087, t42088;
  double t42091, t42100, t42108, t42118, t42121, t42124, t42128, t42140;
  double t42146, t42152, t42166, t42174, t42190, t42204, t42235, t42247;
  double t42262, t42279, t42290, t42314, t42327, t42336, t42361, t42384;
  double t42401, t42415, t42446, t42471, t42488, t42492, t42497, t42520;
  double t42530, t42550, t42554, t42576, t42608, t42611, t42616, t42622;
  double t42633, t42641, t42645, t42651, t42665, t42668, t42681, t42688;
  double tv4rholapl2tau0, t42691, t42696, t42701, t42711, t42718, t42719, t42741;
  double t42742, t42746, t42750, t42753, t42774, t42788, t42815, t42829;
  double t42846, t42870, t42895, t42897, t42920, t42925, t42926, t42930;
  double t42931, t42937, t42938, t42950, t42975, t42976, t42977, t42983;
  double t42994, t42995, t42996, t43015, t43049, t43063, t43086, t43095;
  double t43113, t43114, t43118, t43137, t43145, t43155, t43184, t43207;
  double t43212, t43215, t43238, t43242, t43249, t43252, t43255, t43256;
  double t43263, t43270, t43271, t43278, t43279, t43296, t43301, t43309;
  double t43340, t43343, t43372, t43376, t43383, t43390, t43395, t43423;
  double t43433, t43448, t43479, t43483, t43486, t43516, t43544, t43569;
  double t43595, t43617, t43640, t43650, t43673, t43682, t43717, t43728;
  double t43749, t43761, t43769, t43771, t43780, t43790, t43799, t43804;
  double t43809, t43819, t43834, t43842, t43849, t43873, t43889, t43900;
  double t43913, t43933, t43955, t43965, t43974, t43994, t44000, t44017;
  double t44021, t44026, t44033, t44045, t44072, t44103, t44127, t44144;
  double t44163, t44164, t44169, t44172, t44176, t44194, t44199, t44203;
  double t44207, t44211, t44234, t44260, t44261, t44262, t44266, t44296;
  double t44321, t44324, t44335, t44355, t44394, t44395, t44415, t44430;
  double t44451, t44466, t44476, t44517, t44544, t44553, t44581, t44616;
  double t44629, t44660, t44680, t44698, t44699, t44721, t44729, t44757;
  double t44773, t44813, t44846, t44849, t44856, tv4rholapltau20, t44861, t44890;
  double t44912, t44916, t44931, t44938, t44940, t44947, t44948, t44952;
  double t44959, t44966, t44975, t44979, t45010, t45056, t45057, t45058;
  double t45061, t45065, t45080, t45085, t45097, t45132, t45166, t45170;
  double t45175, t45201, t45205, t45215, t45228, t45236, t45244, t45248;
  double t45249, t45269, t45282, t45285, t45289, t45308, t45324, t45353;
  double t45382, t45389, t45423, t45424, t45428, t45442, t45457, t45462;
  double t45468, t45479, t45500, t45507, t45510, t45515, t45518, t45524;
  double t45530, t45537, t45540, t45541, t45544, t45564, t45566, t45573;
  double t45587, t45590, t45592, t45605, t45617, t45623, t45651, t45660;
  double t45716, t45718, t45750, t45763, t45772, t45791, t45793, t45796;
  double t45815, t45825, t45826, t45839, t45861, t45866, t45873, t45889;
  double t45905, t45912, t45916, t45932, t45952, t45955, t45983, t45988;
  double t46009, t46014, t46050, t46079, t46085, t46089, t46114, t46116;
  double t46124, t46131, t46138, t46150, t46154, t46182, t46190, t46201;
  double t46213, t46251, t46257, t46294, t46299, t46308, t46312, t46313;
  double t46355, t46389, t46398, t46402, t46418, t46431, t46451, t46485;
  double t46501, t46515, t46519, t46527, t46533, tv4rhotau30, t46538, t46540;
  double t46543, t46546, t46562, t46566, t46573, t46575, t46578, t46579;
  double t46580, t46586, t46588, t46589, t46599, t46602, t46613, t46616;
  double t46618, t46619, t46620, t46622, t46642, t46644, t46645, t46647;
  double t46651, t46653, t46655, t46657, t46658, t46660, t46662, t46664;
  double t46666, t46670, t46672, t46674, t46677, t46680, t46689, t46693;
  double t46697, t46698, t46705, t46713, t46718, t46724, t46766, t46769;
  double t46772, t46777, t46779, t46783, t46787, t46791, t46793, t46794;
  double t46796, t46800, t46804, t46806, t46809, t46814, t46816, t46822;
  double t46824, t46827, t46832, t46835, t46838, t46847, t46848, t46851;
  double t46856, t46858, t46865, t46872, t46873, t46874, t46877, t46880;
  double t46883, t46884, t46891, t46897, t46903, t46905, t46908, t46909;
  double t46910, t46913, t46916, t46917, t46919, t46922, t46923, t46925;
  double t46926, t46927, t46929, t46930, t46932, t46933, t46936, t46939;
  double t46946, t46952, t46956, t46959, t46962, t46965, t46967, t46968;
  double t46969, t46972, t46973, t46976, t46977, t46979, t46980, t46981;
  double t46986, t46987, t46990, t46994, t46997, t47002, t47005, t47012;
  double t47015, t47016, t47018, t47021, t47022, t47026, t47027, t47029;
  double t47033, t47036, t47040, t47043, t47044, t47047, t47049, t47052;
  double t47057, t47059, t47060, t47066, t47073, t47075, t47076, t47080;
  double t47081, t47082, t47085, t47087, t47089, t47092, t47095, t47096;
  double t47100, t47101, t47103, t47106, t47108, t47110, t47114, t47115;
  double t47116, t47120, t47122, t47130, t47133, t47134, t47136, t47143;
  double t47145, t47148, t47149, t47150, t47159, t47163, t47164, t47169;
  double t47172, t47173, t47174, t47177, t47178, t47179, t47183, t47186;
  double t47189, t47192, t47195, t47199, t47203, t47207, t47212, t47214;
  double t47217, t47221, t47223, t47227, t47231, t47236, t47239, t47278;
  double t47280, t47285, tv4sigma40, t47287, t47288, t47289, t47290, t47294;
  double t47298, t47299, t47302, t47303, t47307, t47308, t47309, t47310;
  double t47312, t47317, t47320, t47321, t47322, t47323, t47324, t47325;
  double t47327, t47333, t47336, t47339, t47340, t47341, t47344, t47347;
  double t47348, t47349, t47350, t47355, t47361, t47369, t47375, t47376;
  double t47382, t47389, t47390, t47391, t47392, t47397, t47399, t47402;
  double t47403, t47406, t47407, t47408, t47409, t47410, t47411, t47412;
  double t47413, t47414, t47415, t47419, t47420, t47421, t47422, t47423;
  double t47424, t47425, t47426, t47429, t47430, t47431, t47432, t47433;
  double t47434, t47435, t47436, t47437, t47438, t47439, t47440, t47441;
  double t47446, t47454, t47455, t47458, t47461, t47462, t47465, t47468;
  double t47471, t47474, t47477, t47481, t47485, t47486, t47488, t47489;
  double t47490, t47492, t47493, t47494, t47495, t47496, t47497, t47498;
  double t47500, t47501, t47502, t47506, t47509, t47510, t47511, t47512;
  double t47514, t47515, t47516, t47517, t47518, t47520, t47521, t47522;
  double t47523, t47524, t47525, t47526, t47529, t47531, t47534, t47537;
  double t47539, t47541, t47542, t47546, t47547, t47554, t47555, t47556;
  double t47557, t47558, t47561, t47567, t47578, t47581, t47585, t47588;
  double t47593, t47595, t47603, t47610, t47614, t47616, t47617, t47620;
  double t47622, t47623, t47630, t47634, t47637, t47640, t47641, t47644;
  double t47649, t47652, t47655, t47658, t47661, t47664, t47666, t47667;
  double t47668, t47670, t47671, t47672, t47676, t47677, t47678, t47679;
  double t47681, t47684, t47688, t47690, t47691, t47692, t47696, t47715;
  double t47725, t47726, t47729, t47730, t47731, t47732, t47737, t47744;
  double t47747, t47750, t47751, t47752, t47753, t47757, t47760, t47762;
  double t47765, t47769, t47770, t47773, t47776, t47785, t47795, t47796;
  double t47797, t47801, t47802, t47817, t47818, t47821, t47822, t47823;
  double t47824, t47825, t47826, t47827, t47828, t47829, t47830, t47831;
  double t47832, t47833, t47834, t47835, t47836, t47839, t47840, t47843;
  double t47846, t47847, t47848, t47849, t47852, t47854, t47855, t47858;
  double t47859, t47864, t47867, t47872, t47873, t47874, t47877, t47878;
  double t47879, t47880, t47883, t47885, t47886, t47887, t47888, t47889;
  double t47891, t47894, t47895, t47896, t47897, t47898, t47901, t47906;
  double t47909, t47910, t47911, t47912, t47913, t47914, t47917, t47918;
  double t47921, t47922, t47923, t47924, t47925, t47926, t47929, t47930;
  double t47933, t47936, t47941, t47944, t47947, t47948, t47951, t47952;
  double t47955, t47956, t47959, t47960, t47961, t47962, t47963, t47964;
  double t47966, t47967, t47968, t47969, t47972, t47975, t47980, t47983;
  double t47984, t47985, t47986, t47987, t47989, t47992, t47993, t47994;
  double t47995, t47997, t47998, t47999, t48000, t48001, t48002, t48005;
  double t48010, t48013, t48014, t48015, t48016, t48019, t48022, t48025;
  double t48028, t48031, t48034, t48037, t48038, t48042, t48045, t48048;
  double t48049, t48057, t48058, t48063, t48069, t48073, t48074, t48075;
  double t48076, t48077, t48078, t48081, t48082, t48083, t48084, t48085;
  double t48090, tv4sigma3lapl0, t48106, t48107, t48112, t48114, t48115, t48120;
  double t48121, t48122, t48123, t48124, t48125, t48126, t48140, t48141;
  double t48142, t48144, t48145, t48146, t48147, t48153, t48154, t48185;
  double t48186, t48187, t48189, t48190, t48192, t48193, t48196, t48200;
  double t48201, t48203, t48204, t48205, t48208, t48209, t48210, t48211;
  double t48223, t48224, t48225, t48226, t48227, t48238, t48239, t48240;
  double t48241, t48242, t48255, t48256, t48264, t48265, t48267, t48268;
  double t48279, t48285, t48296, t48299, t48300, t48301, t48302, t48304;
  double t48305, t48313, t48337, t48341, t48342, t48360, t48361, t48365;
  double t48369, t48372, t48373, t48374, t48379, t48381, t48382, t48383;
  double t48385, t48386, t48404, t48405, t48406, t48409, t48410, t48411;
  double t48412, t48413, t48414, t48422, t48425, t48428, t48429, t48430;
  double t48431, t48438, t48441, t48451, t48452, t48453, t48454, t48455;
  double t48457, t48458, t48463, t48464, t48465, t48466, t48468, t48469;
  double t48482, t48483, t48486, t48488, t48489, t48502, t48519, t48522;
  double t48537, t48543, t48545, t48546, t48561, t48564, t48566, t48567;
  double t48572, t48573, t48574, t48575, t48579, t48580, t48581, t48582;
  double t48583, t48584, t48587, t48598, t48611, t48612, t48617, t48621;
  double t48624, t48625, t48626, t48634, t48645, t48646, t48654, t48655;
  double t48660, t48661, t48664, t48667, t48668, t48683, t48686, t48687;
  double t48695, t48703, t48713, t48733, t48734, t48735, t48742, t48750;
  double t48751, t48773, t48798, t48799, t48803, t48808, tv4sigma3tau0, t48810;
  double t48812, t48816, t48817, t48821, t48822, t48844, t48845, t48846;
  double t48847, t48851, t48854, t48857, t48858, t48859, t48862, t48864;
  double t48865, t48866, t48869, t48877, t48880, t48881, t48882, t48883;
  double t48886, t48889, t48894, t48895, t48899, t48903, t48904, t48905;
  double t48906, t48909, t48910, t48913, t48916, t48922, t48923, t48924;
  double t48927, t48945, t48948, t48956, t48957, t48958, t48959, t48960;
  double t48961, t48962, t48963, t48964, t48965, t48966, t48967, t48970;
  double t48971, t48975, t48976, t48978, t48980, t48985, t48993, t48994;
  double t48995, t48996, t48998, t49002, t49005, t49006, t49007, t49008;
  double t49011, t49012, t49015, t49016, t49025, t49026, t49037, t49038;
  double t49039, t49040, t49053, t49054, t49060, t49061, t49064, t49065;
  double t49066, t49067, t49068, t49071, t49074, t49075, t49078, t49083;
  double t49087, t49088, t49092, t49093, t49095, t49096, t49104, t49107;
  double t49109, t49112, t49117, t49118, t49119, t49128, t49133, t49139;
  double t49147, t49150, t49151, t49152, t49153, t49154, t49157, t49158;
  double t49159, t49161, t49164, t49165, t49167, t49173, t49183, t49184;
  double t49185, t49186, t49188, t49191, t49196, t49198, t49204, t49218;
  double t49219, t49224, t49245, t49247, t49248, t49249, t49254, t49256;
  double t49258, t49262, t49266, t49270, t49278, t49279, t49281, t49282;
  double t49284, t49288, t49289, t49295, t49298, t49301, t49304, t49306;
  double t49307, t49310, t49311, t49312, t49313, t49314, t49316, t49319;
  double t49323, t49326, t49327, t49329, t49333, t49336, t49348, t49349;
  double t49350, t49351, t49356, t49359, t49360, t49361, t49362, t49363;
  double t49364, t49369, t49372, t49375, t49376, t49378, t49381, t49382;
  double t49383, t49384, t49385, t49388, t49389, t49390, t49391, t49392;
  double t49395, t49396, t49397, t49398, t49401, t49402, t49403, t49404;
  double t49405, t49406, t49407, t49409, t49410, t49418, t49420, t49423;
  double t49424, t49425, t49432, t49434, t49437, t49442, t49445, t49455;
  double t49457, t49459, t49462, t49463, t49466, t49467, t49470, t49473;
  double t49474, t49475, t49480, t49484, t49485, t49486, t49487, t49488;
  double t49490, t49493, t49497, t49500, t49505, t49507, t49508, t49511;
  double t49512, t49513, t49514, t49515, t49516, t49521, t49531, t49532;
  double t49534, t49538, t49549, t49555, t49558, t49559, t49560, t49563;
  double t49564, t49565, t49566, t49568, t49569, t49570, t49580, t49581;
  double t49584, t49587, t49589, t49590, t49593, t49594, t49597, t49600;
  double t49603, t49606, t49612, t49615, t49616, t49618, t49623, t49628;
  double t49629, t49630, t49631, t49632, t49646, t49650, t49654, t49657;
  double t49663, t49667, t49670, t49671, t49674, t49680, t49681, t49686;
  double t49688, t49689, t49692, t49695, t49698, t49702, t49706, t49708;
  double t49709, t49710, t49711, t49712, t49713, t49714, t49716, t49717;
  double t49721, t49723, t49727, t49731, t49744, t49753, t49754, t49756;
  double t49762, t49763, t49766, t49767, t49771, t49778, t49781, t49782;
  double t49783, t49784, t49787, t49788, t49789, t49795, t49796, t49802;
  double t49808, t49813, t49816, t49821, t49830, t49844, t49845, t49849;
  double t49850, t49852, t49854, t49857, t49858, t49859, t49860, t49862;
  double t49863, t49864, t49865, t49868, t49870, t49875, t49882, t49887;
  double t49894, t49895, t49901, t49904, t49905, t49908, t49910, t49913;
  double t49916, t49919, t49920, t49921, t49924, t49925, t49928, t49932;
  double t49933, t49935, t49945, t49951, tv4sigma2lapl20, t49959, t49965, t49968;
  double t49972, t49974, t49979, t49981, t49982, t49986, t49993, t50008;
  double t50011, t50014, t50017, t50019, t50039, t50041, t50043, t50056;
  double t50060, t50062, t50063, t50064, t50067, t50069, t50070, t50078;
  double t50084, t50086, t50089, t50090, t50107, t50109, t50114, t50121;
  double t50128, t50135, t50144, t50168, t50170, t50187, t50189, t50204;
  double t50211, t50214, t50215, t50216, t50222, t50223, t50224, t50226;
  double t50229, t50230, t50231, t50239, t50240, t50241, t50242, t50245;
  double t50247, t50254, t50275, t50279, t50300, t50306, t50308, t50316;
  double t50319, t50325, t50326, t50327, t50328, t50343, t50346, t50349;
  double t50350, t50352, t50353, t50354, t50361, t50373, t50374, t50375;
  double t50379, t50381, t50387, t50389, t50392, t50393, t50410, t50421;
  double t50427, t50430, t50437, t50453, t50458, t50459, t50461, t50464;
  double t50465, t50470, t50478, t50485, t50492, t50497, t50498, t50499;
  double t50500, t50501, t50504, t50520, t50523, t50527, t50530, t50534;
  double t50539, t50546, t50558, t50560, t50587, t50588, t50591, t50592;
  double t50601, t50604, t50615, t50619, t50624, t50626, t50627, t50628;
  double t50630, t50633, t50636, t50637, t50640, t50641, t50644, t50646;
  double t50650, t50651, t50661, t50664, t50665, t50671, t50672, t50674;
  double t50675, t50678, t50683, t50684, t50689, t50692, t50695, t50697;
  double t50699, t50704, t50722, t50729, t50735, t50736, t50742, t50751;
  double t50761, t50762, t50766, t50767, t50770, t50771, t50779, t50781;
  double t50783, t50794, t50799, t50808, t50810, t50811, t50812, t50814;
  double t50824, t50826, t50828, t50832, t50833, t50836, t50838, t50848;
  double t50850, t50853, t50862, t50863, t50864, t50866, t50867, t50870;
  double t50875, t50881, t50883, t50889, t50896, t50897, t50905, t50909;
  double t50919, t50941, t50944, t50945, t50946, t50947, t50948, t50949;
  double t50950, t50951, t50952, t50953, t50954, t50955, t50956, t50957;
  double t50960, t50961, t50962, t50963, t50964, t50965, t50974, t50975;
  double t50977, t50992, t50994, t51006, t51010, t51021, t51035, t51042;
  double t51045, t51049, t51053, t51061, t51064, t51068, t51070, t51077;
  double t51090, t51093, t51099, t51101, t51102, t51107, t51112, t51114;
  double t51115, t51116, t51117, t51118, t51119, t51120, t51121, t51122;
  double t51123, t51127, t51138, t51152, t51153, t51154, t51155, t51156;
  double t51157, t51158, t51159, t51160, t51161, t51162, t51171, t51172;
  double t51173, t51192, t51198, tv4sigma2lapltau0, t51203, t51204, t51205, t51206;
  double t51208, t51213, t51214, t51218, t51230, t51231, t51232, t51243;
  double t51244, t51253, t51254, t51260, t51261, t51262, t51266, t51267;
  double t51272, t51273, t51286, t51287, t51288, t51293, t51303, t51313;
  double t51314, t51315, t51320, t51321, t51326, t51343, t51344, t51349;
  double t51350, t51355, t51365, t51366, t51384, t51389, t51390, t51394;
  double t51398, t51400, t51401, t51402, t51403, t51407, t51408, t51416;
  double t51420, t51428, t51429, t51438, t51460, t51484, t51485, t51488;
  double t51489, t51505, t51516, t51517, t51532, t51533, t51534, t51543;
  double t51561, t51562, t51563, t51570, t51590, t51597, t51598, t51605;
  double t51606, t51609, t51610, t51616, t51617, t51618, t51626, t51627;
  double t51629, t51630, t51636, t51637, t51648, t51652, t51656, t51657;
  double t51661, t51662, t51663, t51664, t51665, t51666, t51667, t51675;
  double t51676, t51679, t51684, t51685, t51691, t51692, t51694, t51695;
  double t51702, t51703, t51706, t51707, t51720, t51721, t51722, t51733;
  double t51734, t51737, t51738, t51741, t51742, t51752, t51753, t51767;
  double t51779, t51780, t51789, t51806, t51808, t51812, t51813, t51821;
  double t51822, t51825, t51829, t51830, t51831, t51839, t51840, t51847;
  double t51876, t51903, t51918, t51926, t51930, t51938, t51939, t51949;
  double t51950, t51961, t51967, t51968, t51976, t51985, t52004, t52009;
  double t52010, t52014, t52040, t52050, t52051, t52052, t52053, t52054;
  double t52055, t52060, t52064, t52065, t52066, t52070, t52072, t52073;
  double t52080, t52088, t52098, t52099, t52107, t52109, t52111, t52112;
  double t52113, t52122, t52125, t52126, t52129, t52130, t52135, t52136;
  double t52157, t52193, t52198, t52199, t52205, t52206, t52207, t52208;
  double t52220, t52221, t52226, t52258, t52261, t52262, t52268, t52274;
  double t52275, t52276, t52277, t52278, t52279, t52280, t52281, t52283;
  double t52284, t52298, t52299, t52300, t52301, t52302, t52304, t52305;
  double t52306, t52307, t52312, t52313, t52318, t52319, t52336, t52348;
  double t52349, t52350, t52368, t52379, t52386, t52387, t52389, t52395;
  double tv4sigma2tau20, t52399, t52405, t52406, t52407, t52408, t52410, t52418;
  double t52419, t52428, t52429, t52442, t52451, t52452, t52453, t52454;
  double t52455, t52456, t52457, t52458, t52460, t52461, t52462, t52477;
  double t52486, t52487, t52490, t52491, t52492, t52493, t52494, t52496;
  double t52498, t52502, t52505, t52509, t52512, t52515, t52518, t52524;
  double t52528, t52531, t52533, t52534, t52535, t52536, t52538, t52539;
  double t52542, t52549, t52551, t52554, t52557, t52566, t52578, t52583;
  double t52588, t52592, t52593, t52596, t52599, t52601, t52604, t52605;
  double t52606, t52610, t52611, t52612, t52623, t52634, t52637, t52640;
  double t52647, t52648, t52652, t52654, t52659, t52664, t52669, t52673;
  double t52687, t52688, t52689, t52693, t52700, t52703, t52726, t52745;
  double t52755, t52756, t52759, t52762, t52763, t52784, t52793, t52796;
  double t52801, t52804, t52808, t52812, t52816, t52819, t52823, t52829;
  double t52834, t52845, t52849, t52857, t52871, t52874, t52875, t52877;
  double t52885, t52889, t52890, t52893, t52894, t52895, t52896, t52897;
  double t52913, t52916, t52917, t52926, t52931, t52932, t52933, t52937;
  double t52940, t52943, t52950, t52951, t52954, t52955, t52958, t52962;
  double t52975, t52976, t52978, t52979, t52980, t52981, t52987, t52995;
  double t52998, t52999, t53004, t53007, t53015, t53018, t53025, t53028;
  double t53030, t53037, t53040, t53043, t53046, t53049, t53050, t53053;
  double t53058, t53063, t53064, t53069, t53070, t53071, t53072, t53077;
  double t53087, t53098, t53101, t53104, t53105, t53106, t53107, t53108;
  double t53109, t53111, t53115, t53117, t53118, t53121, t53124, t53125;
  double t53130, t53132, t53136, t53139, t53143, t53147, t53155, t53157;
  double t53161, t53165, t53168, t53169, t53171, t53176, t53180, t53184;
  double t53185, t53186, t53190, t53193, t53196, t53212, t53216, t53221;
  double t53224, t53229, t53241, t53252, t53253, t53259, t53262, t53267;
  double t53268, t53272, t53277, tv4sigmalapl30, t53279, t53301, t53304, t53312;
  double t53315, t53317, t53323, t53324, t53325, t53339, t53347, t53349;
  double t53360, t53371, t53372, t53375, t53381, t53382, t53401, t53421;
  double t53434, t53435, t53439, t53446, t53447, t53466, t53467, t53480;
  double t53483, t53489, t53493, t53500, t53501, t53502, t53516, t53530;
  double t53545, t53554, t53567, t53570, t53577, t53580, t53597, t53601;
  double t53610, t53613, t53614, t53641, t53669, t53670, t53686, t53689;
  double t53700, t53701, t53702, t53703, t53704, t53713, t53717, t53720;
  double t53721, t53722, t53726, t53729, t53732, t53735, t53741, t53755;
  double t53761, t53763, t53768, t53796, t53797, t53798, t53799, t53800;
  double t53804, t53818, t53819, t53821, t53823, t53841, t53852, t53856;
  double t53860, t53870, t53874, t53877, t53880, t53906, t53926, t53938;
  double t53945, t53946, t53947, t53948, t53955, t53956, t53965, t53985;
  double t53994, t53996, t53999, t54002, t54023, t54030, t54031, t54032;
  double t54033, t54045, t54046, t54053, t54063, t54073, t54075, t54078;
  double t54094, t54096, t54127, t54136, t54151, t54154, t54155, t54156;
  double t54160, t54171, t54183, t54188, t54191, t54197, t54202, t54203;
  double t54207, t54212, t54223, t54233, t54237, t54238, t54244, t54267;
  double t54280, t54294, t54308, t54311, t54316, t54319, t54328, t54340;
  double t54351, t54372, t54373, t54374, t54377, t54381, t54412, t54425;
  double t54431, t54437, t54450, t54456, tv4sigmalapl2tau0, t54464, t54465, t54469;
  double t54481, t54496, t54504, t54518, t54519, t54523, t54524, t54528;
  double t54538, t54545, t54557, t54572, t54605, t54633, t54636, t54648;
  double t54662, t54664, t54679, t54687, t54693, t54697, t54705, t54710;
  double t54723, t54742, t54747, t54754, t54776, t54803, t54804, t54807;
  double t54830, t54834, t54862, t54871, t54885, t54888, t54926, t54957;
  double t54979, t55003, t55010, t55031, t55032, t55033, t55050, t55058;
  double t55072, t55080, t55089, t55100, t55102, t55116, t55128, t55130;
  double t55132, t55156, t55185, t55200, t55201, t55210, t55232, t55254;
  double t55277, t55279, t55293, t55303, t55325, t55328, t55333, t55391;
  double t55402, t55413, t55431, t55452, t55461, t55466, t55468, t55478;
  double t55483, t55493, t55495, t55525, t55533, t55550, t55554, t55558;
  double t55562, t55570, t55579, t55581, t55585, t55603, t55622, t55630;
  double t55648, t55650, t55661, t55664, t55683, t55692, t55705, t55714;
  double t55724, t55749, t55790, t55795, t55800, t55847, t55893, t55905;
  double t55916, t55922, tv4sigmalapltau20, t55941, t55960, t55961, t55969, t55973;
  double t55974, t55975, t55976, t55977, t55991, t55992, t55996, t55997;
  double t56001, t56002, t56014, t56015, t56022, t56031, t56032, t56039;
  double t56044, t56049, t56059, t56075, t56076, t56091, t56097, t56098;
  double t56109, t56111, t56112, t56121, t56122, t56127, t56132, t56133;
  double t56137, t56172, t56195, t56201, t56204, t56214, t56252, t56255;
  double t56260, t56281, t56284, t56285, t56304, t56305, t56318, t56319;
  double t56323, t56328, t56329, t56330, t56331, t56332, t56341, t56342;
  double t56343, t56353, t56355, t56366, t56367, t56368, t56393, t56411;
  double t56412, t56429, t56430, t56431, t56446, t56447, t56455, t56464;
  double t56465, t56466, t56467, t56468, t56471, t56472, t56483, t56485;
  double t56496, t56527, t56549, t56564, t56573, t56593, t56594, t56595;
  double t56597, t56619, t56646, t56663, t56664, t56667, t56668, t56679;
  double t56683, t56685, t56686, t56700, t56721, t56726, t56731, t56743;
  double t56764, t56765, t56796, t56806, t56828, t56829, t56830, t56831;
  double t56834, t56835, t56843, t56848, t56861, t56862, t56863, t56867;
  double t56899, t56900, t56916, t56917, t56924, t56932, t56933, t56934;
  double t56935, t56936, t56937, t56938, t56939, t56940, t56941, t56942;
  double t56948, t56956, t56971, t56985, t56991, tv4sigmatau30, t56993, t56994;
  double t56995, t57002, t57004, t57007, t57031, t57042, t57058, t57059;
  double t57061, t57072, t57079, t57081, t57090, t57095, t57099, t57104;
  double t57107, t57115, t57121, t57124, t57130, t57133, t57147, t57156;
  double t57161, t57165, t57169, t57173, t57179, t57184, t57199, t57203;
  double t57215, t57219, t57227, t57229, t57233, t57239, t57245, t57249;
  double t57252, t57255, t57258, t57262, t57266, t57271, t57275, t57294;
  double t57299, t57318, t57324, t57330, t57333, t57336, t57340, t57343;
  double t57346, t57350, t57355, t57356, t57357, t57358, t57361, t57362;
  double t57366, t57371, t57378, t57381, t57384, t57387, t57388, t57391;
  double t57397, t57402, t57409, t57410, t57413, t57416, t57421, t57425;
  double t57428, t57435, t57437, t57438, t57441, t57458, t57467, t57470;
  double t57471, t57472, t57474, t57491, t57500, t57506, t57511, t57529;
  double t57535, t57539, t57543, t57548, t57554, t57595, t57600, tv4lapl40;
  double t57602, t57607, t57608, t57615, t57619, t57623, t57630, t57636;
  double t57646, t57654, t57664, t57669, t57670, t57672, t57692, t57698;
  double t57701, t57704, t57707, t57710, t57713, t57716, t57717, t57730;
  double t57746, t57767, t57779, t57791, t57814, t57815, t57817, t57825;
  double t57834, t57854, t57855, t57859, t57893, t57905, t57919, t57923;
  double t57924, t57925, t57928, t57933, t57938, t57947, t57954, t57958;
  double t57983, t57991, t57996, t57997, t57998, t58031, t58063, t58069;
  double t58070, t58073, t58075, t58084, t58085, t58086, t58087, t58088;
  double t58098, t58099, t58104, t58105, t58106, t58107, t58126, t58142;
  double t58146, t58152, t58153, t58154, t58159, t58164, t58165, t58174;
  double t58175, t58176, t58178, t58182, t58183, t58194, t58199, t58200;
  double t58210, t58212, t58213, t58214, t58215, t58216, t58223, t58224;
  double t58225, t58228, t58236, t58240, t58243, t58255, t58262, t58268;
  double t58271, t58284, t58286, t58299, t58327, t58356, t58365, t58370;
  double tv4lapl3tau0, t58382, t58386, t58398, t58403, t58404, t58431, t58443;
  double t58457, t58469, t58473, t58480, t58487, t58512, t58545, t58566;
  double t58567, t58592, t58600, t58601, t58606, t58626, t58630, t58655;
  double t58671, t58691, t58705, t58718, t58726, t58744, t58748, t58755;
  double t58756, t58757, t58758, t58759, t58788, t58812, t58814, t58818;
  double t58855, t58856, t58860, t58861, t58874, t58898, t58905, t58907;
  double t58919, t58946, t58980, t59001, t59006, t59016, t59022, t59026;
  double t59052, t59057, t59064, t59070, t59086, t59087, t59102, t59114;
  double t59121, t59131, t59143, t59165, t59191, t59216, t59223, t59230;
  double t59264, t59299, t59309, t59315, t59331, t59333, t59335, t59355;
  double t59379, t59401, t59409, t59437, t59452, t59458, tv4lapl2tau20, t59480;
  double t59498, t59522, t59527, t59537, t59569, t59598, t59616, t59635;
  double t59640, t59642, t59652, t59668, t59691, t59708, t59716, t59721;
  double t59740, t59762, t59781, t59812, t59842, t59865, t59877, t59907;
  double t59922, t59934, t59955, t59962, t59977, t59996, t60008, t60027;
  double t60037, t60041, t60052, t60066, t60101, t60116, t60135, t60154;
  double t60184, t60205, t60209, t60215, t60227, t60260, t60299, t60309;
  double t60314, t60322, t60347, t60371, t60376, t60379, t60410, t60427;
  double t60460, t60471, t60477, tv4lapltau30, t60496, t60509, t60536, t60540;
  double t60547, t60568, t60569, t60583, t60586, t60598, t60607, t60628;
  double t60639, t60647, t60663, t60675, t60681, t60690, t60705, t60712;
  double t60728, t60757, t60789, t60818, t60824, t60857, t60891, t60929;
  double t60940, t60968, t60981, t60982, t60985, t60986, t61006, t61007;
  double t61019, t61033, t61036, t61039, t61040, t61051, t61060, t61087;
  double t61110, t61133, t61145, t61182, t61218, t61257, t61262, tv4tau40;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = POW_1_3(p->zeta_threshold);
  t12 = POW_1_3(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = POW_1_3(rho[0]);
  t16 = t14 * t15;
  t18 = POW_1_3(0.1e1 / M_PI);
  t19 = 0.1e1 / t18;
  t20 = M_CBRT4;
  t21 = t19 * t20;
  t22 = t16 * t21;
  t23 = M_CBRT2;
  t24 = t23 * t23;
  t25 = t15 * t15;
  t27 = 0.1e1 / t25 / rho[0];
  t30 = params->gamma * tau[0];
  t33 = params->gamma * sigma[0];
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t25 / t34;
  t40 = fabs(lapl[0] * t27 / 0.2e1 - 0.2e1 * t30 * t27 + t33 * t36 / 0.4e1);
  t43 = t24 * t40 / 0.3e1 < 0.5e-12;
  t44 = lapl[0] * t24;
  t47 = t24 * t27;
  t50 = t24 * t36;
  t53 = t44 * t27 / 0.6e1 - 0.2e1 / 0.3e1 * t30 * t47 + t33 * t50 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t43, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t24;
  t75 = t74 * t27;
  t76 = t73 - t75;
  t77 = t73 + t75;
  t78 = 0.1e1 / t77;
  t80 = t76 * t76;
  t81 = t80 * t76;
  t82 = t77 * t77;
  t83 = t82 * t77;
  t84 = 0.1e1 / t83;
  t87 = t80 * t80;
  t88 = t87 * t76;
  t89 = t82 * t82;
  t91 = 0.1e1 / t89 / t77;
  t95 = 0.1e1 + params->at * (t76 * t78 - 0.2e1 * t81 * t84 + t88 * t91);
  t96 = t66 * t95;
  t97 = t65 * t96;
  t100 = my_piecewise3(t3, 0, -t22 * t97 / 0.4e1);
  tzk0 = 0.2e1 * t100;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t102 = t14 / t25;
  t103 = t102 * t21;
  t106 = t16 * t19;
  t107 = M_CBRTPI;
  t108 = t107 * t107;
  t109 = t20 * t108;
  t110 = my_piecewise3(t54, 0, 0);
  t115 = t34 * rho[0];
  t117 = 0.1e1 / t25 / t115;
  t118 = t24 * t117;
  t122 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t44 * t36 + 0.1e2 / 0.9e1 * t30 * t50 - 0.2e1 / 0.9e1 * t33 * t118);
  t123 = t56 * t56;
  t124 = 0.1e1 / t123;
  t125 = t122 * t124;
  t126 = t109 * t125;
  t127 = t106 * t126;
  t129 = exp(-0.2e1 / 0.3e1 * t57);
  t130 = 0.1e1 / t129;
  t131 = t57 * t57;
  t133 = t131 - 0.2e1 * t57 + 0.3e1;
  t134 = 0.1e1 / t133;
  t135 = t130 * t134;
  t136 = t57 - 0.2e1;
  t137 = t136 * t136;
  t138 = t135 * t137;
  t139 = t138 * t97;
  t142 = t108 * t122;
  t143 = t124 * t130;
  t144 = t142 * t143;
  t145 = t134 * t137;
  t146 = t145 * t63;
  t148 = t142 * t124;
  t149 = t137 * t60;
  t150 = t135 * t149;
  t153 = t144 * t146 - t148 * t150 / 0.2e1;
  t154 = t59 * t153;
  t155 = t154 * t96;
  t158 = t20 * t59;
  t159 = 0.1e1 / t131;
  t160 = t64 * t159;
  t161 = t158 * t160;
  t162 = t106 * t161;
  t163 = t95 * t108;
  t165 = t143 * t145;
  t166 = t163 * t122 * t165;
  t169 = t66 * params->at;
  t173 = 0.1e1 / t82;
  t174 = t76 * t173;
  t175 = t74 * t36;
  t178 = t80 * t84;
  t181 = 0.1e1 / t89;
  t182 = t81 * t181;
  t185 = t87 * t91;
  t189 = 0.1e1 / t89 / t82;
  t190 = t88 * t189;
  t193 = 0.5e1 / 0.3e1 * t74 * t36 * t78 + 0.5e1 / 0.3e1 * t174 * t175 - 0.1e2 * t178 * t175 - 0.1e2 * t182 * t175 + 0.25e2 / 0.3e1 * t185 * t175 + 0.25e2 / 0.3e1 * t190 * t175;
  t194 = t169 * t193;
  t195 = t65 * t194;
  t199 = my_piecewise3(t3, 0, -t103 * t97 / 0.12e2 - t127 * t139 / 0.12e2 - t22 * t155 / 0.4e1 + t162 * t166 / 0.4e1 - t22 * t195 / 0.4e1);
  tvrho0 = 0.2e1 * rho[0] * t199 + 0.2e1 * t100;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t202 = params->gamma * t24;
  t203 = t202 * t36;
  t205 = my_piecewise3(t43, t110, t203 / 0.12e2);
  t206 = t205 * t124;
  t207 = t109 * t206;
  t208 = t106 * t207;
  t211 = t108 * t205;
  t212 = t211 * t143;
  t214 = t211 * t124;
  t217 = t212 * t146 - t214 * t150 / 0.2e1;
  t218 = t59 * t217;
  t219 = t218 * t96;
  t223 = t163 * t205 * t165;
  t227 = my_piecewise3(t3, 0, -t208 * t139 / 0.12e2 - t22 * t219 / 0.4e1 + t162 * t223 / 0.4e1);
  tvsigma0 = 0.2e1 * rho[0] * t227;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t230 = my_piecewise3(t43, t110, t47 / 0.6e1);
  t231 = t230 * t124;
  t232 = t109 * t231;
  t233 = t106 * t232;
  t236 = t108 * t230;
  t237 = t236 * t143;
  t239 = t236 * t124;
  t242 = t237 * t146 - t239 * t150 / 0.2e1;
  t243 = t59 * t242;
  t244 = t243 * t96;
  t248 = t163 * t230 * t165;
  t252 = my_piecewise3(t3, 0, -t233 * t139 / 0.12e2 - t22 * t244 / 0.4e1 + t162 * t248 / 0.4e1);
  tvlapl0 = 0.2e1 * rho[0] * t252;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t256 = my_piecewise3(t43, t110, -0.2e1 / 0.3e1 * t202 * t27);
  t257 = t256 * t124;
  t258 = t109 * t257;
  t259 = t106 * t258;
  t262 = t108 * t256;
  t263 = t262 * t143;
  t265 = t262 * t124;
  t268 = t263 * t146 - t265 * t150 / 0.2e1;
  t269 = t59 * t268;
  t270 = t269 * t96;
  t274 = t163 * t256 * t165;
  t287 = -t174 * t47 + 0.6e1 * t178 * t47 + 0.6e1 * t182 * t47 - 0.5e1 * t185 * t47 - 0.5e1 * t190 * t47 - t47 * t78;
  t288 = t169 * t287;
  t289 = t65 * t288;
  t293 = my_piecewise3(t3, 0, -t259 * t139 / 0.12e2 - t22 * t270 / 0.4e1 + t162 * t274 / 0.4e1 - t22 * t289 / 0.4e1);
  tvtau0 = 0.2e1 * rho[0] * t293;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t296 = params->at * t193;
  t298 = t296 * t142 * t165;
  t301 = t133 * t133;
  t302 = 0.1e1 / t301;
  t303 = t130 * t302;
  t304 = t137 * t59;
  t305 = t303 * t304;
  t306 = t64 * t66;
  t307 = t57 * t108;
  t312 = 0.2e1 * t122 * t165 * t307 - 0.2e1 * t138 * t148;
  t313 = t95 * t312;
  t314 = t306 * t313;
  t315 = t305 * t314;
  t318 = t135 * t304;
  t319 = t306 * t296;
  t320 = t318 * t319;
  t323 = t122 * t122;
  t325 = t123 * t56;
  t326 = 0.1e1 / t325;
  t327 = t326 * t130;
  t328 = t327 * t145;
  t329 = t163 * t323 * t328;
  t332 = t163 * t125;
  t334 = t303 * t137 * t312;
  t335 = t332 * t334;
  t342 = t34 * t34;
  t344 = 0.1e1 / t25 / t342;
  t345 = t24 * t344;
  t349 = my_piecewise3(t43, t110, 0.2e2 / 0.27e2 * t44 * t117 - 0.8e2 / 0.27e2 * t30 * t118 + 0.22e2 / 0.27e2 * t33 * t345);
  t351 = t163 * t349 * t165;
  t354 = t349 * t124;
  t355 = t109 * t354;
  t356 = t106 * t355;
  t359 = t138 * t155;
  t362 = t107 * M_PI;
  t363 = t20 * t362;
  t364 = t123 * t123;
  t365 = 0.1e1 / t364;
  t366 = t323 * t365;
  t367 = t363 * t366;
  t368 = t106 * t367;
  t369 = t129 * t129;
  t370 = 0.1e1 / t369;
  t371 = t370 * t302;
  t372 = t137 * t137;
  t373 = t371 * t372;
  t374 = t373 * t97;
  t377 = t153 * t159;
  t378 = t158 * t377;
  t379 = t106 * t378;
  t382 = t102 * t19;
  t383 = t382 * t126;
  t386 = t162 * t298 / 0.2e1 + t127 * t315 / 0.12e2 - t127 * t320 / 0.6e1 - t162 * t329 / 0.2e1 - t162 * t335 / 0.4e1 + t162 * t351 / 0.4e1 - t356 * t139 / 0.12e2 - t127 * t359 / 0.6e1 - t368 * t374 / 0.12e2 + t379 * t166 / 0.2e1 - t383 * t139 / 0.18e2;
  t387 = t382 * t161;
  t390 = t108 * t349;
  t391 = t390 * t143;
  t393 = t108 * t323;
  t394 = t393 * t327;
  t397 = t362 * t323;
  t398 = t365 * t370;
  t399 = t397 * t398;
  t400 = t302 * t372;
  t401 = t400 * t63;
  t404 = t302 * t137;
  t405 = t63 * t312;
  t406 = t404 * t405;
  t408 = t137 * t136;
  t409 = t302 * t408;
  t410 = t409 * t63;
  t413 = t397 * t365;
  t414 = t372 * t60;
  t415 = t371 * t414;
  t418 = t390 * t124;
  t421 = t393 * t326;
  t423 = t60 * t312;
  t424 = t404 * t423;
  t427 = t408 * t60;
  t428 = t371 * t427;
  t430 = t391 * t146 - 0.2e1 * t394 * t146 - t399 * t401 / 0.3e1 - t144 * t406 + 0.2e1 * t399 * t410 + 0.2e1 / 0.3e1 * t413 * t415 - t418 * t150 / 0.2e1 + t421 * t150 + t144 * t424 / 0.2e1 - t413 * t428;
  t431 = t59 * t430;
  t432 = t431 * t96;
  t437 = t154 * t194;
  t443 = tau[0] * tau[0];
  t444 = t443 * t23;
  t445 = t342 * rho[0];
  t447 = 0.1e1 / t15 / t445;
  t451 = t76 * t84;
  t452 = t444 * t447;
  t455 = t74 * t117;
  t458 = t80 * t181;
  t463 = t81 * t91;
  t468 = t87 * t189;
  t474 = 0.1e1 / t89 / t83;
  t475 = t88 * t474;
  t480 = -0.4e2 / 0.9e1 * t74 * t117 * t78 + 0.1e3 / 0.9e1 * t444 * t447 * t173 - 0.5e3 / 0.9e1 * t451 * t452 - 0.4e2 / 0.9e1 * t174 * t455 - 0.2e3 * t458 * t452 + 0.8e2 / 0.3e1 * t178 * t455 - 0.2e3 / 0.9e1 * t463 * t452 + 0.8e2 / 0.3e1 * t182 * t455 + 0.25e4 / 0.9e1 * t468 * t452 - 0.2e3 / 0.9e1 * t185 * t455 + 0.5e3 / 0.3e1 * t475 * t452 - 0.2e3 / 0.9e1 * t190 * t455;
  t481 = t169 * t480;
  t482 = t65 * t481;
  t485 = t14 * t27;
  t486 = t485 * t21;
  t491 = t323 * t326;
  t492 = t109 * t491;
  t493 = t106 * t492;
  t496 = t371 * t408;
  t497 = t496 * t97;
  t500 = t159 * t95;
  t501 = t65 * t500;
  t502 = t373 * t501;
  t506 = 0.1e1 / t131 / t57;
  t507 = t64 * t506;
  t508 = t158 * t507;
  t509 = t106 * t508;
  t510 = t95 * t362;
  t511 = t510 * t323;
  t512 = t398 * t400;
  t513 = t511 * t512;
  t516 = t398 * t409;
  t517 = t511 * t516;
  t520 = t387 * t166 / 0.6e1 - t22 * t432 / 0.4e1 - t103 * t155 / 0.6e1 - t22 * t437 / 0.2e1 - t22 * t482 / 0.4e1 + t486 * t97 / 0.18e2 - t103 * t195 / 0.6e1 + t493 * t139 / 0.6e1 - t368 * t497 / 0.6e1 + t368 * t502 / 0.3e1 - t509 * t513 / 0.2e1 + t162 * t517 / 0.2e1;
  t522 = my_piecewise3(t3, 0, t386 + t520);
  tv2rho20 = 0.2e1 * rho[0] * t522 + 0.4e1 * t199;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t525 = t382 * t207;
  t528 = t202 * t117;
  t530 = my_piecewise3(t43, t110, -0.2e1 / 0.9e1 * t528);
  t531 = t530 * t124;
  t532 = t109 * t531;
  t533 = t106 * t532;
  t536 = t205 * t326;
  t537 = t109 * t536;
  t538 = t106 * t537;
  t539 = t95 * t122;
  t540 = t306 * t539;
  t541 = t318 * t540;
  t544 = t205 * t365;
  t545 = t363 * t544;
  t546 = t106 * t545;
  t547 = t372 * t59;
  t548 = t371 * t547;
  t549 = t548 * t540;
  t554 = t408 * t59;
  t555 = t371 * t554;
  t556 = t555 * t540;
  t561 = t160 * t539;
  t562 = t548 * t561;
  t569 = t138 * t219;
  t572 = -t525 * t139 / 0.36e2 - t533 * t139 / 0.12e2 + t538 * t541 / 0.6e1 - t546 * t549 / 0.12e2 + t208 * t315 / 0.12e2 - t546 * t556 / 0.6e1 - t208 * t359 / 0.12e2 + t546 * t562 / 0.3e1 - t208 * t320 / 0.12e2 - t103 * t219 / 0.12e2 - t127 * t569 / 0.12e2;
  t573 = t108 * t530;
  t574 = t573 * t143;
  t576 = t211 * t327;
  t577 = t63 * t122;
  t578 = t145 * t577;
  t581 = t362 * t205;
  t582 = t581 * t398;
  t583 = t400 * t577;
  t587 = t409 * t577;
  t590 = t60 * t122;
  t591 = t400 * t590;
  t594 = t573 * t124;
  t597 = t145 * t590;
  t601 = t409 * t590;
  t603 = t574 * t146 - 0.2e1 * t576 * t578 - t582 * t583 / 0.3e1 - t212 * t406 + 0.2e1 * t582 * t587 + 0.2e1 / 0.3e1 * t582 * t591 - t594 * t150 / 0.2e1 + t576 * t597 + t212 * t424 / 0.2e1 - t582 * t601;
  t604 = t59 * t603;
  t605 = t604 * t96;
  t608 = t217 * t159;
  t609 = t158 * t608;
  t610 = t106 * t609;
  t613 = t218 * t194;
  t620 = t510 * t544;
  t621 = t372 * t122;
  t622 = t371 * t621;
  t623 = t620 * t622;
  t627 = t296 * t211 * t165;
  t631 = t163 * t530 * t165;
  t634 = t163 * t536;
  t635 = t137 * t122;
  t636 = t135 * t635;
  t637 = t634 * t636;
  t640 = t163 * t206;
  t641 = t640 * t334;
  t645 = t371 * t408 * t122;
  t646 = t620 * t645;
  t649 = -t22 * t605 / 0.4e1 + t610 * t166 / 0.4e1 - t22 * t613 / 0.4e1 + t387 * t223 / 0.12e2 + t379 * t223 / 0.4e1 - t509 * t623 / 0.2e1 + t162 * t627 / 0.4e1 + t162 * t631 / 0.4e1 - t162 * t637 / 0.2e1 - t162 * t641 / 0.4e1 + t162 * t646 / 0.2e1;
  t651 = my_piecewise3(t3, 0, t572 + t649);
  tv2rhosigma0 = 0.2e1 * rho[0] * t651 + 0.2e1 * t227;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t654 = t382 * t232;
  t658 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t50);
  t659 = t658 * t124;
  t660 = t109 * t659;
  t661 = t106 * t660;
  t664 = t230 * t326;
  t665 = t109 * t664;
  t666 = t106 * t665;
  t669 = t230 * t365;
  t670 = t363 * t669;
  t671 = t106 * t670;
  t686 = t138 * t244;
  t689 = -t654 * t139 / 0.36e2 - t661 * t139 / 0.12e2 + t666 * t541 / 0.6e1 - t671 * t549 / 0.12e2 + t233 * t315 / 0.12e2 - t671 * t556 / 0.6e1 - t233 * t359 / 0.12e2 + t671 * t562 / 0.3e1 - t233 * t320 / 0.12e2 - t103 * t244 / 0.12e2 - t127 * t686 / 0.12e2;
  t690 = t108 * t658;
  t691 = t690 * t143;
  t693 = t236 * t327;
  t696 = t362 * t230;
  t697 = t696 * t398;
  t705 = t690 * t124;
  t712 = t691 * t146 - 0.2e1 * t693 * t578 - t697 * t583 / 0.3e1 - t237 * t406 + 0.2e1 * t697 * t587 + 0.2e1 / 0.3e1 * t697 * t591 - t705 * t150 / 0.2e1 + t693 * t597 + t237 * t424 / 0.2e1 - t697 * t601;
  t713 = t59 * t712;
  t714 = t713 * t96;
  t717 = t242 * t159;
  t718 = t158 * t717;
  t719 = t106 * t718;
  t722 = t243 * t194;
  t729 = t510 * t669;
  t730 = t729 * t622;
  t734 = t296 * t236 * t165;
  t738 = t163 * t658 * t165;
  t741 = t163 * t664;
  t742 = t741 * t636;
  t745 = t163 * t231;
  t746 = t745 * t334;
  t749 = t729 * t645;
  t752 = -t22 * t714 / 0.4e1 + t719 * t166 / 0.4e1 - t22 * t722 / 0.4e1 + t387 * t248 / 0.12e2 + t379 * t248 / 0.4e1 - t509 * t730 / 0.2e1 + t162 * t734 / 0.4e1 + t162 * t738 / 0.4e1 - t162 * t742 / 0.2e1 - t162 * t746 / 0.4e1 + t162 * t749 / 0.2e1;
  t754 = my_piecewise3(t3, 0, t689 + t752);
  tv2rholapl0 = 0.2e1 * rho[0] * t754 + 0.2e1 * t252;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t757 = t256 * t365;
  t758 = t510 * t757;
  t759 = t758 * t622;
  t762 = t256 * t326;
  t763 = t163 * t762;
  t764 = t763 * t636;
  t767 = t163 * t257;
  t768 = t767 * t334;
  t772 = t296 * t262 * t165;
  t775 = params->at * t287;
  t776 = t306 * t775;
  t777 = t318 * t776;
  t781 = t775 * t142 * t165;
  t784 = t109 * t762;
  t785 = t106 * t784;
  t790 = t363 * t757;
  t791 = t106 * t790;
  t796 = t758 * t645;
  t803 = -t509 * t759 / 0.2e1 - t162 * t764 / 0.2e1 - t162 * t768 / 0.4e1 + t162 * t772 / 0.4e1 - t127 * t777 / 0.12e2 + t162 * t781 / 0.4e1 + t785 * t541 / 0.6e1 + t259 * t315 / 0.12e2 - t791 * t549 / 0.12e2 - t259 * t320 / 0.12e2 + t162 * t796 / 0.2e1 - t791 * t556 / 0.6e1 + t791 * t562 / 0.3e1;
  t806 = t382 * t258;
  t810 = my_piecewise3(t43, t110, 0.1e2 / 0.9e1 * t203);
  t811 = t810 * t124;
  t812 = t109 * t811;
  t813 = t106 * t812;
  t818 = t138 * t270;
  t821 = t268 * t159;
  t822 = t158 * t821;
  t823 = t106 * t822;
  t829 = t163 * t810 * t165;
  t834 = t269 * t194;
  t837 = t154 * t288;
  t844 = t23 / t15 / t342;
  t845 = t173 * tau[0];
  t848 = t844 * tau[0];
  t869 = 0.5e1 / 0.3e1 * t50 * t78 - 0.2e2 / 0.3e1 * t844 * t845 + 0.1e3 / 0.3e1 * t451 * t848 + 0.5e1 / 0.3e1 * t174 * t50 + 0.12e3 * t458 * t848 - 0.1e2 * t178 * t50 + 0.4e2 / 0.3e1 * t463 * t848 - 0.1e2 * t182 * t50 - 0.5e3 / 0.3e1 * t468 * t848 + 0.25e2 / 0.3e1 * t185 * t50 - 0.1e3 * t475 * t848 + 0.25e2 / 0.3e1 * t190 * t50;
  t870 = t169 * t869;
  t871 = t65 * t870;
  t874 = t108 * t810;
  t875 = t874 * t143;
  t877 = t262 * t327;
  t880 = t362 * t256;
  t881 = t880 * t398;
  t889 = t874 * t124;
  t896 = t875 * t146 - 0.2e1 * t877 * t578 - t881 * t583 / 0.3e1 - t263 * t406 + 0.2e1 * t881 * t587 + 0.2e1 / 0.3e1 * t881 * t591 - t889 * t150 / 0.2e1 + t877 * t597 + t263 * t424 / 0.2e1 - t881 * t601;
  t897 = t59 * t896;
  t898 = t897 * t96;
  t903 = t387 * t274 / 0.12e2 - t806 * t139 / 0.36e2 - t813 * t139 / 0.12e2 - t259 * t359 / 0.12e2 - t127 * t818 / 0.12e2 + t823 * t166 / 0.4e1 + t379 * t274 / 0.4e1 + t162 * t829 / 0.4e1 - t103 * t289 / 0.12e2 - t22 * t834 / 0.4e1 - t22 * t837 / 0.4e1 - t22 * t871 / 0.4e1 - t22 * t898 / 0.4e1 - t103 * t270 / 0.12e2;
  t905 = my_piecewise3(t3, 0, t803 + t903);
  tv2rhotau0 = 0.2e1 * rho[0] * t905 + 0.2e1 * t293;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t908 = my_piecewise3(t43, t110, 0);
  t909 = t908 * t124;
  t910 = t109 * t909;
  t911 = t106 * t910;
  t913 = t911 * t139 / 0.12e2;
  t914 = t205 * t205;
  t915 = t914 * t326;
  t916 = t109 * t915;
  t917 = t106 * t916;
  t920 = t914 * t365;
  t921 = t363 * t920;
  t922 = t106 * t921;
  t929 = 0.2e1 * t165 * t205 * t307 - 0.2e1 * t138 * t214;
  t930 = t95 * t929;
  t931 = t306 * t930;
  t932 = t305 * t931;
  t941 = t108 * t908;
  t942 = t941 * t143;
  t943 = t942 * t146;
  t944 = t108 * t914;
  t945 = t944 * t327;
  t948 = t362 * t914;
  t949 = t948 * t398;
  t952 = t63 * t929;
  t953 = t404 * t952;
  t957 = t948 * t365;
  t960 = t941 * t124;
  t962 = t960 * t150 / 0.2e1;
  t963 = t944 * t326;
  t965 = t60 * t929;
  t966 = t404 * t965;
  t970 = t943 - 0.2e1 * t945 * t146 - t949 * t401 / 0.3e1 - t212 * t953 + 0.2e1 * t949 * t410 + 0.2e1 / 0.3e1 * t957 * t415 - t962 + t963 * t150 + t212 * t966 / 0.2e1 - t957 * t428;
  t971 = t59 * t970;
  t972 = t971 * t96;
  t977 = t510 * t914;
  t978 = t977 * t512;
  t982 = t163 * t908 * t165;
  t984 = t162 * t982 / 0.4e1;
  t986 = t163 * t914 * t328;
  t989 = t137 * t929;
  t990 = t303 * t989;
  t991 = t640 * t990;
  t994 = t977 * t516;
  t997 = -t913 + t917 * t139 / 0.6e1 - t922 * t374 / 0.12e2 + t208 * t932 / 0.12e2 - t922 * t497 / 0.6e1 - t208 * t569 / 0.6e1 + t922 * t502 / 0.3e1 - t22 * t972 / 0.4e1 + t610 * t223 / 0.2e1 - t509 * t978 / 0.2e1 + t984 - t162 * t986 / 0.2e1 - t162 * t991 / 0.4e1 + t162 * t994 / 0.2e1;
  t998 = my_piecewise3(t3, 0, t997);
  tv2sigma20 = 0.2e1 * rho[0] * t998;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t1000 = t95 * t205;
  t1001 = t306 * t1000;
  t1002 = t318 * t1001;
  t1005 = t548 * t1001;
  t1010 = t555 * t1001;
  t1015 = t160 * t1000;
  t1016 = t548 * t1015;
  t1021 = t63 * t205;
  t1022 = t145 * t1021;
  t1025 = t400 * t1021;
  t1029 = t409 * t1021;
  t1032 = t60 * t205;
  t1033 = t400 * t1032;
  t1036 = t145 * t1032;
  t1040 = t409 * t1032;
  t1042 = t943 - 0.2e1 * t693 * t1022 - t697 * t1025 / 0.3e1 - t237 * t953 + 0.2e1 * t697 * t1029 + 0.2e1 / 0.3e1 * t697 * t1033 - t962 + t693 * t1036 + t237 * t966 / 0.2e1 - t697 * t1040;
  t1043 = t59 * t1042;
  t1044 = t1043 * t96;
  t1051 = t372 * t205;
  t1052 = t371 * t1051;
  t1053 = t729 * t1052;
  t1056 = t137 * t205;
  t1057 = t135 * t1056;
  t1058 = t741 * t1057;
  t1061 = t745 * t990;
  t1064 = t408 * t205;
  t1065 = t371 * t1064;
  t1066 = t729 * t1065;
  t1069 = -t913 + t666 * t1002 / 0.6e1 - t671 * t1005 / 0.12e2 + t233 * t932 / 0.12e2 - t671 * t1010 / 0.6e1 - t233 * t569 / 0.12e2 + t671 * t1016 / 0.3e1 - t208 * t686 / 0.12e2 - t22 * t1044 / 0.4e1 + t719 * t223 / 0.4e1 + t610 * t248 / 0.4e1 - t509 * t1053 / 0.2e1 + t984 - t162 * t1058 / 0.2e1 - t162 * t1061 / 0.4e1 + t162 * t1066 / 0.2e1;
  t1070 = my_piecewise3(t3, 0, t1069);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t1070;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  t1099 = t943 - 0.2e1 * t877 * t1022 - t881 * t1025 / 0.3e1 - t263 * t953 + 0.2e1 * t881 * t1029 + 0.2e1 / 0.3e1 * t881 * t1033 - t962 + t877 * t1036 + t263 * t966 / 0.2e1 - t881 * t1040;
  t1100 = t59 * t1099;
  t1101 = t1100 * t96;
  t1108 = t758 * t1052;
  t1111 = t763 * t1057;
  t1114 = t767 * t990;
  t1117 = t758 * t1065;
  t1122 = t218 * t288;
  t1126 = t775 * t211 * t165;
  t1129 = -t913 + t785 * t1002 / 0.6e1 - t791 * t1005 / 0.12e2 + t259 * t932 / 0.12e2 - t791 * t1010 / 0.6e1 - t259 * t569 / 0.12e2 + t791 * t1016 / 0.3e1 - t208 * t818 / 0.12e2 - t22 * t1101 / 0.4e1 + t823 * t223 / 0.4e1 + t610 * t274 / 0.4e1 - t509 * t1108 / 0.2e1 + t984 - t162 * t1111 / 0.2e1 - t162 * t1114 / 0.4e1 + t162 * t1117 / 0.2e1 - t208 * t777 / 0.12e2 - t22 * t1122 / 0.4e1 + t162 * t1126 / 0.4e1;
  t1130 = my_piecewise3(t3, 0, t1129);
  tv2sigmatau0 = 0.2e1 * rho[0] * t1130;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t1132 = t230 * t230;
  t1133 = t1132 * t326;
  t1134 = t109 * t1133;
  t1135 = t106 * t1134;
  t1138 = t1132 * t365;
  t1139 = t363 * t1138;
  t1140 = t106 * t1139;
  t1147 = 0.2e1 * t165 * t230 * t307 - 0.2e1 * t138 * t239;
  t1148 = t95 * t1147;
  t1149 = t306 * t1148;
  t1150 = t305 * t1149;
  t1159 = t108 * t1132;
  t1160 = t1159 * t327;
  t1163 = t362 * t1132;
  t1164 = t1163 * t398;
  t1167 = t63 * t1147;
  t1168 = t404 * t1167;
  t1172 = t1163 * t365;
  t1175 = t1159 * t326;
  t1177 = t60 * t1147;
  t1178 = t404 * t1177;
  t1182 = t943 - 0.2e1 * t1160 * t146 - t1164 * t401 / 0.3e1 - t237 * t1168 + 0.2e1 * t1164 * t410 + 0.2e1 / 0.3e1 * t1172 * t415 - t962 + t1175 * t150 + t237 * t1178 / 0.2e1 - t1172 * t428;
  t1183 = t59 * t1182;
  t1184 = t1183 * t96;
  t1189 = t510 * t1132;
  t1190 = t1189 * t512;
  t1194 = t163 * t1132 * t328;
  t1197 = t137 * t1147;
  t1198 = t303 * t1197;
  t1199 = t745 * t1198;
  t1202 = t1189 * t516;
  t1205 = -t913 + t1135 * t139 / 0.6e1 - t1140 * t374 / 0.12e2 + t233 * t1150 / 0.12e2 - t1140 * t497 / 0.6e1 - t233 * t686 / 0.6e1 + t1140 * t502 / 0.3e1 - t22 * t1184 / 0.4e1 + t719 * t248 / 0.2e1 - t509 * t1190 / 0.2e1 + t984 - t162 * t1194 / 0.2e1 - t162 * t1199 / 0.4e1 + t162 * t1202 / 0.2e1;
  t1206 = my_piecewise3(t3, 0, t1205);
  tv2lapl20 = 0.2e1 * rho[0] * t1206;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  t1208 = t95 * t230;
  t1209 = t306 * t1208;
  t1210 = t318 * t1209;
  t1213 = t548 * t1209;
  t1218 = t555 * t1209;
  t1223 = t160 * t1208;
  t1224 = t548 * t1223;
  t1229 = t63 * t230;
  t1230 = t145 * t1229;
  t1233 = t400 * t1229;
  t1237 = t409 * t1229;
  t1240 = t60 * t230;
  t1241 = t400 * t1240;
  t1244 = t145 * t1240;
  t1248 = t409 * t1240;
  t1250 = t943 - 0.2e1 * t877 * t1230 - t881 * t1233 / 0.3e1 - t263 * t1168 + 0.2e1 * t881 * t1237 + 0.2e1 / 0.3e1 * t881 * t1241 - t962 + t877 * t1244 + t263 * t1178 / 0.2e1 - t881 * t1248;
  t1251 = t59 * t1250;
  t1252 = t1251 * t96;
  t1259 = t372 * t230;
  t1260 = t371 * t1259;
  t1261 = t758 * t1260;
  t1264 = t137 * t230;
  t1265 = t135 * t1264;
  t1266 = t763 * t1265;
  t1269 = t767 * t1198;
  t1272 = t408 * t230;
  t1273 = t371 * t1272;
  t1274 = t758 * t1273;
  t1279 = t243 * t288;
  t1283 = t775 * t236 * t165;
  t1286 = -t913 + t785 * t1210 / 0.6e1 - t791 * t1213 / 0.12e2 + t259 * t1150 / 0.12e2 - t791 * t1218 / 0.6e1 - t259 * t686 / 0.12e2 + t791 * t1224 / 0.3e1 - t233 * t818 / 0.12e2 - t22 * t1252 / 0.4e1 + t823 * t248 / 0.4e1 + t719 * t274 / 0.4e1 - t509 * t1261 / 0.2e1 + t984 - t162 * t1266 / 0.2e1 - t162 * t1269 / 0.4e1 + t162 * t1274 / 0.2e1 - t233 * t777 / 0.12e2 - t22 * t1279 / 0.4e1 + t162 * t1283 / 0.4e1;
  t1287 = my_piecewise3(t3, 0, t1286);
  tv2lapltau0 = 0.2e1 * rho[0] * t1287;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  t1289 = t256 * t256;
  t1290 = t1289 * t326;
  t1291 = t109 * t1290;
  t1292 = t106 * t1291;
  t1295 = t1289 * t365;
  t1296 = t363 * t1295;
  t1297 = t106 * t1296;
  t1304 = 0.2e1 * t165 * t256 * t307 - 0.2e1 * t138 * t265;
  t1305 = t95 * t1304;
  t1306 = t306 * t1305;
  t1307 = t305 * t1306;
  t1318 = t108 * t1289;
  t1319 = t1318 * t327;
  t1322 = t362 * t1289;
  t1323 = t1322 * t398;
  t1326 = t63 * t1304;
  t1327 = t404 * t1326;
  t1331 = t1322 * t365;
  t1334 = t1318 * t326;
  t1336 = t60 * t1304;
  t1337 = t404 * t1336;
  t1341 = t943 - 0.2e1 * t1319 * t146 - t1323 * t401 / 0.3e1 - t263 * t1327 + 0.2e1 * t1323 * t410 + 0.2e1 / 0.3e1 * t1331 * t415 - t962 + t1334 * t150 + t263 * t1337 / 0.2e1 - t1331 * t428;
  t1342 = t59 * t1341;
  t1343 = t1342 * t96;
  t1348 = t269 * t288;
  t1351 = t510 * t1289;
  t1352 = t1351 * t512;
  t1356 = t775 * t262 * t165;
  t1360 = t163 * t1289 * t328;
  t1363 = t137 * t1304;
  t1364 = t303 * t1363;
  t1365 = t767 * t1364;
  t1368 = t1351 * t516;
  t1373 = t23 / t15 / t115;
  t1386 = 0.4e1 * t1373 * t173 - 0.2e2 * t1373 * t451 - 0.72e2 * t1373 * t458 - 0.8e1 * t1373 * t463 + 0.1e3 * t1373 * t468 + 0.6e2 * t1373 * t475;
  t1387 = t169 * t1386;
  t1388 = t65 * t1387;
  t1391 = -t913 + t1292 * t139 / 0.6e1 - t1297 * t374 / 0.12e2 + t259 * t1307 / 0.12e2 - t1297 * t497 / 0.6e1 - t259 * t818 / 0.6e1 + t1297 * t502 / 0.3e1 - t259 * t777 / 0.6e1 - t22 * t1343 / 0.4e1 + t823 * t274 / 0.2e1 - t22 * t1348 / 0.2e1 - t509 * t1352 / 0.2e1 + t162 * t1356 / 0.2e1 + t984 - t162 * t1360 / 0.2e1 - t162 * t1365 / 0.4e1 + t162 * t1368 / 0.2e1 - t22 * t1388 / 0.4e1;
  t1392 = my_piecewise3(t3, 0, t1391);
  tv2tau20 = 0.2e1 * rho[0] * t1392;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  t1395 = t159 * params->at;
  t1396 = t65 * t1395;
  t1397 = t22 * t1396;
  t1398 = t193 * t108;
  t1399 = t1398 * t125;
  t1400 = t1399 * t334;
  t1403 = t22 * t144;
  t1404 = t404 * t65;
  t1405 = t193 * t312;
  t1406 = t169 * t1405;
  t1407 = t1404 * t1406;
  t1415 = 0.1e1 / t301 / t133;
  t1416 = t130 * t1415;
  t1417 = t1416 * t304;
  t1418 = t312 * t312;
  t1419 = t95 * t1418;
  t1420 = t306 * t1419;
  t1421 = t1417 * t1420;
  t1427 = t296 * t393 * t328;
  t1432 = t296 * t397;
  t1433 = t1432 * t512;
  t1436 = t1432 * t516;
  t1439 = t510 * t366;
  t1440 = t370 * t1415;
  t1441 = t408 * t312;
  t1442 = t1440 * t1441;
  t1443 = t1439 * t1442;
  t1446 = -0.3e1 / 0.4e1 * t1397 * t1400 + t1403 * t1407 / 0.4e1 - t383 * t320 / 0.6e1 - t493 * t315 / 0.3e1 - t127 * t1421 / 0.6e1 + t383 * t315 / 0.12e2 - 0.3e1 / 0.2e1 * t162 * t1427 + t387 * t298 / 0.2e1 - 0.3e1 / 0.2e1 * t509 * t1433 + 0.3e1 / 0.2e1 * t162 * t1436 - 0.3e1 / 0.2e1 * t162 * t1443;
  t1447 = t372 * t312;
  t1448 = t1440 * t1447;
  t1449 = t1439 * t1448;
  t1452 = t555 * t319;
  t1455 = t1440 * t547;
  t1456 = t1455 * t314;
  t1463 = t1440 * t554;
  t1464 = t1463 * t314;
  t1467 = t160 * t313;
  t1468 = t1455 * t1467;
  t1472 = t153 * t66;
  t1473 = t1472 * t313;
  t1474 = t305 * t1473;
  t1485 = t57 * t362;
  t1486 = t1485 * t323;
  t1489 = t307 * t125;
  t1502 = 0.2e1 / 0.3e1 * t413 * t373 + 0.2e1 * t307 * t349 * t165 - 0.4e1 * t307 * t323 * t328 + 0.4e1 / 0.3e1 * t1486 * t512 - 0.2e1 * t1489 * t334 + 0.4e1 * t1486 * t516 - 0.2e1 * t418 * t138 + 0.4e1 * t421 * t138 + 0.2e1 * t148 * t334 - 0.4e1 * t413 * t496;
  t1503 = t95 * t1502;
  t1504 = t306 * t1503;
  t1505 = t305 * t1504;
  t1512 = 0.3e1 / 0.2e1 * t509 * t1449 - t368 * t1452 / 0.2e1 + t368 * t1456 / 0.4e1 - t356 * t320 / 0.4e1 + 0.3e1 / 0.2e1 * t379 * t298 + t368 * t1464 / 0.2e1 - t368 * t1468 + t356 * t315 / 0.6e1 + t127 * t1474 / 0.4e1 + t127 * t1505 / 0.12e2 - t383 * t359 / 0.6e1 + t493 * t359 / 0.2e1;
  t1514 = t382 * t355;
  t1521 = t323 * t122;
  t1523 = t365 * t130;
  t1524 = t1523 * t145;
  t1525 = t163 * t1521 * t1524;
  t1528 = t373 * t155;
  t1531 = t20 * t69;
  t1533 = 0.1e1 / t364 / t123;
  t1534 = t1521 * t1533;
  t1535 = t1531 * t1534;
  t1536 = t106 * t1535;
  t1538 = 0.1e1 / t369 / t129;
  t1539 = t1538 * t1415;
  t1540 = t372 * t137;
  t1541 = t1539 * t1540;
  t1542 = t1541 * t97;
  t1545 = t430 * t159;
  t1546 = t158 * t1545;
  t1547 = t106 * t1546;
  t1557 = 0.1e1 / t25 / t445;
  t1558 = t24 * t1557;
  t1562 = my_piecewise3(t43, t110, -0.22e3 / 0.81e2 * t44 * t344 + 0.88e3 / 0.81e2 * t30 * t345 - 0.308e3 / 0.81e2 * t33 * t1558);
  t1564 = t163 * t1562 * t165;
  t1567 = t1562 * t124;
  t1568 = t109 * t1567;
  t1569 = t106 * t1568;
  t1574 = -t1514 * t139 / 0.12e2 + t387 * t351 / 0.4e1 - t387 * t329 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t1525 - t368 * t1528 / 0.4e1 - 0.5e1 / 0.36e2 * t1536 * t1542 + 0.3e1 / 0.4e1 * t1547 * t166 + 0.3e1 / 0.4e1 * t379 * t351 + t162 * t1564 / 0.4e1 - t1569 * t139 / 0.12e2 - t356 * t359 / 0.4e1;
  t1575 = t138 * t432;
  t1581 = 0.1e1 / t364 / t56;
  t1582 = t1521 * t1581;
  t1583 = t363 * t1582;
  t1584 = t106 * t1583;
  t1587 = t160 * t296;
  t1588 = t548 * t1587;
  t1591 = t296 * t390 * t165;
  t1594 = params->at * t480;
  t1596 = t1594 * t142 * t165;
  t1599 = t163 * t491;
  t1600 = t1599 * t334;
  t1602 = t122 * t326;
  t1603 = t163 * t1602;
  t1605 = t135 * t137 * t349;
  t1606 = t1603 * t1605;
  t1609 = t548 * t319;
  t1612 = t1472 * t296;
  t1613 = t318 * t1612;
  t1616 = t306 * t1594;
  t1617 = t318 * t1616;
  t1621 = t303 * t137 * t1502;
  t1622 = t332 * t1621;
  t1625 = -t127 * t1575 / 0.4e1 - 0.3e1 / 0.2e1 * t379 * t329 - 0.2e1 * t1584 * t502 + t368 * t1588 + 0.3e1 / 0.4e1 * t162 * t1591 + 0.3e1 / 0.4e1 * t162 * t1596 + t162 * t1600 - 0.3e1 / 0.2e1 * t162 * t1606 - t368 * t1609 / 0.4e1 - t127 * t1613 / 0.2e1 - t127 * t1617 / 0.4e1 - t162 * t1622 / 0.4e1;
  t1628 = t163 * t354;
  t1629 = t1628 * t334;
  t1634 = t349 * t326;
  t1636 = t106 * t109 * t1634;
  t1639 = t122 * t365;
  t1640 = t363 * t1639;
  t1641 = t106 * t1640;
  t1642 = t95 * t349;
  t1643 = t160 * t1642;
  t1644 = t548 * t1643;
  t1647 = t1416 * t137 * t1418;
  t1648 = t332 * t1647;
  t1655 = t349 * t365;
  t1657 = t106 * t363 * t1655;
  t1662 = t510 * t1655;
  t1663 = t1662 * t622;
  t1666 = t1662 * t645;
  t1669 = -t162 * t1629 / 0.2e1 - 0.3e1 / 0.4e1 * t379 * t335 + t1636 * t541 / 0.2e1 + t1641 * t1644 + t162 * t1648 / 0.2e1 - t387 * t335 / 0.4e1 + t493 * t320 / 0.2e1 - t1657 * t549 / 0.4e1 - t1657 * t556 / 0.2e1 - 0.3e1 / 0.2e1 * t509 * t1663 + 0.3e1 / 0.2e1 * t162 * t1666;
  t1670 = t372 * t136;
  t1671 = t1539 * t1670;
  t1672 = t1671 * t501;
  t1675 = t496 * t155;
  t1678 = t154 * t500;
  t1679 = t373 * t1678;
  t1681 = t1671 * t97;
  t1684 = t1541 * t501;
  t1687 = t153 * t506;
  t1688 = t158 * t1687;
  t1689 = t106 * t1688;
  t1694 = t382 * t367;
  t1697 = t510 * t1521;
  t1698 = t1581 * t370;
  t1699 = t1698 * t400;
  t1700 = t1697 * t1699;
  t1703 = t1698 * t409;
  t1704 = t1697 * t1703;
  t1707 = t1521 * t365;
  t1708 = t109 * t1707;
  t1709 = t106 * t1708;
  t1712 = t485 * t19;
  t1713 = t1712 * t161;
  t1716 = 0.7e1 / 0.3e1 * t1536 * t1672 - t368 * t1675 / 0.2e1 + t368 * t1679 - 0.11e2 / 0.18e2 * t1536 * t1681 + 0.23e2 / 0.36e2 * t1536 * t1684 - 0.3e1 / 0.2e1 * t1689 * t513 + 0.3e1 / 0.2e1 * t379 * t517 - t1694 * t497 / 0.6e1 + 0.3e1 * t509 * t1700 - 0.3e1 * t162 * t1704 - t1709 * t139 / 0.2e1 - t1713 * t166 / 0.6e1;
  t1718 = t1712 * t126;
  t1721 = t382 * t492;
  t1728 = t382 * t378;
  t1733 = t506 * t95;
  t1734 = t65 * t1733;
  t1735 = t1541 * t1734;
  t1738 = t131 * t131;
  t1739 = 0.1e1 / t1738;
  t1740 = t64 * t1739;
  t1741 = t158 * t1740;
  t1742 = t106 * t1741;
  t1743 = t95 * t69;
  t1744 = t1743 * t1521;
  t1745 = t1533 * t1538;
  t1746 = t1415 * t1540;
  t1747 = t1745 * t1746;
  t1748 = t1744 * t1747;
  t1751 = t1415 * t1670;
  t1752 = t1745 * t1751;
  t1753 = t1744 * t1752;
  t1756 = t1415 * t372;
  t1757 = t1745 * t1756;
  t1758 = t1744 * t1757;
  t1763 = t382 * t508;
  t1766 = t1718 * t139 / 0.18e2 + t1721 * t139 / 0.6e1 - t1694 * t374 / 0.12e2 + t1584 * t374 / 0.2e1 + t1728 * t166 / 0.2e1 - t103 * t482 / 0.4e1 - 0.3e1 / 0.2e1 * t1536 * t1735 + 0.3e1 / 0.2e1 * t1742 * t1748 - 0.3e1 * t509 * t1753 + 0.3e1 / 0.2e1 * t162 * t1758 + t1694 * t502 / 0.3e1 - t1763 * t513 / 0.2e1;
  t1770 = t1539 * t372;
  t1771 = t1770 * t97;
  t1774 = t431 * t194;
  t1781 = t154 * t481;
  t1784 = t74 * t344;
  t1787 = t342 * t34;
  t1789 = 0.1e1 / t15 / t1787;
  t1790 = t444 * t1789;
  t1809 = t443 * tau[0];
  t1810 = t342 * t342;
  t1811 = 0.1e1 / t1810;
  t1812 = t1809 * t1811;
  t1821 = t76 * t181;
  t1824 = t80 * t91;
  t1827 = t81 * t189;
  t1830 = t87 * t474;
  t1833 = t89 * t89;
  t1834 = 0.1e1 / t1833;
  t1835 = t88 * t1834;
  t1838 = -0.88e3 / 0.9e1 * t178 * t1784 + 0.16e4 / 0.9e1 * t463 * t1790 - 0.88e3 / 0.9e1 * t182 * t1784 - 0.2e5 / 0.9e1 * t468 * t1790 + 0.22e4 / 0.27e2 * t185 * t1784 - 0.4e4 / 0.3e1 * t475 * t1790 + 0.22e4 / 0.27e2 * t190 * t1784 + 0.4e4 / 0.9e1 * t451 * t1790 + 0.44e3 / 0.27e2 * t174 * t1784 + 0.16e4 * t458 * t1790 - 0.1e4 / 0.9e1 * t1812 * t84 + 0.44e3 / 0.27e2 * t74 * t344 * t78 - 0.8e3 / 0.9e1 * t444 * t1789 * t173 - 0.17e5 / 0.9e1 * t1821 * t1812 - 0.26e5 / 0.9e1 * t1824 * t1812 + 0.1e5 / 0.3e1 * t1827 * t1812 + 0.25e5 / 0.3e1 * t1830 * t1812 + 0.35e5 / 0.9e1 * t1835 * t1812;
  t1839 = t169 * t1838;
  t1840 = t65 * t1839;
  t1843 = t69 * t1521;
  t1844 = t1843 * t1533;
  t1845 = t1670 * t60;
  t1846 = t1539 * t1845;
  t1849 = t108 * t1562;
  t1850 = t1849 * t124;
  t1853 = t362 * t1521;
  t1854 = t1853 * t1581;
  t1857 = t1540 * t60;
  t1858 = t1539 * t1857;
  t1863 = t1539 * t414;
  t1866 = t108 * t1521;
  t1867 = t1866 * t365;
  t1870 = t362 * t349;
  t1871 = t1870 * t398;
  t1877 = t1756 * t405;
  t1879 = t1415 * t408;
  t1880 = t1879 * t405;
  t1883 = t1415 * t137;
  t1884 = t63 * t1418;
  t1885 = t1883 * t1884;
  t1888 = t390 * t327;
  t1893 = t63 * t1502;
  t1894 = t404 * t1893;
  t1896 = 0.1e2 / 0.3e1 * t1844 * t1846 - t1850 * t150 / 0.2e1 - 0.4e1 * t1854 * t415 + t1844 * t1858 / 0.18e2 + 0.6e1 * t1854 * t428 - 0.3e1 * t1844 * t1863 - 0.3e1 * t1867 * t150 + 0.6e1 * t1871 * t587 - t1871 * t583 + 0.4e1 * t394 * t406 + t399 * t1877 - 0.6e1 * t399 * t1880 + 0.2e1 * t144 * t1885 - 0.6e1 * t1888 * t578 - 0.2e1 * t391 * t406 - t144 * t1894;
  t1899 = t60 * t1502;
  t1900 = t404 * t1899;
  t1903 = t1756 * t423;
  t1909 = t1849 * t143;
  t1913 = t1853 * t1698;
  t1916 = t1843 * t1745;
  t1917 = t1746 * t63;
  t1920 = t60 * t1418;
  t1921 = t1883 * t1920;
  t1923 = t1866 * t1523;
  t1928 = t1756 * t63;
  t1931 = t1879 * t423;
  t1936 = t1751 * t63;
  t1939 = -0.2e1 * t394 * t424 + t144 * t1900 / 0.2e1 - 0.2e1 * t399 * t1903 + 0.3e1 * t1888 * t597 + t391 * t424 + t1909 * t146 + 0.2e1 * t1871 * t591 + 0.2e1 * t1913 * t401 - t1916 * t1917 / 0.9e1 - t144 * t1921 + 0.6e1 * t1923 * t146 - 0.3e1 * t1871 * t601 + 0.6e1 * t1916 * t1928 + 0.3e1 * t399 * t1931 - 0.12e2 * t1913 * t410 - 0.2e1 / 0.3e1 * t1916 * t1936;
  t1940 = t1896 + t1939;
  t1941 = t59 * t1940;
  t1942 = t1941 * t96;
  t1945 = t14 * t36;
  t1946 = t1945 * t21;
  t1953 = t387 * t517 / 0.2e1 + t1584 * t497 - t1536 * t1771 / 0.2e1 - 0.3e1 / 0.4e1 * t22 * t1774 - t103 * t437 / 0.2e1 + t486 * t195 / 0.6e1 - 0.3e1 / 0.4e1 * t22 * t1781 - t22 * t1840 / 0.4e1 - t22 * t1942 / 0.4e1 - 0.5e1 / 0.54e2 * t1946 * t97 + t486 * t155 / 0.6e1 - t103 * t432 / 0.4e1;
  t1957 = my_piecewise3(t3, 0, t1446 + t1512 + t1574 + t1625 + t1669 + t1716 + t1766 + t1953);
  tv3rho30 = 0.2e1 * rho[0] * t1957 + 0.6e1 * t522;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t1961 = t22 * t582;
  t1962 = t400 * t65;
  t1963 = t193 * t122;
  t1964 = t1395 * t1963;
  t1965 = t1962 * t1964;
  t1968 = t1879 * t65;
  t1969 = t312 * t122;
  t1970 = t96 * t1969;
  t1971 = t1968 * t1970;
  t1974 = t1756 * t65;
  t1975 = t500 * t1969;
  t1976 = t1974 * t1975;
  t1978 = t22 * t576;
  t1979 = t1404 * t1970;
  t1982 = t145 * t65;
  t1983 = t169 * t1963;
  t1984 = t1982 * t1983;
  t1987 = t1974 * t1970;
  t1990 = t1962 * t1983;
  t1993 = t22 * t212;
  t1996 = t409 * t65;
  t1997 = t1996 * t1983;
  t2000 = t193 * t362;
  t2001 = t2000 * t544;
  t2002 = t2001 * t645;
  t2004 = t22 * t501;
  t2005 = t1879 * t1969;
  t2006 = t582 * t2005;
  t2009 = t506 * params->at;
  t2010 = t65 * t2009;
  t2011 = t22 * t2010;
  t2012 = t2001 * t622;
  t2014 = t1398 * t536;
  t2015 = t2014 * t636;
  t2017 = t1398 * t206;
  t2018 = t2017 * t334;
  t2021 = 0.2e1 / 0.3e1 * t1961 * t1965 + t1961 * t1971 / 0.2e1 - t1961 * t1976 - t1978 * t1979 / 0.3e1 + t1978 * t1984 / 0.3e1 + t1961 * t1987 / 0.4e1 - t1961 * t1990 / 0.6e1 + t1993 * t1407 / 0.6e1 - t1961 * t1997 / 0.3e1 + t1397 * t2002 - 0.3e1 / 0.2e1 * t2004 * t2006 - t2011 * t2012 - t1397 * t2015 - t1397 * t2018 / 0.2e1;
  t2022 = t22 * t1734;
  t2023 = t362 * t122;
  t2024 = t2023 * t398;
  t2025 = t205 * t312;
  t2026 = t1756 * t2025;
  t2027 = t2024 * t2026;
  t2030 = t404 * t1969;
  t2031 = t576 * t2030;
  t2034 = t296 * t573 * t165;
  t2038 = t205 * t1533;
  t2039 = t1531 * t2038;
  t2040 = t106 * t2039;
  t2041 = t1540 * t59;
  t2042 = t1539 * t2041;
  t2043 = t95 * t323;
  t2044 = t306 * t2043;
  t2045 = t2042 * t2044;
  t2053 = t1594 * t211 * t165;
  t2056 = t372 * t349;
  t2057 = t371 * t2056;
  t2058 = t620 * t2057;
  t2061 = t640 * t1621;
  t2064 = t634 * t1605;
  t2067 = t530 * t365;
  t2068 = t510 * t2067;
  t2069 = t2068 * t622;
  t2071 = t530 * t326;
  t2072 = t163 * t2071;
  t2073 = t2072 * t636;
  t2075 = t163 * t531;
  t2076 = t2075 * t334;
  t2079 = 0.3e1 / 0.2e1 * t2022 * t2027 + t2004 * t2031 + t162 * t2034 / 0.2e1 - t379 * t637 - 0.5e1 / 0.36e2 * t2040 * t2045 - t387 * t637 / 0.3e1 + t387 * t631 / 0.6e1 + t162 * t2053 / 0.4e1 - t509 * t2058 / 0.2e1 - t162 * t2061 / 0.4e1 - t162 * t2064 / 0.2e1 - t509 * t2069 - t162 * t2073 - t162 * t2076 / 0.2e1;
  t2085 = t1743 * t2038;
  t2086 = t372 * t323;
  t2087 = t1539 * t2086;
  t2088 = t2085 * t2087;
  t2091 = t205 * t1581;
  t2092 = t510 * t2091;
  t2094 = t371 * t408 * t323;
  t2095 = t2092 * t2094;
  t2098 = t1540 * t323;
  t2099 = t1539 * t2098;
  t2100 = t2085 * t2099;
  t2105 = t382 * t545;
  t2110 = t363 * t2067;
  t2111 = t106 * t2110;
  t2114 = t306 * t1642;
  t2115 = t548 * t2114;
  t2118 = t382 * t537;
  t2127 = t379 * t627 / 0.2e1 - t379 * t641 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t2088 - 0.3e1 * t162 * t2095 + 0.3e1 / 0.2e1 * t1742 * t2100 - t1763 * t623 / 0.3e1 - t2105 * t556 / 0.9e1 + 0.2e1 / 0.9e1 * t2105 * t562 - t2111 * t556 / 0.3e1 - t546 * t2115 / 0.12e2 + t2118 * t541 / 0.9e1 + t525 * t315 / 0.18e2 - t2111 * t549 / 0.6e1 + t208 * t1505 / 0.12e2;
  t2128 = t1472 * t539;
  t2129 = t555 * t2128;
  t2138 = t135 * t137 * t323;
  t2139 = t163 * t544 * t2138;
  t2142 = t371 * t2086;
  t2143 = t2092 * t2142;
  t2146 = t640 * t1647;
  t2149 = t555 * t2114;
  t2156 = t217 * t66;
  t2157 = t2156 * t296;
  t2158 = t318 * t2157;
  t2161 = t2156 * t313;
  t2162 = t305 * t2161;
  t2170 = -t546 * t2129 / 0.3e1 - t533 * t320 / 0.6e1 + t208 * t1474 / 0.6e1 + 0.3e1 / 0.2e1 * t162 * t2139 + 0.3e1 * t509 * t2143 + t162 * t2146 / 0.2e1 - t546 * t2149 / 0.6e1 + t546 * t1644 / 0.3e1 - t208 * t1613 / 0.6e1 - t127 * t2158 / 0.6e1 + t127 * t2162 / 0.12e2 - t208 * t1617 / 0.12e2 + t610 * t298 / 0.2e1 - t1689 * t623;
  t2174 = t2068 * t645;
  t2184 = t109 * t2071;
  t2185 = t106 * t2184;
  t2192 = t318 * t2128;
  t2197 = t218 * t481;
  t2200 = t604 * t194;
  t2203 = t1670 * t323;
  t2204 = t1539 * t2203;
  t2205 = t2085 * t2204;
  t2208 = t379 * t646 + t162 * t2174 + t387 * t646 / 0.3e1 - t610 * t335 / 0.4e1 - t387 * t641 / 0.6e1 + t387 * t627 / 0.6e1 + t2185 * t541 / 0.3e1 + t533 * t315 / 0.6e1 - t525 * t320 / 0.18e2 + t538 * t2192 / 0.3e1 - t103 * t613 / 0.6e1 - t22 * t2197 / 0.4e1 - t22 * t2200 / 0.2e1 - 0.3e1 * t509 * t2205;
  t2209 = t160 * t2043;
  t2210 = t2042 * t2209;
  t2213 = t1539 * t547;
  t2214 = t2213 * t2044;
  t2217 = t1670 * t59;
  t2218 = t1539 * t2217;
  t2219 = t2218 * t2209;
  t2222 = t507 * t2043;
  t2223 = t2042 * t2222;
  t2230 = t202 * t344;
  t2232 = my_piecewise3(t43, t110, 0.22e2 / 0.27e2 * t2230);
  t2234 = t163 * t2232 * t165;
  t2241 = t603 * t159;
  t2242 = t158 * t2241;
  t2243 = t106 * t2242;
  t2248 = t382 * t609;
  t2253 = t138 * t605;
  t2256 = 0.23e2 / 0.36e2 * t2040 * t2210 - t2040 * t2214 / 0.2e1 + 0.7e1 / 0.3e1 * t2040 * t2219 - 0.3e1 / 0.2e1 * t2040 * t2223 + t1547 * t223 / 0.4e1 + t379 * t631 / 0.2e1 + t162 * t2234 / 0.4e1 + t610 * t351 / 0.4e1 + t1728 * t223 / 0.6e1 + t2243 * t166 / 0.2e1 - t383 * t569 / 0.18e2 + t2248 * t166 / 0.6e1 - t356 * t569 / 0.12e2 - t127 * t2253 / 0.6e1;
  t2258 = t373 * t219;
  t2261 = t2232 * t124;
  t2262 = t109 * t2261;
  t2263 = t106 * t2262;
  t2270 = t382 * t532;
  t2277 = t327 * t302;
  t2278 = t211 * t2277;
  t2279 = t62 * t122;
  t2280 = t2279 * t312;
  t2281 = t149 * t2280;
  t2284 = t398 * t1415;
  t2285 = t581 * t2284;
  t2286 = t427 * t2280;
  t2289 = t414 * t2280;
  t2291 = t108 * t2232;
  t2292 = t2291 * t124;
  t2297 = t211 * t1523;
  t2298 = t63 * t323;
  t2299 = t145 * t2298;
  t2303 = t590 * t312;
  t2304 = t1756 * t2303;
  t2307 = t63 * t349;
  t2308 = t409 * t2307;
  t2311 = t573 * t327;
  t2316 = t362 * t530;
  t2317 = t2316 * t398;
  t2320 = t145 * t2307;
  t2323 = t581 * t1698;
  t2324 = t400 * t2298;
  t2327 = t409 * t2298;
  t2330 = t69 * t205;
  t2331 = t2330 * t1745;
  t2332 = t1751 * t2298;
  t2335 = t1756 * t2298;
  t2338 = t404 * t2303;
  t2341 = t400 * t2307;
  t2344 = 0.4e1 * t2278 * t2281 - 0.6e1 * t2285 * t2286 + t2285 * t2289 - t2292 * t150 / 0.2e1 + 0.2e1 * t212 * t1885 + 0.6e1 * t2297 * t2299 - t212 * t1894 - 0.2e1 * t582 * t2304 + 0.2e1 * t582 * t2308 - 0.4e1 * t2311 * t578 - 0.2e1 * t574 * t406 - 0.2e1 / 0.3e1 * t2317 * t583 - 0.2e1 * t576 * t2320 + 0.2e1 * t2323 * t2324 - 0.12e2 * t2323 * t2327 - 0.2e1 / 0.3e1 * t2331 * t2332 + 0.6e1 * t2331 * t2335 - 0.2e1 * t576 * t2338 - t582 * t2341 / 0.3e1;
  t2345 = t1746 * t2298;
  t2350 = t1879 * t2303;
  t2353 = t60 * t323;
  t2354 = t1751 * t2353;
  t2359 = t60 * t349;
  t2360 = t400 * t2359;
  t2366 = t145 * t2359;
  t2370 = t2291 * t143;
  t2374 = t400 * t2353;
  t2377 = t1746 * t2353;
  t2380 = t409 * t2359;
  t2382 = t409 * t2353;
  t2385 = t1756 * t2353;
  t2388 = t145 * t2353;
  t2392 = -t2331 * t2345 / 0.9e1 + 0.4e1 * t2317 * t587 + 0.3e1 * t582 * t2350 + 0.1e2 / 0.3e1 * t2331 * t2354 - 0.2e1 * t2317 * t601 + 0.2e1 / 0.3e1 * t582 * t2360 + 0.2e1 * t2311 * t597 + t574 * t424 + t576 * t2366 + t212 * t1900 / 0.2e1 + t2370 * t146 + 0.4e1 / 0.3e1 * t2317 * t591 - 0.4e1 * t2323 * t2374 + t2331 * t2377 / 0.18e2 - t582 * t2380 + 0.6e1 * t2323 * t2382 - 0.3e1 * t2331 * t2385 - 0.3e1 * t2297 * t2388 - t212 * t1921;
  t2393 = t2344 + t2392;
  t2394 = t59 * t2393;
  t2395 = t2394 * t96;
  t2402 = t318 * t2114;
  t2405 = t363 * t2091;
  t2406 = t106 * t2405;
  t2407 = t548 * t2044;
  t2410 = t548 * t2128;
  t2415 = -t368 * t2258 / 0.12e2 - t2263 * t139 / 0.12e2 - t533 * t359 / 0.6e1 - t208 * t1575 / 0.12e2 - t2270 * t139 / 0.18e2 - t525 * t359 / 0.18e2 - t1713 * t223 / 0.18e2 - t22 * t2395 / 0.4e1 - t103 * t605 / 0.6e1 + t486 * t219 / 0.18e2 + t538 * t2402 / 0.6e1 + t2406 * t2407 / 0.2e1 - t546 * t2410 / 0.6e1 - t2105 * t549 / 0.18e2;
  t2417 = t371 * t408 * t349;
  t2418 = t620 * t2417;
  t2423 = t555 * t2044;
  t2425 = t548 * t2209;
  t2428 = t2218 * t2044;
  t2431 = t109 * t544;
  t2432 = t106 * t2431;
  t2433 = t318 * t2044;
  t2440 = t1712 * t207;
  t2443 = t496 * t219;
  t2446 = t218 * t500;
  t2447 = t373 * t2446;
  t2450 = t217 * t506;
  t2451 = t158 * t2450;
  t2452 = t106 * t2451;
  t2459 = t377 * t539;
  t2460 = t548 * t2459;
  t2463 = t162 * t2418 / 0.2e1 - t610 * t329 / 0.2e1 + t2406 * t2423 - 0.2e1 * t2406 * t2425 - 0.11e2 / 0.18e2 * t2040 * t2428 - t2432 * t2433 / 0.2e1 - t208 * t1421 / 0.6e1 + t493 * t569 / 0.6e1 + t2440 * t139 / 0.54e2 - t368 * t2443 / 0.6e1 + t368 * t2447 / 0.3e1 - t2452 * t513 / 0.2e1 + t610 * t517 / 0.2e1 + 0.2e1 / 0.3e1 * t2111 * t562 + 0.2e1 / 0.3e1 * t546 * t2460;
  t2467 = my_piecewise3(t3, 0, t2021 + t2079 + t2127 + t2170 + t2208 + t2256 + t2415 + t2463);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t2467 + 0.4e1 * t651;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t2471 = t22 * t697;
  t2475 = t2000 * t669;
  t2476 = t2475 * t645;
  t2478 = t697 * t2005;
  t2485 = t22 * t693;
  t2490 = t1398 * t231;
  t2491 = t2490 * t334;
  t2494 = t693 * t2030;
  t2496 = t230 * t312;
  t2497 = t1756 * t2496;
  t2498 = t2024 * t2497;
  t2501 = t2475 * t622;
  t2503 = t1398 * t664;
  t2504 = t2503 * t636;
  t2508 = t2471 * t1971 / 0.2e1 - t2471 * t1976 + t1397 * t2476 - 0.3e1 / 0.2e1 * t2004 * t2478 + t2471 * t1987 / 0.4e1 - t2471 * t1990 / 0.6e1 - t2485 * t1979 / 0.3e1 + t2485 * t1984 / 0.3e1 - t1397 * t2491 / 0.2e1 + t2004 * t2494 + 0.3e1 / 0.2e1 * t2022 * t2498 - t2011 * t2501 - t1397 * t2504 + 0.2e1 / 0.3e1 * t2471 * t1965;
  t2511 = t22 * t237;
  t2518 = t230 * t1533;
  t2519 = t1531 * t2518;
  t2520 = t106 * t2519;
  t2527 = t658 * t365;
  t2528 = t363 * t2527;
  t2529 = t106 * t2528;
  t2544 = -t2471 * t1997 / 0.3e1 + t2511 * t1407 / 0.6e1 - t671 * t2410 / 0.6e1 - t671 * t2115 / 0.12e2 - 0.5e1 / 0.36e2 * t2520 * t2045 + t233 * t1474 / 0.6e1 + t233 * t1505 / 0.12e2 - t2529 * t549 / 0.6e1 - t661 * t320 / 0.6e1 + t666 * t2192 / 0.3e1 - 0.11e2 / 0.18e2 * t2520 * t2428 + 0.23e2 / 0.36e2 * t2520 * t2210 - t2520 * t2214 / 0.2e1 + 0.7e1 / 0.3e1 * t2520 * t2219;
  t2546 = t230 * t1581;
  t2547 = t363 * t2546;
  t2548 = t106 * t2547;
  t2552 = t510 * t2546;
  t2553 = t2552 * t2094;
  t2558 = t1743 * t2518;
  t2559 = t2558 * t2099;
  t2562 = t2558 * t2204;
  t2565 = t382 * t670;
  t2570 = t2558 * t2087;
  t2577 = t510 * t2527;
  t2578 = t2577 * t645;
  t2584 = t2548 * t2423 - 0.2e1 * t2548 * t2425 - 0.3e1 * t162 * t2553 - 0.3e1 / 0.2e1 * t2520 * t2223 + 0.3e1 / 0.2e1 * t1742 * t2559 - 0.3e1 * t509 * t2562 + 0.2e1 / 0.9e1 * t2565 * t562 - t2529 * t556 / 0.3e1 + 0.3e1 / 0.2e1 * t162 * t2570 - t1763 * t730 / 0.3e1 - t2565 * t556 / 0.9e1 + t162 * t2578 + 0.2e1 / 0.3e1 * t2529 * t562 + 0.2e1 / 0.3e1 * t671 * t2460;
  t2585 = t658 * t326;
  t2586 = t109 * t2585;
  t2587 = t106 * t2586;
  t2600 = t382 * t665;
  t2610 = t1594 * t236 * t165;
  t2614 = t296 * t690 * t165;
  t2619 = t2587 * t541 / 0.3e1 + t661 * t315 / 0.6e1 + t387 * t749 / 0.3e1 - t1689 * t730 + t379 * t749 + t666 * t2402 / 0.6e1 + t2548 * t2407 / 0.2e1 + t2600 * t541 / 0.9e1 + t654 * t315 / 0.18e2 - t2565 * t549 / 0.18e2 - t654 * t320 / 0.18e2 + t162 * t2610 / 0.4e1 + t162 * t2614 / 0.2e1 + t387 * t734 / 0.6e1;
  t2623 = t745 * t1621;
  t2626 = t163 * t2585;
  t2627 = t2626 * t636;
  t2629 = t163 * t659;
  t2630 = t2629 * t334;
  t2633 = t2577 * t622;
  t2635 = t729 * t2057;
  t2654 = -t379 * t742 - t162 * t2623 / 0.4e1 - t162 * t2627 - t162 * t2630 / 0.2e1 - t509 * t2633 - t509 * t2635 / 0.2e1 - t387 * t742 / 0.3e1 - t387 * t746 / 0.6e1 - t719 * t335 / 0.4e1 - t379 * t746 / 0.2e1 + t379 * t734 / 0.2e1 + t719 * t298 / 0.2e1 - t233 * t1613 / 0.6e1 + t671 * t1644 / 0.3e1;
  t2661 = t109 * t669;
  t2662 = t106 * t2661;
  t2665 = t713 * t194;
  t2668 = t243 * t481;
  t2675 = t745 * t1647;
  t2678 = t163 * t669;
  t2679 = t2678 * t2138;
  t2682 = t2552 * t2142;
  t2687 = t696 * t2284;
  t2689 = t236 * t2277;
  t2695 = my_piecewise3(t43, t110, 0.2e2 / 0.27e2 * t118);
  t2696 = t108 * t2695;
  t2697 = t2696 * t124;
  t2700 = t69 * t230;
  t2701 = t2700 * t1745;
  t2708 = t696 * t1698;
  t2720 = t690 * t327;
  t2725 = t362 * t658;
  t2726 = t2725 * t398;
  t2733 = t236 * t1523;
  t2736 = t2687 * t2289 + 0.4e1 * t2689 * t2281 - 0.6e1 * t2687 * t2286 - t2697 * t150 / 0.2e1 - 0.2e1 / 0.3e1 * t2701 * t2332 + 0.6e1 * t2701 * t2335 - 0.2e1 * t693 * t2338 + 0.2e1 * t2708 * t2324 - t697 * t2341 / 0.3e1 - t2701 * t2345 / 0.9e1 - t237 * t1894 - 0.2e1 * t697 * t2304 + 0.2e1 * t697 * t2308 - 0.4e1 * t2720 * t578 - 0.2e1 * t691 * t406 - 0.2e1 / 0.3e1 * t2726 * t583 - 0.2e1 * t693 * t2320 + 0.2e1 * t237 * t1885 + 0.6e1 * t2733 * t2299;
  t2749 = t2696 * t143;
  t2771 = 0.3e1 * t697 * t2350 + 0.4e1 * t2726 * t587 - 0.12e2 * t2708 * t2327 + t2701 * t2377 / 0.18e2 + 0.1e2 / 0.3e1 * t2701 * t2354 + 0.2e1 / 0.3e1 * t697 * t2360 + t2749 * t146 + 0.6e1 * t2708 * t2382 - 0.3e1 * t2701 * t2385 - 0.3e1 * t2733 * t2388 - t237 * t1921 - 0.2e1 * t2726 * t601 - t697 * t2380 + 0.2e1 * t2720 * t597 + t691 * t424 + t693 * t2366 + t237 * t1900 / 0.2e1 + 0.4e1 / 0.3e1 * t2726 * t591 - 0.4e1 * t2708 * t2374;
  t2772 = t2736 + t2771;
  t2773 = t59 * t2772;
  t2774 = t2773 * t96;
  t2777 = t242 * t66;
  t2778 = t2777 * t296;
  t2779 = t318 * t2778;
  t2782 = -t671 * t2129 / 0.3e1 - t671 * t2149 / 0.6e1 - t103 * t722 / 0.6e1 - t2662 * t2433 / 0.2e1 - t22 * t2665 / 0.2e1 - t22 * t2668 / 0.4e1 + t486 * t244 / 0.18e2 - t103 * t714 / 0.6e1 + t162 * t2675 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t2679 + 0.3e1 * t509 * t2682 - t233 * t1421 / 0.6e1 - t22 * t2774 / 0.4e1 - t127 * t2779 / 0.6e1;
  t2786 = t2777 * t313;
  t2787 = t305 * t2786;
  t2790 = t729 * t2417;
  t2793 = t741 * t1605;
  t2805 = t163 * t2695 * t165;
  t2814 = t712 * t159;
  t2815 = t158 * t2814;
  t2816 = t106 * t2815;
  t2821 = -t233 * t1617 / 0.12e2 + t127 * t2787 / 0.12e2 + t162 * t2790 / 0.2e1 - t162 * t2793 / 0.2e1 - t1713 * t248 / 0.18e2 - t719 * t329 / 0.2e1 + t1547 * t248 / 0.4e1 + t379 * t738 / 0.2e1 + t162 * t2805 / 0.4e1 + t719 * t351 / 0.4e1 + t1728 * t248 / 0.6e1 + t387 * t738 / 0.6e1 + t2816 * t166 / 0.2e1 - t383 * t686 / 0.18e2;
  t2822 = t382 * t718;
  t2827 = t138 * t714;
  t2830 = t373 * t244;
  t2837 = t382 * t660;
  t2842 = t2695 * t124;
  t2843 = t109 * t2842;
  t2844 = t106 * t2843;
  t2849 = t1712 * t232;
  t2852 = t496 * t244;
  t2855 = t243 * t500;
  t2856 = t373 * t2855;
  t2859 = t242 * t506;
  t2860 = t158 * t2859;
  t2861 = t106 * t2860;
  t2866 = t2822 * t166 / 0.6e1 - t356 * t686 / 0.12e2 - t127 * t2827 / 0.6e1 - t368 * t2830 / 0.12e2 - t661 * t359 / 0.6e1 - t233 * t1575 / 0.12e2 - t2837 * t139 / 0.18e2 - t654 * t359 / 0.18e2 - t2844 * t139 / 0.12e2 + t493 * t686 / 0.6e1 + t2849 * t139 / 0.54e2 - t368 * t2852 / 0.6e1 + t368 * t2856 / 0.3e1 - t2861 * t513 / 0.2e1 + t719 * t517 / 0.2e1;
  t2870 = my_piecewise3(t3, 0, t2508 + t2544 + t2584 + t2619 + t2654 + t2782 + t2821 + t2866);
  tv3rho2lapl0 = 0.2e1 * rho[0] * t2870 + 0.4e1 * t754;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t2874 = t22 * t881;
  t2880 = t548 * t776;
  t2885 = params->at * t869;
  t2887 = t2885 * t142 * t165;
  t2891 = t775 * t390 * t165;
  t2896 = t163 * t811;
  t2897 = t2896 * t334;
  t2900 = t382 * t790;
  t2907 = t1472 * t775;
  t2908 = t318 * t2907;
  t2911 = t306 * t2885;
  t2912 = t318 * t2911;
  t2917 = t382 * t784;
  t2922 = 0.2e1 / 0.3e1 * t2874 * t1965 - t2874 * t1976 - t2874 * t1997 / 0.3e1 - t368 * t2880 / 0.12e2 + t379 * t781 / 0.2e1 + t162 * t2887 / 0.2e1 + t162 * t2891 / 0.4e1 - t379 * t768 / 0.2e1 - t162 * t2897 / 0.2e1 - t2900 * t549 / 0.18e2 - t806 * t320 / 0.18e2 - t356 * t777 / 0.12e2 - t127 * t2908 / 0.6e1 - t127 * t2912 / 0.6e1 + t259 * t1505 / 0.12e2 + t2917 * t541 / 0.9e1 + t806 * t315 / 0.18e2;
  t2925 = t810 * t326;
  t2926 = t109 * t2925;
  t2927 = t106 * t2926;
  t2934 = t256 * t1581;
  t2935 = t363 * t2934;
  t2936 = t106 * t2935;
  t2943 = t2000 * t757;
  t2944 = t2943 * t622;
  t2946 = t256 * t312;
  t2947 = t1756 * t2946;
  t2948 = t2024 * t2947;
  t2951 = t1398 * t762;
  t2952 = t2951 * t636;
  t2954 = t877 * t2030;
  t2956 = t1398 * t257;
  t2957 = t2956 * t334;
  t2960 = t775 * t397;
  t2961 = t2960 * t516;
  t2966 = t268 * t66;
  t2967 = t2966 * t313;
  t2968 = t305 * t2967;
  t2971 = t2966 * t296;
  t2972 = t318 * t2971;
  t2977 = -t259 * t1617 / 0.12e2 + t2927 * t541 / 0.3e1 + t785 * t2192 / 0.3e1 + t785 * t2402 / 0.6e1 + t2936 * t2407 / 0.2e1 + t813 * t315 / 0.6e1 + t259 * t1474 / 0.6e1 - t2011 * t2944 + 0.3e1 / 0.2e1 * t2022 * t2948 - t1397 * t2952 + t2004 * t2954 - t1397 * t2957 / 0.2e1 + t162 * t2961 / 0.2e1 + t823 * t298 / 0.2e1 + t127 * t2968 / 0.12e2 - t127 * t2972 / 0.6e1 - t823 * t335 / 0.4e1;
  t2981 = t2943 * t645;
  t2983 = t881 * t2005;
  t2986 = t287 * t108;
  t2987 = t2986 * t125;
  t2988 = t2987 * t334;
  t2991 = t287 * t312;
  t2992 = t169 * t2991;
  t2993 = t1404 * t2992;
  t2996 = t810 * t365;
  t2997 = t363 * t2996;
  t2998 = t106 * t2997;
  t3005 = t256 * t1533;
  t3006 = t1531 * t3005;
  t3007 = t106 * t3006;
  t3026 = t2874 * t1971 / 0.2e1 + t1397 * t2981 - 0.3e1 / 0.2e1 * t2004 * t2983 - t1397 * t2988 / 0.4e1 + t1403 * t2993 / 0.12e2 - t2998 * t549 / 0.6e1 - t791 * t2410 / 0.6e1 - t791 * t2115 / 0.12e2 - 0.5e1 / 0.36e2 * t3007 * t2045 - t813 * t320 / 0.6e1 - t259 * t1613 / 0.6e1 - t2998 * t556 / 0.3e1 - t791 * t2129 / 0.3e1 - t791 * t2149 / 0.6e1 - 0.11e2 / 0.18e2 * t3007 * t2428 + 0.2e1 / 0.3e1 * t2998 * t562 + 0.2e1 / 0.3e1 * t791 * t2460;
  t3030 = t510 * t2996;
  t3031 = t3030 * t622;
  t3033 = t758 * t2057;
  t3036 = t163 * t2925;
  t3037 = t3036 * t636;
  t3039 = t763 * t1605;
  t3045 = t1594 * t262 * t165;
  t3049 = t296 * t874 * t165;
  t3059 = t767 * t1621;
  t3064 = t109 * t757;
  t3065 = t106 * t3064;
  t3070 = t791 * t1644 / 0.3e1 - t1689 * t759 - t509 * t3031 - t509 * t3033 / 0.2e1 - t162 * t3037 - t162 * t3039 / 0.2e1 + 0.23e2 / 0.36e2 * t3007 * t2210 + t162 * t3045 / 0.4e1 + t162 * t3049 / 0.2e1 - t387 * t764 / 0.3e1 - t387 * t768 / 0.6e1 + t387 * t772 / 0.6e1 - t379 * t764 - t162 * t3059 / 0.4e1 + t379 * t772 / 0.2e1 - t3065 * t2433 / 0.2e1 - t383 * t777 / 0.18e2;
  t3076 = t3030 * t645;
  t3078 = t758 * t2417;
  t3081 = t323 * t1533;
  t3082 = t1531 * t3081;
  t3083 = t106 * t3082;
  t3084 = t95 * t256;
  t3085 = t160 * t3084;
  t3086 = t2218 * t3085;
  t3092 = t775 * t393 * t328;
  t3099 = t23 * t447;
  t3100 = t3099 * tau[0];
  t3115 = t342 * t115;
  t3116 = 0.1e1 / t3115;
  t3117 = t3116 * t443;
  t3138 = t3116 * t84;
  t3141 = 0.1e4 * t468 * t3100 + 0.6e3 * t475 * t3100 - 0.2e3 * t451 * t3100 - 0.72e3 * t458 * t3100 - 0.8e2 * t463 * t3100 - 0.4e2 / 0.9e1 * t118 * t78 + 0.4e2 * t3099 * t845 + 0.34e4 / 0.3e1 * t1821 * t3117 + 0.52e4 / 0.3e1 * t1824 * t3117 - 0.2e4 * t1827 * t3117 - 0.5e4 * t1830 * t3117 - 0.7e4 / 0.3e1 * t1835 * t3117 - 0.2e3 / 0.9e1 * t185 * t118 - 0.2e3 / 0.9e1 * t190 * t118 - 0.4e2 / 0.9e1 * t174 * t118 + 0.8e2 / 0.3e1 * t178 * t118 + 0.8e2 / 0.3e1 * t182 * t118 + 0.2e3 / 0.3e1 * t3138 * t443;
  t3142 = t169 * t3141;
  t3143 = t65 * t3142;
  t3146 = t269 * t481;
  t3153 = t897 * t194;
  t3156 = t431 * t288;
  t3159 = t154 * t870;
  t3162 = t22 * t877;
  t3165 = t493 * t777 / 0.6e1 + t379 * t796 + t162 * t3076 + t162 * t3078 / 0.2e1 + 0.7e1 / 0.3e1 * t3083 * t3086 - t259 * t1421 / 0.6e1 - t162 * t3092 / 0.2e1 + t486 * t289 / 0.18e2 - t103 * t834 / 0.6e1 - t22 * t3143 / 0.4e1 - t22 * t3146 / 0.4e1 - t103 * t837 / 0.6e1 - t103 * t871 / 0.6e1 - t22 * t3153 / 0.2e1 - t22 * t3156 / 0.4e1 - t22 * t3159 / 0.2e1 + t3162 * t1984 / 0.3e1;
  t3168 = t22 * t263;
  t3171 = t160 * t775;
  t3172 = t548 * t3171;
  t3175 = t2960 * t512;
  t3180 = t1743 * t3005;
  t3181 = t3180 * t2099;
  t3184 = t3180 * t2204;
  t3187 = t3180 * t2087;
  t3192 = t555 * t776;
  t3197 = t880 * t2284;
  t3200 = t262 * t2277;
  t3205 = my_piecewise3(t43, t110, -0.8e2 / 0.27e2 * t528);
  t3206 = t108 * t3205;
  t3207 = t3206 * t124;
  t3210 = t69 * t256;
  t3211 = t3210 * t1745;
  t3214 = t880 * t1698;
  t3219 = t362 * t810;
  t3220 = t3219 * t398;
  t3227 = t262 * t1523;
  t3245 = -0.6e1 * t3197 * t2286 + 0.4e1 * t3200 * t2281 + t3197 * t2289 - t3207 * t150 / 0.2e1 + 0.6e1 * t3211 * t2335 - 0.12e2 * t3214 * t2327 - 0.2e1 / 0.3e1 * t3211 * t2332 + 0.4e1 * t3220 * t587 + 0.3e1 * t881 * t2350 + 0.2e1 * t263 * t1885 + 0.6e1 * t3227 * t2299 - 0.2e1 * t877 * t2338 - 0.2e1 * t877 * t2320 + 0.2e1 * t3214 * t2324 - t881 * t2341 / 0.3e1 - t3211 * t2345 / 0.9e1 - t263 * t1894 - 0.2e1 * t881 * t2304 + 0.2e1 * t881 * t2308;
  t3246 = t874 * t327;
  t3271 = t3206 * t143;
  t3281 = -0.4e1 * t3246 * t578 - 0.2e1 * t875 * t406 - 0.2e1 / 0.3e1 * t3220 * t583 - 0.3e1 * t3211 * t2385 + 0.6e1 * t3214 * t2382 - 0.2e1 * t3220 * t601 + t263 * t1900 / 0.2e1 + 0.4e1 / 0.3e1 * t3220 * t591 - 0.4e1 * t3214 * t2374 + t3211 * t2377 / 0.18e2 + 0.1e2 / 0.3e1 * t3211 * t2354 + 0.2e1 / 0.3e1 * t881 * t2360 + t3271 * t146 - 0.3e1 * t3227 * t2388 - t263 * t1921 - t881 * t2380 + 0.2e1 * t3246 * t597 + t875 * t424 + t877 * t2366;
  t3282 = t3245 + t3281;
  t3283 = t59 * t3282;
  t3284 = t3283 * t96;
  t3295 = t767 * t1647;
  t3298 = t2874 * t1987 / 0.4e1 + t3168 * t1407 / 0.6e1 + t368 * t3172 / 0.3e1 - t509 * t3175 / 0.2e1 - 0.3e1 / 0.2e1 * t3007 * t2223 + 0.3e1 / 0.2e1 * t1742 * t3181 - 0.3e1 * t509 * t3184 + 0.3e1 / 0.2e1 * t162 * t3187 - t3007 * t2214 / 0.2e1 - t368 * t3192 / 0.6e1 - t103 * t898 / 0.6e1 - t22 * t3284 / 0.4e1 + t486 * t270 / 0.18e2 - t3162 * t1979 / 0.3e1 - t2874 * t1990 / 0.6e1 + t387 * t781 / 0.6e1 + t162 * t3295 / 0.2e1;
  t3300 = t163 * t757;
  t3301 = t3300 * t2138;
  t3304 = t510 * t2934;
  t3305 = t3304 * t2142;
  t3314 = t3304 * t2094;
  t3322 = t382 * t822;
  t3331 = t1712 * t258;
  t3337 = t163 * t3205 * t165;
  t3342 = 0.3e1 / 0.2e1 * t162 * t3301 + 0.3e1 * t509 * t3305 + 0.2e1 / 0.9e1 * t2900 * t562 - 0.2e1 * t2936 * t2425 - t1763 * t759 / 0.3e1 - 0.3e1 * t162 * t3314 - t2900 * t556 / 0.9e1 + t2936 * t2423 + t387 * t796 / 0.3e1 + t3322 * t166 / 0.6e1 - t823 * t329 / 0.2e1 - t383 * t818 / 0.18e2 + t493 * t818 / 0.6e1 + t3331 * t139 / 0.54e2 - t1713 * t274 / 0.18e2 + t162 * t3337 / 0.4e1 + t823 * t351 / 0.4e1;
  t3347 = t373 * t270;
  t3350 = t3205 * t124;
  t3351 = t109 * t3350;
  t3352 = t106 * t3351;
  t3361 = t138 * t898;
  t3364 = t896 * t159;
  t3365 = t158 * t3364;
  t3366 = t106 * t3365;
  t3373 = t382 * t812;
  t3380 = t496 * t270;
  t3383 = t269 * t500;
  t3384 = t373 * t3383;
  t3387 = t268 * t506;
  t3388 = t158 * t3387;
  t3389 = t106 * t3388;
  t3392 = t1547 * t274 / 0.4e1 + t379 * t829 / 0.2e1 - t368 * t3347 / 0.12e2 - t3352 * t139 / 0.12e2 - t813 * t359 / 0.6e1 - t259 * t1575 / 0.12e2 - t356 * t818 / 0.12e2 - t127 * t3361 / 0.6e1 + t3366 * t166 / 0.2e1 + t1728 * t274 / 0.6e1 + t387 * t829 / 0.6e1 - t3373 * t139 / 0.18e2 - t806 * t359 / 0.18e2 + t823 * t517 / 0.2e1 - t368 * t3380 / 0.6e1 + t368 * t3384 / 0.3e1 - t3389 * t513 / 0.2e1;
  t3396 = my_piecewise3(t3, 0, t2922 + t2977 + t3026 + t3070 + t3165 + t3298 + t3342 + t3392);
  tv3rho2tau0 = 0.2e1 * rho[0] * t3396 + 0.4e1 * t905;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t3399 = t929 * t122;
  t3400 = t96 * t3399;
  t3401 = t1974 * t3400;
  t3404 = t193 * t929;
  t3405 = t169 * t3404;
  t3406 = t1404 * t3405;
  t3409 = t914 * t1533;
  t3410 = t1743 * t3409;
  t3411 = t1539 * t621;
  t3412 = t3410 * t3411;
  t3415 = t1531 * t3409;
  t3416 = t106 * t3415;
  t3417 = t2218 * t561;
  t3420 = t2156 * t539;
  t3421 = t555 * t3420;
  t3424 = t608 * t539;
  t3425 = t548 * t3424;
  t3428 = t507 * t539;
  t3429 = t2042 * t3428;
  t3432 = t1968 * t3400;
  t3435 = t500 * t3399;
  t3436 = t1974 * t3435;
  t3439 = t205 * t929;
  t3440 = t1756 * t3439;
  t3441 = t2024 * t3440;
  t3444 = t1879 * t3399;
  t3445 = t582 * t3444;
  t3448 = t1961 * t3401 / 0.12e2 + t1993 * t3406 / 0.12e2 - t913 + t984 + 0.3e1 / 0.2e1 * t162 * t3412 + 0.7e1 / 0.3e1 * t3416 * t3417 - t546 * t3421 / 0.3e1 + 0.2e1 / 0.3e1 * t546 * t3425 - 0.3e1 / 0.2e1 * t3416 * t3429 + t1961 * t3432 / 0.6e1 - t1961 * t3436 / 0.3e1 + t2022 * t3441 / 0.2e1 - t2004 * t3445 / 0.2e1;
  t3449 = t548 * t3420;
  t3454 = t2023 * t365;
  t3460 = t307 * t536;
  t3463 = t1485 * t544;
  t3466 = t307 * t206;
  t3473 = t211 * t326;
  t3478 = t581 * t365;
  t3481 = 0.2e1 / 0.3e1 * t3454 * t1052 + 0.2e1 * t307 * t530 * t165 - 0.4e1 * t3460 * t636 + 0.4e1 / 0.3e1 * t3463 * t622 - 0.2e1 * t3466 * t334 + 0.4e1 * t3463 * t645 - 0.2e1 * t594 * t138 + 0.4e1 * t3473 * t636 + 0.2e1 * t214 * t334 - 0.4e1 * t3478 * t645;
  t3482 = t95 * t3481;
  t3483 = t306 * t3482;
  t3484 = t305 * t3483;
  t3487 = t95 * t530;
  t3488 = t306 * t3487;
  t3489 = t555 * t3488;
  t3496 = t2017 * t990;
  t3502 = t160 * t3487;
  t3503 = t548 * t3502;
  t3510 = t318 * t3420;
  t3515 = -t546 * t3449 / 0.6e1 - t208 * t2158 / 0.6e1 + t208 * t3484 / 0.12e2 - t546 * t3489 / 0.3e1 + t922 * t1464 / 0.3e1 - t922 * t1452 / 0.6e1 - t1397 * t3496 / 0.4e1 - t610 * t637 - t610 * t641 / 0.2e1 + 0.2e1 / 0.3e1 * t546 * t3503 - 0.2e1 / 0.3e1 * t922 * t1468 + t922 * t1588 / 0.3e1 + t538 * t3510 / 0.3e1 + t208 * t2162 / 0.6e1;
  t3517 = t163 * t909;
  t3518 = t3517 * t334;
  t3519 = t162 * t3518;
  t3520 = t3519 / 0.4e1;
  t3522 = t296 * t941 * t165;
  t3523 = t162 * t3522;
  t3524 = t3523 / 0.4e1;
  t3527 = t372 * t530;
  t3528 = t371 * t3527;
  t3529 = t620 * t3528;
  t3531 = t914 * t1581;
  t3532 = t510 * t3531;
  t3533 = t3532 * t622;
  t3536 = t510 * t920;
  t3537 = t3536 * t1448;
  t3539 = t296 * t948;
  t3540 = t3539 * t512;
  t3544 = t371 * t408 * t530;
  t3545 = t620 * t3544;
  t3547 = t3536 * t1442;
  t3549 = t3539 * t516;
  t3553 = t135 * t137 * t530;
  t3554 = t634 * t3553;
  t3556 = t163 * t920;
  t3557 = t3556 * t636;
  t3560 = t163 * t915;
  t3561 = t3560 * t334;
  t3564 = -t3520 + t3524 + t610 * t627 / 0.2e1 - t509 * t3529 + 0.3e1 * t509 * t3533 + t509 * t3537 - t509 * t3540 / 0.2e1 + t162 * t3545 - t162 * t3547 + t162 * t3549 / 0.2e1 - t162 * t3554 + 0.3e1 / 0.2e1 * t162 * t3557 + t162 * t3561 / 0.2e1;
  t3566 = t296 * t944 * t328;
  t3571 = t908 * t326;
  t3572 = t163 * t3571;
  t3573 = t3572 * t636;
  t3574 = t162 * t3573;
  t3575 = t3574 / 0.2e1;
  t3576 = t971 * t194;
  t3579 = t1404 * t3400;
  t3582 = t1883 * t65;
  t3583 = t929 * t312;
  t3584 = t96 * t3583;
  t3585 = t3582 * t3584;
  t3590 = t62 * t929;
  t3591 = t3590 * t122;
  t3592 = t427 * t3591;
  t3595 = t149 * t3591;
  t3598 = t143 * t1415;
  t3599 = t211 * t3598;
  t3600 = t3590 * t312;
  t3601 = t149 * t3600;
  t3604 = t414 * t3591;
  t3607 = t941 * t327;
  t3608 = t3607 * t578;
  t3609 = 0.2e1 * t3608;
  t3610 = t942 * t406;
  t3611 = t362 * t908;
  t3612 = t3611 * t398;
  t3613 = t3612 * t583;
  t3614 = t3613 / 0.3e1;
  t3615 = t63 * t530;
  t3616 = t145 * t3615;
  t3619 = t944 * t1523;
  t3624 = t3612 * t587;
  t3625 = 0.2e1 * t3624;
  t3626 = -0.2e1 * t2285 * t3592 + 0.2e1 * t2278 * t3595 + 0.2e1 * t3599 * t3601 + t2285 * t3604 / 0.3e1 - t3609 - t3610 - t3614 - 0.4e1 * t576 * t3616 + 0.6e1 * t3619 * t578 + 0.2e1 * t945 * t406 + t3625;
  t3627 = t409 * t3615;
  t3630 = t69 * t914;
  t3631 = t3630 * t1745;
  t3632 = t1746 * t577;
  t3636 = t63 * t3481;
  t3637 = t404 * t3636;
  t3639 = t590 * t929;
  t3640 = t1756 * t3639;
  t3643 = t1879 * t3639;
  t3647 = t404 * t3639;
  t3649 = t965 * t312;
  t3650 = t1883 * t3649;
  t3652 = t948 * t1698;
  t3655 = t400 * t3615;
  t3660 = 0.4e1 * t582 * t3627 - t3631 * t3632 / 0.9e1 - t574 * t953 - t212 * t3637 - 0.2e1 / 0.3e1 * t582 * t3640 + t582 * t3643 - 0.4e1 * t949 * t1880 - t576 * t3647 - t212 * t3650 + 0.2e1 * t3652 * t583 - 0.2e1 / 0.3e1 * t582 * t3655 + 0.2e1 / 0.3e1 * t949 * t1877;
  t3664 = t1751 * t577;
  t3667 = t1756 * t577;
  t3672 = t1756 * t590;
  t3675 = t60 * t3481;
  t3676 = t404 * t3675;
  t3679 = t1751 * t590;
  t3682 = t60 * t530;
  t3683 = t400 * t3682;
  t3688 = t3607 * t597;
  t3689 = t3612 * t591;
  t3690 = 0.2e1 / 0.3e1 * t3689;
  t3691 = -0.12e2 * t3652 * t587 - 0.2e1 / 0.3e1 * t3631 * t3664 + 0.6e1 * t3631 * t3667 + 0.6e1 * t3652 * t601 - 0.3e1 * t3631 * t3672 + t212 * t3676 / 0.2e1 + 0.1e2 / 0.3e1 * t3631 * t3679 + 0.4e1 / 0.3e1 * t582 * t3683 - 0.4e1 / 0.3e1 * t949 * t1903 + t3688 + t3690;
  t3694 = t1746 * t590;
  t3697 = t3612 * t601;
  t3698 = t409 * t3682;
  t3703 = t942 * t424;
  t3704 = t3703 / 0.2e1;
  t3705 = t145 * t3682;
  t3713 = -0.4e1 * t3652 * t591 + t3631 * t3694 / 0.18e2 - t3697 - 0.2e1 * t582 * t3698 + 0.2e1 * t949 * t1931 + t3704 + 0.2e1 * t576 * t3705 - 0.3e1 * t3619 * t597 - t945 * t424 + t574 * t966 / 0.2e1 - t962 + t943;
  t3715 = t3626 + t3660 + t3691 + t3713;
  t3716 = t59 * t3715;
  t3717 = t3716 * t96;
  t3720 = t363 * t3531;
  t3721 = t106 * t3720;
  t3724 = t2218 * t540;
  t3727 = t2042 * t561;
  t3730 = t2213 * t540;
  t3735 = -t162 * t3566 / 0.2e1 - t379 * t991 / 0.4e1 - t3575 - t22 * t3576 / 0.4e1 - t1978 * t3579 / 0.6e1 - t1993 * t3585 / 0.6e1 - t103 * t972 / 0.12e2 - t22 * t3717 / 0.4e1 - 0.2e1 * t3721 * t562 - 0.11e2 / 0.18e2 * t3416 * t3724 + 0.23e2 / 0.36e2 * t3416 * t3727 - t3416 * t3730 / 0.2e1 - t2452 * t623 + t610 * t646;
  t3738 = t1540 * t122;
  t3739 = t1539 * t3738;
  t3740 = t3410 * t3739;
  t3743 = t908 * t365;
  t3744 = t363 * t3743;
  t3745 = t106 * t3744;
  t3746 = t3745 * t556;
  t3747 = t3746 / 0.6e1;
  t3748 = t3745 * t562;
  t3749 = t3748 / 0.3e1;
  t3751 = t2075 * t990;
  t3755 = t303 * t137 * t3481;
  t3756 = t640 * t3755;
  t3759 = t1670 * t122;
  t3760 = t1539 * t3759;
  t3761 = t3410 * t3760;
  t3764 = t510 * t3743;
  t3765 = t3764 * t622;
  t3766 = t509 * t3765;
  t3767 = t3766 / 0.2e1;
  t3768 = t3764 * t645;
  t3769 = t162 * t3768;
  t3770 = t3769 / 0.2e1;
  t3771 = t3532 * t645;
  t3780 = 0.3e1 / 0.2e1 * t1742 * t3740 - t3747 + t3749 + t3721 * t556 - t162 * t3751 / 0.4e1 - t162 * t3756 / 0.4e1 - 0.3e1 * t509 * t3761 - t3767 + t3770 - 0.3e1 * t162 * t3771 - t387 * t991 / 0.12e2 + t525 * t932 / 0.36e2 + t917 * t320 / 0.6e1;
  t3781 = t109 * t3571;
  t3782 = t106 * t3781;
  t3783 = t3782 * t541;
  t3784 = t3783 / 0.6e1;
  t3785 = t911 * t315;
  t3786 = t3785 / 0.12e2;
  t3787 = t3745 * t549;
  t3788 = t3787 / 0.12e2;
  t3789 = t911 * t320;
  t3790 = t3789 / 0.12e2;
  t3791 = t548 * t3488;
  t3796 = t2042 * t540;
  t3803 = t1472 * t930;
  t3804 = t305 * t3803;
  t3807 = t318 * t3488;
  t3810 = t109 * t920;
  t3811 = t106 * t3810;
  t3818 = t3784 + t3786 - t3788 - t3790 - t546 * t3791 / 0.6e1 + t922 * t1456 / 0.6e1 - 0.5e1 / 0.36e2 * t3416 * t3796 - t922 * t1609 / 0.12e2 + t533 * t932 / 0.12e2 + t208 * t3804 / 0.12e2 + t538 * t3807 / 0.3e1 - t3811 * t541 / 0.2e1 - t917 * t315 / 0.6e1 + t3721 * t549 / 0.2e1;
  t3820 = t404 * t3399;
  t3821 = t576 * t3820;
  t3824 = t1883 * t3583;
  t3825 = t212 * t3824;
  t3828 = t911 * t359;
  t3829 = t3828 / 0.12e2;
  t3836 = t382 * t916;
  t3847 = t382 * t921;
  t3850 = t382 * t910;
  t3851 = t3850 * t139;
  t3852 = t3851 / 0.36e2;
  t3855 = t2004 * t3821 / 0.2e1 + t2004 * t3825 / 0.2e1 - t3829 - t922 * t1528 / 0.12e2 - t922 * t1675 / 0.6e1 + t917 * t359 / 0.6e1 + t3836 * t139 / 0.18e2 - t533 * t569 / 0.6e1 - t208 * t2253 / 0.6e1 + t922 * t1679 / 0.3e1 - t525 * t569 / 0.18e2 - t3847 * t374 / 0.36e2 - t3852 + t3847 * t502 / 0.9e1;
  t3866 = t387 * t982;
  t3867 = t3866 / 0.12e2;
  t3868 = t379 * t982;
  t3869 = t3868 / 0.4e1;
  t3880 = t138 * t972;
  t3883 = t970 * t159;
  t3884 = t158 * t3883;
  t3885 = t106 * t3884;
  t3888 = -t3847 * t497 / 0.18e2 + t2248 * t223 / 0.6e1 - t1763 * t978 / 0.6e1 - t387 * t986 / 0.6e1 + t387 * t994 / 0.6e1 + t3867 + t3869 - t379 * t986 / 0.2e1 + t379 * t994 / 0.2e1 + t2243 * t223 / 0.2e1 + t610 * t631 / 0.2e1 - t1689 * t978 / 0.2e1 - t127 * t3880 / 0.12e2 + t3885 * t166 / 0.4e1;
  t3892 = my_piecewise3(t3, 0, t3448 + t3515 + t3564 + t3735 + t3780 + t3818 + t3855 + t3888);
  tv3rhosigma20 = 0.2e1 * rho[0] * t3892 + 0.2e1 * t998;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t3895 = t745 * t3755;
  t3898 = t2577 * t1052;
  t3901 = t729 * t3528;
  t3912 = t2577 * t1065;
  t3915 = t729 * t3544;
  t3920 = t2626 * t1057;
  t3923 = t741 * t3553;
  t3928 = t2629 * t990;
  t3933 = t22 * t2701;
  t3934 = t205 * t122;
  t3935 = t96 * t3934;
  t3936 = t1974 * t3935;
  t3939 = -t162 * t3895 / 0.4e1 - t509 * t3898 / 0.2e1 - t509 * t3901 / 0.2e1 - t610 * t742 / 0.2e1 - t610 * t746 / 0.4e1 + t610 * t734 / 0.4e1 - t1689 * t1053 / 0.2e1 + t162 * t3912 / 0.2e1 + t162 * t3915 / 0.2e1 - t379 * t1058 / 0.2e1 - t162 * t3920 / 0.2e1 - t162 * t3923 / 0.2e1 - t379 * t1061 / 0.4e1 - t162 * t3928 / 0.4e1 - t2471 * t3436 / 0.3e1 - t3933 * t3936 / 0.2e1;
  t3948 = t2777 * t539;
  t3949 = t555 * t3948;
  t3952 = t717 * t539;
  t3953 = t548 * t3952;
  t3956 = t22 * t2708;
  t3957 = t500 * t3934;
  t3958 = t1962 * t3957;
  t3961 = t1751 * t65;
  t3962 = t3961 * t3935;
  t3965 = t1746 * t65;
  t3966 = t3965 * t3957;
  t3971 = t3961 * t3957;
  t3974 = t1733 * t3934;
  t3975 = t3965 * t3974;
  t3978 = t1739 * t95;
  t3979 = t65 * t3978;
  t3980 = t22 * t3979;
  t3981 = t230 * t122;
  t3982 = t1746 * t3981;
  t3983 = t2331 * t3982;
  t3986 = t1751 * t3981;
  t3987 = t2331 * t3986;
  t3990 = t1996 * t3935;
  t3992 = t1756 * t3934;
  t3993 = t2701 * t3992;
  t3996 = t409 * t3934;
  t3997 = t2708 * t3996;
  t4000 = t2600 * t1002 / 0.18e2 + t610 * t749 / 0.2e1 - t671 * t3421 / 0.6e1 + t671 * t3425 / 0.3e1 - t546 * t3949 / 0.6e1 + t546 * t3953 / 0.3e1 - 0.2e1 * t3956 * t3958 - 0.11e2 / 0.18e2 * t3933 * t3962 + 0.23e2 / 0.36e2 * t3933 * t3966 + t2471 * t3432 / 0.6e1 + 0.7e1 / 0.3e1 * t3933 * t3971 - 0.3e1 / 0.2e1 * t3933 * t3975 + 0.3e1 / 0.2e1 * t3980 * t3983 - 0.3e1 * t2022 * t3987 + t3956 * t3990 + 0.3e1 / 0.2e1 * t2004 * t3993 - 0.3e1 * t2004 * t3997;
  t4002 = t230 * t929;
  t4003 = t1756 * t4002;
  t4004 = t2024 * t4003;
  t4007 = t697 * t3444;
  t4012 = t1043 * t194;
  t4015 = t1879 * t2025;
  t4016 = t697 * t4015;
  t4018 = t2475 * t1065;
  t4025 = t1472 * t1000;
  t4026 = t318 * t4025;
  t4033 = t2022 * t4004 / 0.2e1 - t2004 * t4007 / 0.2e1 - t913 + t984 + t379 * t1066 / 0.2e1 - t22 * t4012 / 0.4e1 - t2004 * t4016 + t1397 * t4018 / 0.2e1 - t3520 + t3524 - t3575 - t103 * t1044 / 0.12e2 + t2587 * t1002 / 0.6e1 + t666 * t4026 / 0.6e1 + t666 * t3807 / 0.6e1 - t2529 * t1005 / 0.12e2;
  t4034 = t548 * t4025;
  t4039 = t555 * t4025;
  t4054 = t693 * t3820;
  t4057 = t237 * t3824;
  t4060 = t2503 * t1057;
  t4073 = -t671 * t4034 / 0.12e2 - t671 * t3791 / 0.12e2 - t671 * t4039 / 0.6e1 - t671 * t3489 / 0.6e1 + t666 * t3510 / 0.6e1 + t671 * t3503 / 0.3e1 + t233 * t3804 / 0.12e2 + t233 * t3484 / 0.12e2 - t2529 * t1010 / 0.6e1 + t2004 * t4054 / 0.2e1 + t2004 * t4057 / 0.2e1 - t1397 * t4060 / 0.2e1 + t2471 * t3401 / 0.12e2 + t2511 * t3406 / 0.12e2 - t2861 * t623 / 0.2e1 + t719 * t646 / 0.2e1 - t2452 * t730 / 0.2e1;
  t4076 = t1698 * t302;
  t4077 = t696 * t4076;
  t4078 = t62 * t205;
  t4079 = t4078 * t122;
  t4080 = t427 * t4079;
  t4083 = t1745 * t1415;
  t4084 = t2700 * t4083;
  t4085 = t1845 * t4079;
  t4090 = t414 * t4079;
  t4095 = t236 * t3598;
  t4100 = t4078 * t312;
  t4101 = t427 * t4100;
  t4104 = t1523 * t134;
  t4105 = t236 * t4104;
  t4106 = t149 * t4079;
  t4109 = t149 * t4100;
  t4114 = t414 * t4100;
  t4117 = t1857 * t4079;
  t4120 = -0.12e2 * t4077 * t4080 - 0.2e1 / 0.3e1 * t4084 * t4085 - 0.2e1 * t2687 * t3592 + 0.6e1 * t4084 * t4090 + 0.2e1 * t2689 * t3595 + 0.2e1 * t4095 * t3601 + t2687 * t3604 / 0.3e1 - 0.4e1 * t2687 * t4101 + 0.6e1 * t4105 * t4106 + 0.2e1 * t2689 * t4109 + 0.2e1 * t4077 * t4090 + 0.2e1 / 0.3e1 * t2687 * t4114 - t4084 * t4117 / 0.9e1;
  t4121 = t590 * t205;
  t4122 = t400 * t4121;
  t4129 = t1746 * t4121;
  t4145 = -0.4e1 * t2708 * t4122 - t2726 * t1025 / 0.3e1 - t697 * t3655 / 0.3e1 + t2701 * t4129 / 0.18e2 - t691 * t953 + t2720 * t1036 + t693 * t3705 + t691 * t966 / 0.2e1 + t237 * t3676 / 0.2e1 - t2726 * t1040 - t697 * t3698 + 0.2e1 / 0.3e1 * t2726 * t1033 + 0.2e1 / 0.3e1 * t697 * t3683;
  t4148 = t1032 * t312;
  t4149 = t1879 * t4148;
  t4159 = t1751 * t4121;
  t4162 = t1756 * t4148;
  t4165 = t145 * t4121;
  t4168 = t404 * t4148;
  t4174 = t409 * t4121;
  t4177 = -t237 * t3650 + 0.2e1 * t697 * t4149 - t237 * t3637 - 0.2e1 / 0.3e1 * t697 * t3640 + 0.2e1 * t2726 * t1029 + 0.2e1 * t697 * t3627 + 0.1e2 / 0.3e1 * t2701 * t4159 - 0.4e1 / 0.3e1 * t697 * t4162 - 0.3e1 * t2733 * t4165 - t693 * t4168 - 0.2e1 * t2720 * t1022 - 0.2e1 * t693 * t3616 + 0.6e1 * t2708 * t4174;
  t4179 = t1756 * t4121;
  t4183 = -0.3e1 * t2701 * t4179 + t3643 * t697 - t3647 * t693 - t3609 - t3610 - t3614 + t3625 + t3688 + t3690 - t3697 + t3704 + t943 - t962;
  t4185 = t4120 + t4145 + t4177 + t4183;
  t4186 = t59 * t4185;
  t4187 = t4186 * t96;
  t4190 = t22 * t2733;
  t4191 = t1982 * t3935;
  t4194 = t96 * t2025;
  t4195 = t1404 * t4194;
  t4198 = t1962 * t3935;
  t4201 = t193 * t205;
  t4202 = t169 * t4201;
  t4203 = t1982 * t4202;
  t4206 = t1974 * t4194;
  t4209 = t3965 * t3935;
  t4212 = t1962 * t4202;
  t4219 = t1968 * t4194;
  t4222 = t1996 * t4202;
  t4231 = t377 * t1000;
  t4232 = t548 * t4231;
  t4235 = -t22 * t4187 / 0.4e1 - t4190 * t4191 / 0.2e1 - t2485 * t4195 / 0.6e1 + t3956 * t4198 / 0.2e1 + t2485 * t4203 / 0.6e1 + t2471 * t4206 / 0.6e1 - 0.5e1 / 0.36e2 * t3933 * t4209 - t2471 * t4212 / 0.12e2 - t2485 * t3579 / 0.6e1 - t2511 * t3585 / 0.6e1 + t2471 * t4219 / 0.3e1 - t2471 * t4222 / 0.6e1 - t671 * t3449 / 0.12e2 - t233 * t2158 / 0.12e2 + t2529 * t1016 / 0.3e1 + t671 * t4232 / 0.3e1;
  t4240 = t400 * t3981;
  t4241 = t2323 * t4240;
  t4244 = t582 * t2497;
  t4246 = t500 * t2025;
  t4247 = t1974 * t4246;
  t4250 = t1395 * t4201;
  t4251 = t1962 * t4250;
  t4254 = t145 * t3934;
  t4255 = t2733 * t4254;
  t4258 = t404 * t2025;
  t4259 = t693 * t4258;
  t4262 = t2490 * t990;
  t4265 = -t2565 * t1005 / 0.36e2 + t654 * t932 / 0.36e2 + 0.3e1 * t2022 * t4241 + t2022 * t4244 - 0.2e1 / 0.3e1 * t2471 * t4247 + t2471 * t4251 / 0.3e1 - t3747 + t3749 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 + 0.3e1 / 0.2e1 * t2004 * t4255 + t2004 * t4259 / 0.2e1 - t1397 * t4262 / 0.4e1;
  t4267 = t2475 * t1052;
  t4272 = t318 * t3948;
  t4277 = t548 * t3948;
  t4302 = t138 * t1044;
  t4305 = -t2011 * t4267 / 0.2e1 + t233 * t2162 / 0.12e2 + t538 * t4272 / 0.6e1 + t208 * t2787 / 0.12e2 - t546 * t4277 / 0.12e2 - t208 * t2779 / 0.12e2 - t719 * t637 / 0.2e1 - t719 * t641 / 0.4e1 + t719 * t627 / 0.4e1 - t525 * t686 / 0.36e2 - t654 * t569 / 0.36e2 + t2822 * t223 / 0.12e2 + t2248 * t248 / 0.12e2 - t208 * t2827 / 0.12e2 - t661 * t569 / 0.12e2 + t610 * t738 / 0.4e1 - t127 * t4302 / 0.12e2;
  t4306 = t1042 * t159;
  t4307 = t158 * t4306;
  t4308 = t106 * t4307;
  t4335 = t4308 * t166 / 0.4e1 + t2816 * t223 / 0.4e1 - t233 * t2253 / 0.12e2 - t533 * t686 / 0.12e2 + t2243 * t248 / 0.4e1 - t3829 + t719 * t631 / 0.4e1 - t3852 + t3867 + t661 * t932 / 0.12e2 + t387 * t1066 / 0.6e1 - t387 * t1061 / 0.12e2 - t387 * t1058 / 0.6e1 - t1763 * t1053 / 0.6e1 + t2565 * t1016 / 0.9e1 - t2565 * t1010 / 0.18e2 + t3869;
  t4339 = my_piecewise3(t3, 0, t3939 + t4000 + t4033 + t4073 + t4235 + t4265 + t4305 + t4335);
  tv3rhosigmalapl0 = 0.2e1 * rho[0] * t4339 + 0.2e1 * t1070;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  t4344 = t3210 * t4083;
  t4349 = t262 * t3598;
  t4360 = t880 * t4076;
  t4365 = t262 * t4104;
  t4374 = -t4344 * t4117 / 0.9e1 + 0.2e1 * t3200 * t3595 + 0.2e1 * t4349 * t3601 + t3197 * t3604 / 0.3e1 - 0.2e1 / 0.3e1 * t4344 * t4085 - 0.2e1 * t3197 * t3592 + 0.6e1 * t4344 * t4090 - 0.12e2 * t4360 * t4080 - 0.4e1 * t3197 * t4101 + 0.6e1 * t4365 * t4106 + 0.2e1 * t3200 * t4109 + 0.2e1 * t4360 * t4090 + 0.2e1 / 0.3e1 * t3197 * t4114;
  t4395 = -t3220 * t1040 - t881 * t3698 + 0.2e1 / 0.3e1 * t3220 * t1033 + 0.2e1 / 0.3e1 * t881 * t3683 + t3246 * t1036 + t877 * t3705 + t875 * t966 / 0.2e1 + 0.6e1 * t3214 * t4174 + t881 * t3643 - 0.3e1 * t3211 * t4179 - t263 * t3637 - 0.2e1 / 0.3e1 * t881 * t3640 + 0.2e1 * t3220 * t1029;
  t4420 = 0.2e1 * t881 * t3627 + 0.2e1 * t881 * t4149 + 0.1e2 / 0.3e1 * t3211 * t4159 - 0.4e1 / 0.3e1 * t881 * t4162 - 0.3e1 * t3227 * t4165 - t877 * t4168 - t877 * t3647 - t263 * t3650 - 0.2e1 * t3246 * t1022 - 0.2e1 * t877 * t3616 - 0.4e1 * t3214 * t4122 - t3220 * t1025 / 0.3e1 - t881 * t3655 / 0.3e1;
  t4426 = t3211 * t4129 / 0.18e2 - t875 * t953 + t263 * t3676 / 0.2e1 - t3609 - t3610 - t3614 + t3625 + t3688 + t3690 - t3697 + t3704 - t962 + t943;
  t4428 = t4374 + t4395 + t4420 + t4426;
  t4429 = t59 * t4428;
  t4430 = t4429 * t96;
  t4433 = t287 * t362;
  t4434 = t4433 * t544;
  t4435 = t4434 * t645;
  t4438 = t256 * t122;
  t4439 = t1746 * t4438;
  t4440 = t2331 * t4439;
  t4443 = t1751 * t4438;
  t4444 = t2331 * t4443;
  t4447 = t3214 * t3996;
  t4450 = t256 * t929;
  t4451 = t1756 * t4450;
  t4452 = t2024 * t4451;
  t4479 = -t103 * t1101 / 0.12e2 - t22 * t4430 / 0.4e1 + t1397 * t4435 / 0.2e1 + 0.3e1 / 0.2e1 * t3980 * t4440 - 0.3e1 * t2022 * t4444 - 0.3e1 * t2004 * t4447 + t2022 * t4452 / 0.2e1 - t791 * t4034 / 0.12e2 - t791 * t3791 / 0.12e2 + t813 * t932 / 0.12e2 - t2998 * t1010 / 0.6e1 - t791 * t4039 / 0.6e1 - t791 * t3489 / 0.6e1 + t785 * t3510 / 0.6e1 + t2927 * t1002 / 0.6e1 + t785 * t4026 / 0.6e1 + t785 * t3807 / 0.6e1 - t2998 * t1005 / 0.12e2 + t3168 * t3406 / 0.12e2;
  t4482 = t22 * t3211;
  t4489 = t604 * t288;
  t4492 = t1100 * t194;
  t4503 = t22 * t3214;
  t4510 = t22 * t3227;
  t4519 = t2874 * t4219 / 0.3e1 - 0.5e1 / 0.36e2 * t4482 * t4209 - t2874 * t4212 / 0.12e2 - t103 * t1122 / 0.12e2 - t22 * t4489 / 0.4e1 - t22 * t4492 / 0.4e1 - t3162 * t3579 / 0.6e1 - t3168 * t3585 / 0.6e1 + t2874 * t3401 / 0.12e2 - t3162 * t4195 / 0.6e1 + t4503 * t4198 / 0.2e1 + t3162 * t4203 / 0.6e1 + t2874 * t4206 / 0.6e1 - t4510 * t4191 / 0.2e1 - t913 + t984 + t791 * t3425 / 0.3e1 - 0.2e1 * t4503 * t3958 - 0.11e2 / 0.18e2 * t4482 * t3962;
  t4523 = t218 * t870;
  t4526 = t2986 * t536;
  t4527 = t4526 * t636;
  t4530 = t2986 * t206;
  t4531 = t4530 * t334;
  t4534 = t2943 * t1065;
  t4537 = t2896 * t990;
  t4540 = t767 * t3755;
  t4543 = t3030 * t1052;
  t4546 = t758 * t3528;
  t4557 = t3036 * t1057;
  t4560 = t763 * t3553;
  t4565 = 0.23e2 / 0.36e2 * t4482 * t3966 - t22 * t4523 / 0.4e1 - t3520 + t3524 - t3575 - t1397 * t4527 / 0.2e1 - t1397 * t4531 / 0.4e1 + t1397 * t4534 / 0.2e1 - t162 * t4537 / 0.4e1 - t162 * t4540 / 0.4e1 - t509 * t4543 / 0.2e1 - t509 * t4546 / 0.2e1 - t610 * t764 / 0.2e1 - t610 * t768 / 0.4e1 + t610 * t781 / 0.4e1 - t379 * t1111 / 0.2e1 - t162 * t4557 / 0.2e1 - t162 * t4560 / 0.2e1 - t379 * t1114 / 0.4e1;
  t4566 = t3030 * t1065;
  t4569 = t758 * t3544;
  t4578 = t2156 * t775;
  t4579 = t318 * t4578;
  t4585 = t2885 * t211 * t165;
  t4589 = t775 * t573 * t165;
  t4594 = t3211 * t3992;
  t4597 = t287 * t122;
  t4598 = t169 * t4597;
  t4599 = t1996 * t4598;
  t4602 = t162 * t4566 / 0.2e1 + t162 * t4569 / 0.2e1 - t533 * t777 / 0.12e2 - t208 * t2908 / 0.12e2 - t208 * t2912 / 0.12e2 - t127 * t4579 / 0.12e2 + t379 * t1126 / 0.4e1 + t162 * t4585 / 0.4e1 + t162 * t4589 / 0.4e1 + t379 * t1117 / 0.2e1 - t3747 + t3749 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 + 0.3e1 / 0.2e1 * t2004 * t4594 - t1961 * t4599 / 0.6e1;
  t4605 = t1395 * t4597;
  t4606 = t1962 * t4605;
  t4609 = t4434 * t622;
  t4612 = t2966 * t539;
  t4613 = t548 * t4612;
  t4640 = t318 * t4612;
  t4649 = t1961 * t4606 / 0.3e1 - t2011 * t4609 / 0.2e1 - t546 * t4613 / 0.12e2 - t208 * t2972 / 0.12e2 + t259 * t2162 / 0.12e2 - t791 * t3449 / 0.12e2 - t259 * t2158 / 0.12e2 + t2998 * t1016 / 0.3e1 + t791 * t4232 / 0.3e1 + t791 * t3503 / 0.3e1 + t259 * t3804 / 0.12e2 + t259 * t3484 / 0.12e2 - t823 * t637 / 0.2e1 - t823 * t641 / 0.4e1 + t823 * t627 / 0.4e1 + t538 * t4640 / 0.6e1 + t208 * t2968 / 0.12e2 + t610 * t772 / 0.4e1 - t1689 * t1108 / 0.2e1;
  t4660 = t1982 * t4598;
  t4665 = t1962 * t4598;
  t4668 = t263 * t3824;
  t4671 = t2956 * t990;
  t4674 = t881 * t4015;
  t4676 = t3227 * t4254;
  t4679 = t877 * t4258;
  t4682 = t2951 * t1057;
  t4685 = t877 * t3820;
  t4688 = t400 * t4438;
  t4689 = t2323 * t4688;
  t4692 = t582 * t2947;
  t4700 = t387 * t1126 / 0.12e2 - t525 * t777 / 0.36e2 + t387 * t1117 / 0.6e1 - t387 * t1114 / 0.12e2 - t387 * t1111 / 0.6e1 + t1978 * t4660 / 0.6e1 + t1993 * t2993 / 0.12e2 - t1961 * t4665 / 0.12e2 + t2004 * t4668 / 0.2e1 - t1397 * t4671 / 0.4e1 - t2004 * t4674 + 0.3e1 / 0.2e1 * t2004 * t4676 + t2004 * t4679 / 0.2e1 - t1397 * t4682 / 0.2e1 + t2004 * t4685 / 0.2e1 + 0.3e1 * t2022 * t4689 + t2022 * t4692 - t1763 * t1108 / 0.6e1 + t2900 * t1016 / 0.9e1 - t2900 * t1010 / 0.18e2;
  t4720 = t1099 * t159;
  t4721 = t158 * t4720;
  t4722 = t106 * t4721;
  t4737 = t138 * t1101;
  t4740 = t806 * t932 / 0.36e2 - t2900 * t1005 / 0.36e2 + t2917 * t1002 / 0.18e2 + t2248 * t274 / 0.12e2 + t3322 * t223 / 0.12e2 - t525 * t818 / 0.36e2 - t806 * t569 / 0.36e2 - t813 * t569 / 0.12e2 - t259 * t2253 / 0.12e2 + t4722 * t166 / 0.4e1 + t3366 * t223 / 0.4e1 - t533 * t818 / 0.12e2 - t208 * t3361 / 0.12e2 + t823 * t631 / 0.4e1 + t2243 * t274 / 0.4e1 + t610 * t829 / 0.4e1 - t127 * t4737 / 0.12e2 - t3829 - t3852;
  t4741 = t881 * t3444;
  t4755 = t2943 * t1052;
  t4764 = t555 * t4612;
  t4767 = t821 * t539;
  t4768 = t548 * t4767;
  t4781 = t3867 - t2004 * t4741 / 0.2e1 + t2874 * t3432 / 0.6e1 - t2874 * t3436 / 0.3e1 - t4482 * t3936 / 0.2e1 + 0.7e1 / 0.3e1 * t4482 * t3971 - 0.3e1 / 0.2e1 * t4482 * t3975 + t4503 * t3990 - t2011 * t4755 / 0.2e1 + t2874 * t4251 / 0.3e1 - t2874 * t4222 / 0.6e1 - 0.2e1 / 0.3e1 * t2874 * t4247 - t546 * t4764 / 0.6e1 + t546 * t4768 / 0.3e1 - t3389 * t623 / 0.2e1 + t823 * t646 / 0.2e1 - t2452 * t759 / 0.2e1 + t610 * t796 / 0.2e1 - t791 * t3421 / 0.6e1 + t3869;
  t4785 = my_piecewise3(t3, 0, t4479 + t4519 + t4565 + t4602 + t4649 + t4700 + t4740 + t4781);
  tv3rhosigmatau0 = 0.2e1 * rho[0] * t4785 + 0.2e1 * t1130;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  t4788 = t1132 * t1533;
  t4789 = t1743 * t4788;
  t4790 = t4789 * t3760;
  t4793 = t1132 * t1581;
  t4794 = t363 * t4793;
  t4795 = t106 * t4794;
  t4799 = t1531 * t4788;
  t4800 = t106 * t4799;
  t4811 = t1472 * t1148;
  t4812 = t305 * t4811;
  t4820 = t307 * t664;
  t4823 = t1485 * t669;
  t4826 = t307 * t231;
  t4833 = t236 * t326;
  t4838 = t696 * t365;
  t4841 = 0.2e1 / 0.3e1 * t3454 * t1260 + 0.2e1 * t307 * t658 * t165 - 0.4e1 * t4820 * t636 + 0.4e1 / 0.3e1 * t4823 * t622 - 0.2e1 * t4826 * t334 + 0.4e1 * t4823 * t645 - 0.2e1 * t705 * t138 + 0.4e1 * t4833 * t636 + 0.2e1 * t239 * t334 - 0.4e1 * t4838 * t645;
  t4842 = t95 * t4841;
  t4843 = t306 * t4842;
  t4844 = t305 * t4843;
  t4853 = -0.3e1 * t509 * t4790 + t4795 * t556 - 0.2e1 * t4795 * t562 - 0.11e2 / 0.18e2 * t4800 * t3724 + 0.23e2 / 0.36e2 * t4800 * t3727 - 0.5e1 / 0.36e2 * t4800 * t3796 - t1140 * t1609 / 0.12e2 + t661 * t1150 / 0.12e2 + t233 * t4812 / 0.12e2 + t233 * t4844 / 0.12e2 - t1135 * t315 / 0.6e1 + t4795 * t549 / 0.2e1 + t1135 * t320 / 0.6e1;
  t4854 = t510 * t1138;
  t4855 = t4854 * t1448;
  t4857 = t296 * t1163;
  t4858 = t4857 * t512;
  t4868 = t2629 * t1198;
  t4872 = t303 * t137 * t4841;
  t4873 = t745 * t4872;
  t4877 = t135 * t137 * t658;
  t4878 = t741 * t4877;
  t4880 = t163 * t1138;
  t4881 = t4880 * t636;
  t4884 = t372 * t658;
  t4885 = t371 * t4884;
  t4886 = t729 * t4885;
  t4888 = t510 * t4793;
  t4889 = t4888 * t622;
  t4892 = t509 * t4855 - t509 * t4858 / 0.2e1 - t719 * t742 - t719 * t746 / 0.2e1 + t719 * t734 / 0.2e1 - 0.2e1 / 0.3e1 * t1140 * t1468 - t162 * t4868 / 0.4e1 - t162 * t4873 / 0.4e1 - t162 * t4878 + 0.3e1 / 0.2e1 * t162 * t4881 - t509 * t4886 + 0.3e1 * t509 * t4889 - t913 + t984;
  t4902 = t95 * t658;
  t4903 = t160 * t4902;
  t4904 = t548 * t4903;
  t4913 = t4789 * t3739;
  t4918 = t1140 * t1588 / 0.3e1 + t233 * t2787 / 0.6e1 - t671 * t4277 / 0.6e1 - t233 * t2779 / 0.6e1 + 0.2e1 / 0.3e1 * t671 * t4904 + 0.2e1 / 0.3e1 * t671 * t3953 - 0.3e1 / 0.2e1 * t4800 * t3429 - t2861 * t730 + t719 * t749 + 0.3e1 / 0.2e1 * t1742 * t4913 - t103 * t1184 / 0.12e2 - t3520 + t3524;
  t4919 = t1147 * t122;
  t4920 = t404 * t4919;
  t4921 = t693 * t4920;
  t4924 = t1147 * t312;
  t4925 = t1883 * t4924;
  t4926 = t237 * t4925;
  t4929 = t2490 * t1198;
  t4942 = t1182 * t159;
  t4943 = t158 * t4942;
  t4944 = t106 * t4943;
  t4951 = -t3575 + t2004 * t4921 / 0.2e1 + t2004 * t4926 / 0.2e1 - t1397 * t4929 / 0.4e1 - t3747 + t3749 - t1140 * t1675 / 0.6e1 - t661 * t686 / 0.6e1 - t233 * t2827 / 0.6e1 + t1135 * t359 / 0.6e1 - t1140 * t1528 / 0.12e2 + t4944 * t166 / 0.4e1 + t2816 * t248 / 0.2e1 + t1140 * t1679 / 0.3e1;
  t4962 = t138 * t1184;
  t4965 = t1183 * t194;
  t4970 = -t379 * t1194 / 0.2e1 + t379 * t1202 / 0.2e1 + t719 * t738 / 0.2e1 - t1689 * t1190 / 0.2e1 - t127 * t4962 / 0.12e2 - t22 * t4965 / 0.4e1 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 - t4800 * t3730 / 0.2e1;
  t4973 = t62 * t1147;
  t4974 = t4973 * t122;
  t4975 = t427 * t4974;
  t4978 = t414 * t4974;
  t4981 = t149 * t4974;
  t4984 = t4973 * t312;
  t4985 = t149 * t4984;
  t4988 = t60 * t4841;
  t4989 = t404 * t4988;
  t4992 = t60 * t658;
  t4993 = t409 * t4992;
  t4996 = t69 * t1132;
  t4997 = t4996 * t1745;
  t5000 = -0.2e1 * t2687 * t4975 + t2687 * t4978 / 0.3e1 + 0.2e1 * t2689 * t4981 + 0.2e1 * t4095 * t4985 - t3609 - t3610 - t3614 + t3625 + t237 * t4989 / 0.2e1 - 0.2e1 * t697 * t4993 + 0.1e2 / 0.3e1 * t4997 * t3679;
  t5001 = t400 * t4992;
  t5006 = t1163 * t1698;
  t5013 = t145 * t4992;
  t5016 = t1159 * t1523;
  t5022 = 0.4e1 / 0.3e1 * t697 * t5001 - 0.4e1 / 0.3e1 * t1164 * t1903 - 0.4e1 * t5006 * t591 + t4997 * t3694 / 0.18e2 + 0.2e1 * t1164 * t1931 + 0.2e1 * t693 * t5013 - 0.3e1 * t5016 * t597 - t1160 * t424 + t691 * t1178 / 0.2e1 + t3688 + t3690 - t3697;
  t5024 = t1177 * t122;
  t5025 = t404 * t5024;
  t5027 = t1177 * t312;
  t5028 = t1883 * t5027;
  t5030 = t63 * t658;
  t5031 = t145 * t5030;
  t5040 = t400 * t5030;
  t5048 = t3704 - t693 * t5025 - t237 * t5028 - 0.4e1 * t693 * t5031 + 0.6e1 * t5016 * t578 + 0.2e1 * t1160 * t406 + 0.2e1 * t5006 * t583 - 0.2e1 / 0.3e1 * t697 * t5040 + 0.2e1 / 0.3e1 * t1164 * t1877 - t4997 * t3632 / 0.9e1 - t691 * t1168;
  t5051 = t1879 * t5024;
  t5057 = t63 * t4841;
  t5058 = t404 * t5057;
  t5060 = t1756 * t5024;
  t5063 = t409 * t5030;
  t5072 = 0.6e1 * t4997 * t3667 + t697 * t5051 - 0.12e2 * t5006 * t587 - 0.2e1 / 0.3e1 * t4997 * t3664 - t237 * t5058 - 0.2e1 / 0.3e1 * t697 * t5060 + 0.4e1 * t697 * t5063 - 0.4e1 * t1164 * t1880 + 0.6e1 * t5006 * t601 - 0.3e1 * t4997 * t3672 - t962 + t943;
  t5074 = t5000 + t5022 + t5048 + t5072;
  t5075 = t59 * t5074;
  t5076 = t5075 * t96;
  t5079 = t500 * t4919;
  t5080 = t1974 * t5079;
  t5083 = t96 * t4919;
  t5084 = t1404 * t5083;
  t5087 = t96 * t4924;
  t5088 = t3582 * t5087;
  t5091 = t1974 * t5083;
  t5094 = t193 * t1147;
  t5095 = t169 * t5094;
  t5096 = t1404 * t5095;
  t5099 = t230 * t1147;
  t5100 = t1756 * t5099;
  t5101 = t2024 * t5100;
  t5104 = t1879 * t4919;
  t5105 = t697 * t5104;
  t5108 = t1968 * t5083;
  t5111 = t306 * t4902;
  t5112 = t555 * t5111;
  t5121 = 0.7e1 / 0.3e1 * t4800 * t3417 - t22 * t5076 / 0.4e1 - t2471 * t5080 / 0.3e1 - t2485 * t5084 / 0.6e1 - t2511 * t5088 / 0.6e1 + t2471 * t5091 / 0.12e2 + t2511 * t5096 / 0.12e2 + t2022 * t5101 / 0.2e1 - t2004 * t5105 / 0.2e1 + t2471 * t5108 / 0.6e1 - t671 * t5112 / 0.3e1 + t1140 * t1464 / 0.3e1 - t1140 * t1452 / 0.6e1 + t666 * t4272 / 0.3e1;
  t5123 = t4888 * t645;
  t5126 = t4789 * t3411;
  t5133 = t382 * t1139;
  t5142 = t382 * t1134;
  t5151 = -0.3e1 * t162 * t5123 + 0.3e1 / 0.2e1 * t162 * t5126 - t671 * t3949 / 0.3e1 - t1763 * t1190 / 0.6e1 + t5133 * t502 / 0.9e1 - t654 * t686 / 0.18e2 - t5133 * t497 / 0.18e2 - t5133 * t374 / 0.36e2 + t5142 * t139 / 0.18e2 + t387 * t1202 / 0.6e1 - t387 * t1194 / 0.6e1 + t2822 * t248 / 0.6e1 - t3829 - t3852;
  t5152 = t548 * t5111;
  t5157 = t318 * t5111;
  t5160 = t109 * t1138;
  t5161 = t106 * t5160;
  t5169 = t371 * t408 * t658;
  t5170 = t729 * t5169;
  t5172 = t4854 * t1442;
  t5174 = t4857 * t516;
  t5177 = t163 * t1133;
  t5178 = t5177 * t334;
  t5182 = t296 * t1159 * t328;
  t5187 = t3867 - t671 * t5152 / 0.6e1 + t1140 * t1456 / 0.6e1 + t666 * t5157 / 0.3e1 - t5161 * t541 / 0.2e1 - t387 * t1199 / 0.12e2 + t654 * t1150 / 0.36e2 + t162 * t5170 - t162 * t5172 + t162 * t5174 / 0.2e1 + t162 * t5178 / 0.2e1 - t162 * t5182 / 0.2e1 - t379 * t1199 / 0.4e1 + t3869;
  t5191 = my_piecewise3(t3, 0, t4853 + t4892 + t4918 + t4951 + t4970 + t5121 + t5151 + t5187);
  tv3rholapl20 = 0.2e1 * rho[0] * t5191 + 0.2e1 * t1206;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  t5194 = t1251 * t194;
  t5197 = t243 * t870;
  t5200 = t713 * t288;
  t5207 = t1472 * t1208;
  t5208 = t548 * t5207;
  t5229 = t3030 * t1260;
  t5238 = -t22 * t5194 / 0.4e1 - t22 * t5197 / 0.4e1 - t22 * t5200 / 0.4e1 + t785 * t5157 / 0.6e1 - t2998 * t1213 / 0.12e2 - t791 * t5208 / 0.12e2 - t791 * t5152 / 0.12e2 + t813 * t1150 / 0.12e2 + t259 * t4812 / 0.12e2 + t233 * t2968 / 0.12e2 - t671 * t4613 / 0.12e2 - t233 * t2972 / 0.12e2 - t791 * t4277 / 0.12e2 - t259 * t2779 / 0.12e2 + t2998 * t1224 / 0.3e1 - t509 * t5229 / 0.2e1 - t823 * t742 / 0.2e1 - t823 * t746 / 0.4e1 + t823 * t734 / 0.4e1;
  t5241 = t2986 * t664;
  t5242 = t5241 * t636;
  t5245 = t2986 * t231;
  t5246 = t5245 * t334;
  t5249 = t2943 * t1273;
  t5258 = t263 * t4925;
  t5261 = t2956 * t1198;
  t5264 = t1879 * t2496;
  t5265 = t881 * t5264;
  t5267 = t145 * t3981;
  t5268 = t3227 * t5267;
  t5271 = t404 * t2496;
  t5272 = t877 * t5271;
  t5277 = t555 * t5207;
  t5286 = t666 * t4640 / 0.6e1 - t913 + t984 - t1397 * t5242 / 0.2e1 - t1397 * t5246 / 0.4e1 + t1397 * t5249 / 0.2e1 + t2485 * t4660 / 0.6e1 + t2511 * t2993 / 0.12e2 - t2471 * t4665 / 0.12e2 + t2004 * t5258 / 0.2e1 - t1397 * t5261 / 0.4e1 - t2004 * t5265 + 0.3e1 / 0.2e1 * t2004 * t5268 + t2004 * t5272 / 0.2e1 - t2998 * t1218 / 0.6e1 - t791 * t5277 / 0.6e1 - t791 * t5112 / 0.6e1 + t785 * t4272 / 0.6e1 + t259 * t2787 / 0.12e2;
  t5288 = t318 * t5207;
  t5291 = t377 * t1208;
  t5292 = t548 * t5291;
  t5317 = t3036 * t1265;
  t5320 = t763 * t4877;
  t5325 = t785 * t5288 / 0.6e1 + t791 * t5292 / 0.3e1 + t791 * t4904 / 0.3e1 + t259 * t4844 / 0.12e2 + t2927 * t1210 / 0.6e1 + t387 * t1283 / 0.12e2 - t654 * t777 / 0.36e2 + t387 * t1274 / 0.6e1 - t387 * t1269 / 0.12e2 - t387 * t1266 / 0.6e1 - t1763 * t1261 / 0.6e1 - t3520 + t3524 - t3575 - t233 * t2912 / 0.12e2 - t379 * t1266 / 0.2e1 - t162 * t5317 / 0.2e1 - t162 * t5320 / 0.2e1 - t379 * t1269 / 0.4e1;
  t5326 = t2896 * t1198;
  t5329 = t767 * t4872;
  t5333 = t2885 * t236 * t165;
  t5337 = t775 * t690 * t165;
  t5342 = t3030 * t1273;
  t5345 = t758 * t5169;
  t5352 = t2777 * t775;
  t5353 = t318 * t5352;
  t5372 = t96 * t3981;
  t5373 = t1982 * t5372;
  t5376 = t1756 * t3981;
  t5377 = t3211 * t5376;
  t5380 = -t162 * t5326 / 0.4e1 - t162 * t5329 / 0.4e1 + t162 * t5333 / 0.4e1 + t162 * t5337 / 0.4e1 + t379 * t1274 / 0.2e1 + t162 * t5342 / 0.2e1 + t162 * t5345 / 0.2e1 - t661 * t777 / 0.12e2 - t233 * t2908 / 0.12e2 - t127 * t5353 / 0.12e2 + t719 * t781 / 0.4e1 + t379 * t1283 / 0.4e1 + t791 * t3953 / 0.3e1 - t671 * t4764 / 0.6e1 + t671 * t4768 / 0.3e1 - t3389 * t730 / 0.2e1 + t823 * t749 / 0.2e1 - t2861 * t759 / 0.2e1 - t4510 * t5373 / 0.2e1 + 0.3e1 / 0.2e1 * t2004 * t5377;
  t5387 = t4433 * t669;
  t5388 = t5387 * t622;
  t5391 = t5387 * t645;
  t5394 = t2701 * t4443;
  t5404 = t590 * t230;
  t5405 = t1751 * t5404;
  t5408 = t1240 * t312;
  t5409 = t1756 * t5408;
  t5412 = t409 * t5404;
  t5416 = t1756 * t5404;
  t5423 = t400 * t5404;
  t5428 = -t263 * t5058 - 0.2e1 / 0.3e1 * t881 * t5060 + 0.2e1 * t3220 * t1237 + 0.2e1 * t881 * t5063 + 0.1e2 / 0.3e1 * t3211 * t5405 - 0.4e1 / 0.3e1 * t881 * t5409 + 0.6e1 * t3214 * t5412 + t881 * t5051 - 0.3e1 * t3211 * t5416 - 0.2e1 * t3246 * t1230 - 0.2e1 * t877 * t5031 - 0.4e1 * t3214 * t5423 - t3220 * t1233 / 0.3e1;
  t5429 = t1879 * t5408;
  t5432 = t145 * t5404;
  t5435 = t404 * t5408;
  t5441 = t1746 * t5404;
  t5447 = t62 * t230;
  t5448 = t5447 * t312;
  t5449 = t427 * t5448;
  t5452 = t5447 * t122;
  t5453 = t149 * t5452;
  t5456 = t149 * t5448;
  t5459 = t414 * t5452;
  t5462 = 0.2e1 * t881 * t5429 - 0.3e1 * t3227 * t5432 - t877 * t5435 - t877 * t5025 - t263 * t5028 - t881 * t5040 / 0.3e1 + t3211 * t5441 / 0.18e2 - t875 * t1168 + t3197 * t4978 / 0.3e1 - 0.4e1 * t3197 * t5449 + 0.6e1 * t4365 * t5453 + 0.2e1 * t3200 * t5456 + 0.2e1 * t4360 * t5459;
  t5466 = t427 * t5452;
  t5469 = t414 * t5448;
  t5472 = t1857 * t5452;
  t5479 = t1845 * t5452;
  t5486 = 0.6e1 * t4344 * t5459 - 0.12e2 * t4360 * t5466 + 0.2e1 / 0.3e1 * t3197 * t5469 - t4344 * t5472 / 0.9e1 + 0.2e1 * t3200 * t4981 + 0.2e1 * t4349 * t4985 - 0.2e1 / 0.3e1 * t4344 * t5479 - 0.2e1 * t3197 * t4975 - t3609 - t3610 - t3614 + t3625 + t263 * t4989 / 0.2e1;
  t5497 = -t3220 * t1248 - t881 * t4993 + 0.2e1 / 0.3e1 * t3220 * t1241 + 0.2e1 / 0.3e1 * t881 * t5001 + t3246 * t1244 + t877 * t5013 + t875 * t1178 / 0.2e1 + t3688 + t3690 - t3697 + t3704 - t962 + t943;
  t5499 = t5428 + t5462 + t5486 + t5497;
  t5500 = t59 * t5499;
  t5501 = t5500 * t96;
  t5508 = t138 * t1252;
  t5511 = t1250 * t159;
  t5512 = t158 * t5511;
  t5513 = t106 * t5512;
  t5530 = -t2471 * t4599 / 0.6e1 + t2471 * t4606 / 0.3e1 - t2011 * t5388 / 0.2e1 + t1397 * t5391 / 0.2e1 - 0.3e1 * t2022 * t5394 - t22 * t5501 / 0.4e1 - t3747 + t3749 + t2816 * t274 / 0.4e1 + t719 * t829 / 0.4e1 - t127 * t5508 / 0.12e2 + t5513 * t166 / 0.4e1 + t3366 * t248 / 0.4e1 + t823 * t738 / 0.4e1 - t813 * t686 / 0.12e2 - t259 * t2827 / 0.12e2 - t806 * t686 / 0.36e2 - t661 * t818 / 0.12e2 - t233 * t3361 / 0.12e2;
  t5547 = t3961 * t5372;
  t5550 = t500 * t3981;
  t5551 = t3965 * t5550;
  t5560 = t758 * t4885;
  t5563 = t3322 * t248 / 0.12e2 - t654 * t818 / 0.36e2 + t2822 * t274 / 0.12e2 + t2900 * t1224 / 0.9e1 - t2900 * t1218 / 0.18e2 + t806 * t1150 / 0.36e2 - t2900 * t1213 / 0.36e2 + t2917 * t1210 / 0.18e2 - 0.11e2 / 0.18e2 * t4482 * t5547 + 0.23e2 / 0.36e2 * t4482 * t5551 + t2874 * t5108 / 0.6e1 - t2874 * t5080 / 0.3e1 - t103 * t1279 / 0.12e2 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 - t509 * t5560 / 0.2e1;
  t5573 = t409 * t3981;
  t5574 = t3214 * t5573;
  t5577 = t256 * t1147;
  t5578 = t1756 * t5577;
  t5579 = t2024 * t5578;
  t5582 = t881 * t5104;
  t5585 = t1974 * t5372;
  t5588 = t3961 * t5550;
  t5591 = t1733 * t3981;
  t5595 = t2701 * t4439;
  t5598 = t1996 * t5372;
  t5600 = t1962 * t5550;
  t5605 = t2951 * t1265;
  t5608 = t877 * t4920;
  t5611 = t2708 * t4688;
  t5614 = t697 * t2947;
  t5616 = t2943 * t1260;
  t5619 = -t719 * t764 / 0.2e1 - t719 * t768 / 0.4e1 + t719 * t772 / 0.4e1 - t1689 * t1261 / 0.2e1 - 0.3e1 * t2004 * t5574 + t2022 * t5579 / 0.2e1 - t2004 * t5582 / 0.2e1 - t4482 * t5585 / 0.2e1 + 0.7e1 / 0.3e1 * t4482 * t5588 - 0.3e1 / 0.2e1 * t4482 * t3965 * t5591 + 0.3e1 / 0.2e1 * t3980 * t5595 + t4503 * t5598 - 0.2e1 * t4503 * t5600 - t103 * t1252 / 0.12e2 - t1397 * t5605 / 0.2e1 + t2004 * t5608 / 0.2e1 + 0.3e1 * t2022 * t5611 + t2022 * t5614 - t2011 * t5616 / 0.2e1;
  t5620 = t193 * t230;
  t5621 = t1395 * t5620;
  t5622 = t1962 * t5621;
  t5625 = t169 * t5620;
  t5626 = t1996 * t5625;
  t5629 = t500 * t2496;
  t5630 = t1974 * t5629;
  t5635 = t96 * t2496;
  t5636 = t1968 * t5635;
  t5639 = t3965 * t5372;
  t5642 = t1962 * t5625;
  t5651 = t1404 * t5635;
  t5654 = t1962 * t5372;
  t5657 = t1982 * t5625;
  t5660 = t1974 * t5635;
  t5667 = t2874 * t5622 / 0.3e1 - t2874 * t5626 / 0.6e1 - 0.2e1 / 0.3e1 * t2874 * t5630 + t3168 * t5096 / 0.12e2 + t2874 * t5636 / 0.3e1 - 0.5e1 / 0.36e2 * t4482 * t5639 - t2874 * t5642 / 0.12e2 - t3162 * t5084 / 0.6e1 - t3168 * t5088 / 0.6e1 + t2874 * t5091 / 0.12e2 - t3162 * t5651 / 0.6e1 + t4503 * t5654 / 0.2e1 + t3162 * t5657 / 0.6e1 + t2874 * t5660 / 0.6e1 - t3829 - t3852 + t3867 + t3869 + t719 * t796 / 0.2e1 - t791 * t3949 / 0.6e1;
  t5671 = my_piecewise3(t3, 0, t5238 + t5286 + t5325 + t5380 + t5530 + t5563 + t5619 + t5667);
  tv3rholapltau0 = 0.2e1 * rho[0] * t5671 + 0.2e1 * t1287;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  t5682 = t2966 * t775;
  t5683 = t318 * t5682;
  t5695 = t95 * t810;
  t5696 = t306 * t5695;
  t5697 = t548 * t5696;
  t5702 = t318 * t5696;
  t5705 = t109 * t1295;
  t5706 = t106 * t5705;
  t5711 = t1289 * t1581;
  t5712 = t363 * t5711;
  t5713 = t106 * t5712;
  t5716 = t2986 * t762;
  t5717 = t5716 * t636;
  t5719 = -t103 * t1348 / 0.6e1 - t103 * t1388 / 0.12e2 - t823 * t768 / 0.2e1 + t823 * t772 / 0.2e1 - t127 * t5683 / 0.6e1 + t823 * t781 / 0.2e1 - t823 * t764 + t1297 * t1588 / 0.3e1 - t813 * t777 / 0.6e1 - t259 * t2908 / 0.6e1 - t791 * t5697 / 0.6e1 + t1297 * t1456 / 0.6e1 + t785 * t5702 / 0.3e1 - t5706 * t541 / 0.2e1 - t1292 * t315 / 0.6e1 + t5713 * t549 / 0.2e1 - t1397 * t5717;
  t5720 = t2986 * t257;
  t5721 = t5720 * t334;
  t5724 = t1304 * t122;
  t5725 = t404 * t5724;
  t5726 = t877 * t5725;
  t5729 = t1304 * t312;
  t5730 = t1883 * t5729;
  t5731 = t263 * t5730;
  t5734 = t2956 * t1364;
  t5737 = t96 * t5724;
  t5738 = t1404 * t5737;
  t5741 = t96 * t5729;
  t5742 = t3582 * t5741;
  t5745 = t1974 * t5737;
  t5748 = t193 * t1304;
  t5749 = t169 * t5748;
  t5750 = t1404 * t5749;
  t5760 = t135 * t137 * t810;
  t5761 = t763 * t5760;
  t5763 = t163 * t1295;
  t5764 = t5763 * t636;
  t5768 = t2885 * t262 * t165;
  t5772 = t775 * t874 * t165;
  t5775 = t372 * t810;
  t5776 = t371 * t5775;
  t5777 = t758 * t5776;
  t5779 = t510 * t5711;
  t5780 = t5779 * t622;
  t5783 = -t1397 * t5721 / 0.2e1 + t2004 * t5726 / 0.2e1 + t2004 * t5731 / 0.2e1 - t1397 * t5734 / 0.4e1 - t3162 * t5738 / 0.6e1 - t3168 * t5742 / 0.6e1 + t2874 * t5745 / 0.12e2 + t3168 * t5750 / 0.12e2 + t3162 * t4660 / 0.3e1 + t3168 * t2993 / 0.6e1 - t2874 * t4665 / 0.6e1 - t162 * t5761 + 0.3e1 / 0.2e1 * t162 * t5764 + t162 * t5768 / 0.2e1 + t162 * t5772 / 0.2e1 - t509 * t5777 + 0.3e1 * t509 * t5780;
  t5785 = t510 * t1295;
  t5786 = t5785 * t1448;
  t5788 = t296 * t1322;
  t5789 = t5788 * t512;
  t5802 = params->at * t1386;
  t5803 = t306 * t5802;
  t5804 = t318 * t5803;
  t5808 = t5802 * t142 * t165;
  t5813 = t2896 * t1364;
  t5817 = t371 * t372 * t256;
  t5823 = t307 * t762;
  t5826 = t1485 * t757;
  t5829 = t307 * t257;
  t5836 = t262 * t326;
  t5841 = t880 * t365;
  t5844 = 0.2e1 / 0.3e1 * t3454 * t5817 + 0.2e1 * t307 * t810 * t165 - 0.4e1 * t5823 * t636 + 0.4e1 / 0.3e1 * t5826 * t622 - 0.2e1 * t5829 * t334 + 0.4e1 * t5826 * t645 - 0.2e1 * t889 * t138 + 0.4e1 * t5836 * t636 + 0.2e1 * t265 * t334 - 0.4e1 * t5841 * t645;
  t5846 = t303 * t137 * t5844;
  t5847 = t767 * t5846;
  t5850 = t509 * t5786 - t509 * t5789 / 0.2e1 + t379 * t1356 / 0.2e1 + t806 * t1307 / 0.36e2 - t806 * t777 / 0.18e2 + t387 * t1356 / 0.6e1 - t387 * t1365 / 0.12e2 - t913 + t984 - t3520 + t3524 - t3575 - t127 * t5804 / 0.12e2 + t162 * t5808 / 0.4e1 - t379 * t1365 / 0.4e1 - t162 * t5813 / 0.4e1 - t162 * t5847 / 0.4e1;
  t5852 = t371 * t408 * t810;
  t5853 = t758 * t5852;
  t5855 = t163 * t1290;
  t5856 = t5855 * t334;
  t5860 = t296 * t1318 * t328;
  t5863 = t269 * t870;
  t5866 = t154 * t1387;
  t5871 = 0.1e1 / t1787;
  t5872 = t5871 * t84;
  t5875 = t5871 * tau[0];
  t5896 = -0.4e2 / 0.3e1 * t844 * t173 - 0.4e2 * t5872 * tau[0] - 0.68e3 * t1821 * t5875 + 0.2e3 / 0.3e1 * t451 * t844 - 0.104e4 * t1824 * t5875 + 0.24e3 * t458 * t844 + 0.12e4 * t1827 * t5875 + 0.8e2 / 0.3e1 * t463 * t844 + 0.3e4 * t1830 * t5875 - 0.1e4 / 0.3e1 * t468 * t844 + 0.14e4 * t1835 * t5875 - 0.2e3 * t475 * t844;
  t5897 = t169 * t5896;
  t5898 = t65 * t5897;
  t5901 = t1342 * t194;
  t5904 = t897 * t288;
  t5909 = t1289 * t1533;
  t5910 = t1531 * t5909;
  t5911 = t106 * t5910;
  t5918 = t5785 * t1442;
  t5920 = t5788 * t516;
  t5923 = t1968 * t5737;
  t5926 = t500 * t5724;
  t5927 = t1974 * t5926;
  t5930 = t162 * t5853 + t162 * t5856 / 0.2e1 - t162 * t5860 / 0.2e1 - t22 * t5863 / 0.2e1 - t22 * t5866 / 0.4e1 - t22 * t5898 / 0.4e1 - t22 * t5901 / 0.4e1 - t22 * t5904 / 0.2e1 + 0.2e1 / 0.3e1 * t791 * t4768 - 0.3e1 / 0.2e1 * t5911 * t3429 - t3389 * t759 + t5713 * t556 - 0.2e1 * t5713 * t562 - t162 * t5918 + t162 * t5920 / 0.2e1 + t2874 * t5923 / 0.6e1 - t2874 * t5927 / 0.3e1;
  t5937 = t160 * t5695;
  t5938 = t548 * t5937;
  t5963 = t138 * t1343;
  t5966 = -t2874 * t4599 / 0.3e1 - t259 * t2912 / 0.6e1 + 0.2e1 / 0.3e1 * t791 * t5938 - 0.2e1 / 0.3e1 * t1297 * t1468 + t785 * t4640 / 0.3e1 + t259 * t2968 / 0.6e1 - t791 * t4613 / 0.6e1 - t259 * t2972 / 0.6e1 - t3747 + t3749 - t1297 * t1675 / 0.6e1 - t813 * t818 / 0.6e1 - t259 * t3361 / 0.6e1 + t1292 * t359 / 0.6e1 - t1297 * t1528 / 0.12e2 + t823 * t829 / 0.2e1 - t127 * t5963 / 0.12e2;
  t5969 = t382 * t1296;
  t5974 = t382 * t1291;
  t5983 = t1341 * t159;
  t5984 = t158 * t5983;
  t5985 = t106 * t5984;
  t6002 = t555 * t5696;
  t6007 = t1297 * t1679 / 0.3e1 - t5969 * t497 / 0.18e2 - t5969 * t374 / 0.36e2 + t5974 * t139 / 0.18e2 - t379 * t1360 / 0.2e1 + t379 * t1368 / 0.2e1 - t1689 * t1352 / 0.2e1 + t5985 * t166 / 0.4e1 + t3366 * t274 / 0.2e1 - t387 * t1360 / 0.6e1 - t1763 * t1352 / 0.6e1 + t3322 * t274 / 0.6e1 + t5969 * t502 / 0.9e1 - t806 * t818 / 0.18e2 + t387 * t1368 / 0.6e1 - t791 * t6002 / 0.3e1 + t1297 * t1464 / 0.3e1;
  t6017 = t1472 * t1305;
  t6018 = t305 * t6017;
  t6021 = t95 * t5844;
  t6022 = t306 * t6021;
  t6023 = t305 * t6022;
  t6028 = t62 * t1304;
  t6029 = t6028 * t122;
  t6030 = t149 * t6029;
  t6033 = t6028 * t312;
  t6034 = t149 * t6033;
  t6037 = t414 * t6029;
  t6040 = t427 * t6029;
  t6043 = t69 * t1289;
  t6044 = t6043 * t1745;
  t6048 = t63 * t5844;
  t6049 = t404 * t6048;
  t6051 = t590 * t1304;
  t6052 = t1756 * t6051;
  t6055 = t63 * t810;
  t6056 = t145 * t6055;
  t6059 = t1318 * t1523;
  t6062 = t409 * t6055;
  t6065 = 0.2e1 * t3200 * t6030 + 0.2e1 * t4349 * t6034 + t3197 * t6037 / 0.3e1 - 0.2e1 * t3197 * t6040 - t6044 * t3632 / 0.9e1 - t875 * t1327 - t263 * t6049 - 0.2e1 / 0.3e1 * t881 * t6052 - 0.4e1 * t877 * t6056 + 0.6e1 * t6059 * t578 + 0.4e1 * t881 * t6062;
  t6068 = t404 * t6051;
  t6070 = t1336 * t312;
  t6071 = t1883 * t6070;
  t6075 = t1322 * t1698;
  t6078 = t400 * t6055;
  t6087 = t1879 * t6051;
  t6091 = -0.4e1 * t1323 * t1880 - t877 * t6068 - t263 * t6071 + 0.2e1 * t1319 * t406 + 0.2e1 * t6075 * t583 - 0.2e1 / 0.3e1 * t881 * t6078 + 0.2e1 / 0.3e1 * t1323 * t1877 - 0.2e1 / 0.3e1 * t6044 * t3664 + 0.6e1 * t6044 * t3667 + t881 * t6087 - 0.12e2 * t6075 * t587 - t3609;
  t6095 = t60 * t810;
  t6096 = t145 * t6095;
  t6102 = -t3610 - t3614 + t3625 + t3688 + t3690 - t3697 + t3704 - 0.4e1 / 0.3e1 * t1323 * t1903 + 0.2e1 * t877 * t6096 - 0.3e1 * t6059 * t597 - t1319 * t424;
  t6109 = t400 * t6095;
  t6114 = t60 * t5844;
  t6115 = t404 * t6114;
  t6118 = t409 * t6095;
  t6127 = -0.4e1 * t6075 * t591 + t6044 * t3694 / 0.18e2 + 0.1e2 / 0.3e1 * t6044 * t3679 + 0.4e1 / 0.3e1 * t881 * t6109 + t875 * t1337 / 0.2e1 + t263 * t6115 / 0.2e1 - 0.2e1 * t881 * t6118 + 0.2e1 * t1323 * t1931 + 0.6e1 * t6075 * t601 - 0.3e1 * t6044 * t3672 - t962 + t943;
  t6129 = t6065 + t6091 + t6102 + t6127;
  t6130 = t59 * t6129;
  t6131 = t6130 * t96;
  t6136 = t5779 * t645;
  t6141 = -t1297 * t1452 / 0.6e1 - 0.5e1 / 0.36e2 * t5911 * t3796 - t1297 * t1609 / 0.12e2 + t813 * t1307 / 0.12e2 + t259 * t6018 / 0.12e2 + t259 * t6023 / 0.12e2 + t1292 * t320 / 0.6e1 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 - t22 * t6131 / 0.4e1 - t103 * t1343 / 0.12e2 - 0.3e1 * t162 * t6136 - 0.11e2 / 0.18e2 * t5911 * t3724;
  t6152 = t4433 * t757;
  t6153 = t6152 * t622;
  t6155 = t6152 * t645;
  t6157 = t256 * t1304;
  t6158 = t1756 * t6157;
  t6159 = t2024 * t6158;
  t6162 = t1879 * t5724;
  t6163 = t881 * t6162;
  t6166 = t1743 * t5909;
  t6167 = t6166 * t3411;
  t6171 = t6166 * t3739;
  t6174 = t6166 * t3760;
  t6177 = 0.23e2 / 0.36e2 * t5911 * t3727 - t5911 * t3730 / 0.2e1 + 0.7e1 / 0.3e1 * t5911 * t3417 - t791 * t4764 / 0.3e1 + 0.2e1 / 0.3e1 * t2874 * t4606 - t2011 * t6153 + t1397 * t6155 + t2022 * t6159 / 0.2e1 - t2004 * t6163 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t6167 + t823 * t796 + 0.3e1 / 0.2e1 * t1742 * t6171 - 0.3e1 * t509 * t6174 - t3829 - t3852 + t3867 + t3869;
  t6181 = my_piecewise3(t3, 0, t5719 + t5783 + t5850 + t5930 + t5966 + t6007 + t6141 + t6177);
  tv3rhotau20 = 0.2e1 * rho[0] * t6181 + 0.2e1 * t1392;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  t6184 = t408 * t929;
  t6185 = t1440 * t6184;
  t6186 = t3536 * t6185;
  t6189 = t1463 * t931;
  t6192 = t160 * t930;
  t6193 = t1455 * t6192;
  t6195 = t929 * t929;
  t6197 = t1416 * t137 * t6195;
  t6198 = t640 * t6197;
  t6201 = t95 * t6195;
  t6202 = t306 * t6201;
  t6203 = t1417 * t6202;
  t6206 = t3560 * t990;
  t6212 = 0.2e1 * t307 * t908 * t165;
  t6216 = t1485 * t914;
  t6224 = 0.2e1 * t960 * t138;
  t6231 = 0.2e1 / 0.3e1 * t957 * t373 + t6212 - 0.4e1 * t307 * t914 * t328 + 0.4e1 / 0.3e1 * t6216 * t512 - 0.2e1 * t3466 * t990 + 0.4e1 * t6216 * t516 - t6224 + 0.4e1 * t963 * t138 + 0.2e1 * t214 * t990 - 0.4e1 * t957 * t496;
  t6233 = t303 * t137 * t6231;
  t6234 = t640 * t6233;
  t6237 = t911 * t569;
  t6238 = t6237 / 0.4e1;
  t6241 = t914 * t205;
  t6242 = t6241 * t1581;
  t6243 = t363 * t6242;
  t6244 = t106 * t6243;
  t6249 = -0.3e1 / 0.2e1 * t162 * t6186 + t922 * t6189 / 0.2e1 - t922 * t6193 + t162 * t6198 / 0.2e1 - t208 * t6203 / 0.6e1 + t162 * t6206 - t162 * t6234 / 0.4e1 - t913 + t984 - t6238 + t917 * t569 / 0.2e1 + t6244 * t374 / 0.2e1 - t922 * t2258 / 0.4e1;
  t6250 = t6241 * t1533;
  t6251 = t1531 * t6250;
  t6252 = t106 * t6251;
  t6259 = t6241 * t365;
  t6260 = t109 * t6259;
  t6261 = t106 * t6260;
  t6266 = t610 * t982;
  t6267 = 0.3e1 / 0.4e1 * t6266;
  t6274 = t3782 * t1002;
  t6275 = t6274 / 0.2e1;
  t6276 = t911 * t932;
  t6277 = t6276 / 0.6e1;
  t6282 = -0.5e1 / 0.36e2 * t6252 * t1542 - t922 * t2443 / 0.2e1 + 0.23e2 / 0.36e2 * t6252 * t1684 - t6261 * t139 / 0.2e1 + 0.3e1 / 0.4e1 * t3885 * t223 + t6267 - t208 * t3880 / 0.4e1 - 0.2e1 * t6244 * t502 - 0.11e2 / 0.18e2 * t6252 * t1681 + t6275 + t6277 - t6252 * t1771 / 0.2e1 + 0.7e1 / 0.3e1 * t6252 * t1672;
  t6291 = t1743 * t6241;
  t6292 = t6291 * t1747;
  t6296 = t510 * t6241;
  t6297 = t6296 * t1703;
  t6300 = t6291 * t1757;
  t6304 = t163 * t6241 * t1524;
  t6307 = t6296 * t1699;
  t6312 = t6291 * t1752;
  t6315 = t108 * t6241;
  t6316 = t6315 * t365;
  t6319 = t3612 * t1029;
  t6320 = 0.6e1 * t6319;
  t6323 = t1756 * t952;
  t6325 = t63 * t6231;
  t6326 = t404 * t6325;
  t6328 = t3607 * t1022;
  t6329 = 0.6e1 * t6328;
  t6330 = t942 * t953;
  t6331 = 0.2e1 * t6330;
  t6332 = t3612 * t1025;
  t6333 = t63 * t6195;
  t6334 = t1883 * t6333;
  t6337 = t1879 * t952;
  t6340 = t69 * t6241;
  t6341 = t6340 * t1533;
  t6344 = t362 * t6241;
  t6345 = t6344 * t1581;
  t6354 = t6315 * t1523;
  t6357 = -0.3e1 * t6316 * t150 + t6320 + 0.4e1 * t945 * t953 + t949 * t6323 - t212 * t6326 - t6329 - t6331 - t6332 + 0.2e1 * t212 * t6334 - 0.6e1 * t949 * t6337 - 0.3e1 * t6341 * t1863 + 0.6e1 * t6345 * t428 + 0.1e2 / 0.3e1 * t6341 * t1846 + t6341 * t1858 / 0.18e2 - 0.4e1 * t6345 * t415 + 0.6e1 * t6354 * t146;
  t6358 = t6344 * t1698;
  t6361 = t6340 * t1745;
  t6366 = t1879 * t965;
  t6371 = t60 * t6231;
  t6372 = t404 * t6371;
  t6375 = t3607 * t1036;
  t6376 = 0.3e1 * t6375;
  t6377 = t942 * t966;
  t6378 = t3612 * t1033;
  t6379 = 0.2e1 * t6378;
  t6384 = t1756 * t965;
  t6387 = t60 * t6195;
  t6388 = t1883 * t6387;
  t6390 = t3612 * t1040;
  t6391 = 0.3e1 * t6390;
  t6392 = -0.12e2 * t6358 * t410 - 0.2e1 / 0.3e1 * t6361 * t1936 + 0.6e1 * t6361 * t1928 + 0.3e1 * t949 * t6366 - 0.2e1 * t945 * t966 + t212 * t6372 / 0.2e1 + t6376 + t6377 + t6379 + 0.2e1 * t6358 * t401 - t6361 * t1917 / 0.9e1 - 0.2e1 * t949 * t6384 - t212 * t6388 - t6391 - t962 + t943;
  t6393 = t6357 + t6392;
  t6394 = t59 * t6393;
  t6395 = t6394 * t96;
  t6398 = t922 * t2447 - 0.3e1 / 0.2e1 * t6252 * t1735 - 0.3e1 / 0.2e1 * t2452 * t978 + 0.3e1 / 0.2e1 * t610 * t994 + 0.3e1 / 0.2e1 * t1742 * t6292 + t6244 * t497 - 0.3e1 * t162 * t6297 + 0.3e1 / 0.2e1 * t162 * t6300 + 0.3e1 / 0.2e1 * t162 * t6304 + 0.3e1 * t509 * t6307 - 0.3e1 / 0.2e1 * t610 * t986 - 0.3e1 * t509 * t6312 - t22 * t6395 / 0.4e1;
  t6399 = t3517 * t990;
  t6400 = t162 * t6399;
  t6401 = t6400 / 0.2e1;
  t6402 = t372 * t908;
  t6403 = t371 * t6402;
  t6404 = t620 * t6403;
  t6405 = t509 * t6404;
  t6406 = 0.3e1 / 0.2e1 * t6405;
  t6407 = t372 * t929;
  t6408 = t1440 * t6407;
  t6409 = t3536 * t6408;
  t6412 = t3572 * t1057;
  t6413 = t162 * t6412;
  t6414 = 0.3e1 / 0.2e1 * t6413;
  t6417 = t95 * t6231;
  t6418 = t306 * t6417;
  t6419 = t305 * t6418;
  t6422 = t3745 * t1010;
  t6423 = t6422 / 0.2e1;
  t6424 = t3745 * t1016;
  t6425 = t1455 * t931;
  t6428 = t2156 * t930;
  t6429 = t305 * t6428;
  t6432 = t3745 * t1005;
  t6433 = t6432 / 0.4e1;
  t6436 = t3764 * t1065;
  t6437 = t162 * t6436;
  t6438 = 0.3e1 / 0.2e1 * t6437;
  t6439 = -t6401 - t6406 + 0.3e1 / 0.2e1 * t509 * t6409 - t6414 - 0.3e1 / 0.4e1 * t610 * t991 + t208 * t6419 / 0.12e2 - t6423 + t6424 + t922 * t6425 / 0.4e1 + t208 * t6429 / 0.4e1 - t6433 - t917 * t932 / 0.3e1 + t6438;
  t6442 = my_piecewise3(t3, 0, t6249 + t6282 + t6398 + t6439);
  tv3sigma30 = 0.2e1 * rho[0] * t6442;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t6444 = t372 * t914;
  t6445 = t1539 * t6444;
  t6446 = t2558 * t6445;
  t6449 = t1540 * t914;
  t6450 = t1539 * t6449;
  t6451 = t2558 * t6450;
  t6454 = t1670 * t914;
  t6455 = t1539 * t6454;
  t6456 = t2558 * t6455;
  t6460 = t371 * t408 * t914;
  t6461 = t2552 * t6460;
  t6464 = t95 * t914;
  t6465 = t306 * t6464;
  t6466 = t2213 * t6465;
  t6469 = t160 * t6464;
  t6470 = t2218 * t6469;
  t6473 = t507 * t6464;
  t6474 = t2042 * t6473;
  t6477 = t555 * t6465;
  t6481 = t60 * t908;
  t6482 = t409 * t6481;
  t6483 = t697 * t6482;
  t6484 = t60 * t914;
  t6485 = t1751 * t6484;
  t6488 = t400 * t6481;
  t6489 = t697 * t6488;
  t6490 = 0.2e1 / 0.3e1 * t6489;
  t6491 = t145 * t6481;
  t6492 = t693 * t6491;
  t6493 = t400 * t6484;
  t6496 = t1746 * t6484;
  t6499 = t409 * t6484;
  t6502 = t1756 * t6484;
  t6505 = t145 * t6484;
  t6509 = t3590 * t205;
  t6510 = t427 * t6509;
  t6513 = t149 * t6509;
  t6516 = t414 * t6509;
  t6518 = t63 * t914;
  t6519 = t409 * t6518;
  t6522 = t1751 * t6518;
  t6525 = t1032 * t929;
  t6526 = t404 * t6525;
  t6529 = t63 * t908;
  t6530 = t400 * t6529;
  t6531 = t697 * t6530;
  t6532 = t6531 / 0.3e1;
  t6533 = t1746 * t6518;
  t6536 = t237 * t6372 / 0.2e1 - t6483 + 0.1e2 / 0.3e1 * t2701 * t6485 + t6490 + t6492 - 0.4e1 * t2708 * t6493 + t2701 * t6496 / 0.18e2 + 0.6e1 * t2708 * t6499 - 0.3e1 * t2701 * t6502 - 0.3e1 * t2733 * t6505 - t237 * t6388 - 0.6e1 * t2687 * t6510 + 0.4e1 * t2689 * t6513 + t2687 * t6516 - 0.12e2 * t2708 * t6519 - 0.2e1 / 0.3e1 * t2701 * t6522 - 0.2e1 * t693 * t6526 - t6532 - t2701 * t6533 / 0.9e1;
  t6538 = t1756 * t6525;
  t6541 = t409 * t6529;
  t6542 = t697 * t6541;
  t6543 = 0.2e1 * t6542;
  t6544 = t145 * t6529;
  t6545 = t693 * t6544;
  t6546 = 0.2e1 * t6545;
  t6547 = t400 * t6518;
  t6552 = t145 * t6518;
  t6555 = t1879 * t6525;
  t6558 = t1756 * t6518;
  t6561 = 0.4e1 * t6319;
  t6562 = 0.4e1 * t6328;
  t6563 = 0.2e1 / 0.3e1 * t6332;
  t6564 = 0.2e1 * t6375;
  t6565 = 0.4e1 / 0.3e1 * t6378;
  t6566 = 0.2e1 * t6390;
  t6567 = -t237 * t6326 + 0.2e1 * t237 * t6334 + 0.6e1 * t2701 * t6558 + 0.2e1 * t2708 * t6547 + 0.6e1 * t2733 * t6552 - 0.2e1 * t6538 * t697 + 0.3e1 * t6555 * t697 - t6331 + t6377 + t6543 - t6546 + t6561 - t6562 - t6563 + t6564 + t6565 - t6566 + t943 - t962;
  t6568 = t6536 + t6567;
  t6569 = t59 * t6568;
  t6570 = t6569 * t96;
  t6587 = 0.3e1 / 0.2e1 * t162 * t6446 + 0.3e1 / 0.2e1 * t1742 * t6451 - 0.3e1 * t509 * t6456 - 0.3e1 * t162 * t6461 - t2520 * t6466 / 0.2e1 + 0.7e1 / 0.3e1 * t2520 * t6470 - 0.3e1 / 0.2e1 * t2520 * t6474 + t2548 * t6477 - t22 * t6570 / 0.4e1 - t913 + t984 - t2861 * t978 / 0.2e1 + t719 * t994 / 0.2e1 - t922 * t2852 / 0.6e1 + t922 * t2856 / 0.3e1 + t4308 * t223 / 0.2e1 - t922 * t2830 / 0.12e2 - t233 * t3880 / 0.12e2;
  t6588 = t911 * t686;
  t6589 = t6588 / 0.12e2;
  t6596 = t6237 / 0.6e1;
  t6597 = t719 * t982;
  t6598 = t6597 / 0.4e1;
  t6601 = t6266 / 0.2e1;
  t6602 = t2156 * t1000;
  t6603 = t555 * t6602;
  t6606 = t95 * t908;
  t6607 = t306 * t6606;
  t6608 = t555 * t6607;
  t6609 = t671 * t6608;
  t6610 = t6609 / 0.6e1;
  t6611 = t548 * t6602;
  t6614 = t548 * t6607;
  t6615 = t671 * t6614;
  t6616 = t6615 / 0.12e2;
  t6617 = t2042 * t6465;
  t6624 = t318 * t6602;
  t6627 = t318 * t6607;
  t6628 = t666 * t6627;
  t6629 = t6628 / 0.6e1;
  t6630 = t729 * t6403;
  t6631 = t509 * t6630;
  t6632 = t6631 / 0.2e1;
  t6633 = -t6589 - t208 * t4302 / 0.6e1 - t719 * t986 / 0.2e1 + t917 * t686 / 0.6e1 - t6596 + t6598 + t3885 * t248 / 0.4e1 + t6601 - t671 * t6603 / 0.3e1 - t6610 - t671 * t6611 / 0.6e1 - t6616 - 0.5e1 / 0.36e2 * t2520 * t6617 + t233 * t6429 / 0.6e1 + t233 * t6419 / 0.12e2 + t666 * t6624 / 0.3e1 + t6629 - t6632;
  t6640 = t2777 * t930;
  t6641 = t305 * t6640;
  t6644 = t160 * t6606;
  t6645 = t548 * t6644;
  t6646 = t671 * t6645;
  t6647 = t6646 / 0.3e1;
  t6648 = t548 * t6469;
  t6651 = t2218 * t6465;
  t6654 = t2042 * t6469;
  t6658 = t371 * t408 * t908;
  t6659 = t729 * t6658;
  t6660 = t162 * t6659;
  t6661 = t6660 / 0.2e1;
  t6662 = t745 * t6233;
  t6666 = t135 * t137 * t908;
  t6667 = t741 * t6666;
  t6668 = t162 * t6667;
  t6669 = t6668 / 0.2e1;
  t6670 = t745 * t6197;
  t6674 = t135 * t137 * t914;
  t6675 = t2678 * t6674;
  t6678 = t371 * t6444;
  t6679 = t2552 * t6678;
  t6684 = t318 * t6465;
  t6687 = t6274 / 0.3e1;
  t6688 = -t610 * t1058 - t610 * t1061 / 0.2e1 - t719 * t991 / 0.4e1 + t208 * t6641 / 0.12e2 + t6647 - 0.2e1 * t2548 * t6648 - 0.11e2 / 0.18e2 * t2520 * t6651 + 0.23e2 / 0.36e2 * t2520 * t6654 + t6661 - t162 * t6662 / 0.4e1 - t6669 + t162 * t6670 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t6675 + 0.3e1 * t509 * t6679 - t233 * t6203 / 0.6e1 - t2662 * t6684 / 0.2e1 + t6687 + t6277;
  t6689 = t582 * t4003;
  t6692 = t96 * t3439;
  t6693 = t1974 * t6692;
  t6696 = t1404 * t6692;
  t6699 = t1879 * t3439;
  t6700 = t697 * t6699;
  t6703 = t500 * t3439;
  t6704 = t1974 * t6703;
  t6706 = t1968 * t6692;
  t6709 = t404 * t3439;
  t6710 = t693 * t6709;
  t6712 = t6422 / 0.3e1;
  t6713 = 0.2e1 / 0.3e1 * t6424;
  t6714 = t6432 / 0.6e1;
  t6715 = t548 * t6465;
  t6718 = t608 * t1000;
  t6719 = t548 * t6718;
  t6724 = 0.3e1 / 0.2e1 * t2022 * t6689 + t2471 * t6693 / 0.4e1 - t2485 * t6696 / 0.3e1 - t6401 - t6405 - t6413 - 0.3e1 / 0.2e1 * t2004 * t6700 - t2471 * t6704 + t2471 * t6706 / 0.2e1 + t2004 * t6710 - t6712 + t6713 - t6714 + t6437 + t2548 * t6715 / 0.2e1 + 0.2e1 / 0.3e1 * t671 * t6719 - t2452 * t1053 + t610 * t1066;
  t6727 = my_piecewise3(t3, 0, t6587 + t6633 + t6688 + t6724);
  tv3sigma2lapl0 = 0.2e1 * rho[0] * t6727;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  t6729 = t877 * t6709;
  t6731 = t582 * t4451;
  t6738 = t3180 * t6445;
  t6745 = t775 * t948;
  t6746 = t6745 * t512;
  t6750 = t6745 * t516;
  t6753 = t3180 * t6450;
  t6756 = t3180 * t6455;
  t6759 = t3304 * t6460;
  t6768 = t4530 * t990;
  t6771 = t287 * t929;
  t6772 = t169 * t6771;
  t6773 = t1404 * t6772;
  t6776 = t758 * t6658;
  t6777 = t162 * t6776;
  t6778 = t6777 / 0.2e1;
  t6779 = t911 * t777;
  t6780 = t6779 / 0.12e2;
  t6781 = t162 * t6750 / 0.2e1 + 0.3e1 / 0.2e1 * t1742 * t6753 - 0.3e1 * t509 * t6756 - 0.3e1 * t162 * t6759 - t3007 * t6466 / 0.2e1 + 0.7e1 / 0.3e1 * t3007 * t6470 - 0.3e1 / 0.2e1 * t3007 * t6474 - t1397 * t6768 / 0.4e1 + t1993 * t6773 / 0.12e2 + t6778 - t6780;
  t6783 = t763 * t6666;
  t6784 = t162 * t6783;
  t6785 = t6784 / 0.2e1;
  t6786 = t758 * t6403;
  t6787 = t509 * t6786;
  t6788 = t6787 / 0.2e1;
  t6794 = t2966 * t930;
  t6795 = t305 * t6794;
  t6798 = t791 * t6645;
  t6799 = t6798 / 0.3e1;
  t6800 = t791 * t6608;
  t6801 = t6800 / 0.6e1;
  t6808 = -t6785 - t6788 - t610 * t1111 - t610 * t1114 / 0.2e1 - t823 * t991 / 0.4e1 + t208 * t6795 / 0.12e2 + t6799 - t6801 + t922 * t3384 / 0.3e1 - t3389 * t978 / 0.2e1 + t823 * t994 / 0.2e1;
  t6823 = t823 * t982;
  t6824 = t6823 / 0.4e1;
  t6825 = t911 * t818;
  t6826 = t6825 / 0.12e2;
  t6829 = -t208 * t4737 / 0.6e1 - t922 * t3347 / 0.12e2 - t259 * t3880 / 0.12e2 - t922 * t3380 / 0.6e1 + t917 * t818 / 0.6e1 + t3885 * t274 / 0.4e1 + t4722 * t223 / 0.2e1 + t6824 - t6826 - t823 * t986 / 0.2e1 - t6596;
  t6832 = t971 * t288;
  t6843 = t775 * t941 * t165;
  t6844 = t162 * t6843;
  t6845 = t6844 / 0.4e1;
  t6853 = t767 * t6233;
  t6859 = t881 * t6699;
  t6862 = t877 * t6491;
  t6865 = t881 * t6482;
  t6868 = t881 * t6488;
  t6869 = 0.2e1 / 0.3e1 * t6868;
  t6889 = t881 * t6530;
  t6890 = t6889 / 0.3e1;
  t6896 = t6862 + t263 * t6372 / 0.2e1 - t6865 + 0.1e2 / 0.3e1 * t3211 * t6485 + t6869 - 0.4e1 * t3214 * t6493 + t3211 * t6496 / 0.18e2 - 0.3e1 * t3227 * t6505 - t263 * t6388 + 0.3e1 * t881 * t6555 + 0.2e1 * t263 * t6334 + 0.6e1 * t3227 * t6552 + 0.6e1 * t3214 * t6499 - 0.3e1 * t3211 * t6502 - 0.2e1 * t877 * t6526 - t6890 - t3211 * t6533 / 0.9e1 - t263 * t6326 - 0.2e1 * t881 * t6538;
  t6897 = t881 * t6541;
  t6898 = 0.2e1 * t6897;
  t6899 = t877 * t6544;
  t6900 = 0.2e1 * t6899;
  t6914 = t6898 - t6900 + 0.2e1 * t3214 * t6547 - 0.2e1 / 0.3e1 * t3211 * t6522 + 0.6e1 * t3211 * t6558 - 0.12e2 * t3214 * t6519 + t6561 - t6562 - t6331 - t6563 + t6564 + t6377 + t6565 - t6566 + 0.4e1 * t3200 * t6513 + t3197 * t6516 - 0.6e1 * t3197 * t6510 - t962 + t943;
  t6915 = t6896 + t6914;
  t6916 = t59 * t6915;
  t6917 = t6916 * t96;
  t6920 = t3300 * t6674;
  t6923 = t3304 * t6678;
  t6930 = -t922 * t2880 / 0.12e2 + t610 * t1126 / 0.2e1 - t162 * t6853 / 0.4e1 + t2874 * t6706 / 0.2e1 - t2874 * t6704 - 0.3e1 / 0.2e1 * t2004 * t6859 - t22 * t6917 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t6920 + 0.3e1 * t509 * t6923 - t259 * t6203 / 0.6e1 - t3065 * t6684 / 0.2e1;
  t6940 = t785 * t6627;
  t6941 = t6940 / 0.6e1;
  t6946 = t791 * t6614;
  t6947 = t6946 / 0.12e2;
  t6951 = t775 * t944 * t328;
  t6956 = t259 * t6429 / 0.6e1 + t259 * t6419 / 0.12e2 - t791 * t6603 / 0.3e1 + t785 * t6624 / 0.3e1 + t6941 + t2936 * t6715 / 0.2e1 - t791 * t6611 / 0.6e1 - t6947 - 0.5e1 / 0.36e2 * t3007 * t6617 - t162 * t6951 / 0.2e1 + t917 * t777 / 0.6e1;
  t6957 = t767 * t6197;
  t6964 = t162 * t6957 / 0.2e1 - t2452 * t1108 + t610 * t1117 + 0.2e1 / 0.3e1 * t791 * t6719 - t6401 - t6405 - t6413 - t6712 + t6713 - t6714 + t6437;
  t6968 = my_piecewise3(t3, 0, t6808 + t6964 + t6956 + t6277 + t6781 + t6930 - 0.11e2 / 0.18e2 * t3007 * t6651 + 0.23e2 / 0.36e2 * t3007 * t6654 - t208 * t4579 / 0.6e1 + t6601 + t6845 + t6687 + t2004 * t6729 + 0.3e1 / 0.2e1 * t2022 * t6731 + t2874 * t6693 / 0.4e1 - t3162 * t6696 / 0.3e1 + 0.3e1 / 0.2e1 * t162 * t6738 - t922 * t3192 / 0.6e1 + t922 * t3172 / 0.3e1 - t509 * t6746 / 0.2e1 - t22 * t6832 / 0.4e1 + t2936 * t6477 - 0.2e1 * t2936 * t6648 + t6829 + t984 - t913);
  tv3sigma2tau0 = 0.2e1 * rho[0] * t6968;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  t6970 = t4888 * t1065;
  t6973 = t1539 * t1051;
  t6974 = t4789 * t6973;
  t6977 = t1670 * t205;
  t6978 = t1539 * t6977;
  t6979 = t4789 * t6978;
  t6982 = t717 * t1000;
  t6983 = t548 * t6982;
  t6986 = t507 * t1000;
  t6987 = t2042 * t6986;
  t6992 = t1540 * t205;
  t6993 = t1539 * t6992;
  t6994 = t4789 * t6993;
  t6997 = t2218 * t1001;
  t7000 = t2042 * t1015;
  t7003 = t2213 * t1001;
  t7006 = t2218 * t1015;
  t7009 = t2777 * t1000;
  t7010 = t555 * t7009;
  t7018 = t3517 * t1198;
  t7019 = t162 * t7018;
  t7020 = t7019 / 0.4e1;
  t7037 = 0.2e1 / 0.3e1 * t3478 * t1260 + t6212 - 0.4e1 * t4820 * t1057 + 0.4e1 / 0.3e1 * t4823 * t1052 - 0.2e1 * t4826 * t990 + 0.4e1 * t4823 * t1065 - t6224 + 0.4e1 * t4833 * t1057 + 0.2e1 * t239 * t990 - 0.4e1 * t4838 * t1065;
  t7039 = t303 * t137 * t7037;
  t7040 = t745 * t7039;
  t7043 = -0.3e1 * t162 * t6970 + 0.3e1 / 0.2e1 * t162 * t6974 - 0.3e1 * t509 * t6979 + 0.2e1 / 0.3e1 * t671 * t6983 - 0.3e1 / 0.2e1 * t4800 * t6987 - t2861 * t1053 + t719 * t1066 + 0.3e1 / 0.2e1 * t1742 * t6994 - 0.11e2 / 0.18e2 * t4800 * t6997 + 0.23e2 / 0.36e2 * t4800 * t7000 - t4800 * t7003 / 0.2e1 + 0.7e1 / 0.3e1 * t4800 * t7006 - t671 * t7010 / 0.3e1 + t4795 * t1010 - 0.2e1 * t4795 * t1016 - t913 + t984 - t610 * t1199 / 0.4e1 - t7020 - t162 * t7040 / 0.4e1;
  t7044 = t4854 * t6185;
  t7046 = t4880 * t1057;
  t7049 = t5177 * t990;
  t7052 = t4888 * t1052;
  t7055 = t4854 * t6408;
  t7064 = t548 * t7009;
  t7087 = -t162 * t7044 + 0.3e1 / 0.2e1 * t162 * t7046 + t162 * t7049 / 0.2e1 + 0.3e1 * t509 * t7052 + t509 * t7055 - t719 * t1061 / 0.2e1 - t719 * t1058 - 0.2e1 / 0.3e1 * t1140 * t6193 + t233 * t6641 / 0.6e1 - t671 * t7064 / 0.6e1 + t1140 * t2447 / 0.3e1 - t233 * t4302 / 0.6e1 + t1135 * t569 / 0.6e1 - t1140 * t2258 / 0.12e2 - t1140 * t2443 / 0.6e1 - t610 * t1194 / 0.2e1 + t610 * t1202 / 0.2e1 + t4308 * t248 / 0.2e1 - t2452 * t1190 / 0.2e1 - t208 * t4962 / 0.12e2;
  t7091 = t6588 / 0.6e1;
  t7092 = t6237 / 0.12e2;
  t7093 = t6597 / 0.2e1;
  t7094 = t6266 / 0.4e1;
  t7095 = t6609 / 0.3e1;
  t7096 = t6615 / 0.6e1;
  t7097 = t6628 / 0.3e1;
  t7098 = 0.2e1 / 0.3e1 * t6646;
  t7099 = t6274 / 0.6e1;
  t7100 = t6276 / 0.12e2;
  t7103 = t318 * t7009;
  t7106 = t2156 * t1148;
  t7107 = t305 * t7106;
  t7110 = t95 * t7037;
  t7111 = t306 * t7110;
  t7112 = t305 * t7111;
  t7117 = t2042 * t1001;
  t7120 = t4944 * t223 / 0.4e1 - t7091 - t7092 + t7093 + t7094 - t7095 - t7096 + t7097 - t6631 + t7098 + t6660 - t6668 + t7099 + t7100 + t1140 * t6189 / 0.3e1 + t666 * t7103 / 0.3e1 + t233 * t7107 / 0.12e2 + t233 * t7112 / 0.12e2 + t1140 * t6425 / 0.6e1 - 0.5e1 / 0.36e2 * t4800 * t7117;
  t7121 = t911 * t1150;
  t7122 = t7121 / 0.12e2;
  t7129 = t1147 * t929;
  t7130 = t1883 * t7129;
  t7131 = t237 * t7130;
  t7134 = t1147 * t205;
  t7135 = t404 * t7134;
  t7136 = t693 * t7135;
  t7139 = t96 * t7134;
  t7140 = t1974 * t7139;
  t7143 = t1404 * t7139;
  t7146 = t96 * t7129;
  t7147 = t3582 * t7146;
  t7150 = t582 * t5100;
  t7154 = t1879 * t7134;
  t7155 = t697 * t7154;
  t7158 = t1968 * t7139;
  t7161 = t500 * t7134;
  t7162 = t1974 * t7161;
  t7165 = t6400 / 0.4e1;
  t7166 = t6405 / 0.2e1;
  t7167 = t6413 / 0.2e1;
  t7173 = t942 * t1178;
  t7174 = t7173 / 0.2e1;
  t7175 = 0.2e1 * t6483;
  t7176 = 0.4e1 / 0.3e1 * t6489;
  t7177 = 0.2e1 * t6492;
  t7178 = t1756 * t1021;
  t7181 = t1177 * t205;
  t7182 = t1879 * t7181;
  t7186 = t1751 * t1021;
  t7189 = 0.2e1 * t1164 * t6366 - 0.3e1 * t5016 * t1036 - t1160 * t966 + t7174 - t7175 + t7176 + t7177 + 0.6e1 * t4997 * t7178 + t697 * t7182 - 0.12e2 * t5006 * t1029 - 0.2e1 / 0.3e1 * t4997 * t7186;
  t7198 = t1746 * t1021;
  t7201 = t63 * t7037;
  t7202 = t404 * t7201;
  t7204 = t1756 * t7181;
  t7209 = t404 * t7181;
  t7211 = t1177 * t929;
  t7212 = t1883 * t7211;
  t7214 = t942 * t1168;
  t7215 = 0.2e1 / 0.3e1 * t6531;
  t7216 = 0.6e1 * t5016 * t1022 + 0.2e1 * t1160 * t953 + 0.2e1 * t5006 * t1025 + 0.2e1 / 0.3e1 * t1164 * t6323 - t4997 * t7198 / 0.9e1 - t237 * t7202 - 0.2e1 / 0.3e1 * t697 * t7204 - 0.4e1 * t1164 * t6337 - t693 * t7209 - t237 * t7212 - t7214 - t7215;
  t7218 = 0.4e1 * t6542;
  t7219 = 0.4e1 * t6545;
  t7220 = 0.2e1 * t6319;
  t7221 = 0.2e1 * t6328;
  t7222 = t6332 / 0.3e1;
  t7223 = t4973 * t205;
  t7224 = t149 * t7223;
  t7227 = t4973 * t929;
  t7228 = t149 * t7227;
  t7231 = t414 * t7223;
  t7234 = t427 * t7223;
  t7237 = t7218 - t7219 + t7220 - t7221 - t6330 - t7222 + 0.2e1 * t2689 * t7224 + 0.2e1 * t4095 * t7228 + t2687 * t7231 / 0.3e1 - 0.2e1 * t2687 * t7234 + t6375;
  t7238 = t6377 / 0.2e1;
  t7239 = 0.2e1 / 0.3e1 * t6378;
  t7240 = t60 * t7037;
  t7241 = t404 * t7240;
  t7244 = t1751 * t1032;
  t7251 = t1746 * t1032;
  t7256 = t1756 * t1032;
  t7259 = t7238 + t7239 - t6390 + t237 * t7241 / 0.2e1 + 0.1e2 / 0.3e1 * t4997 * t7244 - 0.4e1 / 0.3e1 * t1164 * t6384 - 0.4e1 * t5006 * t1033 + t4997 * t7251 / 0.18e2 + 0.6e1 * t5006 * t1040 - 0.3e1 * t4997 * t7256 - t962 + t943;
  t7261 = t7189 + t7216 + t7237 + t7259;
  t7262 = t59 * t7261;
  t7263 = t7262 * t96;
  t7266 = t6422 / 0.6e1;
  t7267 = t6424 / 0.3e1;
  t7268 = t6432 / 0.12e2;
  t7269 = t6437 / 0.2e1;
  t7270 = -t2004 * t7155 / 0.2e1 + t2471 * t7158 / 0.6e1 - t2471 * t7162 / 0.3e1 - t7165 - t7166 - t7167 - t22 * t7263 / 0.4e1 - t7266 + t7267 - t7268 + t7269;
  t7274 = my_piecewise3(t3, 0, t7043 + t7087 + t7120 + t7122 - t1135 * t932 / 0.6e1 + t4795 * t1005 / 0.2e1 - t5161 * t1002 / 0.2e1 + t2004 * t7131 / 0.2e1 + t2004 * t7136 / 0.2e1 + t2471 * t7140 / 0.12e2 - t2485 * t7143 / 0.6e1 - t2511 * t7147 / 0.6e1 + t2022 * t7150 / 0.2e1 + t7270);
  tv3sigmalapl20 = 0.2e1 * rho[0] * t7274;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  t7278 = t5241 * t1057;
  t7281 = t5245 * t990;
  t7284 = t287 * t205;
  t7285 = t169 * t7284;
  t7286 = t1982 * t7285;
  t7291 = t1962 * t7285;
  t7294 = t1879 * t4002;
  t7295 = t881 * t7294;
  t7297 = t877 * t7135;
  t7300 = t263 * t7130;
  t7303 = t230 * t205;
  t7304 = t145 * t7303;
  t7305 = t3227 * t7304;
  t7308 = t404 * t4002;
  t7309 = t877 * t7308;
  t7312 = t610 * t1283 / 0.4e1 - t913 + t984 - t1397 * t7278 / 0.2e1 - t1397 * t7281 / 0.4e1 + t2485 * t7286 / 0.6e1 + t2511 * t6773 / 0.12e2 - t7020 - t2471 * t7291 / 0.12e2 - t2004 * t7295 + t2004 * t7297 / 0.2e1 + t2004 * t7300 / 0.2e1 + 0.3e1 / 0.2e1 * t2004 * t7305 + t2004 * t7309 / 0.2e1;
  t7313 = t256 * t205;
  t7315 = t2708 * t400 * t7313;
  t7318 = t697 * t4451;
  t7320 = t500 * t4002;
  t7321 = t1974 * t7320;
  t7324 = t96 * t4002;
  t7325 = t1968 * t7324;
  t7328 = t2966 * t1000;
  t7329 = t318 * t7328;
  t7334 = t548 * t7328;
  t7337 = t608 * t1208;
  t7338 = t548 * t7337;
  t7347 = t2156 * t1208;
  t7348 = t555 * t7347;
  t7351 = t548 * t7347;
  t7358 = 0.3e1 * t2022 * t7315 + t2022 * t7318 - 0.2e1 / 0.3e1 * t2874 * t7321 + t2874 * t7325 / 0.3e1 + t666 * t7329 / 0.6e1 + t233 * t6795 / 0.12e2 - t671 * t7334 / 0.12e2 + t791 * t7338 / 0.3e1 + t785 * t7103 / 0.6e1 + t259 * t6641 / 0.12e2 - t791 * t7064 / 0.12e2 - t791 * t7348 / 0.6e1 - t791 * t7351 / 0.12e2 + t259 * t7107 / 0.12e2 + t259 * t7112 / 0.12e2;
  t7360 = t318 * t7347;
  t7363 = t500 * t7303;
  t7364 = t1962 * t7363;
  t7367 = t96 * t7303;
  t7368 = t3961 * t7367;
  t7371 = t3965 * t7363;
  t7376 = t1043 * t288;
  t7383 = t785 * t7360 / 0.6e1 - 0.2e1 * t4503 * t7364 - 0.11e2 / 0.18e2 * t4482 * t7368 + 0.23e2 / 0.36e2 * t4482 * t7371 + t2874 * t7158 / 0.6e1 - t22 * t7376 / 0.4e1 + t6778 - t6780 - t6785 - t6788 + t6799 - t6801 + t4722 * t248 / 0.4e1 + t4308 * t274 / 0.4e1;
  t7392 = -t208 * t5508 / 0.12e2 + t5513 * t223 / 0.4e1 - t233 * t4737 / 0.12e2 - t259 * t4302 / 0.12e2 + t6824 - t6826 - t6589 - t7092 + t6598 + t7094 - t6610 - t6616 + t6629 - t6632 + t6647;
  t7403 = t767 * t7039;
  t7408 = t6661 - t6669 + t7099 + t7100 + t6845 + t7122 + t6941 - t6947 - t233 * t4579 / 0.12e2 - t208 * t5353 / 0.12e2 + t719 * t1126 / 0.4e1 - t610 * t1269 / 0.4e1 - t162 * t7403 / 0.4e1 + t610 * t1274 / 0.2e1;
  t7421 = t555 * t7328;
  t7424 = t821 * t1000;
  t7425 = t548 * t7424;
  t7436 = -t610 * t1266 / 0.2e1 - t2452 * t1261 / 0.2e1 - t719 * t1111 / 0.2e1 - t719 * t1114 / 0.4e1 - t823 * t1058 / 0.2e1 - t823 * t1061 / 0.4e1 - t7165 - t7166 - t7167 - t671 * t7421 / 0.6e1 + t671 * t7425 / 0.3e1 - t3389 * t1053 / 0.2e1 + t823 * t1066 / 0.2e1 - t2861 * t1108 / 0.2e1 + t719 * t1117 / 0.2e1;
  t7443 = t2701 * t1751 * t7313;
  t7446 = t409 * t7303;
  t7447 = t3214 * t7446;
  t7450 = t582 * t5578;
  t7453 = t881 * t7154;
  t7458 = t1974 * t7367;
  t7461 = t3961 * t7363;
  t7464 = t1733 * t7303;
  t7465 = t3965 * t7464;
  t7468 = t1996 * t7367;
  t7470 = t1982 * t7367;
  t7473 = t1404 * t7324;
  t7476 = t1756 * t7303;
  t7477 = t3211 * t7476;
  t7480 = t1996 * t7285;
  t7483 = -t791 * t7010 / 0.6e1 + t791 * t6983 / 0.3e1 - 0.3e1 * t2022 * t7443 - 0.3e1 * t2004 * t7447 + t2022 * t7450 / 0.2e1 - t2004 * t7453 / 0.2e1 - t2874 * t7162 / 0.3e1 - t4482 * t7458 / 0.2e1 + 0.7e1 / 0.3e1 * t4482 * t7461 - 0.3e1 / 0.2e1 * t4482 * t7465 + t4503 * t7468 - t4510 * t7470 / 0.2e1 - t3162 * t7473 / 0.6e1 + 0.3e1 / 0.2e1 * t2004 * t7477 - t2471 * t7480 / 0.6e1;
  t7484 = t1395 * t7284;
  t7485 = t1962 * t7484;
  t7488 = t5387 * t1052;
  t7491 = t5387 * t1065;
  t7495 = t2701 * t1746 * t7313;
  t7504 = t1962 * t7367;
  t7507 = t1974 * t7324;
  t7510 = t3965 * t7367;
  t7517 = t5447 * t205;
  t7518 = t1845 * t7517;
  t7523 = t414 * t7517;
  t7526 = t427 * t7517;
  t7529 = 0.2e1 * t3200 * t7224 + 0.2e1 * t4349 * t7228 - 0.2e1 / 0.3e1 * t4344 * t7518 - 0.2e1 * t3197 * t7234 + 0.6e1 * t4344 * t7523 - 0.12e2 * t4360 * t7526 + t7174 - t6483 + t6490 + t6492 + t6862 - t6865 + t6869;
  t7530 = t1240 * t205;
  t7531 = t409 * t7530;
  t7535 = t1756 * t7530;
  t7538 = -0.3e1 * t3211 * t7535 + 0.6e1 * t3214 * t7531 + t7182 * t881 - t6330 - t6532 + t6543 - t6546 - t6890 + t6898 - t6900 - t7214 + t7220 - t7221;
  t7542 = t5447 * t929;
  t7543 = t427 * t7542;
  t7546 = t149 * t7517;
  t7549 = t149 * t7542;
  t7554 = t414 * t7542;
  t7557 = t1857 * t7517;
  t7562 = -t7222 + t3197 * t7231 / 0.3e1 - 0.4e1 * t3197 * t7543 + 0.6e1 * t4365 * t7546 + 0.2e1 * t3200 * t7549 + 0.2e1 * t4360 * t7523 + 0.2e1 / 0.3e1 * t3197 * t7554 - t4344 * t7557 / 0.9e1 + t6375 + t7238 + t7239 - t6390 + t263 * t7241 / 0.2e1;
  t7563 = t1240 * t929;
  t7564 = t1879 * t7563;
  t7567 = t1756 * t7563;
  t7570 = t145 * t7530;
  t7573 = t404 * t7563;
  t7577 = t400 * t7530;
  t7580 = t1746 * t7530;
  t7586 = t1751 * t7530;
  t7589 = 0.2e1 * t881 * t7564 - 0.4e1 / 0.3e1 * t881 * t7567 - 0.3e1 * t3227 * t7570 - t877 * t7573 - t877 * t7209 - t263 * t7212 - 0.4e1 * t3214 * t7577 + t3211 * t7580 / 0.18e2 - t263 * t7202 - 0.2e1 / 0.3e1 * t881 * t7204 + 0.1e2 / 0.3e1 * t3211 * t7586 - t962 + t943;
  t7591 = t7529 + t7538 + t7562 + t7589;
  t7592 = t59 * t7591;
  t7593 = t7592 * t96;
  t7596 = t2471 * t7485 / 0.3e1 - t2011 * t7488 / 0.2e1 + t1397 * t7491 / 0.2e1 + 0.3e1 / 0.2e1 * t3980 * t7495 - t3162 * t7143 / 0.6e1 - t3168 * t7147 / 0.6e1 + t2874 * t7140 / 0.12e2 + t4503 * t7504 / 0.2e1 + t2874 * t7507 / 0.6e1 - 0.5e1 / 0.36e2 * t4482 * t7510 - t7266 + t7267 - t7268 + t7269 - t22 * t7593 / 0.4e1;
  t7600 = my_piecewise3(t3, 0, t7312 + t7358 + t7383 + t7392 + t7408 + t7436 + t7483 + t7596);
  tv3sigmalapltau0 = 0.2e1 * rho[0] * t7600;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  t7610 = t911 * t1307;
  t7611 = t7610 / 0.12e2;
  t7612 = t2156 * t1305;
  t7613 = t305 * t7612;
  t7632 = 0.2e1 / 0.3e1 * t3478 * t5817 + t6212 - 0.4e1 * t5823 * t1057 + 0.4e1 / 0.3e1 * t5826 * t1052 - 0.2e1 * t5829 * t990 + 0.4e1 * t5826 * t1065 - t6224 + 0.4e1 * t5836 * t1057 + 0.2e1 * t265 * t990 - 0.4e1 * t5841 * t1065;
  t7633 = t95 * t7632;
  t7634 = t306 * t7633;
  t7635 = t305 * t7634;
  t7648 = -0.2e1 / 0.3e1 * t1297 * t6193 + t785 * t7329 / 0.3e1 + t259 * t6795 / 0.6e1 - t791 * t7334 / 0.6e1 + t7611 + t259 * t7613 / 0.12e2 + t259 * t7635 / 0.12e2 + t1297 * t6189 / 0.3e1 + t5713 * t1005 / 0.2e1 + t1297 * t6425 / 0.6e1 - 0.5e1 / 0.36e2 * t5911 * t7117 - t5706 * t1002 / 0.2e1;
  t7651 = t6166 * t6973;
  t7654 = t6166 * t6993;
  t7657 = t6166 * t6978;
  t7660 = t5779 * t1065;
  t7677 = -t1292 * t932 / 0.6e1 + 0.3e1 / 0.2e1 * t162 * t7651 + 0.3e1 / 0.2e1 * t1742 * t7654 - 0.3e1 * t509 * t7657 - 0.3e1 * t162 * t7660 - t5911 * t7003 / 0.2e1 + 0.7e1 / 0.3e1 * t5911 * t7006 - t791 * t7421 / 0.3e1 + 0.2e1 / 0.3e1 * t791 * t7425 - 0.3e1 / 0.2e1 * t5911 * t6987 - t3389 * t1108 + t823 * t1117 - 0.2e1 * t5713 * t1016;
  t7683 = 0.2e1 * t6862;
  t7684 = 0.2e1 * t6865;
  t7685 = 0.4e1 / 0.3e1 * t6868;
  t7686 = t60 * t7632;
  t7687 = t404 * t7686;
  t7698 = t6028 * t205;
  t7699 = t427 * t7698;
  t7702 = 0.6e1 * t6075 * t1040 - 0.3e1 * t6044 * t7256 + t7683 - t7684 + t7685 + t263 * t7687 / 0.2e1 + t6044 * t7251 / 0.18e2 + 0.1e2 / 0.3e1 * t6044 * t7244 - 0.4e1 / 0.3e1 * t1323 * t6384 - 0.4e1 * t6075 * t1033 - 0.2e1 * t3197 * t7699;
  t7708 = t942 * t1337;
  t7709 = t7708 / 0.2e1;
  t7710 = 0.2e1 / 0.3e1 * t6889;
  t7711 = 0.4e1 * t6897;
  t7712 = 0.4e1 * t6899;
  t7713 = t1336 * t929;
  t7714 = t1883 * t7713;
  t7716 = -0.3e1 * t1036 * t6059 - t1319 * t966 + 0.2e1 * t1323 * t6366 - t263 * t7714 - t6330 + t7220 - t7221 - t7222 + t7709 - t7710 + t7711 - t7712;
  t7728 = t942 * t1327;
  t7729 = t63 * t7632;
  t7730 = t404 * t7729;
  t7732 = t1032 * t1304;
  t7733 = t1756 * t7732;
  t7738 = t404 * t7732;
  t7740 = t1879 * t7732;
  t7742 = 0.6e1 * t6059 * t1022 + 0.2e1 * t1319 * t953 + 0.2e1 * t6075 * t1025 + 0.2e1 / 0.3e1 * t1323 * t6323 - t6044 * t7198 / 0.9e1 - t7728 - t263 * t7730 - 0.2e1 / 0.3e1 * t881 * t7733 - 0.4e1 * t1323 * t6337 - t877 * t7738 + t881 * t7740;
  t7749 = t149 * t7698;
  t7752 = t6028 * t929;
  t7753 = t149 * t7752;
  t7756 = t414 * t7698;
  t7759 = -0.12e2 * t6075 * t1029 - 0.2e1 / 0.3e1 * t6044 * t7186 + 0.6e1 * t6044 * t7178 + t6375 + t7238 + t7239 - t6390 + 0.2e1 * t3200 * t7749 + 0.2e1 * t4349 * t7753 + t3197 * t7756 / 0.3e1 - t962 + t943;
  t7761 = t7702 + t7716 + t7742 + t7759;
  t7762 = t59 * t7761;
  t7763 = t7762 * t96;
  t7771 = t6779 / 0.6e1;
  t7772 = 0.2e1 / 0.3e1 * t6798;
  t7773 = t6800 / 0.3e1;
  t7774 = -t22 * t7763 / 0.4e1 - t913 + t984 - 0.11e2 / 0.18e2 * t5911 * t6997 + 0.23e2 / 0.36e2 * t5911 * t7000 + t5713 * t1010 + t6777 - t7771 - t6784 - t6787 + t7772 - t7773;
  t7789 = t6823 / 0.2e1;
  t7790 = t6825 / 0.6e1;
  t7791 = -t208 * t5963 / 0.12e2 + t5985 * t223 / 0.4e1 + t4722 * t274 / 0.2e1 + t1297 * t2447 / 0.3e1 - t610 * t1360 / 0.2e1 + t610 * t1368 / 0.2e1 - t2452 * t1352 / 0.2e1 + t7789 - t7790 - t7092 + t7094 + t7099 + t7100;
  t7802 = t6152 * t1052;
  t7804 = t6152 * t1065;
  t7806 = t1304 * t205;
  t7807 = t96 * t7806;
  t7808 = t1968 * t7807;
  t7811 = t500 * t7806;
  t7812 = t1974 * t7811;
  t7815 = t6844 / 0.2e1;
  t7816 = t1304 * t929;
  t7817 = t1883 * t7816;
  t7818 = t263 * t7817;
  t7821 = t5716 * t1057;
  t7823 = t5720 * t990;
  t7826 = -t1297 * t2258 / 0.12e2 - t1297 * t2443 / 0.6e1 - t259 * t4737 / 0.6e1 + t1292 * t569 / 0.6e1 - t2011 * t7802 + t1397 * t7804 + t2874 * t7808 / 0.6e1 - t2874 * t7812 / 0.3e1 + t7815 + t2004 * t7818 / 0.2e1 - t1397 * t7821 - t1397 * t7823 / 0.2e1;
  t7833 = t1404 * t7807;
  t7836 = t96 * t7816;
  t7837 = t3582 * t7836;
  t7840 = t1974 * t7807;
  t7843 = t582 * t6158;
  t7846 = t1879 * t7806;
  t7847 = t881 * t7846;
  t7854 = t6940 / 0.3e1;
  t7855 = t6946 / 0.6e1;
  t7856 = t404 * t7806;
  t7857 = t877 * t7856;
  t7860 = t3162 * t7286 / 0.3e1 + t3168 * t6773 / 0.6e1 - t2874 * t7291 / 0.6e1 - t3162 * t7833 / 0.6e1 - t3168 * t7837 / 0.6e1 + t2874 * t7840 / 0.12e2 + t2022 * t7843 / 0.2e1 - t2004 * t7847 / 0.2e1 - t2874 * t7480 / 0.3e1 + 0.2e1 / 0.3e1 * t2874 * t7485 + t7854 - t7855 + t2004 * t7857 / 0.2e1;
  t7862 = t218 * t1387;
  t7865 = t1100 * t288;
  t7868 = t3517 * t1364;
  t7869 = t162 * t7868;
  t7870 = t7869 / 0.4e1;
  t7872 = t303 * t137 * t7632;
  t7873 = t767 * t7872;
  t7876 = t5785 * t6185;
  t7878 = t5763 * t1057;
  t7881 = t5855 * t990;
  t7886 = t5779 * t1052;
  t7889 = -t22 * t7862 / 0.4e1 - t22 * t7865 / 0.2e1 - t7165 - t7166 - t7167 - t7870 - t162 * t7873 / 0.4e1 - t162 * t7876 + 0.3e1 / 0.2e1 * t162 * t7878 + t162 * t7881 / 0.2e1 - t610 * t1365 / 0.4e1 + 0.3e1 * t509 * t7886;
  t7890 = t5785 * t6408;
  t7906 = t5802 * t211 * t165;
  t7909 = t509 * t7890 + t610 * t1356 / 0.2e1 - t823 * t1111 - t823 * t1114 / 0.2e1 - t208 * t5683 / 0.6e1 + t823 * t1126 / 0.2e1 - t259 * t4579 / 0.6e1 - t208 * t5804 / 0.12e2 + t162 * t7906 / 0.4e1 - t7266 + t7267 - t7268 + t7269;
  t7913 = my_piecewise3(t3, 0, t7648 + t7677 + t7774 + t7791 + t7826 + t7860 + t7889 + t7909);
  tv3sigmatau20 = 0.2e1 * rho[0] * t7913;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  t7917 = t2777 * t1148;
  t7918 = t305 * t7917;
  t7926 = t1485 * t1132;
  t7939 = 0.2e1 / 0.3e1 * t1172 * t373 + t6212 - 0.4e1 * t307 * t1132 * t328 + 0.4e1 / 0.3e1 * t7926 * t512 - 0.2e1 * t4826 * t1198 + 0.4e1 * t7926 * t516 - t6224 + 0.4e1 * t1175 * t138 + 0.2e1 * t239 * t1198 - 0.4e1 * t1172 * t496;
  t7940 = t95 * t7939;
  t7941 = t306 * t7940;
  t7942 = t305 * t7941;
  t7947 = t1455 * t1149;
  t7950 = t408 * t1147;
  t7951 = t1440 * t7950;
  t7952 = t4854 * t7951;
  t7955 = t1463 * t1149;
  t7958 = t160 * t1148;
  t7959 = t1455 * t7958;
  t7962 = t303 * t137 * t7939;
  t7963 = t745 * t7962;
  t7966 = t5177 * t1198;
  t7968 = t372 * t1147;
  t7969 = t1440 * t7968;
  t7970 = t4854 * t7969;
  t7973 = -0.3e1 / 0.4e1 * t719 * t1199 + t233 * t7918 / 0.4e1 + t233 * t7942 / 0.12e2 - t1135 * t1150 / 0.3e1 + t1140 * t7947 / 0.4e1 - 0.3e1 / 0.2e1 * t162 * t7952 + t1140 * t7955 / 0.2e1 - t1140 * t7959 - t162 * t7963 / 0.4e1 + t162 * t7966 + 0.3e1 / 0.2e1 * t509 * t7970 - t913 + t984;
  t7974 = t7019 / 0.2e1;
  t7975 = t1147 * t1147;
  t7977 = t1416 * t137 * t7975;
  t7978 = t745 * t7977;
  t7981 = t95 * t7975;
  t7982 = t306 * t7981;
  t7983 = t1417 * t7982;
  t7986 = t6588 / 0.4e1;
  t7987 = 0.3e1 / 0.4e1 * t6597;
  t7988 = t6609 / 0.2e1;
  t7989 = t6615 / 0.4e1;
  t7990 = t6628 / 0.2e1;
  t7991 = 0.3e1 / 0.2e1 * t6631;
  t7992 = 0.3e1 / 0.2e1 * t6660;
  t7993 = 0.3e1 / 0.2e1 * t6668;
  t7995 = -t7974 + t162 * t7978 / 0.2e1 - t233 * t7983 / 0.6e1 - t7986 + t7987 - t7988 - t7989 + t7990 - t7991 + t6646 + t7992 - t7993 + t1140 * t2856;
  t7997 = t1132 * t230;
  t7998 = t1743 * t7997;
  t7999 = t7998 * t1752;
  t8002 = t7997 * t1581;
  t8003 = t363 * t8002;
  t8004 = t106 * t8003;
  t8008 = t7997 * t1533;
  t8009 = t1531 * t8008;
  t8010 = t106 * t8009;
  t8019 = t7998 * t1757;
  t8028 = t7998 * t1747;
  t8033 = -0.3e1 * t509 * t7999 + t8004 * t497 - 0.2e1 * t8004 * t502 - 0.11e2 / 0.18e2 * t8010 * t1681 + 0.23e2 / 0.36e2 * t8010 * t1684 - t8010 * t1771 / 0.2e1 + 0.7e1 / 0.3e1 * t8010 * t1672 + 0.3e1 / 0.2e1 * t162 * t8019 - 0.3e1 / 0.2e1 * t8010 * t1735 - 0.3e1 / 0.2e1 * t2861 * t1190 + 0.3e1 / 0.2e1 * t719 * t1202 + 0.3e1 / 0.2e1 * t1742 * t8028 - 0.3e1 / 0.2e1 * t719 * t1194;
  t8034 = t7997 * t365;
  t8035 = t109 * t8034;
  t8036 = t106 * t8035;
  t8039 = t510 * t7997;
  t8040 = t8039 * t1703;
  t8050 = t163 * t7997 * t1524;
  t8053 = t8039 * t1699;
  t8064 = t7121 / 0.6e1;
  t8065 = 0.3e1 * t6483;
  t8066 = 0.2e1 * t6489;
  t8067 = 0.3e1 * t6492;
  t8068 = 0.2e1 * t7214;
  t8071 = t1756 * t1167;
  t8073 = t63 * t7939;
  t8074 = t404 * t8073;
  t8076 = t63 * t7975;
  t8077 = t1883 * t8076;
  t8080 = t60 * t7975;
  t8081 = t1883 * t8080;
  t8083 = t108 * t7997;
  t8084 = t8083 * t1523;
  t8087 = 0.6e1 * t6542;
  t8088 = 0.6e1 * t6545;
  t8089 = t8083 * t365;
  t8092 = t362 * t7997;
  t8093 = t8092 * t1581;
  t8096 = 0.4e1 * t1160 * t1168 + t1164 * t8071 + 0.6e1 * t146 * t8084 - 0.3e1 * t150 * t8089 - t237 * t8074 + 0.2e1 * t237 * t8077 - t237 * t8081 + 0.6e1 * t428 * t8093 - t6531 + t7173 - t8065 + t8066 + t8067 - t8068 + t8087 - t8088;
  t8097 = t69 * t7997;
  t8098 = t8097 * t1533;
  t8107 = t60 * t7939;
  t8108 = t404 * t8107;
  t8113 = t8092 * t1698;
  t8116 = t8097 * t1745;
  t8119 = t1756 * t1177;
  t8122 = t1879 * t1167;
  t8127 = t1879 * t1177;
  t8134 = -0.3e1 * t8098 * t1863 + 0.1e2 / 0.3e1 * t8098 * t1846 + t8098 * t1858 / 0.18e2 - 0.4e1 * t8093 * t415 + t237 * t8108 / 0.2e1 - 0.2e1 * t1160 * t1178 + 0.2e1 * t8113 * t401 - t8116 * t1917 / 0.9e1 - 0.2e1 * t1164 * t8119 - t962 + t943 - 0.6e1 * t1164 * t8122 + 0.6e1 * t8116 * t1928 + 0.3e1 * t1164 * t8127 - 0.12e2 * t8113 * t410 - 0.2e1 / 0.3e1 * t8116 * t1936;
  t8135 = t8096 + t8134;
  t8136 = t59 * t8135;
  t8137 = t8136 * t96;
  t8140 = -t8036 * t139 / 0.2e1 - 0.3e1 * t162 * t8040 + t8004 * t374 / 0.2e1 - t1140 * t2830 / 0.4e1 - 0.5e1 / 0.36e2 * t8010 * t1542 + 0.3e1 / 0.2e1 * t162 * t8050 + 0.3e1 * t509 * t8053 + 0.3e1 / 0.4e1 * t4944 * t248 - t1140 * t2852 / 0.2e1 - t233 * t4962 / 0.4e1 + t1135 * t686 / 0.2e1 + t8064 - t22 * t8137 / 0.4e1;
  t8143 = my_piecewise3(t3, 0, t7973 + t7995 + t8033 + t8140);
  tv3lapl30 = 0.2e1 * rho[0] * t8143;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  t8147 = t60 * t1132;
  t8148 = t400 * t8147;
  t8151 = t1746 * t8147;
  t8154 = t1751 * t8147;
  t8157 = t145 * t8147;
  t8161 = t409 * t8147;
  t8164 = t1756 * t8147;
  t8167 = t1240 * t1147;
  t8168 = t404 * t8167;
  t8171 = t63 * t1132;
  t8172 = t400 * t8171;
  t8175 = t1746 * t8171;
  t8179 = t263 * t8108 / 0.2e1 - 0.4e1 * t3214 * t8148 + t3211 * t8151 / 0.18e2 + 0.1e2 / 0.3e1 * t3211 * t8154 - 0.3e1 * t3227 * t8157 - t263 * t8081 + 0.6e1 * t3214 * t8161 - 0.3e1 * t3211 * t8164 + t7173 - t7175 + t7176 + t7177 + t6862 - t6865 + t6869 - 0.2e1 * t877 * t8168 + 0.2e1 * t3214 * t8172 - t3211 * t8175 / 0.9e1 - t263 * t8074;
  t8180 = t1756 * t8167;
  t8185 = t145 * t8171;
  t8188 = t5447 * t1147;
  t8189 = t149 * t8188;
  t8192 = t414 * t8188;
  t8194 = t427 * t8188;
  t8197 = t1879 * t8167;
  t8200 = t409 * t8171;
  t8203 = t1751 * t8171;
  t8206 = t1756 * t8171;
  t8209 = -0.2e1 * t881 * t8180 + 0.2e1 * t263 * t8077 + 0.6e1 * t3227 * t8185 + 0.4e1 * t3200 * t8189 + t3197 * t8192 - t8068 - t6890 + t6898 - t6900 - t7215 + t7218 - t7219 - 0.6e1 * t3197 * t8194 + 0.3e1 * t881 * t8197 - 0.12e2 * t3214 * t8200 - 0.2e1 / 0.3e1 * t3211 * t8203 + 0.6e1 * t3211 * t8206 - t962 + t943;
  t8210 = t8179 + t8209;
  t8211 = t59 * t8210;
  t8212 = t8211 * t96;
  t8217 = t717 * t1208;
  t8218 = t548 * t8217;
  t8221 = t2777 * t1208;
  t8222 = t555 * t8221;
  t8225 = t318 * t8221;
  t8228 = t95 * t1132;
  t8229 = t306 * t8228;
  t8230 = t548 * t8229;
  t8233 = t548 * t8221;
  t8236 = t2042 * t8229;
  t8246 = t767 * t7962;
  t8254 = t2966 * t1148;
  t8255 = t305 * t8254;
  t8262 = t555 * t8229;
  t8264 = t160 * t8228;
  t8265 = t548 * t8264;
  t8268 = t719 * t1283 / 0.2e1 - t233 * t5353 / 0.6e1 - t162 * t8246 / 0.4e1 - t719 * t1266 - t719 * t1269 / 0.2e1 - t823 * t1199 / 0.4e1 + t233 * t8255 / 0.12e2 + t259 * t7918 / 0.6e1 + t259 * t7942 / 0.12e2 + t2936 * t8262 - 0.2e1 * t2936 * t8265;
  t8274 = t775 * t1163;
  t8275 = t8274 * t512;
  t8278 = t507 * t8228;
  t8279 = t2042 * t8278;
  t8282 = t1540 * t1132;
  t8283 = t1539 * t8282;
  t8284 = t3180 * t8283;
  t8287 = t1670 * t1132;
  t8288 = t1539 * t8287;
  t8289 = t3180 * t8288;
  t8292 = t2218 * t8229;
  t8295 = t2042 * t8264;
  t8298 = t2213 * t8229;
  t8301 = t2218 * t8264;
  t8306 = -t1140 * t3192 / 0.6e1 + t1140 * t3172 / 0.3e1 - t509 * t8275 / 0.2e1 - 0.3e1 / 0.2e1 * t3007 * t8279 + 0.3e1 / 0.2e1 * t1742 * t8284 - 0.3e1 * t509 * t8289 - 0.11e2 / 0.18e2 * t3007 * t8292 + 0.23e2 / 0.36e2 * t3007 * t8295 - t3007 * t8298 / 0.2e1 + 0.7e1 / 0.3e1 * t3007 * t8301 - t259 * t7983 / 0.6e1;
  t8307 = t318 * t8229;
  t8310 = t8274 * t516;
  t8314 = t371 * t408 * t1132;
  t8315 = t3304 * t8314;
  t8318 = t372 * t1132;
  t8319 = t1539 * t8318;
  t8320 = t3180 * t8319;
  t8324 = t775 * t1159 * t328;
  t8329 = t767 * t7977;
  t8333 = t135 * t137 * t1132;
  t8334 = t3300 * t8333;
  t8337 = t371 * t8318;
  t8338 = t3304 * t8337;
  t8341 = t697 * t5578;
  t8344 = t96 * t5099;
  t8345 = t1974 * t8344;
  t8348 = -t3065 * t8307 / 0.2e1 + t162 * t8310 / 0.2e1 - 0.3e1 * t162 * t8315 + 0.3e1 / 0.2e1 * t162 * t8320 - t162 * t8324 / 0.2e1 + t1135 * t777 / 0.6e1 + t162 * t8329 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t8334 + 0.3e1 * t509 * t8338 + 0.3e1 / 0.2e1 * t2022 * t8341 + t2874 * t8345 / 0.4e1;
  t8351 = t1404 * t8344;
  t8354 = t1879 * t5099;
  t8355 = t881 * t8354;
  t8359 = -t6801 + t6824 - t6826 - t7091 + t7093 - t7095 - t7096 + t7097 - t6631 + t7098 + t6660;
  t8381 = -t6668 - t1140 * t3380 / 0.6e1 + t1140 * t3384 / 0.3e1 - t3389 * t1190 / 0.2e1 + t823 * t1202 / 0.2e1 + t1135 * t818 / 0.6e1 + t5513 * t248 / 0.2e1 - t233 * t5508 / 0.6e1 - t1140 * t3347 / 0.12e2 - t259 * t4962 / 0.12e2 - t823 * t1194 / 0.2e1;
  t8384 = t1968 * t8344;
  t8387 = t500 * t5099;
  t8388 = t1974 * t8387;
  t8390 = t5245 * t1198;
  t8393 = t287 * t1147;
  t8394 = t169 * t8393;
  t8395 = t1404 * t8394;
  t8398 = t404 * t5099;
  t8399 = t877 * t8398;
  t8401 = t1183 * t288;
  t8404 = t4944 * t274 / 0.4e1 + t6845 + t8064 + t6941 - t6947 + t2874 * t8384 / 0.2e1 - t2874 * t8388 - t1397 * t8390 / 0.4e1 + t2511 * t8395 / 0.12e2 + t2004 * t8399 - t22 * t8401 / 0.4e1;
  t8408 = my_piecewise3(t3, 0, t8404 - t7974 + t8306 + 0.2e1 / 0.3e1 * t791 * t8218 - t791 * t8222 / 0.3e1 + t785 * t8225 / 0.3e1 + t2936 * t8230 / 0.2e1 - t791 * t8233 / 0.6e1 - 0.5e1 / 0.36e2 * t3007 * t8236 - t1140 * t2880 / 0.12e2 + t6799 - t6780 + t6778 + t8348 - t3162 * t8351 / 0.3e1 - 0.3e1 / 0.2e1 * t2004 * t8355 - t22 * t8212 / 0.4e1 - t2861 * t1261 + t719 * t1274 + t8268 - t6785 + t984 - t6788 + t8359 - t913 + t8381);
  tv3lapl2tau0 = 0.2e1 * rho[0] * t8408;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  t8412 = t2218 * t1209;
  t8415 = t2042 * t1223;
  t8418 = t2213 * t1209;
  t8421 = t2218 * t1223;
  t8424 = t5779 * t1273;
  t8427 = t1539 * t1259;
  t8428 = t6166 * t8427;
  t8431 = t2966 * t1208;
  t8432 = t555 * t8431;
  t8435 = t821 * t1208;
  t8436 = t548 * t8435;
  t8439 = t507 * t1208;
  t8440 = t2042 * t8439;
  t8445 = -0.2e1 * t5713 * t1224 - 0.11e2 / 0.18e2 * t5911 * t8412 + 0.23e2 / 0.36e2 * t5911 * t8415 - t5911 * t8418 / 0.2e1 + 0.7e1 / 0.3e1 * t5911 * t8421 - 0.3e1 * t162 * t8424 + 0.3e1 / 0.2e1 * t162 * t8428 - t791 * t8432 / 0.3e1 + 0.2e1 / 0.3e1 * t791 * t8436 - 0.3e1 / 0.2e1 * t5911 * t8440 - t3389 * t1261 + t823 * t1274;
  t8446 = t1540 * t230;
  t8447 = t1539 * t8446;
  t8448 = t6166 * t8447;
  t8451 = t1670 * t230;
  t8452 = t1539 * t8451;
  t8453 = t6166 * t8452;
  t8473 = 0.2e1 / 0.3e1 * t4838 * t5817 + t6212 - 0.4e1 * t5823 * t1265 + 0.4e1 / 0.3e1 * t5826 * t1260 - 0.2e1 * t5829 * t1198 + 0.4e1 * t5826 * t1273 - t6224 + 0.4e1 * t5836 * t1265 + 0.2e1 * t265 * t1198 - 0.4e1 * t5841 * t1273;
  t8474 = t60 * t8473;
  t8475 = t404 * t8474;
  t8478 = t1751 * t1240;
  t8485 = t1746 * t1240;
  t8490 = t1756 * t1240;
  t8500 = t263 * t8475 / 0.2e1 + 0.1e2 / 0.3e1 * t6044 * t8478 - 0.4e1 / 0.3e1 * t1323 * t8119 - 0.4e1 * t6075 * t1241 + t6044 * t8485 / 0.18e2 + 0.6e1 * t6075 * t1248 - 0.3e1 * t6044 * t8490 + 0.2e1 * t1323 * t8127 - 0.3e1 * t6059 * t1244 - t1319 * t1178 + 0.2e1 * t6075 * t1233;
  t8503 = t1746 * t1229;
  t8506 = t63 * t8473;
  t8507 = t404 * t8506;
  t8509 = t1240 * t1304;
  t8510 = t1756 * t8509;
  t8517 = 0.2e1 / 0.3e1 * t1323 * t8071 - t6044 * t8503 / 0.9e1 - t263 * t8507 - 0.2e1 / 0.3e1 * t881 * t8510 + 0.6e1 * t6059 * t1230 + 0.2e1 * t1319 * t1168 + t7174 - t6483 + t6490 + t6492 + t7683 - t7684;
  t8519 = t1879 * t8509;
  t8523 = t1751 * t1229;
  t8526 = t1756 * t1229;
  t8531 = t404 * t8509;
  t8533 = t1336 * t1147;
  t8534 = t1883 * t8533;
  t8536 = t7685 + t881 * t8519 - 0.12e2 * t6075 * t1237 - 0.2e1 / 0.3e1 * t6044 * t8523 + 0.6e1 * t6044 * t8526 - 0.4e1 * t1323 * t8122 - t877 * t8531 - t263 * t8534 - t7214 + t7709 - t7710;
  t8537 = t6028 * t1147;
  t8538 = t149 * t8537;
  t8541 = t6028 * t230;
  t8542 = t414 * t8541;
  t8545 = t427 * t8541;
  t8548 = t149 * t8541;
  t8551 = t7711 - t7712 - t6532 + t6543 - t6546 + 0.2e1 * t4349 * t8538 + t3197 * t8542 / 0.3e1 - 0.2e1 * t3197 * t8545 - t7728 + 0.2e1 * t3200 * t8548 - t962 + t943;
  t8553 = t8500 + t8517 + t8536 + t8551;
  t8554 = t59 * t8553;
  t8555 = t8554 * t96;
  t8558 = t287 * t230;
  t8559 = t169 * t8558;
  t8560 = t1996 * t8559;
  t8563 = t1395 * t8558;
  t8564 = t1962 * t8563;
  t8567 = t6152 * t1260;
  t8569 = t6152 * t1273;
  t8571 = t697 * t6158;
  t8574 = t1304 * t230;
  t8575 = t1879 * t8574;
  t8576 = t881 * t8575;
  t8581 = t2042 * t1209;
  t8586 = 0.3e1 / 0.2e1 * t1742 * t8448 - 0.3e1 * t509 * t8453 + t5713 * t1218 - t22 * t8555 / 0.4e1 - t2874 * t8560 / 0.3e1 + 0.2e1 / 0.3e1 * t2874 * t8564 - t2011 * t8567 + t1397 * t8569 + t2022 * t8571 / 0.2e1 - t2004 * t8576 / 0.2e1 + t1297 * t7947 / 0.6e1 - 0.5e1 / 0.36e2 * t5911 * t8581 - t5706 * t1210 / 0.2e1;
  t8603 = t318 * t8431;
  t8608 = t548 * t8431;
  t8611 = t2777 * t1305;
  t8612 = t305 * t8611;
  t8615 = -t1292 * t1150 / 0.6e1 + t719 * t1356 / 0.2e1 - t823 * t1266 - t823 * t1269 / 0.2e1 - t233 * t5683 / 0.6e1 + t823 * t1283 / 0.2e1 - t259 * t5353 / 0.6e1 - 0.2e1 / 0.3e1 * t1297 * t7959 + t785 * t8603 / 0.3e1 + t259 * t8255 / 0.6e1 - t791 * t8608 / 0.6e1 + t259 * t8612 / 0.12e2;
  t8616 = t95 * t8473;
  t8617 = t306 * t8616;
  t8618 = t305 * t8617;
  t8628 = t5802 * t236 * t165;
  t8632 = t303 * t137 * t8473;
  t8633 = t767 * t8632;
  t8636 = t5785 * t7951;
  t8638 = t5763 * t1265;
  t8641 = t5855 * t1198;
  t8646 = t5779 * t1260;
  t8649 = t5785 * t7969;
  t8651 = t259 * t8618 / 0.12e2 + t1297 * t7955 / 0.3e1 + t5713 * t1213 / 0.2e1 - t233 * t5804 / 0.12e2 + t162 * t8628 / 0.4e1 - t162 * t8633 / 0.4e1 - t162 * t8636 + 0.3e1 / 0.2e1 * t162 * t8638 + t162 * t8641 / 0.2e1 - t719 * t1365 / 0.4e1 + 0.3e1 * t509 * t8646 + t509 * t8649 + t7611;
  t8654 = -t913 + t984 - t7020 + t6777 - t7771 - t6784 - t6787 + t7772 - t7773 + t7789 - t7790 - t6589;
  t8655 = t243 * t1387;
  t8658 = t1251 * t288;
  t8667 = t6598 - t6610 - t6616 + t6629 - t6632 + t6647 + t6661 - t6669 - t22 * t8655 / 0.4e1 - t22 * t8658 / 0.2e1 - t259 * t5508 / 0.6e1 + t1292 * t686 / 0.6e1 - t719 * t1360 / 0.2e1;
  t8685 = t719 * t1368 / 0.2e1 - t2861 * t1352 / 0.2e1 + t5985 * t248 / 0.4e1 + t5513 * t274 / 0.2e1 + t1297 * t2856 / 0.3e1 - t1297 * t2830 / 0.12e2 - t1297 * t2852 / 0.6e1 - t233 * t5963 / 0.12e2 + t7815 + t7122 + t7854 - t7855;
  t8686 = t1982 * t8559;
  t8691 = t96 * t8574;
  t8692 = t1404 * t8691;
  t8695 = t1304 * t1147;
  t8696 = t96 * t8695;
  t8697 = t3582 * t8696;
  t8700 = t1974 * t8691;
  t8703 = t1968 * t8691;
  t8706 = t500 * t8574;
  t8707 = t1974 * t8706;
  t8710 = t404 * t8574;
  t8711 = t877 * t8710;
  t8714 = t1883 * t8695;
  t8715 = t263 * t8714;
  t8718 = t5716 * t1265;
  t8720 = t5720 * t1198;
  t8723 = t1962 * t8559;
  t8726 = t3162 * t8686 / 0.3e1 + t3168 * t8395 / 0.6e1 - t3162 * t8692 / 0.6e1 - t3168 * t8697 / 0.6e1 + t2874 * t8700 / 0.12e2 + t2874 * t8703 / 0.6e1 - t2874 * t8707 / 0.3e1 + t2004 * t8711 / 0.2e1 + t2004 * t8715 / 0.2e1 - t1397 * t8718 - t1397 * t8720 / 0.2e1 - t2874 * t8723 / 0.6e1 - t7870;
  t8730 = my_piecewise3(t3, 0, t8445 + t8586 + t8615 + t8651 + t8654 + t8667 + t8685 + t8726);
  tv3lapltau20 = 0.2e1 * rho[0] * t8730;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  t8732 = t408 * t1304;
  t8733 = t1440 * t8732;
  t8734 = t5785 * t8733;
  t8737 = t775 * t1322;
  t8738 = t8737 * t516;
  t8741 = t1463 * t1306;
  t8744 = t160 * t1305;
  t8745 = t1455 * t8744;
  t8749 = t1304 * t1304;
  t8751 = t1416 * t137 * t8749;
  t8752 = t767 * t8751;
  t8756 = t775 * t1318 * t328;
  t8759 = t95 * t8749;
  t8760 = t306 * t8759;
  t8761 = t1417 * t8760;
  t8764 = t8737 * t512;
  t8768 = t5802 * t262 * t165;
  t8782 = t2966 * t1305;
  t8783 = t305 * t8782;
  t8786 = -0.3e1 / 0.2e1 * t162 * t8734 + 0.3e1 / 0.2e1 * t162 * t8738 + t1297 * t8741 / 0.2e1 - t1297 * t8745 - t1292 * t1307 / 0.3e1 + t162 * t8752 / 0.2e1 - 0.3e1 / 0.2e1 * t162 * t8756 - t259 * t8761 / 0.6e1 - 0.3e1 / 0.2e1 * t509 * t8764 + 0.3e1 / 0.4e1 * t162 * t8768 - 0.3e1 / 0.4e1 * t823 * t1365 + 0.3e1 / 0.2e1 * t823 * t1356 - t259 * t5804 / 0.4e1 + t1297 * t3172 - t1297 * t3192 / 0.2e1 - t259 * t5683 / 0.2e1 + t259 * t8783 / 0.4e1;
  t8792 = t1485 * t1289;
  t8805 = 0.2e1 / 0.3e1 * t1331 * t373 + t6212 - 0.4e1 * t307 * t1289 * t328 + 0.4e1 / 0.3e1 * t8792 * t512 - 0.2e1 * t5829 * t1364 + 0.4e1 * t8792 * t516 - t6224 + 0.4e1 * t1334 * t138 + 0.2e1 * t265 * t1364 - 0.4e1 * t1331 * t496;
  t8806 = t95 * t8805;
  t8807 = t306 * t8806;
  t8808 = t305 * t8807;
  t8813 = t1455 * t1306;
  t8818 = t5855 * t1364;
  t8821 = t303 * t137 * t8805;
  t8822 = t767 * t8821;
  t8825 = t372 * t1304;
  t8826 = t1440 * t8825;
  t8827 = t5785 * t8826;
  t8830 = t5720 * t1364;
  t8833 = t287 * t1304;
  t8834 = t169 * t8833;
  t8835 = t1404 * t8834;
  t8838 = t7610 / 0.6e1;
  t8839 = t1289 * t256;
  t8840 = t69 * t8839;
  t8841 = t8840 * t1745;
  t8844 = t60 * t8749;
  t8845 = t1883 * t8844;
  t8847 = t108 * t8839;
  t8848 = t8847 * t1523;
  t8853 = t60 * t8805;
  t8854 = t404 * t8853;
  t8857 = t1756 * t1336;
  t8860 = t362 * t8839;
  t8861 = t8860 * t1698;
  t8866 = t1879 * t1336;
  t8873 = t1879 * t1326;
  t8876 = 0.3e1 * t6862;
  t8877 = 0.3e1 * t6865;
  t8878 = 0.2e1 * t6868;
  t8879 = 0.6e1 * t8841 * t1928 - t263 * t8845 + 0.6e1 * t8848 * t146 - 0.2e1 * t1319 * t1337 + t263 * t8854 / 0.2e1 - 0.2e1 * t1323 * t8857 + 0.2e1 * t8861 * t401 - t8841 * t1917 / 0.9e1 + 0.3e1 * t1323 * t8866 - 0.12e2 * t8861 * t410 - 0.2e1 / 0.3e1 * t8841 * t1936 - 0.6e1 * t1323 * t8873 + t8876 - t8877 + t8878 + t7708;
  t8880 = 0.6e1 * t6897;
  t8881 = 0.6e1 * t6899;
  t8882 = 0.2e1 * t7728;
  t8883 = t8860 * t1581;
  t8886 = t8840 * t1533;
  t8895 = t8847 * t365;
  t8900 = t1756 * t1326;
  t8902 = t63 * t8805;
  t8903 = t404 * t8902;
  t8905 = t63 * t8749;
  t8906 = t1883 * t8905;
  t8909 = -t6889 + t8880 - t8881 - t8882 + 0.6e1 * t8883 * t428 - 0.3e1 * t8886 * t1863 + 0.1e2 / 0.3e1 * t8886 * t1846 - 0.4e1 * t8883 * t415 + t8886 * t1858 / 0.18e2 - 0.3e1 * t8895 * t150 + 0.4e1 * t1319 * t1327 + t1323 * t8900 - t263 * t8903 + 0.2e1 * t263 * t8906 - t962 + t943;
  t8910 = t8879 + t8909;
  t8911 = t59 * t8910;
  t8912 = t8911 * t96;
  t8915 = 0.3e1 / 0.2e1 * t6777;
  t8916 = t6779 / 0.4e1;
  t8917 = 0.3e1 / 0.2e1 * t6784;
  t8918 = 0.3e1 / 0.2e1 * t6787;
  t8919 = t259 * t8808 / 0.12e2 + t1292 * t777 / 0.2e1 + t1297 * t8813 / 0.4e1 - t1297 * t2880 / 0.4e1 + t162 * t8818 - t162 * t8822 / 0.4e1 + 0.3e1 / 0.2e1 * t509 * t8827 - 0.3e1 / 0.4e1 * t1397 * t8830 + t3168 * t8835 / 0.4e1 + t8838 - t22 * t8912 / 0.4e1 - t913 + t984 + t8915 - t8916 - t8917 - t8918 + t6798;
  t8921 = t6800 / 0.2e1;
  t8922 = 0.3e1 / 0.4e1 * t6823;
  t8923 = t6825 / 0.4e1;
  t8924 = t8839 * t1533;
  t8925 = t1531 * t8924;
  t8926 = t106 * t8925;
  t8938 = t1743 * t8839;
  t8939 = t8938 * t1747;
  t8942 = t8938 * t1752;
  t8945 = t8839 * t1581;
  t8946 = t363 * t8945;
  t8947 = t106 * t8946;
  t8953 = t510 * t8839;
  t8954 = t8953 * t1703;
  t8957 = t8938 * t1757;
  t8962 = -t8921 + t8922 - t8923 + 0.23e2 / 0.36e2 * t8926 * t1684 - t8926 * t1771 / 0.2e1 + 0.7e1 / 0.3e1 * t8926 * t1672 + t1297 * t3384 - 0.3e1 / 0.2e1 * t3389 * t1352 + 0.3e1 / 0.2e1 * t823 * t1368 + 0.3e1 / 0.2e1 * t1742 * t8939 - 0.3e1 * t509 * t8942 + t8947 * t497 - 0.2e1 * t8947 * t502 - 0.11e2 / 0.18e2 * t8926 * t1681 - 0.3e1 * t162 * t8954 + 0.3e1 / 0.2e1 * t162 * t8957 - 0.3e1 / 0.2e1 * t8926 * t1735;
  t8973 = t8839 * t365;
  t8974 = t109 * t8973;
  t8975 = t106 * t8974;
  t8979 = t163 * t8839 * t1524;
  t8982 = t8953 * t1699;
  t8991 = 0.3e1 / 0.4e1 * t6844;
  t8992 = t6940 / 0.2e1;
  t8993 = t6946 / 0.4e1;
  t8994 = t1342 * t288;
  t8997 = 0.1e1 / t445;
  t9010 = 0.408e3 * t1821 * t8997 + 0.624e3 * t1824 * t8997 - 0.72e3 * t1827 * t8997 - 0.18e4 * t1830 * t8997 - 0.84e3 * t1835 * t8997 + 0.24e2 * t84 * t8997;
  t9011 = t169 * t9010;
  t9012 = t65 * t9011;
  t9015 = t269 * t1387;
  t9018 = t7869 / 0.2e1;
  t9019 = t8947 * t374 / 0.2e1 - t1297 * t3347 / 0.4e1 - 0.5e1 / 0.36e2 * t8926 * t1542 - t1297 * t3380 / 0.2e1 + t1292 * t818 / 0.2e1 - t8975 * t139 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t8979 + 0.3e1 * t509 * t8982 - 0.3e1 / 0.2e1 * t823 * t1360 + 0.3e1 / 0.4e1 * t5985 * t274 - t259 * t5963 / 0.4e1 + t8991 + t8992 - t8993 - 0.3e1 / 0.4e1 * t22 * t8994 - t22 * t9012 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t9015 - t9018;
  t9022 = my_piecewise3(t3, 0, t8786 + t8919 + t8962 + t9019);
  tv3tau30 = 0.2e1 * rho[0] * t9022;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  t9035 = t301 * t301;
  t9036 = 0.1e1 / t9035;
  t9037 = t1538 * t9036;
  t9038 = t9037 * t2041;
  t9039 = t9038 * t1467;
  t9042 = t2042 * t1587;
  t9045 = t2218 * t319;
  t9048 = t2042 * t1643;
  t9051 = t296 * t1853;
  t9055 = t323 * t1581;
  t9056 = t510 * t9055;
  t9060 = t510 * t1582;
  t9069 = t382 * t1640;
  t9078 = t1562 * t365;
  t9080 = t106 * t363 * t9078;
  t9083 = t510 * t9078;
  t9087 = -0.6e1 * t1689 * t1433 + 0.6e1 * t379 * t1666 - 0.6e1 * t379 * t1443 - 0.6e1 * t1689 * t1663 + 0.6e1 * t1689 * t1449 - 0.23e2 / 0.6e1 * t1536 * t9039 + 0.23e2 / 0.9e1 * t1536 * t9042 - 0.22e2 / 0.9e1 * t1536 * t9045 + 0.23e2 / 0.6e1 * t3083 * t9048 - 0.12e2 * t162 * t9051 * t1703 + 0.18e2 * t509 * t9056 * t2057 - 0.14e2 * t509 * t9060 * t1448 + 0.12e2 * t509 * t9051 * t1699 - 0.2e1 / 0.3e1 * t1694 * t1452 - 0.2e1 / 0.3e1 * t9069 * t2149 + 0.2e1 / 0.3e1 * t1694 * t1464 + 0.6e1 * t379 * t1436 - 0.2e1 * t1709 * t320 - 0.2e1 / 0.3e1 * t9080 * t556 - 0.2e1 * t509 * t9083 * t622;
  t9099 = t109 * t1602;
  t9113 = t363 * t9055;
  t9114 = t106 * t9113;
  t9125 = t106 * t9099;
  t9126 = t1472 * t1642;
  t9127 = t318 * t9126;
  t9141 = 0.2e1 * t162 * t9083 * t645 - 0.18e2 * t162 * t9056 * t2417 + 0.14e2 * t162 * t9060 * t1442 - t1718 * t315 / 0.9e1 + 0.2e1 / 0.3e1 * t382 * t9099 * t2402 + t1713 * t335 / 0.3e1 - 0.3e1 * t106 * t109 * t366 * t2402 + 0.3e1 / 0.2e1 * t1709 * t315 - t1694 * t1609 / 0.3e1 + 0.3e1 * t9114 * t2115 - 0.4e1 / 0.9e1 * t1721 * t315 + 0.2e1 / 0.3e1 * t1721 * t320 - t9069 * t2115 / 0.3e1 + 0.2e1 * t493 * t1613 + 0.2e1 * t9125 * t9127 - t1657 * t2410 - 0.5e1 / 0.6e1 * t106 * t1531 * t349 * t1533 * t2045 + t383 * t1474 / 0.3e1 - t1728 * t335 - t9080 * t549 / 0.3e1;
  t9153 = t1485 * t366;
  t9160 = t1485 * t1521;
  t9163 = t57 * t69;
  t9164 = t9163 * t1521;
  t9171 = t1870 * t365;
  t9189 = 0.8e1 * t307 * t491 * t334 - 0.4e1 * t9153 * t1448 - 0.2e1 * t1489 * t1621 - 0.12e2 * t9153 * t1442 - 0.24e2 * t9160 * t1703 + 0.32e2 / 0.3e1 * t9164 * t1752 + 0.12e2 * t9164 * t1757 + 0.12e2 * t413 * t1442 - 0.12e2 * t9171 * t645 - 0.8e1 * t421 * t334 + 0.2e1 * t148 * t1621 + 0.12e2 * t390 * t326 * t636 + 0.4e1 * t418 * t334 - 0.8e1 * t9160 * t1699 + 0.16e2 / 0.9e1 * t9164 * t1747 + 0.2e1 * t3454 * t2057;
  t9200 = t1485 * t1655;
  t9227 = -0.2e1 * t413 * t1448 + 0.2e1 * t307 * t1562 * t165 + 0.12e2 * t307 * t1521 * t1524 - 0.4e1 * t148 * t1647 + 0.12e2 * t9200 * t645 + 0.4e1 * t1489 * t1647 - 0.12e2 * t307 * t1634 * t636 - 0.4e1 * t307 * t354 * t334 + 0.4e1 * t9200 * t622 - 0.12e2 * t1867 * t138 - 0.4e1 * t1854 * t373 - 0.2e1 * t1850 * t138 + 0.2e2 / 0.9e1 * t1844 * t1541 + 0.24e2 * t1854 * t496 - 0.12e2 * t1844 * t1770 + 0.4e1 / 0.3e1 * t1844 * t1671;
  t9228 = t9189 + t9227;
  t9230 = t303 * t137 * t9228;
  t9235 = t1455 * t160 * t1503;
  t9259 = t95 * t1562;
  t9261 = t548 * t160 * t9259;
  t9267 = t135 * t137 * t1562;
  t9277 = -0.7e1 / 0.3e1 * t1584 * t1456 + 0.2e1 * t1584 * t1609 + t1694 * t1456 / 0.3e1 + t387 * t1591 - t162 * t332 * t9230 / 0.4e1 - 0.4e1 / 0.3e1 * t368 * t9235 - 0.2e1 * t379 * t1629 - t379 * t1622 - 0.3e1 / 0.4e1 * t162 * t163 * t1567 * t334 - 0.3e1 / 0.4e1 * t162 * t1628 * t1621 - 0.3e1 / 0.2e1 * t1547 * t335 + 0.2e1 / 0.9e1 * t1514 * t315 - t1514 * t320 / 0.3e1 + 0.2e1 / 0.3e1 * t106 * t109 * t1562 * t326 * t541 + 0.4e1 / 0.3e1 * t1641 * t9261 - 0.4e1 / 0.3e1 * t493 * t1474 - 0.2e1 * t162 * t1603 * t9267 + 0.4e1 / 0.3e1 * t387 * t1600 - 0.2e1 * t387 * t1427 - 0.6e1 * t379 * t1606;
  t9278 = t2042 * t319;
  t9283 = t548 * t1616;
  t9287 = t548 * t1612;
  t9333 = 0.3e1 / 0.2e1 * t162 * t1594 * t390 * t165 - 0.9e1 / 0.2e1 * t162 * t163 * t1707 * t334 + 0.6e1 * t162 * t296 * t1866 * t1524 + 0.2e1 * t379 * t1648 - 0.12e2 * t9114 * t1644 - t356 * t1421 / 0.2e1 - 0.8e1 * t1584 * t1588 - 0.3e1 * t162 * t1594 * t393 * t328 - 0.3e1 * t162 * t1599 * t1647 + t387 * t1596 + 0.9e1 * t162 * t163 * t366 * t1605;
  t9354 = t305 * t306 * t95 * t9228;
  t9357 = t1455 * t1504;
  t9364 = t430 * t66;
  t9366 = t305 * t9364 * t313;
  t9370 = t305 * t1472 * t1503;
  t9373 = t1455 * t1473;
  t9375 = t370 * t9036;
  t9376 = t9375 * t547;
  t9378 = t9376 * t160 * t1419;
  t9381 = t9375 * t554;
  t9382 = t9381 * t1420;
  t9387 = t9376 * t1420;
  t9393 = t1417 * t1472 * t1419;
  t9396 = -t383 * t1617 / 0.3e1 + t493 * t1617 - t387 * t1622 / 0.3e1 + 0.3e1 / 0.2e1 * t162 * t1599 * t1621 - 0.2e1 / 0.3e1 * t387 * t1629 + 0.3e1 / 0.2e1 * t162 * t1628 * t1647 + 0.4e1 * t379 * t1600 + t127 * t9354 / 0.12e2 + t368 * t9357 / 0.3e1 + 0.2e1 / 0.3e1 * t356 * t1474 + t356 * t1505 / 0.4e1 + t127 * t9366 / 0.2e1 + t127 * t9370 / 0.3e1 + t368 * t9373 + 0.11e2 / 0.3e1 * t368 * t9378 - 0.11e2 / 0.6e1 * t368 * t9382 - 0.6e1 * t379 * t1427 - 0.11e2 / 0.12e2 * t368 * t9387 - t493 * t1505 / 0.2e1 - 0.2e1 / 0.3e1 * t127 * t9393;
  t9402 = t9375 * t408 * t1418;
  t9407 = t9375 * t372 * t1418;
  t9411 = t1463 * t1504;
  t9414 = t1594 * t397;
  t9421 = t555 * t1616;
  t9424 = t548 * t160 * t1594;
  t9428 = t1440 * t372 * t1502;
  t9434 = t1440 * t408 * t1502;
  t9438 = t9038 * t314;
  t9443 = t130 * t9036;
  t9444 = t1418 * t312;
  t9446 = t9443 * t137 * t9444;
  t9452 = t9443 * t304;
  t9455 = t9452 * t306 * t95 * t9444;
  t9459 = t1756 * t1969;
  t9463 = t2000 * t1655;
  t9473 = -0.2e1 * t162 * t1439 * t9434 + 0.5e1 / 0.6e1 * t1536 * t9438 - t1569 * t320 / 0.3e1 - 0.3e1 / 0.2e1 * t162 * t332 * t9446 + 0.2e1 / 0.3e1 * t387 * t1648 + t127 * t9455 / 0.2e1 + t493 * t1421 + 0.7e1 * t2022 * t1871 * t9459 - 0.6e1 * t2011 * t9463 * t622 + 0.2e1 * t1397 * t1399 * t1647 + 0.6e1 * t1397 * t9463 * t645;
  t9476 = t22 * t2024;
  t9477 = t193 * t349;
  t9479 = t1962 * t1395 * t9477;
  t9482 = t22 * t1888;
  t9485 = t349 * t312;
  t9487 = t1974 * t500 * t9485;
  t9490 = t22 * t1871;
  t9501 = t1502 * t312;
  t9502 = t1883 * t9501;
  t9509 = t22 * t154 * t1395;
  t9521 = t22 * t399;
  t9523 = t1974 * t1395 * t1405;
  t9526 = t480 * t108;
  t9539 = t1974 * t1406;
  t9543 = t1404 * t169 * t480 * t312;
  t9546 = 0.4e1 * t9476 * t9479 - 0.3e1 / 0.2e1 * t9482 * t1979 - 0.14e2 / 0.3e1 * t9476 * t9487 + 0.7e1 / 0.6e1 * t9490 * t1987 - t9490 * t1990 + 0.7e1 / 0.3e1 * t9490 * t1971 - 0.2e1 * t9490 * t1997 - 0.7e1 * t2004 * t1871 * t2005 + 0.3e1 / 0.2e1 * t2004 * t144 * t9502 - t1397 * t1399 * t1621 - 0.3e1 * t9509 * t1400 + 0.9e1 / 0.2e1 * t2004 * t1888 * t2030 - 0.2e1 * t1397 * t1398 * t354 * t334 + 0.2e1 * t9482 * t1984 - 0.4e1 * t9521 * t9523 - 0.3e1 / 0.2e1 * t1397 * t9526 * t125 * t334 + 0.4e1 * t1397 * t1398 * t491 * t334 - 0.6e1 * t1397 * t1398 * t1602 * t1605 + t9521 * t9539 + t1403 * t9543 / 0.2e1;
  t9547 = t404 * t154;
  t9548 = t9547 * t1406;
  t9551 = t3582 * t96 * t9501;
  t9556 = t1404 * t169 * t193 * t1502;
  t9559 = t22 * t391;
  t9562 = t1968 * t1406;
  t9567 = t3582 * t169 * t193 * t1418;
  t9570 = t22 * t394;
  t9573 = t103 * t144;
  t9576 = t103 * t1396;
  t9578 = t2000 * t366;
  t9590 = t74 * t1557;
  t9596 = 0.1e1 / t15 / t3115;
  t9597 = t444 * t9596;
  t9613 = t76 * t91;
  t9614 = t443 * t443;
  t9618 = t9614 / t25 / t1810 / t34;
  t9619 = t9618 * t24;
  t9622 = t80 * t189;
  t9625 = t81 * t474;
  t9628 = -0.616e4 / 0.81e2 * t174 * t9590 + 0.1232e5 / 0.27e2 * t178 * t9590 - 0.1088e6 / 0.81e2 * t463 * t9597 + 0.1232e5 / 0.27e2 * t182 * t9590 + 0.136e7 / 0.81e2 * t468 * t9597 - 0.308e5 / 0.81e2 * t185 * t9590 + 0.272e6 / 0.27e2 * t475 * t9597 - 0.308e5 / 0.81e2 * t190 * t9590 - 0.616e4 / 0.81e2 * t74 * t1557 * t78 - 0.2e6 / 0.9e1 * t9613 * t9619 - 0.2e6 / 0.27e2 * t9622 * t9619 + 0.8e6 / 0.9e1 * t9625 * t9619;
  t9629 = t87 * t1834;
  t9634 = t88 / t1833 / t77;
  t9641 = t1810 * rho[0];
  t9643 = t1809 / t9641;
  t9662 = 0.35e7 / 0.27e2 * t9629 * t9619 + 0.14e7 / 0.27e2 * t9634 * t9619 - 0.272e6 / 0.81e2 * t451 * t9597 - 0.1088e6 / 0.9e1 * t458 * t9597 + 0.416e6 / 0.9e1 * t1824 * t9643 - 0.16e6 / 0.3e1 * t1827 * t9643 - 0.4e6 / 0.3e1 * t1830 * t9643 - 0.56e6 / 0.9e1 * t1835 * t9643 + 0.272e6 / 0.9e1 * t1821 * t9643 + 0.544e5 / 0.81e2 * t444 * t9596 * t173 - 0.1e6 / 0.27e2 * t9618 * t181 * t24 + 0.16e5 / 0.9e1 * t9643 * t84;
  t9679 = t2213 * t319;
  t9684 = 0.6e1 * t2011 * t9578 * t1448 - t22 * t1941 * t194 - 0.1e2 / 0.27e2 * t1946 * t195 - t22 * t65 * t169 * (t9628 + t9662) / 0.4e1 - t22 * t154 * t1839 + 0.2e1 / 0.3e1 * t486 * t437 + t486 * t482 / 0.3e1 - 0.3e1 / 0.2e1 * t22 * t431 * t481 - t103 * t1942 / 0.3e1 - 0.2e1 * t1536 * t9679 + 0.4e1 * t1584 * t1452;
  t9689 = t2213 * t2114;
  t9705 = t318 * t9364 * t296;
  t9714 = t2042 * t507 * t1642;
  t9718 = t9038 * t507 * t313;
  t9722 = t2042 * t507 * t296;
  t9730 = t318 * t1472 * t1594;
  t9734 = params->at * t1838;
  t9736 = t318 * t306 * t9734;
  t9742 = -0.3e1 * t3083 * t9689 + 0.2e1 * t387 * t1436 + 0.6e1 * t9114 * t2149 - 0.14e2 / 0.3e1 * t1584 * t1464 - 0.2e1 * t1763 * t1433 + 0.2e1 * t387 * t1666 - 0.2e1 * t387 * t1443 - t127 * t9705 + 0.3e1 * t1547 * t298 - 0.2e1 / 0.3e1 * t383 * t1613 + 0.2e1 * t1728 * t298 - 0.9e1 * t3083 * t9714 + 0.9e1 * t1536 * t9718 - 0.6e1 * t1536 * t9722 + 0.2e1 / 0.9e1 * t1718 * t320 - 0.2e1 / 0.3e1 * t1713 * t298 - t127 * t9730 + 0.3e1 * t379 * t1596 - t127 * t9736 / 0.3e1 + t162 * t9734 * t142 * t165;
  t9743 = t382 * t1741;
  t9746 = t1712 * t378;
  t9749 = t1945 * t19;
  t9750 = t9749 * t161;
  t9753 = t138 * t1942;
  t9758 = t106 * t158 * t1940 * t159;
  t9763 = t382 * t1535;
  t9766 = t323 * t323;
  t9768 = 0.1e1 / t364 / t325;
  t9771 = t106 * t1531 * t9766 * t9768;
  t9774 = t108 * t69;
  t9775 = t20 * t9774;
  t9776 = t364 * t364;
  t9777 = 0.1e1 / t9776;
  t9780 = t106 * t9775 * t9766 * t9777;
  t9781 = t369 * t369;
  t9782 = 0.1e1 / t9781;
  t9783 = t9782 * t9036;
  t9784 = t9783 * t1540;
  t9785 = t9784 * t501;
  t9790 = t106 * t158 * t153 * t1739;
  t9797 = t382 * t1546;
  t9799 = t154 * t1733;
  t9800 = t1541 * t9799;
  t9803 = t372 * t372;
  t9804 = t9783 * t9803;
  t9805 = t9804 * t1734;
  t9810 = t1770 * t155;
  t9813 = t9784 * t97;
  t9816 = t1671 * t1678;
  t9819 = t372 * t408;
  t9820 = t9783 * t9819;
  t9821 = t9820 * t501;
  t9824 = 0.2e1 * t9743 * t1748 - 0.2e1 / 0.3e1 * t9746 * t166 + 0.1e2 / 0.27e2 * t9750 * t166 - t127 * t9753 / 0.3e1 + t9758 * t166 - 0.1e2 / 0.81e2 * t9749 * t126 * t139 - 0.2e1 * t9763 * t1735 + 0.18e2 * t9771 * t1735 + 0.47e2 / 0.3e1 * t9780 * t9785 + 0.6e1 * t9790 * t1748 - 0.12e2 * t1689 * t1753 - t383 * t1575 / 0.3e1 + t9797 * t166 - 0.6e1 * t1536 * t9800 - 0.43e2 / 0.9e1 * t9780 * t9805 + 0.2e1 / 0.9e1 * t1718 * t359 - 0.2e1 * t1536 * t9810 - 0.38e2 / 0.9e1 * t9780 * t9813 + 0.28e2 / 0.3e1 * t1536 * t9816 + 0.89e2 / 0.9e1 * t9780 * t9821;
  t9836 = t382 * t1688;
  t9843 = t2218 * t2114;
  t9846 = t9037 * t2217;
  t9847 = t9846 * t314;
  t9851 = t548 * t377 * t1642;
  t9855 = t1455 * t377 * t313;
  t9859 = t548 * t377 * t296;
  t9862 = t1463 * t1473;
  t9865 = t555 * t1612;
  t9868 = t2218 * t1587;
  t9871 = t555 * t9126;
  t9874 = t2218 * t1643;
  t9877 = t9846 * t1467;
  t9880 = t9037 * t547;
  t9881 = t9880 * t314;
  t9884 = 0.2e1 * t1728 * t517 + 0.4e1 * t1584 * t1675 + 0.22e2 / 0.3e1 * t9771 * t1681 + 0.4e1 / 0.3e1 * t1694 * t1679 + 0.23e2 / 0.27e2 * t9763 * t1684 - 0.2e1 * t9836 * t513 + 0.6e1 * t379 * t1758 + t486 * t432 / 0.3e1 - 0.11e2 / 0.3e1 * t3083 * t9843 + 0.11e2 / 0.3e1 * t1536 * t9847 + 0.4e1 * t1641 * t9851 - 0.4e1 * t368 * t9855 + 0.4e1 * t368 * t9859 + 0.2e1 * t368 * t9862 - 0.2e1 * t368 * t9865 + 0.28e2 / 0.3e1 * t1536 * t9868 - 0.2e1 * t1641 * t9871 + 0.14e2 * t3083 * t9874 - 0.14e2 * t1536 * t9877 + 0.3e1 * t1536 * t9881;
  t9892 = 0.1e1 / t25 / t1787;
  t9893 = t24 * t9892;
  t9897 = my_piecewise3(t43, t110, 0.308e4 / 0.243e3 * t44 * t1557 - 0.1232e5 / 0.243e3 * t30 * t1558 + 0.5236e4 / 0.243e3 * t33 * t9893);
  t9911 = t1743 * t9766;
  t9912 = t9768 * t1538;
  t9913 = t9912 * t1751;
  t9921 = t9912 * t1746;
  t9928 = t9804 * t501;
  t9933 = t106 * t158 * t430 * t506;
  t9936 = t9820 * t97;
  t9940 = t373 * t431 * t500;
  t9943 = t1541 * t1678;
  t9946 = t496 * t432;
  t9948 = t1671 * t155;
  t9959 = 0.44e2 / 0.27e2 * t9780 * t9928 - 0.3e1 * t9933 * t513 - 0.61e2 / 0.27e2 * t9780 * t9936 + 0.2e1 * t368 * t9940 + 0.23e2 / 0.9e1 * t1536 * t9943 - t368 * t9946 - 0.22e2 / 0.9e1 * t1536 * t9948 - 0.22e2 / 0.27e2 * t9763 * t1681 - 0.8e1 * t1584 * t1679 - 0.2e1 / 0.3e1 * t1694 * t1675 - 0.2e1 / 0.3e1 * t9763 * t1771;
  t9963 = t382 * t1583;
  t9968 = t106 * t363 * t9766 * t1533;
  t9975 = t1712 * t508;
  t9980 = t1712 * t367;
  t9985 = t9912 * t1756;
  t9989 = t95 * t9774;
  t9990 = t9989 * t9766;
  t9991 = t9777 * t9782;
  t9992 = t9036 * t1540;
  t9993 = t9991 * t9992;
  t9997 = t9036 * t1670;
  t9998 = t9991 * t9997;
  t10012 = t349 * t349;
  t10015 = t106 * t363 * t10012 * t365;
  t10021 = t510 * t10012;
  t10028 = t510 * t9766;
  t10029 = t1533 * t370;
  t10030 = t10029 * t409;
  t10034 = t10029 * t400;
  t10038 = 0.4e1 / 0.3e1 * t9963 * t497 - 0.6e1 * t9968 * t497 - 0.2e1 / 0.3e1 * t1713 * t517 - 0.4e1 * t387 * t1704 + 0.2e1 / 0.3e1 * t9975 * t513 + 0.4e1 * t1763 * t1700 - 0.4e1 / 0.9e1 * t9980 * t502 - 0.8e1 / 0.3e1 * t9963 * t502 - 0.18e2 * t162 * t9911 * t9985 - 0.18e2 * t509 * t9990 * t9993 + 0.6e1 * t162 * t9990 * t9998 + 0.2e1 / 0.3e1 * t1713 * t329 - 0.2e1 / 0.9e1 * t1712 * t492 * t139 + 0.2e1 * t106 * t109 * t9766 * t1581 * t139 - t10015 * t497 / 0.2e1 - 0.2e1 / 0.3e1 * t382 * t1708 * t139 - 0.3e1 / 0.2e1 * t509 * t10021 * t512 + 0.3e1 / 0.2e1 * t162 * t10021 * t516 + 0.18e2 * t162 * t10028 * t10030 - 0.18e2 * t509 * t10028 * t10034;
  t10054 = t9783 * t1670 * t97;
  t10064 = t9820 * t1734;
  t10067 = t9804 * t3979;
  t10071 = 0.1e1 / t1738 / t57;
  t10074 = t106 * t158 * t64 * t10071;
  t10075 = t9036 * t9803;
  t10076 = t9991 * t10075;
  t10080 = t9036 * t9819;
  t10081 = t9991 * t10080;
  t10098 = -0.28e2 * t9771 * t1672 - 0.62e2 / 0.3e1 * t9780 * t10064 + 0.8e1 * t9780 * t10067 - 0.6e1 * t10074 * t9990 * t10076 + 0.18e2 * t1742 * t9990 * t10081 + 0.5e1 / 0.3e1 * t9771 * t1542 + t1712 * t355 * t139 / 0.9e1 + t9980 * t374 / 0.9e1 + 0.2e1 / 0.3e1 * t1721 * t359 + 0.2e1 / 0.3e1 * t9963 * t374 - 0.2e1 * t1709 * t359;
  t10106 = t1581 * t130;
  t10107 = t10106 * t145;
  t10139 = t9804 * t97;
  t10142 = t373 * t432;
  t10145 = t1541 * t155;
  t10150 = -0.3e1 * t9968 * t374 - t1713 * t351 / 0.3e1 - 0.6e1 * t162 * t163 * t9766 * t10107 - 0.3e1 / 0.2e1 * t162 * t163 * t10012 * t328 + 0.2e1 * t387 * t1525 + t106 * t109 * t10012 * t326 * t139 / 0.2e1 + t10015 * t502 - t382 * t1568 * t139 / 0.9e1 + t493 * t1575 - t1514 * t359 / 0.3e1 + t1728 * t351 - t1694 * t1528 / 0.3e1 - 0.5e1 / 0.27e2 * t9763 * t1542 + 0.2e1 * t1584 * t1528 + t379 * t1564 + 0.3e1 / 0.2e1 * t1547 * t351 - 0.35e2 / 0.108e3 * t9780 * t10139 - t368 * t10142 / 0.2e1 - 0.5e1 / 0.9e1 * t1536 * t10145 + 0.6e1 * t379 * t1525;
  t10163 = t1743 * t3081;
  t10164 = t1539 * t2056;
  t10168 = t1743 * t1534;
  t10169 = t9037 * t1447;
  t10173 = t296 * t1843;
  t10178 = t1539 * t1670 * t349;
  t10188 = t9037 * t1670 * t312;
  t10196 = t9037 * t1540 * t312;
  t10204 = t1539 * t1540 * t349;
  t10211 = t362 * t1562 * t398;
  t10215 = t1883 * t1899 * t312;
  t10218 = t423 * t349;
  t10219 = t1756 * t10218;
  t10223 = t404 * t10218;
  t10226 = t1879 * t1893;
  t10229 = t1870 * t1698;
  t10233 = t69 * t349 * t1745;
  t10238 = t9997 * t405;
  t10242 = t9036 * t372;
  t10243 = t10242 * t405;
  t10247 = t404 * t63 * t9228;
  t10249 = t1756 * t1893;
  t10252 = t397 * t1698;
  t10257 = t69 * t323;
  t10258 = t10257 * t1745;
  t10259 = t1746 * t2307;
  t10262 = t9992 * t405;
  t10265 = t1849 * t327;
  t10272 = t10242 * t1884;
  t10275 = -0.36e2 * t1916 * t10243 - t144 * t10247 + 0.4e1 / 0.3e1 * t399 * t10249 + 0.12e2 * t10252 * t2341 - 0.28e2 / 0.3e1 * t1913 * t1877 - 0.2e1 / 0.3e1 * t10258 * t10259 + 0.2e1 / 0.3e1 * t1916 * t10262 - 0.8e1 * t10265 * t578 - 0.3e1 * t1909 * t406 - 0.4e1 / 0.3e1 * t10211 * t583 - 0.11e2 / 0.3e1 * t399 * t10272;
  t10277 = t9036 * t408;
  t10278 = t10277 * t1884;
  t10288 = t1756 * t2307;
  t10295 = t9036 * t137;
  t10297 = t10295 * t63 * t9444;
  t10302 = t1870 * t2284;
  t10308 = 0.36e2 * t1523 * t2299 * t390 + 0.18e2 * t2277 * t2281 * t390 + 0.36e2 * t10258 * t10288 + 0.22e2 * t10278 * t399 - 0.6e1 * t10297 * t144 - 0.28e2 * t10302 * t2286 + 0.6e1 * t1885 * t391 - 0.12e2 * t1885 * t394 - 0.3e1 * t1894 * t391 + 0.6e1 * t1894 * t394 - 0.18e2 * t1923 * t406;
  t10312 = t62 * t1502;
  t10314 = t149 * t10312 * t312;
  t10317 = t69 * t9766;
  t10318 = t10317 * t9768;
  t10321 = t9774 * t9766;
  t10322 = t10321 * t9777;
  t10323 = t9783 * t1845;
  t10326 = t9783 * t1857;
  t10329 = t362 * t9766;
  t10330 = t10329 * t1533;
  t10333 = t108 * t10012;
  t10337 = t362 * t10012;
  t10338 = t10337 * t365;
  t10347 = 0.14e2 / 0.3e1 * t10302 * t2289 + 0.6e1 * t142 * t3598 * t10314 + 0.36e2 * t10318 * t1863 - 0.12e2 * t10322 * t10323 + 0.5e2 / 0.3e1 * t10322 * t10326 - 0.36e2 * t10330 * t428 + 0.3e1 * t10333 * t326 * t150 + 0.2e1 * t10338 * t415 - 0.4e2 * t10318 * t1846 - 0.3e1 * t10338 * t428 - 0.4e1 * t10211 * t601;
  t10350 = t10337 * t398;
  t10353 = t10317 * t9912;
  t10360 = t108 * t9766;
  t10365 = t10295 * t60 * t9444;
  t10368 = t10329 * t10029;
  t10373 = t10242 * t1920;
  t10378 = t10321 * t9991;
  t10379 = t9997 * t63;
  t10382 = 0.6e1 * t10350 * t410 - 0.72e2 * t10353 * t1928 - 0.6e1 * t10333 * t327 * t146 - t10350 * t401 - 0.24e2 * t10360 * t10106 * t146 + 0.3e1 * t144 * t10365 - 0.12e2 * t10368 * t401 - 0.3e1 * t391 * t1921 + 0.22e2 / 0.3e1 * t399 * t10373 + 0.6e1 * t394 * t1921 + 0.24e2 * t10378 * t10379;
  t10395 = t404 * t60 * t9228;
  t10398 = t1756 * t1899;
  t10401 = t9992 * t423;
  t10410 = -0.18e2 * t393 * t1523 * t2366 + 0.9e1 * t1923 * t424 - 0.3e1 * t394 * t1900 + 0.56e2 / 0.3e1 * t1913 * t1903 + 0.3e1 / 0.2e1 * t391 * t1900 + t144 * t10395 / 0.2e1 - 0.8e1 / 0.3e1 * t399 * t10398 - t1916 * t10401 / 0.3e1 + 0.4e1 * t10265 * t597 - 0.24e2 * t10229 * t2374 + 0.3e1 / 0.2e1 * t1909 * t424;
  t10412 = t108 * t9897;
  t10421 = t10075 * t63;
  t10426 = t1879 * t1899;
  t10429 = t9997 * t423;
  t10438 = t10412 * t143 * t146 + 0.8e1 / 0.3e1 * t10211 * t591 + t10233 * t2377 / 0.3e1 + 0.4e1 / 0.3e1 * t10353 * t1917 - t10378 * t10421 / 0.9e1 - 0.28e2 * t1913 * t1931 + 0.4e1 * t399 * t10426 - 0.2e2 * t1916 * t10429 + 0.36e2 * t10229 * t2382 + 0.2e2 * t10233 * t2354 + 0.8e1 * t10353 * t1936;
  t10439 = t10080 * t63;
  t10442 = t10277 * t1920;
  t10449 = t10242 * t423;
  t10452 = t9992 * t63;
  t10457 = t9819 * t60;
  t10458 = t9783 * t10457;
  t10469 = -0.4e1 / 0.3e1 * t10378 * t10439 - 0.11e2 * t399 * t10442 + 0.72e2 * t10368 * t410 - 0.18e2 * t10233 * t2385 + 0.18e2 * t1916 * t10449 + 0.8e1 / 0.3e1 * t10378 * t10452 - 0.2e1 / 0.3e1 * t10318 * t1858 + 0.1e2 / 0.3e1 * t10322 * t10458 - t10412 * t124 * t150 / 0.2e1 + 0.24e2 * t10330 * t415 + 0.12e2 * t10360 * t1581 * t150;
  t10483 = -t103 * t1840 / 0.3e1 - t103 * t1774 - t103 * t1781 + 0.18e2 * t509 * t10168 * t10188 - 0.12e2 * t509 * t10173 * t1752 - 0.9e1 * t1742 * t10168 * t10196 + 0.6e1 * t1742 * t10173 * t1747 + 0.9e1 * t1742 * t10163 * t10204 - t22 * t59 * (0.14e2 * t1871 * t2350 + 0.8e1 * t10211 * t587 - 0.3e1 * t144 * t10215 - 0.28e2 / 0.3e1 * t2024 * t10219 - 0.9e1 * t142 * t327 * t10223 - 0.8e1 * t399 * t10226 - 0.72e2 * t10229 * t2327 - 0.4e1 * t10233 * t2332 + 0.56e2 * t1913 * t1880 + 0.4e1 * t1916 * t10238 + t10275 + t10308 + t10347 + t10382 + t10410 + t10438 + t10469) * t96 / 0.4e1 + 0.2e2 / 0.81e2 * t14 * t117 * t21 * t97 - 0.1e2 / 0.27e2 * t1946 * t155;
  t10489 = my_piecewise3(t3, 0, 0.9e1 * t162 * t10163 * t10164 - 0.9e1 * t162 * t10168 * t10169 + 0.6e1 * t162 * t10173 * t1757 - 0.18e2 * t509 * t10163 * t10178 + 0.36e2 * t509 * t9911 * t9913 - 0.18e2 * t1742 * t9911 * t9921 + 0.11e2 / 0.2e1 * t162 * t1439 * t9402 - 0.11e2 / 0.2e1 * t509 * t1439 * t9407 - 0.3e1 * t509 * t9414 * t512 + 0.3e1 * t162 * t9414 * t516 + 0.2e1 * t509 * t1439 * t9428 - 0.6e1 * t1397 * t9578 * t1442 - t106 * t109 * t9897 * t124 * t139 / 0.12e2 + t9884 + t9684 + t162 * t296 * t1849 * t165 + t162 * t163 * t9897 * t165 / 0.4e1 + t9742 + t9333 + t1403 * t9548 + t383 * t1505 / 0.9e1 - 0.2e1 / 0.9e1 * t383 * t1421 + 0.2e1 / 0.3e1 * t368 * t9411 + 0.6e1 * t9771 * t1771 + t10038 + t9087 + t10150 + t10098 - 0.5e1 / 0.9e1 * t1536 * t9278 - t356 * t1617 / 0.2e1 - t368 * t9283 / 0.2e1 - t356 * t1613 - t368 * t9287 - 0.2e1 * t387 * t1606 + t1569 * t315 / 0.4e1 + 0.3e1 * t379 * t1591 + 0.28e2 / 0.3e1 * t1584 * t1468 - 0.3e1 * t1547 * t329 - t1569 * t359 / 0.3e1 - t356 * t1575 / 0.2e1 + 0.2e1 * t387 * t1758 + 0.12e2 * t1689 * t1700 - 0.23e2 / 0.3e1 * t9771 * t1684 - t10015 * t374 / 0.4e1 - 0.2e1 * t1728 * t329 + 0.12e2 * t9968 * t502 - 0.2e1 * t9780 * t10054 + 0.28e2 / 0.9e1 * t9763 * t1672 + t9141 + t9473 + t9959 + t9277 + t9824 + t9573 * t1407 / 0.3e1 - t9576 * t1400 + t387 * t1564 / 0.3e1 - 0.2e1 * t1763 * t1663 + 0.2e1 * t1763 * t1449 + 0.4e1 / 0.3e1 * t9069 * t1644 - 0.4e1 / 0.3e1 * t1694 * t1468 + 0.4e1 / 0.3e1 * t1694 * t1588 - 0.4e1 * t1763 * t1753 + 0.3e1 * t1547 * t517 - t1403 * t9551 / 0.2e1 + t1403 * t9556 / 0.3e1 + 0.2e1 / 0.3e1 * t9559 * t1407 + 0.2e1 * t9521 * t9562 - 0.2e1 / 0.3e1 * t1403 * t9567 - 0.4e1 / 0.3e1 * t9570 * t1407 - t368 * t9421 + 0.2e1 * t368 * t9424 + 0.2e1 / 0.9e1 * t9980 * t497 - 0.12e2 * t379 * t1704 + t9546 + t9396 + t10483);
  tv4rho40 = 0.2e1 * rho[0] * t10489 + 0.8e1 * t1957;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t10497 = t1502 * t122;
  t10498 = t1879 * t10497;
  t10502 = t349 * t122;
  t10503 = t1751 * t10502;
  t10507 = t1418 * t122;
  t10508 = t10242 * t10507;
  t10512 = t10277 * t10507;
  t10516 = t22 * t1678;
  t10521 = t480 * t362;
  t10522 = t10521 * t544;
  t10526 = t2000 * t2067;
  t10530 = t1746 * t10502;
  t10537 = t1756 * t10502;
  t10541 = t22 * t2331;
  t10542 = t96 * t10502;
  t10543 = t1974 * t10542;
  t10546 = -t103 * t2197 / 0.4e1 - t103 * t2200 / 0.2e1 - 0.2e1 * t2004 * t582 * t10498 - 0.9e1 * t2022 * t2331 * t10503 - 0.11e2 / 0.2e1 * t2022 * t582 * t10508 + 0.11e2 / 0.2e1 * t2004 * t582 * t10512 - 0.9e1 / 0.2e1 * t10516 * t2006 + 0.3e1 * t9509 * t2002 + 0.3e1 / 0.2e1 * t1397 * t10522 * t645 + 0.3e1 * t1397 * t10526 * t645 + 0.9e1 / 0.2e1 * t3980 * t2331 * t10530 - 0.9e1 / 0.2e1 * t2004 * t2317 * t2005 + 0.9e1 / 0.2e1 * t2004 * t2331 * t10537 - 0.3e1 / 0.2e1 * t10541 * t10543;
  t10547 = t409 * t154;
  t10548 = t10547 * t1983;
  t10550 = t480 * t122;
  t10551 = t169 * t10550;
  t10552 = t1996 * t10551;
  t10556 = t103 * t501;
  t10559 = t103 * t582;
  t10562 = t22 * t2317;
  t10566 = t1879 * t154;
  t10567 = t10566 * t1970;
  t10570 = t96 * t10497;
  t10571 = t1968 * t10570;
  t10579 = t22 * t2323;
  t10580 = t1996 * t10542;
  t10583 = t96 * t9485;
  t10584 = t1968 * t10583;
  t10587 = -t1961 * t10548 - t1961 * t10552 / 0.2e1 + t9576 * t2002 - 0.3e1 / 0.2e1 * t10556 * t2006 - t10559 * t1997 / 0.3e1 + 0.3e1 / 0.2e1 * t10562 * t1971 - t10562 * t1997 + 0.3e1 / 0.2e1 * t1961 * t10567 + 0.2e1 / 0.3e1 * t1961 * t10571 + t1993 * t9543 / 0.4e1 + t10559 * t1971 / 0.2e1 + t1961 * t9479 + 0.3e1 * t10579 * t10580 + 0.5e1 / 0.6e1 * t1961 * t10584;
  t10589 = t145 * t154;
  t10590 = t10589 * t1983;
  t10594 = t400 * t154;
  t10595 = t10594 * t1983;
  t10598 = t404 * t218;
  t10599 = t10598 * t1406;
  t10602 = t1962 * t10551;
  t10605 = t1982 * t10551;
  t10608 = t3965 * t10542;
  t10611 = t169 * t9477;
  t10612 = t1962 * t10611;
  t10615 = t9992 * t65;
  t10616 = t323 * t312;
  t10617 = t96 * t10616;
  t10618 = t10615 * t10617;
  t10621 = t3961 * t10542;
  t10624 = t1996 * t10611;
  t10627 = t1962 * t10542;
  t10630 = t1974 * t10583;
  t10635 = t1978 * t10590 + t1993 * t9548 / 0.2e1 - t1961 * t10595 / 0.2e1 + t1403 * t10599 / 0.4e1 - t1961 * t10602 / 0.4e1 + t1978 * t10605 / 0.2e1 - 0.5e1 / 0.12e2 * t10541 * t10608 - t1961 * t10612 / 0.4e1 + 0.5e1 / 0.6e1 * t10541 * t10618 - 0.11e2 / 0.6e1 * t10541 * t10621 - t1961 * t10624 / 0.2e1 + 0.3e1 / 0.2e1 * t10579 * t10627 + 0.5e1 / 0.12e2 * t1961 * t10630 - 0.5e1 / 0.3e1 * t1961 * t9487;
  t10636 = t500 * t10502;
  t10637 = t3965 * t10636;
  t10640 = t22 * t2311;
  t10642 = t22 * t574;
  t10645 = t1404 * t10570;
  t10650 = t1974 * t10570;
  t10655 = t193 * t323;
  t10656 = t169 * t10655;
  t10657 = t3965 * t10656;
  t10660 = t9547 * t1970;
  t10662 = t1756 * t154;
  t10663 = t10662 * t1970;
  t10668 = t1974 * t10617;
  t10671 = t1962 * t10656;
  t10674 = t22 * t2297;
  t10675 = t1982 * t10542;
  t10678 = 0.23e2 / 0.12e2 * t10541 * t10637 + t10640 * t1984 + t10642 * t1407 / 0.2e1 - t1978 * t10645 / 0.2e1 - t1993 * t9551 / 0.2e1 + t1961 * t10650 / 0.3e1 + t1993 * t9556 / 0.4e1 - 0.5e1 / 0.12e2 * t10541 * t10657 - t1978 * t10660 + 0.3e1 / 0.4e1 * t1961 * t10663 + t10559 * t1987 / 0.4e1 - 0.7e1 / 0.3e1 * t10579 * t10668 + 0.3e1 / 0.2e1 * t10579 * t10671 - 0.3e1 / 0.2e1 * t10674 * t10675;
  t10681 = t1404 * t10583;
  t10684 = t1982 * t10611;
  t10689 = t145 * t10502;
  t10699 = t1883 * t10507;
  t10706 = t10242 * t65;
  t10707 = t205 * t1418;
  t10709 = t10706 * t500 * t10707;
  t10728 = -t1978 * t10681 / 0.2e1 + t1978 * t10684 / 0.2e1 - t10562 * t1990 / 0.2e1 + 0.9e1 / 0.2e1 * t2004 * t2297 * t10689 + 0.9e1 / 0.2e1 * t1397 * t1398 * t544 * t2138 + 0.3e1 * t10516 * t2031 - 0.3e1 * t2004 * t576 * t10699 + 0.3e1 / 0.2e1 * t2004 * t212 * t9502 + 0.11e2 / 0.3e1 * t9476 * t10709 + 0.3e1 / 0.2e1 * t1397 * t2017 * t1647 - 0.3e1 * t9509 * t2015 - 0.3e1 / 0.2e1 * t1397 * t9526 * t536 * t636 - 0.3e1 * t1397 * t1398 * t2071 * t636 - 0.3e1 / 0.2e1 * t1397 * t2014 * t1605;
  t10729 = t22 * t10252;
  t10735 = t404 * t9485;
  t10739 = t404 * t10497;
  t10746 = t22 * t154 * t2009;
  t10755 = t404 * t10616;
  t10759 = t22 * t10258;
  t10761 = t10615 * t1733 * t2025;
  t10764 = t400 * t10502;
  t10768 = t22 * t9799;
  t10774 = t1756 * t9485;
  t10778 = -0.6e1 * t10729 * t4251 + 0.3e1 * t2004 * t2311 * t2030 + 0.3e1 / 0.2e1 * t2004 * t576 * t10735 + 0.3e1 / 0.2e1 * t2004 * t576 * t10739 + 0.28e2 / 0.3e1 * t10729 * t4247 - 0.3e1 * t10746 * t2012 - 0.3e1 / 0.2e1 * t2011 * t10522 * t622 - 0.3e1 * t2011 * t10526 * t622 - 0.9e1 / 0.2e1 * t2004 * t2297 * t10755 + 0.9e1 * t10759 * t10761 + 0.9e1 * t2022 * t2323 * t10764 + 0.9e1 / 0.2e1 * t10768 * t2027 + 0.9e1 / 0.2e1 * t2022 * t2317 * t9459 + 0.5e1 / 0.2e1 * t2022 * t582 * t10774;
  t10782 = t9526 * t206;
  t10786 = t1398 * t531;
  t10797 = t3965 * t2009 * t4201;
  t10800 = t1756 * t10497;
  t10804 = t193 * t69;
  t10805 = t10804 * t2038;
  t10809 = t3961 * t4250;
  t10812 = t10242 * t10616;
  t10816 = t103 * t576;
  t10819 = t1982 * t10656;
  t10822 = t3961 * t10656;
  t10825 = t1996 * t10656;
  t10828 = -0.3e1 / 0.2e1 * t9509 * t2018 - 0.3e1 / 0.4e1 * t1397 * t10782 * t334 - 0.3e1 / 0.2e1 * t1397 * t10786 * t334 - 0.3e1 / 0.4e1 * t1397 * t2017 * t1621 - 0.3e1 / 0.2e1 * t2011 * t2001 * t2057 - 0.9e1 / 0.2e1 * t10759 * t10797 + 0.2e1 * t2022 * t582 * t10800 + 0.9e1 / 0.2e1 * t1397 * t10805 * t2087 + 0.7e1 * t10759 * t10809 - 0.9e1 * t2004 * t2331 * t10812 - t10816 * t1979 / 0.3e1 - 0.3e1 / 0.2e1 * t10674 * t10819 - 0.11e2 / 0.6e1 * t10541 * t10822 + 0.3e1 * t10579 * t10825;
  t10829 = t1974 * t10656;
  t10832 = t9997 * t65;
  t10833 = t10832 * t10617;
  t10836 = t500 * t10616;
  t10837 = t10615 * t10836;
  t10840 = t1395 * t10655;
  t10841 = t3965 * t10840;
  t10844 = t10832 * t4246;
  t10849 = t1404 * t10617;
  t10852 = t548 * t2157;
  t10855 = t603 * t66;
  t10857 = t318 * t10855 * t296;
  t10861 = t305 * t10855 * t313;
  t10874 = -0.3e1 / 0.2e1 * t10541 * t10829 + 0.11e2 / 0.3e1 * t10541 * t10833 - 0.23e2 / 0.6e1 * t10541 * t10837 + 0.23e2 / 0.12e2 * t10541 * t10841 - 0.14e2 * t10759 * t10844 - t1993 * t9567 / 0.2e1 + 0.3e1 / 0.2e1 * t10674 * t10849 - t368 * t10852 / 0.4e1 - t127 * t10857 / 0.2e1 + t127 * t10861 / 0.4e1 + t1636 * t3510 / 0.2e1 + t356 * t2162 / 0.6e1 - t1657 * t3449 / 0.4e1 - t356 * t2158 / 0.4e1 - t2248 * t335 / 0.4e1;
  t10882 = t382 * t2039;
  t10885 = t1472 * t2043;
  t10886 = t2213 * t10885;
  t10889 = t377 * t2043;
  t10890 = t2218 * t10889;
  t10893 = t205 * t9777;
  t10895 = t106 * t9775 * t10893;
  t10897 = t9783 * t9819 * t59;
  t10898 = t95 * t1521;
  t10899 = t306 * t10898;
  t10900 = t10897 * t10899;
  t10904 = t9783 * t9803 * t59;
  t10905 = t160 * t10898;
  t10906 = t10904 * t10905;
  t10909 = t555 * t2157;
  t10912 = t1463 * t2161;
  t10925 = t2248 * t298 / 0.2e1 + t387 * t2053 / 0.4e1 - 0.11e2 / 0.18e2 * t10882 * t2428 - 0.3e1 / 0.2e1 * t2040 * t10886 + 0.7e1 * t2040 * t10890 - 0.61e2 / 0.27e2 * t10895 * t10900 + 0.44e2 / 0.27e2 * t10895 * t10906 - t368 * t10909 / 0.2e1 + t368 * t10912 / 0.2e1 + 0.3e1 / 0.2e1 * t2452 * t1449 - 0.3e1 / 0.2e1 * t610 * t1443 + t208 * t9455 / 0.2e1 - t1694 * t2443 / 0.6e1 + t1694 * t2447 / 0.3e1;
  t10926 = t382 * t2451;
  t10932 = t1770 * t219;
  t10935 = t1671 * t2446;
  t10938 = t496 * t605;
  t10941 = t1671 * t219;
  t10944 = t1541 * t2446;
  t10949 = t106 * t158 * t603 * t506;
  t10958 = t218 * t1733;
  t10959 = t1541 * t10958;
  t10964 = t106 * t158 * t217 * t1739;
  t10967 = -t10926 * t513 / 0.2e1 + t2248 * t517 / 0.2e1 + t1584 * t2443 - t1536 * t10932 / 0.2e1 + 0.7e1 / 0.3e1 * t1536 * t10935 - t368 * t10938 / 0.2e1 - 0.11e2 / 0.18e2 * t1536 * t10941 + 0.23e2 / 0.36e2 * t1536 * t10944 - 0.3e1 / 0.2e1 * t10949 * t513 + 0.3e1 / 0.2e1 * t2243 * t517 + t493 * t2253 / 0.2e1 - t2248 * t329 / 0.2e1 - 0.3e1 / 0.2e1 * t1536 * t10959 + 0.3e1 / 0.2e1 * t10964 * t1748;
  t10992 = t382 * t2242;
  t10999 = -0.3e1 * t2452 * t1753 + 0.3e1 / 0.2e1 * t610 * t1758 + 0.3e1 * t2452 * t1700 - 0.3e1 * t610 * t1704 + t1712 * t532 * t139 / 0.18e2 - t525 * t1575 / 0.12e2 - t2270 * t359 / 0.6e1 + t1584 * t2258 / 0.2e1 - t382 * t2262 * t139 / 0.12e2 + 0.3e1 / 0.4e1 * t10562 * t1987 - t10640 * t1979 + t10992 * t166 / 0.2e1 + t2248 * t351 / 0.4e1 - t9746 * t223 / 0.6e1;
  t11014 = t1712 * t609;
  t11024 = t373 * t604 * t500;
  t11032 = t106 * t158 * t2393 * t159;
  t11035 = t9797 * t223 / 0.4e1 - t1713 * t631 / 0.6e1 + 0.3e1 / 0.2e1 * t610 * t1525 + 0.5e1 / 0.54e2 * t9750 * t223 + t2440 * t359 / 0.18e2 + t610 * t1564 / 0.4e1 + t1721 * t569 / 0.6e1 - t11014 * t166 / 0.6e1 - 0.3e1 / 0.2e1 * t2243 * t329 + t1718 * t569 / 0.18e2 - t1694 * t2258 / 0.12e2 + t368 * t11024 - t1514 * t569 / 0.12e2 - t383 * t2253 / 0.6e1 + 0.3e1 / 0.4e1 * t11032 * t166;
  t11040 = my_piecewise3(t43, t110, -0.308e3 / 0.81e2 * t202 * t1557);
  t11053 = t1541 * t219;
  t11061 = t373 * t605;
  t11068 = t138 * t2395;
  t11078 = t162 * t163 * t11040 * t165 / 0.4e1 + 0.3e1 / 0.4e1 * t2243 * t351 - t208 * t9753 / 0.12e2 - t2263 * t359 / 0.4e1 - t533 * t1575 / 0.4e1 - 0.5e1 / 0.36e2 * t1536 * t11053 - t106 * t109 * t11040 * t124 * t139 / 0.12e2 - t368 * t11061 / 0.4e1 - t1569 * t569 / 0.12e2 - t356 * t2253 / 0.4e1 - t127 * t11068 / 0.4e1 - t1709 * t569 / 0.2e1 - 0.5e1 / 0.162e3 * t9749 * t207 * t139 + 0.3e1 / 0.4e1 * t1547 * t631;
  t11097 = t530 * t1533;
  t11098 = t1743 * t11097;
  t11105 = t530 * t1581;
  t11106 = t510 * t11105;
  t11110 = t205 * t9768;
  t11111 = t1743 * t11110;
  t11112 = t1670 * t1521;
  t11113 = t1539 * t11112;
  t11117 = t510 * t2038;
  t11118 = t372 * t1521;
  t11119 = t371 * t11118;
  t11123 = 0.3e1 / 0.4e1 * t379 * t2234 + t1728 * t631 / 0.2e1 + t387 * t2234 / 0.4e1 + t9758 * t223 / 0.4e1 - 0.2e1 * t1584 * t2447 - 0.3e1 / 0.2e1 * t2452 * t1433 + 0.3e1 / 0.2e1 * t610 * t1436 - 0.3e1 * t387 * t2095 - 0.9e1 * t379 * t2095 - 0.9e1 * t509 * t11098 * t2204 + 0.9e1 / 0.2e1 * t1742 * t11098 * t2099 - 0.9e1 * t162 * t11106 * t2094 + 0.36e2 * t509 * t11111 * t11113 - 0.18e2 * t509 * t11117 * t11119;
  t11126 = t371 * t408 * t1521;
  t11130 = t1540 * t1521;
  t11131 = t1539 * t11130;
  t11140 = t548 * t1545 * t1000;
  t11157 = t106 * t1531 * t1521 * t9768;
  t11163 = 0.18e2 * t162 * t11117 * t11126 - 0.18e2 * t1742 * t11111 * t11131 + t383 * t2162 / 0.12e2 - 0.3e1 / 0.4e1 * t1547 * t641 + t1641 * t11140 + 0.3e1 / 0.4e1 * t1547 * t627 - t387 * t2076 / 0.2e1 + 0.2e1 / 0.3e1 * t9069 * t3503 + t387 * t2034 / 0.2e1 + 0.9e1 * t1689 * t2143 + 0.9e1 * t509 * t11106 * t2142 + 0.18e2 * t11157 * t6987 - t387 * t2073 + 0.3e1 / 0.2e1 * t379 * t2146;
  t11170 = t2232 * t365;
  t11171 = t510 * t11170;
  t11186 = t9364 * t539;
  t11187 = t555 * t11186;
  t11190 = t382 * t2110;
  t11197 = -t1657 * t3421 / 0.2e1 - 0.3e1 * t1689 * t2069 + 0.3e1 * t379 * t2174 - 0.3e1 / 0.2e1 * t509 * t11171 * t622 + 0.3e1 / 0.2e1 * t162 * t11171 * t645 - 0.3e1 / 0.2e1 * t2452 * t1663 + 0.3e1 / 0.2e1 * t610 * t1666 - t9836 * t623 + t1728 * t646 - t1763 * t2069 + t387 * t2174 - t546 * t11187 / 0.2e1 - t11190 * t556 / 0.3e1 - t2105 * t2129 / 0.3e1 + t9975 * t623 / 0.3e1;
  t11205 = t106 * t363 * t11170;
  t11211 = t306 * t9259;
  t11212 = t555 * t11211;
  t11217 = t548 * t9126;
  t11225 = t305 * t2156 * t1503;
  t11229 = t318 * t2156 * t1594;
  t11236 = -t1713 * t646 / 0.3e1 - t11205 * t556 / 0.2e1 - t2111 * t2129 + t486 * t613 / 0.6e1 - t546 * t11212 / 0.6e1 - t2111 * t2115 / 0.4e1 - t546 * t11217 / 0.4e1 + t2111 * t1644 + t546 * t9851 + t546 * t9261 / 0.3e1 + t127 * t11225 / 0.12e2 - t127 * t11229 / 0.4e1 - t493 * t2162 / 0.3e1 + t493 * t2158 / 0.2e1;
  t11238 = t548 * t608 * t296;
  t11241 = t106 * t363 * t11105;
  t11246 = t548 * t10885;
  t11251 = t2218 * t10885;
  t11260 = t548 * t11211;
  t11264 = t106 * t1531 * t11097;
  t11267 = t2042 * t10885;
  t11270 = t10904 * t10899;
  t11275 = t368 * t11238 + 0.3e1 / 0.2e1 * t11241 * t2407 + t538 * t9127 / 0.2e1 + 0.3e1 / 0.2e1 * t2406 * t11246 + t2185 * t2402 / 0.2e1 - 0.11e2 / 0.6e1 * t2040 * t11251 + t208 * t9370 / 0.4e1 + t533 * t1505 / 0.4e1 + t208 * t9354 / 0.12e2 - t546 * t11260 / 0.12e2 - 0.5e1 / 0.12e2 * t11264 * t2045 - 0.5e1 / 0.12e2 * t2040 * t11267 - 0.35e2 / 0.108e3 * t10895 * t11270 - t2111 * t2149 / 0.2e1;
  t11281 = t318 * t10899;
  t11285 = t106 * t363 * t2038;
  t11286 = t555 * t10899;
  t11290 = t106 * t1531 * t11110;
  t11291 = t2213 * t10899;
  t11294 = t1539 * t11118;
  t11303 = t9783 * t2041;
  t11304 = t11303 * t10899;
  t11309 = t106 * t9775 * t1521 * t9777;
  t11310 = t10897 * t6986;
  t11316 = t10904 * t1740 * t1000;
  t11322 = t318 * t11211;
  t11328 = -t546 * t9871 / 0.2e1 + 0.2e1 * t106 * t109 * t2091 * t11281 - 0.6e1 * t11285 * t11286 + 0.6e1 * t11290 * t11291 - 0.18e2 * t162 * t11111 * t11294 - t525 * t1421 / 0.6e1 - t382 * t2431 * t2433 / 0.2e1 - 0.38e2 / 0.9e1 * t10895 * t11304 - 0.62e2 / 0.3e1 * t11309 * t11310 - 0.28e2 * t11157 * t7006 + 0.8e1 * t11309 * t11316 + 0.47e2 / 0.3e1 * t11309 * t11303 * t1015 + t538 * t11322 / 0.6e1 - 0.9e1 * t2011 * t10805 * t2204;
  t11329 = t2000 * t2091;
  t11338 = t548 * t608 * t1642;
  t11342 = t2232 * t326;
  t11347 = t163 * t2261;
  t11351 = t95 * t2232;
  t11353 = t548 * t160 * t11351;
  t11364 = t548 * t377 * t3487;
  t11373 = -0.9e1 * t1397 * t11329 * t2094 + t486 * t605 / 0.6e1 - t610 * t1629 / 0.2e1 + t1641 * t11338 + 0.3e1 / 0.4e1 * t610 * t1591 - 0.3e1 / 0.2e1 * t162 * t163 * t11342 * t636 - 0.3e1 / 0.4e1 * t162 * t11347 * t334 + t1641 * t11353 + 0.3e1 / 0.4e1 * t162 * t296 * t2291 * t165 - 0.3e1 * t379 * t2073 - 0.3e1 / 0.2e1 * t379 * t2076 + 0.2e1 * t1641 * t11364 + 0.3e1 / 0.2e1 * t379 * t2034 - 0.3e1 / 0.2e1 * t1547 * t637 - t383 * t2158 / 0.6e1;
  t11390 = t22 * t218 * t1395;
  t11393 = t103 * t2024;
  t11397 = t10706 * t10617;
  t11400 = t9992 * t10616;
  t11404 = t9997 * t10616;
  t11408 = t1756 * t10616;
  t11412 = -0.3e1 / 0.4e1 * t2243 * t335 + 0.3e1 / 0.2e1 * t2243 * t298 - t1728 * t637 - t1728 * t641 / 0.2e1 + 0.2e1 / 0.3e1 * t9069 * t4232 + t1728 * t627 / 0.2e1 - 0.3e1 / 0.2e1 * t610 * t1606 - 0.3e1 / 0.4e1 * t11390 * t1400 - t11393 * t4247 + 0.2e1 / 0.3e1 * t11393 * t4251 + 0.3e1 * t10541 * t11397 - 0.9e1 * t3980 * t2331 * t11400 + 0.18e2 * t2022 * t2331 * t11404 - 0.14e2 * t2022 * t2323 * t11408;
  t11413 = t1879 * t10616;
  t11419 = t22 * t65 * t1739 * params->at;
  t11433 = t106 * t363 * t1534;
  t11441 = t382 * t9113;
  t11450 = t1712 * t545;
  t11453 = 0.14e2 * t2004 * t2323 * t11413 + 0.9e1 / 0.2e1 * t11419 * t10805 * t2099 + 0.3e1 / 0.2e1 * t162 * t2075 * t1647 + 0.9e1 / 0.2e1 * t379 * t2139 + 0.9e1 / 0.2e1 * t162 * t163 * t2067 * t2138 + 0.12e2 * t11433 * t1016 + t610 * t1648 / 0.2e1 + t610 * t1600 - 0.3e1 / 0.2e1 * t610 * t1427 - 0.2e1 * t11441 * t1016 + t1713 * t637 / 0.3e1 - t1763 * t2058 / 0.2e1 - t387 * t2064 / 0.2e1 + t11450 * t556 / 0.9e1;
  t11463 = t382 * t2405;
  t11469 = t2218 * t10899;
  t11472 = t2042 * t10905;
  t11475 = t2042 * t10889;
  t11485 = 0.9e1 / 0.2e1 * t379 * t2088 - 0.3e1 * t1763 * t2205 - 0.11e2 / 0.6e1 * t11264 * t2428 + 0.23e2 / 0.12e2 * t11264 * t2210 + t11463 * t2423 + 0.23e2 / 0.36e2 * t10882 * t2210 + 0.3e1 * t11241 * t2423 + 0.22e2 / 0.3e1 * t11290 * t11469 - 0.23e2 / 0.3e1 * t11290 * t11472 + 0.23e2 / 0.12e2 * t2040 * t11475 + t2185 * t2192 + t533 * t1474 / 0.2e1 - t2111 * t2410 / 0.2e1 - t533 * t1613 / 0.2e1;
  t11496 = t1455 * t2161;
  t11514 = t1417 * t2156 * t1419;
  t11524 = t106 * t109 * t11342 * t541 / 0.2e1 + t2263 * t315 / 0.4e1 - t11205 * t549 / 0.4e1 - t2263 * t320 / 0.4e1 + t368 * t11496 / 0.4e1 - t533 * t1421 / 0.2e1 - 0.3e1 / 0.2e1 * t106 * t109 * t2067 * t2433 + t2440 * t320 / 0.18e2 - t2105 * t2115 / 0.12e2 - t2105 * t2149 / 0.6e1 + t2105 * t1644 / 0.3e1 - t127 * t11514 / 0.6e1 - t525 * t1617 / 0.12e2 + 0.3e1 / 0.2e1 * t9743 * t2100 + 0.9e1 / 0.2e1 * t162 * t11098 * t2087;
  t11534 = t318 * t10885;
  t11537 = t555 * t10885;
  t11546 = t2042 * t10899;
  t11560 = 0.3e1 / 0.2e1 * t387 * t2088 + 0.9e1 / 0.2e1 * t9790 * t2100 - 0.9e1 * t1689 * t2205 - 0.3e1 / 0.2e1 * t2432 * t11534 + 0.3e1 * t2406 * t11537 - t208 * t9393 / 0.2e1 + t525 * t1505 / 0.12e2 - 0.5e1 / 0.36e2 * t10882 * t2045 + 0.5e1 / 0.3e1 * t11290 * t11546 + t2118 * t2192 / 0.3e1 + t525 * t1474 / 0.6e1 - t2105 * t2410 / 0.6e1 - t208 * t9705 / 0.4e1 + t382 * t2184 * t541 / 0.3e1;
  t11565 = t318 * t11186;
  t11570 = t548 * t11186;
  t11581 = t10897 * t10905;
  t11584 = t507 * t10898;
  t11585 = t10904 * t11584;
  t11588 = t9783 * t2217;
  t11589 = t11588 * t10899;
  t11592 = t9989 * t10893;
  t11593 = t9783 * t11130;
  t11597 = t9783 * t11112;
  t11601 = t2270 * t315 / 0.6e1 - t11190 * t549 / 0.6e1 + t538 * t11565 / 0.2e1 + t208 * t9366 / 0.4e1 - t546 * t11570 / 0.4e1 - 0.3e1 / 0.2e1 * t9933 * t623 + 0.3e1 / 0.2e1 * t1547 * t646 + t387 * t2418 / 0.2e1 - t387 * t2061 / 0.4e1 + 0.89e2 / 0.9e1 * t10895 * t11581 - 0.43e2 / 0.9e1 * t10895 * t11585 - 0.2e1 * t10895 * t11589 - 0.18e2 * t509 * t11592 * t11593 + 0.6e1 * t162 * t11592 * t11597;
  t11604 = t9783 * t9803 * t1521;
  t11609 = t9783 * t9819 * t1521;
  t11619 = t1712 * t1640;
  t11640 = t2042 * t507 * t3487;
  t11645 = -0.6e1 * t10074 * t11592 * t11604 + 0.18e2 * t1742 * t11592 * t11609 - t10882 * t2214 / 0.2e1 - 0.3e1 / 0.2e1 * t11264 * t2214 + t1713 * t641 / 0.6e1 - 0.2e1 / 0.9e1 * t11619 * t1016 - t1713 * t627 / 0.6e1 - 0.6e1 * t9114 * t4232 + 0.3e1 / 0.4e1 * t379 * t2053 + t162 * t9734 * t211 * t165 / 0.4e1 + 0.3e1 / 0.4e1 * t162 * t1594 * t573 * t165 - 0.3e1 / 0.2e1 * t509 * t2068 * t2057 - 0.9e1 / 0.2e1 * t3083 * t11640 - 0.3e1 / 0.2e1 * t1689 * t2058;
  t11647 = t371 * t372 * t1562;
  t11651 = t2023 * t1698;
  t11652 = t22 * t11651;
  t11653 = t205 * t349;
  t11654 = t500 * t11653;
  t11655 = t1962 * t11654;
  t11658 = t530 * t312;
  t11660 = t1974 * t500 * t11658;
  t11663 = t1879 * t9485;
  t11667 = t69 * t122;
  t11668 = t11667 * t1745;
  t11669 = t22 * t11668;
  t11670 = t3961 * t11654;
  t11676 = t103 * t1734;
  t11685 = t103 * t2010;
  t11688 = t1968 * t10617;
  t11691 = t10277 * t65;
  t11692 = t96 * t10507;
  t11693 = t11691 * t11692;
  t11696 = t10594 * t4250;
  t11699 = -t509 * t620 * t11647 / 0.2e1 - 0.6e1 * t11652 * t11655 - 0.3e1 * t9476 * t11660 - 0.5e1 / 0.2e1 * t2004 * t582 * t11663 + 0.7e1 * t11669 * t11670 + 0.3e1 / 0.2e1 * t1397 * t2001 * t2417 + 0.3e1 / 0.2e1 * t11676 * t2027 - t9576 * t2018 / 0.2e1 + 0.9e1 * t2011 * t11329 * t2142 - t9576 * t2015 - t11685 * t2012 + t10556 * t2031 - 0.14e2 / 0.3e1 * t10579 * t11688 - 0.11e2 / 0.6e1 * t1961 * t11693 + 0.2e1 * t9476 * t11696;
  t11702 = t10662 * t4246;
  t11705 = t480 * t205;
  t11707 = t1962 * t1395 * t11705;
  t11709 = t193 * t530;
  t11711 = t1962 * t1395 * t11709;
  t11715 = t3965 * t1733 * t11653;
  t11720 = t10706 * t11692;
  t11723 = t3582 * t11692;
  t11734 = t371 * t408 * t1562;
  t11745 = -0.3e1 * t9476 * t11702 + t9476 * t11707 + 0.2e1 * t9476 * t11711 - 0.9e1 / 0.2e1 * t11669 * t11715 - 0.5e1 / 0.54e2 * t1946 * t219 - 0.11e2 / 0.12e2 * t1961 * t11720 + t1978 * t11723 - 0.3e1 / 0.2e1 * t379 * t2064 - t162 * t634 * t9267 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t2068 * t2417 + t162 * t620 * t11734 / 0.2e1 - 0.3e1 / 0.2e1 * t162 * t2072 * t1605 - 0.6e1 * t9114 * t3503 - t525 * t1613 / 0.6e1;
  t11769 = t135 * t137 * t1521;
  t11785 = -0.3e1 / 0.4e1 * t379 * t2061 - 0.3e1 / 0.4e1 * t162 * t2075 * t1621 - t162 * t640 * t9230 / 0.4e1 + 0.3e1 / 0.2e1 * t379 * t2418 - t2270 * t320 / 0.6e1 - 0.3e1 / 0.4e1 * t22 * t2394 * t194 - t22 * t218 * t1839 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t604 * t481 - 0.6e1 * t162 * t163 * t2091 * t11769 - 0.3e1 / 0.2e1 * t162 * t640 * t9446 + 0.3e1 / 0.2e1 * t387 * t2139 + t387 * t2146 / 0.2e1 - t1712 * t537 * t541 / 0.9e1 - t2440 * t315 / 0.18e2;
  t11789 = t548 * t10899;
  t11802 = t382 * t3082;
  t11805 = t2218 * t3502;
  t11809 = t2042 * t1687 * t1000;
  t11817 = t1455 * t608 * t313;
  t11821 = t11450 * t549 / 0.18e2 - 0.3e1 * t11285 * t11789 + t2118 * t2402 / 0.6e1 + t11463 * t2407 / 0.2e1 - t533 * t1617 / 0.4e1 - t208 * t9730 / 0.4e1 - t208 * t9736 / 0.12e2 - 0.3e1 / 0.2e1 * t11802 * t6987 + 0.7e1 * t3083 * t11805 - 0.9e1 / 0.2e1 * t3083 * t11809 + 0.7e1 / 0.3e1 * t11802 * t7006 - t610 * t1622 / 0.4e1 - t368 * t11817 + 0.3e1 / 0.4e1 * t610 * t1596;
  t11826 = t590 * t1418;
  t11827 = t1883 * t11826;
  t11830 = t2316 * t1698;
  t11833 = t10277 * t11826;
  t11836 = t581 * t10029;
  t11837 = t63 * t1521;
  t11838 = t409 * t11837;
  t11841 = t398 * t9036;
  t11842 = t581 * t11841;
  t11843 = t2279 * t1418;
  t11844 = t414 * t11843;
  t11847 = t427 * t11843;
  t11850 = t1745 * t9036;
  t11851 = t2330 * t11850;
  t11853 = t62 * t323 * t312;
  t11854 = t1857 * t11853;
  t11857 = t10312 * t122;
  t11858 = t149 * t11857;
  t11863 = t414 * t11857;
  t11866 = t581 * t4076;
  t11867 = t62 * t349;
  t11868 = t11867 * t122;
  t11869 = t414 * t11868;
  t11872 = t11867 * t312;
  t11873 = t414 * t11872;
  t11876 = t2330 * t4083;
  t11877 = t1857 * t11868;
  t11880 = 0.6e1 * t576 * t11827 - 0.36e2 * t11830 * t2327 - 0.11e2 * t582 * t11833 + 0.72e2 * t11836 * t11838 - 0.11e2 / 0.3e1 * t11842 * t11844 + 0.22e2 * t11842 * t11847 + 0.2e1 / 0.3e1 * t11851 * t11854 + 0.6e1 * t2278 * t11858 + 0.6e1 * t3599 * t10314 + 0.4e1 / 0.3e1 * t2285 * t11863 + 0.6e1 * t11866 * t11869 + 0.5e1 / 0.3e1 * t2285 * t11873 - t11876 * t11877 / 0.3e1;
  t11881 = t1845 * t11853;
  t11884 = t1845 * t11868;
  t11887 = t427 * t11857;
  t11890 = t327 * t1415;
  t11891 = t211 * t11890;
  t11892 = t149 * t11843;
  t11895 = t1523 * t302;
  t11896 = t211 * t11895;
  t11897 = t149 * t11853;
  t11900 = t149 * t11872;
  t11903 = t1698 * t1415;
  t11904 = t581 * t11903;
  t11905 = t414 * t11853;
  t11908 = t2316 * t2284;
  t11911 = t211 * t4104;
  t11912 = t149 * t11868;
  t11915 = t573 * t2277;
  t11920 = t427 * t11872;
  t11927 = 0.4e1 * t11851 * t11881 - 0.2e1 * t11876 * t11884 - 0.8e1 * t2285 * t11887 - 0.12e2 * t11891 * t11892 - 0.18e2 * t11896 * t11897 + 0.6e1 * t2278 * t11900 - 0.28e2 / 0.3e1 * t11904 * t11905 + 0.3e1 * t11908 * t2289 + 0.18e2 * t11911 * t11912 + 0.12e2 * t11915 * t2281 - 0.36e2 * t11851 * t11905 - 0.1e2 * t2285 * t11920 + 0.18e2 * t11876 * t11869 - 0.18e2 * t11908 * t2286;
  t11929 = t427 * t11853;
  t11932 = t427 * t11868;
  t11935 = t2330 * t9912;
  t11936 = t1746 * t11837;
  t11939 = t2353 * t312;
  t11940 = t1879 * t11939;
  t11945 = t1899 * t122;
  t11946 = t1879 * t11945;
  t11949 = t9997 * t11939;
  t11952 = t2359 * t122;
  t11953 = t409 * t11952;
  t11956 = t1879 * t10218;
  t11959 = t1751 * t11952;
  t11962 = t1756 * t11952;
  t11966 = t404 * t11939;
  t11969 = t145 * t11952;
  t11972 = 0.56e2 * t11904 * t11929 - 0.36e2 * t11866 * t11932 + 0.4e1 / 0.3e1 * t11935 * t11936 - 0.28e2 * t2323 * t11940 + 0.9e1 * t2317 * t2350 + 0.4e1 * t582 * t11946 - 0.2e2 * t2331 * t11949 + 0.18e2 * t2323 * t11953 + 0.5e1 * t582 * t11956 + 0.1e2 * t2331 * t11959 - 0.9e1 * t2331 * t11962 - t212 * t10247 + 0.9e1 * t2297 * t11966 - 0.9e1 * t2297 * t11969;
  t11977 = t404 * t11945;
  t11980 = t1756 * t11939;
  t11985 = t10242 * t11826;
  t11989 = t1751 * t11837;
  t11993 = t9774 * t205 * t9991;
  t11994 = t10080 * t11837;
  t11998 = t362 * t2232 * t398;
  t12004 = t69 * t530 * t1745;
  t12007 = t400 * t11952;
  t12010 = t1756 * t11945;
  t12013 = -0.6e1 * t2311 * t2338 - 0.3e1 * t576 * t10223 - 0.3e1 * t576 * t11977 + 0.56e2 / 0.3e1 * t2323 * t11980 - 0.3e1 * t212 * t10215 + 0.22e2 / 0.3e1 * t582 * t11985 - t2317 * t2341 + 0.8e1 * t11935 * t11989 - 0.4e1 / 0.3e1 * t11993 * t11994 + 0.6e1 * t11998 * t587 + 0.6e1 * t2317 * t2308 - 0.2e1 * t12004 * t2332 - 0.12e2 * t2323 * t12007 - 0.8e1 / 0.3e1 * t582 * t12010;
  t12020 = t9992 * t11939;
  t12023 = t63 * t1562;
  t12024 = t409 * t12023;
  t12027 = t2291 * t327;
  t12036 = t400 * t12023;
  t12039 = t1746 * t11952;
  t12044 = t10075 * t11837;
  t12051 = -0.6e1 * t2317 * t2304 - 0.1e2 / 0.3e1 * t582 * t10219 - t2331 * t12020 / 0.3e1 + 0.2e1 * t582 * t12024 - 0.6e1 * t12027 * t578 - 0.6e1 * t2311 * t2320 + 0.6e1 * t11830 * t2324 - 0.3e1 * t2370 * t406 - t582 * t12036 / 0.3e1 + t2331 * t12039 / 0.6e1 - t12004 * t2345 / 0.3e1 - t11993 * t12044 / 0.9e1 - 0.3e1 * t574 * t1894 + 0.18e2 * t12004 * t2335;
  t12052 = t10242 * t11939;
  t12055 = t1756 * t11837;
  t12058 = t9992 * t11837;
  t12061 = t9997 * t11837;
  t12066 = t211 * t10106;
  t12067 = t145 * t11837;
  t12070 = t400 * t11837;
  t12075 = t573 * t1523;
  t12079 = t145 * t12023;
  t12082 = t60 * t1521;
  t12083 = t1756 * t12082;
  t12086 = t9997 * t12082;
  t12089 = t108 * t11040;
  t12092 = 0.18e2 * t2331 * t12052 - 0.72e2 * t11935 * t12055 + 0.8e1 / 0.3e1 * t11993 * t12058 + 0.24e2 * t11993 * t12061 - 0.6e1 * t212 * t10297 - 0.24e2 * t12066 * t12067 - 0.12e2 * t11836 * t12070 + 0.6e1 * t574 * t1885 + 0.18e2 * t12075 * t2299 - t11998 * t583 - 0.2e1 * t576 * t12079 + 0.36e2 * t11935 * t12083 - 0.12e2 * t11993 * t12086 + t12089 * t143 * t146;
  t12094 = t60 * t1562;
  t12095 = t145 * t12094;
  t12099 = t409 * t12082;
  t12102 = t145 * t12082;
  t12110 = t400 * t12082;
  t12117 = t9992 * t12082;
  t12120 = t10080 * t12082;
  t12125 = t409 * t12094;
  t12129 = t576 * t12095 + 0.3e1 * t212 * t10365 - 0.36e2 * t11836 * t12099 + 0.12e2 * t12066 * t12102 - t12089 * t124 * t150 / 0.2e1 - 0.9e1 * t12075 * t2388 + 0.24e2 * t11836 * t12110 - 0.3e1 * t574 * t1921 - 0.9e1 * t12004 * t2385 + 0.5e2 / 0.3e1 * t11993 * t12117 + 0.1e2 / 0.3e1 * t11993 * t12120 - 0.3e1 * t2317 * t2380 - t582 * t12125 + 0.1e2 * t12004 * t2354;
  t12132 = t1751 * t12082;
  t12139 = t400 * t12094;
  t12148 = t1746 * t12082;
  t12161 = 0.18e2 * t11830 * t2382 - 0.4e2 * t11935 * t12132 - 0.3e1 * t11998 * t601 + t212 * t10395 / 0.2e1 + 0.2e1 / 0.3e1 * t582 * t12139 + 0.3e1 * t2311 * t2366 + 0.3e1 / 0.2e1 * t574 * t1900 + t12004 * t2377 / 0.6e1 - 0.2e1 / 0.3e1 * t11935 * t12148 + 0.3e1 * t12027 * t597 + 0.3e1 / 0.2e1 * t2370 * t424 + 0.2e1 * t11998 * t591 + 0.2e1 * t2317 * t2360 - 0.12e2 * t11830 * t2374;
  t12173 = t103 * t212;
  t12177 = t1440 * t1441 * t122;
  t12181 = t1963 * t312;
  t12182 = t169 * t12181;
  t12183 = t1974 * t12182;
  t12186 = t1404 * t12182;
  t12188 = t1968 * t12182;
  t12191 = t4201 * t312;
  t12193 = t1974 * t1395 * t12191;
  t12197 = t1440 * t621 * t312;
  t12202 = t303 * t635 * t312;
  t12206 = t205 * t1502;
  t12208 = t1974 * t500 * t12206;
  t12211 = t409 * t10502;
  t12215 = 0.3e1 * t1763 * t2143 - t103 * t2395 / 0.4e1 - t22 * t59 * (t11880 + t11927 + t11972 + t12013 + t12051 + t12092 + t12129 + t12161) * t96 / 0.4e1 - t10559 * t1990 / 0.6e1 + t10816 * t1984 / 0.3e1 + t12173 * t1407 / 0.6e1 - 0.9e1 / 0.2e1 * t1397 * t2001 * t12177 + 0.3e1 / 0.4e1 * t1961 * t12183 - t1978 * t12186 + 0.3e1 / 0.2e1 * t1961 * t12188 - 0.3e1 * t9476 * t12193 + 0.9e1 / 0.2e1 * t2011 * t2001 * t12197 + 0.3e1 * t1397 * t2014 * t12202 - 0.4e1 / 0.3e1 * t9476 * t12208 - 0.9e1 * t2004 * t2323 * t12211;
  t12221 = my_piecewise3(t3, 0, t11123 + t10728 + t10778 + t10874 + t10999 + t12215 + t10967 + t11078 + t11035 + t11785 + t10546 + t10925 + t11821 + t10587 + t11745 + t11699 + t11645 + t11601 + t11560 + t11524 + t11485 + t11453 + t11412 + t11373 + t10678 + t10635 + t11328 + t11275 + t11236 + t10828 + t11163 + t11197);
  tv4rho3sigma0 = 0.2e1 * rho[0] * t12221 + 0.6e1 * t2467;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  t12233 = t382 * t2586;
  t12238 = t382 * t2528;
  t12250 = t305 * t2777 * t1503;
  t12257 = -t2565 * t2410 / 0.6e1 - t654 * t1613 / 0.6e1 - t2837 * t320 / 0.6e1 + t2600 * t2192 / 0.3e1 + t12233 * t541 / 0.3e1 + t2837 * t315 / 0.6e1 - t12238 * t549 / 0.6e1 - t671 * t11570 / 0.4e1 - t233 * t9705 / 0.4e1 + t666 * t11565 / 0.2e1 + t233 * t9366 / 0.4e1 + t127 * t12250 / 0.12e2 - t493 * t2787 / 0.3e1 - t661 * t1617 / 0.4e1;
  t12262 = t2695 * t365;
  t12264 = t106 * t363 * t12262;
  t12269 = t2695 * t326;
  t12271 = t106 * t109 * t12269;
  t12284 = t658 * t1533;
  t12286 = t106 * t1531 * t12284;
  t12289 = t230 * t9777;
  t12291 = t106 * t9775 * t12289;
  t12298 = -t233 * t9730 / 0.4e1 - t233 * t9736 / 0.12e2 - t12264 * t549 / 0.4e1 - t2844 * t320 / 0.4e1 + t12271 * t541 / 0.2e1 + t2844 * t315 / 0.4e1 + t654 * t1474 / 0.6e1 - t1713 * t734 / 0.6e1 + t233 * t9370 / 0.4e1 - t671 * t11260 / 0.12e2 - 0.5e1 / 0.12e2 * t12286 * t2045 - 0.35e2 / 0.108e3 * t12291 * t11270 - t671 * t11217 / 0.4e1 - 0.5e1 / 0.12e2 * t2520 * t11267;
  t12326 = -t2529 * t2115 / 0.4e1 - t671 * t11212 / 0.6e1 - t671 * t9871 / 0.2e1 - 0.11e2 / 0.6e1 * t2520 * t11251 - t2529 * t2149 / 0.2e1 + t2529 * t1644 + t671 * t9851 + t671 * t9261 / 0.3e1 + 0.7e1 / 0.3e1 * t11802 * t8421 + t2587 * t2402 / 0.2e1 + t666 * t11322 / 0.6e1 + t666 * t9127 / 0.2e1 + t661 * t1505 / 0.4e1 + t233 * t9354 / 0.12e2;
  t12342 = t658 * t1581;
  t12343 = t510 * t12342;
  t12347 = t1743 * t12284;
  t12354 = t230 * t9768;
  t12355 = t1743 * t12354;
  t12361 = t1712 * t670;
  t12364 = t387 * t2675 / 0.2e1 + 0.3e1 / 0.2e1 * t387 * t2679 + t2822 * t298 / 0.2e1 - 0.3e1 / 0.2e1 * t719 * t1427 + 0.3e1 / 0.2e1 * t379 * t2675 - t1728 * t742 + 0.9e1 / 0.2e1 * t379 * t2679 - t1728 * t746 / 0.2e1 - 0.9e1 * t162 * t12343 * t2094 + 0.9e1 / 0.2e1 * t1742 * t12347 * t2099 - 0.9e1 * t509 * t12347 * t2204 - 0.18e2 * t162 * t12355 * t11294 + t2849 * t320 / 0.18e2 + t12361 * t549 / 0.18e2;
  t12369 = t1712 * t665;
  t12372 = t382 * t2547;
  t12378 = t106 * t363 * t12342;
  t12384 = t106 * t1531 * t12354;
  t12387 = t2218 * t4903;
  t12391 = t2042 * t1687 * t1208;
  t12411 = -t2849 * t315 / 0.18e2 - t12369 * t541 / 0.9e1 + t12372 * t2407 / 0.2e1 + t2600 * t2402 / 0.6e1 + 0.3e1 / 0.2e1 * t12378 * t2407 + t654 * t1505 / 0.12e2 + 0.5e1 / 0.3e1 * t12384 * t11546 + 0.7e1 * t3083 * t12387 - 0.9e1 / 0.2e1 * t3083 * t12391 + 0.3e1 / 0.4e1 * t162 * t296 * t2696 * t165 + 0.3e1 / 0.4e1 * t379 * t2610 + t162 * t9734 * t236 * t165 / 0.4e1 + 0.3e1 / 0.4e1 * t162 * t1594 * t690 * t165 - t509 * t729 * t11647 / 0.2e1;
  t12418 = t2042 * t507 * t4902;
  t12421 = t163 * t2546;
  t12436 = t548 * t717 * t296;
  t12446 = -0.3e1 / 0.2e1 * t1689 * t2635 - 0.3e1 / 0.2e1 * t509 * t2577 * t2057 - 0.9e1 / 0.2e1 * t3083 * t12418 - 0.6e1 * t162 * t12421 * t11769 - 0.2e1 * t11441 * t1224 - 0.2e1 / 0.9e1 * t11619 * t1224 + t1713 * t742 / 0.3e1 + t1713 * t746 / 0.6e1 + 0.3e1 / 0.4e1 * t719 * t1591 + t368 * t12436 - 0.3e1 / 0.4e1 * t1547 * t746 + 0.3e1 / 0.4e1 * t1547 * t734 - 0.6e1 * t9114 * t5292 - 0.3e1 / 0.2e1 * t1547 * t742;
  t12453 = t106 * t109 * t2527;
  t12459 = t106 * t363 * t2518;
  t12477 = t1455 * t717 * t313;
  t12480 = t1728 * t734 / 0.2e1 + 0.3e1 / 0.2e1 * t379 * t2614 - 0.3e1 / 0.2e1 * t12453 * t2433 - 0.3e1 / 0.2e1 * t2662 * t11534 - 0.3e1 * t12459 * t11789 - t661 * t1421 / 0.2e1 - t233 * t9393 / 0.2e1 + 0.18e2 * t11157 * t8440 + 0.12e2 * t11433 * t1224 - 0.3e1 / 0.4e1 * t2816 * t335 - t719 * t1629 / 0.2e1 - t719 * t1622 / 0.4e1 - t368 * t12477 + t719 * t1600;
  t12484 = t510 * t12262;
  t12508 = t548 * t1545 * t1208;
  t12510 = -0.3e1 / 0.2e1 * t719 * t1606 + t387 * t2578 + 0.3e1 / 0.2e1 * t162 * t12484 * t645 - 0.3e1 / 0.2e1 * t2861 * t1663 + 0.3e1 / 0.2e1 * t1547 * t749 + 0.3e1 * t379 * t2578 - t1713 * t749 / 0.3e1 - 0.3e1 / 0.2e1 * t9933 * t730 + t9975 * t730 / 0.3e1 - t2529 * t2129 - t1657 * t3949 / 0.2e1 + 0.3e1 / 0.2e1 * t719 * t1666 - t9836 * t730 + t1728 * t749 + t1641 * t12508;
  t12537 = t548 * t717 * t1642;
  t12539 = t95 * t2695;
  t12541 = t548 * t160 * t12539;
  t12544 = t548 * t377 * t4902;
  t12547 = t12361 * t556 / 0.9e1 - t12238 * t556 / 0.3e1 - t2565 * t2129 / 0.3e1 - t12264 * t556 / 0.2e1 - t671 * t11187 / 0.2e1 - t654 * t1421 / 0.6e1 + t1636 * t4272 / 0.2e1 - t383 * t2779 / 0.6e1 + t383 * t2787 / 0.12e2 + 0.2e1 / 0.3e1 * t9069 * t4904 + 0.2e1 / 0.3e1 * t9069 * t5292 + t1641 * t12537 + t1641 * t12541 + 0.2e1 * t1641 * t12544;
  t12548 = t382 * t2519;
  t12562 = t1417 * t2777 * t1419;
  t12570 = t106 * t109 * t2546;
  t12573 = t382 * t2661;
  t12582 = -0.5e1 / 0.36e2 * t12548 * t2045 - t2565 * t2115 / 0.12e2 + 0.3e1 / 0.2e1 * t2548 * t11246 + 0.3e1 * t2548 * t11537 - t2565 * t2149 / 0.6e1 + t2565 * t1644 / 0.3e1 - t127 * t12562 / 0.6e1 - t654 * t1617 / 0.12e2 + t493 * t2779 / 0.2e1 + 0.2e1 * t12570 * t11281 - t12573 * t2433 / 0.2e1 + t233 * t9455 / 0.2e1 + t356 * t2787 / 0.6e1 - t1657 * t4277 / 0.4e1;
  t12597 = t163 * t2527;
  t12612 = t387 * t2614 / 0.2e1 + t387 * t2610 / 0.4e1 - t1763 * t2633 - t1763 * t2635 / 0.2e1 - t387 * t2630 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t2629 * t1647 - t387 * t2627 + 0.9e1 / 0.2e1 * t162 * t12597 * t2138 - t387 * t2623 / 0.4e1 - t387 * t2793 / 0.2e1 + t387 * t2790 / 0.2e1 + t2587 * t2192 + t661 * t1474 / 0.2e1 - t2529 * t2410 / 0.2e1;
  t12615 = t1455 * t2786;
  t12618 = t548 * t2778;
  t12623 = t712 * t66;
  t12625 = t305 * t12623 * t313;
  t12631 = t22 * t2726;
  t12636 = t1398 * t669;
  t12642 = t2000 * t2546;
  t12647 = t10615 * t1733 * t2496;
  t12651 = t3965 * t2009 * t5620;
  t12656 = -t661 * t1613 / 0.2e1 + t368 * t12615 / 0.4e1 - t368 * t12618 / 0.4e1 - t356 * t2779 / 0.4e1 + t127 * t12625 / 0.4e1 + t2471 * t9479 + 0.23e2 / 0.12e2 * t3933 * t10841 - t12631 * t1997 - 0.9e1 / 0.2e1 * t2004 * t2733 * t10755 + 0.9e1 / 0.2e1 * t1397 * t12636 * t2138 + 0.28e2 / 0.3e1 * t10729 * t5630 + 0.9e1 * t2011 * t12642 * t2142 + 0.9e1 * t10759 * t12647 - 0.9e1 / 0.2e1 * t10759 * t12651 - 0.6e1 * t10729 * t5622;
  t12661 = t103 * t697;
  t12664 = t103 * t237;
  t12667 = t103 * t693;
  t12692 = -0.7e1 / 0.3e1 * t3956 * t10668 - t12661 * t1990 / 0.6e1 + t12664 * t1407 / 0.6e1 + t12667 * t1984 / 0.3e1 - 0.9e1 * t3980 * t2701 * t11400 + 0.3e1 / 0.2e1 * t3956 * t10671 - t12667 * t1979 / 0.3e1 + t12661 * t1987 / 0.4e1 + 0.3e1 * t3933 * t11397 - 0.14e2 / 0.3e1 * t3956 * t11688 - 0.3e1 / 0.2e1 * t3933 * t10829 + 0.11e2 / 0.3e1 * t3933 * t10833 - 0.23e2 / 0.6e1 * t3933 * t10837 + 0.18e2 * t2022 * t2701 * t11404;
  t12693 = t10804 * t2518;
  t12726 = 0.9e1 / 0.2e1 * t11419 * t12693 * t2099 - 0.9e1 * t2011 * t12693 * t2204 - 0.9e1 * t1397 * t12642 * t2094 + 0.7e1 * t3933 * t3961 * t10840 - 0.14e2 * t2022 * t2708 * t11408 + 0.14e2 * t2004 * t2708 * t11413 + t2511 * t9556 / 0.4e1 + 0.3e1 / 0.4e1 * t12631 * t1987 + t2485 * t11723 - t2511 * t9551 / 0.2e1 - 0.11e2 / 0.12e2 * t2471 * t11720 - t2511 * t9567 / 0.2e1 - t2471 * t10548 - t2471 * t10552 / 0.2e1;
  t12746 = t22 * t691;
  t12757 = -t2471 * t10624 / 0.2e1 - 0.11e2 / 0.6e1 * t3933 * t10822 - t2471 * t10612 / 0.4e1 - 0.5e1 / 0.12e2 * t3933 * t10657 + 0.3e1 / 0.4e1 * t2471 * t10663 + 0.5e1 / 0.12e2 * t2471 * t10630 + t2471 * t10650 / 0.3e1 + 0.5e1 / 0.6e1 * t3933 * t10618 - t12631 * t1990 / 0.2e1 + t12746 * t1407 / 0.2e1 + t2511 * t9548 / 0.2e1 + t2511 * t9543 / 0.4e1 + t2485 * t10605 / 0.2e1 + t2485 * t10684 / 0.2e1;
  t12758 = t22 * t2720;
  t12779 = t404 * t243;
  t12780 = t12779 * t1406;
  t12787 = -t12758 * t1979 - t2485 * t10660 - t2485 * t10681 / 0.2e1 - t2485 * t10645 / 0.2e1 + 0.3e1 / 0.2e1 * t4190 * t10849 - 0.3e1 / 0.2e1 * t4190 * t10675 - 0.3e1 / 0.2e1 * t4190 * t10819 - t2471 * t10595 / 0.2e1 - t2471 * t10602 / 0.4e1 - 0.5e1 / 0.3e1 * t2471 * t9487 + 0.23e2 / 0.12e2 * t3933 * t10637 + t1403 * t12780 / 0.4e1 + t12758 * t1984 + t2485 * t10590 - t12661 * t1997 / 0.3e1;
  t12815 = t230 * t349;
  t12816 = t500 * t12815;
  t12817 = t1962 * t12816;
  t12829 = 0.3e1 * t3956 * t10825 - 0.5e1 / 0.12e2 * t3933 * t10608 + 0.3e1 / 0.2e1 * t3956 * t10627 + 0.3e1 * t3956 * t10580 + 0.5e1 / 0.6e1 * t2471 * t10584 - 0.11e2 / 0.6e1 * t3933 * t10621 + 0.3e1 / 0.2e1 * t2471 * t10567 + 0.3e1 * t2004 * t2720 * t2030 + 0.9e1 / 0.2e1 * t2004 * t2733 * t10689 + 0.3e1 / 0.2e1 * t2004 * t693 * t10735 - 0.6e1 * t11652 * t12817 - 0.3e1 / 0.2e1 * t1397 * t2503 * t1605 + 0.3e1 / 0.2e1 * t2004 * t693 * t10739 - 0.9e1 * t2004 * t2708 * t12211;
  t12833 = t3961 * t12816;
  t12839 = t2000 * t2527;
  t12843 = t1398 * t2585;
  t12847 = t658 * t312;
  t12849 = t1974 * t500 * t12847;
  t12852 = t1398 * t659;
  t12859 = t230 * t1502;
  t12861 = t1974 * t500 * t12859;
  t12876 = -0.5e1 / 0.2e1 * t2004 * t697 * t11663 + 0.7e1 * t11669 * t12833 + 0.3e1 / 0.2e1 * t1397 * t2475 * t2417 - 0.3e1 * t2011 * t12839 * t622 - 0.3e1 * t1397 * t12843 * t636 - 0.3e1 * t9476 * t12849 - 0.3e1 / 0.2e1 * t1397 * t12852 * t334 + 0.3e1 / 0.2e1 * t2004 * t237 * t9502 - 0.4e1 / 0.3e1 * t9476 * t12861 - 0.3e1 / 0.4e1 * t1397 * t2490 * t1621 - 0.3e1 / 0.2e1 * t11802 * t8440 - 0.3e1 / 0.2e1 * t162 * t745 * t9446 - t2822 * t335 / 0.4e1 + t719 * t1648 / 0.2e1;
  t12882 = t555 * t2778;
  t12885 = t1463 * t2786;
  t12892 = t510 * t2518;
  t12909 = my_piecewise3(t43, t110, -0.22e3 / 0.81e2 * t345);
  t12915 = -0.3e1 / 0.2e1 * t2520 * t10886 + 0.7e1 * t2520 * t10890 - t368 * t12882 / 0.2e1 + t368 * t12885 / 0.2e1 - 0.6e1 * t12459 * t11286 - 0.3e1 / 0.2e1 * t719 * t1443 - 0.18e2 * t509 * t12892 * t11119 + 0.3e1 / 0.2e1 * t2816 * t517 + 0.3e1 * t2861 * t1700 - 0.3e1 * t719 * t1704 + 0.3e1 / 0.2e1 * t719 * t1525 - t2822 * t329 / 0.2e1 + 0.5e1 / 0.54e2 * t9750 * t248 - t106 * t109 * t12909 * t124 * t139 / 0.12e2;
  t12922 = t1541 * t244;
  t12930 = t373 * t713 * t500;
  t12944 = t373 * t714;
  t12950 = t5620 * t312;
  t12952 = t1974 * t1395 * t12950;
  t12955 = -t382 * t2843 * t139 / 0.12e2 - 0.9e1 / 0.2e1 * t1397 * t2475 * t12177 - 0.5e1 / 0.36e2 * t1536 * t12922 - t1569 * t686 / 0.12e2 - t356 * t2827 / 0.4e1 + t368 * t12930 - t1514 * t686 / 0.12e2 - t1694 * t2830 / 0.12e2 + t719 * t1564 / 0.4e1 - t2844 * t359 / 0.4e1 - t661 * t1575 / 0.4e1 - t233 * t9753 / 0.12e2 - t368 * t12944 / 0.4e1 + 0.9e1 / 0.2e1 * t2011 * t2475 * t12197 - 0.3e1 * t9476 * t12952;
  t12983 = t1712 * t718;
  t12990 = 0.3e1 * t1397 * t2503 * t12202 - 0.5e1 / 0.54e2 * t1946 * t244 - t9746 * t248 / 0.6e1 - 0.5e1 / 0.162e3 * t9749 * t232 * t139 - t1709 * t686 / 0.2e1 + t2849 * t359 / 0.18e2 + t1712 * t660 * t139 / 0.18e2 - t654 * t1575 / 0.12e2 + t1584 * t2830 / 0.2e1 - t2837 * t359 / 0.6e1 + t493 * t2827 / 0.2e1 - t12983 * t166 / 0.6e1 + t1721 * t686 / 0.6e1 + 0.3e1 / 0.2e1 * t12631 * t1971;
  t13002 = t10521 * t669;
  t13030 = t12661 * t1971 / 0.2e1 + 0.2e1 * t2022 * t697 * t10800 + 0.9e1 / 0.2e1 * t1397 * t12693 * t2087 - 0.9e1 * t2004 * t2701 * t10812 + 0.3e1 / 0.2e1 * t1397 * t13002 * t645 + 0.3e1 * t1397 * t12839 * t645 - t11685 * t2501 - 0.2e1 * t2004 * t697 * t10498 + 0.9e1 / 0.2e1 * t2022 * t2726 * t9459 - 0.9e1 / 0.2e1 * t2004 * t2726 * t2005 - 0.9e1 * t2022 * t2701 * t10503 + 0.9e1 / 0.2e1 * t2004 * t2701 * t10537 + 0.9e1 * t2022 * t2708 * t10764 - 0.3e1 / 0.2e1 * t10556 * t2478;
  t13041 = t10832 * t5629;
  t13063 = t9576 * t2476 + 0.9e1 / 0.2e1 * t10768 * t2498 - 0.9e1 / 0.2e1 * t10516 * t2478 - 0.3e1 * t10746 * t2501 + 0.3e1 * t9509 * t2476 - 0.14e2 * t10759 * t13041 + 0.9e1 / 0.2e1 * t3980 * t2701 * t10530 - 0.3e1 / 0.2e1 * t2011 * t13002 * t622 + 0.9e1 / 0.2e1 * t162 * t12347 * t2087 + 0.3e1 * t12378 * t2423 - 0.3e1 * t1763 * t2562 + 0.3e1 / 0.2e1 * t387 * t2570 + 0.9e1 / 0.2e1 * t9790 * t2559 - 0.11e2 / 0.18e2 * t12548 * t2428;
  t13093 = t382 * t2815;
  t13096 = 0.23e2 / 0.36e2 * t12548 * t2210 + 0.22e2 / 0.3e1 * t12384 * t11469 - 0.23e2 / 0.3e1 * t12384 * t11472 + t12372 * t2423 - 0.11e2 / 0.6e1 * t12286 * t2428 + 0.23e2 / 0.12e2 * t12286 * t2210 + 0.23e2 / 0.12e2 * t2520 * t11475 - 0.61e2 / 0.27e2 * t12291 * t10900 + t486 * t714 / 0.6e1 + 0.3e1 / 0.4e1 * t379 * t2805 + t162 * t163 * t12909 * t165 / 0.4e1 + 0.3e1 / 0.4e1 * t2816 * t351 + 0.3e1 / 0.4e1 * t1547 * t738 - t383 * t2827 / 0.6e1 + t13093 * t166 / 0.2e1;
  t13102 = t138 * t2774;
  t13107 = t106 * t158 * t2772 * t159;
  t13127 = t10904 * t1740 * t10898;
  t13130 = t9989 * t12289;
  t13137 = t9758 * t248 / 0.4e1 - t127 * t13102 / 0.4e1 + 0.3e1 / 0.4e1 * t13107 * t166 - t1713 * t738 / 0.6e1 - 0.3e1 / 0.2e1 * t2816 * t329 - 0.2e1 * t1584 * t2856 - t9576 * t2504 - t9576 * t2491 / 0.2e1 + 0.2e1 / 0.3e1 * t11393 * t5622 - 0.2e1 * t12291 * t11589 - 0.62e2 / 0.3e1 * t12291 * t10897 * t11584 + 0.8e1 * t12291 * t13127 - 0.6e1 * t10074 * t13130 * t11604 + 0.18e2 * t1742 * t13130 * t11609;
  t13156 = t163 * t12269;
  t13161 = t318 * t12623 * t296;
  t13174 = -0.3e1 / 0.2e1 * t12286 * t2214 - 0.18e2 * t509 * t13130 * t11593 + 0.6e1 * t162 * t13130 * t11597 + 0.3e1 / 0.2e1 * t9743 * t2559 - t12548 * t2214 / 0.2e1 - 0.9e1 * t1689 * t2562 + 0.9e1 / 0.2e1 * t379 * t2570 - 0.3e1 * t379 * t2627 - 0.3e1 / 0.2e1 * t162 * t13156 * t636 - t127 * t13161 / 0.2e1 + 0.3e1 / 0.2e1 * t2816 * t298 + 0.3e1 / 0.2e1 * t379 * t2790 + 0.3e1 / 0.2e1 * t162 * t2577 * t2417 + t162 * t729 * t11734 / 0.2e1;
  t13179 = t318 * t2777 * t1594;
  t13188 = t1770 * t244;
  t13191 = t1671 * t2855;
  t13195 = t496 * t714;
  t13198 = t1671 * t244;
  t13201 = t1541 * t2855;
  t13210 = -0.3e1 / 0.2e1 * t379 * t2793 - t127 * t13179 / 0.4e1 + 0.3e1 / 0.4e1 * t719 * t1596 - 0.38e2 / 0.9e1 * t12291 * t11304 + 0.89e2 / 0.9e1 * t12291 * t11581 - t1536 * t13188 / 0.2e1 + 0.7e1 / 0.3e1 * t1536 * t13191 + t1584 * t2852 - t368 * t13195 / 0.2e1 - 0.11e2 / 0.18e2 * t1536 * t13198 + 0.23e2 / 0.36e2 * t1536 * t13201 + t2822 * t517 / 0.2e1 - t1694 * t2852 / 0.6e1 + t1694 * t2856 / 0.3e1;
  t13211 = t382 * t2860;
  t13216 = t106 * t158 * t712 * t506;
  t13249 = -t13211 * t513 / 0.2e1 - 0.3e1 / 0.2e1 * t13216 * t513 + 0.3e1 / 0.4e1 * t2471 * t12183 + 0.18e2 * t162 * t12892 * t11126 - 0.18e2 * t1742 * t12355 * t11131 + 0.36e2 * t509 * t12355 * t11113 + 0.6e1 * t12384 * t11291 + 0.3e1 / 0.2e1 * t719 * t1436 + 0.3e1 * t1763 * t2682 - 0.3e1 * t387 * t2553 + 0.3e1 / 0.2e1 * t2861 * t1449 + 0.9e1 * t1689 * t2682 - 0.9e1 * t379 * t2553 - 0.3e1 / 0.2e1 * t2861 * t1433 + 0.9e1 * t509 * t12343 * t2142;
  t13275 = t163 * t2842;
  t13290 = -0.11e2 / 0.6e1 * t2471 * t11693 - 0.11e2 / 0.2e1 * t2022 * t697 * t10508 + 0.11e2 / 0.2e1 * t2004 * t697 * t10512 + 0.3e1 / 0.2e1 * t11676 * t2498 - 0.3e1 / 0.4e1 * t22 * t2773 * t194 - 0.3e1 / 0.4e1 * t22 * t713 * t481 - t22 * t243 * t1839 / 0.4e1 - 0.6e1 * t9114 * t4904 - 0.3e1 / 0.2e1 * t379 * t2630 - 0.3e1 / 0.4e1 * t162 * t13275 * t334 - 0.3e1 * t1689 * t2633 - 0.3e1 / 0.2e1 * t509 * t12484 * t622 - 0.3e1 / 0.2e1 * t162 * t2626 * t1605 - t162 * t741 * t9267 / 0.2e1;
  t13299 = t9526 * t664;
  t13303 = t9526 * t231;
  t13307 = t480 * t230;
  t13309 = t1962 * t1395 * t13307;
  t13315 = t3965 * t1733 * t12815;
  t13326 = t22 * t243 * t1395;
  t13329 = t10662 * t5629;
  t13334 = -0.3e1 / 0.4e1 * t379 * t2623 - 0.3e1 / 0.4e1 * t162 * t2629 * t1621 - t162 * t745 * t9230 / 0.4e1 - 0.3e1 / 0.2e1 * t1397 * t13299 * t636 - 0.3e1 / 0.4e1 * t1397 * t13303 * t334 + t9476 * t13309 + 0.5e1 / 0.2e1 * t2022 * t697 * t10774 - 0.9e1 / 0.2e1 * t11669 * t13315 - 0.3e1 / 0.2e1 * t2011 * t2475 * t2057 + 0.2e1 / 0.3e1 * t2471 * t10571 - t103 * t2774 / 0.4e1 - 0.3e1 / 0.4e1 * t13326 * t1400 - 0.3e1 * t9476 * t13329 - 0.3e1 / 0.2e1 * t9509 * t2491;
  t13340 = t193 * t658;
  t13342 = t1962 * t1395 * t13340;
  t13348 = t230 * t1418;
  t13350 = t10706 * t500 * t13348;
  t13360 = t10594 * t5621;
  t13371 = 0.3e1 * t10516 * t2494 - 0.3e1 * t9509 * t2504 + 0.2e1 * t9476 * t13342 - 0.3e1 * t2004 * t693 * t10699 + 0.11e2 / 0.3e1 * t9476 * t13350 + 0.3e1 / 0.2e1 * t1397 * t2490 * t1647 - 0.3e1 / 0.2e1 * t3933 * t10543 - t11393 * t5630 + t10556 * t2494 + 0.2e1 * t9476 * t13360 + t1718 * t686 / 0.18e2 + t2822 * t351 / 0.4e1 + t387 * t2805 / 0.4e1 + t1728 * t738 / 0.2e1;
  t13376 = t243 * t1733;
  t13377 = t1541 * t13376;
  t13382 = t106 * t158 * t242 * t1739;
  t13392 = t2700 * t11850;
  t13395 = t69 * t658;
  t13396 = t13395 * t1745;
  t13401 = t108 * t12909;
  t13408 = t2700 * t9912;
  t13412 = t362 * t2695 * t398;
  t13421 = t696 * t11841;
  t13424 = t9774 * t230;
  t13425 = t13424 * t9991;
  t13428 = -0.36e2 * t13392 * t11905 - 0.9e1 * t13396 * t2385 + 0.2e1 / 0.3e1 * t697 * t12139 + t13401 * t143 * t146 + 0.2e1 * t2726 * t2360 + t13396 * t2377 / 0.6e1 - 0.2e1 / 0.3e1 * t13408 * t12148 + 0.6e1 * t13412 * t587 - 0.9e1 * t2701 * t11962 + 0.9e1 * t2726 * t2350 + 0.4e1 * t697 * t11946 - 0.11e2 / 0.3e1 * t13421 * t11844 + 0.1e2 / 0.3e1 * t13425 * t12120;
  t13435 = t2725 * t1698;
  t13454 = t236 * t10106;
  t13459 = 0.5e2 / 0.3e1 * t13425 * t12117 + 0.36e2 * t13408 * t12083 - 0.12e2 * t13425 * t12086 + 0.18e2 * t13435 * t2382 + 0.1e2 * t13396 * t2354 - 0.4e2 * t13408 * t12132 - 0.3e1 * t13412 * t601 + 0.24e2 * t13425 * t12061 + 0.18e2 * t13396 * t2335 - 0.72e2 * t13408 * t12055 + 0.8e1 / 0.3e1 * t13425 * t12058 + 0.18e2 * t2701 * t12052 - 0.24e2 * t13454 * t12067 + t237 * t10395 / 0.2e1;
  t13468 = t2696 * t327;
  t13480 = t696 * t10029;
  t13483 = t690 * t1523;
  t13492 = -t697 * t12125 + 0.3e1 * t2720 * t2366 - 0.12e2 * t13435 * t2374 + 0.3e1 / 0.2e1 * t691 * t1900 + 0.3e1 * t13468 * t597 + 0.3e1 / 0.2e1 * t2749 * t424 + 0.2e1 * t13412 * t591 - 0.3e1 * t2726 * t2380 - t13401 * t124 * t150 / 0.2e1 + 0.24e2 * t13480 * t12110 - 0.9e1 * t13483 * t2388 + 0.3e1 * t237 * t10365 + 0.12e2 * t13454 * t12102 - 0.36e2 * t13480 * t12099;
  t13500 = t696 * t11903;
  t13509 = t2725 * t2284;
  t13522 = -0.6e1 * t237 * t10297 + 0.6e1 * t691 * t1885 + 0.18e2 * t13483 * t2299 + t693 * t12095 + 0.56e2 * t13500 * t11929 - 0.36e2 * t4077 * t11932 + 0.4e1 * t13392 * t11881 - 0.2e1 * t4084 * t11884 - 0.18e2 * t13509 * t2286 - 0.8e1 * t2687 * t11887 - 0.1e2 * t2687 * t11920 + 0.18e2 * t4084 * t11869 + 0.6e1 * t4095 * t10314 + 0.4e1 / 0.3e1 * t2687 * t11863;
  t13537 = t690 * t2277;
  t13546 = t236 * t11895;
  t13549 = t236 * t11890;
  t13556 = -0.28e2 / 0.3e1 * t13500 * t11905 + 0.6e1 * t4077 * t11869 + 0.5e1 / 0.3e1 * t2687 * t11873 - t4084 * t11877 / 0.3e1 + 0.2e1 / 0.3e1 * t13392 * t11854 + 0.6e1 * t2689 * t11900 + 0.12e2 * t13537 * t2281 + 0.6e1 * t2689 * t11858 + 0.3e1 * t13509 * t2289 + 0.18e2 * t4105 * t11912 - 0.18e2 * t13546 * t11897 - 0.12e2 * t13549 * t11892 + 0.22e2 * t13421 * t11847 - 0.3e1 * t691 * t1921;
  t13585 = -0.6e1 * t2720 * t2338 - 0.6e1 * t2726 * t2304 + 0.18e2 * t2708 * t11953 + 0.5e1 * t697 * t11956 + 0.1e2 * t2701 * t11959 - 0.3e1 * t693 * t11977 - 0.3e1 * t237 * t10215 + t2701 * t12039 / 0.6e1 - 0.2e2 * t2701 * t11949 - 0.1e2 / 0.3e1 * t697 * t10219 - 0.8e1 / 0.3e1 * t697 * t12010 + 0.56e2 / 0.3e1 * t2708 * t11980 - 0.9e1 * t2733 * t11969 - 0.3e1 * t693 * t10223;
  t13613 = -0.12e2 * t2708 * t12007 + 0.8e1 * t13408 * t11989 - 0.4e1 / 0.3e1 * t13425 * t11994 - 0.6e1 * t13468 * t578 - 0.3e1 * t2749 * t406 - t13412 * t583 - 0.28e2 * t2708 * t11940 - t2701 * t12020 / 0.3e1 + 0.22e2 / 0.3e1 * t697 * t11985 + 0.9e1 * t2733 * t11966 + 0.6e1 * t2726 * t2308 - 0.2e1 * t13396 * t2332 + 0.4e1 / 0.3e1 * t13408 * t11936 - t2726 * t2341;
  t13641 = -t697 * t12036 / 0.3e1 - t13396 * t2345 / 0.3e1 - t13425 * t12044 / 0.9e1 - 0.3e1 * t691 * t1894 - 0.12e2 * t13480 * t12070 + 0.72e2 * t13480 * t11838 - 0.11e2 * t697 * t11833 - 0.36e2 * t13435 * t2327 + 0.6e1 * t13435 * t2324 + 0.6e1 * t693 * t11827 - 0.2e1 * t693 * t12079 + 0.2e1 * t697 * t12024 - 0.6e1 * t2720 * t2320 - t237 * t10247;
  t13657 = t11303 * t1223;
  t13662 = t9797 * t248 / 0.4e1 + 0.3e1 / 0.2e1 * t719 * t1758 - 0.3e1 / 0.2e1 * t1536 * t13377 + 0.3e1 / 0.2e1 * t13382 * t1748 - 0.3e1 * t2861 * t1753 + 0.3e1 / 0.2e1 * t2471 * t12188 - t2485 * t12186 + 0.44e2 / 0.27e2 * t12291 * t10906 - t22 * t59 * (t13428 + t13459 + t13492 + t13522 + t13556 + t13585 + t13613 + t13641) * t96 / 0.4e1 - t103 * t2668 / 0.4e1 - t103 * t2665 / 0.2e1 + t486 * t722 / 0.6e1 - 0.43e2 / 0.9e1 * t12291 * t11585 + 0.47e2 / 0.3e1 * t11309 * t13657 - 0.28e2 * t11157 * t8421;
  t13668 = my_piecewise3(t3, 0, t13030 + t12612 + t12726 + t12656 + t12990 + t12364 + t12876 + t12757 + t12411 + t13063 + t12480 + t12582 + t13662 + t13249 + t12955 + t12547 + t13290 + t13210 + t13371 + t12915 + t13334 + t12446 + t12298 + t12829 + t13096 + t12787 + t13137 + t13174 + t12326 + t12510 + t12257 + t12692);
  tv4rho3lapl0 = 0.2e1 * rho[0] * t13668 + 0.6e1 * t2870;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 0] += tv4rho3lapl0;

  t13672 = t500 * t2946;
  t13676 = t193 * t256;
  t13677 = t1395 * t13676;
  t13705 = t1404 * t169 * t287 * t1502;
  t13711 = t1974 * t1395 * t2991;
  t13720 = -0.14e2 * t10759 * t10832 * t13672 + 0.7e1 * t10759 * t3961 * t13677 - 0.5e1 / 0.2e1 * t2004 * t881 * t11663 + 0.3e1 / 0.2e1 * t1397 * t2943 * t2417 - t1397 * t2987 * t1621 / 0.4e1 - 0.5e1 / 0.3e1 * t2874 * t9487 + t2874 * t9479 - 0.11e2 / 0.6e1 * t4482 * t10822 - t2874 * t10624 / 0.2e1 + 0.11e2 / 0.3e1 * t4482 * t10833 + 0.5e1 / 0.6e1 * t2874 * t10584 - t9570 * t2993 / 0.3e1 + t1403 * t13705 / 0.12e2 + t9573 * t2993 / 0.12e2 - t9521 * t13711 + t1397 * t2986 * t491 * t334 + 0.9e1 * t10759 * t10615 * t1733 * t2946;
  t13724 = t1398 * t757;
  t13740 = t103 * t881;
  t13745 = t103 * t263;
  t13748 = t103 * t877;
  t13761 = t1974 * t2992;
  t13764 = t9547 * t2992;
  t13769 = t1404 * t169 * t869 * t312;
  t13772 = -0.9e1 / 0.2e1 * t2004 * t3227 * t10755 + 0.9e1 / 0.2e1 * t1397 * t13724 * t2138 - 0.3e1 * t2004 * t877 * t10699 + 0.3e1 / 0.2e1 * t1397 * t2956 * t1647 + t9482 * t4660 / 0.2e1 + t9559 * t2993 / 0.6e1 - t9490 * t4665 / 0.4e1 - t13740 * t1990 / 0.6e1 + t13740 * t1987 / 0.4e1 + t13745 * t1407 / 0.6e1 + t13748 * t1984 / 0.3e1 - 0.9e1 / 0.2e1 * t10759 * t3965 * t2009 * t13676 - t1397 * t2986 * t354 * t334 / 0.2e1 - 0.3e1 / 0.4e1 * t9509 * t2988 + t9521 * t13761 / 0.4e1 + t1403 * t13764 / 0.4e1 + t1403 * t13769 / 0.4e1;
  t13779 = t869 * t108;
  t13806 = t4433 * t366;
  t13817 = t1398 * t811;
  t13827 = -0.9e1 * t2022 * t3211 * t10503 - 0.3e1 / 0.2e1 * t4482 * t10543 - 0.3e1 / 0.4e1 * t1397 * t13779 * t125 * t334 - 0.3e1 / 0.2e1 * t1397 * t2986 * t1634 * t636 - 0.11e2 / 0.6e1 * t2874 * t11693 + 0.11e2 / 0.3e1 * t2874 * t10706 * t500 * t10507 + 0.9e1 / 0.2e1 * t2004 * t3211 * t10537 + 0.7e1 * t4482 * t3961 * t10636 - 0.11e2 / 0.2e1 * t2022 * t881 * t10508 + 0.11e2 / 0.2e1 * t2004 * t881 * t10512 - 0.3e1 / 0.2e1 * t1397 * t13806 * t1442 + 0.3e1 / 0.2e1 * t1397 * t4433 * t1639 * t2417 + 0.3e1 * t2004 * t3246 * t2030 - 0.3e1 / 0.2e1 * t1397 * t13817 * t334 + 0.3e1 * t10516 * t2954 - 0.3e1 / 0.2e1 * t9509 * t2957 - 0.5e1 / 0.12e2 * t4482 * t10608;
  t13840 = t22 * t3220;
  t13856 = t22 * t3246;
  t13858 = t22 * t875;
  t13863 = -t2874 * t10612 / 0.4e1 + 0.5e1 / 0.6e1 * t4482 * t10618 + 0.3e1 / 0.4e1 * t2874 * t10663 - t2874 * t10595 / 0.2e1 + 0.3e1 / 0.2e1 * t4503 * t10627 + 0.5e1 / 0.12e2 * t2874 * t10630 + 0.3e1 / 0.4e1 * t13840 * t1987 - t13840 * t1990 / 0.2e1 + t3162 * t10605 / 0.2e1 + t3168 * t9543 / 0.4e1 - t2874 * t10602 / 0.4e1 + t3162 * t10590 + t3168 * t9548 / 0.2e1 - 0.5e1 / 0.12e2 * t4482 * t10657 + t13856 * t1984 + t13858 * t1407 / 0.2e1 + t493 * t2972 / 0.2e1;
  t13875 = t548 * t821 * t296;
  t13879 = t896 * t66;
  t13881 = t305 * t13879 * t313;
  t13885 = t305 * t2966 * t1503;
  t13888 = t1455 * t2967;
  t13893 = t548 * t2971;
  t13898 = t382 * t3006;
  t13901 = t382 * t2935;
  t13908 = t256 * t9768;
  t13910 = t106 * t1531 * t13908;
  t13913 = t3322 * t298 / 0.2e1 - 0.3e1 / 0.2e1 * t823 * t1427 + t383 * t2968 / 0.12e2 + 0.3e1 / 0.4e1 * t823 * t1591 + t368 * t13875 + t356 * t2968 / 0.6e1 + t127 * t13881 / 0.4e1 + t127 * t13885 / 0.12e2 + t368 * t13888 / 0.4e1 - t356 * t2972 / 0.4e1 - t368 * t13893 / 0.4e1 - t3322 * t335 / 0.4e1 + 0.23e2 / 0.36e2 * t13898 * t2210 + t13901 * t2423 - 0.2e1 * t13901 * t2425 - 0.6e1 * t2936 * t548 * t10889 + 0.22e2 / 0.3e1 * t13910 * t11469;
  t13916 = t810 * t1581;
  t13918 = t106 * t363 * t13916;
  t13928 = t1417 * t2966 * t1419;
  t13933 = t256 * t9777;
  t13935 = t106 * t9775 * t13933;
  t13946 = t2885 * t397;
  t13950 = t555 * t2911;
  t13954 = t548 * t160 * t2885;
  t13956 = t2218 * t776;
  t13959 = t2042 * t3171;
  t13962 = -0.23e2 / 0.3e1 * t13910 * t11472 + 0.3e1 * t13918 * t2423 - 0.6e1 * t13918 * t2425 + 0.3e1 * t2936 * t11537 - t493 * t2968 / 0.3e1 - t127 * t13928 / 0.6e1 - t383 * t2972 / 0.6e1 - 0.43e2 / 0.9e1 * t13935 * t11585 + 0.9e1 * t1689 * t3305 - 0.9e1 * t379 * t3314 + 0.3e1 * t1763 * t3305 - 0.3e1 * t387 * t3314 - 0.3e1 / 0.2e1 * t509 * t13946 * t512 - t368 * t13950 / 0.2e1 + t368 * t13954 - 0.11e2 / 0.18e2 * t1536 * t13956 + 0.23e2 / 0.36e2 * t1536 * t13959;
  t13966 = t555 * t2907;
  t13970 = t548 * t377 * t775;
  t13976 = t1712 * t790;
  t13985 = t810 * t1533;
  t13986 = t1743 * t13985;
  t13993 = t510 * t13916;
  t14008 = -0.3e1 / 0.2e1 * t1689 * t3175 - t368 * t13966 / 0.2e1 + t368 * t13970 - 0.11e2 / 0.18e2 * t13898 * t2428 + 0.3e1 / 0.2e1 * t823 * t1666 + t13976 * t556 / 0.9e1 - 0.2e1 / 0.9e1 * t13976 * t562 + 0.9e1 / 0.2e1 * t9790 * t3181 - 0.9e1 * t1689 * t3184 + 0.9e1 / 0.2e1 * t1742 * t13986 * t2099 - 0.9e1 * t509 * t13986 * t2204 + 0.9e1 * t509 * t13993 * t2142 - 0.9e1 * t162 * t13993 * t2094 + 0.89e2 / 0.9e1 * t13935 * t11581 + t387 * t3078 / 0.2e1 - t1657 * t4764 / 0.2e1 + t9975 * t759 / 0.3e1;
  t14049 = -t1713 * t796 / 0.3e1 - 0.3e1 / 0.2e1 * t3389 * t1663 - 0.3e1 / 0.2e1 * t162 * t3036 * t1605 - 0.3e1 / 0.2e1 * t1547 * t764 + 0.3e1 / 0.4e1 * t162 * t296 * t3206 * t165 - t1728 * t764 - t387 * t3037 - t387 * t3039 / 0.2e1 + 0.3e1 / 0.4e1 * t1547 * t772 + 0.3e1 / 0.4e1 * t379 * t3045 + 0.3e1 / 0.2e1 * t379 * t3049 + t162 * t9734 * t262 * t165 / 0.4e1 + 0.3e1 / 0.4e1 * t162 * t1594 * t874 * t165 - 0.28e2 * t11157 * t3086 + 0.7e1 / 0.3e1 * t11802 * t3086 + t387 * t3076 + t1721 * t777 / 0.6e1 - t1709 * t777 / 0.2e1;
  t14054 = t106 * t109 * t2934;
  t14066 = t382 * t2997;
  t14081 = t3205 * t326;
  t14082 = t163 * t14081;
  t14090 = t3205 * t365;
  t14092 = t106 * t363 * t14090;
  t14096 = 0.2e1 * t14054 * t11281 + t1718 * t777 / 0.18e2 + 0.3e1 / 0.2e1 * t162 * t775 * t1866 * t1524 + t1728 * t796 + t2900 * t1644 / 0.3e1 + 0.2e1 / 0.3e1 * t14066 * t562 + 0.2e1 / 0.3e1 * t2900 * t2460 - t2900 * t2149 / 0.6e1 + t259 * t9455 / 0.2e1 - t387 * t3092 / 0.2e1 - 0.3e1 * t379 * t3037 - 0.3e1 / 0.2e1 * t379 * t3039 - 0.3e1 / 0.2e1 * t162 * t14082 * t636 - t791 * t9871 / 0.2e1 - t791 * t11212 / 0.6e1 - t14092 * t556 / 0.2e1 - t2998 * t2129;
  t14112 = t510 * t14090;
  t14120 = t2042 * t507 * t5695;
  t14143 = -t2998 * t2149 / 0.2e1 - t509 * t758 * t11647 / 0.2e1 - 0.3e1 / 0.2e1 * t9933 * t759 - 0.3e1 * t1689 * t3031 - 0.3e1 / 0.2e1 * t1689 * t3033 - 0.9e1 / 0.2e1 * t3083 * t2042 * t1687 * t3084 - 0.3e1 / 0.2e1 * t509 * t14112 * t622 - 0.3e1 / 0.2e1 * t509 * t3030 * t2057 - 0.9e1 / 0.2e1 * t3083 * t14120 - t162 * t763 * t9267 / 0.2e1 - t1713 * t781 / 0.6e1 - 0.2e1 * t1584 * t3172 + 0.3e1 / 0.2e1 * t162 * t14112 * t645 + 0.3e1 / 0.2e1 * t162 * t3030 * t2417 + t162 * t758 * t11734 / 0.2e1 + t791 * t9261 / 0.3e1 + 0.3e1 / 0.2e1 * t1547 * t796;
  t14174 = t2218 * t3171;
  t14177 = t163 * t2934;
  t14181 = 0.3e1 * t379 * t3076 + 0.3e1 / 0.2e1 * t379 * t3078 + t791 * t548 * t1545 * t539 + t791 * t9851 + t14092 * t562 + 0.2e1 * t2998 * t2460 + t2998 * t1644 - t791 * t11187 / 0.2e1 + t1584 * t2880 / 0.2e1 + t493 * t2908 / 0.2e1 + t493 * t2912 / 0.2e1 - t1514 * t777 / 0.12e2 - t806 * t1421 / 0.6e1 + 0.3e1 / 0.2e1 * t379 * t2961 + 0.3e1 / 0.2e1 * t162 * t13946 * t516 + 0.7e1 / 0.3e1 * t1536 * t14174 - 0.6e1 * t162 * t14177 * t11769;
  t14185 = t775 * t1853;
  t14197 = t106 * t1531 * t13985;
  t14206 = t2966 * t1642;
  t14207 = t548 * t14206;
  t14224 = t510 * t3005;
  t14228 = -0.3e1 / 0.2e1 * t162 * t767 * t9446 + 0.3e1 * t509 * t14185 * t1699 + 0.9e1 / 0.2e1 * t162 * t13986 * t2087 + 0.9e1 / 0.2e1 * t379 * t3187 - 0.38e2 / 0.9e1 * t13935 * t11304 - 0.3e1 / 0.2e1 * t14197 * t2214 + 0.7e1 * t14197 * t2219 - 0.3e1 / 0.2e1 * t3007 * t10886 + 0.7e1 * t3007 * t10890 - t1641 * t14207 / 0.4e1 + t387 * t2891 / 0.4e1 - 0.3e1 / 0.2e1 * t379 * t3092 - 0.3e1 / 0.2e1 * t162 * t2885 * t393 * t328 - t1694 * t2880 / 0.12e2 + 0.3e1 / 0.2e1 * t9743 * t3181 - 0.3e1 * t1763 * t3184 + 0.18e2 * t162 * t14224 * t11126;
  t14231 = t1743 * t13908;
  t14247 = t106 * t363 * t3005;
  t14255 = t11303 * t3085;
  t14258 = t507 * t3084;
  t14259 = t10897 * t14258;
  t14262 = t9989 * t13933;
  t14275 = t2042 * t507 * t775;
  t14278 = t775 * t1843;
  t14282 = -0.18e2 * t1742 * t14231 * t11131 + 0.36e2 * t509 * t14231 * t11113 - 0.18e2 * t509 * t14224 * t11119 + t1694 * t3172 / 0.3e1 + t1584 * t3192 - t1763 * t3175 / 0.2e1 - 0.6e1 * t14247 * t11286 + 0.12e2 * t14247 * t548 * t10905 - t1694 * t3192 / 0.6e1 + 0.47e2 / 0.3e1 * t11309 * t14255 - 0.62e2 / 0.3e1 * t11309 * t14259 + 0.6e1 * t162 * t14262 * t11597 - 0.2e1 * t13935 * t11589 + 0.18e2 * t1742 * t14262 * t11609 - 0.18e2 * t509 * t14262 * t11593 - 0.3e1 / 0.2e1 * t1536 * t14275 + 0.3e1 / 0.2e1 * t1742 * t14278 * t1747;
  t14288 = t2213 * t776;
  t14307 = t1712 * t784;
  t14317 = t548 * t821 * t1642;
  t14319 = t2042 * t14258;
  t14324 = 0.8e1 * t13935 * t13127 - 0.6e1 * t10074 * t14262 * t11604 - t1536 * t14288 / 0.2e1 + 0.3e1 / 0.2e1 * t387 * t3187 - 0.18e2 * t162 * t14231 * t11294 - t13898 * t2214 / 0.2e1 + 0.6e1 * t13910 * t11291 - 0.3e1 / 0.2e1 * t13898 * t2223 + t387 * t2961 / 0.2e1 - 0.3e1 * t162 * t14185 * t1703 - t14307 * t541 / 0.9e1 - t3331 * t315 / 0.18e2 + t13976 * t549 / 0.18e2 + t3331 * t320 / 0.18e2 + t1641 * t14317 + 0.18e2 * t11157 * t14319 - t14092 * t549 / 0.4e1;
  t14347 = t548 * t2907;
  t14362 = 0.3e1 / 0.2e1 * t162 * t2896 * t1647 - t387 * t3059 / 0.4e1 - t1728 * t768 / 0.2e1 + 0.3e1 / 0.2e1 * t379 * t3295 - t387 * t2897 / 0.2e1 - 0.3e1 / 0.4e1 * t3366 * t335 - t823 * t1629 / 0.2e1 - t823 * t1622 / 0.4e1 - t356 * t2908 / 0.4e1 - t356 * t2912 / 0.4e1 - t368 * t14347 / 0.4e1 - t1569 * t777 / 0.12e2 - t791 * t11260 / 0.12e2 - 0.35e2 / 0.108e3 * t13935 * t11270 - t2998 * t2410 / 0.2e1 - t2998 * t2115 / 0.4e1 - 0.5e1 / 0.12e2 * t14197 * t2045;
  t14369 = t318 * t14206;
  t14372 = params->at * t3141;
  t14378 = t318 * t2966 * t1594;
  t14392 = t318 * t9364 * t775;
  t14398 = t318 * t1472 * t2885;
  t14409 = -t791 * t11570 / 0.4e1 - t791 * t11217 / 0.4e1 - 0.5e1 / 0.12e2 * t3007 * t11267 + t9125 * t14369 / 0.2e1 + 0.3e1 / 0.4e1 * t162 * t14372 * t142 * t165 - t127 * t14378 / 0.4e1 + 0.3e1 / 0.4e1 * t823 * t1596 - t383 * t2908 / 0.6e1 + t1728 * t781 / 0.2e1 - t383 * t2912 / 0.6e1 + t387 * t2887 / 0.2e1 - t127 * t14392 / 0.4e1 + 0.3e1 / 0.4e1 * t1547 * t781 - t127 * t14398 / 0.2e1 - t3352 * t320 / 0.4e1 - t813 * t1613 / 0.2e1 - t813 * t1617 / 0.4e1 - t259 * t9705 / 0.4e1;
  t14429 = t106 * t109 * t14081;
  t14436 = t318 * t13879 * t296;
  t14444 = t318 * t306 * t14372;
  t14447 = t163 * t3350;
  t14457 = t259 * t9366 / 0.4e1 + t259 * t9370 / 0.4e1 + t785 * t11322 / 0.6e1 + t785 * t11565 / 0.2e1 + t785 * t9127 / 0.2e1 - t259 * t9730 / 0.4e1 - t259 * t9736 / 0.12e2 + t14429 * t541 / 0.2e1 + t2927 * t2192 + t2927 * t2402 / 0.2e1 - t127 * t14436 / 0.2e1 + 0.3e1 / 0.2e1 * t3366 * t298 + 0.3e1 / 0.2e1 * t379 * t2887 - t127 * t14444 / 0.4e1 - 0.3e1 / 0.4e1 * t162 * t14447 * t334 - 0.3e1 / 0.4e1 * t162 * t2896 * t1621 - t162 * t767 * t9230 / 0.4e1;
  t14472 = t548 * t2911;
  t14475 = t2042 * t776;
  t14484 = t382 * t2926;
  t14499 = t162 * t775 * t1849 * t165 / 0.4e1 - 0.3e1 / 0.4e1 * t1547 * t768 - 0.3e1 / 0.2e1 * t379 * t2897 + 0.3e1 / 0.4e1 * t379 * t2891 + 0.3e1 / 0.4e1 * t162 * t2885 * t390 * t165 - t368 * t14472 / 0.4e1 - 0.5e1 / 0.36e2 * t1536 * t14475 + t3352 * t315 / 0.4e1 + t813 * t1474 / 0.2e1 + t813 * t1505 / 0.4e1 + t14484 * t541 / 0.3e1 - t806 * t1613 / 0.6e1 - t3373 * t320 / 0.6e1 - 0.5e1 / 0.36e2 * t13898 * t2045 + 0.5e1 / 0.3e1 * t13910 * t11546 - t2900 * t2115 / 0.12e2 + 0.3e1 / 0.2e1 * t13918 * t2407;
  t14511 = t382 * t3064;
  t14533 = t106 * t109 * t2996;
  t14538 = -t2900 * t2410 / 0.6e1 + 0.3e1 / 0.2e1 * t2936 * t11246 + t823 * t1648 / 0.2e1 - t14066 * t549 / 0.6e1 - 0.3e1 / 0.4e1 * t379 * t3059 - t14511 * t2433 / 0.2e1 + t806 * t1505 / 0.12e2 + t806 * t1474 / 0.6e1 - t259 * t9393 / 0.2e1 + t3373 * t315 / 0.6e1 - t813 * t1421 / 0.2e1 + t13901 * t2407 / 0.2e1 - 0.3e1 * t14247 * t11789 - 0.3e1 / 0.2e1 * t3065 * t11534 + t2917 * t2402 / 0.6e1 - 0.3e1 / 0.2e1 * t14533 * t2433 + t2917 * t2192 / 0.3e1;
  t14543 = t163 * t2996;
  t14573 = -t806 * t1617 / 0.12e2 - t1763 * t3031 - t9836 * t759 + 0.9e1 / 0.2e1 * t162 * t14543 * t2138 + 0.9e1 / 0.2e1 * t379 * t3301 + t387 * t3295 / 0.2e1 - t1713 * t772 / 0.6e1 + t1713 * t764 / 0.3e1 + 0.3e1 / 0.2e1 * t387 * t3301 + t1713 * t768 / 0.6e1 + t387 * t3049 / 0.2e1 + t387 * t3045 / 0.4e1 + t1728 * t772 / 0.2e1 + t259 * t9354 / 0.12e2 - t14066 * t556 / 0.3e1 - t2900 * t2129 / 0.3e1 - t1763 * t3033 / 0.2e1;
  t14605 = t1398 * t2925;
  t14609 = -t3162 * t10681 / 0.2e1 + t3162 * t10684 / 0.2e1 - 0.7e1 / 0.3e1 * t4503 * t10668 - t3162 * t10660 - 0.3e1 / 0.2e1 * t4510 * t10675 - t13856 * t1979 - 0.3e1 / 0.4e1 * t1397 * t2956 * t1621 - 0.3e1 * t9509 * t2952 + t2874 * t10650 / 0.3e1 + t3168 * t9556 / 0.4e1 - t13748 * t1979 / 0.3e1 - t3162 * t10645 / 0.2e1 - t3168 * t9551 / 0.2e1 + 0.3e1 / 0.2e1 * t4503 * t10671 + t10556 * t2954 - t9576 * t2952 - 0.3e1 * t1397 * t14605 * t636;
  t14610 = t9526 * t762;
  t14614 = t9526 * t257;
  t14660 = -0.3e1 / 0.2e1 * t1397 * t14610 * t636 - 0.3e1 / 0.4e1 * t1397 * t14614 * t334 + 0.3e1 / 0.2e1 * t2004 * t877 * t10739 + 0.3e1 / 0.2e1 * t2004 * t263 * t9502 - 0.23e2 / 0.6e1 * t4482 * t10837 + 0.23e2 / 0.12e2 * t4482 * t10841 + 0.9e1 / 0.2e1 * t2004 * t3227 * t10689 + 0.3e1 / 0.2e1 * t2004 * t877 * t10735 - 0.3e1 / 0.2e1 * t1397 * t2951 * t1605 - t9576 * t2957 / 0.2e1 + 0.5e1 / 0.2e1 * t2022 * t881 * t10774 - 0.9e1 / 0.2e1 * t11669 * t3965 * t1733 * t256 * t349 - 0.3e1 / 0.2e1 * t2011 * t2943 * t2057 - 0.4e1 / 0.3e1 * t2874 * t1974 * t500 * t10497 + 0.2e1 / 0.3e1 * t2874 * t10571 + t9797 * t274 / 0.4e1 - t1709 * t818 / 0.2e1;
  t14669 = t269 * t1733;
  t14670 = t1541 * t14669;
  t14675 = t106 * t158 * t268 * t1739;
  t14680 = t1770 * t270;
  t14687 = t106 * t158 * t896 * t506;
  t14692 = t496 * t898;
  t14696 = t373 * t897 * t500;
  t14698 = t1671 * t270;
  t14701 = t1541 * t3383;
  t14707 = t1671 * t3383;
  t14710 = t1721 * t818 / 0.6e1 - 0.5e1 / 0.162e3 * t9749 * t258 * t139 + t387 * t3337 / 0.4e1 - 0.3e1 / 0.2e1 * t1536 * t14670 + 0.3e1 / 0.2e1 * t14675 * t1748 + 0.3e1 / 0.2e1 * t823 * t1758 - t1536 * t14680 / 0.2e1 - 0.3e1 * t3389 * t1753 - 0.3e1 / 0.2e1 * t14687 * t513 + 0.3e1 / 0.2e1 * t3366 * t517 - t368 * t14692 / 0.2e1 + t368 * t14696 - 0.11e2 / 0.18e2 * t1536 * t14698 + 0.23e2 / 0.36e2 * t1536 * t14701 - t1694 * t3380 / 0.6e1 + t1584 * t3380 + 0.7e1 / 0.3e1 * t1536 * t14707;
  t14723 = t1712 * t822;
  t14726 = t138 * t3284;
  t14731 = t106 * t158 * t3282 * t159;
  t14756 = -t1569 * t818 / 0.12e2 - t356 * t3361 / 0.4e1 - t813 * t1575 / 0.4e1 - t259 * t9753 / 0.12e2 + t1728 * t829 / 0.2e1 + t1718 * t818 / 0.18e2 - t14723 * t166 / 0.6e1 - t127 * t14726 / 0.4e1 + 0.3e1 / 0.4e1 * t14731 * t166 + 0.5e1 / 0.54e2 * t9750 * t274 - 0.3e1 / 0.2e1 * t2011 * t4433 * t1655 * t622 + 0.2e1 * t2874 * t10594 * t1964 - t2874 * t10552 / 0.2e1 + t2874 * t1962 * t1395 * t10550 - t2874 * t10548 + 0.2e1 * t2022 * t881 * t10800 + 0.3e1 * t4503 * t10825 - t103 * t3284 / 0.4e1;
  t14765 = t2000 * t2996;
  t14782 = t1463 * t2967;
  t14786 = t1455 * t821 * t313;
  t14788 = t555 * t2971;
  t14801 = -0.14e2 / 0.3e1 * t4503 * t11688 + 0.18e2 * t2022 * t3211 * t11404 + 0.3e1 * t1397 * t14765 * t645 - 0.3e1 / 0.2e1 * t823 * t1606 + t823 * t1600 - 0.3e1 * t509 * t14278 * t1752 + 0.3e1 / 0.2e1 * t162 * t14278 * t1757 - 0.3e1 / 0.2e1 * t3389 * t1433 + 0.3e1 / 0.2e1 * t823 * t1436 + t368 * t14782 / 0.2e1 - t368 * t14786 - t368 * t14788 / 0.2e1 + 0.3e1 / 0.2e1 * t3389 * t1449 - 0.3e1 / 0.2e1 * t823 * t1443 - 0.11e2 / 0.6e1 * t14197 * t2428 - 0.3e1 * t2011 * t14765 * t622 - t11685 * t2944;
  t14819 = t1541 * t270;
  t14823 = my_piecewise3(t43, t110, 0.88e3 / 0.81e2 * t2230);
  t14831 = t373 * t898;
  t14846 = t9576 * t2981 - 0.3e1 / 0.2e1 * t10556 * t2983 - 0.9e1 * t2004 * t3214 * t12211 + 0.9e1 * t2022 * t3214 * t10764 - t13740 * t1976 - t806 * t1575 / 0.12e2 - t382 * t3351 * t139 / 0.12e2 - t3373 * t359 / 0.6e1 - 0.5e1 / 0.36e2 * t1536 * t14819 - t106 * t109 * t14823 * t124 * t139 / 0.12e2 - t3352 * t359 / 0.4e1 - t368 * t14831 / 0.4e1 + 0.3e1 / 0.4e1 * t1547 * t829 + t9758 * t274 / 0.4e1 + t162 * t163 * t14823 * t165 / 0.4e1 + 0.3e1 / 0.4e1 * t3366 * t351 + t823 * t1564 / 0.4e1;
  t14860 = t404 * t269;
  t14861 = t14860 * t1406;
  t14865 = t22 * t269 * t1395;
  t14893 = 0.3e1 / 0.4e1 * t379 * t3337 - t9746 * t274 / 0.6e1 + 0.9e1 / 0.2e1 * t2022 * t3220 * t9459 + 0.3e1 * t4503 * t10580 - 0.6e1 * t4503 * t1962 * t10636 + t1403 * t14861 / 0.4e1 - 0.3e1 / 0.4e1 * t14865 * t1400 + 0.3e1 / 0.2e1 * t2874 * t12188 - 0.3e1 * t2874 * t1974 * t1395 * t12181 + 0.9e1 / 0.2e1 * t2011 * t2943 * t12197 - 0.9e1 / 0.2e1 * t1397 * t2943 * t12177 + 0.3e1 / 0.2e1 * t2874 * t10567 - 0.3e1 * t2874 * t10662 * t1975 - 0.3e1 * t13840 * t1976 + 0.3e1 / 0.2e1 * t13840 * t1971 - t103 * t3153 / 0.2e1 - t103 * t3156 / 0.4e1;
  t14912 = t10804 * t3005;
  t14916 = t1968 * t2992;
  t14921 = t10521 * t757;
  t14935 = -t103 * t3159 / 0.2e1 - 0.5e1 / 0.54e2 * t1946 * t289 - t103 * t3143 / 0.4e1 - t103 * t3146 / 0.4e1 + t486 * t837 / 0.6e1 + t486 * t871 / 0.6e1 + 0.28e2 / 0.3e1 * t4503 * t1974 * t10836 - 0.14e2 * t2022 * t3214 * t11408 + 0.9e1 / 0.2e1 * t11419 * t14912 * t2099 + t9521 * t14916 / 0.2e1 - 0.9e1 / 0.2e1 * t10516 * t2983 + 0.3e1 / 0.2e1 * t1397 * t14921 * t645 - 0.3e1 / 0.2e1 * t2011 * t14921 * t622 + 0.3e1 * t9509 * t2981 - 0.3e1 * t10746 * t2944 + t9490 * t4606 - t9490 * t4599 / 0.2e1;
  t14967 = t3582 * t169 * t287 * t1418;
  t14981 = 0.2e1 / 0.3e1 * t13740 * t1965 - 0.11e2 / 0.6e1 * t4482 * t10621 + 0.23e2 / 0.12e2 * t4482 * t10637 + 0.9e1 / 0.2e1 * t10768 * t2948 - 0.9e1 * t2011 * t14912 * t2204 - 0.3e1 / 0.2e1 * t4482 * t10829 + 0.14e2 * t2004 * t3214 * t11413 + 0.9e1 / 0.2e1 * t1397 * t14912 * t2087 + 0.3e1 * t4482 * t11397 - 0.9e1 * t2004 * t3211 * t10812 + 0.9e1 / 0.2e1 * t3980 * t3211 * t10530 - t1403 * t14967 / 0.6e1 + t1397 * t2987 * t1647 / 0.2e1 - t9576 * t2988 / 0.4e1 + t3322 * t517 / 0.2e1 + 0.3e1 * t3389 * t1700 - 0.3e1 * t823 * t1704;
  t14982 = t382 * t3388;
  t14991 = t2000 * t2934;
  t15024 = -t14982 * t513 / 0.2e1 - t3322 * t329 / 0.2e1 + 0.3e1 / 0.2e1 * t823 * t1525 + t13740 * t1971 / 0.2e1 + 0.9e1 * t2011 * t14991 * t2142 + 0.23e2 / 0.12e2 * t14197 * t2210 - 0.11e2 / 0.6e1 * t3007 * t11251 + 0.23e2 / 0.12e2 * t3007 * t11475 - 0.61e2 / 0.27e2 * t13935 * t10900 + 0.44e2 / 0.27e2 * t13935 * t10906 - t13740 * t1997 / 0.3e1 + 0.3e1 * t1397 * t2951 * t12202 - 0.3e1 / 0.4e1 * t22 * t3283 * t194 - t22 * t1941 * t288 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t431 * t870 - 0.3e1 / 0.4e1 * t22 * t154 * t3142 + t486 * t834 / 0.6e1;
  t15032 = t23 * t1789;
  t15033 = t15032 * tau[0];
  t15044 = t1811 * t443;
  t15059 = -0.328e5 / 0.9e1 * t475 * t15033 + 0.328e5 / 0.27e2 * t451 * t15033 + 0.1312e5 / 0.3e1 * t458 * t15033 + 0.1312e5 / 0.27e2 * t463 * t15033 - 0.164e6 / 0.27e2 * t468 * t15033 + 0.26e5 * t1827 * t15044 + 0.65e5 * t1830 * t15044 + 0.91e5 / 0.3e1 * t1835 * t15044 - 0.442e5 / 0.3e1 * t1821 * t15044 - 0.676e5 / 0.3e1 * t1824 * t15044 + 0.44e3 / 0.27e2 * t345 * t78 - 0.656e4 / 0.27e2 * t15032 * t845;
  t15062 = 0.1e1 / t25 / t9641;
  t15077 = t15062 * t1809 * t24;
  t15090 = 0.2e5 / 0.9e1 * t1809 * t24 * t15062 * t181 + 0.22e4 / 0.27e2 * t185 * t345 + 0.22e4 / 0.27e2 * t190 * t345 + 0.44e3 / 0.27e2 * t174 * t345 - 0.88e3 / 0.9e1 * t178 * t345 - 0.88e3 / 0.9e1 * t182 * t345 + 0.4e5 / 0.3e1 * t9613 * t15077 + 0.4e5 / 0.9e1 * t9622 * t15077 - 0.16e6 / 0.3e1 * t9625 * t15077 - 0.7e6 / 0.9e1 * t9629 * t15077 - 0.28e6 / 0.9e1 * t9634 * t15077 - 0.26e4 / 0.3e1 * t15044 * t84;
  t15129 = -0.3e1 / 0.4e1 * t22 * t897 * t481 - t22 * t269 * t1839 / 0.4e1 - t22 * t65 * t169 * (t15059 + t15090) / 0.4e1 - 0.2e1 * t2004 * t881 * t10498 + 0.3e1 / 0.2e1 * t11676 * t2948 - 0.5e1 / 0.54e2 * t1946 * t270 - 0.6e1 * t4503 * t1962 * t10840 + 0.3e1 / 0.2e1 * t2011 * t13806 * t1448 - 0.9e1 * t3980 * t3211 * t11400 - 0.9e1 * t1397 * t14991 * t2094 + 0.3e1 / 0.4e1 * t2874 * t12183 - t3162 * t12186 - t1713 * t829 / 0.6e1 + t1712 * t812 * t139 / 0.18e2 + t3331 * t359 / 0.18e2 + t1584 * t3347 / 0.2e1 - t1694 * t3347 / 0.12e2;
  t15144 = t382 * t3365;
  t15153 = t880 * t10029;
  t15156 = t9774 * t256;
  t15157 = t15156 * t9991;
  t15160 = t69 * t810;
  t15161 = t15160 * t1745;
  t15164 = t262 * t10106;
  t15169 = t3210 * t9912;
  t15178 = t108 * t14823;
  t15183 = t3206 * t327;
  t15188 = -0.36e2 * t15153 * t12099 - 0.12e2 * t15157 * t12086 + 0.1e2 * t15161 * t2354 + 0.12e2 * t15164 * t12102 + 0.24e2 * t15153 * t12110 + 0.36e2 * t15169 * t12083 + 0.3e1 * t263 * t10365 + 0.3e1 / 0.2e1 * t875 * t1900 - 0.9e1 * t15161 * t2385 + t15178 * t143 * t146 + t263 * t10395 / 0.2e1 + 0.3e1 * t15183 * t597 + 0.3e1 / 0.2e1 * t3271 * t424;
  t15190 = t362 * t3205 * t398;
  t15198 = t3219 * t1698;
  t15201 = t874 * t1523;
  t15219 = 0.2e1 * t15190 * t591 - 0.3e1 * t3220 * t2380 - t881 * t12125 + 0.3e1 * t3246 * t2366 - 0.12e2 * t15198 * t2374 - 0.9e1 * t15201 * t2388 + t15161 * t2377 / 0.6e1 - 0.2e1 / 0.3e1 * t15169 * t12148 + 0.2e1 / 0.3e1 * t881 * t12139 + 0.2e1 * t3220 * t2360 + t877 * t12095 + 0.72e2 * t15153 * t11838 + 0.18e2 * t15201 * t2299 + 0.6e1 * t875 * t1885;
  t15249 = 0.6e1 * t15190 * t587 - 0.9e1 * t3211 * t11962 + 0.9e1 * t3220 * t2350 - 0.6e1 * t263 * t10297 - 0.24e2 * t15164 * t12067 - 0.72e2 * t15169 * t12055 + 0.4e1 * t881 * t11946 - 0.12e2 * t15153 * t12070 + 0.6e1 * t877 * t11827 + 0.18e2 * t3211 * t12052 - 0.11e2 * t881 * t11833 + 0.9e1 * t3227 * t11966 + 0.56e2 / 0.3e1 * t3214 * t11980 - t3211 * t12020 / 0.3e1;
  t15276 = t3211 * t12039 / 0.6e1 - 0.2e2 * t3211 * t11949 - 0.1e2 / 0.3e1 * t881 * t10219 - 0.8e1 / 0.3e1 * t881 * t12010 - 0.6e1 * t15183 * t578 - 0.3e1 * t3271 * t406 - t15190 * t583 - t263 * t10247 + 0.22e2 / 0.3e1 * t881 * t11985 - 0.6e1 * t3246 * t2320 - 0.2e1 * t877 * t12079 + 0.6e1 * t15198 * t2324 + 0.4e1 / 0.3e1 * t15169 * t11936 - 0.3e1 * t875 * t1894;
  t15307 = -0.3e1 * t875 * t1921 - t15178 * t124 * t150 / 0.2e1 + 0.24e2 * t15157 * t12061 - 0.36e2 * t15198 * t2327 - 0.2e1 * t15161 * t2332 - 0.4e1 / 0.3e1 * t15157 * t11994 - 0.28e2 * t3214 * t11940 + 0.8e1 * t15169 * t11989 + 0.18e2 * t15161 * t2335 + 0.8e1 / 0.3e1 * t15157 * t12058 + 0.6e1 * t3220 * t2308 + 0.2e1 * t881 * t12024 - t3220 * t2341 - t881 * t12036 / 0.3e1;
  t15336 = -t15161 * t2345 / 0.3e1 - t15157 * t12044 / 0.9e1 - 0.3e1 * t263 * t10215 + 0.18e2 * t3214 * t11953 + 0.5e1 * t881 * t11956 + 0.1e2 * t3211 * t11959 - 0.6e1 * t3246 * t2338 - 0.6e1 * t3220 * t2304 - 0.9e1 * t3227 * t11969 - 0.3e1 * t877 * t10223 - 0.12e2 * t3214 * t12007 - 0.3e1 * t877 * t11977 + 0.6e1 * t4349 * t10314 + 0.4e1 / 0.3e1 * t3197 * t11863;
  t15338 = t262 * t11895;
  t15341 = t262 * t11890;
  t15344 = t880 * t11841;
  t15349 = t3210 * t11850;
  t15352 = t880 * t11903;
  t15357 = t874 * t2277;
  t15368 = t3219 * t2284;
  t15373 = -0.18e2 * t15338 * t11897 - 0.12e2 * t15341 * t11892 - 0.11e2 / 0.3e1 * t15344 * t11844 + 0.22e2 * t15344 * t11847 - 0.36e2 * t15349 * t11905 + 0.56e2 * t15352 * t11929 - 0.1e2 * t3197 * t11920 + 0.12e2 * t15357 * t2281 + 0.2e1 / 0.3e1 * t15349 * t11854 + 0.6e1 * t3200 * t11858 + 0.18e2 * t4365 * t11912 + 0.4e1 * t15349 * t11881 + 0.3e1 * t15368 * t2289 + 0.6e1 * t3200 * t11900;
  t15402 = 0.6e1 * t4360 * t11869 - 0.28e2 / 0.3e1 * t15352 * t11905 + 0.5e1 / 0.3e1 * t3197 * t11873 - t4344 * t11877 / 0.3e1 - 0.8e1 * t3197 * t11887 - 0.36e2 * t4360 * t11932 + 0.18e2 * t4344 * t11869 - 0.18e2 * t15368 * t2286 - 0.2e1 * t4344 * t11884 - 0.4e2 * t15169 * t12132 + 0.1e2 / 0.3e1 * t15157 * t12120 + 0.5e2 / 0.3e1 * t15157 * t12117 + 0.18e2 * t15198 * t2382 - 0.3e1 * t15190 * t601;
  t15421 = t493 * t3361 / 0.2e1 - 0.2e1 * t1584 * t3384 - t1514 * t818 / 0.12e2 + t3322 * t351 / 0.4e1 + t1694 * t3384 / 0.3e1 - 0.3e1 / 0.2e1 * t3366 * t329 - t383 * t3361 / 0.6e1 + t15144 * t166 / 0.2e1 - t13840 * t1997 + 0.2e1 * t13840 * t1965 - 0.9e1 / 0.2e1 * t2004 * t3220 * t2005 - t22 * t59 * (t15188 + t15219 + t15249 + t15276 + t15307 + t15336 + t15373 + t15402) * t96 / 0.4e1 - 0.11e2 / 0.12e2 * t2874 * t11720 - t3168 * t9567 / 0.2e1 + 0.3e1 / 0.2e1 * t4510 * t10849 + t3162 * t11723 - 0.3e1 / 0.2e1 * t4510 * t10819 + t486 * t898 / 0.6e1;
  t15427 = my_piecewise3(t3, 0, t15421 + t14049 + t14981 + t13720 + t13962 + t14538 + t14181 + t13827 + t14756 + t14660 + t14228 + t14457 + t14609 + t13772 + t14324 + t13863 + t13913 + t14282 + t14096 + t14935 + t14710 + t14143 + t14409 + t14801 + t14362 + t14008 + t15024 + t14499 + t14846 + t14573 + t15129 + t14893);
  tv4rho3tau0 = 0.2e1 * rho[0] * t15427 + 0.6e1 * t3396;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 0] += tv4rho3tau0;

  t15437 = t548 * t608 * t3487;
  t15445 = t548 * t2241 * t1000;
  t15452 = t122 * t1533;
  t15453 = t1531 * t15452;
  t15454 = t106 * t15453;
  t15456 = t2042 * t1687 * t6464;
  t15472 = -t1689 * t3540 - 0.2e1 * t1689 * t3529 + 0.2e1 * t1689 * t3537 + 0.4e1 / 0.3e1 * t1641 * t15437 + t610 * t2034 - 0.2e1 * t610 * t2073 - t610 * t2076 + 0.4e1 / 0.3e1 * t1641 * t15445 + t2243 * t627 - 0.2e1 * t2243 * t637 - t2243 * t641 - 0.3e1 * t15454 * t15456 - 0.6e1 * t162 * t163 * t3531 * t2138 - 0.2e1 / 0.3e1 * t387 * t3554 + 0.3e1 * t162 * t3536 * t9402 - t387 * t3756 / 0.6e1 - t387 * t3751 / 0.6e1;
  t15482 = t3745 * t1644 / 0.3e1;
  t15485 = t3745 * t2149 / 0.6e1;
  t15491 = t970 * t66;
  t15493 = t318 * t15491 * t296;
  t15497 = t305 * t15491 * t313;
  t15504 = t162 * t3517 * t1647 / 0.2e1;
  t15508 = 0.3e1 / 0.2e1 * t162 * t163 * t3743 * t2138;
  t15515 = -t3416 * t9689 / 0.2e1 + 0.23e2 / 0.36e2 * t3416 * t9048 - 0.11e2 / 0.18e2 * t3416 * t9843 - 0.2e1 * t3721 * t1644 + t15482 + t3721 * t2149 - t15485 + 0.3e1 / 0.2e1 * t1742 * t3410 * t10204 - t3885 * t335 / 0.4e1 - t127 * t15493 / 0.6e1 + t127 * t15497 / 0.12e2 + t2248 * t627 / 0.3e1 + t15504 + t15508 - t1728 * t991 / 0.6e1 - t387 * t3566 / 0.3e1 - t162 * t3560 * t1647;
  t15523 = t371 * t408 * t2232;
  t15526 = t382 * t15453;
  t15541 = t1485 * t2091;
  t15551 = t9163 * t2038;
  t15569 = t307 * t531;
  t15572 = t1485 * t2067;
  t15580 = -0.2e1 * t2292 * t138 - 0.8e1 * t15541 * t2142 + 0.12e2 * t307 * t544 * t2138 + 0.4e1 * t3466 * t1647 - 0.24e2 * t15541 * t2094 + 0.32e2 / 0.3e1 * t15551 * t2204 + 0.12e2 * t15551 * t2087 - 0.8e1 * t2031 + 0.4e1 / 0.3e1 * t3463 * t2057 + 0.16e2 / 0.9e1 * t15551 * t2099 - 0.2e1 * t3466 * t1621 + 0.4e1 * t3463 * t2417 - 0.2e1 * t2027 - 0.8e1 * t307 * t2071 * t636 - 0.4e1 * t15569 * t334 + 0.8e1 / 0.3e1 * t15572 * t622 - 0.4e1 * t3460 * t1605 + 0.12e2 * t2006 + 0.8e1 * t15572 * t645;
  t15591 = t10257 * t1533;
  t15605 = t2316 * t365;
  t15613 = t397 * t1581;
  t15627 = 0.8e1 * t3460 * t12202 - 0.4e1 * t3463 * t12197 - 0.12e2 * t3463 * t12177 + 0.2e1 / 0.3e1 * t9171 * t1052 + 0.4e1 / 0.3e1 * t3454 * t3528 + 0.2e2 / 0.9e1 * t15591 * t6993 + 0.2e1 * t307 * t2232 * t165 + 0.24e2 * t581 * t1581 * t2094 - 0.12e2 * t2330 * t1533 * t2087 + 0.4e1 / 0.3e1 * t15591 * t6978 - 0.8e1 * t15605 * t645 - 0.4e1 * t214 * t1647 - 0.12e2 * t211 * t365 * t2138 - 0.4e1 * t15613 * t1052 - 0.4e1 * t3478 * t2417 + 0.4e1 * t594 * t334 + 0.4e1 * t3473 * t1605 + 0.2e1 * t214 * t1621 + 0.8e1 * t573 * t326 * t636;
  t15628 = t15580 + t15627;
  t15630 = t303 * t137 * t15628;
  t15644 = t3399 * t312;
  t15645 = t96 * t15644;
  t15646 = t10706 * t15645;
  t15649 = t3404 * t122;
  t15650 = t169 * t15649;
  t15651 = t1974 * t15650;
  t15654 = t387 * t3561 / 0.3e1 + t387 * t3557 - t162 * t3536 * t9434 + t162 * t620 * t15523 + 0.14e2 / 0.9e1 * t15526 * t6470 + t387 * t3549 / 0.3e1 + 0.2e1 / 0.3e1 * t387 * t3545 - 0.2e1 * t387 * t3771 - 0.2e1 / 0.3e1 * t387 * t3547 - t379 * t3756 / 0.2e1 - t162 * t640 * t15630 / 0.4e1 - t379 * t3751 / 0.2e1 - t162 * t11347 * t990 / 0.4e1 - t162 * t2075 * t3755 / 0.2e1 + t3885 * t298 / 0.2e1 - 0.5e1 / 0.12e2 * t1961 * t15646 + t1961 * t15651 / 0.6e1;
  t15655 = t1883 * t15644;
  t15663 = t205 * t530;
  t15664 = t500 * t15663;
  t15665 = t3961 * t15664;
  t15671 = t530 * t122;
  t15672 = t409 * t15671;
  t15676 = t1879 * t11658;
  t15680 = t205 * t3481;
  t15682 = t1974 * t500 * t15680;
  t15688 = t3481 * t122;
  t15689 = t404 * t15688;
  t15692 = t3481 * t312;
  t15693 = t1883 * t15692;
  t15696 = t530 * t929;
  t15698 = t1974 * t500 * t15696;
  t15712 = t10855 * t539;
  t15713 = t548 * t15712;
  t15716 = -0.2e1 * t2004 * t576 * t15655 + t2004 * t2311 * t3820 + t2004 * t574 * t3824 + 0.28e2 / 0.3e1 * t11669 * t15665 + 0.2e1 * t1397 * t2001 * t3544 - 0.12e2 * t2004 * t2323 * t15672 - 0.4e1 * t2004 * t582 * t15676 - 0.2e1 / 0.3e1 * t9476 * t15682 - t1397 * t2017 * t3755 / 0.2e1 + t2004 * t576 * t15689 + t2004 * t212 * t15693 - 0.2e1 / 0.3e1 * t9476 * t15698 - t1397 * t10786 * t990 / 0.2e1 - t533 * t2158 / 0.3e1 - t208 * t10857 / 0.3e1 - t208 * t11229 / 0.6e1 - t2111 * t3449 / 0.3e1 - t546 * t15713 / 0.3e1;
  t15719 = t2156 * t1642;
  t15720 = t548 * t15719;
  t15723 = t2156 * t2043;
  t15724 = t2042 * t15723;
  t15739 = t929 * t323;
  t15740 = t1756 * t15739;
  t15744 = t96 * t15671;
  t15745 = t1962 * t15744;
  t15748 = t96 * t11658;
  t15749 = t1974 * t15748;
  t15753 = t305 * t1472 * t3482;
  t15758 = t305 * t306 * t95 * t15628;
  t15764 = t911 * t1421 / 0.6e1;
  t15768 = t106 * t109 * t3743 * t2433 / 0.2e1;
  t15771 = -t546 * t15720 / 0.6e1 - 0.5e1 / 0.18e2 * t2040 * t15724 + t533 * t2162 / 0.3e1 + t208 * t10861 / 0.3e1 + t208 * t11225 / 0.6e1 + t922 * t9424 / 0.3e1 - t10556 * t3445 / 0.3e1 + t11676 * t3441 / 0.3e1 - 0.3e1 * t2022 * t2323 * t15740 + 0.2e1 * t10579 * t15745 + 0.2e1 / 0.3e1 * t1961 * t15749 + t208 * t15753 / 0.6e1 + t208 * t15758 / 0.12e2 + t1713 * t991 / 0.18e2 - t15764 - t15768 + t3836 * t320 / 0.9e1;
  t15774 = t382 * t3720;
  t15786 = t306 * t11351;
  t15787 = t555 * t15786;
  t15794 = t382 * t3415;
  t15799 = t1472 * t3487;
  t15800 = t555 * t15799;
  t15811 = t96 * t15739;
  t15812 = t10615 * t15811;
  t15815 = t929 * t349;
  t15816 = t404 * t15815;
  t15822 = t917 * t1421 / 0.3e1 + t15774 * t549 / 0.3e1 + 0.2e1 * t106 * t109 * t3531 * t2433 - t3836 * t315 / 0.9e1 - t382 * t3810 * t541 / 0.3e1 - t546 * t15787 / 0.3e1 + 0.2e1 / 0.3e1 * t922 * t9862 + t922 * t9411 / 0.3e1 - 0.11e2 / 0.27e2 * t15794 * t3724 - t3847 * t1452 / 0.9e1 - 0.2e1 / 0.3e1 * t546 * t15800 - 0.2e1 / 0.9e1 * t2105 * t3489 + 0.2e1 / 0.3e1 * t15774 * t556 + 0.2e1 / 0.9e1 * t3847 * t1464 + t533 * t3484 / 0.6e1 + 0.5e1 / 0.36e2 * t10541 * t15812 + t2004 * t576 * t15816 / 0.2e1 + t10556 * t3821 / 0.3e1;
  t15829 = t387 * t3768 / 0.3e1;
  t15841 = t22 * t2446;
  t15844 = t193 * t914;
  t15846 = t3965 * t2009 * t15844;
  t15850 = t2004 * t3607 * t2030;
  t15851 = t1398 * t3571;
  t15853 = t1397 * t15851 * t636;
  t15856 = t10662 * t6703;
  t15861 = t10556 * t3825 / 0.3e1 + 0.2e1 * t1763 * t3533 + t15829 - 0.2e1 / 0.3e1 * t10926 * t623 + t9743 * t3740 + 0.2e1 / 0.3e1 * t2248 * t646 - t15794 * t3730 / 0.3e1 + 0.6e1 * t1689 * t3533 - 0.8e1 / 0.3e1 * t1961 * t11660 + 0.2e1 * t15841 * t2031 - 0.3e1 * t11669 * t15846 + t15850 - t15853 + t10516 * t3821 + t10516 * t3825 - 0.2e1 / 0.3e1 * t9476 * t15856 - t9509 * t3496 / 0.2e1;
  t15862 = t1395 * t15844;
  t15863 = t1962 * t15862;
  t15867 = t3965 * t1733 * t15663;
  t15873 = t1756 * t11658;
  t15878 = t400 * t218;
  t15879 = t15878 * t4250;
  t15884 = t193 * t908;
  t15886 = t1962 * t1395 * t15884;
  t15888 = 0.2e1 / 0.3e1 * t9476 * t15886;
  t15889 = t908 * t312;
  t15891 = t1974 * t500 * t15889;
  t15892 = t9476 * t15891;
  t15893 = t1398 * t909;
  t15896 = t1397 * t15893 * t334 / 0.2e1;
  t15897 = t10242 * t15644;
  t15902 = t1440 * t6407 * t122;
  t15905 = t22 * t3652;
  t15908 = t3961 * t15744;
  t15911 = t169 * t11709;
  t15912 = t1996 * t15911;
  t15919 = t1404 * t169 * t193 * t3481;
  t15922 = t1996 * t15744;
  t15925 = -0.4e1 * t11652 * t15863 - 0.6e1 * t11669 * t15867 - 0.2e1 * t2011 * t2001 * t3528 + 0.4e1 * t2022 * t582 * t15873 - t11390 * t2018 + 0.4e1 / 0.3e1 * t9476 * t15879 - 0.2e1 * t11390 * t2015 + t15888 - t15892 - t15896 - 0.5e1 / 0.2e1 * t2022 * t582 * t15897 + t2011 * t2001 * t15902 + 0.2e1 * t15905 * t1997 - 0.22e2 / 0.9e1 * t10541 * t15908 - 0.2e1 / 0.3e1 * t1961 * t15912 - 0.11e2 / 0.3e1 * t15905 * t1971 + t1993 * t15919 / 0.6e1 + 0.4e1 * t10579 * t15922;
  t15929 = t22 * t3631;
  t15930 = t3961 * t1983;
  t15933 = t10832 * t1970;
  t15936 = t22 * t949;
  t15939 = t929 * t1502;
  t15940 = t1883 * t15939;
  t15944 = t96 * t15815;
  t15945 = t1974 * t15944;
  t15948 = t379 * t3768;
  t15949 = t1689 * t3765;
  t15954 = t1594 * t948;
  t15967 = t106 * t1531 * t323 * t9768;
  t15971 = t371 * t372 * t2232;
  t15974 = -0.11e2 / 0.9e1 * t15929 * t15930 + 0.55e2 / 0.18e2 * t15929 * t15933 + 0.2e1 / 0.3e1 * t15936 * t9562 - t913 + t984 + t2004 * t212 * t15940 / 0.2e1 + t1961 * t15945 / 0.12e2 + t15948 - t15949 - 0.6e1 * t1689 * t3761 + 0.4e1 / 0.9e1 * t9069 * t6719 - t509 * t15954 * t512 / 0.2e1 - 0.2e1 / 0.3e1 * t2248 * t637 + t509 * t3536 * t9428 + 0.3e1 * t509 * t3532 * t2057 + 0.18e2 * t15967 * t6474 - t509 * t620 * t15971;
  t15984 = t303 * t989 * t122;
  t15988 = t1416 * t989 * t312;
  t15995 = t11691 * t15645;
  t15998 = t1968 * t15650;
  t16011 = t318 * t15723;
  t16019 = -0.2e1 / 0.3e1 * t1763 * t3529 - 0.2e1 * t2452 * t2069 - 0.6e1 * t379 * t3771 + 0.2e1 * t2243 * t646 + t1397 * t2014 * t15984 + t1397 * t2017 * t15988 - 0.2e1 / 0.3e1 * t1961 * t1974 * t1395 * t15649 - 0.5e1 / 0.6e1 * t1961 * t15995 + t1961 * t15998 / 0.3e1 + 0.5e1 / 0.3e1 * t1961 * t10706 * t500 * t15644 - t208 * t11514 / 0.3e1 + t525 * t2162 / 0.9e1 + 0.2e1 / 0.9e1 * t2118 * t3510 - t2432 * t16011 + 0.2e1 / 0.9e1 * t3847 * t1588 + 0.2e1 * t922 * t9378 - 0.4e1 / 0.9e1 * t3847 * t1468;
  t16031 = t22 * t3619;
  t16034 = t1974 * t15744;
  t16037 = t1879 * t218;
  t16038 = t16037 * t1970;
  t16040 = t914 * t9768;
  t16042 = t106 * t1531 * t16040;
  t16045 = t10598 * t1970;
  t16048 = t3965 * t1964;
  t16053 = t1756 * t218;
  t16054 = t16053 * t1970;
  t16057 = t145 * t218;
  t16058 = t16057 * t1983;
  t16063 = t382 * t3744;
  t16065 = t16063 * t556 / 0.9e1;
  t16066 = 0.4e1 / 0.9e1 * t2105 * t3503 + t610 * t2146 + 0.3e1 * t610 * t2139 - 0.3e1 * t509 * t3536 * t9407 + 0.23e2 / 0.54e2 * t15794 * t3727 + t16031 * t1979 - t16031 * t1984 - 0.2e1 * t10541 * t16034 + t1961 * t16038 + 0.22e2 / 0.3e1 * t16042 * t2428 - 0.2e1 / 0.3e1 * t1978 * t16045 + 0.23e2 / 0.18e2 * t15929 * t16048 - 0.4e1 / 0.3e1 * t15936 * t9523 + t1961 * t16054 / 0.2e1 + 0.2e1 / 0.3e1 * t1978 * t16058 - 0.2e1 / 0.9e1 * t2105 * t3421 - t16065;
  t16067 = t555 * t15712;
  t16072 = t2218 * t2128;
  t16077 = t3519 / 0.2e1;
  t16078 = t3523 / 0.2e1;
  t16098 = t1728 * t982 / 0.6e1;
  t16101 = t496 * t972;
  t16104 = -0.2e1 / 0.3e1 * t546 * t16067 - 0.2e1 / 0.3e1 * t2111 * t3421 - 0.11e2 / 0.9e1 * t3416 * t16072 + 0.2e1 * t3721 * t2129 - t16077 + t16078 - t525 * t2253 / 0.9e1 - t3847 * t1675 / 0.9e1 + 0.2e1 / 0.9e1 * t3847 * t1679 - t383 * t3880 / 0.18e2 - t9836 * t978 / 0.3e1 + t2248 * t631 / 0.3e1 + t10992 * t223 / 0.3e1 + t1728 * t994 / 0.3e1 - t1728 * t986 / 0.3e1 + t16098 + t3885 * t517 / 0.2e1 - t368 * t16101 / 0.6e1;
  t16107 = t555 * t15723;
  t16111 = t1763 * t3765 / 0.3e1;
  t16112 = t9992 * t15739;
  t16116 = t9997 * t15739;
  t16120 = t10242 * t15739;
  t16124 = t10706 * t15811;
  t16129 = t10295 * t65;
  t16130 = t929 * t1418;
  t16132 = t16129 * t96 * t16130;
  t16135 = t1404 * t15811;
  t16138 = t22 * t3612;
  t16140 = t16138 * t1997 / 0.3e1;
  t16142 = t16138 * t1971 / 0.2e1;
  t16143 = t409 * t218;
  t16144 = t16143 * t1983;
  t16149 = t1974 * t15811;
  t16154 = t10295 * t16130;
  t16158 = -t3574 + 0.2e1 * t2406 * t16107 - t16111 - 0.3e1 / 0.2e1 * t3980 * t2331 * t16112 + 0.3e1 * t2022 * t2331 * t16116 - 0.3e1 / 0.2e1 * t2004 * t2331 * t16120 + t10541 * t16124 / 0.2e1 + t10559 * t3432 / 0.9e1 + t1993 * t16132 / 0.2e1 + t10674 * t16135 / 0.2e1 - t16140 + t16142 - 0.2e1 / 0.3e1 * t1961 * t16144 + t10559 * t3401 / 0.18e2 - t10579 * t16149 / 0.2e1 + t12173 * t3406 / 0.18e2 - 0.3e1 / 0.2e1 * t2004 * t212 * t16154;
  t16159 = t404 * t15739;
  t16165 = t1968 * t15811;
  t16169 = t500 * t15739;
  t16173 = t1879 * t15739;
  t16179 = t908 * t1533;
  t16180 = t1743 * t16179;
  t16183 = 0.3e1 / 0.2e1 * t1742 * t16180 * t2099;
  t16184 = t914 * t9777;
  t16185 = t9989 * t16184;
  t16187 = t9783 * t9819 * t323;
  t16198 = t106 * t9775 * t16184;
  t16199 = t10904 * t2222;
  t16202 = t555 * t15719;
  t16207 = t10897 * t2209;
  t16213 = -0.3e1 / 0.2e1 * t2004 * t2297 * t16159 - t9576 * t3496 / 0.6e1 - t10579 * t16165 - 0.2e1 / 0.9e1 * t10559 * t3436 + 0.2e1 * t10579 * t1974 * t16169 + 0.3e1 * t2004 * t2323 * t16173 - t103 * t3717 / 0.6e1 + t16183 + 0.18e2 * t1742 * t16185 * t16187 + t610 * t2418 - t2452 * t2058 + 0.2e1 / 0.3e1 * t546 * t11338 - 0.3e1 / 0.2e1 * t3416 * t9714 - 0.43e2 / 0.9e1 * t16198 * t16199 - t546 * t16202 / 0.3e1 + 0.7e1 / 0.3e1 * t3416 * t9874 + 0.89e2 / 0.9e1 * t16198 * t16207 + 0.3e1 / 0.2e1 * t162 * t3410 * t10164;
  t16217 = t106 * t9775 * t323 * t9777;
  t16228 = t162 * t3764 * t2417 / 0.2e1;
  t16229 = t10615 * t1970;
  t16237 = t106 * t363 * t3409;
  t16241 = t106 * t1531 * t16179;
  t16243 = t16241 * t2214 / 0.2e1;
  t16247 = t9783 * t9803 * t323;
  t16258 = t2042 * t2450 * t2043;
  t16262 = t10904 * t1740 * t2043;
  t16265 = t2213 * t15723;
  t16267 = 0.47e2 / 0.3e1 * t16217 * t11303 * t6469 - 0.3e1 * t162 * t3532 * t2417 - 0.28e2 * t15967 * t6470 + t16228 + 0.25e2 / 0.36e2 * t15929 * t16229 + t15936 * t9539 / 0.3e1 - 0.23e2 / 0.3e1 * t16042 * t2210 - 0.6e1 * t16237 * t2423 - t16243 + 0.6e1 * t16042 * t2214 - 0.6e1 * t10074 * t16185 * t16247 + 0.3e1 * t10964 * t2100 - 0.6e1 * t2452 * t2205 + 0.3e1 * t610 * t2088 - 0.3e1 * t2040 * t16258 + 0.8e1 * t16198 * t16262 - t2040 * t16265;
  t16268 = t608 * t2043;
  t16272 = t9783 * t2203;
  t16276 = t1743 * t16040;
  t16282 = 0.3e1 / 0.2e1 * t162 * t16180 * t2087;
  t16285 = 0.3e1 * t509 * t16180 * t2204;
  t16286 = t9783 * t2098;
  t16292 = t382 * t3884;
  t16298 = t911 * t1575 / 0.12e2;
  t16315 = 0.14e2 / 0.3e1 * t2040 * t2218 * t16268 + 0.6e1 * t162 * t16185 * t16272 - 0.18e2 * t162 * t16276 * t2087 + t16282 - t16285 - 0.18e2 * t509 * t16185 * t16286 - t3885 * t329 / 0.2e1 + t16292 * t166 / 0.6e1 + t493 * t3880 / 0.6e1 - t16298 - t922 * t9946 / 0.6e1 - t922 * t10142 / 0.12e2 + t917 * t1575 / 0.6e1 + t922 * t9940 / 0.3e1 - t208 * t11068 / 0.6e1 + t3836 * t359 / 0.9e1 - t2263 * t569 / 0.6e1 - t533 * t2253 / 0.3e1;
  t16323 = t3850 * t359 / 0.18e2;
  t16330 = t3745 * t2129 / 0.3e1;
  t16331 = t2213 * t2128;
  t16335 = t379 * t3573;
  t16337 = t379 * t3522 / 0.2e1;
  t16342 = t16138 * t1990 / 0.6e1;
  t16354 = -t3847 * t1528 / 0.18e2 - t16323 - t2270 * t569 / 0.9e1 - t22 * t971 * t481 / 0.4e1 - t16330 - t3416 * t16331 - t2440 * t932 / 0.54e2 - t16335 + t16337 - t1397 * t10782 * t990 / 0.4e1 - t16342 + 0.2e1 / 0.3e1 * t1763 * t3537 - t15526 * t6474 - t1763 * t3540 / 0.3e1 + t610 * t2053 / 0.2e1 + 0.6e1 * t2452 * t2143 - 0.6e1 * t610 * t2095;
  t16361 = t908 * t1581;
  t16362 = t510 * t16361;
  t16365 = 0.3e1 * t509 * t16362 * t2142;
  t16368 = 0.3e1 * t162 * t16362 * t2094;
  t16369 = t510 * t3409;
  t16376 = t11588 * t2044;
  t16379 = t11303 * t2044;
  t16382 = t10804 * t3409;
  t16386 = t1751 * t15671;
  t16390 = t1756 * t15671;
  t16394 = t9997 * t1969;
  t16398 = t1756 * t15688;
  t16401 = t1879 * t15688;
  t16404 = t1756 * t3399;
  t16410 = 0.36e2 * t509 * t16276 * t2204 - 0.18e2 * t1742 * t16276 * t2099 + t16365 - t16368 + 0.18e2 * t162 * t16369 * t2094 - 0.18e2 * t509 * t16369 * t2142 - 0.2e1 * t16198 * t16376 - 0.38e2 / 0.9e1 * t16198 * t16379 + 0.3e1 * t1397 * t16382 * t3411 - 0.12e2 * t2022 * t2331 * t16386 + 0.6e1 * t2004 * t2331 * t16390 + 0.15e2 * t2022 * t3631 * t16394 + t2022 * t582 * t16398 - t2004 * t582 * t16401 + t2022 * t2317 * t16404 - t2004 * t2317 * t3444 + t10768 * t3441;
  t16415 = t400 * t15671;
  t16419 = t10242 * t1969;
  t16426 = t22 * t945;
  t16429 = t22 * t3607;
  t16431 = t16429 * t1984 / 0.3e1;
  t16433 = t16138 * t1987 / 0.4e1;
  t16434 = t22 * t942;
  t16436 = t16434 * t1407 / 0.6e1;
  t16438 = t16429 * t1979 / 0.3e1;
  t16444 = t1404 * t15748;
  t16447 = t1982 * t15911;
  t16454 = t2042 * t2128;
  t16457 = t2042 * t2114;
  t16460 = -0.11e2 * t2022 * t3652 * t9459 + 0.12e2 * t2022 * t2323 * t16415 - 0.15e2 / 0.2e1 * t2004 * t3631 * t16419 - 0.6e1 * t2011 * t16382 * t3760 - t16426 * t1407 / 0.3e1 + t16431 + t16433 + t16436 - t16438 - t103 * t3576 / 0.6e1 - t22 * t3716 * t194 / 0.2e1 - 0.2e1 / 0.3e1 * t1978 * t16444 + 0.2e1 / 0.3e1 * t1978 * t16447 + t2263 * t932 / 0.12e2 + t533 * t3804 / 0.6e1 - 0.5e1 / 0.18e2 * t3416 * t16454 - 0.5e1 / 0.36e2 * t3416 * t16457;
  t16461 = t10904 * t2044;
  t16468 = t548 * t15786;
  t16475 = t548 * t15799;
  t16482 = t1968 * t15748;
  t16485 = t96 * t15688;
  t16486 = t1404 * t16485;
  t16490 = t3582 * t96 * t15692;
  t16498 = t1712 * t910 * t139 / 0.54e2;
  t16499 = t1712 * t921;
  t16502 = t530 * t530;
  t16510 = t106 * t363 * t16502 * t365;
  t16515 = -0.35e2 / 0.108e3 * t16198 * t16461 - t922 * t9287 / 0.6e1 - t922 * t9283 / 0.12e2 - t546 * t16468 / 0.6e1 + t922 * t9373 / 0.3e1 + t922 * t9357 / 0.6e1 - t546 * t16475 / 0.3e1 - t922 * t9865 / 0.3e1 - t922 * t9421 / 0.6e1 + 0.4e1 / 0.3e1 * t1961 * t16482 - t1978 * t16486 / 0.3e1 - t1993 * t16490 / 0.3e1 - t1712 * t916 * t139 / 0.27e2 + t16498 + t16499 * t374 / 0.54e2 + t106 * t109 * t16502 * t326 * t139 / 0.3e1 - t16510 * t374 / 0.6e1 + t2440 * t569 / 0.27e2;
  t16545 = t2000 * t920;
  t16549 = t914 * t312;
  t16551 = t10615 * t1733 * t16549;
  t16554 = t10706 * t1970;
  t16557 = -t16510 * t497 / 0.3e1 + 0.2e1 / 0.9e1 * t2118 * t3807 + t525 * t3804 / 0.18e2 + t2270 * t932 / 0.18e2 + 0.5e1 / 0.3e1 * t16042 * t2045 - t3847 * t1609 / 0.18e2 - t922 * t9387 / 0.2e1 - 0.5e1 / 0.54e2 * t15794 * t3796 + t3847 * t1456 / 0.9e1 - t2105 * t3791 / 0.9e1 - t922 * t9382 + t525 * t3484 / 0.18e2 - t525 * t2158 / 0.9e1 - t2105 * t3449 / 0.9e1 + 0.2e1 * t2011 * t16545 * t1448 + 0.15e2 / 0.2e1 * t11669 * t16551 + 0.5e1 / 0.2e1 * t15929 * t16554;
  t16558 = t1974 * t1983;
  t16560 = t3746 / 0.3e1;
  t16561 = 0.2e1 / 0.3e1 * t3748;
  t16574 = t548 * t377 * t6606;
  t16576 = 0.2e1 / 0.3e1 * t1641 * t16574;
  t16578 = t379 * t3518 / 0.2e1;
  t16587 = t318 * t15799;
  t16590 = t318 * t15786;
  t16594 = -t15929 * t16558 - t16560 + t16561 + 0.3e1 * t379 * t3412 - 0.2e1 * t10949 * t623 + 0.3e1 * t9790 * t3740 + 0.2e1 * t610 * t2174 + t387 * t3412 - 0.2e1 * t1763 * t3761 + t16576 - t16578 + 0.3e1 * t379 * t3557 + t917 * t1617 / 0.6e1 - t917 * t1474 / 0.3e1 - t917 * t1505 / 0.6e1 + 0.2e1 / 0.3e1 * t538 * t16587 + t538 * t16590 / 0.3e1 - t3811 * t2192;
  t16601 = t305 * t9364 * t930;
  t16605 = 0.5e1 / 0.36e2 * t16241 * t2045;
  t16607 = t106 * t363 * t16361;
  t16609 = t16607 * t2407 / 0.2e1;
  t16611 = t911 * t1474 / 0.6e1;
  t16613 = t911 * t1505 / 0.12e2;
  t16615 = t3850 * t320 / 0.18e2;
  t16617 = t3782 * t2192 / 0.3e1;
  t16619 = t3782 * t2402 / 0.6e1;
  t16620 = t382 * t3781;
  t16622 = t16620 * t541 / 0.9e1;
  t16624 = t3850 * t315 / 0.18e2;
  t16626 = t16063 * t549 / 0.18e2;
  t16633 = t911 * t1613 / 0.6e1;
  t16634 = -t3811 * t2402 / 0.2e1 - 0.3e1 * t16237 * t2407 + t208 * t16601 / 0.12e2 - t16605 + t16609 + t16611 + t16613 - t16615 + t16617 + t16619 + t16622 + t16624 - t16626 + t3721 * t2410 + t3721 * t2115 / 0.2e1 + t917 * t1613 / 0.3e1 - t16633;
  t16636 = t911 * t1617 / 0.12e2;
  t16638 = t3745 * t2410 / 0.6e1;
  t16640 = t3745 * t2115 / 0.12e2;
  t16641 = t2042 * t16268;
  t16644 = t3961 * t15862;
  t16647 = t145 * t15671;
  t16651 = t404 * t11658;
  t16655 = t1962 * t15664;
  t16658 = t2000 * t3531;
  t16662 = t500 * t16549;
  t16663 = t10832 * t16662;
  t16672 = t1883 * t154;
  t16673 = t16672 * t3584;
  t16676 = t10662 * t3400;
  t16679 = t9547 * t3405;
  t16682 = t10904 * t2209;
  t16685 = t10897 * t2044;
  t16688 = t3965 * t1983;
  t16691 = -t16636 - t16638 - t16640 + 0.23e2 / 0.18e2 * t2040 * t16641 + 0.14e2 / 0.3e1 * t11669 * t16644 + 0.6e1 * t2004 * t2297 * t16647 + 0.2e1 * t2004 * t576 * t16651 - 0.8e1 * t11652 * t16655 - 0.6e1 * t1397 * t16658 * t645 - 0.35e2 / 0.3e1 * t11669 * t16663 - 0.2e1 * t1397 * t16545 * t1442 + 0.11e2 * t2004 * t3652 * t2005 - t1993 * t16673 / 0.3e1 + t1961 * t16676 / 0.6e1 + t1993 * t16679 / 0.6e1 + 0.44e2 / 0.27e2 * t16198 * t16682 - 0.61e2 / 0.27e2 * t16198 * t16685 - 0.5e1 / 0.18e2 * t15929 * t16688;
  t16697 = t2218 * t15723;
  t16700 = t3783 / 0.3e1;
  t16701 = t3785 / 0.6e1;
  t16702 = t3787 / 0.6e1;
  t16703 = t3789 / 0.6e1;
  t16704 = t1879 * t15815;
  t16711 = t1756 * t15815;
  t16715 = t15878 * t1983;
  t16720 = t3590 * t323;
  t16721 = t149 * t16720;
  t16724 = t427 * t16720;
  t16727 = t3590 * t349;
  t16728 = t427 * t16727;
  t16731 = t1845 * t16720;
  t16734 = t62 * t3481;
  t16735 = t16734 * t122;
  t16736 = t414 * t16735;
  t16744 = t149 * t16735;
  t16748 = t149 * t16734 * t312;
  t16751 = t3630 * t11850;
  t16752 = t1857 * t2280;
  t16758 = t948 * t11903;
  t16761 = t62 * t530;
  t16762 = t16761 * t312;
  t16763 = t414 * t16762;
  t16766 = t16761 * t122;
  t16767 = t1857 * t16766;
  t16770 = t149 * t15644;
  t16773 = t143 * t9036;
  t16774 = t211 * t16773;
  t16776 = t149 * t3590 * t1418;
  t16779 = t3611 * t2284;
  t16781 = 0.6e1 * t16779 * t2286;
  t16784 = t427 * t16735;
  t16787 = t944 * t11895;
  t16790 = t149 * t16766;
  t16793 = 0.4e1 * t11915 * t3595 - 0.22e2 / 0.3e1 * t16758 * t2289 + 0.8e1 / 0.3e1 * t2285 * t16763 - 0.4e1 / 0.9e1 * t11876 * t16767 + 0.4e1 * t11891 * t16770 - 0.6e1 * t16774 * t16776 - t16781 - 0.4e1 * t11908 * t3592 - 0.4e1 * t2285 * t16784 - 0.12e2 * t16787 * t2281 + 0.24e2 * t11911 * t16790;
  t16795 = t149 * t16762;
  t16798 = t941 * t2277;
  t16800 = 0.4e1 * t16798 * t2281;
  t16801 = t16779 * t2289;
  t16802 = t414 * t16720;
  t16805 = t149 * t16727;
  t16811 = t149 * t3590 * t1502;
  t16814 = t414 * t16727;
  t16817 = t1857 * t16720;
  t16820 = t149 * t62;
  t16821 = t16820 * t15644;
  t16824 = t427 * t62;
  t16825 = t16824 * t15644;
  t16828 = 0.8e1 * t2278 * t16795 + t16800 + t16801 - 0.6e1 * t11851 * t16802 + 0.2e1 * t2278 * t16805 - 0.2e1 * t11904 * t16802 + 0.2e1 * t3599 * t16811 + t2285 * t16814 / 0.3e1 + t11851 * t16817 / 0.9e1 - 0.8e1 * t11891 * t16821 + 0.1e2 * t11842 * t16825;
  t16829 = t414 * t62;
  t16830 = t16829 * t15644;
  t16833 = t362 * t16502;
  t16834 = t16833 * t365;
  t16837 = t3612 * t2380;
  t16840 = t1756 * t2359;
  t16843 = t69 * t908;
  t16844 = t16843 * t1745;
  t16846 = 0.3e1 * t16844 * t2385;
  t16847 = t3630 * t9912;
  t16851 = t9774 * t914 * t9991;
  t16852 = t9997 * t2353;
  t16855 = t3611 * t1698;
  t16857 = 0.6e1 * t16855 * t2382;
  t16859 = 0.1e2 / 0.3e1 * t16844 * t2354;
  t16860 = t948 * t10029;
  t16863 = -0.5e1 / 0.3e1 * t11842 * t16830 + 0.4e1 / 0.3e1 * t16834 * t415 - t16837 + 0.6e1 * t3652 * t2380 - 0.3e1 * t3631 * t16840 - t16846 + 0.36e2 * t16847 * t2385 - 0.12e2 * t16851 * t16852 + t16857 + t16859 - 0.36e2 * t16860 * t2382;
  t16867 = t404 * t63 * t15628;
  t16873 = t63 * t2232;
  t16874 = t400 * t16873;
  t16877 = t590 * t530;
  t16878 = t1746 * t16877;
  t16883 = t9992 * t2303;
  t16888 = t10075 * t2298;
  t16891 = t108 * t16502;
  t16900 = t3607 * t2366;
  t16902 = 0.4e1 * t16855 * t2374;
  t16904 = 0.2e1 / 0.3e1 * t3612 * t2360;
  t16906 = t16844 * t2377 / 0.18e2;
  t16907 = t1751 * t2359;
  t16910 = t60 * t2232;
  t16911 = t400 * t16910;
  t16916 = t1746 * t2359;
  t16920 = 0.2e1 * t3612 * t2308;
  t16921 = -0.2e1 * t16834 * t428 - 0.4e1 / 0.3e1 * t949 * t10398 + t16900 - t16902 + t16904 + t16906 + 0.1e2 / 0.3e1 * t3631 * t16907 + 0.4e1 / 0.3e1 * t582 * t16911 - 0.4e1 * t3652 * t2360 + t3631 * t16916 / 0.18e2 + t16920;
  t16923 = t942 * t1894;
  t16925 = t3612 * t2341 / 0.3e1;
  t16927 = t16844 * t2345 / 0.9e1;
  t16928 = t145 * t16873;
  t16934 = 0.2e1 * t3607 * t2320;
  t16936 = 0.2e1 * t16855 * t2324;
  t16938 = 0.2e1 / 0.3e1 * t16844 * t2332;
  t16940 = 0.12e2 * t16855 * t2327;
  t16943 = t941 * t1523;
  t16945 = 0.6e1 * t16943 * t2299;
  t16946 = -0.4e1 * t16928 * t576 - 0.4e1 * t1885 * t945 + 0.6e1 * t2320 * t3619 - t16923 - t16925 - t16927 - t16934 + t16936 - t16938 - t16940 + t16945;
  t16948 = 0.2e1 * t942 * t1885;
  t16951 = t944 * t10106;
  t16955 = 0.6e1 * t16844 * t2335;
  t16956 = t590 * t3481;
  t16957 = t1756 * t16956;
  t16965 = 0.4e1 * t3608;
  t16966 = 0.2e1 * t3610;
  t16967 = 0.2e1 / 0.3e1 * t3613;
  t16968 = t16948 + 0.2e1 * t945 * t1894 - 0.24e2 * t16951 * t2299 + t16955 - 0.4e1 / 0.3e1 * t582 * t16957 - t2370 * t953 - 0.2e1 * t574 * t3637 - 0.4e1 / 0.3e1 * t2317 * t3640 - t16965 - t16966 - t16967;
  t16972 = 0.4e1 * t3624;
  t16973 = t16833 * t398;
  t16980 = t942 * t1921;
  t16990 = 0.2e1 * t3607 * t2338;
  t16993 = 0.2e1 * t3612 * t2304;
  t16994 = t2359 * t929;
  t16995 = t1756 * t16994;
  t16998 = t2353 * t929;
  t16999 = t9992 * t16998;
  t17002 = t409 * t16873;
  t17005 = t1751 * t16877;
  t17008 = t409 * t16877;
  t17011 = t3682 * t312;
  t17012 = t1879 * t17011;
  t17015 = t10242 * t16998;
  t17020 = t9992 * t2298;
  t17023 = t9997 * t2298;
  t17026 = -t16993 - 0.2e1 / 0.3e1 * t582 * t16995 - t2331 * t16999 / 0.18e2 + 0.4e1 * t582 * t17002 + 0.4e2 / 0.3e1 * t2331 * t17005 + 0.24e2 * t2323 * t17008 + 0.8e1 * t582 * t17012 + 0.3e1 * t2331 * t17015 - 0.72e2 * t16847 * t2335 + 0.8e1 / 0.3e1 * t16851 * t17020 + 0.24e2 * t16851 * t17023;
  t17028 = t1756 * t17011;
  t17031 = t145 * t16877;
  t17034 = t404 * t17011;
  t17037 = t400 * t16877;
  t17040 = 0.2e1 * t3688;
  t17041 = 0.4e1 / 0.3e1 * t3689;
  t17042 = 0.2e1 * t3697;
  t17044 = t10295 * t965 * t1418;
  t17049 = t404 * t16998;
  t17052 = -0.16e2 / 0.3e1 * t582 * t17028 - 0.12e2 * t2297 * t17031 - 0.4e1 * t576 * t17034 - 0.16e2 * t2323 * t17037 + t17040 + t17041 - t17042 + t3703 + 0.3e1 * t212 * t17044 + 0.12e2 * t949 * t10278 + 0.3e1 * t2297 * t17049;
  t17053 = t1879 * t16998;
  t17062 = t10242 * t2303;
  t17066 = 0.3e1 * t3612 * t2350;
  t17067 = t1756 * t16877;
  t17070 = t10080 * t2298;
  t17077 = t1879 * t16956;
  t17080 = -0.6e1 * t2323 * t17053 + 0.72e2 * t16860 * t2327 - 0.12e2 * t16860 * t2324 - 0.2e1 * t949 * t10272 + 0.15e2 * t3631 * t17062 + t17066 - 0.12e2 * t2331 * t17067 - 0.4e1 / 0.3e1 * t16851 * t17070 + 0.6e1 * t3631 * t10288 + 0.2e1 * t2317 * t3643 + 0.2e1 * t582 * t17077;
  t17083 = t1879 * t16994;
  t17085 = t9997 * t16998;
  t17088 = t404 * t16956;
  t17091 = t404 * t16994;
  t17093 = t1756 * t16998;
  t17099 = t1883 * t3675 * t312;
  t17103 = t1883 * t965 * t1502;
  t17109 = t1751 * t2307;
  t17112 = t582 * t17083 - 0.1e2 / 0.3e1 * t2331 * t17085 - 0.2e1 * t576 * t17088 - t576 * t17091 + 0.4e1 * t2323 * t17093 - 0.2e1 * t574 * t3650 - 0.2e1 * t212 * t17099 - t212 * t17103 - 0.12e2 * t3652 * t2308 + 0.8e1 * t16847 * t2332 - 0.2e1 / 0.3e1 * t3631 * t17109;
  t17115 = t9997 * t2303;
  t17123 = 0.3e1 * t16943 * t2388;
  t17128 = t10080 * t2353;
  t17131 = t9992 * t2353;
  t17139 = -0.4e1 * t949 * t10226 - 0.5e2 / 0.3e1 * t3631 * t17115 - 0.2e1 * t2311 * t3647 + 0.4e1 * t949 * t10373 - t17123 - 0.2e1 / 0.3e1 * t16847 * t2377 - 0.4e2 * t16847 * t2354 + 0.1e2 / 0.3e1 * t16851 * t17128 + 0.5e2 / 0.3e1 * t16851 * t17131 + 0.12e2 * t16951 * t2388 - 0.4e1 * t16891 * t327 * t146;
  t17142 = t942 * t1900 / 0.2e1;
  t17143 = t409 * t16910;
  t17149 = t404 * t60 * t15628;
  t17152 = t145 * t16910;
  t17163 = t414 * t15644;
  t17166 = t17142 - 0.2e1 * t582 * t17143 + 0.2e1 * t949 * t10426 + t212 * t17149 / 0.2e1 + 0.2e1 * t576 * t17152 - 0.3e1 * t3619 * t2366 + 0.24e2 * t16860 * t2374 - t945 * t1900 + t2370 * t966 / 0.2e1 + t574 * t3676 + 0.1e2 / 0.3e1 * t11842 * t17163;
  t17167 = t414 * t16766;
  t17170 = t427 * t16762;
  t17173 = t1845 * t2280;
  t17180 = t427 * t15644;
  t17183 = t427 * t16766;
  t17188 = t1845 * t16766;
  t17191 = 0.8e1 * t11866 * t17167 - 0.16e2 * t2285 * t17170 + 0.1e2 / 0.3e1 * t16751 * t17173 + 0.24e2 * t11876 * t17167 - 0.3e2 * t16751 * t2289 - 0.5e1 * t11842 * t17180 - 0.48e2 * t11866 * t17183 + 0.44e2 * t16758 * t2286 - 0.8e1 / 0.3e1 * t11876 * t17188 - t962 + t943;
  t17206 = -0.11e2 / 0.6e1 * t15905 * t1987 - 0.11e2 / 0.9e1 * t2040 * t16697 - t3766 + t3769 + t16700 + t16701 - t16702 - t16703 - t2004 * t582 * t16704 / 0.2e1 - 0.7e1 / 0.3e1 * t10759 * t10832 * t6703 + t2022 * t582 * t16711 / 0.2e1 - t1961 * t16715 / 0.3e1 + t1993 * t10599 / 0.3e1 - t22 * t59 * (0.4e1 * t573 * t3598 * t3601 + 0.2e1 * t16891 * t326 * t150 + t17026 - t16990 + t17080 + t16921 + t16793 - t16980 - 0.6e1 * t949 * t10442 + 0.4e1 * t16973 * t410 + 0.6e1 * t3619 * t2338 + t17112 + t17166 + t16828 + t16946 + t17191 + t16863 + 0.2e1 / 0.3e1 * t2285 * t16736 + 0.2e1 / 0.3e1 * t11908 * t3604 + 0.4e1 * t2278 * t16744 + 0.4e1 * t3599 * t16748 + 0.5e1 / 0.9e1 * t16751 * t16752 - 0.2e1 / 0.3e1 * t582 * t16874 + 0.2e1 / 0.9e1 * t2331 * t16878 + 0.2e1 / 0.3e1 * t949 * t10249 - 0.5e1 / 0.18e2 * t3631 * t16883 - t3631 * t10259 / 0.9e1 - t16851 * t16888 / 0.9e1 - 0.6e1 * t11896 * t16721 + 0.12e2 * t11904 * t16724 - 0.2e1 * t2285 * t16728 + 0.2e1 / 0.3e1 * t11851 * t16731 + 0.44e2 / 0.3e1 * t3652 * t2304 - 0.22e2 * t3652 * t2350 - 0.2e1 / 0.3e1 * t16973 * t401 + 0.2e1 * t945 * t1921 + t16968 + t17139 + t16972 - t212 * t16867 + 0.2e1 * t3652 * t2341 + 0.4e1 / 0.3e1 * t16847 * t2345 + t17052) * t96 / 0.4e1 + t16499 * t497 / 0.27e2 - 0.2e1 / 0.27e2 * t16499 * t502 + 0.2e1 / 0.3e1 * t16510 * t502;
  t17209 = t510 * t16502;
  t17217 = t1713 * t982 / 0.18e2;
  t17225 = t10277 * t15644;
  t17230 = t1440 * t6184 * t122;
  t17233 = t3582 * t15645;
  t17236 = t1404 * t15650;
  t17241 = t3582 * t169 * t3404 * t312;
  t17247 = t3582 * t96 * t15939;
  t17250 = t1404 * t15944;
  t17257 = t1404 * t169 * t480 * t929;
  t17260 = -t11014 * t223 / 0.9e1 - t509 * t17209 * t512 + t9975 * t978 / 0.9e1 + t1713 * t986 / 0.9e1 - t17217 - t162 * t163 * t16502 * t328 + t162 * t17209 * t516 - t1713 * t994 / 0.9e1 + 0.5e1 / 0.2e1 * t2004 * t582 * t17225 - t1397 * t2001 * t17230 + 0.2e1 / 0.3e1 * t1978 * t17233 - t1978 * t17236 / 0.3e1 - t1993 * t17241 / 0.3e1 + t486 * t972 / 0.18e2 - t1993 * t17247 / 0.6e1 - t1978 * t17250 / 0.6e1 - t12173 * t3585 / 0.9e1 + t1993 * t17257 / 0.12e2;
  t17266 = t162 * t3572 * t1605 / 0.2e1;
  t17268 = 0.2e1 * t9114 * t6645;
  t17270 = 0.2e1 / 0.9e1 * t9069 * t6645;
  t17272 = t387 * t3522 / 0.6e1;
  t17274 = t387 * t3573 / 0.3e1;
  t17276 = t387 * t3518 / 0.6e1;
  t17287 = t106 * t363 * t3081;
  t17291 = t135 * t137 * t2232;
  t17304 = t363 * t122 * t1581;
  t17305 = t106 * t17304;
  t17306 = t377 * t6464;
  t17307 = t548 * t17306;
  t17310 = -t10816 * t3579 / 0.9e1 - t17266 - t17268 + t17270 + t17272 - t17274 - t17276 - t162 * t1594 * t944 * t328 / 0.2e1 - t1547 * t991 / 0.4e1 + t162 * t3560 * t1621 / 0.2e1 + 0.12e2 * t17287 * t6648 - t162 * t634 * t17291 + 0.3e1 / 0.2e1 * t162 * t3556 * t1605 + t162 * t15954 * t516 / 0.2e1 - 0.2e1 * t379 * t3554 - t379 * t3566 - 0.4e1 * t17305 * t17307;
  t17317 = t2218 * t17306;
  t17322 = t318 * t15712;
  t17325 = t318 * t15719;
  t17328 = t548 * t15723;
  t17347 = t379 * t3561 - 0.2e1 * t379 * t3547 + 0.2e1 * t379 * t3545 + t379 * t3549 + 0.14e2 / 0.3e1 * t15454 * t17317 + 0.2e1 / 0.3e1 * t2185 * t3510 + 0.2e1 / 0.3e1 * t538 * t17322 + t538 * t17325 / 0.3e1 + t2406 * t17328 - 0.4e1 / 0.3e1 * t922 * t9855 - 0.2e1 / 0.3e1 * t922 * t9235 + 0.2e1 / 0.3e1 * t922 * t9859 + 0.4e1 / 0.3e1 * t546 * t11364 + 0.2e1 / 0.3e1 * t546 * t11353 - t610 * t2061 / 0.2e1 - t610 * t2064 - 0.4e1 * t9114 * t6719 - t2248 * t641 / 0.3e1;
  t17351 = t373 * t971 * t500;
  t17356 = t106 * t158 * t970 * t506;
  t17363 = t106 * t158 * t3715 * t159;
  t17366 = t373 * t972;
  t17369 = t138 * t3717;
  t17386 = t1547 * t982 / 0.4e1;
  t17387 = t2218 * t6644;
  t17389 = 0.7e1 / 0.3e1 * t3083 * t17387;
  t17392 = t509 * t3764 * t2057 / 0.2e1;
  t17394 = t2042 * t507 * t6606;
  t17396 = 0.3e1 / 0.2e1 * t3083 * t17394;
  t17397 = t368 * t17351 / 0.3e1 - t17356 * t513 / 0.2e1 + t3885 * t351 / 0.4e1 + t17363 * t166 / 0.2e1 - t368 * t17366 / 0.12e2 - t127 * t17369 / 0.6e1 - t356 * t3880 / 0.12e2 + t610 * t2234 / 0.2e1 - t9933 * t978 / 0.2e1 + t2243 * t631 + t1547 * t994 / 0.2e1 + t11032 * t223 / 0.2e1 - t1547 * t986 / 0.2e1 + t17386 + t17389 - t17392 - t17396;
  t17404 = t2042 * t2459;
  t17407 = t382 * t17304;
  t17413 = t162 * t1594 * t941 * t165 / 0.4e1;
  t17416 = t162 * t3517 * t1621 / 0.4e1;
  t17417 = t3965 * t15744;
  t17420 = t2000 * t3743;
  t17422 = t2011 * t17420 * t622;
  t17424 = t1397 * t17420 * t645;
  t17428 = 0.3e1 / 0.2e1 * t2022 * t3612 * t9459;
  t17435 = t9992 * t1969;
  t17439 = t1746 * t15671;
  t17444 = t22 * t218 * t2009;
  t17451 = 0.3e1 / 0.2e1 * t2004 * t3612 * t2005;
  t17452 = -0.3e1 * t509 * t3410 * t10178 - 0.62e2 / 0.3e1 * t16217 * t10897 * t6473 + 0.23e2 / 0.18e2 * t3416 * t17404 - 0.4e1 / 0.3e1 * t17407 * t6648 + t17413 - t17416 - 0.5e1 / 0.9e1 * t10541 * t17417 - t17422 + t17424 - t10516 * t3445 + t17428 + 0.6e1 * t2011 * t16658 * t622 + 0.3e1 * t11419 * t16382 * t3739 - 0.15e2 / 0.2e1 * t3980 * t3631 * t17435 + 0.6e1 * t3980 * t2331 * t17439 - 0.2e1 * t17444 * t2012 + 0.2e1 * t11390 * t2002 - t17451;
  t17454 = t22 * t10958;
  t17459 = t1974 * t16662;
  t17462 = t1398 * t915;
  t17475 = t3828 / 0.6e1;
  t17476 = t3851 / 0.18e2;
  t17477 = t3866 / 0.6e1;
  t17478 = t10615 * t1975;
  t17482 = t3965 * t500 * t15671;
  t17487 = t16053 * t4246;
  t17490 = t1962 * t15911;
  t17493 = t1982 * t15744;
  t17498 = 0.3e1 * t17454 * t2027 - 0.3e1 * t15841 * t2006 + 0.22e2 / 0.3e1 * t11652 * t17459 + t1397 * t17462 * t334 - 0.3e1 * t2004 * t3619 * t2030 + 0.3e1 * t1397 * t1398 * t920 * t636 - 0.2e1 * t1397 * t2014 * t3553 - t17475 - t17476 + t17477 - 0.115e3 / 0.36e2 * t15929 * t17478 + 0.23e2 / 0.9e1 * t10541 * t17482 + 0.4e1 / 0.3e1 * t1961 * t11711 - 0.2e1 * t9476 * t17487 - t1961 * t17490 / 0.3e1 - 0.2e1 * t10674 * t17493 - t10640 * t3579 / 0.3e1;
  t17505 = t9547 * t3400;
  t17509 = t1974 * t16485;
  t17513 = t1974 * t500 * t15815;
  t17516 = t10615 * t16169;
  t17521 = t10566 * t3400;
  t17524 = t1968 * t16485;
  t17527 = t1968 * t15944;
  t17530 = t10832 * t15811;
  t17537 = t3868 / 0.2e1;
  t17539 = 0.23e2 / 0.36e2 * t16241 * t2210;
  t17541 = 0.11e2 / 0.18e2 * t16241 * t2428;
  t17542 = t16607 * t2423;
  t17543 = -t10642 * t3585 / 0.3e1 + t10562 * t3401 / 0.6e1 + t10642 * t3406 / 0.6e1 - t1978 * t17505 / 0.3e1 + t15905 * t1990 + t1961 * t17509 / 0.6e1 - t1961 * t17513 / 0.3e1 - 0.23e2 / 0.36e2 * t10541 * t17516 + t10562 * t3432 / 0.3e1 + t1961 * t17521 / 0.3e1 + t1961 * t17524 / 0.3e1 + t1961 * t17527 / 0.6e1 + 0.11e2 / 0.18e2 * t10541 * t17530 + 0.3e1 / 0.2e1 * t10759 * t10615 * t1733 * t3439 + t17537 + t17539 - t17541 + t17542;
  t17549 = my_piecewise3(t3, 0, t17347 + t17498 + t15472 + t16267 + t15515 + t15822 + t17543 + t15771 + t15925 + t16315 + t17397 + t16213 + t16158 + t15716 + t17260 + t16410 + t15974 + t16515 + t17206 + t15654 + t17310 + t16104 + t16634 + t16460 + t16354 + t16557 + t17452 + t15861 + t16594 + t16066 + t16691 + t16019);
  tv4rho2sigma20 = 0.2e1 * rho[0] * t17549 + 0.4e1 * t3892;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  t17554 = t22 * t243 * t2009;
  t17557 = t1879 * t243;
  t17558 = t17557 * t1970;
  t17561 = t22 * t2855;
  t17564 = t22 * t13376;
  t17576 = t205 * t323;
  t17577 = t145 * t17576;
  t17581 = t1883 * t10707;
  t17584 = t22 * t13454;
  t17585 = t96 * t17576;
  t17586 = t1982 * t17585;
  t17592 = t96 * t10707;
  t17593 = t3582 * t17592;
  t17598 = t1756 * t243;
  t17599 = t17598 * t1970;
  t17604 = t2511 * t10599 / 0.6e1 - t2471 * t16715 / 0.6e1 + t2485 * t16058 / 0.3e1 - 0.6e1 * t2004 * t13454 * t17577 - t2004 * t693 * t17581 + 0.2e1 * t17584 * t17586 - 0.3e1 / 0.2e1 * t2004 * t237 * t16154 + t2485 * t17593 / 0.3e1 - t11685 * t4267 / 0.3e1 + t1961 * t17599 / 0.4e1 + t1993 * t12780 / 0.6e1;
  t17606 = t400 * t243;
  t17607 = t17606 * t1983;
  t17612 = t10242 * t10707;
  t17622 = t400 * t17576;
  t17626 = t409 * t17576;
  t17630 = t1746 * t17576;
  t17634 = t1751 * t17576;
  t17639 = t10706 * t17592;
  t17642 = -t1961 * t17607 / 0.6e1 - t2485 * t16045 / 0.3e1 - 0.3e1 * t2022 * t697 * t17612 - 0.3e1 * t2022 * t2708 * t15740 + 0.3e1 * t2004 * t2708 * t16173 - 0.18e2 * t2022 * t13480 * t17622 + 0.18e2 * t2004 * t13480 * t17626 - 0.18e2 * t3980 * t13408 * t17630 + 0.36e2 * t2022 * t13408 * t17634 - t3956 * t16165 - t2471 * t17639 / 0.2e1;
  t17643 = t10277 * t10707;
  t17647 = t22 * t13408;
  t17648 = t3965 * t17585;
  t17660 = t409 * t243;
  t17661 = t17660 * t1983;
  t17670 = t22 * t13480;
  t17671 = t1996 * t17585;
  t17674 = 0.3e1 * t2004 * t697 * t17643 + 0.5e1 / 0.3e1 * t17647 * t17648 - t9576 * t4060 / 0.3e1 - 0.3e1 / 0.2e1 * t2004 * t2733 * t16159 - t2471 * t16144 / 0.3e1 + t2471 * t16038 / 0.2e1 - t1961 * t17661 / 0.3e1 + t2471 * t17521 / 0.3e1 - 0.23e2 / 0.36e2 * t3933 * t17516 + t12661 * t3432 / 0.9e1 - 0.6e1 * t17670 * t17671;
  t17677 = t22 * t13396;
  t17692 = t9992 * t17576;
  t17696 = t9997 * t17576;
  t17700 = t22 * t13425;
  t17701 = t10080 * t65;
  t17702 = t1733 * t17576;
  t17706 = t10075 * t65;
  t17713 = t22 * t65 * t10071 * t95;
  t17714 = t10075 * t17576;
  t17718 = -t17677 * t3936 + t2471 * t17524 / 0.3e1 + 0.11e2 / 0.18e2 * t3933 * t17530 - 0.3e1 / 0.2e1 * t3980 * t2701 * t16112 + 0.3e1 * t2022 * t2701 * t16116 - 0.3e1 / 0.2e1 * t2004 * t2701 * t16120 - 0.18e2 * t2022 * t13425 * t17692 + 0.6e1 * t2004 * t13425 * t17696 - 0.62e2 / 0.3e1 * t17700 * t17701 * t17702 + 0.8e1 * t17700 * t17706 * t3978 * t17576 - 0.6e1 * t17713 * t13425 * t17714;
  t17719 = t10080 * t17576;
  t17723 = t1756 * t17576;
  t17729 = t11691 * t17592;
  t17735 = t10832 * t17585;
  t17738 = t1974 * t17585;
  t17741 = t10615 * t17585;
  t17744 = t230 * t3481;
  t17746 = t1974 * t500 * t17744;
  t17749 = t658 * t929;
  t17751 = t1974 * t500 * t17749;
  t17754 = 0.18e2 * t3980 * t13425 * t17719 - 0.18e2 * t2004 * t13408 * t17723 + t4190 * t16135 / 0.2e1 - t2471 * t17729 - t12661 * t4222 / 0.9e1 + t3933 * t16124 / 0.2e1 - 0.2e1 * t17700 * t17735 + 0.6e1 * t17647 * t17738 - 0.38e2 / 0.9e1 * t17700 * t17741 - 0.2e1 / 0.3e1 * t9476 * t17746 - 0.2e1 / 0.3e1 * t9476 * t17751;
  t17756 = t10662 * t7320;
  t17765 = t230 * t530;
  t17766 = t500 * t17765;
  t17767 = t3961 * t17766;
  t17773 = t658 * t205;
  t17774 = t500 * t17773;
  t17775 = t3961 * t17774;
  t17779 = t3965 * t1733 * t17773;
  t17783 = t3965 * t1733 * t17765;
  t17790 = -0.2e1 / 0.3e1 * t9476 * t17756 - t12664 * t3585 / 0.9e1 + t2511 * t16132 / 0.2e1 - t12667 * t3579 / 0.9e1 + 0.14e2 / 0.3e1 * t11669 * t17767 - 0.6e1 * t2004 * t13435 * t3996 + 0.14e2 / 0.3e1 * t11669 * t17775 - 0.3e1 * t11669 * t17779 - 0.3e1 * t11669 * t17783 + 0.2e1 / 0.9e1 * t12661 * t4219 + 0.2e1 / 0.9e1 * t12661 * t4251;
  t17799 = t1962 * t17766;
  t17802 = t1962 * t17774;
  t17805 = t10594 * t7363;
  t17811 = t16053 * t5629;
  t17816 = -0.4e1 / 0.9e1 * t12661 * t4247 + 0.2e1 * t2471 * t10709 + t12664 * t3406 / 0.18e2 + t12661 * t3401 / 0.18e2 - 0.4e1 * t11652 * t17799 - 0.4e1 * t11652 * t17802 - 0.4e1 * t11652 * t17805 - 0.6e1 * t2004 * t2708 * t15672 - t9476 * t17811 - t11390 * t2491 / 0.2e1 + t15841 * t2494;
  t17821 = t15878 * t5621;
  t17824 = t1746 * t154;
  t17825 = t17824 * t7464;
  t17828 = t12779 * t1970;
  t17831 = t145 * t243;
  t17832 = t17831 * t1983;
  t17835 = t17606 * t4250;
  t17838 = t17598 * t4246;
  t17847 = t17824 * t3957;
  t17854 = t10547 * t3935;
  t17857 = t1751 * t154;
  t17858 = t17857 * t3935;
  t17863 = t22 * t13435;
  t17871 = 0.23e2 / 0.18e2 * t3933 * t17482 + 0.23e2 / 0.18e2 * t3933 * t17847 + 0.23e2 / 0.18e2 * t17677 * t3966 - 0.11e2 / 0.9e1 * t3933 * t15908 + 0.2e1 * t3956 * t17854 - 0.11e2 / 0.9e1 * t3933 * t17858 - 0.11e2 / 0.9e1 * t17677 * t3962 + 0.2e1 * t17863 * t3990 - t12758 * t4195 / 0.3e1 + t17863 * t4198 + 0.2e1 * t3956 * t15922;
  t17878 = t10594 * t3935;
  t17880 = t10589 * t4202;
  t17883 = t10589 * t3935;
  t17885 = t9547 * t4194;
  t17896 = t2485 * t16447 / 0.3e1 - t4190 * t17493 - t2485 * t16444 / 0.3e1 + t3956 * t17878 + t2485 * t17880 / 0.3e1 - t4190 * t17883 - t2485 * t17885 / 0.3e1 + t12758 * t4203 / 0.3e1 - t22 * t13483 * t4191 + 0.2e1 / 0.3e1 * t2471 * t11711 + 0.2e1 * t10768 * t4244;
  t17903 = t1756 * t12206;
  t17910 = t103 * t11668;
  t17914 = t400 * t3934;
  t17921 = t400 * t11653;
  t17926 = t22 * t10257 * t9912;
  t17929 = 0.2e1 * t2022 * t2726 * t2026 + 0.2e1 * t2022 * t697 * t15873 + t2022 * t697 * t17903 - 0.4e1 / 0.3e1 * t12631 * t4247 - 0.4e1 / 0.3e1 * t2471 * t11702 - t17910 * t7465 + 0.6e1 * t10768 * t4241 + 0.6e1 * t2022 * t13435 * t17914 + 0.6e1 * t2022 * t2708 * t16415 + 0.3e1 * t2022 * t2708 * t17921 + 0.18e2 * t17926 * t7465;
  t17941 = t1042 * t66;
  t17943 = t318 * t17941 * t296;
  t17956 = t3956 * t15745 - t103 * t4012 / 0.6e1 - t103 * t4187 / 0.6e1 - t4308 * t335 / 0.4e1 + t4308 * t298 / 0.2e1 - t127 * t17943 / 0.6e1 + t2248 * t734 / 0.6e1 + t610 * t2675 / 0.2e1 - t2248 * t742 / 0.3e1 + 0.3e1 / 0.2e1 * t610 * t2679 - t2248 * t746 / 0.6e1;
  t17958 = t548 * t608 * t4902;
  t17973 = t548 * t2814 * t1000;
  t17978 = 0.2e1 / 0.3e1 * t1641 * t17958 - t13216 * t623 + t2816 * t646 - t2452 * t2633 + t610 * t2578 + t533 * t2787 / 0.6e1 + t2816 * t627 / 0.2e1 - t2816 * t637 - t2816 * t641 / 0.2e1 + 0.2e1 / 0.3e1 * t1641 * t17973 - t2452 * t2635 / 0.2e1;
  t17980 = t2025 * t122;
  t17981 = t10242 * t17980;
  t17986 = t1539 * t6977 * t122;
  t17990 = t1051 * t122;
  t17991 = t1539 * t17990;
  t17995 = t371 * t17990;
  t17999 = t717 * t2043;
  t18000 = t2218 * t17999;
  t18009 = t2777 * t2043;
  t18010 = t2213 * t18009;
  t18013 = -0.15e2 / 0.2e1 * t2004 * t2701 * t17981 - 0.6e1 * t2011 * t12693 * t17986 + 0.3e1 * t1397 * t12693 * t17991 + 0.6e1 * t2011 * t12642 * t17995 + 0.7e1 / 0.3e1 * t2040 * t18000 - 0.3e1 * t2452 * t2562 + 0.3e1 / 0.2e1 * t610 * t2570 - t2520 * t16265 / 0.2e1 - t2040 * t18010 / 0.2e1 - t15764 - t15768;
  t18016 = t4201 * t122;
  t18017 = t169 * t18016;
  t18018 = t3965 * t18017;
  t18021 = t5620 * t205;
  t18022 = t1395 * t18021;
  t18023 = t3961 * t18022;
  t18030 = t2777 * t1642;
  t18031 = t318 * t18030;
  t18034 = t548 * t18009;
  t18045 = t2185 * t4272 / 0.3e1 - 0.5e1 / 0.18e2 * t3933 * t18018 + 0.14e2 / 0.3e1 * t11669 * t18023 + t2587 * t4026 / 0.3e1 + t2587 * t3807 / 0.3e1 + t538 * t18031 / 0.6e1 + t2406 * t18034 / 0.2e1 - t2105 * t4277 / 0.18e2 - t525 * t2779 / 0.18e2 + t2118 * t4272 / 0.9e1 + t525 * t2787 / 0.18e2;
  t18054 = t1879 * t17980;
  t18058 = t7303 * t312;
  t18059 = t500 * t18058;
  t18060 = t10832 * t18059;
  t18064 = t1440 * t1064 * t312;
  t18069 = t371 * t1064 * t122;
  t18073 = t1974 * t18017;
  t18075 = t96 * t17980;
  t18076 = t1974 * t18075;
  t18079 = t10615 * t18075;
  t18082 = t169 * t12191;
  t18083 = t1974 * t18082;
  t18089 = t103 * t2701;
  t18098 = -t387 * t3923 / 0.3e1 + t15829 - 0.11e2 / 0.27e2 * t18089 * t3962 + 0.3e1 / 0.2e1 * t17454 * t2498 - 0.3e1 / 0.2e1 * t15841 * t2478 + t15850 - t15853 + t15888 - t15892 - t15896 + t610 * t2614 / 0.2e1;
  t18123 = t10556 * t4054 / 0.3e1 + t10556 * t4057 / 0.3e1 - 0.2e1 / 0.9e1 * t11393 * t7321 - t9576 * t4262 / 0.6e1 - t9509 * t4060 - t1397 * t13299 * t1057 / 0.2e1 - t1397 * t12843 * t1057 - t1397 * t2503 * t3553 - t10516 * t4007 + 0.3e1 * t2004 * t13396 * t3992 - 0.6e1 * t2022 * t2701 * t16386;
  t18131 = t1751 * t3934;
  t18143 = t169 * t11705;
  t18144 = t1962 * t18143;
  t18147 = 0.3e1 * t2004 * t2701 * t16390 - 0.6e1 * t10768 * t3987 + 0.3e1 * t10516 * t3993 - 0.6e1 * t2022 * t13396 * t18131 - t18089 * t3936 / 0.3e1 + t11676 * t4004 / 0.3e1 - t10556 * t4007 / 0.3e1 + 0.2e1 * t11676 * t4241 - t913 + t984 - t2471 * t18144 / 0.12e2;
  t18150 = t96 * t12206;
  t18151 = t1974 * t18150;
  t18154 = t96 * t11653;
  t18155 = t3965 * t18154;
  t18160 = t1996 * t18143;
  t18167 = t10566 * t4194;
  t18172 = t1968 * t18150;
  t18175 = t2471 * t18151 / 0.6e1 - 0.5e1 / 0.36e2 * t3933 * t18155 + t1713 * t1058 / 0.9e1 + t15948 - t15949 - t2471 * t18160 / 0.6e1 - t2471 * t15912 / 0.3e1 + 0.2e1 / 0.3e1 * t12631 * t4219 + 0.2e1 / 0.3e1 * t2471 * t18167 + 0.2e1 / 0.3e1 * t2471 * t16482 + t2471 * t18172 / 0.3e1;
  t18198 = -t12631 * t4222 / 0.3e1 - 0.4e1 / 0.3e1 * t2471 * t11660 - 0.2e1 / 0.3e1 * t2471 * t12208 + 0.2e1 / 0.3e1 * t12631 * t4251 + 0.2e1 / 0.3e1 * t2471 * t11696 + t2471 * t11707 / 0.3e1 + t2511 * t17257 / 0.12e2 + t2511 * t15919 / 0.6e1 - t2511 * t17247 / 0.6e1 + t12631 * t3401 / 0.6e1 + t2471 * t16676 / 0.6e1;
  t18206 = t1962 * t18154;
  t18209 = t1404 * t18150;
  t18214 = t1982 * t18154;
  t18224 = t2471 * t17509 / 0.6e1 + t2471 * t15945 / 0.12e2 + 0.5e1 / 0.36e2 * t3933 * t15812 + t3956 * t18206 / 0.2e1 - t2485 * t18209 / 0.6e1 + t12667 * t4203 / 0.9e1 - t4190 * t18214 / 0.2e1 + t1547 * t1066 / 0.2e1 + t379 * t3912 + t379 * t3915 + t162 * t12484 * t1065 / 0.2e1;
  t18238 = t17857 * t7363;
  t18241 = t103 * t2708;
  t18248 = t162 * t2577 * t3544 + t661 * t2162 / 0.6e1 + t162 * t729 * t15523 / 0.2e1 - t1547 * t1058 / 0.2e1 - t379 * t3920 - t379 * t3923 - 0.6e1 * t10516 * t3997 + 0.14e2 / 0.3e1 * t11669 * t18238 + 0.2e1 / 0.3e1 * t18241 * t3990 + t2600 * t3510 / 0.9e1 - t671 * t15787 / 0.6e1;
  t18252 = t9364 * t1000;
  t18253 = t555 * t18252;
  t18264 = t1974 * t18154;
  t18271 = t3965 * t11654;
  t18278 = -t671 * t18253 / 0.6e1 - t671 * t15800 / 0.3e1 - t12661 * t4212 / 0.18e2 + t18241 * t4198 / 0.3e1 + t12661 * t4206 / 0.9e1 - t3933 * t18264 / 0.2e1 - t2471 * t17513 / 0.3e1 + t2471 * t17527 / 0.6e1 + 0.23e2 / 0.36e2 * t3933 * t18271 + t666 * t17325 / 0.6e1 + t12271 * t1002 / 0.6e1;
  t18282 = t1539 * t6992 * t122;
  t18294 = t145 * t11653;
  t18299 = t22 * t397 * t10029;
  t18307 = t1982 * t18143;
  t18310 = -t1397 * t2475 * t17230 + 0.3e1 * t11419 * t12693 * t18282 - 0.5e1 / 0.2e1 * t2022 * t697 * t15897 + 0.5e1 / 0.2e1 * t2004 * t697 * t17225 + t2011 * t2475 * t15902 + 0.3e1 / 0.2e1 * t2004 * t2733 * t18294 + 0.12e2 * t18299 * t7364 + t10516 * t4259 + t2004 * t2720 * t4258 + t2004 * t693 * t16651 + t2485 * t18307 / 0.6e1;
  t18334 = t12746 * t3406 / 0.6e1 + t2511 * t16679 / 0.6e1 - t387 * t3928 / 0.6e1 - t387 * t3895 / 0.6e1 - t1728 * t1058 / 0.3e1 - t1763 * t3901 / 0.3e1 - t2565 * t4039 / 0.9e1 - t9836 * t1053 / 0.3e1 - t1763 * t3898 / 0.3e1 - t12238 * t1010 / 0.9e1 + t387 * t3912 / 0.3e1;
  t18352 = t387 * t3915 / 0.3e1 - t1728 * t1061 / 0.6e1 + 0.3e1 * t2452 * t2682 - 0.3e1 * t610 * t2553 - t719 * t2061 / 0.4e1 - t719 * t2064 / 0.2e1 - t12369 * t1002 / 0.27e2 + t2548 * t16107 - t16065 + t719 * t2174 - t10949 * t730;
  t18357 = t4002 * t312;
  t18359 = t10706 * t500 * t18357;
  t18364 = t1404 * t18082;
  t18367 = t5620 * t929;
  t18369 = t1974 * t1395 * t18367;
  t18382 = t2243 * t749 - t2861 * t2069 + 0.5e1 / 0.3e1 * t9476 * t18359 + t1397 * t2490 * t15988 - t2485 * t18364 / 0.3e1 - 0.2e1 / 0.3e1 * t9476 * t18369 + t9509 * t4018 + t1397 * t13002 * t1065 / 0.2e1 + t1397 * t12839 * t1065 + t1397 * t2475 * t3544 + 0.14e2 / 0.9e1 * t17910 * t7461;
  t18393 = t1879 * t12206;
  t18404 = t9576 * t4018 / 0.3e1 - 0.2e1 * t10516 * t4016 - 0.2e1 * t2004 * t2726 * t4015 - 0.2e1 * t2004 * t697 * t15676 - t2004 * t697 * t18393 - 0.2e1 * t10556 * t3997 - 0.2e1 / 0.3e1 * t10556 * t4016 + t12361 * t1010 / 0.27e2 - t16077 + t16078 + t9975 * t1053 / 0.9e1;
  t18406 = t404 * t12206;
  t18426 = t12623 * t539;
  t18427 = t555 * t18426;
  t18430 = t16098 + t2004 * t693 * t18406 / 0.2e1 + 0.2e1 / 0.3e1 * t11676 * t4244 + 0.3e1 * t2004 * t13483 * t4254 + 0.3e1 * t2004 * t2733 * t16647 - t2105 * t3949 / 0.9e1 - t2529 * t3421 / 0.3e1 - t671 * t16067 / 0.3e1 - t2111 * t3949 / 0.3e1 - t546 * t18427 / 0.3e1 - t3574;
  t18431 = t318 * t18426;
  t18443 = t22 * t154 * t3978;
  t18455 = t538 * t18431 / 0.3e1 + t208 * t12625 / 0.6e1 - t671 * t15713 / 0.6e1 - t233 * t10857 / 0.6e1 - t17444 * t2501 + t11390 * t2476 + 0.3e1 * t18443 * t3983 + 0.3e1 * t3980 * t2701 * t17439 + t2022 * t2726 * t16404 - t2004 * t2726 * t3444 + t2022 * t697 * t16398;
  t18463 = t1746 * t3934;
  t18470 = t10594 * t4202;
  t18473 = t10662 * t4194;
  t18476 = t17824 * t3935;
  t18486 = t2042 * t18009;
  t18491 = t318 * t18009;
  t18510 = -0.5e1 / 0.36e2 * t2040 * t18486 + t208 * t12250 / 0.12e2 - t2432 * t18491 / 0.2e1 + t719 * t2146 / 0.2e1 + 0.3e1 / 0.2e1 * t719 * t2139 + 0.2e1 / 0.3e1 * t2529 * t3503 - t233 * t11229 / 0.12e2 - t671 * t15720 / 0.12e2 - 0.5e1 / 0.36e2 * t2520 * t15724 + t233 * t11225 / 0.12e2 - t208 * t13179 / 0.12e2;
  t18512 = t548 * t18030;
  t18517 = t500 * t17576;
  t18518 = t17706 * t18517;
  t18521 = t3961 * t18154;
  t18524 = t17701 * t17585;
  t18527 = t3965 * t18517;
  t18532 = t1996 * t18154;
  t18534 = t3961 * t17585;
  t18537 = t1751 * t11653;
  t18543 = -t546 * t18512 / 0.12e2 + t546 * t12537 / 0.3e1 + 0.44e2 / 0.27e2 * t17700 * t18518 - 0.11e2 / 0.18e2 * t3933 * t18521 - 0.61e2 / 0.27e2 * t17700 * t18524 - 0.23e2 / 0.3e1 * t17647 * t18527 - 0.2e1 * t3956 * t11655 + t3956 * t18532 + 0.22e2 / 0.3e1 * t17647 * t18534 - 0.3e1 * t2022 * t2701 * t18537 - 0.3e1 / 0.2e1 * t3933 * t11715;
  t18544 = t17706 * t17702;
  t18547 = t1746 * t11653;
  t18553 = t17701 * t18517;
  t18556 = t1756 * t11653;
  t18562 = t1404 * t18075;
  t18564 = t1982 * t18017;
  t18566 = -0.43e2 / 0.9e1 * t17700 * t18544 + 0.3e1 / 0.2e1 * t3980 * t2701 * t18547 + 0.7e1 / 0.3e1 * t3933 * t11670 + 0.89e2 / 0.9e1 * t17700 * t18553 + 0.3e1 / 0.2e1 * t2004 * t2701 * t18556 - t16111 - t16140 + t16142 + t1397 * t2503 * t15984 + t4190 * t18562 - t4190 * t18564;
  t18577 = t16183 + t16228 - t16243 + t16282 - t16285 - t16298 - t16323 - t208 * t12562 / 0.6e1 + t654 * t2162 / 0.18e2 - t233 * t11514 / 0.6e1 - t2565 * t3449 / 0.18e2;
  t18578 = t1756 * t17980;
  t18582 = t9992 * t17980;
  t18586 = t10706 * t18075;
  t18591 = -0.11e2 * t2022 * t2708 * t18578 - 0.15e2 / 0.2e1 * t3980 * t2701 * t18582 + 0.5e1 / 0.2e1 * t3933 * t18586 - t16330 - t16335 + t16337 - t387 * t3920 / 0.3e1 - t16342 + t16365 - t16368 + t16431;
  t18609 = t16433 + t16436 - t16438 - t2844 * t569 / 0.12e2 - t2263 * t686 / 0.12e2 - t533 * t2827 / 0.6e1 - t208 * t13102 / 0.12e2 + t10992 * t248 / 0.6e1 + t2822 * t631 / 0.6e1 - t2837 * t569 / 0.18e2 - t661 * t2253 / 0.6e1;
  t18632 = -t233 * t11068 / 0.12e2 + t4308 * t351 / 0.4e1 + t671 * t11140 / 0.3e1 + t12264 * t1016 / 0.3e1 + 0.2e1 / 0.3e1 * t2529 * t4232 + t661 * t3804 / 0.6e1 + 0.2e1 / 0.3e1 * t671 * t11364 - 0.2e1 * t9114 * t6983 + 0.2e1 / 0.9e1 * t9069 * t6983 + t2822 * t627 / 0.6e1 - t2822 * t637 / 0.3e1;
  t18645 = t2042 * t17999;
  t18648 = t103 * t3979;
  t18664 = t382 * t4307;
  t18675 = t496 * t1044;
  t18679 = t373 * t1043 * t500;
  t18684 = t106 * t158 * t1042 * t506;
  t18687 = -t654 * t2253 / 0.18e2 - t4308 * t329 / 0.2e1 + t13093 * t223 / 0.6e1 + t18664 * t166 / 0.6e1 - t383 * t4302 / 0.18e2 + t493 * t4302 / 0.6e1 + t2248 * t738 / 0.6e1 + t4308 * t517 / 0.2e1 - t368 * t18675 / 0.6e1 + t368 * t18679 / 0.3e1 - t18684 * t513 / 0.2e1;
  t18691 = t373 * t1044;
  t18704 = t138 * t4187;
  t18709 = t106 * t158 * t4185 * t159;
  t18716 = t13107 * t223 / 0.4e1 - t368 * t18691 / 0.12e2 + t610 * t2805 / 0.4e1 - t356 * t4302 / 0.12e2 + t2243 * t738 / 0.2e1 + t719 * t2234 / 0.4e1 + t11032 * t248 / 0.4e1 - t127 * t18704 / 0.6e1 + t18709 * t166 / 0.2e1 + t2816 * t631 / 0.2e1 + t2849 * t569 / 0.54e2;
  t18717 = t2218 * t7337;
  t18728 = t555 * t18009;
  t18730 = t2218 * t18009;
  t18739 = 0.7e1 / 0.3e1 * t3083 * t18717 + t2548 * t17328 / 0.2e1 - t654 * t2158 / 0.18e2 + 0.3e1 * t2861 * t2143 - 0.3e1 * t719 * t2095 + t2406 * t18728 - 0.11e2 / 0.18e2 * t2040 * t18730 + t16498 - t9933 * t1053 / 0.2e1 + t610 * t2610 / 0.4e1 - t610 * t2623 / 0.4e1;
  t18752 = t22 * t9774 * t323 * t9991;
  t18759 = t10832 * t7320;
  t18766 = t10615 * t1733 * t4002;
  t18769 = t409 * t11653;
  t18775 = -t610 * t2793 / 0.2e1 - 0.2e1 * t9114 * t7338 - t1689 * t3901 - t509 * t729 * t15971 / 0.2e1 + 0.47e2 / 0.3e1 * t18752 * t10615 * t7363 - t2004 * t697 * t16704 / 0.2e1 - 0.7e1 / 0.3e1 * t10759 * t18759 + t2022 * t697 * t16711 / 0.2e1 + 0.3e1 / 0.2e1 * t10759 * t18766 - 0.3e1 * t2004 * t2708 * t18769 - 0.28e2 * t17926 * t7461;
  t18786 = t10547 * t4202;
  t18799 = -t2471 * t17490 / 0.6e1 + t2471 * t15749 / 0.3e1 + 0.23e2 / 0.54e2 * t18089 * t3966 - t12758 * t3579 / 0.3e1 - t2485 * t17505 / 0.3e1 - t2471 * t18786 / 0.3e1 - t2485 * t16486 / 0.3e1 - t2485 * t17250 / 0.6e1 - t3956 * t16149 / 0.2e1 - t12746 * t3585 / 0.3e1 - t2511 * t16673 / 0.3e1;
  t18824 = -t2511 * t16490 / 0.3e1 - t9509 * t4262 / 0.2e1 - t1397 * t13303 * t990 / 0.4e1 - t1397 * t12852 * t990 / 0.2e1 + t10516 * t4054 + t2004 * t2720 * t3820 + t2004 * t693 * t15689 + t2004 * t693 * t15816 / 0.2e1 + 0.2e1 * t10729 * t7321 + t10516 * t4057 + t1728 * t1066 / 0.3e1;
  t18827 = t2587 * t3510 / 0.3e1 - t16560 + t16561 + t16576 - t16578 - t16605 + t16609 + t16611 + t16613 - t16615 + t16617;
  t18833 = t10615 * t1733 * t18058;
  t18836 = t9997 * t17980;
  t18847 = t548 * t717 * t3487;
  t18852 = t1962 * t18017;
  t18855 = t135 * t1056 * t122;
  t18860 = t303 * t1056 * t312;
  t18865 = t1962 * t17585;
  t18871 = t2471 * t15998 / 0.3e1 - t719 * t2073 - t719 * t2076 / 0.2e1 + 0.2e1 / 0.3e1 * t1641 * t18847 + t719 * t2034 / 0.2e1 + t3956 * t18852 + 0.3e1 * t1397 * t12636 * t18855 + t1397 * t2503 * t18860 - 0.5e1 / 0.6e1 * t2471 * t15995 - 0.3e1 * t17670 * t18865 - t103 * t2733 * t4191 / 0.3e1;
  t18892 = -t12667 * t4195 / 0.9e1 + t666 * t17322 / 0.3e1 + t233 * t10861 / 0.6e1 - t22 * t4186 * t194 / 0.2e1 - t2511 * t17241 / 0.3e1 + t2471 * t15651 / 0.6e1 - t208 * t13161 / 0.6e1 - t3766 + t3769 + t2837 * t932 / 0.18e2 - t2565 * t3791 / 0.18e2;
  t18899 = t548 * t18426;
  t18908 = -t2565 * t4034 / 0.18e2 - t2529 * t3449 / 0.6e1 - t661 * t2158 / 0.6e1 - t546 * t18899 / 0.6e1 - t2849 * t932 / 0.54e2 + t12361 * t1005 / 0.54e2 + t16700 + t16701 - t16702 - t16703 - t2565 * t3489 / 0.9e1;
  t18912 = t3965 * t1395 * t18016;
  t18916 = t10615 * t500 * t17980;
  t18935 = t103 * t11651;
  t18938 = 0.23e2 / 0.18e2 * t3933 * t18912 - 0.115e3 / 0.36e2 * t3933 * t18916 - 0.4e1 / 0.3e1 * t2471 * t12193 - t2011 * t12839 * t1052 - t2011 * t2475 * t3528 + t2004 * t691 * t3824 + t2004 * t237 * t15693 + t2004 * t237 * t15940 / 0.2e1 + t10556 * t4255 + t10556 * t4259 / 0.3e1 - 0.4e1 / 0.3e1 * t18935 * t7364;
  t18962 = t2042 * t2859 * t2043;
  t18965 = 0.3e1 * t10516 * t4255 - t1397 * t2490 * t3755 / 0.2e1 - t10746 * t4267 - t2011 * t13002 * t1052 / 0.2e1 - t22 * t1043 * t481 / 0.4e1 + t654 * t3804 / 0.18e2 - 0.3e1 / 0.2e1 * t2520 * t16258 - 0.3e1 * t2861 * t2205 + 0.3e1 / 0.2e1 * t719 * t2088 + 0.3e1 / 0.2e1 * t10964 * t2559 - 0.3e1 / 0.2e1 * t2040 * t18962;
  t18970 = t305 * t17941 * t313;
  t18976 = t1440 * t1051 * t312;
  t18981 = t3965 * t2009 * t18021;
  t18984 = t404 * t17980;
  t18988 = t1974 * t18059;
  t18997 = 0.3e1 / 0.2e1 * t13382 * t2100 - t17217 + t127 * t18970 / 0.12e2 - t2243 * t746 / 0.2e1 + 0.2e1 * t2011 * t2475 * t18976 - 0.3e1 * t11669 * t18981 - 0.3e1 * t2004 * t2733 * t18984 + 0.22e2 / 0.3e1 * t11652 * t18988 + t486 * t1044 / 0.18e2 - t2111 * t4277 / 0.6e1 - t533 * t2779 / 0.6e1;
  t18998 = t1962 * t18022;
  t19025 = -0.4e1 * t11652 * t18998 - 0.2e1 * t2004 * t693 * t15655 + t2440 * t686 / 0.54e2 - t11014 * t248 / 0.18e2 - t12983 * t223 / 0.18e2 - t1689 * t3898 - t509 * t12484 * t1052 / 0.2e1 - t509 * t2577 * t3528 - t162 * t745 * t15630 / 0.4e1 - t162 * t13275 * t990 / 0.4e1 - t162 * t2629 * t3755 / 0.2e1;
  t19035 = t10832 * t18075;
  t19038 = t1968 * t18082;
  t19041 = -t379 * t3928 / 0.2e1 - t379 * t3895 / 0.2e1 - t1547 * t1061 / 0.4e1 - t17266 - t17268 + t17270 + t17272 - t17274 - t17276 + 0.55e2 / 0.18e2 * t3933 * t19035 + 0.2e1 / 0.3e1 * t2471 * t19038;
  t19042 = t3961 * t18017;
  t19045 = t1968 * t18075;
  t19052 = t1996 * t18017;
  t19060 = t10662 * t3935;
  t19066 = -0.11e2 / 0.9e1 * t3933 * t19042 - 0.11e2 / 0.3e1 * t3956 * t19045 + 0.2e1 / 0.3e1 * t2485 * t17233 - t2485 * t17236 / 0.3e1 + 0.2e1 * t3956 * t19052 - 0.5e1 / 0.12e2 * t2471 * t15646 + t12631 * t3432 / 0.3e1 - t3933 * t16034 - t3933 * t19060 + t719 * t2418 / 0.2e1 - t2861 * t2058 / 0.2e1;
  t19068 = t17706 * t17585;
  t19073 = -0.35e2 / 0.108e3 * t17700 * t19068 - 0.5e1 / 0.54e2 * t18089 * t4209 + t17386 + t17389 - t17392 - t17396 + t17413 - t17416 - t17422 + t17424 + t17428;
  t19088 = -t17451 - t12238 * t1005 / 0.18e2 + t2600 * t3807 / 0.9e1 + t2600 * t4026 / 0.9e1 + t12233 * t1002 / 0.9e1 - t2662 * t16011 / 0.2e1 + t654 * t3484 / 0.18e2 - t17475 - t17476 + t17477 + t666 * t16590 / 0.6e1;
  t19095 = t318 * t18252;
  t19111 = t548 * t2241 * t1208;
  t19116 = -t12264 * t1005 / 0.12e2 + t666 * t16587 / 0.3e1 + t666 * t19095 / 0.6e1 - t1713 * t1066 / 0.9e1 - 0.2e1 / 0.27e2 * t12361 * t1016 - t13211 * t623 / 0.3e1 + t2822 * t646 / 0.3e1 - t10926 * t730 / 0.3e1 + t2248 * t749 / 0.3e1 + 0.2e1 / 0.3e1 * t1641 * t19111 + t2243 * t734 / 0.2e1;
  t19128 = t555 * t18030;
  t19142 = t1032 * t323;
  t19143 = t409 * t19142;
  t19162 = -0.2e1 * t693 * t17088 - 0.6e1 * t13483 * t4165 - t2749 * t953 - 0.36e2 * t13480 * t19143 - 0.4e1 / 0.3e1 * t697 * t16957 + 0.4e1 * t2726 * t4149 + 0.2e2 / 0.3e1 * t13396 * t4159 + 0.4e1 * t697 * t17012 + 0.2e2 / 0.3e1 * t2701 * t17005 - 0.2e1 * t237 * t17099 - 0.2e1 * t2720 * t4168 - 0.8e1 * t13435 * t4122;
  t19175 = t1032 * t349;
  t19176 = t409 * t19175;
  t19179 = t1751 * t19142;
  t19190 = -0.6e1 * t2733 * t17031 - 0.2e1 * t693 * t17034 - 0.8e1 * t2708 * t17037 - 0.2e1 * t2720 * t3647 - 0.2e1 * t691 * t3650 - 0.4e1 / 0.3e1 * t2726 * t3640 + 0.6e1 * t2708 * t19176 - 0.4e2 * t13408 * t19179 - 0.8e1 / 0.3e1 * t2726 * t4162 + t13396 * t4129 / 0.9e1 - 0.8e1 / 0.3e1 * t697 * t17028 + t2701 * t16878 / 0.9e1;
  t19212 = t1756 * t19175;
  t19215 = 0.4e1 * t2708 * t17093 - t2701 * t16999 / 0.18e2 - 0.6e1 * t2701 * t17067 + 0.2e1 * t2726 * t3643 + 0.2e1 * t697 * t17077 - 0.6e1 * t13396 * t4179 + 0.12e2 * t13435 * t4174 + 0.12e2 * t2708 * t17008 - t237 * t16867 + t697 * t17083 - 0.1e2 / 0.3e1 * t2701 * t17085 - 0.3e1 * t2701 * t19212;
  t19216 = t9992 * t19142;
  t19221 = t400 * t19142;
  t19224 = t1746 * t19142;
  t19227 = t1032 * t1502;
  t19228 = t1756 * t19227;
  t19235 = t1879 * t19227;
  t19240 = 0.5e2 / 0.3e1 * t13425 * t19216 - t693 * t17091 - t237 * t17103 + 0.24e2 * t13480 * t19221 - 0.2e1 / 0.3e1 * t13408 * t19224 - t16781 + t16800 + t16801 - 0.4e1 / 0.3e1 * t697 * t19228 - 0.2e1 / 0.3e1 * t697 * t16995 + 0.2e1 * t13412 * t1029 + 0.2e1 * t697 * t19235 - 0.2e1 * t691 * t3637;
  t19247 = t1751 * t19175;
  t19250 = t10080 * t19142;
  t19253 = t9997 * t19142;
  t19256 = t1756 * t19142;
  t19261 = t145 * t19175;
  t19264 = t404 * t19227;
  t19272 = 0.4e1 * t2726 * t3627 + 0.2e1 * t697 * t17002 + 0.1e2 / 0.3e1 * t2701 * t19247 + 0.1e2 / 0.3e1 * t13425 * t19250 - 0.12e2 * t13425 * t19253 + 0.36e2 * t13408 * t19256 + 0.3e1 * t2701 * t17015 - 0.3e1 * t2733 * t19261 - t693 * t19264 - 0.2e1 * t13468 * t1022 - 0.4e1 * t2720 * t3616 - 0.2e1 * t693 * t16928;
  t19273 = t1032 * t1418;
  t19274 = t10242 * t19273;
  t19277 = t145 * t19142;
  t19280 = t1883 * t19273;
  t19285 = t10277 * t19273;
  t19292 = t400 * t19175;
  t19301 = t1746 * t19175;
  t19304 = 0.4e1 * t697 * t19274 + 0.12e2 * t13454 * t19277 + 0.2e1 * t693 * t19280 + 0.3e1 * t237 * t17044 - 0.6e1 * t697 * t19285 - 0.6e1 * t2708 * t17053 + 0.3e1 * t2733 * t17049 - 0.4e1 * t2708 * t19292 - t13412 * t1025 / 0.3e1 - 0.2e1 / 0.3e1 * t2726 * t3655 - t697 * t16874 / 0.3e1 + t2701 * t19301 / 0.18e2;
  t19310 = t690 * t3598;
  t19330 = t4078 * t1502;
  t19331 = t427 * t19330;
  t19334 = 0.12e2 * t4104 * t4106 * t690 - 0.2e1 * t13500 * t16802 - 0.8e1 * t13509 * t4101 + 0.4e1 * t13537 * t3595 + 0.4e1 * t16744 * t2689 + 0.4e1 * t16748 * t4095 + 0.12e2 * t16790 * t4105 + 0.2e1 * t16805 * t2689 + 0.2e1 * t16811 * t4095 - 0.8e1 * t17170 * t2687 + 0.4e1 * t19310 * t3601 - 0.4e1 * t19331 * t2687;
  t19335 = t1845 * t17980;
  t19348 = -0.5e2 / 0.3e1 * t13392 * t19335 + 0.2e1 / 0.3e1 * t2687 * t16736 + t2687 * t16814 / 0.3e1 + t13392 * t16817 / 0.9e1 + 0.1e2 / 0.3e1 * t13421 * t17163 + 0.2e1 / 0.3e1 * t13509 * t3604 - t16837 - t16846 + t16857 + t16859 + t16900 - t16902 + t16904;
  t19352 = t16906 + t16920 - t16923 - t16925 - t16927 - t16934 + t16936 - t16938 - t16940 + t16945 + t16948 + t16955;
  t19355 = t9991 * t9036;
  t19356 = t13424 * t19355;
  t19357 = t4078 * t323;
  t19358 = t1845 * t19357;
  t19361 = t10457 * t19357;
  t19364 = t1857 * t19357;
  t19367 = t9912 * t1415;
  t19368 = t2700 * t19367;
  t19369 = t414 * t19357;
  t19374 = t149 * t19330;
  t19377 = t414 * t17980;
  t19380 = t2725 * t4076;
  t19385 = t4078 * t349;
  t19386 = t414 * t19385;
  t19391 = -0.6e1 * t13392 * t16802 + 0.24e2 * t19356 * t19358 - 0.4e1 / 0.3e1 * t19356 * t19361 + 0.8e1 / 0.3e1 * t19356 * t19364 - 0.72e2 * t19368 * t19369 + 0.4e1 * t2689 * t16795 + 0.2e1 * t2689 * t19374 + 0.44e2 / 0.3e1 * t13500 * t19377 + 0.4e1 * t19380 * t4090 + 0.4e1 * t4077 * t17167 + 0.2e1 * t4077 * t19386 + 0.4e1 / 0.3e1 * t19368 * t19364;
  t19397 = t414 * t19330;
  t19400 = t1857 * t17980;
  t19403 = t13395 * t4083;
  t19408 = t1857 * t19385;
  t19411 = t9803 * t60;
  t19412 = t19411 * t19357;
  t19415 = t149 * t19385;
  t19418 = t10029 * t302;
  t19419 = t696 * t19418;
  t19424 = 0.4e1 / 0.3e1 * t13509 * t4114 + 0.4e1 / 0.3e1 * t2687 * t16763 + 0.2e1 / 0.3e1 * t2687 * t19397 - 0.5e1 / 0.18e2 * t13392 * t19400 - 0.2e1 / 0.9e1 * t19403 * t4117 - 0.2e1 / 0.9e1 * t4084 * t16767 - t4084 * t19408 / 0.9e1 - t19356 * t19412 / 0.9e1 + 0.6e1 * t4105 * t19415 - 0.12e2 * t19419 * t19369 + 0.4e1 * t13537 * t4109 - t16965;
  t19425 = t4078 * t1418;
  t19426 = t414 * t19425;
  t19429 = t10106 * t134;
  t19430 = t236 * t19429;
  t19431 = t149 * t19357;
  t19434 = t149 * t19425;
  t19437 = t427 * t19425;
  t19442 = t236 * t16773;
  t19447 = t1845 * t19385;
  t19452 = -t16966 - t16967 + t16972 - 0.2e1 * t13421 * t19426 - 0.24e2 * t19430 * t19431 - 0.4e1 * t13549 * t19434 + 0.12e2 * t13421 * t19437 - 0.6e1 * t13546 * t16721 - 0.6e1 * t19442 * t16776 + 0.6e1 * t4084 * t19386 - 0.2e1 / 0.3e1 * t4084 * t19447 - 0.2e1 * t2687 * t16728 - t16980;
  t19464 = -0.4e1 * t13509 * t3592 - 0.4e1 * t16784 * t2687 + 0.12e2 * t17167 * t4084 + 0.12e2 * t19403 * t4090 + t3676 * t691 - t16990 - t16993 + t17040 + t17041 - t17042 + t17066 + t3703;
  t19465 = t427 * t19357;
  t19474 = t427 * t19385;
  t19477 = t149 * t17980;
  t19488 = t427 * t17980;
  t19491 = 0.72e2 * t19419 * t19465 + 0.8e1 * t19368 * t19358 + 0.12e2 * t13500 * t16724 + 0.2e1 / 0.3e1 * t13392 * t16731 - t17123 + t17142 - 0.12e2 * t4077 * t19474 + 0.6e1 * t13546 * t19477 - 0.4e1 / 0.3e1 * t19403 * t4085 - 0.24e2 * t4077 * t17183 - 0.4e1 / 0.3e1 * t4084 * t17188 - 0.24e2 * t19380 * t4080 - 0.22e2 * t13500 * t19488;
  t19501 = t16824 * t17980;
  t19504 = t1845 * t62;
  t19505 = t19504 * t17980;
  t19510 = t1857 * t62;
  t19511 = t19510 * t17980;
  t19514 = t16820 * t17980;
  t19517 = t16829 * t17980;
  t19524 = -0.5e1 * t13421 * t17180 + 0.15e2 * t13392 * t19377 + 0.4e1 * t13549 * t16770 - 0.5e1 / 0.3e1 * t13421 * t16830 + 0.44e2 * t13500 * t19501 + 0.1e2 / 0.3e1 * t13392 * t19505 - 0.8e1 * t13549 * t16821 + 0.5e1 / 0.9e1 * t13392 * t19511 - 0.12e2 * t13546 * t19514 - 0.22e2 / 0.3e1 * t13500 * t19517 + 0.1e2 * t13421 * t16825 - 0.3e2 * t13392 * t19517;
  t19543 = -t962 + t237 * t17149 / 0.2e1 + t13468 * t1036 + 0.2e1 * t2720 * t3705 + t693 * t17152 + t2749 * t966 / 0.2e1 + t943 - t13412 * t1040 - 0.2e1 * t2726 * t3698 - t697 * t17143 + 0.2e1 / 0.3e1 * t13412 * t1033 + 0.4e1 / 0.3e1 * t2726 * t3683 + 0.2e1 / 0.3e1 * t697 * t16911;
  t19552 = -t610 * t2627 - t610 * t2630 / 0.2e1 - t2243 * t742 - t162 * t13156 * t1057 / 0.2e1 - t162 * t2626 * t3553 - t2565 * t3421 / 0.9e1 - t546 * t19128 / 0.6e1 + t671 * t11338 / 0.3e1 - t671 * t16202 / 0.6e1 + t610 * t2790 / 0.2e1 - t22 * t59 * (t19162 + t19190 + t19215 + t19240 + t19272 + t19304 + t19334 + t19348 + t19352 + t19391 + t19424 + t19452 + t19464 + t19491 + t19524 + t19543) * t96 / 0.4e1;
  t19570 = t548 * t18252;
  t19575 = 0.2e1 / 0.9e1 * t12238 * t1016 + 0.2e1 / 0.9e1 * t2565 * t4232 + 0.2e1 / 0.9e1 * t2565 * t3503 + t2844 * t932 / 0.12e2 - t671 * t16475 / 0.6e1 - t671 * t16468 / 0.12e2 - t2529 * t4034 / 0.6e1 - t2529 * t3791 / 0.6e1 - t671 * t19570 / 0.12e2 + t1713 * t1061 / 0.18e2 + t17537;
  t19592 = t17539 - t17541 + t17542 + t671 * t11353 / 0.3e1 - t2529 * t3489 / 0.3e1 + t233 * t15758 / 0.12e2 - t12264 * t1010 / 0.6e1 - t2529 * t4039 / 0.3e1 + t661 * t3484 / 0.6e1 + t233 * t16601 / 0.12e2 + t233 * t15753 / 0.6e1;
  t19599 = my_piecewise3(t3, 0, -t2004 * t697 * t16401 + 0.3e1 * t3980 * t13396 * t18463 - t162 * t741 * t17291 / 0.2e1 + 0.15e2 * t2022 * t2701 * t18836 + 0.11e2 * t2004 * t2708 * t18054 - 0.2e1 * t1397 * t2475 * t18064 - 0.6e1 * t1397 * t12642 * t18069 + t18175 + t18938 + t18147 + 0.2e1 / 0.9e1 * t9069 * t7338 + t719 * t2053 / 0.4e1 - 0.35e2 / 0.3e1 * t11669 * t18060 + 0.15e2 / 0.2e1 * t11669 * t18833 - t2822 * t641 / 0.6e1 - 0.11e2 / 0.18e2 * t2520 * t16697 + 0.23e2 / 0.36e2 * t2520 * t16641 + 0.23e2 / 0.36e2 * t2040 * t18645 + t18648 * t3983 - 0.2e1 * t11676 * t3987 + t10556 * t3993 - t525 * t2827 / 0.18e2 - t2270 * t686 / 0.18e2 - t17554 * t2012 + t13326 * t2002 + t10768 * t4004 - 0.5e1 / 0.18e2 * t3933 * t17417 - t2471 * t18470 / 0.6e1 + t2471 * t18473 / 0.3e1 - 0.5e1 / 0.18e2 * t3933 * t18476 + t19575 + t18775 + t18824 + t18827 + t18334 + t18543 + t19066 + t18871 - t16640 + t18278 + t19025 + t18430 + t18404 + t17674 + t17718 + t18248 - t15485 + t17816 + t19073 + t15482 + t18739 + t18892 + t17604 + t19088 + t18382 + t17642 + t18591 + t19552 + t19116 + t18123 + t19592 + t15504 + t16622 + t16624 - t16626 + t18510 - t16633 + t18352 + t17790 + t18310 + t17978 - 0.5e1 / 0.18e2 * t17677 * t4209 - t12631 * t4212 / 0.6e1 + t12631 * t4206 / 0.3e1 - t3933 * t18073 - 0.11e2 / 0.6e1 * t3956 * t18076 + 0.25e2 / 0.36e2 * t3933 * t18079 + t2471 * t18083 / 0.3e1 + t1961 * t17558 / 0.2e1 - 0.3e1 / 0.2e1 * t17561 * t2006 + 0.3e1 / 0.2e1 * t17564 * t2027 + t2471 * t16054 / 0.4e1 + t1978 * t17832 / 0.3e1 + 0.2e1 / 0.3e1 * t9476 * t17835 - t9476 * t17838 - t13326 * t2018 / 0.2e1 + t17561 * t2031 - t13326 * t2015 - t11390 * t2504 + 0.2e1 / 0.3e1 * t9476 * t17821 - 0.3e1 * t11669 * t17825 - t1978 * t17828 / 0.3e1 + t15508 + t18224 + t18577 + t17754 + t18632 + t18198 + t18609 + t18098 + t19041 + t18908 + t18716 + t18013 + t18455 + t18799 + t17871 + t17896 - t16636 - t16638 + t16619 + t18566 + t18045 + t18687 + t17929 + t18965 + t18997 + t17956);
  tv4rho2sigmalapl0 = 0.2e1 * rho[0] * t19599 + 0.4e1 * t4339;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 0] += tv4rho2sigmalapl0;

  t19605 = t103 * t3211;
  t19608 = t22 * t15169;
  t19618 = t15482 - t15485 + t15504 + t15508 + t4510 * t16135 / 0.2e1 - 0.5e1 / 0.54e2 * t19605 * t4209 + 0.5e1 / 0.3e1 * t19608 * t17648 - t13740 * t4212 / 0.18e2 + t18648 * t4440 - t19605 * t3936 / 0.3e1 + t4503 * t17878 + t4503 * t15745;
  t19631 = t22 * t15198;
  t19635 = t22 * t15157;
  t19641 = t500 * t7313;
  t19646 = t4503 * t18206 / 0.2e1 + t3162 * t16447 / 0.3e1 + t13740 * t4206 / 0.9e1 - t3162 * t17885 / 0.3e1 - t3162 * t16444 / 0.3e1 - t3162 * t18209 / 0.6e1 + t19631 * t4198 + 0.11e2 / 0.18e2 * t4482 * t17530 - 0.61e2 / 0.27e2 * t19635 * t18524 + 0.44e2 / 0.27e2 * t19635 * t18518 - t4503 * t16165 + 0.14e2 / 0.3e1 * t11669 * t17857 * t19641 + t9509 * t4534;
  t19663 = t3961 * t19641;
  t19666 = t1733 * t7313;
  t19680 = t22 * t15153;
  t19683 = -0.6e1 * t2004 * t15198 * t3996 - 0.2e1 * t2004 * t3220 * t4015 + t13856 * t4203 / 0.3e1 + t3162 * t17880 / 0.3e1 + t3162 * t18307 / 0.6e1 - 0.3e1 * t2004 * t3214 * t18769 - 0.28e2 * t17926 * t19663 - 0.62e2 / 0.3e1 * t18752 * t17701 * t19666 - 0.3e1 * t2022 * t3211 * t18537 + 0.8e1 * t18752 * t17706 * t3978 * t7313 + 0.3e1 / 0.2e1 * t3980 * t3211 * t18547 - 0.6e1 * t19680 * t17671;
  t19699 = t22 * t15161;
  t19708 = t10594 * t7484;
  t19711 = -0.23e2 / 0.3e1 * t19608 * t18527 - 0.23e2 / 0.36e2 * t4482 * t17516 + 0.22e2 / 0.3e1 * t19608 * t18534 - t2004 * t3220 * t3444 - t10516 * t4741 + t2022 * t3220 * t16404 + 0.2e1 * t4503 * t15922 - 0.11e2 / 0.9e1 * t4482 * t15908 - 0.11e2 / 0.9e1 * t19699 * t3962 + 0.2e1 * t4503 * t17854 - 0.11e2 / 0.9e1 * t4482 * t17858 - t9509 * t4531 / 0.2e1 + 0.2e1 / 0.3e1 * t9476 * t19708;
  t19719 = t2986 * t531;
  t19726 = t13779 * t206;
  t19730 = t869 * t205;
  t19732 = t1962 * t1395 * t19730;
  t19736 = t287 * t323;
  t19737 = t169 * t19736;
  t19738 = t1982 * t19737;
  t19752 = -0.2e1 * t10516 * t4674 - t1397 * t2986 * t2071 * t636 - t1397 * t19719 * t334 / 0.2e1 - t1397 * t13779 * t536 * t636 - t1397 * t19726 * t334 / 0.2e1 + 0.2e1 / 0.3e1 * t9476 * t19732 - t9509 * t4527 - t10674 * t19738 / 0.2e1 + t9576 * t4534 / 0.3e1 + t1397 * t4530 * t1647 / 0.2e1 + 0.3e1 / 0.2e1 * t1397 * t2986 * t544 * t2138 + t3168 * t16132 / 0.2e1;
  t19753 = t287 * t530;
  t19755 = t1962 * t1395 * t19753;
  t19766 = t3965 * t19666;
  t19768 = t1962 * t19641;
  t19783 = 0.2e1 / 0.3e1 * t9476 * t19755 - 0.6e1 * t10516 * t4447 + 0.2e1 / 0.3e1 * t2874 * t11696 + t2874 * t11707 / 0.3e1 - t1993 * t14967 / 0.6e1 - t17910 * t19766 - 0.4e1 / 0.3e1 * t18935 * t19768 + 0.2e1 / 0.3e1 * t13840 * t4251 - 0.4e1 / 0.9e1 * t13740 * t4247 + 0.2e1 / 0.3e1 * t2874 * t11711 - t2874 * t18786 / 0.3e1 - t2874 * t18160 / 0.6e1 - t2874 * t15912 / 0.3e1;
  t19810 = t500 * t4450;
  t19811 = t10832 * t19810;
  t19817 = -0.4e1 / 0.3e1 * t2874 * t11702 - 0.4e1 / 0.3e1 * t2874 * t11660 - 0.2e1 / 0.3e1 * t2874 * t12208 - t13840 * t4222 / 0.3e1 + 0.23e2 / 0.54e2 * t19605 * t3966 - 0.4e1 / 0.3e1 * t13840 * t4247 + t2022 * t881 * t16711 / 0.2e1 + 0.3e1 / 0.2e1 * t10759 * t10615 * t1733 * t4450 - 0.38e2 / 0.9e1 * t19635 * t17741 - t2874 * t17513 / 0.3e1 + t2874 * t17527 / 0.6e1 - 0.7e1 / 0.3e1 * t10759 * t19811 - t2004 * t881 * t16704 / 0.2e1;
  t19831 = t548 * t3364 * t1000;
  t19837 = t548 * t608 * t5695;
  t19842 = 0.7e1 / 0.3e1 * t4482 * t11670 + 0.89e2 / 0.9e1 * t19635 * t18553 - t4482 * t18264 / 0.2e1 + t2243 * t796 - t2452 * t3031 + t610 * t3076 - t3389 * t2069 + t823 * t2174 - t10949 * t759 + 0.2e1 / 0.3e1 * t1641 * t19831 - t4722 * t335 / 0.4e1 + 0.2e1 / 0.3e1 * t1641 * t19837 - t2998 * t3489 / 0.3e1;
  t19869 = -t791 * t18253 / 0.6e1 - t791 * t15800 / 0.3e1 - t3366 * t637 - t3366 * t641 / 0.2e1 + t259 * t16601 / 0.12e2 + t259 * t15753 / 0.6e1 + t813 * t3484 / 0.6e1 - t791 * t15787 / 0.6e1 + t2917 * t3510 / 0.9e1 + t259 * t15758 / 0.12e2 - t14092 * t1010 / 0.6e1 - t2998 * t4039 / 0.3e1;
  t19874 = t13879 * t539;
  t19875 = t548 * t19874;
  t19892 = t608 * t3084;
  t19904 = t813 * t3804 / 0.6e1 - t208 * t14436 / 0.6e1 - t546 * t19875 / 0.6e1 + t2927 * t3510 / 0.3e1 + t813 * t2162 / 0.6e1 - t2998 * t3449 / 0.6e1 - t813 * t2158 / 0.6e1 + t791 * t11338 / 0.3e1 - t791 * t16202 / 0.6e1 + t610 * t3078 / 0.2e1 + 0.7e1 / 0.3e1 * t3083 * t2218 * t19892 + t162 * t2885 * t573 * t165 / 0.2e1 + t162 * t775 * t2291 * t165 / 0.4e1;
  t19929 = t548 * t4578;
  t19932 = t379 * t4585 / 0.2e1 + t379 * t4589 / 0.2e1 + t162 * t14372 * t211 * t165 / 0.4e1 + t1547 * t1126 / 0.4e1 + t379 * t4569 - t533 * t2908 / 0.6e1 - t533 * t2912 / 0.6e1 + t162 * t14112 * t1065 / 0.2e1 + t162 * t3030 * t3544 + t1547 * t1117 / 0.2e1 + t379 * t4566 - t368 * t19929 / 0.12e2;
  t19944 = t318 * t10855 * t775;
  t19964 = t2243 * t781 / 0.2e1 + t610 * t2887 / 0.2e1 + t610 * t2891 / 0.4e1 - t208 * t14444 / 0.12e2 - t356 * t4579 / 0.12e2 - t127 * t19944 / 0.6e1 - t208 * t14392 / 0.12e2 - t208 * t14398 / 0.6e1 + t162 * t758 * t15523 / 0.2e1 - t2263 * t777 / 0.12e2 - t162 * t767 * t15630 / 0.4e1 - t162 * t763 * t17291 / 0.2e1 - t1547 * t1114 / 0.4e1;
  t19981 = t318 * t2156 * t2885;
  t19992 = -t379 * t4537 / 0.2e1 - t379 * t4540 / 0.2e1 - t162 * t14082 * t1057 / 0.2e1 - t162 * t3036 * t3553 - t1547 * t1111 / 0.2e1 - t379 * t4557 - t379 * t4560 - t127 * t19981 / 0.6e1 + t387 * t4566 / 0.3e1 + t13976 * t1005 / 0.54e2 - t1689 * t4543 - t509 * t14112 * t1052 / 0.2e1;
  t20001 = t1099 * t66;
  t20003 = t305 * t20001 * t313;
  t20022 = t3219 * t4076;
  t20037 = t3210 * t19367;
  t20040 = 0.4e1 * t4349 * t16748 + 0.2e1 / 0.3e1 * t3197 * t16736 - 0.8e1 * t15368 * t4101 - 0.5e1 * t15344 * t17180 - 0.24e2 * t20022 * t4080 + 0.2e1 * t3200 * t16805 - 0.2e1 * t15352 * t16802 + 0.2e1 * t4349 * t16811 + t3197 * t16814 / 0.3e1 + t15349 * t16817 / 0.9e1 + 0.2e1 * t4360 * t19386 + 0.4e1 / 0.3e1 * t20037 * t19364;
  t20045 = t15156 * t19355;
  t20052 = t880 * t19418;
  t20067 = 0.2e1 / 0.3e1 * t3197 * t19397 - t4344 * t19408 / 0.9e1 - t20045 * t19412 / 0.9e1 - 0.4e1 * t3197 * t19331 + 0.6e1 * t4365 * t19415 - 0.12e2 * t20052 * t19369 + 0.2e1 * t3200 * t19374 - 0.8e1 * t3197 * t17170 - 0.2e1 * t3197 * t16728 + 0.6e1 * t4344 * t19386 - 0.12e2 * t4360 * t19474 - 0.2e1 / 0.3e1 * t4344 * t19447;
  t20086 = -t16781 + t16800 + t16801 + 0.2e2 / 0.3e1 * t3211 * t17005 + 0.1e2 / 0.3e1 * t15157 * t19250 - 0.8e1 / 0.3e1 * t3220 * t4162 - 0.8e1 / 0.3e1 * t881 * t17028 - 0.4e1 / 0.3e1 * t881 * t19228 - t263 * t16867 - 0.2e1 / 0.3e1 * t3220 * t3655 + t15161 * t4129 / 0.9e1 + 0.3e1 * t3211 * t17015;
  t20105 = -0.12e2 * t15157 * t19253 - t16837 - t16846 + t16857 + t16859 - 0.1e2 / 0.3e1 * t3211 * t17085 + 0.36e2 * t15169 * t19256 + 0.44e2 / 0.3e1 * t15352 * t19377 - 0.5e1 / 0.18e2 * t15349 * t19400 + 0.6e1 * t15338 * t19477 - 0.22e2 * t15352 * t19488 - 0.5e2 / 0.3e1 * t15349 * t19335 + 0.1e2 / 0.3e1 * t15344 * t17163;
  t20108 = t874 * t4104;
  t20121 = t15160 * t4083;
  t20126 = t874 * t3598;
  t20135 = 0.12e2 * t20108 * t4106 + 0.4e1 * t15357 * t4109 + 0.4e1 * t20022 * t4090 + 0.12e2 * t4365 * t16790 + 0.4e1 * t4360 * t17167 + 0.4e1 / 0.3e1 * t15368 * t4114 - 0.2e1 / 0.9e1 * t20121 * t4117 + 0.4e1 * t15341 * t16770 + 0.4e1 * t20126 * t3601 + 0.2e1 / 0.3e1 * t15368 * t3604 + 0.4e1 * t3200 * t16744 + 0.4e1 * t3200 * t16795;
  t20159 = 0.4e1 / 0.3e1 * t3197 * t16763 - 0.2e1 / 0.9e1 * t4344 * t16767 + 0.4e1 * t15357 * t3595 + 0.72e2 * t20052 * t19465 + 0.8e1 * t20037 * t19358 + 0.12e2 * t15352 * t16724 + 0.2e1 / 0.3e1 * t15349 * t16731 + 0.8e1 / 0.3e1 * t20045 * t19364 - 0.6e1 * t15349 * t16802 + 0.24e2 * t20045 * t19358 - 0.4e1 / 0.3e1 * t20045 * t19361 + t877 * t17152;
  t20182 = t3271 * t966 / 0.2e1 - 0.2e1 * t3220 * t3698 - t881 * t17143 + 0.2e1 / 0.3e1 * t15190 * t1033 + 0.4e1 / 0.3e1 * t3220 * t3683 + 0.2e1 / 0.3e1 * t881 * t16911 + t15183 * t1036 + 0.2e1 * t3246 * t3705 - t881 * t16874 / 0.3e1 + t3211 * t16878 / 0.9e1 + t3211 * t19301 / 0.18e2 - t3271 * t953;
  t20200 = -0.2e1 * t875 * t3637 - 0.4e1 / 0.3e1 * t3220 * t3640 + 0.6e1 * t3214 * t19176 + t881 * t17083 - 0.3e1 * t3211 * t19212 + t16900 - t16902 + t16904 + t16906 - 0.2e1 * t877 * t16928 - 0.8e1 * t3214 * t17037 - 0.4e1 * t3214 * t19292 - 0.2e1 / 0.3e1 * t15169 * t19224;
  t20224 = -t15190 * t1025 / 0.3e1 - 0.6e1 * t15201 * t4165 - 0.6e1 * t3227 * t17031 - 0.3e1 * t3227 * t19261 + 0.24e2 * t15153 * t19221 - 0.2e1 * t3246 * t4168 - 0.2e1 * t877 * t17034 - t877 * t19264 - 0.2e1 * t3246 * t3647 - 0.2e1 * t877 * t17088 - t877 * t17091 + t16920;
  t20231 = 0.4e1 * t17093 * t3214 - 0.2e1 * t17099 * t263 - 0.2e1 * t3650 * t875 - t16923 - t16925 - t16927 - t16934 + t16936 - t16938 - t16940 + t16945 + t16948;
  t20253 = 0.4e1 * t3220 * t4149 + 0.4e1 * t881 * t17012 + 0.2e1 * t881 * t19235 + 0.2e2 / 0.3e1 * t15161 * t4159 + 0.1e2 / 0.3e1 * t3211 * t19247 + t16955 + 0.3e1 * t263 * t17044 - t15190 * t1040 + t875 * t3676 + 0.12e2 * t20121 * t4090 + 0.12e2 * t4344 * t17167 + 0.12e2 * t15344 * t19437;
  t20254 = t262 * t19429;
  t20269 = t262 * t16773;
  t20276 = -0.24e2 * t20254 * t19431 - 0.4e1 / 0.3e1 * t20121 * t4085 - 0.4e1 / 0.3e1 * t4344 * t17188 - 0.4e1 * t15368 * t3592 - 0.4e1 * t3197 * t16784 - 0.72e2 * t20037 * t19369 - 0.6e1 * t15338 * t16721 - 0.6e1 * t20269 * t16776 - 0.4e1 * t15341 * t19434 - 0.2e1 * t15344 * t19426 - t16965 - t16966 - t16967;
  t20285 = -0.6e1 * t15161 * t4179 + 0.2e1 * t17077 * t881 + 0.2e1 * t3220 * t3643 + t16972 - t16980 - t16990 - t16993 + t17040 + t17041 - t17042 + t17066 + t3703;
  t20311 = -0.6e1 * t3211 * t17067 - 0.36e2 * t15153 * t19143 - 0.6e1 * t3214 * t17053 + 0.5e2 / 0.3e1 * t15157 * t19216 + 0.4e1 * t881 * t19274 + 0.12e2 * t15164 * t19277 + 0.2e1 * t877 * t19280 + 0.3e1 * t3227 * t17049 - 0.6e1 * t881 * t19285 - 0.4e2 * t15169 * t19179 - t263 * t17103 - 0.2e1 * t15183 * t1022 - 0.4e1 * t3246 * t3616;
  t20333 = -0.8e1 * t15198 * t4122 - t17123 + t17142 - 0.12e2 * t15338 * t19514 - 0.5e1 / 0.3e1 * t15344 * t16830 - 0.8e1 * t15341 * t16821 - 0.22e2 / 0.3e1 * t15352 * t19517 + 0.5e1 / 0.9e1 * t15349 * t19511 + 0.44e2 * t15352 * t19501 + 0.1e2 / 0.3e1 * t15349 * t19505 + 0.1e2 * t15344 * t16825 - 0.3e2 * t15349 * t19517;
  t20356 = t263 * t17149 / 0.2e1 - 0.24e2 * t4360 * t17183 + 0.15e2 * t15349 * t19377 - t962 + t943 + 0.12e2 * t15198 * t4174 + 0.12e2 * t3214 * t17008 - 0.4e1 / 0.3e1 * t881 * t16957 - 0.2e1 / 0.3e1 * t881 * t16995 - t3211 * t16999 / 0.18e2 + 0.2e1 * t15190 * t1029 + 0.4e1 * t3220 * t3627 + 0.2e1 * t881 * t17002;
  t20373 = -t509 * t3030 * t3528 - t162 * t14447 * t990 / 0.4e1 - t162 * t2896 * t3755 / 0.2e1 + t127 * t20003 / 0.12e2 + t387 * t4569 / 0.3e1 - t525 * t2912 / 0.18e2 - t525 * t2908 / 0.18e2 - t2270 * t777 / 0.18e2 - t22 * t59 * (t20040 + t20067 + t20086 + t20105 + t20135 + t20159 + t20182 + t20200 + t20224 + t20231 + t20253 + t20276 + t20285 + t20311 + t20333 + t20356) * t96 / 0.4e1 - 0.5e1 / 0.6e1 * t2874 * t15995 - t610 * t3092 / 0.2e1 + t2248 * t781 / 0.6e1 - t383 * t4579 / 0.18e2;
  t20387 = t2966 * t2043;
  t20388 = t555 * t20387;
  t20390 = t2218 * t20387;
  t20393 = t821 * t2043;
  t20394 = t2042 * t20393;
  t20403 = t2042 * t20387;
  t20406 = t493 * t4579 / 0.6e1 - t259 * t11229 / 0.12e2 - t387 * t4557 / 0.3e1 - t1728 * t1111 / 0.3e1 - 0.11e2 / 0.18e2 * t3007 * t16697 + 0.23e2 / 0.36e2 * t3007 * t16641 + t2406 * t20388 - 0.11e2 / 0.18e2 * t2040 * t20390 + 0.23e2 / 0.36e2 * t2040 * t20394 + t259 * t11225 / 0.12e2 + t208 * t13885 / 0.12e2 - t546 * t14207 / 0.12e2 - 0.5e1 / 0.36e2 * t2040 * t20403;
  t20433 = -t387 * t4560 / 0.3e1 + t14092 * t1016 / 0.3e1 + 0.2e1 / 0.3e1 * t2998 * t4232 + 0.2e1 / 0.3e1 * t2998 * t3503 + t791 * t11140 / 0.3e1 + 0.2e1 / 0.3e1 * t791 * t11364 - t791 * t15720 / 0.12e2 - 0.5e1 / 0.36e2 * t3007 * t15724 - t3331 * t932 / 0.54e2 - t1763 * t4543 / 0.3e1 - t1763 * t4546 / 0.3e1 - t387 * t4540 / 0.6e1 + t13976 * t1010 / 0.27e2;
  t20462 = -t208 * t14378 / 0.12e2 + t610 * t3295 / 0.2e1 - t2248 * t764 / 0.3e1 - t387 * t4537 / 0.6e1 - t1713 * t1126 / 0.18e2 - t9836 * t1108 / 0.3e1 + t2248 * t772 / 0.6e1 + 0.3e1 / 0.2e1 * t610 * t3301 - t2248 * t768 / 0.6e1 + t2185 * t4640 / 0.3e1 + t533 * t2968 / 0.6e1 - t2111 * t4613 / 0.6e1;
  t20469 = t318 * t19874;
  t20482 = t318 * t20387;
  t20491 = -t533 * t2972 / 0.6e1 - t3322 * t637 / 0.3e1 - t14307 * t1002 / 0.27e2 + t538 * t20469 / 0.3e1 + t208 * t13881 / 0.6e1 + t3366 * t627 / 0.2e1 + t525 * t2968 / 0.18e2 - t208 * t13928 / 0.6e1 + t2118 * t4640 / 0.9e1 - t2432 * t20482 / 0.2e1 + t823 * t2146 / 0.2e1 + t3322 * t627 / 0.6e1 + 0.3e1 / 0.2e1 * t823 * t2139;
  t20517 = -t3322 * t641 / 0.6e1 - t103 * t4523 / 0.6e1 - t103 * t4489 / 0.6e1 - t22 * t4429 * t194 / 0.2e1 - t103 * t4492 / 0.6e1 - 0.3e1 / 0.2e1 * t4482 * t11715 - 0.43e2 / 0.9e1 * t19635 * t18544 - 0.2e1 / 0.3e1 * t9476 * t10662 * t19810 - t9509 * t4671 / 0.2e1 + t10516 * t4685 + t10516 * t4668 - 0.2e1 * t4503 * t11655;
  t20525 = t256 * t530;
  t20526 = t500 * t20525;
  t20536 = t810 * t205;
  t20537 = t500 * t20536;
  t20538 = t3961 * t20537;
  t20543 = t10594 * t4598;
  t20548 = t869 * t122;
  t20549 = t169 * t20548;
  t20550 = t1982 * t20549;
  t20555 = t4503 * t18532 - 0.6e1 * t2004 * t3214 * t15672 - 0.2e1 * t2004 * t881 * t15676 + 0.14e2 / 0.3e1 * t11669 * t3961 * t20526 + t1397 * t2943 * t3544 + t10640 * t4660 / 0.3e1 + t10642 * t2993 / 0.6e1 + 0.14e2 / 0.3e1 * t11669 * t20538 + t1397 * t14765 * t1065 - t1961 * t20543 / 0.6e1 - t10562 * t4665 / 0.6e1 + t1978 * t20550 / 0.3e1 + t1993 * t13769 / 0.6e1;
  t20558 = t1962 * t20549;
  t20561 = t10589 * t4598;
  t20566 = t10598 * t2992;
  t20571 = t1879 * t269;
  t20572 = t20571 * t1970;
  t20575 = t409 * t269;
  t20576 = t20575 * t1983;
  t20588 = -t1961 * t20558 / 0.6e1 + t1978 * t20561 / 0.3e1 + t1993 * t13764 / 0.6e1 + t1403 * t20566 / 0.12e2 - t2874 * t16144 / 0.3e1 + t1961 * t20572 / 0.2e1 - t1961 * t20576 / 0.3e1 + t10516 * t4679 - 0.4e1 * t11652 * t10594 * t19641 - t9509 * t4682 + 0.3e1 * t10516 * t4676 - t11390 * t2988 / 0.4e1;
  t20597 = t1962 * t20537;
  t20613 = t103 * t3214;
  t20618 = t13748 * t4203 / 0.9e1 + t2874 * t17521 / 0.3e1 + t2874 * t16038 / 0.2e1 + t2004 * t3246 * t4258 - 0.4e1 * t11652 * t20597 - t1397 * t14605 * t1057 + 0.3e1 * t2004 * t15201 * t4254 + 0.2e1 / 0.9e1 * t13740 * t4219 + t3168 * t16679 / 0.6e1 + t3168 * t17257 / 0.12e2 + t3168 * t15919 / 0.6e1 + 0.2e1 / 0.3e1 * t20613 * t3990 + t2004 * t877 * t15689;
  t20639 = t3965 * t1733 * t20536;
  t20648 = t555 * t4578;
  t20655 = t2004 * t263 * t15693 - 0.2e1 / 0.3e1 * t9476 * t1974 * t500 * t256 * t3481 - t1397 * t2956 * t3755 / 0.2e1 + t13858 * t3406 / 0.6e1 - t1397 * t13817 * t990 / 0.2e1 + 0.2e1 * t2022 * t3220 * t2026 - 0.3e1 * t11669 * t20639 - t2011 * t14765 * t1052 - t2452 * t3175 / 0.2e1 + t610 * t2961 / 0.2e1 - t368 * t20648 / 0.6e1 + t1713 * t1114 / 0.18e2 - t1713 * t1117 / 0.9e1;
  t20662 = t548 * t19892;
  t20673 = t548 * t608 * t775;
  t20684 = t2440 * t777 / 0.54e2 + 0.3e1 * t2452 * t3305 + t823 * t2053 / 0.4e1 + 0.2e1 / 0.9e1 * t9069 * t20662 - t823 * t2064 / 0.2e1 - 0.2e1 * t9114 * t7425 - t823 * t2061 / 0.4e1 - t2243 * t764 + t368 * t20673 / 0.3e1 - 0.3e1 * t3389 * t2205 + 0.3e1 / 0.2e1 * t823 * t2088 + 0.3e1 / 0.2e1 * t10964 * t3181 - 0.3e1 * t2452 * t3184;
  t20688 = t2213 * t20387;
  t20691 = t2218 * t20393;
  t20704 = t1974 * t19737;
  t20707 = t287 * t69;
  t20708 = t20707 * t2038;
  t20721 = -t2040 * t20688 / 0.2e1 + 0.7e1 / 0.3e1 * t2040 * t20691 + t2927 * t3807 / 0.3e1 + t785 * t19095 / 0.6e1 - t22 * t604 * t870 / 0.2e1 - t22 * t218 * t3142 / 0.4e1 - t10541 * t20704 / 0.2e1 - 0.3e1 * t2011 * t20708 * t2204 + 0.6e1 * t2004 * t15157 * t17696 + 0.3e1 / 0.2e1 * t11419 * t20708 * t2099 + 0.18e2 * t3980 * t15157 * t17719 - t15764;
  t20734 = t287 * t349;
  t20735 = t169 * t20734;
  t20736 = t1962 * t20735;
  t20739 = t3965 * t19737;
  t20749 = t1982 * t20735;
  t20752 = -t15768 + t791 * t11353 / 0.3e1 - 0.3e1 * t823 * t2095 + 0.3e1 * t3389 * t2143 - 0.2e1 * t10556 * t4447 - 0.2e1 / 0.3e1 * t10556 * t4674 + 0.14e2 / 0.9e1 * t17910 * t19663 - t1961 * t20736 / 0.12e2 - 0.5e1 / 0.36e2 * t10541 * t20739 + t2004 * t263 * t15940 / 0.2e1 + t1993 * t13705 / 0.12e2 - t10559 * t4665 / 0.18e2 + t1978 * t20749 / 0.6e1;
  t20754 = t1962 * t19737;
  t20765 = t106 * t158 * t1099 * t506;
  t20770 = t496 * t1101;
  t20774 = t373 * t1100 * t500;
  t20783 = t382 * t4721;
  t20786 = t10579 * t20754 / 0.2e1 + t3331 * t569 / 0.54e2 + t15144 * t223 / 0.6e1 - t383 * t4737 / 0.18e2 - t20765 * t513 / 0.2e1 + t4722 * t517 / 0.2e1 - t368 * t20770 / 0.6e1 + t368 * t20774 / 0.3e1 - t14723 * t223 / 0.18e2 + t2440 * t818 / 0.54e2 - t4722 * t329 / 0.2e1 + t20783 * t166 / 0.6e1 + t15829;
  t20804 = t15850 - t15853 + t15888 - t15892 - t15896 + t785 * t16587 / 0.3e1 + t785 * t17325 / 0.6e1 + t1728 * t1117 / 0.3e1 + t387 * t4589 / 0.6e1 + t387 * t4585 / 0.6e1 + t1728 * t1126 / 0.6e1 - t3065 * t16011 / 0.2e1 + 0.47e2 / 0.3e1 * t18752 * t10615 * t19641;
  t20807 = t1996 * t20735;
  t20811 = t1962 * t1395 * t20734;
  t20834 = -t1961 * t20807 / 0.6e1 + t1961 * t20811 / 0.3e1 - t19699 * t3936 - t913 + t984 - t4510 * t18564 - 0.3e1 * t2022 * t3214 * t15740 + 0.3e1 * t2004 * t3214 * t16173 - 0.18e2 * t3980 * t15169 * t17630 + 0.36e2 * t2022 * t15169 * t17634 - 0.18e2 * t2022 * t15153 * t17622 + 0.18e2 * t2004 * t15153 * t17626;
  t20835 = t138 * t4430;
  t20840 = t106 * t158 * t4428 * t159;
  t20865 = -t127 * t20835 / 0.6e1 + t20840 * t166 / 0.2e1 + t3366 * t631 / 0.2e1 - t525 * t3361 / 0.18e2 - t2270 * t818 / 0.18e2 + t493 * t4737 / 0.6e1 - t806 * t2253 / 0.18e2 - t3373 * t569 / 0.18e2 - t259 * t11068 / 0.12e2 - t3352 * t569 / 0.12e2 - t813 * t2253 / 0.6e1 - t208 * t14726 / 0.12e2 - t2263 * t818 / 0.12e2;
  t20873 = t373 * t1101;
  t20890 = -t533 * t3361 / 0.6e1 + t4722 * t351 / 0.4e1 + t14731 * t223 / 0.4e1 - t368 * t20873 / 0.12e2 - t356 * t4737 / 0.12e2 + t2243 * t829 / 0.2e1 + t610 * t3337 / 0.4e1 + t823 * t2234 / 0.4e1 + t11032 * t274 / 0.4e1 + t15948 - t15949 - t806 * t2158 / 0.18e2 - t259 * t11514 / 0.6e1;
  t20902 = t22 * t269 * t2009;
  t20916 = -t2900 * t3449 / 0.18e2 + t2936 * t17328 / 0.2e1 + t806 * t2162 / 0.18e2 - t2105 * t4613 / 0.18e2 - t525 * t2972 / 0.18e2 - t20902 * t2012 + t14865 * t2002 + t13740 * t3432 / 0.9e1 - t2874 * t17729 - t13856 * t4195 / 0.3e1 + 0.5e1 / 0.36e2 * t4482 * t15812 + t2874 * t15945 / 0.12e2 + t2874 * t17509 / 0.6e1;
  t20929 = t548 * t821 * t3487;
  t20948 = t2874 * t16676 / 0.6e1 + t13840 * t3401 / 0.6e1 + t1713 * t1111 / 0.9e1 + 0.2e1 / 0.3e1 * t1641 * t20929 + t11676 * t4452 / 0.3e1 + t13840 * t4206 / 0.3e1 + t2874 * t18473 / 0.3e1 + t2874 * t15749 / 0.3e1 + t2874 * t18151 / 0.6e1 - 0.3e1 / 0.2e1 * t2004 * t263 * t16154 - t9576 * t4671 / 0.6e1 - t14687 * t623;
  t20963 = t555 * t14206;
  t20976 = t555 * t19874;
  t20979 = 0.2e1 / 0.9e1 * t9069 * t7425 - 0.3e1 / 0.2e1 * t3083 * t2042 * t2450 * t3084 - t2452 * t3033 / 0.2e1 + t823 * t2418 / 0.2e1 - t3389 * t2058 / 0.2e1 + t546 * t14317 / 0.3e1 - t546 * t20963 / 0.6e1 - t10926 * t759 / 0.3e1 + t2248 * t796 / 0.3e1 - t14982 * t623 / 0.3e1 - t791 * t16067 / 0.3e1 - t2998 * t3421 / 0.3e1 - t546 * t20976 / 0.3e1;
  t21001 = t2991 * t122;
  t21002 = t169 * t21001;
  t21003 = t1968 * t21002;
  t21006 = t3366 * t646 - t2111 * t4764 / 0.3e1 - 0.3e1 * t610 * t3314 + t10556 * t4668 / 0.3e1 + t486 * t1122 / 0.18e2 - t16065 + 0.23e2 / 0.18e2 * t4482 * t17847 + 0.23e2 / 0.18e2 * t19699 * t3966 - t2874 * t16715 / 0.6e1 + t3162 * t16058 / 0.3e1 + 0.3e1 * t1397 * t14912 * t17991 + t1961 * t21003 / 0.2e1;
  t21039 = t2042 * t3387 * t2043;
  t21044 = -0.5e1 / 0.2e1 * t2022 * t881 * t15897 + 0.5e1 / 0.2e1 * t2004 * t881 * t17225 + t2011 * t2943 * t15902 + 0.3e1 / 0.2e1 * t2011 * t4434 * t12197 - 0.3e1 / 0.2e1 * t1397 * t4434 * t12177 - 0.6e1 * t2011 * t14912 * t17986 - 0.15e2 / 0.2e1 * t2004 * t3211 * t17981 - 0.11e2 * t2022 * t3214 * t18578 - 0.15e2 / 0.2e1 * t3980 * t3211 * t18582 - t1397 * t2943 * t17230 + 0.15e2 * t2022 * t3211 * t18836 - 0.3e1 / 0.2e1 * t2040 * t21039 + 0.3e1 / 0.2e1 * t14675 * t2100;
  t21063 = t22 * t15164;
  t21068 = t22 * t14669;
  t21071 = t2022 * t881 * t17903 - t2011 * t14921 * t1052 / 0.2e1 + 0.6e1 * t2022 * t3214 * t16415 + t10768 * t4452 - 0.18e2 * t2004 * t15169 * t17723 + 0.2e1 * t19631 * t3990 + 0.23e2 / 0.18e2 * t4482 * t17482 + 0.2e1 * t21063 * t17586 - t2874 * t17639 / 0.2e1 - t16077 + t16078 + 0.3e1 / 0.2e1 * t21068 * t2027;
  t21072 = t22 * t3383;
  t21087 = -0.3e1 / 0.2e1 * t21072 * t2006 + t16098 + 0.2e1 * t10768 * t4692 - 0.3e1 * t11669 * t17824 * t19666 - t10746 * t4755 - t9476 * t16053 * t13672 - t11390 * t2957 / 0.2e1 + t15841 * t2954 - t11390 * t2952 - t3574 - t16111 - t16140 + t16142;
  t21115 = t16183 + t16228 - 0.3e1 * t2022 * t881 * t17612 - t11685 * t4755 / 0.3e1 - t13740 * t4222 / 0.9e1 + 0.2e1 / 0.9e1 * t13740 * t4251 + 0.2e1 * t2022 * t881 * t15873 - 0.3e1 * t11669 * t3965 * t1733 * t20525 - t2011 * t2943 * t3528 - t13856 * t3579 / 0.3e1 - t3162 * t17505 / 0.3e1 - t3162 * t16486 / 0.3e1 - t3162 * t17250 / 0.6e1;
  t21125 = t3965 * t2009 * t19736;
  t21128 = t1395 * t19736;
  t21129 = t3961 * t21128;
  t21132 = -t4503 * t16149 / 0.2e1 - t2011 * t4434 * t2057 / 0.2e1 + t1397 * t4434 * t2417 / 0.2e1 - t16243 + t16282 - t16285 - t16298 - t16323 - t16330 - t16335 + t16337 - 0.3e1 / 0.2e1 * t10541 * t21125 + 0.7e1 / 0.3e1 * t10541 * t21129;
  t21146 = -t16342 + t16365 - t16368 - 0.2e1 * t11676 * t4444 + t10556 * t4594 + t16431 + t9576 * t4435 / 0.3e1 - t10559 * t4599 / 0.9e1 + t16433 + t16436 - 0.18e2 * t2022 * t15157 * t17692 - t16438;
  t21171 = t2936 * t16107 + 0.3e1 / 0.2e1 * t610 * t3187 - t3007 * t16265 / 0.2e1 + t785 * t16590 / 0.6e1 - t14092 * t1005 / 0.12e2 - t2998 * t4034 / 0.6e1 - t2998 * t3791 / 0.6e1 - t791 * t19570 / 0.12e2 - t791 * t16475 / 0.6e1 - t791 * t16468 / 0.12e2 + 0.25e2 / 0.36e2 * t4482 * t18079 - 0.5e1 / 0.18e2 * t4482 * t18018 + t21072 * t2031;
  t21178 = t103 * t3227;
  t21181 = t22 * t15201;
  t21198 = -t14865 * t2015 - t4510 * t17883 - t4510 * t17493 - t4510 * t18214 / 0.2e1 - t21178 * t4191 / 0.3e1 - t21181 * t4191 - t22 * t1100 * t481 / 0.4e1 - t2874 * t18144 / 0.12e2 - t2874 * t17490 / 0.6e1 - 0.11e2 / 0.27e2 * t19605 * t3962 + 0.2e1 / 0.3e1 * t13840 * t4219 + 0.2e1 / 0.3e1 * t2874 * t18167 + 0.2e1 / 0.3e1 * t2874 * t16482;
  t21226 = t2874 * t18172 / 0.3e1 - 0.5e1 / 0.18e2 * t19699 * t4209 - t3168 * t17247 / 0.6e1 + 0.6e1 * t19608 * t17738 + t486 * t1101 / 0.18e2 + t2874 * t18083 / 0.3e1 + 0.2e1 / 0.3e1 * t3162 * t17233 + t4503 * t18852 - 0.2e1 / 0.27e2 * t13976 * t1016 + t9975 * t1108 / 0.9e1 + 0.2e1 / 0.3e1 * t1641 * t548 * t2241 * t3084 + t14429 * t1002 / 0.6e1 + t2927 * t4026 / 0.3e1;
  t21233 = t548 * t20387;
  t21252 = t3352 * t932 / 0.12e2 + t538 * t14369 / 0.6e1 + t2406 * t21233 / 0.2e1 + t785 * t17322 / 0.3e1 + t259 * t10861 / 0.6e1 - t791 * t15713 / 0.6e1 - t259 * t10857 / 0.6e1 - t4482 * t19060 + t16498 + 0.3e1 * t2004 * t881 * t17643 + t10556 * t4676 - 0.6e1 * t2004 * t15164 * t17577;
  t21259 = t3961 * t19737;
  t21262 = t3965 * t21128;
  t21265 = t4433 * t2091;
  t21269 = t1996 * t19737;
  t21274 = t145 * t269;
  t21275 = t21274 * t1983;
  t21284 = -t2004 * t877 * t17581 + t10556 * t4679 / 0.3e1 - t9576 * t4682 / 0.3e1 - 0.11e2 / 0.18e2 * t10541 * t21259 + 0.23e2 / 0.36e2 * t10541 * t21262 - 0.3e1 * t1397 * t21265 * t2094 + t10579 * t21269 + 0.3e1 * t2011 * t21265 * t2142 + t1978 * t21275 / 0.3e1 + 0.3e1 / 0.2e1 * t2004 * t3211 * t18556 - t16560 + t16561 - t1397 * t4530 * t1621 / 0.4e1;
  t21299 = -t9576 * t4527 / 0.3e1 - t9576 * t4531 / 0.6e1 + 0.2e1 / 0.9e1 * t11393 * t7485 + 0.2e1 / 0.3e1 * t9476 * t15878 * t13677 + 0.2e1 / 0.3e1 * t2874 * t19038 - 0.11e2 / 0.9e1 * t4482 * t19042 + t16576 - t16578 - t16605 + t16609 + t16611 + t16613 - t16615;
  t21308 = t16617 + t16619 + t16622 + t16624 - t16626 - t16633 - t16636 - t16638 - t16640 + t2874 * t16054 / 0.4e1 + t3168 * t10599 / 0.6e1 - t3162 * t16045 / 0.3e1 + t20613 * t4198 / 0.3e1;
  t21321 = t400 * t269;
  t21322 = t21321 * t1983;
  t21332 = t1756 * t269;
  t21333 = t21332 * t1970;
  t21336 = t21321 * t4250;
  t21339 = t14860 * t1970;
  t21342 = -0.3e1 * t19680 * t18865 - t13748 * t4195 / 0.9e1 + t3162 * t17593 / 0.3e1 + t1993 * t14861 / 0.6e1 - t1961 * t21322 / 0.6e1 - t4482 * t18073 + 0.5e1 / 0.2e1 * t4482 * t18586 + t2874 * t15998 / 0.3e1 - t10556 * t4741 / 0.3e1 + t1961 * t21333 / 0.4e1 + 0.2e1 / 0.3e1 * t9476 * t21336 - t1978 * t21339 / 0.3e1;
  t21343 = t21332 * t4246;
  t21359 = t869 * t362;
  t21360 = t21359 * t544;
  t21365 = t4433 * t2067;
  t21369 = -t9476 * t21343 - t14865 * t2018 / 0.2e1 - t17444 * t2944 + t11390 * t2981 + 0.3e1 * t18443 * t4440 + t4510 * t18562 + 0.6e1 * t2011 * t14991 * t17995 - 0.11e2 / 0.6e1 * t4503 * t18076 - t3162 * t18364 / 0.3e1 - t2011 * t21360 * t622 + t1397 * t21360 * t645 - t2011 * t21365 * t622 - t10746 * t4609;
  t21380 = t1974 * t19810;
  t21389 = 0.3e1 * t2022 * t3214 * t17921 + 0.18e2 * t17926 * t19766 + 0.23e2 / 0.36e2 * t4482 * t18271 - 0.11e2 / 0.18e2 * t4482 * t18521 - 0.2e1 / 0.9e1 * t11393 * t21380 + t2004 * t877 * t15816 / 0.2e1 + 0.2e1 * t10729 * t21380 + t9509 * t4435 - t3766 + t3769 + t16700 + t16701;
  t21405 = t810 * t929;
  t21407 = t1974 * t500 * t21405;
  t21415 = -t16702 - t16703 - t2900 * t3421 / 0.9e1 + t3322 * t646 / 0.3e1 - t2105 * t4764 / 0.9e1 - t4482 * t16034 + 0.2e1 * t2874 * t10709 + t13745 * t3406 / 0.18e2 + t2004 * t3246 * t3820 + t2004 * t875 * t3824 - 0.2e1 / 0.3e1 * t9476 * t21407 - t1397 * t4526 * t1605 / 0.2e1 - 0.2e1 * t10729 * t7485;
  t21450 = -0.6e1 * t2022 * t15161 * t18131 + 0.3e1 * t2004 * t15161 * t3992 - 0.6e1 * t2022 * t3211 * t16386 + 0.3e1 * t2004 * t3211 * t16390 - t10562 * t4599 / 0.3e1 + t1397 * t21365 * t645 - 0.6e1 * t10768 * t4444 - 0.3e1 / 0.2e1 * t2004 * t3211 * t16120 + t4482 * t16124 / 0.2e1 + 0.3e1 / 0.2e1 * t1397 * t20708 * t2087 - 0.6e1 * t17713 * t15157 * t17714 + 0.3e1 * t2022 * t3211 * t16116;
  t21462 = t13676 * t205;
  t21463 = t1395 * t21462;
  t21467 = t7284 * t312;
  t21469 = t1974 * t1395 * t21467;
  t21475 = t1974 * t21002;
  t21478 = t1404 * t21002;
  t21485 = -0.2e1 * t19635 * t17735 - 0.3e1 / 0.2e1 * t3980 * t3211 * t16112 - t17217 - 0.6e1 * t1397 * t14991 * t18069 - 0.2e1 * t1397 * t2943 * t18064 + 0.14e2 / 0.3e1 * t11669 * t3961 * t21463 - t9476 * t21469 + t1397 * t4526 * t12202 - 0.5e1 / 0.12e2 * t2874 * t15646 + t1961 * t21475 / 0.4e1 - t1978 * t21478 / 0.3e1 - t610 * t2897 / 0.2e1 - t610 * t3059 / 0.4e1;
  t21512 = -t610 * t3037 - t610 * t3039 / 0.2e1 - 0.2e1 * t9114 * t20662 - t1728 * t1114 / 0.6e1 + 0.2e1 / 0.9e1 * t14066 * t1016 + 0.2e1 / 0.9e1 * t2900 * t4232 + 0.2e1 / 0.9e1 * t2900 * t3503 - t14066 * t1010 / 0.9e1 - t2900 * t4039 / 0.9e1 - t1689 * t4546 - t509 * t758 * t15971 / 0.2e1 + t2248 * t829 / 0.6e1 + t10992 * t274 / 0.6e1;
  t21524 = t10547 * t4598;
  t21527 = t1996 * t20549;
  t21530 = t3322 * t631 / 0.6e1 - t11014 * t274 / 0.18e2 - t17266 - t17268 + t17270 + t17272 - t17274 - t17276 + t2004 * t877 * t16651 + 0.6e1 * t10768 * t4689 + 0.6e1 * t2022 * t15198 * t17914 - t1961 * t21524 / 0.3e1 - t1961 * t21527 / 0.3e1;
  t21545 = t318 * t20001 * t296;
  t21562 = 0.3e1 * t10516 * t4594 - 0.4e1 * t11652 * t1962 * t20526 - t1397 * t2951 * t3553 + 0.3e1 * t2004 * t3227 * t16647 - t127 * t21545 / 0.6e1 + t4722 * t298 / 0.2e1 + t2243 * t772 / 0.2e1 + t610 * t3045 / 0.4e1 + t610 * t3049 / 0.2e1 - t9933 * t1108 / 0.2e1 - t2243 * t768 / 0.2e1 - 0.11e2 / 0.3e1 * t4503 * t19045;
  t21592 = 0.55e2 / 0.18e2 * t4482 * t19035 + t1397 * t2951 * t15984 - 0.2e1 / 0.3e1 * t9476 * t1974 * t1395 * t13676 * t929 - 0.2e1 * t2004 * t877 * t15655 + 0.5e1 / 0.3e1 * t9476 * t10706 * t500 * t4450 * t312 + t1397 * t2956 * t15988 - t3162 * t17236 / 0.3e1 - t3168 * t17241 / 0.3e1 + t2874 * t15651 / 0.6e1 - 0.115e3 / 0.36e2 * t4482 * t18916 + 0.2e1 * t4503 * t19052 + t17386 + t17389;
  t21613 = -t17392 - t17396 + t17413 - t17416 - t11685 * t4609 / 0.3e1 + t1397 * t14921 * t1065 / 0.2e1 + t10816 * t4660 / 0.9e1 + t12173 * t2993 / 0.18e2 + t2022 * t881 * t16398 - t2004 * t881 * t16401 + 0.3e1 * t3980 * t15161 * t18463 + 0.3e1 * t3980 * t3211 * t17439 - t17422;
  t21617 = t7313 * t312;
  t21618 = t500 * t21617;
  t21645 = t17424 + t17428 - t17451 + 0.11e2 * t2004 * t3214 * t18054 - 0.35e2 / 0.3e1 * t11669 * t10832 * t21618 - 0.3e1 * t2004 * t3227 * t18984 + 0.3e1 * t1397 * t13724 * t18855 - 0.4e1 * t11652 * t1962 * t21463 + 0.22e2 / 0.3e1 * t11652 * t1974 * t21618 + t1397 * t2951 * t18860 + 0.15e2 / 0.2e1 * t11669 * t10615 * t1733 * t21617 + 0.2e1 * t2011 * t2943 * t18976 - 0.4e1 / 0.3e1 * t2874 * t12193;
  t21670 = 0.23e2 / 0.18e2 * t4482 * t18912 - 0.3e1 * t11669 * t3965 * t2009 * t21462 - t17475 - t17476 + t17477 + 0.3e1 * t11419 * t14912 * t18282 + t13840 * t3432 / 0.3e1 + t2874 * t17524 / 0.3e1 + 0.2e1 * t11676 * t4689 + 0.2e1 / 0.3e1 * t11676 * t4692 - 0.3e1 / 0.2e1 * t2004 * t3227 * t16159 + 0.3e1 / 0.2e1 * t17454 * t2948;
  t21696 = -0.3e1 / 0.2e1 * t15841 * t2983 + t823 * t2034 / 0.2e1 - t823 * t2073 - t823 * t2076 / 0.2e1 - t14066 * t1005 / 0.18e2 - t2900 * t4034 / 0.18e2 - t2900 * t3791 / 0.18e2 + t14484 * t1002 / 0.9e1 + t2917 * t4026 / 0.9e1 + t2917 * t3807 / 0.9e1 - t2900 * t3489 / 0.9e1 + t3373 * t932 / 0.18e2 + t806 * t3804 / 0.18e2;
  t21724 = t806 * t3484 / 0.18e2 - t13858 * t3585 / 0.3e1 - t3168 * t16673 / 0.3e1 - t3168 * t16490 / 0.3e1 - t13748 * t3579 / 0.9e1 - t13745 * t3585 / 0.9e1 + t13740 * t3401 / 0.18e2 - 0.5e1 / 0.18e2 * t4482 * t18476 - 0.5e1 / 0.18e2 * t4482 * t17417 - 0.5e1 / 0.36e2 * t4482 * t18155 - 0.35e2 / 0.108e3 * t19635 * t19068 - t13840 * t4212 / 0.6e1 - t2874 * t18470 / 0.6e1;
  t21748 = t17537 - t103 * t4430 / 0.6e1 - t1397 * t14610 * t1057 / 0.2e1 + t10556 * t4685 / 0.3e1 + 0.3e1 / 0.2e1 * t2004 * t3227 * t18294 + 0.12e2 * t18299 * t19768 + t2004 * t877 * t18406 / 0.2e1 - t2004 * t881 * t18393 - t1397 * t14614 * t990 / 0.4e1 - t22 * t2394 * t288 / 0.4e1 + t17539 - t17541 + t17542;
  t21755 = my_piecewise3(t3, 0, t21006 + t20462 + t19646 + t20588 + t19932 + t20786 + t20752 + t20834 + t19904 + t20721 + t19783 + t20373 + t19618 + t19842 + t20804 + t21044 + t20916 + t19964 + t20979 + t19752 + t20433 + t19817 + t19992 + t19869 + t20948 + t21645 + t20890 + t21696 + t20406 + t20555 + t21724 + t20618 + t20865 + t21748 + t21613 + t21592 + t20517 + t19711 + t21562 + t21530 + t21512 + t21485 + t21450 + t21415 + t21389 + t21369 + t21342 + t21308 + t21299 + t21284 + t20684 + t20655 + t21670 + t21252 + t21226 + t21198 + t19683 + t21171 + t21146 + t21071 + t21087 + t20491 + t21115 + t21132);
  tv4rho2sigmatau0 = 0.2e1 * rho[0] * t21755 + 0.4e1 * t4785;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 0] += tv4rho2sigmatau0;

  t21781 = t382 * t4799;
  t21794 = -t661 * t2779 / 0.3e1 - t233 * t13161 / 0.3e1 + t233 * t12250 / 0.6e1 - t2529 * t4277 / 0.3e1 - t671 * t18899 / 0.3e1 + 0.2e1 / 0.3e1 * t1140 * t9859 + t1140 * t9424 / 0.3e1 + t661 * t2787 / 0.3e1 + t233 * t12625 / 0.3e1 - 0.4e1 / 0.3e1 * t1140 * t9855 + 0.2e1 / 0.3e1 * t671 * t12541 + 0.23e2 / 0.54e2 * t21781 * t3727 - t233 * t13179 / 0.6e1 + 0.4e1 / 0.9e1 * t2565 * t4904 - t671 * t18512 / 0.6e1 - 0.5e1 / 0.18e2 * t2520 * t18486 + 0.2e1 / 0.3e1 * t2587 * t4272;
  t21805 = t1472 * t4902;
  t21806 = t555 * t21805;
  t21809 = t306 * t12539;
  t21810 = t555 * t21809;
  t21828 = t305 * t1472 * t4842;
  t21834 = t305 * t9364 * t1148;
  t21837 = -t1140 * t9421 / 0.6e1 + 0.2e1 / 0.9e1 * t2600 * t4272 - t1140 * t9865 / 0.3e1 + 0.2e1 / 0.3e1 * t1140 * t9862 + t1140 * t9411 / 0.3e1 - 0.2e1 / 0.3e1 * t671 * t21806 - t671 * t21810 / 0.3e1 + 0.4e1 / 0.3e1 * t671 * t12544 - t1140 * t9287 / 0.6e1 - t1140 * t9283 / 0.12e2 - 0.5e1 / 0.18e2 * t4800 * t16454 - 0.5e1 / 0.36e2 * t4800 * t16457 + 0.2e1 / 0.3e1 * t666 * t18431 + t666 * t18031 / 0.3e1 + t233 * t21828 / 0.6e1 + t661 * t4844 / 0.6e1 + t233 * t21834 / 0.12e2;
  t21843 = t1132 * t9777;
  t21845 = t106 * t9775 * t21843;
  t21848 = t1132 * t9768;
  t21849 = t1743 * t21848;
  t21857 = t510 * t4788;
  t21868 = t106 * t109 * t4793;
  t21878 = t1485 * t2527;
  t21883 = t1485 * t2546;
  t21888 = t9163 * t2518;
  t21904 = t307 * t2585;
  t21907 = t307 * t659;
  t21918 = -0.8e1 * t2494 + 0.8e1 / 0.3e1 * t21878 * t622 - 0.4e1 * t4820 * t1605 - 0.8e1 * t21883 * t2142 + 0.4e1 / 0.3e1 * t4823 * t2057 + 0.16e2 / 0.9e1 * t21888 * t2099 - 0.2e1 * t4826 * t1621 + 0.8e1 * t21878 * t645 - 0.2e1 * t2697 * t138 + 0.8e1 * t4820 * t12202 - 0.12e2 * t4823 * t12177 - 0.4e1 * t4823 * t12197 - 0.2e1 * t2498 - 0.8e1 * t21904 * t636 - 0.4e1 * t21907 * t334 - 0.24e2 * t21883 * t2094 + 0.32e2 / 0.3e1 * t21888 * t2204 + 0.12e2 * t21888 * t2087 + 0.4e1 * t4826 * t1647;
  t21922 = t307 * t669;
  t21936 = t2725 * t365;
  t21939 = t696 * t1581;
  t21942 = t2700 * t1533;
  t21945 = t236 * t365;
  t21954 = t690 * t326;
  t21963 = 0.12e2 * t2478 + 0.4e1 * t4823 * t2417 + 0.12e2 * t21922 * t2138 + 0.4e1 / 0.3e1 * t15591 * t8452 + 0.2e1 / 0.3e1 * t9171 * t1260 + 0.4e1 / 0.3e1 * t3454 * t4885 + 0.2e2 / 0.9e1 * t15591 * t8447 + 0.2e1 * t307 * t2695 * t165 - 0.8e1 * t21936 * t645 + 0.24e2 * t21939 * t2094 - 0.12e2 * t21942 * t2087 - 0.12e2 * t21945 * t2138 - 0.4e1 * t239 * t1647 + 0.2e1 * t239 * t1621 - 0.4e1 * t4838 * t2417 + 0.8e1 * t21954 * t636 + 0.4e1 * t705 * t334 + 0.4e1 * t4833 * t1605 - 0.4e1 * t15613 * t1260;
  t21964 = t21918 + t21963;
  t21967 = t305 * t306 * t95 * t21964;
  t21976 = t2844 * t1150 / 0.12e2 + t661 * t4812 / 0.6e1 - 0.35e2 / 0.108e3 * t21845 * t16461 + 0.36e2 * t509 * t21849 * t2204 + 0.6e1 * t2861 * t2682 - 0.6e1 * t719 * t2553 - 0.18e2 * t509 * t21857 * t2142 + 0.18e2 * t162 * t21857 * t2094 - 0.18e2 * t1742 * t21849 * t2099 + 0.2e1 * t21868 * t2433 + 0.7e1 / 0.3e1 * t4800 * t9874 + 0.23e2 / 0.36e2 * t4800 * t9048 - t1140 * t9387 / 0.2e1 + t233 * t21967 / 0.12e2 - t162 * t4854 * t9434 - t2849 * t1150 / 0.54e2 + t1713 * t1199 / 0.18e2;
  t21990 = t1594 * t1163;
  t22001 = t371 * t408 * t2695;
  t22017 = 0.2e1 / 0.3e1 * t1763 * t4855 - 0.2e1 / 0.3e1 * t1763 * t4886 - t162 * t1594 * t1159 * t328 / 0.2e1 - t1547 * t1199 / 0.4e1 - t379 * t4868 / 0.2e1 + t379 * t5174 + t162 * t21990 * t516 / 0.2e1 + t379 * t5178 + t162 * t5177 * t1621 / 0.2e1 + 0.2e1 * t379 * t5170 + t162 * t729 * t22001 - 0.2e1 * t379 * t5172 - 0.2e1 / 0.3e1 * t387 * t4878 + t387 * t4881 - 0.4e1 / 0.3e1 * t17407 * t8265 - 0.2e1 * t387 * t5123 + 0.14e2 / 0.9e1 * t15526 * t8301 - t379 * t4873 / 0.2e1;
  t22027 = t303 * t137 * t21964;
  t22034 = t377 * t8228;
  t22035 = t548 * t22034;
  t22038 = t382 * t4794;
  t22041 = t2218 * t22034;
  t22046 = t1147 * t323;
  t22047 = t96 * t22046;
  t22048 = t1404 * t22047;
  t22051 = t1968 * t22047;
  t22053 = t10832 * t22047;
  t22057 = t10615 * t500 * t22046;
  t22060 = -t162 * t13275 * t1198 / 0.4e1 - t162 * t2629 * t4872 / 0.2e1 - t162 * t745 * t22027 / 0.4e1 - t379 * t5182 - 0.2e1 * t379 * t4878 + t15482 - t15485 + t15504 + t15508 - 0.4e1 * t17305 * t22035 + 0.2e1 / 0.3e1 * t22038 * t556 + 0.14e2 / 0.3e1 * t15454 * t22041 - 0.11e2 / 0.27e2 * t21781 * t3724 + t4190 * t22048 / 0.2e1 - t3956 * t22051 + 0.11e2 / 0.18e2 * t3933 * t22053 - 0.23e2 / 0.36e2 * t3933 * t22057;
  t22061 = t22 * t4997;
  t22064 = t22 * t1164;
  t22067 = t169 * t13340;
  t22068 = t1996 * t22067;
  t22071 = t22 * t5006;
  t22076 = t404 * t22046;
  t22082 = t9992 * t22046;
  t22086 = t9997 * t22046;
  t22094 = t230 * t658;
  t22095 = t500 * t22094;
  t22096 = t3961 * t22095;
  t22102 = t10242 * t22046;
  t22106 = t10706 * t22047;
  t22112 = t1132 * t312;
  t22113 = t500 * t22112;
  t22114 = t10832 * t22113;
  t22117 = t2000 * t1138;
  t22121 = 0.55e2 / 0.18e2 * t22061 * t15933 + 0.2e1 / 0.3e1 * t22064 * t9562 - 0.2e1 / 0.3e1 * t2471 * t22068 - 0.11e2 / 0.3e1 * t22071 * t1971 + t10556 * t4921 / 0.3e1 - 0.3e1 / 0.2e1 * t2004 * t2733 * t22076 + t10556 * t4926 / 0.3e1 - 0.3e1 / 0.2e1 * t3980 * t2701 * t22082 + 0.3e1 * t2022 * t2701 * t22086 + 0.2e1 * t22071 * t1997 - 0.11e2 / 0.9e1 * t22061 * t15930 + 0.28e2 / 0.3e1 * t11669 * t22096 + 0.2e1 * t1397 * t2475 * t5169 - 0.3e1 / 0.2e1 * t2004 * t2701 * t22102 + t3933 * t22106 / 0.2e1 + 0.11e2 * t2004 * t5006 * t2005 - 0.35e2 / 0.3e1 * t11669 * t22114 - 0.2e1 * t1397 * t22117 * t1442;
  t22126 = t658 * t122;
  t22127 = t1756 * t22126;
  t22131 = t10804 * t4788;
  t22141 = t2000 * t4793;
  t22145 = t1751 * t22126;
  t22161 = t1398 * t1138;
  t22165 = t193 * t1132;
  t22166 = t1395 * t22165;
  t22167 = t1962 * t22166;
  t22170 = t404 * t12847;
  t22177 = t1974 * t22113;
  t22180 = 0.15e2 * t2022 * t4997 * t16394 + 0.6e1 * t2004 * t2701 * t22127 - 0.6e1 * t2011 * t22131 * t3760 + 0.3e1 * t1397 * t22131 * t3411 - 0.11e2 * t2022 * t5006 * t9459 + 0.6e1 * t2011 * t22141 * t622 - 0.12e2 * t2022 * t2701 * t22145 - 0.15e2 / 0.2e1 * t2004 * t4997 * t16419 + t11676 * t5101 / 0.3e1 - t10556 * t5105 / 0.3e1 + t12661 * t5108 / 0.9e1 - 0.2e1 * t1397 * t2503 * t4877 + 0.3e1 * t1397 * t22161 * t636 - 0.4e1 * t11652 * t22167 + 0.2e1 * t2004 * t693 * t22170 - 0.3e1 * t2004 * t5016 * t2030 + 0.22e2 / 0.3e1 * t11652 * t22177;
  t22181 = t1398 * t1133;
  t22187 = t3961 * t22166;
  t22192 = t658 * t1147;
  t22194 = t1974 * t500 * t22192;
  t22202 = t10662 * t8387;
  t22207 = t145 * t22126;
  t22211 = t1962 * t22095;
  t22214 = t4841 * t122;
  t22215 = t404 * t22214;
  t22218 = t4841 * t312;
  t22219 = t1883 * t22218;
  t22222 = t230 * t4841;
  t22224 = t1974 * t500 * t22222;
  t22232 = t1147 * t1418;
  t22234 = t16129 * t96 * t22232;
  t22237 = t1397 * t22181 * t334 - 0.6e1 * t1397 * t22141 * t645 + 0.14e2 / 0.3e1 * t11669 * t22187 + t2004 * t691 * t4925 - 0.2e1 / 0.3e1 * t9476 * t22194 - t1397 * t12852 * t1198 / 0.2e1 + t10516 * t4921 + t10516 * t4926 - 0.2e1 / 0.3e1 * t9476 * t22202 - t9509 * t4929 / 0.2e1 + 0.6e1 * t2004 * t2733 * t22207 - 0.8e1 * t11652 * t22211 + t2004 * t693 * t22215 + t2004 * t237 * t22219 - 0.2e1 / 0.3e1 * t9476 * t22224 - t1397 * t2490 * t4872 / 0.2e1 + t2004 * t2720 * t4920 + t2511 * t22234 / 0.2e1;
  t22242 = t135 * t137 * t2695;
  t22262 = t371 * t372 * t2695;
  t22279 = -t162 * t741 * t22242 + 0.3e1 / 0.2e1 * t162 * t4880 * t1605 + 0.12e2 * t17287 * t8265 - 0.2e1 * t1689 * t4886 + 0.18e2 * t15967 * t8279 + 0.2e1 * t1689 * t4855 + t719 * t2790 + 0.3e1 / 0.2e1 * t1742 * t4789 * t10204 - t2861 * t2635 - t509 * t729 * t22262 + 0.6e1 * t1689 * t4889 + 0.3e1 * t509 * t4888 * t2057 - 0.2e1 / 0.3e1 * t2822 * t742 + t509 * t4854 * t9428 - t1689 * t4858 - t509 * t21990 * t512 / 0.2e1 + t719 * t2614;
  t22310 = -t2816 * t746 - t719 * t2630 - t719 * t2623 / 0.2e1 - 0.2e1 * t2816 * t742 - 0.2e1 * t719 * t2627 - t719 * t2793 - 0.4e1 * t9114 * t8218 - t2822 * t746 / 0.3e1 + 0.4e1 / 0.9e1 * t9069 * t8218 + t2822 * t734 / 0.3e1 + 0.2e1 * t1140 * t9378 - 0.4e1 / 0.9e1 * t5133 * t1468 + t719 * t2675 + 0.3e1 * t719 * t2679 - t1763 * t4858 / 0.3e1 - 0.3e1 * t509 * t4854 * t9407 + t2816 * t734;
  t22337 = t548 * t2814 * t1208;
  t22347 = t11303 * t8264;
  t22350 = t719 * t2610 / 0.2e1 - t654 * t2779 / 0.9e1 - t2565 * t4277 / 0.9e1 + t2548 * t18034 + t654 * t2787 / 0.9e1 - t233 * t12562 / 0.3e1 + 0.2e1 / 0.9e1 * t5133 * t1588 - 0.3e1 * t162 * t4888 * t2417 - 0.28e2 * t15967 * t8301 + t4795 * t2149 - 0.2e1 * t4795 * t1644 - 0.3e1 * t509 * t4789 * t10178 + 0.4e1 / 0.3e1 * t1641 * t22337 - 0.2e1 / 0.9e1 * t2565 * t5112 - t671 * t19128 / 0.3e1 + 0.3e1 / 0.2e1 * t162 * t4789 * t10164 + 0.47e2 / 0.3e1 * t16217 * t22347;
  t22359 = t163 * t4793;
  t22383 = 0.2e1 / 0.3e1 * t387 * t5170 + 0.23e2 / 0.18e2 * t4800 * t17404 + t2837 * t1150 / 0.18e2 - t5133 * t1609 / 0.18e2 - 0.6e1 * t162 * t22359 * t2138 - t387 * t4873 / 0.6e1 - t1728 * t1199 / 0.6e1 - 0.11e2 / 0.18e2 * t4800 * t9843 + t2511 * t12780 / 0.3e1 + 0.23e2 / 0.18e2 * t22061 * t16048 - 0.2e1 / 0.3e1 * t2485 * t17828 - t2471 * t17607 / 0.3e1 + 0.2e1 / 0.3e1 * t2485 * t17832 + t2471 * t17599 / 0.2e1 - t15764 - t15768 - t4944 * t329 / 0.2e1 + t15829;
  t22394 = t138 * t5076;
  t22399 = t106 * t158 * t5074 * t159;
  t22402 = t496 * t1184;
  t22406 = t373 * t1183 * t500;
  t22411 = t106 * t158 * t1182 * t506;
  t22416 = t658 * t658;
  t22424 = t15850 - t15853 + t15888 - t15892 - t15896 + t2822 * t738 / 0.3e1 - t1728 * t1194 / 0.3e1 + t13093 * t248 / 0.3e1 + t1728 * t1202 / 0.3e1 - t127 * t22394 / 0.6e1 + t22399 * t166 / 0.2e1 - t368 * t22402 / 0.6e1 + t368 * t22406 / 0.3e1 - t22411 * t513 / 0.2e1 + t4944 * t517 / 0.2e1 + t106 * t109 * t22416 * t326 * t139 / 0.3e1 - t103 * t5076 / 0.6e1;
  t22438 = t1147 * t1502;
  t22439 = t1883 * t22438;
  t22448 = t1756 * t4919;
  t22453 = t1756 * t22214;
  t22456 = t1879 * t22214;
  t22459 = -t913 + t984 - 0.11e2 / 0.9e1 * t2520 * t18730 + 0.23e2 / 0.18e2 * t2520 * t18645 + t12631 * t5091 / 0.6e1 - t9576 * t4929 / 0.6e1 - 0.2e1 / 0.9e1 * t11393 * t8388 - t1397 * t13303 * t1198 / 0.4e1 + t2004 * t237 * t22439 / 0.2e1 + t15948 - t15949 + 0.3e1 * t379 * t4881 - 0.2e1 * t13216 * t730 - t10516 * t5105 + t2022 * t2726 * t22448 - t2004 * t2726 * t5104 + t2022 * t697 * t22453 - t2004 * t697 * t22456;
  t22461 = t96 * t22126;
  t22462 = t1982 * t22461;
  t22467 = t1404 * t169 * t480 * t1147;
  t22472 = t1147 * t349;
  t22473 = t96 * t22472;
  t22474 = t1974 * t22473;
  t22477 = t10615 * t22047;
  t22481 = t3582 * t96 * t22438;
  t22484 = t1404 * t22473;
  t22487 = t1974 * t22047;
  t22499 = t106 * t363 * t4788;
  t22509 = -0.2e1 * t4190 * t22462 + t2511 * t22467 / 0.12e2 - t5161 * t2402 / 0.2e1 + t2471 * t22474 / 0.12e2 + 0.5e1 / 0.36e2 * t3933 * t22477 - t2511 * t22481 / 0.6e1 - t2485 * t22484 / 0.6e1 - t3956 * t22487 / 0.2e1 + t12664 * t5096 / 0.18e2 - t387 * t5182 / 0.3e1 - t162 * t5177 * t1647 + t387 * t5178 / 0.3e1 - 0.6e1 * t22499 * t2423 - 0.38e2 / 0.9e1 * t21845 * t16379 + 0.89e2 / 0.9e1 * t21845 * t16207 - t4800 * t16331 - 0.2e1 / 0.3e1 * t2529 * t3949;
  t22523 = t4924 * t122;
  t22524 = t10277 * t22523;
  t22540 = t1756 * t12847;
  t22544 = 0.3e1 * t162 * t4854 * t9402 + t387 * t5174 / 0.3e1 - 0.2e1 / 0.3e1 * t387 * t5172 - 0.2e1 * t1763 * t4790 - t16065 + t486 * t1184 / 0.18e2 + 0.44e2 / 0.27e2 * t21845 * t16682 + 0.5e1 / 0.2e1 * t2004 * t697 * t22524 + 0.2e1 / 0.3e1 * t671 * t12537 - 0.3e1 / 0.2e1 * t4800 * t9714 - 0.43e2 / 0.9e1 * t21845 * t16199 + 0.2e1 * t2548 * t18728 - 0.61e2 / 0.27e2 * t21845 * t16685 - t16077 + t16078 + 0.14e2 / 0.3e1 * t2520 * t18000 + t16098 + 0.4e1 * t2022 * t697 * t22540;
  t22550 = t3965 * t1733 * t22094;
  t22557 = t96 * t22214;
  t22558 = t1968 * t22557;
  t22562 = t1974 * t22461;
  t22568 = t10615 * t1733 * t5099;
  t22573 = t10566 * t5083;
  t22580 = t409 * t22126;
  t22584 = t1879 * t12847;
  t22590 = -0.6e1 * t11669 * t22550 - 0.2e1 * t2011 * t2475 * t4885 - t2520 * t18010 - t3574 + t2471 * t22558 / 0.3e1 - t22061 * t16558 - 0.2e1 * t3933 * t22562 + 0.5e1 / 0.2e1 * t22061 * t16554 + 0.3e1 / 0.2e1 * t10759 * t22568 + t12631 * t5108 / 0.3e1 + t2471 * t22573 / 0.3e1 + 0.2e1 * t10729 * t8388 + 0.3e1 * t17564 * t2498 - 0.12e2 * t2004 * t2708 * t22580 - 0.4e1 * t2004 * t697 * t22584 - t16111 + t5142 * t320 / 0.9e1;
  t22596 = t106 * t1531 * t21848;
  t22601 = t1974 * t500 * t22472;
  t22604 = t1968 * t22473;
  t22607 = t1879 * t22472;
  t22611 = t10832 * t8387;
  t22614 = t1756 * t22472;
  t22626 = t22038 * t549 / 0.3e1 - t16140 + t16142 - 0.5e1 / 0.54e2 * t21781 * t3796 + 0.5e1 / 0.3e1 * t22596 * t2045 - t2662 * t18491 + t16183 + t16228 - t2471 * t22601 / 0.3e1 + t2471 * t22604 / 0.6e1 - t2004 * t697 * t22607 / 0.2e1 - 0.7e1 / 0.3e1 * t10759 * t22611 + t2022 * t697 * t22614 / 0.2e1 - 0.6e1 * t379 * t5123 - 0.6e1 * t1689 * t4790 - 0.2e1 * t2861 * t2633 + 0.2e1 * t719 * t2578;
  t22632 = t96 * t12847;
  t22633 = t1404 * t22632;
  t22636 = t22 * t5016;
  t22638 = 0.3e1 * t9790 * t4913 - t16243 + t16282 - t16285 - t16298 - t16323 - t103 * t4965 / 0.6e1 - t16330 - t16335 + t16337 - t16342 + t16365 - t16368 - 0.2e1 / 0.3e1 * t2485 * t22633 + t22636 * t1979 + t16431 + t16433;
  t22639 = t10295 * t22232;
  t22654 = t1756 * t22046;
  t22658 = t1879 * t22046;
  t22666 = t404 * t22472;
  t22676 = t16436 - t16438 - 0.3e1 / 0.2e1 * t2004 * t237 * t22639 - 0.5e1 / 0.18e2 * t22061 * t16688 + t1135 * t1421 / 0.3e1 + t654 * t4844 / 0.18e2 + t654 * t4812 / 0.18e2 - t22 * t1183 * t481 / 0.4e1 - 0.3e1 * t2022 * t2708 * t22654 + 0.3e1 * t2004 * t2708 * t22658 - 0.11e2 / 0.9e1 * t4800 * t16072 - t4944 * t335 / 0.4e1 + t16498 + t2004 * t693 * t22666 / 0.2e1 - 0.3e1 * t22499 * t2407 - t5142 * t315 / 0.9e1 - 0.2e1 / 0.3e1 * t671 * t18427 - t16560;
  t22679 = t96 * t22523;
  t22680 = t3582 * t22679;
  t22684 = t169 * t5094 * t122;
  t22685 = t1404 * t22684;
  t22688 = t16561 + 0.2e1 / 0.3e1 * t2485 * t22680 - t2485 * t22685 / 0.3e1 + t16576 - t16578 - t16605 + t16609 + t16611 + t16613 - t16615 + t16617 + t16619 + t16622 + t16624 - t16626 - t16633 - t16636;
  t22689 = t500 * t22126;
  t22690 = t3965 * t22689;
  t22694 = t1416 * t1197 * t312;
  t22704 = t9989 * t21843;
  t22732 = -t16638 - t16640 + 0.23e2 / 0.9e1 * t3933 * t22690 + t1397 * t2490 * t22694 - 0.6e1 * t2861 * t2562 + 0.3e1 * t719 * t2570 - 0.18e2 * t162 * t21849 * t2087 - 0.18e2 * t509 * t22704 * t16286 + 0.6e1 * t162 * t22704 * t16272 - 0.2e1 * t21845 * t16376 - 0.6e1 * t10074 * t22704 * t16247 + 0.18e2 * t1742 * t22704 * t16187 + 0.6e1 * t22596 * t2214 - 0.3e1 * t2520 * t18962 - 0.62e2 / 0.3e1 * t21845 * t10897 * t2222 + 0.8e1 * t21845 * t16262 + 0.3e1 * t13382 * t2559 + t1713 * t1194 / 0.9e1;
  t22736 = t510 * t22416;
  t22739 = t1712 * t1139;
  t22746 = t106 * t363 * t22416 * t365;
  t22773 = -t1713 * t1202 / 0.9e1 + t162 * t22736 * t516 + t22739 * t497 / 0.27e2 + t2849 * t686 / 0.27e2 + 0.2e1 / 0.3e1 * t22746 * t502 - t22746 * t497 / 0.3e1 - 0.2e1 / 0.27e2 * t22739 * t502 - t2837 * t686 / 0.9e1 - t654 * t2827 / 0.9e1 + 0.2e1 / 0.9e1 * t5133 * t1679 - t9836 * t1190 / 0.3e1 - t661 * t2827 / 0.3e1 - t233 * t13102 / 0.6e1 - t1140 * t9946 / 0.6e1 - t2844 * t686 / 0.6e1 - t1140 * t10142 / 0.12e2 + t1140 * t9940 / 0.3e1;
  t22778 = t373 * t1184;
  t22812 = t13107 * t248 / 0.2e1 + t4944 * t351 / 0.4e1 - t368 * t22778 / 0.12e2 - t356 * t4962 / 0.12e2 + t719 * t2805 / 0.2e1 - t9933 * t1190 / 0.2e1 + t9975 * t1190 / 0.9e1 - t12983 * t248 / 0.9e1 - t509 * t22736 * t512 - t162 * t163 * t22416 * t328 + t1135 * t1575 / 0.6e1 + t493 * t4962 / 0.6e1 - t1712 * t1134 * t139 / 0.27e2 - t22746 * t374 / 0.6e1 + t22739 * t374 / 0.54e2 + t2816 * t738 + t1547 * t1202 / 0.2e1 - t383 * t4962 / 0.18e2;
  t22816 = t382 * t4943;
  t22830 = t318 * t21805;
  t22833 = t318 * t21809;
  t22841 = t22816 * t166 / 0.6e1 - t1547 * t1194 / 0.2e1 + t5142 * t359 / 0.9e1 - t5133 * t1528 / 0.18e2 - t5133 * t1675 / 0.9e1 - t3766 + t3769 + t16700 + t16701 - t16702 - t16703 - t22 * t5075 * t194 / 0.2e1 + 0.2e1 / 0.3e1 * t666 * t22830 + t666 * t22833 / 0.3e1 - t5161 * t2192 - t4800 * t9689 / 0.2e1 + t12661 * t5091 / 0.18e2;
  t22846 = t427 * t22523;
  t22849 = t62 * t658;
  t22850 = t22849 * t122;
  t22851 = t414 * t22850;
  t22854 = t4996 * t11850;
  t22857 = t9774 * t1132;
  t22858 = t22857 * t9991;
  t22864 = t149 * t4973 * t1502;
  t22867 = t4973 * t349;
  t22868 = t414 * t22867;
  t22871 = t4973 * t323;
  t22872 = t1857 * t22871;
  t22875 = t149 * t22867;
  t22887 = t22849 * t312;
  t22888 = t414 * t22887;
  t22891 = t1857 * t22850;
  t22894 = t1163 * t11903;
  t22897 = t149 * t22887;
  t22902 = t1159 * t11895;
  t22905 = t62 * t4841;
  t22906 = t22905 * t122;
  t22907 = t414 * t22906;
  t22910 = t414 * t22523;
  t22913 = 0.5e1 / 0.9e1 * t22854 * t16752 + 0.4e1 * t13537 * t4981 + 0.4e1 * t19310 * t4985 + 0.8e1 / 0.3e1 * t2687 * t22888 - 0.4e1 / 0.9e1 * t4084 * t22891 - 0.22e2 / 0.3e1 * t22894 * t2289 + 0.8e1 * t2689 * t22897 + 0.8e1 * t4077 * t22851 - 0.12e2 * t22902 * t2281 + 0.2e1 / 0.3e1 * t2687 * t22907 + 0.1e2 / 0.3e1 * t13421 * t22910;
  t22915 = t427 * t22850;
  t22918 = t427 * t22887;
  t22921 = t1845 * t22850;
  t22928 = t149 * t22523;
  t22931 = t149 * t22850;
  t22934 = t149 * t22871;
  t22937 = -0.48e2 * t4077 * t22915 - 0.16e2 * t2687 * t22918 - 0.8e1 / 0.3e1 * t4084 * t22921 + 0.44e2 * t22894 * t2286 + 0.1e2 / 0.3e1 * t22854 * t17173 + 0.4e1 * t13549 * t22928 + 0.24e2 * t4105 * t22931 - t16781 + t16800 + t16801 - 0.6e1 * t13546 * t22934;
  t22939 = t149 * t4973 * t1418;
  t22942 = t414 * t22871;
  t22947 = t427 * t22906;
  t22950 = t427 * t22867;
  t22953 = t1845 * t22871;
  t22956 = t149 * t22906;
  t22960 = t149 * t22905 * t312;
  t22963 = t427 * t22871;
  t22968 = t63 * t2695;
  t22969 = t145 * t22968;
  t22972 = -0.6e1 * t19442 * t22939 - 0.2e1 * t13500 * t22942 - 0.4e1 * t13509 * t4975 - 0.4e1 * t2687 * t22947 - 0.2e1 * t2687 * t22950 + 0.2e1 / 0.3e1 * t13392 * t22953 + 0.4e1 * t2689 * t22956 + 0.4e1 * t4095 * t22960 + 0.12e2 * t13500 * t22963 - 0.6e1 * t13392 * t22942 - 0.4e1 * t693 * t22969;
  t22977 = t1163 * t10029;
  t22980 = t2353 * t1147;
  t22981 = t9992 * t22980;
  t22984 = t409 * t22968;
  t22987 = t400 * t22968;
  t22994 = t1177 * t349;
  t22995 = t404 * t22994;
  t22998 = t1883 * t1177 * t1502;
  t23003 = t4992 * t122;
  t23004 = t409 * t23003;
  t23011 = t4996 * t9912;
  t23014 = t4988 * t122;
  t23015 = t1879 * t23014;
  t23018 = t1756 * t23003;
  t23027 = t362 * t22416;
  t23028 = t23027 * t365;
  t23033 = 0.24e2 * t2708 * t23004 + 0.2e1 * t1160 * t1894 + 0.2e1 * t5006 * t2341 + 0.4e1 / 0.3e1 * t23011 * t2345 + 0.2e1 * t697 * t23015 - 0.12e2 * t2701 * t23018 + 0.2e1 * t2726 * t5051 + 0.4e1 * t1164 * t10373 - 0.4e2 * t23011 * t2354 - 0.2e1 * t23028 * t428 + 0.4e1 / 0.3e1 * t23028 * t415;
  t23041 = -0.6e1 * t10442 * t1164 + 0.2e1 * t1160 * t1921 + 0.36e2 * t23011 * t2385 - t16837 - t16846 + t16857 + t16859 + t16900 - t16902 + t16904 + t16906;
  t23042 = t16920 - t16923 - t16925 - t16927 - t16934 + t16936 - t16938 - t16940 + t16945 + t16948 + t16955;
  t23046 = t1756 * t22980;
  t23051 = t404 * t22980;
  t23055 = t10295 * t1177 * t1418;
  t23064 = t1756 * t23014;
  t23067 = t1751 * t23003;
  t23071 = t404 * t63 * t21964;
  t23074 = t4992 * t312;
  t23075 = t1756 * t23074;
  t23078 = t1746 * t23003;
  t23083 = t1756 * t22994;
  t23086 = t9997 * t22980;
  t23097 = t60 * t2695;
  t23098 = t409 * t23097;
  t23103 = -0.16e2 / 0.3e1 * t697 * t23075 + 0.2e1 / 0.9e1 * t2701 * t23078 - 0.4e1 * t1164 * t10226 - 0.2e1 / 0.3e1 * t697 * t23083 - 0.1e2 / 0.3e1 * t2701 * t23086 - 0.2e1 * t691 * t5058 - 0.4e1 * t5006 * t2360 - 0.2e1 / 0.3e1 * t23011 * t2377 + t4997 * t16916 / 0.18e2 - 0.2e1 * t697 * t23098 + 0.1e2 / 0.3e1 * t4997 * t16907;
  t23107 = t400 * t23097;
  t23112 = t23027 * t398;
  t23119 = t108 * t22416;
  t23123 = 0.1e2 / 0.3e1 * t22858 * t17128 + 0.4e1 / 0.3e1 * t697 * t23107 - 0.36e2 * t22977 * t2382 - 0.2e1 / 0.3e1 * t23112 * t401 + 0.6e1 * t5006 * t2380 - 0.3e1 * t4997 * t16840 - t16965 - t16966 - t16967 + t16972 - 0.4e1 * t23119 * t327 * t146;
  t23127 = t404 * t60 * t21964;
  t23130 = t145 * t23097;
  t23144 = t1159 * t10106;
  t23147 = 0.4e1 * t23112 * t410 + t237 * t23127 / 0.2e1 + 0.2e1 * t693 * t23130 - 0.3e1 * t5016 * t2366 + 0.24e2 * t22977 * t2374 - t1160 * t1900 + t2749 * t1178 / 0.2e1 + 0.2e1 * t1164 * t10426 - 0.4e1 * t1160 * t1885 - 0.24e2 * t23144 * t2299 - t16980;
  t23156 = t1883 * t4988 * t312;
  t23159 = t145 * t23003;
  t23162 = -t16990 - t16993 + t17040 + t17041 - t17042 + t3703 + 0.2e1 * t23119 * t326 * t150 + t17066 - 0.5e2 / 0.3e1 * t4997 * t17115 - 0.2e1 * t237 * t23156 - 0.12e2 * t2733 * t23159;
  t23163 = t404 * t23074;
  t23166 = t400 * t23003;
  t23173 = t1879 * t23074;
  t23178 = t10242 * t22980;
  t23187 = t1879 * t22980;
  t23190 = -0.4e1 * t693 * t23163 - 0.16e2 * t2708 * t23166 + 0.6e1 * t5016 * t2338 + 0.44e2 / 0.3e1 * t5006 * t2304 + 0.8e1 * t697 * t23173 - 0.22e2 * t5006 * t2350 + 0.3e1 * t2701 * t23178 - 0.4e1 / 0.3e1 * t22858 * t17070 + 0.72e2 * t22977 * t2327 + 0.8e1 * t23011 * t2332 - 0.6e1 * t2708 * t23187;
  t23198 = t404 * t23014;
  t23209 = t1879 * t22994;
  t23215 = -0.2e1 * t2720 * t5025 - 0.2e1 * t691 * t5028 - 0.4e1 / 0.3e1 * t2726 * t5060 - 0.2e1 * t693 * t23198 + 0.24e2 * t22858 * t17023 - 0.2e1 / 0.3e1 * t4997 * t17109 + 0.6e1 * t4997 * t10288 + 0.8e1 / 0.3e1 * t22858 * t17020 + t697 * t23209 - 0.12e2 * t5006 * t2308 - t22858 * t16888 / 0.9e1;
  t23217 = t16824 * t22523;
  t23220 = t16820 * t22523;
  t23223 = t16829 * t22523;
  t23231 = -t2749 * t1168 + 0.1e2 * t13421 * t23217 - 0.8e1 * t13549 * t23220 - 0.5e1 / 0.3e1 * t13421 * t23223 - t17123 + t17142 - t962 + t943 + 0.12e2 * t23144 * t2388 - 0.4e1 / 0.3e1 * t1164 * t10398 + t691 * t4989;
  t23241 = t1440 * t7968 * t122;
  t23244 = t10242 * t22523;
  t23248 = t10706 * t22679;
  t23253 = t3582 * t169 * t5094 * t312;
  t23256 = t1974 * t22684;
  t23267 = t17606 * t5621;
  t23271 = t17598 * t5629;
  t23274 = t5099 * t312;
  t23276 = t10706 * t500 * t23274;
  t23281 = -t12667 * t5084 / 0.9e1 - t12664 * t5088 / 0.9e1 - t17217 - t22 * t59 * (0.4e1 * t697 * t22984 - 0.2e1 / 0.3e1 * t697 * t22987 + 0.2e1 * t4095 * t22864 + t2687 * t22868 / 0.3e1 + t13392 * t22872 / 0.9e1 + 0.2e1 * t2689 * t22875 + 0.2e1 / 0.3e1 * t13509 * t4978 + 0.4e1 * t2708 * t23046 + 0.12e2 * t1164 * t10278 + 0.3e1 * t2733 * t23051 + 0.3e1 * t237 * t23055 - 0.72e2 * t23011 * t2335 - 0.2e1 * t1164 * t10272 - 0.5e1 / 0.18e2 * t4997 * t16883 - 0.5e1 * t13421 * t22846 + 0.24e2 * t4084 * t22851 - 0.3e2 * t22854 * t2289 - 0.12e2 * t22858 * t16852 + 0.5e2 / 0.3e1 * t22858 * t17131 - 0.4e1 / 0.3e1 * t697 * t23064 + 0.4e2 / 0.3e1 * t2701 * t23067 - t237 * t23071 + 0.2e1 / 0.3e1 * t1164 * t10249 - t4997 * t10259 / 0.9e1 - t693 * t22995 - t237 * t22998 + 0.15e2 * t4997 * t17062 + 0.6e1 * t5016 * t2320 - 0.12e2 * t22977 * t2324 - t2701 * t22981 / 0.18e2 + t23123 + t22913 + t23162 + t22937 + t22972 + t23103 + t23190 + t23231 + t23147 + t23041 + t23042 + t23033 + t23215) * t96 / 0.4e1 + t2011 * t2475 * t23241 - 0.5e1 / 0.2e1 * t2022 * t697 * t23244 - 0.5e1 / 0.12e2 * t2471 * t23248 - t2511 * t23253 / 0.3e1 + t2471 * t23256 / 0.6e1 - 0.4e1 / 0.3e1 * t22064 * t9523 + 0.4e1 / 0.3e1 * t2471 * t13342 - 0.8e1 / 0.3e1 * t2471 * t12849 - 0.115e3 / 0.36e2 * t22061 * t17478 + 0.4e1 / 0.3e1 * t9476 * t23267 - t13326 * t2491 - 0.2e1 * t9476 * t23271 + 0.5e1 / 0.3e1 * t9476 * t23276 + 0.2e1 * t17561 * t2494;
  t23285 = t5620 * t1147;
  t23287 = t1974 * t1395 * t23285;
  t23294 = t1440 * t7950 * t122;
  t23297 = t11691 * t22679;
  t23300 = t1968 * t22684;
  t23303 = t1883 * t22523;
  t23308 = t303 * t1197 * t122;
  t23311 = t1962 * t22067;
  t23315 = -0.2e1 * t13326 * t2504 - t17266 - t17268 + t17270 + t17272 - t17274 - t17276 - 0.2e1 / 0.3e1 * t9476 * t23287 - t15526 * t8279 - 0.2e1 / 0.3e1 * t1140 * t9235 - t1397 * t2475 * t23294 - 0.5e1 / 0.6e1 * t2471 * t23297 + t2471 * t23300 / 0.3e1 - 0.2e1 * t2004 * t693 * t23303 + t1397 * t2503 * t23308 - t2471 * t23311 / 0.3e1 + t22071 * t1990;
  t23320 = t1182 * t66;
  t23322 = t305 * t23320 * t313;
  t23326 = t2042 * t1687 * t8228;
  t23330 = t548 * t717 * t4902;
  t23337 = t382 * t5160;
  t23340 = t548 * t21809;
  t23345 = t3965 * t22461;
  t23350 = t22064 * t9539 / 0.3e1 + t17386 + t17389 - t17392 - t17396 + t17413 - t17416 + 0.2e1 * t4795 * t2129 + t127 * t23322 / 0.12e2 - 0.3e1 * t15454 * t23326 + 0.4e1 / 0.3e1 * t1641 * t23330 + t1140 * t9357 / 0.6e1 + 0.2e1 / 0.9e1 * t2600 * t5157 - t23337 * t541 / 0.3e1 - t671 * t23340 / 0.6e1 + t1140 * t9373 / 0.3e1 - 0.5e1 / 0.9e1 * t3933 * t23345 + 0.25e2 / 0.36e2 * t22061 * t16229;
  t23367 = t22 * t1160;
  t23370 = t1962 * t22461;
  t23375 = t1974 * t22632;
  t23378 = t1982 * t22067;
  t23381 = 0.3e1 * t379 * t5126 - t21781 * t3730 / 0.3e1 - 0.2e1 / 0.9e1 * t2565 * t3949 + t9743 * t4913 + 0.2e1 / 0.3e1 * t2822 * t749 - 0.2e1 / 0.3e1 * t13211 * t730 + t387 * t5126 + 0.2e1 * t1763 * t4889 - t17422 + t17424 + t17428 - t23367 * t1407 / 0.3e1 + 0.2e1 * t3956 * t23370 - t17451 - 0.2e1 / 0.3e1 * t2471 * t17661 + 0.2e1 / 0.3e1 * t2471 * t23375 + 0.2e1 / 0.3e1 * t2485 * t23378;
  t23386 = t3965 * t2009 * t22165;
  t23390 = t10615 * t1733 * t22112;
  t23401 = t1996 * t22461;
  t23404 = t1968 * t22632;
  t23407 = t3961 * t22461;
  t23414 = t548 * t21805;
  t23419 = -t22636 * t1984 - 0.11e2 / 0.6e1 * t22071 * t1987 - 0.3e1 * t11669 * t23386 + 0.15e2 / 0.2e1 * t11669 * t23390 + 0.2e1 * t2011 * t22117 * t1448 + t2471 * t17558 + 0.22e2 / 0.3e1 * t22596 * t2428 - 0.23e2 / 0.3e1 * t22596 * t2210 + 0.4e1 * t3956 * t23401 + 0.4e1 / 0.3e1 * t2471 * t23404 - 0.22e2 / 0.9e1 * t3933 * t23407 - t17475 - t17476 + t17477 - t5133 * t1452 / 0.9e1 + 0.2e1 * t2816 * t749 - t671 * t23414 / 0.3e1 - t2565 * t5152 / 0.9e1;
  t23435 = t3582 * t96 * t22218;
  t23438 = t1974 * t22557;
  t23443 = t1404 * t169 * t193 * t4841;
  t23446 = t10662 * t5083;
  t23449 = t9547 * t5095;
  t23452 = t1404 * t22557;
  t23457 = t9547 * t5083;
  t23460 = t16672 * t5087;
  t23465 = t5133 * t1456 / 0.9e1 + t1135 * t1613 / 0.3e1 + t1135 * t1617 / 0.6e1 + t4795 * t2410 + t4795 * t2115 / 0.2e1 - t1135 * t1474 / 0.3e1 - t1135 * t1505 / 0.6e1 - t2511 * t23435 / 0.3e1 + t2471 * t23438 / 0.6e1 + t2511 * t23443 / 0.6e1 + t2471 * t23446 / 0.6e1 + t2511 * t23449 / 0.6e1 - t2485 * t23452 / 0.3e1 + t12746 * t5096 / 0.6e1 - t2485 * t23457 / 0.3e1 - t2511 * t23460 / 0.3e1 - t12758 * t5084 / 0.3e1;
  t23485 = t400 * t22126;
  t23489 = t1746 * t22126;
  t23495 = t318 * t23320 * t296;
  t23500 = -t12746 * t5088 / 0.3e1 - t387 * t4868 / 0.6e1 + 0.2e1 / 0.9e1 * t5133 * t1464 - t1140 * t9382 - 0.3e1 * t17561 * t2478 - 0.2e1 * t17554 * t2501 + 0.2e1 * t13326 * t2476 - 0.15e2 / 0.2e1 * t3980 * t4997 * t17435 + 0.3e1 * t11419 * t22131 * t3739 + t17537 + 0.12e2 * t2022 * t2708 * t23485 + 0.6e1 * t3980 * t2701 * t23489 + t10768 * t5101 + t17539 - t17541 + t17542 - t127 * t23495 / 0.6e1 + t4944 * t298 / 0.2e1;
  t23506 = my_piecewise3(t3, 0, t22310 + t22544 + t23419 + t22180 + t22773 + t22017 + t22626 + t23315 + t22350 + t22060 + t23465 + t22237 + t21976 + t22841 + t22812 + t23281 + t23381 + t22590 + t22732 + t23500 + t22676 + t21837 + t22121 + t21794 + t22424 + t22688 + t23350 + t22279 + t22638 + t22459 + t22383 + t22509);
  tv4rho2lapl20 = 0.2e1 * rho[0] * t23506 + 0.4e1 * t5191;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 0] += tv4rho2lapl20;

  t23523 = t717 * t3084;
  t23524 = t548 * t23523;
  t23533 = t2936 * t18728 - t2861 * t3175 / 0.2e1 - t509 * t3030 * t4885 - t509 * t758 * t22262 / 0.2e1 - t2816 * t764 - t1689 * t5560 - t719 * t3037 - t719 * t3039 / 0.2e1 - 0.2e1 * t9114 * t23524 - t2529 * t4613 / 0.6e1 - t671 * t19875 / 0.6e1 + t661 * t2968 / 0.6e1;
  t23560 = t233 * t13881 / 0.6e1 + t233 * t13885 / 0.12e2 + t666 * t14369 / 0.6e1 - t233 * t14436 / 0.6e1 - t233 * t14378 / 0.12e2 - t2998 * t4277 / 0.6e1 - t671 * t14207 / 0.12e2 - 0.5e1 / 0.36e2 * t2520 * t20403 - t661 * t2972 / 0.6e1 - t791 * t18899 / 0.6e1 - t791 * t18512 / 0.12e2 - 0.5e1 / 0.36e2 * t3007 * t18486 - t813 * t2779 / 0.6e1;
  t23586 = -t259 * t13161 / 0.6e1 - t259 * t13179 / 0.12e2 + t259 * t21967 / 0.12e2 - t14092 * t1218 / 0.6e1 + t813 * t4844 / 0.6e1 + t259 * t21828 / 0.6e1 + t791 * t12541 / 0.3e1 + 0.2e1 / 0.3e1 * t791 * t12544 + t791 * t12508 / 0.3e1 + 0.2e1 / 0.3e1 * t2998 * t5292 + 0.2e1 / 0.3e1 * t2998 * t4904 + t14092 * t1224 / 0.3e1;
  t23591 = t555 * t5352;
  t23595 = t548 * t717 * t775;
  t23606 = t15482 - t15485 - t2998 * t5277 / 0.3e1 - t2998 * t5112 / 0.3e1 - t368 * t23591 / 0.6e1 + t368 * t23595 / 0.3e1 + t15504 + t15508 + t2471 * t20572 / 0.2e1 - t20902 * t2501 + t14865 * t2476 + 0.3e1 / 0.2e1 * t21068 * t2498 - 0.3e1 / 0.2e1 * t21072 * t2478;
  t23631 = t96 * t12815;
  t23640 = -0.6e1 * t2022 * t15161 * t3986 + 0.14e2 / 0.3e1 * t4482 * t3961 * t22689 + 0.14e2 / 0.3e1 * t4482 * t17857 * t5550 + 0.14e2 / 0.3e1 * t19699 * t5588 - t2874 * t17661 / 0.3e1 - t2471 * t20576 / 0.3e1 + 0.2e1 * t11676 * t5611 - 0.3e1 / 0.2e1 * t2004 * t3227 * t22076 - t9576 * t5605 / 0.3e1 + t4503 * t1962 * t23631 / 0.2e1 - t4510 * t1982 * t23631 / 0.2e1 - t21178 * t5373 / 0.3e1;
  t23641 = t96 * t12859;
  t23649 = t169 * t13307;
  t23670 = t230 * t323;
  t23675 = t500 * t23670;
  t23679 = t2874 * t1974 * t23641 / 0.6e1 + 0.6e1 * t10768 * t5611 + t13740 * t5660 / 0.9e1 + t3162 * t1982 * t23649 / 0.6e1 + 0.2e1 * t10768 * t5614 + t13740 * t5108 / 0.9e1 + 0.2e1 / 0.3e1 * t9476 * t17606 * t13677 + 0.2e1 / 0.9e1 * t13740 * t5622 - 0.3e1 * t2022 * t881 * t10242 * t13348 - t11685 * t5616 / 0.3e1 + 0.2e1 / 0.3e1 * t11676 * t5614 - 0.43e2 / 0.9e1 * t19635 * t17706 * t1733 * t23670 + 0.89e2 / 0.9e1 * t19635 * t17701 * t23675;
  t23696 = t256 * t230;
  t23697 = t1733 * t23696;
  t23698 = t3965 * t23697;
  t23714 = -t13740 * t5626 / 0.9e1 + t4503 * t1996 * t23631 + 0.3e1 / 0.2e1 * t3980 * t3211 * t1746 * t12815 - 0.3e1 / 0.2e1 * t4482 * t13315 - 0.2e1 * t4503 * t12817 - t2874 * t1996 * t23649 / 0.6e1 - t17910 * t23698 + t2874 * t22558 / 0.3e1 - 0.2e1 / 0.3e1 * t2874 * t1974 * t500 * t22214 - t19699 * t5585 + t2874 * t1968 * t23641 / 0.3e1 - 0.11e2 / 0.27e2 * t19605 * t5547 + 0.2e1 / 0.3e1 * t20613 * t5598;
  t23736 = t96 * t23670;
  t23747 = 0.2e1 / 0.9e1 * t13740 * t5636 + t3168 * t22467 / 0.12e2 - 0.2e1 / 0.3e1 * t2874 * t12861 - 0.4e1 / 0.9e1 * t13740 * t5630 + 0.23e2 / 0.54e2 * t19605 * t5551 + 0.6e1 * t2022 * t3214 * t23485 + 0.2e1 * t2022 * t881 * t22540 - t2874 * t1962 * t23649 / 0.12e2 - t13748 * t5084 / 0.9e1 - 0.35e2 / 0.108e3 * t19635 * t17706 * t23736 - 0.5e1 / 0.36e2 * t4482 * t3965 * t23631 + t2874 * t17599 / 0.4e1 - t3168 * t22481 / 0.6e1;
  t23777 = -t3162 * t22484 / 0.6e1 - t4503 * t22487 / 0.2e1 - t13745 * t5088 / 0.9e1 + t13740 * t5091 / 0.18e2 + 0.23e2 / 0.18e2 * t19699 * t5551 + t3168 * t12780 / 0.6e1 + t3162 * t17832 / 0.3e1 - t2874 * t17607 / 0.6e1 - 0.4e1 * t4503 * t1962 * t22689 - 0.4e1 / 0.3e1 * t2874 * t13329 + 0.23e2 / 0.18e2 * t4482 * t17824 * t5550 + 0.2e1 / 0.3e1 * t13840 * t5622;
  t23805 = -0.4e1 * t4503 * t10594 * t5550 - 0.4e1 * t19631 * t5600 - 0.4e1 / 0.3e1 * t13840 * t5630 + 0.2e1 * t19631 * t5598 + t2874 * t23438 / 0.6e1 + t3168 * t23443 / 0.6e1 - t3162 * t23452 / 0.3e1 - t3168 * t23435 / 0.3e1 + 0.2e1 / 0.3e1 * t2874 * t13342 - 0.4e1 / 0.3e1 * t2874 * t12849 + 0.23e2 / 0.18e2 * t4482 * t22690 + 0.2e1 / 0.3e1 * t2874 * t13360 - 0.11e2 / 0.9e1 * t4482 * t23407;
  t23837 = -t2874 * t10547 * t5625 / 0.3e1 + 0.2e1 * t4503 * t23401 + 0.2e1 / 0.3e1 * t2874 * t10566 * t5635 - 0.11e2 / 0.9e1 * t4482 * t17857 * t5372 - t13840 * t5626 / 0.3e1 + 0.2e1 * t4503 * t10547 * t5372 + 0.2e1 / 0.3e1 * t13840 * t5636 - 0.11e2 / 0.9e1 * t19699 * t5547 + t4503 * t10594 * t5372 + t3162 * t10589 * t5625 / 0.3e1 - t4510 * t10589 * t5372 - t3162 * t9547 * t5635 / 0.3e1;
  t23861 = -t3162 * t17828 / 0.3e1 - t2874 * t22068 / 0.3e1 + 0.2e1 / 0.3e1 * t2874 * t23404 + t13840 * t5660 / 0.3e1 - 0.5e1 / 0.18e2 * t19699 * t5639 + t3162 * t23378 / 0.3e1 + t19631 * t5654 - t4510 * t22462 - t3162 * t22633 / 0.3e1 + t4503 * t23370 - t11685 * t5388 / 0.3e1 + t13840 * t5108 / 0.3e1 - 0.2e1 / 0.3e1 * t13840 * t5080;
  t23892 = t2874 * t22573 / 0.3e1 - 0.2e1 / 0.3e1 * t2874 * t10662 * t5079 + t2874 * t23375 / 0.3e1 - 0.5e1 / 0.18e2 * t4482 * t23345 - t2874 * t10594 * t5625 / 0.6e1 + t2874 * t10662 * t5635 / 0.3e1 - 0.5e1 / 0.18e2 * t4482 * t17824 * t5372 - t13840 * t5642 / 0.6e1 + t3168 * t23449 / 0.6e1 - t13858 * t5088 / 0.3e1 + t13840 * t5091 / 0.6e1 + t13858 * t5096 / 0.6e1;
  t23919 = -t3162 * t23457 / 0.3e1 - t2874 * t23311 / 0.6e1 - t13856 * t5084 / 0.3e1 + t9576 * t5391 / 0.3e1 - t12661 * t4599 / 0.9e1 - 0.2e1 * t11676 * t5394 - t1397 * t5241 * t1605 / 0.2e1 - 0.2e1 * t10729 * t8564 - t9576 * t5246 / 0.6e1 + 0.2e1 / 0.9e1 * t11393 * t8564 - t9576 * t5242 / 0.3e1 + t13856 * t5657 / 0.3e1 - t21181 * t5373;
  t23934 = t13779 * t231;
  t23938 = t2986 * t659;
  t23947 = t13779 * t664;
  t23950 = -t13856 * t5651 / 0.3e1 + t11676 * t5579 / 0.3e1 + t10556 * t5377 - t3168 * t23460 / 0.3e1 + t2874 * t23446 / 0.6e1 + t12667 * t4660 / 0.9e1 - t9509 * t5246 / 0.2e1 - t1397 * t23934 * t334 / 0.2e1 - t1397 * t23938 * t334 / 0.2e1 - t1397 * t5245 * t1621 / 0.4e1 + t9509 * t5249 - t9509 * t5242 - t1397 * t23947 * t636;
  t23951 = t2986 * t2585;
  t23977 = -t1397 * t23951 * t636 - 0.3e1 * t719 * t3314 + 0.3e1 * t2861 * t3305 - 0.3e1 * t823 * t2553 + 0.23e2 / 0.36e2 * t3007 * t18645 + 0.23e2 / 0.36e2 * t2520 * t20394 - 0.11e2 / 0.18e2 * t2520 * t20390 + t2548 * t20388 + 0.3e1 * t3389 * t2682 + t13976 * t1218 / 0.27e2 - 0.2e1 / 0.27e2 * t13976 * t1224 - 0.11e2 / 0.18e2 * t3007 * t18730 - t3331 * t1150 / 0.54e2;
  t24010 = 0.23e2 / 0.36e2 * t4482 * t3965 * t12816 + t2874 * t22604 / 0.6e1 - 0.11e2 / 0.18e2 * t4482 * t3961 * t23631 - t13326 * t2952 - t9476 * t17598 * t13672 - t13326 * t2957 / 0.2e1 - t2874 * t22601 / 0.3e1 + t10556 * t5272 / 0.3e1 - t2004 * t877 * t1883 * t13348 - 0.3e1 * t11669 * t3965 * t1733 * t256 * t658 - t2011 * t2943 * t4885 + t17561 * t2954;
  t24048 = -0.3e1 / 0.2e1 * t2004 * t263 * t22639 - t9576 * t5261 / 0.6e1 + 0.3e1 * t2004 * t881 * t10277 * t13348 + t10556 * t5268 - 0.6e1 * t2004 * t15164 * t145 * t23670 + 0.22e2 / 0.3e1 * t19608 * t3961 * t23736 - 0.23e2 / 0.3e1 * t19608 * t3965 * t23675 - 0.6e1 * t19680 * t1996 * t23736 - 0.18e2 * t2022 * t15157 * t9992 * t23670 + 0.6e1 * t2004 * t15157 * t9997 * t23670 - t3933 * t20704 / 0.2e1 + 0.7e1 / 0.3e1 * t3933 * t21129 + 0.11e2 / 0.18e2 * t4482 * t22053;
  t24084 = -0.23e2 / 0.36e2 * t4482 * t22057 + 0.5e1 / 0.36e2 * t4482 * t22477 - 0.61e2 / 0.27e2 * t19635 * t17701 * t23736 + 0.44e2 / 0.27e2 * t19635 * t17706 * t23675 - t4503 * t22051 + t2874 * t22474 / 0.12e2 - 0.3e1 * t2022 * t3214 * t22654 + 0.3e1 * t2004 * t3214 * t22658 - 0.18e2 * t2022 * t15153 * t400 * t23670 + 0.18e2 * t2004 * t15153 * t409 * t23670 - t3162 * t1404 * t23641 / 0.6e1 - 0.18e2 * t3980 * t15169 * t1746 * t23670;
  t24093 = t2986 * t669;
  t24097 = t20707 * t2518;
  t24118 = 0.36e2 * t2022 * t15169 * t1751 * t23670 + t10556 * t5258 / 0.3e1 - t2511 * t14967 / 0.6e1 + 0.3e1 / 0.2e1 * t1397 * t24093 * t2138 + 0.3e1 / 0.2e1 * t11419 * t24097 * t2099 - 0.3e1 * t2011 * t24097 * t2204 + t2874 * t17558 / 0.2e1 - t4482 * t10662 * t5372 - t4482 * t22562 - t4190 * t19738 / 0.2e1 + t9576 * t5249 / 0.3e1 + t1397 * t5245 * t1647 / 0.2e1 - 0.3e1 / 0.2e1 * t3933 * t21125;
  t24146 = t654 * t2968 / 0.18e2 - t2565 * t4613 / 0.18e2 - t233 * t13928 / 0.6e1 - t103 * t5200 / 0.6e1 - t103 * t5197 / 0.6e1 - t22 * t1251 * t481 / 0.4e1 - t654 * t2912 / 0.18e2 - t1763 * t5560 / 0.3e1 - t387 * t5329 / 0.6e1 + t1728 * t1274 / 0.3e1 + t387 * t5342 / 0.3e1 + t387 * t5345 / 0.3e1;
  t24173 = -t2837 * t777 / 0.18e2 - t654 * t2908 / 0.18e2 - t1728 * t1266 / 0.3e1 - t387 * t5317 / 0.3e1 - t1728 * t1269 / 0.6e1 - t387 * t5326 / 0.6e1 + 0.7e1 / 0.3e1 * t2520 * t20691 - t387 * t5320 / 0.3e1 - 0.3e1 / 0.2e1 * t2520 * t21039 + t2822 * t781 / 0.6e1 - t9836 * t1261 / 0.3e1 - 0.3e1 / 0.2e1 * t3007 * t18962 - t2520 * t20688 / 0.2e1;
  t24201 = -t383 * t5353 / 0.18e2 - t2822 * t768 / 0.6e1 + t719 * t3295 / 0.2e1 + t2822 * t772 / 0.6e1 + 0.3e1 / 0.2e1 * t719 * t3301 - t2822 * t764 / 0.3e1 + 0.2e1 / 0.9e1 * t2900 * t5292 + 0.2e1 / 0.9e1 * t14066 * t1224 - t806 * t2779 / 0.18e2 + t2936 * t18034 / 0.2e1 + 0.3e1 / 0.2e1 * t14675 * t2559 - 0.3e1 * t3389 * t2562 + 0.3e1 / 0.2e1 * t823 * t2570;
  t24228 = -t719 * t2897 / 0.2e1 - t719 * t3059 / 0.4e1 + t2917 * t5157 / 0.9e1 + t2917 * t5288 / 0.9e1 - t259 * t12562 / 0.6e1 - t3065 * t18491 / 0.2e1 - t2900 * t5112 / 0.9e1 - t2900 * t5277 / 0.9e1 - t14066 * t1218 / 0.9e1 + t806 * t4844 / 0.18e2 + 0.2e1 / 0.9e1 * t2900 * t4904 - t654 * t2972 / 0.18e2 - t2900 * t4277 / 0.18e2;
  t24240 = t9364 * t1208;
  t24259 = t2917 * t4272 / 0.9e1 + t806 * t2787 / 0.18e2 - t791 * t21810 / 0.6e1 - t791 * t21806 / 0.3e1 - t791 * t555 * t24240 / 0.6e1 + t2927 * t4272 / 0.3e1 + t785 * t18431 / 0.3e1 + t785 * t18031 / 0.6e1 + t259 * t12625 / 0.6e1 + t813 * t2787 / 0.6e1 + t785 * t318 * t24240 / 0.6e1 + t259 * t12250 / 0.12e2;
  t24287 = t785 * t22833 / 0.6e1 + t785 * t22830 / 0.3e1 + t2927 * t5288 / 0.3e1 - t2998 * t5152 / 0.6e1 - t14092 * t1213 / 0.12e2 - t2998 * t5208 / 0.6e1 + t2927 * t5157 / 0.3e1 + t259 * t21834 / 0.12e2 - t791 * t23340 / 0.12e2 + t3352 * t1150 / 0.12e2 - t791 * t548 * t24240 / 0.12e2 - t791 * t23414 / 0.6e1 + t14429 * t1210 / 0.6e1;
  t24306 = t23696 * t312;
  t24307 = t500 * t24306;
  t24312 = t303 * t1264 * t312;
  t24315 = t13676 * t230;
  t24316 = t1395 * t24315;
  t24322 = t813 * t4812 / 0.6e1 + t823 * t2578 + t823 * t2790 / 0.2e1 + t719 * t2891 / 0.4e1 + t14484 * t1210 / 0.9e1 + t806 * t4812 / 0.18e2 + t3373 * t1150 / 0.18e2 - t3389 * t2635 / 0.2e1 + t671 * t14317 / 0.3e1 + 0.22e2 / 0.3e1 * t11652 * t1974 * t24307 + t1397 * t2951 * t24312 - 0.4e1 * t11652 * t1962 * t24316 + 0.3e1 / 0.2e1 * t17564 * t2948;
  t24324 = t810 * t230;
  t24326 = t3965 * t1733 * t24324;
  t24354 = t4433 * t2546;
  t24358 = t3366 * t749 - 0.3e1 * t11669 * t24326 - t2011 * t14765 * t1260 + 0.2e1 * t2022 * t3220 * t2497 + 0.6e1 * t2022 * t15198 * t4240 - 0.3e1 * t11669 * t17824 * t23697 + t21072 * t2494 - t5513 * t335 / 0.4e1 + t162 * t775 * t2696 * t165 / 0.4e1 + t162 * t2885 * t690 * t165 / 0.2e1 + t3956 * t21269 - 0.11e2 / 0.18e2 * t3933 * t21259 + 0.3e1 * t2011 * t24354 * t2142;
  t24379 = 0.23e2 / 0.36e2 * t3933 * t21262 - t10746 * t5616 - t1763 * t5229 / 0.3e1 - t15764 - t15768 + 0.3e1 / 0.2e1 * t823 * t2679 - t3322 * t742 / 0.3e1 - t17554 * t2944 - t14982 * t730 / 0.3e1 - t13211 * t759 / 0.3e1 - t3366 * t742 - t509 * t14112 * t1260 / 0.2e1;
  t24395 = t4433 * t2527;
  t24401 = t21332 * t5629;
  t24405 = t719 * t2887 / 0.2e1 - t22 * t5500 * t194 / 0.2e1 + t15829 + t493 * t5353 / 0.6e1 + t1713 * t1266 / 0.9e1 - t719 * t3092 / 0.2e1 + t666 * t20469 / 0.3e1 - t791 * t18427 / 0.3e1 + t1397 * t24395 * t645 - t2011 * t5387 * t2057 / 0.2e1 - t9476 * t24401 - t14865 * t2491 / 0.2e1 + t15850;
  t24426 = -t15853 - t14865 * t2504 + t15888 - t15892 - t15896 - t2900 * t3949 / 0.9e1 + t3322 * t749 / 0.3e1 + 0.2e1 / 0.3e1 * t2529 * t4768 - t2529 * t4764 / 0.3e1 - t13216 * t759 - t22 * t2773 * t288 / 0.4e1 - t22 * t713 * t870 / 0.2e1 - t22 * t243 * t3142 / 0.4e1;
  t24434 = t2496 * t122;
  t24447 = t135 * t1264 * t122;
  t24461 = t1259 * t122;
  t24462 = t371 * t24461;
  t24468 = -t913 + t984 + t1397 * t2951 * t23308 - 0.2e1 / 0.3e1 * t9476 * t1974 * t1395 * t13676 * t1147 + 0.11e2 * t2004 * t3214 * t1879 * t24434 - 0.35e2 / 0.3e1 * t11669 * t10832 * t24307 - 0.3e1 * t2004 * t3227 * t404 * t24434 + 0.3e1 * t1397 * t13724 * t24447 + 0.3e1 * t10516 * t5268 - 0.15e2 / 0.2e1 * t2004 * t3211 * t10242 * t24434 - 0.11e2 * t2022 * t3214 * t1756 * t24434 + 0.6e1 * t2011 * t14991 * t24462 + t2874 * t23300 / 0.3e1;
  t24474 = t5620 * t122;
  t24475 = t169 * t24474;
  t24479 = t1539 * t8446 * t122;
  t24487 = t8558 * t312;
  t24489 = t1974 * t1395 * t24487;
  t24506 = t500 * t5577;
  t24507 = t1974 * t24506;
  t24510 = -t4482 * t1974 * t24475 + 0.3e1 * t11419 * t14912 * t24479 - 0.15e2 / 0.2e1 * t3980 * t3211 * t9992 * t24434 - t9476 * t24489 + t1397 * t5241 * t12202 - 0.2e1 * t2004 * t877 * t23303 + t2471 * t21475 / 0.4e1 - t2485 * t21478 / 0.3e1 - t671 * t20976 / 0.3e1 - t2471 * t21524 / 0.3e1 - t2471 * t21527 / 0.3e1 + 0.2e1 * t10729 * t24507;
  t24514 = t1250 * t66;
  t24516 = t305 * t24514 * t313;
  t24520 = t318 * t24514 * t296;
  t24537 = -0.2e1 / 0.9e1 * t11393 * t24507 + t10516 * t5608 + t15948 - t15949 + t127 * t24516 / 0.12e2 - t127 * t24520 / 0.6e1 + t5513 * t298 / 0.2e1 - t233 * t14444 / 0.12e2 + t13326 * t2981 - t2900 * t5152 / 0.18e2 - t2900 * t5208 / 0.18e2 - t14066 * t1213 / 0.18e2 + t1397 * t5387 * t2417 / 0.2e1;
  t24565 = t9509 * t5391 - t2861 * t3033 / 0.2e1 + t9975 * t1261 / 0.9e1 + t1728 * t1283 / 0.6e1 + t387 * t5333 / 0.6e1 + t387 * t5337 / 0.6e1 - t9509 * t5605 - t1397 * t14610 * t1265 / 0.2e1 - t2565 * t4764 / 0.9e1 - 0.6e1 * t2022 * t3211 * t22145 + 0.3e1 * t3980 * t3211 * t23489 - 0.2e1 * t19635 * t10832 * t23736;
  t24568 = t12779 * t2992;
  t24598 = -t13326 * t2988 / 0.4e1 + t1403 * t24568 / 0.12e2 - 0.18e2 * t2004 * t15169 * t1756 * t23670 + 0.2e1 * t21063 * t1982 * t23736 + 0.6e1 * t19608 * t1974 * t23736 + t13745 * t5096 / 0.18e2 - t1547 * t1269 / 0.4e1 - t379 * t5326 / 0.2e1 - t379 * t5329 / 0.2e1 - t162 * t763 * t22242 / 0.2e1 - t162 * t3036 * t4877 - t162 * t14082 * t1265 / 0.2e1 - t379 * t5317;
  t24632 = -t379 * t5320 - t1547 * t1266 / 0.2e1 - t1713 * t1274 / 0.9e1 + t2816 * t772 / 0.2e1 - t2816 * t768 / 0.2e1 - t162 * t767 * t22027 / 0.4e1 - t162 * t2896 * t4872 / 0.2e1 - t162 * t14447 * t1198 / 0.4e1 - 0.3e1 / 0.2e1 * t3980 * t3211 * t22082 + 0.3e1 / 0.2e1 * t1397 * t24097 * t2087 + 0.18e2 * t3980 * t15157 * t10080 * t23670 + 0.3e1 * t2004 * t15201 * t5267;
  t24658 = 0.3e1 * t2004 * t3227 * t22207 - t103 * t5194 / 0.6e1 + t1547 * t1274 / 0.2e1 + t379 * t5342 + t379 * t5345 + 0.2e1 / 0.3e1 * t2998 * t3953 - t16065 + t3956 * t20754 / 0.2e1 + t12664 * t2993 / 0.18e2 - t12661 * t4665 / 0.18e2 + t1397 * t14921 * t1273 / 0.2e1 + 0.2e1 / 0.3e1 * t3162 * t22680 - 0.5e1 / 0.18e2 * t4482 * t3965 * t24475;
  t24662 = t169 * t12950;
  t24671 = t96 * t24434;
  t24689 = t4503 * t1962 * t24475 + t2874 * t1974 * t24662 / 0.3e1 - t3162 * t1404 * t24662 / 0.3e1 - 0.5e1 / 0.12e2 * t2874 * t23248 + t4510 * t1404 * t24671 - 0.11e2 / 0.6e1 * t4503 * t1974 * t24671 - t4510 * t1982 * t24475 - t823 * t2630 / 0.2e1 + t823 * t2614 / 0.2e1 + t823 * t2610 / 0.4e1 - t671 * t20963 / 0.6e1 + t4482 * t22106 / 0.2e1 - t16077;
  t24692 = t96 * t13348;
  t24716 = t16078 + t16098 + t486 * t1279 / 0.18e2 - t2874 * t10706 * t24692 / 0.2e1 - 0.3e1 * t19680 * t1962 * t23736 + t13748 * t5657 / 0.9e1 + t3162 * t3582 * t24692 / 0.3e1 + t20613 * t5654 / 0.3e1 - t13748 * t5651 / 0.9e1 + t3168 * t22234 / 0.2e1 + t4510 * t22048 / 0.2e1 - t13740 * t5642 / 0.18e2 - 0.5e1 / 0.54e2 * t19605 * t5639;
  t24742 = t21321 * t5621;
  t24745 = 0.5e1 / 0.3e1 * t19608 * t3965 * t23736 - t2874 * t11691 * t24692 + t10556 * t5608 / 0.3e1 - t3574 - t14307 * t1210 / 0.27e2 + 0.2e1 * t2874 * t13350 + t2022 * t881 * t1756 * t12859 - t233 * t14392 / 0.12e2 - t233 * t14398 / 0.6e1 - t2844 * t777 / 0.12e2 - t2485 * t21339 / 0.3e1 + 0.2e1 / 0.3e1 * t9476 * t24742;
  t24751 = t318 * t12623 * t775;
  t24755 = t318 * t2777 * t2885;
  t24758 = t548 * t5352;
  t24766 = t1713 * t1269 / 0.18e2 - t16111 - t16140 + t16142 - t356 * t5353 / 0.12e2 - t127 * t24751 / 0.6e1 - t127 * t24755 / 0.6e1 - t368 * t24758 / 0.12e2 - t2861 * t3031 + t16183 + t16228 + t3331 * t686 / 0.54e2 - t5513 * t329 / 0.2e1;
  t24780 = t382 * t5512;
  t24791 = t493 * t5508 / 0.6e1 - t259 * t13102 / 0.12e2 - t813 * t2827 / 0.6e1 - t3352 * t686 / 0.12e2 - t233 * t14726 / 0.12e2 - t383 * t5508 / 0.18e2 + t24780 * t166 / 0.6e1 - t2844 * t818 / 0.12e2 - t661 * t3361 / 0.6e1 + t2849 * t818 / 0.54e2 - t2998 * t3949 / 0.3e1 - t16243 + t16282;
  t24792 = t21359 * t669;
  t24801 = -t16285 + t1397 * t24792 * t645 - t16298 - t16323 - t16330 - t16335 + t2587 * t4640 / 0.3e1 + t2548 * t21233 / 0.2e1 + t16337 - t16342 + t16365 - t16368 + 0.2e1 / 0.3e1 * t12631 * t4606;
  t24804 = t500 * t23696;
  t24805 = t1962 * t24804;
  t24823 = t1240 * t349;
  t24834 = t1240 * t1502;
  t24846 = -0.2e1 * t875 * t5058 - 0.4e1 / 0.3e1 * t3220 * t5060 - 0.6e1 * t3211 * t23018 - 0.3e1 * t3211 * t1756 * t24823 + 0.1e2 / 0.3e1 * t3211 * t1751 * t24823 - 0.8e1 / 0.3e1 * t3220 * t5409 - 0.8e1 / 0.3e1 * t881 * t23075 - 0.4e1 / 0.3e1 * t881 * t1756 * t24834 - 0.2e1 / 0.3e1 * t881 * t23083 + 0.2e1 * t15190 * t1237 + 0.4e1 * t3220 * t5063 + 0.2e2 / 0.3e1 * t15161 * t5405;
  t24857 = t1240 * t323;
  t24861 = t1240 * t1418;
  t24876 = 0.2e1 * t881 * t22984 + 0.2e2 / 0.3e1 * t3211 * t23067 - 0.4e1 / 0.3e1 * t881 * t23064 + t3211 * t1746 * t24823 / 0.18e2 - t3271 * t1168 + 0.12e2 * t15164 * t145 * t24857 + 0.2e1 * t877 * t1883 * t24861 + 0.3e1 * t3227 * t23051 + 0.12e2 * t15198 * t5412 + 0.12e2 * t3214 * t23004 + 0.6e1 * t3214 * t409 * t24823 + 0.2e1 * t3220 * t5051;
  t24902 = t5447 * t323;
  t24903 = t1857 * t24902;
  t24908 = 0.2e1 * t881 * t23015 + t881 * t23209 - 0.6e1 * t15161 * t5416 + 0.3e1 * t3211 * t23178 - 0.12e2 * t15157 * t9997 * t24857 + 0.36e2 * t15169 * t1756 * t24857 - 0.6e1 * t881 * t10277 * t24861 + 0.24e2 * t15153 * t400 * t24857 + 0.6e1 * t15338 * t149 * t24434 + 0.4e1 * t15341 * t22928 + 0.8e1 / 0.3e1 * t20045 * t24903 - 0.6e1 * t15349 * t22942;
  t24909 = t1845 * t24902;
  t24917 = t5447 * t349;
  t24936 = t414 * t24917;
  t24941 = 0.24e2 * t20045 * t24909 - 0.22e2 * t15352 * t427 * t24434 - 0.4e1 / 0.3e1 * t4344 * t22921 - 0.2e1 / 0.3e1 * t4344 * t1845 * t24917 - 0.4e1 / 0.3e1 * t20045 * t10457 * t24902 - 0.4e1 * t15368 * t4975 - 0.4e1 * t3197 * t22947 - 0.2e1 * t3197 * t22950 + 0.2e1 / 0.3e1 * t15349 * t22953 + 0.12e2 * t20121 * t5459 + 0.12e2 * t4344 * t22851 + 0.6e1 * t4344 * t24936 - 0.24e2 * t20022 * t5466;
  t24946 = t414 * t24434;
  t24968 = -0.4e1 / 0.3e1 * t20121 * t5479 + 0.44e2 / 0.3e1 * t15352 * t24946 + 0.4e1 / 0.3e1 * t15368 * t5469 - 0.2e1 / 0.9e1 * t20121 * t5472 - 0.24e2 * t4360 * t22915 - 0.12e2 * t4360 * t427 * t24917 - t16781 + 0.12e2 * t20108 * t5453 + 0.4e1 * t15357 * t5456 + 0.4e1 * t20022 * t5459 + 0.12e2 * t4365 * t22931 + 0.4e1 * t3200 * t22897;
  t24971 = t5447 * t1502;
  t24994 = 0.4e1 * t4360 * t22851 + 0.2e1 / 0.3e1 * t3197 * t414 * t24971 - 0.5e1 / 0.18e2 * t15349 * t1857 * t24434 + t16800 - 0.2e1 / 0.9e1 * t4344 * t22891 + t16801 - t4344 * t1857 * t24917 / 0.9e1 - t20045 * t19411 * t24902 / 0.9e1 + 0.4e1 * t15357 * t4981 + 0.4e1 * t3200 * t22956 + 0.2e1 / 0.3e1 * t15368 * t4978 + 0.2e1 / 0.3e1 * t3197 * t22907;
  t25012 = t3197 * t22868 / 0.3e1 + t15349 * t22872 / 0.9e1 - 0.8e1 * t15368 * t5449 - 0.8e1 * t3197 * t22918 + 0.4e1 / 0.3e1 * t3197 * t22888 + 0.2e1 / 0.3e1 * t15190 * t1241 - t15190 * t1248 - 0.2e1 * t3220 * t4993 - t881 * t23098 - t16837 - t16846 + t16857;
  t25035 = t16859 - t263 * t23071 - 0.2e1 * t3246 * t5025 - 0.2e1 * t877 * t23198 - t877 * t22995 - 0.2e1 * t875 * t5028 - 0.2e1 * t263 * t23156 - t263 * t22998 - t881 * t22987 / 0.3e1 + t3211 * t23078 / 0.9e1 + 0.4e1 * t881 * t23173 + 0.2e1 * t881 * t1879 * t24834 - 0.6e1 * t15201 * t5432;
  t25067 = 0.4e1 * t881 * t10242 * t24861 - 0.36e2 * t15153 * t409 * t24857 - 0.6e1 * t3214 * t23187 + 0.3e1 * t263 * t23055 - 0.2e1 / 0.3e1 * t15169 * t1746 * t24857 - t15190 * t1233 / 0.3e1 - 0.2e1 / 0.3e1 * t3220 * t5040 + t15161 * t5441 / 0.9e1 + 0.4e1 * t3214 * t23046 - t3211 * t22981 / 0.18e2 + 0.1e2 / 0.3e1 * t15157 * t10080 * t24857 - 0.1e2 / 0.3e1 * t3211 * t23086;
  t25095 = 0.5e2 / 0.3e1 * t15157 * t9992 * t24857 - 0.4e2 * t15169 * t1751 * t24857 - 0.2e1 * t15183 * t1230 - 0.4e1 * t3246 * t5031 - 0.8e1 * t15198 * t5423 - 0.2e1 * t877 * t22969 - 0.8e1 * t3214 * t23166 - 0.6e1 * t3227 * t23159 - 0.3e1 * t3227 * t145 * t24823 - 0.2e1 * t3246 * t5435 - 0.2e1 * t877 * t23163 - t877 * t404 * t24834;
  t25102 = -0.4e1 * t24823 * t3214 * t400 + 0.4e1 * t3220 * t5429 + t16900 - t16902 + t16904 + t16906 + t16920 - t16923 - t16925 - t16927 - t16934 + t16936;
  t25116 = -t16938 - t16940 + t16945 + t16948 + t16955 + 0.4e1 / 0.3e1 * t3220 * t5001 + 0.2e1 / 0.3e1 * t881 * t23107 + t15183 * t1244 + 0.2e1 * t3246 * t5013 + t877 * t23130 + t3271 * t1178 / 0.2e1 + t875 * t4989 + t263 * t23127 / 0.2e1;
  t25119 = t16829 * t24434;
  t25140 = -t16965 - t16966 - t16967 + t16972 - 0.3e2 * t15349 * t25119 - 0.12e2 * t15338 * t16820 * t24434 - 0.5e1 / 0.3e1 * t15344 * t23223 - 0.8e1 * t15341 * t23220 + 0.44e2 * t15352 * t16824 * t24434 - 0.22e2 / 0.3e1 * t15352 * t25119 + 0.5e1 / 0.9e1 * t15349 * t19510 * t24434 + 0.1e2 / 0.3e1 * t15349 * t19504 * t24434;
  t25152 = t414 * t24902;
  t25155 = 0.1e2 * t15344 * t23217 - t16980 - t16990 - t16993 + t17040 + t17041 - t17042 + t3703 + t17066 - 0.4e1 * t3197 * t427 * t24971 - 0.5e2 / 0.3e1 * t15349 * t1845 * t24434 + 0.6e1 * t4365 * t149 * t24917 - 0.12e2 * t20052 * t25152;
  t25174 = t5447 * t1418;
  t25181 = 0.2e1 * t3200 * t149 * t24971 + 0.2e1 * t3200 * t22875 - 0.2e1 * t15352 * t22942 + 0.4e1 * t20126 * t4985 + 0.4e1 * t4349 * t22960 + 0.2e1 * t4349 * t22864 + 0.1e2 / 0.3e1 * t15344 * t22910 - t17123 + t17142 + 0.2e1 * t4360 * t24936 - 0.4e1 * t15341 * t149 * t25174 + 0.12e2 * t15344 * t427 * t25174;
  t25207 = -0.24e2 * t20254 * t149 * t24902 + 0.4e1 / 0.3e1 * t20037 * t24903 - 0.6e1 * t15338 * t22934 - 0.6e1 * t20269 * t22939 + 0.72e2 * t20052 * t427 * t24902 - 0.2e1 * t15344 * t414 * t25174 + 0.12e2 * t15352 * t22963 - 0.72e2 * t20037 * t25152 + 0.8e1 * t20037 * t24909 + 0.15e2 * t15349 * t24946 - 0.5e1 * t15344 * t22846 - t962 + t943;
  t25220 = t16431 + t16433 + t16436 - t16438 - 0.4e1 / 0.3e1 * t18935 * t24805 + t2004 * t877 * t22666 / 0.2e1 + t2004 * t3246 * t4920 + t2004 * t877 * t22215 + t486 * t1252 / 0.18e2 - t22 * t59 * (t24846 + t24876 + t24908 + t24941 + t24968 + t24994 + t25012 + t25035 + t25067 + t25095 + t25102 + t25116 + t25140 + t25155 + t25181 + t25207) * t96 / 0.4e1 + t379 * t5333 / 0.2e1 + t379 * t5337 / 0.2e1;
  t25251 = -0.3e1 * t2861 * t3184 + t3366 * t734 / 0.2e1 - t3007 * t18010 / 0.2e1 + 0.5e1 / 0.3e1 * t9476 * t10706 * t500 * t5577 * t312 + t1397 * t2956 * t22694 - t9933 * t1261 / 0.2e1 + t719 * t3045 / 0.4e1 + t2816 * t796 + t719 * t3076 + t719 * t3078 / 0.2e1 - t2011 * t14921 * t1260 / 0.2e1 + 0.3e1 * t2022 * t3214 * t400 * t12815 + 0.18e2 * t17926 * t23698;
  t25272 = t3961 * t24804;
  t25288 = 0.3e1 * t10516 * t5377 + 0.3e1 * t2004 * t15161 * t5376 + 0.3e1 * t2004 * t3211 * t22127 - t3322 * t746 / 0.6e1 - 0.2e1 * t2004 * t3220 * t5264 - 0.2e1 * t2004 * t881 * t22584 - t2004 * t881 * t1879 * t12859 + 0.14e2 / 0.9e1 * t17910 * t25272 - 0.2e1 * t10516 * t5265 - 0.3e1 / 0.2e1 * t17561 * t2983 + 0.3e1 * t3980 * t15161 * t3982 - 0.6e1 * t10768 * t5394 + 0.2e1 / 0.3e1 * t791 * t548 * t2814 * t539;
  t25291 = t2218 * t23523;
  t25306 = t13976 * t1213 / 0.54e2 + 0.7e1 / 0.3e1 * t3083 * t25291 + t719 * t3049 / 0.2e1 + t2816 * t781 / 0.2e1 + t16498 - t1689 * t5229 - t16560 + t16561 + t719 * t2961 / 0.2e1 + 0.5e1 / 0.2e1 * t4482 * t10706 * t24671 - 0.5e1 / 0.6e1 * t2874 * t23297 + t16576 - t16578;
  t25315 = t3322 * t734 / 0.6e1 + t823 * t2675 / 0.2e1 - t16605 + t16609 + t16611 + t16613 - t16615 + t16617 + t16619 + t16622 + t16624 - t16626;
  t25325 = t1440 * t1259 * t312;
  t25338 = t2600 * t4640 / 0.9e1 - t16633 - t16636 - t2662 * t20482 / 0.2e1 - t16638 - t16640 + 0.15e2 / 0.2e1 * t11669 * t10615 * t1733 * t24306 + 0.2e1 * t2011 * t2943 * t25325 + t1397 * t14765 * t1273 + t1397 * t2943 * t5169 - t1397 * t14605 * t1265 - t1397 * t2951 * t4877 + t10516 * t5272;
  t25369 = t10615 * t24804;
  t25372 = t2004 * t3246 * t5271 + t2004 * t877 * t22170 + t2004 * t877 * t404 * t12859 / 0.2e1 - 0.6e1 * t2004 * t3214 * t22580 - 0.3e1 * t2004 * t3214 * t409 * t12815 - 0.28e2 * t17926 * t25272 - 0.6e1 * t10516 * t5574 - t2471 * t21322 / 0.6e1 + t2471 * t21333 / 0.4e1 + t2511 * t14861 / 0.6e1 + 0.3e1 / 0.2e1 * t2004 * t3211 * t1756 * t12815 + 0.47e2 / 0.3e1 * t18752 * t25369;
  t25394 = t371 * t1272 * t122;
  t25399 = t1440 * t1272 * t312;
  t25406 = -t4482 * t1974 * t23631 / 0.2e1 + 0.3e1 / 0.2e1 * t13382 * t3181 + t12758 * t4660 / 0.3e1 + 0.2e1 / 0.3e1 * t2874 * t1968 * t24662 - 0.4e1 / 0.3e1 * t2874 * t12952 + 0.23e2 / 0.18e2 * t4482 * t3965 * t1395 * t24474 - 0.3e1 * t11669 * t3965 * t2009 * t24315 - 0.6e1 * t1397 * t14991 * t25394 - 0.2e1 * t1397 * t2943 * t25399 + 0.14e2 / 0.3e1 * t11669 * t3961 * t24316 - t3766 + t3769 + t16700;
  t25429 = t16701 - t16702 - t16703 - t661 * t2908 / 0.6e1 - t661 * t2912 / 0.6e1 + t162 * t758 * t22001 / 0.2e1 + t162 * t3030 * t5169 + t162 * t14112 * t1273 / 0.2e1 - t12631 * t4665 / 0.6e1 + t12746 * t2993 / 0.6e1 + t2511 * t13764 / 0.6e1 - t2471 * t20736 / 0.12e2;
  t25457 = t373 * t1252;
  t25460 = t2511 * t13769 / 0.6e1 + t2511 * t13705 / 0.12e2 + 0.2e1 / 0.9e1 * t9069 * t23524 + t2485 * t21275 / 0.3e1 + 0.25e2 / 0.36e2 * t4482 * t10615 * t24671 - 0.11e2 / 0.3e1 * t4503 * t1968 * t24671 + 0.55e2 / 0.18e2 * t4482 * t10832 * t24671 + t823 * t2805 / 0.4e1 + t13107 * t274 / 0.4e1 + t3366 * t738 / 0.2e1 + t14731 * t248 / 0.4e1 + t5513 * t351 / 0.4e1 - t368 * t25457 / 0.12e2;
  t25464 = t106 * t158 * t5499 * t159;
  t25469 = t138 * t5501;
  t25493 = t25464 * t166 / 0.2e1 - t356 * t5508 / 0.12e2 - t127 * t25469 / 0.6e1 + t719 * t3337 / 0.4e1 + t2816 * t829 / 0.2e1 - t17217 - t14687 * t730 + t162 * t14372 * t236 * t165 / 0.4e1 + t1547 * t1283 / 0.4e1 + 0.2e1 * t4503 * t1996 * t24475 - 0.3e1 * t1397 * t24354 * t2094 + 0.3e1 / 0.2e1 * t719 * t3187 + t2874 * t23256 / 0.6e1;
  t25505 = t1539 * t24461;
  t25515 = -0.115e3 / 0.36e2 * t4482 * t10615 * t500 * t24434 - 0.11e2 / 0.9e1 * t4482 * t3961 * t24475 - t17266 - t17268 + t17270 + t17272 - t17274 - t17276 - t3162 * t22685 / 0.3e1 - t3168 * t23253 / 0.3e1 + 0.3e1 * t1397 * t14912 * t25505 + 0.3e1 / 0.2e1 * t2011 * t5387 * t12197 - 0.3e1 / 0.2e1 * t1397 * t5387 * t12177;
  t25520 = t1539 * t8451 * t122;
  t25550 = -0.6e1 * t2011 * t14912 * t25520 + 0.15e2 * t2022 * t3211 * t9997 * t24434 + t2471 * t21003 / 0.2e1 - t1397 * t2943 * t23294 - 0.5e1 / 0.2e1 * t2022 * t881 * t23244 + 0.5e1 / 0.2e1 * t2004 * t881 * t22524 + t2011 * t2943 * t23241 - t2011 * t24395 * t622 + t2874 * t13309 / 0.3e1 - t10556 * t5582 / 0.3e1 - 0.5e1 / 0.36e2 * t3933 * t20739 - t2471 * t20543 / 0.6e1;
  t25574 = t17701 * t23697;
  t25583 = -t2471 * t20558 / 0.6e1 - t1397 * t13817 * t1198 / 0.2e1 - t1397 * t2956 * t4872 / 0.2e1 + t10516 * t5258 + t2004 * t875 * t4925 + t2004 * t263 * t22219 + t2004 * t263 * t22439 / 0.2e1 + 0.7e1 / 0.3e1 * t4482 * t12833 - 0.38e2 / 0.9e1 * t19635 * t10615 * t23736 - t103 * t5501 / 0.6e1 - 0.62e2 / 0.3e1 * t18752 * t25574 - 0.3e1 * t2022 * t3211 * t1751 * t12815 - t19605 * t5585 / 0.3e1;
  t25599 = t18648 * t5595 - 0.2e1 * t10556 * t5574 - 0.2e1 / 0.3e1 * t10556 * t5265 - t9509 * t5261 / 0.2e1 - t1397 * t14614 * t1198 / 0.4e1 - t2471 * t20807 / 0.6e1 + t17386 + t17389 - t17392 - t17396 + t17413 - t17416 + t2485 * t20749 / 0.6e1;
  t25616 = t10832 * t24506;
  t25619 = -t12631 * t4599 / 0.3e1 - t17422 + t17424 - t10746 * t5388 + t2471 * t20811 / 0.3e1 + t17428 - t17451 + t2822 * t796 / 0.3e1 - t2011 * t24792 * t622 - t2004 * t3220 * t5104 - t2004 * t881 * t22456 - t2004 * t881 * t22607 / 0.2e1 - 0.7e1 / 0.3e1 * t10759 * t25616;
  t25631 = t10615 * t1733 * t5577;
  t25641 = -t10516 * t5582 + t2022 * t3220 * t22448 + t2022 * t881 * t22453 + t2022 * t881 * t22614 / 0.2e1 + 0.3e1 / 0.2e1 * t10759 * t25631 + t10768 * t5579 - 0.6e1 * t2004 * t15198 * t5573 - t17475 - t17476 + t17477 - t3389 * t2633 + 0.2e1 / 0.9e1 * t9069 * t8436;
  t25642 = t10594 * t4605;
  t25646 = t1962 * t1395 * t20548;
  t25672 = 0.2e1 / 0.3e1 * t2471 * t25642 + 0.2e1 / 0.3e1 * t2471 * t25646 + t2849 * t777 / 0.54e2 - t1713 * t1283 / 0.18e2 - t823 * t2623 / 0.4e1 - t3366 * t746 / 0.2e1 + t791 * t12537 / 0.3e1 - t823 * t2627 - t823 * t2793 / 0.2e1 - t791 * t19128 / 0.6e1 - 0.2e1 * t9114 * t8436 + 0.3e1 * t18443 * t5595 + 0.3e1 / 0.2e1 * t2004 * t3227 * t145 * t12815;
  t25681 = t548 * t3364 * t539;
  t25700 = t106 * t158 * t1250 * t506;
  t25705 = t496 * t1252;
  t25709 = t373 * t1251 * t500;
  t25712 = 0.12e2 * t18299 * t24805 + 0.8e1 * t19635 * t17706 * t3978 * t23670 + 0.2e1 / 0.3e1 * t671 * t25681 + t17537 + t2485 * t20561 / 0.3e1 + t2485 * t20550 / 0.3e1 - 0.6e1 * t17713 * t15157 * t10075 * t23670 + 0.3e1 * t2022 * t3211 * t22086 - 0.3e1 / 0.2e1 * t2004 * t3211 * t22102 - t25700 * t513 / 0.2e1 + t5513 * t517 / 0.2e1 - t368 * t25705 / 0.6e1 + t368 * t25709 / 0.3e1;
  t25733 = -t14723 * t248 / 0.18e2 - t12983 * t274 / 0.18e2 - t3373 * t686 / 0.18e2 - t806 * t2827 / 0.18e2 - t2837 * t818 / 0.18e2 - t654 * t3361 / 0.18e2 + t3322 * t738 / 0.6e1 + t2822 * t829 / 0.6e1 + t15144 * t248 / 0.6e1 + t13093 * t274 / 0.6e1 + t17539 - t17541 + t17542;
  t25740 = my_piecewise3(t3, 0, t24048 + t24716 + t25372 + t23777 + t24146 + t23606 + t24598 + t25599 + t23805 + t24537 + t24259 + t24565 + t25338 + t23679 + t23977 + t24689 + t24287 + t25460 + t24791 + t25515 + t25712 + t24510 + t24118 + t25220 + t24658 + t24173 + t24201 + t25306 + t23892 + t23560 + t25641 + t24010 + t25733 + t25288 + t24405 + t25251 + t25429 + t24766 + t23950 + t23586 + t23861 + t24632 + t24228 + t24426 + t25619 + t23919 + t23837 + t23747 + t24801 + t23640 + t25550 + t25315 + t24322 + t25493 + t24358 + t23533 + t24745 + t24379 + t25583 + t25672 + t24084 + t24468 + t23714 + t25406);
  tv4rho2lapltau0 = 0.2e1 * rho[0] * t25740 + 0.4e1 * t5671;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 0] += tv4rho2lapltau0;

  t25746 = t95 * t3205;
  t25747 = t306 * t25746;
  t25758 = t95 * t1289;
  t25759 = t160 * t25758;
  t25760 = t2218 * t25759;
  t25766 = t5802 * t397;
  t25786 = -t806 * t2912 / 0.9e1 + t162 * t25766 * t516 / 0.2e1 + 0.2e1 * t1763 * t5780 + t9743 * t6171 - 0.6e1 * t823 * t3314 - t383 * t5804 / 0.18e2 + t387 * t5808 / 0.6e1 + 0.2e1 / 0.3e1 * t2927 * t4640 + 0.2e1 / 0.3e1 * t785 * t20469 + t785 * t14369 / 0.3e1 + t2936 * t21233;
  t25814 = 0.4e1 / 0.3e1 * t791 * t548 * t377 * t5695 + 0.2e1 / 0.3e1 * t791 * t548 * t160 * t25746 - 0.4e1 / 0.3e1 * t1297 * t9855 - 0.2e1 / 0.3e1 * t1297 * t9235 - 0.4e1 / 0.9e1 * t5969 * t1468 - t259 * t14444 / 0.6e1 + 0.4e1 / 0.9e1 * t2900 * t5938 - t259 * t14392 / 0.6e1 - t259 * t14398 / 0.3e1 - t813 * t2908 / 0.3e1 - t813 * t2912 / 0.3e1;
  t25830 = t548 * t5682;
  t25835 = t122 * t810;
  t25836 = t500 * t25835;
  t25840 = 0.2e1 / 0.3e1 * t1297 * t9859 + t1297 * t9424 / 0.3e1 - t3352 * t777 / 0.6e1 - 0.2e1 * t3366 * t764 - 0.2e1 * t823 * t3037 - t823 * t3039 - 0.2e1 / 0.3e1 * t3322 * t764 + t823 * t2891 / 0.2e1 - t368 * t25830 / 0.6e1 + t823 * t3045 / 0.2e1 - 0.8e1 * t4503 * t1962 * t25836;
  t25843 = t22 * t6075;
  t25859 = t382 * t5910;
  t25862 = t1289 * t9768;
  t25864 = t106 * t1531 * t25862;
  t25870 = t1594 * t1322;
  t25879 = t4433 * t2996;
  t25893 = -0.23e2 / 0.3e1 * t25864 * t2210 - t509 * t25870 * t512 / 0.2e1 + 0.2e1 * t1689 * t5786 + t509 * t5785 * t9428 - t1689 * t5789 - 0.2e1 * t2011 * t25879 * t622 - t2011 * t6152 * t2057 + 0.4e1 / 0.3e1 * t2874 * t25642 + 0.4e1 / 0.3e1 * t2874 * t25646 + 0.2e1 / 0.3e1 * t2874 * t20811 + 0.23e2 / 0.18e2 * t4482 * t21262;
  t25897 = t22 * t6059;
  t25906 = t21359 * t757;
  t25921 = 0.4e1 / 0.3e1 * t13840 * t4606 + t25897 * t1979 - 0.4e1 * t25843 * t1965 + t10768 * t6159 + t1397 * t6152 * t2417 + 0.2e1 * t9509 * t6155 + 0.2e1 * t1397 * t25906 * t645 + 0.2e1 * t1397 * t25879 * t645 - 0.2e1 * t10746 * t6153 - 0.2e1 * t2011 * t25906 * t622 + t2874 * t10566 * t5737 / 0.3e1;
  t25922 = t5844 * t122;
  t25923 = t96 * t25922;
  t25927 = t1304 * t349;
  t25932 = t500 * t6157;
  t25933 = t10832 * t25932;
  t25943 = t10615 * t1733 * t6157;
  t25946 = t1756 * t5724;
  t25958 = t2874 * t1968 * t25923 / 0.3e1 - t2004 * t881 * t1879 * t25927 / 0.2e1 - 0.7e1 / 0.3e1 * t10759 * t25933 - t10516 * t6163 - t2004 * t3220 * t6162 - t2004 * t881 * t1879 * t25922 + 0.3e1 / 0.2e1 * t10759 * t25943 + t2022 * t3220 * t25946 + t2022 * t881 * t1756 * t25922 + t2022 * t881 * t1756 * t25927 / 0.2e1 + t13840 * t5923 / 0.3e1;
  t25962 = t96 * t25927;
  t25966 = t1304 * t323;
  t25967 = t96 * t25966;
  t25995 = t318 * t2966 * t2885;
  t26000 = t318 * t1472 * t5802;
  t26003 = t1341 * t66;
  t26005 = t318 * t26003 * t296;
  t26014 = 0.2e1 / 0.9e1 * t5969 * t1588 + 0.3e1 * t823 * t3301 - t823 * t3092 + 0.2e1 * t1297 * t9378 - t127 * t25995 / 0.3e1 + t823 * t2887 - t127 * t26000 / 0.6e1 - t127 * t26005 / 0.6e1 + t13740 * t5923 / 0.9e1 - t4503 * t1968 * t25967 - 0.2e1 / 0.9e1 * t13740 * t5927;
  t26030 = t106 * t109 * t5711;
  t26041 = -t10556 * t6163 / 0.3e1 + 0.3e1 * t2004 * t3214 * t1879 * t25966 - t3389 * t3175 - 0.5e1 / 0.54e2 * t25859 * t3796 + 0.5e1 / 0.3e1 * t25864 * t2045 - t5985 * t335 / 0.4e1 + 0.2e1 * t26030 * t2433 - t1297 * t9387 / 0.2e1 + t5974 * t320 / 0.9e1 + t806 * t6023 / 0.18e2 + t806 * t6018 / 0.18e2;
  t26048 = t1289 * t9777;
  t26050 = t106 * t9775 * t26048;
  t26058 = t1743 * t25862;
  t26067 = -t1292 * t1474 / 0.3e1 + t259 * t13881 / 0.3e1 + t259 * t13885 / 0.6e1 + 0.44e2 / 0.27e2 * t26050 * t16682 - t5911 * t16331 - t5911 * t9689 / 0.2e1 + 0.2e1 / 0.3e1 * t3322 * t796 - 0.18e2 * t162 * t26058 * t2087 + t387 * t5768 / 0.3e1 + t387 * t6167 - t3331 * t1307 / 0.54e2;
  t26073 = t106 * t363 * t5909;
  t26086 = t500 * t25966;
  t26095 = t5844 * t312;
  t26099 = t1292 * t1421 / 0.3e1 + 0.12e2 * t26073 * t2425 - t383 * t5683 / 0.9e1 + t3322 * t781 / 0.3e1 + t10556 * t5731 / 0.3e1 + t10556 * t5726 / 0.3e1 + 0.2e1 * t4503 * t21269 + 0.2e1 * t4503 * t1974 * t26086 - 0.2e1 / 0.9e1 * t13740 * t4599 + t2004 * t877 * t404 * t25922 + t2004 * t263 * t1883 * t26095;
  t26127 = -t9576 * t5734 / 0.6e1 - t2874 * t1974 * t500 * t25927 / 0.3e1 - 0.2e1 / 0.3e1 * t13840 * t5927 - 0.2e1 / 0.3e1 * t2874 * t1974 * t500 * t25922 + t13740 * t5745 / 0.18e2 + t13745 * t5750 / 0.18e2 - 0.2e1 / 0.3e1 * t2874 * t10662 * t5926 - t13748 * t5738 / 0.9e1 - t13745 * t5742 / 0.9e1 - 0.2e1 / 0.3e1 * t13840 * t4599 - t2874 * t20807 / 0.3e1;
  t26148 = t10804 * t5909;
  t26152 = t821 * t3084;
  t26157 = t318 * t13879 * t775;
  t26161 = -0.11e2 / 0.9e1 * t4482 * t21259 - 0.23e2 / 0.36e2 * t4482 * t10615 * t26086 - 0.2e1 / 0.3e1 * t2874 * t21524 - 0.2e1 / 0.3e1 * t2874 * t21527 + 0.6e1 * t2004 * t3211 * t1756 * t25835 - 0.15e2 / 0.2e1 * t2004 * t6044 * t16419 - t4503 * t1974 * t25967 / 0.2e1 + 0.3e1 * t1397 * t26148 * t3411 + 0.14e2 / 0.3e1 * t3083 * t2218 * t26152 - t127 * t26157 / 0.3e1 + t823 * t3078;
  t26164 = t11303 * t25759;
  t26192 = 0.2e1 * t823 * t3076 + 0.47e2 / 0.3e1 * t16217 * t26164 + 0.2e1 * t3366 * t796 - 0.3e1 * t21072 * t2983 + 0.2e1 * t14865 * t2981 - 0.3e1 / 0.2e1 * t3980 * t3211 * t9992 * t25966 + 0.3e1 * t2022 * t3211 * t9997 * t25966 - 0.3e1 / 0.2e1 * t2004 * t3211 * t10242 * t25966 + t4482 * t10706 * t25967 / 0.2e1 + 0.14e2 / 0.3e1 * t4482 * t21129 - 0.3e1 * t4482 * t21125;
  t26197 = t20707 * t3005;
  t26216 = t548 * t5803;
  t26245 = t880 * t1581;
  t26248 = t3210 * t1533;
  t26252 = t1539 * t1670 * t256;
  t26255 = t3219 * t365;
  t26269 = t1539 * t1540 * t256;
  t26275 = t262 * t365;
  t26284 = t1485 * t2934;
  t26287 = -0.2e1 * t3207 * t138 - 0.4e1 * t265 * t1647 - 0.4e1 * t15613 * t5817 + 0.24e2 * t26245 * t2094 - 0.12e2 * t26248 * t2087 + 0.4e1 / 0.3e1 * t15591 * t26252 - 0.8e1 * t26255 * t645 + 0.4e1 * t889 * t334 + 0.4e1 * t5836 * t1605 + 0.2e1 * t265 * t1621 + 0.2e1 / 0.3e1 * t9171 * t5817 + 0.4e1 / 0.3e1 * t3454 * t5776 + 0.2e2 / 0.9e1 * t15591 * t26269 + 0.2e1 * t307 * t3205 * t165 - 0.12e2 * t26275 * t2138 - 0.12e2 * t5826 * t12177 + 0.8e1 * t5823 * t12202 - 0.4e1 * t5826 * t12197 - 0.24e2 * t26284 * t2094;
  t26290 = t307 * t757;
  t26296 = t1485 * t2996;
  t26305 = t9163 * t3005;
  t26310 = t874 * t326;
  t26316 = t307 * t2925;
  t26319 = t307 * t811;
  t26329 = 0.4e1 * t5829 * t1647 + 0.12e2 * t26290 * t2138 + 0.4e1 * t5826 * t2417 - 0.8e1 * t2954 + 0.8e1 / 0.3e1 * t26296 * t622 - 0.4e1 * t5823 * t1605 - 0.8e1 * t26284 * t2142 + 0.4e1 / 0.3e1 * t5826 * t2057 + 0.16e2 / 0.9e1 * t26305 * t2099 - 0.4e1 * t5841 * t2417 + 0.8e1 * t26310 * t636 - 0.2e1 * t5829 * t1621 - 0.2e1 * t2948 - 0.8e1 * t26316 * t636 - 0.4e1 * t26319 * t334 + 0.12e2 * t2983 + 0.8e1 * t26296 * t645 + 0.32e2 / 0.3e1 * t26305 * t2204 + 0.12e2 * t26305 * t2087;
  t26330 = t26287 + t26329;
  t26342 = t162 * t25870 * t516 / 0.2e1 - t162 * t5785 * t9434 - 0.2e1 * t379 * t5918 - t1297 * t9382 - t5969 * t1452 / 0.9e1 + 0.2e1 / 0.9e1 * t5969 * t1464 - 0.2e1 / 0.9e1 * t2900 * t6002 + 0.2e1 / 0.3e1 * t387 * t5853 - t162 * t767 * t303 * t137 * t26330 / 0.4e1 - t162 * t2896 * t5846 / 0.2e1 - t162 * t14447 * t1364 / 0.4e1;
  t26357 = t305 * t26003 * t313;
  t26371 = -t379 * t5813 / 0.2e1 - t379 * t5847 / 0.2e1 - t1547 * t1365 / 0.4e1 + 0.23e2 / 0.18e2 * t5911 * t17404 + 0.23e2 / 0.36e2 * t5911 * t9048 + t1713 * t1365 / 0.18e2 + t127 * t26357 / 0.12e2 + 0.6e1 * t1689 * t5780 + 0.3e1 * t509 * t5779 * t2057 - 0.2e1 * t1689 * t5777 - t509 * t758 * t371 * t372 * t3205;
  t26405 = t162 * t775 * t3206 * t165 / 0.2e1 + t162 * t14372 * t262 * t165 / 0.2e1 + t3331 * t777 / 0.27e2 + t1292 * t1613 / 0.3e1 + t1292 * t1617 / 0.6e1 + t259 * t305 * t306 * t95 * t26330 / 0.12e2 + t259 * t305 * t1472 * t6021 / 0.6e1 + t259 * t305 * t9364 * t1305 / 0.12e2 - t1297 * t9283 / 0.12e2 + t3352 * t1307 / 0.12e2 + t813 * t6018 / 0.6e1;
  t26436 = t10904 * t1740 * t25758;
  t26444 = t507 * t25758;
  t26445 = t10897 * t26444;
  t26456 = t1472 * t5695;
  t26460 = 0.3e1 * t9790 * t6171 + 0.3e1 / 0.2e1 * t1742 * t6166 * t10204 + 0.8e1 * t16217 * t26436 - 0.6e1 * t1689 * t6174 - 0.3e1 * t509 * t6166 * t10178 - 0.62e2 / 0.3e1 * t16217 * t26445 - t1297 * t9865 / 0.3e1 - t1297 * t9421 / 0.6e1 + t1297 * t9411 / 0.3e1 + 0.2e1 / 0.3e1 * t1297 * t9862 - 0.2e1 / 0.3e1 * t791 * t555 * t26456;
  t26485 = -t791 * t555 * t25747 / 0.3e1 - t259 * t14378 / 0.6e1 - t813 * t2972 / 0.3e1 - t259 * t14436 / 0.3e1 - t2998 * t4613 / 0.3e1 - t791 * t19875 / 0.3e1 - t791 * t14207 / 0.6e1 - 0.5e1 / 0.18e2 * t3007 * t20403 + t813 * t2968 / 0.3e1 - t387 * t5847 / 0.6e1 - 0.43e2 / 0.9e1 * t26050 * t16199;
  t26504 = -0.2e1 * t26050 * t16376 + 0.89e2 / 0.9e1 * t26050 * t16207 - t3007 * t20688 - 0.38e2 / 0.9e1 * t26050 * t16379 - t3162 * t1404 * t25962 / 0.6e1 + t823 * t3049 - t356 * t5683 / 0.6e1 + t3366 * t772 - t3366 * t768 - t823 * t2897 - t823 * t3059 / 0.2e1;
  t26510 = t382 * t5712;
  t26552 = -0.2e1 * t3389 * t3031 - t3389 * t3033 - 0.2e1 * t14687 * t759 - 0.3e1 / 0.2e1 * t5911 * t9714 - 0.3e1 * t5911 * t2042 * t1687 * t539 + 0.23e2 / 0.18e2 * t3007 * t20394 + 0.4e1 / 0.3e1 * t791 * t25681 + 0.2e1 / 0.3e1 * t791 * t14317 + 0.4e1 / 0.3e1 * t2998 * t4768 - t791 * t20963 / 0.3e1 + t1297 * t9373 / 0.3e1;
  t26576 = -t791 * t548 * t26456 / 0.3e1 - t2900 * t5697 / 0.9e1 + t26510 * t549 / 0.3e1 + t5969 * t1456 / 0.9e1 + 0.2e1 / 0.9e1 * t5969 * t1679 + t3322 * t829 / 0.3e1 + t15144 * t274 / 0.3e1 - t9836 * t1352 / 0.3e1 + t1728 * t1368 / 0.3e1 - t1728 * t1360 / 0.3e1 + t2874 * t21003;
  t26577 = t5724 * t312;
  t26582 = t5748 * t122;
  t26593 = t810 * t810;
  t26604 = t106 * t363 * t26593 * t365;
  t26607 = 0.5e1 / 0.3e1 * t2874 * t10706 * t500 * t26577 - 0.2e1 / 0.3e1 * t2874 * t1974 * t1395 * t26582 - t3322 * t768 / 0.3e1 - t15764 - t15768 + t3322 * t772 / 0.3e1 - 0.11e2 / 0.3e1 * t25843 * t1971 + t15829 + t106 * t109 * t26593 * t326 * t139 / 0.3e1 - t1712 * t1291 * t139 / 0.27e2 - t26604 * t374 / 0.6e1;
  t26610 = t1712 * t1296;
  t26631 = t26610 * t374 / 0.54e2 + t26610 * t497 / 0.27e2 + t3331 * t818 / 0.27e2 - t26604 * t497 / 0.3e1 + 0.2e1 / 0.3e1 * t26604 * t502 - 0.2e1 / 0.27e2 * t26610 * t502 - t14723 * t274 / 0.9e1 + t9975 * t1352 / 0.9e1 - t5985 * t329 / 0.2e1 + 0.2e1 / 0.3e1 * t3162 * t20561 + t15850;
  t26639 = t303 * t1363 * t122;
  t26646 = params->at * t5896;
  t26648 = t318 * t306 * t26646;
  t26655 = -t15853 + t13840 * t5745 / 0.6e1 + t15888 - t15892 - t15896 - 0.2e1 * t2004 * t877 * t1883 * t26577 + t1397 * t2951 * t26639 + t5985 * t298 / 0.2e1 + t379 * t5808 / 0.2e1 - t127 * t26648 / 0.6e1 + t162 * t26646 * t142 * t165 / 0.2e1;
  t26661 = t510 * t5909;
  t26677 = t555 * t5803;
  t26681 = t548 * t160 * t5802;
  t26687 = 0.22e2 / 0.3e1 * t25864 * t2428 + 0.23e2 / 0.54e2 * t25859 * t3727 + 0.18e2 * t162 * t26661 * t2094 - 0.11e2 / 0.27e2 * t25859 * t3724 - 0.2e1 * t387 * t6136 - 0.2e1 * t1763 * t6174 + 0.36e2 * t509 * t26058 * t2204 - 0.18e2 * t1742 * t26058 * t2099 - t368 * t26677 / 0.6e1 + t368 * t26681 / 0.3e1 - t509 * t25766 * t512 / 0.2e1;
  t26691 = t13779 * t762;
  t26697 = t22 * t6044;
  t26713 = -0.18e2 * t509 * t26661 * t2142 - t913 + t984 - 0.2e1 * t1397 * t26691 * t636 + t3168 * t14861 / 0.3e1 + 0.15e2 / 0.2e1 * t26697 * t10615 * t1733 * t1969 + 0.4e1 / 0.3e1 * t2874 * t21321 * t1964 - t259 * t14726 / 0.6e1 - t3352 * t818 / 0.6e1 - t813 * t3361 / 0.3e1 + t1297 * t9940 / 0.3e1;
  t26719 = t373 * t1343;
  t26722 = t138 * t6131;
  t26731 = t496 * t1343;
  t26738 = t106 * t158 * t1341 * t506;
  t26763 = t5985 * t351 / 0.4e1 + t15948 - t15949 + t387 * t5920 / 0.3e1 + 0.3e1 * t162 * t5785 * t9402 + 0.4e1 / 0.9e1 * t13740 * t4606 + t2874 * t20572 + t2874 * t21333 / 0.2e1 - 0.3e1 * t509 * t5785 * t9407 - t1763 * t5789 / 0.3e1 + t823 * t3295;
  t26772 = t1416 * t1363 * t312;
  t26775 = t810 * t312;
  t26782 = t1386 * t108;
  t26789 = t1404 * t169 * t1386 * t312;
  t26796 = t373 * t1342 * t500;
  t26801 = t106 * t158 * t6129 * t159;
  t26804 = t1728 * t1356 / 0.3e1 - t162 * t5802 * t393 * t328 / 0.2e1 + t1397 * t2956 * t26772 - 0.8e1 / 0.3e1 * t2874 * t1974 * t500 * t26775 + t10516 * t5726 + t10516 * t5731 - t1397 * t26782 * t125 * t334 / 0.4e1 + t1403 * t26789 / 0.12e2 + 0.2e1 * t1397 * t2943 * t5852 + t368 * t26796 / 0.3e1 + t26801 * t166 / 0.2e1;
  t26827 = -t9933 * t1352 / 0.2e1 + t1547 * t1368 / 0.2e1 - t5969 * t1528 / 0.18e2 + t5974 * t359 / 0.9e1 - t1547 * t1360 / 0.2e1 - t5969 * t1675 / 0.9e1 - t3373 * t818 / 0.9e1 - t806 * t3361 / 0.9e1 + t2004 * t3246 * t5725 + t2004 * t875 * t5730 - t9509 * t5734 / 0.2e1;
  t26835 = t1398 * t1295;
  t26844 = t2000 * t5711;
  t26848 = t96 * t25835;
  t26864 = t4433 * t2934;
  t26877 = t14860 * t2992;
  t26885 = -0.3e1 * t2022 * t3214 * t1756 * t25966 + 0.2e1 / 0.3e1 * t9576 * t6155 - 0.6e1 * t1397 * t26864 * t2094 + t13858 * t2993 / 0.3e1 + t11676 * t6159 / 0.3e1 + 0.3e1 / 0.2e1 * t162 * t6166 * t10164 + t493 * t5683 / 0.3e1 + t1403 * t26877 / 0.6e1 - t14865 * t2957 - 0.2e1 * t14865 * t2952 + 0.2e1 * t21072 * t2954;
  t26889 = t382 * t5984;
  t26892 = t510 * t26593;
  t26912 = -0.2e1 * t9509 * t5717 + t26889 * t166 / 0.6e1 - t509 * t26892 * t512 - t162 * t163 * t26593 * t328 + t1713 * t1360 / 0.9e1 + t162 * t26892 * t516 + t493 * t5963 / 0.6e1 - t383 * t5963 / 0.18e2 - t1297 * t9946 / 0.6e1 - t1297 * t10142 / 0.12e2 + t1292 * t1575 / 0.6e1;
  t26916 = t2986 * t811;
  t26923 = t96 * t26775;
  t26940 = -t16065 - 0.2e1 * t2011 * t2943 * t5776 - t1397 * t26916 * t334 + 0.6e1 * t2004 * t3227 * t145 * t25835 + 0.4e1 / 0.3e1 * t2874 * t1968 * t26923 + 0.4e1 * t4503 * t1996 * t26848 - t2874 * t21322 / 0.3e1 - t4510 * t19738 - t3168 * t14967 / 0.3e1 - t13740 * t4665 / 0.9e1 + t2874 * t1974 * t25962 / 0.12e2;
  t26952 = t1304 * t1418;
  t26957 = t1304 * t1502;
  t26995 = -0.2e1 / 0.3e1 * t2874 * t20576 + 0.2e1 / 0.3e1 * t3162 * t21275 - 0.2e1 * t2874 * t21332 * t1975 - t22 * t1342 * t481 / 0.4e1 + t16098 - t3574 - 0.2e1 * t4510 * t1982 * t26848 - 0.2e1 / 0.3e1 * t3162 * t1404 * t26923 + 0.25e2 / 0.36e2 * t26697 * t16229 - t14865 * t2988 / 0.2e1 + 0.28e2 / 0.3e1 * t4482 * t3961 * t25836;
  t27017 = 0.1e1 / t25 / t1810;
  t27019 = t27017 * t443 * t24;
  t27024 = t3116 * tau[0];
  t27059 = 0.14e6 / 0.3e1 * t9629 * t27019 + 0.13e5 / 0.9e1 * t468 * t3099 - 0.392e5 / 0.3e1 * t1835 * t27024 + 0.56e5 / 0.3e1 * t9634 * t27019 + 0.26e4 / 0.3e1 * t475 * t3099 + 0.1904e5 / 0.3e1 * t1821 * t27024 - 0.8e4 * t9613 * t27019 - 0.26e4 / 0.9e1 * t451 * t3099 + 0.2912e5 / 0.3e1 * t1824 * t27024 - 0.8e4 / 0.3e1 * t9622 * t27019 - 0.104e4 * t458 * t3099 - 0.112e5 * t1827 * t27024 + 0.32e5 * t9625 * t27019 - 0.104e4 / 0.9e1 * t463 * t3099 - 0.28e5 * t1830 * t27024 + 0.52e3 / 0.9e1 * t3099 * t173 - 0.4e4 / 0.3e1 * t27017 * t181 * t443 * t24 + 0.112e4 / 0.3e1 * t3138 * tau[0];
  t27067 = -0.35e2 / 0.3e1 * t26697 * t10832 * t1975 + 0.14e2 / 0.3e1 * t26697 * t3961 * t1964 + t3366 * t781 + 0.3e1 * t379 * t6167 - t3168 * t16672 * t5741 / 0.3e1 + t2874 * t10662 * t5737 / 0.6e1 - t13856 * t5738 / 0.3e1 - t13858 * t5742 / 0.3e1 - t22 * t65 * t169 * t27059 / 0.4e1 - t16111 + 0.3e1 * t11419 * t26148 * t3739;
  t27099 = 0.6e1 * t3980 * t3211 * t1746 * t25835 + 0.12e2 * t2022 * t3214 * t400 * t25835 - 0.11e2 * t2022 * t6075 * t9459 + 0.6e1 * t2011 * t26844 * t622 + 0.15e2 * t2022 * t6044 * t16394 - t16140 - 0.6e1 * t2011 * t26148 * t3760 + t16142 - 0.12e2 * t2022 * t3211 * t1751 * t25835 - 0.15e2 / 0.2e1 * t3980 * t6044 * t17435 - 0.12e2 * t2004 * t3214 * t409 * t25835;
  t27110 = t193 * t810;
  t27118 = -0.115e3 / 0.36e2 * t26697 * t17478 + t16183 + t16228 - 0.6e1 * t4482 * t3965 * t1733 * t25835 + 0.2e1 / 0.3e1 * t13856 * t4660 + 0.4e1 / 0.3e1 * t2874 * t1962 * t1395 * t27110 - 0.5e1 / 0.9e1 * t4482 * t3965 * t26848 - t16243 + t16282 - t16285 - t16298;
  t27125 = -t16323 + t486 * t1348 / 0.9e1 + t486 * t1388 / 0.18e2 - t16330 - t16335 + t16337 - t16342 - 0.2e1 / 0.3e1 * t387 * t5918 + t16365 - t16368 + t16431;
  t27145 = t16433 + t16436 - t16438 + t3168 * t13769 / 0.3e1 - t1397 * t13817 * t1364 / 0.2e1 - t22 * t3283 * t288 / 0.2e1 + t3168 * t13764 / 0.3e1 - t2874 * t20543 / 0.3e1 + 0.2e1 / 0.3e1 * t3162 * t20550 - 0.2e1 * t20902 * t2944 - t103 * t5866 / 0.6e1;
  t27173 = -t103 * t5898 / 0.6e1 - t103 * t5904 / 0.3e1 + 0.2e1 * t2004 * t877 * t404 * t26775 - 0.3e1 * t2004 * t6059 * t2030 - t1397 * t2956 * t5846 / 0.2e1 + t16498 - t22 * t897 * t870 - t22 * t269 * t3142 / 0.2e1 - t103 * t5863 / 0.3e1 - t22 * t431 * t1387 / 0.4e1 - t22 * t154 * t5897 / 0.2e1;
  t27178 = t13779 * t257;
  t27191 = t22 * t1323;
  t27207 = t169 * t27110;
  t27218 = t3168 * t13705 / 0.6e1 + t27191 * t9539 / 0.3e1 - 0.5e1 / 0.18e2 * t26697 * t16688 - t2874 * t1962 * t27207 / 0.3e1 + 0.3e1 * t2011 * t6152 * t12197 - 0.2e1 * t2874 * t1974 * t1395 * t21001 + t16576 - t16578 - t16605 + t16609 + t16611;
  t27220 = t16613 - t16615 + t16617 + t16619 + t16622 + t16624 - t16626 - t16633 - t16636 - t16638 - t16640;
  t27224 = t2986 * t757;
  t27228 = t2986 * t2925;
  t27242 = t22 * t1319;
  t27256 = -t22 * t6130 * t194 / 0.2e1 + 0.3e1 * t1397 * t27224 * t2138 - 0.2e1 * t1397 * t27228 * t636 - 0.3e1 * t1397 * t6152 * t12177 - 0.5e1 / 0.2e1 * t2022 * t881 * t10242 * t26577 - t2874 * t20558 / 0.3e1 - t25897 * t1984 - t27242 * t1407 / 0.3e1 + t3168 * t1404 * t169 * t193 * t5844 / 0.6e1 + 0.2e1 / 0.3e1 * t3162 * t1982 * t27207 + t3168 * t9547 * t5749 / 0.6e1;
  t27277 = t9989 * t26048;
  t27288 = 0.3e1 * t21068 * t2948 - 0.3e1 * t26697 * t3965 * t2009 * t1963 + t162 * t758 * t371 * t408 * t3205 + t379 * t5856 + t162 * t5855 * t1621 / 0.2e1 + 0.2e1 * t379 * t5853 - t162 * t5855 * t1647 + 0.6e1 * t162 * t27277 * t16272 - 0.6e1 * t3389 * t3184 + 0.3e1 * t823 * t3187 - 0.6e1 * t10074 * t27277 * t16247;
  t27297 = t163 * t5711;
  t27308 = t1440 * t8825 * t122;
  t27311 = t169 * t26582;
  t27322 = 0.18e2 * t1742 * t27277 * t16187 - 0.18e2 * t509 * t27277 * t16286 + t387 * t5856 / 0.3e1 - 0.6e1 * t162 * t27297 * t2138 - 0.11e2 / 0.9e1 * t5911 * t16072 - 0.11e2 / 0.18e2 * t5911 * t9843 - 0.61e2 / 0.27e2 * t26050 * t16685 + t2011 * t2943 * t27308 + t2874 * t1968 * t27311 / 0.3e1 - t1397 * t14614 * t1364 / 0.4e1 + t2004 * t877 * t404 * t25927 / 0.2e1;
  t27326 = t96 * t26577;
  t27330 = t1398 * t1290;
  t27334 = t2000 * t1295;
  t27338 = 0.2e1 * t25843 * t1997 - t3766 + t3769 + t16700 + t16701 - t16702 - t16703 - 0.5e1 / 0.6e1 * t2874 * t11691 * t27326 + t1397 * t27330 * t334 - t26697 * t16558 - 0.2e1 * t1397 * t27334 * t1442;
  t27358 = t555 * t5682;
  t27362 = t548 * t821 * t775;
  t27365 = -0.4e1 * t2004 * t881 * t1879 * t26775 + 0.18e2 * t25864 * t2223 - t25859 * t3429 + 0.4e1 / 0.9e1 * t2900 * t4768 - 0.4e1 * t2936 * t548 * t20393 + 0.2e1 * t2936 * t20388 - 0.2e1 / 0.9e1 * t2900 * t4764 + 0.14e2 / 0.9e1 * t25859 * t3417 + t823 * t2961 - t368 * t27358 / 0.3e1 + 0.2e1 / 0.3e1 * t368 * t27362;
  t27421 = 0.3e1 * t379 * t5764 - t162 * t763 * t135 * t137 * t3205 - 0.2e1 * t379 * t5761 + t387 * t5764 - 0.2e1 / 0.3e1 * t387 * t5761 - t379 * t5860 - t162 * t1594 * t1318 * t328 / 0.2e1 - t17217 + t2004 * t263 * t1883 * t26957 / 0.2e1 - 0.2e1 / 0.3e1 * t2874 * t1996 * t27207 - 0.5e1 / 0.12e2 * t2874 * t10706 * t27326;
  t27437 = t1318 * t10106;
  t27440 = t6043 * t9912;
  t27457 = t63 * t3205;
  t27465 = t9774 * t1289;
  t27466 = t27465 * t9991;
  t27474 = t1336 * t349;
  t27477 = t590 * t810;
  t27481 = 0.2e1 * t1319 * t1894 + 0.2e1 * t6075 * t2341 - t263 * t404 * t63 * t26330 - 0.2e1 / 0.3e1 * t881 * t400 * t27457 + 0.2e1 / 0.3e1 * t1323 * t10249 - t6044 * t10259 / 0.9e1 - t27466 * t16888 / 0.9e1 + 0.4e1 * t881 * t409 * t27457 - 0.4e1 * t1323 * t10226 - t877 * t404 * t27474 + 0.2e1 / 0.9e1 * t3211 * t1746 * t27477;
  t27485 = t1336 * t323;
  t27493 = t1322 * t10029;
  t27509 = 0.6e1 * t6059 * t2338 - 0.6e1 * t3214 * t1879 * t27485 + 0.8e1 / 0.3e1 * t27466 * t17020 + 0.24e2 * t27466 * t17023 + 0.72e2 * t27493 * t2327 + 0.8e1 * t27440 * t2332 - 0.72e2 * t27440 * t2335 + 0.3e1 * t3211 * t10242 * t27485 - t3211 * t9992 * t27485 / 0.18e2 + 0.24e2 * t3214 * t409 * t27477 - t16837;
  t27510 = t6114 * t122;
  t27531 = -t16846 + t16857 + t16859 + 0.2e1 * t881 * t1879 * t27510 + t881 * t1879 * t27474 - 0.1e2 / 0.3e1 * t3211 * t9997 * t27485 - 0.2e1 / 0.3e1 * t6044 * t17109 - 0.22e2 * t6075 * t2350 - 0.12e2 * t3211 * t1756 * t27477 + 0.15e2 * t6044 * t17062 + 0.4e1 * t3214 * t1756 * t27485;
  t27549 = t16906 + t16920 - t16923 - t16925 - t16927 - t16934 + t16936 - t16938 - t16940 + t16945 + t16948;
  t27551 = t108 * t26593;
  t27555 = t362 * t26593;
  t27556 = t27555 * t365;
  t27561 = t6028 * t323;
  t27562 = t414 * t27561;
  t27572 = t62 * t312 * t810;
  t27576 = t1318 * t11895;
  t27582 = t6043 * t11850;
  t27585 = t16955 + 0.2e1 * t27551 * t326 * t150 - 0.2e1 * t27556 * t428 + 0.4e1 / 0.3e1 * t27556 * t415 - 0.6e1 * t15349 * t27562 + 0.12e2 * t15352 * t427 * t27561 + 0.2e1 / 0.3e1 * t15349 * t1845 * t27561 + 0.8e1 * t3200 * t149 * t27572 - 0.12e2 * t27576 * t2281 - 0.16e2 * t3197 * t427 * t27572 + 0.5e1 / 0.9e1 * t27582 * t16752;
  t27586 = t1322 * t11903;
  t27589 = t2279 * t810;
  t27590 = t414 * t27589;
  t27605 = -0.22e2 / 0.3e1 * t27586 * t2289 + 0.8e1 * t4360 * t27590 + 0.8e1 / 0.3e1 * t3197 * t414 * t27572 - 0.4e1 / 0.9e1 * t4344 * t1857 * t27589 + 0.4e1 * t15341 * t149 * t26577 - t16965 - t16966 - t16967 + t16972 + 0.1e2 * t15344 * t16824 * t26577 - t16980;
  t27637 = t6095 * t312;
  t27649 = -0.2e1 * t1323 * t10272 - 0.4e1 * t1319 * t1885 - 0.12e2 * t27493 * t2324 + 0.3e1 * t3227 * t404 * t27485 + 0.3e1 * t263 * t10295 * t1336 * t1418 + 0.12e2 * t1323 * t10278 - 0.2e1 * t263 * t1883 * t6114 * t312 + 0.8e1 * t881 * t1879 * t27637 - 0.2e1 * t877 * t404 * t27510 - 0.4e1 / 0.3e1 * t881 * t1756 * t27510 - 0.5e1 / 0.18e2 * t6044 * t16883;
  t27672 = t62 * t5844;
  t27673 = t27672 * t122;
  t27677 = t6028 * t349;
  t27683 = -0.12e2 * t3227 * t145 * t27477 - 0.4e1 * t877 * t404 * t27637 - 0.16e2 * t3214 * t400 * t27477 + 0.4e2 / 0.3e1 * t3211 * t1751 * t27477 - 0.5e2 / 0.3e1 * t6044 * t17115 - 0.16e2 / 0.3e1 * t881 * t1756 * t27637 + 0.44e2 / 0.3e1 * t6075 * t2304 + 0.4e1 * t15357 * t6030 + 0.4e1 * t3200 * t149 * t27673 + 0.2e1 * t3200 * t149 * t27677 - 0.2e1 * t15352 * t27562;
  t27713 = t60 * t3205;
  t27717 = 0.4e1 * t20126 * t6034 + t3197 * t414 * t27677 / 0.3e1 + t15349 * t1857 * t27561 / 0.9e1 + 0.4e1 * t4349 * t149 * t27672 * t312 + 0.2e1 * t4349 * t149 * t6028 * t1502 + 0.1e2 / 0.3e1 * t15344 * t414 * t26577 + 0.2e1 / 0.3e1 * t15368 * t6037 + 0.2e1 / 0.3e1 * t3197 * t414 * t27673 - 0.6e1 * t15338 * t149 * t27561 - 0.4e1 / 0.3e1 * t1323 * t10398 + 0.2e1 * t877 * t145 * t27713;
  t27748 = -0.2e1 * t881 * t409 * t27713 + 0.2e1 * t1323 * t10426 - 0.4e1 * t3197 * t427 * t27673 - 0.2e1 * t3197 * t427 * t27677 - 0.3e2 * t27582 * t2289 - 0.5e1 * t15344 * t427 * t26577 - 0.4e1 * t15368 * t6040 - 0.48e2 * t4360 * t427 * t27589 + 0.44e2 * t27586 * t2286 - 0.8e1 / 0.3e1 * t4344 * t1845 * t27589 + 0.1e2 / 0.3e1 * t27582 * t17173;
  t27769 = 0.24e2 * t4344 * t27590 - t17123 + t17142 - 0.6e1 * t20269 * t149 * t6028 * t1418 + 0.24e2 * t4365 * t149 * t27589 - 0.3e1 * t6059 * t2366 + 0.24e2 * t27493 * t2374 - t1319 * t1900 - 0.4e1 * t6075 * t2360 - 0.2e1 / 0.3e1 * t27440 * t2377 + 0.6e1 * t6075 * t2380;
  t27784 = t27555 * t398;
  t27794 = -0.4e2 * t27440 * t2354 + 0.36e2 * t27440 * t2385 - 0.12e2 * t27466 * t16852 + t6044 * t16916 / 0.18e2 + 0.1e2 / 0.3e1 * t6044 * t16907 + 0.4e1 / 0.3e1 * t881 * t400 * t27713 - 0.2e1 / 0.3e1 * t27784 * t401 - 0.3e1 * t6044 * t16840 + 0.5e2 / 0.3e1 * t27466 * t17131 - 0.4e1 * t27551 * t327 * t146 - t962;
  t27816 = t943 - 0.36e2 * t27493 * t2382 + t3271 * t1337 / 0.2e1 + t875 * t6115 + t263 * t404 * t60 * t26330 / 0.2e1 + 0.1e2 / 0.3e1 * t27466 * t17128 + 0.4e1 * t27784 * t410 + 0.2e1 * t1319 * t1921 + 0.12e2 * t27437 * t2388 - 0.6e1 * t1323 * t10442 + 0.4e1 * t1323 * t10373;
  t27830 = -t3168 * t3582 * t169 * t5748 * t312 / 0.3e1 + t2874 * t1974 * t27311 / 0.6e1 - t22 * t59 * (0.6e1 * t6059 * t2320 + 0.2e1 * t3220 * t6087 - 0.2e1 * t875 * t6071 - 0.4e1 / 0.3e1 * t3220 * t6052 - 0.4e1 / 0.3e1 * t27466 * t17070 + 0.6e1 * t6044 * t10288 - 0.12e2 * t6075 * t2308 - 0.2e1 * t3246 * t6068 - t3271 * t1327 - 0.2e1 * t875 * t6049 - 0.24e2 * t27437 * t2299 + 0.4e1 / 0.3e1 * t27440 * t2345 - 0.8e1 * t15341 * t16820 * t26577 - 0.5e1 / 0.3e1 * t15344 * t16829 * t26577 - 0.4e1 * t877 * t145 * t27457 - 0.2e1 / 0.3e1 * t881 * t1756 * t27474 - t263 * t1883 * t1336 * t1502 + t27531 - t16990 - t16993 + t27549 + t27649 + t3703 + t27585 + t27816 + t17041 - t17042 + t17066 + t16800 + t16801 + t27794 + t16900 - t16902 + t27481 + t27509 + t27605 + t27748 + t27683 + t27717 - t16781 + t16904 + t17040 + t27769) * t96 / 0.4e1 - 0.22e2 / 0.9e1 * t4482 * t3961 * t26848 - t17266 - t17268 + t17270 + t17272 + 0.2e1 / 0.9e1 * t2917 * t5702 - t17274 - t17276;
  t27831 = t382 * t5705;
  t27839 = t1440 * t8732 * t122;
  t27862 = -t27831 * t541 / 0.3e1 + 0.5e1 / 0.2e1 * t2004 * t881 * t10277 * t26577 - t1397 * t2943 * t27839 + 0.6e1 * t2011 * t26864 * t2142 - 0.4e1 * t4503 * t1962 * t21128 - 0.2e1 / 0.3e1 * t11685 * t6153 - t9509 * t5721 + 0.2e1 * t2011 * t27334 * t1448 + t493 * t5804 / 0.6e1 + 0.2e1 * t1397 * t5716 * t12202 + 0.2e1 / 0.3e1 * t3162 * t3582 * t27326;
  t27878 = -t3162 * t1404 * t27311 / 0.3e1 - 0.2e1 / 0.3e1 * t3162 * t21478 + t2874 * t21475 / 0.2e1 + t17386 + t17389 - t17392 - t17396 + t17413 + t785 * t318 * t25747 / 0.3e1 - t5706 * t2192 - t5706 * t2402 / 0.2e1;
  t27896 = -0.3e1 * t26073 * t2407 - t17416 + 0.2e1 / 0.3e1 * t785 * t318 * t26456 + 0.2e1 / 0.3e1 * t1763 * t5786 - 0.2e1 / 0.3e1 * t1763 * t5777 + t387 * t5772 / 0.3e1 - 0.3e1 * t3007 * t21039 + 0.4e1 * t2022 * t881 * t1756 * t26775 - t17422 + t17424 + t17428;
  t27921 = 0.2e1 / 0.3e1 * t2874 * t1974 * t26923 - t17451 + 0.2e1 * t4503 * t1962 * t26848 + 0.55e2 / 0.18e2 * t26697 * t15933 - t1397 * t5716 * t1605 - 0.2e1 / 0.3e1 * t9576 * t5717 - t9576 * t5721 / 0.3e1 - t2874 * t20736 / 0.6e1 - 0.11e2 / 0.6e1 * t25843 * t1987 - t1397 * t5720 * t1621 / 0.2e1 + 0.2e1 / 0.3e1 * t27191 * t9562;
  t27930 = t13858 * t5750 / 0.6e1 - t17475 - t17476 + t17477 - t13840 * t4665 / 0.3e1 + t486 * t1343 / 0.18e2 + 0.3e1 * t14675 * t3181 + t17537 + t17539 - t17541 + t17542;
  t27937 = my_piecewise3(t3, 0, -0.6e1 * t26073 * t2423 + 0.2e1 / 0.3e1 * t26510 * t556 + 0.6e1 * t3389 * t3305 - 0.2e1 / 0.3e1 * t14982 * t759 - 0.2e1 * t5713 * t1644 - 0.4e1 * t5713 * t2460 + t5713 * t2149 + 0.2e1 * t5713 * t2129 + t813 * t6023 / 0.6e1 - 0.35e2 / 0.108e3 * t26050 * t16461 - t1297 * t9287 / 0.6e1 + 0.5e1 / 0.2e1 * t26697 * t16554 + t379 * t5772 + t379 * t5768 - t103 * t6131 / 0.6e1 - 0.2e1 / 0.3e1 * t3162 * t21339 - 0.4e1 / 0.3e1 * t27191 * t9523 - t103 * t5901 / 0.6e1 - 0.5e1 / 0.18e2 * t4482 * t20739 - 0.11e2 / 0.9e1 * t26697 * t15930 + t3162 * t20749 / 0.3e1 + 0.2e1 / 0.9e1 * t13748 * t4660 + t13745 * t2993 / 0.9e1 - t806 * t2972 / 0.9e1 - t259 * t13928 / 0.3e1 - t2900 * t4613 / 0.9e1 - t4482 * t20704 - t1728 * t1365 / 0.6e1 - t387 * t5813 / 0.6e1 - t368 * t26216 / 0.12e2 - t356 * t5804 / 0.12e2 + t379 * t5920 - t26738 * t513 / 0.2e1 + t3366 * t829 + t14731 * t274 / 0.2e1 + 0.6e1 * t25864 * t2214 - t5974 * t315 / 0.9e1 - 0.6e1 * t379 * t6136 - 0.28e2 * t15967 * t25760 - 0.4e1 / 0.3e1 * t26510 * t562 - 0.5e1 / 0.18e2 * t5911 * t16454 - 0.5e1 / 0.36e2 * t5911 * t16457 - 0.11e2 / 0.9e1 * t3007 * t20390 - 0.2e1 / 0.3e1 * t2998 * t4764 - 0.2e1 / 0.3e1 * t791 * t20976 + 0.7e1 / 0.3e1 * t5911 * t9874 + t25843 * t1990 + t4503 * t20754 + 0.23e2 / 0.18e2 * t26697 * t16048 + t1297 * t9357 / 0.6e1 + t806 * t2968 / 0.9e1 + 0.2e1 / 0.9e1 * t2917 * t4640 - t3065 * t20482 - t806 * t2908 / 0.9e1 - t3373 * t777 / 0.9e1 - t368 * t26719 / 0.12e2 - t127 * t26722 / 0.6e1 - t356 * t5963 / 0.12e2 + t823 * t3337 / 0.2e1 - t1713 * t1368 / 0.9e1 - t368 * t26731 / 0.6e1 + t5985 * t517 / 0.2e1 + 0.22e2 / 0.3e1 * t25843 * t1976 - t1292 * t1505 / 0.6e1 + t5713 * t2410 + t5713 * t2115 / 0.2e1 - t1713 * t1356 / 0.9e1 + t3373 * t1307 / 0.18e2 - t5969 * t1609 / 0.18e2 - t387 * t5860 / 0.3e1 - t25859 * t3730 / 0.3e1 + t1547 * t1356 / 0.2e1 - t1397 * t27178 * t334 + t1397 * t5720 * t1647 - t3162 * t1404 * t25923 / 0.3e1 + t2874 * t1974 * t25923 / 0.6e1 - t3162 * t9547 * t5737 / 0.3e1 + 0.3e1 / 0.2e1 * t162 * t5763 * t1605 - 0.2e1 * t1397 * t2951 * t5760 + 0.3e1 * t1397 * t26835 * t636 + 0.11e2 * t2004 * t6075 * t2005 - 0.6e1 * t1397 * t26844 * t645 - 0.2e1 * t4482 * t1974 * t26848 + 0.23e2 / 0.9e1 * t4482 * t3965 * t25836 + 0.5e1 / 0.36e2 * t4482 * t10615 * t25967 + t4510 * t1404 * t25967 / 0.2e1 + t2874 * t1968 * t25962 / 0.6e1 + 0.11e2 / 0.18e2 * t4482 * t10832 * t25967 + 0.3e1 * t11419 * t26197 * t2099 - 0.6e1 * t2011 * t26197 * t2204 + 0.3e1 * t1397 * t26197 * t2087 + 0.14e2 / 0.3e1 * t5911 * t2218 * t2459 - t791 * t548 * t25747 / 0.6e1 - 0.3e1 * t162 * t5779 * t2417 + t162 * t5802 * t390 * t165 / 0.4e1 + t3168 * t16129 * t96 * t26952 / 0.2e1 - t3168 * t3582 * t96 * t26957 / 0.6e1 - 0.3e1 / 0.2e1 * t2004 * t263 * t10295 * t26952 - 0.3e1 / 0.2e1 * t2004 * t3227 * t404 * t25966 - t3168 * t3582 * t96 * t26095 / 0.3e1 + t162 * t2885 * t874 * t165 + t3168 * t1404 * t169 * t480 * t1304 / 0.12e2 + t25893 + t25786 + t27830 + t26763 + t27896 + t26041 + t27288 + t27173 + t26885 + t27921 + t25958 + t27067 + t26995 + t26940 + t26342 + t25921 + t27118 + t26405 + t27125 + t26099 - t15485 + t26827 + t27218 + t26804 + t15482 + t26161 + t27256 + t26576 + t26607 + t27862 + t26655 + t26371 + t27421 + t15504 + t26014 + t26067 + t26713 - t16560 + t16561 + t26504 + t27930 + t26127 - t16077 + t16078 + t27220 + t27338 + t26485 + t26552 + t26687 + t15508 + t27099 + t27878 + t26912 + t25814 + t25840 + t27365 + t26631 + t26460 + t27322 + t26192 + t27145);
  tv4rho2tau20 = 0.2e1 * rho[0] * t27937 + 0.4e1 * t6181;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 0] += tv4rho2tau20;

  t27944 = t16063 * t1016;
  t27951 = t106 * t363 * t6250;
  t27956 = t2218 * t3420;
  t27959 = t2213 * t3420;
  t27962 = t3745 * t3421;
  t27966 = t387 * t6412;
  t27968 = t1763 * t6404;
  t27970 = 0.2e1 * t106 * t109 * t6242 * t541 + t27944 / 0.3e1 + t6261 * t315 / 0.2e1 - 0.3e1 / 0.2e1 * t3811 * t3807 - 0.3e1 * t27951 * t549 + t1763 * t6409 / 0.2e1 - 0.11e2 / 0.6e1 * t3416 * t27956 - 0.3e1 / 0.2e1 * t3416 * t27959 - t27962 / 0.2e1 - 0.3e1 / 0.2e1 * t2452 * t3540 - t27966 / 0.2e1 - t27968 / 0.2e1;
  t27980 = t3745 * t4232;
  t27981 = t3745 * t3503;
  t27982 = t3745 * t3489;
  t27984 = t3745 * t4039;
  t27988 = t6241 * t9777;
  t27989 = t9989 * t27988;
  t27991 = t9783 * t9803 * t122;
  t27996 = t106 * t9775 * t27988;
  t27997 = t11588 * t540;
  t28003 = -t2248 * t991 / 0.4e1 + t6244 * t1452 - 0.2e1 * t6244 * t1464 + 0.3e1 * t3721 * t3489 - 0.6e1 * t27951 * t556 + t27980 + t27981 - t27982 / 0.2e1 - t27984 / 0.2e1 + 0.9e1 / 0.2e1 * t610 * t3412 - 0.6e1 * t10074 * t27989 * t27991 - 0.2e1 * t27996 * t27997 + 0.7e1 * t3416 * t2218 * t3424;
  t28010 = t10904 * t1740 * t539;
  t28020 = t548 * t608 * t6606;
  t28021 = t1641 * t28020;
  t28022 = t610 * t3522;
  t28024 = t610 * t3573;
  t28026 = t610 * t3518;
  t28030 = t10897 * t561;
  t28037 = -0.9e1 / 0.2e1 * t3416 * t2042 * t2450 * t539 + 0.8e1 * t27996 * t28010 + 0.9e1 / 0.2e1 * t10964 * t3740 + t3847 * t6189 / 0.6e1 - t387 * t6186 / 0.2e1 + t28021 + 0.3e1 / 0.4e1 * t28022 - 0.3e1 / 0.2e1 * t28024 - 0.3e1 / 0.4e1 * t28026 - 0.7e1 * t6252 * t9877 + 0.89e2 / 0.9e1 * t27996 * t28030 + 0.7e1 / 0.3e1 * t6252 * t9868 + 0.2e1 * t546 * t15437;
  t28041 = t10706 * t500 * t3583;
  t28044 = t22 * t16844;
  t28045 = t28044 * t3936;
  t28047 = t10615 * t3435;
  t28051 = t1974 * t1395 * t3404;
  t28053 = t6195 * t122;
  t28054 = t1883 * t28053;
  t28057 = t6195 * t312;
  t28058 = t10295 * t28057;
  t28062 = t1968 * t3405;
  t28067 = t3745 * t4034;
  t28070 = t305 * t2156 * t3482;
  t28073 = t205 * t6195;
  t28075 = t10706 * t500 * t28073;
  t28081 = 0.16e2 / 0.3e1 * t15905 * t3436 + 0.3e1 * t15936 * t28041 - 0.3e1 / 0.2e1 * t28045 - 0.23e2 / 0.12e2 * t15929 * t28047 - t15936 * t28051 - t2004 * t576 * t28054 - 0.3e1 / 0.2e1 * t2004 * t212 * t28058 + t15936 * t28062 / 0.2e1 - 0.2e1 * t1961 * t15698 - t28067 / 0.4e1 + t208 * t28070 / 0.4e1 + 0.2e1 / 0.3e1 * t9476 * t28075 + t1397 * t2017 * t6197 / 0.2e1;
  t28084 = t3850 * t932;
  t28085 = t28084 / 0.18e2;
  t28086 = t16620 * t1002;
  t28090 = t16063 * t1005;
  t28108 = t28085 + t28086 / 0.6e1 - t3836 * t932 / 0.9e1 - t28090 / 0.12e2 + t525 * t6429 / 0.12e2 + t3847 * t6425 / 0.12e2 - t387 * t6234 / 0.12e2 + t387 * t6206 / 0.3e1 - t525 * t6203 / 0.18e2 + t387 * t6198 / 0.6e1 - t3847 * t6193 / 0.3e1 - 0.3e1 / 0.4e1 * t2243 * t991;
  t28116 = t305 * t1472 * t6417;
  t28121 = t387 * t6399;
  t28122 = t28121 / 0.6e1;
  t28126 = t510 * t6242;
  t28132 = t106 * t1531 * t122 * t9768;
  t28133 = t95 * t6241;
  t28134 = t160 * t28133;
  t28138 = t296 * t6344;
  t28142 = t1743 * t6250;
  t28148 = t106 * t9775 * t122 * t9777;
  t28149 = t507 * t28133;
  t28153 = t296 * t6340;
  t28157 = -0.3e1 / 0.4e1 * t610 * t3751 - 0.3e1 / 0.4e1 * t610 * t3756 + t533 * t6419 / 0.12e2 + t208 * t28116 / 0.12e2 + t525 * t6419 / 0.36e2 - t28122 - 0.9e1 * t162 * t3532 * t3544 + 0.6e1 * t162 * t28126 * t1442 - 0.28e2 * t28132 * t2218 * t28134 - 0.3e1 * t162 * t28138 * t1703 + 0.9e1 * t509 * t28142 * t10188 - 0.62e2 / 0.3e1 * t28148 * t10897 * t28149 - 0.3e1 * t509 * t28153 * t1752;
  t28159 = t379 * t6436;
  t28162 = t162 * t3764 * t3544;
  t28165 = t1539 * t1670 * t530;
  t28172 = t2213 * t3488;
  t28175 = t3745 * t3791;
  t28181 = t96 * t28053;
  t28182 = t10706 * t28181;
  t28185 = t929 * t3481;
  t28186 = t1883 * t28185;
  t28190 = t16129 * t96 * t28057;
  t28194 = t3582 * t96 * t28185;
  t28197 = t3582 * t28181;
  t28200 = 0.3e1 / 0.2e1 * t28159 + 0.3e1 / 0.2e1 * t28162 - 0.9e1 * t509 * t3410 * t28165 + 0.3e1 / 0.2e1 * t162 * t28153 * t1757 - 0.3e1 / 0.2e1 * t3416 * t28172 - t28175 / 0.4e1 - 0.9e1 / 0.2e1 * t3416 * t11640 + 0.9e1 / 0.2e1 * t6252 * t9718 - t1961 * t28182 / 0.6e1 + t2004 * t212 * t28186 + t1993 * t28190 / 0.2e1 - t1993 * t28194 / 0.3e1 + t1978 * t28197 / 0.3e1;
  t28209 = t404 * t15696;
  t28213 = t16138 * t3432;
  t28214 = t28213 / 0.3e1;
  t28215 = t10277 * t3583;
  t28219 = t914 * t929;
  t28220 = t500 * t28219;
  t28230 = t10832 * t3400;
  t28233 = t1879 * t15696;
  t28237 = t96 * t15696;
  t28238 = t1968 * t28237;
  t28242 = -0.2e1 * t2004 * t945 * t3824 + t1397 * t17462 * t990 - 0.3e1 * t2004 * t3619 * t3820 + 0.2e1 * t2004 * t576 * t28209 + t28214 + 0.9e1 / 0.2e1 * t2004 * t949 * t28215 - 0.7e1 * t11669 * t10832 * t28220 - 0.3e1 / 0.2e1 * t1397 * t16545 * t6185 + 0.8e1 * t2004 * t3652 * t3444 + 0.11e2 / 0.6e1 * t15929 * t28230 - 0.3e1 * t2004 * t582 * t28233 + t1961 * t28238 - 0.8e1 / 0.3e1 * t15905 * t3432;
  t28246 = t11691 * t3584;
  t28251 = t6241 * t9768;
  t28253 = t106 * t1531 * t28251;
  t28256 = t1743 * t28251;
  t28276 = t9783 * t9819 * t122;
  t28280 = -0.3e1 / 0.2e1 * t15936 * t28246 - 0.6e1 * t3721 * t3503 + 0.22e2 / 0.3e1 * t28253 * t3724 - 0.18e2 * t1742 * t28256 * t3739 + 0.36e2 * t509 * t28256 * t3760 + 0.9e1 * t2452 * t3533 + 0.11e2 / 0.6e1 * t6252 * t9847 - 0.2e1 * t6244 * t1588 + 0.4e1 * t6244 * t1468 - 0.23e2 / 0.3e1 * t28253 * t3727 - 0.9e1 * t610 * t3771 + 0.18e2 * t1742 * t27989 * t28276;
  t28281 = t9783 * t3738;
  t28288 = t9783 * t3759;
  t28292 = t510 * t6250;
  t28300 = t305 * t10855 * t930;
  t28305 = t1455 * t3803;
  t28308 = t1455 * t3483;
  t28313 = t10904 * t561;
  t28318 = t2042 * t3502;
  t28321 = -0.18e2 * t509 * t27989 * t28281 - 0.18e2 * t162 * t28256 * t3411 + 0.6e1 * t162 * t27989 * t28288 - 0.18e2 * t509 * t28292 * t622 + 0.18e2 * t162 * t28292 * t645 + t208 * t28300 / 0.4e1 + t533 * t6429 / 0.4e1 + t922 * t28305 / 0.4e1 + t922 * t28308 / 0.4e1 + 0.23e2 / 0.36e2 * t6252 * t9042 + 0.44e2 / 0.27e2 * t27996 * t28313 - 0.23e2 / 0.12e2 * t6252 * t9039 + 0.23e2 / 0.12e2 * t3416 * t28318;
  t28329 = t2042 * t3424;
  t28333 = t1539 * t1540 * t530;
  t28350 = t2156 * t3487;
  t28351 = t318 * t28350;
  t28353 = -t917 * t3484 / 0.3e1 - 0.3e1 * t2452 * t3529 + 0.3e1 * t2452 * t3537 + 0.23e2 / 0.12e2 * t3416 * t28329 + 0.9e1 / 0.2e1 * t1742 * t3410 * t28333 + 0.3e1 / 0.2e1 * t610 * t3549 - 0.3e1 * t610 * t3547 + 0.3e1 * t610 * t3545 - t103 * t6395 / 0.12e2 + t922 * t11238 + t917 * t2158 / 0.2e1 + 0.3e1 / 0.2e1 * t3721 * t3449 + t538 * t28351;
  t28360 = t15491 * t539;
  t28361 = t548 * t28360;
  t28366 = t318 * t28360;
  t28371 = t6231 * t312;
  t28372 = t1883 * t28371;
  t28376 = t205 * t6231;
  t28378 = t1974 * t500 * t28376;
  t28386 = t3582 * t169 * t193 * t6195;
  t28389 = t6231 * t122;
  t28390 = t404 * t28389;
  t28394 = t1974 * t28237;
  t28397 = -0.3e1 / 0.2e1 * t3811 * t3510 - t917 * t2162 / 0.2e1 - t208 * t15493 / 0.4e1 - t546 * t28361 / 0.4e1 + t208 * t15497 / 0.4e1 + t538 * t28366 / 0.2e1 - 0.9e1 * t2452 * t3761 + t2004 * t212 * t28372 / 0.2e1 - t9476 * t28378 / 0.3e1 - t1397 * t2017 * t6233 / 0.4e1 - t1993 * t28386 / 0.6e1 + t2004 * t576 * t28390 / 0.2e1 + t1961 * t28394 / 0.2e1;
  t28400 = t96 * t28389;
  t28401 = t1968 * t28400;
  t28404 = t10598 * t3405;
  t28408 = t3582 * t96 * t28371;
  t28411 = t16053 * t3400;
  t28414 = t10598 * t3400;
  t28417 = t1883 * t218;
  t28418 = t28417 * t3584;
  t28421 = t1974 * t3405;
  t28424 = t1404 * t28400;
  t28427 = t10615 * t3400;
  t28432 = t10706 * t3584;
  t28437 = t1404 * t169 * t193 * t6231;
  t28440 = t1961 * t28401 / 0.6e1 + t1993 * t28404 / 0.4e1 - t1993 * t28408 / 0.6e1 + t1961 * t28411 / 0.4e1 - t1978 * t28414 / 0.2e1 - t1993 * t28418 / 0.2e1 + t15936 * t28421 / 0.4e1 - t1978 * t28424 / 0.6e1 + 0.5e1 / 0.12e2 * t15929 * t28427 - 0.4e1 / 0.3e1 * t15905 * t3401 - 0.3e1 / 0.4e1 * t15936 * t28432 + t1993 * t28437 / 0.12e2;
  t28444 = t1404 * t28237;
  t28447 = t1974 * t28400;
  t28450 = t28044 * t4209;
  t28452 = t16138 * t4212;
  t28454 = t16138 * t4206;
  t28456 = t22 * t16855;
  t28457 = t28456 * t4198;
  t28459 = t16429 * t4203;
  t28461 = t16429 * t4195;
  t28464 = t22 * t16943 * t4191;
  t28469 = t2004 * t3612 * t4015;
  t28471 = t16031 * t3579 + 0.2e1 / 0.3e1 * t16426 * t3585 - 0.2e1 / 0.3e1 * t1978 * t28444 + t1961 * t28447 / 0.12e2 - 0.5e1 / 0.12e2 * t28450 - t28452 / 0.4e1 + t28454 / 0.2e1 + 0.3e1 / 0.2e1 * t28457 + t28459 / 0.2e1 - t28461 / 0.2e1 - 0.3e1 / 0.2e1 * t28464 - t16426 * t3406 / 0.3e1 - 0.3e1 * t28469;
  t28473 = t16434 * t3406;
  t28474 = t28473 / 0.6e1;
  t28475 = t16138 * t3401;
  t28476 = t28475 / 0.6e1;
  t28477 = t16434 * t3585;
  t28478 = t28477 / 0.3e1;
  t28479 = t16429 * t3579;
  t28480 = t28479 / 0.3e1;
  t28481 = t908 * t205;
  t28482 = t500 * t28481;
  t28483 = t3961 * t28482;
  t28484 = t11669 * t28483;
  t28487 = t1397 * t17420 * t1065;
  t28489 = t28456 * t3990;
  t28491 = t16138 * t4219;
  t28492 = t16138 * t4222;
  t28494 = t28044 * t3962;
  t28497 = t1397 * t15893 * t990;
  t28498 = t28497 / 0.2e1;
  t28499 = t16138 * t4247;
  t28503 = t28474 + t28476 - t28478 - t28480 + 0.7e1 * t28484 + 0.3e1 / 0.2e1 * t28487 + 0.3e1 * t28489 + t28491 - t28492 / 0.2e1 - 0.11e2 / 0.6e1 * t28494 - t28498 - 0.2e1 * t28499 - 0.2e1 * t922 * t11817;
  t28508 = t11303 * t540;
  t28518 = t1417 * t1472 * t6201;
  t28525 = t1440 * t408 * t3481;
  t28529 = t1463 * t3803;
  t28532 = t1463 * t3483;
  t28536 = t1455 * t377 * t930;
  t28539 = t1455 * t160 * t3482;
  t28541 = 0.6e1 * t28253 * t3730 + 0.3e1 / 0.2e1 * t6252 * t9881 - 0.38e2 / 0.9e1 * t27996 * t28508 + 0.3e1 / 0.2e1 * t1742 * t28153 * t1747 - 0.9e1 / 0.2e1 * t1742 * t28142 * t10196 - t208 * t28518 / 0.6e1 + t379 * t6206 - 0.3e1 / 0.2e1 * t379 * t6186 - 0.3e1 / 0.2e1 * t162 * t3536 * t28525 + t922 * t28529 / 0.2e1 + t922 * t28532 / 0.2e1 - t922 * t28536 - t922 * t28539;
  t28546 = t911 * t2158;
  t28548 = t911 * t2162;
  t28550 = t3745 * t3449;
  t28554 = t3782 * t3510;
  t28559 = t555 * t28350;
  t28563 = t10904 * t540;
  t28566 = t2042 * t3488;
  t28569 = t2042 * t3420;
  t28572 = -t28546 / 0.4e1 + t28548 / 0.4e1 - t28550 / 0.4e1 - t922 * t10909 / 0.2e1 + t28554 / 0.2e1 + t922 * t10912 - 0.5e1 / 0.36e2 * t6252 * t9278 - t546 * t28559 + 0.5e1 / 0.12e2 * t6252 * t9438 - 0.35e2 / 0.108e3 * t27996 * t28563 - 0.5e1 / 0.12e2 * t3416 * t28566 - 0.5e1 / 0.12e2 * t3416 * t28569;
  t28577 = t548 * t28350;
  t28591 = t911 * t3484;
  t28592 = t28591 / 0.6e1;
  t28593 = t16063 * t1010;
  t28595 = t387 * t6436;
  t28599 = -t922 * t10852 / 0.4e1 + t922 * t11496 / 0.2e1 - t546 * t28577 / 0.2e1 + t6244 * t1609 / 0.2e1 + 0.5e1 / 0.3e1 * t28253 * t3796 + 0.3e1 / 0.2e1 * t3721 * t3791 - t6244 * t1456 - 0.3e1 / 0.2e1 * t3885 * t637 - 0.3e1 / 0.4e1 * t3885 * t641 + t28592 - t28593 / 0.6e1 + t28595 / 0.2e1 + 0.3e1 / 0.2e1 * t3885 * t646;
  t28601 = t2452 * t3765;
  t28603 = t610 * t3768;
  t28605 = t555 * t28360;
  t28612 = t10904 * t3428;
  t28617 = t138 * t6395;
  t28622 = t106 * t158 * t6393 * t159;
  t28633 = -0.3e1 / 0.2e1 * t28601 + 0.3e1 / 0.2e1 * t28603 - t546 * t28605 / 0.2e1 + 0.3e1 * t3721 * t3421 - 0.3e1 / 0.2e1 * t17356 * t623 - 0.43e2 / 0.9e1 * t27996 * t28612 - 0.3e1 / 0.2e1 * t6252 * t9722 - t127 * t28617 / 0.12e2 + t28622 * t166 / 0.4e1 + 0.3e1 / 0.2e1 * t379 * t6304 + 0.3e1 * t1689 * t6307 - 0.3e1 / 0.2e1 * t2243 * t986 + t387 * t6300 / 0.2e1;
  t28652 = -t387 * t6297 - t1763 * t6312 - t2248 * t986 / 0.2e1 + t1763 * t6307 + t387 * t6304 / 0.2e1 - t6252 * t9810 / 0.2e1 + 0.7e1 / 0.3e1 * t6252 * t9816 + t922 * t11024 - 0.3e1 * t1689 * t6312 - 0.3e1 * t379 * t6297 + 0.3e1 / 0.2e1 * t379 * t6300 - t913 + t984;
  t28655 = t911 * t3804;
  t28656 = t28655 / 0.6e1;
  t28657 = t3782 * t3807;
  t28666 = t10242 * t28053;
  t28669 = t10277 * t28053;
  t28672 = t11691 * t28181;
  t28675 = t9997 * t3399;
  t28680 = t2022 * t3612 * t16404;
  t28686 = t28656 + t28657 / 0.2e1 - 0.8e1 * t2022 * t3652 * t16404 + 0.9e1 / 0.2e1 * t15929 * t10615 * t1733 * t3399 - t2022 * t582 * t28666 + t2004 * t582 * t28669 - t1961 * t28672 / 0.3e1 + 0.9e1 * t2022 * t3631 * t28675 + t28680 - 0.11e2 / 0.18e2 * t6252 * t9948 + 0.23e2 / 0.36e2 * t6252 * t9943 + t6244 * t1675;
  t28699 = t382 * t6251;
  t28711 = -0.2e1 * t6244 * t1679 + 0.3e1 / 0.2e1 * t9790 * t6292 - 0.3e1 / 0.2e1 * t6252 * t9800 - 0.3e1 / 0.2e1 * t10949 * t978 + 0.3e1 / 0.2e1 * t2243 * t994 - t6238 + t6267 + t3847 * t2447 / 0.3e1 + 0.7e1 / 0.9e1 * t28699 * t1672 - t28699 * t1771 / 0.6e1 - t382 * t6260 * t139 / 0.6e1 + 0.23e2 / 0.108e3 * t28699 * t1684 - 0.11e2 / 0.54e2 * t28699 * t1681;
  t28713 = t382 * t6243;
  t28722 = t911 * t2253;
  t28724 = t3850 * t569;
  t28738 = t2248 * t982;
  t28740 = -0.2e1 / 0.3e1 * t28713 * t502 + t28713 * t497 / 0.3e1 + t9743 * t6292 / 0.2e1 + t2248 * t994 / 0.2e1 - t28722 / 0.4e1 - t28724 / 0.12e2 - t3847 * t2443 / 0.6e1 - 0.5e1 / 0.108e3 * t28699 * t1542 - t3847 * t2258 / 0.12e2 + t28713 * t374 / 0.6e1 + t3836 * t569 / 0.6e1 - t525 * t3880 / 0.12e2 + t28738 / 0.4e1;
  t28749 = t1756 * t15696;
  t28753 = t10242 * t3583;
  t28757 = t16138 * t4251;
  t28758 = t908 * t122;
  t28759 = t400 * t28758;
  t28761 = t2022 * t2323 * t28759;
  t28763 = t16292 * t223 / 0.4e1 - t10926 * t978 / 0.2e1 - t28699 * t1735 / 0.2e1 - t917 * t3804 / 0.3e1 - t3520 + t3524 + 0.3e1 * t2022 * t582 * t28749 - 0.9e1 / 0.2e1 * t2022 * t949 * t28753 + t28757 + 0.9e1 * t28761 + t6275 + t6277 - t3575;
  t28767 = t1756 * t15889;
  t28769 = t2022 * t582 * t28767;
  t28772 = t3965 * t1733 * t28481;
  t28773 = t11669 * t28772;
  t28776 = t2011 * t2001 * t6403;
  t28778 = t28044 * t3966;
  t28781 = t2004 * t3607 * t3820;
  t28783 = t2004 * t942 * t3824;
  t28796 = 0.3e1 * t28769 - 0.9e1 / 0.2e1 * t28773 - 0.3e1 / 0.2e1 * t28776 + 0.23e2 / 0.12e2 * t28778 + t28781 + t28783 - 0.5e1 / 0.36e2 * t6252 * t10145 - t922 * t10938 / 0.2e1 - t922 * t11061 / 0.4e1 + t6244 * t1528 / 0.2e1 + t917 * t2253 / 0.2e1 - t208 * t17369 / 0.4e1;
  t28801 = t2243 * t982;
  t28807 = t1756 * t28389;
  t28811 = t1879 * t28389;
  t28816 = t2004 * t16943 * t4254;
  t28819 = t2004 * t3607 * t4258;
  t28821 = t1962 * t28482;
  t28822 = t11652 * t28821;
  t28825 = t1397 * t15851 * t1057;
  t28831 = -t533 * t3880 / 0.4e1 + 0.3e1 / 0.4e1 * t3885 * t631 + 0.3e1 / 0.4e1 * t28801 - t6261 * t359 / 0.2e1 + 0.3e1 / 0.4e1 * t17363 * t223 + t2022 * t582 * t28807 / 0.2e1 - t2004 * t582 * t28811 / 0.2e1 + 0.9e1 / 0.2e1 * t28816 + 0.3e1 / 0.2e1 * t28819 - 0.6e1 * t28822 - 0.3e1 / 0.2e1 * t28825 + 0.3e1 / 0.2e1 * t15841 * t3821 + 0.3e1 / 0.2e1 * t15841 * t3825;
  t28833 = t16053 * t6703;
  t28845 = t307 * t3571;
  t28847 = 0.4e1 * t28845 * t636;
  t28848 = t307 * t909;
  t28850 = 0.2e1 * t28848 * t334;
  t28851 = t1485 * t3743;
  t28853 = 0.4e1 / 0.3e1 * t28851 * t622;
  t28859 = t307 * t915;
  t28862 = t1485 * t3531;
  t28867 = t1485 * t920;
  t28870 = -0.2e1 * t3466 * t3755 + 0.8e1 * t3463 * t3544 - t28847 - t28850 + t28853 - 0.8e1 * t3460 * t3553 + 0.12e2 * t307 * t920 * t636 + 0.4e1 * t28859 * t334 - 0.8e1 * t28862 * t622 + 0.8e1 / 0.3e1 * t3463 * t3528 - 0.8e1 / 0.3e1 * t28867 * t1448;
  t28871 = t9163 * t3409;
  t28884 = t3630 * t1533;
  t28889 = t941 * t326;
  t28891 = 0.4e1 * t28889 * t636;
  t28893 = 0.2e1 * t960 * t334;
  t28899 = 0.16e2 / 0.9e1 * t28871 * t3739 - 0.2e1 * t15569 * t990 - 0.8e1 * t3478 * t3544 + 0.8e1 * t957 * t1442 - 0.4e1 * t963 * t334 + 0.2e1 * t594 * t990 - 0.12e2 * t28884 * t3411 + 0.2e1 * t214 * t3755 + t28891 + t28893 + 0.8e1 * t3473 * t3553 - 0.12e2 * t944 * t365 * t636;
  t28903 = t948 * t1581;
  t28913 = 0.2e1 / 0.3e1 * t3454 * t6403;
  t28914 = t3611 * t365;
  t28916 = 0.4e1 * t28914 * t645;
  t28925 = 0.4e1 / 0.3e1 * t3478 * t3528 - 0.4e1 * t28903 * t622 - 0.4e1 / 0.3e1 * t957 * t1448 + 0.2e2 / 0.9e1 * t28884 * t3739 + 0.4e1 / 0.3e1 * t28884 * t3760 + t28913 - t28916 + 0.24e2 * t28903 * t645 - 0.4e1 * t3463 * t17230 + 0.4e1 * t3460 * t15984 + 0.4e1 * t3466 * t15988;
  t28933 = 0.4e1 * t28851 * t645;
  t28942 = -0.4e1 / 0.3e1 * t3463 * t15902 - 0.8e1 * t28867 * t1442 - 0.4e1 * t3821 - 0.4e1 * t3825 + t28933 - 0.24e2 * t28862 * t645 + 0.32e2 / 0.3e1 * t28871 * t3760 - 0.2e1 / 0.3e1 * t3441 + 0.12e2 * t28871 * t3411 + 0.4e1 * t3445 + t6212 - t6224;
  t28944 = t28870 + t28899 + t28925 + t28942;
  t28947 = t305 * t306 * t95 * t28944;
  t28956 = t608 * t6464;
  t28957 = t548 * t28956;
  t28962 = t2042 * t28149;
  t28965 = -t9476 * t28833 - 0.3e1 / 0.4e1 * t11390 * t3496 + 0.3e1 / 0.2e1 * t17454 * t3441 - 0.3e1 / 0.2e1 * t15841 * t3445 - t3747 + t3749 + t208 * t28947 / 0.12e2 - 0.3e1 * t610 * t3554 + 0.9e1 / 0.2e1 * t610 * t3557 + 0.3e1 / 0.2e1 * t610 * t3561 - 0.6e1 * t17305 * t28957 - 0.3e1 / 0.2e1 * t610 * t3566 + 0.18e2 * t28132 * t28962;
  t28972 = t1440 * t372 * t3481;
  t28976 = t379 * t6412;
  t28979 = t162 * t3572 * t3553;
  t28981 = t1689 * t6404;
  t28984 = t509 * t2068 * t6403;
  t28990 = t2004 * t16855 * t3996;
  t28992 = t9992 * t3399;
  t28997 = t2004 * t3612 * t3444;
  t28998 = t1746 * t28758;
  t29000 = t3980 * t2331 * t28998;
  t29002 = t1751 * t28758;
  t29004 = t2022 * t2331 * t29002;
  t29006 = 0.3e1 * t509 * t28138 * t1699 + 0.3e1 / 0.2e1 * t1689 * t6409 + 0.3e1 / 0.2e1 * t509 * t3536 * t28972 - 0.3e1 / 0.2e1 * t28976 - 0.3e1 / 0.2e1 * t28979 - 0.3e1 / 0.2e1 * t28981 - 0.3e1 / 0.2e1 * t28984 + 0.9e1 * t509 * t3532 * t3528 - 0.9e1 * t28990 - 0.9e1 / 0.2e1 * t3980 * t3631 * t28992 - t28997 + 0.9e1 / 0.2e1 * t29000 - 0.9e1 * t29004;
  t29014 = t10242 * t3399;
  t29018 = t10706 * t3400;
  t29025 = t1539 * t3527;
  t29029 = t1641 * t548 * t3883 * t1000 + 0.3e1 / 0.4e1 * t3885 * t627 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 - 0.9e1 / 0.2e1 * t2004 * t3631 * t29014 + 0.3e1 / 0.2e1 * t15929 * t29018 - t6252 * t9679 / 0.2e1 + 0.7e1 * t3416 * t11805 + 0.9e1 / 0.2e1 * t162 * t3410 * t29025;
  t29036 = t16037 * t3400;
  t29040 = t2004 * t16844 * t3992;
  t29047 = t10897 * t540;
  t29050 = t2218 * t3488;
  t29059 = -0.9e1 / 0.2e1 * t162 * t28142 * t10169 + 0.47e2 / 0.3e1 * t28148 * t11303 * t28134 + t1961 * t29036 / 0.2e1 + 0.9e1 / 0.2e1 * t29040 + 0.3e1 / 0.2e1 * t2011 * t16545 * t6408 - 0.11e2 / 0.18e2 * t6252 * t9045 - 0.61e2 / 0.27e2 * t27996 * t29047 - 0.11e2 / 0.6e1 * t3416 * t29050 - t6401 - t6406 - t6414 - t22 * t6394 * t194 / 0.4e1 - 0.6e1 * t509 * t28126 * t1448;
  t29068 = t163 * t6259;
  t29073 = t106 * t363 * t15452;
  t29074 = t548 * t28134;
  t29089 = t303 * t137 * t28944;
  t29093 = t379 * t6399;
  t29094 = t29093 / 0.2e1;
  t29096 = t162 * t3517 * t3755;
  t29097 = t29096 / 0.2e1;
  t29103 = 0.9e1 / 0.2e1 * t162 * t3556 * t3553 - 0.6e1 * t162 * t163 * t6242 * t636 - 0.3e1 / 0.2e1 * t162 * t29068 * t334 + 0.12e2 * t29073 * t29074 + 0.3e1 / 0.2e1 * t162 * t296 * t6315 * t1524 + t162 * t3560 * t3755 - t379 * t6234 / 0.4e1 - t162 * t2075 * t6233 / 0.4e1 - t162 * t640 * t29089 / 0.4e1 - t29094 - t29097 + t379 * t6198 / 0.2e1 + t162 * t2075 * t6197 / 0.2e1;
  t29108 = t3782 * t4026;
  t29110 = t3607 * t3647;
  t29111 = 0.2e1 * t29110;
  t29112 = t942 * t3650;
  t29113 = 0.2e1 * t29112;
  t29114 = t6371 * t122;
  t29115 = t1756 * t29114;
  t29118 = t3612 * t3640;
  t29119 = 0.4e1 / 0.3e1 * t29118;
  t29120 = t3612 * t4162;
  t29122 = t16844 * t4129;
  t29126 = t6344 * t10029;
  t29131 = t6340 * t9912;
  t29134 = t16943 * t4165;
  t29136 = t3607 * t4168;
  t29138 = t16855 * t4122;
  t29140 = t948 * t11841;
  t29141 = t414 * t3600;
  t29144 = t1857 * t3591;
  t29147 = t3590 * t530;
  t29148 = t427 * t29147;
  t29153 = t427 * t3600;
  t29156 = -t29111 - t29113 - 0.2e1 / 0.3e1 * t582 * t29115 - t29119 - 0.4e1 * t29120 + t29122 / 0.6e1 + 0.6e1 * t3652 * t3655 - 0.12e2 * t29126 * t583 - 0.4e1 * t6358 * t1877 + 0.4e1 / 0.3e1 * t29131 * t3632 - 0.9e1 * t29134 - 0.3e1 * t29136 - 0.12e2 * t29138 - 0.3e1 * t29140 * t29141 + t16751 * t29144 / 0.3e1 - 0.12e2 * t2285 * t29148 + 0.32e2 * t16758 * t3592 + 0.18e2 * t29140 * t29153;
  t29157 = t1845 * t3591;
  t29160 = t62 * t6195;
  t29161 = t29160 * t122;
  t29162 = t149 * t29161;
  t29166 = t149 * t29160 * t312;
  t29170 = t149 * t3590 * t3481;
  t29173 = t414 * t29161;
  t29176 = t62 * t6231;
  t29177 = t29176 * t122;
  t29178 = t149 * t29177;
  t29182 = t149 * t29176 * t312;
  t29185 = t414 * t29177;
  t29189 = t941 * t4104 * t4106;
  t29191 = t16798 * t4109;
  t29193 = t3611 * t4076;
  t29194 = t29193 * t4090;
  t29196 = t149 * t29147;
  t29206 = t414 * t29147;
  t29211 = t16779 * t4101;
  t29213 = t16798 * t3595;
  t29214 = 0.4e1 * t29213;
  t29215 = 0.2e1 * t16751 * t29157 - 0.4e1 * t11891 * t29162 - 0.6e1 * t16774 * t29166 + 0.4e1 * t3599 * t29170 - 0.2e1 / 0.3e1 * t11842 * t29173 + 0.2e1 * t2278 * t29178 + 0.2e1 * t3599 * t29182 + t2285 * t29185 / 0.3e1 + 0.18e2 * t29189 + 0.6e1 * t29191 + 0.6e1 * t29194 + 0.8e1 * t2278 * t29196 - 0.12e2 * t16787 * t3595 - 0.8e1 * t944 * t11890 * t3601 - 0.16e2 / 0.3e1 * t16758 * t3604 + 0.2e1 * t2285 * t29206 - 0.18e2 * t16751 * t3604 - 0.12e2 * t29211 + t29214;
  t29217 = t941 * t3598;
  t29218 = t29217 * t3601;
  t29219 = 0.4e1 * t29218;
  t29220 = t16779 * t3604;
  t29221 = 0.2e1 / 0.3e1 * t29220;
  t29222 = t16779 * t4114;
  t29224 = t16843 * t4083;
  t29225 = t29224 * t4117;
  t29227 = t29224 * t4090;
  t29229 = t427 * t29177;
  t29232 = t29193 * t4080;
  t29234 = t16779 * t3592;
  t29235 = 0.4e1 * t29234;
  t29236 = t29224 * t4085;
  t29238 = t427 * t29161;
  t29242 = t404 * t63 * t28944;
  t29244 = t6387 * t122;
  t29245 = t1883 * t29244;
  t29249 = t10295 * t6387 * t312;
  t29253 = t1883 * t965 * t3481;
  t29258 = t1746 * t3615;
  t29264 = t9774 * t6241 * t9991;
  t29265 = t10075 * t577;
  t29268 = t29219 + t29221 + 0.2e1 * t29222 - t29225 / 0.3e1 + 0.18e2 * t29227 - 0.2e1 * t2285 * t29229 - 0.36e2 * t29232 - t29235 - 0.2e1 * t29236 + 0.4e1 * t11842 * t29238 - t212 * t29242 + 0.2e1 * t576 * t29245 + 0.3e1 * t212 * t29249 - 0.2e1 * t212 * t29253 + 0.4e1 * t945 * t3637 - t3631 * t29258 / 0.3e1 + t6361 * t10262 / 0.3e1 - t29264 * t29265 / 0.9e1;
  t29269 = t965 * t530;
  t29270 = t1756 * t29269;
  t29273 = t10242 * t3649;
  t29276 = t9992 * t3639;
  t29280 = t1879 * t29269;
  t29283 = t10277 * t3649;
  t29286 = t3612 * t3627;
  t29288 = t1751 * t3615;
  t29293 = t1756 * t3615;
  t29302 = t942 * t3637;
  t29303 = 0.2e1 * t29302;
  t29304 = t3612 * t3655;
  t29307 = t6315 * t10106;
  t29312 = t3607 * t3616;
  t29314 = -0.4e1 * t582 * t29270 + 0.6e1 * t949 * t29273 - t3631 * t29276 / 0.6e1 - t574 * t6326 + 0.6e1 * t582 * t29280 - 0.9e1 * t949 * t29283 + 0.6e1 * t29286 - 0.2e1 * t3631 * t29288 + 0.2e1 * t6361 * t10238 + 0.18e2 * t3631 * t29293 - 0.18e2 * t6361 * t10243 - 0.36e2 * t3652 * t3627 + 0.24e2 * t6358 * t1880 - t29303 - t29304 + 0.18e2 * t3619 * t3616 - 0.24e2 * t29307 * t578 - 0.6e1 * t6354 * t406 - 0.6e1 * t29312;
  t29317 = t1756 * t3636;
  t29319 = t1879 * t3675;
  t29322 = t9997 * t590;
  t29327 = t10080 * t590;
  t29330 = t1746 * t3682;
  t29343 = t16855 * t4174;
  t29345 = t3612 * t4149;
  t29347 = t16844 * t4159;
  t29349 = t949 * t29317 + 0.3e1 * t949 * t29319 - 0.12e2 * t29264 * t29322 - 0.1e2 * t6361 * t10429 + 0.1e2 / 0.3e1 * t29264 * t29327 + t3631 * t29330 / 0.6e1 - 0.2e1 / 0.3e1 * t29131 * t3694 - t6361 * t10401 / 0.6e1 - 0.12e2 * t3652 * t3683 + 0.24e2 * t29126 * t591 + 0.8e1 * t6358 * t1903 - t3609 - t3610 - t3614 + t3625 + 0.18e2 * t29343 + 0.6e1 * t29345 + 0.1e2 * t29347;
  t29353 = t1883 * t6371 * t312;
  t29357 = t404 * t29114;
  t29359 = t10242 * t29244;
  t29362 = t1879 * t3636;
  t29365 = t9997 * t3639;
  t29368 = 0.2e1 * t574 * t6334 + t6320 - t6329 - t6331 - t6332 + t3688 + t3690 - t3697 + t3704 + t6376 + t6377 + t6379 - t6391 - t212 * t29353 + 0.32e2 / 0.3e1 * t3652 * t3640 - t576 * t29357 + 0.4e1 / 0.3e1 * t582 * t29359 - 0.6e1 * t949 * t29362 - 0.1e2 * t3631 * t29365;
  t29370 = t404 * t29269;
  t29383 = t9992 * t577;
  t29386 = t9997 * t577;
  t29389 = t10242 * t3639;
  t29392 = t10080 * t577;
  t29395 = t10277 * t29244;
  t29402 = t1879 * t29114;
  t29404 = t3612 * t3643;
  t29405 = 0.2e1 * t29404;
  t29408 = t16844 * t4179;
  t29411 = t404 * t60 * t28944;
  t29414 = -0.4e1 * t576 * t29370 + 0.6e1 * t3619 * t3647 + 0.4e1 * t945 * t3650 - 0.2e1 * t945 * t3676 + t574 * t6372 / 0.2e1 - 0.72e2 * t29131 * t3667 + 0.8e1 / 0.3e1 * t29264 * t29383 + 0.24e2 * t29264 * t29386 + 0.9e1 * t3631 * t29389 - 0.4e1 / 0.3e1 * t29264 * t29392 - 0.2e1 * t582 * t29395 + 0.72e2 * t29126 * t587 - 0.16e2 * t3652 * t3643 + t582 * t29402 + t29405 + 0.8e1 * t29131 * t3664 - 0.9e1 * t29408 - t962 + t212 * t29411 / 0.2e1;
  t29415 = t3607 * t3705;
  t29417 = t942 * t3676;
  t29424 = t3612 * t3683;
  t29426 = t1756 * t3675;
  t29430 = t1756 * t3682;
  t29437 = t9992 * t590;
  t29440 = t3612 * t3698;
  t29450 = t1751 * t3682;
  t29453 = 0.3e1 * t29415 + t29417 - 0.9e1 * t3619 * t3705 + 0.12e2 * t29307 * t597 + 0.3e1 * t6354 * t424 + 0.2e1 * t29424 + t943 - 0.2e1 * t949 * t29426 - t574 * t6388 - 0.9e1 * t3631 * t29430 + 0.36e2 * t29131 * t3672 + 0.9e1 * t6361 * t10449 + 0.5e2 / 0.3e1 * t29264 * t29437 - 0.3e1 * t29440 + 0.18e2 * t3652 * t3698 - 0.36e2 * t29126 * t601 - 0.12e2 * t6358 * t1931 - 0.4e2 * t29131 * t3679 + 0.1e2 * t3631 * t29450;
  t29461 = t908 * t929;
  t29463 = t1974 * t500 * t29461;
  t29464 = t9476 * t29463;
  t29465 = 0.2e1 / 0.3e1 * t29464;
  t29466 = -t533 * t6203 / 0.6e1 - t6261 * t320 / 0.2e1 - t3829 - t3852 + t3867 - t6423 + t6424 - t6433 + t6438 + t29108 / 0.2e1 - t22 * t59 * (t29156 + t29215 + t29268 + t29314 + t29349 + t29368 + t29414 + t29453) * t96 / 0.4e1 - t29465 + t3869;
  t29472 = my_piecewise3(t3, 0, t28081 + t28200 + t28353 + t28108 + t28242 + t29466 + t28397 + t28321 + t29059 + t28037 + t28280 + t28003 + t29029 + t28157 + t29103 + t29006 + t28831 + t28796 + t28763 + t28740 + t28711 + t28686 + t28652 + t28633 + t28599 + t28965 + t28572 + t28541 + t28503 + t27970 + t28440 + t28471);
  tv4rhosigma30 = 0.2e1 * rho[0] * t29472 + 0.2e1 * t6442;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  t29479 = t22 * t11667 * t9912;
  t29480 = t230 * t914;
  t29481 = t500 * t29480;
  t29488 = t1879 * t16549;
  t29492 = t409 * t15663;
  t29496 = 0.2e1 / 0.9e1 * t27944;
  t29497 = t230 * t908;
  t29498 = t500 * t29497;
  t29499 = t3961 * t29498;
  t29500 = t11669 * t29499;
  t29501 = 0.7e1 / 0.3e1 * t29500;
  t29503 = t1397 * t2475 * t6658;
  t29504 = t29503 / 0.2e1;
  t29505 = t409 * t28758;
  t29507 = t2004 * t2708 * t29505;
  t29508 = 0.3e1 * t29507;
  t29509 = t1879 * t15889;
  t29511 = t2004 * t697 * t29509;
  t29512 = t96 * t15680;
  t29513 = t1968 * t29512;
  t29520 = t10566 * t6692;
  t29523 = t27962 / 0.3e1;
  t29524 = t27966 / 0.3e1;
  t29525 = t27968 / 0.3e1;
  t29526 = 0.2e1 / 0.3e1 * t27980;
  t29527 = -0.3e1 / 0.2e1 * t2004 * t697 * t28233 - 0.28e2 * t29479 * t3961 * t29481 - 0.3e1 * t1397 * t12642 * t6460 + 0.6e1 * t2004 * t2708 * t29488 - 0.6e1 * t2004 * t2708 * t29492 + t29496 + t29501 + t29504 - t29508 - t29511 + t2471 * t29513 / 0.2e1 + t2471 * t28238 / 0.2e1 + t12631 * t6706 / 0.2e1 + t2471 * t29520 / 0.2e1 - t29523 - t29524 - t29525 + t29526;
  t29528 = 0.2e1 / 0.3e1 * t27981;
  t29529 = t27982 / 0.3e1;
  t29530 = t27984 / 0.3e1;
  t29531 = 0.2e1 / 0.3e1 * t28021;
  t29532 = t28022 / 0.2e1;
  t29533 = t28026 / 0.2e1;
  t29552 = t28067 / 0.6e1;
  t29553 = t96 * t28758;
  t29554 = t1982 * t29553;
  t29555 = t4190 * t29554;
  t29556 = t29555 / 0.2e1;
  t29557 = t29528 - t29529 - t29530 + t29531 + t29532 - t28024 - t29533 - 0.2e1 / 0.3e1 * t12372 * t6648 + t12372 * t6477 / 0.3e1 + 0.23e2 / 0.108e3 * t12548 * t6654 + t661 * t6429 / 0.6e1 + t233 * t28300 / 0.6e1 + t233 * t28070 / 0.6e1 + t661 * t6419 / 0.12e2 + t233 * t28116 / 0.12e2 - t12548 * t6474 / 0.2e1 - t28045 - t29552 - t29556;
  t29559 = t96 * t15889;
  t29560 = t1404 * t29559;
  t29561 = t2485 * t29560;
  t29562 = t29561 / 0.6e1;
  t29563 = t169 * t15884;
  t29564 = t1982 * t29563;
  t29565 = t2485 * t29564;
  t29566 = t29565 / 0.6e1;
  t29567 = t10598 * t4194;
  t29570 = t16057 * t4202;
  t29581 = t16057 * t3935;
  t29587 = t914 * t122;
  t29588 = t96 * t29587;
  t29589 = t1962 * t29588;
  t29592 = t10662 * t6692;
  t29597 = t1974 * t29512;
  t29600 = t1982 * t29588;
  t29609 = -t29562 + t29566 - t2485 * t29567 / 0.3e1 + t2485 * t29570 / 0.3e1 - t2485 * t28424 / 0.6e1 - t2511 * t28408 / 0.6e1 + t2471 * t28447 / 0.12e2 + t2511 * t28437 / 0.12e2 - t4190 * t29581 - t2511 * t28418 / 0.3e1 + t2471 * t28411 / 0.6e1 - 0.3e1 * t17670 * t29589 + t2471 * t29592 / 0.4e1 + t2471 * t28394 / 0.4e1 + t2471 * t29597 / 0.4e1 + 0.2e1 * t17584 * t29600 - t2511 * t28194 / 0.3e1 - t2471 * t28182 / 0.6e1 - t2511 * t28386 / 0.6e1;
  t29615 = t1756 * t15680;
  t29623 = t28086 / 0.9e1;
  t29624 = t28090 / 0.18e2;
  t29625 = t1472 * t6464;
  t29626 = t318 * t29625;
  t29635 = t1689 * t6630;
  t29636 = t29635 / 0.2e1;
  t29638 = t509 * t2577 * t6403;
  t29639 = t29638 / 0.2e1;
  t29640 = t28175 / 0.6e1;
  t29641 = t2042 * t29625;
  t29644 = t12631 * t6693 / 0.4e1 + 0.3e1 / 0.2e1 * t2022 * t697 * t28749 + 0.3e1 / 0.2e1 * t2022 * t697 * t29615 + t2485 * t28197 / 0.3e1 + t2511 * t28190 / 0.2e1 + t28085 + t29623 - t29624 - t28122 + t28159 + t28162 - t2662 * t29626 / 0.2e1 - t2822 * t991 / 0.12e2 - t2248 * t1061 / 0.6e1 - t2248 * t1058 / 0.3e1 - t29636 - t29639 - t29640 - 0.5e1 / 0.36e2 * t2520 * t29641;
  t29649 = t2213 * t3948;
  t29652 = t2218 * t3952;
  t29656 = t2042 * t2859 * t539;
  t29666 = t3745 * t3949;
  t29667 = t29666 / 0.6e1;
  t29668 = t17941 * t539;
  t29669 = t555 * t29668;
  t29676 = t1746 * t15663;
  t29680 = t1746 * t29587;
  t29684 = t9992 * t16549;
  t29693 = 0.3e1 / 0.2e1 * t719 * t3412 - t3416 * t29649 / 0.2e1 + 0.7e1 / 0.3e1 * t3416 * t29652 - 0.3e1 / 0.2e1 * t3416 * t29656 + 0.3e1 / 0.2e1 * t13382 * t3740 - 0.3e1 * t2861 * t3761 + t3721 * t3949 - t671 * t28605 / 0.6e1 - t29667 - t546 * t29669 / 0.3e1 + 0.3e1 * t2861 * t3533 - 0.3e1 * t719 * t3771 + t28214 + 0.3e1 * t3980 * t2701 * t29676 - 0.18e2 * t3980 * t13408 * t29680 - 0.9e1 / 0.2e1 * t3980 * t2701 * t29684 + 0.3e1 / 0.2e1 * t11419 * t12693 * t6450 - 0.3e1 / 0.2e1 * t12286 * t6474;
  t29701 = t2213 * t29625;
  t29723 = t16053 * t4194;
  t29726 = t1746 * t218;
  t29727 = t29726 * t3935;
  t29730 = t15878 * t4202;
  t29733 = t1996 * t29563;
  t29734 = t2471 * t29733;
  t29735 = t29734 / 0.6e1;
  t29736 = t15878 * t3935;
  t29738 = t1996 * t29553;
  t29739 = t3956 * t29738;
  t29740 = t1968 * t29559;
  t29741 = t2471 * t29740;
  t29742 = t29741 / 0.3e1;
  t29743 = -0.3e1 * t379 * t6461 - 0.3e1 * t162 * t12343 * t6460 - t12286 * t6466 / 0.2e1 - t2520 * t29701 / 0.2e1 - 0.3e1 * t1689 * t6456 - 0.3e1 * t509 * t12347 * t6455 - 0.11e2 / 0.54e2 * t12548 * t6651 + 0.3e1 / 0.2e1 * t162 * t12347 * t6445 + 0.3e1 / 0.2e1 * t9790 * t6451 + 0.3e1 / 0.2e1 * t1742 * t12347 * t6450 + 0.2e1 / 0.9e1 * t2565 * t6719 + t12372 * t6715 / 0.6e1 + t2471 * t29723 / 0.3e1 - 0.5e1 / 0.18e2 * t3933 * t29727 - t2471 * t29730 / 0.6e1 - t29735 + t3956 * t29736 + t29739 + t29742;
  t29745 = t3961 * t29553;
  t29746 = t3933 * t29745;
  t29747 = 0.11e2 / 0.18e2 * t29746;
  t29748 = t16037 * t4194;
  t29751 = t1751 * t218;
  t29752 = t29751 * t3935;
  t29755 = t16143 * t4202;
  t29764 = t16053 * t7320;
  t29775 = t2022 * t697 * t28767;
  t29777 = t3965 * t1733 * t29497;
  t29778 = t11669 * t29777;
  t29779 = 0.3e1 / 0.2e1 * t29778;
  t29781 = t2011 * t2475 * t6403;
  t29782 = t29781 / 0.2e1;
  t29783 = t3439 * t312;
  t29784 = t10242 * t29783;
  t29789 = t1440 * t1051 * t929;
  t29795 = -t29747 + 0.2e1 / 0.3e1 * t2471 * t29748 - 0.11e2 / 0.9e1 * t3933 * t29752 - t2471 * t29755 / 0.3e1 - t11390 * t4262 / 0.2e1 + t17561 * t3821 / 0.2e1 + t15841 * t4054 + t15841 * t4057 - 0.2e1 / 0.3e1 * t9476 * t29764 + t15841 * t4259 - 0.4e1 * t11652 * t15878 * t7363 - t11390 * t4060 + 0.3e1 * t15841 * t4255 + t29775 - t29779 - t29782 - 0.9e1 / 0.2e1 * t2022 * t697 * t29784 + 0.3e1 / 0.2e1 * t2011 * t2475 * t29789 + t11676 * t6689 / 0.2e1;
  t29798 = t96 * t16549;
  t29799 = t1404 * t29798;
  t29802 = t96 * t15663;
  t29803 = t1982 * t29802;
  t29805 = t3961 * t29588;
  t29808 = t1968 * t29798;
  t29811 = t1996 * t29588;
  t29818 = t1733 * t29587;
  t29819 = t17706 * t29818;
  t29824 = t10615 * t16662;
  t29827 = t17701 * t29588;
  t29830 = t169 * t15844;
  t29831 = t3961 * t29830;
  t29834 = t3961 * t29802;
  t29837 = t10832 * t29798;
  t29841 = t548 * t29668;
  t29846 = t318 * t29668;
  t29849 = t10556 * t6710 / 0.3e1 + t4190 * t29799 / 0.2e1 - t4190 * t29803 + 0.22e2 / 0.3e1 * t17647 * t29805 - 0.2e1 * t3956 * t29808 - 0.6e1 * t17670 * t29811 + 0.9e1 / 0.2e1 * t3933 * t16551 - 0.3e1 * t3933 * t15867 - 0.43e2 / 0.9e1 * t17700 * t29819 - 0.3e1 / 0.2e1 * t3933 * t15846 - 0.23e2 / 0.12e2 * t3933 * t29824 - 0.61e2 / 0.27e2 * t17700 * t29827 - 0.11e2 / 0.18e2 * t3933 * t29831 - 0.11e2 / 0.9e1 * t3933 * t29834 + 0.11e2 / 0.6e1 * t3933 * t29837 - t2243 * t1058 - t546 * t29841 / 0.6e1 - t208 * t17943 / 0.6e1 + t538 * t29846 / 0.3e1;
  t29855 = t911 * t2787;
  t29856 = t29855 / 0.12e2;
  t29857 = t3745 * t4277;
  t29858 = t29857 / 0.12e2;
  t29859 = t911 * t2779;
  t29860 = t29859 / 0.12e2;
  t29865 = t3782 * t4272;
  t29866 = t29865 / 0.6e1;
  t29871 = t2042 * t3948;
  t29876 = t10855 * t1000;
  t29877 = t548 * t29876;
  t29882 = t2529 * t6608;
  t29883 = t29882 / 0.6e1;
  t29884 = t1472 * t6606;
  t29885 = t555 * t29884;
  t29886 = t671 * t29885;
  t29887 = t29886 / 0.6e1;
  t29894 = t208 * t18970 / 0.6e1 + t29856 - t29858 - t29860 - t671 * t28361 / 0.12e2 - t233 * t15493 / 0.12e2 + t29866 + t233 * t15497 / 0.12e2 + t922 * t12615 / 0.6e1 - 0.5e1 / 0.36e2 * t3416 * t29871 - t2529 * t6611 / 0.6e1 - t671 * t29877 / 0.6e1 - t671 * t28577 / 0.6e1 - t29883 - t29887 - t233 * t28518 / 0.6e1 - t12453 * t6684 / 0.2e1 - t661 * t6203 / 0.6e1;
  t29908 = t387 * t6667;
  t29909 = t29908 / 0.6e1;
  t29912 = t387 * t6659;
  t29913 = t29912 / 0.6e1;
  t29914 = t379 * t6667;
  t29915 = t29914 / 0.2e1;
  t29917 = t162 * t2626 * t6666;
  t29918 = t29917 / 0.2e1;
  t29926 = t17706 * t29588;
  t29929 = t3965 * t29830;
  t29934 = t10242 * t16549;
  t29938 = t1756 * t15663;
  t29942 = 0.3e1 / 0.2e1 * t162 * t12597 * t6674 + 0.3e1 * t1689 * t6679 + 0.3e1 * t509 * t12343 * t6678 + t1763 * t6679 + t387 * t6675 / 0.2e1 + t387 * t6670 / 0.6e1 - t29909 - t387 * t6662 / 0.12e2 + t29913 - t29915 - t29918 + t379 * t6670 / 0.2e1 + t162 * t2629 * t6197 / 0.2e1 + t2511 * t28404 / 0.6e1 - 0.35e2 / 0.108e3 * t17700 * t29926 - 0.5e1 / 0.36e2 * t3933 * t29929 - t2485 * t28414 / 0.3e1 - 0.9e1 / 0.2e1 * t2004 * t2701 * t29934 + 0.3e1 * t2004 * t2701 * t29938;
  t29946 = t22 * t9774 * t122 * t9991;
  t29953 = t1756 * t29587;
  t29957 = t3965 * t29818;
  t29960 = 0.5e1 / 0.18e2 * t28450;
  t29961 = t28452 / 0.6e1;
  t29962 = t28454 / 0.3e1;
  t29963 = t28459 / 0.3e1;
  t29964 = t28461 / 0.3e1;
  t29965 = 0.2e1 * t28469;
  t29966 = 0.14e2 / 0.3e1 * t28484;
  t29967 = 0.2e1 * t28489;
  t29968 = 0.47e2 / 0.3e1 * t29946 * t10615 * t29481 + 0.3e1 / 0.2e1 * t1397 * t12693 * t6445 - 0.18e2 * t2004 * t13408 * t29953 + 0.18e2 * t17647 * t29957 - t29960 - t29961 + t29962 + t28457 + t29963 - t29964 - t28464 - t29965 + t28474 + t28476 - t28478 - t28480 + t29966 + t28487 + t29967;
  t29969 = 0.2e1 / 0.3e1 * t28491;
  t29970 = t28492 / 0.3e1;
  t29971 = 0.11e2 / 0.9e1 * t28494;
  t29972 = 0.4e1 / 0.3e1 * t28499;
  t29973 = t10706 * t29798;
  t29976 = t1974 * t29802;
  t29978 = t10615 * t29588;
  t29981 = t1974 * t29588;
  t29993 = t1879 * t15680;
  t29997 = t28546 / 0.6e1;
  t29998 = t28548 / 0.6e1;
  t29999 = t28550 / 0.6e1;
  t30000 = t29969 - t29970 - t29971 - t28498 - t29972 + 0.3e1 / 0.2e1 * t3933 * t29973 - t3933 * t29976 - 0.38e2 / 0.9e1 * t17700 * t29978 + 0.6e1 * t17647 * t29981 - t2471 * t15682 - t2471 * t15698 - t12631 * t6704 - t2471 * t15856 - 0.3e1 / 0.2e1 * t10516 * t6700 - 0.3e1 / 0.2e1 * t2004 * t2726 * t6699 - 0.3e1 / 0.2e1 * t2004 * t697 * t29993 - t29997 + t29998 - t29999;
  t30003 = t28554 / 0.3e1;
  t30010 = t379 * t6659;
  t30011 = t30010 / 0.2e1;
  t30013 = t162 * t2577 * t6658;
  t30014 = t30013 / 0.2e1;
  t30019 = t2042 * t17306;
  t30022 = t2218 * t29625;
  t30032 = t555 * t29625;
  t30040 = t30003 - t162 * t2629 * t6233 / 0.4e1 - t162 * t745 * t29089 / 0.4e1 + t30011 + t30014 - t379 * t6662 / 0.4e1 + 0.23e2 / 0.36e2 * t12286 * t6654 + 0.23e2 / 0.36e2 * t2520 * t30019 - 0.11e2 / 0.18e2 * t2520 * t30022 - 0.2e1 * t2548 * t17307 - 0.11e2 / 0.18e2 * t12286 * t6651 - 0.3e1 / 0.2e1 * t2520 * t15456 + t12378 * t6477 + t2548 * t30032 - 0.2e1 * t12378 * t6648 + 0.7e1 / 0.3e1 * t12286 * t6470 + 0.7e1 / 0.3e1 * t2520 * t17317 + t28592;
  t30041 = t28593 / 0.9e1;
  t30042 = t28595 / 0.3e1;
  t30046 = t318 * t29884;
  t30047 = t666 * t30046;
  t30048 = t30047 / 0.6e1;
  t30051 = t548 * t29625;
  t30058 = t318 * t29876;
  t30063 = t2587 * t6627;
  t30064 = t30063 / 0.6e1;
  t30067 = t2777 * t3487;
  t30068 = t555 * t30067;
  t30077 = -t30041 + t30042 - t28601 + t28603 - t1763 * t6456 + t9743 * t6451 / 0.2e1 + t30048 + t12378 * t6715 / 0.2e1 + t2548 * t30051 / 0.2e1 + t233 * t28947 / 0.12e2 + t2587 * t6624 / 0.3e1 + t666 * t30058 / 0.3e1 + t666 * t28351 / 0.3e1 + t30064 + 0.3e1 / 0.2e1 * t379 * t6446 - t546 * t30068 / 0.3e1 + t922 * t12885 / 0.3e1 - t922 * t13195 / 0.6e1 + t917 * t2827 / 0.6e1;
  t30085 = t911 * t2827;
  t30086 = t30085 / 0.12e2;
  t30097 = t1756 * t16549;
  t30101 = t400 * t15663;
  t30110 = t404 * t15680;
  t30113 = t404 * t16549;
  t30117 = t145 * t15663;
  t30127 = -t2816 * t986 / 0.2e1 - t533 * t4302 / 0.6e1 - t208 * t18704 / 0.6e1 - t30086 - t661 * t3880 / 0.12e2 - t233 * t17369 / 0.12e2 + t3836 * t686 / 0.18e2 - t13211 * t978 / 0.6e1 + t2822 * t994 / 0.6e1 - 0.6e1 * t2022 * t2708 * t30097 + 0.6e1 * t2022 * t2708 * t30101 + t10516 * t6710 + t2004 * t2720 * t6709 + t2004 * t693 * t28209 + t2004 * t693 * t30110 - 0.3e1 / 0.2e1 * t2004 * t2733 * t30113 + 0.3e1 * t2004 * t2733 * t30117 + 0.3e1 / 0.2e1 * t1397 * t12636 * t6674 + t1397 * t2490 * t6197 / 0.2e1;
  t30135 = t555 * t29876;
  t30140 = t671 * t16574;
  t30141 = t30140 / 0.3e1;
  t30142 = t318 * t30067;
  t30151 = t2565 * t6614;
  t30152 = t30151 / 0.36e2;
  t30155 = t1962 * t29563;
  t30156 = t2471 * t30155;
  t30157 = t30156 / 0.12e2;
  t30158 = t3965 * t29588;
  t30161 = t10615 * t29798;
  t30164 = t3965 * t29802;
  t30167 = t1962 * t29553;
  t30168 = t3956 * t30167;
  t30169 = t30168 / 0.2e1;
  t30170 = t1974 * t29559;
  t30171 = t2471 * t30170;
  t30172 = t30171 / 0.6e1;
  t30173 = -t10949 * t1053 + t525 * t6641 / 0.36e2 + t917 * t2779 / 0.6e1 - t2529 * t6603 / 0.3e1 - t671 * t30135 / 0.3e1 - t671 * t28559 / 0.3e1 + t30141 + t538 * t30142 / 0.3e1 - t3811 * t4272 / 0.2e1 - t917 * t2787 / 0.6e1 - 0.5e1 / 0.108e3 * t12548 * t6617 - t30152 - t2565 * t6611 / 0.18e2 - t30157 + 0.5e1 / 0.3e1 * t17647 * t30158 + 0.5e1 / 0.12e2 * t3933 * t30161 - 0.5e1 / 0.18e2 * t3933 * t30164 + t30169 + t30172;
  t30178 = t3965 * t29553;
  t30179 = t3933 * t30178;
  t30180 = 0.5e1 / 0.36e2 * t30179;
  t30181 = t28657 / 0.3e1;
  t30191 = t3980 * t2701 * t28998;
  t30192 = 0.3e1 / 0.2e1 * t30191;
  t30195 = t400 * t29587;
  t30210 = -t30180 - t913 + t984 + t28656 + t30181 - t12758 * t6696 / 0.3e1 - t15841 * t4007 + t17454 * t4004 - 0.6e1 * t15841 * t3997 + 0.6e1 * t17454 * t4241 + t30192 - t2471 * t28672 / 0.3e1 - 0.18e2 * t2022 * t13480 * t30195 + t2004 * t697 * t28669 - t2004 * t697 * t28811 / 0.2e1 + 0.3e1 / 0.2e1 * t2022 * t2726 * t3440 - t719 * t3751 / 0.4e1 - t719 * t3554;
  t30223 = t2822 * t982;
  t30224 = t30223 / 0.12e2;
  t30235 = t28722 / 0.6e1;
  t30236 = 0.3e1 / 0.2e1 * t719 * t3557 + t719 * t3561 / 0.2e1 - t610 * t3920 - t610 * t3923 - t2243 * t1061 / 0.2e1 - t610 * t3928 / 0.2e1 - t610 * t3895 / 0.2e1 + t28680 + t30224 - t2822 * t986 / 0.6e1 + t4308 * t631 / 0.2e1 - t922 * t12944 / 0.12e2 + t18709 * t223 / 0.2e1 + t3885 * t738 / 0.4e1 - t6589 - t6596 + t6598 + t6601 - t30235;
  t30238 = t28724 / 0.18e2;
  t30239 = t28738 / 0.6e1;
  t30240 = 0.8e1 / 0.3e1 * t29120;
  t30241 = t29122 / 0.9e1;
  t30242 = 0.6e1 * t29134;
  t30243 = 0.2e1 * t29136;
  t30244 = 0.8e1 * t29138;
  t30245 = t4078 * t530;
  t30246 = t1857 * t30245;
  t30249 = t62 * t914;
  t30250 = t30249 * t122;
  t30251 = t19411 * t30250;
  t30258 = -t29111 - t29113 - t29119 - t30240 + t30241 - t30242 - t30243 - t30244 - 0.2e1 / 0.9e1 * t4084 * t30246 - t19356 * t30251 / 0.9e1 + 0.2e1 * t2689 * t29178 + 0.2e1 * t4095 * t29182;
  t30261 = t62 * t908;
  t30262 = t30261 * t122;
  t30263 = t414 * t30262;
  t30264 = t4077 * t30263;
  t30265 = 0.2e1 * t30264;
  t30266 = t30261 * t312;
  t30267 = t414 * t30266;
  t30268 = t2687 * t30267;
  t30269 = 0.2e1 / 0.3e1 * t30268;
  t30270 = t1857 * t30262;
  t30271 = t4084 * t30270;
  t30272 = t30271 / 0.9e1;
  t30273 = t1857 * t30250;
  t30276 = t30249 * t312;
  t30277 = t414 * t30276;
  t30280 = t414 * t30245;
  t30283 = t427 * t30266;
  t30284 = t2687 * t30283;
  t30285 = 0.4e1 * t30284;
  t30286 = t149 * t30262;
  t30287 = t4105 * t30286;
  t30288 = 0.6e1 * t30287;
  t30289 = t149 * t30266;
  t30290 = t2689 * t30289;
  t30291 = 0.2e1 * t30290;
  t30292 = t414 * t29783;
  t30295 = t427 * t30262;
  t30296 = t4077 * t30295;
  t30297 = 0.12e2 * t30296;
  t30298 = t2687 * t29185 / 0.3e1 + t30265 + t30269 - t30272 + 0.4e1 / 0.3e1 * t19368 * t30273 - 0.4e1 * t13500 * t30277 + 0.4e1 * t4077 * t30280 - t30285 + t30288 + t30291 + 0.6e1 * t13421 * t30292 - t30297;
  t30300 = t1857 * t30276;
  t30303 = t3439 * t122;
  t30304 = t427 * t30303;
  t30307 = t427 * t29783;
  t30310 = t1845 * t30303;
  t30313 = t1845 * t30276;
  t30316 = t1845 * t30245;
  t30319 = t10457 * t30250;
  t30322 = t427 * t30245;
  t30325 = t1845 * t30250;
  t30328 = 0.12e2 * t29189;
  t30329 = 0.4e1 * t29191;
  t30330 = 0.4e1 * t29194;
  t30331 = t13392 * t30300 / 0.3e1 - 0.16e2 * t13500 * t30304 - 0.9e1 * t13421 * t30307 - 0.1e2 * t13392 * t30310 + 0.2e1 * t13392 * t30313 - 0.4e1 / 0.3e1 * t4084 * t30316 - 0.4e1 / 0.3e1 * t19356 * t30319 - 0.24e2 * t4077 * t30322 + 0.8e1 * t19368 * t30325 + t30328 + t30329 + t30330;
  t30332 = 0.8e1 * t29211;
  t30333 = 0.4e1 / 0.3e1 * t29222;
  t30334 = 0.2e1 / 0.9e1 * t29225;
  t30335 = 0.12e2 * t29227;
  t30336 = 0.24e2 * t29232;
  t30337 = 0.4e1 / 0.3e1 * t29236;
  t30338 = 0.4e1 * t29286;
  t30339 = 0.2e1 / 0.3e1 * t29304;
  t30340 = -t30332 + t29214 + t29219 + t29221 + t30333 - t30334 + t30335 - t30336 - t29235 - t30337 + t30338 - t29303 - t30339;
  t30343 = 0.4e1 * t29312;
  t30350 = t590 * t914;
  t30351 = t400 * t30350;
  t30356 = t10080 * t30350;
  t30359 = t6481 * t122;
  t30360 = t400 * t30359;
  t30361 = t2708 * t30360;
  t30362 = 0.4e1 * t30361;
  t30363 = -t30343 + t691 * t6372 / 0.2e1 - t6483 + t6490 + t6492 + 0.4e1 / 0.3e1 * t697 * t29359 + 0.6e1 * t13483 * t6552 + 0.24e2 * t13480 * t30351 - t693 * t29357 - t237 * t29353 + 0.1e2 / 0.3e1 * t13425 * t30356 - t30362;
  t30364 = t6481 * t312;
  t30365 = t1756 * t30364;
  t30366 = t697 * t30365;
  t30367 = 0.4e1 / 0.3e1 * t30366;
  t30368 = t1746 * t30359;
  t30369 = t2701 * t30368;
  t30370 = t30369 / 0.18e2;
  t30373 = t409 * t30359;
  t30374 = t2708 * t30373;
  t30375 = 0.6e1 * t30374;
  t30376 = t1879 * t30364;
  t30377 = t697 * t30376;
  t30378 = 0.2e1 * t30377;
  t30381 = t414 * t30303;
  t30386 = t427 * t30250;
  t30391 = t16734 * t205;
  t30392 = t427 * t30391;
  t30397 = -t30367 + t30370 - 0.2e1 / 0.3e1 * t697 * t29115 + t30375 + t30378 + 0.2e1 * t691 * t6334 + 0.9e1 * t13392 * t30381 + 0.24e2 * t19356 * t30325 + 0.72e2 * t19419 * t30386 - 0.6e1 * t13509 * t6510 - 0.6e1 * t2687 * t30392 - 0.6e1 * t2687 * t29148;
  t30399 = t414 * t30250;
  t30408 = t427 * t30276;
  t30411 = t1751 * t30359;
  t30412 = t2701 * t30411;
  t30413 = 0.1e2 / 0.3e1 * t30412;
  t30414 = t1751 * t30350;
  t30417 = t6484 * t312;
  t30418 = t9997 * t30417;
  t30421 = t1032 * t530;
  t30422 = t1751 * t30421;
  t30425 = t9997 * t30350;
  t30430 = t1756 * t30359;
  t30431 = t2701 * t30430;
  t30432 = 0.3e1 * t30431;
  t30433 = -0.72e2 * t19368 * t30399 - 0.18e2 * t13392 * t30277 + 0.12e2 * t4084 * t30280 + 0.8e1 / 0.3e1 * t19356 * t30273 + 0.24e2 * t13500 * t30408 + t30413 - 0.4e2 * t13408 * t30414 - 0.1e2 * t2701 * t30418 + 0.2e2 / 0.3e1 * t2701 * t30422 - 0.12e2 * t13425 * t30425 - 0.2e1 * t697 * t29395 - t30432;
  t30434 = t9992 * t30350;
  t30438 = t145 * t30359;
  t30439 = t2733 * t30438;
  t30440 = 0.3e1 * t30439;
  t30441 = t404 * t30364;
  t30442 = t693 * t30441;
  t30443 = t1756 * t30417;
  t30446 = t400 * t30421;
  t30449 = t1746 * t30350;
  t30452 = t1756 * t30350;
  t30455 = t1756 * t30421;
  t30458 = t9992 * t30417;
  t30461 = t1746 * t30421;
  t30464 = t409 * t30350;
  t30467 = 0.5e2 / 0.3e1 * t13425 * t30434 + t697 * t29402 - t30440 - t30442 + 0.8e1 * t2708 * t30443 - 0.8e1 * t2708 * t30446 - 0.2e1 / 0.3e1 * t13408 * t30449 + 0.36e2 * t13408 * t30452 - 0.6e1 * t2701 * t30455 - t2701 * t30458 / 0.6e1 + t2701 * t30461 / 0.9e1 - 0.36e2 * t13480 * t30464 - t3609;
  t30471 = t10242 * t30417;
  t30474 = t3675 * t205;
  t30475 = t1879 * t30474;
  t30482 = t1879 * t30417;
  t30485 = t409 * t30421;
  t30490 = t2726 * t6530;
  t30491 = t30490 / 0.3e1;
  t30494 = 0.6e1 * t13396 * t6558 - 0.2e1 * t237 * t29253 + 0.9e1 * t2701 * t30471 - 0.12e2 * t2708 * t30482 + 0.12e2 * t2708 * t30485 + 0.3e1 * t2726 * t6555 + 0.3e1 * t29280 * t697 + 0.3e1 * t30475 * t697 - t30491 - t3610 - t3614 + t3625;
  t30499 = t145 * t30350;
  t30502 = t404 * t30417;
  t30507 = 0.12e2 * t29343;
  t30508 = 0.4e1 * t29345;
  t30509 = 0.2e2 / 0.3e1 * t29347;
  t30510 = -0.12e2 * t13435 * t6519 - 0.2e1 / 0.3e1 * t13396 * t6522 + 0.12e2 * t13454 * t30499 + 0.3e1 * t2733 * t30502 + t237 * t29411 / 0.2e1 + t30507 + t30508 + t30509 - t6532 + t6543 - t6546 + t6561;
  t30520 = t149 * t30250;
  t30523 = -t6562 - t6331 - t6563 + t3688 + t3690 - t3697 + t3704 + 0.4e1 * t13421 * t29238 - 0.6e1 * t19442 * t29166 + 0.4e1 * t4095 * t29170 - 0.2e1 / 0.3e1 * t13421 * t29173 - 0.24e2 * t19430 * t30520;
  t30525 = t145 * t30421;
  t30532 = t404 * t30474;
  t30546 = t1756 * t30474;
  t30549 = t2726 * t6541;
  t30550 = 0.2e1 * t30549;
  t30551 = -t237 * t29242 - 0.6e1 * t2733 * t30525 - 0.2e1 * t2720 * t6526 - 0.2e1 * t693 * t29370 - 0.2e1 * t693 * t30532 + 0.2e1 * t693 * t29245 + 0.3e1 * t237 * t29249 + 0.2e1 * t13435 * t6547 - t13396 * t6533 / 0.9e1 - t691 * t6326 - 0.2e1 * t697 * t29270 - 0.2e1 * t697 * t30546 + t30550;
  t30554 = t2720 * t6544;
  t30555 = 0.2e1 * t30554;
  t30558 = t1845 * t30262;
  t30559 = t4084 * t30558;
  t30560 = 0.2e1 / 0.3e1 * t30559;
  t30563 = t4084 * t30263;
  t30564 = 0.6e1 * t30563;
  t30565 = t149 * t30276;
  t30568 = t149 * t30245;
  t30573 = t149 * t30391;
  t30580 = -t30555 - 0.2e1 * t2726 * t6538 - t30560 - 0.2e1 * t2687 * t29229 + t30564 - 0.6e1 * t13546 * t30565 + 0.12e2 * t4105 * t30568 - 0.12e2 * t19419 * t30399 + 0.4e1 * t2689 * t30573 + 0.32e2 / 0.3e1 * t13500 * t30381 + t13509 * t6516 + t2687 * t29206;
  t30581 = t414 * t30391;
  t30583 = t1857 * t30303;
  t30592 = 0.6e1 * t29408;
  t30593 = t2720 * t6491;
  t30596 = t2687 * t30581 - t13392 * t30583 / 0.6e1 - 0.4e1 * t13549 * t29162 + 0.4e1 * t13537 * t6513 + 0.4e1 * t2689 * t29196 + t6564 + t6377 + t6565 - t6566 + t29405 - t30592 + t30593 - 0.4e1 * t13435 * t6493;
  t30602 = t2726 * t6482;
  t30605 = t2726 * t6488;
  t30606 = 0.2e1 / 0.3e1 * t30605;
  t30612 = t16829 * t30303;
  t30615 = t16824 * t30303;
  t30618 = t19504 * t30303;
  t30621 = t16824 * t29783;
  t30624 = t13396 * t6496 / 0.18e2 + 0.6e1 * t13435 * t6499 - t30602 + 0.1e2 / 0.3e1 * t13396 * t6485 + t30606 - 0.3e1 * t13483 * t6505 - t691 * t6388 - 0.3e1 * t13396 * t6502 - 0.18e2 * t13392 * t30612 + 0.32e2 * t13500 * t30615 + 0.2e1 * t13392 * t30618 + 0.18e2 * t13421 * t30621;
  t30625 = t16829 * t29783;
  t30628 = t19510 * t30303;
  t30631 = t16820 * t30303;
  t30634 = t16820 * t29783;
  t30639 = t149 * t30303;
  t30642 = t149 * t29783;
  t30645 = 0.2e1 * t29415;
  t30646 = 0.4e1 / 0.3e1 * t29424;
  t30647 = 0.2e1 * t29440;
  t30648 = -0.3e1 * t13421 * t30625 + t13392 * t30628 / 0.3e1 - 0.12e2 * t13546 * t30631 - 0.8e1 * t13549 * t30634 - 0.16e2 / 0.3e1 * t13500 * t30612 + 0.6e1 * t13546 * t30639 + 0.4e1 * t13549 * t30642 - t962 + t30645 + t29417 + t30646 + t943 - t30647;
  t30657 = t1982 * t29830;
  t30667 = 0.2e1 / 0.3e1 * t28757;
  t30668 = 0.6e1 * t28761;
  t30669 = -t30238 + t30239 - t22 * t59 * (t30258 + t30298 + t30331 + t30340 + t30363 + t30397 + t30433 + t30467 + t30494 + t30510 + t30523 + t30551 + t30580 + t30596 + t30624 + t30648) * t96 / 0.4e1 - t6610 - t6616 + t6629 - t6632 + t6647 + t6661 - t6669 - t3520 + t3524 - t4190 * t30657 / 0.2e1 - t22 * t6569 * t194 / 0.4e1 + 0.8e1 * t29946 * t17706 * t3978 * t29480 + t30667 + t30668 + t6687 + t6277;
  t30670 = t16143 * t3935;
  t30674 = t3965 * t500 * t28758;
  t30675 = t3933 * t30674;
  t30676 = 0.23e2 / 0.36e2 * t30675;
  t30677 = t2471 * t15886;
  t30678 = t30677 / 0.3e1;
  t30679 = t2471 * t15891;
  t30680 = 0.2e1 / 0.3e1 * t30679;
  t30687 = t1883 * t243;
  t30688 = t30687 * t3584;
  t30691 = t17598 * t3400;
  t30694 = t12779 * t3405;
  t30697 = t12779 * t3400;
  t30709 = t548 * t3883 * t1208;
  t30712 = -t3575 + 0.2e1 * t3956 * t30670 + t30676 + t30678 - t30680 + t11390 * t4018 - 0.2e1 * t15841 * t4016 - t17444 * t4267 + 0.2e1 * t17454 * t4244 - t1993 * t30688 / 0.6e1 + t1961 * t30691 / 0.12e2 + t1993 * t30694 / 0.12e2 - t1978 * t30697 / 0.6e1 + t610 * t3912 + t610 * t3915 + t3885 * t734 / 0.4e1 - t3885 * t742 / 0.2e1 - t3885 * t746 / 0.4e1 + t1641 * t30709 / 0.3e1;
  t30716 = t548 * t717 * t6606;
  t30717 = t1641 * t30716;
  t30718 = t30717 / 0.3e1;
  t30719 = t719 * t3522;
  t30720 = t30719 / 0.4e1;
  t30727 = t2529 * t6614;
  t30728 = t30727 / 0.12e2;
  t30729 = t548 * t29884;
  t30730 = t671 * t30729;
  t30731 = t30730 / 0.12e2;
  t30735 = t2022 * t2708 * t28759;
  t30736 = 0.3e1 * t30735;
  t30739 = t1756 * t28758;
  t30741 = t2004 * t2701 * t30739;
  t30742 = 0.3e1 / 0.2e1 * t30741;
  t30747 = t2022 * t2701 * t29002;
  t30748 = 0.3e1 * t30747;
  t30749 = t10832 * t29588;
  t30752 = t10075 * t29587;
  t30756 = t10080 * t29587;
  t30760 = t9997 * t29587;
  t30764 = t9992 * t29587;
  t30768 = t30718 + t30720 + 0.2e1 / 0.3e1 * t2529 * t6719 + 0.2e1 / 0.3e1 * t671 * t15445 + 0.2e1 / 0.3e1 * t671 * t15437 - t30728 - t30731 - 0.5e1 / 0.36e2 * t12286 * t6617 + t30736 - t2022 * t697 * t28666 + t30742 + t2022 * t697 * t28807 / 0.2e1 - t30748 - 0.2e1 * t17700 * t30749 - 0.6e1 * t17713 * t13425 * t30752 + 0.18e2 * t3980 * t13425 * t30756 + 0.6e1 * t2004 * t13425 * t30760 - 0.18e2 * t2022 * t13425 * t30764;
  t30782 = t1974 * t29553;
  t30783 = t3933 * t30782;
  t30784 = t30783 / 0.2e1;
  t30785 = t29726 * t3957;
  t30788 = t1974 * t29798;
  t30790 = t1962 * t29802;
  t30792 = t1962 * t29830;
  t30795 = 0.2e1 * t28769;
  t30796 = 0.3e1 * t28773;
  t30797 = 0.23e2 / 0.18e2 * t28778;
  t30798 = t28801 / 0.2e1;
  t30799 = t409 * t29587;
  t30803 = t17561 * t3825 / 0.2e1 - t9476 * t17598 * t6703 / 0.3e1 - t13326 * t3496 / 0.4e1 + t12661 * t6706 / 0.6e1 - t12661 * t6704 / 0.3e1 - t10556 * t6700 / 0.2e1 - t30784 + 0.23e2 / 0.18e2 * t3933 * t30785 - t3956 * t30788 + t3956 * t30790 + t3956 * t30792 / 0.2e1 + t30795 - t30796 - t28776 + t30797 + t28781 + t28783 + t30798 + 0.18e2 * t2004 * t13480 * t30799;
  t30805 = t1751 * t29587;
  t30809 = t9997 * t16549;
  t30813 = t1751 * t15663;
  t30817 = t1733 * t29480;
  t30835 = t305 * t12623 * t930;
  t30839 = t305 * t2777 * t3482;
  t30842 = t2529 * t6645;
  t30843 = t30842 / 0.3e1;
  t30849 = t719 * t3573;
  t30850 = t30849 / 0.2e1;
  t30851 = t719 * t3518;
  t30852 = t30851 / 0.4e1;
  t30853 = t3965 * t15862;
  t30856 = 0.36e2 * t2022 * t13408 * t30805 + 0.9e1 * t2022 * t2701 * t30809 - 0.6e1 * t2022 * t2701 * t30813 - 0.62e2 / 0.3e1 * t29946 * t17701 * t30817 - 0.3e1 * t2011 * t12693 * t6455 - 0.4e1 / 0.3e1 * t2471 * t17487 - t103 * t6570 / 0.12e2 + 0.3e1 / 0.2e1 * t379 * t6675 - t719 * t3756 / 0.4e1 + t533 * t6641 / 0.12e2 + t208 * t30835 / 0.12e2 + t208 * t30839 / 0.12e2 + t30843 + 0.7e1 / 0.9e1 * t12548 * t6470 - t12548 * t6466 / 0.6e1 - t387 * t6461 - t30850 - t30852 + 0.23e2 / 0.36e2 * t3933 * t30853;
  t30857 = t3965 * t15664;
  t30860 = t500 * t29587;
  t30861 = t17706 * t30860;
  t30868 = 0.3e1 * t28816;
  t30869 = 0.4e1 * t28822;
  t30872 = t2600 * t6627;
  t30873 = t30872 / 0.18e2;
  t30882 = t719 * t3768;
  t30883 = t30882 / 0.2e1;
  t30890 = 0.23e2 / 0.18e2 * t3933 * t30857 + 0.44e2 / 0.27e2 * t17700 * t30861 + t2471 * t28401 / 0.6e1 + t2471 * t29036 / 0.3e1 + t30868 + t28819 - t30869 - t28825 + 0.2e1 / 0.3e1 * t2471 * t15879 + t30873 + t2600 * t6624 / 0.9e1 + t654 * t6419 / 0.36e2 + t654 * t6429 / 0.18e2 + t387 * t6446 / 0.2e1 + t30883 - t17356 * t730 / 0.2e1 + t3885 * t749 / 0.2e1 - t18684 * t623 + t4308 * t646;
  t30894 = t2218 * t3948;
  t30897 = t2042 * t3952;
  t30900 = t2861 * t3765;
  t30901 = t30900 / 0.2e1;
  t30902 = t717 * t6464;
  t30912 = t17701 * t30860;
  t30921 = t1974 * t29830;
  t30926 = t138 * t6570;
  t30931 = t106 * t158 * t6568 * t159;
  t30934 = t2816 * t982;
  t30935 = t30934 / 0.4e1;
  t30940 = -0.11e2 / 0.18e2 * t3416 * t30894 + 0.23e2 / 0.36e2 * t3416 * t30897 - t30901 - 0.2e1 * t17305 * t548 * t30902 - t719 * t3566 / 0.2e1 - t2816 * t991 / 0.4e1 + t12661 * t6693 / 0.12e2 + 0.89e2 / 0.9e1 * t17700 * t30912 + 0.7e1 / 0.3e1 * t3933 * t16644 - 0.7e1 * t3933 * t16663 + 0.14e2 / 0.3e1 * t3933 * t15665 - t3933 * t30921 / 0.2e1 + t17363 * t248 / 0.4e1 - t127 * t30926 / 0.12e2 + t30931 * t166 / 0.4e1 + t30935 + t2816 * t994 / 0.2e1 + t922 * t12930 / 0.3e1;
  t30945 = t17557 * t3400;
  t30951 = t22 * t218 * t3978;
  t30961 = t404 * t30303;
  t30965 = t1883 * t29783;
  t30971 = t1404 * t29512;
  t30976 = -t13216 * t978 / 0.2e1 - t17561 * t3445 / 0.2e1 + t1961 * t30945 / 0.6e1 + 0.3e1 * t15841 * t3993 + 0.3e1 * t30951 * t3983 - 0.6e1 * t17454 * t3987 - 0.3e1 * t3933 * t29726 * t3974 - t922 * t12882 / 0.6e1 - t3747 + t3749 - t28976 - t28979 - t28981 - t28984 - 0.3e1 * t2004 * t2733 * t30961 - 0.2e1 * t2004 * t693 * t30965 + 0.3e1 / 0.2e1 * t10768 * t6689 - t2485 * t30971 / 0.3e1 - t12667 * t6696 / 0.9e1;
  t30981 = t9547 * t6692;
  t30984 = 0.6e1 * t28990;
  t30985 = 0.3e1 * t29000;
  t30986 = 0.6e1 * t29004;
  t30987 = t1996 * t29830;
  t30989 = t1996 * t29802;
  t30994 = t2565 * t6608;
  t30995 = t30994 / 0.18e2;
  t31002 = t2565 * t6645;
  t31003 = t31002 / 0.9e1;
  t31012 = 0.3e1 * t2011 * t12642 * t6678 - t2485 * t30981 / 0.3e1 - t30984 - t28997 + t30985 - t30986 + t3956 * t30987 + 0.2e1 * t3956 * t30989 - t2485 * t28444 / 0.3e1 - t30995 - t2565 * t6603 / 0.9e1 + t2248 * t1066 / 0.3e1 - t10926 * t1053 / 0.3e1 + t31003 - t2861 * t3529 + t2861 * t3537 - t2861 * t3540 / 0.2e1 + 0.2e1 / 0.3e1 * t546 * t18847 - 0.2e1 / 0.3e1 * t922 * t12477;
  t31019 = t3965 * t30860;
  t31028 = t1962 * t30860;
  t31034 = t10615 * t1733 * t30303;
  t31037 = t96 * t30303;
  t31038 = t10706 * t31037;
  t31041 = t9997 * t30303;
  t31045 = t922 * t12436 / 0.3e1 + t719 * t3549 / 0.2e1 + t719 * t3545 - t719 * t3547 - 0.23e2 / 0.3e1 * t17647 * t31019 - 0.2e1 * t3956 * t15863 - 0.4e1 * t3956 * t16655 + 0.4e1 * t3956 * t17459 + 0.12e2 * t17670 * t31028 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 + t17564 * t3441 / 0.2e1 + 0.9e1 / 0.2e1 * t3933 * t31034 + 0.3e1 / 0.2e1 * t3933 * t31038 + 0.9e1 * t2022 * t2701 * t31041;
  t31048 = t10242 * t30303;
  t31052 = 0.3e1 * t29040;
  t31053 = t145 * t29587;
  t31064 = t230 * t6195;
  t31066 = t10706 * t500 * t31064;
  t31069 = t1962 * t29498;
  t31070 = t11652 * t31069;
  t31071 = 0.2e1 * t31070;
  t31073 = t1397 * t2503 * t6666;
  t31074 = t31073 / 0.2e1;
  t31075 = t145 * t28758;
  t31077 = t2004 * t2733 * t31075;
  t31078 = 0.3e1 / 0.2e1 * t31077;
  t31079 = t404 * t15889;
  t31081 = t2004 * t693 * t31079;
  t31082 = t31081 / 0.2e1;
  t31089 = t230 * t6231;
  t31091 = t1974 * t500 * t31089;
  t31098 = t303 * t1056 * t929;
  t31101 = -0.9e1 / 0.2e1 * t2004 * t2701 * t31048 + t31052 - 0.6e1 * t2004 * t13454 * t31053 - t2004 * t693 * t28054 - 0.3e1 / 0.2e1 * t2004 * t237 * t28058 + t2004 * t237 * t28186 + 0.2e1 / 0.3e1 * t9476 * t31066 - t31071 - t31074 + t31078 + t31082 + t2004 * t693 * t28390 / 0.2e1 + t2004 * t237 * t28372 / 0.2e1 - t9476 * t31091 / 0.3e1 - t1397 * t2490 * t6233 / 0.4e1 - t6401 - t6405 - t6413 + t1397 * t2503 * t31098;
  t31102 = t4201 * t929;
  t31103 = t169 * t31102;
  t31104 = t1404 * t31103;
  t31107 = t16053 * t3935;
  t31109 = t29751 * t3957;
  t31113 = t1440 * t6184 * t205;
  t31117 = t1879 * t30303;
  t31121 = t10277 * t29783;
  t31125 = t1756 * t30303;
  t31129 = t9992 * t30303;
  t31134 = t1974 * t1395 * t31102;
  t31136 = t500 * t30303;
  t31137 = t1974 * t31136;
  t31141 = t10706 * t500 * t29783;
  t31144 = t10615 * t31136;
  t31147 = t4002 * t205;
  t31148 = t500 * t31147;
  t31152 = t96 * t29783;
  t31153 = t11691 * t31152;
  t31156 = t10832 * t31037;
  t31159 = t1968 * t31103;
  t31162 = t1968 * t31037;
  t31165 = -t29094 - t29097 - t2485 * t31104 / 0.3e1 - t3933 * t31107 + 0.14e2 / 0.3e1 * t3933 * t31109 - 0.3e1 / 0.2e1 * t1397 * t2475 * t31113 + 0.8e1 * t2004 * t2708 * t31117 + 0.9e1 / 0.2e1 * t2004 * t697 * t31121 - 0.8e1 * t2022 * t2708 * t31125 - 0.9e1 / 0.2e1 * t3980 * t2701 * t31129 - t2471 * t31134 + 0.16e2 / 0.3e1 * t3956 * t31137 + 0.3e1 * t2471 * t31141 - 0.23e2 / 0.12e2 * t3933 * t31144 - 0.7e1 * t11669 * t10832 * t31148 - 0.3e1 / 0.2e1 * t2471 * t31153 + 0.11e2 / 0.6e1 * t3933 * t31156 + t2471 * t31159 / 0.2e1 - 0.8e1 / 0.3e1 * t3956 * t31162;
  t31169 = t3850 * t686;
  t31170 = t31169 / 0.36e2;
  t31185 = t548 * t30067;
  t31199 = t1763 * t6630;
  t31200 = t31199 / 0.6e1;
  t31201 = -t525 * t4302 / 0.18e2 - t31170 - t654 * t3880 / 0.36e2 - t3847 * t2830 / 0.36e2 + t18664 * t223 / 0.6e1 + t16292 * t248 / 0.12e2 - t3847 * t2852 / 0.18e2 - t3829 - t3852 + t3867 - t922 * t12618 / 0.12e2 + t666 * t28366 / 0.6e1 - t546 * t31185 / 0.6e1 + t3721 * t4277 / 0.2e1 - t4308 * t637 - t4308 * t641 / 0.2e1 + 0.2e1 / 0.3e1 * t1641 * t548 * t4306 * t1000 + t4308 * t627 / 0.2e1 - t31200;
  t31209 = t29108 / 0.3e1;
  t31212 = t1404 * t31037;
  t31214 = t3582 * t31152;
  t31217 = t1974 * t31037;
  t31220 = t10706 * t31152;
  t31223 = t10615 * t31037;
  t31226 = t1974 * t31103;
  t31229 = -t12573 * t6684 / 0.6e1 - t654 * t6203 / 0.18e2 - t2452 * t3898 - t2452 * t3901 + t2243 * t1066 - t6712 + t6713 - t6714 + t6437 + t31209 + t3847 * t2856 / 0.9e1 + t4190 * t31212 + 0.2e1 / 0.3e1 * t2485 * t31214 - 0.4e1 / 0.3e1 * t3956 * t31217 - 0.3e1 / 0.4e1 * t2471 * t31220 + 0.5e1 / 0.12e2 * t3933 * t31223 + t2471 * t31226 / 0.4e1 - t29465 + t3869;
  t31235 = my_piecewise3(t3, 0, t29968 + t30040 + t29795 + t30236 + t31201 + t30890 + t30210 + t29693 + t31045 + t29527 + t30976 + t30127 + t29609 + t30000 + t30803 + t31012 + t29644 + t30173 + t29557 + t31165 + t30768 + t29743 + t29894 + t31229 + t29849 + t30669 + t30940 + t30077 + t30712 + t30856 + t29942 + t31101);
  tv4rhosigma2lapl0 = 0.2e1 * rho[0] * t31235 + 0.2e1 * t6727;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 0] += tv4rhosigma2lapl0;

  t31248 = t2885 * t948;
  t31261 = t2900 * t6608;
  t31262 = t31261 / 0.18e2;
  t31263 = t2900 * t6645;
  t31264 = t31263 / 0.9e1;
  t31265 = -0.3e1 * t509 * t13986 * t6455 + 0.3e1 / 0.2e1 * t1742 * t13986 * t6450 + 0.3e1 / 0.2e1 * t9790 * t6753 + t379 * t6750 / 0.2e1 + t162 * t31248 * t516 / 0.2e1 - t509 * t31248 * t512 / 0.2e1 - t1689 * t6746 / 0.2e1 + t806 * t6419 / 0.36e2 + t806 * t6429 / 0.18e2 - t31262 + t31264;
  t31287 = t922 * t13970 / 0.3e1 + t922 * t13954 / 0.3e1 - t922 * t13950 / 0.6e1 - t922 * t13966 / 0.6e1 + 0.3e1 / 0.2e1 * t162 * t13986 * t6445 + t29496 - t3162 * t28424 / 0.6e1 - t3168 * t28408 / 0.6e1 + t2874 * t28411 / 0.6e1 + t3168 * t28404 / 0.6e1 - t3162 * t28414 / 0.3e1;
  t31291 = t4482 * t29745;
  t31292 = 0.11e2 / 0.18e2 * t31291;
  t31293 = t2874 * t29733;
  t31294 = t31293 / 0.6e1;
  t31295 = t4503 * t29738;
  t31309 = -t3168 * t28418 / 0.3e1 - t31292 - t31294 + t31295 + 0.3e1 / 0.2e1 * t379 * t6738 + t387 * t6957 / 0.6e1 + t387 * t6750 / 0.6e1 - t4482 * t30921 / 0.2e1 + 0.3e1 / 0.2e1 * t4482 * t29973 - t4482 * t29976 - 0.38e2 / 0.9e1 * t19635 * t29978;
  t31310 = t3961 * t4598;
  t31315 = t20707 * t3409;
  t31325 = t1974 * t4598;
  t31328 = t3961 * t4605;
  t31332 = t3965 * t2009 * t4597;
  t31343 = -0.11e2 / 0.18e2 * t15929 * t31310 + t15936 * t14916 / 0.3e1 + 0.3e1 / 0.2e1 * t1397 * t31315 * t3411 - 0.6e1 * t17713 * t15157 * t30752 + 0.6e1 * t2004 * t15157 * t30760 - t15929 * t31325 / 0.2e1 + 0.7e1 / 0.3e1 * t15929 * t31328 - 0.3e1 / 0.2e1 * t15929 * t31332 + 0.3e1 / 0.2e1 * t11419 * t31315 * t3739 - 0.3e1 * t2011 * t31315 * t3760 - 0.2e1 * t19635 * t30749;
  t31346 = t16434 * t2993;
  t31347 = t31346 / 0.12e2;
  t31348 = t16138 * t4665;
  t31349 = t31348 / 0.12e2;
  t31352 = t2966 * t3487;
  t31353 = t555 * t31352;
  t31362 = t31347 - t31349 - t13898 * t6466 / 0.6e1 - t546 * t31353 / 0.3e1 + t922 * t14782 / 0.3e1 - t922 * t14788 / 0.6e1 - t29523 - t29524 - t29525 - t17444 * t4609 + t11390 * t4435;
  t31363 = t16143 * t4598;
  t31369 = t4433 * t3743;
  t31371 = t1397 * t31369 * t645;
  t31372 = t31371 / 0.2e1;
  t31374 = t2011 * t31369 * t622;
  t31375 = t31374 / 0.2e1;
  t31384 = t318 * t15491 * t775;
  t31391 = -t1961 * t31363 / 0.3e1 + 0.2e1 / 0.3e1 * t1961 * t15878 * t4605 + t31372 - t31375 + 0.6e1 * t19608 * t29981 - t2874 * t15682 - t2874 * t15698 - 0.18e2 * t2022 * t15157 * t30764 - t127 * t31384 / 0.12e2 + t3885 * t781 / 0.4e1 + 0.23e2 / 0.36e2 * t3007 * t30019;
  t31400 = t256 * t908;
  t31403 = t11669 * t3965 * t1733 * t31400;
  t31404 = 0.3e1 / 0.2e1 * t31403;
  t31406 = t2011 * t2943 * t6403;
  t31407 = t31406 / 0.2e1;
  t31409 = t2022 * t881 * t28767;
  t31410 = -0.4e1 * t11652 * t15878 * t19641 - t11390 * t4682 + 0.3e1 * t15841 * t4676 + t15841 * t4679 + t29526 + t29528 - t29529 - t29530 - t31404 - t31407 + t31409;
  t31416 = t2004 * t3214 * t29505;
  t31417 = 0.3e1 * t31416;
  t31419 = t2004 * t881 * t29509;
  t31426 = -t10556 * t6859 / 0.2e1 - t13740 * t6704 / 0.3e1 - t31417 - t31419 - t3322 * t991 / 0.12e2 + t29531 + t29532 - t28024 - t29533 - t2248 * t1114 / 0.6e1 + t785 * t28366 / 0.6e1;
  t31431 = t162 * t3036 * t6666;
  t31432 = t31431 / 0.2e1;
  t31448 = -t31432 - t3389 * t3529 + t3389 * t3537 + 0.2e1 / 0.3e1 * t546 * t20929 - 0.2e1 / 0.3e1 * t922 * t14786 + t922 * t13875 / 0.3e1 - t2452 * t4543 + 0.2e1 * t21063 * t29600 + t4510 * t29799 / 0.2e1 - t28045 - 0.3e1 / 0.2e1 * t4482 * t15846;
  t31457 = t2986 * t909;
  t31459 = t1397 * t31457 * t334;
  t31460 = t31459 / 0.4e1;
  t31474 = 0.44e2 / 0.27e2 * t19635 * t30861 + 0.23e2 / 0.36e2 * t4482 * t30853 - 0.23e2 / 0.12e2 * t4482 * t29824 - t29552 + 0.23e2 / 0.18e2 * t4482 * t30857 - t31460 - 0.9e1 / 0.2e1 * t2004 * t3211 * t29934 - 0.18e2 * t2004 * t15169 * t29953 - 0.3e1 / 0.2e1 * t2004 * t881 * t29993 + t2917 * t6624 / 0.9e1 - t2900 * t6603 / 0.9e1;
  t31481 = t16057 * t4598;
  t31484 = t287 * t908;
  t31486 = t1962 * t1395 * t31484;
  t31487 = t9476 * t31486;
  t31488 = t31487 / 0.3e1;
  t31489 = t2986 * t3571;
  t31491 = t1397 * t31489 * t636;
  t31492 = t31491 / 0.2e1;
  t31495 = -t791 * t28361 / 0.12e2 - t259 * t15493 / 0.12e2 - t10949 * t1108 + t1978 * t31481 / 0.3e1 + t31488 - t31492 + t28085 + t29623 - t29624 + 0.2e1 / 0.3e1 * t791 * t15445 - t28122;
  t31503 = t387 * t6783;
  t31504 = t31503 / 0.6e1;
  t31505 = t3850 * t777;
  t31506 = t31505 / 0.36e2;
  t31514 = 0.2e1 / 0.3e1 * t791 * t15437 + t28159 + t28162 - t2452 * t4546 - t1763 * t6746 / 0.6e1 + t3847 * t3172 / 0.9e1 - t31504 - t31506 + 0.3e1 * t1689 * t6923 + 0.3e1 * t509 * t13993 * t6678 - t813 * t6203 / 0.6e1;
  t31521 = t2927 * t6627;
  t31522 = t31521 / 0.6e1;
  t31523 = t785 * t30046;
  t31524 = t31523 / 0.6e1;
  t31537 = t821 * t6464;
  t31541 = -t259 * t28518 / 0.6e1 + t785 * t28351 / 0.3e1 + t31522 + t31524 + t785 * t30058 / 0.3e1 - t791 * t28559 / 0.3e1 + t2927 * t6624 / 0.3e1 - t3366 * t991 / 0.4e1 - t823 * t3751 / 0.4e1 - t823 * t3756 / 0.4e1 - 0.2e1 * t17305 * t548 * t31537;
  t31544 = t911 * t2912;
  t31545 = t31544 / 0.12e2;
  t31546 = t379 * t6783;
  t31547 = t31546 / 0.2e1;
  t31549 = t162 * t3030 * t6658;
  t31550 = t31549 / 0.2e1;
  t31555 = t15878 * t4598;
  t31562 = -t823 * t3566 / 0.2e1 - t31545 - t31547 - t29640 + t31550 - t2874 * t29755 / 0.3e1 + t1993 * t20566 / 0.6e1 - t1961 * t31555 / 0.6e1 - t4510 * t29803 - t11390 * t4527 - t11390 * t4531 / 0.2e1;
  t31566 = t169 * t19753;
  t31567 = t1962 * t31566;
  t31574 = t3965 * t4598;
  t31588 = -t4510 * t30657 / 0.2e1 - t1961 * t31567 / 0.6e1 + t15905 * t4665 / 0.2e1 + t15936 * t13761 / 0.6e1 - 0.5e1 / 0.36e2 * t15929 * t31574 - t13856 * t6696 / 0.3e1 - t3162 * t28444 / 0.3e1 - t3162 * t30971 / 0.3e1 - t3162 * t30981 / 0.3e1 + t4503 * t29736 - 0.11e2 / 0.9e1 * t4482 * t29752;
  t31592 = t3162 * t29564;
  t31593 = t31592 / 0.6e1;
  t31596 = t4503 * t30167;
  t31597 = t31596 / 0.2e1;
  t31598 = t3162 * t29560;
  t31599 = t31598 / 0.6e1;
  t31602 = t2042 * t4612;
  t31605 = t20001 * t539;
  t31606 = t548 * t31605;
  t31614 = -t3162 * t29567 / 0.3e1 + t28214 - t4510 * t29581 + t31593 + t3162 * t29570 / 0.3e1 + t31597 - t31599 + t922 * t13888 / 0.6e1 - 0.5e1 / 0.36e2 * t3416 * t31602 - t546 * t31606 / 0.6e1 - t22 * t971 * t870 / 0.4e1 - t533 * t4579 / 0.6e1;
  t31621 = t162 * t2885 * t941 * t165;
  t31622 = t31621 / 0.4e1;
  t31623 = t379 * t6843;
  t31624 = t31623 / 0.4e1;
  t31639 = t379 * t6776;
  t31640 = t31639 / 0.2e1;
  t31643 = t31622 + t31624 + t610 * t4589 / 0.2e1 - t922 * t14472 / 0.12e2 + t2243 * t1126 / 0.2e1 - t208 * t19944 / 0.6e1 - t208 * t19981 / 0.6e1 - t922 * t14347 / 0.12e2 + t610 * t4585 / 0.2e1 + t31640 - t379 * t6853 / 0.4e1;
  t31664 = t1404 * t169 * t287 * t3481;
  t31669 = t9547 * t6772;
  t31674 = t1404 * t169 * t869 * t929;
  t31677 = -t2874 * t28182 / 0.6e1 - t3168 * t28194 / 0.3e1 + 0.3e1 / 0.2e1 * t2022 * t3220 * t3440 + 0.3e1 / 0.2e1 * t2022 * t881 * t28749 + t1397 * t2956 * t6197 / 0.2e1 - t2004 * t877 * t28054 - 0.3e1 / 0.2e1 * t2004 * t263 * t28058 + t1993 * t31664 / 0.12e2 + t10642 * t6773 / 0.12e2 + t1993 * t31669 / 0.12e2 + t1993 * t31674 / 0.12e2;
  t31679 = t21332 * t3400;
  t31682 = t14860 * t3400;
  t31685 = t1883 * t269;
  t31686 = t31685 * t3584;
  t31699 = t4482 * t30782;
  t31700 = t31699 / 0.2e1;
  t31701 = t20571 * t3400;
  t31706 = t1961 * t31679 / 0.12e2 - t1978 * t31682 / 0.6e1 - t1993 * t31686 / 0.6e1 - t16426 * t2993 / 0.6e1 - 0.2e1 * t4503 * t15863 - 0.23e2 / 0.3e1 * t19608 * t31019 - 0.4e1 * t4503 * t16655 + t2874 * t28401 / 0.6e1 - t31700 + t1961 * t31701 / 0.6e1 - 0.2e1 / 0.3e1 * t13901 * t6648;
  t31713 = t555 * t31605;
  t31728 = 0.2e1 / 0.9e1 * t2900 * t6719 + t2248 * t1117 / 0.3e1 + 0.23e2 / 0.108e3 * t13898 * t6654 - t546 * t31713 / 0.3e1 - t14511 * t6684 / 0.6e1 - t806 * t6203 / 0.18e2 + t1763 * t6923 + 0.3e1 / 0.2e1 * t14675 * t3740 - 0.3e1 * t3389 * t3761 + 0.3e1 / 0.2e1 * t823 * t3412 - t387 * t6759;
  t31744 = t4433 * t3531;
  t31748 = t4433 * t920;
  t31751 = t3965 * t4605;
  t31754 = -t1763 * t6756 + t9743 * t6753 / 0.2e1 + t823 * t3545 - t823 * t3547 + t823 * t3549 / 0.2e1 - t3389 * t3540 / 0.2e1 - 0.3e1 * t1689 * t6756 - t2011 * t4434 * t3528 + 0.3e1 * t2011 * t31744 * t622 + t2011 * t31748 * t1448 + 0.23e2 / 0.36e2 * t15929 * t31751;
  t31772 = t3980 * t3211 * t28998;
  t31773 = 0.3e1 / 0.2e1 * t31772;
  t31774 = t16138 * t4599;
  t31775 = t31774 / 0.6e1;
  t31776 = -0.2e1 * t15905 * t4606 - 0.2e1 / 0.3e1 * t15936 * t13711 + 0.2e1 / 0.3e1 * t1961 * t19755 - t21072 * t3445 / 0.2e1 + t21068 * t3441 / 0.2e1 - t15841 * t4741 + t17454 * t4452 - 0.6e1 * t15841 * t4447 + 0.6e1 * t17454 * t4689 + t31773 - t31775;
  t31779 = t2022 * t3214 * t28759;
  t31780 = 0.3e1 * t31779;
  t31799 = t31780 - 0.11e2 / 0.18e2 * t14197 * t6651 - 0.11e2 / 0.18e2 * t3007 * t30022 + 0.23e2 / 0.36e2 * t14197 * t6654 - 0.2e1 * t13918 * t6648 - 0.2e1 * t2936 * t17307 + t2936 * t30032 - 0.3e1 / 0.2e1 * t14197 * t6474 - 0.3e1 / 0.2e1 * t3007 * t15456 + t13918 * t6477 + 0.7e1 / 0.3e1 * t14197 * t6470;
  t31822 = t318 * t31352;
  t31829 = 0.7e1 / 0.3e1 * t3007 * t17317 - t14197 * t6466 / 0.2e1 - t3007 * t29701 / 0.2e1 - 0.3e1 * t379 * t6759 - 0.3e1 * t162 * t13993 * t6460 - 0.18e2 * t3980 * t15169 * t29680 - 0.9e1 / 0.2e1 * t3980 * t3211 * t29684 + 0.3e1 * t3980 * t3211 * t29676 + 0.2e1 / 0.3e1 * t2998 * t6719 + t538 * t31822 / 0.3e1 - t3811 * t4640 / 0.2e1 - t917 * t2968 / 0.6e1;
  t31837 = t3745 * t4613;
  t31838 = t31837 / 0.12e2;
  t31839 = t823 * t3573;
  t31840 = t31839 / 0.2e1;
  t31841 = t823 * t3518;
  t31842 = t31841 / 0.4e1;
  t31844 = t548 * t821 * t6606;
  t31845 = t1641 * t31844;
  t31846 = t31845 / 0.3e1;
  t31847 = t823 * t3522;
  t31848 = t31847 / 0.4e1;
  t31851 = t1763 * t6786;
  t31852 = t31851 / 0.6e1;
  t31853 = t387 * t6776;
  t31854 = t31853 / 0.6e1;
  t31857 = -t10926 * t1108 / 0.3e1 + t525 * t6795 / 0.36e2 - t31838 - t31840 - t31842 + t31846 + t31848 - t2248 * t1111 / 0.3e1 - t31852 + t31854 - t387 * t6853 / 0.12e2;
  t31868 = t256 * t914;
  t31886 = t387 * t6920 / 0.2e1 - 0.3e1 / 0.2e1 * t2004 * t881 * t28233 - 0.3e1 / 0.2e1 * t10516 * t6859 - 0.3e1 / 0.2e1 * t2004 * t3220 * t6699 + 0.8e1 * t29946 * t17706 * t3978 * t31868 - t1397 * t31748 * t1442 - t2874 * t28672 / 0.3e1 + t2004 * t881 * t28669 - 0.18e2 * t2022 * t15153 * t30195 - t2022 * t881 * t28666 + 0.23e2 / 0.18e2 * t4482 * t30785;
  t31909 = -t4482 * t31107 + 0.14e2 / 0.3e1 * t4482 * t31109 + t2874 * t29036 / 0.3e1 + t21072 * t3825 / 0.2e1 - t9476 * t21332 * t6703 / 0.3e1 - t14865 * t3496 / 0.4e1 + t21072 * t3821 / 0.2e1 - t11390 * t4671 / 0.2e1 + t15841 * t4668 - 0.2e1 / 0.3e1 * t9476 * t16053 * t19810 + t15841 * t4685;
  t31928 = -0.2e1 * t4503 * t29808 + 0.3e1 / 0.2e1 * t1397 * t13724 * t6674 + t10516 * t6729 + t2004 * t3246 * t6709 - 0.3e1 / 0.2e1 * t2004 * t3227 * t30113 + 0.3e1 * t2004 * t3227 * t30117 + t13840 * t6706 / 0.2e1 + t2874 * t28238 / 0.2e1 - t29960 - t29961 + t29962;
  t31935 = t28457 + t29963 - t29964 - t28464 - t29965 + t28474 + t28476 - t28478 - 0.5e1 / 0.36e2 * t4482 * t29929 - t28480 - 0.35e2 / 0.108e3 * t19635 * t29926;
  t31936 = t2986 * t915;
  t31944 = t29966 + t28487 + t29967 + t29969 - t29970 - t29971 + t1397 * t31936 * t334 / 0.2e1 - t28498 - t29972 - t2998 * t6611 / 0.6e1 - t791 * t29877 / 0.6e1;
  t31959 = t548 * t3883 * t3084;
  t31974 = t13901 * t6477 / 0.3e1 - t13898 * t6474 / 0.2e1 + 0.7e1 / 0.9e1 * t13898 * t6470 + t3885 * t772 / 0.4e1 - t3885 * t764 / 0.2e1 - t3885 * t768 / 0.4e1 + t1641 * t31959 / 0.3e1 - t14533 * t6684 / 0.2e1 - t3065 * t29626 / 0.2e1 + t2004 * t263 * t28372 / 0.2e1 - t9476 * t1974 * t500 * t256 * t6231 / 0.3e1;
  t31982 = t2004 * t3227 * t31075;
  t31983 = 0.3e1 / 0.2e1 * t31982;
  t31985 = t2004 * t877 * t31079;
  t31986 = t31985 / 0.2e1;
  t31987 = t500 * t31400;
  t31989 = t11652 * t1962 * t31987;
  t31990 = 0.2e1 * t31989;
  t31992 = t1397 * t2951 * t6666;
  t31993 = t31992 / 0.2e1;
  t32002 = t305 * t13879 * t930;
  t32005 = -t1397 * t2956 * t6233 / 0.4e1 + t2004 * t877 * t28390 / 0.2e1 + t31983 + t31986 - t31990 - t31993 - 0.6e1 * t2004 * t15164 * t31053 + 0.5e1 / 0.12e2 * t4482 * t30161 - 0.5e1 / 0.18e2 * t4482 * t30164 + t208 * t32002 / 0.12e2 - t29997 + t29998;
  t32012 = t305 * t2966 * t3482;
  t32015 = t2998 * t6645;
  t32016 = t32015 / 0.3e1;
  t32017 = t791 * t16574;
  t32018 = t32017 / 0.3e1;
  t32020 = -t29999 + t208 * t32012 / 0.12e2 + t30003 + t32016 + t32018 + t28592 - t30041 + t30042 - t28601 + t28603 + t610 * t4569;
  t32040 = t2900 * t6614;
  t32041 = t32040 / 0.36e2;
  t32044 = t379 * t6957 / 0.2e1 - t379 * t6951 / 0.2e1 - t162 * t2885 * t944 * t328 / 0.2e1 + 0.3e1 * t3389 * t3533 - 0.3e1 * t823 * t3771 + t3721 * t4764 - t17356 * t759 / 0.2e1 + t3885 * t796 / 0.2e1 - 0.5e1 / 0.108e3 * t13898 * t6617 - t32041 - t2900 * t6611 / 0.18e2;
  t32048 = t2917 * t6627;
  t32049 = t32048 / 0.18e2;
  t32057 = t2218 * t4612;
  t32060 = t2042 * t4767;
  t32065 = t2213 * t4612;
  t32068 = t2218 * t4767;
  t32071 = t13901 * t6715 / 0.6e1 + t32049 + 0.16e2 / 0.3e1 * t4503 * t31137 + 0.3e1 * t2874 * t31141 - 0.23e2 / 0.12e2 * t4482 * t31144 - t2874 * t31134 - 0.11e2 / 0.18e2 * t3416 * t32057 + 0.23e2 / 0.36e2 * t3416 * t32060 - t791 * t28605 / 0.6e1 - t3416 * t32065 / 0.2e1 + 0.7e1 / 0.3e1 * t3416 * t32068;
  t32073 = t2042 * t3387 * t539;
  t32078 = t3389 * t3765;
  t32079 = t32078 / 0.2e1;
  t32080 = t823 * t3768;
  t32081 = t32080 / 0.2e1;
  t32082 = t3745 * t4764;
  t32083 = t32082 / 0.6e1;
  t32092 = t3850 * t818;
  t32093 = t32092 / 0.36e2;
  t32094 = -0.3e1 / 0.2e1 * t3416 * t32073 - t20765 * t623 + t4722 * t646 - t32079 + t32081 - t32083 + t20840 * t223 / 0.2e1 - t806 * t3880 / 0.36e2 - t3847 * t3347 / 0.36e2 - t525 * t4737 / 0.18e2 - t32093;
  t32097 = t3322 * t982;
  t32098 = t32097 / 0.12e2;
  t32121 = t32098 - t14982 * t978 / 0.6e1 + t17363 * t274 / 0.4e1 + t917 * t3361 / 0.6e1 - t3366 * t986 / 0.2e1 + 0.2e1 * t17454 * t4692 + 0.2e1 / 0.3e1 * t1641 * t548 * t4720 * t1000 + t4722 * t627 / 0.2e1 - t103 * t6917 / 0.12e2 + t2874 * t29592 / 0.4e1 + t2874 * t28394 / 0.4e1;
  t32130 = t911 * t2972;
  t32131 = t32130 / 0.12e2;
  t32132 = t318 * t31605;
  t32137 = t2874 * t29597 / 0.4e1 - t3168 * t28386 / 0.6e1 + t13840 * t6693 / 0.4e1 - t913 + t984 + t28656 + t30181 - t208 * t21545 / 0.6e1 - t32131 + t538 * t32132 / 0.3e1 + t208 * t20003 / 0.6e1;
  t32139 = t3782 * t4640;
  t32140 = t32139 / 0.6e1;
  t32141 = t911 * t2968;
  t32142 = t32141 / 0.12e2;
  t32149 = t32140 + t32142 + t28680 + t6778 - t6780 - t6785 - t6788 + t6799 - t6801 - t1397 * t19719 * t990 / 0.4e1 - t1397 * t4530 * t3755 / 0.4e1;
  t32152 = t1982 * t31566;
  t32158 = t2874 * t29513 / 0.2e1 + t1978 * t32152 / 0.3e1 + t6824 - t6826 - t6596 + t6601 - t30235 - t30238 + t30239 - t1397 * t4526 * t3553 - t2874 * t15856;
  t32178 = t2874 * t29520 / 0.2e1 + t2874 * t28447 / 0.12e2 + t3168 * t28437 / 0.12e2 - t13840 * t6704 + 0.2e1 * t4503 * t30670 + 0.2e1 / 0.3e1 * t2874 * t29748 - t3520 + t3524 + 0.22e2 / 0.3e1 * t19608 * t29805 + 0.2e1 / 0.3e1 * t2874 * t15879 + t11390 * t4534;
  t32198 = -0.4e1 / 0.3e1 * t2874 * t17487 - 0.3e1 * t11669 * t29726 * t19666 - t17444 * t4755 - 0.2e1 * t15841 * t4674 - 0.11e2 / 0.18e2 * t4482 * t29831 - 0.11e2 / 0.9e1 * t4482 * t29834 - 0.61e2 / 0.27e2 * t19635 * t29827 + 0.11e2 / 0.6e1 * t4482 * t29837 - t22 * t3716 * t288 / 0.4e1 + t30667 + t30668;
  t32217 = t6687 + t6277 - t3575 + 0.3e1 / 0.2e1 * t2022 * t881 * t29615 + t3162 * t28197 / 0.3e1 - t9576 * t6768 / 0.12e2 + t12173 * t6773 / 0.36e2 + t10556 * t6729 / 0.3e1 + t11676 * t6731 / 0.2e1 - t13748 * t6696 / 0.9e1 + t13740 * t6693 / 0.12e2;
  t32219 = t2004 * t3211 * t30739;
  t32220 = 0.3e1 / 0.2e1 * t32219;
  t32222 = t2022 * t3211 * t29002;
  t32223 = 0.3e1 * t32222;
  t32230 = t16429 * t4660;
  t32231 = t32230 / 0.6e1;
  t32233 = t11669 * t3961 * t31987;
  t32234 = 0.7e1 / 0.3e1 * t32233;
  t32236 = t1397 * t2943 * t6658;
  t32237 = t32236 / 0.2e1;
  t32243 = t1996 * t31566;
  t32247 = t32220 - t32223 - t2004 * t881 * t28811 / 0.2e1 + t2022 * t881 * t28807 / 0.2e1 + t32231 + t32234 + t32237 + t13740 * t6706 / 0.6e1 + 0.18e2 * t3980 * t15157 * t30756 - t1961 * t32243 / 0.3e1 + t15905 * t4599;
  t32263 = t500 * t31868;
  t32273 = t6845 + t4503 * t30792 / 0.2e1 + t2874 * t29723 / 0.3e1 - 0.3e1 * t19680 * t29589 - t4503 * t30788 + 0.3e1 * t15841 * t4594 + 0.3e1 * t30951 * t4440 - 0.6e1 * t17454 * t4444 + 0.47e2 / 0.3e1 * t29946 * t10615 * t32263 + 0.3e1 / 0.2e1 * t1397 * t14912 * t6445 + 0.3e1 * t2004 * t3211 * t29938;
  t32278 = t548 * t31352;
  t32283 = t30795 - t30796 - t28776 + t30797 + t28781 + t28783 + t30798 + t259 * t15497 / 0.12e2 - t922 * t13893 / 0.12e2 - t546 * t32278 / 0.6e1 + t259 * t28300 / 0.6e1;
  t32289 = t2998 * t6608;
  t32290 = t32289 / 0.6e1;
  t32291 = t791 * t29885;
  t32292 = t32291 / 0.6e1;
  t32293 = t1689 * t6786;
  t32294 = t32293 / 0.2e1;
  t32296 = t509 * t3030 * t6403;
  t32297 = t32296 / 0.2e1;
  t32309 = t259 * t28070 / 0.6e1 + t813 * t6429 / 0.6e1 - t32290 - t32292 - t32294 - t32297 - t3847 * t3192 / 0.18e2 + t387 * t6738 / 0.2e1 + t3721 * t4613 / 0.2e1 + t917 * t2972 / 0.6e1 + t162 * t2896 * t6197 / 0.2e1;
  t32323 = 0.3e1 / 0.2e1 * t379 * t6920 + 0.3e1 / 0.2e1 * t162 * t14543 * t6674 + t917 * t2908 / 0.6e1 + t917 * t2912 / 0.6e1 + t6941 - t6947 + t30868 + t28819 - t30869 - t28825 - 0.7e1 * t4482 * t16663 + 0.14e2 / 0.3e1 * t4482 * t15665;
  t32328 = t3220 * t6541;
  t32329 = 0.2e1 * t32328;
  t32332 = t3220 * t6530;
  t32333 = t32332 / 0.3e1;
  t32351 = t32329 + 0.4e1 / 0.3e1 * t881 * t29359 - t32333 - t15161 * t6533 / 0.9e1 - t875 * t6326 + 0.3e1 * t3227 * t30502 - 0.6e1 * t3227 * t30525 - 0.2e1 * t3246 * t6526 - 0.2e1 * t877 * t29370 - 0.2e1 * t877 * t30532 + 0.2e1 * t877 * t29245 - 0.2e1 * t3220 * t6538;
  t32357 = -t263 * t29242 - 0.2e1 * t29270 * t881 - 0.2e1 * t30546 * t881 - t29111 - t29113 - t29119 - t30240 + t30241 - t30242 - t30243 - t30244 + t30328;
  t32359 = t30329 + t30330 - t30332 + t29214 + t29219 + t29221 + t30333 - t30334 + t30335 - t30336 - t29235 - t30337;
  t32368 = t3246 * t6544;
  t32369 = 0.2e1 * t32368;
  t32378 = -0.2e1 / 0.3e1 * t15161 * t6522 + 0.6e1 * t15161 * t6558 + 0.3e1 * t3220 * t6555 + 0.3e1 * t881 * t30475 - t32369 + 0.2e1 * t15198 * t6547 + t30338 + 0.3e1 * t881 * t29280 - t29303 - t30339 - t30343 + 0.9e1 * t3211 * t30471 - 0.6e1 * t3211 * t30455;
  t32392 = t3227 * t30438;
  t32393 = 0.3e1 * t32392;
  t32394 = t877 * t30441;
  t32395 = t3214 * t30360;
  t32396 = 0.4e1 * t32395;
  t32400 = t881 * t30376;
  t32401 = 0.2e1 * t32400;
  t32402 = -0.12e2 * t15198 * t6519 - 0.12e2 * t3214 * t30482 + 0.12e2 * t3214 * t30485 + 0.1e2 / 0.3e1 * t15157 * t30356 - t263 * t29353 - 0.2e1 / 0.3e1 * t881 * t29115 - t32393 - t32394 - t32396 - t877 * t29357 + 0.8e1 * t3214 * t30443 + t32401;
  t32403 = t3211 * t30411;
  t32404 = 0.1e2 / 0.3e1 * t32403;
  t32421 = t3211 * t30430;
  t32422 = 0.3e1 * t32421;
  t32424 = t3214 * t30373;
  t32425 = 0.6e1 * t32424;
  t32426 = t32404 - 0.4e2 * t15169 * t30414 - 0.1e2 * t3211 * t30418 + 0.2e2 / 0.3e1 * t3211 * t30422 + 0.36e2 * t15169 * t30452 - 0.12e2 * t15157 * t30425 - 0.36e2 * t15153 * t30464 - 0.2e1 * t881 * t29395 + 0.5e2 / 0.3e1 * t15157 * t30434 - t32422 + t881 * t29402 + t32425;
  t32438 = t881 * t30365;
  t32439 = 0.4e1 / 0.3e1 * t32438;
  t32440 = t3211 * t30368;
  t32441 = t32440 / 0.18e2;
  t32448 = 0.12e2 * t15164 * t30499 - 0.8e1 * t3214 * t30446 - 0.2e1 / 0.3e1 * t15169 * t30449 - t3211 * t30458 / 0.6e1 + t3211 * t30461 / 0.9e1 - t32439 + t32441 + 0.24e2 * t15153 * t30351 + 0.3e1 * t263 * t29249 - 0.2e1 * t263 * t29253 + t6862 - t6865;
  t32473 = t6869 + t3197 * t29185 / 0.3e1 + 0.6e1 * t15344 * t30292 - t15349 * t30583 / 0.6e1 - 0.4e1 * t15341 * t29162 - 0.6e1 * t20269 * t29166 + 0.4e1 * t4349 * t29170 - 0.2e1 / 0.3e1 * t15344 * t29173 - 0.24e2 * t20254 * t30520 - 0.6e1 * t15338 * t30565 + 0.12e2 * t4365 * t30568 + 0.4e1 * t3200 * t29196 - 0.4e1 / 0.3e1 * t20045 * t30319;
  t32481 = t4344 * t30558;
  t32482 = 0.2e1 / 0.3e1 * t32481;
  t32495 = t3246 * t6491;
  t32499 = -0.2e1 * t3197 * t29229 - 0.16e2 * t15352 * t30304 - t32482 + 0.4e1 * t15344 * t29238 + 0.9e1 * t15349 * t30381 + 0.24e2 * t20045 * t30325 + 0.8e1 * t20037 * t30325 + 0.8e1 / 0.3e1 * t20045 * t30273 + t263 * t29411 / 0.2e1 + t32495 + 0.4e1 * t3200 * t30573 + t15368 * t6516;
  t32518 = t3197 * t30267;
  t32519 = 0.2e1 / 0.3e1 * t32518;
  t32520 = t4344 * t30270;
  t32521 = t32520 / 0.9e1;
  t32522 = t3197 * t29206 + t3197 * t30581 + 0.72e2 * t20052 * t30386 + 0.24e2 * t15352 * t30408 - 0.24e2 * t4360 * t30322 - 0.9e1 * t15344 * t30307 - 0.4e1 / 0.3e1 * t4344 * t30316 - 0.6e1 * t15368 * t6510 + 0.6e1 * t15338 * t30639 + 0.4e1 * t15341 * t30642 + t32519 - t32521;
  t32532 = t4360 * t30263;
  t32533 = 0.2e1 * t32532;
  t32536 = t4344 * t30263;
  t32537 = 0.6e1 * t32536;
  t32544 = 0.4e1 / 0.3e1 * t20037 * t30273 + t15349 * t30300 / 0.3e1 - 0.2e1 / 0.9e1 * t4344 * t30246 + 0.32e2 / 0.3e1 * t15352 * t30381 + t32533 - 0.1e2 * t15349 * t30310 + t32537 - t20045 * t30251 / 0.9e1 + 0.2e1 * t3200 * t29178 + 0.2e1 * t4349 * t29182 - t3609 - t3610;
  t32552 = t3220 * t6488;
  t32553 = 0.2e1 / 0.3e1 * t32552;
  t32558 = t3220 * t6482;
  t32563 = -t3614 + t3625 + t875 * t6372 / 0.2e1 - t875 * t6388 - 0.3e1 * t15201 * t6505 + 0.1e2 / 0.3e1 * t15161 * t6485 + t32553 - 0.4e1 * t15198 * t6493 + t15161 * t6496 / 0.18e2 - t32558 - 0.3e1 * t15161 * t6502 + 0.6e1 * t15198 * t6499 + t30507;
  t32570 = t4365 * t30286;
  t32571 = 0.6e1 * t32570;
  t32572 = 0.6e1 * t15201 * t6552 + 0.2e1 * t6334 * t875 + t30508 + t30509 + t32571 - t6331 + t6561 - t6562 - t6563 - t6890 + t6898 - t6900;
  t32573 = t3200 * t30289;
  t32574 = 0.2e1 * t32573;
  t32583 = 0.4e1 * t15357 * t6513 - 0.72e2 * t20037 * t30399 - 0.6e1 * t29148 * t3197 - 0.6e1 * t30392 * t3197 + t32574 + t3688 + t3690 - t3697 + t3704 + t6377 + t6564 + t6565 - t6566;
  t32605 = -0.18e2 * t15349 * t30277 + 0.12e2 * t4344 * t30280 - 0.12e2 * t20052 * t30399 + t29405 - t30592 + 0.32e2 * t15352 * t30615 + 0.18e2 * t15344 * t30621 + 0.2e1 * t15349 * t30618 + t15349 * t30628 / 0.3e1 - 0.12e2 * t15338 * t30631 - 0.8e1 * t15341 * t30634 - 0.16e2 / 0.3e1 * t15352 * t30612;
  t32616 = t4360 * t30295;
  t32617 = 0.12e2 * t32616;
  t32618 = t3197 * t30283;
  t32619 = 0.4e1 * t32618;
  t32620 = -0.3e1 * t15344 * t30625 + 0.2e1 * t15349 * t30313 - 0.18e2 * t15349 * t30612 - 0.4e1 * t15352 * t30277 + 0.4e1 * t30280 * t4360 + t29417 + t30645 + t30646 - t30647 - t32617 - t32619 + t943 - t962;
  t32647 = -t22 * t59 * (t32351 + t32357 + t32359 + t32378 + t32402 + t32426 + t32448 + t32473 + t32499 + t32522 + t32544 + t32563 + t32572 + t32583 + t32605 + t32620) * t96 / 0.4e1 - t22 * t6916 * t194 / 0.4e1 + 0.4e1 * t4503 * t17459 + 0.12e2 * t19680 * t31028 + t4503 * t30987 + 0.2e1 * t4503 * t30989 + t4503 * t30790 + t823 * t3561 / 0.2e1 - t823 * t3554 + 0.3e1 / 0.2e1 * t823 * t3557 - t610 * t4540 / 0.2e1;
  t32667 = -t610 * t4537 / 0.2e1 - t610 * t4557 - t610 * t4560 - t2243 * t1114 / 0.2e1 - t2243 * t1111 - 0.11e2 / 0.54e2 * t13898 * t6651 - t791 * t30135 / 0.3e1 + t813 * t6419 / 0.12e2 + t259 * t28116 / 0.12e2 + t259 * t28947 / 0.12e2 - t2998 * t6603 / 0.3e1;
  t32670 = t4510 * t29554;
  t32671 = t32670 / 0.2e1;
  t32680 = t791 * t30729;
  t32681 = t32680 / 0.12e2;
  t32684 = t2998 * t6614;
  t32685 = t32684 / 0.12e2;
  t32690 = t610 * t4566 - t32671 + t3836 * t777 / 0.18e2 - t387 * t6951 / 0.6e1 - 0.5e1 / 0.36e2 * t14197 * t6617 - 0.5e1 / 0.36e2 * t3007 * t29641 - t32681 - t791 * t28577 / 0.6e1 - t32685 + t2248 * t1126 / 0.6e1 - t3847 * t2880 / 0.36e2;
  t32693 = t387 * t6843;
  t32694 = t32693 / 0.12e2;
  t32701 = -t525 * t4579 / 0.18e2 + t32694 + t13918 * t6715 / 0.2e1 + t2936 * t30051 / 0.2e1 - t3747 + t3749 - t28976 - t28979 - t28981 - t28984 - 0.5e1 / 0.18e2 * t4482 * t29727;
  t32726 = -t2874 * t29730 / 0.6e1 + 0.3e1 / 0.2e1 * t1397 * t2986 * t920 * t636 - 0.3e1 / 0.4e1 * t2874 * t31220 - 0.8e1 / 0.3e1 * t4503 * t31162 - 0.3e1 / 0.2e1 * t2874 * t31153 + 0.11e2 / 0.6e1 * t4482 * t31156 + t2874 * t31159 / 0.2e1 + 0.8e1 * t2004 * t3214 * t31117 + 0.9e1 / 0.2e1 * t2004 * t881 * t31121 - t30984 - t28997;
  t32755 = t30985 - t30986 - 0.28e2 * t29479 * t3961 * t32263 - 0.3e1 * t1397 * t14991 * t6460 + 0.6e1 * t2004 * t3214 * t29488 - 0.6e1 * t2004 * t3214 * t29492 + 0.18e2 * t2004 * t15153 * t30799 - 0.6e1 * t2022 * t3211 * t30813 - 0.62e2 / 0.3e1 * t29946 * t17701 * t1733 * t31868 - 0.3e1 * t2011 * t14912 * t6455 + 0.9e1 * t2022 * t3211 * t30809;
  t32770 = t169 * t6771 * t122;
  t32771 = t1968 * t32770;
  t32785 = 0.36e2 * t2022 * t15169 * t30805 + 0.3e1 / 0.2e1 * t11419 * t14912 * t6450 + t2011 * t4434 * t15902 / 0.2e1 - t1397 * t4434 * t17230 / 0.2e1 + t1961 * t32771 / 0.6e1 - 0.9e1 / 0.2e1 * t2004 * t3211 * t31048 + 0.3e1 / 0.2e1 * t4482 * t31038 + 0.9e1 / 0.2e1 * t4482 * t31034 + t2243 * t1117 - 0.4e1 / 0.3e1 * t4503 * t31217 - t4722 * t637;
  t32805 = -t4722 * t641 / 0.2e1 + t3168 * t28190 / 0.2e1 - 0.6e1 * t2022 * t3214 * t30097 + 0.6e1 * t2022 * t3214 * t30101 + 0.3e1 * t2011 * t14991 * t6678 + 0.3e1 / 0.2e1 * t10768 * t6731 + t2004 * t877 * t28209 + t2004 * t877 * t30110 - t3767 + t3770 + t3784 + t3786;
  t32815 = t911 * t2908;
  t32816 = t32815 / 0.12e2;
  t32817 = t138 * t6917;
  t32822 = t106 * t158 * t6915 * t159;
  t32833 = -t3788 - t3790 - 0.9e1 / 0.2e1 * t2022 * t881 * t29784 + 0.3e1 / 0.2e1 * t2011 * t2943 * t29789 - t32816 - t127 * t32817 / 0.12e2 + t32822 * t166 / 0.4e1 + t3847 * t3384 / 0.9e1 - t3847 * t3380 / 0.18e2 + t3836 * t818 / 0.18e2 - 0.3e1 * t4482 * t15867;
  t32850 = -0.43e2 / 0.9e1 * t19635 * t29819 + t31052 + 0.9e1 / 0.2e1 * t4482 * t16551 + 0.18e2 * t19608 * t29957 + 0.7e1 / 0.3e1 * t4482 * t16644 + 0.89e2 / 0.9e1 * t19635 * t30912 - t162 * t2896 * t6233 / 0.4e1 - t162 * t767 * t29089 / 0.4e1 - t6401 - t6405 - t6413;
  t32852 = t4482 * t30178;
  t32853 = 0.5e1 / 0.36e2 * t32852;
  t32854 = t2874 * t30155;
  t32855 = t32854 / 0.12e2;
  t32880 = -t32853 - t32855 - 0.7e1 * t11669 * t10832 * t500 * t4450 * t205 - 0.3e1 / 0.2e1 * t1397 * t2943 * t31113 + 0.9e1 * t2022 * t3211 * t31041 - 0.8e1 * t2022 * t3214 * t31125 - 0.9e1 / 0.2e1 * t3980 * t3211 * t31129 + t1397 * t2951 * t31098 + t4510 * t31212 + 0.2e1 / 0.3e1 * t3162 * t31214 - t3162 * t31104 / 0.3e1;
  t32902 = 0.5e1 / 0.12e2 * t4482 * t31223 + t2874 * t31226 / 0.4e1 + t533 * t6795 / 0.12e2 - t29094 - t29097 + 0.5e1 / 0.3e1 * t19608 * t30158 - t1397 * t19726 * t990 / 0.4e1 - t16031 * t4660 / 0.2e1 - t9509 * t6768 / 0.4e1 - 0.3e1 * t2004 * t3227 * t30961 - 0.2e1 * t2004 * t877 * t30965;
  t32907 = t3582 * t169 * t6771 * t312;
  t32910 = t1974 * t32770;
  t32913 = t7284 * t929;
  t32918 = t1404 * t32770;
  t32927 = t2874 * t29740;
  t32928 = t32927 / 0.3e1;
  t32929 = t4482 * t30674;
  t32930 = 0.23e2 / 0.36e2 * t32929;
  t32931 = t2874 * t15886;
  t32932 = t32931 / 0.3e1;
  t32933 = t2874 * t15891;
  t32934 = 0.2e1 / 0.3e1 * t32933;
  t32935 = t14860 * t3405;
  t32938 = -t1993 * t32907 / 0.6e1 + t1961 * t32910 / 0.12e2 - t9476 * t1974 * t1395 * t32913 / 0.3e1 - t1978 * t32918 / 0.6e1 + t1397 * t4526 * t15984 / 0.2e1 + t1397 * t4530 * t15988 / 0.2e1 + t32928 + t32930 + t32932 - t32934 + t1993 * t32935 / 0.12e2;
  t32958 = t911 * t3361;
  t32959 = t32958 / 0.12e2;
  t32960 = t3366 * t982;
  t32961 = t32960 / 0.4e1;
  t32964 = t2004 * t263 * t28186 + 0.2e1 / 0.3e1 * t9476 * t10706 * t500 * t256 * t6195 - t922 * t14692 / 0.6e1 - t259 * t17369 / 0.12e2 - t813 * t3880 / 0.12e2 - t922 * t14831 / 0.12e2 - t533 * t4737 / 0.6e1 - t208 * t20835 / 0.6e1 - t32959 + t32961 + t4722 * t631 / 0.2e1;
  t32973 = t2874 * t30170;
  t32974 = t32973 / 0.6e1;
  t32977 = t3885 * t829 / 0.4e1 + t1397 * t4434 * t3544 - 0.3e1 * t1397 * t31744 * t645 + t32974 - t3829 - t3852 + t3867 - t103 * t6832 / 0.12e2 - t6712 + t6713 - t6714;
  t32994 = t6437 + t31209 + t20783 * t223 / 0.6e1 + t16292 * t274 / 0.12e2 - t3322 * t986 / 0.6e1 + t3322 * t994 / 0.6e1 + t3366 * t994 / 0.2e1 - t14687 * t978 / 0.2e1 + t922 * t14696 / 0.3e1 - 0.6e1 * t19680 * t29811 - t29465 + t3869;
  t33001 = my_piecewise3(t3, 0, t31474 + t32850 + t31677 + t32198 + t32121 + t32690 + t32805 + t32701 + t31588 + t32667 + t32178 + t32020 + t32977 + t31391 + t31362 + t32149 + t32247 + t31728 + t32005 + t31562 + t31343 + t32137 + t32726 + t31886 + t32647 + t31309 + t31287 + t32964 + t32273 + t31974 + t32044 + t31426 + t31495 + t31410 + t31928 + t32323 + t31614 + t32938 + t31706 + t31944 + t32785 + t32217 + t31265 + t31514 + t31643 + t31909 + t31935 + t31799 + t31857 + t32094 + t31754 + t32902 + t32994 + t32071 + t32833 + t31776 + t31448 + t32283 + t32755 + t32880 + t32309 + t31541 + t32158 + t31829);
  tv4rhosigma2tau0 = 0.2e1 * rho[0] * t33001 + 0.2e1 * t6968;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 0] += tv4rhosigma2tau0;

  t33004 = t145 * t17773;
  t33015 = t22 * t2023 * t10029;
  t33016 = t1132 * t205;
  t33017 = t500 * t33016;
  t33024 = t22 * t22977;
  t33036 = t27944 / 0.9e1;
  t33040 = t9997 * t2025;
  t33044 = t1733 * t33016;
  t33045 = t17701 * t33044;
  t33061 = t4308 * t749 + t33036 - 0.3e1 * t2011 * t22131 * t6978 + 0.9e1 * t2022 * t4997 * t33040 - 0.62e2 / 0.3e1 * t29946 * t33045 - 0.3e1 / 0.2e1 * t4800 * t11640 + 0.2e1 / 0.3e1 * t671 * t17973 + 0.2e1 / 0.3e1 * t671 * t18847 + 0.2e1 / 0.3e1 * t2529 * t6983 - 0.3e1 * t1689 * t6979 - 0.3e1 * t509 * t4789 * t28165;
  t33073 = 0.14e2 / 0.3e1 * t29500;
  t33074 = 0.6e1 * t29507;
  t33075 = 0.2e1 * t29511;
  t33076 = t400 * t17773;
  t33080 = t908 * t1147;
  t33082 = t1974 * t500 * t33080;
  t33083 = t9476 * t33082;
  t33084 = t33083 / 0.3e1;
  t33086 = t27962 / 0.6e1;
  t33087 = t27966 / 0.6e1;
  t33088 = t27968 / 0.6e1;
  t33089 = t7037 * t312;
  t33091 = t3582 * t96 * t33089;
  t33094 = t7037 * t122;
  t33095 = t96 * t33094;
  t33096 = t1974 * t33095;
  t33101 = t1404 * t169 * t193 * t7037;
  t33104 = t27980 / 0.3e1;
  t33105 = t27981 / 0.3e1;
  t33106 = t27982 / 0.6e1;
  t33107 = t27984 / 0.6e1;
  t33108 = t28021 / 0.3e1;
  t33109 = -t33086 - t33087 - t33088 - t2511 * t33091 / 0.6e1 + t2471 * t33096 / 0.12e2 + t2511 * t33101 / 0.12e2 + t33104 + t33105 - t33106 - t33107 + t33108;
  t33112 = t28022 / 0.4e1;
  t33113 = t28024 / 0.2e1;
  t33114 = t28026 / 0.4e1;
  t33120 = t305 * t10855 * t1148;
  t33124 = t305 * t2156 * t4842;
  t33131 = t12623 * t1000;
  t33132 = t548 * t33131;
  t33152 = t387 * t7018;
  t33153 = t33152 / 0.12e2;
  t33154 = t28045 / 0.2e1;
  t33155 = t16434 * t5096;
  t33156 = t33155 / 0.12e2;
  t33157 = -t671 * t31185 / 0.6e1 + t1140 * t28529 / 0.3e1 + t1140 * t28532 / 0.3e1 + t2587 * t7103 / 0.3e1 - 0.2e1 / 0.3e1 * t22038 * t1016 - t2822 * t1058 / 0.3e1 + 0.3e1 * t2452 * t4889 - t387 * t7040 / 0.12e2 - t33153 - t33154 + t33156;
  t33159 = t96 * t17749;
  t33160 = t1404 * t33159;
  t33163 = t28067 / 0.12e2;
  t33164 = t16138 * t5091;
  t33165 = t33164 / 0.12e2;
  t33166 = t29561 / 0.3e1;
  t33167 = t29565 / 0.3e1;
  t33168 = t2218 * t4231;
  t33173 = t2213 * t4025;
  t33180 = -t2485 * t33160 / 0.3e1 - t33163 + t33165 - t29555 - t33166 + t33167 + 0.7e1 / 0.3e1 * t4800 * t33168 + 0.7e1 / 0.3e1 * t4800 * t11805 - t4800 * t33173 / 0.2e1 - t4800 * t28172 / 0.2e1 + 0.23e2 / 0.36e2 * t4800 * t28318;
  t33181 = t2042 * t4231;
  t33184 = t2218 * t4025;
  t33194 = t16434 * t5088;
  t33195 = t33194 / 0.6e1;
  t33204 = 0.23e2 / 0.36e2 * t4800 * t33181 - 0.11e2 / 0.18e2 * t4800 * t33184 - 0.11e2 / 0.18e2 * t4800 * t29050 + 0.3e1 / 0.2e1 * t1742 * t4789 * t28333 + t719 * t3912 + t719 * t3915 - t33195 - 0.4e1 / 0.3e1 * t2471 * t17838 + t11676 * t7150 / 0.6e1 - t10556 * t7155 / 0.6e1 + t2471 * t30945 / 0.3e1;
  t33212 = t17606 * t3935;
  t33214 = t17598 * t4194;
  t33217 = t1746 * t243;
  t33218 = t33217 * t3935;
  t33231 = t22 * t22858;
  t33232 = t17706 * t3974;
  t33254 = -0.43e2 / 0.9e1 * t33231 * t33232 + 0.9e1 / 0.2e1 * t22061 * t10761 - 0.3e1 * t3933 * t17779 + 0.2e1 / 0.3e1 * t2471 * t17835 + 0.3e1 / 0.2e1 * t162 * t4880 * t3553 + t1763 * t7055 / 0.3e1 + t387 * t7049 / 0.6e1 + t1763 * t7052 + t387 * t7046 / 0.2e1 - 0.2e1 * t4795 * t3503 + t4795 * t3489;
  t33293 = 0.2e1 * t239 * t3755 + 0.2e1 / 0.3e1 * t15605 * t1260 + 0.2e1 / 0.3e1 * t3478 * t4885 - 0.4e1 * t21936 * t1065 - 0.4e1 * t4838 * t3544 + 0.4e1 * t21954 * t1057 + 0.4e1 * t4833 * t3553 + 0.2e1 * t705 * t990 - t28847 - t28850 + t28853 + t28891 + t28893;
  t33308 = t28913 - t28916 + 0.12e2 * t21922 * t18855 + 0.4e1 * t4820 * t18860 - 0.4e1 * t4241 - 0.4e1 / 0.3e1 * t4244 + 0.2e2 / 0.9e1 * t3983 - 0.12e2 * t4255 - 0.4e1 * t4259 - 0.4e1 * t4054 - 0.4e1 * t4057 + 0.8e1 * t4016 - 0.4e1 * t21904 * t1057;
  t33334 = -0.4e1 * t4820 * t3553 - 0.8e1 * t21883 * t17995 - 0.8e1 / 0.3e1 * t4823 * t18976 + 0.16e2 / 0.9e1 * t21888 * t18282 + 0.4e1 * t4820 * t15984 + 0.4e1 * t4826 * t15988 - 0.4e1 / 0.3e1 * t4823 * t15902 - 0.8e1 * t4823 * t18064 + 0.32e2 / 0.3e1 * t21888 * t17986 - 0.4e1 * t4823 * t17230 + 0.12e2 * t21888 * t17991 - 0.24e2 * t21883 * t18069 + t28933;
  t33352 = t6212 + 0.4e1 / 0.3e1 * t21878 * t1052 + 0.4e1 / 0.3e1 * t4823 * t3528 - 0.2e1 * t21907 * t990 - 0.2e1 * t4826 * t3755 + 0.4e1 * t21878 * t1065 + 0.4e1 * t4823 * t3544 + 0.4e1 * t4007 - 0.12e2 * t3993 + 0.4e1 / 0.3e1 * t3987 - 0.2e1 / 0.3e1 * t4004 + 0.24e2 * t3997 - t6224;
  t33354 = t33293 + t33308 + t33334 + t33352;
  t33356 = t303 * t137 * t33354;
  t33371 = t138 * t7263;
  t33376 = t106 * t158 * t7261 * t159;
  t33383 = -t162 * t745 * t33356 / 0.4e1 - t379 * t7044 - t162 * t4854 * t28525 + 0.3e1 / 0.2e1 * t379 * t7046 + t1135 * t2253 / 0.6e1 - t661 * t4302 / 0.6e1 - t233 * t18704 / 0.6e1 - t127 * t33371 / 0.12e2 + t33376 * t166 / 0.4e1 + t5142 * t569 / 0.18e2 + t2248 * t1202 / 0.6e1;
  t33421 = t28084 / 0.36e2;
  t33422 = t28086 / 0.18e2;
  t33423 = t28090 / 0.36e2;
  t33424 = t28121 / 0.12e2;
  t33425 = t4308 * t738 / 0.2e1 - t10949 * t1190 / 0.2e1 + t18709 * t248 / 0.2e1 - t2243 * t1194 / 0.2e1 + t2243 * t1202 / 0.2e1 - t5133 * t2443 / 0.18e2 - t5133 * t2258 / 0.36e2 + t33421 + t33422 - t33423 - t33424;
  t33427 = t28159 / 0.2e1;
  t33428 = t28162 / 0.2e1;
  t33431 = t28175 / 0.12e2;
  t33434 = t23320 * t539;
  t33435 = t555 * t33434;
  t33438 = t29666 / 0.3e1;
  t33439 = t28213 / 0.6e1;
  t33440 = t1756 * t17749;
  t33444 = t33427 + t33428 - t29635 - t29638 - t2822 * t1061 / 0.6e1 - t33431 + 0.3e1 / 0.2e1 * t10964 * t4913 - t546 * t33435 / 0.6e1 - t33438 + t33439 + 0.2e1 * t2022 * t697 * t33440;
  t33448 = t1132 * t929;
  t33450 = t10615 * t1733 * t33448;
  t33455 = t1147 * t3481;
  t33457 = t3582 * t96 * t33455;
  t33460 = t16037 * t5083;
  t33463 = t17660 * t3935;
  t33467 = t33217 * t3957;
  t33470 = t1751 * t243;
  t33471 = t33470 * t3935;
  t33474 = t96 * t17773;
  t33475 = t1962 * t33474;
  t33479 = -0.3e1 * t2022 * t1164 * t28753 + 0.3e1 * t11669 * t33450 + t2011 * t22117 * t6408 - t2511 * t33457 / 0.6e1 + t2471 * t33460 / 0.6e1 + 0.2e1 * t3956 * t33463 + t22061 * t29018 + 0.23e2 / 0.18e2 * t3933 * t33467 - 0.11e2 / 0.9e1 * t3933 * t33471 + t3956 * t33475 - 0.3e1 * t33024 * t4198;
  t33487 = t1982 * t33474;
  t33494 = t29734 / 0.3e1;
  t33495 = 0.2e1 * t29739;
  t33496 = 0.2e1 / 0.3e1 * t29741;
  t33497 = 0.11e2 / 0.9e1 * t29746;
  t33502 = 0.2e1 * t29775;
  t33503 = 0.3e1 * t29778;
  t33505 = t608 * t8228;
  t33506 = t2218 * t33505;
  t33520 = t33502 - t33503 - t29781 - t610 * t5172 + 0.7e1 / 0.3e1 * t15454 * t33506 + t610 * t5174 / 0.2e1 - t4308 * t742 - t4308 * t746 / 0.2e1 + t2600 * t7103 / 0.9e1 - 0.2e1 / 0.9e1 * t5133 * t6193 + t4795 * t4034 / 0.2e1;
  t33546 = t17598 * t7320;
  t33554 = t9992 * t2025;
  t33561 = t1756 * t33094;
  t33565 = t1879 * t33094;
  t33569 = t1746 * t17773;
  t33573 = -0.2e1 * t22071 * t4219 + t17561 * t4054 + t17561 * t4057 - 0.2e1 / 0.3e1 * t9476 * t33546 - t13326 * t4262 / 0.2e1 + 0.36e2 * t2022 * t23011 * t18131 - 0.9e1 / 0.2e1 * t3980 * t4997 * t33554 - 0.3e1 * t3980 * t4997 * t28992 + t2022 * t697 * t33561 / 0.2e1 - t2004 * t697 * t33565 / 0.2e1 + 0.3e1 * t3980 * t2701 * t33569;
  t33591 = t2022 * t3612 * t22448;
  t33592 = t33591 / 0.2e1;
  t33594 = t2004 * t3612 * t5104;
  t33595 = t33594 / 0.2e1;
  t33598 = t29855 / 0.6e1;
  t33600 = t29857 / 0.6e1;
  t33601 = t29859 / 0.6e1;
  t33602 = t29865 / 0.3e1;
  t33617 = -t33600 - t33601 + t33602 - t1140 * t10909 / 0.6e1 - t5142 * t932 / 0.18e2 + t509 * t4854 * t28972 - t2816 * t1061 / 0.2e1 - t719 * t3928 / 0.2e1 - t719 * t3895 / 0.2e1 - t2816 * t1058 - t719 * t3920;
  t33639 = t2156 * t4902;
  t33640 = t555 * t33639;
  t33643 = t379 * t7049 / 0.2e1 + t162 * t5177 * t3755 / 0.2e1 + 0.3e1 * t1689 * t7052 - t719 * t3923 - 0.2e1 / 0.3e1 * t1140 * t28536 - 0.2e1 / 0.3e1 * t1140 * t28539 + t661 * t6641 / 0.6e1 + t233 * t30835 / 0.6e1 + t233 * t30839 / 0.6e1 + t1140 * t10912 / 0.3e1 - t671 * t33640 / 0.3e1;
  t33650 = t548 * t33639;
  t33653 = t29882 / 0.3e1;
  t33654 = t29886 / 0.3e1;
  t33655 = t29908 / 0.3e1;
  t33656 = t29912 / 0.3e1;
  t33659 = -t1140 * t10852 / 0.12e2 - 0.5e1 / 0.36e2 * t4800 * t28569 + t1140 * t11496 / 0.6e1 - t671 * t33650 / 0.6e1 - t33653 - t33654 - t33655 + t33656 - t29914 - t29917 + t10516 * t7131 / 0.2e1;
  t33673 = t17598 * t3935;
  t33677 = t10832 * t3935;
  t33680 = t17701 * t3957;
  t33683 = t10615 * t3935;
  t33687 = t10075 * t3934;
  t33693 = 0.5e1 / 0.36e2 * t28450;
  t33694 = t28452 / 0.12e2;
  t33695 = t28454 / 0.6e1;
  t33696 = t28457 / 0.2e1;
  t33697 = t28459 / 0.6e1;
  t33698 = t28461 / 0.6e1;
  t33699 = t28464 / 0.2e1;
  t33700 = t28473 / 0.12e2;
  t33701 = -0.6e1 * t17713 * t22858 * t33687 + 0.3e1 * t17561 * t3993 - t28469 - t33693 - t33694 + t33695 + t33696 + t33697 - t33698 - t33699 + t33700;
  t33703 = t28475 / 0.12e2;
  t33704 = t28477 / 0.6e1;
  t33705 = t28479 / 0.6e1;
  t33706 = 0.7e1 / 0.3e1 * t28484;
  t33707 = t28487 / 0.2e1;
  t33708 = t28491 / 0.3e1;
  t33709 = t28492 / 0.6e1;
  t33710 = 0.11e2 / 0.18e2 * t28494;
  t33711 = t28497 / 0.4e1;
  t33713 = 0.2e1 / 0.3e1 * t28499;
  t33721 = t4841 * t205;
  t33722 = t1879 * t33721;
  t33726 = t1147 * t530;
  t33727 = t1879 * t33726;
  t33743 = -t33713 - t23337 * t1002 / 0.6e1 - t10516 * t7155 / 0.2e1 - t2004 * t2726 * t7154 / 0.2e1 - t2004 * t697 * t33722 / 0.2e1 - t2004 * t697 * t33727 / 0.2e1 - 0.4e1 * t3956 * t17802 + 0.4e1 * t22071 * t4247 + t546 * t548 * t4942 * t539 / 0.3e1 - t22411 * t623 / 0.2e1 + t4944 * t646 / 0.2e1;
  t33768 = t10706 * t4194;
  t33771 = t3965 * t4250;
  t33777 = t1974 * t33474;
  t33779 = t10615 * t4246;
  t33782 = t3965 * t17774;
  t33785 = t3961 * t4202;
  t33791 = t9997 * t3934;
  t33795 = t654 * t7112 / 0.36e2 + t22038 * t1005 / 0.6e1 + 0.3e1 / 0.2e1 * t22061 * t33768 + 0.23e2 / 0.36e2 * t22061 * t33771 - 0.5e1 * t2022 * t5006 * t16404 - t3933 * t33777 - 0.23e2 / 0.12e2 * t22061 * t33779 + 0.23e2 / 0.18e2 * t3933 * t33782 - 0.11e2 / 0.18e2 * t22061 * t33785 - 0.18e2 * t3980 * t23011 * t18463 + 0.6e1 * t2004 * t22858 * t33791;
  t33797 = t10080 * t3934;
  t33804 = t9992 * t3934;
  t33808 = t10832 * t4194;
  t33811 = t3961 * t33474;
  t33822 = t28546 / 0.12e2;
  t33823 = t28548 / 0.12e2;
  t33824 = t28550 / 0.12e2;
  t33825 = 0.18e2 * t3980 * t22858 * t33797 - 0.18e2 * t2004 * t23011 * t3992 - 0.18e2 * t2022 * t22858 * t33804 + 0.11e2 / 0.6e1 * t22061 * t33808 - 0.11e2 / 0.9e1 * t3933 * t33811 + 0.3e1 / 0.2e1 * t11419 * t22131 * t6993 + t1397 * t22181 * t990 / 0.2e1 + t10556 * t7136 / 0.6e1 - t33822 + t33823 - t33824;
  t33826 = t28554 / 0.6e1;
  t33827 = t28591 / 0.12e2;
  t33828 = t28593 / 0.18e2;
  t33829 = t28595 / 0.6e1;
  t33830 = t28601 / 0.2e1;
  t33831 = t28603 / 0.2e1;
  t33832 = t555 * t33131;
  t33837 = 0.2e1 / 0.3e1 * t29118;
  t33838 = 0.4e1 / 0.3e1 * t29120;
  t33839 = t29122 / 0.18e2;
  t33840 = 0.3e1 * t29134;
  t33841 = 0.4e1 * t29138;
  t33847 = t4988 * t205;
  t33848 = t1879 * t33847;
  t33850 = t1177 * t530;
  t33851 = t1879 * t33850;
  t33857 = 0.24e2 * t22977 * t4122 - 0.4e2 * t23011 * t4159 + t2726 * t7182 + t33848 * t697 + t33851 * t697 + 0.6e1 * t3616 * t5016 - 0.12e2 * t3627 * t5006 - t29110 - t29112 - t29136 - t33837 - t33838 + t33839 - t33840 - t33841;
  t33860 = t10080 * t4121;
  t33863 = t590 * t7037;
  t33864 = t1756 * t33863;
  t33869 = t1756 * t33850;
  t33872 = t1756 * t33847;
  t33881 = t9992 * t4121;
  t33885 = t1883 * t7240 * t312;
  t33887 = t1032 * t658;
  t33888 = t145 * t33887;
  t33895 = t965 * t658;
  t33896 = t404 * t33895;
  t33899 = -0.2e1 / 0.3e1 * t4997 * t29288 + 0.1e2 / 0.3e1 * t22858 * t33860 - 0.2e1 / 0.3e1 * t697 * t33864 - 0.2e1 / 0.3e1 * t2726 * t7204 - 0.2e1 / 0.3e1 * t697 * t33869 - 0.2e1 / 0.3e1 * t697 * t33872 - 0.4e1 * t1164 * t29362 - 0.2e2 / 0.3e1 * t4997 * t29365 + 0.6e1 * t4997 * t29293 + 0.5e2 / 0.3e1 * t22858 * t33881 - t237 * t33885 - 0.6e1 * t2733 * t33888 + 0.12e2 * t23144 * t4165 + 0.3e1 * t5016 * t4168 - 0.2e1 * t693 * t33896;
  t33905 = t3607 * t5025;
  t33911 = t1751 * t33887;
  t33914 = t9997 * t4148;
  t33917 = t942 * t5028;
  t33918 = t404 * t33863;
  t33926 = t1879 * t33895;
  t33931 = 0.3e1 * t5016 * t3647 + 0.2e1 * t1160 * t3650 - t33905 - t2720 * t7209 + 0.6e1 * t4997 * t29389 - 0.36e2 * t22977 * t4174 + 0.2e2 / 0.3e1 * t2701 * t33911 - 0.1e2 * t4997 * t33914 - t33917 - t693 * t33918 + 0.2e1 / 0.3e1 * t1164 * t29317 - t4997 * t29276 / 0.9e1 - t4997 * t29258 / 0.9e1 + 0.4e1 * t697 * t33926 - 0.1e2 * t5006 * t3643;
  t33942 = 0.4e1 * t30264;
  t33943 = 0.4e1 / 0.3e1 * t30268;
  t33944 = 0.2e1 / 0.9e1 * t30271;
  t33945 = 0.8e1 * t30284;
  t33946 = 0.12e2 * t30287;
  t33947 = 0.4e1 * t30290;
  t33948 = 0.24e2 * t30296;
  t33949 = 0.6e1 * t29189;
  t33950 = 0.2e1 * t29191;
  t33951 = 0.2e1 * t29194;
  t33952 = -0.6e1 * t1164 * t29283 + 0.2e1 * t1160 * t3637 + 0.2e2 / 0.3e1 * t5006 * t3640 + 0.2e1 * t5006 * t3655 - 0.2e1 / 0.3e1 * t23011 * t4129 + t33942 + t33943 - t33944 - t33945 + t33946 + t33947 - t33948 + t33949 + t33950 + t33951;
  t33955 = 0.4e1 * t29211;
  t33956 = 0.2e1 * t29213;
  t33957 = 0.2e1 * t29218;
  t33958 = t29220 / 0.3e1;
  t33959 = 0.2e1 / 0.3e1 * t29222;
  t33960 = t29225 / 0.9e1;
  t33961 = 0.6e1 * t29227;
  t33962 = 0.12e2 * t29232;
  t33963 = 0.2e1 * t29234;
  t33964 = 0.2e1 / 0.3e1 * t29236;
  t33965 = 0.2e1 * t29286;
  t33966 = t29304 / 0.3e1;
  t33967 = 0.2e1 * t29312;
  t33970 = 0.2e1 * t1164 * t29319 - t29302 - t33955 + t33956 + t33957 + t33958 + t33959 - t33960 + t33961 - t33962 - t33963 - t33964 + t33965 - t33966 - t33967;
  t33973 = t3590 * t658;
  t33974 = t149 * t33973;
  t33977 = t1163 * t19418;
  t33981 = t942 * t4989;
  t33982 = t33981 / 0.2e1;
  t33984 = t404 * t60 * t33354;
  t33987 = t404 * t33847;
  t33989 = t404 * t33850;
  t33993 = t1883 * t4988 * t929;
  t33996 = -0.3e1 * t5016 * t3705 + 0.4e1 * t2689 * t33974 - 0.12e2 * t33977 * t4090 + t7174 - t7175 + t7176 + t7177 - t1160 * t3676 + t33982 + t237 * t33984 / 0.2e1 - t693 * t33987 - t693 * t33989 - t691 * t7212 - t237 * t33993 - t691 * t7202;
  t33999 = t1883 * t1177 * t3481;
  t34001 = t942 * t5058;
  t34002 = t3612 * t5060;
  t34003 = 0.2e1 / 0.3e1 * t34002;
  t34004 = 0.8e1 * t30361;
  t34005 = 0.8e1 / 0.3e1 * t30366;
  t34006 = t30369 / 0.9e1;
  t34007 = 0.12e2 * t30374;
  t34008 = 0.4e1 * t30377;
  t34009 = t7134 * t312;
  t34010 = t16820 * t34009;
  t34013 = t7134 * t122;
  t34014 = t16829 * t34013;
  t34017 = t19504 * t34013;
  t34020 = t16824 * t34013;
  t34023 = t16824 * t34009;
  t34026 = t19510 * t34013;
  t34029 = t7129 * t122;
  t34030 = t16820 * t34029;
  t34033 = -t237 * t33999 - t34001 - t34003 - t34004 - t34005 + t34006 + t34007 + t34008 - 0.4e1 * t13549 * t34010 - 0.2e1 * t13500 * t34014 + 0.2e1 / 0.3e1 * t13392 * t34017 + 0.12e2 * t13500 * t34020 + 0.6e1 * t13421 * t34023 + t13392 * t34026 / 0.9e1 - 0.4e1 * t13549 * t34030;
  t34034 = t7129 * t312;
  t34035 = t16820 * t34034;
  t34038 = t16829 * t34029;
  t34041 = t16829 * t34009;
  t34043 = t16820 * t34013;
  t34046 = t16824 * t34029;
  t34049 = t1845 * t34013;
  t34056 = t1159 * t11890;
  t34061 = t4078 * t658;
  t34062 = t414 * t34061;
  t34065 = t1746 * t33887;
  t34068 = t9992 * t4148;
  t34071 = t400 * t33887;
  t34074 = -0.6e1 * t19442 * t34035 - 0.2e1 / 0.3e1 * t13421 * t34038 - t13421 * t34041 - 0.6e1 * t13546 * t34043 + 0.4e1 * t13421 * t34046 - 0.1e2 / 0.3e1 * t13392 * t34049 - 0.12e2 * t22854 * t3604 - 0.6e1 * t22902 * t3595 - 0.4e1 * t34056 * t3601 - 0.1e2 / 0.3e1 * t22894 * t3604 + 0.4e1 * t4077 * t34062 - t7214 + t2701 * t34065 / 0.9e1 - t4997 * t34068 / 0.6e1 - 0.8e1 * t2708 * t34071;
  t34080 = t1756 * t33895;
  t34083 = t4973 * t530;
  t34084 = t149 * t34083;
  t34090 = t149 * t22905 * t929;
  t34094 = t149 * t4973 * t3481;
  t34113 = t4996 * t19367;
  t34116 = 0.8e1 * t5006 * t4162 - 0.8e1 / 0.3e1 * t697 * t34080 + 0.2e1 * t2689 * t34084 + 0.2e1 * t19310 * t7228 + 0.2e1 * t4095 * t34090 + 0.2e1 * t4095 * t34094 - 0.4e1 / 0.3e1 * t1164 * t29426 - 0.4e1 * t5006 * t3683 + t691 * t7241 / 0.2e1 + 0.6e1 * t5006 * t3698 - 0.3e1 * t4997 * t29430 + t4997 * t29330 / 0.18e2 + 0.1e2 / 0.3e1 * t4997 * t29450 + 0.12e2 * t4084 * t34062 - 0.72e2 * t34113 * t4090;
  t34117 = t22857 * t19355;
  t34120 = t427 * t34009;
  t34125 = t149 * t34061;
  t34131 = t414 * t34083;
  t34134 = 0.2e2 / 0.3e1 * t30412;
  t34135 = 0.6e1 * t30431;
  t34136 = 0.6e1 * t30439;
  t34137 = 0.2e1 * t30442;
  t34138 = 0.2e1 / 0.3e1 * t30490;
  t34139 = 0.8e1 / 0.3e1 * t34117 * t4117 - 0.3e1 * t13421 * t34120 - 0.6e1 * t22902 * t4109 + 0.12e2 * t4105 * t34125 - 0.24e2 * t1159 * t19429 * t4106 + t2687 * t34131 / 0.3e1 + t34134 - t34135 - t34136 - t34137 - t3609 - t3610 - t3614 + t3625 - t34138;
  t34141 = 0.6e1 * t29343;
  t34142 = 0.2e1 * t29345;
  t34143 = 0.1e2 / 0.3e1 * t29347;
  t34145 = t404 * t63 * t33354;
  t34147 = -t237 * t34145 + t34141 + t34142 + t34143 + t3688 + t3690 - t3697 + t3704 - t6330 - t7215 + t7218 - t7219 + t7220 - t7221 - t7222;
  t34150 = t414 * t34013;
  t34153 = t427 * t34013;
  t34156 = t427 * t34029;
  t34159 = t16779 * t4975;
  t34160 = 0.2e1 * t34159;
  t34161 = 0.4e1 * t30549;
  t34162 = 0.4e1 * t30554;
  t34163 = 0.4e1 / 0.3e1 * t30559;
  t34164 = t149 * t34009;
  t34169 = t149 * t34029;
  t34172 = t149 * t34034;
  t34175 = t414 * t34029;
  t34178 = t427 * t34061;
  t34183 = 0.24e2 * t34117 * t4085 + 0.3e1 * t13392 * t34150 - 0.6e1 * t13500 * t34153 - 0.2e1 * t13421 * t34156 - t34160 + t34161 - t34162 - t34163 + 0.2e1 * t13549 * t34164 + 0.4e1 * t13500 * t34150 + 0.2e1 * t13549 * t34169 + 0.3e1 * t19442 * t34172 + 0.4e1 / 0.3e1 * t13421 * t34175 - 0.24e2 * t4077 * t34178 + 0.72e2 * t33977 * t4080;
  t34188 = 0.12e2 * t30563;
  t34191 = t1845 * t34061;
  t34194 = t1845 * t4100;
  t34197 = t10457 * t4079;
  t34200 = t62 * t7037;
  t34201 = t34200 * t122;
  t34202 = t427 * t34201;
  t34205 = t16779 * t4978;
  t34206 = t34205 / 0.3e1;
  t34207 = t149 * t34201;
  t34210 = t149 * t34013;
  t34215 = 0.24e2 * t22894 * t4101 + t34188 + 0.8e1 * t34113 * t4085 - 0.4e1 / 0.3e1 * t4084 * t34191 + 0.2e1 * t22854 * t34194 - 0.4e1 / 0.3e1 * t34117 * t34197 - 0.2e1 * t2687 * t34202 + t34206 + 0.2e1 * t2689 * t34207 + 0.3e1 * t13546 * t34210 - 0.6e1 * t13392 * t34014 + t6375 + t7238 + t7239 - t6390;
  t34220 = t414 * t33973;
  t34225 = t22905 * t205;
  t34226 = t414 * t34225;
  t34231 = t149 * t34225;
  t34234 = t427 * t34225;
  t34237 = t427 * t34083;
  t34240 = t1857 * t34061;
  t34243 = t1857 * t4100;
  t34246 = t19411 * t4079;
  t34251 = t1163 * t11841;
  t34254 = t29217 * t4985;
  t34255 = 0.2e1 * t34254;
  t34256 = 0.2e1 / 0.9e1 * t22854 * t29144 + 0.4e1 / 0.3e1 * t34113 * t4117 + 0.4e1 / 0.3e1 * t2687 * t34220 + t13509 * t7231 / 0.3e1 + t2687 * t34226 / 0.3e1 + 0.2e1 * t13537 * t7224 + 0.2e1 * t2689 * t34231 - 0.2e1 * t2687 * t34234 - 0.2e1 * t2687 * t34237 - 0.2e1 / 0.9e1 * t4084 * t34240 + t22854 * t34243 / 0.3e1 - t34117 * t34246 / 0.9e1 - 0.2e1 * t13509 * t7234 - 0.2e1 * t34251 * t29141 + t34255;
  t34259 = t149 * t34200 * t312;
  t34262 = t414 * t34201;
  t34265 = t16798 * t4981;
  t34266 = 0.2e1 * t34265;
  t34267 = 0.3e1 * t29408;
  t34268 = 0.2e1 * t30593;
  t34269 = 0.2e1 * t30602;
  t34270 = 0.4e1 / 0.3e1 * t30605;
  t34275 = t427 * t33973;
  t34280 = t414 * t34009;
  t34283 = t1857 * t34013;
  t34288 = 0.2e1 * t4095 * t34259 + t2687 * t34262 / 0.3e1 + t34266 + t29404 - t34267 + t34268 - t34269 + t34270 + 0.12e2 * t34251 * t29153 + 0.4e1 / 0.3e1 * t22854 * t29157 - 0.8e1 * t2687 * t34275 + 0.2e2 * t22894 * t3592 + 0.2e1 * t13421 * t34280 - t13392 * t34283 / 0.18e2 - 0.18e2 * t22854 * t4114;
  t34291 = t1879 * t33863;
  t34295 = t3612 * t5051;
  t34296 = t29417 / 0.2e1;
  t34297 = 0.2e1 / 0.3e1 * t29424;
  t34298 = t1756 * t33887;
  t34301 = t10242 * t4148;
  t34304 = t409 * t33887;
  t34311 = t9997 * t4121;
  t34314 = 0.4e1 * t1164 * t29273 - 0.12e2 * t22858 * t34311 - 0.4e1 * t22894 * t4114 + 0.36e2 * t23011 * t4179 - 0.6e1 * t2701 * t34298 + 0.12e2 * t2708 * t34304 + t34291 * t697 + 0.9e1 * t34301 * t4997 - 0.12e2 * t4149 * t5006 + t29415 - t29440 + t34295 + t34296 + t34297 + t943 - t962;
  t34323 = t33826 + t30010 + t30013 + t33827 - t33828 + t33829 - t33830 + t33831 - t671 * t33832 / 0.3e1 - t2529 * t7010 / 0.3e1 - t22 * t59 * (t33857 + t33899 + t33931 + t33952 + t33970 + t33996 + t34033 + t34074 + t34116 + t34139 + t34147 + t34183 + t34215 + t34256 + t34288 + t34314) * t96 / 0.4e1;
  t34329 = t10242 * t34013;
  t34333 = t96 * t34013;
  t34334 = t10706 * t34333;
  t34337 = t96 * t34029;
  t34338 = t11691 * t34337;
  t34341 = t10242 * t34029;
  t34344 = t10277 * t34029;
  t34347 = t9997 * t34013;
  t34353 = t1974 * t33159;
  t34367 = t3850 * t1150;
  t34368 = t34367 / 0.36e2;
  t34370 = t2042 * t2450 * t8228;
  t34375 = t318 * t33434;
  t34381 = t548 * t4306 * t1208;
  t34384 = 0.3e1 / 0.2e1 * t9790 * t6994 - t2861 * t3898 - t2861 * t3901 + t2816 * t1066 - t13216 * t1053 + t34368 - 0.3e1 / 0.2e1 * t15454 * t34370 - t2452 * t4858 / 0.2e1 + t538 * t34375 / 0.6e1 + t208 * t23322 / 0.12e2 + 0.2e1 / 0.3e1 * t1641 * t34381;
  t34392 = t10598 * t5083;
  t34395 = t28417 * t5087;
  t34398 = t16053 * t5083;
  t34401 = t10598 * t5095;
  t34404 = t1996 * t33474;
  t34414 = t30047 / 0.3e1;
  t34415 = t30063 / 0.3e1;
  t34420 = t16672 * t7146;
  t34425 = t4841 * t929;
  t34427 = t3582 * t96 * t34425;
  t34432 = -t17561 * t4007 + 0.6e1 * t17564 * t4241 - 0.6e1 * t17561 * t3997 + t34414 + t34415 - 0.4e1 * t11652 * t17606 * t7363 - t13326 * t4060 - t2511 * t34420 / 0.6e1 - 0.4e1 / 0.3e1 * t2471 * t17751 - t2511 * t34427 / 0.6e1 + t22064 * t28062 / 0.3e1;
  t34435 = t17831 * t3935;
  t34440 = t12779 * t4194;
  t34443 = t1879 * t17749;
  t34453 = t500 * t33448;
  t34454 = t10832 * t34453;
  t34459 = t30085 / 0.6e1;
  t34464 = t9547 * t7139;
  t34467 = t96 * t33721;
  t34468 = t1404 * t34467;
  t34471 = t96 * t33726;
  t34472 = t1404 * t34471;
  t34482 = t404 * t33721;
  t34486 = t404 * t33726;
  t34492 = t10662 * t7139;
  t34495 = -t12758 * t7143 / 0.6e1 - t2485 * t34464 / 0.6e1 - t2485 * t34468 / 0.6e1 - t2485 * t34472 / 0.6e1 - t12746 * t7147 / 0.6e1 + t10516 * t7136 / 0.2e1 + t2004 * t2720 * t7135 / 0.2e1 + t2004 * t693 * t34482 / 0.2e1 + t2004 * t693 * t34486 / 0.2e1 + t12631 * t7140 / 0.12e2 + t2471 * t34492 / 0.12e2;
  t34497 = t1974 * t34467;
  t34500 = t1974 * t34471;
  t34506 = 0.2e1 / 0.3e1 * t30140;
  t34507 = t30151 / 0.18e2;
  t34508 = t30156 / 0.6e1;
  t34509 = t30171 / 0.3e1;
  t34510 = 0.5e1 / 0.18e2 * t30179;
  t34511 = t2471 * t34497 / 0.12e2 + t2471 * t34500 / 0.12e2 + 0.3e1 * t17561 * t4255 + t17561 * t4259 + t34506 - t34507 - t34508 + t30168 + t34509 - t34510 - t913;
  t34518 = t22 * t23011;
  t34521 = t10615 * t4194;
  t34524 = t17706 * t3935;
  t34527 = t3965 * t4202;
  t34530 = t1974 * t34333;
  t34533 = t96 * t34009;
  t34534 = t10706 * t34533;
  t34537 = t404 * t34013;
  t34541 = t984 - 0.2e1 / 0.3e1 * t22064 * t28051 - t2485 * t30697 / 0.3e1 - t2511 * t30688 / 0.3e1 + 0.5e1 / 0.3e1 * t34518 * t4209 + 0.5e1 / 0.12e2 * t22061 * t34521 - 0.35e2 / 0.108e3 * t33231 * t34524 - 0.5e1 / 0.36e2 * t22061 * t34527 - t3956 * t34530 / 0.2e1 - t2471 * t34534 / 0.4e1 - 0.3e1 / 0.2e1 * t2004 * t2733 * t34537;
  t34545 = t1883 * t34009;
  t34549 = t303 * t1197 * t205;
  t34553 = t28655 / 0.12e2;
  t34554 = t28657 / 0.6e1;
  t34555 = t10615 * t34333;
  t34558 = t5094 * t205;
  t34559 = t169 * t34558;
  t34560 = t1974 * t34559;
  t34563 = 0.3e1 * t30191;
  t34564 = t28680 / 0.2e1;
  t34565 = t3582 * t34337;
  t34570 = t16129 * t96 * t34034;
  t34573 = t10706 * t34337;
  t34578 = t3582 * t169 * t5094 * t929;
  t34581 = t1404 * t34559;
  t34584 = t1404 * t34333;
  t34587 = t3582 * t34533;
  t34590 = t1968 * t34471;
  t34593 = t1968 * t34467;
  t34596 = t10566 * t7139;
  t34599 = t17606 * t4202;
  t34602 = t30223 / 0.6e1;
  t34603 = t2511 * t34570 / 0.2e1 - t2471 * t34573 / 0.6e1 - t2511 * t34578 / 0.6e1 - t2485 * t34581 / 0.6e1 + t4190 * t34584 / 0.2e1 + t2485 * t34587 / 0.3e1 + t2471 * t34590 / 0.6e1 + t2471 * t34593 / 0.6e1 + t2471 * t34596 / 0.6e1 - t2471 * t34599 / 0.6e1 + t34602;
  t34605 = t28722 / 0.12e2;
  t34606 = t28724 / 0.36e2;
  t34607 = t28738 / 0.12e2;
  t34608 = t11691 * t34533;
  t34611 = t10832 * t34333;
  t34614 = t1968 * t34333;
  t34617 = t500 * t34013;
  t34622 = t10706 * t500 * t34009;
  t34624 = t1968 * t34559;
  t34629 = 0.2e1 * t3956 * t1974 * t34617 + t2471 * t34622 + t2471 * t34624 / 0.6e1 - t7095 - t7096 + t7097 - t6631 + t7098 + t6660 - t6668 + t12631 * t7158 / 0.6e1;
  t34632 = t28757 / 0.3e1;
  t34633 = 0.3e1 * t28761;
  t34635 = t1974 * t500 * t33726;
  t34639 = t1974 * t500 * t33721;
  t34642 = 0.23e2 / 0.18e2 * t30675;
  t34644 = 0.2e1 / 0.3e1 * t30677;
  t34645 = 0.4e1 / 0.3e1 * t30679;
  t34646 = 0.2e1 / 0.3e1 * t30717;
  t34647 = t30719 / 0.2e1;
  t34648 = t30727 / 0.6e1;
  t34649 = t30730 / 0.6e1;
  t34650 = 0.6e1 * t30735;
  t34651 = 0.3e1 * t30741;
  t34652 = 0.6e1 * t30747;
  t34655 = t911 * t4812;
  t34656 = t34655 / 0.12e2;
  t34657 = t34644 - t34645 + t34646 + t34647 - t34648 - t34649 + t34650 + t34651 - t34652 - 0.5e1 / 0.108e3 * t21781 * t7117 + t34656;
  t34659 = t911 * t4844;
  t34660 = t34659 / 0.12e2;
  t34666 = t305 * t1472 * t7110;
  t34671 = t305 * t306 * t95 * t33354;
  t34678 = t2042 * t4025;
  t34683 = t318 * t33131;
  t34687 = t2004 * t3607 * t4920;
  t34688 = t34687 / 0.2e1;
  t34689 = t34660 - t1135 * t3804 / 0.6e1 - t1135 * t3484 / 0.6e1 + t233 * t34666 / 0.12e2 + t233 * t34671 / 0.12e2 + t1140 * t28305 / 0.6e1 + t1140 * t28308 / 0.6e1 - 0.5e1 / 0.36e2 * t4800 * t34678 - 0.5e1 / 0.36e2 * t4800 * t28566 + t666 * t34683 / 0.3e1 + t34688;
  t34691 = t2004 * t942 * t4925;
  t34692 = t34691 / 0.2e1;
  t34693 = t1404 * t33095;
  t34697 = t1397 * t15893 * t1198;
  t34698 = t34697 / 0.4e1;
  t34699 = t404 * t33094;
  t34703 = t1883 * t33089;
  t34707 = t230 * t7037;
  t34709 = t1974 * t500 * t34707;
  t34714 = t16053 * t8387;
  t34719 = t3965 * t33474;
  t34722 = t34692 - t2485 * t34693 / 0.6e1 - t34698 + t2004 * t693 * t34699 / 0.2e1 + t2004 * t237 * t34703 / 0.2e1 - t9476 * t34709 / 0.3e1 + t15841 * t4926 / 0.2e1 - t9476 * t34714 / 0.3e1 - t11390 * t4929 / 0.4e1 - 0.5e1 / 0.18e2 * t3933 * t34719 - t30783;
  t34727 = 0.3e1 / 0.2e1 * t28773;
  t34728 = t28776 / 0.2e1;
  t34729 = 0.23e2 / 0.36e2 * t28778;
  t34730 = t28781 / 0.2e1;
  t34731 = t28783 / 0.2e1;
  t34734 = t10662 * t7161;
  t34737 = t28801 / 0.4e1;
  t34743 = t16138 * t5108;
  t34744 = t34743 / 0.6e1;
  t34745 = t17706 * t3957;
  t34748 = t17701 * t3935;
  t34751 = t1968 * t33095;
  t34754 = 0.2e1 / 0.3e1 * t30842;
  t34755 = t30851 / 0.2e1;
  t34759 = 0.3e1 / 0.2e1 * t28816;
  t34760 = 0.22e2 / 0.3e1 * t34518 * t3962 - 0.23e2 / 0.3e1 * t34518 * t3966 + t34744 + 0.44e2 / 0.27e2 * t33231 * t34745 - 0.61e2 / 0.27e2 * t33231 * t34748 + t2471 * t34751 / 0.6e1 + t34754 - t30849 - t34755 - t22 * t7262 * t194 / 0.4e1 + t34759;
  t34762 = t28819 / 0.2e1;
  t34763 = 0.2e1 * t28822;
  t34764 = t28825 / 0.2e1;
  t34765 = t30872 / 0.9e1;
  t34775 = t404 * t17749;
  t34784 = t1974 * t34453;
  t34789 = t1756 * t7134;
  t34793 = t1756 * t33721;
  t34797 = t1756 * t33726;
  t34801 = t30934 / 0.2e1;
  t34808 = -0.3e1 / 0.2e1 * t2004 * t5016 * t3820 - t2004 * t1160 * t3824 + 0.1e2 / 0.3e1 * t11652 * t34784 + t10768 * t7150 / 0.2e1 + t2022 * t2726 * t34789 / 0.2e1 + t2022 * t697 * t34793 / 0.2e1 + t2022 * t697 * t34797 / 0.2e1 + t34801 + 0.23e2 / 0.108e3 * t21781 * t7000 - 0.11e2 / 0.54e2 * t21781 * t6997 + t9743 * t6994 / 0.2e1;
  t34823 = t16429 * t5084;
  t34824 = t34823 / 0.6e1;
  t34825 = t10295 * t34034;
  t34830 = t5099 * t929;
  t34832 = t10706 * t500 * t34830;
  t34836 = t1416 * t1197 * t929;
  t34840 = t28976 / 0.2e1;
  t34841 = t28979 / 0.2e1;
  t34842 = t28981 / 0.2e1;
  t34843 = t28984 / 0.2e1;
  t34847 = t1883 * t34425;
  t34851 = t1883 * t33455;
  t34859 = 0.2e1 / 0.3e1 * t9476 * t34832 + t1397 * t2490 * t34836 / 0.2e1 - t34840 - t34841 - t34842 - t34843 + t2004 * t691 * t7130 / 0.2e1 + t2004 * t237 * t34847 / 0.2e1 + t2004 * t237 * t34851 / 0.2e1 - 0.2e1 * t22071 * t4251 - t610 * t4868 / 0.4e1;
  t34863 = t379 * t7018;
  t34864 = t34863 / 0.4e1;
  t34866 = t162 * t3517 * t4872;
  t34867 = t34866 / 0.4e1;
  t34884 = -t610 * t4873 / 0.4e1 - t34864 - t34867 - t379 * t7040 / 0.4e1 + 0.2e1 / 0.3e1 * t671 * t17958 - 0.2e1 / 0.3e1 * t1140 * t11817 + 0.23e2 / 0.36e2 * t4800 * t28329 + t1140 * t11238 / 0.3e1 - t4944 * t637 / 0.2e1 - t4944 * t641 / 0.4e1 + t4944 * t627 / 0.4e1;
  t34885 = t548 * t33434;
  t34890 = 0.3e1 * t28990;
  t34891 = t28997 / 0.2e1;
  t34892 = 0.3e1 / 0.2e1 * t29000;
  t34893 = 0.3e1 * t29004;
  t34896 = t1883 * t34029;
  t34899 = t10615 * t34617;
  t34903 = t1974 * t1395 * t34558;
  t34906 = t30994 / 0.9e1;
  t34907 = -t546 * t34885 / 0.12e2 - t208 * t23495 / 0.12e2 - t34890 - t34891 + t34892 - t34893 - 0.5e1 / 0.3e1 * t22071 * t3432 - t2004 * t693 * t34896 - 0.23e2 / 0.36e2 * t3933 * t34899 - t2471 * t34903 / 0.3e1 - t34906;
  t34911 = 0.2e1 / 0.9e1 * t31002;
  t34925 = 0.3e1 / 0.2e1 * t29040;
  t34926 = 0.4e1 * t31070;
  t34927 = 0.3e1 * t31077;
  t34928 = -t10926 * t1190 / 0.6e1 + t22636 * t3579 / 0.2e1 + t23367 * t3585 / 0.3e1 + t34925 - t34926 - t31073 + t34927 + t31081 - t7165 - t7166 - t7167;
  t34934 = t29093 / 0.4e1;
  t34935 = t29096 / 0.4e1;
  t34938 = t9992 * t34013;
  t34942 = t31169 / 0.18e2;
  t34943 = t1756 * t34013;
  t34947 = t10242 * t34009;
  t34951 = t5099 * t205;
  t34958 = t1440 * t7968 * t205;
  t34962 = t1879 * t34013;
  t34966 = t10277 * t34009;
  t34970 = t500 * t34951;
  t34975 = t1440 * t7950 * t205;
  t34979 = t1751 * t17773;
  t34983 = t10242 * t2025;
  t34990 = t1756 * t17773;
  t35000 = t2011 * t2475 * t34958 / 0.2e1 + 0.3e1 * t2004 * t2708 * t34962 + 0.3e1 / 0.2e1 * t2004 * t697 * t34966 - 0.7e1 / 0.3e1 * t11669 * t10832 * t34970 - t1397 * t2475 * t34975 / 0.2e1 - 0.6e1 * t2022 * t2701 * t34979 - 0.9e1 / 0.2e1 * t2004 * t4997 * t34983 + 0.3e1 / 0.2e1 * t1397 * t22131 * t6973 + 0.3e1 * t2004 * t2701 * t34990 - 0.3e1 * t1397 * t22141 * t1065 - 0.28e2 * t29479 * t3961 * t33017;
  t35006 = t409 * t17773;
  t35012 = t1968 * t33159;
  t35015 = t31199 / 0.3e1;
  t35017 = t29108 / 0.6e1;
  t35025 = t22 * t243 * t3978;
  t35028 = t17831 * t4202;
  t35037 = t17660 * t4202;
  t35040 = t17557 * t4194;
  t35043 = -t7268 + t7269 + t35017 - 0.6e1 * t17564 * t3987 + 0.8e1 * t33231 * t17706 * t3978 * t3934 + 0.3e1 * t35025 * t3983 + t2485 * t35028 / 0.3e1 - 0.3e1 * t3933 * t33217 * t3974 + 0.14e2 / 0.3e1 * t3933 * t33470 * t3957 - t2471 * t35037 / 0.3e1 + 0.2e1 / 0.3e1 * t2471 * t35040;
  t35051 = t1974 * t4202;
  t35065 = t318 * t33639;
  t35070 = 0.7e1 / 0.3e1 * t22061 * t10809 - 0.7e1 * t22061 * t10844 + 0.14e2 / 0.3e1 * t3933 * t17775 - t22061 * t35051 / 0.2e1 + 0.18e2 * t2004 * t22977 * t3996 + 0.6e1 * t34518 * t3936 + t1135 * t2158 / 0.6e1 + t4795 * t3449 / 0.2e1 - t1135 * t2162 / 0.6e1 + t666 * t35065 / 0.3e1 - t5161 * t3510 / 0.2e1;
  t35081 = t29464 / 0.3e1;
  t35082 = t548 * t33505;
  t35089 = -t233 * t17943 / 0.6e1 - t671 * t29841 / 0.6e1 - 0.11e2 / 0.18e2 * t4800 * t27956 - t4800 * t27959 / 0.2e1 + t15841 * t4921 / 0.2e1 - t35081 + t3869 - 0.2e1 * t17305 * t35082 - t610 * t5182 / 0.2e1 + t610 * t5170 - t610 * t4878;
  t35096 = my_piecewise3(t3, 0, t2004 * t693 * t34775 - 0.3e1 / 0.2e1 * t2004 * t237 * t34825 - 0.3e1 / 0.2e1 * t3980 * t2701 * t34938 - 0.3e1 * t2022 * t2708 * t34943 - 0.3e1 / 0.2e1 * t2022 * t697 * t34947 + 0.3e1 / 0.2e1 * t1397 * t22161 * t1057 + 0.3e1 / 0.2e1 * t162 * t4789 * t29025 - 0.3e1 * t162 * t4888 * t3544 + 0.6e1 * t2022 * t2708 * t33076 + 0.3e1 * t509 * t4888 * t3528 - t162 * t2629 * t7039 / 0.4e1 + 0.2e1 * t22 * t23144 * t4191 + 0.47e2 / 0.3e1 * t29946 * t10615 * t33017 + 0.6e1 * t2022 * t4997 * t28675 - 0.3e1 * t2004 * t4997 * t29014 - 0.18e2 * t2022 * t22977 * t17914 - 0.3e1 / 0.2e1 * t2004 * t2701 * t34329 - t2022 * t697 * t34341 + 0.6e1 * t2004 * t5006 * t4015 - 0.6e1 * t2004 * t2708 * t35006 + 0.3e1 * t2004 * t2733 * t33004 - 0.6e1 * t2004 * t23144 * t4254 - 0.3e1 / 0.2e1 * t2004 * t5016 * t4258 + 0.12e2 * t33015 * t1962 * t33017 + t2004 * t697 * t34344 + 0.3e1 * t2022 * t2701 * t34347 - t1397 * t2490 * t7039 / 0.4e1 - 0.2e1 * t2004 * t697 * t34443 + 0.5e1 * t2004 * t5006 * t3444 + 0.3e1 * t2004 * t1164 * t28215 - t1397 * t22117 * t6185 - t2004 * t693 * t34545 + t1397 * t2503 * t34549 / 0.2e1 - 0.6e1 * t2022 * t5006 * t2026 + 0.18e2 * t29479 * t3965 * t33044 + 0.3e1 * t2011 * t22141 * t1052 - 0.23e2 / 0.18e2 * t22061 * t28047 - t17554 * t4267 - 0.14e2 / 0.3e1 * t11669 * t34454 - t22064 * t28246 + t666 * t30142 / 0.3e1 + t661 * t7107 / 0.12e2 + t233 * t33120 / 0.12e2 + t233 * t33124 / 0.12e2 + t661 * t7112 / 0.12e2 - t2529 * t7064 / 0.6e1 - t671 * t33132 / 0.6e1 + t10556 * t7131 / 0.6e1 - t12661 * t7162 / 0.9e1 + t12661 * t7158 / 0.18e2 - t12664 * t7147 / 0.18e2 - t12667 * t7143 / 0.18e2 + 0.3e1 / 0.2e1 * t379 * t6974 - 0.3e1 * t379 * t6970 + t2471 * t30691 / 0.6e1 + t2511 * t30694 / 0.6e1 + t3956 * t33212 + t2471 * t33214 / 0.3e1 - 0.5e1 / 0.18e2 * t3933 * t33218 + 0.2e1 * t22064 * t28041 - 0.3e1 / 0.2e1 * t4800 * t11809 + t22071 * t4222 - t2511 * t34395 / 0.6e1 + t2471 * t34398 / 0.12e2 + t2511 * t34401 / 0.12e2 + 0.2e1 * t3956 * t34404 + t17564 * t4004 + t2822 * t1066 / 0.3e1 - t13211 * t1053 / 0.3e1 - t21781 * t6987 / 0.2e1 - t2565 * t7064 / 0.18e2 + t654 * t6641 / 0.18e2 + 0.11e2 / 0.9e1 * t22061 * t28230 - 0.6e1 * t33024 * t3990 - 0.3e1 * t610 * t5123 - 0.3e1 * t2452 * t4790 + 0.3e1 / 0.2e1 * t610 * t5126 - t18684 * t730 - t22064 * t28432 / 0.2e1 + 0.5e1 / 0.18e2 * t22061 * t28427 + t22064 * t28421 / 0.6e1 - t2248 * t1194 / 0.6e1 - t654 * t4302 / 0.18e2 + t5133 * t2447 / 0.9e1 + t22816 * t223 / 0.12e2 + t18664 * t248 / 0.6e1 - t1140 * t10938 / 0.6e1 - t1140 * t11061 / 0.12e2 + t22399 * t223 / 0.4e1 - t533 * t4962 / 0.12e2 - t208 * t22394 / 0.12e2 + t4308 * t734 / 0.2e1 - t2452 * t4886 + t2452 * t4855 + t5133 * t6189 / 0.9e1 - t2485 * t34392 / 0.6e1 - t387 * t7044 / 0.3e1 + t22038 * t1010 / 0.3e1 - t2565 * t7010 / 0.9e1 + 0.7e1 / 0.9e1 * t21781 * t7006 - t21781 * t7003 / 0.6e1 + t3933 * t34334 / 0.2e1 - t2471 * t34338 / 0.3e1 - t22071 * t4206 + t22071 * t4212 / 0.2e1 - t4190 * t33487 + t22636 * t4195 / 0.2e1 + t1140 * t11024 / 0.3e1 + t4944 * t631 / 0.4e1 - t525 * t4962 / 0.36e2 - 0.2e1 * t4795 * t4232 - t671 * t30068 / 0.3e1 + t4795 * t4039 + t666 * t29846 / 0.3e1 + t233 * t18970 / 0.6e1 - t2248 * t1199 / 0.12e2 - t2243 * t1199 / 0.4e1 + t1689 * t7055 + 0.2e1 * t17564 * t4244 - 0.3e1 / 0.2e1 * t22061 * t10797 - t2471 * t34608 / 0.2e1 + 0.11e2 / 0.18e2 * t3933 * t34611 - t3956 * t34614 + 0.5e1 / 0.36e2 * t3933 * t34555 + t2471 * t34560 / 0.12e2 + t2485 * t34565 / 0.3e1 - t671 * t29669 / 0.3e1 + t4795 * t3421 + 0.2e1 / 0.9e1 * t2565 * t6983 - t1763 * t6979 + t387 * t6974 / 0.2e1 - t387 * t6970 + 0.3e1 / 0.2e1 * t610 * t4881 + t610 * t5178 / 0.2e1 + t5133 * t6425 / 0.18e2 + t654 * t7107 / 0.36e2 - t4190 * t34435 - t2485 * t34440 / 0.3e1 + t12661 * t7140 / 0.36e2 + t2471 * t34353 / 0.3e1 - 0.5e1 / 0.6e1 * t22071 * t3401 - t103 * t7263 / 0.12e2 - t2471 * t34635 / 0.3e1 - t2471 * t34639 / 0.3e1 - t22636 * t4203 / 0.2e1 + 0.2e1 / 0.3e1 * t2471 * t35012 + t4795 * t3791 / 0.2e1 - t5161 * t4026 / 0.2e1 - t5161 * t3807 / 0.2e1 - t3933 * t33673 - t23367 * t3406 / 0.6e1 - 0.2e1 * t33231 * t33677 + 0.89e2 / 0.9e1 * t33231 * t33680 - 0.38e2 / 0.9e1 * t33231 * t33683 - t12631 * t7162 / 0.3e1 - t2471 * t34734 / 0.3e1 + t17454 * t5101 / 0.2e1 - t15841 * t5105 / 0.2e1 + t13326 * t4018 - 0.2e1 * t17561 * t4016 + 0.3e1 / 0.2e1 * t11669 * t10615 * t1733 * t34951 + t34689 + t33112 - t33113 - t33114 + t33708 - t33709 - t33710 - t34942 + t34432 + t33795 - t3767 + t3770 + t34553 + t34554 - t34763 - t34764 + t34765 + t33157 - t3747 + t3749 - t33595 + t33598 + t33592 + t33573 + t33643 - t34934 - t34935 - t7091 - t7092 + t7093 - t33711 + t34859 - t3852 - t33704 - t33705 + t33706 + t33707 + t34564 + t35043 + t7094 + t34907 + t34323 + t34911 + t33701 + t33703 + t33254 + t29503 + t34632 + t34633 + t33204 + t34722 - t34459 + t33109 - t3790 + t33825 + t7122 - t34824 + t33180 - t35015 + t34511 + t33073 - t33074 - t33075 - t7020 + t3786 - t3788 + t34657 + t33383 + t34884 + t34603 - t34605 + t34384 + t34737 + t34495 + t34760 + t34762 + t30882 - t3575 + t34731 + t34541 - t34606 + t34607 + t33425 + t34629 - t7266 + t7267 + t3784 + t33617 + t34642 - t3520 - t34727 - t34728 + t34729 + t34730 + t33743 + t3867 + t34808 + t34563 + t34928 + t3524 + t33061 - t30900 + t33659 + t35070 + t33444 + t35000 + t35089 - t3829 + t28769 + t33520 - t33497 - t33494 + t33495 + t33496 + t33479 - t33084 + t7099 + t7100 + t28489);
  tv4rhosigmalapl20 = 0.2e1 * rho[0] * t35096 + 0.2e1 * t7274;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 0] += tv4rhosigmalapl20;

  t35099 = t7303 * t122;
  t35108 = t4002 * t122;
  t35113 = t96 * t35108;
  t35123 = t96 * t35099;
  t35127 = t500 * t35099;
  t35137 = -t31262 + t31264 + t33036 - 0.18e2 * t3980 * t15169 * t1746 * t35099 + 0.36e2 * t2022 * t15169 * t1751 * t35099 - 0.3e1 * t3980 * t3211 * t9992 * t35108 + t4482 * t10706 * t35113 - t4503 * t34614 - t2874 * t34338 / 0.3e1 + 0.11e2 / 0.18e2 * t4482 * t34611 - 0.23e2 / 0.36e2 * t4482 * t34899 + 0.22e2 / 0.3e1 * t19608 * t3961 * t35123 - 0.23e2 / 0.3e1 * t19608 * t3965 * t35127 - 0.61e2 / 0.27e2 * t19635 * t17701 * t35123 + 0.44e2 / 0.27e2 * t19635 * t17706 * t35127;
  t35138 = t169 * t18367;
  t35152 = -t3162 * t1404 * t35138 / 0.6e1 + 0.23e2 / 0.36e2 * t4482 * t33782 + 0.23e2 / 0.36e2 * t4482 * t3965 * t17766 - t31292 - t31294 + t12664 * t6773 / 0.36e2 + t31295 + t29501 + t29504 - t29508 - t29511 + t31347 - t31349 - t4510 * t16057 * t5372 / 0.2e1 - t33084 - t33086;
  t35169 = t21274 * t4202;
  t35172 = -t33087 - t33088 + t31372 - t31375 + t3162 * t16057 * t5625 / 0.6e1 + t2874 * t33096 / 0.12e2 + t33104 + t33105 - t33106 - t33107 - t17444 * t5388 / 0.2e1 + t11390 * t5391 / 0.2e1 - t2471 * t31363 / 0.6e1 + t2874 * t33460 / 0.6e1 + t2874 * t34751 / 0.6e1 + t2485 * t35169 / 0.6e1;
  t35207 = -t2485 * t31682 / 0.6e1 - t1397 * t23938 * t990 / 0.4e1 - t1397 * t5245 * t3755 / 0.4e1 - t4482 * t33673 / 0.2e1 - t233 * t19944 / 0.12e2 - t233 * t19981 / 0.12e2 - t533 * t5353 / 0.12e2 - t208 * t24751 / 0.12e2 + t2243 * t1283 / 0.4e1 + t610 * t5333 / 0.4e1 + t610 * t5337 / 0.4e1 - t661 * t4579 / 0.12e2 - t2243 * t1269 / 0.4e1 - t610 * t5326 / 0.4e1 - t610 * t5329 / 0.4e1 - t208 * t24755 / 0.12e2;
  t35221 = t2816 * t1126 / 0.4e1 + t719 * t4585 / 0.4e1 + t719 * t4589 / 0.4e1 - t31404 - t31407 + t31409 - t31417 - t31419 + t33108 + t33112 - t33113 - t33114 - t31432 - 0.5e1 / 0.36e2 * t4482 * t17824 * t7367 + 0.7e1 / 0.3e1 * t4482 * t18238;
  t35237 = 0.7e1 / 0.3e1 * t4482 * t17775 + 0.7e1 / 0.3e1 * t4482 * t17767 - 0.3e1 / 0.2e1 * t19699 * t7465 - 0.3e1 / 0.2e1 * t4482 * t17825 - 0.3e1 / 0.2e1 * t4482 * t17779 - 0.3e1 / 0.2e1 * t4482 * t17783 - t33153 - t33154 + t33156 - t2004 * t3220 * t7154 / 0.2e1 - t33163 - t31460 + t33165 - t29556 - t29562 + t29566;
  t35257 = t24514 * t539;
  t35258 = t318 * t35257;
  t35266 = -t2529 * t7421 / 0.6e1 + t2900 * t6983 / 0.9e1 - t2900 * t7010 / 0.18e2 - t13211 * t1108 / 0.6e1 + t2822 * t1117 / 0.6e1 + t806 * t6641 / 0.36e2 + t2917 * t7103 / 0.18e2 + t2900 * t7338 / 0.9e1 - t2565 * t7334 / 0.36e2 + t538 * t35258 / 0.6e1 + t31488 - t33195 - t31492 - t20902 * t4267 / 0.2e1 - t21072 * t4016 + t14865 * t4018 / 0.2e1;
  t35271 = t17660 * t4598;
  t35292 = t548 * t4306 * t3084;
  t35303 = -0.3e1 * t17454 * t5394 + 0.3e1 / 0.2e1 * t15841 * t5377 - t1961 * t35271 / 0.6e1 + t1961 * t17606 * t4605 / 0.3e1 - t17554 * t4609 / 0.2e1 + t13326 * t4435 / 0.2e1 + t17454 * t5579 / 0.2e1 - t15841 * t5582 / 0.2e1 + t208 * t24516 / 0.12e2 - t4308 * t764 / 0.2e1 - t4308 * t768 / 0.4e1 + t1641 * t35292 / 0.3e1 + t4308 * t772 / 0.4e1 - t671 * t32278 / 0.12e2 + t2998 * t7338 / 0.3e1 + t791 * t19111 / 0.3e1;
  t35339 = t791 * t17958 / 0.3e1 + t2927 * t7103 / 0.6e1 - t791 * t29669 / 0.6e1 - t671 * t31713 / 0.6e1 + t5513 * t646 / 0.2e1 + t546 * t548 * t5511 * t539 / 0.3e1 - t25700 * t623 / 0.2e1 + t13740 * t7158 / 0.18e2 - t21072 * t4007 / 0.2e1 - t17561 * t4741 / 0.2e1 + 0.3e1 * t21068 * t4241 - 0.3e1 * t21072 * t3997 + t21068 * t4004 / 0.2e1 + 0.3e1 * t17564 * t4689 - 0.3e1 * t17561 * t4447;
  t35356 = t13879 * t1000;
  t35357 = t318 * t35356;
  t35374 = t17564 * t4452 / 0.2e1 + 0.3e1 * t17454 * t5611 + 0.3e1 / 0.2e1 * t30951 * t5595 + 0.23e2 / 0.108e3 * t19605 * t7371 - t3162 * t33160 / 0.6e1 - t823 * t3928 / 0.4e1 - t823 * t3895 / 0.4e1 + t2587 * t7329 / 0.6e1 + t666 * t35357 / 0.6e1 + t666 * t31822 / 0.6e1 + t661 * t6795 / 0.12e2 + t3366 * t1066 / 0.2e1 + t823 * t3912 / 0.2e1 + t823 * t3915 / 0.2e1 + t3322 * t1066 / 0.6e1 - t14982 * t1053 / 0.6e1;
  t35408 = t2565 * t7425 / 0.9e1 + t5513 * t631 / 0.4e1 - t661 * t4737 / 0.12e2 - t233 * t20835 / 0.12e2 + t25464 * t223 / 0.4e1 + t18664 * t274 / 0.12e2 - t654 * t4737 / 0.36e2 + t24780 * t223 / 0.12e2 - t806 * t4302 / 0.36e2 - t208 * t25469 / 0.12e2 + t4308 * t829 / 0.4e1 - t533 * t5508 / 0.12e2 + t18709 * t274 / 0.4e1 + t4722 * t738 / 0.4e1 + t20840 * t248 / 0.4e1 - t813 * t4302 / 0.12e2;
  t35411 = t138 * t7593;
  t35416 = t106 * t158 * t7591 * t159;
  t35434 = -t259 * t18704 / 0.12e2 - t127 * t35411 / 0.12e2 + t35416 * t166 / 0.4e1 - t525 * t5508 / 0.36e2 + t20783 * t248 / 0.12e2 + 0.23e2 / 0.36e2 * t19699 * t7371 + 0.23e2 / 0.36e2 * t4482 * t17824 * t7363 + t33421 + t33422 - t33423 - t33424 + t33427 + t33428 + t3168 * t30694 / 0.12e2 + t2874 * t33214 / 0.6e1 - 0.5e1 / 0.36e2 * t4482 * t33218;
  t35439 = t1746 * t7303;
  t35459 = 0.3e1 / 0.2e1 * t18443 * t7495 + 0.3e1 / 0.2e1 * t3980 * t15161 * t35439 - 0.2e1 * t11652 * t21321 * t7363 - t14865 * t4060 / 0.2e1 + t21072 * t4259 / 0.2e1 - t13326 * t4671 / 0.4e1 - t31504 - t31506 - t29636 - t29639 + t31522 + t31524 + t2874 * t17835 / 0.3e1 + t2874 * t35040 / 0.3e1 - t2874 * t35037 / 0.6e1 - t17561 * t4674;
  t35486 = 0.7e1 / 0.3e1 * t11669 * t33470 * t19641 + t13326 * t4534 / 0.2e1 + t17564 * t4692 - 0.3e1 / 0.2e1 * t11669 * t33217 * t19666 - t17554 * t4755 / 0.2e1 - t31545 - t31547 - t33431 + t31550 - t10516 * t7453 / 0.2e1 + t2022 * t881 * t34797 / 0.2e1 - t2248 * t1269 / 0.12e2 + t2822 * t1126 / 0.12e2 - t823 * t3923 / 0.2e1 - t3366 * t1061 / 0.4e1 - t719 * t4537 / 0.4e1;
  t35504 = t16053 * t24506;
  t35518 = -t719 * t4540 / 0.4e1 - t3366 * t1058 / 0.2e1 - t823 * t3920 / 0.2e1 - t29667 - t2565 * t7421 / 0.18e2 - t387 * t7403 / 0.12e2 + t2004 * t263 * t34703 / 0.2e1 + t2004 * t877 * t34699 / 0.2e1 - t9476 * t35504 / 0.3e1 - t11390 * t5261 / 0.4e1 + t12661 * t7485 / 0.9e1 + t15841 * t5608 / 0.2e1 + t15841 * t5258 / 0.2e1 + t33439 + t2022 * t881 * t34793 / 0.2e1 + t31593;
  t35524 = t96 * t18357;
  t35528 = 0.7e1 / 0.3e1 * t19699 * t7461 + t31597 - t31599 + t31622 + t31624 + t31640 - t29735 + t29739 + t29742 - t29747 - t31700 + t29775 - t29779 - t29782 + t4510 * t1404 * t35113 / 0.2e1 + t3162 * t3582 * t35524 / 0.3e1;
  t35533 = t96 * t18058;
  t35537 = t169 * t18021;
  t35563 = t1751 * t269;
  t35564 = t35563 * t3935;
  t35567 = t1746 * t269;
  t35568 = t35567 * t3957;
  t35571 = t20575 * t3935;
  t35573 = t4510 * t1404 * t35533 / 0.2e1 - t4510 * t1982 * t35537 / 0.2e1 - 0.5e1 / 0.36e2 * t4482 * t3965 * t35537 + 0.2e1 * t21063 * t1982 * t35123 - t2243 * t1266 / 0.2e1 - t610 * t5317 / 0.2e1 - t19605 * t7465 / 0.2e1 - 0.11e2 / 0.18e2 * t4482 * t33471 + 0.23e2 / 0.36e2 * t4482 * t33467 - t4482 * t16053 * t5372 / 0.2e1 + t4503 * t33463 + t2874 * t30945 / 0.6e1 - 0.11e2 / 0.18e2 * t3933 * t35564 + 0.23e2 / 0.36e2 * t3933 * t35568 + t3956 * t35571;
  t35578 = t15878 * t24804;
  t35587 = t29751 * t24804;
  t35616 = t2471 * t31701 / 0.6e1 - 0.2e1 / 0.3e1 * t2874 * t17838 - 0.2e1 * t11652 * t35578 - t11390 * t5605 / 0.2e1 + 0.3e1 / 0.2e1 * t15841 * t5268 + t15841 * t5272 / 0.2e1 + 0.7e1 / 0.3e1 * t11669 * t35587 + t11390 * t5249 / 0.2e1 - 0.3e1 * t2022 * t3211 * t34979 + 0.3e1 / 0.2e1 * t2004 * t15201 * t7304 + 0.3e1 / 0.2e1 * t2004 * t3227 * t33004 + 0.3e1 / 0.2e1 * t2004 * t3227 * t145 * t17765 + t10516 * t7309 / 0.2e1 + t2004 * t3246 * t7308 / 0.2e1 - 0.18e2 * t2004 * t15169 * t1756 * t35099 - t103 * t7376 / 0.12e2;
  t35633 = t96 * t17744;
  t35653 = -0.2e1 / 0.3e1 * t13840 * t7321 - 0.2e1 / 0.3e1 * t2874 * t17756 - 0.2e1 / 0.3e1 * t2874 * t17751 - 0.2e1 / 0.3e1 * t2874 * t17746 + t13840 * t7325 / 0.3e1 + t2874 * t10566 * t7324 / 0.3e1 + t2874 * t35012 / 0.3e1 + t2874 * t1968 * t35633 / 0.3e1 + 0.3e1 * t10768 * t7315 - 0.5e1 / 0.108e3 * t19605 * t7510 + t13740 * t7507 / 0.18e2 + t20613 * t7504 / 0.6e1 + t13740 * t7140 / 0.36e2 - t13748 * t7473 / 0.18e2 - t21178 * t7470 / 0.6e1 + t2485 * t31481 / 0.6e1;
  t35660 = t15878 * t8563;
  t35672 = t20571 * t4194;
  t35687 = t10589 * t7285;
  t35690 = t169 * t19730;
  t35691 = t1982 * t35690;
  t35694 = t2511 * t20566 / 0.12e2 - t2471 * t31555 / 0.12e2 - t11390 * t5246 / 0.4e1 + t9476 * t35660 / 0.3e1 - t11390 * t5242 / 0.2e1 + t2004 * t877 * t34775 / 0.2e1 + t2004 * t877 * t404 * t17744 / 0.2e1 + t2471 * t35672 / 0.3e1 + t12746 * t6773 / 0.12e2 + t2511 * t31669 / 0.12e2 + t2511 * t31674 / 0.12e2 + t2511 * t31664 / 0.12e2 - t12631 * t7291 / 0.12e2 + t12758 * t7286 / 0.6e1 + t2485 * t35687 / 0.6e1 + t2485 * t35691 / 0.6e1;
  t35706 = t96 * t17765;
  t35710 = t400 * t7303;
  t35724 = t2485 * t32152 / 0.6e1 - t9509 * t7281 / 0.4e1 - t1397 * t23934 * t990 / 0.4e1 + t31773 - t31775 + t31780 - 0.11e2 / 0.18e2 * t4482 * t33811 - 0.11e2 / 0.18e2 * t4482 * t3961 * t35706 + t33592 - t33595 + 0.3e1 * t2022 * t15198 * t35710 + 0.3e1 * t2022 * t3214 * t33076 + 0.3e1 * t2022 * t3214 * t400 * t17765 + t10768 * t7318 + t2022 * t3220 * t4003;
  t35756 = t2022 * t881 * t33440 + t2022 * t881 * t1756 * t17744 - t10746 * t7488 / 0.2e1 - t2011 * t24792 * t1052 / 0.2e1 - t2011 * t24395 * t1052 / 0.2e1 - t2011 * t5387 * t3528 / 0.2e1 + t9509 * t7491 / 0.2e1 + t1397 * t24792 * t1065 / 0.2e1 + t1397 * t24395 * t1065 / 0.2e1 + t1397 * t5387 * t3544 / 0.2e1 + t29856 - t29858 - t29860 + t806 * t7112 / 0.36e2 + t29866 + t719 * t4569 / 0.2e1;
  t35778 = t555 * t35257;
  t35791 = -t2998 * t7010 / 0.6e1 - t14687 * t1053 / 0.2e1 - t3389 * t3898 / 0.2e1 - t3389 * t3901 / 0.2e1 + t2917 * t7360 / 0.18e2 - t13216 * t1108 / 0.2e1 - t2861 * t4543 / 0.2e1 - t2861 * t4546 / 0.2e1 + t2816 * t1117 / 0.2e1 + t719 * t4566 / 0.2e1 - t546 * t35778 / 0.6e1 + t4308 * t796 / 0.2e1 - t18684 * t759 / 0.2e1 + t4722 * t749 / 0.2e1 - t20765 * t730 / 0.2e1 + t785 * t34683 / 0.6e1;
  t35824 = t7284 * t122;
  t35825 = t169 * t35824;
  t35826 = t3961 * t35825;
  t35829 = t1395 * t35824;
  t35830 = t3965 * t35829;
  t35837 = t785 * t30142 / 0.6e1 + t813 * t6641 / 0.12e2 + t259 * t30835 / 0.12e2 + 0.3e1 * t2004 * t3214 * t34962 - t2022 * t881 * t34341 + t2004 * t881 * t34344 - 0.18e2 * t2022 * t15153 * t400 * t35099 + 0.18e2 * t2004 * t15153 * t409 * t35099 - 0.5e1 * t2022 * t3214 * t1756 * t35108 - 0.3e1 * t2004 * t3211 * t10242 * t35108 - 0.3e1 * t2022 * t3214 * t34943 - 0.11e2 / 0.18e2 * t3933 * t35826 + 0.23e2 / 0.36e2 * t3933 * t35830 + 0.6e1 * t2022 * t3211 * t9997 * t35108 - t29883 - t29887;
  t35850 = -t31838 - t31840 - t31842 + t31846 + t31848 - t31852 + t31854 - t29909 + t29913 - t29915 - t29918 - 0.11e2 / 0.18e2 * t19699 * t7368 - 0.11e2 / 0.18e2 * t4482 * t17857 * t7367 - t10556 * t7295 / 0.3e1 - t12661 * t7291 / 0.36e2;
  t35859 = t21332 * t3935;
  t35862 = t35563 * t3957;
  t35865 = t35567 * t3974;
  t35869 = t22 * t269 * t3978;
  t35886 = 0.3e1 / 0.2e1 * t21072 * t3993 + 0.3e1 / 0.2e1 * t35025 * t4440 - 0.3e1 * t17564 * t4444 + 0.3e1 / 0.2e1 * t17561 * t4594 - t3933 * t35859 / 0.2e1 + 0.7e1 / 0.3e1 * t3933 * t35862 - 0.3e1 / 0.2e1 * t3933 * t35865 + 0.3e1 / 0.2e1 * t35869 * t3983 - 0.2e1 / 0.3e1 * t2471 * t21343 - t11685 * t7488 / 0.6e1 + t11676 * t7450 / 0.6e1 - t10556 * t7447 - t11676 * t7443 + t20613 * t7468 / 0.3e1 - t2004 * t3220 * t7294 - t2004 * t881 * t34443;
  t35917 = -t2004 * t881 * t1879 * t17744 + t10516 * t7297 / 0.2e1 + t2004 * t3246 * t7135 / 0.2e1 + t2004 * t877 * t34482 / 0.2e1 + t4503 * t33475 / 0.2e1 - t13856 * t7143 / 0.6e1 - t3162 * t34464 / 0.6e1 - t3162 * t34468 / 0.6e1 - t3162 * t34472 / 0.6e1 - t13858 * t7147 / 0.6e1 - t3168 * t34420 / 0.6e1 - t3168 * t34427 / 0.6e1 - t3168 * t33457 / 0.6e1 - t33693 - t33694 + t33695;
  t35918 = t33696 + t33697 - t33698 - t33699 - t28469 + t33700 + t33703 - t33704 - t33705 + t33706 + t33707 + t28489 + t33708 - t33709 - t33710 - t33711;
  t35953 = -t33713 - t1397 * t23947 * t1057 / 0.2e1 - t1397 * t23951 * t1057 / 0.2e1 - t1397 * t5241 * t3553 / 0.2e1 + t4503 * t10547 * t7367 + t4503 * t34404 + t4503 * t1996 * t35706 - 0.2e1 * t19631 * t7364 - 0.2e1 * t4503 * t17805 - 0.2e1 * t4503 * t17802 - 0.2e1 * t4503 * t17799 - t10556 * t7453 / 0.6e1 - 0.2e1 / 0.9e1 * t13740 * t7321 + t13740 * t7325 / 0.9e1 - t13748 * t7143 / 0.18e2 + t2471 * t32771 / 0.6e1;
  t35957 = t1996 * t35825;
  t35965 = t1982 * t35825;
  t35986 = -t1397 * t5387 * t17230 / 0.2e1 + t3956 * t35957 - 0.3e1 * t1397 * t24354 * t18069 + t2011 * t5387 * t15902 / 0.2e1 - t4190 * t35965 / 0.2e1 + t31983 + t31986 - t31990 - t31993 - t3162 * t1404 * t35633 / 0.6e1 - 0.5e1 / 0.36e2 * t4482 * t34719 - 0.5e1 / 0.36e2 * t4482 * t3965 * t35706 - t21181 * t7470 / 0.2e1 - t4510 * t10589 * t7367 / 0.2e1 - t4510 * t33487 / 0.2e1 - t4510 * t1982 * t35706 / 0.2e1;
  t36018 = -t13856 * t7473 / 0.6e1 - t3162 * t9547 * t7324 / 0.6e1 - 0.5e1 / 0.36e2 * t4482 * t29726 * t5372 - t2874 * t15878 * t5625 / 0.12e2 - t3162 * t34392 / 0.6e1 - t3168 * t34395 / 0.6e1 - 0.11e2 / 0.18e2 * t4482 * t29751 * t5372 - t162 * t2896 * t7039 / 0.4e1 - t162 * t767 * t33356 / 0.4e1 + t2243 * t1274 / 0.2e1 + t610 * t5342 / 0.2e1 + t610 * t5345 / 0.2e1 - t33822 + t33823 - t33824 + t33826;
  t36024 = t548 * t4720 * t1208;
  t36035 = t21274 * t3935;
  t36038 = t14860 * t4194;
  t36041 = t21321 * t3935;
  t36044 = t21332 * t7320;
  t36049 = t32016 + t32018 - t4722 * t742 / 0.2e1 - t4722 * t746 / 0.4e1 + t1641 * t36024 / 0.3e1 + t4722 * t734 / 0.4e1 + t806 * t7107 / 0.36e2 - t2900 * t7351 / 0.36e2 + t30011 + t30014 - t2511 * t31686 / 0.6e1 - t4190 * t36035 / 0.2e1 - t2485 * t36038 / 0.6e1 + t3956 * t36041 / 0.2e1 - t9476 * t36044 / 0.3e1 - t14865 * t4262 / 0.4e1;
  t36066 = t5577 * t205;
  t36078 = t23696 * t929;
  t36080 = t10615 * t1733 * t36078;
  t36084 = t1440 * t1259 * t929;
  t36087 = t21072 * t4054 / 0.2e1 + t21072 * t4057 / 0.2e1 + 0.3e1 / 0.2e1 * t10516 * t7305 + t10556 * t7477 / 0.2e1 - 0.3e1 / 0.2e1 * t2022 * t881 * t34947 + 0.3e1 / 0.2e1 * t11669 * t10615 * t1733 * t36066 + t2011 * t2943 * t34958 / 0.2e1 - 0.3e1 * t2022 * t881 * t10242 * t18357 + 0.3e1 * t11669 * t36080 + t2011 * t2943 * t36084 + t33827 - t33828 + t33829 - t33830 + t33831;
  t36096 = t10855 * t1208;
  t36119 = -t32041 + t32049 + t813 * t7112 / 0.12e2 + t259 * t34666 / 0.12e2 + t259 * t34671 / 0.12e2 - t2998 * t7351 / 0.12e2 - t791 * t548 * t36096 / 0.12e2 - t791 * t33650 / 0.12e2 + t813 * t7107 / 0.12e2 - t2998 * t7348 / 0.6e1 - t791 * t555 * t36096 / 0.6e1 - t791 * t33640 / 0.6e1 + t259 * t30839 / 0.12e2 - t2998 * t7064 / 0.12e2 - t791 * t33132 / 0.12e2 - t791 * t31185 / 0.12e2;
  t36136 = -t2874 * t34639 / 0.3e1 + t19631 * t7468 - t32079 + t32081 - t32083 - t32093 + t32098 - t10949 * t1261 / 0.2e1 - t2452 * t5229 / 0.2e1 - t2452 * t5560 / 0.2e1 + t34368 + t3168 * t33101 / 0.12e2 + t30048 + t30064 - t3322 * t1058 / 0.6e1 - t2822 * t1114 / 0.12e2;
  t36171 = -t2822 * t1111 / 0.6e1 - t10926 * t1261 / 0.6e1 - t2248 * t1266 / 0.6e1 + t2022 * t881 * t33561 / 0.2e1 - t30086 + t10556 * t7305 / 0.2e1 + t10556 * t7300 / 0.6e1 + t13840 * t7158 / 0.6e1 + t2874 * t34596 / 0.6e1 + t2874 * t34593 / 0.6e1 + t2874 * t34590 / 0.6e1 + t4503 * t1962 * t35706 / 0.2e1 + t13840 * t7507 / 0.6e1 + t2874 * t10662 * t7324 / 0.6e1 + t2874 * t34353 / 0.6e1 + t2874 * t1974 * t35633 / 0.6e1;
  t36194 = -0.5e1 / 0.36e2 * t19699 * t7510 - 0.3e1 * t2004 * t15198 * t7446 - 0.3e1 * t2004 * t3214 * t35006 - 0.3e1 * t2004 * t3214 * t409 * t17765 + t10768 * t7450 / 0.2e1 + t2022 * t3220 * t34789 / 0.2e1 + t30141 - t30152 - t30157 + t30169 + t30172 - t30180 - t913 + t984 + 0.3e1 * t2011 * t24354 * t17995;
  t36202 = t17606 * t4598;
  t36205 = t20575 * t4202;
  t36210 = t23696 * t205;
  t36211 = t500 * t36210;
  t36216 = t135 * t1264 * t205;
  t36228 = t2471 * t21336 / 0.3e1 + t21068 * t4244 - t13326 * t4527 / 0.2e1 - t13326 * t4531 / 0.4e1 - t1961 * t36202 / 0.12e2 - t2471 * t36205 / 0.6e1 - 0.3e1 * t21068 * t3987 + 0.12e2 * t33015 * t1962 * t36211 + 0.3e1 / 0.2e1 * t1397 * t13724 * t36216 + t34553 + t34554 - t7020 + 0.2e1 * t2874 * t18359 - 0.23e2 / 0.18e2 * t4482 * t10615 * t500 * t35108 - 0.2e1 / 0.3e1 * t2874 * t18369 + t30192;
  t36241 = t3961 * t35829;
  t36248 = -t525 * t5353 / 0.36e2 - t654 * t4579 / 0.36e2 + t2248 * t1283 / 0.12e2 - t32131 + t32140 + t32142 + t34564 - t4482 * t1974 * t35706 / 0.2e1 - t2874 * t34635 / 0.3e1 + 0.7e1 / 0.3e1 * t3933 * t36241 + t4482 * t34334 / 0.2e1 + t30224 - t19699 * t7458 / 0.2e1 + t6778 - t6780 - t6785;
  t36261 = -t6788 + t6799 - t6801 + t6824 - t6826 - t6589 - t7092 + t6598 + t7094 - t22 * t1043 * t870 / 0.4e1 - t34605 - t34606 + t34607 + 0.6e1 * t19608 * t1974 * t35123 + 0.3e1 / 0.2e1 * t4482 * t10706 * t35533 + 0.3e1 / 0.2e1 * t2004 * t881 * t34966;
  t36288 = -t2874 * t34903 / 0.3e1 - 0.7e1 * t4482 * t18060 + t2874 * t34622 - t2874 * t16143 * t5625 / 0.6e1 + t4503 * t15878 * t5372 / 0.2e1 + t2874 * t16053 * t5635 / 0.6e1 - t2874 * t34599 / 0.12e2 + t4503 * t16143 * t5372 + t2874 * t16037 * t5635 / 0.3e1 + t10556 * t7309 / 0.6e1 - t6610 - t6616 + t6629 - t6632 + t6647;
  t36292 = t6661 - t6669 - t3520 + t3524 + t34632 + t34633 + t7099 + t7100 - t3575 + t30676 + t30678 - t30680 - t22 * t7592 * t194 / 0.4e1 + t30718 + t30720 - t30728;
  t36301 = -t30731 + t30736 + t30742 - t30748 - t103 * t7593 / 0.12e2 - t2900 * t7064 / 0.36e2 + t34656 + t34660 + t34688 + t34692 - t3162 * t10598 * t5635 / 0.6e1 + t32220 - t32223 + t32231 + t32234 + t32237;
  t36315 = t17598 * t19810;
  t36329 = t1751 * t7303;
  t36334 = t29726 * t23697;
  t36339 = -t34698 + 0.3e1 / 0.2e1 * t3980 * t3211 * t33569 + 0.3e1 / 0.2e1 * t21072 * t4255 + 0.3e1 / 0.2e1 * t3980 * t3211 * t1746 * t17765 + t17561 * t4685 / 0.2e1 + t17561 * t4668 / 0.2e1 - t9476 * t36315 / 0.3e1 - 0.3e1 * t10768 * t7443 + 0.3e1 / 0.2e1 * t17561 * t4676 + t17561 * t4679 / 0.2e1 - 0.2e1 * t11652 * t17606 * t19641 - t13326 * t4682 / 0.2e1 - 0.3e1 * t2022 * t15161 * t36329 + t17454 * t5614 - 0.3e1 / 0.2e1 * t11669 * t36334 - t17444 * t5616 / 0.2e1;
  t36347 = t6845 - t30784 + t28769 - t34727 - t34728 + t34729 + t34730 + t34731 + t34737 + t7122 + t34744 + t30843 - t30850 - t30852 + 0.89e2 / 0.9e1 * t19635 * t17701 * t35127 + 0.7e1 / 0.3e1 * t4482 * t18023;
  t36351 = t1539 * t8446 * t205;
  t36377 = 0.9e1 / 0.2e1 * t4482 * t18833 + 0.3e1 / 0.2e1 * t11419 * t14912 * t36351 - 0.43e2 / 0.9e1 * t19635 * t17706 * t1733 * t35099 - 0.3e1 / 0.2e1 * t4482 * t18981 - 0.2e1 * t4503 * t1968 * t35533 + t9576 * t7491 / 0.6e1 + t18648 * t7495 / 0.2e1 - t13745 * t7147 / 0.18e2 - t32290 - t32292 - t32294 - t32297 + t6941 - t6947 + t1397 * t2956 * t34836 / 0.2e1 - 0.6e1 * t2004 * t15164 * t145 * t35099;
  t36386 = t10547 * t7285;
  t36389 = t1996 * t35690;
  t36414 = -t2004 * t877 * t34896 - 0.3e1 / 0.2e1 * t2004 * t263 * t34825 - t12631 * t7480 / 0.6e1 - t2471 * t36386 / 0.6e1 - t2471 * t36389 / 0.6e1 - t2471 * t32243 / 0.6e1 + t12631 * t7485 / 0.3e1 + t2471 * t19708 / 0.3e1 + t2471 * t19732 / 0.3e1 + t2471 * t19755 / 0.3e1 + 0.3e1 / 0.2e1 * t10516 * t7477 + 0.3e1 / 0.2e1 * t2004 * t15161 * t7476 + 0.3e1 / 0.2e1 * t2004 * t3211 * t34990 + 0.3e1 / 0.2e1 * t2004 * t3211 * t1756 * t17765 + t34759 + t34762;
  t36446 = -t34763 - t34764 - 0.3e1 * t2022 * t3211 * t1751 * t17765 - 0.3e1 * t10516 * t7447 - t4503 * t34530 / 0.2e1 - t3162 * t34581 / 0.6e1 + 0.5e1 / 0.12e2 * t4482 * t10615 * t35533 - 0.35e2 / 0.108e3 * t19635 * t17706 * t35123 + 0.5e1 / 0.18e2 * t4482 * t10615 * t35113 + t2874 * t1974 * t35138 / 0.6e1 + t4503 * t1962 * t35537 / 0.2e1 - 0.5e1 / 0.6e1 * t4503 * t1974 * t35113 - t2874 * t10706 * t35524 / 0.2e1 + t30873 + t30883 - t30901;
  t36474 = -0.3e1 * t15841 * t5574 - t15841 * t5265 - t1397 * t2956 * t7039 / 0.4e1 + t3168 * t34570 / 0.2e1 + t3162 * t34565 / 0.3e1 + t30935 - t32671 - t610 * t5320 / 0.2e1 - t2816 * t1111 / 0.2e1 - t719 * t4557 / 0.2e1 - t719 * t4560 / 0.2e1 - t2816 * t1114 / 0.4e1 - t22 * t4186 * t288 / 0.4e1 - t32681 - t32685;
  t36477 = t10706 * t500 * t5577 * t929;
  t36480 = t10594 * t7285;
  t36483 = t1962 * t35690;
  t36495 = t32694 - t3747 + t3749 - t34824 + 0.2e1 / 0.3e1 * t9476 * t36477 - t34840 - t34841 - t34842 - t34843 - t2471 * t36480 / 0.12e2 - t2471 * t36483 / 0.12e2 - t2471 * t31567 / 0.12e2 - t10516 * t7295 - t9576 * t7278 / 0.6e1 + t4503 * t33212 / 0.2e1 + t3162 * t35028 / 0.6e1;
  t36514 = t1974 * t35825;
  t36534 = -t3162 * t30697 / 0.6e1 - t3168 * t30688 / 0.6e1 + t2874 * t30691 / 0.12e2 + 0.23e2 / 0.36e2 * t4482 * t29726 * t5550 + t2874 * t17821 / 0.3e1 - t4510 * t34435 / 0.2e1 - t3162 * t34440 / 0.6e1 - 0.2e1 / 0.3e1 * t2874 * t17811 - t3933 * t36514 / 0.2e1 - 0.23e2 / 0.12e2 * t4482 * t10615 * t18059 + 0.23e2 / 0.36e2 * t4482 * t3965 * t18022 - 0.11e2 / 0.18e2 * t4482 * t3961 * t35537 + t2874 * t34398 / 0.12e2 + t3168 * t34401 / 0.12e2 - t3162 * t34693 / 0.6e1 - t3168 * t33091 / 0.6e1;
  t36538 = t318 * t17941 * t775;
  t36545 = t21332 * t4194;
  t36548 = t35567 * t3935;
  t36553 = t21321 * t4202;
  t36566 = t500 * t36066;
  t36574 = -0.11e2 / 0.54e2 * t19605 * t7368 - t34864 - t34867 - t127 * t36538 / 0.12e2 + t4308 * t781 / 0.4e1 - t9576 * t7281 / 0.12e2 + t2471 * t36545 / 0.6e1 - 0.5e1 / 0.36e2 * t3933 * t36548 - t12661 * t7480 / 0.18e2 - t2471 * t36553 / 0.12e2 + t2471 * t31679 / 0.12e2 + t2511 * t32935 / 0.12e2 + t1397 * t2951 * t34549 / 0.2e1 - 0.3e1 / 0.2e1 * t2004 * t3227 * t34537 + 0.2e1 * t11652 * t1974 * t36566 + 0.6e1 * t2004 * t15157 * t9997 * t35099;
  t36580 = t1259 * t205;
  t36581 = t371 * t36580;
  t36592 = t303 * t1264 * t929;
  t36600 = t1733 * t36210;
  t36612 = -t34890 - t34891 + t34892 - t34893 - t4482 * t10662 * t7367 / 0.2e1 + 0.3e1 * t2011 * t14991 * t36581 - 0.38e2 / 0.9e1 * t19635 * t10615 * t35123 - t4482 * t1974 * t35537 / 0.2e1 + t1397 * t2951 * t36592 / 0.2e1 - 0.6e1 * t2022 * t3214 * t1756 * t18058 + 0.18e2 * t29479 * t3965 * t36600 - 0.3e1 / 0.2e1 * t2004 * t3227 * t404 * t18058 + t2874 * t34624 / 0.6e1 - t2874 * t34608 / 0.2e1 - t30995;
  t36622 = t17831 * t4598;
  t36630 = t31003 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 - t32816 + t11676 * t7315 + t11676 * t7318 / 0.3e1 + 0.7e1 / 0.9e1 * t19605 * t7461 - t19605 * t7458 / 0.6e1 - t13740 * t7162 / 0.9e1 + t1978 * t36622 / 0.6e1 + t1993 * t24568 / 0.12e2 + t2004 * t877 * t34486 / 0.2e1;
  t36661 = t10516 * t7300 / 0.2e1 + t2004 * t875 * t7130 / 0.2e1 + t2004 * t263 * t34847 / 0.2e1 + t2004 * t263 * t34851 / 0.2e1 - t9509 * t7278 / 0.2e1 - t4482 * t33777 / 0.2e1 - t2004 * t877 * t34545 - t1397 * t5387 * t18064 - t2004 * t881 * t33722 / 0.2e1 - t2004 * t881 * t33727 / 0.2e1 - t13840 * t7162 / 0.3e1 + t34925 - t2874 * t34734 / 0.3e1 - t31071 - t31074 + t31078;
  t36683 = t8558 * t205;
  t36684 = t1395 * t36683;
  t36691 = t31082 - 0.7e1 / 0.3e1 * t11669 * t10832 * t36566 - t1397 * t2943 * t34975 / 0.2e1 - 0.5e1 / 0.3e1 * t4503 * t1968 * t35113 - t2874 * t11691 * t35524 + 0.11e2 / 0.9e1 * t4482 * t10832 * t35113 + t2874 * t1968 * t35138 / 0.3e1 + t4510 * t34584 / 0.2e1 + t3162 * t34587 / 0.3e1 - t7165 - t7166 - t7167 - t32853 - t32855 - 0.2e1 * t11652 * t1962 * t36684 + 0.3e1 / 0.2e1 * t1397 * t24093 * t18855;
  t36712 = t371 * t1272 * t205;
  t36719 = t1539 * t36580;
  t36733 = t500 * t36078;
  t36734 = t1974 * t36733;
  t36745 = t1397 * t5241 * t18860 / 0.2e1 - 0.18e2 * t2022 * t15157 * t9992 * t35099 + t2011 * t5387 * t18976 + 0.6e1 * t2004 * t3214 * t1879 * t18058 - 0.28e2 * t29479 * t3961 * t36211 - 0.3e1 * t1397 * t14991 * t36712 + 0.47e2 / 0.3e1 * t29946 * t10615 * t36211 + 0.3e1 / 0.2e1 * t1397 * t14912 * t36719 - 0.6e1 * t19680 * t1996 * t35123 - 0.3e1 / 0.2e1 * t2004 * t3227 * t404 * t35108 - t2004 * t877 * t1883 * t18357 + 0.1e2 / 0.3e1 * t11652 * t36734 - 0.9e1 / 0.2e1 * t3980 * t3211 * t9992 * t18058 + 0.8e1 * t29946 * t17706 * t3978 * t36210 - t34934;
  t36750 = t3965 * t2009 * t35824;
  t36758 = t169 * t21467;
  t36759 = t1974 * t36758;
  t36762 = t3965 * t35825;
  t36766 = t1539 * t8451 * t205;
  t36781 = -t34935 - 0.3e1 * t2011 * t24097 * t17986 - 0.3e1 / 0.2e1 * t3933 * t36750 + 0.3e1 / 0.2e1 * t11419 * t24097 * t18282 + t2471 * t32910 / 0.12e2 + t2471 * t36759 / 0.6e1 - 0.5e1 / 0.36e2 * t3933 * t36762 - 0.3e1 * t2011 * t14912 * t36766 - 0.62e2 / 0.3e1 * t29946 * t17701 * t36600 + 0.9e1 * t2022 * t3211 * t9997 * t18058 - t31170 - 0.2e1 * t4503 * t18998 + t32928 + t10556 * t7297 / 0.6e1 + t32930 + t32932;
  t36787 = t1974 * t500 * t256 * t7037;
  t36803 = t8558 * t929;
  t36805 = t1974 * t1395 * t36803;
  t36816 = t1404 * t36758;
  t36819 = t1962 * t35825;
  t36822 = t10832 * t36733;
  t36825 = -t32934 - t32959 + t32961 + t12667 * t7286 / 0.18e2 - t9476 * t36787 / 0.3e1 - t2485 * t32918 / 0.6e1 - t2511 * t32907 / 0.6e1 + 0.11e2 / 0.6e1 * t4482 * t10832 * t35533 + t1397 * t5241 * t15984 / 0.2e1 + t1397 * t5245 * t15988 / 0.2e1 - t9476 * t36805 / 0.3e1 + 0.5e1 * t2004 * t3214 * t1879 * t35108 + 0.3e1 * t2004 * t881 * t10277 * t18357 - t2485 * t36816 / 0.6e1 + t3956 * t36819 / 0.2e1 - 0.14e2 / 0.3e1 * t11669 * t36822;
  t36827 = t1440 * t1272 * t929;
  t36855 = -t1397 * t2943 * t36827 + t32974 - t3829 - t3852 + t3867 + t654 * t6795 / 0.36e2 + t2600 * t7329 / 0.18e2 - t3322 * t1061 / 0.12e2 + t2927 * t7360 / 0.6e1 + t785 * t318 * t36096 / 0.6e1 + t785 * t35065 / 0.6e1 + t259 * t33120 / 0.12e2 + t259 * t33124 / 0.12e2 - 0.3e1 * t19680 * t1962 * t35123 - t4503 * t1974 * t35533 - 0.2e1 * t19635 * t10832 * t35123;
  t36887 = t1968 * t36758;
  t36890 = -0.3e1 / 0.2e1 * t2004 * t3211 * t34329 - 0.3e1 / 0.2e1 * t3980 * t3211 * t34938 + 0.3e1 * t2022 * t3211 * t34347 + 0.3e1 / 0.2e1 * t1397 * t24097 * t17991 - 0.6e1 * t17713 * t15157 * t10075 * t35099 + 0.18e2 * t3980 * t15157 * t10080 * t35099 - t31200 - t7266 + t7267 - t7268 + t7269 + t35017 - t2004 * t881 * t33565 / 0.2e1 - t379 * t7403 / 0.4e1 - 0.9e1 / 0.2e1 * t2004 * t3211 * t10242 * t18058 + t2471 * t36887 / 0.3e1;
  t36924 = t4503 * t1996 * t35537 + 0.4e1 * t4503 * t18988 - 0.2e1 / 0.3e1 * t2471 * t21469 + 0.5e1 / 0.3e1 * t19608 * t3965 * t35123 - t2874 * t34534 / 0.4e1 + 0.5e1 / 0.36e2 * t4482 * t34555 + t2874 * t34560 / 0.12e2 - t2874 * t34573 / 0.6e1 - t3168 * t34578 / 0.6e1 - t2900 * t7348 / 0.18e2 - t791 * t33832 / 0.6e1 - t791 * t30068 / 0.6e1 + t2998 * t6983 / 0.3e1 + t791 * t17973 / 0.3e1 + t791 * t18847 / 0.3e1 + t233 * t32002 / 0.12e2;
  t36930 = t548 * t35356;
  t36958 = t548 * t35257;
  t36961 = t233 * t32012 / 0.12e2 - t2529 * t7334 / 0.12e2 - t671 * t36930 / 0.12e2 + t666 * t32132 / 0.6e1 - 0.2e1 / 0.3e1 * t20613 * t7364 + t13840 * t7140 / 0.12e2 + t2874 * t34492 / 0.12e2 + t2874 * t34497 / 0.12e2 + t2874 * t34500 / 0.12e2 + t19631 * t7504 / 0.2e1 + t4503 * t10594 * t7367 / 0.2e1 + t233 * t20003 / 0.12e2 - t5513 * t637 / 0.2e1 - t5513 * t641 / 0.4e1 + t5513 * t627 / 0.4e1 - t546 * t36958 / 0.12e2;
  t36974 = t414 * t35108;
  t36979 = t414 * t35099;
  t36992 = t32329 - t32333 - t29110 - t29112 - t33837 - t33838 + t33839 - t33840 - t29136 - t33841 + 0.6e1 * t15349 * t36974 - 0.2e1 * t15344 * t34156 + 0.36e2 * t20037 * t36979 - 0.2e1 * t3197 * t34202 + 0.2e1 * t3200 * t34207 + 0.2e1 * t4349 * t34259 + t3197 * t34262 / 0.3e1 + 0.2e1 * t15344 * t34280;
  t36998 = t5447 * t3481;
  t37006 = t5447 * t530;
  t37021 = -t15349 * t1857 * t18058 / 0.6e1 - t33905 - t33917 - 0.4e1 * t3197 * t34275 - 0.4e1 * t3197 * t427 * t36998 + 0.6e1 * t20108 * t7546 + 0.6e1 * t4365 * t34125 + 0.6e1 * t4365 * t149 * t37006 + 0.2e1 * t15357 * t7549 + 0.2e1 * t3200 * t33974 + 0.2e1 * t3200 * t149 * t36998 + 0.2e1 * t20022 * t7523 + 0.2e1 * t4360 * t34062 + t30265 + t30269 - t30272 - t30285 + t30288;
  t37033 = t414 * t18058;
  t37036 = t414 * t37006;
  t37041 = t30291 - t30297 + t33949 + t33950 + t33951 - t33955 - 0.36e2 * t20052 * t427 * t35099 - 0.12e2 * t15352 * t427 * t18058 - 0.6e1 * t15352 * t34153 - 0.3e1 * t15344 * t34120 + 0.9e1 * t15349 * t37033 + t33956 + t33957 + t33958 + t33959 - t33960 + 0.2e1 * t4360 * t37036 + 0.2e1 / 0.3e1 * t15368 * t7554;
  t37064 = t1857 * t35099;
  t37076 = t33961 + 0.2e1 / 0.3e1 * t3197 * t34220 - t33962 - t33963 - t33964 + 0.2e1 / 0.3e1 * t3197 * t414 * t36998 - t20121 * t7557 / 0.9e1 - t4344 * t34240 / 0.9e1 - t4344 * t1857 * t37006 / 0.9e1 + 0.4e1 * t15352 * t34150 + 0.2e1 * t15341 * t34169 + 0.3e1 * t20269 * t34172 + 0.4e1 / 0.3e1 * t15344 * t34175 + 0.8e1 * t15352 * t37033 - 0.2e1 / 0.3e1 * t20037 * t37064 + 0.4e1 * t15344 * t414 * t18357 - t15349 * t1857 * t35108 / 0.9e1 + 0.12e2 * t20254 * t149 * t35099;
  t37094 = t1845 * t35099;
  t37110 = 0.3e1 * t15338 * t149 * t18058 + 0.24e2 * t20052 * t36979 + 0.3e1 * t15338 * t149 * t35108 + 0.2e1 * t15341 * t149 * t18357 + 0.3e1 * t15338 * t34210 + 0.3e1 * t15349 * t34150 - 0.12e2 * t20045 * t37094 - 0.1e2 * t15352 * t427 * t35108 - 0.6e1 * t15344 * t427 * t18357 - 0.2e2 / 0.3e1 * t15349 * t1845 * t35108 + 0.2e2 / 0.3e1 * t15352 * t36974 + 0.2e1 * t15341 * t34164 - t32369 + t33965 - t29302 - t33966 - t33967 - t32393;
  t37113 = t16829 * t35108;
  t37116 = 0.4e1 * t15344 * t34046 - 0.12e2 * t15349 * t37113 - t32394 - t32396 + t32401 + t32404 - t32422 + t32425 - t32439 + t32441 + t33982 - t6483 + t6490 + t6492 + t6862 - t6865 + t6869 + t7174;
  t37155 = -t32482 + 0.1e2 / 0.3e1 * t20045 * t10457 * t35099 - 0.2e1 * t15368 * t7234 - 0.2e1 * t3197 * t34234 - 0.2e1 * t3197 * t34237 - 0.1e2 / 0.3e1 * t15349 * t34049 + 0.6e1 * t20121 * t7523 + 0.6e1 * t4344 * t34062 + 0.6e1 * t4344 * t37036 + 0.5e2 / 0.3e1 * t20045 * t37064 - 0.12e2 * t20022 * t7526 - 0.12e2 * t4360 * t34178 - 0.12e2 * t4360 * t427 * t37006 - 0.4e2 * t20037 * t37094 - 0.2e1 / 0.3e1 * t20121 * t7518 - 0.2e1 / 0.3e1 * t4344 * t34191 - 0.2e1 / 0.3e1 * t4344 * t1845 * t37006 - 0.4e1 * t15368 * t7543;
  t37165 = t1240 * t3481;
  t37173 = t1240 * t530;
  t37178 = -t15349 * t34283 / 0.18e2 - 0.1e2 * t15349 * t1845 * t18058 + t3197 * t34131 / 0.3e1 + t3197 * t34226 / 0.3e1 - t34001 - t34003 - t30362 - t30367 + t30370 + t30375 + t30378 + t32495 - t7214 - 0.4e1 / 0.3e1 * t881 * t1756 * t37165 - 0.3e1 * t15201 * t7570 - 0.3e1 * t3227 * t33888 - 0.3e1 * t3227 * t145 * t37173 - t3246 * t7573;
  t37212 = 0.2e1 * t881 * t1879 * t37165 - 0.4e1 / 0.3e1 * t3220 * t7567 - 0.4e1 / 0.3e1 * t881 * t34080 - t263 * t33993 - t263 * t33999 - 0.4e1 * t15198 * t7577 + 0.2e1 * t3220 * t7564 + 0.2e1 * t881 * t33926 - t877 * t33987 - t877 * t33989 - t875 * t7212 + t881 * t33851 - 0.3e1 * t15161 * t7535 - 0.3e1 * t3211 * t34298 - 0.3e1 * t3211 * t1756 * t37173 + 0.6e1 * t15198 * t7531 + 0.6e1 * t3214 * t34304 + t32519;
  t37213 = -t32521 + t32533 + t32537 + t30413 - t30432 - t30440 - t30442 - t3609 - t3610 - t3614 + t3625 - t30491 + t32553 - t32558 + t34141 + t34142 + t34143 - t6890;
  t37226 = t6898 - t6900 - t6532 + t6543 - t6546 + t7220 - t7221 - t6330 - t7222 + t32571 + t32574 + 0.6e1 * t3214 * t409 * t37173 + t3220 * t7182 + t881 * t33848 - 0.2e1 / 0.3e1 * t881 * t33864 - 0.2e1 / 0.3e1 * t3220 * t7204 + t881 * t34291 - t877 * t33918;
  t37230 = -t37165 * t404 * t877 - t33896 * t877 + t30550 - t30555 - t30560 + t30564 - t34160 + t34206 + t34255 + t34266 + t3688 + t3690 - t3697 + t3704 + t6375 - t6390 + t7238 + t7239;
  t37259 = -t3246 * t7209 - t263 * t34145 - t875 * t7202 + t29404 - t34267 - 0.2e1 / 0.3e1 * t881 * t33869 - 0.2e1 / 0.3e1 * t881 * t33872 + 0.1e2 / 0.3e1 * t15161 * t7586 + 0.1e2 / 0.3e1 * t3211 * t1751 * t37173 + 0.1e2 / 0.3e1 * t3211 * t33911 + t30593 - t30602 + t30606 - 0.4e1 * t3214 * t400 * t37173 - 0.4e1 * t3214 * t34071 + t15161 * t7580 / 0.18e2 + t3211 * t1746 * t37173 / 0.18e2 + t3211 * t34065 / 0.18e2;
  t37260 = t19504 * t35099;
  t37265 = t16829 * t35099;
  t37268 = t16829 * t18058;
  t37305 = -t32617 - t32619 + 0.8e1 * t20037 * t37260 + 0.2e1 / 0.3e1 * t15349 * t34017 - 0.72e2 * t20037 * t37265 - 0.18e2 * t15349 * t37268 + 0.72e2 * t20052 * t16824 * t35099 + 0.24e2 * t15352 * t16824 * t18058 + 0.2e1 * t15349 * t19504 * t18058 - 0.4e1 / 0.3e1 * t20045 * t10457 * t62 * t35099 + 0.12e2 * t15352 * t34020 + 0.6e1 * t15344 * t34023 + 0.2e2 * t15352 * t16824 * t35108 + 0.12e2 * t15344 * t16824 * t18357 + 0.4e1 / 0.3e1 * t15349 * t19504 * t35108 - 0.24e2 * t20254 * t16820 * t35099 - 0.6e1 * t15338 * t16820 * t18058 - 0.12e2 * t20052 * t37265;
  t37332 = t19510 * t35099;
  t37350 = -0.2e1 * t15352 * t34014 - 0.4e1 * t15341 * t34030 - 0.6e1 * t20269 * t34035 - 0.2e1 / 0.3e1 * t15344 * t34038 - t15344 * t34041 - 0.6e1 * t15338 * t34043 - 0.4e1 * t15341 * t34010 + 0.2e1 / 0.9e1 * t15349 * t19510 * t35108 + t15349 * t19510 * t18058 / 0.3e1 + t15349 * t34026 / 0.9e1 - t20045 * t19411 * t62 * t35099 / 0.9e1 + 0.4e1 / 0.3e1 * t20037 * t37332 - 0.2e1 * t15344 * t16829 * t18357 - 0.4e1 * t15341 * t16820 * t18357 - 0.1e2 / 0.3e1 * t15352 * t37113 - 0.4e1 * t15352 * t37268 - 0.6e1 * t15338 * t16820 * t35108 + 0.2e1 * t4349 * t34090;
  t37374 = 0.2e1 * t4349 * t34094 + t15368 * t7231 / 0.3e1 + 0.2e1 * t3200 * t34084 + 0.2e1 * t20126 * t7228 + 0.2e1 * t15357 * t7224 + 0.2e1 * t3200 * t34231 - t962 - t263 * t33885 + t34295 + 0.24e2 * t20045 * t37260 + 0.8e1 / 0.3e1 * t20045 * t37332 - 0.6e1 * t15349 * t34014 + t29415 + t34296 + t34297 + t943 + t875 * t7241 / 0.2e1 - t29440 + t263 * t33984 / 0.2e1;
  t37383 = t555 * t35356;
  t37398 = -t208 * t24520 / 0.12e2 - t233 * t21545 / 0.12e2 + t785 * t29846 / 0.6e1 + t259 * t18970 / 0.12e2 - t671 * t31606 / 0.12e2 + t2248 * t1274 / 0.6e1 - t35081 + t3869 - t22 * t59 * (t36992 + t37021 + t37041 + t37076 + t37110 + t37116 + t37155 + t37178 + t37212 + t37213 + t37226 + t37230 + t37259 + t37305 + t37350 + t37374) * t96 / 0.4e1 - t671 * t37383 / 0.6e1 - t671 * t31353 / 0.6e1 + t2529 * t7425 / 0.3e1 + t671 * t19831 / 0.3e1 + t671 * t20929 / 0.3e1 - t791 * t29841 / 0.12e2 - t259 * t17943 / 0.12e2;
  t37405 = my_piecewise3(t3, 0, t36018 + t35137 + t36474 + t36534 + t36961 + t36855 + t36924 + t36339 + t36292 + t36890 + t36261 + t35850 + t36288 + t35152 + t35237 + t36171 + t35221 + t36347 + t35339 + t35694 + t36377 + t36745 + t36087 + t35266 + t35374 + t35459 + t35303 + t35486 + t35408 + t35756 + t36574 + t36630 + t35616 + t35791 + t36049 + t35207 + t36825 + t36446 + t35518 + t35653 + t35986 + t35434 + t36691 + t35917 + t35573 + t36661 + t36301 + t35724 + t36136 + t36228 + t35918 + t36194 + t35837 + t35953 + t35172 + t35528 + t36781 + t35886 + t36119 + t36248 + t36612 + t36495 + t37398 + t36414);
  tv4rhosigmalapltau0 = 0.2e1 * rho[0] * t37405 + 0.2e1 * t7600;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 0] += tv4rhosigmalapltau0;

  t37433 = -t2011 * t6152 * t3528 - t2011 * t25906 * t1052 - t2011 * t25879 * t1052 - t4510 * t36035 - t3162 * t36038 / 0.3e1 + 0.2e1 * t27191 * t28041 - 0.23e2 / 0.18e2 * t26697 * t28047 - 0.4e1 / 0.3e1 * t2874 * t21407 - t2874 * t31555 / 0.6e1 + t3168 * t20566 / 0.6e1 + 0.2e1 / 0.3e1 * t2874 * t21336 - 0.3e1 * t4482 * t20639 + 0.9e1 / 0.2e1 * t26697 * t10761;
  t37436 = t26003 * t539;
  t37437 = t548 * t37436;
  t37442 = t318 * t37436;
  t37450 = t2042 * t2450 * t25758;
  t37461 = t31261 / 0.9e1;
  t37462 = -t2874 * t36205 / 0.3e1 - t546 * t37437 / 0.12e2 - 0.2e1 / 0.3e1 * t1297 * t11817 + t538 * t37442 / 0.6e1 + t208 * t26357 / 0.12e2 - t2452 * t5777 + t2452 * t5786 - 0.3e1 / 0.2e1 * t15454 * t37450 - t2452 * t5789 / 0.2e1 - t27831 * t1002 / 0.6e1 + 0.23e2 / 0.36e2 * t5911 * t28329 + 0.2e1 / 0.3e1 * t791 * t19837 - t37461;
  t37464 = 0.2e1 / 0.9e1 * t31263;
  t37465 = 0.11e2 / 0.9e1 * t31291;
  t37466 = t31293 / 0.3e1;
  t37467 = 0.2e1 * t31295;
  t37469 = t31346 / 0.6e1;
  t37470 = t31348 / 0.6e1;
  t37474 = t5748 * t205;
  t37475 = t169 * t37474;
  t37479 = t37464 + t33036 - t37465 - t37466 + t37467 + t9509 * t7804 + t37469 - t37470 + 0.3e1 / 0.2e1 * t162 * t5763 * t3553 - t33086 - t33087 - t33088 + t2874 * t1968 * t37475 / 0.6e1;
  t37482 = t1304 * t530;
  t37487 = t21321 * t4598;
  t37492 = t21274 * t4598;
  t37499 = t31371 - t31374 + t33104 + t33105 - t33106 - t33107 + t10516 * t7818 / 0.2e1 + t2004 * t877 * t404 * t37482 / 0.2e1 - t1961 * t37487 / 0.6e1 + t1993 * t26877 / 0.6e1 + t1978 * t37492 / 0.3e1 - t14865 * t4671 / 0.2e1 + 0.3e1 * t35869 * t4440;
  t37506 = 0.3e1 * t31403;
  t37509 = 0.2e1 * t31409;
  t37510 = 0.6e1 * t31416;
  t37511 = 0.2e1 * t31419;
  t37514 = -0.2e1 / 0.9e1 * t5969 * t6193 + t21068 * t4452 - t21072 * t4741 - t37506 - t31406 - t13740 * t7480 / 0.9e1 + t37509 - t37510 - t37511 - t10556 * t7847 / 0.6e1 + t33108 + t33112 - t33113;
  t37515 = t911 * t6023;
  t37516 = t37515 / 0.12e2;
  t37517 = t96 * t20536;
  t37534 = t379 * t7868;
  t37535 = t37534 / 0.4e1;
  t37536 = -t33114 - t31431 + t37516 + 0.2e1 * t4503 * t1996 * t37517 + 0.23e2 / 0.36e2 * t26697 * t33771 - t14865 * t4682 + t21072 * t4679 + t5713 * t3791 / 0.2e1 + t1297 * t28305 / 0.6e1 + t5713 * t4034 / 0.2e1 - t379 * t7876 - t162 * t5785 * t28525 - t37535;
  t37539 = t162 * t3517 * t5846;
  t37540 = t37539 / 0.4e1;
  t37566 = -0.4e1 * t4685 - 0.4e1 * t4668 - 0.4e1 / 0.3e1 * t5826 * t15902 - 0.8e1 * t5826 * t18064 + 0.12e2 * t26290 * t18855 + 0.4e1 * t5823 * t18860 - 0.8e1 * t26284 * t17995 - 0.8e1 / 0.3e1 * t5826 * t18976 + 0.16e2 / 0.9e1 * t26305 * t18282 + 0.4e1 * t5823 * t15984 + 0.4e1 * t5829 * t15988 - t28847 - t28850;
  t37582 = 0.4e1 * t1057 * t26310 - 0.4e1 * t1065 * t26255 + 0.4e1 * t1065 * t26296 + 0.2e1 * t265 * t3755 - 0.4e1 * t3544 * t5841 + 0.4e1 * t3553 * t5836 + 0.2e1 * t889 * t990 + t28853 + t28891 + t28893 + t28913 - t28916 + 0.8e1 * t4674;
  t37606 = 0.4e1 * t5826 * t3544 - 0.12e2 * t4676 - 0.4e1 * t4679 - 0.4e1 / 0.3e1 * t4692 + 0.2e2 / 0.9e1 * t4440 - 0.4e1 * t26316 * t1057 - 0.4e1 * t5823 * t3553 + 0.4e1 / 0.3e1 * t26296 * t1052 + 0.4e1 / 0.3e1 * t5826 * t3528 - 0.2e1 * t26319 * t990 + 0.2e1 / 0.3e1 * t15605 * t5817 + 0.2e1 / 0.3e1 * t3478 * t5776 - 0.2e1 * t5829 * t3755;
  t37621 = -0.2e1 / 0.3e1 * t4452 + 0.24e2 * t4447 + 0.4e1 * t4741 - 0.12e2 * t4594 + 0.4e1 / 0.3e1 * t4444 - 0.4e1 * t4689 + t28933 - 0.24e2 * t26284 * t18069 + 0.32e2 / 0.3e1 * t26305 * t17986 - 0.4e1 * t5826 * t17230 + 0.12e2 * t26305 * t17991 + t6212 - t6224;
  t37623 = t37566 + t37582 + t37606 + t37621;
  t37635 = t31459 / 0.2e1;
  t37640 = t608 * t25758;
  t37641 = t2218 * t37640;
  t37644 = -t37540 - t379 * t7873 / 0.4e1 - t162 * t2896 * t7872 / 0.4e1 - t162 * t767 * t303 * t137 * t37623 / 0.4e1 - t387 * t7873 / 0.12e2 - 0.5e1 / 0.108e3 * t25859 * t7117 - 0.11e2 / 0.18e2 * t5911 * t27956 - t33154 - t33163 - t37635 - t22 * t4429 * t288 / 0.2e1 - t610 * t5918 + 0.7e1 / 0.3e1 * t15454 * t37641;
  t37648 = t7816 * t122;
  t37666 = 0.2e1 / 0.3e1 * t31487;
  t37672 = t610 * t5920 / 0.2e1 + t610 * t5853 + t2004 * t881 * t10277 * t37648 + 0.6e1 * t2011 * t26864 * t17995 - 0.6e1 * t1397 * t26864 * t18069 + t2011 * t6152 * t15902 - t1397 * t6152 * t17230 + 0.2e1 * t4503 * t35957 + t2874 * t32771 / 0.3e1 + t37666 - t31491 + 0.23e2 / 0.18e2 * t4482 * t35568 - t2004 * t877 * t1883 * t37648;
  t37676 = t7816 * t312;
  t37683 = t10706 * t500 * t6157 * t929;
  t37687 = t1416 * t1363 * t929;
  t37697 = t7806 * t122;
  t37713 = t1289 * t205;
  t37714 = t1733 * t37713;
  t37721 = -0.3e1 / 0.2e1 * t2004 * t263 * t10295 * t37676 + 0.2e1 / 0.3e1 * t9476 * t37683 + t1397 * t2956 * t37687 / 0.2e1 + t26510 * t1010 / 0.3e1 - t3322 * t1114 / 0.6e1 - t3322 * t1111 / 0.3e1 + 0.3e1 * t2022 * t3211 * t9997 * t37697 - 0.3e1 / 0.2e1 * t2004 * t3211 * t10242 * t37697 + t1397 * t25906 * t1065 + t1397 * t25879 * t1065 - 0.3e1 / 0.2e1 * t2004 * t6059 * t3820 - 0.62e2 / 0.3e1 * t29946 * t17701 * t37714 - 0.3e1 * t2011 * t26148 * t6978;
  t37754 = -0.6e1 * t2022 * t3211 * t1751 * t20536 + 0.9e1 * t2022 * t6044 * t33040 + 0.8e1 * t29946 * t17706 * t3978 * t37713 + 0.3e1 / 0.2e1 * t11419 * t26148 * t6993 - t2874 * t32243 / 0.3e1 - t2874 * t36389 / 0.3e1 - 0.11e2 / 0.54e2 * t25859 * t6997 - 0.2e1 / 0.3e1 * t26510 * t1016 - t5969 * t2258 / 0.36e2 + t5969 * t2447 / 0.9e1 + t20783 * t274 / 0.6e1 + t26889 * t223 / 0.12e2 + t1292 * t2253 / 0.6e1;
  t37782 = -t813 * t4737 / 0.6e1 - t259 * t20835 / 0.6e1 - t1297 * t10938 / 0.6e1 - t1297 * t11061 / 0.12e2 + t4722 * t829 / 0.2e1 + t1297 * t11024 / 0.3e1 + t20840 * t274 / 0.2e1 + t5985 * t631 / 0.4e1 - t10926 * t1352 / 0.6e1 - t806 * t4737 / 0.18e2 - t5969 * t2443 / 0.18e2 + t5974 * t569 / 0.18e2 + t26801 * t223 / 0.4e1;
  t37793 = t138 * t7763;
  t37798 = t106 * t158 * t7761 * t159;
  t37807 = -t533 * t5963 / 0.12e2 - t208 * t26722 / 0.12e2 - t10949 * t1352 / 0.2e1 + t2243 * t1368 / 0.2e1 - t2243 * t1360 / 0.2e1 - t127 * t37793 / 0.12e2 + t37798 * t166 / 0.4e1 + t2248 * t1368 / 0.6e1 - t525 * t5963 / 0.36e2 - t2248 * t1360 / 0.6e1 + t33421 + t33422 - t33423;
  t37812 = t31503 / 0.3e1;
  t37813 = t31505 / 0.18e2;
  t37826 = t31521 / 0.3e1;
  t37827 = -t33424 + t33427 + t33428 - t791 * t31606 / 0.6e1 - t37812 - t37813 - t791 * t32278 / 0.6e1 - t387 * t7660 - t1763 * t7657 + t259 * t305 * t2156 * t6021 / 0.12e2 + t813 * t7635 / 0.12e2 + t813 * t7613 / 0.12e2 + t37826;
  t37828 = t31523 / 0.3e1;
  t37843 = t96 * t37482;
  t37850 = t5844 * t205;
  t37851 = t96 * t37850;
  t37857 = t96 * t21405;
  t37861 = t37828 - t13856 * t7833 / 0.6e1 - t2874 * t36480 / 0.6e1 - t2874 * t36483 / 0.6e1 - t2874 * t31567 / 0.6e1 - t13840 * t7291 / 0.6e1 + t3168 * t31674 / 0.6e1 + t13740 * t7840 / 0.36e2 + t2874 * t1974 * t37843 / 0.12e2 + t2874 * t10662 * t7807 / 0.12e2 + t2874 * t1974 * t37851 / 0.12e2 + t13840 * t7840 / 0.12e2 - t3162 * t1404 * t37857 / 0.3e1;
  t37863 = t908 * t1304;
  t37865 = t1974 * t500 * t37863;
  t37866 = t9476 * t37865;
  t37867 = t37866 / 0.3e1;
  t37868 = t31544 / 0.6e1;
  t37873 = t548 * t4720 * t3084;
  t37887 = -t37867 - t37868 - t31546 - t33431 + t31549 - t4722 * t764 - t4722 * t768 / 0.2e1 + 0.2e1 / 0.3e1 * t1641 * t37873 + t4722 * t772 / 0.2e1 - t27191 * t28432 / 0.2e1 + 0.5e1 / 0.18e2 * t26697 * t28427 + t27191 * t28421 / 0.6e1 + 0.3e1 / 0.2e1 * t1397 * t26835 * t1057;
  t37891 = t500 * t37713;
  t37917 = -0.3e1 / 0.2e1 * t2004 * t6059 * t4258 + 0.12e2 * t33015 * t1962 * t37891 + 0.3e1 * t2004 * t3227 * t145 * t20536 - 0.6e1 * t2004 * t27437 * t4254 - t1397 * t27334 * t6185 - t806 * t4579 / 0.18e2 - 0.2e1 * t5713 * t3503 - 0.11e2 / 0.18e2 * t5911 * t33184 - 0.11e2 / 0.18e2 * t5911 * t29050 + 0.23e2 / 0.36e2 * t5911 * t33181 + t3366 * t1117 + t823 * t4566 + t823 * t4569;
  t37947 = -0.2e1 * t5713 * t4232 + t1297 * t28529 / 0.3e1 + t1297 * t28532 / 0.3e1 - t14687 * t1108 + t806 * t6795 / 0.18e2 + t2917 * t7329 / 0.9e1 + t2927 * t7329 / 0.3e1 + t785 * t35357 / 0.3e1 + t785 * t31822 / 0.3e1 + t813 * t6795 / 0.6e1 + t259 * t32002 / 0.6e1 - t9576 * t7821 / 0.3e1 + t10556 * t7818 / 0.6e1;
  t37954 = t1386 * t122;
  t37955 = t169 * t37954;
  t37956 = t1982 * t37955;
  t37965 = t31592 / 0.3e1;
  t37966 = t31598 / 0.3e1;
  t37974 = t10556 * t7857 / 0.6e1 - 0.6e1 * t21068 * t4444 + 0.3e1 * t21072 * t4594 + t1978 * t37956 / 0.6e1 + t1993 * t26789 / 0.12e2 - t2874 * t1974 * t500 * t37482 / 0.3e1 + t33439 + t37965 + t31596 - t37966 - t22 * t1100 * t870 / 0.2e1 - t103 * t7865 / 0.6e1 - t103 * t7862 / 0.12e2;
  t37980 = t7632 * t122;
  t37981 = t96 * t37980;
  t37992 = t5844 * t929;
  t37997 = t22 * t27440;
  t38002 = t22 * t27466;
  t38007 = t22 * t27493;
  t38010 = -t27242 * t3406 / 0.6e1 + t3168 * t32935 / 0.6e1 + t2874 * t1968 * t37981 / 0.6e1 + t26697 * t29018 + 0.2e1 * t4503 * t35571 + t2874 * t31701 / 0.3e1 - 0.11e2 / 0.9e1 * t4482 * t35564 - t3168 * t3582 * t96 * t37992 / 0.6e1 + 0.22e2 / 0.3e1 * t37997 * t3962 - 0.23e2 / 0.3e1 * t37997 * t3966 - 0.61e2 / 0.27e2 * t38002 * t34748 + 0.44e2 / 0.27e2 * t38002 * t34745 - 0.6e1 * t38007 * t3990;
  t38011 = t16138 * t5923;
  t38012 = t38011 / 0.6e1;
  t38043 = t31621 / 0.2e1;
  t38044 = t38012 + t2874 * t16037 * t5737 / 0.6e1 + t259 * t305 * t1472 * t7633 / 0.12e2 + t259 * t305 * t306 * t95 * t37623 / 0.12e2 - 0.3e1 * t1689 * t7657 - 0.3e1 * t509 * t6166 * t28165 - 0.3e1 * t379 * t7660 - 0.3e1 * t162 * t5779 * t3544 - t5911 * t33173 / 0.2e1 - t5911 * t28172 / 0.2e1 + 0.7e1 / 0.3e1 * t5911 * t33168 + 0.7e1 / 0.3e1 * t5911 * t11805 + t38043;
  t38047 = t31623 / 0.2e1;
  t38062 = t2156 * t5695;
  t38070 = t38047 + t31639 - t31699 + t785 * t32132 / 0.3e1 + t259 * t20003 / 0.6e1 + t5969 * t6189 / 0.9e1 + t806 * t7635 / 0.36e2 + t1297 * t11238 / 0.3e1 + t806 * t7613 / 0.36e2 - t5974 * t932 / 0.18e2 - t791 * t548 * t38062 / 0.6e1 + t5713 * t3449 / 0.2e1 - t13858 * t7837 / 0.6e1;
  t38083 = t96 * t37697;
  t38101 = t1289 * t929;
  t38102 = t500 * t38101;
  t38103 = t10832 * t38102;
  t38118 = -t3162 * t9547 * t7807 / 0.6e1 - t3162 * t1404 * t37851 / 0.6e1 - t3162 * t1404 * t37843 / 0.6e1 + 0.3e1 * t1397 * t26197 * t17991 + t4482 * t10706 * t38083 / 0.2e1 - 0.3e1 * t2022 * t3214 * t1756 * t37697 + 0.3e1 * t2004 * t3214 * t1879 * t37697 - t2022 * t881 * t10242 * t37648 + 0.3e1 * t2004 * t1323 * t28215 - 0.14e2 / 0.3e1 * t11669 * t38103 - 0.2e1 * t2004 * t881 * t1879 * t21405 + 0.5e1 * t2004 * t6075 * t3444 - t9476 * t1974 * t500 * t256 * t7632 / 0.3e1;
  t38158 = -t1397 * t2956 * t7872 / 0.4e1 - 0.7e1 * t26697 * t10844 + t11676 * t7843 / 0.6e1 + 0.14e2 / 0.3e1 * t4482 * t20538 - t2004 * t881 * t1879 * t37980 / 0.2e1 + 0.6e1 * t2022 * t6044 * t28675 - 0.3e1 * t2004 * t6044 * t29014 - 0.18e2 * t2022 * t27493 * t17914 - t2004 * t881 * t1879 * t37482 / 0.2e1 - t2004 * t3220 * t7846 / 0.2e1 - t2004 * t881 * t1879 * t37850 / 0.2e1 + t25843 * t4212 / 0.2e1 + t2874 * t1974 * t37857 / 0.3e1;
  t38184 = -0.5e1 / 0.6e1 * t25843 * t3401 + t4503 * t1962 * t37517 - 0.3e1 * t38007 * t4198 - t25843 * t4206 + 0.5e1 / 0.3e1 * t37997 * t4209 - t13748 * t7833 / 0.18e2 - t13740 * t7291 / 0.18e2 + t13745 * t6773 / 0.18e2 + t13748 * t7286 / 0.9e1 - t9576 * t7823 / 0.6e1 + t2874 * t31679 / 0.6e1 - t3162 * t31682 / 0.3e1 - t3168 * t31686 / 0.3e1;
  t38211 = 0.3e1 * t31772;
  t38212 = t31774 / 0.3e1;
  t38213 = 0.6e1 * t31779;
  t38216 = t4503 * t36041 + t3162 * t35169 / 0.3e1 - 0.2e1 / 0.3e1 * t27191 * t28051 - t2874 * t10662 * t7811 / 0.3e1 - t2874 * t1974 * t500 * t37850 / 0.3e1 - t13840 * t7812 / 0.3e1 + t2874 * t1968 * t37851 / 0.6e1 + t2874 * t1968 * t37843 / 0.6e1 + t2004 * t875 * t7817 / 0.2e1 + t38211 - t38212 + t38213 - t2243 * t1365 / 0.4e1;
  t38219 = t1304 * t3481;
  t38246 = 0.4e1 * t32328;
  t38247 = 0.2e1 / 0.3e1 * t32332;
  t38253 = t4078 * t810;
  t38257 = t3590 * t810;
  t38263 = t38246 - t38247 - t29110 - t29112 - t33837 - t33838 + t33839 - t33840 - t29136 - t33841 - 0.6e1 * t15352 * t427 * t37697 + 0.2e1 / 0.9e1 * t27582 * t29144 - 0.2e1 / 0.9e1 * t4344 * t1857 * t38253 + 0.4e1 * t3200 * t149 * t38257 - 0.6e1 * t27576 * t3595;
  t38264 = t1318 * t11890;
  t38269 = t414 * t38253;
  t38277 = t1318 * t19429;
  t38282 = t1322 * t19418;
  t38294 = t7806 * t312;
  t38303 = t942 * t6115;
  t38304 = t38303 / 0.2e1;
  t38305 = -0.4e1 * t38264 * t3601 - 0.1e2 / 0.3e1 * t27586 * t3604 + 0.4e1 * t4360 * t38269 - 0.4e1 * t27586 * t4114 + 0.12e2 * t4365 * t149 * t38253 - 0.24e2 * t38277 * t4106 - 0.6e1 * t27576 * t4109 - 0.12e2 * t38282 * t4090 + 0.3e1 * t20269 * t149 * t37676 + 0.4e1 / 0.3e1 * t15344 * t414 * t37648 + 0.3e1 * t15338 * t149 * t37697 + 0.2e1 * t15341 * t149 * t38294 + 0.2e1 * t15341 * t149 * t37648 + t875 * t7687 / 0.2e1 + t38304;
  t38318 = t27672 * t205;
  t38328 = t27465 * t19355;
  t38331 = t6043 * t19367;
  t38334 = -0.4e1 * t6075 * t3683 + t6044 * t29330 / 0.18e2 + 0.1e2 / 0.3e1 * t6044 * t29450 - 0.4e1 / 0.3e1 * t1323 * t29426 - 0.1e2 / 0.3e1 * t15349 * t1845 * t37697 + t33949 + t33950 + t33951 - 0.2e1 * t3197 * t427 * t38318 + 0.12e2 * t4344 * t38269 - 0.18e2 * t27582 * t4114 - t33955 + 0.2e1 * t27582 * t34194 - 0.4e1 / 0.3e1 * t38328 * t34197 + 0.8e1 * t38331 * t4085;
  t38345 = t29217 * t6034;
  t38346 = 0.2e1 * t38345;
  t38347 = t16779 * t6037;
  t38348 = t38347 / 0.3e1;
  t38349 = t6028 * t530;
  t38353 = -0.4e1 / 0.3e1 * t4344 * t1845 * t38253 - 0.24e2 * t4360 * t427 * t38253 + 0.72e2 * t38282 * t4080 + t33956 + t33957 + t33958 + t33959 - t33960 + 0.24e2 * t27586 * t4101 + t38346 + t38348 - 0.2e1 * t3197 * t427 * t38349 + t33961 - t33962 - t33963;
  t38358 = t62 * t7632;
  t38359 = t38358 * t122;
  t38370 = t16798 * t6030;
  t38371 = 0.2e1 * t38370;
  t38374 = t1322 * t11841;
  t38379 = t414 * t37697;
  t38391 = 0.4e1 * t32368;
  t38392 = -t33964 - 0.2e1 * t15368 * t7699 + 0.2e1 * t3200 * t149 * t38359 + 0.2e1 * t4349 * t149 * t38358 * t312 + t3197 * t414 * t38359 / 0.3e1 + t38371 + 0.2e2 * t27586 * t3592 + 0.12e2 * t38374 * t29153 + 0.4e1 / 0.3e1 * t27582 * t29157 + 0.4e1 * t15352 * t38379 + 0.2e1 * t15344 * t414 * t38294 - t15349 * t1857 * t37697 / 0.18e2 - 0.8e1 * t3197 * t427 * t38257 - t38391 + t33965;
  t38393 = 0.6e1 * t32392;
  t38394 = 0.2e1 * t32394;
  t38395 = 0.8e1 * t32395;
  t38396 = 0.4e1 * t32400;
  t38397 = 0.2e2 / 0.3e1 * t32403;
  t38398 = 0.6e1 * t32421;
  t38399 = 0.12e2 * t32424;
  t38400 = 0.8e1 / 0.3e1 * t32438;
  t38401 = t32440 / 0.9e1;
  t38408 = 0.36e2 * t27440 * t4179 - 0.3e1 * t29430 * t6044 + 0.6e1 * t3698 * t6075 - t29302 - t33966 - t33967 - t38393 - t38394 - t38395 + t38396 + t38397 - t38398 + t38399 - t38400 + t38401;
  t38421 = t965 * t810;
  t38435 = t3612 * t6087;
  t38436 = 0.2e1 * t1323 * t29319 - 0.3e1 * t6059 * t3705 - t1319 * t3676 + 0.12e2 * t27437 * t4165 + 0.3e1 * t6059 * t4168 + 0.24e2 * t27493 * t4122 + 0.4e1 * t881 * t1879 * t38421 - 0.1e2 * t6075 * t3643 + 0.1e2 / 0.3e1 * t27466 * t33860 + 0.5e2 / 0.3e1 * t27466 * t33881 + 0.6e1 * t6044 * t29389 - 0.36e2 * t27493 * t4174 + t38435 + t7683 - t7684;
  t38439 = t7686 * t122;
  t38442 = 0.4e1 / 0.3e1 * t32481;
  t38443 = 0.2e1 * t32495;
  t38447 = t1032 * t810;
  t38460 = t3607 * t6068;
  t38461 = t942 * t6071;
  t38462 = 0.4e1 / 0.3e1 * t32518;
  t38463 = 0.2e1 / 0.9e1 * t32520;
  t38464 = t7685 - 0.12e2 * t27466 * t34311 + t881 * t1879 * t38439 - t38442 + t38443 - 0.2e1 / 0.3e1 * t881 * t1756 * t38439 + t3211 * t1746 * t38447 / 0.9e1 - 0.2e1 * t877 * t404 * t38421 + 0.3e1 * t6059 * t3647 + 0.2e1 * t1319 * t3650 + 0.2e2 / 0.3e1 * t6075 * t3640 - t38460 - t38461 + t38462 - t38463;
  t38468 = 0.4e1 * t32532;
  t38469 = 0.12e2 * t32536;
  t38486 = t942 * t6049;
  t38487 = t38468 + t38469 + 0.2e1 / 0.3e1 * t1323 * t29317 - t6044 * t29258 / 0.9e1 + 0.6e1 * t6059 * t3616 + 0.2e1 * t1319 * t3637 + 0.2e1 * t6075 * t3655 - 0.4e1 * t1323 * t29362 - t3246 * t7738 - t3609 - t3610 - t3614 + t3625 - t263 * t404 * t63 * t37623 - t38486;
  t38493 = 0.4e1 / 0.3e1 * t32552;
  t38494 = 0.2e1 * t32558;
  t38495 = -0.2e1 / 0.3e1 * t6044 * t29288 + 0.6e1 * t6044 * t29293 + t7709 - t875 * t7730 + t38493 - t38494 + t34141 + t34142 + t34143 - t7710 + t7711 - t7712 + t7220 - t7221 - t6330;
  t38497 = 0.12e2 * t32570;
  t38498 = 0.4e1 * t32573;
  t38499 = t6114 * t205;
  t38502 = t1336 * t530;
  t38525 = -t7222 + t38497 + t38498 - t877 * t404 * t38499 - t877 * t404 * t38502 - t875 * t7714 - t263 * t1883 * t6114 * t929 - t263 * t1883 * t1336 * t3481 - 0.2e1 / 0.3e1 * t3220 * t7733 - 0.2e1 / 0.3e1 * t881 * t1756 * t38502 - 0.2e1 / 0.3e1 * t881 * t1756 * t38499 + t3220 * t7740 + t881 * t1879 * t38499 + t881 * t1879 * t38502 + t3688;
  t38554 = t3690 - t3697 + t3704 + 0.9e1 * t6044 * t34301 + 0.12e2 * t3214 * t409 * t38447 - 0.12e2 * t6075 * t4149 - 0.6e1 * t3211 * t1756 * t38447 - 0.12e2 * t6075 * t3627 - 0.8e1 / 0.3e1 * t881 * t1756 * t38421 + 0.4e1 * t1323 * t29273 - t6044 * t29276 / 0.9e1 - 0.8e1 * t3214 * t400 * t38447 + 0.8e1 * t6075 * t4162 - 0.2e1 / 0.3e1 * t27440 * t4129 - t6044 * t34068 / 0.6e1;
  t38564 = t16829 * t37697;
  t38595 = 0.2e2 / 0.3e1 * t3211 * t1751 * t38447 - 0.4e2 * t27440 * t4159 - 0.1e2 * t6044 * t33914 - 0.6e1 * t15349 * t38564 - t7728 - t15344 * t16829 * t38294 + t15349 * t19510 * t37697 / 0.9e1 - 0.4e1 * t15341 * t16820 * t37648 - 0.6e1 * t20269 * t16820 * t37676 - 0.2e1 / 0.3e1 * t15344 * t16829 * t37648 - 0.6e1 * t15338 * t16820 * t37697 - 0.4e1 * t15341 * t16820 * t38294 - 0.2e1 * t15352 * t38564 + 0.12e2 * t15352 * t16824 * t37697 + 0.6e1 * t15344 * t16824 * t38294;
  t38606 = 0.24e2 * t32616;
  t38607 = 0.8e1 * t32618;
  t38619 = 0.2e1 / 0.3e1 * t15349 * t19504 * t37697 + t6375 + t7238 + t7239 - t6390 + 0.4e1 * t15344 * t16824 * t37648 + t263 * t404 * t60 * t37623 / 0.2e1 + t29404 - t34267 - t38606 - t38607 - 0.3e1 * t15344 * t427 * t38294 - 0.2e1 * t3197 * t427 * t38359 - 0.12e2 * t27582 * t3604 - 0.2e1 * t15344 * t427 * t37648;
  t38621 = t16779 * t6040;
  t38622 = 0.2e1 * t38621;
  t38659 = -t38622 + 0.24e2 * t38328 * t4085 + 0.8e1 / 0.3e1 * t38328 * t4117 - 0.72e2 * t38331 * t4090 + 0.3e1 * t15349 * t38379 + t3197 * t414 * t38318 / 0.3e1 + t3197 * t414 * t38349 / 0.3e1 + 0.2e1 * t15357 * t7749 + 0.2e1 * t3200 * t149 * t38318 + 0.2e1 * t3200 * t149 * t38349 + 0.2e1 * t20126 * t7753 + 0.2e1 * t4349 * t149 * t27672 * t929 + 0.2e1 * t4349 * t149 * t6028 * t3481 + t15368 * t7756 / 0.3e1 + t27582 * t34243 / 0.3e1;
  t38669 = t3612 * t6052;
  t38670 = 0.2e1 / 0.3e1 * t38669;
  t38683 = -t38328 * t34246 / 0.9e1 + 0.4e1 / 0.3e1 * t38331 * t4117 + 0.4e1 / 0.3e1 * t3197 * t414 * t38257 - 0.2e1 * t38374 * t29141 - t962 + t29415 + t34296 + t34297 + t943 - t38670 - t877 * t404 * t38439 - t263 * t1883 * t7686 * t312 - 0.6e1 * t1323 * t29283 - 0.2e2 / 0.3e1 * t6044 * t29365 - 0.6e1 * t3227 * t145 * t38447 - t29440;
  t38699 = 0.3e1 / 0.2e1 * t379 * t7878 - t3168 * t3582 * t96 * t38219 / 0.6e1 - t4482 * t36514 + 0.14e2 / 0.3e1 * t4482 * t36241 - 0.3e1 * t4482 * t36750 + 0.3e1 * t11419 * t26197 * t18282 - 0.6e1 * t2011 * t26197 * t17986 + 0.11e2 / 0.18e2 * t4482 * t10832 * t38083 - 0.23e2 / 0.36e2 * t4482 * t10615 * t500 * t37697 - 0.3e1 / 0.2e1 * t3980 * t3211 * t9992 * t37697 - t22 * t59 * (t38263 + t38305 + t38334 + t38353 + t38392 + t38408 + t38436 + t38464 + t38487 + t38495 + t38525 + t38554 + t38595 + t38619 + t38659 + t38683) * t96 / 0.4e1 - 0.3e1 / 0.2e1 * t2004 * t3227 * t404 * t37697 - t2004 * t877 * t1883 * t38294;
  t38701 = t6157 * t205;
  t38702 = t500 * t38701;
  t38707 = t303 * t1363 * t205;
  t38711 = t96 * t37648;
  t38720 = t96 * t38294;
  t38743 = 0.2e1 * t11652 * t1974 * t38702 + t1397 * t2951 * t38707 / 0.2e1 - t2874 * t10706 * t38711 / 0.6e1 - t3168 * t3582 * t169 * t5748 * t929 / 0.6e1 - t2874 * t10706 * t38720 / 0.4e1 + 0.5e1 / 0.36e2 * t4482 * t10615 * t38083 + t259 * t305 * t10855 * t1305 / 0.12e2 - t1292 * t3484 / 0.6e1 + 0.23e2 / 0.108e3 * t25859 * t7000 - t2900 * t7421 / 0.9e1 + t1292 * t2158 / 0.6e1 - t533 * t5804 / 0.12e2 + t387 * t7651 / 0.2e1;
  t38770 = 0.4e1 * t25843 * t4247 - 0.4e1 * t4503 * t20597 + t14865 * t4534 - 0.2e1 * t21072 * t4674 + t13740 * t7808 / 0.18e2 + 0.7e1 / 0.3e1 * t26697 * t10809 + 0.2e1 / 0.3e1 * t2874 * t35672 - t20902 * t4609 + t14865 * t4435 - t2874 * t31363 / 0.3e1 + 0.18e2 * t29479 * t3965 * t37714 + 0.3e1 * t2011 * t26844 * t1052 - 0.6e1 * t2022 * t6075 * t2026;
  t38802 = 0.6e1 * t2022 * t3214 * t400 * t20536 - t9476 * t16053 * t25932 / 0.3e1 - t11390 * t5734 / 0.4e1 - t2248 * t1365 / 0.12e2 + t387 * t7906 / 0.12e2 + 0.2e1 / 0.3e1 * t791 * t19831 + 0.2e1 / 0.3e1 * t791 * t20929 - 0.3e1 / 0.2e1 * t5911 * t11809 - 0.3e1 / 0.2e1 * t5911 * t11640 - t2998 * t7421 / 0.3e1 - t791 * t37383 / 0.3e1 - t791 * t31353 / 0.3e1 + 0.2e1 / 0.3e1 * t2998 * t7425;
  t38840 = t785 * t318 * t38062 / 0.3e1 - t5706 * t3510 / 0.2e1 - t1292 * t2162 / 0.6e1 - t2874 * t36386 / 0.3e1 - t13840 * t7480 / 0.3e1 + 0.47e2 / 0.3e1 * t29946 * t10615 * t37891 + 0.3e1 / 0.2e1 * t1397 * t26148 * t6973 + 0.3e1 * t3980 * t3211 * t1746 * t20536 - 0.9e1 / 0.2e1 * t3980 * t6044 * t33554 + 0.3e1 * t2004 * t3211 * t1756 * t20536 - 0.18e2 * t2004 * t27440 * t3992 - 0.9e1 / 0.2e1 * t2004 * t6044 * t34983 + 0.18e2 * t2004 * t27493 * t3996;
  t38859 = t2022 * t3612 * t25946;
  t38860 = t38859 / 0.2e1;
  t38862 = t2004 * t3612 * t6162;
  t38863 = t38862 / 0.2e1;
  t38874 = t22 * t27437;
  t38877 = -0.5e1 * t2022 * t6075 * t16404 + t17454 * t6159 / 0.2e1 - t15841 * t6163 / 0.2e1 - 0.18e2 * t3980 * t27440 * t18463 + 0.36e2 * t2022 * t27440 * t18131 - 0.3e1 * t3980 * t6044 * t28992 + t38860 - t38863 + t2022 * t881 * t1756 * t37980 / 0.2e1 - 0.4e1 / 0.3e1 * t2874 * t21343 + t25897 * t4195 / 0.2e1 - t4510 * t1982 * t37517 + 0.2e1 * t38874 * t4191;
  t38878 = t20575 * t4598;
  t38881 = t21321 * t4605;
  t38884 = t31837 / 0.6e1;
  t38887 = t31841 / 0.2e1;
  t38888 = 0.2e1 / 0.3e1 * t31845;
  t38889 = t31847 / 0.2e1;
  t38890 = t31851 / 0.3e1;
  t38891 = t31853 / 0.3e1;
  t38905 = -t1961 * t38878 / 0.3e1 + 0.2e1 / 0.3e1 * t1961 * t38881 - t38884 + t3322 * t1126 / 0.6e1 - t31839 - t38887 + t38888 + t38889 - t38890 + t38891 + t2874 * t1974 * t37981 / 0.12e2 + t3168 * t1404 * t169 * t193 * t7632 / 0.12e2 - 0.2e1 * t1397 * t6152 * t18064 - t25897 * t4203 / 0.2e1;
  t38918 = -0.43e2 / 0.9e1 * t38002 * t33232 - t3168 * t16672 * t7836 / 0.6e1 - 0.6e1 * t21072 * t4447 - t33693 - t33694 + t33695 + t33696 + t33697 - t33698 - t33699 - t28469 + t33700 + t33703;
  t38919 = 0.3e1 * t31982;
  t38920 = 0.4e1 * t31989;
  t38921 = -t33704 - t33705 + t33706 + t33707 + t28489 + t33708 - t33709 - t33710 - t33711 - t33713 + t38919 + t31985 - t38920;
  t38946 = -t31992 - t610 * t5860 / 0.2e1 + t387 * t7878 / 0.2e1 - 0.5e1 / 0.36e2 * t5911 * t28569 + t610 * t5856 / 0.2e1 - t1297 * t10852 / 0.12e2 - 0.5e1 / 0.36e2 * t5911 * t28566 + t1297 * t28308 / 0.6e1 - 0.5e1 / 0.36e2 * t5911 * t34678 - t525 * t5804 / 0.36e2 + t1297 * t11496 / 0.6e1 - t610 * t5761 + 0.3e1 / 0.2e1 * t610 * t5764;
  t38951 = t1440 * t8732 * t205;
  t38973 = -0.7e1 / 0.3e1 * t11669 * t10832 * t38702 - t1397 * t2943 * t38951 / 0.2e1 + 0.2e1 / 0.3e1 * t2874 * t36887 - 0.3e1 / 0.2e1 * t2022 * t881 * t10242 * t38294 + 0.23e2 / 0.18e2 * t4482 * t3965 * t20537 - 0.11e2 / 0.18e2 * t26697 * t33785 + 0.11e2 / 0.6e1 * t26697 * t33808 - 0.11e2 / 0.9e1 * t4482 * t3961 * t37517 - 0.2e1 * t25843 * t4251 - t33822 + t33823 - t33824 + t33826;
  t38976 = 0.2e1 / 0.3e1 * t32015;
  t38977 = 0.2e1 / 0.3e1 * t32017;
  t38992 = t38976 + t38977 - t25859 * t6987 / 0.2e1 + 0.2e1 / 0.9e1 * t2900 * t7425 - t3389 * t4543 - t3389 * t4546 + t5985 * t627 / 0.4e1 - t5985 * t641 / 0.4e1 - t5985 * t637 / 0.2e1 - t208 * t26005 / 0.12e2 + t7611 + t33827 - t33828;
  t38993 = t32040 / 0.18e2;
  t38994 = t32048 / 0.9e1;
  t38995 = t387 * t7868;
  t38996 = t38995 / 0.12e2;
  t38997 = t32082 / 0.3e1;
  t39000 = t32092 / 0.18e2;
  t39001 = t32097 / 0.6e1;
  t39004 = t33829 - t33830 + t33831 - t38993 + t38994 - t38996 - t32078 + t32080 - t38997 - 0.4e1 / 0.3e1 * t2874 * t21469 - t39000 + t39001 + t5969 * t6425 / 0.18e2;
  t39030 = t26510 * t1005 / 0.6e1 - t1292 * t3804 / 0.6e1 - t259 * t21545 / 0.6e1 + t1689 * t7890 + t509 * t5785 * t28972 + t2243 * t1356 / 0.2e1 - t610 * t5813 / 0.4e1 - t610 * t5847 / 0.4e1 + 0.3e1 * t1689 * t7886 + 0.3e1 * t509 * t5779 * t3528 + 0.23e2 / 0.36e2 * t5911 * t28318 + t5713 * t4039 + t5713 * t3489;
  t39039 = t911 * t6018;
  t39040 = t39039 / 0.12e2;
  t39045 = t16429 * t5738;
  t39046 = t39045 / 0.6e1;
  t39054 = -t103 * t7763 / 0.12e2 + t25843 * t4222 - 0.2e1 * t25843 * t4219 - t22 * t604 * t1387 / 0.4e1 + t39040 - t913 + t984 + 0.2e1 * t2022 * t881 * t1756 * t21405 - t39046 - 0.5e1 / 0.18e2 * t4482 * t36548 - t2874 * t36553 / 0.6e1 + t2874 * t36545 / 0.3e1 - t10746 * t7802;
  t39064 = t16434 * t5750;
  t39065 = t39064 / 0.12e2;
  t39082 = t34553 + t34554 - t3168 * t28417 * t5741 / 0.6e1 + t2874 * t16053 * t5737 / 0.12e2 + t39065 + t2248 * t1356 / 0.6e1 + t1763 * t7890 / 0.3e1 - t259 * t19981 / 0.6e1 - 0.2e1 / 0.3e1 * t1297 * t28536 - 0.2e1 / 0.3e1 * t1297 * t28539 + t3366 * t1126 / 0.2e1 + t823 * t4585 / 0.2e1 + t823 * t4589 / 0.2e1;
  t39087 = t3850 * t1307;
  t39088 = t39087 / 0.36e2;
  t39091 = t32130 / 0.6e1;
  t39092 = t32139 / 0.3e1;
  t39093 = t32141 / 0.6e1;
  t39094 = -t813 * t4579 / 0.6e1 - t259 * t19944 / 0.6e1 + t39088 - t1297 * t10909 / 0.6e1 - t39091 + t39092 + t39093 + t34564 + t6777 - t7771 - t6784 - t6787 + t7772;
  t39110 = -t7773 + t7789 - t7790 - t7092 + 0.2e1 / 0.3e1 * t2874 * t1968 * t37857 - 0.5e1 / 0.3e1 * t25843 * t3432 - t27191 * t28246 + 0.11e2 / 0.9e1 * t26697 * t28230 - 0.6e1 * t2004 * t3214 * t409 * t20536 - 0.3e1 / 0.2e1 * t26697 * t10797 + t7094 - t34605 - t34606;
  t39131 = t34607 + t2004 * t877 * t404 * t37850 / 0.2e1 + t10516 * t7857 / 0.2e1 + t2004 * t3246 * t7856 / 0.2e1 - t3520 + t3524 + 0.18e2 * t3980 * t27466 * t33797 - 0.2e1 * t38002 * t33677 - 0.18e2 * t2022 * t27466 * t33804 + 0.6e1 * t2004 * t27466 * t33791 + t34632 + t34633 + t7099;
  t39134 = t16434 * t5742;
  t39135 = t39134 / 0.6e1;
  t39141 = t287 * t256;
  t39142 = t1395 * t39141;
  t39153 = t10615 * t1733 * t38101;
  t39163 = t7100 - t3575 - t39135 - 0.4e1 * t11652 * t21321 * t19641 + 0.3e1 * t21072 * t4676 + 0.2e1 / 0.3e1 * t9476 * t15878 * t39142 - t11390 * t5717 - t11390 * t5721 / 0.2e1 - 0.3e1 * t2022 * t1323 * t28753 + 0.3e1 * t11669 * t39153 + t2011 * t27334 * t6408 - t3162 * t10598 * t5737 / 0.6e1 + 0.89e2 / 0.9e1 * t38002 * t33680;
  t39168 = t26782 * t206;
  t39176 = t1962 * t37955;
  t39183 = t548 * t37640;
  t39186 = 0.3e1 * t32219;
  t39187 = 0.6e1 * t32222;
  t39188 = t32230 / 0.3e1;
  t39189 = 0.14e2 / 0.3e1 * t32233;
  t39190 = 0.2e1 / 0.9e1 * t13740 * t7485 + t9576 * t7804 / 0.3e1 - t1397 * t39168 * t334 / 0.4e1 - t1397 * t26782 * t536 * t636 / 0.2e1 - t1961 * t39176 / 0.12e2 + t387 * t7881 / 0.6e1 - t525 * t5683 / 0.18e2 - 0.2e1 * t17305 * t39183 + t39186 - t39187 + t39188 + t39189 + t32236;
  t39206 = t7815 + t10768 * t7843 / 0.2e1 + t28769 - t34727 - t34728 + t34729 + t34730 + t34731 + t34737 + t379 * t7906 / 0.4e1 + t162 * t26646 * t211 * t165 / 0.4e1 + t162 * t5802 * t573 * t165 / 0.4e1 - t208 * t26000 / 0.12e2;
  t39231 = t1756 * t7806;
  t39238 = t32289 / 0.3e1;
  t39239 = t32291 / 0.3e1;
  t39240 = -t208 * t26648 / 0.12e2 - t5706 * t4026 / 0.2e1 - t5706 * t3807 / 0.2e1 + t259 * t32012 / 0.6e1 - t2998 * t7334 / 0.6e1 - t791 * t36930 / 0.6e1 - t14982 * t1108 / 0.3e1 + t3322 * t1117 / 0.3e1 + t2022 * t881 * t1756 * t37850 / 0.2e1 + t2022 * t881 * t1756 * t37482 / 0.2e1 + t2022 * t3220 * t39231 / 0.2e1 - t22 * t218 * t5897 / 0.4e1 - t39238 - t39239;
  t39254 = t1974 * t38102;
  t39257 = -t32293 - t32296 + t7854 - t7855 + t13840 * t7808 / 0.6e1 + t2874 * t10566 * t7807 / 0.6e1 + t34759 + t34762 - t34763 - t34764 + t15841 * t5731 / 0.2e1 + t15841 * t5726 / 0.2e1 + 0.1e2 / 0.3e1 * t11652 * t39254;
  t39274 = t1440 * t8825 * t205;
  t39288 = t21332 * t19810;
  t39295 = t1397 * t27330 * t990 / 0.2e1 - t14865 * t4527 - t14865 * t4531 / 0.2e1 - t2004 * t1319 * t3824 + t2004 * t877 * t404 * t21405 + 0.3e1 / 0.2e1 * t11669 * t10615 * t1733 * t38701 + t2011 * t2943 * t39274 / 0.2e1 + 0.3e1 / 0.2e1 * t2004 * t881 * t10277 * t38294 + t2874 * t1974 * t37475 / 0.12e2 - t2874 * t11691 * t38720 / 0.2e1 - 0.2e1 / 0.3e1 * t9476 * t39288 + t25897 * t3579 / 0.2e1 + t27242 * t3585 / 0.3e1;
  t39306 = t32680 / 0.6e1;
  t39307 = t32684 / 0.6e1;
  t39308 = t32693 / 0.6e1;
  t39312 = -t4482 * t35859 + 0.14e2 / 0.3e1 * t4482 * t35862 - 0.3e1 * t4482 * t35865 + t3162 * t31481 / 0.3e1 - t32670 + t9743 * t7654 / 0.2e1 - t39306 - t39307 + t39308 - t3747 + t3749 + t379 * t7881 / 0.2e1 + t1763 * t7886;
  t39329 = -t34840 - t34841 - t34842 - t34843 + t21072 * t4685 - t1397 * t5716 * t3553 - t1397 * t27228 * t1057 - t1397 * t26691 * t1057 - t9509 * t7821 + t3168 * t31664 / 0.6e1 + t3168 * t31669 / 0.6e1 + t3162 * t35691 / 0.3e1 + t3162 * t32152 / 0.3e1;
  t39338 = t7632 * t312;
  t39368 = t13858 * t6773 / 0.6e1 + t2004 * t877 * t404 * t37980 / 0.2e1 + t2004 * t263 * t1883 * t39338 / 0.2e1 + t3168 * t10598 * t5749 / 0.12e2 - t3162 * t1404 * t37981 / 0.6e1 - t3168 * t3582 * t96 * t39338 / 0.6e1 + t13856 * t7286 / 0.3e1 + t3162 * t35687 / 0.3e1 - t1397 * t26916 * t990 / 0.2e1 - t1397 * t5720 * t3755 / 0.2e1 - t1397 * t27178 * t990 / 0.2e1 - t9509 * t7823 / 0.2e1 - t34890;
  t39386 = -t34891 + t34892 - t34893 + t610 * t5768 / 0.2e1 + t610 * t5772 / 0.2e1 - t3366 * t1111 - t823 * t4557 - t823 * t4560 - t3366 * t1114 / 0.2e1 - t823 * t4537 / 0.2e1 - t823 * t4540 / 0.2e1 - t533 * t5683 / 0.6e1 - t208 * t26157 / 0.6e1;
  t39396 = t16138 * t5745;
  t39397 = t39396 / 0.12e2;
  t39401 = t32815 / 0.6e1;
  t39402 = -t208 * t25995 / 0.6e1 + t162 * t5855 * t3755 / 0.2e1 + 0.2e1 * t21068 * t4692 - t20902 * t4755 + t39397 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 - t22 * t7762 * t194 / 0.4e1 - t39401;
  t39421 = t548 * t5983 * t539;
  t39434 = t2004 * t263 * t1883 * t38219 / 0.2e1 + t2004 * t263 * t1883 * t37992 / 0.2e1 - t4503 * t1968 * t38083 - t2874 * t11691 * t38711 / 0.3e1 - t5911 * t27959 / 0.2e1 - t791 * t31713 / 0.3e1 + t546 * t39421 / 0.3e1 - t26738 * t623 / 0.2e1 + t5985 * t646 / 0.2e1 - t20765 * t759 + t4722 * t796 + 0.3e1 * t2452 * t5780 - 0.3e1 * t610 * t6136;
  t39444 = t555 * t37436;
  t39465 = -0.3e1 * t2452 * t6174 + 0.3e1 / 0.2e1 * t610 * t6167 + 0.3e1 / 0.2e1 * t10964 * t6171 - t546 * t39444 / 0.6e1 + t34925 + t1397 * t6152 * t3544 - 0.38e2 / 0.9e1 * t38002 * t33683 - t26697 * t35051 / 0.2e1 - t4482 * t1974 * t37517 + 0.6e1 * t37997 * t3936 + 0.3e1 / 0.2e1 * t26697 * t33768 + 0.6e1 * t2004 * t6075 * t4015 - 0.28e2 * t29479 * t3961 * t37891;
  t39471 = 0.5e1 / 0.18e2 * t32852;
  t39472 = t32854 / 0.6e1;
  t39484 = -0.3e1 * t1397 * t26844 * t1065 - t10516 * t7847 / 0.2e1 - t7165 - t7166 - t7167 - t39471 - t39472 + t2874 * t36759 / 0.3e1 - t3162 * t36816 / 0.3e1 + t4503 * t36819 - t3162 * t32918 / 0.3e1 + t1397 * t5716 * t15984 + t1397 * t5720 * t15988;
  t39488 = t1974 * t1395 * t39141 * t929;
  t39514 = -0.2e1 / 0.3e1 * t9476 * t39488 - t4510 * t35965 + 0.3e1 * t1397 * t27224 * t18855 + t1397 * t5716 * t18860 - 0.4e1 * t11652 * t1962 * t1395 * t39141 * t205 - 0.5e1 / 0.18e2 * t4482 * t36762 + t4510 * t1404 * t38083 / 0.2e1 + t3162 * t3582 * t38720 / 0.3e1 - t3168 * t32907 / 0.3e1 + t2874 * t32910 / 0.6e1 - t7870 - t34934 - t34935;
  t39515 = 0.2e1 / 0.3e1 * t32927;
  t39516 = 0.23e2 / 0.18e2 * t32929;
  t39517 = 0.2e1 / 0.3e1 * t32931;
  t39518 = 0.4e1 / 0.3e1 * t32933;
  t39519 = t32958 / 0.6e1;
  t39520 = t32960 / 0.2e1;
  t39522 = t1996 * t37955;
  t39526 = t1962 * t1395 * t37954;
  t39529 = t1386 * t362;
  t39530 = t39529 * t544;
  t39541 = t39515 + t39516 + t39517 - t39518 - t39519 + t39520 + t21072 * t4668 - t1961 * t39522 / 0.6e1 + t1961 * t39526 / 0.3e1 - t2011 * t39530 * t622 / 0.2e1 + t1397 * t39530 * t645 / 0.2e1 + t27191 * t28062 / 0.3e1 - t13740 * t7812 / 0.9e1;
  t39554 = t32973 / 0.3e1;
  t39563 = 0.2e1 / 0.3e1 * t2874 * t19755 + 0.2e1 / 0.3e1 * t2874 * t19732 + 0.2e1 / 0.3e1 * t2874 * t19708 + 0.2e1 / 0.3e1 * t13840 * t7485 - 0.23e2 / 0.12e2 * t26697 * t33779 + t39554 - t3829 - t3852 + t3867 + t1297 * t10912 / 0.3e1 - t791 * t555 * t38062 / 0.3e1 + t5713 * t3421 - t2900 * t7334 / 0.18e2;
  t39567 = t1397 * t15893 * t1364;
  t39568 = t39567 / 0.4e1;
  t39570 = t2004 * t3607 * t5725;
  t39571 = t39570 / 0.2e1;
  t39573 = t2004 * t942 * t5730;
  t39574 = t39573 / 0.2e1;
  t39586 = -t387 * t7876 / 0.3e1 - t39568 + t39571 + t39574 + 0.5e1 / 0.12e2 * t26697 * t34521 - 0.35e2 / 0.108e3 * t38002 * t34524 - 0.5e1 / 0.18e2 * t4482 * t3965 * t37517 - t11685 * t7802 / 0.3e1 - t13745 * t7837 / 0.18e2 - t7266 + t7267 - t7268 + t7269;
  t39593 = t318 * t20001 * t775;
  t39601 = t318 * t2156 * t5802;
  t39615 = -0.11e2 / 0.9e1 * t4482 * t35826 + 0.23e2 / 0.18e2 * t4482 * t35830 + t35017 - t127 * t39593 / 0.6e1 + t4722 * t781 / 0.2e1 + t610 * t5808 / 0.4e1 - t127 * t39601 / 0.12e2 + 0.7e1 / 0.9e1 * t25859 * t7006 - t25859 * t7003 / 0.6e1 - 0.6e1 * t17713 * t27466 * t33687 - 0.5e1 / 0.36e2 * t26697 * t34527 - t17444 * t6153 + t11390 * t6155;
  t39651 = 0.6e1 * t21068 * t4689 + 0.2e1 * t2011 * t6152 * t18976 - t4503 * t1974 * t38083 / 0.2e1 - t3162 * t1404 * t37475 / 0.6e1 + t3162 * t3582 * t38711 / 0.3e1 + t3168 * t16129 * t96 * t37676 / 0.2e1 + t2874 * t10706 * t500 * t38294 - t2874 * t1974 * t1395 * t37474 / 0.3e1 - t35081 + t3869 + 0.3e1 / 0.2e1 * t9790 * t7654 + 0.3e1 / 0.2e1 * t1742 * t6166 * t28333 + 0.3e1 / 0.2e1 * t379 * t7651 + 0.3e1 / 0.2e1 * t162 * t6166 * t29025;
  t39658 = my_piecewise3(t3, 0, t38946 + t39094 + t39030 + t39484 + t38802 + t39434 + t37462 + t39295 + t39563 + t39368 + t39110 + t39465 + t39190 + t39651 + t37514 + t39004 + t39082 + t39329 + t39541 + t39240 + t38158 + t38184 + t39131 + t38216 + t39615 + t37499 + t38973 + t38743 + t38992 + t38918 + t38921 + t39054 + t39586 + t37433 + t38770 + t39206 + t39402 + t38010 + t37479 + t39312 + t38840 + t38699 + t38070 + t37974 + t39514 + t38044 + t38877 + t39386 + t38905 + t37947 + t37917 + t37887 + t37861 + t37827 + t37807 + t37782 + t37754 + t37721 + t38118 + t37672 + t37644 + t39163 + t37536 + t39257);
  tv4rhosigmatau20 = 0.2e1 * rho[0] * t39658 + 0.2e1 * t7913;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 0] += tv4rhosigmatau20;

  t39661 = t1879 * t22192;
  t39665 = t9992 * t4919;
  t39673 = 0.2e1 / 0.3e1 * t33083;
  t39674 = t7997 * t9777;
  t39675 = t9989 * t39674;
  t39683 = t106 * t9775 * t39674;
  t39684 = t10897 * t3428;
  t39689 = t7997 * t9768;
  t39690 = t1743 * t39689;
  t39694 = -0.3e1 * t2004 * t697 * t39661 - 0.9e1 / 0.2e1 * t3980 * t4997 * t39665 + 0.7e1 * t29500 + 0.3e1 / 0.2e1 * t29503 - 0.9e1 * t29507 - 0.3e1 * t29511 - t39673 - 0.18e2 * t509 * t39675 * t28281 + 0.6e1 * t162 * t39675 * t28288 - 0.62e2 / 0.3e1 * t39683 * t39684 + 0.8e1 * t39683 * t28010 - 0.18e2 * t162 * t39690 * t3411;
  t39701 = t1404 * t169 * t193 * t7939;
  t39704 = t96 * t22192;
  t39705 = t1404 * t39704;
  t39713 = t33152 / 0.6e1;
  t39714 = t33155 / 0.6e1;
  t39715 = t33164 / 0.6e1;
  t39719 = 0.9e1 / 0.2e1 * t13382 * t4913 - 0.9e1 * t2861 * t4790 + t2511 * t39701 / 0.12e2 - 0.2e1 / 0.3e1 * t2485 * t39705 + t22636 * t5084 + 0.2e1 / 0.3e1 * t23367 * t5088 - 0.4e1 / 0.3e1 * t22071 * t5091 - t39713 + t39714 + t39715 - 0.3e1 / 0.2e1 * t29555 - t29561 / 0.2e1 + t29565 / 0.2e1;
  t39721 = t33194 / 0.3e1;
  t39728 = t9163 * t4788;
  t39735 = t1485 * t4793;
  t39738 = 0.4e1 * t4820 * t23308 + 0.4e1 * t4826 * t22694 - 0.4e1 / 0.3e1 * t4823 * t23241 - t28847 - t28850 + t28853 + 0.32e2 / 0.3e1 * t39728 * t3760 - 0.2e1 / 0.3e1 * t5101 + 0.12e2 * t39728 * t3411 + 0.4e1 * t5105 - 0.24e2 * t39735 * t645;
  t39745 = t1485 * t1138;
  t39756 = t28891 + t28893 + t28913 - t28916 - 0.2e1 * t4826 * t4872 - 0.8e1 * t4820 * t4877 + 0.8e1 / 0.3e1 * t4823 * t4885 - 0.8e1 / 0.3e1 * t39745 * t1448 + 0.16e2 / 0.9e1 * t39728 * t3739 - 0.2e1 * t21907 * t1198 + 0.8e1 * t4823 * t5169 - 0.8e1 * t39745 * t1442;
  t39760 = t307 * t1138;
  t39763 = t307 * t1133;
  t39770 = t4996 * t1533;
  t39773 = t1163 * t1581;
  t39778 = t1159 * t365;
  t39781 = -0.4e1 * t4921 - 0.4e1 * t4926 + 0.12e2 * t39760 * t636 + 0.4e1 * t39763 * t334 - 0.8e1 * t39735 * t622 - 0.4e1 * t4823 * t23294 + t28933 + 0.4e1 / 0.3e1 * t39770 * t3760 + 0.24e2 * t39773 * t645 + 0.8e1 * t4833 * t4877 - 0.12e2 * t39778 * t636;
  t39802 = -0.4e1 * t1175 * t334 + 0.2e1 * t705 * t1198 + 0.2e1 * t239 * t4872 - 0.4e1 / 0.3e1 * t1172 * t1448 + 0.2e2 / 0.9e1 * t39770 * t3739 + 0.4e1 / 0.3e1 * t4838 * t4885 - 0.4e1 * t39773 * t622 - 0.12e2 * t39770 * t3411 - 0.8e1 * t4838 * t5169 + 0.8e1 * t1172 * t1442 + t6212 - t6224;
  t39804 = t39738 + t39756 + t39781 + t39802;
  t39807 = t305 * t306 * t95 * t39804;
  t39812 = t2777 * t4902;
  t39813 = t555 * t39812;
  t39818 = t1743 * t8008;
  t39822 = t296 * t8097;
  t39827 = t1539 * t1670 * t658;
  t39836 = t1147 * t4841;
  t39837 = t1883 * t39836;
  t39840 = t7975 * t312;
  t39841 = t10295 * t39840;
  t39845 = -t39721 + t233 * t39807 / 0.12e2 + 0.3e1 / 0.4e1 * t4944 * t734 - t671 * t39813 + 0.3e1 * t4795 * t3949 + t1140 * t12885 - 0.9e1 / 0.2e1 * t1742 * t39818 * t10196 + 0.3e1 / 0.2e1 * t1742 * t39822 * t1747 - 0.9e1 * t509 * t4789 * t39827 + 0.9e1 * t509 * t39818 * t10188 + 0.89e2 / 0.9e1 * t39683 * t28030 + t2004 * t237 * t39837 - 0.3e1 / 0.2e1 * t2004 * t237 * t39841;
  t39871 = -t8036 * t359 / 0.2e1 + 0.3e1 * t1689 * t8053 - 0.3e1 / 0.2e1 * t2816 * t1194 + 0.3e1 / 0.2e1 * t379 * t8050 - 0.5e1 / 0.36e2 * t8010 * t10145 - t1140 * t12944 / 0.4e1 + t1135 * t2827 / 0.2e1 + t8004 * t1528 / 0.2e1 - t661 * t4962 / 0.4e1 - t233 * t22394 / 0.4e1 + t1140 * t12930 - t8010 * t9810 / 0.2e1 + 0.7e1 / 0.3e1 * t8010 * t9816;
  t39874 = t138 * t8137;
  t39879 = t106 * t158 * t8135 * t159;
  t39882 = t382 * t8003;
  t39885 = t382 * t8009;
  t39904 = -t127 * t39874 / 0.12e2 + t39879 * t166 / 0.4e1 - 0.2e1 / 0.3e1 * t39882 * t502 - 0.5e1 / 0.108e3 * t39885 * t1542 + t5142 * t686 / 0.6e1 + t22816 * t248 / 0.4e1 - t654 * t4962 / 0.12e2 - t5133 * t2830 / 0.12e2 - t2822 * t1194 / 0.2e1 + 0.3e1 / 0.2e1 * t2816 * t1202 - 0.3e1 / 0.2e1 * t13216 * t1190 + 0.3e1 / 0.2e1 * t379 * t8019;
  t39911 = t17598 * t8387;
  t39915 = t12779 * t5083;
  t39918 = t30687 * t5087;
  t39921 = t17598 * t5083;
  t39932 = -0.3e1 / 0.2e1 * t8010 * t9800 - 0.3e1 * t379 * t8040 + t39882 * t374 / 0.6e1 - t9476 * t39911 - 0.3e1 / 0.4e1 * t13326 * t4929 - t2485 * t39915 / 0.2e1 - t2511 * t39918 / 0.2e1 + t2471 * t39921 / 0.4e1 - 0.3e1 / 0.2e1 * t29635 - 0.3e1 / 0.2e1 * t29638 - t29666 / 0.2e1 - t382 * t8035 * t139 / 0.6e1 - t5133 * t2852 / 0.6e1;
  t39957 = -t1763 * t7999 + 0.23e2 / 0.108e3 * t39885 * t1684 - t39885 * t1735 / 0.2e1 + t39882 * t497 / 0.3e1 - t1140 * t13195 / 0.2e1 + 0.3e1 / 0.4e1 * t4944 * t738 + 0.3e1 / 0.4e1 * t22399 * t248 + t1763 * t8053 + t387 * t8050 / 0.2e1 + t387 * t8019 / 0.2e1 - t387 * t8040 + 0.23e2 / 0.36e2 * t8010 * t9943 - 0.2e1 * t8004 * t1679;
  t39981 = -0.11e2 / 0.18e2 * t8010 * t9948 + t8004 * t1675 - 0.3e1 * t1689 * t7999 + 0.3e1 / 0.2e1 * t9790 * t8028 + t9743 * t8028 / 0.2e1 + t2822 * t1202 / 0.2e1 - t13211 * t1190 / 0.2e1 + t5133 * t2856 / 0.3e1 + 0.7e1 / 0.9e1 * t39885 * t1672 - t39885 * t1771 / 0.6e1 - 0.11e2 / 0.54e2 * t39885 * t1681 - t29734 / 0.2e1 + 0.3e1 * t29739;
  t39991 = t548 * t4942 * t1208;
  t40006 = t106 * t1531 * t39689;
  t40009 = t29741 - 0.11e2 / 0.6e1 * t29746 - t671 * t34885 / 0.4e1 - 0.3e1 / 0.4e1 * t4944 * t746 + t1641 * t39991 - 0.3e1 / 0.2e1 * t4944 * t742 + t233 * t23322 / 0.4e1 + t666 * t34375 / 0.2e1 - t1140 * t12882 / 0.2e1 - t387 * t7952 / 0.2e1 - 0.11e2 / 0.6e1 * t4800 * t30894 + 0.5e1 / 0.3e1 * t40006 * t3796;
  t40022 = t95 * t7997;
  t40023 = t160 * t40022;
  t40024 = t548 * t40023;
  t40031 = t163 * t8002;
  t40035 = t163 * t8034;
  t40042 = t8004 * t1609 / 0.2e1 - t8004 * t1456 + 0.3e1 * t29775 - 0.9e1 / 0.2e1 * t29778 - 0.3e1 / 0.2e1 * t29781 + 0.9e1 * t509 * t4888 * t4885 + t162 * t5177 * t4872 + t379 * t7966 + 0.12e2 * t29073 * t40024 + 0.3e1 / 0.2e1 * t162 * t296 * t8083 * t1524 - 0.6e1 * t162 * t40031 * t636 - 0.3e1 / 0.2e1 * t162 * t40035 * t334 + 0.9e1 / 0.2e1 * t162 * t4880 * t4877;
  t40050 = t303 * t137 * t39804;
  t40073 = -t379 * t7963 / 0.4e1 - t162 * t2629 * t7962 / 0.4e1 - t162 * t745 * t40050 / 0.4e1 - 0.3e1 / 0.4e1 * t719 * t4873 - 0.3e1 * t719 * t4878 + 0.9e1 / 0.2e1 * t719 * t4881 + 0.3e1 / 0.2e1 * t719 * t5178 - 0.3e1 / 0.2e1 * t719 * t5182 + t387 * t7978 / 0.6e1 + t1140 * t12436 - 0.7e1 * t8010 * t9877 + 0.7e1 / 0.3e1 * t8010 * t9868 + 0.2e1 * t671 * t23330;
  t40079 = t1539 * t1540 * t658;
  t40088 = t2042 * t2859 * t8228;
  t40105 = -0.2e1 * t1140 * t12477 + 0.3e1 / 0.2e1 * t719 * t5174 + 0.9e1 / 0.2e1 * t1742 * t4789 * t40079 - 0.3e1 * t2861 * t4886 + 0.3e1 * t2861 * t4855 - 0.9e1 / 0.2e1 * t15454 * t40088 - 0.3e1 / 0.2e1 * t2861 * t4858 + 0.3e1 * t719 * t5170 - 0.9e1 / 0.2e1 * t4800 * t12418 + 0.9e1 / 0.2e1 * t8010 * t9718 - 0.43e2 / 0.9e1 * t39683 * t28612 - 0.3e1 / 0.2e1 * t8010 * t9722 - 0.3e1 / 0.4e1 * t2816 * t1199;
  t40111 = t16129 * t96 * t39840;
  t40118 = t7939 * t122;
  t40119 = t1756 * t40118;
  t40123 = t1879 * t40118;
  t40130 = t10706 * t5087;
  t40133 = t10615 * t5083;
  t40138 = t11691 * t5087;
  t40141 = -0.3e1 / 0.4e1 * t719 * t4868 + t2511 * t40111 / 0.2e1 + 0.9e1 / 0.2e1 * t22061 * t10615 * t1733 * t4919 + t2022 * t697 * t40119 / 0.2e1 - t2004 * t697 * t40123 / 0.2e1 - 0.8e1 * t2022 * t5006 * t22448 - 0.3e1 / 0.4e1 * t22064 * t40130 + 0.5e1 / 0.12e2 * t22061 * t40133 + t33591 - t33594 - 0.8e1 / 0.3e1 * t22071 * t5108 - 0.3e1 / 0.2e1 * t22064 * t40138;
  t40142 = t10832 * t5083;
  t40145 = t1968 * t5095;
  t40148 = t7975 * t122;
  t40149 = t96 * t40148;
  t40150 = t11691 * t40149;
  t40157 = t1883 * t40148;
  t40165 = 0.11e2 / 0.6e1 * t22061 * t40142 + t22064 * t40145 / 0.2e1 - t2471 * t40150 / 0.3e1 + t29855 / 0.4e1 - t29857 / 0.4e1 - t29859 / 0.4e1 + t29865 / 0.2e1 - t2004 * t693 * t40157 - t29882 / 0.2e1 - t29886 / 0.2e1 - t29908 / 0.2e1 + t29912 / 0.2e1 - 0.3e1 / 0.2e1 * t29914;
  t40168 = t1756 * t22192;
  t40172 = t1974 * t39704;
  t40181 = t548 * t39812;
  t40194 = t318 * t39812;
  t40196 = -0.3e1 / 0.2e1 * t29917 + 0.3e1 * t2022 * t697 * t40168 + t2471 * t40172 / 0.2e1 - 0.5e1 / 0.12e2 * t4800 * t29871 - t1140 * t12618 / 0.4e1 + t1140 * t12615 / 0.2e1 - t671 * t40181 / 0.2e1 + t5133 * t7947 / 0.12e2 - t5142 * t1150 / 0.9e1 + t654 * t7942 / 0.36e2 + t654 * t7918 / 0.12e2 - 0.3e1 / 0.2e1 * t5161 * t4272 + t666 * t40194;
  t40201 = t12779 * t5095;
  t40204 = t96 * t40118;
  t40205 = t1404 * t40204;
  t40208 = t7939 * t312;
  t40210 = t3582 * t96 * t40208;
  t40213 = t1974 * t40204;
  t40216 = t2213 * t5111;
  t40225 = t2042 * t4903;
  t40230 = -t233 * t23495 / 0.4e1 + 0.3e1 / 0.2e1 * t30010 + 0.3e1 / 0.2e1 * t30013 + t2511 * t40201 / 0.4e1 - t2485 * t40205 / 0.6e1 - t2511 * t40210 / 0.6e1 + t2471 * t40213 / 0.12e2 - 0.3e1 / 0.2e1 * t4800 * t40216 + 0.3e1 / 0.2e1 * t8010 * t9881 - t8010 * t9679 / 0.2e1 + 0.7e1 * t4800 * t12387 + 0.23e2 / 0.12e2 * t4800 * t40225 - 0.23e2 / 0.12e2 * t8010 * t9039;
  t40237 = t2218 * t5111;
  t40244 = t34367 / 0.18e2;
  t40253 = 0.23e2 / 0.36e2 * t8010 * t9042 - 0.11e2 / 0.6e1 * t4800 * t40237 + 0.11e2 / 0.6e1 * t8010 * t9847 - 0.11e2 / 0.18e2 * t8010 * t9045 + t40244 + t30047 / 0.2e1 + t30063 / 0.2e1 - t30085 / 0.4e1 + t30140 - t30151 / 0.12e2 + 0.3e1 / 0.2e1 * t2011 * t22117 * t7969 - t30156 / 0.4e1;
  t40262 = t510 * t8002;
  t40274 = 0.3e1 / 0.2e1 * t30168 + t30171 / 0.2e1 - 0.5e1 / 0.12e2 * t30179 - t913 + t984 - t7974 + t162 * t2629 * t7977 / 0.2e1 + t379 * t7978 / 0.2e1 - 0.6e1 * t509 * t40262 * t1448 + 0.9e1 * t2861 * t4889 - 0.6e1 * t4795 * t3953 + 0.22e2 / 0.3e1 * t40006 * t3724 - 0.23e2 / 0.3e1 * t40006 * t3727;
  t40282 = t296 * t8092;
  t40286 = t1539 * t4884;
  t40296 = t2218 * t40023;
  t40305 = 0.23e2 / 0.12e2 * t4800 * t30897 + 0.6e1 * t40006 * t3730 - 0.38e2 / 0.9e1 * t39683 * t28508 - 0.3e1 * t162 * t40282 * t1703 + 0.9e1 / 0.2e1 * t162 * t4789 * t40286 - 0.9e1 * t162 * t4888 * t5169 + 0.6e1 * t162 * t40262 * t1442 - 0.28e2 * t28132 * t40296 - 0.3e1 / 0.2e1 * t22411 * t730 + 0.3e1 / 0.2e1 * t4944 * t749 + 0.9e1 / 0.2e1 * t30191 + t30223 / 0.4e1 - t7986;
  t40312 = t4973 * t658;
  t40313 = t414 * t40312;
  t40316 = t414 * t4984;
  t40321 = t1845 * t4974;
  t40324 = t149 * t40312;
  t40327 = 0.2e1 * t33905;
  t40328 = 0.2e1 * t33917;
  t40329 = t62 * t7939;
  t40330 = t40329 * t122;
  t40331 = t427 * t40330;
  t40334 = t62 * t7975;
  t40335 = t40334 * t122;
  t40336 = t427 * t40335;
  t40346 = -0.12e2 * t22902 * t4981 - 0.8e1 * t34056 * t4985 - 0.16e2 / 0.3e1 * t22894 * t4978 + 0.2e1 * t2687 * t40313 - 0.3e1 * t34251 * t40316 + 0.32e2 * t22894 * t4975 + 0.2e1 * t22854 * t40321 + 0.8e1 * t2689 * t40324 - t40327 - t40328 - 0.2e1 * t2687 * t40331 + 0.4e1 * t13421 * t40336 - 0.18e2 * t22854 * t4978 + 0.6e1 * t30264 + 0.2e1 * t30268 - t30271 / 0.3e1 - 0.12e2 * t30284 + 0.18e2 * t30287;
  t40350 = t9774 * t7997 * t9991;
  t40353 = t10242 * t5024;
  t40356 = t8080 * t122;
  t40357 = t10277 * t40356;
  t40361 = t404 * t60 * t39804;
  t40366 = t1746 * t4992;
  t40369 = t8097 * t9912;
  t40376 = 0.2e1 * t34001;
  t40377 = 0.4e1 / 0.3e1 * t34002;
  t40379 = 0.6e1 * t30290 - 0.36e2 * t30296 + t7173 - t8065 + t8066 + t8067 + t33981 + 0.24e2 * t40350 * t29386 + 0.9e1 * t4997 * t40353 - 0.2e1 * t697 * t40357 + t237 * t40361 / 0.2e1 - 0.1e2 * t8116 * t10429 + t4997 * t40366 / 0.6e1 - 0.2e1 / 0.3e1 * t40369 * t3694 - t8116 * t10401 / 0.6e1 - 0.12e2 * t5006 * t5001 - t40376 - t40377 - 0.12e2 * t30361;
  t40385 = t8092 * t10029;
  t40392 = t1177 * t658;
  t40393 = t1879 * t40392;
  t40398 = t10277 * t5027;
  t40401 = t9997 * t5024;
  t40410 = t1756 * t4988;
  t40415 = t8083 * t10106;
  t40418 = -0.4e1 * t30366 + t30369 / 0.6e1 + 0.18e2 * t30374 + 0.6e1 * t30377 - 0.36e2 * t40385 * t601 + 0.36e2 * t40369 * t3672 - 0.12e2 * t40350 * t29322 - t8068 + 0.6e1 * t697 * t40393 - 0.16e2 * t5006 * t5051 - 0.9e1 * t1164 * t40398 - 0.1e2 * t4997 * t40401 - 0.36e2 * t5006 * t5063 + 0.24e2 * t8113 * t1880 + t691 * t8108 / 0.2e1 - 0.2e1 * t1164 * t40410 - 0.9e1 * t5016 * t5013 + 0.12e2 * t40415 * t597;
  t40432 = t1879 * t4988;
  t40441 = 0.3e1 * t8084 * t424 - 0.2e1 * t1160 * t4989 + 0.8e1 * t8113 * t1903 + 0.24e2 * t40385 * t591 - t691 * t8081 + 0.1e2 * t30412 - 0.9e1 * t30431 - 0.9e1 * t30439 - 0.3e1 * t30442 - t3609 - t3610 - t3614 + t3625 - t30490 + 0.3e1 * t1164 * t40432 + 0.1e2 / 0.3e1 * t40350 * t29327 + 0.5e2 / 0.3e1 * t40350 * t29437 - 0.4e2 * t40369 * t3679 - t6531;
  t40444 = t1746 * t5030;
  t40451 = t1756 * t40392;
  t40454 = t10242 * t5027;
  t40463 = t404 * t40392;
  t40470 = t8107 * t122;
  t40471 = t404 * t40470;
  t40473 = t8087 - t8088 + t3688 + t3690 - t3697 + t3704 - t4997 * t40444 / 0.3e1 + t8116 * t10262 / 0.3e1 - t40350 * t29265 / 0.9e1 - 0.4e1 * t697 * t40451 + 0.6e1 * t1164 * t40454 + 0.6e1 * t5006 * t5040 - 0.4e1 * t8113 * t1877 + 0.4e1 / 0.3e1 * t40369 * t3632 - 0.4e1 * t693 * t40463 + 0.6e1 * t5016 * t5025 + 0.4e1 * t1160 * t5028 - t693 * t40471;
  t40474 = 0.4e1 * t34159;
  t40479 = 0.2e1 / 0.3e1 * t34205;
  t40480 = 0.4e1 * t34254;
  t40481 = 0.4e1 * t34265;
  t40484 = t1756 * t5057;
  t40486 = t1883 * t40356;
  t40490 = t10295 * t8080 * t312;
  t40494 = t1883 * t1177 * t4841;
  t40497 = t10242 * t40356;
  t40501 = t404 * t63 * t39804;
  t40511 = -t40474 + 0.6e1 * t30549 - 0.6e1 * t30554 - 0.2e1 * t30559 + 0.18e2 * t30563 + t40479 + t40480 + t40481 + 0.32e2 / 0.3e1 * t5006 * t5060 + t1164 * t40484 + 0.2e1 * t693 * t40486 + 0.3e1 * t237 * t40490 - 0.2e1 * t237 * t40494 + 0.4e1 / 0.3e1 * t697 * t40497 - t237 * t40501 + 0.18e2 * t5016 * t5031 - 0.24e2 * t40415 * t578 - 0.6e1 * t8084 * t406 - 0.12e2 * t40385 * t583;
  t40515 = t1756 * t40470;
  t40518 = t9992 * t5024;
  t40525 = t1751 * t4992;
  t40532 = t1756 * t4992;
  t40539 = t1751 * t5030;
  t40544 = t1756 * t5030;
  t40553 = 0.4e1 * t1160 * t5058 - 0.2e1 / 0.3e1 * t697 * t40515 - t4997 * t40518 / 0.6e1 - t691 * t8074 + 0.3e1 * t30593 - 0.3e1 * t30602 + 0.2e1 * t30605 + 0.1e2 * t4997 * t40525 + 0.18e2 * t5006 * t4993 - 0.12e2 * t8113 * t1931 - 0.9e1 * t4997 * t40532 + 0.9e1 * t8116 * t10449 + 0.8e1 * t40369 * t3664 - 0.2e1 * t4997 * t40539 + 0.2e1 * t691 * t8077 + 0.18e2 * t4997 * t40544 - 0.72e2 * t40369 * t3667 - 0.18e2 * t8116 * t10243 + 0.8e1 / 0.3e1 * t40350 * t29383;
  t40554 = t427 * t4984;
  t40557 = t427 * t40312;
  t40560 = t149 * t40335;
  t40564 = t149 * t40334 * t312;
  t40568 = t149 * t4973 * t4841;
  t40571 = t414 * t40335;
  t40574 = t1857 * t4974;
  t40577 = t149 * t40330;
  t40581 = t149 * t40329 * t312;
  t40584 = t414 * t40330;
  t40587 = 0.2e1 * t34295;
  t40590 = t1879 * t40470;
  t40596 = t1879 * t5057;
  t40600 = t1883 * t8107 * t312;
  t40602 = 0.18e2 * t34251 * t40554 - 0.12e2 * t2687 * t40557 - 0.4e1 * t13549 * t40560 - 0.6e1 * t19442 * t40564 + 0.4e1 * t4095 * t40568 - 0.2e1 / 0.3e1 * t13421 * t40571 + t22854 * t40574 / 0.3e1 + 0.2e1 * t2689 * t40577 + 0.2e1 * t4095 * t40581 + t2687 * t40584 / 0.3e1 - t962 + t40587 + t943 + 0.72e2 * t40385 * t587 + t697 * t40590 + 0.2e1 * t8116 * t10238 - 0.4e1 / 0.3e1 * t40350 * t29392 - 0.6e1 * t1164 * t40596 - t237 * t40600;
  t40610 = t10242 * t40148;
  t40613 = t10277 * t40148;
  t40616 = t7987 - t22 * t59 * (t40346 + t40379 + t40418 + t40441 + t40473 + t40511 + t40553 + t40602) * t96 / 0.4e1 - t2022 * t697 * t40610 + t2004 * t697 * t40613 - t7988 - t7989 + t7990 - t7991 + t6646 + t7992 - t7993 - t3520 + t3524;
  t40622 = t106 * t363 * t8008;
  t40634 = t1440 * t372 * t4841;
  t40638 = t507 * t40022;
  t40639 = t2042 * t40638;
  t40646 = t305 * t12623 * t1148;
  t40650 = -t3575 + 0.3e1 / 0.2e1 * t4795 * t5152 - 0.3e1 * t40622 * t549 - 0.9e1 * t719 * t5123 - 0.6e1 * t40622 * t556 - t654 * t7983 / 0.18e2 + 0.3e1 / 0.2e1 * t1689 * t7970 + 0.3e1 / 0.2e1 * t509 * t4854 * t40634 + 0.18e2 * t28132 * t40639 + 0.3e1 * t509 * t40282 * t1699 + t233 * t40646 / 0.4e1 + 0.23e2 / 0.12e2 * t30675;
  t40652 = t3582 * t40149;
  t40655 = t230 * t7975;
  t40657 = t10706 * t500 * t40655;
  t40678 = t30677 - 0.2e1 * t30679 + t2485 * t40652 / 0.3e1 + 0.2e1 / 0.3e1 * t9476 * t40657 + t1397 * t2490 * t7977 / 0.2e1 - t1135 * t2787 / 0.2e1 - t2822 * t1199 / 0.4e1 + t1763 * t7970 / 0.2e1 + t387 * t7966 / 0.3e1 + t8004 * t1452 - 0.6e1 * t4795 * t4904 + 0.4e1 * t8004 * t1468 - 0.2e1 * t8004 * t1588;
  t40680 = t2042 * t5111;
  t40697 = t305 * t1472 * t7940;
  t40702 = -0.5e1 / 0.12e2 * t4800 * t40680 + t30717 + 0.3e1 / 0.4e1 * t30719 - t30727 / 0.4e1 - t30730 / 0.4e1 - 0.3e1 / 0.2e1 * t4800 * t29649 + 0.7e1 * t4800 * t29652 - t671 * t33435 / 0.2e1 - t387 * t7963 / 0.12e2 - t5133 * t7959 / 0.3e1 + t233 * t40697 / 0.12e2 + 0.9e1 * t30735 + 0.9e1 / 0.2e1 * t30741;
  t40704 = t34655 / 0.6e1;
  t40705 = t34659 / 0.6e1;
  t40706 = t34697 / 0.2e1;
  t40707 = t1132 * t1147;
  t40708 = t500 * t40707;
  t40709 = t10832 * t40708;
  t40721 = t11303 * t40023;
  t40727 = -0.9e1 * t30747 + t40704 + t40705 + t34687 + t34691 - t40706 - 0.7e1 * t11669 * t40709 - 0.3e1 / 0.2e1 * t1397 * t22117 * t7951 - 0.3e1 / 0.2e1 * t30783 - 0.2e1 * t39683 * t27997 - 0.9e1 / 0.2e1 * t162 * t39818 * t10169 + 0.47e2 / 0.3e1 * t28148 * t40721 + 0.3e1 / 0.2e1 * t162 * t39822 * t1757;
  t40741 = t1417 * t1472 * t7981;
  t40744 = t34743 / 0.3e1;
  t40751 = -0.3e1 * t509 * t39822 * t1752 + 0.3e1 * t4795 * t5112 - 0.2e1 * t8004 * t1464 - t661 * t7983 / 0.6e1 - t233 * t40741 / 0.6e1 + t8064 + t40744 + 0.3e1 / 0.2e1 * t17564 * t5101 - 0.3e1 / 0.2e1 * t17561 * t5105 + t30842 - 0.3e1 / 0.2e1 * t30849 - 0.3e1 / 0.4e1 * t30851;
  t40752 = t1463 * t4843;
  t40756 = t1455 * t377 * t1148;
  t40759 = t1455 * t160 * t4842;
  t40761 = t1455 * t4843;
  t40764 = t1455 * t4811;
  t40767 = t1463 * t4811;
  t40771 = t1440 * t408 * t4841;
  t40781 = t17557 * t5083;
  t40784 = t1968 * t40204;
  t40790 = t1140 * t40752 / 0.2e1 - t1140 * t40756 - t1140 * t40759 + t1140 * t40761 / 0.4e1 + t1140 * t40764 / 0.4e1 + t1140 * t40767 / 0.2e1 - 0.3e1 / 0.2e1 * t162 * t4854 * t40771 - 0.5e1 / 0.36e2 * t8010 * t9278 - 0.3e1 / 0.2e1 * t379 * t7952 + 0.5e1 / 0.12e2 * t8010 * t9438 + t2471 * t40781 / 0.2e1 + t2471 * t40784 / 0.6e1 + 0.8e1 * t2004 * t5006 * t5104;
  t40792 = t10277 * t4924;
  t40799 = t9997 * t4919;
  t40803 = t10242 * t4919;
  t40807 = t10706 * t5083;
  t40811 = t34823 / 0.3e1;
  t40814 = t3582 * t169 * t193 * t7975;
  t40817 = t1974 * t5095;
  t40820 = 0.9e1 / 0.2e1 * t2004 * t1164 * t40792 + t30872 / 0.6e1 + 0.3e1 / 0.2e1 * t30882 - 0.3e1 / 0.2e1 * t30900 + 0.9e1 * t2022 * t4997 * t40799 - 0.9e1 / 0.2e1 * t2004 * t4997 * t40803 + 0.3e1 / 0.2e1 * t22061 * t40807 + 0.3e1 / 0.4e1 * t30934 - t3747 + t3749 - t40811 - t2511 * t40814 / 0.6e1 + t22064 * t40817 / 0.4e1;
  t40823 = t10706 * t40149;
  t40827 = t3582 * t96 * t39836;
  t40830 = t34863 / 0.2e1;
  t40831 = t34866 / 0.2e1;
  t40850 = -t23367 * t5096 / 0.3e1 - t2471 * t40823 / 0.6e1 - t2511 * t40827 / 0.3e1 - t40830 - t40831 + 0.9e1 / 0.2e1 * t719 * t5126 - 0.6e1 * t10074 * t39675 * t27991 + 0.18e2 * t1742 * t39675 * t28276 + t5133 * t7955 / 0.6e1 - t1135 * t4812 / 0.3e1 - t1135 * t4844 / 0.3e1 - t8036 * t320 / 0.2e1 - 0.3e1 * t719 * t5172;
  t40866 = t1135 * t2779 / 0.2e1 + 0.3e1 / 0.2e1 * t4795 * t4277 + 0.3e1 / 0.2e1 * t17561 * t4926 - t22 * t8136 * t194 / 0.4e1 - t30994 / 0.6e1 + t31002 / 0.3e1 + 0.3e1 / 0.2e1 * t17561 * t4921 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790;
  t40876 = t106 * t109 * t8002;
  t40882 = t305 * t2777 * t4842;
  t40891 = t510 * t8008;
  t40895 = -0.6e1 * t31070 - 0.3e1 / 0.2e1 * t31073 + 0.9e1 / 0.2e1 * t31077 + 0.3e1 / 0.2e1 * t31081 - 0.35e2 / 0.108e3 * t39683 * t28563 - 0.3e1 / 0.2e1 * t5161 * t5157 + 0.2e1 * t40876 * t541 + t8036 * t315 / 0.2e1 + t233 * t40882 / 0.4e1 + t661 * t7942 / 0.12e2 - 0.61e2 / 0.27e2 * t39683 * t29047 + 0.44e2 / 0.27e2 * t39683 * t28313 - 0.18e2 * t509 * t40891 * t622;
  t40907 = t10242 * t4924;
  t40911 = t404 * t22192;
  t40923 = t230 * t7939;
  t40925 = t1974 * t500 * t40923;
  t40932 = t1974 * t1395 * t5094;
  t40934 = t404 * t40118;
  t40938 = 0.18e2 * t162 * t40891 * t645 - 0.18e2 * t1742 * t39690 * t3739 + 0.36e2 * t509 * t39690 * t3760 - t31169 / 0.12e2 - 0.9e1 / 0.2e1 * t2022 * t1164 * t40907 + 0.2e1 * t2004 * t693 * t40911 - 0.3e1 * t2004 * t5016 * t4920 - 0.2e1 * t2004 * t1160 * t4925 + t1397 * t22181 * t1198 - t9476 * t40925 / 0.3e1 - t1397 * t2490 * t7962 / 0.4e1 - t22064 * t40932 + t2004 * t693 * t40934 / 0.2e1;
  t40939 = t1883 * t40208;
  t40948 = t10706 * t500 * t4924;
  t40951 = t10615 * t5079;
  t40954 = t1968 * t39704;
  t40961 = t2004 * t237 * t40939 / 0.2e1 - 0.2e1 * t2471 * t22194 + 0.16e2 / 0.3e1 * t22071 * t5080 + 0.3e1 * t22064 * t40948 - 0.23e2 / 0.12e2 * t22061 * t40951 + t2471 * t40954 + t661 * t7918 / 0.4e1 - t3829 - t3852 + t3867 - t31199 / 0.2e1 - t103 * t8137 / 0.12e2 + t3869;
  t40967 = my_piecewise3(t3, 0, t40961 + t40141 + t40165 + t40253 + t40073 + t40790 + t40702 + t40850 + t40938 + t39719 + t40820 + t39694 + t40895 + t39981 + t40196 + t40727 + t40678 + t39932 + t39904 + t40616 + t39871 + t40274 + t39845 + t40042 + t40751 + t40650 + t40105 + t40009 + t40305 + t40230 + t40866 + t39957);
  tv4rholapl30 = 0.2e1 * rho[0] * t40967 + 0.2e1 * t8143;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 0] += tv4rholapl30;

  t40978 = -t31262 + t31264 - t31292 - t31294 + t31295 + 0.3e1 / 0.2e1 * t162 * t13986 * t8319 - 0.3e1 * t162 * t13993 * t8314 - 0.3e1 * t379 * t8315 + t33073 + t29503 - t33074;
  t40979 = t5099 * t122;
  t40988 = t23696 * t1147;
  t40989 = t500 * t40988;
  t40990 = t1974 * t40989;
  t40994 = t303 * t1264 * t1147;
  t41000 = t3582 * t169 * t8393 * t312;
  t41004 = t169 * t8393 * t122;
  t41005 = t1974 * t41004;
  t41008 = -t33075 + t31347 - t31349 - t39673 - 0.3e1 * t2004 * t3227 * t404 * t40979 - 0.2e1 * t2004 * t877 * t1883 * t23274 + 0.16e2 / 0.3e1 * t11652 * t40990 + t1397 * t2951 * t40994 - t2874 * t23287 - t2511 * t41000 / 0.6e1 + t2471 * t41005 / 0.12e2;
  t41010 = t1404 * t41004;
  t41013 = t8558 * t1147;
  t41015 = t1974 * t1395 * t41013;
  t41031 = -t2485 * t41010 / 0.6e1 - t9476 * t41015 / 0.3e1 + t1397 * t5241 * t23308 / 0.2e1 + t1397 * t5245 * t22694 / 0.2e1 - t719 * t5326 / 0.2e1 - t2816 * t1269 / 0.2e1 - t719 * t5317 - t719 * t5320 - t2816 * t1266 + t31372 - t31375;
  t41034 = t1132 * t122;
  t41045 = t10556 * t8399 / 0.3e1 - t31404 - t31407 + t31409 - t31417 - t31419 - t31432 + 0.36e2 * t2022 * t15169 * t1751 * t41034 - t2874 * t40150 / 0.3e1 - t39713 + 0.3e1 / 0.2e1 * t2022 * t881 * t1756 * t22222;
  t41055 = t96 * t22222;
  t41074 = t169 * t22165;
  t41078 = t13840 * t8345 / 0.4e1 + t2874 * t10662 * t8344 / 0.4e1 + t2874 * t40172 / 0.4e1 + t2874 * t1974 * t41055 / 0.4e1 + t3162 * t40652 / 0.3e1 + 0.3e1 / 0.2e1 * t11419 * t14912 * t8283 - t3162 * t1404 * t41055 / 0.3e1 - t3162 * t9547 * t8344 / 0.3e1 - t3162 * t39705 / 0.3e1 - t13856 * t8351 / 0.3e1 - t4510 * t1982 * t41074 / 0.2e1;
  t41079 = t96 * t41034;
  t41087 = -0.3e1 * t19680 * t1962 * t41079 + t39714 - t31460 + t39715 - t29555 - t33166 + t33167 + t4795 * t4613 / 0.2e1 + t1140 * t13888 / 0.6e1 + t31488 - t39721;
  t41089 = t1472 * t8228;
  t41110 = -t31492 - 0.5e1 / 0.36e2 * t3007 * t2042 * t41089 - t3322 * t1199 / 0.12e2 - t2900 * t8233 / 0.18e2 - 0.11e2 / 0.54e2 * t13898 * t8292 + t13901 * t8230 / 0.6e1 - t654 * t5353 / 0.18e2 - t823 * t4878 + 0.3e1 / 0.2e1 * t823 * t4881 + t823 * t5178 / 0.2e1 + t9743 * t8284 / 0.2e1;
  t41134 = -t387 * t8324 / 0.6e1 - t13898 * t8279 / 0.2e1 + t823 * t5174 / 0.2e1 + t823 * t5170 - t823 * t5172 + t3389 * t4855 - 0.35e2 / 0.108e3 * t19635 * t17706 * t41079 - 0.5e1 / 0.36e2 * t4482 * t3965 * t41074 - 0.3e1 / 0.2e1 * t2004 * t881 * t39661 - 0.3e1 / 0.2e1 * t2004 * t881 * t1879 * t22222 - t17554 * t5388;
  t41141 = t20571 * t5083;
  t41150 = t2966 * t4902;
  t41151 = t548 * t41150;
  t41160 = t13326 * t5391 - t21072 * t5105 / 0.2e1 + t2471 * t41141 / 0.6e1 - 0.6e1 * t17561 * t5574 + t17564 * t5579 - t17561 * t5582 - 0.5e1 / 0.36e2 * t4800 * t31602 - t671 * t41151 / 0.6e1 + 0.7e1 / 0.9e1 * t13898 * t8301 + t379 * t8310 / 0.2e1 - t259 * t23495 / 0.12e2;
  t41171 = -t791 * t34885 / 0.12e2 + t259 * t23322 / 0.12e2 - t823 * t5182 / 0.2e1 - t31504 - t31506 - t29635 - t29638 + t31522 + t31524 - t13740 * t8388 / 0.3e1 + t11676 * t8341 / 0.2e1;
  t41173 = t21332 * t5083;
  t41176 = t14860 * t5095;
  t41192 = t2471 * t41173 / 0.12e2 + t2511 * t41176 / 0.12e2 - t2874 * t17660 * t5625 / 0.3e1 - t4510 * t17831 * t5372 - 0.2e1 * t4503 * t22167 + 0.2e1 * t17564 * t5614 - t31545 - t31547 + t31550 - t3162 * t39915 / 0.3e1 - t3168 * t39918 / 0.3e1;
  t41199 = t1974 * t500 * t256 * t7939;
  t41213 = t12623 * t1208;
  t41223 = t2874 * t39921 / 0.6e1 + t3168 * t40201 / 0.6e1 - t9476 * t41199 / 0.3e1 - t1397 * t2956 * t7962 / 0.4e1 + 0.9e1 * t2022 * t3211 * t9997 * t22112 + t785 * t34375 / 0.6e1 - t33438 + t2927 * t8225 / 0.3e1 + t785 * t318 * t41213 / 0.3e1 + t785 * t40194 / 0.3e1 + 0.3e1 * t2004 * t3211 * t1756 * t22094;
  t41226 = t256 * t1132;
  t41227 = t500 * t41226;
  t41228 = t10615 * t41227;
  t41239 = t20707 * t4788;
  t41262 = 0.47e2 / 0.3e1 * t29946 * t41228 - 0.9e1 / 0.2e1 * t2004 * t3211 * t10242 * t22112 - t22061 * t31325 / 0.2e1 - 0.3e1 / 0.2e1 * t22061 * t31332 + 0.3e1 / 0.2e1 * t11419 * t41239 * t3739 + 0.3e1 / 0.2e1 * t1397 * t41239 * t3411 - 0.18e2 * t2004 * t15169 * t1756 * t41034 - 0.18e2 * t2022 * t15157 * t9992 * t41034 + 0.6e1 * t2004 * t15157 * t9997 * t41034 - 0.3e1 * t2011 * t41239 * t3760 + t1763 * t8338;
  t41282 = t387 * t8334 / 0.2e1 + t387 * t8329 / 0.6e1 - t806 * t7983 / 0.18e2 - t1763 * t8289 + t654 * t8255 / 0.36e2 + t2822 * t1274 / 0.3e1 - t5161 * t4640 / 0.2e1 - t13211 * t1261 / 0.3e1 + t12664 * t8395 / 0.36e2 - t9576 * t8390 / 0.12e2 + t31593;
  t41297 = t3961 * t41227;
  t41308 = t31597 - t31599 - t3162 * t40205 / 0.6e1 - t3168 * t40210 / 0.6e1 + t2874 * t40213 / 0.12e2 + t3168 * t39701 / 0.12e2 - 0.3e1 / 0.2e1 * t10516 * t8355 - 0.3e1 * t1397 * t14991 * t8314 - 0.28e2 * t29479 * t41297 - 0.6e1 * t2004 * t3214 * t409 * t22094 + 0.6e1 * t2004 * t3214 * t1879 * t22112;
  t41309 = t287 * t1132;
  t41310 = t1395 * t41309;
  t41311 = t3961 * t41310;
  t41318 = t287 * t658;
  t41319 = t169 * t41318;
  t41320 = t1962 * t41319;
  t41339 = 0.7e1 / 0.3e1 * t11669 * t41311 - t2011 * t5387 * t4885 - t10556 * t8355 / 0.2e1 - t2471 * t41320 / 0.6e1 + t22064 * t13761 / 0.6e1 + t1140 * t14696 / 0.3e1 - t1140 * t14692 / 0.6e1 - t806 * t4962 / 0.36e2 - t5133 * t3347 / 0.36e2 + t5513 * t738 / 0.2e1 - t661 * t5508 / 0.6e1 - t233 * t25469 / 0.6e1;
  t41353 = t17606 * t8563;
  t41364 = t1733 * t41034;
  t41372 = t4433 * t1138;
  t41375 = t4944 * t829 / 0.4e1 + t25464 * t248 / 0.2e1 + t22399 * t274 / 0.4e1 - t13326 * t5242 - t13326 * t5246 / 0.2e1 + 0.2e1 / 0.3e1 * t9476 * t41353 - 0.6e1 * t17713 * t15157 * t10075 * t41034 + 0.18e2 * t3980 * t15157 * t10080 * t41034 - 0.62e2 / 0.3e1 * t19635 * t17701 * t41364 + 0.8e1 * t19635 * t17706 * t3978 * t41034 + t2011 * t41372 * t1448;
  t41390 = t138 * t8212;
  t41395 = t106 * t158 * t8210 * t159;
  t41402 = -t5133 * t3380 / 0.18e2 + t5142 * t818 / 0.18e2 + t1135 * t3361 / 0.6e1 - t3366 * t1194 / 0.2e1 - t813 * t4962 / 0.12e2 - t259 * t22394 / 0.12e2 - t1140 * t14831 / 0.12e2 - t127 * t41390 / 0.12e2 + t41395 * t166 / 0.4e1 + t3366 * t1202 / 0.2e1 - t14687 * t1190 / 0.2e1;
  t41424 = t3322 * t1202 / 0.6e1 - t14982 * t1190 / 0.6e1 - t654 * t5508 / 0.18e2 + t24780 * t248 / 0.6e1 + t22816 * t274 / 0.12e2 - t3322 * t1194 / 0.6e1 + t5133 * t3384 / 0.9e1 - 0.2e1 * t2936 * t22035 - 0.2e1 * t13918 * t8265 + t2936 * t555 * t41089 + t31622;
  t41435 = t548 * t5511 * t1208;
  t41443 = t31624 + t31640 - t3389 * t4858 / 0.2e1 + t1140 * t13875 / 0.3e1 - t3389 * t4886 + t233 * t24516 / 0.6e1 + t666 * t35258 / 0.3e1 + 0.2e1 / 0.3e1 * t1641 * t41435 + t5513 * t734 / 0.2e1 - t5513 * t742 - t5513 * t746 / 0.2e1;
  t41451 = t548 * t4942 * t3084;
  t41462 = -t4944 * t764 / 0.2e1 - t4944 * t768 / 0.4e1 + t1641 * t41451 / 0.3e1 - t33494 + t33495 + t33496 - t33497 - t1689 * t8275 / 0.2e1 + t1140 * t13970 / 0.3e1 + t1140 * t13954 / 0.3e1 - t1140 * t13950 / 0.6e1;
  t41477 = -t31700 + t33502 - t33503 - t29781 - t22 * t1183 * t870 / 0.4e1 - t1140 * t13893 / 0.12e2 - t387 * t8315 + t387 * t8310 / 0.6e1 - 0.2e1 / 0.3e1 * t13901 * t8265 + t13901 * t8262 / 0.3e1 - t1763 * t8275 / 0.6e1;
  t41505 = -t791 * t40181 / 0.6e1 - 0.5e1 / 0.36e2 * t14197 * t8236 + t2936 * t548 * t41089 / 0.2e1 - t2998 * t8233 / 0.6e1 - t791 * t548 * t41213 / 0.6e1 - t5133 * t2880 / 0.36e2 - t3065 * t318 * t41089 / 0.2e1 - t259 * t40741 / 0.6e1 + 0.3e1 * t1689 * t8338 + 0.3e1 * t509 * t13993 * t8337 - t813 * t7983 / 0.6e1;
  t41529 = t318 * t23320 * t775;
  t41536 = 0.3e1 / 0.2e1 * t162 * t14543 * t8333 + 0.3e1 / 0.2e1 * t379 * t8334 + t379 * t8329 / 0.2e1 + t162 * t2896 * t7977 / 0.2e1 + t1135 * t2912 / 0.6e1 + t1135 * t2908 / 0.6e1 - t379 * t8324 / 0.2e1 - t162 * t2885 * t1159 * t328 / 0.2e1 + t4944 * t781 / 0.4e1 - t127 * t41529 / 0.12e2 - t2822 * t1269 / 0.6e1 + t2822 * t1283 / 0.6e1;
  t41558 = t1982 * t41319;
  t41565 = -t823 * t4868 / 0.4e1 - t823 * t4873 / 0.4e1 - t14533 * t8307 / 0.2e1 + t387 * t8320 / 0.2e1 - t233 * t24755 / 0.6e1 - t233 * t24751 / 0.6e1 + t2011 * t5387 * t23241 / 0.2e1 - t22 * t8211 * t194 / 0.4e1 + t2485 * t41558 / 0.3e1 - t22636 * t4660 / 0.2e1 - t23367 * t2993 / 0.6e1;
  t41566 = t17598 * t24506;
  t41572 = -0.2e1 / 0.3e1 * t9476 * t41566 + t31773 - t31775 + t31780 + t33591 - t33594 - t4482 * t1974 * t41074 / 0.2e1 + t33598 - t33600 - t33601 + t33602;
  t41574 = t821 * t8228;
  t41575 = t548 * t41574;
  t41591 = t96 * t22112;
  t41597 = -0.2e1 * t17305 * t41575 - 0.6e1 * t17564 * t5394 + t3168 * t40111 / 0.2e1 - t3168 * t40827 / 0.3e1 - t2874 * t40823 / 0.6e1 - t3168 * t40814 / 0.6e1 + 0.2e1 * t21063 * t1982 * t41079 + t4510 * t1404 * t41591 / 0.2e1 + 0.3e1 * t35025 * t5595 - t33653 - t33654;
  t41598 = -t31838 - t31840 - t31842 + t31846 + t31848 - t31852 + t31854 - t33655 + t33656 - t29914 - t29917;
  t41607 = t555 * t41150;
  t41620 = -t719 * t5329 / 0.2e1 - t1140 * t14788 / 0.6e1 + 0.2e1 / 0.3e1 * t791 * t23330 - t671 * t41607 / 0.3e1 + t1140 * t14782 / 0.3e1 + 0.2e1 / 0.3e1 * t2998 * t8218 + 0.2e1 / 0.3e1 * t791 * t22337 + t2816 * t1274 + t719 * t5342 + t719 * t5345 - t2861 * t5229;
  t41638 = t1962 * t1395 * t41318;
  t41641 = -t2861 * t5560 - t13216 * t1261 + t17561 * t5608 + t17561 * t5258 + t2874 * t17598 * t5635 / 0.3e1 - 0.4e1 / 0.3e1 * t2874 * t23271 + 0.2e1 / 0.3e1 * t2874 * t23267 + t13326 * t5249 + 0.23e2 / 0.36e2 * t22061 * t31751 - 0.2e1 / 0.3e1 * t22064 * t13711 + 0.2e1 / 0.3e1 * t2471 * t41638;
  t41647 = t169 * t23285;
  t41656 = t305 * t2966 * t4842;
  t41668 = t500 * t41034;
  t41672 = -0.11e2 / 0.18e2 * t22061 * t31310 + t22064 * t14916 / 0.3e1 - t3162 * t1404 * t41647 / 0.3e1 - t5133 * t3192 / 0.18e2 + t259 * t40646 / 0.6e1 + t233 * t41656 / 0.12e2 + t813 * t7918 / 0.6e1 + t21068 * t5101 / 0.2e1 - t2004 * t881 * t40123 / 0.2e1 + 0.6e1 * t17564 * t5611 + 0.44e2 / 0.27e2 * t19635 * t17706 * t41668;
  t41688 = t2885 * t1163;
  t41694 = 0.23e2 / 0.18e2 * t4482 * t3965 * t22095 - 0.23e2 / 0.12e2 * t4482 * t10615 * t22113 + 0.3e1 / 0.2e1 * t9790 * t8284 + 0.3e1 / 0.2e1 * t1742 * t13986 * t8283 - 0.3e1 / 0.2e1 * t14197 * t8279 - 0.3e1 / 0.2e1 * t3007 * t23326 - t509 * t41688 * t512 / 0.2e1 + t31983 + t31986 - t31990 - t31993 + 0.14e2 / 0.3e1 * t4482 * t22096;
  t41702 = t96 * t22094;
  t41718 = t3965 * t1733 * t41226;
  t41724 = -0.6e1 * t1756 * t2022 * t22112 * t3214 + 0.6e1 * t2022 * t22094 * t3214 * t400 + 0.3e1 * t14991 * t2011 * t8337 - 0.2e1 * t1968 * t41591 * t4503 + 0.2e1 * t1996 * t41702 * t4503 - 0.7e1 * t22114 * t4482 + 0.18e2 * t29479 * t41718 + t30010 + t30013 + t32016 + t32018;
  t41730 = t96 * t23274;
  t41737 = t10615 * t1733 * t40988;
  t41741 = t1440 * t1259 * t1147;
  t41748 = t96 * t40979;
  t41755 = 0.3e1 / 0.2e1 * t10768 * t8341 + 0.3e1 / 0.2e1 * t2022 * t3220 * t5100 - 0.3e1 / 0.2e1 * t2874 * t11691 * t41730 + 0.3e1 / 0.2e1 * t379 * t8320 - t32041 + t32049 + 0.9e1 / 0.2e1 * t11669 * t41737 + 0.3e1 / 0.2e1 * t2011 * t2943 * t41741 + t2874 * t1974 * t41647 / 0.4e1 - 0.4e1 / 0.3e1 * t4503 * t1974 * t41748 - 0.3e1 / 0.4e1 * t2874 * t10706 * t41730;
  t41766 = t14860 * t5083;
  t41769 = t31685 * t5087;
  t41782 = -0.9e1 / 0.2e1 * t2022 * t881 * t10242 * t23274 + 0.5e1 / 0.12e2 * t4482 * t10615 * t41748 - t4510 * t1982 * t41702 - t2485 * t41766 / 0.6e1 - t2511 * t41769 / 0.6e1 - 0.2e1 * t17561 * t5265 + 0.23e2 / 0.108e3 * t13898 * t8295 + t813 * t7942 / 0.12e2 + t259 * t40697 / 0.12e2 + t259 * t39807 / 0.12e2 - t32079;
  t41789 = t1968 * t41004;
  t41803 = t32081 - t32083 + 0.3e1 / 0.2e1 * t4482 * t10706 * t41748 - t1397 * t5387 * t23294 / 0.2e1 + t2471 * t41789 / 0.6e1 - 0.8e1 * t2022 * t3214 * t1756 * t40979 + 0.8e1 * t2004 * t3214 * t1879 * t40979 - t32093 + t32098 + t40244 + t2004 * t263 * t40939 / 0.2e1;
  t41817 = t2485 * t36622 / 0.3e1 + t2511 * t24568 / 0.6e1 - t2471 * t36202 / 0.6e1 + t13918 * t8230 / 0.2e1 + t34414 + t34415 - t34459 + t4503 * t1962 * t41074 / 0.2e1 + t34506 - t34507 - t34508;
  t41836 = t30168 + t34509 - t34510 - t913 + t984 + t4510 * t1404 * t41748 + 0.2e1 / 0.3e1 * t3162 * t3582 * t41730 + 0.18e2 * t2004 * t15153 * t409 * t41034 - 0.18e2 * t3980 * t15169 * t1746 * t41034 + 0.3e1 * t17561 * t5377 - t3162 * t12779 * t5635 / 0.3e1;
  t41854 = t305 * t13879 * t1148;
  t41859 = t318 * t41150;
  t41862 = t4503 * t17606 * t5372 + t3162 * t17831 * t5625 / 0.3e1 - t7974 + t719 * t5333 / 0.2e1 + t719 * t5337 / 0.2e1 - t1140 * t14472 / 0.12e2 + t806 * t7942 / 0.36e2 + t661 * t8255 / 0.12e2 + t233 * t41854 / 0.12e2 + t1135 * t2972 / 0.6e1 + t666 * t41859 / 0.3e1;
  t41868 = t17606 * t24804;
  t41883 = -t2822 * t1266 / 0.3e1 + 0.3e1 * t17561 * t5268 + t17561 * t5272 - 0.4e1 * t11652 * t41868 - t13326 * t5605 - 0.5e1 / 0.36e2 * t22061 * t31574 - t387 * t8246 / 0.12e2 - 0.11e2 / 0.18e2 * t4800 * t32057 - t2471 * t35271 / 0.3e1 + t2022 * t881 * t40119 / 0.2e1 + t34563;
  t41902 = -t671 * t36958 / 0.6e1 - t32131 - t14511 * t8307 / 0.6e1 + t32140 + t32142 + t34602 - t103 * t8401 / 0.12e2 - t13748 * t8351 / 0.9e1 - 0.3e1 / 0.2e1 * t4482 * t23386 - 0.43e2 / 0.9e1 * t19635 * t17706 * t41364 - 0.3e1 * t4482 * t22550;
  t41907 = t2986 * t1138;
  t41913 = 0.9e1 / 0.2e1 * t4482 * t23390 - t1397 * t5241 * t4877 + 0.3e1 / 0.2e1 * t1397 * t41907 * t636 + t21072 * t4921 / 0.2e1 + t6778 - t6780 - t6785 - t6788 + t6799 - t6801 + t6824;
  t41922 = -t6826 - t7091 + t7093 - t4503 * t1974 * t41591 + t4503 * t1962 * t41702 + 0.5e1 / 0.3e1 * t19608 * t3965 * t41079 - t7095 - t7096 + t7097 - t6631 + t7098;
  t41930 = -0.6e1 * t19680 * t1996 * t41079 - t2022 * t40610 * t881 + 0.3e1 * t23276 * t2874 + t34642 + t34644 - t34645 - t3520 + t3524 - t3575 + t6660 - t6668;
  t41954 = t1962 * t41227;
  t41957 = t9547 * t8394;
  t41962 = t1404 * t169 * t869 * t1147;
  t41967 = t1404 * t169 * t287 * t4841;
  t41972 = t2004 * t881 * t40613 - 0.18e2 * t2022 * t15153 * t400 * t41034 + t1397 * t2956 * t7977 / 0.2e1 - 0.6e1 * t2004 * t15164 * t145 * t41034 - 0.3e1 / 0.2e1 * t2004 * t3227 * t404 * t22112 + 0.3e1 * t2004 * t3227 * t145 * t22094 + 0.12e2 * t33015 * t41954 + t2511 * t41957 / 0.12e2 + t2511 * t41962 / 0.12e2 + t2511 * t41967 / 0.12e2 - t2004 * t877 * t40157;
  t42001 = -0.3e1 / 0.2e1 * t2004 * t263 * t39841 + t2004 * t263 * t39837 - 0.9e1 / 0.2e1 * t3980 * t3211 * t9992 * t22112 + 0.3e1 / 0.2e1 * t2022 * t881 * t40168 + 0.23e2 / 0.36e2 * t14197 * t8295 - 0.11e2 / 0.18e2 * t3007 * t2218 * t41089 - 0.11e2 / 0.18e2 * t14197 * t8292 - 0.3e1 * t1689 * t8289 - 0.3e1 * t509 * t13986 * t8288 - 0.4e1 * t4503 * t22211 - t1397 * t41372 * t1442;
  t42017 = t1397 * t5387 * t5169 + 0.4e1 * t4503 * t22177 + t4503 * t1996 * t41074 - t791 * t39813 / 0.3e1 + t34646 + t34647 + 0.2e1 / 0.9e1 * t2900 * t8218 - t34648 - t34649 + 0.23e2 / 0.36e2 * t4800 * t32060 - t791 * t33435 / 0.6e1;
  t42031 = 0.3e1 * t3389 * t4889 - t671 * t35778 / 0.3e1 + t5513 * t749 - t22411 * t759 / 0.2e1 + t4944 * t796 / 0.2e1 - t25700 * t730 + t34650 + t34651 - t34652 + t40704 + t40705 + t2004 * t877 * t40934 / 0.2e1;
  t42042 = t34687 + t34691 + t32220 - t32223 + t32231 + t32234 + t32237 - t40706 + t6845 + 0.3e1 / 0.2e1 * t4482 * t10706 * t41591 + 0.6e1 * t19608 * t1974 * t41079;
  t42052 = t1996 * t41319;
  t42064 = -t2874 * t22224 - t2874 * t22194 - t4482 * t1974 * t41702 + 0.7e1 / 0.3e1 * t4482 * t22187 - t30783 + t2874 * t1968 * t41647 / 0.2e1 - t2471 * t42052 / 0.3e1 + 0.3e1 / 0.2e1 * t1397 * t14912 * t8319 + t259 * t40882 / 0.6e1 + t806 * t7918 / 0.18e2 - t661 * t5353 / 0.6e1;
  t42074 = t32329 - t32333 - t40327 - t40328 - 0.3e1 * t15161 * t8164 + 0.6e1 * t15198 * t8161 + t263 * t40361 / 0.2e1 + t33942 + t33943 - t33944 - t33945 + t33946;
  t42075 = t62 * t1132;
  t42076 = t42075 * t122;
  t42080 = t414 * t42076;
  t42083 = t42075 * t312;
  t42084 = t414 * t42083;
  t42087 = t5447 * t658;
  t42088 = t414 * t42087;
  t42091 = t1857 * t42076;
  t42100 = t414 * t40979;
  t42108 = t33947 - t33948 - t20045 * t19411 * t42076 / 0.9e1 - 0.12e2 * t20052 * t42080 - 0.4e1 * t15352 * t42084 + 0.4e1 * t4360 * t42088 + 0.4e1 / 0.3e1 * t20037 * t42091 + 0.6e1 * t15338 * t149 * t40979 + 0.4e1 * t15341 * t149 * t23274 + 0.32e2 / 0.3e1 * t15352 * t42100 + t3197 * t40584 / 0.3e1 + 0.6e1 * t15344 * t414 * t23274;
  t42118 = t15349 * t1857 * t42083 / 0.3e1 - 0.2e1 / 0.9e1 * t4344 * t1857 * t42087 + 0.2e1 * t4349 * t40581 - t32369 - t32393 - t32394 - t32396 + t32401 + t32404 - t32422 + t32425 - t32439;
  t42121 = -0.3e1 * t15201 * t8157 + t32441 - t32482 + t33981 - t40376 - t40377 + t6862 - t6865 + t6869 + t7173 - t7175 + t7176 + t7177;
  t42124 = t8147 * t312;
  t42128 = t1240 * t658;
  t42140 = t590 * t1132;
  t42146 = t4988 * t230;
  t42152 = 0.8e1 * t3214 * t1756 * t42124 - 0.8e1 * t3214 * t400 * t42128 - t877 * t40471 - t263 * t40600 + 0.6e1 * t15161 * t8206 - 0.12e2 * t15198 * t8200 - 0.2e1 / 0.3e1 * t15161 * t8203 + 0.1e2 / 0.3e1 * t15157 * t10080 * t42140 + 0.3e1 * t3220 * t8197 + 0.3e1 * t881 * t1879 * t42146 + 0.3e1 * t881 * t40393 - t34004;
  t42166 = -t34005 + t34006 + t34007 + t34008 + t32495 - t8068 - 0.4e1 * t15198 * t8148 + t15161 * t8151 / 0.18e2 + 0.1e2 / 0.3e1 * t15161 * t8154 + 0.4e1 * t4349 * t40568 - 0.2e1 / 0.3e1 * t15344 * t40571 - 0.24e2 * t20254 * t149 * t42076;
  t42174 = t1845 * t42076;
  t42190 = -0.6e1 * t15338 * t149 * t42083 + 0.12e2 * t4365 * t149 * t42087 + t32519 - t32521 + t32533 + t32537 + 0.8e1 * t20037 * t42174 + 0.9e1 * t3211 * t10242 * t42124 - 0.6e1 * t3211 * t1756 * t42128 + 0.5e2 / 0.3e1 * t15157 * t9992 * t42140 + 0.2e1 * t875 * t8077 + 0.6e1 * t15201 * t8185;
  t42204 = -0.12e2 * t3214 * t1879 * t42124 + 0.12e2 * t3214 * t409 * t42128 - 0.4e2 * t15169 * t1751 * t42140 - 0.2e1 / 0.3e1 * t881 * t40515 - 0.2e1 * t3220 * t8180 + t34134 - t34135 - t34136 - t34137 - t3609 - t3610 - t3614 + t3625;
  t42235 = -t34138 - 0.2e1 * t263 * t40494 + 0.4e1 / 0.3e1 * t881 * t40497 + 0.2e1 * t15198 * t8172 - 0.2e1 / 0.3e1 * t15169 * t1746 * t42140 - t15161 * t8175 / 0.9e1 + 0.12e2 * t15164 * t145 * t42140 + 0.3e1 * t3227 * t404 * t42124 - 0.6e1 * t3227 * t145 * t42128 + 0.24e2 * t15153 * t400 * t42140 - 0.2e1 * t3246 * t8168 - 0.2e1 * t877 * t40463;
  t42247 = t875 * t8108 / 0.2e1 + t32553 - t32558 - t6890 + t6898 - t6900 - t7215 + t7218 - t7219 - t3211 * t9992 * t42124 / 0.6e1 + t3211 * t1746 * t42128 / 0.9e1 - 0.1e2 * t3211 * t9997 * t42124;
  t42262 = 0.2e2 / 0.3e1 * t3211 * t1751 * t42128 + t32571 + t32574 - 0.2e1 * t881 * t40451 - 0.2e1 * t881 * t1756 * t42146 - t875 * t8074 + t3688 + t3690 - t3697 + t3704 + t881 * t40590 + 0.36e2 * t15169 * t1756 * t42140;
  t42279 = t22905 * t230;
  t42290 = -0.12e2 * t15157 * t9997 * t42140 - 0.2e1 * t881 * t40357 - 0.36e2 * t15153 * t409 * t42140 - 0.16e2 * t15352 * t427 * t40979 - t40474 + t34161 - t34162 - 0.4e1 / 0.3e1 * t4344 * t1845 * t42087 - 0.6e1 * t15368 * t8194 - 0.6e1 * t3197 * t427 * t42279 - 0.6e1 * t3197 * t40557 - 0.18e2 * t15349 * t42084 + 0.24e2 * t15352 * t427 * t42083;
  t42314 = 0.4e1 * t149 * t3200 * t42279 - 0.9e1 * t15344 * t23274 * t427 + 0.2e1 * t15349 * t1845 * t42083 - 0.24e2 * t42087 * t427 * t4360 + 0.4e1 * t15357 * t8189 + t15368 * t8192 - 0.6e1 * t20269 * t40564 + 0.4e1 * t3200 * t40324 + 0.2e1 * t3200 * t40577 - t34163 + t34188 + t40479;
  t42327 = t3197 * t40313 + t3197 * t414 * t42279 - 0.4e1 * t15341 * t40560 - t15349 * t1857 * t40979 / 0.6e1 + t40480 + t40481 + t34268 - t34269 + t34270 - t32617 - t32619 - t263 * t40501 - 0.2e1 * t877 * t404 * t42146;
  t42336 = t16829 * t40979;
  t42361 = 0.2e1 * t877 * t40486 + 0.3e1 * t263 * t40490 - 0.8e1 * t15341 * t16820 * t23274 - 0.16e2 / 0.3e1 * t15352 * t42336 - 0.12e2 * t15338 * t16820 * t40979 + 0.18e2 * t15344 * t16824 * t23274 - 0.3e1 * t15344 * t16829 * t23274 + t15349 * t19510 * t40979 / 0.3e1 - 0.18e2 * t15349 * t42336 + 0.32e2 * t15352 * t16824 * t40979 + 0.2e1 * t15349 * t19504 * t40979 + 0.9e1 * t15349 * t42100;
  t42384 = 0.4e1 * t15344 * t40336 + 0.72e2 * t20052 * t427 * t42076 - 0.1e2 * t15349 * t1845 * t40979 - 0.4e1 / 0.3e1 * t20045 * t10457 * t42076 - 0.2e1 * t3197 * t40331 - 0.72e2 * t20037 * t42080 + 0.8e1 / 0.3e1 * t20045 * t42091 + 0.24e2 * t20045 * t42174 + 0.12e2 * t4344 * t42088 - t962 + t40587 + t943 - t875 * t8081;
  t42401 = t2816 * t1283 / 0.2e1 + t8064 + t40744 + t34754 - t30849 - t34755 - t22 * t59 * (t42074 + t42108 + t42118 + t42121 + t42152 + t42166 + t42190 + t42204 + t42235 + t42247 + t42262 + t42290 + t42314 + t42327 + t42361 + t42384) * t96 / 0.4e1 + t4944 * t772 / 0.4e1 - t1140 * t14347 / 0.12e2 + t2917 * t8225 / 0.9e1 - t2900 * t8222 / 0.9e1;
  t42415 = t13918 * t8262 + 0.7e1 / 0.3e1 * t14197 * t8301 + 0.7e1 / 0.3e1 * t3007 * t22041 + 0.3e1 / 0.2e1 * t823 * t5126 - 0.3e1 * t3389 * t4790 - 0.3e1 / 0.2e1 * t4800 * t32073 + 0.3e1 / 0.2e1 * t14675 * t4913 - t32290 - t32292 - t32294 - t32297;
  t42446 = t6941 - t6947 - 0.8e1 / 0.3e1 * t4503 * t1968 * t41748 - 0.9e1 / 0.2e1 * t3980 * t3211 * t9992 * t40979 + 0.9e1 * t2022 * t3211 * t9997 * t40979 + 0.11e2 / 0.6e1 * t4482 * t10832 * t41748 - t13326 * t5261 / 0.2e1 + 0.23e2 / 0.18e2 * t4482 * t33217 * t5550 + 0.5e1 / 0.12e2 * t4482 * t10615 * t41591 - 0.5e1 / 0.18e2 * t4482 * t3965 * t41702 - 0.5e1 / 0.18e2 * t4482 * t33217 * t5372;
  t42471 = -t2874 * t17606 * t5625 / 0.6e1 + 0.2e1 * t4503 * t17660 * t5372 + 0.2e1 / 0.3e1 * t2874 * t17557 * t5635 - 0.11e2 / 0.9e1 * t4482 * t33470 * t5372 + 0.3e1 * t3980 * t3211 * t1746 * t22094 + t34765 + t30882 - t30900 - t1140 * t13966 / 0.6e1 - 0.23e2 / 0.3e1 * t19608 * t3965 * t41668 - 0.11e2 / 0.18e2 * t4482 * t3961 * t41074;
  t42488 = t2986 * t1133;
  t42492 = t1962 * t41310;
  t42497 = -0.11e2 / 0.9e1 * t4482 * t3961 * t41702 - 0.61e2 / 0.27e2 * t19635 * t17701 * t41079 + 0.23e2 / 0.36e2 * t4482 * t3965 * t22166 + t13840 * t8384 / 0.2e1 + t34801 - t32671 + t22071 * t4665 / 0.2e1 + t12746 * t8395 / 0.12e2 + t1397 * t42488 * t334 / 0.2e1 - 0.2e1 * t11652 * t42492 - t9509 * t8390 / 0.4e1;
  t42520 = t10706 * t500 * t256 * t7975;
  t42530 = -t1397 * t23934 * t1198 / 0.4e1 - t1397 * t23938 * t1198 / 0.4e1 - t1397 * t5245 * t4872 / 0.4e1 + 0.3e1 / 0.2e1 * t1397 * t13724 * t8333 + t10516 * t8399 + t2004 * t3246 * t8398 + t2004 * t877 * t40911 + t2004 * t877 * t404 * t22222 + 0.2e1 / 0.3e1 * t9476 * t42520 + t162 * t41688 * t516 / 0.2e1 - t3366 * t1199 / 0.4e1 + t5133 * t3172 / 0.9e1;
  t42550 = -t32681 - t32685 + t32694 - t22 * t5075 * t288 / 0.4e1 - t3747 + t3749 - t40811 - t1135 * t2968 / 0.6e1 - 0.9e1 / 0.2e1 * t2004 * t3211 * t10242 * t40979 - 0.23e2 / 0.12e2 * t4482 * t10615 * t500 * t40979 - 0.38e2 / 0.9e1 * t19635 * t10615 * t41079;
  t42554 = t4433 * t4793;
  t42576 = 0.89e2 / 0.9e1 * t19635 * t17701 * t41668 - t40830 - t40831 + 0.3e1 * t2011 * t42554 * t622 - 0.3e1 * t1397 * t42554 * t645 + t22071 * t4599 - 0.3e1 / 0.2e1 * t2004 * t3220 * t8354 - 0.2e1 * t19635 * t10832 * t41079 - t162 * t2896 * t7962 / 0.4e1 - t162 * t767 * t40050 / 0.4e1 - t379 * t8246 / 0.4e1;
  t42608 = -t14197 * t8298 / 0.2e1 - t3007 * t2213 * t41089 / 0.2e1 + 0.23e2 / 0.36e2 * t3007 * t2042 * t22034 - t4482 * t17598 * t5372 + 0.14e2 / 0.3e1 * t4482 * t33470 * t5550 + t2874 * t40781 / 0.3e1 + t2874 * t40784 / 0.6e1 + 0.11e2 / 0.6e1 * t4482 * t10832 * t41591 + 0.22e2 / 0.3e1 * t19608 * t3961 * t41079 - 0.3e1 * t2011 * t14912 * t8288 - 0.6e1 * t2022 * t3211 * t1751 * t22094;
  t42611 = t21332 * t8387;
  t42616 = -t34906 + t34911 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 + t21072 * t4926 / 0.2e1 - t9476 * t42611 / 0.3e1 - t14865 * t4929 / 0.4e1;
  t42622 = t548 * t821 * t4902;
  t42633 = t13740 * t8384 / 0.6e1 - t32816 + 0.2e1 / 0.3e1 * t671 * t42622 - 0.2e1 / 0.3e1 * t1140 * t14786 + t5142 * t777 / 0.18e2 - t34926 - t31073 + t34927 + t31081 - t4800 * t32065 / 0.2e1 + 0.7e1 / 0.3e1 * t4800 * t32068;
  t42641 = t10832 * t40989;
  t42645 = t1440 * t7950 * t230;
  t42651 = t4795 * t4764 - 0.3e1 * t823 * t5123 - t32853 - t32855 + 0.9e1 / 0.2e1 * t2004 * t881 * t10277 * t23274 - 0.7e1 * t11669 * t42641 - 0.3e1 / 0.2e1 * t1397 * t2943 * t42645 - t103 * t8212 / 0.12e2 - t34942 + t32928 + t32930;
  t42665 = t32932 - t32934 - t32959 + t32961 + t32974 - t13898 * t8298 / 0.6e1 - t2874 * t22202 - t13840 * t8388 + t2874 * t40954 / 0.2e1 + t2874 * t10566 * t8344 / 0.2e1 + t2874 * t1968 * t41055 / 0.2e1;
  t42668 = t33217 * t23697;
  t42681 = t13740 * t8345 / 0.12e2 - 0.3e1 * t11669 * t42668 - t17554 * t5616 - t3829 - t3852 + t3867 - t233 * t24520 / 0.6e1 - 0.5e1 / 0.108e3 * t13898 * t8236 - t2998 * t8222 / 0.3e1 - t791 * t555 * t41213 / 0.3e1 - t35015 + t3869;
  t42688 = my_piecewise3(t3, 0, t41620 + t42681 + t42064 + t42665 + t40978 + t42651 + t41110 + t42633 + t41339 + t42608 + t41883 + t41755 + t41672 + t41922 + t41078 + t42550 + t42401 + t41462 + t42530 + t41375 + t41572 + t41402 + t41424 + t41171 + t41223 + t41724 + t41836 + t41782 + t42446 + t41505 + t42576 + t41134 + t41930 + t42497 + t41443 + t41031 + t42616 + t41087 + t41817 + t42415 + t42471 + t41803 + t41862 + t41565 + t41008 + t41597 + t41598 + t41902 + t41282 + t41694 + t41308 + t41192 + t42031 + t42001 + t41477 + t42017 + t41972 + t42042 + t41160 + t41045 + t41536 + t41262 + t41913 + t41641);
  tv4rholapl2tau0 = 0.2e1 * rho[0] * t42688 + 0.2e1 * t8408;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 0] += tv4rholapl2tau0;

  t42691 = t8473 * t312;
  t42696 = t8473 * t122;
  t42701 = t2004 * t263 * t1883 * t42691 / 0.2e1 + t2004 * t877 * t404 * t42696 / 0.2e1 - t37461 + t37464 - t37465 - t37466 + t37467 + t29501 + t29504 - t29508 - t29511 + t37469 - t37470;
  t42711 = -t33084 + t31371 - t31374 - t13740 * t8723 / 0.18e2 - 0.2e1 * t21072 * t5265 - t20902 * t5616 + t785 * t35258 / 0.3e1 + t259 * t24516 / 0.6e1 - t37506 - t31406 + t37509 - t37510 - t37511;
  t42718 = -t31431 + t37516 + t26510 * t1213 / 0.6e1 - t37535 - t37540 - t3322 * t1266 / 0.3e1 - t2861 * t5777 - t33153 + t33156 - t37635 + t33165 - t29556 - t29562;
  t42719 = t8574 * t122;
  t42741 = t8695 * t122;
  t42742 = t96 * t42741;
  t42746 = t96 * t42719;
  t42750 = t29566 + t37666 - t33195 - t31491 + 0.3e1 * t2022 * t3211 * t9997 * t42719 + 0.3e1 * t1397 * t26197 * t25505 - 0.3e1 / 0.2e1 * t3980 * t3211 * t9992 * t42719 + 0.2e1 / 0.3e1 * t2874 * t20571 * t5635 - t2874 * t20575 * t5625 / 0.3e1 + t13840 * t8703 / 0.6e1 - t661 * t5804 / 0.12e2 - t2874 * t11691 * t42742 / 0.3e1 + 0.11e2 / 0.18e2 * t4482 * t10832 * t42746;
  t42753 = t500 * t42719;
  t42774 = t39529 * t669;
  t42788 = -0.23e2 / 0.36e2 * t4482 * t10615 * t42753 + t4482 * t10706 * t42746 / 0.2e1 - 0.7e1 / 0.3e1 * t4482 * t10832 * t42753 + 0.3e1 / 0.2e1 * t4482 * t10615 * t1733 * t42719 - 0.3e1 / 0.2e1 * t2004 * t3211 * t10242 * t42719 - 0.5e1 / 0.18e2 * t4482 * t35567 * t5372 + t1397 * t42774 * t645 / 0.2e1 + t2022 * t881 * t1756 * t42696 / 0.2e1 - t2004 * t881 * t1879 * t42696 / 0.2e1 - t806 * t5353 / 0.18e2 - t37812 - t37813 - t29636;
  t42815 = -t29639 + 0.3e1 / 0.2e1 * t719 * t6167 + 0.3e1 / 0.2e1 * t13382 * t6171 + 0.3e1 * t2861 * t5780 - 0.3e1 * t719 * t6136 - 0.3e1 * t2861 * t6174 + 0.3e1 / 0.2e1 * t162 * t5763 * t4877 + t379 * t8641 / 0.2e1 + t162 * t5855 * t4872 / 0.2e1 - t2816 * t1365 / 0.4e1 - t719 * t5813 / 0.4e1 - t719 * t5847 / 0.4e1 - t379 * t8633 / 0.4e1;
  t42829 = -0.2e1 * t5829 * t4872 - 0.4e1 * t5611 - 0.4e1 / 0.3e1 * t5614 + 0.2e2 / 0.9e1 * t5595 - t28847 - t28850 + t28853 + t28891 + t28893 + t28913 - t28916 + 0.12e2 * t26305 * t25505 + 0.32e2 / 0.3e1 * t26305 * t25520;
  t42846 = -0.4e1 * t5826 * t23294 - 0.24e2 * t26284 * t25394 + t28933 + 0.4e1 * t5582 - 0.12e2 * t5377 + 0.8e1 * t5265 + 0.4e1 * t26296 * t1273 + 0.4e1 * t5826 * t5169 - 0.12e2 * t5268 - 0.4e1 * t5272 - 0.4e1 * t5608 + 0.4e1 / 0.3e1 * t5394 - 0.2e1 / 0.3e1 * t5579;
  t42870 = 0.24e2 * t5574 + 0.4e1 * t5823 * t24312 + 0.16e2 / 0.9e1 * t26305 * t24479 + 0.4e1 * t5823 * t23308 + 0.12e2 * t26290 * t24447 - 0.8e1 * t5826 * t25399 + 0.4e1 * t5829 * t22694 - 0.4e1 / 0.3e1 * t5826 * t23241 - 0.8e1 * t26284 * t24462 - 0.8e1 / 0.3e1 * t5826 * t25325 + t6212 - 0.4e1 * t5258 - 0.4e1 * t26316 * t1265;
  t42895 = -0.4e1 * t5823 * t4877 + 0.4e1 / 0.3e1 * t26296 * t1260 + 0.4e1 / 0.3e1 * t5826 * t4885 - 0.2e1 * t26319 * t1198 + 0.2e1 * t265 * t4872 - 0.4e1 * t26255 * t1273 + 0.4e1 * t26310 * t1265 + 0.2e1 / 0.3e1 * t21936 * t5817 + 0.2e1 / 0.3e1 * t4838 * t5776 - 0.4e1 * t5841 * t5169 + 0.4e1 * t5836 * t4877 + 0.2e1 * t889 * t1198 - t6224;
  t42897 = t42829 + t42846 + t42870 + t42895;
  t42920 = -t162 * t2896 * t8632 / 0.4e1 - t162 * t767 * t303 * t137 * t42897 / 0.4e1 - t379 * t8636 - t162 * t5785 * t40771 + t37826 + t37828 - t10556 * t8576 / 0.6e1 + t11676 * t8571 / 0.6e1 + t9576 * t8569 / 0.3e1 - t11685 * t8567 / 0.3e1 + t3168 * t41967 / 0.6e1 - t13856 * t8692 / 0.6e1 + 0.11e2 / 0.9e1 * t26697 * t40142;
  t42925 = t5844 * t230;
  t42926 = t96 * t42925;
  t42930 = t1147 * t810;
  t42931 = t96 * t42930;
  t42937 = t1304 * t658;
  t42938 = t96 * t42937;
  t42950 = -t3162 * t9547 * t8691 / 0.6e1 - t27191 * t40138 - t3162 * t1404 * t42926 / 0.6e1 + 0.2e1 / 0.3e1 * t2874 * t1968 * t42931 - 0.5e1 / 0.3e1 * t25843 * t5108 - t3162 * t1404 * t42938 / 0.6e1 - t27242 * t5096 / 0.6e1 + t3168 * t1404 * t169 * t193 * t8473 / 0.12e2 + t25843 * t5626 - t37867 - t37868 - t31546 + t31549;
  t42975 = t1289 * t230;
  t42976 = t500 * t42975;
  t42977 = t1962 * t42976;
  t42983 = -0.2e1 / 0.9e1 * t5969 * t7959 - t3389 * t5560 - t3389 * t5229 - t14687 * t1261 - 0.3e1 / 0.2e1 * t5911 * t12391 - 0.3e1 / 0.2e1 * t5911 * t12418 + 0.2e1 / 0.3e1 * t791 * t42622 + 0.2e1 / 0.3e1 * t2998 * t8436 + 0.2e1 / 0.3e1 * t791 * t548 * t3364 * t1208 - t791 * t41607 / 0.3e1 + t2511 * t26877 / 0.6e1 + 0.12e2 * t33015 * t42977 - 0.3e1 / 0.2e1 * t2004 * t6059 * t5271;
  t42994 = t1289 * t1147;
  t42995 = t500 * t42994;
  t42996 = t10832 * t42995;
  t43015 = -0.6e1 * t2004 * t27437 * t5267 + 0.3e1 * t2004 * t3227 * t145 * t24324 - t14865 * t5242 - t1397 * t27334 * t7951 - 0.14e2 / 0.3e1 * t11669 * t42996 + 0.3e1 * t2004 * t1323 * t40792 - 0.61e2 / 0.27e2 * t38002 * t17701 * t5372 + 0.44e2 / 0.27e2 * t38002 * t17706 * t5550 - 0.6e1 * t38007 * t5598 - t29667 - t25843 * t5660 + 0.5e1 / 0.3e1 * t37997 * t5639 + t2485 * t37956 / 0.6e1;
  t43049 = t2511 * t26789 / 0.12e2 + t2861 * t5786 - t2861 * t5789 / 0.2e1 - t2874 * t1974 * t500 * t42937 / 0.3e1 - 0.23e2 / 0.3e1 * t37997 * t5551 + 0.22e2 / 0.3e1 * t37997 * t5547 + t26697 * t40807 + 0.6e1 * t37997 * t5585 + 0.18e2 * t3980 * t27466 * t10080 * t3981 + 0.3e1 * t21072 * t5377 - 0.6e1 * t17713 * t27466 * t10075 * t3981 - 0.5e1 * t2022 * t6075 * t22448 + 0.18e2 * t2004 * t27493 * t5573;
  t43063 = t1756 * t8574;
  t43086 = -t2004 * t3220 * t8575 / 0.2e1 - t2004 * t881 * t1879 * t42925 / 0.2e1 - t2004 * t881 * t1879 * t42937 / 0.2e1 + t10768 * t8571 / 0.2e1 + t2022 * t3220 * t43063 / 0.2e1 + t2022 * t881 * t1756 * t42925 / 0.2e1 + t2022 * t881 * t1756 * t42937 / 0.2e1 - t2011 * t6152 * t4885 + t9509 * t8569 + t1397 * t25906 * t1273 + t1397 * t25879 * t1273 + t1397 * t6152 * t5169 - 0.3e1 * t1689 * t8453;
  t43095 = t13879 * t1208;
  t43113 = t869 * t230;
  t43114 = t169 * t43113;
  t43118 = t259 * t41854 / 0.6e1 + t813 * t8255 / 0.6e1 + t785 * t41859 / 0.3e1 + t785 * t318 * t43095 / 0.3e1 + t37965 + t31596 - t37966 - t13858 * t8697 / 0.6e1 - t3168 * t16672 * t8696 / 0.6e1 - 0.6e1 * t2004 * t3214 * t409 * t24324 - t13840 * t8723 / 0.6e1 - t2874 * t10594 * t8559 / 0.6e1 - t2874 * t1962 * t43114 / 0.6e1;
  t43137 = t26782 * t664;
  t43145 = t96 * t42696;
  t43155 = -t2874 * t41320 / 0.6e1 + t13856 * t8686 / 0.3e1 + t3162 * t10589 * t8559 / 0.3e1 + t3162 * t1982 * t43114 / 0.3e1 + t3162 * t41558 / 0.3e1 + t13858 * t8395 / 0.6e1 + t3168 * t41957 / 0.6e1 - t2471 * t39176 / 0.12e2 - t1397 * t43137 * t636 / 0.2e1 - t3168 * t3582 * t96 * t42691 / 0.6e1 + t2874 * t1974 * t43145 / 0.12e2 - t3162 * t1404 * t43145 / 0.6e1 + t3168 * t12779 * t5749 / 0.12e2;
  t43184 = -t3162 * t12779 * t5737 / 0.6e1 - t1297 * t12944 / 0.12e2 + t1297 * t12930 / 0.3e1 + t5513 * t829 / 0.2e1 + t25464 * t274 / 0.2e1 + t5985 * t738 / 0.4e1 - t5969 * t2830 / 0.36e2 - t806 * t5508 / 0.18e2 + t26801 * t248 / 0.4e1 + t26889 * t248 / 0.12e2 - t654 * t5963 / 0.36e2 + t2822 * t1368 / 0.6e1 - t13211 * t1352 / 0.6e1;
  t43207 = t138 * t8555;
  t43212 = t106 * t158 * t8553 * t159;
  t43215 = -t13216 * t1352 / 0.2e1 + t2816 * t1368 / 0.2e1 - t2816 * t1360 / 0.2e1 + t1292 * t2827 / 0.6e1 - t813 * t5508 / 0.6e1 - t259 * t25469 / 0.6e1 - t1297 * t13195 / 0.6e1 + t5974 * t686 / 0.18e2 - t5969 * t2852 / 0.18e2 - t2822 * t1360 / 0.6e1 + t5969 * t2856 / 0.9e1 - t127 * t43207 / 0.12e2 + t43212 * t166 / 0.4e1;
  t43238 = t1974 * t500 * t256 * t8473;
  t43242 = t318 * t2777 * t5802;
  t43249 = t24780 * t274 / 0.6e1 - t661 * t5963 / 0.12e2 - t233 * t26722 / 0.12e2 + 0.5e1 * t2004 * t6075 * t5104 - 0.2e1 * t2004 * t881 * t1879 * t42930 - t1397 * t2956 * t8632 / 0.4e1 - t9476 * t43238 / 0.3e1 + t38012 - t127 * t43242 / 0.12e2 + 0.3e1 / 0.2e1 * t379 * t8428 - 0.3e1 * t379 * t8424 + t38043 + t38047;
  t43252 = t1974 * t1395 * t39141 * t1147;
  t43255 = t8558 * t122;
  t43256 = t169 * t43255;
  t43263 = -0.2e1 / 0.3e1 * t9476 * t43252 + t4503 * t1962 * t43256 + t31639 + t2917 * t8603 / 0.9e1 + t2822 * t1356 / 0.6e1 - t29735 + t29739 + t29742 - t29747 - t31699 + t29775 - t29779 - t29782;
  t43270 = t8574 * t312;
  t43271 = t96 * t43270;
  t43278 = t5748 * t230;
  t43279 = t169 * t43278;
  t43296 = t5844 * t1147;
  t43301 = t1304 * t4841;
  t43309 = -t3168 * t3582 * t169 * t5748 * t1147 / 0.6e1 - t2874 * t10706 * t43271 / 0.4e1 + 0.5e1 / 0.36e2 * t4482 * t10615 * t42746 + t2874 * t1974 * t43279 / 0.12e2 - t1292 * t4844 / 0.6e1 + 0.5e1 / 0.18e2 * t26697 * t40133 - 0.6e1 * t2022 * t3211 * t1751 * t24324 + t10516 * t8715 / 0.2e1 + t2004 * t875 * t8714 / 0.2e1 + t2004 * t263 * t1883 * t43296 / 0.2e1 + t2004 * t263 * t1883 * t43301 / 0.2e1 - t9509 * t8718 - t1397 * t26691 * t1265;
  t43340 = -t1397 * t27228 * t1265 - t1397 * t5716 * t4877 - t9509 * t8720 / 0.2e1 - t1397 * t27178 * t1198 / 0.2e1 - t1397 * t26916 * t1198 / 0.2e1 - t1397 * t5720 * t4872 / 0.2e1 - 0.5e1 / 0.36e2 * t5911 * t40680 - 0.5e1 / 0.36e2 * t5911 * t2042 * t5207 + t1297 * t40764 / 0.6e1 + t1297 * t40761 / 0.6e1 + t5713 * t5152 / 0.2e1 + t5713 * t5208 / 0.2e1 + 0.3e1 * t21072 * t5268;
  t43343 = t96 * t24324;
  t43372 = t4503 * t1962 * t43343 - 0.3e1 * t38007 * t5654 + t27191 * t40145 / 0.3e1 + t719 * t5856 / 0.2e1 - t719 * t5860 / 0.2e1 + t387 * t8641 / 0.6e1 + t387 * t8638 / 0.2e1 - t719 * t5761 + 0.3e1 / 0.2e1 * t719 * t5764 + 0.6e1 * t2004 * t27466 * t9997 * t3981 - 0.18e2 * t2022 * t27493 * t4240 - t4503 * t1968 * t42746 + t2874 * t41789 / 0.3e1;
  t43376 = t1395 * t43255;
  t43383 = t500 * t24324;
  t43390 = t17598 * t25932;
  t43395 = 0.2e1 * t4503 * t1996 * t43256 + 0.23e2 / 0.18e2 * t4482 * t3965 * t43376 - 0.11e2 / 0.9e1 * t4482 * t3961 * t43256 + 0.14e2 / 0.3e1 * t4482 * t3961 * t43383 + t38211 - t38212 + t38213 + t33592 - t33595 + t21072 * t5608 - t13326 * t5734 / 0.4e1 - t9476 * t43390 / 0.3e1 + t17561 * t5731 / 0.2e1;
  t43423 = t17561 * t5726 / 0.2e1 + t1397 * t27330 * t1198 / 0.2e1 + t3322 * t1283 / 0.6e1 - t387 * t8424 - t14982 * t1261 / 0.3e1 + 0.36e2 * t2022 * t27440 * t3986 - t17561 * t6163 / 0.2e1 - 0.18e2 * t3980 * t27440 * t3982 + t17564 * t6159 / 0.2e1 + t3168 * t24568 / 0.6e1 + 0.2e1 * t38874 * t5373 + t25897 * t5651 / 0.2e1 + t29856;
  t43433 = t21321 * t24804;
  t43448 = -t29858 - t29860 + t29866 - t2011 * t25879 * t1260 - 0.18e2 * t2004 * t27440 * t5376 - 0.18e2 * t2022 * t27466 * t9992 * t3981 - 0.4e1 * t11652 * t43433 + t21072 * t5272 - t2874 * t1996 * t43114 / 0.3e1 - t2874 * t42052 / 0.3e1 + 0.2e1 / 0.3e1 * t13840 * t8564 + 0.4e1 * t25843 * t5630 + 0.2e1 * t21068 * t5614;
  t43479 = t26782 * t231;
  t43483 = 0.2e1 * t4503 * t1996 * t43343 - 0.2e1 * t25843 * t5636 - 0.3e1 * t2011 * t26148 * t8452 + 0.6e1 * t2022 * t6044 * t40799 - 0.3e1 * t2004 * t6044 * t40803 + t2485 * t37492 / 0.3e1 + t2874 * t21332 * t5635 / 0.3e1 - t14865 * t5261 / 0.2e1 - t2874 * t11691 * t43271 / 0.2e1 + t2874 * t1968 * t43279 / 0.6e1 + t38860 - t38863 - t1397 * t43479 * t334 / 0.4e1;
  t43486 = -t13745 * t8697 / 0.18e2 - t29883 - t29887 - t38884 - t31839 - t38887 + t38888 + t38889 - t38890 + t38891 - t29909 + t29913 - t29915;
  t43516 = -t29918 - 0.3e1 * t4482 * t35567 * t5591 - 0.62e2 / 0.3e1 * t38002 * t17701 * t5591 + 0.8e1 * t38002 * t17706 * t3978 * t3981 + 0.3e1 * t35869 * t5595 - t13326 * t5721 / 0.2e1 - t13326 * t5717 - t27191 * t40130 / 0.2e1 - t1292 * t4812 / 0.6e1 - t5706 * t5157 / 0.2e1 - t5706 * t5288 / 0.2e1 - 0.2e1 * t25843 * t5622 - 0.11e2 / 0.9e1 * t4482 * t3961 * t43343;
  t43544 = t2874 * t10706 * t500 * t43270 + t2874 * t10566 * t8691 / 0.6e1 + t2874 * t1968 * t42926 / 0.6e1 + t2874 * t1968 * t42938 / 0.6e1 - t13840 * t8707 / 0.3e1 - t2874 * t10662 * t8706 / 0.3e1 - t2874 * t1974 * t500 * t42925 / 0.3e1 + t13740 * t8700 / 0.36e2 + t13740 * t8703 / 0.18e2 - t13740 * t8707 / 0.9e1 + t38919 + t31985 - t38920;
  t43569 = -t31992 + t2927 * t8603 / 0.3e1 - 0.2e1 / 0.3e1 * t1297 * t40759 - 0.2e1 / 0.3e1 * t1297 * t40756 - t259 * t24755 / 0.6e1 - t259 * t24751 / 0.6e1 - t813 * t5353 / 0.6e1 + t823 * t5333 / 0.2e1 + t823 * t5337 / 0.2e1 + t3366 * t1283 / 0.2e1 - t27831 * t1210 / 0.6e1 + t14865 * t5391 - t21072 * t5582;
  t43595 = -t2471 * t38878 / 0.3e1 + 0.2e1 / 0.3e1 * t2471 * t38881 + t21068 * t5579 + 0.6e1 * t21068 * t5611 - 0.6e1 * t21072 * t5574 + t13326 * t6155 - t17554 * t6153 - 0.3e1 * t3980 * t6044 * t39665 - t13740 * t8560 / 0.9e1 + 0.2e1 / 0.3e1 * t2874 * t1962 * t1395 * t43113 + 0.2e1 / 0.3e1 * t2874 * t41638 - t10746 * t8567 - t2011 * t25906 * t1260;
  t43617 = t38976 + t38977 + t379 * t8628 / 0.4e1 + t162 * t26646 * t236 * t165 / 0.4e1 + t30011 + t30014 - 0.3e1 / 0.2e1 * t26697 * t12651 + 0.9e1 / 0.2e1 * t26697 * t12647 + 0.6e1 * t2022 * t3214 * t400 * t24324 + t7611 + t806 * t8618 / 0.36e2 + t806 * t8612 / 0.36e2 + 0.23e2 / 0.108e3 * t25859 * t8415;
  t43640 = -0.11e2 / 0.54e2 * t25859 * t8412 - t25859 * t8418 / 0.6e1 - t5974 * t1150 / 0.18e2 + t1763 * t8649 / 0.3e1 + 0.3e1 / 0.2e1 * t1742 * t6166 * t40079 + 0.3e1 / 0.2e1 * t9790 * t8448 + t823 * t5345 + t823 * t5342 + t3366 * t1274 + t2874 * t41005 / 0.6e1 - t3162 * t41010 / 0.3e1 - t3168 * t41000 / 0.3e1 - t38993 + t38994;
  t43650 = t169 * t24487;
  t43673 = -t103 * t8555 / 0.12e2 - t4510 * t1982 * t43256 - t3162 * t1404 * t43650 / 0.3e1 - t671 * t39444 / 0.6e1 + t671 * t39421 / 0.3e1 - t26738 * t730 / 0.2e1 + t5985 * t749 / 0.2e1 - t25700 * t759 + 0.7e1 / 0.9e1 * t25859 * t8421 - t233 * t25995 / 0.6e1 - t661 * t5683 / 0.6e1 - t233 * t26157 / 0.6e1 - t823 * t5326 / 0.2e1;
  t43682 = -t823 * t5329 / 0.2e1 - t3366 * t1269 / 0.2e1 - t2874 * t36202 / 0.6e1 - t38996 - t233 * t26648 / 0.12e2 - t32078 + t32080 - t38997 - t39000 + t39001 + t34368 + t30048 + t30064;
  t43717 = -t30086 - t791 * t555 * t43095 / 0.3e1 + 0.3e1 / 0.2e1 * t162 * t6166 * t40286 - t2998 * t8432 / 0.3e1 - t2900 * t8608 / 0.18e2 - t25859 * t8440 / 0.2e1 + t9743 * t8448 / 0.2e1 + t1297 * t40752 / 0.3e1 + t1297 * t40767 / 0.3e1 + t259 * t305 * t306 * t95 * t42897 / 0.12e2 - 0.3e1 / 0.2e1 * t2022 * t881 * t10242 * t43270 - 0.2e1 * t1397 * t6152 * t25399 + 0.2e1 * t2011 * t6152 * t25325;
  t43728 = -0.4e1 / 0.3e1 * t2874 * t24489 + t30141 + t39040 - t30152 - t30157 + t30169 + t30172 - t30180 - t913 + t984 + 0.5e1 / 0.12e2 * t26697 * t10615 * t5635 - 0.5e1 / 0.18e2 * t4482 * t3965 * t43343 + t27191 * t40817 / 0.6e1;
  t43749 = t303 * t1363 * t230;
  t43761 = t1440 * t8732 * t230;
  t43769 = -t39046 - t7020 - t3168 * t30687 * t5741 / 0.6e1 + t2874 * t17598 * t5737 / 0.12e2 - t2874 * t21321 * t5625 / 0.6e1 - 0.4e1 / 0.3e1 * t2874 * t24401 + 0.11e2 / 0.6e1 * t26697 * t10832 * t5635 - 0.11e2 / 0.18e2 * t26697 * t3961 * t5625 + t1397 * t2951 * t43749 / 0.2e1 - 0.3e1 / 0.2e1 * t2004 * t3227 * t404 * t42719 - t2004 * t877 * t1883 * t43270 - t1397 * t2943 * t43761 / 0.2e1 + 0.3e1 / 0.2e1 * t2004 * t881 * t10277 * t43270;
  t43771 = t1440 * t8825 * t230;
  t43780 = t1974 * t500 * t6157 * t230;
  t43790 = t2011 * t2943 * t43771 / 0.2e1 + t39065 + t30192 + t39088 - t39091 + t39092 + t39093 - 0.5e1 / 0.18e2 * t4482 * t3965 * t43256 + 0.2e1 * t11652 * t43780 + t30224 + t4503 * t21321 * t5372 - t3162 * t14860 * t5635 / 0.3e1 - t4510 * t21274 * t5372;
  t43799 = -t14865 * t5246 / 0.2e1 + t6777 - t7771 - t6784 - t6787 + t7772 - t7773 + t7789 - t7790 - t6589 + t6598 - 0.4e1 * t4503 * t1962 * t43383 + t13748 * t8686 / 0.9e1;
  t43804 = t1974 * t42995;
  t43809 = -t13748 * t8692 / 0.18e2 - t2471 * t37487 / 0.6e1 + 0.1e2 / 0.3e1 * t11652 * t43804 - t6610 - t6616 + t6629 - t6632 + t6647 + t6661 - t6669 - t3520 + t3524 - t103 * t8658 / 0.6e1;
  t43819 = t2777 * t5695;
  t43834 = -t103 * t8655 / 0.12e2 - t3575 - t2900 * t8432 / 0.9e1 - t259 * t24520 / 0.6e1 + t785 * t318 * t43819 / 0.3e1 - t5706 * t4272 / 0.2e1 + t30676 + t30678 - t30680 - t39135 - t22 * t5500 * t288 / 0.2e1 - t22 * t243 * t5897 / 0.4e1 + 0.6e1 * t2004 * t6075 * t5264;
  t43842 = t17606 * t39142;
  t43849 = -t9576 * t8718 / 0.3e1 + 0.2e1 / 0.9e1 * t13740 * t8564 - 0.43e2 / 0.9e1 * t38002 * t17706 * t5591 + t30718 + t30720 - t30728 - t30731 + t30736 + t30742 - t30748 + 0.2e1 / 0.3e1 * t9476 * t43842 + t25897 * t5084 / 0.2e1 + t27242 * t5088 / 0.3e1;
  t43873 = -0.35e2 / 0.108e3 * t38002 * t17706 * t5372 - 0.5e1 / 0.36e2 * t26697 * t3965 * t5625 + t34656 + t34660 - t2998 * t8608 / 0.6e1 + t259 * t41656 / 0.6e1 - t3322 * t1269 / 0.6e1 + t3322 * t1274 / 0.3e1 - 0.5e1 / 0.108e3 * t25859 * t8581 - t387 * t8636 / 0.3e1 - t387 * t8633 / 0.12e2 + t26510 * t1218 / 0.3e1 + t34688;
  t43889 = t34692 + t39186 - t39187 + t39188 + t39189 + t32236 - t34698 + t7815 - t3168 * t3582 * t96 * t43301 / 0.6e1 + t13840 * t8700 / 0.12e2 + t2874 * t10662 * t8691 / 0.12e2 + t2874 * t1974 * t42926 / 0.12e2 + t2874 * t1974 * t42938 / 0.12e2;
  t43900 = t10615 * t42976;
  t43913 = t3965 * t1733 * t42975;
  t43933 = 0.3e1 * t2004 * t3211 * t1756 * t24324 - 0.9e1 / 0.2e1 * t2004 * t6044 * t10242 * t2496 + 0.47e2 / 0.3e1 * t29946 * t43900 - 0.6e1 * t2022 * t6075 * t2497 - 0.2e1 * t38002 * t10832 * t5372 - 0.38e2 / 0.9e1 * t38002 * t10615 * t5372 + 0.18e2 * t29479 * t43913 + t2874 * t1968 * t43145 / 0.6e1 + t2874 * t17557 * t5737 / 0.6e1 + 0.23e2 / 0.18e2 * t4482 * t35567 * t5550 - 0.11e2 / 0.9e1 * t4482 * t35563 * t5372 + t2874 * t41141 / 0.3e1 + 0.2e1 * t4503 * t20575 * t5372;
  t43955 = t10615 * t1733 * t42994;
  t43965 = -t2874 * t35271 / 0.3e1 - t20902 * t5388 - t30784 - t2471 * t39522 / 0.6e1 + t2471 * t39526 / 0.3e1 - t2011 * t42774 * t622 / 0.2e1 + 0.23e2 / 0.36e2 * t26697 * t3965 * t5621 - t3162 * t1404 * t42931 / 0.3e1 - t25897 * t5657 / 0.2e1 + t2011 * t27334 * t7969 + 0.3e1 * t11669 * t43955 - 0.3e1 * t2022 * t1323 * t40907 + 0.2e1 * t2022 * t881 * t1756 * t42930;
  t43974 = t318 * t24514 * t775;
  t43994 = 0.3e1 * t2011 * t26844 * t1260 + t719 * t5808 / 0.4e1 - t1763 * t8453 - t127 * t43974 / 0.6e1 + t5513 * t781 / 0.2e1 + t387 * t8628 / 0.12e2 + 0.23e2 / 0.36e2 * t5911 * t30897 + t1297 * t12436 / 0.3e1 - t791 * t548 * t43819 / 0.6e1 + t5713 * t4277 / 0.2e1 + t1297 * t12615 / 0.6e1 - t1297 * t12882 / 0.6e1 + t7122;
  t44000 = t548 * t5511 * t3084;
  t44017 = t1416 * t1363 * t1147;
  t44021 = t8695 * t312;
  t44026 = t34744 + t30843 - t30850 - t30852 + t5969 * t7955 / 0.9e1 - t5513 * t768 / 0.2e1 + 0.2e1 / 0.3e1 * t1641 * t44000 + t5513 * t772 / 0.2e1 + 0.2e1 / 0.3e1 * t791 * t548 * t717 * t5695 - 0.2e1 * t5713 * t3953 - 0.2e1 / 0.3e1 * t1297 * t12477 - 0.3e1 * t162 * t5779 * t5169 + t1397 * t2956 * t44017 / 0.2e1 - 0.3e1 / 0.2e1 * t2004 * t263 * t10295 * t44021;
  t44033 = t10706 * t500 * t6157 * t1147;
  t44045 = 0.2e1 / 0.3e1 * t9476 * t44033 - t39238 - t39239 - t32293 - t32296 + t1397 * t5720 * t22694 + t7854 - t7855 - t823 * t5320 - t823 * t5317 - t3366 * t1266 + t719 * t5772 / 0.2e1 + t719 * t5768 / 0.2e1;
  t44072 = t2816 * t1356 / 0.2e1 + t509 * t5785 * t40634 + t1689 * t8649 + 0.3e1 * t509 * t5779 * t4885 + 0.3e1 * t1689 * t8646 + 0.2e1 / 0.9e1 * t2900 * t8436 + t719 * t5853 - t719 * t5918 + t719 * t5920 / 0.2e1 + 0.9e1 * t2022 * t6044 * t9997 * t2496 + t2874 * t41173 / 0.6e1 - t3168 * t41769 / 0.3e1 - t3162 * t41766 / 0.3e1;
  t44103 = -t14865 * t5605 - t22 * t713 * t1387 / 0.4e1 + 0.2e1 * t27191 * t40948 - t4510 * t1982 * t43343 + t13745 * t8395 / 0.18e2 - 0.4e1 / 0.3e1 * t2874 * t1974 * t500 * t42930 - t4482 * t1974 * t43256 + 0.14e2 / 0.3e1 * t4482 * t3961 * t43376 - 0.3e1 * t4482 * t3965 * t2009 * t43255 + 0.3e1 * t11419 * t26197 * t24479 - 0.6e1 * t2011 * t26197 * t25520 + t30873 + t30883;
  t44127 = -t30901 + t2874 * t1974 * t42931 / 0.3e1 - 0.5e1 / 0.6e1 * t25843 * t5091 + t25843 * t5642 / 0.2e1 - 0.7e1 * t26697 * t13041 - t26697 * t1974 * t5625 / 0.2e1 - t4482 * t1974 * t43343 + 0.3e1 / 0.2e1 * t26697 * t10706 * t5635 + t10556 * t8715 / 0.6e1 + t10556 * t8711 / 0.6e1 + t30935 - t32670 - t654 * t5683 / 0.18e2;
  t44144 = t4973 * t810;
  t44163 = t5447 * t810;
  t44164 = t414 * t44163;
  t44169 = -0.8e1 * t3197 * t427 * t44144 + t38246 - t38247 + 0.4e1 / 0.3e1 * t3197 * t414 * t44144 - 0.1e2 / 0.3e1 * t27586 * t4978 - 0.2e1 * t38374 * t40316 + 0.2e1 / 0.9e1 * t27582 * t40574 - 0.12e2 * t38282 * t5459 - 0.4e1 * t27586 * t5469 + 0.4e1 / 0.3e1 * t38331 * t5472 + 0.4e1 * t4360 * t44164 + t38304 - t33905 - t33917 + 0.2e1 / 0.3e1 * t1323 * t40484;
  t44172 = t27672 * t230;
  t44176 = t6028 * t658;
  t44194 = -t6044 * t40518 / 0.9e1 + t3197 * t414 * t44172 / 0.3e1 + t3197 * t414 * t44176 / 0.3e1 + 0.2e1 * t3200 * t149 * t44172 + 0.2e1 * t3200 * t149 * t44176 + 0.2e1 * t20126 * t8538 + 0.2e1 * t4349 * t149 * t6028 * t4841 + t15368 * t8542 / 0.3e1 + t30265 + t30269 - t30272 - t30285 + t30288 + t30291 - t30297;
  t44199 = t1177 * t810;
  t44203 = -t15349 * t1857 * t42719 / 0.18e2 + t38346 + t38348 + t38371 - t38391 - t38393 - t38394 - t38395 + t38396 + t38397 - t38398 + t38399 - t38400 + t38401 - 0.2e1 * t877 * t404 * t44199;
  t44207 = t1240 * t810;
  t44211 = t8474 * t122;
  t44234 = t7174 - t6483 + t6490 + t6492 - t263 * t1883 * t8474 * t312 + 0.2e2 / 0.3e1 * t3211 * t1751 * t44207 - t877 * t404 * t44211 + 0.8e1 * t6075 * t5409 + t3211 * t1746 * t44207 / 0.9e1 - t6044 * t9992 * t5408 / 0.6e1 - 0.1e2 * t6044 * t9997 * t5408 - 0.8e1 / 0.3e1 * t881 * t1756 * t44199 + 0.4e1 * t1323 * t40454 + t881 * t1879 * t44211 + 0.6e1 * t6044 * t40353;
  t44260 = -0.3e1 * t15344 * t427 * t43270 - 0.6e1 * t15352 * t427 * t42719 - 0.12e2 * t27466 * t5404 * t9997 - 0.8e1 * t3214 * t400 * t44207 - 0.24e2 * t427 * t4360 * t44163 + 0.36e2 * t27440 * t5416 - 0.18e2 * t27582 * t5469 + 0.24e2 * t27586 * t5449 + 0.12e2 * t4344 * t44164 + t33982 + t38435 - t38442 + t7683 - t7684 + t7685;
  t44261 = t62 * t8473;
  t44262 = t44261 * t122;
  t44266 = t414 * t42719;
  t44296 = t3197 * t414 * t44262 / 0.3e1 + 0.4e1 * t15352 * t44266 + 0.2e1 * t15344 * t414 * t43270 - 0.12e2 * t27582 * t4978 - 0.2e1 * t15344 * t427 * t42741 + 0.2e1 * t3200 * t149 * t44262 + 0.2e1 * t4349 * t149 * t44261 * t312 + 0.8e1 / 0.3e1 * t38328 * t5472 + 0.24e2 * t38328 * t5479 - 0.2e1 * t3197 * t427 * t44172 - 0.2e1 * t15368 * t8545 - 0.2e1 * t3197 * t427 * t44176 - t34001 - t34003 - t30362;
  t44321 = -t30367 + t30370 + t30375 + t30378 + t38443 + 0.12e2 * t15352 * t16824 * t42719 + 0.4e1 * t15344 * t16824 * t42741 + 0.2e1 / 0.3e1 * t15349 * t19504 * t42719 - 0.4e1 * t38264 * t4985 + 0.12e2 * t4365 * t149 * t44163 - 0.24e2 * t38277 * t5453 - 0.6e1 * t27576 * t5456 + 0.4e1 * t3200 * t149 * t44144 - 0.6e1 * t27576 * t4981 - t7214;
  t44324 = t1336 * t658;
  t44335 = t6114 * t230;
  t44355 = -0.4e2 * t27440 * t5405 + t881 * t1879 * t44324 - 0.12e2 * t6075 * t5063 - 0.4e1 * t1323 * t40596 - 0.2e2 / 0.3e1 * t6044 * t40401 - t3246 * t8531 + t3220 * t8519 + t881 * t1879 * t44335 - t263 * t1883 * t1336 * t4841 + 0.12e2 * t3214 * t409 * t44207 - 0.36e2 * t27493 * t5412 - 0.12e2 * t6075 * t5429 - 0.2e1 / 0.3e1 * t6044 * t40539 + 0.1e2 / 0.3e1 * t27466 * t10080 * t5404 + 0.6e1 * t6044 * t40544;
  t44394 = 0.5e2 / 0.3e1 * t27466 * t9992 * t5404 - t263 * t1883 * t6114 * t1147 + 0.3e1 * t6059 * t5435 - 0.6e1 * t3211 * t1756 * t44207 + 0.9e1 * t6044 * t10242 * t5408 - t877 * t404 * t44335 - t877 * t404 * t44324 - t875 * t8534 + 0.3e1 * t6059 * t5025 + 0.2e1 * t1319 * t5028 + 0.4e1 * t881 * t1879 * t44199 - 0.1e2 * t6075 * t5051 - 0.6e1 * t1323 * t40398 - 0.6e1 * t3227 * t145 * t44207 + 0.12e2 * t27437 * t5432;
  t44395 = -t38460 - t38461 + t38462 - t38463 + t38468 + t38469 + t30413 - t30432 - t30440 - t30442 - t3609 - t3610 - t3614 + t3625 - t30491;
  t44415 = -t38486 + t7709 + t38493 - t38494 - t263 * t404 * t63 * t42897 + 0.2e1 * t6075 * t5040 - 0.2e1 / 0.3e1 * t27440 * t5441 - t875 * t8507 - t7710 + t7711 - t7712 - t6044 * t40444 / 0.9e1 - 0.2e1 / 0.3e1 * t881 * t1756 * t44211 - 0.2e1 / 0.3e1 * t3220 * t8510 - 0.2e1 / 0.3e1 * t881 * t1756 * t44324;
  t44430 = -0.2e1 / 0.3e1 * t881 * t1756 * t44335 - t6532 + t6543 - t6546 + 0.2e1 * t1319 * t5058 + 0.2e2 / 0.3e1 * t6075 * t5060 + t38497 + t38498 + 0.2e1 * t27582 * t1845 * t5448 + 0.6e1 * t6059 * t5031 + 0.24e2 * t27493 * t5423 + t3688 + t3690 - t3697 + t3704;
  t44451 = -t34160 + t30550 - t30555 - 0.2e1 / 0.9e1 * t4344 * t1857 * t44163 + t27582 * t1857 * t5448 / 0.3e1 - t38328 * t19411 * t5452 / 0.9e1 - t7728 - t30560 + t30564 + t34206 + t34255 + t34266 + 0.6e1 * t15344 * t16824 * t43270 - 0.4e1 * t15341 * t16820 * t42741 - 0.6e1 * t20269 * t16820 * t44021;
  t44466 = t16829 * t42719;
  t44476 = -0.2e1 / 0.3e1 * t15344 * t16829 * t42741 - t15344 * t16829 * t43270 + t15349 * t19510 * t42719 / 0.9e1 - 0.6e1 * t15338 * t16820 * t42719 - 0.4e1 * t15341 * t16820 * t43270 - 0.2e1 * t15352 * t44466 - 0.6e1 * t15349 * t44466 - 0.4e1 / 0.3e1 * t4344 * t1845 * t44163 + t30593 - t30602 + t30606 - t38606 - t38607 - t38622 + 0.8e1 * t38331 * t5479;
  t44517 = 0.4e1 / 0.3e1 * t27582 * t40321 - 0.4e1 / 0.3e1 * t38328 * t10457 * t5452 - 0.2e1 * t3197 * t427 * t44262 - 0.1e2 / 0.3e1 * t15349 * t1845 * t42719 + 0.72e2 * t38282 * t5466 + 0.3e1 * t15338 * t149 * t42719 + 0.2e1 * t15341 * t149 * t43270 + 0.12e2 * t38374 * t40554 + 0.2e2 * t27586 * t4975 + 0.3e1 * t15349 * t44266 - 0.72e2 * t38331 * t5459 + 0.2e1 * t4349 * t149 * t27672 * t1147 + 0.2e1 * t15357 * t8548 + 0.2e1 * t15341 * t149 * t42741 + 0.3e1 * t20269 * t149 * t44021;
  t44544 = 0.4e1 / 0.3e1 * t15344 * t414 * t42741 + 0.6e1 * t6075 * t4993 - 0.3e1 * t6044 * t40532 + 0.2e1 * t1323 * t40432 + t263 * t404 * t60 * t42897 / 0.2e1 - 0.3e1 * t6059 * t5013 + t875 * t8475 / 0.2e1 - t962 + t34295 + t943 - t38670 - 0.4e1 / 0.3e1 * t1323 * t40410 - 0.4e1 * t6075 * t5001 + t6044 * t40366 / 0.18e2 + 0.1e2 / 0.3e1 * t6044 * t40525 - t1319 * t4989;
  t44553 = -t39306 - t39307 + t39308 - t3747 + t3749 - t34824 + t1397 * t5716 * t23308 + t3162 * t36622 / 0.3e1 + 0.3e1 / 0.2e1 * t1397 * t26148 * t8427 - t9576 * t8720 / 0.6e1 + t3162 * t21274 * t5625 / 0.3e1 - t10516 * t8576 / 0.2e1 - t22 * t59 * (t44169 + t44194 + t44203 + t44234 + t44260 + t44296 + t44321 + t44355 + t44394 + t44395 + t44415 + t44430 + t44451 + t44476 + t44517 + t44544) * t96 / 0.4e1;
  t44581 = -t34864 - t34867 + t3168 * t41176 / 0.6e1 - 0.3e1 * t4482 * t24326 + 0.2e1 / 0.3e1 * t2874 * t24742 + 0.3e1 / 0.2e1 * t11419 * t26148 * t8447 + 0.3e1 * t3980 * t3211 * t1746 * t24324 - 0.9e1 / 0.2e1 * t3980 * t6044 * t9992 * t2496 + t14865 * t5249 - t3168 * t3582 * t96 * t43296 / 0.6e1 + t387 * t8428 / 0.2e1 + t1763 * t8646 - t2822 * t1365 / 0.12e2;
  t44616 = t1292 * t2779 / 0.6e1 - t2004 * t1319 * t4925 - 0.3e1 / 0.2e1 * t2004 * t6059 * t4920 + t2004 * t877 * t404 * t42930 + 0.3e1 / 0.2e1 * t1397 * t26835 * t1265 + 0.7e1 / 0.3e1 * t5911 * t12387 + 0.7e1 / 0.3e1 * t5911 * t2218 * t5291 - t5911 * t40216 / 0.2e1 - t5911 * t2213 * t5207 / 0.2e1 + 0.23e2 / 0.36e2 * t5911 * t40225 + 0.23e2 / 0.36e2 * t5911 * t2042 * t5291 - 0.11e2 / 0.18e2 * t5911 * t40237 - 0.11e2 / 0.18e2 * t5911 * t2218 * t5207;
  t44629 = -0.2e1 * t5713 * t4904 - 0.2e1 * t5713 * t5292 + t5713 * t5277 + t5713 * t5112 - 0.3e1 * t509 * t6166 * t39827 + 0.2e1 / 0.3e1 * t2874 * t1968 * t43650 - t30995 + t31003 + t39397 - t3767 + t3770 + t3784 + t3786;
  t44660 = -t3788 - t3790 + t10516 * t8711 / 0.2e1 + t2004 * t3246 * t8710 / 0.2e1 + t2004 * t877 * t404 * t42925 / 0.2e1 + t2004 * t877 * t404 * t42937 / 0.2e1 - 0.2e1 / 0.3e1 * t27191 * t40932 - 0.23e2 / 0.18e2 * t26697 * t40951 + t3168 * t41962 / 0.6e1 - t4482 * t21332 * t5372 + 0.14e2 / 0.3e1 * t4482 * t35563 * t5550 - t22 * t8554 * t194 / 0.4e1 - t39401;
  t44680 = t2874 * t1974 * t43650 / 0.3e1 - t31071 - t31074 + t31078 + t31082 - t22 * t1251 * t870 / 0.2e1 + 0.2e1 / 0.3e1 * t2874 * t10594 * t8563 - t13840 * t8560 / 0.3e1 - t2874 * t10547 * t8559 / 0.3e1 + 0.7e1 / 0.3e1 * t26697 * t3961 * t5621 - 0.6e1 * t21068 * t5394 - t39471 - t39472;
  t44698 = -t7870 - t2004 * t877 * t1883 * t42741 - t31170 + t39515 + t39516 + t39517 - t39518 - t39519 + t39520 - t3162 * t1404 * t43279 / 0.6e1 + t3168 * t16129 * t96 * t44021 / 0.2e1 - t2874 * t10706 * t42742 / 0.6e1 - 0.23e2 / 0.12e2 * t26697 * t10615 * t5629;
  t44699 = t3961 * t42976;
  t44721 = t21332 * t24506;
  t44729 = -0.28e2 * t29479 * t44699 - 0.3e1 * t1397 * t26844 * t1273 - t1397 * t6152 * t23294 + 0.6e1 * t2011 * t26864 * t24462 - 0.6e1 * t1397 * t26864 * t25394 + t2011 * t6152 * t23241 - t4503 * t1974 * t42746 / 0.2e1 + t3162 * t3582 * t42742 / 0.3e1 - 0.2e1 / 0.3e1 * t9476 * t44721 + t21072 * t5258 + t39554 + 0.3e1 / 0.2e1 * t379 * t8638 - t791 * t35778 / 0.3e1;
  t44757 = -t5911 * t29649 / 0.2e1 + t5513 * t796 + 0.7e1 / 0.3e1 * t5911 * t29652 - 0.3e1 / 0.2e1 * t5911 * t29656 - 0.11e2 / 0.18e2 * t5911 * t30894 - t671 * t37437 / 0.12e2 - t233 * t26005 / 0.12e2 + t666 * t37442 / 0.6e1 + t233 * t26357 / 0.12e2 - t1292 * t2787 / 0.6e1 - t791 * t36958 / 0.6e1 + t806 * t8255 / 0.18e2 - 0.5e1 / 0.36e2 * t5911 * t29871;
  t44773 = -t1297 * t12618 / 0.12e2 - t791 * t555 * t43819 / 0.3e1 + t5713 * t3949 + t1297 * t12885 / 0.3e1 - 0.2e1 / 0.3e1 * t26510 * t1224 + 0.89e2 / 0.9e1 * t38002 * t17701 * t5550 - t3829 - t3852 + t3867 - t233 * t26000 / 0.12e2 - t39568 + t39571 + t39574;
  t44813 = 0.23e2 / 0.18e2 * t4482 * t3965 * t43383 - t31200 + t259 * t305 * t1472 * t8616 / 0.12e2 + t813 * t8618 / 0.12e2 + t259 * t305 * t2777 * t6021 / 0.12e2 + t259 * t305 * t12623 * t1305 / 0.12e2 + t813 * t8612 / 0.12e2 - t791 * t41151 / 0.6e1 - t791 * t548 * t43095 / 0.6e1 - t2022 * t881 * t10242 * t42741 + t2004 * t881 * t10277 * t42741 + 0.3e1 * t2004 * t3214 * t1879 * t42719 - 0.3e1 * t2022 * t3214 * t1756 * t42719;
  t44846 = t1962 * t1395 * t39141 * t230;
  t44849 = t3162 * t3582 * t43271 / 0.3e1 + t4510 * t1404 * t42746 / 0.2e1 + t162 * t5802 * t690 * t165 / 0.4e1 - t5513 * t764 - t5985 * t742 / 0.2e1 - t5985 * t746 / 0.4e1 + t5985 * t734 / 0.4e1 + t5969 * t7947 / 0.18e2 - t654 * t5804 / 0.36e2 - t2874 * t1974 * t1395 * t43278 / 0.3e1 + 0.3e1 * t1397 * t27224 * t24447 + t1397 * t5716 * t24312 - 0.4e1 * t11652 * t44846 + t3869;
  t44856 = my_piecewise3(t3, 0, t43834 + t43809 + t43673 + t43873 + t43086 + t43849 + t44698 + t44813 + t43118 + t43423 + t43889 + t44773 + t42815 + t43728 + t42750 + t42701 + t43049 + t44660 + t43965 + t44045 + t42983 + t43933 + t44849 + t44072 + t43790 + t42950 + t43617 + t44026 + t42718 + t43249 + t43717 + t43395 + t43544 + t43263 + t43372 + t44616 + t44127 + t44103 + t43483 + t43486 + t43448 + t43340 + t44757 + t44680 + t43215 + t44629 + t43569 + t43769 + t43015 + t44581 + t43155 + t43595 + t43799 + t43682 + t43994 + t42788 + t42920 + t43516 + t44729 + t43184 + t43640 + t42711 + t44553 + t43309);
  tv4rholapltau20 = 0.2e1 * rho[0] * t44856 + 0.2e1 * t8730;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 0] += tv4rholapltau20;

  t44861 = t4433 * t5711;
  t44890 = -t31261 / 0.6e1 + t31263 / 0.3e1 - 0.9e1 * t1397 * t44861 * t645 - 0.11e2 / 0.6e1 * t31291 - t31293 / 0.2e1 + 0.3e1 * t31295 - 0.3e1 * t2011 * t6152 * t5776 - t1292 * t2968 / 0.2e1 - 0.3e1 / 0.2e1 * t5706 * t4640 - t8926 * t9679 / 0.2e1 + 0.3e1 / 0.2e1 * t8926 * t9881 - 0.3e1 / 0.2e1 * t5911 * t2213 * t5696 + t31346 / 0.4e1 - t31348 / 0.4e1 - 0.9e1 * t823 * t6136 - 0.3e1 / 0.2e1 * t26738 * t759 + t1292 * t2908 / 0.2e1;
  t44912 = t8749 * t122;
  t44916 = t1292 * t2912 / 0.2e1 + 0.3e1 / 0.2e1 * t31371 - 0.3e1 / 0.2e1 * t31374 - 0.2e1 * t8947 * t1588 - t1297 * t13966 / 0.2e1 - t1297 * t13950 / 0.2e1 - 0.9e1 / 0.2e1 * t31403 - 0.3e1 / 0.2e1 * t31406 + 0.3e1 * t31409 - 0.9e1 * t31416 - 0.3e1 * t31419 - 0.3e1 / 0.2e1 * t31431 + t37515 / 0.6e1 - t37534 / 0.2e1 - t37539 / 0.2e1 - 0.8e1 / 0.3e1 * t25843 * t5923 - t2022 * t881 * t10242 * t44912;
  t44931 = t510 * t8924;
  t44938 = t8839 * t9777;
  t44940 = t106 * t9775 * t44938;
  t44947 = t8839 * t9768;
  t44948 = t1743 * t44947;
  t44952 = t9989 * t44938;
  t44959 = t4433 * t1295;
  t44966 = t2004 * t881 * t10277 * t44912 - 0.3e1 / 0.4e1 * t31459 - 0.7e1 * t8926 * t9877 + 0.7e1 * t5911 * t2218 * t5937 + 0.2e1 * t791 * t548 * t821 * t5695 - 0.18e2 * t509 * t44931 * t622 + t387 * t8738 / 0.2e1 + t31487 - 0.3e1 / 0.2e1 * t31491 - 0.62e2 / 0.3e1 * t44940 * t39684 + 0.8e1 * t44940 * t28010 + 0.9e1 / 0.2e1 * t14675 * t6171 - 0.18e2 * t162 * t44948 * t3411 - 0.18e2 * t509 * t44952 * t28281 + 0.6e1 * t162 * t44952 * t28288 - 0.3e1 * t1397 * t44959 * t1442 + t2874 * t21332 * t5737 / 0.4e1;
  t44975 = t296 * t8840;
  t44979 = t1743 * t8924;
  t45010 = t3168 * t14860 * t5749 / 0.4e1 - 0.9e1 * t509 * t6166 * t1539 * t1670 * t810 + 0.3e1 / 0.2e1 * t1742 * t44975 * t1747 - 0.9e1 / 0.2e1 * t1742 * t44979 * t10196 + 0.9e1 / 0.2e1 * t1742 * t6166 * t1539 * t1540 * t810 + t8947 * t1452 - 0.2e1 * t8947 * t1464 + 0.3e1 * t5713 * t6002 - t5969 * t8745 / 0.3e1 - t387 * t8734 / 0.2e1 + 0.11e2 / 0.6e1 * t8926 * t9847 + t27191 * t1968 * t5749 / 0.2e1 - 0.9e1 / 0.2e1 * t2004 * t6044 * t10242 * t5724 + t1297 * t13875 - t31503 / 0.2e1 - t31505 / 0.12e2 + t31521 / 0.2e1;
  t45056 = t1289 * t1304;
  t45057 = t500 * t45056;
  t45058 = t10832 * t45057;
  t45061 = t31523 / 0.2e1 - 0.2e1 / 0.3e1 * t37866 - t31544 / 0.4e1 - 0.3e1 / 0.2e1 * t31546 + 0.3e1 / 0.2e1 * t31549 + t813 * t8783 / 0.4e1 + t259 * t305 * t13879 * t1305 / 0.4e1 + t259 * t305 * t2966 * t6021 / 0.4e1 + t813 * t8808 / 0.12e2 - t3168 * t3582 * t169 * t193 * t8749 / 0.6e1 + t13858 * t8835 / 0.4e1 + t3168 * t9547 * t8834 / 0.4e1 + t3168 * t1404 * t169 * t869 * t1304 / 0.4e1 + t3168 * t1404 * t169 * t287 * t5844 / 0.4e1 + 0.3e1 * t1397 * t6152 * t5852 - 0.3e1 / 0.2e1 * t1397 * t27334 * t8733 - 0.7e1 * t11669 * t45058;
  t45065 = t510 * t8945;
  t45080 = t382 * t8946;
  t45085 = t382 * t8925;
  t45097 = 0.9e1 * t509 * t5779 * t5776 - 0.6e1 * t509 * t45065 * t1448 + 0.3e1 / 0.2e1 * t823 * t5920 - 0.3e1 * t823 * t5918 + 0.3e1 * t823 * t5853 - 0.3e1 / 0.2e1 * t3389 * t5789 + t31592 / 0.2e1 + 0.3e1 / 0.2e1 * t31596 - t31598 / 0.2e1 + t45080 * t497 / 0.3e1 - t3322 * t1360 / 0.2e1 - t45085 * t1771 / 0.6e1 + t387 * t8979 / 0.2e1 - t1297 * t14831 / 0.4e1 - 0.5e1 / 0.36e2 * t8926 * t10145 - t1297 * t14692 / 0.2e1 + t1297 * t14696;
  t45132 = -0.5e1 / 0.108e3 * t45085 * t1542 + t5974 * t818 / 0.6e1 - t5969 * t3380 / 0.6e1 + 0.3e1 / 0.2e1 * t379 * t8957 - 0.3e1 / 0.2e1 * t8926 * t9800 - 0.3e1 / 0.2e1 * t14687 * t1352 + t45080 * t374 / 0.6e1 - t806 * t5963 / 0.12e2 + 0.23e2 / 0.36e2 * t8926 * t9943 - t8926 * t9810 / 0.2e1 + 0.7e1 / 0.3e1 * t8926 * t9816 + t1763 * t8982 + t9743 * t8939 / 0.2e1 + t3322 * t1368 / 0.2e1 - t14982 * t1352 / 0.2e1 + 0.7e1 / 0.9e1 * t45085 * t1672 + 0.23e2 / 0.108e3 * t45085 * t1684;
  t45166 = t8947 * t1528 / 0.2e1 - t1763 * t8942 - 0.2e1 / 0.3e1 * t45080 * t502 - 0.3e1 * t379 * t8954 + 0.3e1 / 0.4e1 * t5985 * t829 - t813 * t5963 / 0.4e1 - t259 * t26722 / 0.4e1 + t1292 * t3361 / 0.2e1 + t5969 * t3384 / 0.3e1 - t45085 * t1735 / 0.2e1 + t387 * t8957 / 0.2e1 - t5969 * t3347 / 0.12e2 - 0.11e2 / 0.18e2 * t8926 * t9948 + 0.3e1 / 0.2e1 * t3366 * t1368 + 0.3e1 / 0.2e1 * t9790 * t8939 - 0.3e1 * t1689 * t8942 + 0.3e1 / 0.4e1 * t26801 * t274;
  t45170 = t138 * t8912;
  t45175 = t106 * t158 * t8910 * t159;
  t45201 = t96 * t44912;
  t45205 = -t127 * t45170 / 0.12e2 + t45175 * t166 / 0.4e1 - 0.3e1 / 0.2e1 * t3366 * t1360 + 0.3e1 / 0.2e1 * t379 * t8979 + 0.3e1 * t1689 * t8982 - t387 * t8954 - t382 * t8974 * t139 / 0.6e1 + t26889 * t274 / 0.4e1 - 0.11e2 / 0.54e2 * t45085 * t1681 - t8975 * t359 / 0.2e1 + t8947 * t1675 - 0.2e1 * t8947 * t1679 + t38011 / 0.3e1 + 0.3e1 / 0.4e1 * t31621 + 0.3e1 / 0.4e1 * t31623 + 0.3e1 / 0.2e1 * t31639 - t2874 * t11691 * t45201 / 0.3e1;
  t45215 = t2966 * t5695;
  t45228 = t106 * t363 * t8924;
  t45236 = t548 * t5983 * t3084;
  t45244 = -0.3e1 / 0.2e1 * t31699 - 0.3e1 / 0.2e1 * t5911 * t32065 - 0.61e2 / 0.27e2 * t44940 * t29047 + 0.23e2 / 0.12e2 * t5911 * t32060 - 0.11e2 / 0.6e1 * t5911 * t32057 - t791 * t555 * t45215 - t791 * t548 * t45215 / 0.2e1 - t791 * t37437 / 0.4e1 - t259 * t26005 / 0.4e1 + 0.3e1 / 0.2e1 * t5713 * t5697 - 0.3e1 * t45228 * t549 + t259 * t26357 / 0.4e1 - 0.3e1 / 0.4e1 * t5985 * t768 + t1641 * t45236 + 0.3e1 / 0.4e1 * t5985 * t772 + t785 * t37442 / 0.2e1 - 0.3e1 / 0.2e1 * t5985 * t764;
  t45248 = t287 * t810;
  t45249 = t169 * t45248;
  t45269 = t106 * t1531 * t44947;
  t45282 = 0.3e1 / 0.2e1 * t25843 * t4665 - t2874 * t1996 * t45249 + 0.3e1 * t25843 * t4599 + t27191 * t14916 - 0.11e2 / 0.6e1 * t26697 * t31310 + t785 * t318 * t45215 - t1297 * t14788 / 0.2e1 + t1297 * t14782 + 0.3e1 * t5713 * t4764 - 0.2e1 * t44940 * t27997 + 0.89e2 / 0.9e1 * t44940 * t28030 + 0.6e1 * t45269 * t3730 - 0.38e2 / 0.9e1 * t44940 * t28508 + 0.3e1 * t14865 * t6155 - t2874 * t39522 / 0.2e1 + 0.3e1 / 0.2e1 * t21068 * t6159 - 0.3e1 / 0.2e1 * t21072 * t6163;
  t45285 = t20707 * t5909;
  t45289 = t39529 * t757;
  t45308 = t106 * t109 * t8945;
  t45324 = -0.3e1 * t20902 * t6153 - 0.9e1 * t2011 * t45285 * t3760 - 0.3e1 / 0.2e1 * t2011 * t45289 * t622 + t5969 * t8741 / 0.6e1 + 0.6e1 * t162 * t45065 * t1442 - 0.9e1 * t162 * t5779 * t5852 - t1292 * t6023 / 0.3e1 - t1292 * t6018 / 0.3e1 - t8975 * t320 / 0.2e1 + 0.2e1 * t45308 * t541 + t8975 * t315 / 0.2e1 - 0.3e1 / 0.2e1 * t5706 * t5702 - 0.23e2 / 0.12e2 * t8926 * t9039 + 0.23e2 / 0.12e2 * t5911 * t2042 * t5937 + 0.7e1 * t26697 * t31328 + 0.9e1 / 0.2e1 * t31772 - t31774 / 0.2e1;
  t45353 = 0.9e1 * t31779 - t103 * t8912 / 0.12e2 + 0.23e2 / 0.36e2 * t8926 * t9042 + t38859 - t38862 - t31837 / 0.4e1 - 0.3e1 / 0.2e1 * t31839 - 0.3e1 / 0.4e1 * t31841 + t31845 + 0.3e1 / 0.4e1 * t31847 - t31851 / 0.2e1 + t31853 / 0.2e1 - 0.3e1 / 0.2e1 * t379 * t8734 - 0.3e1 / 0.2e1 * t162 * t5785 * t1440 * t408 * t5844 - 0.3e1 / 0.2e1 * t379 * t8756 - 0.3e1 / 0.2e1 * t162 * t2885 * t1318 * t328 - t813 * t8761 / 0.6e1;
  t45382 = t1304 * t810;
  t45389 = -t259 * t1417 * t1472 * t8759 / 0.6e1 - t1297 * t14472 / 0.4e1 + t379 * t8752 / 0.2e1 + t162 * t2896 * t8751 / 0.2e1 + 0.9e1 / 0.2e1 * t8926 * t9718 - 0.9e1 / 0.2e1 * t5911 * t14120 + 0.7e1 / 0.3e1 * t8926 * t9868 + 0.9e1 / 0.2e1 * t31982 + 0.3e1 / 0.2e1 * t31985 - 0.6e1 * t31989 - 0.3e1 / 0.2e1 * t31992 + 0.3e1 / 0.2e1 * t1397 * t45289 * t645 + 0.3e1 * t27191 * t10706 * t500 * t5729 - 0.2e1 * t2874 * t1974 * t500 * t45382 + t32015 + t32017 - 0.11e2 / 0.18e2 * t8926 * t9045;
  t45423 = t8805 * t122;
  t45424 = t96 * t45423;
  t45428 = t5969 * t8813 / 0.12e2 + t387 * t8818 / 0.3e1 - t387 * t8756 / 0.2e1 + t1763 * t8827 / 0.2e1 - t387 * t8822 / 0.12e2 + 0.3e1 / 0.2e1 * t162 * t296 * t8847 * t1524 + t379 * t8818 + t162 * t5855 * t5846 - t379 * t8822 / 0.4e1 + 0.4e1 * t8947 * t1468 - 0.6e1 * t5713 * t5938 - t27191 * t1974 * t1395 * t5748 + t8838 - 0.5e1 / 0.36e2 * t8926 * t9278 - 0.35e2 / 0.108e3 * t44940 * t28563 + 0.5e1 / 0.12e2 * t8926 * t9438 + t2874 * t1974 * t45424 / 0.12e2;
  t45442 = t96 * t45382;
  t45457 = t8749 * t312;
  t45462 = t1304 * t5844;
  t45468 = t10706 * t500 * t256 * t8749;
  t45479 = t3168 * t1404 * t169 * t193 * t8805 / 0.12e2 + t3162 * t1982 * t45249 - 0.3e1 / 0.2e1 * t25897 * t4660 - t27242 * t2993 / 0.2e1 - t32040 / 0.12e2 + t32048 / 0.6e1 + t2874 * t1974 * t45442 / 0.2e1 - 0.4e1 / 0.3e1 * t25843 * t5745 - 0.3e1 / 0.4e1 * t27191 * t10706 * t5741 + 0.5e1 / 0.12e2 * t26697 * t10615 * t5737 - t2004 * t877 * t1883 * t44912 - 0.3e1 / 0.2e1 * t2004 * t263 * t10295 * t45457 + t2004 * t263 * t1883 * t45462 + 0.2e1 / 0.3e1 * t9476 * t45468 + t1397 * t2956 * t8751 / 0.2e1 + t2004 * t877 * t404 * t45423 / 0.2e1 - t38995 / 0.6e1;
  t45500 = t1318 * t365;
  t45507 = -0.4e1 / 0.3e1 * t5826 * t27308 - 0.4e1 * t5826 * t27839 + 0.4e1 * t5823 * t26639 + 0.4e1 * t5829 * t26772 - 0.4e1 / 0.3e1 * t1331 * t1448 - 0.8e1 * t5841 * t5852 + 0.8e1 * t1331 * t1442 + 0.8e1 * t5836 * t5760 - 0.12e2 * t45500 * t636 - 0.4e1 * t1334 * t334 + 0.2e1 * t889 * t1364;
  t45510 = t6043 * t1533;
  t45515 = t1322 * t1581;
  t45518 = 0.2e1 * t265 * t5846 + 0.4e1 / 0.3e1 * t45510 * t3760 + 0.4e1 / 0.3e1 * t5841 * t5776 - 0.4e1 * t45515 * t622 - t28847 - t28850 + t28853 + t28891 + t28893 + t28913 - t28916 + t28933;
  t45524 = t9163 * t5909;
  t45530 = t1485 * t1295;
  t45537 = t307 * t1295;
  t45540 = -0.2e1 * t1364 * t26319 - 0.8e1 * t1442 * t45530 + 0.12e2 * t3411 * t45524 + 0.12e2 * t45537 * t636 - 0.8e1 * t5760 * t5823 + 0.8e1 * t5826 * t5852 - 0.2e1 * t5829 * t5846 - 0.4e1 * t5726 - 0.4e1 * t5731 + 0.4e1 * t6163 + t6212;
  t45541 = t307 * t1290;
  t45544 = t1485 * t5711;
  t45564 = 0.4e1 * t45541 * t334 - 0.8e1 * t45544 * t622 + 0.8e1 / 0.3e1 * t5826 * t5776 - 0.8e1 / 0.3e1 * t45530 * t1448 + 0.16e2 / 0.9e1 * t45524 * t3739 - 0.24e2 * t45544 * t645 + 0.32e2 / 0.3e1 * t45524 * t3760 - 0.2e1 / 0.3e1 * t6159 + 0.2e2 / 0.9e1 * t45510 * t3739 + 0.24e2 * t45515 * t645 - 0.12e2 * t45510 * t3411 - t6224;
  t45566 = t45507 + t45518 + t45540 + t45564;
  t45573 = t2042 * t3387 * t25758;
  t45587 = t318 * t2966 * t5802;
  t45590 = params->at * t9010;
  t45592 = t318 * t306 * t45590;
  t45605 = t169 * t8833 * t122;
  t45617 = t259 * t305 * t306 * t95 * t45566 / 0.12e2 - 0.9e1 / 0.2e1 * t15454 * t45573 + 0.3e1 * t3389 * t5786 - 0.3e1 * t3389 * t5777 - 0.3e1 / 0.2e1 * t8926 * t9722 - 0.43e2 / 0.9e1 * t44940 * t28612 + 0.3e1 / 0.4e1 * t823 * t5808 - t127 * t45587 / 0.4e1 - t127 * t45592 / 0.12e2 + t162 * t45590 * t142 * t165 / 0.4e1 + t1292 * t2972 / 0.2e1 - 0.3e1 / 0.2e1 * t32078 + 0.3e1 / 0.2e1 * t32080 - t32082 / 0.2e1 - t3162 * t1404 * t45605 / 0.2e1 - t3168 * t3582 * t169 * t8833 * t312 / 0.2e1 + 0.3e1 / 0.2e1 * t1397 * t5716 * t26639;
  t45623 = t1974 * t1395 * t39141 * t1304;
  t45651 = t21321 * t39142;
  t45660 = 0.3e1 / 0.2e1 * t1397 * t5720 * t26772 - t9476 * t45623 - t32092 / 0.12e2 + t32097 / 0.4e1 + 0.3e1 / 0.2e1 * t2011 * t27334 * t8826 + t27191 * t1974 * t5749 / 0.4e1 - t2874 * t1962 * t45249 / 0.2e1 + t27191 * t13761 / 0.2e1 - 0.5e1 / 0.12e2 * t26697 * t31574 - 0.3e1 / 0.2e1 * t1397 * t6152 * t27839 - 0.3e1 * t14865 * t5717 - 0.3e1 / 0.2e1 * t14865 * t5721 - 0.3e1 * t2004 * t881 * t1879 * t45382 + 0.2e1 * t9476 * t45651 + t3162 * t37956 / 0.2e1 + t3168 * t26789 / 0.4e1 - t2874 * t39176 / 0.4e1;
  t45716 = -0.8e1 * t2022 * t6075 * t25946 + 0.9e1 * t2022 * t6044 * t9997 * t5724 + 0.9e1 / 0.2e1 * t11419 * t45285 * t3739 - 0.9e1 / 0.2e1 * t3980 * t6044 * t9992 * t5724 - t2004 * t881 * t1879 * t45423 / 0.2e1 + 0.3e1 / 0.2e1 * t379 * t8738 - 0.3e1 / 0.4e1 * t1397 * t27178 * t1364 - 0.3e1 / 0.4e1 * t1397 * t26916 * t1364 - 0.3e1 / 0.4e1 * t1397 * t5720 * t5846 + t3162 * t3582 * t45201 / 0.3e1 + t3168 * t16129 * t96 * t45457 / 0.2e1 - t3168 * t3582 * t96 * t45462 / 0.3e1 - t2874 * t10706 * t45201 / 0.6e1 - 0.3e1 * t1397 * t5716 * t5760 + t5974 * t777 / 0.6e1 + 0.9e1 * t509 * t44979 * t10188 - 0.3e1 / 0.4e1 * t22 * t1342 * t870;
  t45718 = t26782 * t762;
  t45750 = t39039 / 0.6e1 - 0.3e1 / 0.2e1 * t1397 * t45718 * t636 - t913 + t984 - t39045 / 0.3e1 + t1297 * t13888 / 0.2e1 - 0.5e1 / 0.12e2 * t5911 * t31602 - t1297 * t13893 / 0.4e1 - t22 * t154 * t9011 / 0.4e1 + t39064 / 0.6e1 + 0.3e1 * t2011 * t44959 * t1448 + t39087 / 0.18e2 + 0.8e1 * t2004 * t6075 * t6162 + t2022 * t881 * t1756 * t45423 / 0.2e1 - 0.3e1 / 0.2e1 * t26697 * t31325 - t2874 * t38878 + t2874 * t20571 * t5737 / 0.2e1;
  t45763 = t318 * t26003 * t775;
  t45772 = 0.9e1 / 0.2e1 * t2004 * t1323 * t10277 * t5729 - t32130 / 0.4e1 + t32139 / 0.2e1 + t32141 / 0.4e1 + 0.3e1 / 0.4e1 * t5985 * t781 - t127 * t45763 / 0.4e1 + 0.22e2 / 0.3e1 * t45269 * t3724 - 0.23e2 / 0.3e1 * t45269 * t3727 + t8915 - t8916 - t8917 - t8918 + t6798 - t8921 + t8922 - t8923 - t103 * t8994 / 0.4e1;
  t45791 = t95 * t8839;
  t45793 = t2042 * t507 * t45791;
  t45796 = t296 * t8860;
  t45815 = -t103 * t9015 / 0.4e1 + t1297 * t1455 * t6017 / 0.4e1 + t1297 * t1455 * t6022 / 0.4e1 - t1297 * t14347 / 0.4e1 - t1763 * t8764 / 0.2e1 - 0.2e1 * t1297 * t14786 - t5969 * t2880 / 0.12e2 + t387 * t8752 / 0.6e1 + 0.18e2 * t28132 * t45793 + 0.3e1 * t509 * t45796 * t1699 + 0.3e1 / 0.2e1 * t1689 * t8827 + 0.3e1 / 0.2e1 * t509 * t5785 * t1440 * t372 * t5844 - t162 * t2896 * t8821 / 0.4e1 - t162 * t767 * t303 * t137 * t45566 / 0.4e1 - t3520 + t3524 - t3575;
  t45825 = t160 * t45791;
  t45826 = t548 * t45825;
  t45839 = t3965 * t2009 * t287 * t1289;
  t45861 = -t806 * t5804 / 0.12e2 - t39134 / 0.3e1 - t103 * t9012 / 0.12e2 - 0.3e1 / 0.4e1 * t22 * t6130 * t288 + 0.12e2 * t29073 * t45826 + t3322 * t1356 / 0.2e1 - 0.6e1 * t10074 * t44952 * t27991 + 0.18e2 * t1742 * t44952 * t28276 - 0.9e1 / 0.2e1 * t11669 * t45839 - t5974 * t1307 / 0.9e1 + t387 * t8768 / 0.4e1 - t3322 * t1365 / 0.4e1 + t1297 * t1463 * t6017 / 0.2e1 + t1297 * t1463 * t6022 / 0.2e1 - t1297 * t1455 * t377 * t1305 - t1297 * t1455 * t160 * t6021 + 0.9e1 / 0.2e1 * t32219;
  t45866 = t8805 * t312;
  t45873 = t1974 * t500 * t256 * t8805;
  t45889 = t1974 * t45057;
  t45905 = -0.9e1 * t32222 + t32230 / 0.2e1 + 0.7e1 * t32233 + 0.3e1 / 0.2e1 * t32236 + t8991 + t2004 * t263 * t1883 * t45866 / 0.2e1 - t9476 * t45873 / 0.3e1 - t1397 * t2956 * t8821 / 0.4e1 + 0.2e1 * t2004 * t877 * t404 * t45382 - 0.3e1 * t2004 * t6059 * t5725 - 0.2e1 * t2004 * t1319 * t5730 + 0.16e2 / 0.3e1 * t11652 * t45889 + t1397 * t27330 * t1364 + 0.11e2 / 0.6e1 * t26697 * t10832 * t5737 - 0.23e2 / 0.12e2 * t26697 * t10615 * t5926 + 0.9e1 * t2011 * t44861 * t622 + 0.3e1 / 0.2e1 * t5713 * t4613;
  t45912 = t2885 * t1322;
  t45916 = t11303 * t45825;
  t45932 = t2218 * t45825;
  t45952 = 0.3e1 / 0.2e1 * t2011 * t6152 * t27308 + 0.3e1 / 0.2e1 * t162 * t45912 * t516 + 0.47e2 / 0.3e1 * t28148 * t45916 + 0.3e1 / 0.2e1 * t162 * t44975 * t1757 - 0.9e1 / 0.2e1 * t162 * t44979 * t10169 + 0.9e1 / 0.2e1 * t162 * t6166 * t1539 * t5775 - 0.3e1 * t162 * t45796 * t1703 - 0.28e2 * t28132 * t45932 - t806 * t8761 / 0.18e2 - t8947 * t1456 + 0.5e1 / 0.3e1 * t45269 * t3796 + t8947 * t1609 / 0.2e1 - 0.6e1 * t45228 * t556 + 0.7e1 * t5911 * t32068 + 0.44e2 / 0.27e2 * t44940 * t28313 - 0.9e1 * t3389 * t6174 + 0.9e1 / 0.2e1 * t823 * t6167;
  t45955 = t21332 * t25932;
  t45983 = 0.1e1 / t25 / t3115;
  t45988 = t45983 * tau[0] * t24;
  t46009 = 0.8e3 * t181 * t45983 * t74 - 0.204e4 * t1821 * t5871 - 0.312e4 * t1824 * t5871 + 0.36e4 * t1827 * t5871 + 0.9e4 * t1830 * t5871 + 0.42e4 * t1835 * t5871 + 0.48e4 * t45988 * t9613 + 0.16e4 * t45988 * t9622 - 0.192e5 * t45988 * t9625 - 0.28e5 * t45988 * t9629 - 0.112e5 * t45988 * t9634 - 0.12e3 * t5872;
  t46014 = 0.3e1 / 0.2e1 * t21072 * t5731 - t9476 * t45955 - 0.3e1 / 0.4e1 * t14865 * t5734 - t32289 / 0.2e1 - t32291 / 0.2e1 - 0.3e1 / 0.2e1 * t32293 - 0.3e1 / 0.2e1 * t32296 + t8992 - t8993 - t3162 * t1404 * t45424 / 0.6e1 - t3168 * t3582 * t96 * t45866 / 0.6e1 + t3162 * t37492 + t3168 * t26877 / 0.2e1 - t2874 * t37487 / 0.2e1 - t3162 * t14860 * t5737 / 0.2e1 - t3168 * t31685 * t5741 / 0.2e1 - t22 * t65 * t169 * t46009 / 0.4e1;
  t46050 = -0.3e1 / 0.4e1 * t22 * t897 * t1387 - 0.3e1 / 0.4e1 * t22 * t269 * t5897 - t22 * t8911 * t194 / 0.4e1 - 0.3e1 / 0.2e1 * t32670 - t32680 / 0.4e1 - t32684 / 0.4e1 + t32693 / 0.4e1 - 0.3e1 / 0.2e1 * t27191 * t11691 * t5741 + 0.2e1 * t2874 * t1962 * t1395 * t45248 - 0.6e1 * t25843 * t4606 - 0.2e1 * t27191 * t13711 + 0.23e2 / 0.12e2 * t26697 * t31751 + 0.3e1 / 0.2e1 * t26697 * t10706 * t5737 + 0.9e1 / 0.2e1 * t1397 * t45285 * t3411 + t2874 * t1968 * t45442 - t3747 + t3749;
  t46079 = t1962 * t1395 * t1386 * t256;
  t46085 = t26782 * t257;
  t46089 = t259 * t305 * t1472 * t8806 / 0.12e2 - t813 * t5683 / 0.2e1 - t259 * t26157 / 0.2e1 - t259 * t25995 / 0.2e1 + 0.3e1 / 0.2e1 * t823 * t5768 + 0.3e1 / 0.2e1 * t823 * t5772 - t813 * t5804 / 0.4e1 - t259 * t26000 / 0.4e1 - t259 * t26648 / 0.4e1 + t1297 * t13970 + t1297 * t13954 + t5969 * t3172 / 0.3e1 - t5969 * t3192 / 0.6e1 + t9476 * t46079 + 0.3e1 / 0.2e1 * t5985 * t796 - t791 * t39444 / 0.2e1 - 0.3e1 / 0.4e1 * t1397 * t46085 * t334;
  t46114 = 0.6e1 * t32328 - t32332 + t38303 + 0.4e1 * t38345 + 0.2e1 / 0.3e1 * t38347 + 0.4e1 * t38370 - 0.6e1 * t32368 - t263 * t404 * t63 * t45566 + 0.4e1 * t1319 * t6049 + t1323 * t1756 * t6048 - 0.9e1 * t32392 - 0.3e1 * t32394 - 0.12e2 * t32395 + 0.2e1 * t875 * t8906 - t875 * t8903 + 0.6e1 * t32400 + 0.1e2 * t32403 - 0.9e1 * t32421;
  t46116 = t9774 * t8839 * t9991;
  t46124 = t8844 * t122;
  t46131 = t8840 * t9912;
  t46138 = t8853 * t122;
  t46150 = -0.4e1 / 0.3e1 * t46116 * t29392 + 0.18e2 * t32424 - 0.4e1 * t32438 + t32440 / 0.6e1 + 0.24e2 * t46116 * t29386 - 0.2e1 * t881 * t10277 * t46124 + 0.9e1 * t6044 * t10242 * t6051 - 0.72e2 * t46131 * t3667 + 0.8e1 / 0.3e1 * t46116 * t29383 - 0.16e2 * t6075 * t6087 + t881 * t1879 * t46138 + 0.8e1 * t46131 * t3664 + 0.2e1 * t38435 + t8876 - t8877 + t8878 + t263 * t404 * t60 * t45566 / 0.2e1 - 0.2e1 * t32481 + 0.3e1 * t32495;
  t46154 = t8847 * t10106;
  t46182 = t8860 * t10029;
  t46190 = t1336 * t810;
  t46201 = 0.18e2 * t6059 * t6056 - 0.24e2 * t46154 * t578 - 0.6e1 * t8848 * t406 + 0.2e1 * t877 * t1883 * t46124 + 0.3e1 * t263 * t10295 * t8844 * t312 - 0.2e1 * t263 * t1883 * t1336 * t5844 + 0.4e1 / 0.3e1 * t881 * t10242 * t46124 + 0.2e1 * t8841 * t10238 + 0.18e2 * t6044 * t1756 * t6055 - 0.18e2 * t8841 * t10243 - 0.36e2 * t6075 * t6062 + 0.72e2 * t46182 * t587 + 0.24e2 * t8861 * t1880 - 0.2e1 * t6044 * t1751 * t6055 + 0.6e1 * t881 * t1879 * t46190 - 0.9e1 * t1323 * t10277 * t6070 + 0.6e1 * t6075 * t6078 - 0.12e2 * t46182 * t583;
  t46213 = -0.2e1 * t38460 - 0.2e1 * t38461 + 0.2e1 * t32518 - t32520 / 0.3e1 + 0.6e1 * t32532 + 0.18e2 * t32536 - t3609 - t3610 - t3614 + t3625 - 0.2e1 * t38486 + t7708 + 0.2e1 * t32552 - 0.3e1 * t32558 - t6889 + t8880 - t8881 + 0.18e2 * t32570 + 0.6e1 * t32573;
  t46251 = 0.36e2 * t46131 * t3672 - 0.12e2 * t46116 * t29322 - 0.4e1 * t8861 * t1877 + 0.4e1 / 0.3e1 * t46131 * t3632 - t6044 * t1746 * t6055 / 0.3e1 + t8841 * t10262 / 0.3e1 - t46116 * t29265 / 0.9e1 + t3688 + t3690 - t3697 + t3704 - 0.4e1 * t881 * t1756 * t46190 + 0.6e1 * t1323 * t10242 * t6070 - t6044 * t9992 * t6051 / 0.6e1 - 0.6e1 * t1323 * t1879 * t6048 - 0.1e2 * t6044 * t9997 * t6051 - 0.4e1 * t877 * t404 * t46190 + 0.6e1 * t6059 * t6068;
  t46257 = t6028 * t810;
  t46294 = -t8882 - 0.18e2 * t27582 * t6037 + 0.2e1 * t27582 * t1845 * t6029 - 0.12e2 * t3197 * t427 * t46257 + 0.32e2 * t27586 * t6040 + 0.18e2 * t38374 * t427 * t6033 + t875 * t8854 / 0.2e1 - 0.2e1 * t1319 * t6115 - 0.9e1 * t6059 * t6096 + 0.12e2 * t46154 * t597 + 0.3e1 * t8848 * t424 + 0.9e1 * t8841 * t10449 + 0.8e1 * t8861 * t1903 - 0.2e1 / 0.3e1 * t46131 * t3694 + t6044 * t1746 * t6095 / 0.6e1 - t8841 * t10401 / 0.6e1 + 0.18e2 * t6075 * t6118 - 0.12e2 * t8861 * t1931 - 0.9e1 * t6044 * t1756 * t6095;
  t46299 = t62 * t8749;
  t46308 = t46299 * t122;
  t46312 = t62 * t8805;
  t46313 = t46312 * t122;
  t46355 = -0.2e1 / 0.3e1 * t881 * t1756 * t46138 - 0.6e1 * t20269 * t149 * t46299 * t312 + 0.4e1 * t4349 * t149 * t6028 * t5844 - 0.2e1 / 0.3e1 * t15344 * t414 * t46308 + 0.2e1 * t3200 * t149 * t46313 + 0.2e1 * t4349 * t149 * t46312 * t312 + t3197 * t414 * t46313 / 0.3e1 - 0.4e1 * t15341 * t149 * t46308 - 0.16e2 / 0.3e1 * t27586 * t6037 + 0.2e1 * t3197 * t414 * t46257 - 0.3e1 * t38374 * t414 * t6033 + t27582 * t1857 * t6029 / 0.3e1 + 0.8e1 * t3200 * t149 * t46257 - 0.12e2 * t27576 * t6030 - 0.8e1 * t38264 * t6034 - 0.2e1 * t1323 * t1756 * t6114 - 0.36e2 * t46182 * t601 + 0.5e2 / 0.3e1 * t46116 * t29437 + 0.3e1 * t1323 * t1879 * t6114;
  t46389 = 0.1e2 * t6044 * t1751 * t6095 - 0.4e2 * t46131 * t3679 - 0.1e2 * t8841 * t10429 + 0.1e2 / 0.3e1 * t46116 * t29327 - 0.12e2 * t6075 * t6109 + 0.24e2 * t46182 * t591 - t875 * t8845 - 0.2e1 * t3197 * t427 * t46313 + 0.4e1 * t15344 * t427 * t46308 - 0.36e2 * t32616 - 0.12e2 * t32618 - 0.4e1 * t38621 - t962 + t943 - 0.4e1 / 0.3e1 * t38669 + 0.4e1 * t1319 * t6071 + 0.32e2 / 0.3e1 * t6075 * t6052 - t877 * t404 * t46138 - t263 * t1883 * t8853 * t312;
  t46398 = t2986 * t1295;
  t46402 = t2986 * t1290;
  t46418 = t39396 / 0.6e1 - t3767 + t3770 + t3784 + t3786 - t3788 - t3790 - t22 * t59 * (t46114 + t46150 + t46201 + t46213 + t46251 + t46294 + t46355 + t46389) * t96 / 0.4e1 - t32815 / 0.4e1 + 0.9e1 / 0.2e1 * t1397 * t46398 * t636 + 0.3e1 / 0.2e1 * t1397 * t46402 * t334 - 0.3e1 / 0.4e1 * t9509 * t8830 - 0.2e1 / 0.3e1 * t3162 * t1404 * t45442 - 0.5e1 / 0.12e2 * t32852 - t32854 / 0.4e1 + t2874 * t1968 * t45424 / 0.6e1 - t27242 * t5750 / 0.3e1;
  t46431 = t10615 * t1733 * t45056;
  t46451 = 0.2e1 / 0.3e1 * t27242 * t5742 + t25897 * t5738 + 0.3e1 * t2022 * t881 * t1756 * t45382 - 0.9e1 / 0.2e1 * t2022 * t1323 * t10242 * t5729 + 0.9e1 / 0.2e1 * t11669 * t46431 + t2874 * t1974 * t45605 / 0.4e1 - t9018 + t2874 * t1968 * t45605 / 0.2e1 + t32927 + 0.23e2 / 0.12e2 * t32929 + t32931 - 0.2e1 * t32933 - t32958 / 0.4e1 + 0.3e1 / 0.4e1 * t32960 + t32973 / 0.2e1 + 0.18e2 * t162 * t44931 * t645 - 0.18e2 * t1742 * t44948 * t3739;
  t46485 = 0.36e2 * t509 * t44948 * t3760 + 0.9e1 * t3389 * t5780 - t3829 - t3852 + t3867 - t39567 / 0.2e1 + t39570 + t39573 - 0.3e1 * t509 * t44975 * t1752 - t806 * t5683 / 0.6e1 - 0.5e1 / 0.12e2 * t5911 * t2042 * t5696 - 0.3e1 / 0.2e1 * t1689 * t8764 - 0.3e1 / 0.2e1 * t509 * t45912 * t512 + 0.3e1 / 0.4e1 * t379 * t8768 + 0.3e1 / 0.4e1 * t162 * t26646 * t262 * t165 + 0.3e1 / 0.4e1 * t162 * t5802 * t874 * t165 - 0.11e2 / 0.6e1 * t5911 * t2218 * t5696;
  t46501 = t548 * t821 * t25758;
  t46515 = t163 * t8945;
  t46519 = t163 * t8973;
  t46527 = -0.3e1 / 0.4e1 * t3366 * t1365 - 0.3e1 / 0.4e1 * t823 * t5813 - 0.3e1 / 0.4e1 * t823 * t5847 + 0.3e1 / 0.2e1 * t3366 * t1356 - 0.3e1 * t823 * t5761 + 0.9e1 / 0.2e1 * t823 * t5764 + 0.3e1 / 0.2e1 * t823 * t5856 - 0.6e1 * t17305 * t46501 - 0.3e1 / 0.2e1 * t823 * t5860 + t806 * t8808 / 0.36e2 + t806 * t8783 / 0.12e2 + 0.3e1 / 0.2e1 * t21072 * t5726 + 0.9e1 / 0.2e1 * t162 * t5763 * t5760 - 0.6e1 * t162 * t46515 * t636 - 0.3e1 / 0.2e1 * t162 * t46519 * t334 + t13745 * t8835 / 0.12e2 - t9576 * t8830 / 0.4e1 + t3869;
  t46533 = my_piecewise3(t3, 0, t45750 + t45097 + t45389 + t46451 + t45861 + t45205 + t45660 + t45428 + t45010 + t44966 + t45815 + t46050 + t45772 + t46089 + t45952 + t44890 + t45061 + t46014 + t45905 + t45716 + t45244 + t45282 + t46485 + t46418 + t44916 + t45353 + t46527 + t45617 + t45166 + t45132 + t45479 + t45324);
  tv4rhotau30 = 0.2e1 * rho[0] * t46533 + 0.2e1 * t9022;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 0] += tv4rhotau30;

  t46538 = t2452 * t6404;
  t46540 = t3416 * t17394;
  t46543 = t162 * t3556 * t6666;
  t46546 = t1440 * t372 * t6231;
  t46562 = t1440 * t408 * t6231;
  t46566 = t9846 * t6192;
  t46573 = t610 * t6412;
  t46575 = t3721 * t6645;
  t46578 = t162 * t3517 * t6233;
  t46579 = 0.3e1 / 0.4e1 * t46578;
  t46580 = t3478 * t6403;
  t46586 = t28889 * t1057;
  t46588 = t960 * t990;
  t46589 = 0.4e1 * t46588;
  t46599 = t1485 * t6241;
  t46602 = t9163 * t6241;
  t46613 = 0.2e1 * t46580 - 0.2e1 * t957 * t6408 + 0.2e1 * t214 * t6233 + 0.12e2 * t46586 + t46589 - 0.8e1 * t963 * t990 - 0.4e1 * t214 * t6197 + 0.12e2 * t307 * t6241 * t1524 + 0.12e2 * t957 * t6185 - 0.24e2 * t46599 * t1703 + 0.32e2 / 0.3e1 * t46602 * t1752 + 0.12e2 * t46602 * t1757 - 0.8e1 * t46599 * t1699 + 0.16e2 / 0.9e1 * t46602 * t1747 + t6212 - 0.4e1 * t28867 * t6408;
  t46616 = t28845 * t1057;
  t46618 = t28848 * t990;
  t46619 = 0.4e1 * t46618;
  t46620 = t28851 * t1052;
  t46622 = t28851 * t1065;
  t46642 = t28914 * t1065;
  t46644 = -0.2e1 * t3466 * t6233 - 0.12e2 * t46616 - t46619 + 0.4e1 * t46620 + 0.12e2 * t46622 - 0.12e2 * t28867 * t6185 + 0.4e1 * t3466 * t6197 + 0.8e1 * t28859 * t990 - t6224 - 0.12e2 * t6316 * t138 + 0.2e2 / 0.9e1 * t6341 * t1541 - 0.4e1 * t6345 * t373 + 0.4e1 / 0.3e1 * t6341 * t1671 + 0.24e2 * t6345 * t496 - 0.12e2 * t6341 * t1770 - 0.12e2 * t46642;
  t46645 = t46613 + t46644;
  t46647 = t303 * t137 * t46645;
  t46651 = t610 * t6399;
  t46653 = t610 * t6436;
  t46655 = t3416 * t17387;
  t46657 = -t917 * t6419 / 0.2e1 - 0.6e1 * t46538 - 0.9e1 * t46540 + 0.9e1 * t46543 + 0.2e1 * t509 * t3536 * t46546 - 0.14e2 * t509 * t28126 * t6408 - 0.9e1 / 0.2e1 * t162 * t29068 * t990 + 0.4e1 * t610 * t6206 + 0.3e1 / 0.2e1 * t162 * t3560 * t6233 - 0.2e1 * t162 * t3536 * t46562 - 0.14e2 * t6252 * t46566 - 0.6e1 * t610 * t6186 + 0.6e1 * t2452 * t6409 - 0.6e1 * t46573 - 0.12e2 * t46575 - t46579 - t162 * t640 * t46647 / 0.4e1 - 0.2e1 * t46651 + 0.6e1 * t46653 + 0.14e2 * t46655;
  t46658 = t16607 * t6715;
  t46660 = t16607 * t6477;
  t46662 = t3782 * t6624;
  t46664 = t16241 * t6617;
  t46666 = t3811 * t6627;
  t46670 = t404 * t29461;
  t46672 = t2004 * t576 * t46670;
  t46674 = t914 * t914;
  t46677 = t106 * t363 * t46674 * t1533;
  t46680 = t9989 * t46674;
  t46689 = t1743 * t46674;
  t46693 = t908 * t908;
  t46697 = 0.3e1 / 0.2e1 * t162 * t163 * t46693 * t328;
  t46698 = t510 * t46674;
  t46705 = t3885 * t982;
  t46713 = t106 * t9775 * t46674 * t9777;
  t46718 = 0.3e1 * t46658 + 0.6e1 * t46660 + 0.2e1 * t46662 - 0.5e1 / 0.6e1 * t46664 - 0.3e1 * t46666 + 0.3e1 / 0.2e1 * t6261 * t932 + 0.9e1 / 0.2e1 * t46672 - 0.6e1 * t46677 * t497 - 0.18e2 * t509 * t46680 * t9993 - 0.12e2 * t610 * t6297 + 0.18e2 * t1742 * t46680 * t10081 + 0.36e2 * t509 * t46689 * t9913 - t46697 + 0.18e2 * t162 * t46698 * t10030 - 0.18e2 * t1742 * t46689 * t9921 + 0.3e1 / 0.2e1 * t46705 - 0.2e1 * t6261 * t569 - 0.3e1 * t46677 * t374 + 0.44e2 / 0.27e2 * t46713 * t9928 - 0.22e2 / 0.9e1 * t6252 * t10941;
  t46724 = t106 * t1531 * t46674 * t9768;
  t46766 = -0.61e2 / 0.27e2 * t46713 * t9936 - 0.23e2 / 0.3e1 * t46724 * t1684 + 0.22e2 / 0.3e1 * t46724 * t1681 + 0.4e1 * t6244 * t2443 + 0.3e1 * t3885 * t994 - 0.43e2 / 0.9e1 * t46713 * t9805 - 0.3e1 * t17356 * t978 + 0.6e1 * t162 * t46680 * t9998 - 0.2e1 * t46713 * t10054 - 0.18e2 * t162 * t46689 * t9985 + 0.2e1 * t6244 * t2258 - t922 * t17366 / 0.2e1 + 0.8e1 * t46713 * t10067 + 0.6e1 * t10964 * t6292 - 0.6e1 * t10074 * t46680 * t10076 - 0.6e1 * t6252 * t10959 + 0.6e1 * t610 * t6304 + 0.12e2 * t46677 * t502 + 0.12e2 * t2452 * t6307 + 0.18e2 * t46724 * t1735;
  t46769 = t510 * t46693;
  t46772 = 0.3e1 / 0.2e1 * t509 * t46769 * t512;
  t46777 = t911 * t3880;
  t46779 = t9880 * t931;
  t46783 = t9038 * t507 * t930;
  t46787 = t9375 * t372 * t6195;
  t46791 = t546 * t28020;
  t46793 = t911 * t6203;
  t46794 = t46793 / 0.2e1;
  t46796 = t1417 * t2156 * t6201;
  t46800 = t9376 * t6202;
  t46804 = t1539 * t1670 * t908;
  t46806 = t509 * t3410 * t46804;
  t46809 = t9037 * t1540 * t929;
  t46814 = t1539 * t1540 * t908;
  t46816 = t1742 * t3410 * t46814;
  t46822 = t16241 * t6651;
  t46824 = t16241 * t6654;
  t46827 = t305 * t2156 * t6417;
  t46832 = t305 * t306 * t95 * t46645;
  t46835 = t1455 * t6418;
  t46838 = -0.11e2 / 0.12e2 * t922 * t46800 - 0.18e2 * t46806 - 0.9e1 * t1742 * t28142 * t46809 + 0.9e1 * t46816 - 0.4e1 / 0.3e1 * t917 * t6429 - 0.7e1 / 0.3e1 * t6244 * t6425 - 0.11e2 / 0.3e1 * t46822 + 0.23e2 / 0.6e1 * t46824 + t208 * t46827 / 0.3e1 + t208 * t46832 / 0.12e2 + t922 * t46835 / 0.3e1;
  t46847 = t106 * t363 * t46693 * t365;
  t46848 = t46847 * t502;
  t46851 = 0.3e1 / 0.2e1 * t162 * t46769 * t516;
  t46856 = t106 * t109 * t46693 * t326 * t139 / 0.2e1;
  t46858 = t46847 * t374 / 0.4e1;
  t46865 = t46847 * t497 / 0.2e1;
  t46872 = t96 * t29461;
  t46873 = t1974 * t46872;
  t46874 = t1961 * t46873;
  t46877 = t6195 * t929;
  t46880 = t9452 * t306 * t95 * t46877;
  t46883 = t929 * t6231;
  t46884 = t1883 * t46883;
  t46891 = t3745 * t6603;
  t46897 = t9375 * t408 * t6195;
  t46903 = -0.3e1 / 0.2e1 * t3885 * t991 + t917 * t3880 + t46848 + t46851 + t46856 - t46858 + 0.2e1 * t106 * t109 * t46674 * t1581 * t139 - t46865 - 0.35e2 / 0.108e3 * t46713 * t10139 - 0.5e1 / 0.9e1 * t6252 * t11053 + 0.5e1 / 0.3e1 * t46724 * t1542 + 0.7e1 / 0.6e1 * t46874 + t917 * t6203 + t208 * t46880 / 0.2e1 + 0.3e1 / 0.2e1 * t2004 * t212 * t46884 - 0.3e1 * t162 * t3560 * t6197 - 0.2e1 * t46891 + 0.14e2 * t162 * t28126 * t6185 + 0.11e2 / 0.2e1 * t162 * t3536 * t46897 + 0.28e2 / 0.3e1 * t6244 * t6193;
  t46905 = t9376 * t160 * t6201;
  t46908 = t911 * t6419;
  t46909 = t46908 / 0.4e1;
  t46910 = t911 * t6429;
  t46913 = t305 * t15491 * t930;
  t46916 = t3745 * t6611;
  t46917 = t1455 * t6428;
  t46919 = t9038 * t931;
  t46922 = t1404 * t46872;
  t46923 = t1978 * t46922;
  t46925 = t3590 * t908;
  t46926 = t149 * t46925;
  t46927 = t2278 * t46926;
  t46929 = t414 * t46925;
  t46930 = t2285 * t46929;
  t46932 = t427 * t46925;
  t46933 = t2285 * t46932;
  t46936 = t149 * t3590 * t6231;
  t46939 = t16943 * t6552;
  t46946 = t10295 * t63 * t46877;
  t46952 = t1883 * t6371 * t929;
  t46956 = t10242 * t6333;
  t46959 = t1879 * t6325;
  t46962 = t9997 * t952;
  t46965 = t3612 * t6555;
  t46967 = t942 * t6334;
  t46968 = 0.6e1 * t46967;
  t46969 = t1879 * t6371;
  t46972 = t69 * t46674;
  t46973 = t46972 * t9768;
  t46976 = t362 * t46693;
  t46977 = t46976 * t365;
  t46979 = 0.3e1 * t46977 * t428;
  t46980 = t362 * t46674;
  t46981 = t46980 * t1533;
  t46986 = t9774 * t46674;
  t46987 = t46986 * t9777;
  t46990 = -0.11e2 / 0.3e1 * t949 * t46956 - 0.8e1 * t949 * t46959 + 0.4e1 * t6361 * t46962 + 0.14e2 * t46965 + t46968 + 0.4e1 * t949 * t46969 - 0.2e1 / 0.3e1 * t46973 * t1858 - t46979 - 0.36e2 * t46981 * t428 + 0.36e2 * t46973 * t1863 - 0.12e2 * t46987 * t10323;
  t46994 = t46986 * t9991;
  t46997 = t46972 * t9912;
  t47002 = t46980 * t10029;
  t47005 = t10277 * t6387;
  t47012 = t9997 * t965;
  t47015 = t1746 * t6481;
  t47016 = t3631 * t47015;
  t47018 = t9992 * t965;
  t47021 = 0.24e2 * t46981 * t415 + 0.24e2 * t46994 * t10379 - 0.72e2 * t46997 * t1928 + 0.8e1 / 0.3e1 * t46994 * t10452 + 0.72e2 * t47002 * t410 - 0.11e2 * t949 * t47005 + 0.8e1 * t46997 * t1936 - 0.4e1 / 0.3e1 * t46994 * t10439 - 0.2e2 * t6361 * t47012 + t47016 / 0.3e1 - t6361 * t47018 / 0.3e1;
  t47022 = t16844 * t6485;
  t47026 = t1756 * t6481;
  t47027 = t3631 * t47026;
  t47029 = t10242 * t965;
  t47033 = t404 * t60 * t46645;
  t47036 = t3652 * t6488;
  t47040 = t10242 * t6387;
  t47043 = t942 * t6372;
  t47044 = 0.3e1 / 0.2e1 * t47043;
  t47047 = t16855 * t6499;
  t47049 = 0.2e2 * t47022 - 0.28e2 * t6358 * t6366 - 0.18e2 * t47027 + 0.18e2 * t6361 * t47029 + t212 * t47033 / 0.2e1 - 0.24e2 * t47036 + 0.56e2 / 0.3e1 * t6358 * t6384 + 0.22e2 / 0.3e1 * t949 * t47040 + t47044 - 0.3e1 * t945 * t6372 + 0.36e2 * t47047;
  t47052 = t1756 * t6371;
  t47057 = t16943 * t6505;
  t47059 = t942 * t6388;
  t47060 = 0.3e1 * t47059;
  t47066 = t10295 * t60 * t46877;
  t47073 = t46976 * t398;
  t47075 = 0.6e1 * t47073 * t410;
  t47076 = t108 * t46674;
  t47080 = -0.8e1 / 0.3e1 * t949 * t47052 - 0.12e2 * t47002 * t401 - 0.18e2 * t47057 - t47060 + 0.9e1 * t6354 * t966 + 0.6e1 * t945 * t6388 + 0.3e1 * t212 * t47066 + 0.4e1 / 0.3e1 * t46997 * t1917 - t46994 * t10421 / 0.9e1 + t47075 - 0.24e2 * t47076 * t10106 * t146;
  t47081 = t47073 * t401;
  t47082 = t108 * t46693;
  t47085 = 0.6e1 * t47082 * t327 * t146;
  t47087 = t404 * t63 * t46645;
  t47089 = t10277 * t6333;
  t47092 = t10242 * t952;
  t47095 = t1756 * t6529;
  t47096 = t3631 * t47095;
  t47100 = t1746 * t6529;
  t47101 = t3631 * t47100;
  t47103 = t9992 * t952;
  t47106 = t3612 * t6538;
  t47108 = t3652 * t6530;
  t47110 = -t47081 - t47085 - t212 * t47087 + 0.22e2 * t949 * t47089 - 0.36e2 * t6361 * t47092 + 0.36e2 * t47096 + 0.6e1 * t945 * t6326 - 0.2e1 / 0.3e1 * t47101 + 0.2e1 / 0.3e1 * t6361 * t47103 - 0.28e2 / 0.3e1 * t47106 + 0.12e2 * t47108;
  t47114 = t965 * t908;
  t47115 = t404 * t47114;
  t47116 = t576 * t47115;
  t47120 = 0.3e1 * t6330;
  t47122 = t16855 * t6519;
  t47130 = 0.2e1 * t46977 * t415;
  t47133 = 0.3e1 * t47082 * t326 * t150;
  t47134 = -0.28e2 / 0.3e1 * t6358 * t6323 - 0.9e1 * t47116 + 0.8e1 * t6319 - 0.8e1 * t6328 - t47120 - 0.4e1 / 0.3e1 * t6332 - 0.72e2 * t47122 + 0.5e2 / 0.3e1 * t46987 * t10326 + 0.12e2 * t47076 * t1581 * t150 + t47130 + t47133;
  t47136 = 0.3e1 / 0.2e1 * t6377;
  t47143 = t16844 * t6522;
  t47145 = t1756 * t6325;
  t47148 = t942 * t6326;
  t47149 = 0.3e1 * t47148;
  t47150 = 0.4e1 * t6375 + t47136 + 0.8e1 / 0.3e1 * t6378 - 0.4e1 * t6390 + 0.1e2 / 0.3e1 * t46987 * t10458 - 0.4e2 * t46973 * t1846 - 0.4e1 * t47143 + 0.4e1 / 0.3e1 * t949 * t47145 - t47149 - t962 + t943;
  t47159 = t1455 * t160 * t6417;
  t47163 = t2213 * t6607;
  t47164 = t3416 * t47163;
  t47169 = t1961 * t29463;
  t47172 = t6276 / 0.4e1;
  t47173 = t1968 * t46872;
  t47174 = t1961 * t47173;
  t47177 = t162 * t3517 * t6197;
  t47178 = 0.3e1 / 0.2e1 * t47177;
  t47179 = -t913 + t984 - 0.3e1 * t47164 - 0.14e2 / 0.3e1 * t6244 * t6189 - t6237 / 0.3e1 - 0.14e2 / 0.3e1 * t47169 + t6266 + 0.2e1 / 0.3e1 * t6274 + t47172 + 0.7e1 / 0.3e1 * t47174 + t47178;
  t47183 = t1455 * t608 * t930;
  t47186 = t1463 * t6428;
  t47189 = t1463 * t6418;
  t47192 = t9846 * t931;
  t47195 = t9381 * t6202;
  t47199 = t9037 * t1670 * t929;
  t47203 = t9037 * t6407;
  t47207 = t9038 * t6192;
  t47212 = t1879 * t29461;
  t47214 = t2004 * t582 * t47212;
  t47217 = t2022 * t3612 * t3440;
  t47221 = t162 * t16362 * t6460;
  t47223 = 0.3e1 / 0.4e1 * t6400;
  t47227 = t3582 * t96 * t46883;
  t47231 = t9443 * t137 * t46877;
  t47236 = t509 * t3532 * t6403;
  t47239 = -0.4e1 * t922 * t47183 + 0.2e1 * t922 * t47186 + 0.2e1 / 0.3e1 * t922 * t47189 + 0.11e2 / 0.3e1 * t6252 * t47192 - 0.11e2 / 0.6e1 * t922 * t47195 + 0.18e2 * t509 * t28142 * t47199 - 0.9e1 * t162 * t28142 * t47203 - 0.23e2 / 0.6e1 * t6252 * t47207 + 0.2e1 * t610 * t6198 - 0.7e1 * t47214 + 0.7e1 * t47217 - t610 * t6234 - 0.18e2 * t47221 - t47223 - 0.2e1 * t6405 - 0.2e1 * t6413 - t1993 * t47227 / 0.2e1 - 0.3e1 / 0.2e1 * t162 * t640 * t47231 + 0.18e2 * t47236 - t922 * t16101;
  t47278 = t162 * t16180 * t6445;
  t47280 = 0.2e1 * t922 * t17351 + 0.28e2 / 0.3e1 * t6252 * t10935 + 0.89e2 / 0.9e1 * t46713 * t9821 - 0.2e1 * t6252 * t10932 - 0.38e2 / 0.9e1 * t46713 * t9813 + 0.6e1 * t610 * t6300 - 0.2e1 / 0.3e1 * t6422 + 0.4e1 / 0.3e1 * t6424 - t6432 / 0.3e1 + 0.2e1 * t6437 + 0.9e1 * t47278;
  t47285 = my_piecewise3(t3, 0, t922 * t46917 + 0.5e1 / 0.6e1 * t6252 * t46919 - 0.2e1 / 0.3e1 * t208 * t46796 + 0.3e1 * t6252 * t46779 + 0.9e1 * t6252 * t46783 - 0.3e1 * t3885 * t986 - 0.4e1 / 0.3e1 * t922 * t47159 - 0.8e1 * t6244 * t2447 - 0.62e2 / 0.3e1 * t46713 * t10064 - t208 * t28617 / 0.3e1 + t28622 * t223 - 0.12e2 * t2452 * t6312 - 0.28e2 * t46724 * t1672 + 0.47e2 / 0.3e1 * t46713 * t9785 + 0.6e1 * t46724 * t1771 + 0.23e2 / 0.9e1 * t6252 * t10944 + 0.11e2 / 0.3e1 * t922 * t46905 + t208 * t46913 / 0.2e1 - 0.11e2 / 0.2e1 * t509 * t3536 * t46787 - 0.18e2 * t509 * t46698 * t10034 - 0.6e1 * t162 * t163 * t46674 * t10107 - t22 * t59 * (0.18e2 * t46927 + 0.14e2 / 0.3e1 * t46930 - 0.28e2 * t46933 + 0.6e1 * t3599 * t46936 + 0.36e2 * t46939 - 0.18e2 * t6354 * t953 + 0.56e2 * t6358 * t6337 - 0.6e1 * t212 * t46946 - 0.12e2 * t945 * t6334 - 0.3e1 * t212 * t46952 + t46990 + t47021 + t47049 + t47080 + t47110 + t47134 + t47150) * t96 / 0.4e1 + t46766 + t46718 + t46909 + 0.2e1 / 0.3e1 * t46910 + t47179 - t46772 + 0.4e1 * t46791 - t46794 + t46903 + t47280 - 0.3e1 / 0.2e1 * t46923 - t46777 / 0.2e1 + t47239 + t46838 + t46657 - t46916);
  tv4sigma40 = 0.2e1 * rho[0] * t47285;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  t47287 = t2452 * t6630;
  t47288 = 0.3e1 / 0.2e1 * t47287;
  t47289 = t1540 * t6241;
  t47290 = t9783 * t47289;
  t47294 = t1539 * t47289;
  t47298 = t15491 * t1000;
  t47299 = t548 * t47298;
  t47302 = t1670 * t6241;
  t47303 = t1539 * t47302;
  t47307 = t2156 * t6606;
  t47308 = t555 * t47307;
  t47309 = t671 * t47308;
  t47310 = t47309 / 0.2e1;
  t47312 = t371 * t408 * t6241;
  t47317 = t1417 * t2777 * t6201;
  t47320 = t719 * t6436;
  t47321 = 0.3e1 / 0.2e1 * t47320;
  t47322 = t3782 * t7103;
  t47323 = t47322 / 0.2e1;
  t47324 = t911 * t6641;
  t47325 = t47324 / 0.6e1;
  t47327 = t305 * t17941 * t930;
  t47333 = t1455 * t717 * t930;
  t47336 = t305 * t2777 * t6417;
  t47339 = -t47288 - 0.18e2 * t509 * t13130 * t47290 - 0.18e2 * t1742 * t12355 * t47294 - t671 * t47299 / 0.4e1 + 0.36e2 * t509 * t12355 * t47303 - t47310 + 0.18e2 * t162 * t12892 * t47312 - t208 * t47317 / 0.6e1 + t47321 + t47323 + t47325 + t208 * t47327 / 0.4e1 - t719 * t6234 / 0.4e1 - t922 * t47333 + t208 * t47336 / 0.12e2;
  t47340 = t306 * t28133;
  t47341 = t555 * t47340;
  t47344 = t11588 * t47340;
  t47347 = 0.3e1 * t46538;
  t47348 = 0.9e1 / 0.2e1 * t46540;
  t47349 = 0.9e1 / 0.2e1 * t46543;
  t47350 = t9783 * t47302;
  t47355 = t9783 * t9803 * t6241;
  t47361 = t1463 * t6640;
  t47369 = t10904 * t1740 * t1208;
  t47375 = t372 * t6241;
  t47376 = t371 * t47375;
  t47382 = -0.6e1 * t12459 * t47341 - 0.2e1 * t12291 * t47344 - t47347 - t47348 + t47349 + 0.6e1 * t162 * t13130 * t47350 - 0.6e1 * t10074 * t13130 * t47355 - 0.3e1 / 0.2e1 * t719 * t6186 + t922 * t47361 / 0.2e1 + 0.47e2 / 0.3e1 * t27996 * t13657 + 0.9e1 / 0.2e1 * t10964 * t6451 + 0.8e1 * t27996 * t47369 - 0.9e1 * t2452 * t6456 + t719 * t6206 - 0.18e2 * t509 * t12892 * t47376 - 0.3e1 / 0.2e1 * t3885 * t1058;
  t47389 = 0.3e1 * t46573;
  t47390 = 0.6e1 * t46575;
  t47391 = t96 * t28376;
  t47392 = t1404 * t47391;
  t47397 = t2471 * t29463;
  t47399 = t10615 * t28220;
  t47402 = t96 * t28219;
  t47403 = t10706 * t47402;
  t47406 = t96 * t28481;
  t47407 = t1974 * t47406;
  t47408 = t3933 * t47407;
  t47409 = 0.3e1 / 0.2e1 * t47408;
  t47410 = t3965 * t28482;
  t47411 = t3933 * t47410;
  t47412 = 0.23e2 / 0.12e2 * t47411;
  t47413 = t3956 * t28821;
  t47414 = 0.6e1 * t47413;
  t47415 = t1756 * t28219;
  t47419 = t2861 * t6404;
  t47420 = 0.3e1 / 0.2e1 * t47419;
  t47421 = -0.3e1 / 0.4e1 * t3885 * t1061 + t546 * t30709 + 0.18e2 * t12384 * t28962 - t47389 - t47390 - t2485 * t47392 / 0.2e1 - 0.4e1 / 0.3e1 * t2471 * t28378 - 0.5e1 / 0.3e1 * t47397 - 0.23e2 / 0.6e1 * t3933 * t47399 + 0.3e1 * t3933 * t47403 - t47409 + t47412 - t47414 - 0.14e2 * t2022 * t2708 * t47415 - t47420;
  t47422 = t548 * t47307;
  t47423 = t671 * t47422;
  t47424 = t47423 / 0.4e1;
  t47425 = t2156 * t6464;
  t47426 = t2042 * t47425;
  t47429 = t719 * t6412;
  t47430 = 0.3e1 / 0.2e1 * t47429;
  t47431 = t719 * t6399;
  t47432 = t47431 / 0.2e1;
  t47433 = t546 * t30716;
  t47434 = 0.3e1 / 0.2e1 * t46651;
  t47435 = 0.3e1 * t46653;
  t47436 = 0.7e1 * t46655;
  t47437 = 0.3e1 / 0.2e1 * t46658;
  t47438 = 0.3e1 * t46660;
  t47439 = 0.5e1 / 0.12e2 * t46664;
  t47440 = 0.3e1 / 0.2e1 * t46666;
  t47441 = t318 * t47340;
  t47446 = -t47424 - 0.5e1 / 0.12e2 * t2520 * t47426 - t47430 - t47432 + t47433 - t46579 - t47434 + t47435 + t47436 + t47437 + t47438 + t46662 - t47439 - t47440 + 0.2e1 * t12570 * t47441 + 0.9e1 / 0.2e1 * t610 * t6675;
  t47454 = t610 * t6667;
  t47455 = 0.3e1 / 0.2e1 * t47454;
  t47458 = t10904 * t28134;
  t47461 = t610 * t6659;
  t47462 = 0.3e1 / 0.2e1 * t47461;
  t47465 = t2042 * t28134;
  t47468 = t2218 * t47425;
  t47471 = t10897 * t47340;
  t47474 = t2042 * t28956;
  t47477 = t404 * t28219;
  t47481 = t1883 * t28073;
  t47485 = 0.3e1 * t46672;
  t47486 = t145 * t28481;
  t47488 = t2004 * t2733 * t47486;
  t47489 = 0.9e1 / 0.2e1 * t47488;
  t47490 = 0.9e1 * t2452 * t6679 - t162 * t745 * t46647 / 0.4e1 - t47455 + 0.3e1 / 0.2e1 * t610 * t6670 + 0.44e2 / 0.27e2 * t12291 * t47458 + t47462 - 0.3e1 / 0.4e1 * t610 * t6662 - 0.23e2 / 0.3e1 * t12384 * t47465 - 0.11e2 / 0.6e1 * t2520 * t47468 - 0.61e2 / 0.27e2 * t12291 * t47471 + 0.23e2 / 0.12e2 * t2520 * t47474 - 0.9e1 / 0.2e1 * t2004 * t2733 * t47477 - 0.3e1 * t2004 * t693 * t47481 + t47485 + t47489;
  t47492 = t2004 * t693 * t46670;
  t47493 = 0.3e1 / 0.2e1 * t47492;
  t47494 = 0.3e1 / 0.4e1 * t46705;
  t47495 = t46777 / 0.4e1;
  t47496 = 0.2e1 * t46791;
  t47497 = t671 * t28020;
  t47498 = t1746 * t28481;
  t47500 = t3980 * t2701 * t47498;
  t47501 = 0.9e1 / 0.2e1 * t47500;
  t47502 = t9997 * t28219;
  t47506 = t1404 * t47402;
  t47509 = t1982 * t47406;
  t47510 = t4190 * t47509;
  t47511 = 0.3e1 / 0.2e1 * t47510;
  t47512 = t10598 * t6692;
  t47514 = t2485 * t46922;
  t47515 = t47514 / 0.2e1;
  t47516 = 0.9e1 * t46806;
  t47517 = 0.9e1 / 0.2e1 * t46816;
  t47518 = t47493 - t46697 + t47494 - t46772 - t47495 + t47496 - t46794 + t47497 + t47501 + 0.18e2 * t2022 * t2701 * t47502 + 0.3e1 / 0.2e1 * t4190 * t47506 - t47511 - t2485 * t47512 - t47515 - t47516 + t47517;
  t47520 = 0.11e2 / 0.6e1 * t46822;
  t47521 = 0.23e2 / 0.12e2 * t46824;
  t47522 = 0.3e1 / 0.4e1 * t46874;
  t47523 = t3965 * t47406;
  t47524 = t3933 * t47523;
  t47525 = 0.5e1 / 0.12e2 * t47524;
  t47526 = t16053 * t6692;
  t47529 = t2471 * t46873;
  t47531 = t1974 * t47391;
  t47534 = t10615 * t47402;
  t47537 = t1756 * t29461;
  t47539 = t2022 * t697 * t47537;
  t47541 = t96 * t28073;
  t47542 = t3582 * t47541;
  t47546 = -t47520 + t47521 + t46848 + t46851 + t46856 - t46858 - t46865 + t47522 - t47525 + 0.3e1 / 0.4e1 * t2471 * t47526 + 0.5e1 / 0.12e2 * t47529 + t2471 * t47531 / 0.3e1 + 0.5e1 / 0.6e1 * t3933 * t47534 + 0.5e1 / 0.2e1 * t47539 + t2485 * t47542 - t2511 * t47227 / 0.2e1;
  t47547 = t10706 * t47541;
  t47554 = t2777 * t6606;
  t47555 = t548 * t47554;
  t47556 = t546 * t47555;
  t47557 = t47556 / 0.4e1;
  t47558 = t1455 * t6640;
  t47561 = t318 * t47298;
  t47567 = t135 * t137 * t6241;
  t47578 = t318 * t47425;
  t47581 = t548 * t47340;
  t47585 = t10615 * t1733 * t28219;
  t47588 = t1879 * t28376;
  t47593 = t2004 * t697 * t47212;
  t47595 = -0.11e2 / 0.12e2 * t2471 * t47547 + 0.9e1 / 0.2e1 * t17454 * t6689 + 0.3e1 * t15841 * t6710 - t47557 + t922 * t47558 / 0.4e1 + t666 * t47561 / 0.2e1 + t233 * t46913 / 0.4e1 - 0.6e1 * t162 * t12421 * t47567 - 0.3e1 / 0.2e1 * t162 * t745 * t47231 - 0.3e1 / 0.4e1 * t4308 * t991 - t233 * t46796 / 0.2e1 - 0.3e1 / 0.2e1 * t2662 * t47578 - 0.3e1 * t12459 * t47581 + 0.9e1 * t3933 * t47585 - 0.2e1 * t2004 * t697 * t47588 - 0.5e1 / 0.2e1 * t47593;
  t47603 = t404 * t28376;
  t47610 = t1879 * t28219;
  t47614 = t409 * t28481;
  t47616 = t2004 * t2708 * t47614;
  t47617 = 0.9e1 * t47616;
  t47620 = t1751 * t28481;
  t47622 = t2022 * t2701 * t47620;
  t47623 = 0.9e1 * t47622;
  t47630 = t1539 * t47375;
  t47634 = t2213 * t47340;
  t47637 = t10904 * t28149;
  t47640 = -0.14e2 * t15929 * t18759 - 0.3e1 * t2471 * t28833 + 0.3e1 / 0.2e1 * t2004 * t693 * t47603 + 0.3e1 / 0.2e1 * t2004 * t237 * t46884 + 0.14e2 * t2004 * t2708 * t47610 - t47617 - 0.9e1 / 0.2e1 * t15841 * t6700 - t47623 - t46891 + 0.3e1 / 0.2e1 * t2861 * t6409 + t719 * t6198 / 0.2e1 - t917 * t6641 / 0.3e1 - 0.18e2 * t162 * t12355 * t47630 + 0.6e1 * t12384 * t47634 - 0.43e2 / 0.9e1 * t12291 * t47637;
  t47641 = t555 * t47425;
  t47644 = t2218 * t47340;
  t47649 = t11303 * t47340;
  t47652 = t2218 * t28956;
  t47655 = t10897 * t28134;
  t47658 = t16037 * t6692;
  t47661 = t1968 * t47391;
  t47664 = t2471 * t47173;
  t47666 = t46910 / 0.2e1;
  t47667 = t46916 / 0.2e1;
  t47668 = t1756 * t28481;
  t47670 = t2004 * t2701 * t47668;
  t47671 = 0.9e1 / 0.2e1 * t47670;
  t47672 = t10277 * t28073;
  t47676 = t3961 * t47406;
  t47677 = t3933 * t47676;
  t47678 = 0.11e2 / 0.6e1 * t47677;
  t47679 = 0.3e1 * t2548 * t47641 + 0.22e2 / 0.3e1 * t12384 * t47644 - 0.6e1 * t2548 * t28957 - 0.38e2 / 0.9e1 * t12291 * t47649 + 0.7e1 * t2520 * t47652 + 0.89e2 / 0.9e1 * t12291 * t47655 + 0.3e1 / 0.2e1 * t2471 * t47658 + 0.2e1 / 0.3e1 * t2471 * t47661 + 0.5e1 / 0.6e1 * t47664 + t46909 + t47666 - t47667 + t47671 - t46923 + 0.11e2 / 0.2e1 * t2004 * t697 * t47672 - t47678;
  t47681 = t10832 * t47402;
  t47684 = t1756 * t28376;
  t47688 = t400 * t28481;
  t47690 = t2022 * t2708 * t47688;
  t47691 = 0.9e1 * t47690;
  t47692 = t10242 * t28073;
  t47696 = 0.3e1 / 0.2e1 * t47164;
  t47715 = 0.11e2 / 0.3e1 * t3933 * t47681 + 0.2e1 * t2022 * t697 * t47684 + t47691 - 0.11e2 / 0.2e1 * t2022 * t697 * t47692 - t913 + t984 - t47696 + 0.3e1 / 0.2e1 * t719 * t6300 - t6252 * t13188 / 0.2e1 + 0.7e1 / 0.3e1 * t6252 * t13191 - 0.3e1 / 0.2e1 * t6252 * t13377 + 0.3e1 / 0.2e1 * t13382 * t6292 - 0.3e1 * t2861 * t6312 + 0.3e1 / 0.2e1 * t719 * t6304 - t922 * t18675 / 0.2e1 + 0.3e1 * t2861 * t6307;
  t47725 = 0.3e1 * t47169;
  t47726 = -0.3e1 * t719 * t6297 + t6244 * t2852 - t6589 - 0.3e1 / 0.2e1 * t4308 * t986 - t6238 - 0.5e1 / 0.36e2 * t6252 * t12922 + t6244 * t2830 / 0.2e1 + t6598 - t47725 + t6267 - t6610 - t6616 + t6629 - t6632 + t6647 + t6661;
  t47729 = 0.3e1 / 0.2e1 * t47174;
  t47730 = t1962 * t47406;
  t47731 = t3956 * t47730;
  t47732 = 0.3e1 / 0.2e1 * t47731;
  t47737 = t10897 * t8439;
  t47744 = t2213 * t47425;
  t47747 = t555 * t47298;
  t47750 = t1996 * t47406;
  t47751 = t3956 * t47750;
  t47752 = 0.3e1 * t47751;
  t47753 = t10242 * t28219;
  t47757 = t1968 * t47402;
  t47760 = -t6669 + t6275 + t47172 + t47729 + t47732 - 0.3e1 / 0.2e1 * t17356 * t1053 + 0.3e1 / 0.2e1 * t3885 * t1066 - 0.62e2 / 0.3e1 * t27996 * t47737 - 0.9e1 * t610 * t6461 - 0.28e2 * t28253 * t8421 - 0.3e1 / 0.2e1 * t2520 * t47744 - t671 * t47747 / 0.2e1 + t47752 - 0.9e1 * t2004 * t2701 * t47753 - 0.14e2 / 0.3e1 * t3956 * t47757;
  t47762 = t2042 * t2450 * t6464;
  t47765 = t9992 * t28219;
  t47769 = 0.9e1 / 0.2e1 * t47214;
  t47770 = t1974 * t28220;
  t47773 = t548 * t47425;
  t47776 = t2042 * t47340;
  t47785 = t10904 * t47340;
  t47795 = t911 * t4302;
  t47796 = t47795 / 0.4e1;
  t47797 = t47178 - 0.9e1 / 0.2e1 * t2520 * t47762 - 0.9e1 * t3980 * t2701 * t47765 - t47769 + 0.28e2 / 0.3e1 * t3956 * t47770 + 0.3e1 / 0.2e1 * t2548 * t47773 + 0.5e1 / 0.3e1 * t12384 * t47776 + t233 * t46880 / 0.2e1 + t233 * t46827 / 0.4e1 + t233 * t46832 / 0.12e2 - 0.35e2 / 0.108e3 * t12291 * t47785 + 0.12e2 * t12459 * t29074 + t922 * t18679 - t922 * t18691 / 0.4e1 - 0.2e1 * t6244 * t2856 - t47796;
  t47801 = t4308 * t982;
  t47802 = 0.3e1 / 0.4e1 * t47801;
  t47817 = 0.9e1 / 0.2e1 * t47217;
  t47818 = t1974 * t47402;
  t47821 = 0.9e1 * t47221;
  t47822 = 0.12e2 * t46927;
  t47823 = 0.3e1 * t46930;
  t47824 = 0.18e2 * t46933;
  t47825 = t30261 * t205;
  t47826 = t1857 * t47825;
  t47827 = t4084 * t47826;
  t47828 = t47827 / 0.3e1;
  t47829 = t414 * t47825;
  t47830 = t4077 * t47829;
  t47831 = 0.6e1 * t47830;
  t47832 = t1845 * t47825;
  t47833 = t4084 * t47832;
  t47834 = 0.2e1 * t47833;
  t47835 = t30249 * t929;
  t47836 = t149 * t47835;
  t47839 = t4078 * t6195;
  t47840 = t149 * t47839;
  t47843 = t414 * t47839;
  t47846 = t149 * t47825;
  t47847 = t4105 * t47846;
  t47848 = 0.18e2 * t47847;
  t47849 = t414 * t47835;
  t47852 = t2687 * t46929;
  t47854 = t4078 * t6231;
  t47855 = t414 * t47854;
  t47858 = t47822 + t47823 - t47824 - t47828 + t47831 - t47834 - 0.18e2 * t13546 * t47836 - 0.12e2 * t13549 * t47840 - 0.11e2 / 0.3e1 * t13421 * t47843 + t47848 - 0.28e2 / 0.3e1 * t13500 * t47849 + 0.5e1 / 0.3e1 * t47852 + 0.4e1 / 0.3e1 * t2687 * t47855;
  t47859 = t1857 * t47835;
  t47864 = t427 * t47835;
  t47867 = t1845 * t47835;
  t47872 = 0.18e2 * t46939;
  t47873 = 0.9e1 * t46965;
  t47874 = t427 * t47839;
  t47877 = t427 * t47825;
  t47878 = t4077 * t47877;
  t47879 = 0.36e2 * t47878;
  t47880 = t427 * t47854;
  t47883 = t2687 * t46932;
  t47885 = t4084 * t47829;
  t47886 = 0.18e2 * t47885;
  t47887 = t2689 * t46926;
  t47888 = 0.6e1 * t47887;
  t47889 = 0.2e1 / 0.3e1 * t13392 * t47859 + 0.6e1 * t4095 * t46936 + 0.56e2 * t13500 * t47864 + 0.4e1 * t13392 * t47867 - 0.36e2 * t13392 * t47849 + t47872 + t47873 + t46968 + 0.22e2 * t13421 * t47874 - t47879 - 0.8e1 * t2687 * t47880 - 0.1e2 * t47883 + t47886 + t47888;
  t47891 = t149 * t47854;
  t47894 = t47016 / 0.6e1;
  t47895 = 0.1e2 * t47022;
  t47896 = 0.9e1 * t47027;
  t47897 = t60 * t6241;
  t47898 = t1751 * t47897;
  t47901 = t409 * t47897;
  t47906 = t145 * t47897;
  t47909 = 0.12e2 * t47036;
  t47910 = -0.4e2 * t13408 * t47898 + 0.12e2 * t13454 * t47906 - 0.36e2 * t13480 * t47901 + 0.3e1 * t237 * t47066 + 0.6e1 * t2689 * t47891 - t46979 + t47044 + t47894 + t47895 - t47896 - t47909 - t6483 + t6490 + t6492;
  t47911 = 0.18e2 * t47047;
  t47912 = 0.9e1 * t47057;
  t47913 = t63 * t6241;
  t47914 = t1746 * t47913;
  t47917 = t1032 * t6195;
  t47918 = t1883 * t47917;
  t47921 = 0.18e2 * t47096;
  t47922 = t47101 / 0.3e1;
  t47923 = 0.6e1 * t47106;
  t47924 = 0.6e1 * t47108;
  t47925 = 0.6e1 * t47116;
  t47926 = t47911 - t47912 - t47060 + t47075 - t47081 - t47085 + 0.4e1 / 0.3e1 * t13408 * t47914 + 0.6e1 * t693 * t47918 + t47921 - t47922 - t47923 + t47924 - t47925 - t6532;
  t47929 = 0.36e2 * t47122;
  t47930 = t1756 * t47897;
  t47933 = t9997 * t47897;
  t47936 = t9992 * t47897;
  t47941 = t10080 * t47897;
  t47944 = t1746 * t47897;
  t47947 = t6484 * t929;
  t47948 = t1756 * t47947;
  t47951 = t6543 - t6546 + t6320 - t6329 - t47120 - t6332 - t47929 + 0.36e2 * t13408 * t47930 - 0.12e2 * t13425 * t47933 + 0.5e2 / 0.3e1 * t13425 * t47936 + t237 * t47033 / 0.2e1 + 0.1e2 / 0.3e1 * t13425 * t47941 - 0.2e1 / 0.3e1 * t13408 * t47944 + 0.56e2 / 0.3e1 * t2708 * t47948;
  t47952 = t9992 * t47947;
  t47955 = t6371 * t205;
  t47956 = t1756 * t47955;
  t47959 = t6481 * t205;
  t47960 = t409 * t47959;
  t47961 = t2708 * t47960;
  t47962 = 0.18e2 * t47961;
  t47963 = t1879 * t47114;
  t47964 = t697 * t47963;
  t47966 = t1751 * t47959;
  t47967 = t2701 * t47966;
  t47968 = 0.1e2 * t47967;
  t47969 = t10242 * t47917;
  t47972 = t400 * t47913;
  t47975 = t404 * t47955;
  t47980 = t9997 * t47947;
  t47983 = t400 * t47959;
  t47984 = t2708 * t47983;
  t47985 = 0.12e2 * t47984;
  t47986 = t1756 * t47114;
  t47987 = t697 * t47986;
  t47989 = t1879 * t47947;
  t47992 = t1746 * t47959;
  t47993 = t2701 * t47992;
  t47994 = t47993 / 0.6e1;
  t47995 = -t2701 * t47952 / 0.3e1 - 0.8e1 / 0.3e1 * t697 * t47956 + t47962 + 0.5e1 * t47964 + t47968 + 0.22e2 / 0.3e1 * t697 * t47969 - 0.12e2 * t13480 * t47972 - 0.3e1 * t693 * t47975 - 0.3e1 * t237 * t46952 - 0.2e2 * t2701 * t47980 - t47985 - 0.1e2 / 0.3e1 * t47987 - 0.28e2 * t2708 * t47989 + t47994;
  t47997 = t145 * t47959;
  t47998 = t2733 * t47997;
  t47999 = 0.9e1 * t47998;
  t48000 = t693 * t47115;
  t48001 = 0.3e1 * t48000;
  t48002 = t10277 * t47917;
  t48005 = t145 * t47913;
  t48010 = t1879 * t47955;
  t48013 = t1756 * t47959;
  t48014 = t2701 * t48013;
  t48015 = 0.9e1 * t48014;
  t48016 = t404 * t47947;
  t48019 = t10080 * t47913;
  t48022 = t9992 * t47913;
  t48025 = t1751 * t47913;
  t48028 = t409 * t47913;
  t48031 = t10242 * t47947;
  t48034 = t9997 * t47913;
  t48037 = -t47999 - t48001 - 0.11e2 * t697 * t48002 - 0.24e2 * t13454 * t48005 - 0.6e1 * t237 * t46946 + 0.4e1 * t697 * t48010 - t48015 + 0.9e1 * t2733 * t48016 - 0.4e1 / 0.3e1 * t13425 * t48019 + 0.8e1 / 0.3e1 * t13425 * t48022 + 0.8e1 * t13408 * t48025 + 0.72e2 * t13480 * t48028 + 0.18e2 * t2701 * t48031 + 0.24e2 * t13425 * t48034;
  t48038 = t1756 * t47913;
  t48042 = t10075 * t47913;
  t48045 = t400 * t47897;
  t48048 = 0.2e1 * t47143;
  t48049 = -0.72e2 * t13408 * t48038 - t237 * t47087 - t13425 * t48042 / 0.9e1 + t47130 + t47133 + t6376 + t47136 + t6379 - t6391 + 0.24e2 * t13480 * t48045 - t48048 - t47149 - t962 + t943;
  t48057 = -t233 * t28617 / 0.12e2 + t47802 - 0.11e2 / 0.18e2 * t6252 * t13198 + 0.23e2 / 0.36e2 * t6252 * t13201 + t28622 * t248 / 0.4e1 - t208 * t30926 / 0.4e1 + 0.3e1 / 0.4e1 * t30931 * t223 + 0.3e1 / 0.2e1 * t4308 * t994 - 0.3e1 / 0.2e1 * t18684 * t978 + t47817 - 0.7e1 / 0.3e1 * t3956 * t47818 - t47821 - t22 * t59 * (t47858 + t47889 + t47910 + t47926 + t47951 + t47995 + t48037 + t48049) * t96 / 0.4e1 - t47223 - t6406 - t6414;
  t48058 = 0.9e1 * t47236;
  t48063 = t11691 * t47541;
  t48069 = t9783 * t9819 * t6241;
  t48073 = t3745 * t7010;
  t48074 = t48073 / 0.2e1;
  t48075 = t318 * t47307;
  t48076 = t666 * t48075;
  t48077 = t48076 / 0.2e1;
  t48078 = 0.9e1 / 0.2e1 * t47278;
  t48081 = t3933 * t28483;
  t48082 = 0.7e1 * t48081;
  t48083 = t3933 * t28772;
  t48084 = 0.9e1 / 0.2e1 * t48083;
  t48085 = t48058 - t6261 * t686 / 0.2e1 + t917 * t4302 / 0.2e1 - 0.11e2 / 0.6e1 * t2471 * t48063 + 0.9e1 / 0.2e1 * t610 * t6446 + 0.18e2 * t1742 * t13130 * t48069 - t48074 + t48077 - t6423 + t6424 - t6433 + t6438 + t48078 + 0.11e2 / 0.3e1 * t2471 * t28075 + t48082 - t48084;
  t48090 = my_piecewise3(t3, 0, t47339 + t47382 + t47421 + t47446 + t47490 + t47518 + t47546 + t47595 + t47640 + t47679 + t47715 + t47726 + t47760 + t47797 + t48057 + t48085);
  tv4sigma3lapl0 = 0.2e1 * rho[0] * t48090;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 0] += tv4sigma3lapl0;

  t48106 = t3980 * t3211 * t47498;
  t48107 = 0.9e1 / 0.2e1 * t48106;
  t48112 = t1974 * t1395 * t6771;
  t48114 = t4482 * t47407;
  t48115 = 0.3e1 / 0.2e1 * t48114;
  t48120 = t3389 * t6404;
  t48121 = 0.3e1 / 0.2e1 * t48120;
  t48122 = t823 * t6436;
  t48123 = 0.3e1 / 0.2e1 * t48122;
  t48124 = t3745 * t7421;
  t48125 = t48124 / 0.2e1;
  t48126 = -0.38e2 / 0.9e1 * t13935 * t47649 - 0.3e1 / 0.2e1 * t3007 * t47744 - 0.28e2 * t28253 * t3086 - 0.9e1 * t610 * t6759 - 0.6e1 * t14247 * t47341 - 0.18e2 * t509 * t14224 * t47376 + t48107 - t47347 - t47348 + t47349 - t1397 * t4530 * t6233 / 0.4e1 - t15936 * t48112 - t48115 - 0.3e1 / 0.2e1 * t17356 * t1108 + 0.3e1 / 0.2e1 * t3885 * t1117 - t48121 + t48123 - t48125;
  t48140 = t2452 * t6786;
  t48141 = 0.3e1 / 0.2e1 * t48140;
  t48142 = 0.6e1 * t13910 * t47634 - t47389 - t47390 - t46579 - t47434 + t47435 + t47436 + t47437 + t47438 + t46662 - t47439 - t47440 - 0.11e2 / 0.18e2 * t6252 * t13956 + t922 * t20673 + 0.23e2 / 0.36e2 * t6252 * t13959 - 0.2e1 * t13935 * t47344 - 0.3e1 / 0.4e1 * t3885 * t1114 - 0.3e1 / 0.2e1 * t3885 * t1111 - t48141;
  t48144 = t610 * t6783;
  t48145 = 0.3e1 / 0.2e1 * t48144;
  t48146 = t610 * t6776;
  t48147 = 0.3e1 / 0.2e1 * t48146;
  t48153 = t785 * t48075;
  t48154 = t48153 / 0.2e1;
  t48185 = -t48145 + t48147 - t162 * t767 * t46647 / 0.4e1 - 0.3e1 / 0.4e1 * t610 * t6853 + t48154 + 0.3e1 / 0.2e1 * t2936 * t47773 + t785 * t47561 / 0.2e1 - 0.11e2 / 0.6e1 * t3007 * t47468 + t6244 * t3192 - 0.18e2 * t162 * t14231 * t47630 + 0.12e2 * t14247 * t29074 - 0.18e2 * t1742 * t14231 * t47294 + 0.9e1 * t2452 * t6923 + 0.9e1 / 0.2e1 * t10964 * t6753 + 0.8e1 * t27996 * t10904 * t1740 * t3084 - 0.9e1 * t2452 * t6756 - 0.62e2 / 0.3e1 * t27996 * t14259 - 0.3e1 / 0.4e1 * t4722 * t991 + t823 * t6206;
  t48186 = t823 * t6412;
  t48187 = 0.3e1 / 0.2e1 * t48186;
  t48189 = t2004 * t877 * t46670;
  t48190 = 0.3e1 / 0.2e1 * t48189;
  t48192 = t2004 * t3227 * t47486;
  t48193 = 0.9e1 / 0.2e1 * t48192;
  t48196 = t1974 * t6772;
  t48200 = t1397 * t31489 * t1057;
  t48201 = 0.3e1 / 0.2e1 * t48200;
  t48203 = t1397 * t31457 * t990;
  t48204 = t48203 / 0.2e1;
  t48205 = -t48187 + t47485 + t48190 + t48193 + 0.9e1 * t4482 * t47585 + t15936 * t48196 / 0.4e1 - t46697 + t47494 - t46772 - t47495 + t47496 - t46794 - t48201 - t48204 - t47516 + t47517 - t47520 + t47521 + t46848;
  t48208 = t2966 * t6606;
  t48209 = t318 * t48208;
  t48210 = t538 * t48209;
  t48211 = t48210 / 0.2e1;
  t48223 = t791 * t47422;
  t48224 = t48223 / 0.4e1;
  t48225 = t3745 * t7334;
  t48226 = t48225 / 0.4e1;
  t48227 = t546 * t31844;
  t48238 = t911 * t4579;
  t48239 = t48238 / 0.4e1;
  t48240 = t46851 + t46856 - t46858 - t46865 + t47522 + t48211 + 0.18e2 * t13910 * t28962 - 0.3e1 / 0.2e1 * t2452 * t6746 + 0.3e1 / 0.2e1 * t610 * t6750 + t259 * t46880 / 0.2e1 + 0.36e2 * t509 * t14231 * t47303 - t48224 - t48226 + t48227 - 0.9e1 / 0.2e1 * t2004 * t3227 * t47477 + 0.18e2 * t162 * t14224 * t47312 - 0.5e1 / 0.36e2 * t6252 * t14475 - t922 * t19929 / 0.4e1 - t48239;
  t48241 = t610 * t6843;
  t48242 = 0.3e1 / 0.4e1 * t48241;
  t48255 = t823 * t6399;
  t48256 = t48255 / 0.2e1;
  t48264 = t4482 * t47410;
  t48265 = 0.23e2 / 0.12e2 * t48264;
  t48267 = t1397 * t4434 * t6658;
  t48268 = 0.3e1 / 0.2e1 * t48267;
  t48279 = t775 * t6344;
  t48285 = t48242 - t208 * t31384 / 0.4e1 + 0.3e1 / 0.4e1 * t3885 * t1126 + 0.44e2 / 0.27e2 * t13935 * t47458 + 0.23e2 / 0.12e2 * t3007 * t47474 - 0.61e2 / 0.27e2 * t13935 * t47471 - t823 * t6234 / 0.4e1 - t48256 - 0.43e2 / 0.9e1 * t13935 * t47637 - 0.9e1 / 0.2e1 * t3007 * t47762 - t22 * t6394 * t288 / 0.4e1 + t48265 + t48268 + 0.3e1 / 0.2e1 * t2011 * t31748 * t6408 - t46891 + 0.18e2 * t2022 * t3211 * t47502 + 0.3e1 / 0.2e1 * t162 * t775 * t6315 * t1524 + 0.3e1 * t509 * t48279 * t1699 + t917 * t4579 / 0.2e1;
  t48296 = t1968 * t6772;
  t48299 = t169 * t31484;
  t48300 = t1996 * t48299;
  t48301 = t1961 * t48300;
  t48302 = t48301 / 0.2e1;
  t48304 = t2004 * t3211 * t47668;
  t48305 = 0.9e1 / 0.2e1 * t48304;
  t48313 = t775 * t6340;
  t48337 = -0.3e1 * t14247 * t47581 + 0.9e1 / 0.2e1 * t610 * t6738 + 0.47e2 / 0.3e1 * t27996 * t14255 - 0.6e1 * t162 * t14177 * t47567 + t15936 * t48296 / 0.2e1 - t48302 + t48305 + 0.89e2 / 0.9e1 * t13935 * t47655 + 0.7e1 * t3007 * t47652 - 0.3e1 * t162 * t48279 * t1703 + 0.3e1 / 0.2e1 * t1742 * t48313 * t1747 - 0.3e1 * t509 * t48313 * t1752 + 0.3e1 / 0.2e1 * t162 * t48313 * t1757 - 0.6e1 * t10074 * t14262 * t47355 + 0.18e2 * t1742 * t14262 * t48069 - t791 * t47299 / 0.4e1 + 0.5e1 / 0.3e1 * t13910 * t47776 - 0.3e1 / 0.2e1 * t610 * t6951 - 0.3e1 / 0.2e1 * t3065 * t47578;
  t48341 = t4482 * t28483;
  t48342 = 0.7e1 * t48341;
  t48360 = t791 * t28020;
  t48361 = t1455 * t6794;
  t48365 = t305 * t2966 * t6417;
  t48369 = t305 * t20001 * t930;
  t48372 = t911 * t6795;
  t48373 = t48372 / 0.6e1;
  t48374 = t546 * t31959 - 0.35e2 / 0.108e3 * t13935 * t47785 + t48342 + t46909 + t47666 - t47667 - 0.3e1 / 0.2e1 * t1397 * t31748 * t6185 + 0.2e1 * t2022 * t881 * t47684 - t46923 + 0.22e2 / 0.3e1 * t13910 * t47644 + 0.3e1 * t2936 * t47641 - t259 * t46796 / 0.2e1 - 0.3e1 / 0.2e1 * t162 * t767 * t47231 + t6244 * t2880 / 0.2e1 + t48360 + t922 * t48361 / 0.4e1 + t208 * t48365 / 0.12e2 + t208 * t48369 / 0.4e1 + t48373;
  t48379 = t1455 * t821 * t930;
  t48381 = t4503 * t47750;
  t48382 = 0.3e1 * t48381;
  t48383 = t2874 * t46873;
  t48385 = t4482 * t47523;
  t48386 = 0.5e1 / 0.12e2 * t48385;
  t48404 = t2004 * t3214 * t47614;
  t48405 = 0.9e1 * t48404;
  t48406 = t10598 * t6772;
  t48409 = t4510 * t47509;
  t48410 = 0.3e1 / 0.2e1 * t48409;
  t48411 = t3162 * t46922;
  t48412 = t48411 / 0.2e1;
  t48413 = t4503 * t47730;
  t48414 = 0.3e1 / 0.2e1 * t48413;
  t48422 = t3582 * t169 * t287 * t6195;
  t48425 = -t922 * t48379 + t48382 + 0.5e1 / 0.12e2 * t48383 - t48386 + 0.14e2 * t2004 * t3214 * t47610 + 0.11e2 / 0.2e1 * t2004 * t881 * t47672 + 0.5e1 / 0.6e1 * t4482 * t47534 + 0.11e2 / 0.3e1 * t2874 * t28075 + 0.28e2 / 0.3e1 * t4503 * t47770 - 0.11e2 / 0.6e1 * t2874 * t48063 - 0.14e2 / 0.3e1 * t4503 * t47757 - t48405 + t1993 * t48406 / 0.4e1 - t48410 - t48412 + t48414 - 0.7e1 / 0.3e1 * t4503 * t47818 + t1397 * t4530 * t6197 / 0.2e1 - t1993 * t48422 / 0.6e1;
  t48428 = t16429 * t7286;
  t48429 = t48428 / 0.2e1;
  t48430 = t16434 * t6773;
  t48431 = t48430 / 0.6e1;
  t48438 = t1404 * t169 * t287 * t6231;
  t48441 = t2874 * t29463;
  t48451 = t4365 * t47846;
  t48452 = 0.18e2 * t48451;
  t48453 = t3200 * t46926;
  t48454 = 0.6e1 * t48453;
  t48455 = t3197 * t46932;
  t48457 = t4360 * t47877;
  t48458 = 0.36e2 * t48457;
  t48463 = -0.18e2 * t15338 * t47836 - 0.12e2 * t15341 * t47840 - 0.11e2 / 0.3e1 * t15344 * t47843 + t47822 + t47823 - t47824 - 0.28e2 / 0.3e1 * t15352 * t47849 + t48452 + t48454 - 0.1e2 * t48455 - t48458 + 0.4e1 / 0.3e1 * t3197 * t47855 + 0.6e1 * t4349 * t46936;
  t48464 = t4360 * t47829;
  t48465 = 0.6e1 * t48464;
  t48466 = t3197 * t46929;
  t48468 = t4344 * t47826;
  t48469 = t48468 / 0.3e1;
  t48482 = t4344 * t47829;
  t48483 = 0.18e2 * t48482;
  t48486 = t48465 + 0.5e1 / 0.3e1 * t48466 - t48469 + 0.2e1 / 0.3e1 * t15349 * t47859 + 0.6e1 * t3200 * t47891 + 0.56e2 * t15352 * t47864 + 0.22e2 * t15344 * t47874 + 0.4e1 * t15349 * t47867 + t47872 + t47873 + t46968 - 0.36e2 * t15349 * t47849 + t48483 - 0.8e1 * t3197 * t47880;
  t48488 = t4344 * t47832;
  t48489 = 0.2e1 * t48488;
  t48502 = -t48489 + 0.12e2 * t15164 * t47906 + 0.3e1 * t263 * t47066 + 0.24e2 * t15153 * t48045 - 0.4e2 * t15169 * t47898 - t46979 + t6862 - t6865 + t6869 + t47894 + t47895 - t47896 + t263 * t47033 / 0.2e1 - 0.2e1 / 0.3e1 * t15169 * t47944;
  t48519 = 0.1e2 / 0.3e1 * t15157 * t47941 - t47909 + 0.36e2 * t15169 * t47930 - 0.12e2 * t15157 * t47933 - 0.36e2 * t15153 * t47901 + 0.5e2 / 0.3e1 * t15157 * t47936 - 0.3e1 * t263 * t46952 + 0.9e1 * t3227 * t48016 + 0.22e2 / 0.3e1 * t881 * t47969 + t47044 + t47911 - t47912 - t47060 + t47075;
  t48522 = -t47081 - t47085 + t47921 - t47922 - t47923 + t47924 - t47925 - t6890 + t6898 - t6900 + t6320 - t6329 - t47120 - t6332;
  t48537 = -t47929 - 0.24e2 * t15164 * t48005 - 0.6e1 * t263 * t46946 + 0.72e2 * t15153 * t48028 - 0.8e1 / 0.3e1 * t881 * t47956 + t47130 + t47133 + t6376 + t47136 + t6379 - t6391 - 0.72e2 * t15169 * t48038 - 0.12e2 * t15153 * t47972 + 0.56e2 / 0.3e1 * t3214 * t47948;
  t48543 = t881 * t47963;
  t48545 = t3211 * t47966;
  t48546 = 0.1e2 * t48545;
  t48561 = -t3211 * t47952 / 0.3e1 - t15157 * t48042 / 0.9e1 - t48048 - t47149 - t962 + 0.5e1 * t48543 + t48546 - 0.2e2 * t3211 * t47980 + 0.8e1 * t15169 * t48025 + 0.8e1 / 0.3e1 * t15157 * t48022 + 0.24e2 * t15157 * t48034 + 0.18e2 * t3211 * t48031 - 0.4e1 / 0.3e1 * t15157 * t48019 - 0.28e2 * t3214 * t47989;
  t48564 = t881 * t47986;
  t48566 = t3211 * t47992;
  t48567 = t48566 / 0.6e1;
  t48572 = t3214 * t47960;
  t48573 = 0.18e2 * t48572;
  t48574 = t3211 * t48013;
  t48575 = 0.9e1 * t48574;
  t48579 = t3227 * t47997;
  t48580 = 0.9e1 * t48579;
  t48581 = t877 * t47115;
  t48582 = 0.3e1 * t48581;
  t48583 = t3214 * t47983;
  t48584 = 0.12e2 * t48583;
  t48587 = 0.6e1 * t877 * t47918 - 0.1e2 / 0.3e1 * t48564 + t48567 + 0.4e1 * t881 * t48010 + 0.4e1 / 0.3e1 * t15169 * t47914 + t48573 - t48575 - 0.11e2 * t881 * t48002 + t943 - t263 * t47087 - t48580 - t48582 - t48584 - 0.3e1 * t877 * t47975;
  t48598 = t2004 * t881 * t47212;
  t48611 = t2011 * t4434 * t6403;
  t48612 = 0.3e1 / 0.2e1 * t48611;
  t48617 = 0.3e1 * t4482 * t47403 + t48429 + t48431 + 0.3e1 / 0.2e1 * t4510 * t47506 - t16426 * t6773 / 0.3e1 + t1993 * t48438 / 0.12e2 - 0.5e1 / 0.3e1 * t48441 - t913 + t984 - t22 * t59 * (t48463 + t48486 + t48502 + t48519 + t48522 + t48537 + t48561 + t48587) * t96 / 0.4e1 + 0.3e1 / 0.2e1 * t823 * t6300 - 0.5e1 / 0.2e1 * t48598 - 0.14e2 * t15929 * t19811 - 0.11e2 / 0.2e1 * t2022 * t881 * t47692 - 0.14e2 * t2022 * t3214 * t47415 + t1397 * t31936 * t990 - t48612 - t3162 * t47392 / 0.2e1 - t3168 * t47227 / 0.2e1;
  t48621 = t1961 * t31486;
  t48624 = t1962 * t48299;
  t48625 = t1961 * t48624;
  t48626 = t48625 / 0.4e1;
  t48634 = t2874 * t47531 / 0.3e1 + t48621 - 0.11e2 / 0.12e2 * t2874 * t47547 - t47696 - t48626 + t6778 - t6780 - t6785 - t6788 + t6799 - t6801 + t6824 - t6826 - t6238 - t47725 - 0.3e1 / 0.4e1 * t11390 * t6768 - 0.3e1 * t2004 * t877 * t47481 + t6267 - t208 * t32817 / 0.4e1;
  t48645 = t4722 * t982;
  t48646 = 0.3e1 / 0.4e1 * t48645;
  t48654 = t911 * t4737;
  t48655 = t48654 / 0.4e1;
  t48660 = t4482 * t28772;
  t48661 = 0.9e1 / 0.2e1 * t48660;
  t48664 = -0.2e1 * t6244 * t3384 - 0.3e1 / 0.2e1 * t4722 * t986 + t917 * t4737 / 0.2e1 + t6244 * t3347 / 0.2e1 + 0.3e1 / 0.2e1 * t823 * t6304 + t48646 + t922 * t20774 + t28622 * t274 / 0.4e1 - t259 * t28617 / 0.12e2 - t922 * t20873 / 0.4e1 - t48655 + t6275 + t47172 - 0.5e1 / 0.36e2 * t6252 * t14819 - t6261 * t818 / 0.2e1 + t47729 - t48661 + t6845 - 0.3e1 * t2874 * t28833;
  t48667 = t4482 * t47676;
  t48668 = 0.11e2 / 0.6e1 * t48667;
  t48683 = t1463 * t6794;
  t48686 = t791 * t47308;
  t48687 = t48686 / 0.2e1;
  t48695 = t2874 * t47173;
  t48703 = -t48668 + t47178 + 0.3e1 / 0.2e1 * t4722 * t994 + 0.2e1 * t14054 * t47441 - t6261 * t777 / 0.2e1 + 0.3e1 / 0.2e1 * t610 * t6957 + 0.9e1 / 0.2e1 * t610 * t6920 + 0.3e1 / 0.2e1 * t3389 * t6409 - 0.3e1 / 0.2e1 * t823 * t6186 + t922 * t48683 / 0.2e1 - t48687 + t259 * t46832 / 0.12e2 + t259 * t46827 / 0.4e1 + t259 * t46913 / 0.4e1 + t6244 * t3380 + 0.5e1 / 0.6e1 * t48695 + 0.11e2 / 0.3e1 * t4482 * t47681 + 0.3e1 / 0.2e1 * t2874 * t47658 + 0.2e1 / 0.3e1 * t2874 * t47661;
  t48713 = t1417 * t2966 * t6201;
  t48733 = t4503 * t28821;
  t48734 = 0.6e1 * t48733;
  t48735 = t6941 - t6947 - t791 * t47747 / 0.2e1 - 0.5e1 / 0.12e2 * t3007 * t47426 + t823 * t6198 / 0.2e1 - t917 * t6795 / 0.3e1 - t208 * t48713 / 0.6e1 - 0.2e1 * t6244 * t3172 - t922 * t20648 / 0.2e1 - t6252 * t14680 / 0.2e1 - t922 * t20770 / 0.2e1 - 0.11e2 / 0.18e2 * t6252 * t14698 + 0.23e2 / 0.36e2 * t6252 * t14701 - 0.2e1 * t2004 * t881 * t47588 - 0.9e1 / 0.2e1 * t15841 * t6859 - t48734 - t47769 + t47817 - t47821;
  t48742 = t2022 * t881 * t47537;
  t48750 = t2022 * t3211 * t47620;
  t48751 = 0.9e1 * t48750;
  t48773 = 0.3e1 * t15841 * t6729 + 0.9e1 / 0.2e1 * t17454 * t6731 + 0.5e1 / 0.2e1 * t48742 + 0.3e1 / 0.4e1 * t32822 * t223 - 0.3e1 / 0.2e1 * t20765 * t978 - t47223 - t6406 - t6414 + t3162 * t47542 - t48751 - 0.4e1 / 0.3e1 * t2874 * t28378 - 0.9e1 * t2004 * t3211 * t47753 - 0.18e2 * t509 * t14262 * t47290 + 0.6e1 * t162 * t14262 * t47350 - t6252 * t14288 / 0.2e1 + 0.7e1 / 0.3e1 * t6252 * t14174 - 0.3e1 / 0.2e1 * t6252 * t14275 - 0.23e2 / 0.3e1 * t13910 * t47465 - 0.6e1 * t2936 * t28957;
  t48798 = t2022 * t3214 * t47688;
  t48799 = 0.9e1 * t48798;
  t48803 = 0.7e1 / 0.3e1 * t6252 * t14707 - 0.3e1 / 0.2e1 * t6252 * t14670 + 0.3e1 / 0.2e1 * t14675 * t6292 - 0.3e1 * t3389 * t6312 + 0.3e1 * t3389 * t6307 - 0.3e1 * t823 * t6297 - 0.23e2 / 0.6e1 * t4482 * t47399 + 0.3e1 / 0.2e1 * t2004 * t263 * t46884 + 0.3e1 / 0.2e1 * t2004 * t877 * t47603 - 0.9e1 * t3980 * t3211 * t47765 + t48799 + t48058 + 0.3e1 / 0.4e1 * t2874 * t47526 - t3162 * t47512 - t6423 + t6424 - t6433 + t6438 + t48078;
  t48808 = my_piecewise3(t3, 0, t48126 + t48142 + t48185 + t48205 + t48240 + t48285 + t48337 + t48374 + t48425 + t48617 + t48634 + t48664 + t48703 + t48735 + t48773 + t48803);
  tv4sigma3tau0 = 0.2e1 * rho[0] * t48808;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 0] += tv4sigma3tau0;

  t48810 = t1756 * t33080;
  t48812 = t2022 * t697 * t48810;
  t48816 = t610 * t7018;
  t48817 = t48816 / 0.2e1;
  t48821 = t162 * t4888 * t6658;
  t48822 = 0.3e1 * t48821;
  t48844 = t5161 * t6627;
  t48845 = t48844 / 0.2e1;
  t48846 = t7134 * t929;
  t48847 = t10277 * t48846;
  t48851 = t28417 * t7146;
  t48854 = t16053 * t7139;
  t48857 = t7037 * t205;
  t48858 = t96 * t48857;
  t48859 = t1404 * t48858;
  t48862 = -0.2e1 * t47287 - 0.2e1 / 0.3e1 * t47309 + 0.2e1 * t47320 - 0.4e1 * t2406 * t35082 + 0.2e1 / 0.3e1 * t47322 + t47324 / 0.3e1 - t48845 + 0.5e1 / 0.2e1 * t2004 * t697 * t48847 - t2511 * t48851 / 0.3e1 + t2471 * t48854 / 0.6e1 - t2485 * t48859 / 0.3e1;
  t48864 = t4800 * t17394;
  t48865 = 0.3e1 / 0.2e1 * t48864;
  t48866 = t10904 * t6473;
  t48869 = t2861 * t6630;
  t48877 = t2042 * t6602;
  t48880 = t2042 * t6607;
  t48881 = t4800 * t48880;
  t48882 = 0.5e1 / 0.36e2 * t48881;
  t48883 = t10904 * t6465;
  t48886 = t10904 * t6469;
  t48889 = -t48865 - 0.43e2 / 0.9e1 * t21845 * t48866 - t48869 + 0.3e1 * t610 * t7046 + t610 * t7049 + t1140 * t46917 / 0.3e1 + t1140 * t46835 / 0.6e1 - 0.5e1 / 0.18e2 * t4800 * t48877 - t48882 - 0.35e2 / 0.108e3 * t21845 * t48883 + 0.44e2 / 0.27e2 * t21845 * t48886;
  t48894 = 0.3e1 / 0.2e1 * t46540;
  t48895 = 0.3e1 / 0.2e1 * t46543;
  t48899 = t10598 * t7139;
  t48903 = t2004 * t942 * t7130;
  t48904 = t1961 * t33082;
  t48905 = 0.2e1 / 0.3e1 * t48904;
  t48906 = t404 * t48857;
  t48909 = t7037 * t929;
  t48910 = t1883 * t48909;
  t48913 = 0.22e2 / 0.3e1 * t22596 * t6651 - t46538 - t162 * t5177 * t6197 - t48894 + t48895 + 0.3e1 * t162 * t4854 * t46897 - t2485 * t48899 / 0.3e1 + t48903 - t48905 + t2004 * t693 * t48906 + t2004 * t237 * t48910;
  t48916 = t2213 * t6602;
  t48922 = 0.2e1 * t46575;
  t48923 = t96 * t48846;
  t48924 = t3582 * t48923;
  t48927 = t1883 * t48846;
  t48945 = t719 * t6667;
  t48948 = 0.23e2 / 0.9e1 * t47411 - 0.35e2 / 0.3e1 * t10541 * t34454 - 0.8e1 * t47413 - 0.2e1 * t47419 - t47423 / 0.3e1 - 0.2e1 * t47429 - t47431 + 0.4e1 / 0.3e1 * t47433 - t719 * t6662 / 0.2e1 - t48945 - 0.4e1 * t3721 * t8218;
  t48956 = t46578 / 0.4e1;
  t48957 = t46651 / 0.2e1;
  t48958 = 0.7e1 / 0.3e1 * t46655;
  t48959 = t46658 / 0.2e1;
  t48960 = t46662 / 0.3e1;
  t48961 = t4800 * t47163;
  t48962 = t48961 / 0.2e1;
  t48963 = 0.2e1 * t1140 * t46905 + 0.3e1 * t719 * t6675 + 0.4e1 / 0.3e1 * t546 * t34381 - t48956 - t48957 + t46653 + t48958 + t48959 + t46660 + t48960 - t48962;
  t48964 = t4800 * t17387;
  t48965 = 0.7e1 / 0.3e1 * t48964;
  t48966 = 0.5e1 / 0.36e2 * t46664;
  t48967 = t46666 / 0.2e1;
  t48970 = t1147 * t914;
  t48971 = t500 * t48970;
  t48975 = t96 * t48970;
  t48976 = t1968 * t48975;
  t48978 = t1147 * t6231;
  t48980 = t3582 * t96 * t48978;
  t48985 = t48965 - t48966 - t48967 - 0.2e1 * t47454 + 0.2e1 * t47461 + 0.2e1 * t3956 * t1974 * t48971 - t3956 * t48976 + t46672 - t2511 * t48980 / 0.6e1 + 0.6e1 * t47488 + 0.2e1 * t47492;
  t48993 = t671 * t30716;
  t48994 = 0.2e1 / 0.3e1 * t48993;
  t48995 = t911 * t7107;
  t48996 = t48995 / 0.6e1;
  t48998 = t305 * t15491 * t1148;
  t49002 = t305 * t2156 * t7110;
  t49005 = t911 * t7112;
  t49006 = t49005 / 0.6e1;
  t49007 = t28914 * t1260;
  t49008 = 0.2e1 / 0.3e1 * t49007;
  t49011 = t4833 * t6666;
  t49012 = 0.4e1 * t49011;
  t49015 = 0.4e1 / 0.3e1 * t46580;
  t49016 = 0.8e1 * t46586;
  t49025 = t4838 * t6658;
  t49026 = 0.4e1 * t49025;
  t49037 = 0.8e1 * t46616;
  t49038 = t49008 + 0.2e2 / 0.9e1 * t28884 * t8447 + t49012 + 0.2e1 * t239 * t6233 + t49015 + t49016 + t46589 - 0.4e1 * t4823 * t29789 + 0.8e1 * t4820 * t31098 - 0.12e2 * t4823 * t31113 + t6212 - 0.12e2 * t21945 * t6674 - t49026 - 0.4e1 * t239 * t6197 + 0.24e2 * t21939 * t6460 - 0.12e2 * t21942 * t6445 - 0.4e1 * t28903 * t1260 + 0.4e1 / 0.3e1 * t28884 * t8452 - t49037;
  t49039 = 0.8e1 / 0.3e1 * t46620;
  t49040 = 0.8e1 * t46622;
  t49053 = t4823 * t6658;
  t49054 = 0.4e1 * t49053;
  t49060 = t4820 * t6666;
  t49061 = 0.4e1 * t49060;
  t49064 = t4823 * t6403;
  t49065 = 0.4e1 / 0.3e1 * t49064;
  t49066 = 0.8e1 * t46642;
  t49067 = -t46619 + t49039 + t49040 - t6224 - 0.24e2 * t21883 * t6460 + 0.32e2 / 0.3e1 * t21888 * t6455 + 0.4e1 * t4826 * t6197 + 0.12e2 * t21922 * t6674 + 0.16e2 / 0.9e1 * t21888 * t6450 - 0.2e1 * t4826 * t6233 + t49054 - 0.8e1 * t6710 + 0.12e2 * t21888 * t6445 + 0.12e2 * t6700 - 0.2e1 * t6689 - t49061 - 0.8e1 * t21883 * t6678 + t49065 - t49066;
  t49068 = t49038 + t49067;
  t49071 = t305 * t306 * t95 * t49068;
  t49074 = t2777 * t6464;
  t49075 = t318 * t49074;
  t49078 = t9783 * t9819 * t914;
  t49083 = t9783 * t6449;
  t49087 = t1147 * t6195;
  t49088 = t10295 * t49087;
  t49092 = t46705 / 0.4e1;
  t49093 = t46777 / 0.12e2;
  t49095 = t509 * t4789 * t46804;
  t49096 = 0.3e1 * t49095;
  t49104 = t2218 * t49074;
  t49107 = -0.18e2 * t509 * t22704 * t49083 - 0.3e1 / 0.2e1 * t2004 * t237 * t49088 - t46697 + t49092 - t46772 - t49093 - t49096 + 0.36e2 * t509 * t21849 * t6455 + 0.6e1 * t2861 * t6679 - 0.6e1 * t719 * t6461 - 0.11e2 / 0.9e1 * t2520 * t49104;
  t49109 = t2042 * t30902;
  t49112 = t555 * t49074;
  t49117 = 0.2e1 / 0.3e1 * t46791;
  t49118 = t46793 / 0.6e1;
  t49119 = t2042 * t6718;
  t49128 = t548 * t49074;
  t49133 = 0.23e2 / 0.18e2 * t2520 * t49109 + 0.2e1 * t2548 * t49112 - 0.4e1 / 0.3e1 * t1140 * t47183 + t49117 - t49118 + 0.23e2 / 0.18e2 * t4800 * t49119 + 0.4e1 / 0.3e1 * t47497 - 0.6e1 * t162 * t22359 * t6674 - t233 * t47317 / 0.3e1 + t2548 * t49128 + 0.14e2 / 0.3e1 * t2520 * t2218 * t30902;
  t49139 = t10615 * t48971;
  t49147 = t3582 * t96 * t48909;
  t49150 = 0.3e1 * t46806;
  t49151 = 0.3e1 / 0.2e1 * t46816;
  t49152 = 0.11e2 / 0.18e2 * t46822;
  t49153 = 0.23e2 / 0.36e2 * t46824;
  t49154 = -0.3e1 * t2520 * t2042 * t2859 * t6464 + 0.6e1 * t47500 - 0.23e2 / 0.36e2 * t3933 * t49139 - 0.2e1 * t1961 * t33546 - 0.2e1 * t47510 - 0.2e1 / 0.3e1 * t47514 - t2511 * t49147 / 0.3e1 - t49150 + t49151 - t49152 + t49153;
  t49157 = t96 * t33080;
  t49158 = t1974 * t49157;
  t49159 = t2471 * t49158;
  t49161 = t10615 * t48975;
  t49164 = t1404 * t49157;
  t49165 = t2485 * t49164;
  t49167 = t46874 / 0.4e1;
  t49173 = t46848 + t46851 + t46856 - t46858 - t46865 + t49159 / 0.12e2 + 0.5e1 / 0.36e2 * t3933 * t49161 - t49165 / 0.6e1 + t49167 + 0.5e1 / 0.3e1 * t2471 * t10706 * t500 * t48846 - 0.5e1 / 0.9e1 * t47524;
  t49183 = t555 * t47554;
  t49184 = t671 * t49183;
  t49185 = t49184 / 0.3e1;
  t49186 = t4795 * t6608;
  t49188 = t10897 * t6469;
  t49191 = t1974 * t48858;
  t49196 = 0.22e2 / 0.3e1 * t10579 * t34784 + 0.2e1 / 0.3e1 * t47529 + 0.4e1 * t47539 - 0.2e1 / 0.3e1 * t1961 * t34709 + 0.11e2 * t2004 * t5006 * t6699 - t49185 + t49186 - t47556 / 0.3e1 + 0.89e2 / 0.9e1 * t21845 * t49188 + t2471 * t49191 / 0.6e1 - 0.11e2 / 0.6e1 * t22071 * t6693;
  t49198 = t1404 * t48975;
  t49204 = t1756 * t48970;
  t49218 = t46891 / 0.3e1;
  t49219 = t4190 * t49198 / 0.2e1 - 0.4e1 * t47593 - 0.12e2 * t47616 - 0.12e2 * t47622 - 0.3e1 * t2022 * t2708 * t49204 + 0.3e1 * t610 * t6974 - 0.2e1 * t18684 * t1053 + 0.2e1 * t4308 * t1066 + 0.3e1 * t10964 * t6994 + t509 * t4854 * t46546 - t49218;
  t49224 = t9783 * t6454;
  t49245 = t1539 * t6402;
  t49247 = t162 * t4789 * t49245;
  t49248 = 0.3e1 / 0.2e1 * t49247;
  t49249 = 0.8e1 * t21845 * t10904 * t1740 * t6464 + 0.6e1 * t162 * t22704 * t49224 - 0.18e2 * t162 * t21849 * t6445 + t162 * t5177 * t6233 / 0.2e1 + 0.5e1 / 0.3e1 * t22596 * t6617 - t1140 * t46800 / 0.2e1 - 0.2e1 / 0.3e1 * t1140 * t47159 + t233 * t47327 / 0.3e1 + t233 * t47336 / 0.6e1 + 0.4e1 / 0.3e1 * t47664 + t49248;
  t49254 = t404 * t33080;
  t49256 = t2004 * t693 * t49254;
  t49258 = t1883 * t48978;
  t49262 = t1879 * t48970;
  t49266 = t10242 * t48846;
  t49270 = t1974 * t48975;
  t49278 = t2004 * t3607 * t7135;
  t49279 = t46908 / 0.12e2;
  t49281 = t46910 / 0.6e1;
  t49282 = t46916 / 0.6e1;
  t49284 = t46923 / 0.3e1;
  t49288 = t509 * t4888 * t6403;
  t49289 = 0.3e1 * t49288;
  t49295 = t16037 * t7139;
  t49298 = t1968 * t48858;
  t49301 = t10706 * t6692;
  t49304 = t49281 - t49282 + 0.6e1 * t47670 - t49284 - 0.23e2 / 0.3e1 * t22596 * t6654 + t49289 + 0.18e2 * t16042 * t8279 - 0.3e1 * t509 * t4854 * t46787 + t2471 * t49295 / 0.3e1 + t2471 * t49298 / 0.3e1 + 0.5e1 / 0.2e1 * t22061 * t49301;
  t49306 = t4973 * t914;
  t49307 = t427 * t49306;
  t49310 = 0.4e1 * t46927;
  t49311 = 0.6e1 * t46933;
  t49312 = t4973 * t908;
  t49313 = t427 * t49312;
  t49314 = t2687 * t49313;
  t49316 = t1845 * t49306;
  t49319 = t1857 * t6509;
  t49323 = t149 * t4973 * t6231;
  t49326 = t414 * t49312;
  t49327 = t2687 * t49326;
  t49329 = t1857 * t49306;
  t49333 = t149 * t4973 * t6195;
  t49336 = t149 * t49306;
  t49348 = 0.6e1 * t46939;
  t49349 = 0.12e2 * t13500 * t49307 + t49310 + t46930 - t49311 - 0.2e1 * t49314 + 0.2e1 / 0.3e1 * t13392 * t49316 + 0.5e1 / 0.9e1 * t22854 * t49319 + 0.2e1 * t4095 * t49323 + t49327 / 0.3e1 + t13392 * t49329 / 0.9e1 - 0.6e1 * t19442 * t49333 - 0.6e1 * t13546 * t49336 - 0.12e2 * t22902 * t6513 - 0.22e2 / 0.3e1 * t22894 * t6516 - 0.4e1 / 0.9e1 * t47827 + 0.8e1 * t47830 - 0.8e1 / 0.3e1 * t47833 + 0.24e2 * t47847 + 0.8e1 / 0.3e1 * t47852 + t49348;
  t49350 = 0.3e1 * t46965;
  t49351 = 0.2e1 * t46967;
  t49356 = t414 * t48846;
  t49359 = t16798 * t7224;
  t49360 = 0.4e1 * t49359;
  t49361 = t29217 * t7228;
  t49362 = 0.4e1 * t49361;
  t49363 = t34200 * t205;
  t49364 = t149 * t49363;
  t49369 = t149 * t34200 * t929;
  t49372 = t427 * t48846;
  t49375 = t16779 * t7234;
  t49376 = 0.4e1 * t49375;
  t49378 = t404 * t60 * t49068;
  t49381 = t5006 * t6482;
  t49382 = 0.6e1 * t49381;
  t49383 = t4997 * t47026;
  t49384 = 0.3e1 * t49383;
  t49385 = 0.4e1 * t4095 * t49369 - 0.5e1 * t13421 * t49372 - t49376 + t237 * t49378 / 0.2e1 + t49382 - t49384 + t7174 - t7175 + t7176 + t7177 - t46979;
  t49388 = t1177 * t908;
  t49389 = t404 * t49388;
  t49390 = t693 * t49389;
  t49391 = t1177 * t914;
  t49392 = t1756 * t49391;
  t49395 = t3607 * t7209;
  t49396 = 0.2e1 * t49395;
  t49397 = t7240 * t205;
  t49398 = t404 * t49397;
  t49401 = t47016 / 0.18e2;
  t49402 = 0.1e2 / 0.3e1 * t47022;
  t49403 = 0.3e1 * t47027;
  t49404 = 0.4e1 * t47036;
  t49405 = t942 * t7241;
  t49406 = t1879 * t49388;
  t49407 = t697 * t49406;
  t49409 = t5006 * t6541;
  t49410 = 0.12e2 * t49409;
  t49418 = t404 * t63 * t49068;
  t49420 = t9992 * t6525;
  t49423 = t4997 * t47100;
  t49424 = t49423 / 0.9e1;
  t49425 = t10075 * t6518;
  t49432 = -t49410 + 0.8e1 * t23011 * t6522 - 0.24e2 * t23144 * t6552 - 0.4e1 * t1160 * t6334 - t237 * t49418 - 0.5e1 / 0.18e2 * t4997 * t49420 - t49424 - t22858 * t49425 / 0.9e1 - 0.22e2 * t5006 * t6555 + 0.2e1 / 0.3e1 * t1164 * t47145 - t7214;
  t49434 = t9997 * t49391;
  t49437 = t9997 * t6518;
  t49442 = t10242 * t49391;
  t49445 = t404 * t49391;
  t49455 = t1883 * t1177 * t6231;
  t49457 = t47043 / 0.2e1;
  t49459 = 0.6e1 * t47047;
  t49462 = 0.3e1 * t47057;
  t49463 = t10080 * t6518;
  t49466 = t5016 * t6544;
  t49467 = 0.6e1 * t49466;
  t49470 = t9992 * t6518;
  t49473 = t3612 * t7182;
  t49474 = 0.2e1 * t49473;
  t49475 = t1879 * t49397;
  t49480 = t49459 - 0.2e1 / 0.3e1 * t23011 * t6496 - t49462 - t47059 - 0.4e1 / 0.3e1 * t22858 * t49463 + t49467 - 0.12e2 * t22977 * t6547 + 0.8e1 / 0.3e1 * t22858 * t49470 + t49474 + 0.2e1 * t697 * t49475 + 0.2e1 * t1160 * t6388;
  t49484 = 0.6e1 * t47096;
  t49485 = t47101 / 0.9e1;
  t49486 = 0.2e1 * t47106;
  t49487 = 0.2e1 * t47108;
  t49488 = 0.2e1 * t47116;
  t49490 = t10295 * t1177 * t6195;
  t49493 = t10242 * t6525;
  t49497 = t1879 * t49391;
  t49500 = 0.12e2 * t47122;
  t49505 = -t7215 + t7218 - t7219 - 0.6e1 * t2708 * t49497 + t6561 - t6562 - t6331 - t6563 - t49500 + 0.2e1 * t1160 * t6326 + 0.44e2 / 0.3e1 * t5006 * t6538;
  t49507 = t5006 * t6530;
  t49508 = 0.2e1 * t49507;
  t49511 = t1751 * t6529;
  t49512 = t4997 * t49511;
  t49513 = 0.2e1 / 0.3e1 * t49512;
  t49514 = t942 * t7212;
  t49515 = 0.2e1 * t49514;
  t49516 = t9992 * t6484;
  t49521 = t10080 * t6484;
  t49531 = t1756 * t49388;
  t49532 = t697 * t49531;
  t49534 = t1756 * t49397;
  t49538 = t1883 * t7240 * t929;
  t49549 = -0.2e1 / 0.3e1 * t49532 - 0.4e1 / 0.3e1 * t697 * t49534 - 0.2e1 * t237 * t49538 + 0.24e2 * t47961 + 0.8e1 * t47964 + 0.4e2 / 0.3e1 * t47967 - 0.16e2 * t47984 - 0.16e2 / 0.3e1 * t47987 + 0.2e1 / 0.9e1 * t47993 - 0.12e2 * t47998 - 0.4e1 * t48000;
  t49555 = t9997 * t6525;
  t49558 = t4997 * t47095;
  t49559 = 0.6e1 * t49558;
  t49560 = t9992 * t49391;
  t49563 = t5006 * t6488;
  t49564 = 0.4e1 * t49563;
  t49565 = t4997 * t47015;
  t49566 = t49565 / 0.18e2;
  t49568 = t1751 * t6481;
  t49569 = t4997 * t49568;
  t49570 = 0.1e2 / 0.3e1 * t49569;
  t49580 = t5016 * t6491;
  t49581 = 0.3e1 * t49580;
  t49584 = t9997 * t6484;
  t49587 = 0.2e1 * t1164 * t46969 + 0.4e1 * t1164 * t47040 - 0.12e2 * t22858 * t49584 - 0.36e2 * t22977 * t6499 + 0.36e2 * t23011 * t6502 + t47130 + t47133 - t49581 + t6377 + t6564 + t6565;
  t49589 = t16779 * t7231;
  t49590 = 0.2e1 / 0.3e1 * t49589;
  t49593 = 0.2e1 / 0.3e1 * t47143;
  t49594 = t16829 * t48846;
  t49597 = t16820 * t48846;
  t49600 = t16824 * t48846;
  t49603 = t414 * t49363;
  t49606 = t427 * t49363;
  t49612 = t149 * t48846;
  t49615 = t149 * t49312;
  t49616 = t2689 * t49615;
  t49618 = t414 * t49306;
  t49623 = t1845 * t6509;
  t49628 = t942 * t7202;
  t49629 = 0.2e1 * t49628;
  t49630 = t3612 * t7204;
  t49631 = 0.4e1 / 0.3e1 * t49630;
  t49632 = -0.3e2 * t22854 * t6516 + 0.4e1 * t13549 * t49612 + 0.2e1 * t49616 - 0.2e1 * t13500 * t49618 - 0.6e1 * t13392 * t49618 + 0.1e2 / 0.3e1 * t22854 * t49623 + 0.44e2 * t22894 * t6510 - t962 + t943 - t49629 - t49631;
  t49646 = t404 * t48970;
  t49650 = t10242 * t48970;
  t49654 = t10706 * t48975;
  t49657 = t9997 * t48970;
  t49663 = t9992 * t48970;
  t49667 = -t22 * t59 * (-0.1e2 / 0.3e1 * t2701 * t49434 + 0.24e2 * t22858 * t49437 - 0.2e1 * t1164 * t46956 + 0.3e1 * t2701 * t49442 + 0.3e1 * t2733 * t49445 + 0.72e2 * t22977 * t6519 - 0.72e2 * t23011 * t6558 + 0.12e2 * t1164 * t47089 - t237 * t49455 + 0.4e1 * t2708 * t49392 - 0.2e1 * t693 * t49398 + 0.1e2 / 0.3e1 * t13421 * t49356 + 0.4e1 * t2689 * t49364 + 0.2e1 / 0.3e1 * t2687 * t49603 - 0.4e1 * t2687 * t49606 + 0.6e1 * t5016 * t6526 - 0.5e1 / 0.3e1 * t13421 * t49594 - 0.8e1 * t13549 * t49597 + 0.1e2 * t13421 * t49600 - 0.4e1 * t1164 * t46959 - 0.5e2 / 0.3e1 * t4997 * t49555 - t2701 * t49560 / 0.18e2 - t1160 * t6372 - 0.4e1 / 0.3e1 * t1164 * t47052 + 0.5e2 / 0.3e1 * t22858 * t49516 - 0.4e2 * t23011 * t6485 + 0.1e2 / 0.3e1 * t22858 * t49521 + 0.24e2 * t22977 * t6493 + 0.12e2 * t23144 * t6505 - 0.6e1 * t1164 * t47005 + 0.3e1 * t237 * t49490 + 0.15e2 * t4997 * t49493 + 0.4e1 / 0.3e1 * t23011 * t6533 + t49632 - t49593 + t49587 + t49590 + t49570 - t49564 + t49566 + t49559 + t49549 - t49515 - t49513 + t49508 + t49505 - t49488 + t49484 - t49485 - t49486 + t49487 + t49480 + t49457 + t49432 + t49407 - t49403 - t49404 + t49405 + t49401 + t49402 - t49396 - t49390 + t49385 + t49362 + t49360 + t49349 + t49350 + t49351 - t47085 - 0.12e2 * t48014 + t47075 - 0.48e2 * t47878 + 0.8e1 * t47887 - 0.16e2 * t47883 + 0.24e2 * t47885 - t47148 - t6566 - t47081) * t96 / 0.4e1 - t1135 * t6429 / 0.3e1 - t1135 * t6419 / 0.6e1 - t1140 * t47195 - 0.3e1 / 0.2e1 * t2004 * t2733 * t49646 - 0.3e1 / 0.2e1 * t2004 * t2701 * t49650 + t3933 * t49654 / 0.2e1 + 0.3e1 * t2022 * t2701 * t49657 - 0.22e2 / 0.9e1 * t47677 + 0.12e2 * t47690 - 0.3e1 / 0.2e1 * t3980 * t2701 * t49663;
  t49670 = t17941 * t1000;
  t49671 = t555 * t49670;
  t49674 = t2213 * t49074;
  t49680 = t4944 * t982;
  t49681 = t49680 / 0.4e1;
  t49686 = t2022 * t3612 * t34789;
  t49688 = t2004 * t3612 * t7154;
  t49689 = t1756 * t48857;
  t49692 = 0.6e1 * t22596 * t6466 - 0.2e1 / 0.3e1 * t671 * t49671 - t2520 * t49674 - t3885 * t1199 / 0.4e1 + t1140 * t17351 / 0.3e1 + t49681 + t33376 * t223 / 0.2e1 - t15841 * t7155 + t49686 - t49688 + t2022 * t697 * t49689;
  t49695 = t1879 * t48857;
  t49698 = t9997 * t3439;
  t49702 = t10242 * t3439;
  t49706 = t17557 * t6692;
  t49708 = t2218 * t6607;
  t49709 = t4800 * t49708;
  t49710 = 0.11e2 / 0.18e2 * t49709;
  t49711 = t2042 * t6644;
  t49712 = t4800 * t49711;
  t49713 = 0.23e2 / 0.36e2 * t49712;
  t49714 = t719 * t6659;
  t49716 = t1742 * t4789 * t46814;
  t49717 = 0.3e1 / 0.2e1 * t49716;
  t49721 = t47164 / 0.2e1;
  t49723 = t305 * t23320 * t930;
  t49727 = t9783 * t9803 * t914;
  t49731 = t11303 * t6465;
  t49744 = -t233 * t30926 / 0.6e1 - t7020 - t49721 + t208 * t49723 / 0.12e2 - 0.6e1 * t10074 * t22704 * t49727 - 0.38e2 / 0.9e1 * t21845 * t49731 - 0.6e1 * t2861 * t6456 + 0.3e1 * t719 * t6446 + 0.3e1 * t13382 * t6451 - t922 * t22402 / 0.6e1 + t922 * t22406 / 0.3e1;
  t49753 = t162 * t3517 * t7039;
  t49754 = t49753 / 0.2e1;
  t49756 = t303 * t137 * t49068;
  t49762 = -t22411 * t978 / 0.2e1 + t4944 * t994 / 0.2e1 - t4944 * t986 / 0.2e1 - t7091 - t6596 + t7093 - t47169 + t6601 - t49754 - t162 * t745 * t49756 / 0.4e1 - 0.6e1 * t22499 * t6477;
  t49763 = t10897 * t8278;
  t49766 = t47174 / 0.2e1;
  t49767 = -t7095 - t7096 + t7097 - t6631 + t7098 + t6660 - t6668 + t6687 + t6277 - 0.62e2 / 0.3e1 * t16198 * t49763 + t49766;
  t49771 = t10615 * t6692;
  t49778 = t318 * t49670;
  t49781 = t318 * t47554;
  t49782 = t666 * t49781;
  t49783 = t49782 / 0.3e1;
  t49784 = t548 * t49670;
  t49787 = t671 * t47555;
  t49788 = t49787 / 0.6e1;
  t49789 = t2042 * t49074;
  t49795 = t162 * t4880 * t6666;
  t49796 = 0.3e1 / 0.2e1 * t49795;
  t49802 = t10832 * t6692;
  t49808 = t47177 / 0.2e1;
  t49813 = t11588 * t6465;
  t49816 = 0.12e2 * t16237 * t8265 - 0.11e2 / 0.3e1 * t22071 * t6706 + 0.55e2 / 0.18e2 * t22061 * t49802 + 0.2e1 * t47731 + 0.4e1 * t47751 + t719 * t6670 + t49808 - t1140 * t17366 / 0.12e2 + t7122 + 0.2e1 * t21868 * t6684 - 0.2e1 * t21845 * t49813;
  t49821 = t9992 * t3439;
  t49830 = t16129 * t96 * t49087;
  t49844 = -0.11e2 * t2022 * t5006 * t3440 - 0.15e2 / 0.2e1 * t3980 * t4997 * t49821 + 0.3e1 * t17564 * t6689 - 0.3e1 * t17561 * t6700 + t2511 * t49830 / 0.2e1 - 0.2e1 * t4308 * t1058 - t4308 * t1061 - 0.2e1 * t610 * t7044 + 0.14e2 / 0.3e1 * t2040 * t33506 + 0.2e1 * t2452 * t7055 - 0.3e1 * t2040 * t34370;
  t49845 = t10897 * t6465;
  t49849 = t4795 * t6614;
  t49850 = t49849 / 0.2e1;
  t49852 = t2471 * t33082;
  t49854 = t11691 * t48923;
  t49857 = t16434 * t7147;
  t49858 = t49857 / 0.3e1;
  t49859 = t16138 * t7140;
  t49860 = t49859 / 0.6e1;
  t49862 = 0.3e1 / 0.2e1 * t47214;
  t49863 = t16138 * t7158;
  t49864 = t49863 / 0.3e1;
  t49865 = -0.61e2 / 0.27e2 * t21845 * t49845 + t4795 * t6611 + t49850 - t5161 * t6624 - t49852 / 0.3e1 - 0.5e1 / 0.6e1 * t2471 * t49854 - t49858 + t49860 + t22636 * t6696 - t49862 + t49864;
  t49868 = t1879 * t33080;
  t49870 = t2004 * t697 * t49868;
  t49875 = 0.3e1 / 0.2e1 * t47217;
  t49882 = 0.3e1 * t47221;
  t49887 = -t49870 / 0.2e1 - 0.7e1 / 0.3e1 * t15929 * t22611 - t47795 / 0.3e1 + t47801 + t49875 + 0.6e1 * t2452 * t7052 - 0.6e1 * t610 * t6970 - 0.6e1 * t2452 * t6979 - t49882 - t17356 * t1190 / 0.2e1 + t30931 * t248 / 0.2e1;
  t49894 = t911 * t4962;
  t49895 = t49894 / 0.12e2;
  t49901 = t17598 * t6692;
  t49904 = t16429 * t7143;
  t49905 = t49904 / 0.3e1;
  t49908 = t3885 * t1202 / 0.2e1 - t3885 * t1194 / 0.2e1 - t922 * t22778 / 0.12e2 - t49895 - t208 * t33371 / 0.6e1 - 0.3e1 * t2004 * t5016 * t6709 + t2471 * t49901 / 0.2e1 - t49905 + t1135 * t3880 / 0.6e1 - t6401 - t6405;
  t49910 = 0.3e1 * t47236;
  t49913 = t10615 * t6703;
  t49916 = t12779 * t6692;
  t49919 = t4795 * t6645;
  t49920 = 0.2e1 * t49919;
  t49921 = -t6413 + t49910 - 0.2e1 / 0.3e1 * t48073 + 0.2e1 / 0.3e1 * t48076 - 0.115e3 / 0.36e2 * t22061 * t49913 - 0.2e1 / 0.3e1 * t2485 * t49916 - t6712 + t6713 - t6714 + t6437 - t49920;
  t49924 = 0.3e1 / 0.2e1 * t47278;
  t49925 = t2218 * t6602;
  t49928 = t10706 * t48923;
  t49932 = t1968 * t49157;
  t49933 = t2471 * t49932;
  t49935 = t10832 * t48975;
  t49945 = 0.2e1 * t4795 * t6603 + t49924 - 0.11e2 / 0.9e1 * t4800 * t49925 - 0.5e1 / 0.12e2 * t2471 * t49928 + 0.28e2 / 0.3e1 * t48081 + t49933 / 0.6e1 + 0.11e2 / 0.18e2 * t3933 * t49935 - 0.6e1 * t48083 - t1140 * t16101 / 0.6e1 + t917 * t4962 / 0.6e1 + 0.47e2 / 0.3e1 * t16198 * t22347;
  t49951 = my_piecewise3(t3, 0, 0.2e1 * t17561 * t6710 + t233 * t48998 / 0.12e2 + t233 * t49002 / 0.6e1 - t4800 * t48916 + t1135 * t6203 / 0.3e1 - 0.3e1 * t22499 * t6715 + 0.2e1 / 0.3e1 * t2485 * t48924 + t17454 * t7150 + 0.3e1 / 0.2e1 * t15929 * t22568 - t610 * t7040 / 0.2e1 - 0.28e2 * t16042 * t8301 - t4944 * t991 / 0.4e1 - 0.5e1 / 0.18e2 * t2520 * t49789 + 0.25e2 / 0.36e2 * t22061 * t49771 + 0.2e1 / 0.3e1 * t1140 * t47186 + t1140 * t47189 / 0.3e1 + 0.2e1 / 0.3e1 * t666 * t49778 - t671 * t49784 / 0.3e1 + t2471 * t49706 - t3956 * t49270 / 0.2e1 + t15841 * t7136 + t15841 * t7131 - 0.2e1 / 0.3e1 * t1961 * t34714 + t233 * t49071 / 0.12e2 - t2662 * t49075 + 0.15e2 / 0.2e1 * t10541 * t33450 - 0.18e2 * t509 * t21857 * t6678 + 0.18e2 * t162 * t21857 * t6460 - 0.18e2 * t1742 * t21849 * t6450 - 0.2e1 * t2004 * t693 * t48927 + 0.18e2 * t1742 * t22704 * t49078 + t2004 * t237 * t49258 / 0.2e1 + 0.3e1 * t2004 * t2708 * t49262 - 0.5e1 / 0.2e1 * t2022 * t697 * t49266 - t2004 * t697 * t49695 + 0.15e2 * t2022 * t4997 * t49698 - 0.15e2 / 0.2e1 * t2004 * t4997 * t49702 - t162 * t4854 * t46562 + t49945 + t49921 + t49908 + t49887 + t49865 + t49844 + t49816 + t49796 - t49788 + t49783 + t49767 + t49762 + t49744 + t49713 + t49714 + t49717 - t49710 + t49692 + t49667 + t49304 + t49278 + t49279 + t49256 / 0.2e1 + t49249 + t49173 + t48862 + t48889 + t49006 + t48913 + t48963 - t48922 - 0.2e1 * t47408 + t49219 + t49133 - 0.8e1 / 0.3e1 * t47397 + t48948 + t49154 + t49107 + t48812 / 0.2e1 + t49196 + t48985 - t48822 - t46573 - t48817 + t48994 + t48996 + t984 - t913);
  tv4sigma2lapl20 = 0.2e1 * rho[0] * t49951;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 0] += tv4sigma2lapl20;

  t49959 = 0.3e1 * t48106;
  t49965 = t2874 * t49932;
  t49968 = t4482 * t3965 * t29498;
  t49972 = t3162 * t49164;
  t49974 = t96 * t31089;
  t49979 = t791 * t30716;
  t49981 = t2966 * t6464;
  t49982 = t555 * t49981;
  t49986 = t259 * t47327 / 0.6e1 + 0.11e2 * t2004 * t3214 * t1879 * t31147 + t49959 + t2022 * t881 * t1756 * t31089 - 0.2e1 / 0.3e1 * t2874 * t31091 + t49965 / 0.6e1 + 0.23e2 / 0.36e2 * t49968 - t4503 * t49270 / 0.2e1 - t49972 / 0.6e1 + t2874 * t1968 * t49974 / 0.3e1 - t48817 - t20765 * t1053 + t49979 / 0.3e1 + t2548 * t49982 + 0.3e1 * t2861 * t6923 - t47287;
  t49993 = t15491 * t1208;
  t50008 = t47309 / 0.3e1;
  t50011 = t47322 / 0.3e1;
  t50014 = t2218 * t49981;
  t50017 = -0.3e1 * t719 * t6759 + 0.3e1 * t3389 * t6679 - 0.3e1 * t823 * t6461 - t791 * t555 * t49993 / 0.6e1 + t259 * t49002 / 0.6e1 + t259 * t48998 / 0.12e2 - 0.5e1 / 0.36e2 * t3007 * t49789 - t791 * t548 * t49993 / 0.12e2 - t233 * t31384 / 0.12e2 - t50008 - t3007 * t49674 / 0.2e1 + t47320 + t50011 + t47325 + t259 * t49071 / 0.12e2 - 0.11e2 / 0.18e2 * t2520 * t50014;
  t50019 = t2042 * t31537;
  t50039 = t96 * t29497;
  t50041 = t4482 * t3965 * t50039;
  t50043 = t96 * t29480;
  t50056 = 0.23e2 / 0.36e2 * t2520 * t50019 - t5513 * t991 / 0.4e1 - t46538 - t48894 + t48895 - 0.3e1 * t2022 * t3214 * t49204 + 0.3e1 * t2004 * t3214 * t49262 - 0.18e2 * t2004 * t15169 * t1756 * t29480 + t4482 * t49654 / 0.2e1 + t2874 * t1974 * t49974 / 0.6e1 - 0.5e1 / 0.36e2 * t50041 - 0.35e2 / 0.108e3 * t19635 * t17706 * t50043 - 0.2e1 * t19635 * t10832 * t50043 - 0.3e1 * t2861 * t6756 - 0.2e1 / 0.3e1 * t1961 * t36787 + t2004 * t263 * t48910;
  t50060 = t2471 * t48624;
  t50062 = t287 * t914;
  t50063 = t169 * t50062;
  t50064 = t3965 * t50063;
  t50067 = t671 * t31844;
  t50069 = t48124 / 0.3e1;
  t50070 = t791 * t47555;
  t50078 = -t2004 * t881 * t1879 * t31089 - t50060 / 0.12e2 - 0.5e1 / 0.36e2 * t3933 * t50064 + t48903 - t48905 - t48114 + t50067 / 0.3e1 - t48120 + t48122 - t50069 - t50070 / 0.12e2 - t791 * t49784 / 0.6e1 + t259 * t47336 / 0.12e2 - t46573 - t48922 - t3065 * t49075 / 0.2e1;
  t50084 = 0.4e1 / 0.3e1 * t47397;
  t50086 = t305 * t24514 * t930;
  t50089 = 0.23e2 / 0.18e2 * t47411;
  t50090 = 0.4e1 * t47413;
  t50107 = t2022 * t3211 * t1751 * t29497;
  t50109 = t22 * t16851;
  t50114 = -0.5e1 / 0.2e1 * t2022 * t881 * t49266 - t50084 - t47408 + t208 * t50086 / 0.12e2 + t50089 - t50090 - 0.2e1 * t15905 * t8564 + 0.3e1 * t2011 * t24354 * t6678 - t3162 * t48899 / 0.3e1 - t3168 * t48851 / 0.3e1 - t4510 * t16057 * t7367 - t3162 * t10598 * t7324 / 0.3e1 - 0.3e1 * t50107 - 0.62e2 / 0.3e1 * t50109 * t25574 - t47419 - t922 * t23591 / 0.6e1;
  t50121 = t47423 / 0.6e1;
  t50128 = 0.2e1 / 0.3e1 * t47433;
  t50135 = t922 * t23595 / 0.3e1 - t2861 * t6746 / 0.2e1 + t719 * t6750 / 0.2e1 - t50121 + t917 * t5353 / 0.6e1 + 0.3e1 / 0.2e1 * t13382 * t6753 + 0.3e1 / 0.2e1 * t823 * t6446 - t47429 - t47432 + t50128 + t785 * t318 * t49993 / 0.6e1 + t2936 * t49112 - 0.11e2 / 0.18e2 * t3007 * t49104 - t48956 - t48957 + t46653;
  t50144 = t14860 * t6692;
  t50168 = t48958 + t48959 + t46660 + t48960 - t48966 - t48967 - t233 * t48713 / 0.6e1 + t2874 * t16053 * t7324 / 0.3e1 - 0.6e1 * t15841 * t7447 - t2485 * t50144 / 0.3e1 + 0.2e1 * t2874 * t31066 + 0.36e2 * t2022 * t15169 * t1751 * t29480 - 0.18e2 * t3980 * t15169 * t1746 * t29480 - 0.18e2 * t2022 * t15157 * t9992 * t29480 + 0.6e1 * t2004 * t15157 * t9997 * t29480 - 0.6e1 * t19680 * t1996 * t50043;
  t50170 = t48153 / 0.3e1;
  t50187 = t2004 * t3227 * t145 * t29497;
  t50189 = -t48140 - t48144 + t48146 - t4308 * t1111 + t50170 + 0.14e2 / 0.3e1 * t10541 * t35587 - 0.2e1 * t15841 * t7295 - 0.3e1 * t2022 * t881 * t10242 * t31064 - t47454 + t47461 + t791 * t30709 / 0.3e1 + 0.3e1 / 0.2e1 * t719 * t6920 - t48186 + t46672 + 0.3e1 * t30951 * t7495 + 0.3e1 / 0.2e1 * t50187;
  t50204 = t2004 * t877 * t49254;
  t50211 = 0.3e1 * t47488;
  t50214 = 0.3e1 * t48192;
  t50215 = 0.12e2 * t22 * t16860 * t24805 + t2004 * t877 * t404 * t31089 / 0.2e1 + t2004 * t263 * t49258 / 0.2e1 + t50204 / 0.2e1 + 0.2e1 * t15905 * t24507 - t2004 * t877 * t1883 * t31064 + t50211 + t47492 + t48996 + t49006 - t259 * t47317 / 0.6e1 + t48189 + t50214 - t46697 + t49092 - t46772;
  t50216 = 0.2e1 / 0.3e1 * t47497;
  t50222 = 0.3e1 * t47500;
  t50223 = t47514 / 0.3e1;
  t50224 = -t49093 + t49117 - t49118 + t50216 - t791 * t49671 / 0.3e1 + t4722 * t1066 - t18684 * t1108 + t4308 * t1117 - t48200 - t48204 + t50222 - t47510 - t50223 - t49150 + t49151 - t49152;
  t50226 = t48210 / 0.3e1;
  t50229 = t48223 / 0.6e1;
  t50230 = t48225 / 0.6e1;
  t50231 = 0.2e1 / 0.3e1 * t48227;
  t50239 = 0.5e1 / 0.18e2 * t47524;
  t50240 = t47529 / 0.3e1;
  t50241 = t49153 + t46848 + t46851 + t46856 - t46858 - t46865 + t49167 + t50226 + t719 * t6957 / 0.2e1 - t50229 - t50230 + t50231 - 0.11e2 * t2022 * t3214 * t1756 * t31147 + 0.5e1 / 0.2e1 * t2004 * t881 * t48847 - t50239 + t50240;
  t50242 = 0.2e1 * t47539;
  t50245 = t2004 * t3214 * t409 * t29497;
  t50247 = t22 * t16847;
  t50254 = t20571 * t6692;
  t50275 = t50242 - 0.3e1 * t50245 - 0.28e2 * t50247 * t25272 + 0.3e1 / 0.2e1 * t21068 * t6689 - 0.3e1 / 0.2e1 * t21072 * t6700 + t2471 * t50254 / 0.2e1 + 0.3e1 / 0.2e1 * t17564 * t6731 - 0.3e1 / 0.2e1 * t17561 * t6859 + 0.3e1 * t15841 * t7477 + 0.6e1 * t17454 * t7315 - 0.4e1 * t10579 * t35578 + t15841 * t7309 + 0.3e1 * t15841 * t7305 + t17561 * t6729 + t4503 * t15878 * t7367 + t2874 * t49191 / 0.6e1;
  t50279 = t2004 * t881 * t49868;
  t50300 = t47556 / 0.6e1;
  t50306 = t1397 * t5387 * t6658;
  t50308 = t21332 * t6692;
  t50316 = -t50279 / 0.2e1 - t208 * t36538 / 0.6e1 - 0.61e2 / 0.27e2 * t19635 * t17701 * t50043 + 0.44e2 / 0.27e2 * t19635 * t17706 * t29481 - 0.3e1 / 0.2e1 * t2004 * t263 * t49088 + t2511 * t48438 / 0.12e2 - 0.4e1 / 0.3e1 * t2874 * t29764 - 0.18e2 * t2022 * t15153 * t400 * t29480 - t50300 - t4308 * t1114 / 0.2e1 - t719 * t6853 / 0.4e1 + t50306 / 0.2e1 + t2471 * t50308 / 0.4e1 + 0.11e2 / 0.18e2 * t4482 * t49935 - 0.23e2 / 0.36e2 * t4482 * t49139 - t4503 * t48976;
  t50319 = t785 * t49781;
  t50325 = t48238 / 0.6e1;
  t50326 = t48241 / 0.2e1;
  t50327 = t169 * t32913;
  t50328 = t1968 * t50327;
  t50343 = 0.2e1 * t47593;
  t50346 = t1974 * t50327;
  t50349 = 0.6e1 * t47616;
  t50350 = -t719 * t6951 / 0.2e1 + t50319 / 0.6e1 + t2936 * t49128 / 0.2e1 + t785 * t49778 / 0.3e1 - t50325 + t50326 + t2471 * t50328 / 0.2e1 + 0.15e2 * t2022 * t3211 * t9997 * t31147 - 0.15e2 / 0.2e1 * t2004 * t3211 * t10242 * t31147 - t48256 - t610 * t7403 / 0.2e1 - t3885 * t1269 / 0.4e1 - t50343 - 0.35e2 / 0.3e1 * t10541 * t36822 + t2471 * t50346 / 0.4e1 - t50349;
  t50352 = 0.6e1 * t47622;
  t50353 = 0.23e2 / 0.18e2 * t48264;
  t50354 = t318 * t49981;
  t50361 = t96 * t31147;
  t50373 = 0.2e1 / 0.3e1 * t47664;
  t50374 = t48301 / 0.3e1;
  t50375 = 0.3e1 * t48304;
  t50379 = t3980 * t3211 * t1746 * t29497;
  t50381 = -t50352 + t50353 + t48267 - t49218 - t2662 * t50354 / 0.2e1 + 0.2e1 / 0.3e1 * t546 * t35292 + 0.3e1 / 0.2e1 * t823 * t6675 + t4510 * t1404 * t50361 + 0.25e2 / 0.36e2 * t4482 * t10615 * t50361 - 0.3e1 / 0.2e1 * t1397 * t5387 * t31113 + 0.3e1 / 0.2e1 * t2011 * t5387 * t29789 + t50373 - t50374 + t50375 + t15841 * t7300 + 0.3e1 / 0.2e1 * t50379;
  t50387 = t2011 * t5387 * t6403;
  t50389 = t3961 * t50063;
  t50392 = t1395 * t50062;
  t50393 = t3965 * t50392;
  t50410 = 0.14e2 / 0.3e1 * t48341;
  t50421 = 0.8e1 * t50109 * t17706 * t3978 * t23696 - t50387 / 0.2e1 - 0.11e2 / 0.18e2 * t3933 * t50389 + 0.23e2 / 0.36e2 * t3933 * t50393 - 0.3e1 / 0.2e1 * t2004 * t3227 * t49646 + 0.3e1 * t2004 * t881 * t10277 * t31064 - t2511 * t48422 / 0.6e1 - t1961 * t36315 + 0.2e1 / 0.3e1 * t3162 * t48924 - 0.5e1 / 0.12e2 * t2874 * t49928 + t50410 - 0.5e1 / 0.6e1 * t2874 * t49854 + 0.5e1 / 0.2e1 * t4482 * t10706 * t50361 - 0.2e1 * t2004 * t877 * t48927 + t17454 * t7450 - t17444 * t7488;
  t50427 = t16143 * t7285;
  t50430 = t12779 * t6772;
  t50437 = t15878 * t7285;
  t50453 = t4503 * t31069;
  t50458 = t11390 * t7491 - t2471 * t50427 / 0.3e1 + t1993 * t50430 / 0.12e2 + t2874 * t49706 / 0.2e1 - 0.3e1 * t10541 * t36334 - t2471 * t50437 / 0.6e1 + t2511 * t48406 / 0.6e1 - t922 * t24758 / 0.12e2 + t49278 - 0.3e1 * t19680 * t1962 * t50043 - t4482 * t16053 * t7367 + t2874 * t49295 / 0.3e1 + t2874 * t49298 / 0.3e1 - 0.2e1 * t50453 - 0.115e3 / 0.36e2 * t4482 * t10615 * t31148 + t49279;
  t50459 = 0.3e1 * t47670;
  t50461 = t4482 * t3961 * t50039;
  t50464 = t4503 * t1996 * t50039;
  t50465 = t4482 * t29777;
  t50470 = t4482 * t29499;
  t50478 = t96 * t31064;
  t50485 = t1996 * t50063;
  t50492 = t49281 - t49282 + t50459 - t49284 - 0.11e2 / 0.18e2 * t50461 + t50464 - 0.3e1 / 0.2e1 * t50465 - 0.43e2 / 0.9e1 * t19635 * t17706 * t30817 + 0.7e1 / 0.3e1 * t50470 + 0.89e2 / 0.9e1 * t19635 * t17701 * t29481 + 0.2e1 * t21063 * t1982 * t50043 - t2874 * t10706 * t50478 / 0.2e1 + t3162 * t3582 * t50478 / 0.3e1 + t3956 * t50485 - 0.3e1 * t1397 * t24354 * t6460 + t3885 * t1283 / 0.4e1;
  t50497 = 0.2e1 / 0.3e1 * t48360;
  t50498 = 0.2e1 * t48381;
  t50499 = t48383 / 0.3e1;
  t50500 = 0.5e1 / 0.18e2 * t48385;
  t50501 = 0.6e1 * t48404;
  t50504 = t2471 * t31486;
  t50520 = t1974 * t50063;
  t50523 = t3961 * t50392;
  t50527 = t3965 * t2009 * t50062;
  t50530 = -t162 * t767 * t49756 / 0.4e1 + t50497 + t48373 + t50498 + t50499 - t50500 - t50501 + t4308 * t1126 / 0.2e1 + t50504 / 0.3e1 - 0.3e1 * t2011 * t24097 * t6455 + 0.3e1 / 0.2e1 * t1397 * t24097 * t6445 - 0.6e1 * t17713 * t15157 * t10075 * t29480 + 0.18e2 * t3980 * t15157 * t10080 * t29480 - t3933 * t50520 / 0.2e1 + 0.7e1 / 0.3e1 * t3933 * t50523 - 0.3e1 / 0.2e1 * t3933 * t50527;
  t50534 = t48411 / 0.3e1;
  t50539 = t2022 * t3214 * t400 * t29497;
  t50546 = t2874 * t49158;
  t50558 = t1397 * t5241 * t6666;
  t50560 = 0.3e1 / 0.2e1 * t11419 * t24097 * t6450 - t48409 - t50534 + t48413 - 0.2e1 / 0.3e1 * t1961 * t35504 + 0.3e1 * t50539 + 0.18e2 * t50247 * t23698 + t2874 * t48854 / 0.6e1 - t1961 * t36044 + t50546 / 0.12e2 + 0.5e1 / 0.36e2 * t4482 * t49161 + t2004 * t877 * t48906 - t11390 * t7281 / 0.2e1 - t11390 * t7278 - t2874 * t11691 * t50478 - t50558 / 0.2e1;
  t50587 = 0.11e2 / 0.9e1 * t47677;
  t50588 = 0.6e1 * t47690;
  t50591 = t48428 / 0.3e1;
  t50592 = 0.2e1 * t4503 * t16143 * t7367 + 0.2e1 / 0.3e1 * t2874 * t16037 * t7324 - t3162 * t1404 * t49974 / 0.6e1 + t4510 * t49198 / 0.2e1 - 0.3e1 / 0.2e1 * t3980 * t3211 * t49663 + 0.3e1 * t2022 * t3211 * t49657 - 0.3e1 / 0.2e1 * t2004 * t3211 * t49650 + t3168 * t49830 / 0.2e1 - t259 * t30926 / 0.12e2 - t50587 + t50588 + 0.5e1 / 0.3e1 * t1961 * t36477 + t49686 + t50591 + t48431 - t49688;
  t50601 = t2874 * t33082;
  t50604 = t4482 * t1974 * t50039;
  t50615 = t911 * t5508;
  t50619 = 0.4e1 / 0.3e1 * t48441;
  t50624 = t1397 * t5241 * t31098 - 0.11e2 / 0.9e1 * t4482 * t29751 * t7367 - t1397 * t5245 * t6233 / 0.4e1 - t50601 / 0.3e1 - t50604 / 0.2e1 - 0.38e2 / 0.9e1 * t19635 * t10615 * t50043 - 0.7e1 / 0.3e1 * t15929 * t25616 - t13326 * t6768 / 0.4e1 + t32822 * t248 / 0.4e1 - t50615 / 0.12e2 - t208 * t35411 / 0.6e1 - t50619 - t913 + t984 - 0.3e1 * t2004 * t3227 * t404 * t31147 - t7020;
  t50626 = 0.2e1 * t48598;
  t50627 = 0.2e1 / 0.3e1 * t48621;
  t50628 = t911 * t5353;
  t50630 = t2218 * t31537;
  t50633 = t2213 * t49981;
  t50636 = t20001 * t1000;
  t50637 = t555 * t50636;
  t50640 = t48625 / 0.6e1;
  t50641 = -t50626 - t48611 + t50627 - t49721 - t50628 / 0.12e2 + 0.7e1 / 0.3e1 * t2520 * t50630 - t2520 * t50633 / 0.2e1 - t671 * t50637 / 0.3e1 - t50640 + t6778 - t6780 - t6785 - t6788 + t6799 - t6801 + t6824;
  t50644 = t5513 * t982;
  t50646 = -t6826 - t6589 - t6596 + t6598 - t47169 + t6601 - t49754 - t233 * t32817 / 0.12e2 + t50644 / 0.4e1 - t6610 - t6616 + t6629 - t6632 + t6647 + t6661 - t6669;
  t50650 = t48645 / 0.2e1;
  t50651 = t48654 / 0.6e1;
  t50661 = 0.3e1 * t48660;
  t50664 = t555 * t48208;
  t50665 = t671 * t50664;
  t50671 = t548 * t48208;
  t50672 = t671 * t50671;
  t50674 = t50650 - t50651 + t6687 + t6277 + 0.18e2 * t2004 * t15153 * t409 * t29480 + 0.6e1 * t19608 * t1974 * t50043 - t3162 * t49916 / 0.3e1 + t49766 - t50661 + 0.2e1 / 0.3e1 * t546 * t36024 + t6845 + t47731 - t50665 / 0.6e1 + 0.3e1 / 0.2e1 * t719 * t6738 + t823 * t6670 / 0.2e1 - t50672 / 0.12e2;
  t50675 = t2042 * t49981;
  t50678 = t548 * t50636;
  t50683 = 0.2e1 * t47751;
  t50684 = 0.11e2 / 0.9e1 * t48667;
  t50689 = t48686 / 0.3e1;
  t50692 = t1404 * t50327;
  t50695 = 0.2e1 / 0.3e1 * t48695;
  t50697 = t4503 * t1962 * t50039;
  t50699 = -0.5e1 / 0.36e2 * t2520 * t50675 - t671 * t50678 / 0.6e1 + t233 * t48365 / 0.12e2 + t50683 - t50684 + t49808 + t7122 - t17356 * t1261 / 0.2e1 - t3885 * t1266 / 0.2e1 - t50689 + t3885 * t1274 / 0.2e1 - t2485 * t50692 / 0.3e1 + t50695 + t6941 - t6947 + t50697 / 0.2e1;
  t50704 = t1982 * t50063;
  t50722 = t2471 * t48300;
  t50729 = t719 * t6783;
  t50735 = 0.4e1 * t48733;
  t50736 = 0.5e1 / 0.3e1 * t19608 * t3965 * t50043 - t4190 * t50704 / 0.2e1 + t1397 * t5245 * t6197 / 0.2e1 + 0.3e1 / 0.2e1 * t1397 * t24093 * t6674 + t2874 * t49901 / 0.4e1 - 0.6e1 * t2004 * t15164 * t145 * t29480 + 0.23e2 / 0.18e2 * t4482 * t29726 * t7363 - t50722 / 0.6e1 - 0.5e1 / 0.18e2 * t4482 * t29726 * t7367 - 0.2e1 * t3721 * t23524 - t50729 / 0.2e1 - 0.15e2 / 0.2e1 * t3980 * t3211 * t9992 * t31147 - t49858 + t49860 - t50735 - t49862;
  t50742 = t2042 * t3387 * t6464;
  t50751 = t2004 * t3211 * t1756 * t29497;
  t50761 = t47795 / 0.6e1;
  t50762 = t47801 / 0.2e1;
  t50766 = 0.2e1 * t48742;
  t50767 = t49864 + 0.22e2 / 0.3e1 * t10579 * t36734 + 0.23e2 / 0.36e2 * t3007 * t49109 - 0.3e1 / 0.2e1 * t2520 * t50742 + 0.3e1 / 0.2e1 * t14675 * t6451 - 0.3e1 * t3389 * t6456 + 0.3e1 / 0.2e1 * t50751 + 0.47e2 / 0.3e1 * t50109 * t25369 + 0.22e2 / 0.3e1 * t19608 * t3961 * t50043 - 0.23e2 / 0.3e1 * t19608 * t3965 * t29481 - t50761 + t50762 + t49875 - t49882 - t22 * t6569 * t288 / 0.4e1 + t50766;
  t50770 = 0.6e1 * t48750;
  t50771 = t719 * t6776;
  t50779 = t2861 * t6786;
  t50781 = t823 * t6659;
  t50783 = t3389 * t6630;
  t50794 = -t49905 - t6401 - t6405 - t6413 - t50770 + t50771 / 0.2e1 + 0.7e1 / 0.3e1 * t3416 * t25291 - 0.3e1 / 0.2e1 * t3416 * t2042 * t2859 * t3084 - t50779 / 0.2e1 + t50781 / 0.2e1 - t50783 / 0.2e1 - t1961 * t36805 + t30931 * t274 / 0.4e1 + t922 * t25709 / 0.3e1 - t25700 * t978 / 0.2e1 + t5513 * t994 / 0.2e1;
  t50799 = t2022 * t881 * t48810;
  t50808 = t4510 * t1982 * t50039;
  t50810 = 0.6e1 * t48798;
  t50811 = t1982 * t48299;
  t50812 = t2485 * t50811;
  t50814 = t1962 * t50063;
  t50824 = t791 * t49183;
  t50826 = t719 * t6843;
  t50828 = 0.55e2 / 0.18e2 * t4482 * t10832 * t50361 + t50799 / 0.2e1 + 0.3e1 / 0.2e1 * t15929 * t25631 - t3162 * t48859 / 0.3e1 - t3168 * t49147 / 0.3e1 - t50808 / 0.2e1 + t50810 + t50812 / 0.6e1 + t3956 * t50814 / 0.2e1 - t15841 * t7453 + t2022 * t881 * t49689 - t2004 * t881 * t49695 - 0.6e1 * t17454 * t7443 + t49910 - t50824 / 0.6e1 + t50826 / 0.4e1;
  t50832 = t48073 / 0.3e1;
  t50833 = t548 * t49981;
  t50836 = t666 * t48209;
  t50838 = t318 * t50636;
  t50848 = t823 * t6667;
  t50850 = t48076 / 0.3e1;
  t50853 = t233 * t48369 / 0.6e1 - t50832 + t2548 * t50833 / 0.2e1 + t50836 / 0.6e1 + t666 * t50838 / 0.3e1 - t823 * t6662 / 0.4e1 - t4722 * t1061 / 0.2e1 - 0.2e1 * t3721 * t8436 - t4722 * t1058 - t50848 / 0.2e1 + t50850 - t6712 + t6713 - t6714 + t6437 - t5513 * t986 / 0.2e1;
  t50862 = t5447 * t908;
  t50863 = t414 * t50862;
  t50864 = t4360 * t50863;
  t50866 = t5447 * t914;
  t50867 = t1857 * t50866;
  t50870 = t5447 * t6231;
  t50875 = t4344 * t1857 * t50862;
  t50881 = t4365 * t149 * t50862;
  t50883 = t414 * t50866;
  t50889 = t3197 * t49326;
  t50896 = 0.2e1 * t50864 + 0.4e1 / 0.3e1 * t20037 * t50867 + 0.2e1 / 0.3e1 * t3197 * t414 * t50870 - t50875 / 0.9e1 - t20045 * t19411 * t50866 / 0.9e1 + 0.6e1 * t50881 - 0.12e2 * t20052 * t50883 + 0.2e1 * t3200 * t149 * t50870 + t50889 / 0.3e1 + t15349 * t49329 / 0.9e1 - 0.4e1 * t3197 * t427 * t50870;
  t50897 = t3200 * t49615;
  t50905 = t1240 * t914;
  t50909 = t5447 * t6195;
  t50919 = 0.2e1 * t50897 - 0.2e1 * t15352 * t49618 + 0.2e1 * t4349 * t49323 - 0.6e1 * t3214 * t49497 - 0.36e2 * t15153 * t409 * t50905 + t49310 + t46930 - t49311 - 0.2e1 * t15344 * t414 * t50909 + 0.2e1 / 0.3e1 * t3197 * t49603 + 0.4e1 * t3200 * t49364 + 0.4e1 * t4349 * t49369;
  t50941 = t1845 * t50866;
  t50944 = 0.2e1 / 0.9e1 * t47827;
  t50945 = 0.4e1 * t47830;
  t50946 = 0.4e1 / 0.3e1 * t47833;
  t50947 = -0.4e1 * t149 * t15341 * t50909 - 0.24e2 * t149 * t20254 * t50866 + 0.12e2 * t15344 * t427 * t50909 + 0.72e2 * t20052 * t427 * t50866 - 0.6e1 * t15338 * t49336 + 0.12e2 * t15352 * t49307 - 0.72e2 * t20037 * t50883 + 0.8e1 * t20037 * t50941 - 0.6e1 * t20269 * t49333 - t50944 + t50945 - t50946;
  t50948 = 0.12e2 * t48451;
  t50949 = 0.4e1 * t48453;
  t50950 = 0.8e1 * t48455;
  t50951 = 0.24e2 * t48457;
  t50952 = 0.12e2 * t47847;
  t50953 = 0.4e1 / 0.3e1 * t47852;
  t50954 = 0.4e1 * t48464;
  t50955 = 0.4e1 / 0.3e1 * t48466;
  t50956 = 0.2e1 / 0.9e1 * t48468;
  t50957 = t50948 + t50949 - t50950 - t50951 + t50952 + t50953 + t50954 + t50955 - t50956 + t49348 + t49350 + t49351;
  t50960 = 0.24e2 * t47878;
  t50961 = 0.8e1 * t47883;
  t50962 = 0.12e2 * t47885;
  t50963 = 0.4e1 * t47887;
  t50964 = 0.12e2 * t48482;
  t50965 = 0.4e1 / 0.3e1 * t48488;
  t50974 = -0.12e2 * t15157 * t50905 * t9997 + 0.36e2 * t15169 * t1756 * t50905 + 0.3e1 * t3211 * t49442 + t49360 + t49362 - t49376 - t50960 - t50961 + t50962 + t50963 + t50964 - t50965;
  t50975 = t1240 * t908;
  t50977 = t3214 * t409 * t50975;
  t50992 = t881 * t49406;
  t50994 = t3211 * t1756 * t50975;
  t51006 = 0.6e1 * t50977 + 0.1e2 / 0.3e1 * t15157 * t10080 * t50905 - 0.1e2 / 0.3e1 * t3211 * t49434 + 0.5e2 / 0.3e1 * t15157 * t9992 * t50905 - 0.4e2 * t15169 * t1751 * t50905 + 0.2e1 * t881 * t49475 + t50992 - 0.3e1 * t50994 + 0.1e2 / 0.3e1 * t15344 * t49356 + 0.4e1 * t15341 * t49612 - 0.5e1 / 0.18e2 * t15349 * t1857 * t31147 + 0.6e1 * t15338 * t149 * t31147;
  t51010 = t1240 * t6231;
  t51021 = t1240 * t6195;
  t51035 = t3227 * t145 * t50975;
  t51042 = -0.2e1 * t263 * t49538 + 0.2e1 * t881 * t1879 * t51010 - 0.4e1 / 0.3e1 * t881 * t1756 * t51010 + 0.3e1 * t3227 * t49445 + 0.3e1 * t263 * t49490 + 0.4e1 * t881 * t10242 * t51021 + 0.12e2 * t15164 * t145 * t50905 + 0.2e1 * t877 * t1883 * t51021 - 0.6e1 * t881 * t10277 * t51021 - 0.3e1 * t51035 + 0.24e2 * t15153 * t400 * t50905 - t877 * t404 * t51010;
  t51045 = t877 * t49389;
  t51049 = t3211 * t1746 * t50975;
  t51053 = t3214 * t400 * t50975;
  t51061 = t4344 * t50863;
  t51064 = t4360 * t427 * t50862;
  t51068 = t3197 * t49313;
  t51070 = -0.2e1 * t877 * t49398 - t51045 + 0.4e1 * t3214 * t49392 + t51049 / 0.18e2 - t263 * t49455 - 0.4e1 * t51053 - 0.2e1 / 0.3e1 * t15169 * t1746 * t50905 - 0.22e2 * t15352 * t427 * t31147 + 0.6e1 * t51061 - 0.12e2 * t51064 - 0.4e1 * t3197 * t49606 - 0.2e1 * t51068;
  t51077 = t4344 * t1845 * t50862;
  t51090 = t414 * t31147;
  t51093 = 0.2e1 / 0.3e1 * t15349 * t49316 - 0.2e1 / 0.3e1 * t51077 - 0.4e1 / 0.3e1 * t20045 * t10457 * t50866 + 0.8e1 / 0.3e1 * t20045 * t50867 - 0.6e1 * t15349 * t49618 + 0.24e2 * t20045 * t50941 - 0.5e1 * t15344 * t49372 + 0.15e2 * t15349 * t51090 + t7174 - t6483 + t6490 + t6492;
  t51099 = -t46979 - t49396 + t6862 - t6865 + t6869 + t49401 + t49402 - t49403 - 0.5e2 / 0.3e1 * t15349 * t1845 * t31147 + 0.44e2 / 0.3e1 * t15352 * t51090 - t49404 + t49405;
  t51101 = -t7214 + t49457 + t49459 - t49462 - t47059 + t49474 + t47075 - t47081 - t47085 + t49484 - t49485 - t49486;
  t51102 = t49487 - t49488 - t6890 + t6898 - t6900 - t6532 + t6543 - t6546 + t6561 - t6562 - t6331 - t6563;
  t51107 = t881 * t49531;
  t51112 = t3211 * t1751 * t50975;
  t51114 = 0.12e2 * t47961;
  t51115 = 0.4e1 * t47964;
  t51116 = 0.2e2 / 0.3e1 * t47967;
  t51117 = 0.8e1 * t47984;
  t51118 = 0.8e1 / 0.3e1 * t47987;
  t51119 = t47993 / 0.9e1;
  t51120 = -t49500 - 0.4e1 / 0.3e1 * t881 * t49534 - 0.2e1 / 0.3e1 * t51107 - t3211 * t49560 / 0.18e2 + 0.1e2 / 0.3e1 * t51112 - t49515 + t51114 + t51115 + t51116 - t51117 - t51118 + t51119;
  t51121 = 0.6e1 * t47998;
  t51122 = 0.2e1 * t48000;
  t51123 = 0.6e1 * t48014;
  t51127 = -t51121 - t51122 - t51123 + t47130 + t47133 + t6564 + t6377 + t6565 - t6566 + t49590 + t263 * t49378 / 0.2e1 - t263 * t49418;
  t51138 = t16829 * t31147;
  t51152 = 0.1e2 * t15344 * t49600 + 0.1e2 / 0.3e1 * t15349 * t19504 * t31147 - 0.5e1 / 0.3e1 * t15344 * t49594 - 0.8e1 * t15341 * t49597 - 0.3e2 * t15349 * t51138 + 0.44e2 * t15352 * t16824 * t31147 + 0.5e1 / 0.9e1 * t15349 * t19510 * t31147 - 0.22e2 / 0.3e1 * t15352 * t51138 - 0.12e2 * t15338 * t16820 * t31147 - t49593 - t47148 - t962;
  t51153 = 0.4e1 * t48543;
  t51154 = 0.2e2 / 0.3e1 * t48545;
  t51155 = 0.8e1 / 0.3e1 * t48564;
  t51156 = t48566 / 0.9e1;
  t51157 = 0.12e2 * t48572;
  t51158 = 0.6e1 * t48574;
  t51159 = 0.6e1 * t48579;
  t51160 = 0.2e1 * t48581;
  t51161 = 0.8e1 * t48583;
  t51162 = t51153 + t51154 - t51155 + t51156 + t51157 - t51158 + t943 - t49629 - t49631 - t51159 - t51160 - t51161;
  t51171 = 0.14e2 / 0.3e1 * t48081;
  t51172 = 0.3e1 * t48083;
  t51173 = t16057 * t7285;
  t51192 = t917 * t5508 / 0.6e1 - t922 * t25457 / 0.12e2 + t35416 * t223 / 0.2e1 - t922 * t25705 / 0.6e1 - t22 * t59 * (t50896 + t50919 + t50947 + t50957 + t50974 + t51006 + t51042 + t51070 + t51093 + t51099 + t51101 + t51102 + t51120 + t51127 + t51152 + t51162) * t96 / 0.4e1 + t49924 + t51171 - t51172 + t2485 * t51173 / 0.3e1 + 0.2e1 / 0.3e1 * t1961 * t35660 + 0.2e1 * t17454 * t7318 - t3168 * t48980 / 0.6e1 + t15841 * t7297 + t21072 * t6710 - 0.11e2 / 0.3e1 * t4503 * t1968 * t50361 - 0.11e2 / 0.6e1 * t4503 * t1974 * t50361 + 0.15e2 / 0.2e1 * t10541 * t36080;
  t51198 = my_piecewise3(t3, 0, t51192 + t50853 + t50828 + t50794 + t50767 + t50736 + t50699 + t50674 + t50646 + t50641 + t50624 + t50592 + t50560 + t50530 + t50492 + t50458 + t50421 + t50381 + t50350 + t50316 + t50275 + t50241 + t50224 + t50215 + t50189 + t50168 + t50135 + t50114 + t50078 + t50056 + t50017 + t49986);
  tv4sigma2lapltau0 = 0.2e1 * rho[0] * t51198;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 0] += tv4sigma2lapltau0;

  t51203 = t911 * t7635;
  t51204 = t51203 / 0.6e1;
  t51205 = t911 * t7613;
  t51206 = t51205 / 0.6e1;
  t51208 = t1974 * t25932;
  t51213 = t2004 * t942 * t7817;
  t51214 = t7632 * t929;
  t51218 = t1304 * t6231;
  t51230 = 0.3e1 * t11419 * t26197 * t6450 + t51204 + t51206 + 0.6e1 * t48106 + 0.2e1 * t15905 * t51208 + t15841 * t7818 + t51213 + t2004 * t263 * t1883 * t51214 + t2004 * t263 * t1883 * t51218 / 0.2e1 - t3065 * t50354 + 0.2e1 / 0.3e1 * t785 * t50838 + t259 * t48369 / 0.3e1 - 0.5e1 / 0.18e2 * t3007 * t50675;
  t51231 = t791 * t50671;
  t51232 = t51231 / 0.6e1;
  t51243 = t1304 * t914;
  t51244 = t96 * t51243;
  t51253 = t2004 * t3607 * t7856;
  t51254 = t7632 * t205;
  t51260 = t2004 * t877 * t404 * t37863;
  t51261 = t51260 / 0.2e1;
  t51262 = -t51232 - 0.7e1 / 0.3e1 * t15929 * t25933 - 0.2e1 * t1961 * t39488 - 0.3e1 * t26073 * t6715 + 0.3e1 * t823 * t6920 + t1297 * t47189 / 0.3e1 - t46538 - t48894 + t48895 + 0.11e2 / 0.18e2 * t4482 * t10832 * t51244 - 0.23e2 / 0.36e2 * t4482 * t10615 * t500 * t51243 + t51253 + t2004 * t877 * t404 * t51254 + t51261;
  t51266 = t162 * t5779 * t6658;
  t51267 = 0.3e1 * t51266;
  t51272 = t791 * t31844;
  t51273 = 0.2e1 / 0.3e1 * t51272;
  t51286 = -0.2e1 * t48114 - t51267 - 0.28e2 * t16042 * t25760 + t1292 * t6203 / 0.3e1 + t51273 - 0.2e1 * t48120 + 0.2e1 * t48122 - 0.2e1 / 0.3e1 * t48124 + t259 * t305 * t15491 * t1305 / 0.12e2 - t46573 - t48922 - t1397 * t5720 * t6233 / 0.2e1 + 0.2e1 / 0.3e1 * t3162 * t51173;
  t51287 = t3162 * t50811;
  t51288 = t51287 / 0.3e1;
  t51293 = t1397 * t5716 * t6666;
  t51303 = t1304 * t6195;
  t51313 = t823 * t6843;
  t51314 = t51313 / 0.2e1;
  t51315 = t51288 + t4503 * t50814 - 0.2e1 * t11390 * t7821 - t51293 + 0.2e1 * t5713 * t6603 + t4722 * t1126 - t922 * t25830 / 0.6e1 - t208 * t39593 / 0.3e1 + 0.22e2 / 0.3e1 * t10579 * t39254 - 0.3e1 / 0.2e1 * t2004 * t263 * t10295 * t51303 + t25897 * t6696 - 0.2e1 / 0.3e1 * t1297 * t47159 - t259 * t31384 / 0.6e1 + t51314;
  t51320 = t5911 * t48880;
  t51321 = 0.5e1 / 0.36e2 * t51320;
  t51326 = -0.35e2 / 0.108e3 * t26050 * t48883 - t51321 - t48956 - t48957 + t46653 + t48958 + t48959 + t46660 + t48960 - t48966 - t48967 - t922 * t26731 / 0.6e1 + t922 * t26796 / 0.3e1;
  t51343 = t5985 * t982;
  t51344 = t51343 / 0.4e1;
  t51349 = t911 * t5963;
  t51350 = t51349 / 0.12e2;
  t51355 = -t26738 * t978 / 0.2e1 + t5985 * t994 / 0.2e1 - t17356 * t1352 / 0.2e1 + t3885 * t1368 / 0.2e1 - t208 * t37793 / 0.6e1 + t37798 * t223 / 0.2e1 - t3885 * t1360 / 0.2e1 + t917 * t5963 / 0.6e1 + t51344 + t32822 * t274 / 0.2e1 - t922 * t26719 / 0.12e2 - t51350 - t5985 * t986 / 0.2e1 - t259 * t32817 / 0.6e1;
  t51365 = t7816 * t205;
  t51366 = t96 * t51365;
  t51384 = -t1297 * t16101 / 0.6e1 - t1297 * t17366 / 0.12e2 + t1297 * t17351 / 0.3e1 + t1292 * t3880 / 0.6e1 - 0.5e1 / 0.12e2 * t2874 * t10706 * t51366 + 0.2e1 / 0.3e1 * t3162 * t3582 * t51366 - t4482 * t50520 - 0.2e1 * t48140 - 0.2e1 * t48144 + 0.2e1 * t48146 + 0.2e1 / 0.3e1 * t48153 - 0.18e2 * t509 * t26661 * t6678 + 0.18e2 * t162 * t26661 * t6460;
  t51389 = t16429 * t7833;
  t51390 = t51389 / 0.3e1;
  t51394 = t96 * t51254;
  t51398 = t96 * t37863;
  t51400 = t3162 * t1404 * t51398;
  t51401 = t51400 / 0.6e1;
  t51402 = t2874 * t31486;
  t51403 = 0.2e1 / 0.3e1 * t51402;
  t51407 = t16434 * t7837;
  t51408 = t51407 / 0.3e1;
  t51416 = -t5706 * t6624 - 0.2e1 * t48186 + 0.25e2 / 0.36e2 * t26697 * t49771 - t51390 - t3162 * t10598 * t7807 / 0.3e1 - t3162 * t1404 * t51394 / 0.3e1 - t51401 + t46672 + t51403 - t4503 * t1974 * t51244 / 0.2e1 - t51408 - t3168 * t28417 * t7836 / 0.3e1 - t922 * t26677 / 0.6e1 + t922 * t26681 / 0.3e1;
  t51420 = t5802 * t948;
  t51428 = t509 * t6166 * t46804;
  t51429 = 0.3e1 * t51428;
  t51438 = -t509 * t51420 * t512 / 0.2e1 + t162 * t51420 * t516 / 0.2e1 - t51429 - 0.62e2 / 0.3e1 * t16198 * t26445 + 0.8e1 * t16198 * t26436 + 0.2e1 * t48189 + 0.6e1 * t48192 + t1397 * t5720 * t6197 - t46697 + t49092 - t46772 - t49093 + t49117;
  t51460 = -t49118 - 0.2e1 * t4722 * t1111 - 0.2e1 * t48200 - t48203 - t3007 * t50633 - 0.6e1 * t823 * t6759 - t922 * t27358 / 0.3e1 + 0.2e1 / 0.3e1 * t922 * t27362 - t3389 * t6746 + 0.3e1 * t14675 * t6753 + 0.2e1 * t2452 * t7890 - 0.2e1 * t610 * t7876 + 0.14e2 / 0.3e1 * t2040 * t37641 - 0.11e2 / 0.9e1 * t3007 * t50014;
  t51484 = t5911 * t17394;
  t51485 = 0.3e1 / 0.2e1 * t51484;
  t51488 = t3389 * t6786;
  t51489 = 0.23e2 / 0.18e2 * t3007 * t50019 - 0.18e2 * t162 * t26058 * t6445 + 0.22e2 / 0.3e1 * t25864 * t6651 - 0.23e2 / 0.3e1 * t25864 * t6654 - 0.5e1 / 0.2e1 * t2022 * t881 * t10242 * t51365 + t917 * t5804 / 0.6e1 + 0.2e1 * t4722 * t1117 - 0.11e2 / 0.9e1 * t5911 * t49925 - t5911 * t48916 - 0.2e1 / 0.3e1 * t791 * t50637 - t51485 - 0.43e2 / 0.9e1 * t26050 * t48866 - t51488;
  t51505 = 0.18e2 * t1742 * t27277 * t49078 + 0.6e1 * t162 * t27277 * t49224 - 0.6e1 * t10074 * t27277 * t49727 - t49150 + t49151 - t49152 + t49153 + t46848 + t46851 + t46856 - t46858 - t46865 - t1397 * t39168 * t990 / 0.4e1 - 0.11e2 * t2022 * t6075 * t3440;
  t51516 = t16138 * t7840;
  t51517 = t51516 / 0.6e1;
  t51532 = -t3168 * t3582 * t96 * t51214 / 0.3e1 - t3168 * t3582 * t96 * t51218 / 0.6e1 + t51517 + t49167 + 0.2e1 / 0.3e1 * t48210 + t509 * t5785 * t46546 - t162 * t5855 * t6197 + 0.3e1 * t823 * t6738 + 0.2e1 * t26030 * t6684 - t1292 * t6429 / 0.3e1 - t48223 / 0.3e1 - t48225 / 0.3e1 + 0.4e1 / 0.3e1 * t48227;
  t51533 = t911 * t5804;
  t51534 = t51533 / 0.12e2;
  t51543 = t2011 * t6152 * t6403;
  t51561 = t2022 * t881 * t1756 * t37863;
  t51562 = t51561 / 0.2e1;
  t51563 = -t51534 + 0.44e2 / 0.27e2 * t26050 * t48886 - 0.6e1 * t26073 * t6477 - 0.15e2 / 0.2e1 * t2004 * t6044 * t49702 - t51543 + 0.2e1 * t11390 * t7804 + 0.2e1 * t2936 * t49982 - 0.6e1 * t3389 * t6756 + 0.3e1 * t610 * t7878 + t610 * t7881 - 0.4e1 * t2406 * t39183 - 0.3e1 * t3007 * t50742 + 0.14e2 / 0.3e1 * t3007 * t50630 + t51562;
  t51570 = t305 * t26003 * t930;
  t51590 = 0.3e1 / 0.2e1 * t15929 * t25943 + 0.2e1 * t21072 * t6729 + t208 * t51570 / 0.12e2 - 0.18e2 * t1742 * t26058 * t6450 + 0.36e2 * t509 * t26058 * t6455 + 0.5e1 / 0.2e1 * t26697 * t49301 - t208 * t39601 / 0.6e1 - t791 * t50678 / 0.3e1 - t48238 / 0.3e1 + t48241 - t48255 - 0.3e1 * t509 * t5785 * t46787 - t1297 * t47195;
  t51597 = t162 * t5802 * t941 * t165;
  t51598 = t51597 / 0.4e1;
  t51605 = t791 * t50664;
  t51606 = t51605 / 0.3e1;
  t51609 = t5911 * t17387;
  t51610 = 0.7e1 / 0.3e1 * t51609;
  t51616 = t5713 * t6645;
  t51617 = 0.2e1 * t51616;
  t51618 = -t922 * t26216 / 0.12e2 + t610 * t7906 / 0.2e1 + t51598 + 0.3e1 * t162 * t5785 * t46897 - 0.6e1 * t162 * t27297 * t6674 - t51606 + 0.89e2 / 0.9e1 * t26050 * t49188 + t51610 + t3168 * t48406 / 0.3e1 + 0.23e2 / 0.9e1 * t48264 + 0.2e1 * t48267 - t49218 + t823 * t6957 - t51617;
  t51626 = t1742 * t6166 * t46814;
  t51627 = 0.3e1 / 0.2e1 * t51626;
  t51629 = t162 * t6166 * t49245;
  t51630 = 0.3e1 / 0.2e1 * t51629;
  t51636 = t785 * t48209;
  t51637 = t51636 / 0.3e1;
  t51648 = -0.2e1 * t26050 * t49813 + t51627 + t51630 + 0.47e2 / 0.3e1 * t16198 * t26164 + t259 * t48365 / 0.6e1 + t2936 * t50833 + t51637 - t259 * t48713 / 0.3e1 + t5713 * t6611 + t1297 * t46917 / 0.3e1 - 0.2e1 / 0.3e1 * t48301 + 0.6e1 * t48304 + 0.3e1 * t1397 * t26197 * t6445;
  t51652 = t2042 * t26444;
  t51656 = t509 * t5779 * t6403;
  t51657 = 0.3e1 * t51656;
  t51661 = t5713 * t6608;
  t51662 = t5911 * t49711;
  t51663 = 0.23e2 / 0.36e2 * t51662;
  t51664 = t5911 * t49708;
  t51665 = 0.11e2 / 0.18e2 * t51664;
  t51666 = t5706 * t6627;
  t51667 = t51666 / 0.2e1;
  t51675 = t5911 * t47163;
  t51676 = t51675 / 0.2e1;
  t51679 = -0.18e2 * t509 * t27277 * t49083 + 0.18e2 * t16042 * t51652 + t51657 - t1292 * t6419 / 0.6e1 - t823 * t6951 + t51661 + t51663 - t51665 - t51667 + t823 * t6750 - 0.15e2 / 0.2e1 * t3980 * t6044 * t49821 + 0.15e2 * t2022 * t6044 * t49698 - t51676 - 0.38e2 / 0.9e1 * t26050 * t49731;
  t51684 = t2874 * t1974 * t51398;
  t51685 = t51684 / 0.12e2;
  t51691 = t610 * t7868;
  t51692 = t51691 / 0.2e1;
  t51694 = t162 * t3517 * t7872;
  t51695 = t51694 / 0.2e1;
  t51702 = t28914 * t5817;
  t51703 = 0.2e1 / 0.3e1 * t51702;
  t51706 = t5841 * t6658;
  t51707 = 0.4e1 * t51706;
  t51720 = -0.12e2 * t26275 * t6674 - 0.4e1 * t265 * t6197 + t51703 + 0.2e2 / 0.9e1 * t28884 * t26269 - t51707 + 0.2e1 * t265 * t6233 + 0.24e2 * t26245 * t6460 - 0.12e2 * t26248 * t6445 - 0.4e1 * t28903 * t5817 + t49015 + t49016 + t46589 - 0.4e1 * t5826 * t29789 + 0.8e1 * t5823 * t31098 + t6212 - t49037 - t46619 + t49039 + t49040;
  t51721 = t5836 * t6666;
  t51722 = 0.4e1 * t51721;
  t51733 = t5826 * t6658;
  t51734 = 0.4e1 * t51733;
  t51737 = t5823 * t6666;
  t51738 = 0.4e1 * t51737;
  t51741 = t5826 * t6403;
  t51742 = 0.4e1 / 0.3e1 * t51741;
  t51752 = t51722 + 0.4e1 / 0.3e1 * t28884 * t26252 - 0.12e2 * t5826 * t31113 + 0.4e1 * t5829 * t6197 + 0.12e2 * t26290 * t6674 - 0.2e1 * t5829 * t6233 + t51734 - 0.8e1 * t6729 - 0.2e1 * t6731 - t51738 - 0.8e1 * t26284 * t6678 + t51742 + 0.16e2 / 0.9e1 * t26305 * t6450 + 0.12e2 * t26305 * t6445 - 0.24e2 * t26284 * t6460 + 0.32e2 / 0.3e1 * t26305 * t6455 + 0.12e2 * t6859 - t6224 - t49066;
  t51753 = t51720 + t51752;
  t51767 = t2874 * t50346 / 0.2e1 + t51685 + 0.28e2 / 0.3e1 * t48341 + 0.3e1 * t21068 * t6731 - 0.3e1 * t21072 * t6859 - t51692 - t51695 - t610 * t7873 / 0.2e1 - t162 * t767 * t303 * t137 * t51753 / 0.4e1 - t3885 * t1365 / 0.4e1 - t1297 * t46800 / 0.2e1 + 0.3e1 * t610 * t7651 + 0.3e1 * t10964 * t7654;
  t51779 = t2874 * t48624;
  t51780 = t51779 / 0.6e1;
  t51789 = -0.2e1 * t20765 * t1108 - t823 * t6853 / 0.2e1 + 0.14e2 / 0.3e1 * t4482 * t50523 + 0.11e2 * t2004 * t6075 * t6699 + t49279 + t49281 - t49282 - t2874 * t50437 / 0.3e1 - t51780 - 0.5e1 / 0.18e2 * t4482 * t50064 - t49284 + 0.6e1 * t2452 * t7886 - 0.6e1 * t610 * t7660 - 0.6e1 * t2452 * t7657;
  t51806 = 0.4e1 / 0.3e1 * t48360 + t48372 / 0.3e1 - 0.2e1 / 0.3e1 * t3162 * t50692 - 0.2e1 / 0.3e1 * t2874 * t50427 + 0.4e1 * t48381 + 0.2e1 / 0.3e1 * t48383 - 0.5e1 / 0.9e1 * t48385 - 0.12e2 * t48404 + t7611 - 0.2e1 * t48409 - 0.2e1 / 0.3e1 * t48411 + 0.2e1 * t48413 + t17454 * t7843;
  t51808 = t2022 * t3612 * t39231;
  t51812 = t16138 * t7812;
  t51813 = 0.2e1 / 0.3e1 * t51812;
  t51821 = t2874 * t37865;
  t51822 = t51821 / 0.3e1;
  t51825 = t1404 * t169 * t1386 * t929;
  t51829 = t1397 * t6152 * t6658;
  t51830 = t16138 * t7808;
  t51831 = t51830 / 0.3e1;
  t51839 = t2874 * t1968 * t51398;
  t51840 = t51839 / 0.6e1;
  t51847 = t51808 + t2022 * t881 * t1756 * t51254 - t51813 - 0.2e1 / 0.3e1 * t2874 * t16053 * t7811 - 0.2e1 / 0.3e1 * t2874 * t1974 * t500 * t51254 - t51822 + t1993 * t51825 / 0.12e2 + t51829 + t51831 + t2874 * t16037 * t7807 / 0.3e1 + t2874 * t1968 * t51394 / 0.3e1 + t51840 - 0.2e1 * t17444 * t7802 - 0.3e1 / 0.2e1 * t3980 * t3211 * t9992 * t51243;
  t51876 = -t4722 * t1114 - t5985 * t991 / 0.4e1 + 0.2e1 / 0.3e1 * t48428 + t48430 / 0.3e1 - 0.5e1 / 0.18e2 * t5911 * t48877 + 0.55e2 / 0.18e2 * t26697 * t49802 + t4482 * t10706 * t51244 / 0.2e1 + t2874 * t50328 - 0.5e1 / 0.6e1 * t2874 * t11691 * t51366 + 0.5e1 / 0.2e1 * t2004 * t881 * t10277 * t51365 + 0.3e1 * t2011 * t6152 * t29789 - 0.3e1 * t1397 * t6152 * t31113 - 0.8e1 / 0.3e1 * t48441;
  t51903 = -t913 + t984 - 0.3e1 * t4482 * t50527 - 0.61e2 / 0.27e2 * t26050 * t49845 + t2874 * t16053 * t7807 / 0.6e1 + t2874 * t1974 * t51394 / 0.6e1 - 0.4e1 * t48598 + 0.4e1 / 0.3e1 * t546 * t37873 - 0.4e1 / 0.3e1 * t1297 * t47183 + 0.23e2 / 0.18e2 * t5911 * t49119 + 0.6e1 * t25864 * t6466 - t14865 * t6768 / 0.2e1 - 0.3e1 / 0.2e1 * t2004 * t3227 * t404 * t51243 - 0.2e1 * t48611;
  t51918 = 0.5e1 / 0.3e1 * t1961 * t37683 + 0.2e1 * t1397 * t5716 * t31098 - 0.2e1 * t2004 * t877 * t1883 * t51365 + 0.4e1 / 0.3e1 * t48621 - t49721 - t48625 / 0.3e1 + t6777 - t7771 - t6784 - t6787 + t7772 - t7773 + t7789;
  t51926 = t2004 * t3612 * t7846;
  t51930 = -t7790 - t6596 - t47169 + t6601 + t48645 - t48654 / 0.3e1 + t6687 + t6277 + t15841 * t7857 - t4510 * t50704 - t3168 * t48422 / 0.3e1 - t15841 * t7847 - t51926 - t2004 * t881 * t1879 * t51254;
  t51938 = t2004 * t881 * t1879 * t37863;
  t51939 = t51938 / 0.2e1;
  t51949 = t5713 * t6614;
  t51950 = t51949 / 0.2e1;
  t51961 = t49766 + t4510 * t1404 * t51244 / 0.2e1 - 0.6e1 * t48660 - t51939 + t259 * t305 * t306 * t95 * t51753 / 0.12e2 + t917 * t5683 / 0.3e1 + 0.5e1 / 0.3e1 * t25864 * t6617 + t51950 + t259 * t305 * t2156 * t7633 / 0.6e1 + t7815 + 0.2e1 * t1297 * t46905 - 0.22e2 / 0.9e1 * t48667 + 0.5e1 / 0.36e2 * t4482 * t10615 * t51244;
  t51967 = t823 * t6783;
  t51968 = t548 * t26152;
  t51976 = t1962 * t39142;
  t51985 = 0.2e1 / 0.3e1 * t1297 * t47186 + t49808 - 0.2e1 / 0.3e1 * t48686 + t1297 * t46835 / 0.6e1 - t51967 - 0.4e1 * t3721 * t51968 - t162 * t5802 * t944 * t328 / 0.2e1 + 0.4e1 / 0.3e1 * t48695 + t7854 - t7855 - 0.4e1 * t15905 * t51976 - t11390 * t7823 + 0.6e1 * t3389 * t6923 + t162 * t5855 * t6233 / 0.2e1;
  t52004 = t14860 * t6772;
  t52009 = t2874 * t48300;
  t52010 = t52009 / 0.3e1;
  t52014 = -0.6e1 * t2011 * t26197 * t6455 + t3885 * t1356 / 0.2e1 - 0.8e1 * t48733 - t49862 - 0.2e1 / 0.3e1 * t3162 * t50144 - 0.115e3 / 0.36e2 * t26697 * t49913 + t2874 * t50308 / 0.2e1 - 0.2e1 * t1961 * t39288 - 0.11e2 / 0.3e1 * t25843 * t6706 + t1993 * t52004 / 0.6e1 - 0.11e2 / 0.6e1 * t25843 * t6693 - t52010 + 0.4e1 / 0.3e1 * t2874 * t15878 * t7484;
  t52040 = t49875 + 0.3e1 * t2022 * t3211 * t9997 * t51243 - 0.3e1 / 0.2e1 * t2004 * t3211 * t10242 * t51243 - t49882 + 0.15e2 / 0.2e1 * t10541 * t39153 - t22 * t971 * t1387 / 0.4e1 - t22 * t6916 * t288 / 0.2e1 - 0.35e2 / 0.3e1 * t10541 * t38103 - 0.3e1 * t2004 * t6059 * t6709 + 0.4e1 * t48742 - t6401 - t6405 - t6413 + 0.3e1 * t1397 * t27224 * t6674;
  t52050 = t16798 * t7749;
  t52051 = 0.4e1 * t52050;
  t52052 = t29217 * t7753;
  t52053 = 0.4e1 * t52052;
  t52054 = t16779 * t7756;
  t52055 = 0.2e1 / 0.3e1 * t52054;
  t52060 = t6028 * t914;
  t52064 = t16779 * t7699;
  t52065 = 0.4e1 * t52064;
  t52066 = t38358 * t205;
  t52070 = t6028 * t908;
  t52072 = t3197 * t427 * t52070;
  t52073 = 0.2e1 * t52072;
  t52080 = t414 * t52060;
  t52088 = -0.5e1 * t15344 * t427 * t51365 + 0.44e2 * t27586 * t6510 - 0.22e2 / 0.3e1 * t27586 * t6516 + t52051 + t52053 + t52055 + t49310 + t46930 - t49311 - 0.6e1 * t20269 * t149 * t6028 * t6195 + 0.12e2 * t15352 * t427 * t52060 - t52065 - 0.4e1 * t3197 * t427 * t52066 - t52073 + 0.2e1 / 0.3e1 * t15349 * t1845 * t52060 - 0.6e1 * t15338 * t149 * t52060 - 0.6e1 * t15349 * t52080 + 0.1e2 / 0.3e1 * t27582 * t49623 - 0.3e2 * t27582 * t6516 + 0.24e2 * t48451;
  t52098 = t942 * t7730;
  t52099 = 0.2e1 * t52098;
  t52107 = t1336 * t908;
  t52109 = t877 * t404 * t52107;
  t52111 = t881 * t1756 * t52107;
  t52112 = 0.2e1 / 0.3e1 * t52111;
  t52113 = t6484 * t1304;
  t52122 = -0.8e1 / 0.3e1 * t48488 - t46979 - t52099 + 0.44e2 / 0.3e1 * t6075 * t6538 - t263 * t404 * t63 * t51753 - 0.12e2 * t27493 * t6547 - t52109 - t52112 - t3211 * t9992 * t52113 / 0.18e2 - 0.4e1 * t1323 * t46959 - t263 * t1883 * t1336 * t6231;
  t52125 = t6059 * t6544;
  t52126 = 0.6e1 * t52125;
  t52129 = t6075 * t6530;
  t52130 = 0.2e1 * t52129;
  t52135 = t6044 * t47100;
  t52136 = t52135 / 0.9e1;
  t52157 = t49401 + t49402 - t49403 - t49404 + 0.4e1 * t3214 * t1756 * t52113 - 0.24e2 * t27437 * t6552 + 0.12e2 * t1323 * t47089 + 0.3e1 * t3227 * t404 * t52113 + 0.3e1 * t3211 * t10242 * t52113 - 0.72e2 * t27440 * t6558 + 0.8e1 / 0.3e1 * t27466 * t49470;
  t52193 = 0.1e2 / 0.3e1 * t27466 * t49521 + 0.5e2 / 0.3e1 * t27466 * t49516 - 0.36e2 * t27493 * t6499 - 0.12e2 * t27466 * t49584 + 0.36e2 * t27440 * t6502 + t49457 + t49459 - t49462 - t47059 + t47075 - t47081;
  t52198 = t6059 * t6491;
  t52199 = 0.3e1 * t52198;
  t52205 = t942 * t7687;
  t52206 = t6075 * t6488;
  t52207 = 0.4e1 * t52206;
  t52208 = -t49488 - t7710 + t7711 - t7712 + t6561 - t6562 - t6331 - t6563 - t49500 + t52205 - t52207;
  t52220 = t3612 * t7740;
  t52221 = 0.2e1 * t52220;
  t52226 = t7686 * t205;
  t52258 = 0.5e1 / 0.9e1 * t27582 * t49319 - 0.12e2 * t27576 * t6513 + 0.4e1 * t15341 * t149 * t51365 + 0.4e1 * t3200 * t149 * t52066 + 0.4e1 * t4349 * t149 * t38358 * t929 + 0.2e1 / 0.3e1 * t3197 * t414 * t52066 + t47130 + t47133 - 0.2e1 * t877 * t404 * t52226 - 0.4e1 / 0.3e1 * t881 * t1756 * t52226 - 0.2e1 * t263 * t1883 * t7686 * t929;
  t52261 = t3612 * t7733;
  t52262 = 0.4e1 / 0.3e1 * t52261;
  t52268 = t881 * t1879 * t52107;
  t52274 = t6044 * t47095;
  t52275 = 0.6e1 * t52274;
  t52276 = t6075 * t6541;
  t52277 = 0.12e2 * t52276;
  t52278 = t3607 * t7738;
  t52279 = 0.2e1 * t52278;
  t52280 = t942 * t7714;
  t52281 = 0.2e1 * t52280;
  t52283 = t6044 * t49511;
  t52284 = 0.2e1 / 0.3e1 * t52283;
  t52298 = t6044 * t47015;
  t52299 = t52298 / 0.18e2;
  t52300 = t6044 * t49568;
  t52301 = 0.1e2 / 0.3e1 * t52300;
  t52302 = -t52284 + t6564 + t6377 + t6565 - t6566 - 0.5e1 / 0.3e1 * t15344 * t16829 * t51365 - 0.8e1 * t15341 * t16820 * t51365 + 0.1e2 * t15344 * t16824 * t51365 + t263 * t404 * t60 * t51753 / 0.2e1 + t52299 + t52301;
  t52304 = t6075 * t6482;
  t52305 = 0.6e1 * t52304;
  t52306 = t6044 * t47026;
  t52307 = 0.3e1 * t52306;
  t52312 = t3197 * t414 * t52070;
  t52313 = t52312 / 0.3e1;
  t52318 = t3200 * t149 * t52070;
  t52319 = 0.2e1 * t52318;
  t52336 = -t962 + 0.8e1 * t48543 + 0.4e2 / 0.3e1 * t48545 - 0.16e2 / 0.3e1 * t48564 + 0.2e1 / 0.9e1 * t48566 + 0.24e2 * t48572 - 0.12e2 * t48574 + t943 - 0.12e2 * t48579 - 0.4e1 * t48581 - 0.16e2 * t48583;
  t52348 = t162 * t5763 * t6666;
  t52349 = 0.3e1 / 0.2e1 * t52348;
  t52350 = t548 * t25759;
  t52368 = -0.12e2 * t48750 - t7870 - t22 * t59 * (t15349 * t1857 * t52060 / 0.9e1 + 0.1e2 / 0.3e1 * t15344 * t414 * t51365 - 0.1e2 / 0.3e1 * t3211 * t9997 * t52113 + 0.2e1 * t881 * t1879 * t52226 - 0.6e1 * t3214 * t1879 * t52113 + t52336 + t52319 + t52313 + t52305 - t52307 + t52302 - t52277 - t52279 - t52281 + t52275 + t52268 - t52262 + t52258 + t52221 + t52208 - t52199 + t52193 + t52157 - t52136 + t52126 + t52130 + t52122 + t52088 - t49593 + t49484 - t49485 - t49486 + t49487 + t49348 + t49350 + t49351 - t47085 - 0.16e2 * t48455 - 0.48e2 * t48457 - t7728 + t7709 + 0.24e2 * t48482 + 0.8e1 * t48453 - t47148 - 0.4e1 / 0.9e1 * t48468 - t27466 * t49425 / 0.9e1 + 0.2e1 * t1319 * t6326 + 0.2e1 * t1323 * t46969 + 0.4e1 * t1323 * t47040 + 0.24e2 * t27466 * t49437 - 0.4e1 * t1319 * t6334 - 0.22e2 * t6075 * t6555 - 0.5e2 / 0.3e1 * t6044 * t49555 + 0.6e1 * t6059 * t6526 + 0.72e2 * t27493 * t6519 - 0.6e1 * t1323 * t47005 + 0.12e2 * t27437 * t6505 + 0.4e1 / 0.3e1 * t27440 * t6533 + 0.2e1 / 0.3e1 * t1323 * t47145 - 0.2e1 * t15352 * t52080 - 0.4e1 / 0.3e1 * t27466 * t49463 - 0.5e1 / 0.18e2 * t6044 * t49420 + 0.8e1 * t27440 * t6522 - 0.2e1 / 0.3e1 * t27440 * t6496 - 0.4e2 * t27440 * t6485 - 0.4e1 / 0.3e1 * t1323 * t47052 + 0.2e1 * t1319 * t6388 + 0.15e2 * t6044 * t49493 - 0.2e1 * t1323 * t46956 - t1319 * t6372 + 0.24e2 * t27493 * t6493 + 0.3e1 * t263 * t10295 * t1336 * t6195 + 0.2e1 * t4349 * t149 * t6028 * t6231 + 0.8e1 * t48464 + 0.8e1 / 0.3e1 * t48466 + t7683 - t7684 + t7685) * t96 / 0.4e1 - t162 * t5785 * t46562 + t52349 + 0.12e2 * t16237 * t52350 + t3168 * t48438 / 0.6e1 + 0.12e2 * t48798 - 0.11e2 / 0.9e1 * t4482 * t50389 + 0.23e2 / 0.18e2 * t4482 * t50393 - t4503 * t1968 * t51244 + 0.6e1 * t2011 * t26864 * t6678 - 0.6e1 * t1397 * t26864 * t6460;
  t52379 = t823 * t6776;
  t52386 = t911 * t5683;
  t52387 = t52386 / 0.6e1;
  t52389 = 0.2e1 * t4503 * t50485 - 0.3e1 * t2022 * t3214 * t1756 * t51243 + 0.3e1 * t2004 * t3214 * t1879 * t51243 + t52379 + t49910 - 0.3e1 * t2040 * t37450 + t3168 * t16129 * t96 * t51303 / 0.2e1 - t6712 + t6713 - t6714 + t6437 - t52387 + t49924 + t2874 * t50254;
  t52395 = my_piecewise3(t3, 0, t52389 + t52368 + t52040 + t52014 + t51985 + t51961 + t51930 + t51918 + t51903 + t51876 + t51847 + t51806 + t51789 + t51767 + t51679 + t51648 + t51618 + t51590 + t51563 + t51532 + t51505 + t51489 + t51460 + t51438 + t51416 + t51384 + t51355 + t51326 + t51315 + t51286 + t51262 + t51230);
  tv4sigma2tau20 = 0.2e1 * rho[0] * t52395;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 0] += tv4sigma2tau20;

  t52399 = t2042 * t6982;
  t52405 = t162 * t3517 * t7977;
  t52406 = t52405 / 0.2e1;
  t52407 = t911 * t7983;
  t52408 = t52407 / 0.6e1;
  t52410 = t1417 * t2156 * t7981;
  t52418 = t162 * t3517 * t7962;
  t52419 = t52418 / 0.4e1;
  t52428 = t960 * t1198;
  t52429 = 0.2e1 * t52428;
  t52442 = -0.4e1 * t4823 * t34975 + 0.4e1 * t4820 * t34549 + 0.4e1 * t4826 * t34836 - 0.4e1 / 0.3e1 * t4823 * t34958 + t52429 + 0.2e1 * t239 * t7039 - 0.12e2 * t39770 * t6973 + 0.4e1 / 0.3e1 * t39770 * t6978 + 0.24e2 * t39773 * t1065 - 0.12e2 * t39778 * t1057 - 0.4e1 * t1175 * t990;
  t52451 = 0.4e1 / 0.3e1 * t49007;
  t52452 = 0.8e1 * t49011;
  t52453 = 0.2e1 / 0.3e1 * t46580;
  t52454 = 0.4e1 * t46586;
  t52455 = 0.2e1 * t46588;
  t52456 = 0.8e1 * t49025;
  t52457 = 0.4e1 * t46616;
  t52458 = -0.4e1 * t39773 * t1052 - 0.4e1 / 0.3e1 * t1172 * t6408 + 0.2e2 / 0.9e1 * t39770 * t6993 + 0.8e1 * t1172 * t6185 + t52451 + t52452 + t52453 + t52454 + t52455 + t6212 - t52456 - t52457;
  t52460 = 0.2e1 * t46618;
  t52461 = 0.4e1 / 0.3e1 * t46620;
  t52462 = 0.4e1 * t46622;
  t52477 = -t52460 + t52461 + t52462 - 0.2e1 / 0.3e1 * t7150 + 0.12e2 * t39728 * t6973 + 0.4e1 * t7155 + 0.12e2 * t39760 * t1057 + 0.4e1 * t39763 * t990 - 0.8e1 * t39735 * t1052 - 0.8e1 / 0.3e1 * t39745 * t6408 - 0.24e2 * t39735 * t1065;
  t52486 = t28848 * t1198;
  t52487 = 0.2e1 * t52486;
  t52490 = 0.8e1 * t49053;
  t52491 = 0.8e1 * t49060;
  t52492 = 0.8e1 / 0.3e1 * t49064;
  t52493 = 0.4e1 * t46642;
  t52494 = 0.32e2 / 0.3e1 * t39728 * t6978 - 0.2e1 * t4826 * t7039 - 0.8e1 * t39745 * t6185 + 0.16e2 / 0.9e1 * t39728 * t6993 - t52487 - 0.4e1 * t7136 - 0.4e1 * t7131 - t6224 + t52490 - t52491 + t52492 - t52493;
  t52496 = t52442 + t52458 + t52477 + t52494;
  t52498 = t303 * t137 * t52496;
  t52502 = t1463 * t7106;
  t52505 = t1463 * t7111;
  t52509 = t1455 * t608 * t1148;
  t52512 = t1455 * t160 * t7110;
  t52515 = t11691 * t7146;
  t52518 = t10832 * t7139;
  t52524 = t10277 * t7129;
  t52528 = 0.4e1 * t8004 * t6193 + 0.23e2 / 0.12e2 * t4800 * t52399 + t610 * t7978 / 0.2e1 + t52406 - t52408 - t233 * t52410 / 0.6e1 - 0.2e1 * t8004 * t6189 - t610 * t7963 / 0.4e1 - t52419 - t162 * t745 * t52498 / 0.4e1 + t1140 * t52502 / 0.2e1 + t1140 * t52505 / 0.2e1 - t1140 * t52509 - t1140 * t52512 + 0.3e1 * t48812 - 0.3e1 / 0.2e1 * t22064 * t52515 + 0.11e2 / 0.6e1 * t22061 * t52518 + 0.8e1 * t2004 * t5006 * t7154 + 0.9e1 / 0.2e1 * t2004 * t1164 * t52524;
  t52531 = 0.9e1 * t48821;
  t52533 = 0.3e1 / 0.2e1 * t48844;
  t52534 = 0.9e1 / 0.2e1 * t48864;
  t52535 = 0.3e1 * t48869;
  t52536 = 0.5e1 / 0.12e2 * t48881;
  t52538 = t23320 * t1000;
  t52539 = t548 * t52538;
  t52542 = t318 * t52538;
  t52549 = -0.7e1 * t10541 * t40709 - t48817 - t52531 - t47288 - t47310 + t47321 + t47323 + t47324 / 0.4e1 - t52533 - t52534 - t52535 - t52536 + t48903 - t48905 + t546 * t39991 - t671 * t52539 / 0.4e1 + t666 * t52542 / 0.2e1 + t233 * t49723 / 0.4e1 + 0.9e1 / 0.2e1 * t8010 * t46783;
  t52551 = t10904 * t6986;
  t52554 = t2218 * t6982;
  t52557 = t555 * t52538;
  t52566 = t2218 * t7009;
  t52578 = t11588 * t1001;
  t52583 = t11303 * t1001;
  t52588 = t2042 * t7009;
  t52592 = -0.43e2 / 0.9e1 * t39683 * t52551 + 0.7e1 * t4800 * t52554 - t671 * t52557 / 0.2e1 - 0.6e1 * t4795 * t6983 + 0.22e2 / 0.3e1 * t40006 * t6997 - 0.23e2 / 0.3e1 * t40006 * t7000 - 0.11e2 / 0.6e1 * t4800 * t52566 + 0.3e1 * t4795 * t7010 + t1140 * t47361 - 0.23e2 / 0.12e2 * t8010 * t47207 + 0.3e1 / 0.2e1 * t8010 * t46779 + 0.11e2 / 0.6e1 * t8010 * t47192 - 0.2e1 * t39683 * t52578 + 0.6e1 * t40006 * t7003 - 0.38e2 / 0.9e1 * t39683 * t52583 + t1140 * t47558 / 0.2e1 - 0.5e1 / 0.12e2 * t4800 * t52588 - 0.2e1 * t47397 - t47409;
  t52593 = t10706 * t7146;
  t52596 = t10615 * t7139;
  t52599 = t1147 * t7037;
  t52601 = t3582 * t96 * t52599;
  t52604 = t7975 * t205;
  t52605 = t96 * t52604;
  t52606 = t10706 * t52605;
  t52610 = 0.3e1 * t48945;
  t52611 = 0.3e1 / 0.2e1 * t48961;
  t52612 = 0.7e1 * t48964;
  t52623 = -0.3e1 / 0.4e1 * t22064 * t52593 + t47412 + 0.5e1 / 0.12e2 * t22061 * t52596 - t47414 - t2511 * t52601 / 0.3e1 - t2471 * t52606 / 0.6e1 - t47420 - t47424 - t47430 - 0.3e1 / 0.4e1 * t47431 + t47433 - t52610 - t52611 + t52612 + t1135 * t4302 / 0.2e1 - t233 * t33371 / 0.4e1 - t1140 * t18691 / 0.4e1 + t8004 * t2258 / 0.2e1 - t8036 * t569 / 0.2e1;
  t52634 = t11691 * t52605;
  t52637 = t10242 * t52604;
  t52640 = t10277 * t52604;
  t52647 = t7939 * t205;
  t52648 = t1756 * t52647;
  t52652 = t7975 * t929;
  t52654 = t16129 * t96 * t52652;
  t52659 = t305 * t306 * t95 * t52496;
  t52664 = t719 * t7018;
  t52669 = t1440 * t372 * t7037;
  t52673 = -0.3e1 / 0.2e1 * t4308 * t1194 + 0.3e1 / 0.2e1 * t610 * t8050 + 0.3e1 * t2452 * t8053 - 0.5e1 / 0.36e2 * t8010 * t11053 - t2471 * t52634 / 0.3e1 - t2022 * t697 * t52637 + t2004 * t697 * t52640 + 0.9e1 / 0.2e1 * t22061 * t10615 * t1733 * t7134 + t2022 * t697 * t52648 / 0.2e1 - t47455 + t47462 + t2511 * t52654 / 0.2e1 + t47489 + t47493 + t233 * t52659 / 0.12e2 - 0.3e1 / 0.4e1 * t4308 * t1199 - 0.3e1 / 0.4e1 * t52664 - 0.3e1 / 0.4e1 * t719 * t7040 + 0.3e1 / 0.2e1 * t509 * t4854 * t52669;
  t52687 = 0.2e1 * t48993;
  t52688 = 0.9e1 * t49095;
  t52689 = 0.9e1 / 0.2e1 * t719 * t7046 + 0.3e1 / 0.2e1 * t719 * t7049 - 0.6e1 * t509 * t40262 * t6408 + 0.18e2 * t11290 * t40639 + 0.3e1 / 0.2e1 * t2452 * t7970 + 0.12e2 * t11285 * t40024 + t52687 + t48996 + t49006 - t46697 - t46772 - t52688 + t47497 + t47501 - t47511 - t47515 + t46848 + t46851 + t46856;
  t52693 = t10904 * t1001;
  t52700 = t1455 * t7106;
  t52703 = t1455 * t7111;
  t52726 = -t46858 - t46865 + 0.5e1 / 0.12e2 * t8010 * t46919 - 0.35e2 / 0.108e3 * t39683 * t52693 - t1135 * t7107 / 0.3e1 - t1135 * t7112 / 0.3e1 + t1140 * t52700 / 0.4e1 + t1140 * t52703 / 0.4e1 + t49159 / 0.2e1 - 0.2e1 / 0.3e1 * t49165 + 0.3e1 / 0.4e1 * t33376 * t248 - t208 * t39874 / 0.12e2 + t39879 * t223 / 0.4e1 + 0.3e1 / 0.2e1 * t4308 * t1202 - 0.3e1 / 0.2e1 * t18684 * t1190 - 0.3e1 / 0.2e1 * t8010 * t10959 + 0.3e1 / 0.2e1 * t610 * t8019 - 0.3e1 * t610 * t8040 - 0.3e1 * t2452 * t7999;
  t52745 = t10242 * t7129;
  t52755 = t96 * t52647;
  t52756 = t1968 * t52755;
  t52759 = t17598 * t7139;
  t52762 = 0.3e1 * t49186;
  t52763 = 0.3e1 / 0.2e1 * t10964 * t8028 + 0.23e2 / 0.36e2 * t8010 * t10944 + t8004 * t2443 - 0.2e1 * t8004 * t2447 + 0.7e1 / 0.3e1 * t8010 * t10935 + t1140 * t18679 - t8010 * t10932 / 0.2e1 - 0.11e2 / 0.18e2 * t8010 * t10941 - t1140 * t18675 / 0.2e1 - t47525 + t47529 / 0.2e1 + 0.3e1 * t47539 - 0.9e1 / 0.2e1 * t2022 * t1164 * t52745 - 0.3e1 * t2004 * t5016 * t7135 - 0.2e1 * t2004 * t1160 * t7130 + t2471 * t52756 / 0.6e1 + t2471 * t52759 / 0.4e1 - t49184 + t52762;
  t52784 = 0.9e1 / 0.2e1 * t49247;
  t52793 = t10904 * t1015;
  t52796 = t10897 * t1001;
  t52801 = -t47557 - 0.3e1 * t47593 - t47617 - t47623 + t610 * t7966 + t162 * t5177 * t7039 - 0.6e1 * t162 * t40031 * t1057 - 0.3e1 / 0.2e1 * t162 * t40035 * t990 + 0.6e1 * t162 * t40262 * t6185 + 0.3e1 * t2861 * t7055 - 0.9e1 / 0.2e1 * t2040 * t40088 + t47664 + t52784 + 0.3e1 / 0.2e1 * t17564 * t7150 + 0.18e2 * t162 * t40891 * t1065 - 0.18e2 * t509 * t40891 * t1052 + 0.44e2 / 0.27e2 * t39683 * t52793 - 0.61e2 / 0.27e2 * t39683 * t52796 + 0.2e1 * t40876 * t1002;
  t52804 = t9997 * t7134;
  t52808 = t10242 * t7134;
  t52812 = t10706 * t7139;
  t52816 = t1883 * t52604;
  t52819 = t10295 * t52652;
  t52823 = t10897 * t1015;
  t52829 = t9783 * t9803 * t205;
  t52834 = t9783 * t9819 * t205;
  t52845 = t9783 * t6992;
  t52849 = t9783 * t6977;
  t52857 = t8036 * t932 / 0.2e1 + 0.9e1 * t2022 * t4997 * t52804 - 0.9e1 / 0.2e1 * t2004 * t4997 * t52808 + 0.3e1 / 0.2e1 * t22061 * t52812 + 0.2e1 * t49256 - t2004 * t693 * t52816 + t49278 - 0.3e1 / 0.2e1 * t2004 * t237 * t52819 + 0.89e2 / 0.9e1 * t39683 * t52823 + 0.9e1 / 0.2e1 * t719 * t6974 - 0.6e1 * t10074 * t39675 * t52829 + 0.18e2 * t1742 * t39675 * t52834 + 0.9e1 / 0.2e1 * t13382 * t6994 - 0.9e1 * t2861 * t6979 - 0.18e2 * t162 * t39690 * t6973 - 0.18e2 * t509 * t39675 * t52845 + 0.6e1 * t162 * t39675 * t52849 - 0.62e2 / 0.3e1 * t39683 * t11310 + 0.8e1 * t39683 * t11316;
  t52871 = t1974 * t52755;
  t52874 = 0.9e1 * t49288;
  t52875 = t7939 * t929;
  t52877 = t3582 * t96 * t52875;
  t52885 = t9992 * t7134;
  t52889 = 0.3e1 / 0.4e1 * t49680;
  t52890 = t17557 * t7139;
  t52893 = 0.11e2 / 0.6e1 * t49709;
  t52894 = -0.6e1 * t40622 * t1010 - 0.9e1 * t719 * t6970 + 0.9e1 * t2861 * t7052 + 0.36e2 * t509 * t39690 * t6978 - 0.18e2 * t1742 * t39690 * t6993 + t47671 + t2471 * t52871 / 0.12e2 + t52874 - t2511 * t52877 / 0.6e1 - 0.8e1 / 0.3e1 * t22071 * t7158 - 0.8e1 * t2022 * t5006 * t34789 - 0.9e1 / 0.2e1 * t3980 * t4997 * t52885 - t47678 + t47691 + t52889 + t49686 - t49688 + t2471 * t52890 / 0.2e1 - t52893;
  t52895 = 0.23e2 / 0.12e2 * t49712;
  t52896 = 0.3e1 * t49714;
  t52897 = 0.9e1 / 0.2e1 * t49716;
  t52913 = t1857 * t7223;
  t52916 = t40329 * t205;
  t52917 = t414 * t52916;
  t52926 = t414 * t7227;
  t52931 = -0.12e2 * t49314 + 0.2e1 * t49327 + t22854 * t52913 / 0.3e1 + t2687 * t52917 / 0.3e1 - 0.12e2 * t22902 * t7224 - 0.8e1 * t34056 * t7228 - 0.16e2 / 0.3e1 * t22894 * t7231 - 0.3e1 * t34251 * t52926 - t47828 + t47831 - t47834 + t47848 + 0.2e1 * t47852 - t47879 - 0.12e2 * t47883 + t47886 + t47888 + t49360;
  t52932 = t40334 * t205;
  t52933 = t414 * t52932;
  t52937 = t149 * t4973 * t7037;
  t52940 = t10277 * t7211;
  t52943 = t9997 * t7181;
  t52950 = t8080 * t205;
  t52951 = t10277 * t52950;
  t52954 = t8107 * t205;
  t52955 = t404 * t52954;
  t52958 = t1883 * t8107 * t929;
  t52962 = t9992 * t1021;
  t52975 = 0.18e2 * t49381;
  t52976 = t49362 - 0.2e1 / 0.3e1 * t13421 * t52933 + 0.4e1 * t4095 * t52937 - t49376 - 0.9e1 * t1164 * t52940 - 0.1e2 * t4997 * t52943 + 0.24e2 * t8113 * t6337 + 0.8e1 * t40369 * t7186 - 0.2e1 * t697 * t52951 - t693 * t52955 - t237 * t52958 - 0.18e2 * t8116 * t47092 + 0.8e1 / 0.3e1 * t40350 * t52962 - 0.16e2 * t5006 * t7182 - 0.1e2 * t8116 * t47012 - 0.2e1 / 0.3e1 * t40369 * t7251 - t8116 * t47018 / 0.6e1 + 0.8e1 * t8113 * t6384 + t52975;
  t52978 = 0.9e1 * t49383;
  t52979 = t942 * t8108;
  t52980 = t52979 / 0.2e1;
  t52981 = t1879 * t7201;
  t52987 = t1756 * t7240;
  t52995 = 0.36e2 * t49409;
  t52998 = 0.12e2 * t1036 * t40415 - 0.2e1 * t1160 * t7241 - 0.6e1 * t1164 * t52981 - 0.2e1 * t1164 * t52987 + 0.32e2 * t22894 * t7234 - 0.12e2 * t6366 * t8113 - t46979 - 0.4e1 * t49390 - t49396 + t49405 + 0.6e1 * t49407 - t52978 + t52980 - t52995 + t7173 - t8065 + t8066 + t8067;
  t52999 = t1845 * t7223;
  t53004 = t10080 * t1021;
  t53007 = t1879 * t52954;
  t53015 = t10075 * t1021;
  t53018 = t10242 * t7211;
  t53025 = t10242 * t7181;
  t53028 = t942 * t8081;
  t53030 = t404 * t60 * t52496;
  t53037 = t9997 * t1032;
  t53040 = t427 * t52932;
  t53043 = t427 * t52916;
  t53046 = 0.2e1 * t22854 * t52999 + 0.2e1 * t8116 * t46962 - 0.4e1 / 0.3e1 * t40350 * t53004 + t697 * t53007 - 0.4e1 * t8113 * t6323 + 0.4e1 / 0.3e1 * t40369 * t7198 + t8116 * t47103 / 0.3e1 - t40350 * t53015 / 0.9e1 + 0.6e1 * t1164 * t53018 + 0.6e1 * t5016 * t7209 + 0.4e1 * t1160 * t7212 + 0.9e1 * t4997 * t53025 - t53028 + t237 * t53030 / 0.2e1 - 0.36e2 * t40385 * t1040 + 0.36e2 * t40369 * t7256 - 0.12e2 * t40350 * t53037 + 0.4e1 * t13421 * t53040 - 0.2e1 * t2687 * t53043;
  t53049 = t49423 / 0.3e1;
  t53050 = t427 * t7227;
  t53053 = t149 * t52932;
  t53058 = t9992 * t1032;
  t53063 = 0.18e2 * t49466;
  t53064 = t9997 * t1021;
  t53069 = -t53049 - t8068 + 0.18e2 * t34251 * t53050 - 0.4e1 * t13549 * t53053 + 0.9e1 * t8116 * t47029 + 0.5e2 / 0.3e1 * t40350 * t53058 + 0.3e1 * t8084 * t966 + t53063 + t49474 + t47075 - t47081 - t47085 + 0.24e2 * t40350 * t53064 + 0.72e2 * t40385 * t1029 - t6531 + t8087 - t8088 + t7220;
  t53070 = 0.6e1 * t49507;
  t53071 = 0.2e1 * t49512;
  t53072 = t1879 * t7240;
  t53077 = t10080 * t1032;
  t53087 = -t7221 - t6330 - t7222 + t53070 - t53071 - t49515 + 0.3e1 * t1164 * t53072 - 0.4e2 * t40369 * t7244 + 0.1e2 / 0.3e1 * t40350 * t53077 + 0.24e2 * t40385 * t1033 - 0.18e2 * t22854 * t7231 - 0.4e1 * t49532 + t47962 + 0.6e1 * t47964 + t47968 - t47985 - 0.4e1 * t47987 + t47994 - t47999;
  t53098 = t1883 * t1177 * t7037;
  t53101 = t10242 * t52950;
  t53104 = 0.18e2 * t49558;
  t53105 = 0.12e2 * t49563;
  t53106 = t49565 / 0.6e1;
  t53107 = 0.1e2 * t49569;
  t53108 = 0.9e1 * t49580;
  t53109 = -t48001 - 0.6e1 * t8084 * t953 - 0.12e2 * t40385 * t1025 + 0.4e1 * t1160 * t7202 - 0.24e2 * t40415 * t1022 - t48015 - 0.2e1 * t237 * t53098 + 0.4e1 / 0.3e1 * t697 * t53101 + t53104 - t53105 + t53106 + t53107 - t53108 + t47130 + t47133 + t6375 + t7238 + t7239 - t6390;
  t53111 = t149 * t40334 * t929;
  t53115 = t404 * t63 * t52496;
  t53117 = t942 * t8074;
  t53118 = t9992 * t7181;
  t53121 = t1756 * t52954;
  t53124 = t942 * t8077;
  t53125 = 0.2e1 * t53124;
  t53130 = t1756 * t7201;
  t53132 = t1883 * t52950;
  t53136 = t10295 * t8080 * t929;
  t53139 = t149 * t52916;
  t53143 = t149 * t40329 * t929;
  t53147 = t49590 - 0.6e1 * t19442 * t53111 - t237 * t53115 - t53117 - t4997 * t53118 / 0.6e1 - 0.2e1 / 0.3e1 * t697 * t53121 + t53125 - 0.72e2 * t40369 * t7178 + 0.32e2 / 0.3e1 * t5006 * t7204 + t1164 * t53130 + 0.2e1 * t693 * t53132 + 0.3e1 * t237 * t53136 + 0.2e1 * t2689 * t53139 + 0.2e1 * t4095 * t53143 + 0.8e1 * t49616 - t962 + t943 - t49629 - t49631;
  t53155 = t911 * t7918;
  t53157 = t52895 + t52896 + t52897 - t913 + t984 - t7974 - 0.2e1 * t1140 * t47333 - 0.7e1 * t8010 * t46566 - 0.28e2 * t11290 * t40296 - 0.9e1 / 0.2e1 * t162 * t39818 * t47203 + 0.47e2 / 0.3e1 * t10895 * t40721 + 0.5e1 / 0.3e1 * t40006 * t7117 - t7986 - t7092 + t7987 + t7094 - t49754 - t22 * t59 * (t52931 + t52976 + t52998 + t53046 + t53069 + t53087 + t53109 + t53147) * t96 / 0.4e1 + t53155 / 0.4e1;
  t53161 = t305 * t17941 * t1148;
  t53165 = t305 * t2777 * t7110;
  t53168 = t911 * t7942;
  t53169 = t53168 / 0.12e2;
  t53171 = t305 * t2156 * t7940;
  t53176 = t404 * t52647;
  t53180 = t1883 * t52875;
  t53184 = t49787 / 0.2e1;
  t53185 = 0.9e1 / 0.2e1 * t49795;
  t53186 = t233 * t53161 / 0.4e1 + t233 * t53165 / 0.4e1 + t53169 + t233 * t53171 / 0.12e2 - t7988 - t7989 + t7990 - t7991 + t6646 + t7992 - t7993 + t7099 + t7100 - 0.3e1 / 0.2e1 * t17561 * t7155 + t2004 * t693 * t53176 / 0.2e1 + t2004 * t237 * t53180 / 0.2e1 + t49782 - t53184 + t53185;
  t53190 = t10706 * t500 * t7129;
  t53193 = t10615 * t7161;
  t53196 = 0.3e1 / 0.2e1 * t49849;
  t53212 = t47732 + t47752 + t8064 + 0.16e2 / 0.3e1 * t22071 * t7162 + 0.3e1 * t22064 * t53190 - 0.23e2 / 0.12e2 * t22061 * t53193 + t53196 - 0.2e1 * t49852 - t1135 * t6641 / 0.2e1 + 0.3e1 / 0.2e1 * t4795 * t7064 - 0.3e1 / 0.2e1 * t4944 * t1058 - 0.3e1 / 0.4e1 * t4944 * t1061 - t49858 + t49860 + t49864 + t22636 * t7143 + 0.2e1 / 0.3e1 * t23367 * t7147 - 0.4e1 / 0.3e1 * t22071 * t7140 - 0.3e1 * t49870;
  t53216 = t1883 * t52599;
  t53221 = t3582 * t52605;
  t53224 = t49894 / 0.4e1;
  t53229 = t2213 * t7009;
  t53241 = t1440 * t408 * t7037;
  t53252 = -t47796 + t47802 - t1961 * t40925 / 0.3e1 + t2004 * t237 * t53216 + 0.2e1 / 0.3e1 * t1961 * t40657 + t2485 * t53221 / 0.3e1 - t53224 - 0.3e1 / 0.2e1 * t22411 * t1053 + 0.3e1 / 0.2e1 * t4944 * t1066 - 0.3e1 / 0.2e1 * t4800 * t53229 - 0.9e1 / 0.2e1 * t1742 * t39818 * t46809 + 0.9e1 * t509 * t39818 * t47199 - 0.3e1 / 0.2e1 * t610 * t7952 - 0.3e1 / 0.2e1 * t162 * t4854 * t53241 - 0.3e1 * t719 * t7044 - 0.3e1 * t40622 * t1005 - t8004 * t6425 - 0.3e1 / 0.2e1 * t5161 * t7103 - t49905;
  t53253 = t1404 * t52755;
  t53259 = t12779 * t7139;
  t53262 = t30687 * t7146;
  t53267 = 0.6e1 * t49919;
  t53268 = t1879 * t52647;
  t53272 = -t7165 - t7166 - t7167 - t2485 * t53253 / 0.6e1 + 0.3e1 / 0.2e1 * t17561 * t7131 - t1961 * t39911 - t2485 * t53259 / 0.2e1 - t2511 * t53262 / 0.2e1 + 0.3e1 / 0.2e1 * t17561 * t7136 - t48074 + t48077 - t7266 + t7267 - t7268 + t7269 - t53267 + t48082 + t49933 - t48084 - t2004 * t697 * t53268 / 0.2e1;
  t53277 = my_piecewise3(t3, 0, t52528 + t52549 + t52592 + t52623 + t52673 + t52689 + t52726 + t52763 + t52801 + t52857 + t52894 + t53157 + t53186 + t53212 + t53252 + t53272);
  tv4sigmalapl30 = 0.2e1 * rho[0] * t53277;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 0] += tv4sigmalapl30;

  t53279 = t96 * t34707;
  t53301 = t3961 * t7285;
  t53304 = t96 * t33448;
  t53312 = t22 * t11993;
  t53315 = -t3162 * t1404 * t53279 / 0.3e1 + t52406 - t52408 - t52419 + 0.3e1 / 0.2e1 * t10964 * t8284 - 0.3e1 * t2452 * t8289 - 0.3e1 / 0.2e1 * t3007 * t34370 - t610 * t8246 / 0.4e1 - 0.4e1 / 0.3e1 * t2874 * t33546 + 0.3e1 / 0.2e1 * t1397 * t41907 * t1057 + t1397 * t42488 * t990 / 0.2e1 + t22064 * t48296 / 0.3e1 - 0.11e2 / 0.18e2 * t22061 * t53301 - 0.2e1 * t4503 * t1968 * t53304 - 0.9e1 / 0.2e1 * t2004 * t3211 * t10242 * t33448 + 0.47e2 / 0.3e1 * t53312 * t41228;
  t53317 = 0.3e1 / 0.2e1 * t48812;
  t53323 = 0.23e2 / 0.18e2 * t49968;
  t53324 = t49972 / 0.3e1;
  t53325 = t96 * t33016;
  t53339 = t2156 * t8228;
  t53347 = 0.3e1 / 0.2e1 * t48106 + t53317 - 0.2e1 / 0.3e1 * t1140 * t48379 + t1140 * t48683 / 0.3e1 + t49965 / 0.2e1 + t53323 - t53324 + 0.5e1 / 0.3e1 * t19608 * t3965 * t53325 + t2874 * t52759 / 0.6e1 - t3162 * t53253 / 0.6e1 - t3168 * t52877 / 0.6e1 + t2874 * t52871 / 0.12e2 - t823 * t7044 + t3389 * t7055 + t2936 * t555 * t53339 + 0.7e1 / 0.3e1 * t3007 * t33506 - t3007 * t2213 * t53339 / 0.2e1;
  t53349 = 0.2e1 / 0.3e1 * t49979;
  t53360 = t17941 * t1208;
  t53371 = -t48817 - t48822 + t53349 - t47287 - t4722 * t1199 / 0.4e1 - 0.9e1 / 0.2e1 * t2022 * t881 * t10242 * t34830 + 0.9e1 / 0.2e1 * t10541 * t41737 - t791 * t52557 / 0.6e1 + t785 * t318 * t53360 / 0.3e1 + t2936 * t548 * t53339 / 0.2e1 - 0.2e1 * t2936 * t35082 - t50008 + 0.3e1 / 0.2e1 * t610 * t8320 + t47320 + t50011 + t47325;
  t53372 = t2218 * t7328;
  t53375 = t2042 * t7424;
  t53381 = 0.5e1 / 0.18e2 * t50041;
  t53382 = t823 * t7018;
  t53401 = -t48845 - 0.11e2 / 0.18e2 * t4800 * t53372 + 0.23e2 / 0.36e2 * t4800 * t53375 - t48865 - t48869 - t48882 + t2011 * t5387 * t34958 / 0.2e1 - t53381 - t53382 / 0.4e1 + 0.4e1 * t4503 * t34784 + t2874 * t17598 * t7324 / 0.3e1 + 0.3e1 * t17561 * t7305 - 0.4e1 * t10579 * t41868 - t1961 * t42611 / 0.3e1 + t21072 * t7136 / 0.2e1 + t21072 * t7131 / 0.2e1 - 0.2e1 / 0.3e1 * t1961 * t41566;
  t53421 = t50060 / 0.6e1;
  t53434 = 0.2e1 / 0.3e1 * t50067;
  t53435 = -0.6e1 * t17713 * t15157 * t10075 * t33016 + 0.18e2 * t3980 * t15157 * t10080 * t33016 - 0.38e2 / 0.9e1 * t19635 * t10615 * t53325 + 0.89e2 / 0.9e1 * t19635 * t17701 * t33017 + t2874 * t1968 * t53279 / 0.2e1 - t53421 - t1140 * t20648 / 0.6e1 + t4308 * t1274 + 0.3e1 * t3389 * t7052 - 0.3e1 * t823 * t6970 + t4795 * t7421 - t3065 * t318 * t53339 / 0.2e1 + t48903 - t48905 - t48114 / 0.2e1 + t53434;
  t53439 = t50070 / 0.6e1;
  t53446 = 0.6e1 * t50107;
  t53447 = -t48120 / 0.2e1 + t48122 / 0.2e1 - t48124 / 0.6e1 - t53439 + t5513 * t1066 + t22064 * t48196 / 0.6e1 - t50084 - t47408 + t4944 * t1117 / 0.2e1 - t25700 * t1053 + t50089 - t50090 - t53446 - t47419 - t50121 - t47429 - t47432;
  t53466 = t50128 - t48945 + t1397 * t5241 * t34549 / 0.2e1 + t1397 * t5245 * t34836 / 0.2e1 - t1961 * t41015 / 0.3e1 - t48962 + t48965 - t48140 / 0.2e1 - t48144 / 0.2e1 + t48146 / 0.2e1 + t48153 / 0.6e1 - 0.2e1 * t2406 * t41575 - t47454 + t47461 - t48186 / 0.2e1 + 0.2e1 * t17564 * t7318;
  t53467 = 0.3e1 * t50187;
  t53480 = t52664 / 0.2e1;
  t53483 = t53467 + t50204 - 0.3e1 * t10541 * t42668 - t1397 * t41372 * t6185 + 0.7e1 / 0.3e1 * t10541 * t41311 + 0.6e1 * t2004 * t3214 * t1879 * t33448 + 0.3e1 * t2874 * t34832 + t50211 + t47492 - t53480 + t48994 + t48996 + t49006 + t48189 / 0.2e1 + 0.3e1 / 0.2e1 * t48192 - t46697 - t46772;
  t53489 = t96 * t34951;
  t53493 = t96 * t34830;
  t53500 = t49159 / 0.4e1;
  t53501 = -t49096 + t50216 - t48200 / 0.2e1 - t48203 / 0.4e1 + t50222 - t47510 - t50223 + t46848 + t46851 + t46856 - t46858 - t46865 - 0.4e1 / 0.3e1 * t4503 * t1974 * t53489 - 0.3e1 / 0.4e1 * t2874 * t10706 * t53493 + 0.5e1 / 0.12e2 * t4482 * t10615 * t53489 + t53500;
  t53502 = t49165 / 0.3e1;
  t53516 = t911 * t8255;
  t53530 = -t53502 - t1140 * t20873 / 0.12e2 - t162 * t767 * t52498 / 0.4e1 - t4308 * t1266 - t233 * t36538 / 0.6e1 + t259 * t52659 / 0.12e2 - t791 * t555 * t53360 / 0.3e1 + t53516 / 0.12e2 + t48210 / 0.6e1 - t48223 / 0.12e2 - t48225 / 0.12e2 + t48227 / 0.3e1 - t50239 + t50240 + t50242 - 0.18e2 * t2022 * t15153 * t400 * t33016 + 0.18e2 * t2004 * t15153 * t409 * t33016;
  t53545 = t22 * t11935;
  t53554 = 0.6e1 * t50245;
  t53567 = t3965 * t7285;
  t53570 = -0.18e2 * t3980 * t15169 * t1746 * t33016 + 0.36e2 * t2022 * t15169 * t1751 * t33016 - t2874 * t52634 / 0.3e1 - 0.6e1 * t19680 * t1996 * t53325 + 0.18e2 * t53545 * t41718 + 0.3e1 / 0.2e1 * t17454 * t8341 + 0.3e1 / 0.2e1 * t2022 * t881 * t1756 * t34707 - t53554 - 0.5e1 / 0.18e2 * t4482 * t33217 * t7367 - 0.3e1 / 0.2e1 * t50279 - 0.2e1 * t2004 * t877 * t1883 * t34830 + 0.16e2 / 0.3e1 * t10579 * t40990 - t49185 + t49186 - t13326 * t7281 / 0.2e1 - 0.5e1 / 0.36e2 * t22061 * t53567;
  t53577 = t17606 * t7285;
  t53580 = t17831 * t7285;
  t53597 = t50319 / 0.3e1;
  t53601 = -t50300 - t719 * t7403 / 0.2e1 - t1961 * t41199 / 0.3e1 + t50306 + t2511 * t50430 / 0.6e1 - t2471 * t53577 / 0.6e1 + t2485 * t53580 / 0.3e1 - 0.3e1 * t2011 * t41239 * t6978 + 0.3e1 / 0.2e1 * t1397 * t41239 * t6973 - 0.18e2 * t2004 * t15169 * t1756 * t33016 - 0.18e2 * t2022 * t15157 * t9992 * t33016 + t53597 - t48238 / 0.12e2 + t48241 / 0.4e1 - t48255 / 0.4e1 - t50343 - t50349;
  t53610 = t2042 * t7328;
  t53613 = t24514 * t1000;
  t53614 = t548 * t53613;
  t53641 = -t50352 + t785 * t52542 / 0.6e1 + t259 * t49723 / 0.12e2 + t1140 * t48361 / 0.6e1 - 0.5e1 / 0.36e2 * t4800 * t53610 - t671 * t53614 / 0.6e1 + t4795 * t7334 / 0.2e1 + 0.3e1 / 0.2e1 * t823 * t6974 + 0.23e2 / 0.36e2 * t3007 * t2042 * t33505 - 0.3e1 / 0.2e1 * t4800 * t2042 * t3387 * t1000 + 0.3e1 / 0.2e1 * t14675 * t6994 - 0.3e1 * t3389 * t6979 - 0.2e1 * t17561 * t7295 + 0.2e1 / 0.3e1 * t2874 * t17557 * t7324 - 0.11e2 / 0.9e1 * t4482 * t33470 * t7367 + 0.23e2 / 0.36e2 * t48264;
  t53669 = 0.3e1 * t50379;
  t53670 = t48267 / 0.2e1 - 0.5e1 / 0.36e2 * t3007 * t2042 * t53339 + t1135 * t4579 / 0.6e1 - t610 * t8324 / 0.2e1 - t208 * t41529 / 0.12e2 + t4944 * t1126 / 0.4e1 + t610 * t8310 / 0.2e1 - 0.3e1 * t610 * t8315 - t791 * t52539 / 0.12e2 + 0.3e1 / 0.2e1 * t610 * t8334 + t610 * t8329 / 0.2e1 + t50373 + t49248 - t48301 / 0.6e1 + 0.3e1 / 0.2e1 * t48304 - 0.3e1 / 0.2e1 * t2874 * t11691 * t53493 + t53669;
  t53686 = t31685 * t7146;
  t53689 = t21332 * t7139;
  t53700 = 0.4e1 * t50864;
  t53701 = 0.2e1 / 0.9e1 * t50875;
  t53702 = 0.12e2 * t50881;
  t53703 = 0.4e1 * t50897;
  t53704 = t42075 * t929;
  t53713 = t42075 * t205;
  t53717 = t414 * t34951;
  t53720 = 0.6e1 * t49314;
  t53721 = 0.2e1 * t15349 * t1845 * t53704 + 0.24e2 * t15352 * t427 * t53704 + 0.72e2 * t20052 * t427 * t53713 + 0.4e1 * t15344 * t53040 + 0.9e1 * t15349 * t53717 + t50889 + t53700 - t53701 + t53702 + t53703 - t53720;
  t53722 = t34200 * t230;
  t53726 = t414 * t53713;
  t53729 = t1857 * t53713;
  t53732 = t1845 * t53713;
  t53735 = t414 * t53704;
  t53741 = t49327 - 0.6e1 * t3197 * t427 * t53722 - 0.72e2 * t20037 * t53726 + 0.8e1 / 0.3e1 * t20045 * t53729 + 0.24e2 * t20045 * t53732 - 0.18e2 * t15349 * t53735 - t50944 + t50945 - t50946 + 0.6e1 * t48451 + 0.2e1 * t48453 - 0.4e1 * t48455;
  t53755 = -0.12e2 * t48457 + t3197 * t414 * t53722 + t50952 + t50953 + 0.2e1 * t48464 + 0.2e1 / 0.3e1 * t48466 - t48468 / 0.9e1 - t50960 - t50961 - 0.24e2 * t20254 * t149 * t53713 + t50962 - 0.6e1 * t15338 * t149 * t53704;
  t53761 = 0.12e2 * t50977;
  t53763 = 0.6e1 * t50994;
  t53768 = -0.9e1 * t15344 * t427 * t34830 + t50963 + t49360 + t49362 + 0.6e1 * t48482 - 0.2e1 / 0.3e1 * t48488 - t49376 + t53761 + 0.3e1 * t50992 - t53763 + 0.2e1 * t3200 * t53139 + 0.2e1 * t4349 * t53143;
  t53796 = 0.6e1 * t51035;
  t53797 = 0.2e1 * t51045;
  t53798 = -0.4e1 / 0.3e1 * t20045 * t10457 * t53713 - 0.2e1 * t3197 * t53043 - 0.1e2 * t15349 * t1845 * t34951 - 0.16e2 * t15352 * t427 * t34951 + 0.8e1 * t20037 * t53732 - 0.12e2 * t20052 * t53726 - 0.4e1 * t15352 * t53735 + 0.4e1 / 0.3e1 * t20037 * t53729 + 0.6e1 * t15338 * t149 * t34951 + 0.4e1 * t15341 * t149 * t34830 - t53796 - t53797;
  t53799 = t51049 / 0.9e1;
  t53800 = 0.8e1 * t51053;
  t53804 = t16829 * t34951;
  t53818 = 0.12e2 * t51061;
  t53819 = 0.24e2 * t51064;
  t53821 = t53799 - t53800 + 0.2e1 * t15349 * t19504 * t34951 - 0.18e2 * t15349 * t53804 + 0.32e2 * t15352 * t16824 * t34951 - 0.4e1 * t15341 * t53053 - 0.6e1 * t20269 * t53111 + 0.4e1 * t4349 * t52937 - 0.2e1 / 0.3e1 * t15344 * t52933 + t53818 - t53819 - 0.6e1 * t51068;
  t53823 = 0.4e1 / 0.3e1 * t51077;
  t53841 = t8147 * t205;
  t53852 = t8147 * t929;
  t53856 = -t53823 + t3197 * t52917 / 0.3e1 + 0.6e1 * t15344 * t414 * t34830 - t15349 * t1857 * t34951 / 0.6e1 + t15349 * t1857 * t53704 / 0.3e1 - t20045 * t19411 * t53713 / 0.9e1 + 0.4e1 * t3200 * t149 * t53722 - 0.36e2 * t15153 * t409 * t53841 + 0.2e1 * t877 * t53132 + 0.3e1 * t263 * t53136 + 0.12e2 * t15164 * t145 * t53841 + 0.3e1 * t3227 * t404 * t53852;
  t53860 = t1240 * t7037;
  t53870 = 0.24e2 * t15153 * t400 * t53841 - 0.2e1 * t877 * t404 * t53860 - t877 * t52955 - t263 * t52958 + 0.1e2 / 0.3e1 * t15157 * t10080 * t53841 + t49382 - t49384 + t52980 + t7173 - t263 * t53115 - t7175 + t7176;
  t53874 = 0.2e1 * t49390;
  t53877 = 0.3e1 * t49407;
  t53880 = t7177 - t46979 - t53874 - t49396 + t6862 - t6865 + t6869 + 0.32e2 / 0.3e1 * t15352 * t53717 + t49405 + t53877 - t49410 - 0.2e1 * t263 * t53098;
  t53906 = 0.4e1 / 0.3e1 * t881 * t53101 - 0.2e1 / 0.3e1 * t15169 * t1746 * t53841 - t53028 - t49424 + 0.3e1 * t881 * t1879 * t53860 - 0.2e1 / 0.3e1 * t881 * t53121 - 0.4e2 * t15169 * t1751 * t53841 - t8068 + 0.5e2 / 0.3e1 * t15157 * t9992 * t53841 - 0.12e2 * t3214 * t1879 * t53852 + 0.9e1 * t3211 * t10242 * t53852 + 0.36e2 * t15169 * t1756 * t53841;
  t53926 = -0.2e1 * t881 * t52951 + t881 * t53007 - 0.12e2 * t15157 * t9997 * t53841 + t49467 + t49474 + t47075 - t47081 - t47085 + 0.18e2 * t15344 * t16824 * t34830 - 0.3e1 * t15344 * t16829 * t34830 + t15349 * t19510 * t34951 / 0.3e1 - 0.12e2 * t15338 * t16820 * t34951;
  t53938 = -0.8e1 * t15341 * t16820 * t34830 - 0.16e2 / 0.3e1 * t15352 * t53804 - t6890 + t6898 - t6900 - t7215 + t7218 - t7219 - t3211 * t9992 * t53852 / 0.6e1 - 0.1e2 * t3211 * t9997 * t53852 + t7220 - t7221;
  t53945 = 0.2e2 / 0.3e1 * t51112;
  t53946 = 0.2e1 * t49532;
  t53947 = -0.2e1 * t1756 * t53860 * t881 + t49508 - t49513 - t49515 - 0.2e1 * t51107 + t51114 + t51115 + t51116 + t53945 - t53946 - t6330 - t7222;
  t53948 = -t51117 - t51118 + t51119 - t51121 - t51122 - t51123 + t49559 - t49564 + t49566 + t49570 - t49581 + t47130;
  t53955 = 0.4e1 * t49616;
  t53956 = t47133 + 0.8e1 * t3214 * t1756 * t53852 + t6375 + t7238 + t7239 - t6390 + t49590 - t53117 + t53125 + t263 * t53030 / 0.2e1 + t53955 - t962;
  t53965 = 0.2e1 * t48543 + 0.1e2 / 0.3e1 * t48545 - 0.4e1 / 0.3e1 * t48564 + t48566 / 0.18e2 + 0.6e1 * t48572 - 0.3e1 * t48574 + t943 - t49629 - t49631 - 0.3e1 * t48579 - t48581 - 0.4e1 * t48583;
  t53985 = -t50387 + 0.6e1 * t2004 * t15157 * t9997 * t33016 + 0.2e1 / 0.3e1 * t1961 * t41353 - 0.43e2 / 0.9e1 * t19635 * t17706 * t33044 - 0.9e1 / 0.2e1 * t3980 * t3211 * t9992 * t33448 + t49256 + 0.7e1 / 0.3e1 * t48341 - t2511 * t53686 / 0.6e1 + t2471 * t53689 / 0.12e2 + t15841 * t8399 + t2004 * t877 * t404 * t34707 - 0.6e1 * t2022 * t3214 * t1756 * t33448 - t22 * t59 * (t53721 + t53741 + t53755 + t53768 + t53798 + t53821 + t53856 + t53870 + t53880 + t53906 + t53926 + t53938 + t53947 + t53948 + t53956 + t53965) * t96 / 0.4e1 + 0.5e1 / 0.12e2 * t4482 * t10615 * t53304 - 0.35e2 / 0.108e3 * t19635 * t17706 * t53325 - t4482 * t17598 * t7367 + 0.3e1 * t2011 * t42554 * t1052;
  t53994 = t16434 * t8395;
  t53996 = t10598 * t8394;
  t53999 = 0.4e1 * t50453;
  t54002 = t1974 * t7285;
  t54023 = -0.3e1 * t1397 * t42554 * t1065 + t22071 * t7480 - t2022 * t881 * t52637 + t2004 * t881 * t52640 + t53994 / 0.12e2 + t2511 * t53996 / 0.12e2 + t49278 - t53999 + t50459 - t4510 * t17831 * t7367 - t22061 * t54002 / 0.2e1 - 0.3e1 / 0.2e1 * t22061 * t3965 * t2009 * t7284 + 0.3e1 / 0.2e1 * t11419 * t41239 * t6993 - 0.62e2 / 0.3e1 * t19635 * t33045 + 0.8e1 * t19635 * t17706 * t3978 * t33016 - t3162 * t12779 * t7324 / 0.3e1 + t4503 * t17606 * t7367;
  t54030 = 0.11e2 / 0.9e1 * t50461;
  t54031 = 0.2e1 * t50464;
  t54032 = 0.3e1 * t50465;
  t54033 = 0.14e2 / 0.3e1 * t50470;
  t54045 = t169 * t8393 * t205;
  t54046 = t1968 * t54045;
  t54053 = -t4503 * t1974 * t53304 - t54030 + t54031 - t54032 + t54033 + t48360 / 0.3e1 + t48372 / 0.12e2 + t49289 - t22411 * t1108 / 0.2e1 + t48381 + t48383 / 0.6e1 - 0.5e1 / 0.36e2 * t48385 - 0.3e1 * t48404 - t1397 * t5387 * t34975 / 0.2e1 + t2471 * t54046 / 0.6e1 - 0.8e1 * t2022 * t3214 * t1756 * t34951;
  t54063 = 0.2e1 / 0.3e1 * t50504;
  t54073 = 0.6e1 * t50539;
  t54075 = t555 * t53613;
  t54078 = 0.8e1 * t2004 * t3214 * t1879 * t34951 + t4510 * t1404 * t53489 + 0.2e1 / 0.3e1 * t3162 * t3582 * t53493 + t54063 + 0.3e1 * t35025 * t7495 - 0.6e1 * t17564 * t7443 + 0.3e1 * t17561 * t7477 - t48409 / 0.2e1 - t48411 / 0.6e1 + t48413 / 0.2e1 + t54073 + t50546 / 0.4e1 - t50558 - t50587 + t50588 - t671 * t54075 / 0.3e1 + t49681;
  t54094 = t50615 / 0.6e1;
  t54096 = t49686 + t48428 / 0.6e1 + t48430 / 0.12e2 - t49688 + 0.3e1 / 0.2e1 * t4482 * t10706 * t53489 - 0.23e2 / 0.12e2 * t4482 * t10615 * t34453 - 0.23e2 / 0.3e1 * t19608 * t3965 * t33017 - t50601 - t50604 + 0.23e2 / 0.18e2 * t4482 * t33217 * t7363 - t54094 - t49710 + t49713 + t49714 + t49717 - 0.2e1 / 0.3e1 * t48441;
  t54127 = -t913 + t984 - t7974 - t48598 - t48611 / 0.2e1 - t13326 * t7278 + t2022 * t881 * t52648 / 0.2e1 - t2004 * t881 * t53268 / 0.2e1 + 0.6e1 * t17564 * t7315 - 0.6e1 * t17561 * t7447 + t17564 * t7450 - t17561 * t7453 + t48621 / 0.3e1 - 0.9e1 / 0.2e1 * t2004 * t3211 * t10242 * t34951 - 0.9e1 / 0.2e1 * t3980 * t3211 * t9992 * t34951 + 0.9e1 * t2022 * t3211 * t9997 * t34951 + 0.11e2 / 0.6e1 * t4482 * t10832 * t53489;
  t54136 = t50628 / 0.6e1;
  t54151 = -0.23e2 / 0.12e2 * t4482 * t10615 * t34970 - 0.8e1 / 0.3e1 * t4503 * t1968 * t53489 - t54136 - t22 * t7262 * t288 / 0.4e1 - t48625 / 0.12e2 + t6778 - t6780 - t6785 - t6788 + t6799 - t6801 - t20765 * t1190 / 0.2e1 - t259 * t33371 / 0.12e2 + t4722 * t1202 / 0.2e1 + t33376 * t274 / 0.4e1 - t233 * t35411 / 0.6e1;
  t54154 = t50644 / 0.2e1;
  t54155 = t53155 / 0.6e1;
  t54156 = t35416 * t248 / 0.2e1 + t6824 - t6826 - t7091 - t7092 + t7093 + t7094 - t49754 + t54154 + t54155 + t53169 - t7095 - t7096 + t7097 - t6631 + t7098 + t6660;
  t54160 = t14860 * t7139;
  t54171 = t22 * t11836;
  t54183 = t1404 * t54045;
  t54188 = t3582 * t169 * t8393 * t929;
  t54191 = t1974 * t54045;
  t54197 = -t6668 + t48645 / 0.4e1 - t48654 / 0.12e2 + t7099 + t7100 - t2485 * t54160 / 0.6e1 - 0.6e1 * t2004 * t15164 * t145 * t33016 - 0.3e1 / 0.2e1 * t2004 * t3227 * t404 * t33448 + 0.12e2 * t54171 * t41954 + t2874 * t16037 * t8344 / 0.2e1 + t1135 * t4737 / 0.6e1 + t1140 * t20774 / 0.3e1 - t1140 * t20770 / 0.6e1 - t2485 * t54183 / 0.6e1 - t2511 * t54188 / 0.6e1 + t2471 * t54191 / 0.12e2 + 0.44e2 / 0.27e2 * t19635 * t17706 * t33017;
  t54202 = t50665 / 0.3e1;
  t54203 = t50672 / 0.6e1;
  t54207 = t305 * t20001 * t1148;
  t54212 = t17561 * t7297 + t17561 * t7300 + t17561 * t7309 - 0.3e1 / 0.2e1 * t48660 + t49783 - t49788 + t49796 + t6845 + t47731 - t54202 - t54203 + t50683 - 0.11e2 / 0.18e2 * t48667 + t8064 - t48686 / 0.6e1 + t233 * t54207 / 0.12e2 - t5161 * t7329 / 0.2e1;
  t54223 = t305 * t2966 * t7110;
  t54233 = t17660 * t7285;
  t54237 = t50722 / 0.3e1;
  t54238 = -t1135 * t6795 / 0.6e1 + 0.3e1 / 0.2e1 * t823 * t7046 + t823 * t7049 / 0.2e1 + t233 * t54223 / 0.12e2 + t259 * t53161 / 0.6e1 + t1140 * t20673 / 0.3e1 - t2452 * t8275 / 0.2e1 + t48695 / 0.3e1 - t2471 * t54233 / 0.3e1 - t2874 * t34714 + t6941 - t6947 + t50697 - t54237 + t49850 - t50729;
  t54244 = t1397 * t31457 * t1198;
  t54267 = -0.2e1 * t10579 * t42492 - t11390 * t8390 / 0.4e1 - t54244 / 0.4e1 - t1397 * t5245 * t7039 / 0.4e1 - t22636 * t7286 / 0.2e1 - t23367 * t6773 / 0.6e1 + t22071 * t7291 / 0.2e1 - t49852 - 0.11e2 / 0.18e2 * t3007 * t2218 * t53339 + 0.3e1 * t2452 * t8338 - t259 * t52410 / 0.6e1 + t259 * t53165 / 0.6e1 + t259 * t53171 / 0.12e2 - t49858 + t49860 - 0.2e1 * t48733 + t49864;
  t54280 = 0.3e1 / 0.2e1 * t49870;
  t54294 = t1404 * t169 * t287 * t7037;
  t54308 = -t2874 * t34709 + 0.6e1 * t19608 * t1974 * t53325 - t3162 * t53259 / 0.3e1 - t3168 * t53262 / 0.3e1 + 0.2e1 * t4503 * t17660 * t7367 - t54280 - 0.61e2 / 0.27e2 * t19635 * t17701 * t53325 + 0.11e2 / 0.6e1 * t4482 * t10832 * t53304 + 0.22e2 / 0.3e1 * t19608 * t3961 * t53325 - 0.7e1 * t4482 * t34454 + t2511 * t54294 / 0.12e2 - t2004 * t877 * t52816 - 0.3e1 / 0.2e1 * t2004 * t263 * t52819 + t2004 * t263 * t53216 + 0.2e1 / 0.3e1 * t1961 * t42520 - t823 * t7040 / 0.4e1;
  t54311 = 0.3e1 * t50751;
  t54316 = t2213 * t7328;
  t54319 = t2218 * t7424;
  t54328 = 0.2e1 / 0.3e1 * t791 * t34381 + t54311 - t50761 + t50762 - t208 * t41390 / 0.12e2 + t41395 * t223 / 0.4e1 - t4800 * t54316 / 0.2e1 + 0.7e1 / 0.3e1 * t4800 * t54319 - t1140 * t19929 / 0.12e2 + t4308 * t1283 / 0.2e1 - t49895 + t48742 - t49905 - t7165 - t7166 - t7167 + t21068 * t7150 / 0.2e1;
  t54340 = t318 * t53613;
  t54351 = -0.3e1 * t48750 - t17554 * t7488 + t13326 * t7491 + t50771 - t50779 + t50781 - t50783 + t233 * t50086 / 0.6e1 - t4308 * t1269 / 0.2e1 + 0.2e1 / 0.3e1 * t546 * t41435 + t666 * t54340 / 0.3e1 - t5513 * t1058 - t5513 * t1061 / 0.2e1 - t18684 * t1261 + t546 * t41451 / 0.3e1 - t4944 * t1111 / 0.2e1;
  t54372 = t50812 / 0.3e1;
  t54373 = t50824 / 0.3e1;
  t54374 = t50826 / 0.2e1;
  t54377 = t50836 / 0.3e1;
  t54381 = -t4944 * t1114 / 0.4e1 - 0.3e1 * t2004 * t3227 * t404 * t34951 + 0.3e1 / 0.2e1 * t50799 - t50808 - 0.7e1 * t10541 * t42641 + 0.9e1 / 0.2e1 * t2004 * t881 * t10277 * t34830 + 0.3e1 * t48798 - 0.2e1 * t19635 * t10832 * t53325 + 0.3e1 / 0.2e1 * t4482 * t10706 * t53304 + t54372 - t54373 + t54374 - t4722 * t1194 / 0.2e1 - t50832 + t54377 - t791 * t548 * t53360 / 0.6e1 - t50848;
  t54412 = t50850 - t3168 * t52601 / 0.3e1 - t2874 * t52606 / 0.6e1 + 0.2e1 * t21063 * t1982 * t53325 + t4510 * t1404 * t53304 / 0.2e1 - 0.3e1 * t19680 * t1962 * t53325 + t2874 * t16053 * t8344 / 0.4e1 + t2874 * t1974 * t53279 / 0.4e1 + t3162 * t53221 / 0.3e1 + t3168 * t52654 / 0.2e1 - t7266 + t7267 - t7268 + t7269 - t49920 + 0.9e1 * t2022 * t3211 * t9997 * t33448 - 0.28e2 * t53545 * t41297;
  t54425 = t3965 * t7484;
  t54431 = t49933 / 0.2e1;
  t54437 = t20571 * t7139;
  t54450 = -0.3e1 / 0.2e1 * t15841 * t8355 - 0.3e1 / 0.2e1 * t2004 * t881 * t1879 * t34707 + t2011 * t41372 * t6408 + 0.9e1 / 0.2e1 * t4482 * t33450 - 0.2e1 / 0.3e1 * t22064 * t48112 + 0.23e2 / 0.36e2 * t22061 * t54425 - t3162 * t10598 * t8344 / 0.3e1 + t51171 + t54431 - t51172 + 0.14e2 / 0.3e1 * t4482 * t33470 * t7363 - t21072 * t7155 / 0.2e1 + t2471 * t54437 / 0.6e1 + t2874 * t52890 / 0.3e1 + t2874 * t52756 / 0.6e1 + t2004 * t877 * t53176 / 0.2e1 + t2004 * t263 * t53180 / 0.2e1;
  t54456 = my_piecewise3(t3, 0, t53447 + t54351 + t54096 + t54127 + t54053 + t53985 + t54238 + t54078 + t54328 + t53641 + t53670 + t53601 + t54151 + t54381 + t54197 + t53570 + t54308 + t53483 + t54412 + t54450 + t54212 + t53466 + t53435 + t54267 + t53401 + t53371 + t53347 + t54023 + t53315 + t53501 + t54156 + t53530);
  tv4sigmalapl2tau0 = 0.2e1 * rho[0] * t54456;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 0] += tv4sigmalapl2tau0;

  t54464 = t7632 * t230;
  t54465 = t96 * t54464;
  t54469 = t16138 * t8707;
  t54481 = t20001 * t1208;
  t54496 = t8473 * t205;
  t54504 = -0.2e1 * t38002 * t10832 * t7367 + t2874 * t16037 * t8691 / 0.6e1 + t2874 * t1968 * t54465 / 0.6e1 - t54469 / 0.3e1 - t2874 * t16053 * t8706 / 0.3e1 - t2874 * t1974 * t500 * t54464 / 0.3e1 + t51203 / 0.12e2 - t20765 * t1261 + t51205 / 0.12e2 - t791 * t555 * t54481 / 0.3e1 + 0.2e1 / 0.3e1 * t791 * t36024 - 0.3e1 * t610 * t8424 + 0.3e1 / 0.2e1 * t610 * t8428 - t5706 * t7360 / 0.2e1 - t1292 * t7107 / 0.6e1 + t49959 + t51213 / 0.2e1 - t2004 * t881 * t1879 * t54496 / 0.2e1 + 0.6e1 * t2022 * t6044 * t52804;
  t54518 = t8695 * t205;
  t54519 = t96 * t54518;
  t54523 = t8574 * t205;
  t54524 = t96 * t54523;
  t54528 = t500 * t54523;
  t54538 = t169 * t36683;
  t54545 = -0.3e1 * t2004 * t6044 * t52808 - 0.18e2 * t2022 * t27493 * t35710 + 0.2e1 / 0.3e1 * t49965 + t53323 - t53324 - t48816 / 0.4e1 + t53349 - t47287 / 0.2e1 - t51232 - t47309 / 0.6e1 + t47320 / 0.2e1 + t47322 / 0.6e1 + t47324 / 0.12e2 - t2874 * t11691 * t54519 / 0.3e1 + 0.11e2 / 0.18e2 * t4482 * t10832 * t54524 - 0.23e2 / 0.36e2 * t4482 * t10615 * t54528 + t4482 * t10706 * t54524 / 0.2e1 - 0.7e1 / 0.3e1 * t4482 * t10832 * t54528 - 0.11e2 / 0.9e1 * t4482 * t3961 * t54538 + 0.23e2 / 0.18e2 * t4482 * t3965 * t36684;
  t54557 = t53382 / 0.2e1;
  t54572 = 0.2e1 * t4503 * t1996 * t54538 - t259 * t36538 / 0.6e1 + 0.3e1 * t1397 * t27224 * t36216 + t1397 * t5716 * t36592 - t53381 - t54557 + t14865 * t7491 - t53421 + t51253 / 0.2e1 + t48903 / 0.2e1 - t48904 / 0.3e1 + t51261 - t48114 + t1297 * t47361 / 0.3e1 + t785 * t54340 / 0.3e1 + t259 * t50086 / 0.6e1 + t5713 * t7064 / 0.2e1 + t1297 * t47558 / 0.6e1 - t51267;
  t54605 = t53434 + t51273 - t48120 + t48122 - t50069 - t53439 - 0.3e1 / 0.2e1 * t5911 * t2042 * t2450 * t1208 - t4482 * t1974 * t54538 + 0.14e2 / 0.3e1 * t4482 * t3961 * t36684 - t5911 * t53229 / 0.2e1 - t791 * t54075 / 0.3e1 - 0.3e1 * t4482 * t3965 * t2009 * t36683 + 0.3e1 * t11419 * t26197 * t36351 - 0.6e1 * t2011 * t26197 * t36766 + 0.3e1 * t1397 * t26197 * t36719 - 0.3e1 / 0.2e1 * t3980 * t3211 * t9992 * t54523 - 0.2e1 / 0.3e1 * t47397 - t47408 / 0.2e1 + t51288 - t51293;
  t54633 = t52429 - 0.4e1 / 0.3e1 * t5826 * t34958 - 0.8e1 * t5826 * t36827 + 0.12e2 * t26290 * t36216 + 0.4e1 * t5823 * t36592 - 0.8e1 * t26284 * t36581 - 0.8e1 / 0.3e1 * t5826 * t36084 + 0.16e2 / 0.9e1 * t26305 * t36351 + 0.4e1 * t5823 * t34549 + 0.4e1 * t5829 * t34836 + t49008 + t51703 - t51707;
  t54636 = 0.2e1 * t265 * t7039 + t49012 - t49026 + t51722 + t52453 + t52454 + t52455 - t52457 - t52460 + t52461 + t52462 - t52487 + t6212;
  t54648 = 0.4e1 / 0.3e1 * t7443 + t51734 - 0.2e1 / 0.3e1 * t7450 + 0.24e2 * t7447 + 0.4e1 * t7453 - 0.12e2 * t7477 - t51738 + t51742 - 0.12e2 * t7305 - 0.4e1 * t7309 - 0.4e1 * t7297 - 0.4e1 * t7300 - 0.4e1 * t7315;
  t54662 = -0.4e1 / 0.3e1 * t7318 + 0.2e2 / 0.9e1 * t7495 + 0.8e1 * t7295 - 0.2e1 * t5829 * t7039 - 0.24e2 * t26284 * t36712 + 0.32e2 / 0.3e1 * t26305 * t36766 - 0.4e1 * t5826 * t34975 + 0.12e2 * t26305 * t36719 - t6224 + t49054 - t49061 + t49065 - t52493;
  t54664 = t54633 + t54636 + t54648 + t54662;
  t54679 = t8574 * t929;
  t54687 = t169 * t36803;
  t54693 = 0.23e2 / 0.36e2 * t47411 - 0.2e1 * t47413 - t53446 - t47419 / 0.2e1 - t47423 / 0.12e2 - t47429 / 0.2e1 - t47431 / 0.4e1 + t47433 / 0.3e1 + t259 * t305 * t306 * t95 * t54664 / 0.12e2 + t51314 + t1297 * t52502 / 0.3e1 + t1297 * t52505 / 0.3e1 - t51321 + t259 * t54223 / 0.6e1 - t791 * t548 * t54481 / 0.6e1 - 0.3e1 / 0.2e1 * t2022 * t881 * t10242 * t54679 - 0.2e1 * t1397 * t6152 * t36827 + 0.2e1 / 0.3e1 * t2874 * t1968 * t54687 + 0.2e1 / 0.3e1 * t1961 * t44033;
  t54697 = t8695 * t929;
  t54705 = t7632 * t1147;
  t54710 = t1304 * t7037;
  t54723 = -t2004 * t877 * t1883 * t54518 - 0.3e1 / 0.2e1 * t2004 * t263 * t10295 * t54697 - t3168 * t28417 * t8696 / 0.6e1 - t3168 * t3582 * t96 * t54705 / 0.6e1 - t3168 * t3582 * t96 * t54710 / 0.6e1 + t3168 * t53996 / 0.6e1 + t3168 * t54294 / 0.6e1 + t51344 - t51350 - t48140 - t48144 + t48146 + t4722 * t1274 + t50170 - t47454 / 0.2e1 + t47461 / 0.2e1 - t48186 - t51389 / 0.6e1 - t51401 + t51403;
  t54742 = t21274 * t7285;
  t54747 = t21321 * t7285;
  t54754 = 0.23e2 / 0.18e2 * t4482 * t35567 * t7363 + t53467 + t2874 * t54437 / 0.3e1 + t50204 - t51407 / 0.6e1 + 0.3e1 / 0.2e1 * t47488 + t47492 / 0.2e1 + t48995 / 0.12e2 + t49005 / 0.12e2 - t51429 - t14865 * t7278 - t14865 * t7281 / 0.2e1 + t3162 * t53580 / 0.3e1 + t3168 * t50430 / 0.6e1 + t2485 * t54742 / 0.3e1 + t2511 * t52004 / 0.6e1 - t2471 * t54747 / 0.6e1 - 0.4e1 * t10579 * t43433 + t21072 * t7297 + t21072 * t7300;
  t54776 = -0.2e1 / 0.3e1 * t1961 * t44721 - t13326 * t7823 / 0.2e1 + 0.2e1 / 0.3e1 * t1961 * t43842 + 0.3e1 * t21072 * t7305 + t21072 * t7309 + t48189 + t50214 + t3162 * t16057 * t8559 / 0.3e1 - t46697 - t46772 + t47497 / 0.3e1 - t48200 - t48204 - t208 * t43242 / 0.12e2 - t719 * t7876 + 0.3e1 / 0.2e1 * t47500 - t51485 - t51488 + t610 * t8628 / 0.4e1 - t208 * t43974 / 0.6e1;
  t54803 = t53516 / 0.6e1;
  t54804 = t5513 * t1126 / 0.2e1 + t719 * t7906 / 0.4e1 + t2861 * t7890 - t47510 / 0.2e1 - t47514 / 0.6e1 + t46848 + t46851 + t46856 - t46858 - t46865 + 0.47e2 / 0.3e1 * t53312 * t43900 + 0.6e1 * t2004 * t6075 * t7294 - 0.28e2 * t53545 * t44699 + t51516 / 0.12e2 - 0.3e1 * t719 * t7660 - 0.3e1 * t2861 * t7657 + 0.3e1 / 0.2e1 * t719 * t7651 + 0.3e1 / 0.2e1 * t13382 * t7654 + t54803;
  t54807 = t96 * t54496;
  t54830 = t50226 - t50229 - t50230 + t50231 - t51534 - 0.5e1 / 0.36e2 * t47524 + t47529 / 0.6e1 + t47539 - t51543 - t53554 + t2874 * t1968 * t54807 / 0.6e1 + t2874 * t17557 * t7807 / 0.6e1 - 0.11e2 / 0.9e1 * t4482 * t35563 * t7367 - 0.2e1 * t50279 + 0.3e1 * t2452 * t8646 + t2452 * t8649 + t509 * t5785 * t52669 + t4308 * t1356 / 0.2e1 + t610 * t8641 / 0.2e1 + t162 * t5855 * t7039 / 0.2e1;
  t54834 = t719 * t7868;
  t54862 = t16429 * t8692;
  t54871 = -t4308 * t1365 / 0.4e1 - t54834 / 0.4e1 - t719 * t7873 / 0.4e1 + 0.2e1 * t2011 * t6152 * t36084 - t4510 * t1982 * t54538 - t3162 * t1404 * t54687 / 0.3e1 - 0.5e1 / 0.18e2 * t4482 * t3965 * t54538 + t4503 * t1962 * t54538 + t2874 * t1974 * t54687 / 0.3e1 + t1397 * t5720 * t34836 - 0.2e1 / 0.3e1 * t1961 * t43252 + t1397 * t5716 * t34549 - 0.4e1 * t10579 * t44846 + t51562 - t54862 / 0.6e1 - t3162 * t10598 * t8691 / 0.6e1 - t3162 * t1404 * t54465 / 0.6e1 - t47556 / 0.12e2 + t50306;
  t54885 = t13326 * t7804 + t53597 - t50325 + t50326 - t48256 + t51598 - t51606 + t51610 - t47593 - 0.3e1 * t47616 - 0.3e1 * t47622 - 0.6e1 * t38007 * t7468 + 0.44e2 / 0.27e2 * t38002 * t17706 * t7363 + 0.22e2 / 0.3e1 * t37997 * t7368 + t26697 * t52812 + t50353 + t48267 - t51617 + 0.7e1 / 0.3e1 * t5911 * t18717 + t51627;
  t54888 = t911 * t8618;
  t54926 = t51630 + t54888 / 0.12e2 + t51637 + t259 * t305 * t2156 * t8616 / 0.12e2 + t25897 * t7473 / 0.2e1 + t25897 * t7143 / 0.2e1 + 0.5e1 / 0.12e2 * t26697 * t10615 * t7324 - 0.35e2 / 0.108e3 * t38002 * t17706 * t7367 - 0.5e1 / 0.6e1 * t25843 * t7140 - t27191 * t52593 / 0.2e1 + 0.5e1 / 0.18e2 * t26697 * t52596 - 0.3e1 * t38007 * t7504 - t25843 * t7507 + 0.5e1 / 0.3e1 * t37997 * t7510 + t2874 * t1974 * t54807 / 0.12e2 - 0.5e1 / 0.3e1 * t25843 * t7158 - t27191 * t52515 + 0.11e2 / 0.9e1 * t26697 * t52518 - t3168 * t30687 * t7836 / 0.6e1;
  t54957 = t8473 * t929;
  t54979 = -0.6e1 * t21068 * t7443 - 0.62e2 / 0.3e1 * t38002 * t17701 * t7464 - 0.3e1 * t4482 * t35567 * t7464 + t47664 / 0.3e1 - t1292 * t7112 / 0.6e1 + t5713 * t7351 / 0.2e1 + t1297 * t52700 / 0.6e1 + t1297 * t52703 / 0.6e1 - 0.5e1 / 0.36e2 * t5911 * t2042 * t7347 + t259 * t305 * t2777 * t7633 / 0.12e2 + t2874 * t17598 * t7807 / 0.12e2 - t3162 * t1404 * t54807 / 0.6e1 - t3168 * t3582 * t96 * t54957 / 0.6e1 + t2874 * t21332 * t7324 / 0.3e1 - 0.5e1 / 0.18e2 * t4482 * t35567 * t7367 - t3162 * t12779 * t7807 / 0.6e1 - t3162 * t54160 / 0.3e1 - t3168 * t53686 / 0.3e1 + t2874 * t53689 / 0.6e1 - 0.23e2 / 0.18e2 * t26697 * t53193;
  t55003 = -t4510 * t21274 * t7367 - t3162 * t14860 * t7324 / 0.3e1 + t4503 * t21321 * t7367 - t2874 * t53577 / 0.6e1 + 0.2e1 * t27191 * t53190 - t50374 + t50375 - 0.2e1 / 0.3e1 * t1297 * t52509 - t823 * t7403 / 0.2e1 - t233 * t39593 / 0.6e1 + t4722 * t1283 / 0.2e1 - t4722 * t1266 + t51657 + t51661 + t51663 - t51665 - t51667 - t4722 * t1269 / 0.2e1 + t53669 - t50387;
  t55010 = t96 * t54679;
  t55031 = t1386 * t205;
  t55032 = t169 * t55031;
  t55033 = t1996 * t55032;
  t55050 = 0.6e1 * t21068 * t7315 - 0.6e1 * t21072 * t7447 + t21068 * t7450 - t21072 * t7453 - t51676 - t2874 * t10706 * t55010 / 0.4e1 - t2874 * t10706 * t54519 / 0.6e1 + 0.3e1 / 0.2e1 * t2004 * t881 * t10277 * t54679 + t51685 + t50410 + 0.3e1 * t21072 * t7477 - 0.6e1 * t17713 * t27466 * t10075 * t7303 + 0.18e2 * t3980 * t27466 * t10080 * t7303 - t2471 * t55033 / 0.6e1 + t2471 * t1962 * t1395 * t55031 / 0.3e1 - t2011 * t42774 * t1052 / 0.2e1 + t1397 * t42774 * t1065 / 0.2e1 - t2874 * t54233 / 0.3e1 - t51691 / 0.4e1 - t51694 / 0.4e1;
  t55058 = t162 * t3517 * t8632;
  t55072 = t53994 / 0.6e1;
  t55080 = t2022 * t3612 * t43063;
  t55089 = t2004 * t3612 * t8575;
  t55100 = -t610 * t8633 / 0.4e1 - t55058 / 0.4e1 - t162 * t767 * t303 * t137 * t54664 / 0.4e1 - t610 * t8636 - t162 * t5785 * t53241 + 0.3e1 / 0.2e1 * t610 * t8638 - t233 * t39601 / 0.12e2 + t55072 - t2004 * t881 * t1879 * t54464 / 0.2e1 + t17454 * t8571 / 0.2e1 + t55080 / 0.2e1 + t2022 * t881 * t1756 * t54464 / 0.2e1 - t15841 * t8576 / 0.2e1 - t55089 / 0.2e1 - t17444 * t8567 + t11390 * t8569 - t2874 * t16143 * t8559 / 0.3e1 + 0.2e1 / 0.3e1 * t2874 * t35660 + t15841 * t8711 / 0.2e1;
  t55102 = t2004 * t3607 * t8710;
  t55116 = t55102 / 0.2e1 + t2004 * t877 * t404 * t54464 / 0.2e1 + t15841 * t8715 / 0.2e1 + t49278 / 0.2e1 - t53999 + 0.3e1 / 0.2e1 * t47670 - t51780 - t54030 + t54031 - t54032 + t54033 + t50497 + t48373 + 0.3e1 * t35869 * t7495 + t50498 + t50499 - t50500 - 0.23e2 / 0.3e1 * t37997 * t7371 - t50501 + t7611;
  t55128 = t54063 - t11390 * t8718 - t48409 - t50534 + t48413 + t51808 / 0.2e1 - t51812 / 0.3e1 + t54073 - t51822 - t11390 * t8720 / 0.2e1 + t51829 + t51830 / 0.6e1 + t51840 + t50546 / 0.3e1 - t50558 - 0.11e2 / 0.18e2 * t47677 + 0.3e1 * t47690 + t49686 / 0.2e1 + t50591;
  t55130 = t16138 * t8703;
  t55132 = t20575 * t7285;
  t55156 = t48431 - t49688 / 0.2e1 + t55130 / 0.6e1 - t2471 * t55132 / 0.3e1 + 0.2e1 / 0.3e1 * t2471 * t21321 * t7484 - t20902 * t7488 - 0.4e1 / 0.3e1 * t50601 - t50604 + 0.18e2 * t2004 * t27493 * t7446 - 0.5e1 * t2022 * t6075 * t34789 - t54094 - t233 * t37793 / 0.12e2 + t35416 * t274 / 0.2e1 + t37798 * t248 / 0.4e1 - t208 * t43207 / 0.12e2 - t50619 - t913 + t984 + t1297 * t18679 / 0.3e1 - t7020;
  t55185 = -t50626 + 0.3e1 / 0.2e1 * t719 * t7878 + t719 * t7881 / 0.2e1 - t791 * t53614 / 0.6e1 - t5706 * t7103 / 0.2e1 - t1292 * t6641 / 0.6e1 + t5713 * t7010 - t48611 + t2874 * t54046 / 0.3e1 - t4503 * t1968 * t54524 + 0.5e1 / 0.36e2 * t4482 * t10615 * t54524 - 0.4e1 / 0.3e1 * t2874 * t36805 + t50627 - t54136 - t50640 + 0.89e2 / 0.9e1 * t38002 * t17701 * t7363 - 0.38e2 / 0.9e1 * t38002 * t10615 * t7367 + t6777 - t7771;
  t55200 = t26003 * t1000;
  t55201 = t555 * t55200;
  t55210 = -t6784 - t6787 + t7772 - t7773 + t7789 - t7790 - t6589 - t7092 + t6598 + t7094 - t49753 / 0.4e1 + t54154 + 0.6e1 * t2011 * t26864 * t36581 + 0.3e1 * t2861 * t7886 + 0.7e1 / 0.3e1 * t5911 * t52554 - 0.3e1 / 0.2e1 * t5911 * t2042 * t2859 * t1000 - 0.11e2 / 0.18e2 * t5911 * t52566 - t671 * t55201 / 0.6e1 + t671 * t548 * t5983 * t1000 / 0.3e1 - t26738 * t1053 / 0.2e1;
  t55232 = t5985 * t1066 / 0.2e1 - t25700 * t1108 + t5513 * t1117 - t6610 - t6616 + t6629 - t6632 + t6647 + t6661 - t6669 + t4308 * t1368 / 0.2e1 + t50650 - t50651 + t7099 + t7100 - t51926 / 0.2e1 - 0.61e2 / 0.27e2 * t38002 * t17701 * t7367 + 0.8e1 * t38002 * t17706 * t3978 * t7303 - t4503 * t1974 * t54524 / 0.2e1 + t4510 * t1404 * t54524 / 0.2e1;
  t55254 = t3162 * t3582 * t55010 / 0.3e1 + t2874 * t54191 / 0.6e1 + t2874 * t10706 * t500 * t54679 - t3162 * t54183 / 0.3e1 - t3168 * t54188 / 0.3e1 - t50661 - t51939 + t51950 + t259 * t54207 / 0.6e1 + t7815 + t47731 / 0.2e1 - t54202 - t54203 + t47751 - t50684 - t18684 * t1352 / 0.2e1 + t7122 + 0.3e1 / 0.2e1 * t10964 * t8448 - 0.3e1 * t2452 * t8453 - t50689;
  t55277 = t16434 * t8697;
  t55279 = t911 * t8612;
  t55293 = -t51967 + t1292 * t4302 / 0.6e1 - t259 * t35411 / 0.6e1 + t50695 + t7854 - t7855 - t1397 * t5720 * t7039 / 0.2e1 - t2874 * t15878 * t8559 / 0.6e1 + 0.14e2 / 0.3e1 * t4482 * t35563 * t7363 + t50697 - t4482 * t21332 * t7367 + 0.6e1 * t2004 * t27466 * t9997 * t7303 - t55277 / 0.6e1 - t54237 + t55279 / 0.12e2 + t259 * t305 * t17941 * t1305 / 0.12e2 - 0.2e1 / 0.3e1 * t1297 * t52512 + t785 * t318 * t54481 / 0.3e1 - 0.11e2 / 0.18e2 * t5911 * t2218 * t7347;
  t55303 = t54244 / 0.2e1;
  t55325 = t548 * t55200;
  t55328 = t318 * t55200;
  t55333 = 0.23e2 / 0.36e2 * t5911 * t2042 * t7337 - t5911 * t2213 * t7347 / 0.2e1 + t5713 * t7348 - 0.2e1 * t5713 * t7338 - t50729 - t55303 - 0.3e1 / 0.2e1 * t2004 * t3227 * t404 * t54523 - t2874 * t11691 * t55010 / 0.2e1 - t1297 * t18675 / 0.6e1 - t1297 * t18691 / 0.12e2 - t5513 * t1114 / 0.2e1 + 0.2e1 / 0.3e1 * t546 * t44000 - t5985 * t1058 / 0.2e1 - t5985 * t1061 / 0.4e1 + t233 * t51570 / 0.12e2 - t671 * t55325 / 0.12e2 + t666 * t55328 / 0.6e1 - t49857 / 0.6e1 + t49859 / 0.12e2 - t50735;
  t55391 = t53700 - t53701 + t53702 + 0.4e1 / 0.3e1 * t50889 + t53703 + 0.2e1 * t52050 + 0.2e1 * t52052 + t52054 / 0.3e1 - 0.18e2 * t27582 * t7554 - 0.6e1 * t15352 * t427 * t54523 - 0.3e1 * t15344 * t427 * t54679 - t15349 * t1857 * t54523 / 0.18e2 - 0.24e2 * t38277 * t7546 - 0.6e1 * t27576 * t7549;
  t55402 = t44261 * t205;
  t55413 = t414 * t54523;
  t55431 = -0.6e1 * t27576 * t7224 - 0.4e1 * t38264 * t7228 + t27582 * t1857 * t7542 / 0.3e1 - t38328 * t19411 * t7517 / 0.9e1 + 0.2e1 * t3200 * t149 * t55402 + 0.2e1 * t4349 * t149 * t44261 * t929 + t3197 * t414 * t55402 / 0.3e1 + 0.4e1 * t15352 * t55413 + 0.2e1 * t15344 * t414 * t54679 - 0.12e2 * t38282 * t7523 - 0.4e1 * t27586 * t7554 + 0.4e1 / 0.3e1 * t38331 * t7557 - 0.1e2 / 0.3e1 * t27586 * t7231 - 0.2e1 * t38374 * t52926 + 0.2e1 / 0.9e1 * t27582 * t52913;
  t55452 = 0.8e1 / 0.3e1 * t38328 * t7557 + 0.24e2 * t38328 * t7518 - 0.12e2 * t27582 * t7231 - 0.2e1 * t15344 * t427 * t54518 + 0.2e2 * t27586 * t7234 + 0.3e1 * t15349 * t55413 - 0.72e2 * t38331 * t7523 - 0.2e1 * t52064 - t52073 - t47827 / 0.9e1 + 0.2e1 * t47830 - 0.2e1 / 0.3e1 * t47833 + t50948 + t50949;
  t55461 = -t50950 - t50951 + 0.6e1 * t47847 + 0.2e1 / 0.3e1 * t47852 + t50954 + t50955 - t50956 - 0.12e2 * t47878 - 0.4e1 * t47883 + 0.6e1 * t47885 + 0.2e1 * t47887 + 0.2e1 * t49359 + 0.2e1 * t49361 + t50964 - t50965;
  t55466 = t16779 * t8545;
  t55468 = t38358 * t230;
  t55478 = t16798 * t8548;
  t55483 = t29217 * t8538;
  t55493 = t16779 * t8542;
  t55495 = -0.2e1 * t49375 + t53761 + 0.4e1 * t50992 - t53763 - 0.2e1 * t55466 - 0.2e1 * t3197 * t427 * t55468 + 0.3e1 * t20269 * t149 * t54697 + 0.4e1 / 0.3e1 * t15344 * t414 * t54518 + 0.2e1 * t55478 + 0.2e1 * t3200 * t149 * t55468 + 0.2e1 * t55483 + 0.2e1 * t4349 * t149 * t38358 * t1147 + 0.2e1 * t4349 * t149 * t6028 * t7037 + t55493 / 0.3e1;
  t55525 = t3197 * t414 * t55468 / 0.3e1 + 0.12e2 * t38374 * t53050 + 0.3e1 * t15338 * t149 * t54523 + 0.2e1 * t15341 * t149 * t54679 + 0.2e1 * t15341 * t149 * t54518 + 0.24e2 * t27586 * t7543 + 0.2e1 * t27582 * t1845 * t7542 - t53796 - t53797 + t53799 - t53800 + 0.8e1 * t38331 * t7518 + 0.4e1 / 0.3e1 * t27582 * t52999 - 0.4e1 / 0.3e1 * t38328 * t10457 * t7517 - 0.2e1 * t3197 * t427 * t55402;
  t55533 = -0.1e2 / 0.3e1 * t15349 * t1845 * t54523 + 0.72e2 * t38282 * t7526 + t53818 - t53819 - 0.8e1 * t51068 - t53823 + t7174 - t6483 + t6490 + t6492 - t46979 - t52098 - t52109 - t52112 + t52126;
  t55550 = t1240 * t7632;
  t55554 = t52130 - t52136 + 0.2e1 / 0.3e1 * t1323 * t53130 - t49395 - t6044 * t53118 / 0.9e1 + t7683 - t7684 + t7685 + t263 * t404 * t60 * t54664 / 0.2e1 + 0.2e1 * t1323 * t53072 + t49405 / 0.2e1 - t263 * t404 * t63 * t54664 - 0.2e1 / 0.3e1 * t27440 * t7580 - 0.2e1 / 0.3e1 * t881 * t1756 * t55550 - t7214;
  t55558 = t1032 * t8473;
  t55562 = t3612 * t8510;
  t55570 = t3612 * t8519;
  t55579 = t3607 * t8531;
  t55581 = t942 * t8475;
  t55585 = -0.2e1 / 0.3e1 * t881 * t1756 * t55558 - 0.2e1 / 0.3e1 * t55562 + 0.2e1 * t1319 * t7202 + 0.2e2 / 0.3e1 * t6075 * t7204 - t877 * t404 * t55550 + t55570 + t881 * t1879 * t55550 + 0.24e2 * t27493 * t7577 - 0.4e1 * t1323 * t52981 - 0.2e2 / 0.3e1 * t6044 * t52943 - t55579 - t1319 * t7241 + t55581 / 0.2e1 - 0.4e1 / 0.3e1 * t1323 * t52987;
  t55603 = t49473 + t47075 - t47081 - t47085 + t7709 + 0.36e2 * t27440 * t7535 - 0.12e2 * t27466 * t9997 * t7530 + 0.6e1 * t6044 * t53025 - t52199 - 0.12e2 * t6075 * t7564 - 0.4e2 * t27440 * t7586 + 0.1e2 / 0.3e1 * t27466 * t10080 * t7530 + 0.5e2 / 0.3e1 * t27466 * t9992 * t7530 - t7710 + t7711;
  t55622 = t942 * t8534;
  t55630 = -t1147 * t1883 * t263 * t7686 - t1336 * t1883 * t263 * t7037 - t1883 * t263 * t8474 * t929 + 0.9e1 * t10242 * t6044 * t7563 - t404 * t55558 * t877 - 0.6e1 * t1323 * t52940 + 0.12e2 * t27437 * t7570 - 0.36e2 * t27493 * t7531 + 0.3e1 * t6059 * t7573 - 0.1e2 * t6075 * t7182 - t55622 - t6532 + t6543 - t6546 - t7712;
  t55648 = t942 * t8507;
  t55650 = t881 * t1879 * t55558 + t7220 - t6044 * t9992 * t7563 / 0.6e1 - 0.1e2 * t6044 * t9997 * t7563 + 0.4e1 * t1323 * t53018 + 0.8e1 * t6075 * t7567 + 0.3e1 * t6059 * t7209 + 0.2e1 * t1319 * t7212 - t7221 - t6330 - t7222 + t52205 / 0.2e1 - t52207 - t55648 - 0.8e1 / 0.3e1 * t51107;
  t55661 = t53945 - t49514 + t52220 + 0.6e1 * t47961 + 0.2e1 * t47964 + 0.1e2 / 0.3e1 * t47967 - 0.4e1 * t47984 - 0.4e1 / 0.3e1 * t47987 + t47993 / 0.18e2 - 0.3e1 * t47998 - t48000 - 0.3e1 * t48014 - t7728 + t47130;
  t55664 = t47133 - 0.2e1 / 0.3e1 * t52261 + t52268 + t52275 - t52277 - t52278 - t52280 - t52284 + t6375 + t7238 + t7239 - t6390 + t49589 / 0.3e1 + t52299 + t52301;
  t55683 = t16829 * t54523;
  t55692 = t52305 - t52307 - 0.2e1 / 0.3e1 * t15344 * t16829 * t54518 - 0.6e1 * t15338 * t16820 * t54523 - 0.4e1 * t15341 * t16820 * t54679 + 0.6e1 * t15344 * t16824 * t54679 + t15349 * t19510 * t54523 / 0.9e1 - t15344 * t16829 * t54679 - 0.2e1 * t15352 * t55683 - 0.4e1 * t15341 * t16820 * t54518 - 0.6e1 * t20269 * t16820 * t54697 + t52313 + t52319 - t962 + t51153;
  t55705 = t51154 - t51155 + t51156 + t51157 - t51158 + 0.4e1 * t15344 * t16824 * t54518 + 0.2e1 / 0.3e1 * t15349 * t19504 * t54523 - 0.6e1 * t15349 * t55683 + 0.12e2 * t15352 * t16824 * t54523 + t943 - t49628 - 0.2e1 / 0.3e1 * t49630 - t51159 - t51160 - t51161;
  t55714 = t49863 / 0.6e1 + t43212 * t223 / 0.4e1 - 0.18e2 * t2004 * t27440 * t7476 + 0.6e1 * t37997 * t7458 + t54311 + t17564 * t7843 / 0.2e1 - t17561 * t7847 / 0.2e1 - 0.18e2 * t3980 * t27440 * t35439 + 0.36e2 * t2022 * t27440 * t36329 - 0.3e1 * t3980 * t6044 * t52885 - t17554 * t7802 - 0.18e2 * t2022 * t27466 * t9992 * t7303 - t47795 / 0.12e2 + t47801 / 0.4e1 - t52010 + t2004 * t881 * t10277 * t54518 - t22 * t1043 * t1387 / 0.4e1 - t22 * t7592 * t288 / 0.2e1 - t22 * t59 * (t55391 + t55431 + t55452 + t55461 + t55495 + t55525 + t55533 + t55554 + t55585 + t55603 + t55630 + t55650 + t55661 + t55664 + t55692 + t55705) * t96 / 0.4e1;
  t55724 = t16138 * t8700;
  t55749 = -0.5e1 / 0.36e2 * t5911 * t52588 - 0.2e1 * t5713 * t6983 - 0.2e1 / 0.3e1 * t1297 * t47333 + 0.23e2 / 0.36e2 * t5911 * t52399 - t5513 * t1111 + t55724 / 0.12e2 + t2874 * t16053 * t8691 / 0.12e2 + t2874 * t1974 * t54465 / 0.12e2 + t50766 + t27242 * t7147 / 0.3e1 + 0.2e1 * t38874 * t7470 - t49904 / 0.6e1 - 0.6e1 * t1397 * t26864 * t36712 + t2011 * t6152 * t34958 - t1397 * t6152 * t34975 - t4308 * t1360 / 0.2e1 - t7165 - t7166 - t7167 + t3162 * t3582 * t54519 / 0.3e1;
  t55790 = t3168 * t16129 * t96 * t54697 / 0.2e1 - t2004 * t877 * t1883 * t54679 + 0.2e1 * t10579 * t43780 - t50770 - 0.3e1 * t2022 * t3214 * t1756 * t54523 + 0.3e1 * t2004 * t3214 * t1879 * t54523 - t2022 * t881 * t10242 * t54518 - t7870 + t50771 + t52349 - t50779 + t50781 - t50783 + t2004 * t263 * t1883 * t54957 / 0.2e1 - t1961 * t43238 / 0.3e1 + 0.5e1 * t2004 * t6075 * t7154 + 0.3e1 * t2004 * t1323 * t52524 - t1397 * t43137 * t1057 / 0.2e1 - t1397 * t43479 * t990 / 0.4e1;
  t55795 = t1982 * t55032;
  t55800 = t1962 * t55032;
  t55847 = t2004 * t877 * t404 * t54496 / 0.2e1 + t2485 * t55795 / 0.6e1 + t2511 * t51825 / 0.12e2 - t2471 * t55800 / 0.12e2 - 0.7e1 * t26697 * t18759 + 0.3e1 / 0.2e1 * t26697 * t10706 * t7324 - 0.23e2 / 0.12e2 * t26697 * t10615 * t7320 + 0.11e2 / 0.6e1 * t26697 * t10832 * t7324 + 0.4e1 * t25843 * t7321 + 0.9e1 * t2022 * t6044 * t9997 * t4002 - 0.2e1 * t25843 * t7325 - 0.9e1 / 0.2e1 * t3980 * t6044 * t9992 * t4002 - 0.2e1 * t21072 * t7295 + 0.2e1 * t21068 * t7318 + 0.9e1 / 0.2e1 * t26697 * t18766 - 0.43e2 / 0.9e1 * t38002 * t17706 * t7464 + 0.2e1 / 0.3e1 * t2874 * t20571 * t7324 - 0.4e1 / 0.3e1 * t2874 * t36044 - 0.9e1 / 0.2e1 * t2004 * t6044 * t10242 * t4002 - 0.3e1 * t2022 * t1323 * t52745;
  t55893 = 0.3e1 * t10541 * t43955 - t13326 * t7821 - 0.6e1 * t2022 * t6075 * t4003 + 0.18e2 * t53545 * t43913 + t17561 * t7857 / 0.2e1 + t17561 * t7818 / 0.2e1 - t1961 * t43390 / 0.3e1 + 0.12e2 * t54171 * t42977 - 0.3e1 / 0.2e1 * t2004 * t6059 * t7135 - t2004 * t1319 * t7130 + 0.1e2 / 0.3e1 * t10579 * t43804 - 0.14e2 / 0.3e1 * t10541 * t42996 - 0.6e1 * t2004 * t27437 * t7304 - 0.3e1 / 0.2e1 * t2004 * t6059 * t7308 + 0.3e1 * t2022 * t3211 * t9997 * t54523 - 0.3e1 / 0.2e1 * t2004 * t3211 * t10242 * t54523 + 0.2e1 * t50799 - t50808 + 0.3e1 / 0.2e1 * t4482 * t10615 * t1733 * t54523 + t50810;
  t55905 = t2004 * t942 * t8714;
  t55916 = t54372 + 0.2e1 * t4503 * t20575 * t7367 + t52379 - t54373 + t54374 - t48073 / 0.6e1 + t54377 - t50848 + t48076 / 0.6e1 - t7266 + t7267 - t7268 + t7269 + t2022 * t881 * t1756 * t54496 / 0.2e1 - t52387 + 0.7e1 / 0.3e1 * t48081 + t55905 / 0.2e1 - 0.3e1 / 0.2e1 * t48083 + t2004 * t263 * t1883 * t54705 / 0.2e1 + t2004 * t263 * t1883 * t54710 / 0.2e1;
  t55922 = my_piecewise3(t3, 0, t54723 + t55333 + t55210 + t54885 + t55116 + t54830 + t55749 + t55790 + t55293 + t55185 + t54926 + t55714 + t55100 + t55893 + t54979 + t54776 + t54693 + t55128 + t54804 + t55156 + t55254 + t55232 + t55847 + t54871 + t55050 + t55916 + t54605 + t54572 + t54504 + t55003 + t54545 + t54754);
  tv4sigmalapltau20 = 0.2e1 * rho[0] * t55922;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 0] += tv4sigmalapltau20;

  t55941 = t1297 * t48683 - 0.3e1 / 0.2e1 * t5706 * t7329 - t1292 * t6795 / 0.2e1 - 0.9e1 / 0.2e1 * t1742 * t44979 * t46809 - 0.9e1 / 0.2e1 * t2040 * t45573 - 0.3e1 * t823 * t7876 + t51204 + t51206 + t48107 + t51213 + 0.5e1 / 0.12e2 * t26697 * t10615 * t7807 + t27191 * t48196 / 0.2e1;
  t55960 = t911 * t8783;
  t55961 = t55960 / 0.4e1;
  t55969 = -0.3e1 / 0.4e1 * t823 * t7873 + 0.3e1 / 0.2e1 * t4722 * t1356 + 0.6e1 * t45269 * t7003 - 0.38e2 / 0.9e1 * t44940 * t52583 + 0.89e2 / 0.9e1 * t44940 * t52823 + t162 * t5855 * t7872 - t610 * t8822 / 0.4e1 - t1297 * t20648 / 0.2e1 - t259 * t39593 / 0.2e1 + t55961 + t259 * t305 * t20001 * t1305 / 0.4e1 - t259 * t39601 / 0.4e1 + t1297 * t20673;
  t55973 = t823 * t7868;
  t55974 = 0.3e1 / 0.4e1 * t55973;
  t55975 = t51231 / 0.2e1;
  t55976 = t8805 * t205;
  t55977 = t96 * t55976;
  t55991 = t8749 * t205;
  t55992 = t96 * t55991;
  t55996 = t16434 * t8835;
  t55997 = t55996 / 0.4e1;
  t56001 = -0.3e1 / 0.4e1 * t4722 * t1365 - t55974 - t55975 + t2874 * t1974 * t55977 / 0.12e2 - 0.3e1 / 0.2e1 * t25897 * t7286 - t27242 * t6773 / 0.2e1 + 0.9e1 / 0.2e1 * t1397 * t45285 * t6973 + 0.3e1 / 0.2e1 * t26697 * t10706 * t7807 - t2874 * t10706 * t55992 / 0.6e1 + t55997 + t3168 * t10598 * t8834 / 0.4e1 + t51253;
  t56002 = 0.2e1 * t51260;
  t56014 = 0.9e1 * t51266;
  t56015 = 0.2e1 * t51272;
  t56022 = t56002 - t48115 + 0.3e1 / 0.2e1 * t509 * t5785 * t1440 * t372 * t7632 - 0.3e1 / 0.2e1 * t2452 * t8764 + 0.3e1 / 0.4e1 * t610 * t8768 - 0.3e1 * t45228 * t1005 - t56014 + t56015 - t48121 + t48123 - t48125 + 0.3e1 / 0.2e1 * t2011 * t6152 * t39274 - 0.3e1 / 0.2e1 * t1397 * t6152 * t38951;
  t56031 = t1397 * t31457 * t1364;
  t56032 = 0.3e1 / 0.4e1 * t56031;
  t56039 = t8749 * t929;
  t56044 = t1304 * t7632;
  t56049 = 0.3e1 * t51293;
  t56059 = t2874 * t1968 * t55977 / 0.6e1 - 0.3e1 / 0.4e1 * t11390 * t8830 - t56032 - 0.3e1 / 0.4e1 * t1397 * t5720 * t7872 + t3162 * t3582 * t55992 / 0.3e1 + t3168 * t16129 * t96 * t56039 / 0.2e1 - t3168 * t3582 * t96 * t56044 / 0.3e1 + t51287 - t56049 + 0.9e1 / 0.2e1 * t1397 * t46398 * t1057 + 0.3e1 / 0.2e1 * t1397 * t46402 * t990 - 0.8e1 * t2022 * t6075 * t39231;
  t56075 = 0.3e1 / 0.2e1 * t51313;
  t56076 = 0.5e1 / 0.12e2 * t51320;
  t56091 = 0.8e1 * t2004 * t6075 * t7846 + t2022 * t881 * t1756 * t55976 / 0.2e1 - t2004 * t881 * t1879 * t55976 / 0.2e1 - 0.9e1 / 0.2e1 * t3980 * t6044 * t9992 * t7806 + t56075 - t56076 - t1297 * t20770 / 0.2e1 + t1292 * t4737 / 0.2e1 - t259 * t37793 / 0.4e1 - 0.5e1 / 0.36e2 * t8926 * t11053 + t8947 * t2258 / 0.2e1 - t1297 * t20873 / 0.4e1 - t208 * t45170 / 0.12e2;
  t56097 = 0.3e1 / 0.4e1 * t51343;
  t56098 = t51349 / 0.4e1;
  t56109 = t45175 * t223 / 0.4e1 + 0.3e1 / 0.4e1 * t37798 * t274 + t56097 - t56098 + 0.3e1 / 0.2e1 * t610 * t8979 + 0.3e1 * t2452 * t8982 - 0.3e1 / 0.2e1 * t4722 * t1360 - t8975 * t569 / 0.2e1 - t48141 - t48145 + t48147 + t48154 - 0.8e1 / 0.3e1 * t25843 * t7808;
  t56111 = 0.2e1 / 0.3e1 * t51400;
  t56112 = 0.2e1 * t51402;
  t56121 = 0.9e1 * t51428;
  t56122 = t8805 * t929;
  t56127 = t25897 * t7833 - t48187 - t51390 - t56111 + t56112 - 0.9e1 / 0.2e1 * t2022 * t1323 * t10242 * t7816 - t51408 + t3162 * t55795 / 0.2e1 + t3168 * t51825 / 0.4e1 - t56121 + t48190 + t48193 + t2004 * t263 * t1883 * t56122 / 0.2e1;
  t56132 = 0.9e1 / 0.2e1 * t51484;
  t56133 = 0.3e1 * t51488;
  t56137 = -t46697 - t46772 - t48201 - 0.3e1 / 0.4e1 * t48203 - t56132 - t56133 + t46848 + t46851 + t46856 - t46858 - t46865 - t2004 * t877 * t1883 * t55991;
  t56172 = -0.3e1 / 0.2e1 * t2004 * t263 * t10295 * t56039 + t2004 * t263 * t1883 * t56044 + 0.2e1 / 0.3e1 * t1961 * t45468 - 0.3e1 / 0.2e1 * t1397 * t45718 * t1057 - 0.3e1 / 0.4e1 * t1397 * t46085 * t990 + t1297 * t1463 * t7634 / 0.2e1 - t1297 * t1455 * t608 * t1305 - t1297 * t1455 * t160 * t7633 + t785 * t55328 / 0.2e1 + t259 * t51570 / 0.4e1 - t791 * t55325 / 0.4e1 + 0.9e1 / 0.2e1 * t823 * t7878 + 0.3e1 / 0.2e1 * t823 * t7881;
  t56195 = -0.6e1 * t2406 * t46501 + 0.3e1 / 0.2e1 * t2452 * t8827 + t51517 - 0.3e1 / 0.2e1 * t20765 * t1352 + 0.3e1 / 0.2e1 * t4722 * t1368 - 0.2e1 * t8947 * t2447 - 0.3e1 * t610 * t8954 + 0.3e1 / 0.2e1 * t610 * t8957 - 0.3e1 / 0.2e1 * t8926 * t10959 + 0.3e1 / 0.2e1 * t10964 * t8939 - 0.3e1 * t2452 * t8942 + t8947 * t2443;
  t56201 = t51533 / 0.4e1;
  t56204 = t169 * t8833 * t205;
  t56214 = t1297 * t20774 + 0.7e1 / 0.3e1 * t8926 * t10935 + 0.3e1 / 0.2e1 * t8926 * t46779 + t48211 - t48224 - t48226 + t48227 - t56201 - t1961 * t45623 - t3162 * t1404 * t56204 / 0.2e1 - t208 * t45763 / 0.4e1 + 0.3e1 / 0.4e1 * t5985 * t1126 - 0.2e1 * t44940 * t52578;
  t56252 = -0.6e1 * t162 * t46515 * t1057 + 0.2e1 * t45308 * t1002 + t8975 * t932 / 0.2e1 - 0.18e2 * t509 * t44931 * t1052 + 0.18e2 * t162 * t44931 * t1065 - 0.18e2 * t1742 * t44948 * t6993 + 0.36e2 * t509 * t44948 * t6978 + 0.9e1 * t3389 * t7886 + 0.3e1 * t27191 * t10706 * t500 * t7816 - 0.3e1 * t1397 * t44959 * t6185 - 0.3e1 / 0.2e1 * t27191 * t11691 * t7836 + 0.9e1 / 0.2e1 * t2004 * t1323 * t10277 * t7816;
  t56255 = 0.3e1 * t51543;
  t56260 = 0.3e1 * t51561;
  t56281 = -0.7e1 * t10541 * t45058 - t56255 - 0.9e1 / 0.2e1 * t2004 * t6044 * t10242 * t7806 + t56260 + 0.2e1 / 0.3e1 * t27242 * t7837 - t3168 * t3582 * t96 * t56122 / 0.6e1 - t3162 * t14860 * t7807 / 0.2e1 - t3168 * t31685 * t7836 / 0.2e1 + t2874 * t21332 * t7807 / 0.4e1 - t3162 * t1404 * t55977 / 0.6e1 - t48239 + t48242 - t1961 * t45873 / 0.3e1;
  t56284 = 0.3e1 / 0.4e1 * t51597;
  t56285 = 0.7e1 * t51609;
  t56304 = -0.3e1 / 0.4e1 * t48255 + t56284 - t51605 + t56285 + t1961 * t46079 - t2874 * t55132 + 0.9e1 / 0.2e1 * t8926 * t46783 - 0.43e2 / 0.9e1 * t44940 * t52551 + 0.3e1 * t3389 * t7890 - 0.9e1 / 0.2e1 * t162 * t44979 * t47203 + 0.47e2 / 0.3e1 * t10895 * t45916 + 0.3e1 / 0.2e1 * t610 * t8738 + t1297 * t1463 * t7612 / 0.2e1;
  t56305 = 0.6e1 * t51616;
  t56318 = 0.9e1 / 0.2e1 * t51626;
  t56319 = 0.9e1 / 0.2e1 * t51629;
  t56323 = t48265 + t48268 - t56305 + 0.5e1 / 0.12e2 * t8926 * t46919 - 0.35e2 / 0.108e3 * t44940 * t52693 + 0.3e1 * t5713 * t7421 + 0.3e1 / 0.2e1 * t5713 * t7334 + t1297 * t48361 / 0.2e1 - 0.5e1 / 0.12e2 * t5911 * t53610 + t56318 + t56319 + t51636 + t2874 * t1968 * t56204 / 0.2e1;
  t56328 = 0.9e1 * t51656;
  t56329 = 0.3e1 * t51661;
  t56330 = 0.23e2 / 0.12e2 * t51662;
  t56331 = 0.11e2 / 0.6e1 * t51664;
  t56332 = 0.3e1 / 0.2e1 * t51666;
  t56341 = -t48302 + t48305 + t56328 + t56329 + t56330 - t56331 - t56332 - t8947 * t6425 + 0.5e1 / 0.3e1 * t45269 * t7117 + 0.3e1 / 0.2e1 * t21072 * t7857 + 0.3e1 / 0.2e1 * t21072 * t7818 - t1961 * t45955;
  t56342 = 0.3e1 / 0.2e1 * t51675;
  t56343 = t51684 / 0.2e1;
  t56353 = t51779 / 0.2e1;
  t56355 = -t56342 + t56343 + t48342 - t51692 - t51695 - 0.9e1 / 0.2e1 * t10541 * t45839 - t1292 * t7613 / 0.3e1 - t1292 * t7635 / 0.3e1 + 0.9e1 * t509 * t44979 * t47199 - t56353 + t48360 + t48372 / 0.4e1 + t48382;
  t56366 = 0.2e1 * t51821;
  t56367 = t48383 / 0.2e1 - t48386 - 0.9e1 * t1397 * t44861 * t1065 - t48405 + t8838 + t3168 * t1404 * t169 * t287 * t7632 / 0.4e1 - t48410 - t48412 + t48414 + t51808 - t51813 - t56366;
  t56368 = 0.3e1 * t51829;
  t56393 = t56368 + t51831 + t51839 + 0.3e1 / 0.2e1 * t1397 * t45289 * t1065 + 0.3e1 / 0.2e1 * t21068 * t7843 - 0.3e1 / 0.2e1 * t21072 * t7847 - 0.2e1 * t27191 * t48112 - 0.23e2 / 0.12e2 * t26697 * t10615 * t7811 - t2022 * t881 * t10242 * t55991 + t2004 * t881 * t10277 * t55991 - 0.11e2 / 0.18e2 * t8926 * t10941 + 0.23e2 / 0.36e2 * t8926 * t10944 - t8926 * t10932 / 0.2e1;
  t56411 = t911 * t8808;
  t56412 = t56411 / 0.12e2;
  t56429 = 0.4e1 / 0.3e1 * t51702;
  t56430 = 0.8e1 * t51706;
  t56431 = -0.12e2 * t45510 * t6973 + 0.4e1 / 0.3e1 * t45510 * t6978 + 0.24e2 * t45515 * t1065 + 0.2e2 / 0.9e1 * t45510 * t6993 - 0.12e2 * t45500 * t1057 - 0.4e1 * t1334 * t990 + t56429 - t56430 + t52453 + t52454 + t52455;
  t56446 = t28848 * t1364;
  t56447 = 0.2e1 * t56446;
  t56455 = -0.4e1 * t45515 * t1052 - 0.4e1 / 0.3e1 * t1331 * t6408 + 0.12e2 * t45537 * t1057 + 0.4e1 * t45541 * t990 - 0.8e1 * t45544 * t1052 - 0.8e1 / 0.3e1 * t45530 * t6408 + 0.16e2 / 0.9e1 * t45524 * t6993 - t56447 - 0.24e2 * t45544 * t1065 + 0.32e2 / 0.3e1 * t45524 * t6978 - 0.2e1 / 0.3e1 * t7843 + 0.12e2 * t45524 * t6973;
  t56464 = 0.8e1 * t51721;
  t56465 = -0.8e1 * t45530 * t6185 - 0.2e1 * t5829 * t7872 - t52457 - t52460 + t52461 + t52462 + t56464 + t6212 - 0.4e1 * t7818 + 0.4e1 * t7847 - 0.4e1 * t7857;
  t56466 = 0.8e1 * t51733;
  t56467 = 0.8e1 * t51737;
  t56468 = 0.8e1 / 0.3e1 * t51741;
  t56471 = t960 * t1364;
  t56472 = 0.2e1 * t56471;
  t56483 = t56466 - t56467 + t56468 - t6224 + 0.8e1 * t1331 * t6185 + t56472 + 0.2e1 * t265 * t7872 - 0.4e1 * t5826 * t38951 + 0.4e1 * t5823 * t38707 + 0.4e1 * t5829 * t37687 - 0.4e1 / 0.3e1 * t5826 * t39274 - t52493;
  t56485 = t56431 + t56455 + t56465 + t56483;
  t56496 = t48429 + t48430 / 0.4e1 + t1297 * t1455 * t7612 / 0.4e1 + t1297 * t1455 * t7634 / 0.4e1 - t1297 * t19929 / 0.4e1 + t610 * t8752 / 0.2e1 + t259 * t305 * t2966 * t7633 / 0.4e1 + t56412 + t259 * t305 * t2156 * t8806 / 0.12e2 + t259 * t305 * t306 * t95 * t56485 / 0.12e2 + t1292 * t4579 / 0.2e1 + 0.3e1 / 0.2e1 * t1397 * t5720 * t37687;
  t56527 = -0.9e1 * t823 * t7660 - 0.3e1 / 0.2e1 * t26738 * t1108 - 0.62e2 / 0.3e1 * t44940 * t11310 + 0.8e1 * t44940 * t11316 + 0.9e1 / 0.2e1 * t14675 * t7654 - 0.9e1 * t3389 * t7657 + 0.9e1 / 0.2e1 * t823 * t7651 - 0.6e1 * t10074 * t44952 * t52829 + 0.18e2 * t1742 * t44952 * t52834 - 0.18e2 * t162 * t44948 * t6973 - 0.18e2 * t509 * t44952 * t52845 + 0.6e1 * t162 * t44952 * t52849 - 0.2e1 * t48441;
  t56549 = -t913 + t984 - 0.3e1 * t48598 + 0.3e1 / 0.2e1 * t1397 * t5716 * t38707 - t2874 * t11691 * t55992 / 0.3e1 - t48612 + 0.11e2 / 0.6e1 * t26697 * t10832 * t7807 + t48621 - 0.7e1 * t8926 * t46566 - 0.2e1 * t1297 * t48379 - 0.3e1 / 0.2e1 * t610 * t8734 + 0.7e1 * t5911 * t54319 - 0.6e1 * t45228 * t1010;
  t56564 = -0.2e1 * t8947 * t6189 + 0.3e1 / 0.2e1 * t5985 * t1117 - t791 * t55201 / 0.2e1 + 0.22e2 / 0.3e1 * t45269 * t6997 - 0.23e2 / 0.3e1 * t45269 * t7000 - 0.11e2 / 0.6e1 * t5911 * t53372 + 0.23e2 / 0.12e2 * t5911 * t53375 - t48626 + t8915 - t8916 - t8917 - t8918 + t6798;
  t56573 = -t8921 + t8922 - t8923 - t7092 + 0.16e2 / 0.3e1 * t10579 * t45889 + t7094 - 0.3e1 / 0.4e1 * t22 * t1100 * t1387 + t48646 - t48655 + t7099 + t7100 - t51926;
  t56593 = 0.3e1 * t51938;
  t56594 = 0.3e1 / 0.2e1 * t51949;
  t56595 = t3162 * t54742 + t3168 * t52004 / 0.2e1 - t2874 * t54747 / 0.2e1 + 0.23e2 / 0.12e2 * t26697 * t54425 + 0.3e1 * t25843 * t7480 + t27191 * t48296 - 0.11e2 / 0.6e1 * t26697 * t53301 - t2874 * t55800 / 0.4e1 - 0.6e1 * t25843 * t7485 + 0.7e1 * t26697 * t3961 * t7484 - t48661 - t56593 + t56594;
  t56597 = 0.3e1 * t51967;
  t56619 = t8991 - t48668 - t48687 - t56597 + t48695 + t8992 - t8993 - 0.3e1 / 0.2e1 * t162 * t5785 * t1440 * t408 * t7632 + 0.9e1 / 0.2e1 * t10541 * t46431 + 0.9e1 * t2011 * t44861 * t1052 + 0.3e1 * t2011 * t44959 * t6408 - t3168 * t3582 * t169 * t8833 * t929 / 0.2e1 + t2874 * t1974 * t56204 / 0.4e1;
  t56646 = -t259 * t1417 * t2156 * t8759 / 0.6e1 - 0.3e1 / 0.2e1 * t5985 * t1111 - 0.3e1 / 0.4e1 * t5985 * t1114 + t546 * t45236 + 0.6e1 * t162 * t45065 * t6185 - 0.28e2 * t11290 * t45932 - 0.61e2 / 0.27e2 * t44940 * t52796 + 0.44e2 / 0.27e2 * t44940 * t52793 - 0.3e1 / 0.2e1 * t5911 * t54316 - t48734 + 0.2e1 * t1961 * t45651 + 0.3e1 / 0.2e1 * t25843 * t7291 - 0.4e1 / 0.3e1 * t25843 * t7840;
  t56663 = t162 * t3517 * t8751;
  t56664 = t56663 / 0.2e1;
  t56667 = t911 * t8761;
  t56668 = t56667 / 0.6e1;
  t56679 = -0.3e1 / 0.4e1 * t27191 * t10706 * t7836 - 0.3e1 * t20902 * t7802 + t2874 * t20571 * t7807 / 0.2e1 - t22 * t218 * t9011 / 0.4e1 - t52009 - 0.3e1 / 0.2e1 * t26697 * t54002 + t56664 - 0.3e1 / 0.2e1 * t610 * t8756 - t56668 + t2004 * t877 * t404 * t55976 / 0.2e1 - 0.3e1 * t2004 * t6059 * t7856 - 0.3e1 / 0.4e1 * t22 * t7762 * t288;
  t56683 = 0.9e1 / 0.2e1 * t52348;
  t56685 = t162 * t3517 * t8821;
  t56686 = t56685 / 0.4e1;
  t56700 = -0.5e1 / 0.12e2 * t26697 * t53567 + 0.3e1 * t48742 - t7165 - t7166 - t7167 - t48751 - t9018 + t56683 - t56686 - t162 * t767 * t303 * t137 * t56485 / 0.4e1 - 0.6e1 * t509 * t45065 * t6408 + 0.18e2 * t11290 * t45793 - 0.3e1 / 0.2e1 * t162 * t46519 * t990;
  t56721 = 0.3e1 * t52379;
  t56726 = 0.12e2 * t11285 * t45826 + t610 * t8818 - 0.23e2 / 0.12e2 * t8926 * t47207 + 0.4e1 * t8947 * t6193 + 0.11e2 / 0.6e1 * t8926 * t47192 - t208 * t45592 / 0.12e2 + t162 * t45590 * t211 * t165 / 0.4e1 - t208 * t45587 / 0.4e1 + 0.3e1 / 0.4e1 * t823 * t7906 + t48799 + t56721 - 0.3e1 * t14865 * t7821 - 0.3e1 / 0.2e1 * t14865 * t7823;
  t56731 = t46312 * t205;
  t56743 = t46299 * t205;
  t56764 = 0.12e2 * t52072;
  t56765 = t52051 + t52053 + t52055 + 0.2e1 * t4349 * t149 * t46312 * t929 + t3197 * t414 * t56731 / 0.3e1 - 0.6e1 * t20269 * t149 * t46299 * t929 + 0.4e1 * t4349 * t149 * t6028 * t7632 - 0.2e1 / 0.3e1 * t15344 * t414 * t56743 - 0.3e1 * t38374 * t414 * t7752 + t27582 * t1857 * t7698 / 0.3e1 + 0.2e1 * t3200 * t149 * t56731 - 0.2e1 * t3197 * t427 * t56731 + 0.4e1 * t15344 * t427 * t56743 - 0.18e2 * t27582 * t7756 - t52065 - t56764 + t48452 + t48454;
  t56796 = -0.12e2 * t48455 - t48458 + t48465 + 0.2e1 * t48466 - t48469 - 0.8e1 * t38264 * t7753 - 0.16e2 / 0.3e1 * t27586 * t7756 + 0.32e2 * t27586 * t7699 + 0.18e2 * t38374 * t427 * t7752 + 0.2e1 * t27582 * t1845 * t7698 + t48483 - t48489 - 0.4e1 * t15341 * t149 * t56743 - 0.12e2 * t27576 * t7749 + 0.36e2 * t46131 * t7256 - 0.12e2 * t46116 * t53037 + 0.5e2 / 0.3e1 * t46116 * t53058 - 0.36e2 * t46182 * t1040 - 0.6e1 * t1323 * t1879 * t7729;
  t56806 = t8853 * t205;
  t56828 = t942 * t8906;
  t56829 = 0.2e1 * t56828;
  t56830 = 0.4e1 * t52109;
  t56831 = 0.4e1 * t52111;
  t56834 = 0.6e1 * t1323 * t10242 * t7713 - t6044 * t9992 * t7732 / 0.6e1 - 0.12e2 * t46182 * t1025 - 0.2e1 / 0.3e1 * t881 * t1756 * t56806 - 0.4e1 * t8861 * t6323 + 0.4e1 / 0.3e1 * t46131 * t7198 + t8841 * t47103 / 0.3e1 - t46116 * t53015 / 0.9e1 - 0.9e1 * t1323 * t10277 * t7713 + 0.72e2 * t46182 * t1029 + 0.24e2 * t8861 * t6337 - t263 * t404 * t63 * t56485 + t56829 - t46979 - t52099 - t56830 - t56831 + t881 * t1879 * t56806;
  t56835 = 0.18e2 * t52125;
  t56843 = 0.6e1 * t52129;
  t56848 = t52135 / 0.3e1;
  t56861 = t942 * t8854;
  t56862 = t56861 / 0.2e1;
  t56863 = t8844 * t205;
  t56867 = t56835 - 0.4e1 / 0.3e1 * t46116 * t53004 + 0.9e1 * t6044 * t10242 * t7732 - 0.72e2 * t46131 * t7178 + t56843 - 0.16e2 * t6075 * t7740 + 0.8e1 * t46131 * t7186 - t56848 + t8876 - t8877 + t8878 - 0.1e2 * t8841 * t47012 + 0.1e2 / 0.3e1 * t46116 * t53077 + 0.24e2 * t46182 * t1033 + 0.8e1 * t8861 * t6384 - 0.2e1 / 0.3e1 * t46131 * t7251 - 0.2e1 * t1319 * t7687 + t56862 + 0.2e1 * t877 * t1883 * t56863;
  t56899 = 0.9e1 * t52198;
  t56900 = 0.3e1 * t263 * t10295 * t8844 * t929 + 0.2e1 * t8841 * t46962 - 0.18e2 * t8841 * t47092 + 0.8e1 / 0.3e1 * t46116 * t52962 + 0.24e2 * t46116 * t53064 - 0.2e1 * t881 * t10277 * t56863 - t877 * t404 * t56806 - t263 * t1883 * t8853 * t929 - 0.1e2 * t6044 * t9997 * t7732 + 0.6e1 * t6059 * t7738 + 0.4e1 * t1319 * t7714 + 0.32e2 / 0.3e1 * t6075 * t7733 + t47075 - t47081 - t47085 + t7708 - t56899 - t6889;
  t56916 = 0.12e2 * t52206;
  t56917 = t942 * t8903;
  t56924 = t8880 - t8881 + t7220 + 0.4e1 * t1319 * t7730 - t7221 - t6330 - t7222 + t1323 * t1756 * t7729 - 0.2e1 * t263 * t1883 * t1336 * t7632 + 0.4e1 / 0.3e1 * t881 * t10242 * t56863 - 0.24e2 * t46154 * t1022 - 0.6e1 * t8848 * t953 + t52205 - t56916 - t56917 + t52221 - t8882 + t263 * t404 * t60 * t56485 / 0.2e1 - t8841 * t47018 / 0.6e1;
  t56932 = 0.6e1 * t52268;
  t56933 = 0.18e2 * t52274;
  t56934 = 0.36e2 * t52276;
  t56935 = 0.2e1 * t52283;
  t56936 = t52298 / 0.6e1;
  t56937 = 0.1e2 * t52300;
  t56938 = 0.18e2 * t52304;
  t56939 = 0.12e2 * t1036 * t46154 - 0.4e2 * t46131 * t7244 + 0.3e1 * t8848 * t966 + t47130 + t47133 - t52262 - t52279 - t52281 + t56932 + t56933 - t56934 - t56935 + t56936 + t56937 + t56938 + t6375 - t6390 + t7238 + t7239;
  t56940 = 0.9e1 * t52306;
  t56941 = 0.2e1 * t52312;
  t56942 = 0.8e1 * t52318;
  t56948 = t942 * t8845;
  t56956 = -0.2e1 * t1323 * t1756 * t7686 + 0.3e1 * t1323 * t1879 * t7686 + 0.9e1 * t47029 * t8841 - 0.12e2 * t6366 * t8861 + 0.6e1 * t48543 + t48546 - 0.4e1 * t48564 + t48567 + t48573 - t48575 - t48580 - t48582 - t48584 - t56940 + t56941 + t56942 - t56948 + t943 - t962;
  t56971 = t52386 / 0.2e1;
  t56985 = -t22 * t59 * (t56765 + t56796 + t56834 + t56867 + t56900 + t56924 + t56939 + t56956) * t96 / 0.4e1 + 0.3e1 * t14865 * t7804 - t2874 * t55033 / 0.2e1 - 0.2e1 * t2004 * t1319 * t7817 - t7266 + t7267 - t7268 + t7269 - t56971 + 0.9e1 * t2022 * t6044 * t9997 * t7806 + 0.9e1 / 0.2e1 * t11419 * t45285 * t6993 - 0.9e1 * t2011 * t45285 * t6978 - 0.3e1 / 0.2e1 * t2011 * t45289 * t1052;
  t56991 = my_piecewise3(t3, 0, t56323 + t56109 + t56619 + t56252 + t55969 + t56341 + t56281 + t56985 + t56127 + t56195 + t56172 + t56001 + t56059 + t56573 + t56726 + t56022 + t56393 + t56527 + t56646 + t55941 + t56595 + t56091 + t56367 + t56304 + t56355 + t56137 + t56564 + t56549 + t56679 + t56700 + t56496 + t56214);
  tv4sigmatau30 = 0.2e1 * rho[0] * t56991;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 0] += tv4sigmatau30;

  t56993 = 0.3e1 / 0.2e1 * t52405;
  t56994 = t52407 / 0.2e1;
  t56995 = 0.3e1 / 0.4e1 * t52418;
  t57002 = 0.4e1 * t52428;
  t57004 = t1485 * t7997;
  t57007 = t9163 * t7997;
  t57031 = t57002 + 0.2e1 * t49007 - 0.8e1 * t57004 * t1699 + 0.16e2 / 0.9e1 * t57007 * t1747 - 0.2e1 * t1172 * t7969 - 0.24e2 * t57004 * t1703 - 0.4e1 * t239 * t7977 + 0.12e2 * t307 * t7997 * t1524 + 0.12e2 * t49011 - 0.2e1 * t4826 * t7962 + 0.8e1 * t39763 * t1198 - 0.4e1 * t39745 * t7969 - 0.12e2 * t39745 * t7951 + 0.4e1 * t4826 * t7977 + t6212 - 0.12e2 * t49025;
  t57042 = 0.4e1 * t52486;
  t57058 = 0.32e2 / 0.3e1 * t57007 * t1752 + 0.12e2 * t57007 * t1757 + 0.12e2 * t1172 * t7951 - 0.8e1 * t1175 * t1198 + 0.2e1 * t239 * t7962 - t57042 - t6224 + 0.24e2 * t8093 * t496 - 0.12e2 * t8098 * t1770 + 0.4e1 / 0.3e1 * t8098 * t1671 + 0.2e2 / 0.9e1 * t8098 * t1541 - 0.4e1 * t8093 * t373 - 0.12e2 * t8089 * t138 + 0.12e2 * t49053 - 0.12e2 * t49060 + 0.4e1 * t49064;
  t57059 = t57031 + t57058;
  t57061 = t303 * t137 * t57059;
  t57072 = t9037 * t1540 * t1147;
  t57079 = t7975 * t1147;
  t57081 = t9443 * t137 * t57079;
  t57090 = t1455 * t7917;
  t57095 = t56993 - t56994 - t56995 + 0.7e1 * t48812 - 0.18e2 * t48821 - 0.3e1 * t48844 - 0.9e1 * t48864 - 0.6e1 * t48869 - 0.5e1 / 0.6e1 * t48881 - t162 * t745 * t57061 / 0.4e1 - t719 * t7963 + 0.3e1 / 0.2e1 * t8036 * t1150 - 0.14e2 * t509 * t40262 * t7969 - 0.9e1 * t1742 * t39818 * t57072 - 0.3e1 * t162 * t5177 * t7977 - 0.3e1 / 0.2e1 * t162 * t745 * t57081 - 0.3e1 / 0.2e1 * t4944 * t1199 + 0.14e2 * t162 * t40262 * t7951 + t1140 * t57090 - 0.9e1 / 0.2e1 * t162 * t40035 * t1198;
  t57099 = t305 * t2777 * t7940;
  t57104 = t305 * t306 * t95 * t57059;
  t57107 = t1455 * t7941;
  t57115 = t1440 * t408 * t7939;
  t57121 = t305 * t23320 * t1148;
  t57124 = t1463 * t7917;
  t57130 = t1132 * t1132;
  t57133 = t106 * t1531 * t57130 * t9768;
  t57147 = -0.14e2 / 0.3e1 * t8004 * t7955 + t233 * t57099 / 0.3e1 + t233 * t57104 / 0.12e2 + t1140 * t57107 / 0.3e1 + 0.4e1 * t719 * t7966 - 0.6e1 * t719 * t7952 - 0.2e1 * t162 * t4854 * t57115 - 0.6e1 * t48945 + t233 * t57121 / 0.2e1 + 0.2e1 * t1140 * t57124 - 0.3e1 * t48961 + 0.14e2 * t48964 + t39879 * t248 + 0.6e1 * t57133 * t1771 - t233 * t39874 / 0.3e1 - 0.22e2 / 0.9e1 * t8010 * t13198 - t1140 * t22402 + 0.2e1 * t1140 * t22406 + 0.5e1 / 0.3e1 * t57133 * t1542 + 0.2e1 * t8004 * t2830;
  t57156 = t106 * t363 * t57130 * t1533;
  t57161 = t9037 * t7968;
  t57165 = t9880 * t1149;
  t57169 = t9038 * t507 * t1148;
  t57173 = t1440 * t372 * t7939;
  t57179 = t106 * t9775 * t57130 * t9777;
  t57184 = -t1140 * t22778 / 0.2e1 - 0.2e1 * t52664 + 0.4e1 * t48993 - t46697 - t46772 - 0.18e2 * t49095 + t46848 + t46851 + t46856 - t46858 - t46865 - 0.3e1 * t57156 * t374 - 0.2e1 * t8036 * t686 - 0.9e1 * t162 * t39818 * t57161 + 0.3e1 * t8010 * t57165 + 0.9e1 * t8010 * t57169 + 0.2e1 * t509 * t4854 * t57173 - 0.2e1 * t57179 * t10054 + 0.7e1 / 0.6e1 * t49159 - 0.3e1 / 0.2e1 * t49165;
  t57199 = t9376 * t160 * t7981;
  t57203 = t1417 * t2777 * t7981;
  t57215 = t1743 * t57130;
  t57219 = t9989 * t57130;
  t57227 = t1147 * t7939;
  t57229 = t3582 * t96 * t57227;
  t57233 = t9376 * t7982;
  t57239 = -0.2e1 * t8010 * t13188 + 0.28e2 / 0.3e1 * t8010 * t13191 - 0.18e2 * t162 * t57215 * t9985 - 0.18e2 * t509 * t57219 * t9993 + 0.6e1 * t162 * t57219 * t9998 + 0.9e1 * t49247 - t2511 * t57229 / 0.2e1 + 0.9e1 / 0.2e1 * t49256 - 0.11e2 / 0.12e2 * t1140 * t57233 - t1135 * t7942 / 0.2e1 + t1135 * t7983;
  t57245 = t9452 * t306 * t95 * t57079;
  t57249 = t9846 * t1149;
  t57252 = t1463 * t7941;
  t57255 = t9038 * t1149;
  t57258 = t9846 * t7958;
  t57262 = t1455 * t717 * t1148;
  t57266 = t9375 * t372 * t7975;
  t57271 = t9375 * t408 * t7975;
  t57275 = t9381 * t7982;
  t57294 = t233 * t57245 / 0.2e1 + 0.18e2 * t49288 + 0.11e2 / 0.3e1 * t8010 * t57249 + 0.2e1 / 0.3e1 * t1140 * t57252 + 0.5e1 / 0.6e1 * t8010 * t57255 - 0.14e2 * t8010 * t57258 - 0.4e1 * t1140 * t57262 - 0.11e2 / 0.2e1 * t509 * t4854 * t57266 + 0.11e2 / 0.2e1 * t162 * t4854 * t57271 - 0.11e2 / 0.6e1 * t1140 * t57275 - 0.5e1 / 0.9e1 * t8010 * t12922 + 0.18e2 * t1742 * t57219 * t10081 + 0.3e1 / 0.2e1 * t49680 + 0.12e2 * t57156 * t502 + 0.12e2 * t2861 * t8053 + 0.6e1 * t719 * t8050 - 0.11e2 / 0.3e1 * t49709 + 0.23e2 / 0.6e1 * t49712 + 0.6e1 * t49714 + 0.9e1 * t49716;
  t57299 = 0.3e1 / 0.4e1 * t7019;
  t57318 = t1883 * t1177 * t7939;
  t57324 = t404 * t63 * t57059;
  t57330 = t1756 * t8073;
  t57333 = t9992 * t1167;
  t57336 = t10242 * t1167;
  t57340 = t10277 * t8076;
  t57343 = t9997 * t1167;
  t57346 = t1879 * t8073;
  t57350 = t404 * t60 * t57059;
  t57355 = 0.3e1 / 0.2e1 * t52979;
  t57356 = 0.3e1 / 0.2e1 * t7173;
  t57357 = t69 * t57130;
  t57358 = t57357 * t9768;
  t57361 = t9774 * t57130;
  t57362 = t57361 * t9777;
  t57366 = 0.22e2 * t1164 * t57340 + 0.4e1 * t8116 * t57343 - 0.8e1 * t1164 * t57346 + t237 * t57350 / 0.2e1 + 0.36e2 * t49381 - 0.18e2 * t49383 + t57355 + t57356 - 0.4e2 * t57358 * t1846 + 0.1e2 / 0.3e1 * t57362 * t10458 - 0.4e1 * t6483;
  t57371 = t57357 * t9912;
  t57378 = t57361 * t9991;
  t57381 = t10242 * t1177;
  t57384 = t10277 * t8080;
  t57387 = t362 * t57130;
  t57388 = t57387 * t10029;
  t57391 = 0.8e1 / 0.3e1 * t6489 + 0.4e1 * t6492 - t46979 - 0.9e1 * t49390 + 0.4e1 / 0.3e1 * t57371 * t1917 + 0.9e1 * t8084 * t1178 - 0.3e1 * t1160 * t8108 + 0.24e2 * t57378 * t10379 + 0.18e2 * t8116 * t57381 - 0.11e2 * t1164 * t57384 + 0.72e2 * t57388 * t410;
  t57397 = t10295 * t63 * t57079;
  t57402 = t10242 * t8076;
  t57409 = 0.3e1 * t53028;
  t57410 = t1756 * t8107;
  t57413 = t9992 * t1177;
  t57416 = -t57378 * t10421 / 0.9e1 + 0.14e2 * t49407 - 0.72e2 * t49409 - 0.6e1 * t237 * t57397 - 0.12e2 * t1160 * t8077 - 0.11e2 / 0.3e1 * t1164 * t57402 + 0.56e2 * t8113 * t8122 - 0.12e2 * t57388 * t401 - t57409 - 0.8e1 / 0.3e1 * t1164 * t57410 - t8116 * t57413 / 0.3e1;
  t57421 = t10242 * t8080;
  t57425 = t10295 * t60 * t57079;
  t57428 = t108 * t57130;
  t57435 = 0.3e1 * t7214;
  t57437 = 0.56e2 / 0.3e1 * t8113 * t8119 + 0.22e2 / 0.3e1 * t1164 * t57421 + 0.3e1 * t237 * t57425 - 0.24e2 * t57428 * t10106 * t146 + 0.6e1 * t1160 * t8081 - 0.2e1 / 0.3e1 * t49423 - t57435 + 0.36e2 * t49466 + t47075 - t47081 - t47085;
  t57438 = t1879 * t8107;
  t57441 = t9997 * t1177;
  t57458 = 0.4e1 * t1164 * t57438 - 0.2e2 * t8116 * t57441 + 0.8e1 * t57371 * t1936 - 0.4e1 / 0.3e1 * t57378 * t10439 + 0.8e1 / 0.3e1 * t57378 * t10452 - 0.72e2 * t57371 * t1928 - 0.28e2 * t8113 * t8127 - 0.4e1 / 0.3e1 * t6531 + 0.8e1 * t6542 - 0.8e1 * t6545 + 0.12e2 * t49507;
  t57467 = t57387 * t1533;
  t57470 = 0.3e1 * t53117;
  t57471 = -0.4e1 * t49512 - 0.28e2 / 0.3e1 * t49532 + 0.36e2 * t49558 - 0.24e2 * t49563 + t49565 / 0.3e1 + 0.2e2 * t49569 - 0.18e2 * t49580 + t47130 + t47133 + 0.24e2 * t57467 * t415 - t57470;
  t57472 = 0.6e1 * t53124;
  t57474 = t149 * t40329 * t1147;
  t57491 = t57472 + 0.6e1 * t4095 * t57474 + 0.18e2 * t49616 + 0.5e2 / 0.3e1 * t57362 * t10326 - 0.36e2 * t57467 * t428 + 0.36e2 * t57358 * t1863 - 0.12e2 * t57362 * t10323 - t962 + 0.12e2 * t57428 * t1581 * t150 - 0.2e1 / 0.3e1 * t57358 * t1858 + t943;
  t57500 = t53168 / 0.4e1;
  t57506 = t6597 + t1135 * t4962 + 0.4e1 * t8004 * t2852 - t22 * t59 * (-0.28e2 * t49314 + 0.14e2 / 0.3e1 * t49327 - 0.3e1 * t237 * t57318 - 0.18e2 * t8084 * t1168 - t237 * t57324 + 0.6e1 * t1160 * t8074 - 0.28e2 / 0.3e1 * t8113 * t8071 + 0.4e1 / 0.3e1 * t1164 * t57330 + 0.2e1 / 0.3e1 * t8116 * t57333 - 0.36e2 * t8116 * t57336 + t57366 + t57391 + t57416 + t57437 + t57458 + t57471 + t57491) * t96 / 0.4e1 + 0.2e1 / 0.3e1 * t53155 + t57500 - 0.2e1 / 0.3e1 * t6609 - t6615 / 0.3e1 + 0.2e1 / 0.3e1 * t6628 - 0.2e1 * t6631 + 0.4e1 / 0.3e1 * t6646;
  t57511 = t510 * t57130;
  t57529 = t7121 / 0.4e1;
  t57535 = t9038 * t7958;
  t57539 = t1455 * t160 * t7940;
  t57543 = t9037 * t1670 * t1147;
  t57548 = 0.2e1 * t6660 - 0.2e1 * t6668 - 0.18e2 * t509 * t57511 * t10034 + 0.44e2 / 0.27e2 * t57179 * t9928 - 0.61e2 / 0.27e2 * t57179 * t9936 + 0.2e1 * t49782 - t49787 + 0.9e1 * t49795 - 0.28e2 * t57133 * t1672 + 0.18e2 * t57133 * t1735 - 0.3e1 * t4944 * t1194 - 0.62e2 / 0.3e1 * t57179 * t10064 + t57529 + 0.3e1 * t49849 - 0.7e1 / 0.3e1 * t8004 * t7947 - 0.4e1 / 0.3e1 * t1135 * t7918 - 0.23e2 / 0.6e1 * t8010 * t57535 - 0.4e1 / 0.3e1 * t1140 * t57539 + 0.18e2 * t509 * t39818 * t57543 - 0.14e2 / 0.3e1 * t49852;
  t57554 = t1883 * t57227;
  t57595 = -0.43e2 / 0.9e1 * t57179 * t9805 + 0.6e1 * t719 * t8019 + 0.28e2 / 0.3e1 * t8004 * t7959 + 0.3e1 / 0.2e1 * t162 * t5177 * t7962 + 0.6e1 * t2861 * t7970 - 0.12e2 * t2861 * t7999 - 0.6e1 * t10074 * t57219 * t10076 - 0.18e2 * t1742 * t57215 * t9921 + 0.18e2 * t162 * t57511 * t10030 - 0.12e2 * t49919 + 0.7e1 / 0.3e1 * t49933;
  t57600 = my_piecewise3(t3, 0, -t49894 / 0.2e1 - 0.7e1 * t49870 + 0.2e1 * t106 * t109 * t57130 * t1581 * t139 + t57595 + t57294 + t57239 - t6588 / 0.3e1 - 0.2e1 * t49184 - 0.3e1 * t22411 * t1190 + 0.3e1 * t4944 * t1202 - 0.35e2 / 0.108e3 * t57179 * t10139 + 0.23e2 / 0.9e1 * t8010 * t13201 + 0.22e2 / 0.3e1 * t57133 * t1681 - 0.23e2 / 0.3e1 * t57133 * t1684 - 0.6e1 * t57156 * t497 - 0.12e2 * t719 * t8040 + 0.47e2 / 0.3e1 * t57179 * t9785 - 0.6e1 * t8010 * t13377 + t57506 + t57548 - t57299 + 0.6e1 * t49186 + t57184 - 0.8e1 * t8004 * t2856 + 0.8e1 * t57179 * t10067 + 0.6e1 * t13382 * t8028 + 0.89e2 / 0.9e1 * t57179 * t9821 - 0.38e2 / 0.9e1 * t57179 * t9813 + 0.2e1 * t719 * t7978 + 0.11e2 / 0.3e1 * t1140 * t57199 - 0.2e1 / 0.3e1 * t233 * t57203 + t57147 + 0.3e1 / 0.2e1 * t2004 * t237 * t57554 + 0.36e2 * t509 * t57215 * t9913 + t57095 - 0.6e1 * t162 * t163 * t57130 * t10107 + t984 - t913);
  tv4lapl40 = 0.2e1 * rho[0] * t57600;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 0] += tv4lapl40;

  t57602 = t96 * t40655;
  t57607 = 0.23e2 / 0.12e2 * t49968;
  t57608 = t49972 / 0.2e1;
  t57615 = t23320 * t1208;
  t57619 = t306 * t40022;
  t57623 = t3162 * t3582 * t57602 + t56993 - t56994 - t56995 + 0.9e1 / 0.2e1 * t48812 + 0.5e1 / 0.6e1 * t49965 + t57607 - t57608 + 0.9e1 / 0.2e1 * t17564 * t8341 - t233 * t41529 / 0.4e1 + 0.3e1 / 0.4e1 * t4944 * t1283 - t791 * t555 * t57615 / 0.2e1 - t52531 + t49979 + 0.2e1 * t14054 * t318 * t57619 - t52533 - t52534 - t52535;
  t57630 = t1417 * t2966 * t7981;
  t57636 = t717 * t8228;
  t57646 = t2777 * t8228;
  t57654 = t96 * t40707;
  t57664 = 0.5e1 / 0.12e2 * t50041;
  t57669 = t50060 / 0.4e1;
  t57670 = -t52536 + t823 * t7978 / 0.2e1 - 0.23e2 / 0.3e1 * t13910 * t2042 * t40023 - t233 * t57630 / 0.6e1 + 0.22e2 / 0.3e1 * t13910 * t2218 * t57619 + 0.7e1 * t3007 * t2218 * t57636 + 0.23e2 / 0.12e2 * t3007 * t2042 * t57636 + 0.44e2 / 0.27e2 * t13935 * t10904 * t40023 - 0.3e1 / 0.2e1 * t3007 * t2213 * t57646 - 0.9e1 * t2004 * t3211 * t10242 * t40707 - 0.7e1 / 0.3e1 * t4503 * t1974 * t57654 - 0.11e2 / 0.12e2 * t2874 * t10706 * t57602 + 0.3e1 / 0.2e1 * t4510 * t1404 * t57654 - t57664 - t54557 + t1397 * t42488 * t1198 + 0.3e1 * t17561 * t8399 - t57669 + t50067;
  t57672 = t50070 / 0.4e1;
  t57692 = t1455 * t821 * t1148;
  t57698 = t1968 * t8394;
  t57701 = 0.9e1 * t50107;
  t57704 = t12779 * t8394;
  t57707 = -t57672 + 0.6e1 * t13910 * t2213 * t57619 - 0.3e1 / 0.4e1 * t4944 * t1269 + t671 * t41451 - 0.3e1 / 0.2e1 * t4944 * t1266 + t259 * t57245 / 0.2e1 - 0.3e1 / 0.4e1 * t719 * t8246 - t162 * t767 * t57061 / 0.4e1 + t823 * t7966 - t823 * t7963 / 0.4e1 - t1140 * t57692 + 0.18e2 * t2022 * t3211 * t9997 * t40707 + t22064 * t57698 / 0.2e1 - t57701 - t52610 - t52611 + t52612 - 0.14e2 * t22061 * t25616 + t2511 * t57704 / 0.4e1;
  t57710 = t1404 * t169 * t287 * t7939;
  t57713 = t1974 * t8394;
  t57716 = 0.9e1 / 0.2e1 * t50187;
  t57717 = 0.3e1 / 0.2e1 * t50204;
  t57730 = t775 * t8092;
  t57746 = t2511 * t57710 / 0.12e2 + t22064 * t57713 / 0.4e1 + t57716 + t57717 + t1135 * t5508 / 0.2e1 + 0.3e1 / 0.2e1 * t823 * t8050 - 0.3e1 / 0.2e1 * t52664 - 0.35e2 / 0.108e3 * t13935 * t10904 * t57619 + 0.3e1 / 0.2e1 * t162 * t775 * t8083 * t1524 + 0.3e1 * t509 * t57730 * t1699 - 0.3e1 * t162 * t57730 * t1703 + t8004 * t3192 - 0.3e1 / 0.2e1 * t22411 * t1261 + 0.3e1 / 0.2e1 * t4944 * t1274 + t52687 - 0.14e2 * t2022 * t3214 * t1756 * t40707 - t46697 - t46772 - t52688;
  t57767 = t96 * t40923;
  t57779 = -0.38e2 / 0.9e1 * t13935 * t11303 * t57619 + 0.89e2 / 0.9e1 * t13935 * t10897 * t40023 - 0.2e1 * t13935 * t11588 * t57619 - 0.5e1 / 0.36e2 * t8010 * t14475 + t46848 + t46851 + t46856 - t46858 - t46865 + 0.2e1 * t2022 * t881 * t1756 * t40923 + 0.9e1 * t22061 * t25631 + 0.3e1 / 0.4e1 * t49159 - t49165 + t54803 - t3162 * t1404 * t57767 / 0.2e1 + 0.3e1 / 0.2e1 * t14675 * t8028 - 0.3e1 * t3389 * t7999 + 0.3e1 / 0.4e1 * t41395 * t248 + t8004 * t3347 / 0.2e1;
  t57791 = 0.9e1 * t50245;
  t57814 = 0.3e1 / 0.2e1 * t50306;
  t57815 = -t1140 * t25457 / 0.4e1 - 0.5e1 / 0.36e2 * t8010 * t14819 - 0.3e1 / 0.2e1 * t5513 * t1194 + t8004 * t3380 - 0.3e1 / 0.2e1 * t25700 * t1190 + 0.3e1 / 0.2e1 * t5513 * t1202 - t57791 - 0.5e1 / 0.2e1 * t50279 + 0.9e1 / 0.2e1 * t13382 * t8284 - 0.9e1 * t2861 * t8289 + 0.5e1 / 0.3e1 * t13910 * t2042 * t57619 - 0.6e1 * t162 * t14177 * t135 * t137 * t7997 - t1135 * t8255 / 0.3e1 - 0.3e1 * t14247 * t548 * t57619 + 0.3e1 / 0.2e1 * t719 * t8329 + t8004 * t2880 / 0.2e1 - t49184 + t52762 + t57814;
  t57817 = t50319 / 0.2e1;
  t57825 = t1455 * t8254;
  t57834 = t305 * t2966 * t7940;
  t57854 = 0.9e1 / 0.2e1 * t50379;
  t57855 = 0.3e1 / 0.2e1 * t50387;
  t57859 = t57817 + 0.18e2 * t40006 * t14319 - t8036 * t777 / 0.2e1 + 0.3e1 * t2936 * t555 * t57646 + t1140 * t57825 / 0.4e1 - 0.3e1 / 0.4e1 * t5513 * t1199 + 0.11e2 / 0.3e1 * t4482 * t10832 * t57654 + t233 * t57834 / 0.12e2 + 0.3e1 / 0.2e1 * t2004 * t263 * t57554 + 0.11e2 / 0.3e1 * t2471 * t42520 - 0.3e1 * t2004 * t877 * t1883 * t40655 - t259 * t39874 / 0.12e2 - 0.2e1 * t8004 * t3384 + 0.3e1 / 0.2e1 * t823 * t8019 + t39879 * t274 / 0.4e1 + t52784 + t57854 - t57855 + 0.3e1 / 0.2e1 * t2011 * t41372 * t7969;
  t57893 = 0.6e1 * t50453;
  t57905 = -0.3e1 / 0.2e1 * t1397 * t41372 * t7951 + 0.3e1 * t49256 + 0.3e1 / 0.2e1 * t2004 * t877 * t404 * t40923 + 0.28e2 / 0.3e1 * t22071 * t24507 - 0.11e2 / 0.6e1 * t2874 * t11691 * t57602 - 0.11e2 / 0.2e1 * t2022 * t881 * t10242 * t40655 + 0.11e2 / 0.2e1 * t2004 * t881 * t10277 * t40655 + t55072 + 0.5e1 / 0.6e1 * t4482 * t10615 * t57654 + 0.3e1 / 0.4e1 * t2874 * t17598 * t8344 + 0.3e1 / 0.2e1 * t2874 * t17557 * t8344 + 0.2e1 / 0.3e1 * t2874 * t1968 * t57767 - t57893 - t1140 * t25705 / 0.2e1 - 0.11e2 / 0.18e2 * t8010 * t14698 + 0.23e2 / 0.36e2 * t8010 * t14701 + 0.3e1 * t3389 * t8053 - 0.3e1 * t823 * t8040 + t1140 * t25709;
  t57919 = 0.11e2 / 0.6e1 * t50461;
  t57923 = 0.3e1 * t50464;
  t57924 = 0.9e1 / 0.2e1 * t50465;
  t57925 = 0.7e1 * t50470;
  t57928 = t3582 * t169 * t287 * t7975;
  t57933 = t1540 * t7997;
  t57938 = t1670 * t7997;
  t57947 = t775 * t8097;
  t57954 = -t233 * t41390 / 0.4e1 - t8036 * t818 / 0.2e1 - t8010 * t14680 / 0.2e1 + 0.7e1 / 0.3e1 * t8010 * t14707 - 0.3e1 / 0.2e1 * t8010 * t14670 - t57919 + t1397 * t5245 * t7977 / 0.2e1 + t57923 - t57924 + t57925 - t2511 * t57928 / 0.6e1 + t52874 - t1140 * t24758 / 0.4e1 - 0.18e2 * t509 * t14262 * t9783 * t57933 + 0.6e1 * t162 * t14262 * t9783 * t57938 - t8010 * t14288 / 0.2e1 - 0.3e1 / 0.2e1 * t8010 * t14275 + 0.3e1 / 0.2e1 * t1742 * t57947 * t1747 - 0.3e1 * t509 * t57947 * t1752;
  t57958 = t372 * t7997;
  t57983 = 0.9e1 * t50539;
  t57991 = 0.3e1 / 0.2e1 * t50558;
  t57996 = 0.3e1 / 0.2e1 * t50604;
  t57997 = t50615 / 0.4e1;
  t57998 = 0.3e1 / 0.2e1 * t162 * t57947 * t1757 - 0.18e2 * t162 * t14231 * t1539 * t57958 - 0.6e1 * t14247 * t555 * t57619 - 0.18e2 * t509 * t14224 * t371 * t57958 + 0.18e2 * t162 * t14224 * t371 * t408 * t7997 - 0.18e2 * t1742 * t14231 * t1539 * t57933 + 0.36e2 * t509 * t14231 * t1539 * t57938 + t50504 + t57983 - 0.9e1 / 0.2e1 * t17561 * t8355 + 0.5e1 / 0.12e2 * t50546 - 0.2e1 * t2004 * t881 * t1879 * t40923 - t57991 - 0.23e2 / 0.6e1 * t4482 * t10615 * t40708 + t52889 - 0.5e1 / 0.3e1 * t50601 - t57996 - t57997 - t52893;
  t58031 = t52895 + t52896 + t52897 - t791 * t548 * t57615 / 0.4e1 + 0.3e1 / 0.2e1 * t719 * t8310 + 0.9e1 / 0.2e1 * t719 * t8334 + 0.12e2 * t40622 * t548 * t3085 + 0.9e1 * t2861 * t8338 - 0.11e2 / 0.18e2 * t8010 * t13956 + t1140 * t23595 + 0.23e2 / 0.36e2 * t8010 * t13959 - 0.3e1 / 0.2e1 * t162 * t767 * t57081 + t785 * t318 * t57615 / 0.2e1 + t259 * t57121 / 0.4e1 - 0.3e1 / 0.2e1 * t719 * t8324 - 0.2e1 * t8004 * t3172 + t1135 * t5353 / 0.2e1 - t913 + t984;
  t58063 = t1463 * t8254;
  t58069 = t50628 / 0.4e1;
  t58070 = -t57299 + 0.7e1 / 0.3e1 * t8010 * t14174 - 0.9e1 * t719 * t8315 - 0.28e2 * t40006 * t3086 + t259 * t57099 / 0.4e1 + t259 * t57104 / 0.12e2 - 0.62e2 / 0.3e1 * t13935 * t10897 * t40638 + 0.8e1 * t13935 * t10904 * t1740 * t40022 - 0.6e1 * t10074 * t14262 * t9783 * t9803 * t7997 + 0.18e2 * t1742 * t14262 * t9783 * t9819 * t7997 + 0.3e1 / 0.2e1 * t3389 * t7970 - 0.3e1 / 0.2e1 * t823 * t7952 + t1140 * t58063 / 0.2e1 - 0.5e1 / 0.12e2 * t3007 * t2042 * t57646 - t58069 + t6778 - t6780 - t6785 - t6788;
  t58073 = 0.3e1 / 0.4e1 * t50644;
  t58075 = t6799 - t6801 + t6824 - t6826 - t7986 + t7987 + t58073 + t53155 / 0.2e1 + t57500 - t7988 - t7989 + t7990 - t7991 + t6646 + t7992 - t7993 + t49782 - t53184 + t53185;
  t58084 = t50665 / 0.2e1;
  t58085 = t50672 / 0.4e1;
  t58086 = 0.3e1 / 0.2e1 * t50697;
  t58087 = t50722 / 0.2e1;
  t58088 = 0.3e1 / 0.2e1 * t50729;
  t58098 = 0.9e1 / 0.2e1 * t50751;
  t58099 = t6845 + 0.14e2 * t2004 * t3214 * t1879 * t40707 - 0.9e1 * t3980 * t3211 * t9992 * t40707 - t58084 - t58085 + t57529 + t6941 - t6947 + t58086 - t58087 + t53196 - t58088 - t55303 - 0.3e1 * t2874 * t39911 - 0.4e1 / 0.3e1 * t2874 * t40925 + t2874 * t1974 * t57767 / 0.3e1 - 0.3e1 * t49852 - 0.9e1 / 0.2e1 * t49870 + t58098;
  t58104 = 0.3e1 / 0.2e1 * t50771;
  t58105 = 0.3e1 / 0.2e1 * t50779;
  t58106 = 0.3e1 / 0.2e1 * t50781;
  t58107 = 0.3e1 / 0.2e1 * t50783;
  t58126 = t305 * t24514 * t1148;
  t58142 = -t53224 - t22 * t8136 * t288 / 0.4e1 + t58104 - t58105 + t58106 - t58107 - t259 * t57203 / 0.2e1 - 0.3e1 / 0.2e1 * t3065 * t318 * t57646 + 0.9e1 / 0.2e1 * t719 * t8320 + 0.47e2 / 0.3e1 * t39683 * t14255 - t1140 * t23591 / 0.2e1 - 0.11e2 / 0.6e1 * t3007 * t2218 * t57646 - 0.61e2 / 0.27e2 * t13935 * t10897 * t57619 + t233 * t58126 / 0.4e1 - 0.3e1 / 0.2e1 * t2861 * t8275 - 0.9e1 / 0.2e1 * t3007 * t40088 - 0.43e2 / 0.9e1 * t13935 * t10904 * t40638 - 0.6e1 * t2936 * t548 * t57636 + 0.3e1 / 0.2e1 * t2936 * t548 * t57646;
  t58146 = 0.3e1 / 0.2e1 * t50808;
  t58152 = t50812 / 0.2e1;
  t58153 = t50824 / 0.2e1;
  t58154 = 0.3e1 / 0.4e1 * t50826;
  t58159 = t1974 * t1395 * t8393;
  t58164 = t50836 / 0.2e1;
  t58165 = 0.3e1 / 0.2e1 * t50848;
  t58174 = 0.6e1 * t50864;
  t58175 = t50875 / 0.3e1;
  t58176 = 0.18e2 * t50881;
  t58178 = t40329 * t230;
  t58182 = 0.6e1 * t50897;
  t58183 = t42075 * t1147;
  t58194 = t414 * t58183;
  t58199 = t58174 - t58175 + t58176 + 0.5e1 / 0.3e1 * t50889 + 0.4e1 / 0.3e1 * t3197 * t414 * t58178 + t58182 + 0.2e1 / 0.3e1 * t15349 * t1857 * t58183 + 0.6e1 * t3200 * t149 * t58178 - 0.18e2 * t49314 + 0.3e1 * t49327 + 0.6e1 * t4349 * t57474 - 0.28e2 / 0.3e1 * t15352 * t58194 - 0.36e2 * t15349 * t58194;
  t58200 = t5447 * t7975;
  t58210 = 0.18e2 * t50977;
  t58212 = 0.9e1 * t50994;
  t58213 = 0.9e1 * t51035;
  t58214 = 0.3e1 * t51045;
  t58215 = t51049 / 0.6e1;
  t58216 = 0.12e2 * t51053;
  t58223 = 0.18e2 * t51061;
  t58224 = 0.36e2 * t51064;
  t58225 = -0.12e2 * t15341 * t149 * t58200 - 0.11e2 / 0.3e1 * t15344 * t414 * t58200 - 0.18e2 * t15338 * t149 * t58183 + t58210 + 0.5e1 * t50992 - t58212 - t58213 - t58214 + t58215 - t58216 + 0.22e2 * t15344 * t427 * t58200 - 0.8e1 * t3197 * t427 * t58178 + t58223 - t58224;
  t58228 = 0.2e1 * t51077;
  t58236 = t63 * t7997;
  t58240 = -0.24e2 * t145 * t15164 * t58236 + 0.4e1 * t15349 * t1845 * t58183 + 0.56e2 * t15352 * t427 * t58183 - t263 * t57324 - t46979 - 0.1e2 * t51068 + t52975 - t52978 + t57355 + t57356 - t58228 - t8065 + t8066 + t8067;
  t58243 = t60 * t7997;
  t58255 = t8147 * t1147;
  t58262 = t1240 * t7939;
  t58268 = -0.6e1 * t263 * t57397 - 0.2e1 / 0.3e1 * t15169 * t1746 * t58243 + 0.24e2 * t15153 * t400 * t58243 - 0.6e1 * t49390 + t6862 - t6865 + t6869 + 0.9e1 * t49407 - t52995 - t15157 * t10075 * t58236 / 0.9e1 + 0.56e2 / 0.3e1 * t3214 * t1756 * t58255 + 0.9e1 * t3227 * t404 * t58255 - 0.3e1 * t877 * t404 * t58262 - 0.3e1 * t263 * t57318;
  t58271 = t8080 * t230;
  t58284 = 0.22e2 / 0.3e1 * t881 * t10242 * t58271 - t57409 - t53049 - t57435 + t53063 + t47075 - t47081 - t47085 + 0.4e1 / 0.3e1 * t15169 * t1746 * t58236 + 0.12e2 * t15164 * t145 * t58243 + 0.1e2 / 0.3e1 * t15157 * t10080 * t58243 - t6890 + t6898 - t6900;
  t58286 = 0.1e2 * t51112;
  t58299 = -t6531 + t8087 - t8088 + t53070 - t53071 - 0.1e2 / 0.3e1 * t51107 + t58286 - 0.6e1 * t49532 + t263 * t57350 / 0.2e1 - t3211 * t9992 * t58255 / 0.3e1 - 0.8e1 / 0.3e1 * t881 * t1756 * t58262 + 0.4e1 * t881 * t1879 * t58262 + t53104 - t53105;
  t58327 = 0.18e2 * t10242 * t3211 * t58255 - 0.11e2 * t10277 * t58271 * t881 - 0.12e2 * t15153 * t400 * t58236 + 0.72e2 * t15153 * t409 * t58236 + 0.24e2 * t15157 * t58236 * t9997 - 0.4e2 * t15169 * t1751 * t58243 - 0.28e2 * t1879 * t3214 * t58255 + 0.6e1 * t1883 * t58271 * t877 + 0.3e1 * t263 * t57425 + t47130 + t47133 + t53106 + t53107 - t53108;
  t58356 = 0.8e1 * t15169 * t1751 * t58236 - 0.4e1 / 0.3e1 * t15157 * t10080 * t58236 - 0.2e2 * t3211 * t9997 * t58255 - 0.72e2 * t15169 * t1756 * t58236 + 0.8e1 / 0.3e1 * t15157 * t9992 * t58236 - t57470 + t57472 + 0.36e2 * t15169 * t1756 * t58243 - 0.12e2 * t15157 * t9997 * t58243 + 0.5e2 / 0.3e1 * t15157 * t9992 * t58243 + 0.12e2 * t49616 - t962 + t943 - 0.36e2 * t15153 * t409 * t58243;
  t58365 = 0.5e1 / 0.2e1 * t50799 - t3168 * t57229 / 0.2e1 - t58146 - t3162 * t12779 * t8344 + 0.3e1 * t4482 * t10706 * t57654 + t58152 - t58153 + t58154 - t1397 * t5245 * t7962 / 0.4e1 - t22064 * t58159 - 0.14e2 / 0.3e1 * t4503 * t1968 * t57654 + t58164 - t58165 - t53267 - 0.9e1 / 0.2e1 * t2004 * t3227 * t404 * t40707 - 0.3e1 / 0.4e1 * t13326 * t8390 - t23367 * t8395 / 0.3e1 - t22 * t59 * (t58199 + t58225 + t58240 + t58268 + t58284 + t58299 + t58327 + t58356) * t96 / 0.4e1 + 0.3e1 / 0.2e1 * t49933;
  t58370 = my_piecewise3(t3, 0, t57623 + t57670 + t57707 + t57746 + t57779 + t57815 + t57859 + t57905 + t57954 + t57998 + t58031 + t58070 + t58075 + t58099 + t58142 + t58365);
  tv4lapl3tau0 = 0.2e1 * rho[0] * t58370;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 0] += tv4lapl3tau0;

  t58382 = t1404 * t169 * t1386 * t1147;
  t58386 = t1304 * t1132;
  t58398 = t14860 * t8394;
  t58403 = 0.11e2 * t2004 * t6075 * t8354 - 0.35e2 / 0.3e1 * t3933 * t42996 - t1397 * t43479 * t1198 / 0.4e1 + t2511 * t58382 / 0.12e2 + t17564 * t8571 + 0.3e1 * t2004 * t3214 * t1879 * t58386 - 0.3e1 * t2022 * t3214 * t1756 * t58386 + t52406 - t52408 - t52419 - 0.115e3 / 0.36e2 * t26697 * t10615 * t8387 + t2511 * t58398 / 0.6e1 - t14865 * t8390 / 0.2e1;
  t58404 = 0.2e1 / 0.3e1 * t54469;
  t58431 = -t58404 - 0.2e1 * t2471 * t44721 + 0.25e2 / 0.36e2 * t26697 * t10615 * t8344 - 0.11e2 / 0.6e1 * t25843 * t8345 - 0.11e2 / 0.3e1 * t25843 * t8384 + 0.55e2 / 0.18e2 * t26697 * t10832 * t8344 + t2874 * t21332 * t8344 / 0.2e1 - 0.2e1 / 0.3e1 * t3162 * t14860 * t8344 + t53317 - t1140 * t26216 / 0.12e2 - 0.2e1 * t25700 * t1261 + 0.2e1 * t5513 * t1274 + 0.4e1 / 0.3e1 * t49965 + 0.23e2 / 0.9e1 * t49968;
  t58443 = t169 * t41309;
  t58457 = -0.2e1 / 0.3e1 * t49972 - 0.4e1 * t22071 * t51976 - t13326 * t8720 - t1397 * t5720 * t7962 / 0.2e1 - t2874 * t17606 * t8559 / 0.3e1 - 0.5e1 / 0.18e2 * t4482 * t3965 * t58443 - t48822 + 0.4e1 / 0.3e1 * t49979 - t51232 - 0.43e2 / 0.9e1 * t26050 * t10904 * t8278 + 0.47e2 / 0.3e1 * t21845 * t26164 - 0.28e2 * t22596 * t25760 + t1292 * t7983 / 0.3e1;
  t58469 = t8473 * t1147;
  t58473 = t1304 * t7939;
  t58480 = 0.2e1 * t26030 * t8307 - t1297 * t57233 / 0.2e1 - 0.3e1 * t26073 * t8230 - t1297 * t57275 - t259 * t57630 / 0.3e1 + t5513 * t1283 - t48845 - t48865 - t48869 - t48882 + t17561 * t8715 + t2004 * t263 * t1883 * t58469 + t2004 * t263 * t1883 * t58473 / 0.2e1 - 0.2e1 * t13326 * t8718;
  t58487 = t305 * t26003 * t1148;
  t58512 = -t17561 * t8576 - t5985 * t1199 / 0.4e1 + t233 * t58487 / 0.12e2 + 0.3e1 * t823 * t8334 - 0.3e1 * t509 * t5785 * t57266 - t162 * t5855 * t7977 - 0.6e1 * t162 * t27297 * t8333 + 0.3e1 * t162 * t5785 * t57271 - t162 * t5802 * t1159 * t328 / 0.2e1 + t1135 * t5804 / 0.6e1 - 0.4e1 * t4795 * t51968 - 0.5e1 / 0.9e1 * t50041 - t53382;
  t58545 = t57002 + t52451 + t51703 - t51707 + t52452 - 0.8e1 * t8399 + 0.16e2 / 0.9e1 * t26305 * t8283 - 0.2e1 * t5829 * t7962 + 0.8e1 * t5823 * t40994 - 0.4e1 * t5826 * t41741 - 0.12e2 * t26248 * t8319 + 0.4e1 / 0.3e1 * t39770 * t26252 + 0.24e2 * t26245 * t8314 + t6212 - t52456 + t51722 + 0.12e2 * t26305 * t8319 + 0.4e1 * t5829 * t7977 + 0.12e2 * t26290 * t8333;
  t58566 = 0.12e2 * t8355 - 0.2e1 * t8341 - 0.8e1 * t26284 * t8337 - 0.24e2 * t26284 * t8314 + 0.32e2 / 0.3e1 * t26305 * t8288 - 0.4e1 * t265 * t7977 + 0.2e1 * t265 * t7962 + 0.2e2 / 0.9e1 * t39770 * t26269 - 0.12e2 * t26275 * t8333 - 0.4e1 * t39773 * t5817 - 0.12e2 * t5826 * t42645 - t57042 + t51734 - t51738 + t51742 - t6224 + t52490 - t52491 + t52492;
  t58567 = t58545 + t58566;
  t58592 = 0.4e1 / 0.3e1 * t2471 * t43842 + 0.15e2 / 0.2e1 * t3933 * t43955 - t50060 / 0.3e1 + t1297 * t57107 / 0.6e1 + t259 * t305 * t2777 * t8616 / 0.6e1 + t259 * t305 * t306 * t95 * t58567 / 0.12e2 + 0.6e1 * t25864 * t8298 + 0.18e2 * t1742 * t27277 * t9783 * t9819 * t1132 - t5706 * t8225 - t1292 * t7918 / 0.3e1 + t51261 + 0.14e2 / 0.3e1 * t3007 * t2218 * t41574 - 0.18e2 * t1742 * t26058 * t8283 + 0.36e2 * t509 * t26058 * t8288;
  t58600 = t8574 * t1147;
  t58601 = t96 * t58600;
  t58606 = -t51267 + 0.4e1 / 0.3e1 * t50067 + t51273 - t50070 / 0.3e1 + 0.3e1 * t21068 * t8341 + 0.2e1 * t13326 * t8569 + t51288 - t51293 + 0.2e1 / 0.3e1 * t3162 * t3582 * t58601 - 0.12e2 * t50107 - t48945 + t51314 - t51321;
  t58626 = t2966 * t8228;
  t58630 = -t1292 * t7942 / 0.6e1 - 0.38e2 / 0.9e1 * t26050 * t11303 * t8229 + 0.89e2 / 0.9e1 * t26050 * t10897 * t8264 - 0.18e2 * t162 * t26058 * t8319 - 0.18e2 * t509 * t27277 * t9783 * t8282 + 0.6e1 * t162 * t27277 * t9783 * t8287 - t3007 * t2213 * t58626 - t48962 + t48965 + t51344 - t51350 - t51401 + t51403 + 0.6e1 * t50187;
  t58655 = 0.2e1 * t50204 - t5985 * t1194 / 0.2e1 + t1135 * t5963 / 0.6e1 - t259 * t41390 / 0.6e1 - t1297 * t22778 / 0.12e2 - t1297 * t22402 / 0.6e1 - t233 * t43207 / 0.6e1 - t53480 + 0.23e2 / 0.18e2 * t3007 * t2042 * t41574 + 0.2e1 * t2936 * t555 * t58626 - t1140 * t27358 / 0.3e1 + t48994 - t51429;
  t58671 = -t46697 - t46772 - t49096 - t51485 - t51488 - t3065 * t318 * t58626 + 0.2e1 * t1297 * t57199 - t823 * t8324 + t823 * t8329 + t1135 * t5683 / 0.3e1 + 0.2e1 * t5713 * t8222 + 0.2e1 / 0.3e1 * t1297 * t57124 + t5713 * t8233 + t1297 * t57090 / 0.3e1;
  t58691 = -0.5e1 / 0.18e2 * t5911 * t2042 * t8221 - 0.4e1 * t5713 * t8218 - 0.4e1 / 0.3e1 * t1297 * t57262 + 0.23e2 / 0.18e2 * t5911 * t2042 * t8217 - 0.2e1 * t5513 * t1266 - t5513 * t1269 + 0.4e1 / 0.3e1 * t671 * t44000 + t46848 + t46851 + t46856 - t46858 - t46865 - 0.18e2 * t509 * t26661 * t8337;
  t58705 = t24514 * t1208;
  t58718 = 0.18e2 * t162 * t26661 * t8314 + 0.12e2 * t22499 * t52350 + t162 * t5855 * t7962 / 0.2e1 - 0.2e1 * t26050 * t11588 * t8229 - t1140 * t26677 / 0.6e1 + t53500 - t53502 + 0.2e1 / 0.3e1 * t785 * t318 * t58705 + t53516 / 0.3e1 - t51534 + 0.6e1 * t2861 * t8646 - 0.6e1 * t719 * t8424 - 0.6e1 * t2861 * t8453 + 0.3e1 * t719 * t8428;
  t58726 = t54834 / 0.2e1;
  t58744 = t1240 * t8473;
  t58748 = t8147 * t1304;
  t58755 = 0.4e1 * t55466;
  t58756 = 0.4e1 * t55478;
  t58757 = 0.8e1 * t50864 - 0.4e1 / 0.9e1 * t50875 + 0.24e2 * t50881 + 0.8e1 / 0.3e1 * t50889 + 0.8e1 * t50897 - t53720 + t49327 - 0.22e2 / 0.3e1 * t27586 * t8192 - t52073 - t263 * t404 * t63 * t58567 - t27466 * t10075 * t8171 / 0.9e1 - 0.12e2 * t27493 * t8172 - 0.2e1 * t1323 * t57402 - 0.4e1 / 0.3e1 * t881 * t1756 * t58744 - t3211 * t9992 * t58748 / 0.18e2 + 0.24e2 * t50977 + 0.8e1 * t50992 - 0.12e2 * t50994 - t58755 + t58756;
  t58758 = 0.4e1 * t55483;
  t58759 = 0.2e1 / 0.3e1 * t55493;
  t58788 = 0.24e2 * t27493 * t8148 - 0.2e1 / 0.3e1 * t27440 * t8151 + 0.36e2 * t27440 * t8164 - 0.12e2 * t27466 * t9997 * t8147 + 0.24e2 * t51061 - 0.48e2 * t51064 - 0.16e2 * t51068 - 0.8e1 / 0.3e1 * t51077 + t49382 - t49384 + t52980;
  t58812 = 0.2e1 * t1879 * t58744 * t881 - t46979 - t52109 - t52112 + t52126 + t52130 - t52136 - t53874 + t7177 + t7683 - t7684;
  t58814 = t6028 * t1132;
  t58818 = t414 * t58814;
  t58855 = 0.4e1 / 0.3e1 * t55562;
  t58856 = -0.72e2 * t27440 * t8206 + 0.8e1 / 0.3e1 * t27466 * t9992 * t8171 + 0.24e2 * t27466 * t9997 * t8171 - t53028 - t263 * t1883 * t1336 * t7939 - 0.8e1 * t15341 * t16820 * t58600 - 0.5e1 / 0.3e1 * t15344 * t16829 * t58600 + 0.1e2 * t15344 * t16824 * t58600 - t49424 - t8068 - t58855;
  t58860 = 0.2e1 * t55570;
  t58861 = 0.2e1 * t55579;
  t58874 = t44261 * t230;
  t58898 = 0.5e1 / 0.9e1 * t27582 * t1857 * t8188 + 0.4e1 * t3200 * t149 * t58874 - 0.4e1 / 0.3e1 * t1323 * t57410 - t1319 * t8108 + t47075 - t47081 - t47085 + 0.8e1 * t27440 * t8203 - 0.4e1 / 0.3e1 * t27466 * t10080 * t8171 + t7709 + 0.4e1 / 0.3e1 * t27440 * t8175;
  t58905 = 0.2e1 * t55622;
  t58907 = 0.2e1 * t55648;
  t58919 = -t52207 + t49508 - t49513 - t58907 - 0.16e2 / 0.3e1 * t51107 + 0.4e2 / 0.3e1 * t51112 - t53946 + 0.6e1 * t6059 * t8168 - 0.3e2 * t27582 * t8192 - 0.5e1 * t15344 * t427 * t58600 - 0.12e2 * t27576 * t8189;
  t58946 = t47130 + t47133 + t52268 + t52275 - t52277 - t52284 - t53117 + t53125 - 0.2e1 * t263 * t1883 * t8474 * t1147 + 0.4e1 * t3214 * t1756 * t58748 + t263 * t404 * t60 * t58567 / 0.2e1;
  t58980 = -0.6e1 * t15338 * t149 * t58814 - 0.6e1 * t20269 * t149 * t6028 * t7975 + 0.1e2 / 0.3e1 * t27582 * t1845 * t8188 + t53955 - 0.4e1 * t3197 * t427 * t58874 + 0.44e2 * t27586 * t8194 - t962 + t943 - 0.22e2 * t6075 * t8197 + 0.15e2 * t6044 * t10242 * t8167 - 0.4e1 * t1323 * t57346;
  t59001 = t25897 * t8351 - 0.3e1 * t21072 * t8355 - t51543 - 0.12e2 * t50245 - 0.4e1 * t50279 - t58726 - t49185 + t49186 - t22 * t59 * (0.1e2 / 0.3e1 * t27466 * t10080 * t8147 + 0.5e2 / 0.3e1 * t27466 * t9992 * t8147 - 0.5e2 / 0.3e1 * t6044 * t9997 * t8167 + 0.2e1 / 0.3e1 * t15349 * t1845 * t58814 + 0.12e2 * t15352 * t427 * t58814 - 0.2e1 * t877 * t404 * t58744 + 0.3e1 * t3211 * t10242 * t58748 + 0.3e1 * t3227 * t404 * t58748 - 0.6e1 * t3214 * t1879 * t58748 + 0.2e1 / 0.3e1 * t3197 * t414 * t58874 + 0.1e2 / 0.3e1 * t15344 * t414 * t58600 - 0.5e1 / 0.18e2 * t6044 * t9992 * t8167 + 0.4e1 * t15341 * t149 * t58600 + t15349 * t1857 * t58814 / 0.9e1 - 0.1e2 / 0.3e1 * t3211 * t9997 * t58748 + t52319 + t52313 + t52305 - t52307 + t52301 + t52299 - t52199 - 0.16e2 * t51053 + 0.2e1 / 0.9e1 * t51049 - 0.4e1 * t51045 - 0.12e2 * t51035 - t49581 + t49570 - t49564 + t49566 + t49559 + t49467 - t49410 + t58758 + t58759 + t58812 - 0.36e2 * t27493 * t8161 + t7173 + t58898 + t58980 - t7728 - t7710 + t7711 - t7712 + t58757 + t58788 + t58860 - t58861 - t58905 - t7175 + t7176 + 0.2e1 * t1323 * t57438 - 0.4e2 * t27440 * t8154 - 0.2e1 * t15352 * t58818 - 0.6e1 * t15349 * t58818 + 0.12e2 * t1323 * t57340 + 0.2e1 / 0.3e1 * t1323 * t57330 + 0.2e1 * t1319 * t8074 + 0.44e2 / 0.3e1 * t6075 * t8180 + 0.72e2 * t27493 * t8200 + 0.4e1 * t1323 * t57421 + 0.12e2 * t27437 * t8157 + 0.2e1 * t1319 * t8081 - 0.6e1 * t1323 * t57384 + t7218 - t7219 + t58919 + t58856 + t53877 + t58946 - 0.24e2 * t27437 * t8185 - 0.4e1 * t1319 * t8077 - t7215 + 0.4e1 * t4349 * t149 * t44261 * t1147 + 0.3e1 * t263 * t10295 * t1336 * t7975 + 0.2e1 * t4349 * t149 * t6028 * t7939 + t55581 + t7685) * t96 / 0.4e1 + 0.6e1 * t2011 * t26864 * t8337 - 0.6e1 * t1397 * t26864 * t8314 - 0.11e2 / 0.9e1 * t4482 * t3961 * t58443 + 0.23e2 / 0.18e2 * t4482 * t3965 * t41310;
  t59006 = t8473 * t230;
  t59016 = t54862 / 0.3e1;
  t59022 = t169 * t41013;
  t59026 = 0.2e1 * t4503 * t1996 * t58443 + t17561 * t8711 + t2004 * t877 * t404 * t59006 + 0.2e1 * t22071 * t51208 - 0.3e1 / 0.2e1 * t2004 * t3227 * t404 * t58386 + t51562 - t59016 + 0.2e1 * t50306 + 0.2e1 / 0.3e1 * t50319 + t51598 - t51606 + t51610 + 0.2e1 * t1397 * t5716 * t40994 - 0.2e1 / 0.3e1 * t3162 * t1404 * t59022;
  t59052 = t1304 * t7975;
  t59057 = t96 * t58386;
  t59064 = t1397 * t5720 * t7977 - 0.15e2 / 0.2e1 * t3980 * t6044 * t9992 * t5099 - 0.2e1 * t17554 * t8567 + 0.3e1 * t1397 * t27224 * t8333 - t3168 * t57928 / 0.3e1 - t4510 * t1982 * t58443 + t4503 * t1962 * t58443 + t3168 * t57704 / 0.3e1 + t3168 * t57710 / 0.6e1 - t3162 * t12779 * t8691 / 0.3e1 + t3168 * t16129 * t96 * t59052 / 0.2e1 + t4510 * t1404 * t59057 / 0.2e1 + 0.5e1 / 0.2e1 * t26697 * t10706 * t8344;
  t59070 = t5802 * t1163;
  t59086 = t54888 / 0.6e1;
  t59087 = t823 * t8310 - t259 * t41529 / 0.6e1 - 0.2e1 / 0.3e1 * t1297 * t57539 - t509 * t59070 * t512 / 0.2e1 + t162 * t59070 * t516 / 0.2e1 - t51617 + t2874 * t1974 * t59022 / 0.2e1 - 0.5e1 / 0.12e2 * t2874 * t10706 * t58601 + 0.14e2 / 0.3e1 * t5911 * t2218 * t8217 + t51627 + t51630 + t59086 + t51637 + t49248;
  t59102 = t96 * t59006;
  t59114 = -0.2e1 / 0.3e1 * t2874 * t17598 * t8706 - 0.2e1 / 0.3e1 * t2874 * t1974 * t500 * t59006 + t2874 * t17557 * t8691 / 0.3e1 + t2874 * t1968 * t59102 / 0.3e1 + 0.5e1 / 0.36e2 * t4482 * t10615 * t59057 + t51657 + t51661 + t51663 - t51665 - t51667 + 0.6e1 * t50379 - 0.2e1 * t50387 - 0.35e2 / 0.108e3 * t26050 * t10904 * t8229;
  t59121 = t55058 / 0.2e1;
  t59131 = t500 * t58386;
  t59143 = 0.2e1 * t2861 * t8649 - 0.2e1 * t719 * t8636 + t49256 - t51676 + t51685 + 0.22e2 / 0.3e1 * t3956 * t43804 - t59121 + t2874 * t20571 * t8344 + 0.3e1 / 0.2e1 * t4482 * t10615 * t1733 * t58386 + 0.11e2 / 0.18e2 * t4482 * t10832 * t59057 - 0.23e2 / 0.36e2 * t4482 * t10615 * t59131 + t4482 * t10706 * t59057 / 0.2e1 - 0.7e1 / 0.3e1 * t4482 * t10832 * t59131 - t4503 * t1968 * t59057;
  t59165 = 0.2e1 / 0.3e1 * t3162 * t17831 * t8559 + t53994 / 0.3e1 + t55080 - t55089 + t55102 + t41395 * t274 / 0.2e1 + t1297 * t22406 / 0.3e1 - t1140 * t26719 / 0.12e2 + t43212 * t248 / 0.2e1 - t4944 * t1360 / 0.2e1 + t1292 * t4962 / 0.6e1 - t1140 * t26731 / 0.6e1 + t1140 * t26796 / 0.3e1;
  t59191 = -t26738 * t1190 / 0.2e1 + t5985 * t1202 / 0.2e1 - 0.8e1 * t50453 + 0.6e1 * t3389 * t8338 + t509 * t5785 * t57173 + t4944 * t1356 / 0.2e1 - 0.5e1 / 0.18e2 * t3007 * t2042 * t58626 + t259 * t305 * t23320 * t1305 / 0.12e2 - t51780 - 0.2e1 / 0.3e1 * t2874 * t17660 * t8559 - 0.22e2 / 0.9e1 * t50461 + 0.4e1 * t50464 - 0.6e1 * t50465 + 0.28e2 / 0.3e1 * t50470;
  t59216 = t49289 - 0.11e2 / 0.9e1 * t5911 * t2218 * t8221 - t5911 * t2213 * t8221 - 0.2e1 / 0.3e1 * t791 * t555 * t58705 + 0.3e1 * t719 * t8638 + t719 * t8641 - 0.5e1 / 0.2e1 * t2022 * t881 * t10242 * t58600 + t7611 - 0.2e1 * t2471 * t43252 + 0.4e1 / 0.3e1 * t50504 - 0.5e1 / 0.6e1 * t2874 * t11691 * t58601 + 0.12e2 * t50539 - t51822;
  t59223 = t55130 / 0.3e1;
  t59230 = t51829 + t51840 + 0.2e1 / 0.3e1 * t50546 - 0.2e1 * t50558 - 0.2e1 * t2004 * t877 * t1883 * t58600 + t49681 + t59223 - 0.8e1 / 0.3e1 * t50601 - 0.2e1 * t50604 - t50615 / 0.3e1 - t791 * t548 * t58705 / 0.3e1 - t49710 + t49713 + t49714;
  t59264 = t49717 - t4944 * t1365 / 0.4e1 + 0.18e2 * t22596 * t51652 - t3168 * t3582 * t96 * t58469 / 0.3e1 - t3168 * t3582 * t96 * t58473 / 0.6e1 + t2874 * t17598 * t8691 / 0.6e1 + t2874 * t1974 * t59102 / 0.6e1 - t3162 * t1404 * t59102 / 0.3e1 - t4503 * t1974 * t59057 / 0.2e1 - t3168 * t30687 * t8696 / 0.3e1 - 0.11e2 * t2022 * t6075 * t5100 + 0.3e1 * t13382 * t8448 - t913;
  t59299 = t984 + t2874 * t1968 * t59022 - t7974 + 0.3e1 * t1397 * t26197 * t8319 - 0.3e1 / 0.2e1 * t3980 * t3211 * t9992 * t58386 + 0.3e1 * t2022 * t3211 * t9997 * t58386 - 0.3e1 / 0.2e1 * t2004 * t3211 * t10242 * t58386 - 0.3e1 * t4482 * t3965 * t2009 * t41309 + 0.3e1 * t11419 * t26197 * t8283 - 0.6e1 * t2011 * t26197 * t8288 + t2936 * t548 * t58626 + t259 * t57834 / 0.6e1 - t50628 / 0.3e1 + t4944 * t1368 / 0.2e1;
  t59309 = -t22411 * t1352 / 0.2e1 + t1140 * t26681 / 0.3e1 - 0.6e1 * t823 * t8315 + t6777 - t7771 - t6784 - t6787 + t7772 - t7773 + t7789 - t7790 - t7091 + t7093;
  t59315 = t50644 - 0.11e2 / 0.9e1 * t3007 * t2218 * t58626 + t54155 + t53169 - t7095 - t7096 + t7097 - t6631 + t7098 + t6660 - t6668 + 0.2e1 * t21072 * t8399 - t51939 + t49783;
  t59331 = t51950 - t49788 + t49796 + t7815 - 0.2e1 / 0.3e1 * t50665 - 0.61e2 / 0.27e2 * t26050 * t10897 * t8229 - t50672 / 0.3e1 + t8064 - t51967 + t259 * t58126 / 0.3e1 + t1297 * t57252 / 0.3e1 + 0.5e1 / 0.3e1 * t25864 * t8236 - t22 * t1183 * t1387 / 0.4e1;
  t59333 = t55277 / 0.3e1;
  t59335 = t55279 / 0.6e1;
  t59355 = t7854 - t7855 + 0.2e1 * t50697 - t59333 - 0.2e1 / 0.3e1 * t50722 + t59335 + t49850 - t719 * t8633 / 0.2e1 - t162 * t767 * t303 * t137 * t58567 / 0.4e1 - t162 * t5785 * t57115 - 0.6e1 * t3389 * t8289 + 0.22e2 / 0.3e1 * t25864 * t8292 - 0.23e2 / 0.3e1 * t25864 * t8295 - 0.3e1 * t3007 * t2042 * t3387 * t8228;
  t59379 = -0.62e2 / 0.3e1 * t26050 * t49763 - 0.2e1 * t50729 - t54244 - t49852 + 0.5e1 / 0.2e1 * t2004 * t881 * t10277 * t58600 + t719 * t8628 / 0.2e1 + 0.3e1 * t823 * t8320 - 0.6e1 * t10074 * t27277 * t9783 * t9803 * t1132 - t54280 - 0.6e1 * t26073 * t8262 - t233 * t43242 / 0.6e1 + 0.6e1 * t50751 - t52010;
  t59401 = t55724 / 0.6e1;
  t59409 = 0.8e1 * t26050 * t10904 * t1740 * t8228 + 0.3e1 * t14675 * t8284 - t4482 * t1974 * t58443 + 0.14e2 / 0.3e1 * t4482 * t41311 + 0.15e2 * t2022 * t6044 * t9997 * t5099 - 0.15e2 / 0.2e1 * t2004 * t6044 * t10242 * t5099 - t49895 - t22 * t8211 * t288 / 0.2e1 + t59401 + 0.3e1 * t2011 * t6152 * t41741 - 0.3e1 * t1397 * t6152 * t42645 - t7870 + 0.2e1 * t50771 + t52349;
  t59437 = -0.2e1 * t50779 + 0.2e1 * t50781 - 0.2e1 * t50783 - 0.3e1 / 0.2e1 * t2004 * t263 * t10295 * t59052 + 0.2e1 / 0.3e1 * t1140 * t27362 - t3389 * t8275 - 0.3e1 * t5911 * t2042 * t2859 * t1208 - t823 * t8246 / 0.2e1 - t1140 * t25830 / 0.6e1 + 0.4e1 * t50799 - 0.2e1 * t50808 - t2004 * t881 * t1879 * t59006 + t2022 * t881 * t1756 * t59006;
  t59452 = 0.2e1 / 0.3e1 * t50812 + t52379 - 0.2e1 / 0.3e1 * t50824 - t233 * t43974 / 0.3e1 + t50826 + 0.44e2 / 0.27e2 * t26050 * t10904 * t8264 + 0.2e1 / 0.3e1 * t50836 - 0.2e1 * t50848 - t49920 - 0.3e1 * t2004 * t6059 * t8398 - t52387 + t54431 + t55905 + 0.5e1 / 0.3e1 * t2471 * t44033;
  t59458 = my_piecewise3(t3, 0, t58718 + t59409 + t58691 + t59230 + t59355 + t58431 + t58457 + t58480 + t58512 + t59064 + t58403 + t59379 + t59331 + t59437 + t59309 + t59264 + t58671 + t59143 + t59191 + t58606 + t59165 + t59087 + t58630 + t58592 + t59001 + t59299 + t58655 + t59114 + t59026 + t59315 + t59452 + t59216);
  tv4lapl2tau20 = 0.2e1 * rho[0] * t59458;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 0] += tv4lapl2tau20;

  t59480 = -t58404 - 0.2e1 * t44940 * t11588 * t1209 + t49965 + t57607 - t57608 - 0.43e2 / 0.9e1 * t44940 * t10904 * t8439 - 0.9e1 / 0.2e1 * t162 * t44979 * t57161 + 0.47e2 / 0.3e1 * t12291 * t45916 + 0.6e1 * t162 * t45065 * t7951 - 0.28e2 * t12384 * t45932 - t1292 * t8612 / 0.3e1 - t1292 * t8618 / 0.3e1;
  t59498 = 0.2e1 * t45308 * t1210 + t8975 * t1150 / 0.2e1 - t233 * t45763 / 0.4e1 + 0.3e1 / 0.4e1 * t5985 * t1283 - 0.3e1 / 0.2e1 * t5706 * t8603 - t1292 * t8255 / 0.2e1 + t55961 - t55974 + t49979 - t55975 + 0.2e1 * t2471 * t45651 + t2471 * t46079 + 0.3e1 / 0.2e1 * t21072 * t8711;
  t59522 = t8805 * t230;
  t59527 = t8805 * t1147;
  t59537 = 0.3e1 / 0.2e1 * t21072 * t8715 + 0.9e1 * t2011 * t44861 * t1260 + 0.3e1 * t2011 * t44959 * t7969 - 0.9e1 / 0.2e1 * t3933 * t45839 - 0.3e1 / 0.2e1 * t1397 * t45718 * t1265 - 0.3e1 / 0.4e1 * t1397 * t46085 * t1198 - 0.9e1 / 0.2e1 * t2022 * t1323 * t10242 * t8695 + 0.9e1 / 0.2e1 * t3933 * t46431 + t2004 * t877 * t404 * t59522 / 0.2e1 + t2004 * t263 * t1883 * t59527 / 0.2e1 - t2471 * t45873 / 0.3e1 - 0.3e1 * t2004 * t6059 * t8710;
  t59569 = -t1297 * t1455 * t717 * t1305 - t1297 * t1455 * t160 * t8616 - 0.3e1 / 0.2e1 * t162 * t5785 * t1440 * t408 * t8473 + 0.3e1 / 0.2e1 * t719 * t8738 + t1297 * t1463 * t8611 / 0.2e1 + t1297 * t1463 * t8617 / 0.2e1 - 0.2e1 * t1297 * t57692 - 0.3e1 / 0.2e1 * t719 * t8734 - 0.7e1 * t8926 * t57258 + 0.3e1 / 0.2e1 * t1397 * t5716 * t43749 - t57664 - 0.3e1 / 0.4e1 * t53382 + 0.23e2 / 0.36e2 * t8926 * t13201;
  t59598 = t52429 + t49008 + t56429 - t56430 + 0.24e2 * t45515 * t1273 - 0.12e2 * t45510 * t8427 + 0.4e1 / 0.3e1 * t45510 * t8452 + 0.8e1 * t1331 * t7951 + 0.2e1 * t265 * t8632 - 0.12e2 * t45500 * t1265 - 0.4e1 * t1334 * t1198;
  t59616 = -0.4e1 * t45515 * t1260 - 0.4e1 / 0.3e1 * t1331 * t7969 + 0.2e2 / 0.9e1 * t45510 * t8447 + t49012 - t56447 - 0.2e1 / 0.3e1 * t8571 + 0.12e2 * t45524 * t8427 - 0.4e1 * t8711 - 0.4e1 * t8715 + 0.12e2 * t45537 * t1265 + 0.4e1 * t45541 * t1198 - 0.8e1 * t45544 * t1260;
  t59635 = -0.8e1 / 0.3e1 * t45530 * t7969 + 0.16e2 / 0.9e1 * t45524 * t8447 + 0.4e1 * t8576 - 0.24e2 * t45544 * t1273 + 0.32e2 / 0.3e1 * t45524 * t8452 - 0.2e1 * t5829 * t8632 - 0.8e1 * t45530 * t7951 + t6212 - t49026 + 0.4e1 * t5823 * t43749 + 0.4e1 * t5829 * t44017;
  t59640 = -0.4e1 / 0.3e1 * t5826 * t43771 - 0.4e1 * t5826 * t43761 + t56464 - t52487 + t56466 - t56467 + t56468 - t6224 + t56472 + t49054 - t49061 + t49065;
  t59642 = t59598 + t59616 + t59635 + t59640;
  t59652 = 0.3e1 / 0.2e1 * t13382 * t8939 - 0.3e1 * t2861 * t8942 - 0.3e1 / 0.2e1 * t8926 * t13377 - 0.3e1 / 0.2e1 * t25700 * t1352 + 0.3e1 / 0.2e1 * t5513 * t1368 - t57669 + t55997 + t56002 - t719 * t8822 / 0.4e1 - t162 * t767 * t303 * t137 * t59642 / 0.4e1 + 0.3e1 / 0.2e1 * t8926 * t57165 + 0.11e2 / 0.6e1 * t8926 * t57249;
  t59668 = -0.23e2 / 0.12e2 * t8926 * t57535 + 0.4e1 * t8947 * t7959 - 0.2e1 * t8947 * t7955 + 0.9e1 * t509 * t44979 * t57543 - 0.38e2 / 0.9e1 * t44940 * t11303 * t1209 + 0.89e2 / 0.9e1 * t44940 * t10897 * t1223 - t56014 + t50067 + t56015 - t57672 - t56032 + t51287 - t56049;
  t59691 = -0.62e2 / 0.3e1 * t44940 * t47737 + 0.8e1 * t44940 * t47369 + 0.9e1 / 0.2e1 * t14675 * t8448 - 0.18e2 * t162 * t44948 * t8427 - 0.18e2 * t509 * t44952 * t9783 * t8446 + 0.6e1 * t162 * t44952 * t9783 * t8451 - t57701 + t56075 - t56076 - 0.9e1 / 0.2e1 * t3980 * t6044 * t9992 * t8574 + t56097 - t56098 - t56111;
  t59708 = t26003 * t1208;
  t59716 = t56112 + t57716 + t57717 + 0.22e2 / 0.3e1 * t45269 * t8412 - 0.23e2 / 0.3e1 * t45269 * t8415 - 0.11e2 / 0.6e1 * t5911 * t2218 * t8431 + 0.23e2 / 0.12e2 * t5911 * t2042 * t8435 - 0.61e2 / 0.27e2 * t44940 * t10897 * t1209 + 0.44e2 / 0.27e2 * t44940 * t10904 * t1223 - t791 * t555 * t59708 / 0.2e1 - 0.9e1 * t823 * t8424 - 0.3e1 / 0.2e1 * t26738 * t1261 - t56121;
  t59721 = t169 * t8833 * t230;
  t59740 = -t46697 - t46772 + t2874 * t1968 * t59721 / 0.2e1 - t56132 - t56133 + 0.3e1 / 0.2e1 * t5713 * t8608 + t1297 * t57825 / 0.2e1 - 0.5e1 / 0.12e2 * t5911 * t2042 * t8431 - t791 * t548 * t59708 / 0.4e1 - 0.3e1 * t45228 * t1213 - t8947 * t7947 + 0.5e1 / 0.3e1 * t45269 * t8581;
  t59762 = t785 * t318 * t59708 / 0.2e1 + t259 * t58487 / 0.4e1 - 0.3e1 / 0.2e1 * t5985 * t1266 - 0.3e1 / 0.4e1 * t5985 * t1269 + t671 * t45236 + t46848 + t46851 + t46856 - t46858 - t46865 + t2022 * t881 * t1756 * t59522 / 0.2e1 - t2004 * t881 * t1879 * t59522 / 0.2e1 - 0.8e1 * t2022 * t6075 * t43063;
  t59781 = -0.3e1 / 0.4e1 * t22 * t8554 * t288 - t22 * t243 * t9011 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t1251 * t1387 + t53516 / 0.4e1 + 0.3e1 / 0.2e1 * t21068 * t8571 - 0.3e1 / 0.2e1 * t21072 * t8576 - t56201 - t56255 - t57791 - 0.3e1 * t50279 - t58726 - t233 * t45592 / 0.12e2;
  t59812 = t162 * t45590 * t236 * t165 / 0.4e1 - t233 * t45587 / 0.4e1 + 0.3e1 / 0.4e1 * t823 * t8628 + 0.3e1 * t5713 * t8432 + t1297 * t58063 + 0.5e1 / 0.12e2 * t8926 * t57255 - 0.35e2 / 0.108e3 * t44940 * t10904 * t1209 + t56260 + 0.9e1 * t2022 * t6044 * t9997 * t8574 - t59016 + 0.9e1 / 0.2e1 * t11419 * t45285 * t8447 + 0.3e1 * t27191 * t10706 * t500 * t8695 - 0.3e1 / 0.2e1 * t27191 * t11691 * t8696;
  t59842 = -0.3e1 * t1397 * t44959 * t7951 + 0.9e1 / 0.2e1 * t2004 * t1323 * t10277 * t8695 - 0.7e1 * t3933 * t45058 + t57814 + t57817 + t719 * t8752 / 0.2e1 - 0.3e1 / 0.2e1 * t719 * t8756 - t259 * t1417 * t2777 * t8759 / 0.6e1 + t1292 * t5353 / 0.2e1 + t1297 * t1455 * t8611 / 0.4e1 + t1297 * t1455 * t8617 / 0.4e1 - t1297 * t24758 / 0.4e1;
  t59865 = t96 * t59522;
  t59877 = t259 * t305 * t24514 * t1305 / 0.4e1 + t259 * t305 * t2966 * t8616 / 0.4e1 + t259 * t305 * t2777 * t8806 / 0.12e2 + t259 * t305 * t306 * t95 * t59642 / 0.12e2 - 0.2e1 * t2004 * t1319 * t8714 + 0.16e2 / 0.3e1 * t3956 * t45889 + t2874 * t1968 * t59865 / 0.6e1 - 0.3e1 / 0.2e1 * t26697 * t1974 * t8559 - t2874 * t20575 * t8559 + t2874 * t20571 * t8691 / 0.2e1 + t56284 - t51605 + t56285;
  t59907 = -t259 * t43242 / 0.4e1 + t1297 * t23595 - 0.6e1 * t2548 * t46501 - 0.3e1 / 0.4e1 * t5513 * t1365 - 0.3e1 / 0.4e1 * t823 * t8633 + 0.3e1 / 0.2e1 * t5513 * t1356 + 0.3e1 / 0.4e1 * t719 * t8768 + 0.9e1 / 0.2e1 * t823 * t8638 + 0.3e1 / 0.2e1 * t823 * t8641 + 0.18e2 * t12384 * t45793 + 0.3e1 / 0.2e1 * t2861 * t8827 + 0.3e1 / 0.2e1 * t509 * t5785 * t1440 * t372 * t8473 - 0.3e1 / 0.2e1 * t2861 * t8764;
  t59922 = -0.6e1 * t509 * t45065 * t7969 - 0.6e1 * t162 * t46515 * t1265 - 0.3e1 / 0.2e1 * t162 * t46519 * t1198 + 0.12e2 * t12459 * t45826 + t719 * t8818 + t162 * t5855 * t8632 - t56305 + t56318 + t56319 + t59086 + t51636 + t56328 + t56329;
  t59934 = t56330 - t56331 - t56332 + t57854 - 0.9e1 / 0.2e1 * t2004 * t6044 * t10242 * t8574 - t57855 + 0.6e1 * t45269 * t8418 - t56342 + t56343 - t59121 + t53994 / 0.4e1 + t55080;
  t59955 = -t55089 + t55102 + 0.9e1 / 0.2e1 * t1397 * t45285 * t8427 - t57893 + 0.3e1 / 0.2e1 * t26697 * t10706 * t8691 - 0.6e1 * t10074 * t44952 * t9783 * t9803 * t230 + 0.18e2 * t1742 * t44952 * t9783 * t9819 * t230 + 0.9e1 / 0.2e1 * t823 * t8428 - 0.9e1 * t3389 * t8453 - t56353 - t57919 + t57923 - t57924;
  t59962 = t57925 - t1297 * t23591 / 0.2e1 - t259 * t43974 / 0.2e1 + t8838 + t50504 + t57983 - t56366 + t56368 + t51839 + t50546 / 0.2e1 - t57991 + t59223;
  t59977 = 0.3e1 / 0.2e1 * t1397 * t5720 * t44017 - t2471 * t45623 - 0.2e1 * t50601 - t57996 - t57997 + t56412 - 0.9e1 / 0.2e1 * t2520 * t45573 + 0.9e1 / 0.2e1 * t8926 * t57169 - t913 + t984 - t7020 + t2874 * t21332 * t8691 / 0.4e1 + 0.3e1 * t25843 * t8560;
  t59996 = t169 * t1386 * t230;
  t60008 = t27191 * t57698 - 0.11e2 / 0.6e1 * t26697 * t3961 * t8559 + t3162 * t21274 * t8559 + t3168 * t58398 / 0.2e1 - 0.6e1 * t25843 * t8564 - 0.2e1 * t27191 * t58159 + 0.23e2 / 0.12e2 * t26697 * t3965 * t8563 + t3162 * t1982 * t59996 / 0.2e1 + t3168 * t58382 / 0.4e1 - t2874 * t1962 * t59996 / 0.4e1 - t2471 * t45955 - 0.3e1 * t14865 * t8718;
  t60027 = t8749 * t230;
  t60037 = t96 * t60027;
  t60041 = -0.3e1 / 0.2e1 * t14865 * t8720 - 0.6e1 * t45228 * t1218 - 0.3e1 / 0.2e1 * t5911 * t2213 * t8431 + 0.7e1 * t5911 * t2218 * t8435 - t58069 - 0.3e1 * t719 * t8954 + 0.3e1 / 0.2e1 * t719 * t8957 - t8975 * t686 / 0.2e1 + t1292 * t5508 / 0.2e1 - t2022 * t881 * t10242 * t60027 + t2004 * t881 * t10277 * t60027 - 0.9e1 * t1397 * t44861 * t1273 - t2874 * t11691 * t60037 / 0.3e1;
  t60052 = 0.11e2 / 0.6e1 * t26697 * t10832 * t8691 - 0.23e2 / 0.12e2 * t26697 * t10615 * t8706 + 0.8e1 * t2004 * t6075 * t8575 + t8915 - t8916 - t8917 - t8918 + t6798 - t8921 + t8922 - t8923 - t6589 + t6598;
  t60066 = t58073 - t6610 - t6616 + t6629 - t6632 + t6647 + t6661 - t6669 - 0.9e1 * t2011 * t45285 * t8452 + t27191 * t57713 / 0.2e1 - 0.5e1 / 0.12e2 * t26697 * t3965 * t8559 - t2004 * t877 * t1883 * t60027 - 0.4e1 / 0.3e1 * t25843 * t8700;
  t60101 = -0.3e1 / 0.4e1 * t27191 * t10706 * t8696 + 0.5e1 / 0.12e2 * t26697 * t10615 * t8691 - 0.3e1 / 0.2e1 * t25897 * t8686 - t27242 * t8395 / 0.2e1 + 0.3e1 / 0.2e1 * t25843 * t8723 - t3162 * t1404 * t59865 / 0.6e1 - t3168 * t3582 * t96 * t59527 / 0.6e1 + t2874 * t1974 * t59865 / 0.12e2 - t2874 * t21321 * t8559 / 0.2e1 - t3162 * t14860 * t8691 / 0.2e1 - t3168 * t31685 * t8696 / 0.2e1 - t56593;
  t60116 = t8844 * t230;
  t60135 = t58174 - t58175 + t58176 + 0.2e1 * t50889 + t58182 - t56764 + 0.4e1 * t1319 * t8507 + 0.72e2 * t46182 * t1237 + 0.24e2 * t8861 * t8122 + 0.2e1 * t8841 * t57343 - 0.18e2 * t8841 * t57336 - 0.9e1 * t1323 * t10277 * t8533 + 0.2e1 * t877 * t1883 * t60116 + 0.3e1 * t263 * t10295 * t8844 * t1147 - 0.2e1 * t263 * t1883 * t1336 * t8473 + 0.4e1 / 0.3e1 * t881 * t10242 * t60116 - 0.24e2 * t46154 * t1230 - 0.6e1 * t8848 * t1168;
  t60154 = t8853 * t230;
  t60184 = -t263 * t404 * t63 * t59642 + t1323 * t1756 * t8506 - 0.72e2 * t46131 * t8526 + 0.8e1 / 0.3e1 * t46116 * t9992 * t1229 + 0.24e2 * t46116 * t9997 * t1229 - 0.2e1 * t881 * t10277 * t60116 - 0.16e2 * t6075 * t8519 + t881 * t1879 * t60154 + 0.8e1 * t46131 * t8523 - 0.4e1 / 0.3e1 * t46116 * t10080 * t1229 - 0.6e1 * t1323 * t1879 * t8506 - 0.1e2 * t6044 * t9997 * t8509 + 0.6e1 * t6059 * t8531 + 0.4e1 * t1319 * t8534 + 0.32e2 / 0.3e1 * t6075 * t8510 - t877 * t404 * t60154 + 0.9e1 * t6044 * t10242 * t8509 + t8841 * t57333 / 0.3e1 - t46116 * t10075 * t1229 / 0.9e1;
  t60205 = t46312 * t230;
  t60209 = t46299 * t230;
  t60215 = -t263 * t1883 * t8853 * t1147 - 0.2e1 / 0.3e1 * t881 * t1756 * t60154 + 0.6e1 * t1323 * t10242 * t8533 - t6044 * t9992 * t8509 / 0.6e1 - 0.12e2 * t46182 * t1233 - 0.4e1 * t8861 * t8071 + 0.4e1 / 0.3e1 * t46131 * t8503 + t58210 + 0.6e1 * t50992 - t58212 - t58755 + t58756 + t58758 + t58759 - 0.2e1 * t3197 * t427 * t60205 + 0.4e1 * t15344 * t427 * t60209 - 0.18e2 * t27582 * t8542 - t58213;
  t60227 = -0.2e1 * t1323 * t1756 * t8474 + 0.3e1 * t1323 * t1879 * t8474 + 0.3e1 * t1178 * t8848 - 0.2e1 * t1319 * t8475 - t46979 - 0.12e2 * t51068 + t56829 - t56830 - t56831 - t58214 + t58215 - t58216 + t58223 - t58224 - t58228 - t6483 + t6490 + t6492 + t7174;
  t60260 = t56835 + t56843 - t56848 + t8876 + 0.5e2 / 0.3e1 * t46116 * t9992 * t1240 - t8877 + t8878 + t263 * t404 * t60 * t59642 / 0.2e1 - 0.2e1 / 0.3e1 * t46131 * t8485 - t8841 * t57413 / 0.6e1 + 0.12e2 * t46154 * t1244 - 0.4e2 * t46131 * t8478 - 0.1e2 * t8841 * t57441 + 0.1e2 / 0.3e1 * t46116 * t10080 * t1240 + 0.24e2 * t46182 * t1241 + 0.8e1 * t8861 * t8119 + t3197 * t414 * t60205 / 0.3e1 - 0.4e1 * t15341 * t149 * t60209;
  t60299 = -0.6e1 * t20269 * t149 * t46299 * t1147 + 0.4e1 * t4349 * t149 * t6028 * t8473 - 0.2e1 / 0.3e1 * t15344 * t414 * t60209 - 0.8e1 * t38264 * t8538 - 0.16e2 / 0.3e1 * t27586 * t8542 - 0.3e1 * t38374 * t414 * t8537 + t27582 * t1857 * t8541 / 0.3e1 + 0.2e1 * t3200 * t149 * t60205 + 0.2e1 * t4349 * t149 * t46312 * t1147 + 0.18e2 * t38374 * t427 * t8537 + 0.2e1 * t27582 * t1845 * t8541 - 0.12e2 * t27576 * t8548 + 0.32e2 * t27586 * t8545 + t56862 - t7214 - t58855 + t58860 - t58861 + t55581;
  t60309 = -0.12e2 * t1240 * t46116 * t9997 - 0.36e2 * t1248 * t46182 + 0.36e2 * t46131 * t8490 + t47075 - t47081 - t47085 - 0.4e1 * t51107 - t56899 - t56916 - t56917 - t58905 - t58907 - t6532 + t6543 - t6546 - t6889 + t7708 + t8880 - t8881;
  t60314 = 0.9e1 * t57381 * t8841 - 0.12e2 * t8127 * t8861 + t47130 + t47133 + t56932 + t56933 - t56934 - t56935 + t56936 + t56937 + t56938 - t56940 + t56941 + t56942 - t56948 + t58286 - t8882 + t943 - t962;
  t60322 = t56594 + t8991 - t58084 - t58085 - t22 * t59 * (t60135 + t60184 + t60215 + t60227 + t60260 + t60299 + t60309 + t60314) * t96 / 0.4e1 + t7122 - t56597 + t8992 - t8993 + t58086 - t59333 - t58087 + t59335;
  t60347 = -t58088 - 0.3e1 / 0.4e1 * t54244 - 0.8e1 / 0.3e1 * t25843 * t8703 - 0.5e1 / 0.36e2 * t8926 * t12922 - t1297 * t25705 / 0.2e1 + t8947 * t2830 / 0.2e1 - t1297 * t25457 / 0.4e1 - t259 * t43207 / 0.4e1 - t233 * t45170 / 0.12e2 + t45175 * t248 / 0.4e1 + 0.3e1 / 0.4e1 * t43212 * t274 - 0.3e1 / 0.2e1 * t5513 * t1360 + 0.3e1 / 0.2e1 * t719 * t8979;
  t60371 = t8749 * t1147;
  t60376 = 0.3e1 * t2861 * t8982 - t8926 * t13188 / 0.2e1 + 0.7e1 / 0.3e1 * t8926 * t13191 + t1297 * t25709 + t8947 * t2852 - 0.2e1 * t8947 * t2856 - 0.11e2 / 0.18e2 * t8926 * t13198 + t58098 + t25897 * t8692 + 0.2e1 / 0.3e1 * t27242 * t8697 + t3168 * t1404 * t169 * t287 * t8473 / 0.4e1 + t3162 * t3582 * t60037 / 0.3e1 + t3168 * t16129 * t96 * t60371 / 0.2e1;
  t60379 = t1304 * t8473;
  t60410 = -t3168 * t3582 * t96 * t60379 / 0.3e1 - t2874 * t10706 * t60037 / 0.6e1 + t3168 * t12779 * t8834 / 0.4e1 - 0.3e1 / 0.4e1 * t13326 * t8830 - 0.3e1 / 0.4e1 * t1397 * t5720 * t8632 - 0.3e1 / 0.2e1 * t2004 * t263 * t10295 * t60371 + t2004 * t263 * t1883 * t60379 + 0.2e1 / 0.3e1 * t2471 * t45468 + 0.9e1 / 0.2e1 * t1397 * t46398 * t1265 + 0.3e1 / 0.2e1 * t1397 * t46402 * t1198 - t52009 + t56664;
  t60427 = -t56668 + t59401 - 0.3e1 * t20902 * t8567 + 0.3e1 * t14865 * t8569 - t2874 * t1996 * t59996 / 0.2e1 + 0.7e1 * t26697 * t3961 * t8563 - t9018 - 0.3e1 / 0.2e1 * t2011 * t45289 * t1260 + 0.3e1 / 0.2e1 * t1397 * t45289 * t1273 + t58104 + t56683 - t58105 + t58106;
  t60460 = -t58107 + 0.3e1 / 0.2e1 * t5985 * t1274 + 0.18e2 * t162 * t44931 * t1273 - 0.18e2 * t1742 * t44948 * t8447 + 0.36e2 * t509 * t44948 * t8452 + 0.9e1 * t3389 * t8646 - 0.18e2 * t509 * t44931 * t1260 - 0.3e1 * t823 * t8636 - 0.9e1 / 0.2e1 * t1742 * t44979 * t57072 + 0.3e1 * t3389 * t8649 - t3162 * t1404 * t59721 / 0.2e1 - t3168 * t3582 * t169 * t8833 * t1147 / 0.2e1 - t56686;
  t60471 = t2874 * t1974 * t59721 / 0.4e1 + 0.3e1 * t50799 - t58146 + t58152 + t56721 - t58153 + t58154 + t58164 - t58165 + 0.3e1 / 0.2e1 * t2011 * t6152 * t43771 - 0.3e1 / 0.2e1 * t1397 * t6152 * t43761 - t56971 + t55905;
  t60477 = my_piecewise3(t3, 0, t59691 + t59480 + t59877 + t60041 + t60427 + t60410 + t60376 + t60052 + t60008 + t60460 + t59922 + t60101 + t60471 + t59668 + t59977 + t59740 + t59907 + t59652 + t59934 + t59781 + t59842 + t59569 + t59537 + t59812 + t59716 + t59762 + t59962 + t60347 + t60322 + t59498 + t59955 + t60066);
  tv4lapltau30 = 0.2e1 * rho[0] * t60477;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 0] += tv4lapltau30;

  t60496 = t775 * t8840;
  t60509 = -0.3e1 * t14865 * t8830 - 0.3e1 / 0.2e1 * t1397 * t46085 * t1364 + 0.2e1 / 0.3e1 * t55960 - 0.2e1 * t55973 - t51231 - 0.14e2 * t8926 * t9846 * t8744 + 0.3e1 * t8926 * t9880 * t1306 - 0.9e1 * t162 * t44979 * t9037 * t8825 + 0.6e1 * t162 * t60496 * t1757 + 0.3e1 / 0.2e1 * t8975 * t1307 - 0.14e2 / 0.3e1 * t8947 * t8741 + 0.2e1 * t27191 * t1968 * t8834 + 0.2e1 / 0.3e1 * t55996 + 0.9e1 / 0.2e1 * t51260;
  t60536 = 0.2e1 * t51702 - 0.12e2 * t51706 - 0.4e1 * t45530 * t8826 - 0.2e1 * t5829 * t8821 + 0.4e1 * t5829 * t8751 - 0.4e1 * t56446 + 0.2e2 / 0.9e1 * t8886 * t1541 - 0.12e2 * t8895 * t138 - 0.4e1 * t8883 * t373 + t6212 + 0.24e2 * t8883 * t496 - 0.12e2 * t8886 * t1770 + 0.4e1 / 0.3e1 * t8886 * t1671 + 0.12e2 * t51721 + 0.12e2 * t51733 - 0.12e2 * t51737;
  t60540 = t1485 * t8839;
  t60547 = t9163 * t8839;
  t60568 = 0.4e1 * t51741 - 0.2e1 * t1331 * t8826 - 0.24e2 * t60540 * t1703 - 0.8e1 * t1334 * t1364 - 0.8e1 * t60540 * t1699 + 0.16e2 / 0.9e1 * t60547 * t1747 + 0.32e2 / 0.3e1 * t60547 * t1752 + 0.12e2 * t60547 * t1757 + 0.12e2 * t1331 * t8733 + 0.2e1 * t265 * t8821 - 0.4e1 * t265 * t8751 + 0.12e2 * t307 * t8839 * t1524 - t6224 + 0.4e1 * t56471 - 0.12e2 * t45530 * t8733 + 0.8e1 * t45541 * t1364;
  t60569 = t60536 + t60568;
  t60583 = t1289 * t1289;
  t60586 = t106 * t1531 * t60583 * t9768;
  t60598 = t106 * t363 * t60583 * t1533;
  t60607 = t1297 * t1455 * t8782 + t259 * t305 * t306 * t95 * t60569 / 0.12e2 + t1297 * t1455 * t8807 / 0.3e1 + 0.4e1 * t1297 * t27362 - t259 * t45587 + 0.2e1 * t8947 * t3347 + 0.5e1 / 0.3e1 * t60586 * t1542 + 0.2e1 * t1297 * t26796 - t259 * t45170 / 0.3e1 + t45175 * t274 - 0.8e1 * t8947 * t3384 + 0.12e2 * t60598 * t502 + 0.12e2 * t3389 * t8982 + 0.18e2 * t60586 * t1735 - 0.3e1 * t5985 * t1360;
  t60628 = t5802 * t1322;
  t60639 = 0.6e1 * t823 * t8979 - 0.6e1 * t162 * t163 * t60583 * t10107 - 0.9e1 / 0.2e1 * t162 * t46519 * t1364 + 0.6e1 * t162 * t775 * t8847 * t1524 - 0.18e2 * t51266 + 0.4e1 * t51272 + 0.28e2 / 0.3e1 * t8926 * t14174 - 0.2e1 * t8926 * t14288 + 0.3e1 * t162 * t60628 * t516 - 0.6e1 * t823 * t8734 + 0.6e1 * t823 * t8738 - t1297 * t26677 - 0.2e1 * t56031 + 0.2e1 * t51287;
  t60647 = t775 * t8860;
  t60663 = -0.6e1 * t51293 + 0.3e1 * t51313 - 0.5e1 / 0.6e1 * t51320 + t259 * t305 * t2966 * t8806 / 0.3e1 - 0.12e2 * t162 * t60647 * t1703 + 0.3e1 / 0.2e1 * t51343 - t51349 / 0.2e1 - 0.3e1 / 0.2e1 * t51400 + 0.4e1 * t51402 - 0.18e2 * t51428 + 0.11e2 / 0.2e1 * t162 * t5785 * t9375 * t408 * t8749 - t46697 - t46772 - 0.9e1 * t51484 - 0.6e1 * t51488;
  t60675 = t9989 * t60583;
  t60681 = t106 * t9775 * t60583 * t9777;
  t60690 = t46848 + t46851 + t46856 - t46858 - t46865 - t51533 / 0.2e1 - 0.2e1 * t162 * t5785 * t1440 * t408 * t8805 - 0.6e1 * t51543 - 0.3e1 * t26738 * t1352 + 0.6e1 * t162 * t60675 * t9998 - 0.62e2 / 0.3e1 * t60681 * t10064 + 0.8e1 * t60681 * t10067 + 0.6e1 * t14675 * t8939 - 0.12e2 * t3389 * t8942;
  t60705 = t1743 * t60583;
  t60712 = t510 * t60583;
  t60728 = -0.2e1 * t8975 * t818 - 0.2e1 * t60681 * t10054 + 0.4e1 * t8947 * t3380 + 0.6e1 * t60586 * t1771 - 0.6e1 * t10074 * t60675 * t10076 + 0.18e2 * t1742 * t60675 * t10081 - 0.18e2 * t162 * t60705 * t9985 - 0.18e2 * t509 * t60675 * t9993 - 0.18e2 * t509 * t60712 * t10034 + 0.7e1 * t51561 + 0.3e1 / 0.2e1 * t51597 - 0.2e1 * t51605 + 0.14e2 * t51609 - 0.2e1 / 0.3e1 * t3168 * t3582 * t169 * t287 * t8749 + 0.2e1 * t1397 * t5720 * t8751;
  t60757 = t27191 * t1974 * t8834 - t259 * t45592 / 0.3e1 - t1297 * t26216 / 0.2e1 - 0.6e1 * t823 * t8756 - 0.3e1 / 0.2e1 * t5985 * t1365 - 0.4e1 * t1297 * t1455 * t821 * t1305 + 0.3e1 * t5985 * t1356 - 0.11e2 / 0.6e1 * t1297 * t9381 * t8760 + 0.2e1 * t1297 * t1463 * t8782 - 0.12e2 * t51616 + 0.9e1 * t51626 + 0.9e1 * t51629 + 0.2e1 * t51636 + 0.18e2 * t51656;
  t60789 = 0.6e1 * t51661 + 0.23e2 / 0.6e1 * t51662 - 0.11e2 / 0.3e1 * t51664 - 0.3e1 * t51666 - 0.5e1 / 0.9e1 * t8926 * t14475 + 0.11e2 / 0.3e1 * t1297 * t9376 * t160 * t8759 - t259 * t45763 - t1297 * t25830 + t259 * t305 * t26003 * t1305 / 0.2e1 - 0.3e1 * t51675 + 0.7e1 / 0.6e1 * t51684 + 0.2e1 * t509 * t5785 * t1440 * t372 * t8805 - t51779 - 0.11e2 / 0.2e1 * t509 * t5785 * t9375 * t372 * t8749 - 0.3e1 * t162 * t5855 * t8751;
  t60818 = t8749 * t1304;
  t60824 = t162 * t45590 * t262 * t165 + 0.2e1 * t1297 * t26681 + 0.23e2 / 0.9e1 * t8926 * t13959 - 0.2e1 * t1297 * t27358 - 0.22e2 / 0.9e1 * t8926 * t13956 + t7610 / 0.4e1 - 0.14e2 / 0.3e1 * t51821 + 0.6e1 * t51829 + 0.7e1 / 0.3e1 * t51839 + t56411 / 0.4e1 - 0.12e2 * t509 * t60496 * t1752 - 0.14e2 * t509 * t45065 * t8826 + 0.14e2 * t162 * t45065 * t8733 + t259 * t9452 * t306 * t95 * t60818 / 0.2e1;
  t60857 = t1292 * t8761 - t22 * t8911 * t288 - 0.9e1 * t1742 * t44979 * t9037 * t1540 * t1304 + 0.18e2 * t509 * t44979 * t9037 * t1670 * t1304 + 0.6e1 * t1742 * t60496 * t1747 - t913 + t984 + 0.22e2 / 0.3e1 * t60586 * t1681 - 0.23e2 / 0.3e1 * t60586 * t1684 - 0.22e2 / 0.9e1 * t8926 * t14698 + 0.23e2 / 0.9e1 * t8926 * t14701 - 0.61e2 / 0.27e2 * t60681 * t9936 + 0.44e2 / 0.27e2 * t60681 * t9928 - 0.2e1 * t8926 * t14680 + 0.28e2 / 0.3e1 * t8926 * t14707;
  t60891 = -0.6e1 * t1397 * t44959 * t8733 - 0.3e1 / 0.2e1 * t162 * t767 * t9443 * t137 * t60818 - 0.7e1 / 0.3e1 * t8947 * t8813 - 0.11e2 / 0.12e2 * t1297 * t9376 * t8760 - 0.2e1 * t8975 * t777 - 0.4e1 / 0.3e1 * t1292 * t8783 - 0.2e1 / 0.3e1 * t259 * t1417 * t2966 * t8759 - t1292 * t8808 / 0.2e1 + 0.2e1 * t1292 * t5683 + 0.4e1 * t8947 * t3192 + t1292 * t5804 - 0.8e1 * t8947 * t3172 + 0.2e1 * t6777 - t6779 / 0.3e1;
  t60929 = t8805 * t1304;
  t60940 = -0.2e1 * t6784 - 0.2e1 * t6787 + 0.4e1 / 0.3e1 * t6798 - 0.2e1 / 0.3e1 * t6800 + t6823 - t6825 / 0.3e1 - t22 * t269 * t9011 - t22 * t65 * t169 * (-0.48e3 * t181 * t24 * t9892 - 0.288e4 * t9613 * t9893 - 0.96e3 * t9622 * t9893 + 0.1152e5 * t9625 * t9893 + 0.168e5 * t9629 * t9893 + 0.672e4 * t9634 * t9893) / 0.4e1 + 0.2e1 * t8947 * t2880 + 0.5e1 / 0.6e1 * t8926 * t9038 * t1306 + t3168 * t1404 * t169 * t287 * t8805 / 0.3e1 - 0.4e1 / 0.3e1 * t27242 * t8835 - t3168 * t3582 * t96 * t60929 / 0.2e1 + t3168 * t14860 * t8834 - 0.4e1 * t27191 * t1974 * t1395 * t8833;
  t60968 = -0.7e1 * t51938 + 0.3e1 * t51949 + t6844 - 0.3e1 * t60598 * t374 + t1292 * t5963 - 0.38e2 / 0.9e1 * t60681 * t9813 + 0.89e2 / 0.9e1 * t60681 * t9821 - 0.6e1 * t60598 * t497 + 0.3e1 * t5985 * t1368 - t1297 * t26731 + 0.18e2 * t162 * t60712 * t10030 - 0.18e2 * t1742 * t60705 * t9921 + 0.36e2 * t509 * t60705 * t9913 - 0.12e2 * t823 * t8954;
  t60981 = t69 * t60583;
  t60982 = t60981 * t9912;
  t60985 = t9774 * t60583;
  t60986 = t60985 * t9991;
  t61006 = t362 * t60583;
  t61007 = t61006 * t10029;
  t61019 = 0.8e1 / 0.3e1 * t60986 * t10452 + 0.24e2 * t60986 * t10379 - 0.3e1 * t1319 * t8854 + 0.22e2 / 0.3e1 * t1323 * t10242 * t8844 - 0.12e2 * t61007 * t401 + 0.6e1 * t1319 * t8903 + 0.6e1 * t56828 - t46979 + 0.6e1 * t4349 * t149 * t46312 * t1304 - 0.9e1 * t52109 - 0.28e2 / 0.3e1 * t52111;
  t61033 = t60985 * t9777;
  t61036 = t60981 * t9768;
  t61039 = 0.36e2 * t52125 + 0.12e2 * t52129 - 0.2e1 / 0.3e1 * t52135 + 0.4e1 * t6862 - 0.4e1 * t6865 + 0.8e1 / 0.3e1 * t6868 + 0.3e1 / 0.2e1 * t56861 - 0.28e2 / 0.3e1 * t8861 * t8900 + 0.2e1 / 0.3e1 * t8841 * t9992 * t1326 + 0.1e2 / 0.3e1 * t61033 * t10458 - 0.4e2 * t61036 * t1846;
  t61040 = t61006 * t1533;
  t61051 = t108 * t60583;
  t61060 = 0.24e2 * t61040 * t415 + t47075 - t47081 - t47085 + t263 * t404 * t60 * t60569 / 0.2e1 + 0.3e1 * t263 * t10295 * t60 * t60818 - 0.24e2 * t61051 * t10106 * t146 + 0.6e1 * t1319 * t8845 + 0.3e1 / 0.2e1 * t7708 - 0.18e2 * t52198 - 0.4e1 / 0.3e1 * t6889;
  t61087 = 0.8e1 * t6897 - 0.8e1 * t6899 + 0.4e1 * t8841 * t9997 * t1326 - 0.3e1 * t263 * t1883 * t8853 * t1304 - t263 * t404 * t63 * t60569 - 0.8e1 * t1323 * t1879 * t8902 - 0.36e2 * t8841 * t10242 * t1326 + 0.4e1 / 0.3e1 * t1323 * t1756 * t8902 - 0.24e2 * t52206 - 0.3e1 * t56917 - 0.3e1 * t7728;
  t61110 = t47130 + t47133 - 0.36e2 * t61040 * t428 - 0.2e1 / 0.3e1 * t61036 * t1858 + 0.12e2 * t61051 * t1581 * t150 + 0.36e2 * t61036 * t1863 - 0.12e2 * t61033 * t10323 + 0.5e2 / 0.3e1 * t61033 * t10326 - 0.6e1 * t263 * t10295 * t63 * t60818 - 0.12e2 * t1319 * t8906 - 0.11e2 / 0.3e1 * t1323 * t10242 * t8905;
  t61133 = 0.56e2 * t8861 * t8873 + 0.22e2 * t1323 * t10277 * t8905 + 0.14e2 * t52268 + 0.36e2 * t52274 - 0.72e2 * t52276 - 0.4e1 * t52283 - 0.11e2 * t1323 * t10277 * t8844 + 0.72e2 * t61007 * t410 - 0.2e2 * t8841 * t9997 * t1336 + 0.56e2 / 0.3e1 * t8861 * t8857 + 0.4e1 / 0.3e1 * t60982 * t1917;
  t61145 = -t60986 * t10421 / 0.9e1 + t52298 / 0.3e1 + 0.2e2 * t52300 + 0.36e2 * t52304 - 0.18e2 * t52306 + 0.14e2 / 0.3e1 * t52312 + 0.18e2 * t52318 - t962 + t943 - 0.18e2 * t8848 * t1327 - 0.3e1 * t56948;
  t61182 = -t22 * t59 * (-0.28e2 * t52072 - 0.8e1 / 0.3e1 * t1323 * t1756 * t8853 - t8841 * t9992 * t1336 / 0.3e1 + 0.9e1 * t8848 * t1337 + 0.4e1 * t1323 * t1879 * t8853 + 0.8e1 * t60982 * t1936 - 0.4e1 / 0.3e1 * t60986 * t10439 - 0.28e2 * t8861 * t8866 + 0.18e2 * t8841 * t10242 * t1336 - 0.72e2 * t60982 * t1928 + t61019 + t61039 + t61060 + t61087 + t61110 + t61133 + t61145) * t96 / 0.4e1 - 0.6e1 * t51967 + 0.2e1 / 0.3e1 * t6940 - t6946 / 0.3e1 + 0.2e1 * t823 * t8752 - 0.3e1 * t162 * t5802 * t1318 * t328 - 0.3e1 / 0.2e1 * t22 * t1342 * t1387 + 0.11e2 / 0.3e1 * t8926 * t9846 * t1306 - 0.23e2 / 0.6e1 * t8926 * t9038 * t8744 + 0.2e1 / 0.3e1 * t1297 * t1463 * t8807 - 0.2e1 * t52009 + 0.3e1 / 0.2e1 * t56663 - t56667 / 0.2e1 - 0.4e1 / 0.3e1 * t1297 * t1455 * t160 * t8806 - 0.3e1 / 0.4e1 * t7869;
  t61218 = 0.2e1 * t106 * t109 * t60583 * t1581 * t139 - 0.6e1 * t8926 * t14670 - 0.43e2 / 0.9e1 * t60681 * t9805 - 0.28e2 * t60586 * t1672 + 0.6e1 * t823 * t8957 + 0.47e2 / 0.3e1 * t60681 * t9785 - 0.5e1 / 0.9e1 * t8926 * t14819 - 0.35e2 / 0.108e3 * t60681 * t10139 - t1297 * t26719 / 0.2e1 + 0.9e1 * t52348 - 0.3e1 / 0.4e1 * t56685 + 0.9e1 * t8926 * t9038 * t507 * t1305 - 0.6e1 * t3389 * t8764 - 0.3e1 * t509 * t60628 * t512 - 0.6e1 * t8926 * t14275;
  t61257 = 0.3e1 * t823 * t8768 + 0.12e2 * t509 * t60647 * t1699 + 0.6e1 * t3389 * t8827 + 0.4e1 * t823 * t8818 + 0.3e1 / 0.2e1 * t162 * t5855 * t8821 + 0.28e2 / 0.3e1 * t8947 * t8745 - t823 * t8822 - t162 * t767 * t303 * t137 * t60569 / 0.4e1 - t1397 * t5720 * t8821 + 0.6e1 * t2011 * t44959 * t8826 + 0.4e1 * t1397 * t46402 * t1364 + 0.3e1 / 0.2e1 * t2004 * t263 * t1883 * t60929 + 0.6e1 * t52379 + t3168 * t1404 * t169 * t1386 * t1304 / 0.2e1 - t52386;
  t61262 = my_piecewise3(t3, 0, t60509 + t60607 + t60639 + t60663 + t60690 + t60728 + t60757 + t60789 + t60824 + t60857 + t60891 + t60940 + t60968 + t61182 + t61218 + t61257);
  tv4tau40 = 0.2e1 * rho[0] * t61262;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 0] += tv4tau40;

}

#endif


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t22, t23;
  double t24, t26, t27, t28, t29, t30, t31, t32;
  double t34, t35, t37, t38, t40, t41, t43, t44;
  double t47, t49, t53, t54, t55, t56, t57, t59;
  double t60, t62, t63, t64, t65, t66, t67, t68;
  double t69, t70, t71, t73, t74, t75, t76, t77;
  double t79, t80, t81, t82, t83, t86, t87, t88;
  double t90, t94, t95, t96, t99, t100, t101, t103;
  double t104, t105, t106, t108, t109, t110, t111, t112;
  double t114, t115, t117, t118, t120, t121, t123, t124;
  double t127, t129, t133, t134, t135, t136, t137, t139;
  double t140, t142, t143, t144, t145, t146, t147, t148;
  double t149, t150, t152, t153, t154, t155, t156, t159;
  double t160, t161, t163, t167, t168, t169, t172, tzk0;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = POW_1_3(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = POW_1_3(t16);
  t22 = my_piecewise3(t17, t19, t20 * t16);
  t23 = POW_1_3(t3);
  t24 = t22 * t23;
  t26 = POW_1_3(0.1e1 / M_PI);
  t27 = 0.1e1 / t26;
  t28 = M_CBRT4;
  t29 = t27 * t28;
  t30 = t24 * t29;
  t31 = POW_1_3(rho[0]);
  t32 = t31 * t31;
  t34 = 0.1e1 / t32 / rho[0];
  t35 = lapl[0] * t34;
  t37 = tau[0] * params->gamma;
  t38 = t37 * t34;
  t40 = params->gamma * sigma[0];
  t41 = rho[0] * rho[0];
  t43 = 0.1e1 / t32 / t41;
  t44 = t40 * t43;
  t47 = fabs(t35 / 0.2e1 - 0.2e1 * t38 + t44 / 0.4e1);
  t49 = t47 / 0.3e1 < 0.5e-12;
  t53 = t35 / 0.6e1 - 0.2e1 / 0.3e1 * t38 + t44 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t49, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t34;
  t75 = t73 - t74;
  t76 = t73 + t74;
  t77 = 0.1e1 / t76;
  t79 = t75 * t75;
  t80 = t79 * t75;
  t81 = t76 * t76;
  t82 = t81 * t76;
  t83 = 0.1e1 / t82;
  t86 = t79 * t79;
  t87 = t86 * t75;
  t88 = t81 * t81;
  t90 = 0.1e1 / t88 / t76;
  t94 = 0.1e1 + params->at * (t75 * t77 - 0.2e1 * t80 * t83 + t87 * t90);
  t95 = t66 * t94;
  t96 = t65 * t95;
  t99 = my_piecewise3(t2, 0, -t30 * t96 / 0.4e1);
  t100 = rho[1] <= p->dens_threshold;
  t101 = -t13;
  t103 = my_piecewise5(t11, t8, t7, t12, t101 * t4);
  t104 = 0.1e1 + t103;
  t105 = t104 <= p->zeta_threshold;
  t106 = POW_1_3(t104);
  t108 = my_piecewise3(t105, t19, t106 * t104);
  t109 = t108 * t23;
  t110 = t109 * t29;
  t111 = POW_1_3(rho[1]);
  t112 = t111 * t111;
  t114 = 0.1e1 / t112 / rho[1];
  t115 = lapl[1] * t114;
  t117 = tau[1] * params->gamma;
  t118 = t117 * t114;
  t120 = params->gamma * sigma[2];
  t121 = rho[1] * rho[1];
  t123 = 0.1e1 / t112 / t121;
  t124 = t120 * t123;
  t127 = fabs(t115 / 0.2e1 - 0.2e1 * t118 + t124 / 0.4e1);
  t129 = t127 / 0.3e1 < 0.5e-12;
  t133 = t115 / 0.6e1 - 0.2e1 / 0.3e1 * t118 + t124 / 0.12e2;
  t134 = 0.e0 < t133;
  t135 = my_piecewise3(t134, 0.5e-12, -0.5e-12);
  t136 = my_piecewise3(t129, t135, t133);
  t137 = xc_mgga_x_br89_get_x(t136);
  t139 = exp(t137 / 0.3e1);
  t140 = exp(-t137);
  t142 = 0.1e1 + t137 / 0.2e1;
  t143 = t140 * t142;
  t144 = 0.1e1 - t143;
  t145 = t139 * t144;
  t146 = 0.1e1 / t137;
  t147 = tau[1] * t114;
  t148 = t73 - t147;
  t149 = t73 + t147;
  t150 = 0.1e1 / t149;
  t152 = t148 * t148;
  t153 = t152 * t148;
  t154 = t149 * t149;
  t155 = t154 * t149;
  t156 = 0.1e1 / t155;
  t159 = t152 * t152;
  t160 = t159 * t148;
  t161 = t154 * t154;
  t163 = 0.1e1 / t161 / t149;
  t167 = 0.1e1 + params->at * (t148 * t150 - 0.2e1 * t153 * t156 + t160 * t163);
  t168 = t146 * t167;
  t169 = t145 * t168;
  t172 = my_piecewise3(t100, 0, -t110 * t169 / 0.4e1);
  tzk0 = t99 + t172;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t22, t23;
  double t24, t26, t27, t28, t29, t30, t31, t32;
  double t34, t35, t37, t38, t40, t41, t43, t44;
  double t47, t49, t53, t54, t55, t56, t57, t59;
  double t60, t62, t63, t64, t65, t66, t67, t68;
  double t69, t70, t71, t73, t74, t75, t76, t77;
  double t79, t80, t81, t82, t83, t86, t87, t88;
  double t90, t94, t95, t96, t99, t100, t101, t103;
  double t104, t105, t106, t108, t109, t110, t111, t112;
  double t114, t115, t117, t118, t120, t121, t123, t124;
  double t127, t129, t133, t134, t135, t136, t137, t139;
  double t140, t142, t143, t144, t145, t146, t147, t148;
  double t149, t150, t152, t153, t154, t155, t156, t159;
  double t160, t161, t163, t167, t168, t169, t172, tzk0;

  double t173, t174, t175, t177, t180, t181, t182, t185;
  double t186, t187, t188, t190, t191, t192, t193, t194;
  double t195, t200, t202, t206, t207, t208, t209, t210;
  double t211, t213, t214, t215, t217, t218, t219, t220;
  double t221, t222, t223, t226, t227, t228, t229, t230;
  double t232, t233, t234, t237, t238, t239, t242, t243;
  double t244, t245, t246, t247, t249, t250, t253, t254;
  double t257, t258, t261, t264, t265, t268, t272, t273;
  double t276, t277, t278, t282, t283, t285, t288, t289;
  double t290, t293, t294, t296, t298, tvrho0, t302, t305;
  double t306, t307, t311, t313, t316, t317, t318, t321;
  double t322, t327, t329, t333, t334, t335, t336, t337;
  double t338, t340, t341, t342, t344, t345, t346, t347;
  double t348, t349, t350, t353, t354, t355, t356, t357;
  double t359, t360, t361, t364, t365, t366, t369, t370;
  double t371, t372, t373, t374, t376, t377, t380, t381;
  double t384, t385, t388, t391, t392, t395, t399, t400;
  double t403, t404, t405, t409, tvrho1, t412, t414, t415;
  double t416, t417, t420, t421, t423, t426, t427, t428;
  double t432, t436, tvsigma0, tvsigma1, t437, t439, t440, t441;
  double t442, t445, t446, t448, t451, t452, t453, t457;
  double t461, tvsigma2, t463, t464, t465, t466, t469, t470;
  double t472, t475, t476, t477, t481, t485, tvlapl0, t487;
  double t488, t489, t490, t493, t494, t496, t499, t500;
  double t501, t505, t509, tvlapl1, t512, t513, t514, t515;
  double t518, t519, t521, t524, t525, t526, t530, t543;
  double t544, t545, t549, tvtau0, t552, t553, t554, t555;
  double t558, t559, t561, t564, t565, t566, t570, t583;
  double t584, t585, t589, tvtau1;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = POW_1_3(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = POW_1_3(t16);
  t22 = my_piecewise3(t17, t19, t20 * t16);
  t23 = POW_1_3(t3);
  t24 = t22 * t23;
  t26 = POW_1_3(0.1e1 / M_PI);
  t27 = 0.1e1 / t26;
  t28 = M_CBRT4;
  t29 = t27 * t28;
  t30 = t24 * t29;
  t31 = POW_1_3(rho[0]);
  t32 = t31 * t31;
  t34 = 0.1e1 / t32 / rho[0];
  t35 = lapl[0] * t34;
  t37 = tau[0] * params->gamma;
  t38 = t37 * t34;
  t40 = params->gamma * sigma[0];
  t41 = rho[0] * rho[0];
  t43 = 0.1e1 / t32 / t41;
  t44 = t40 * t43;
  t47 = fabs(t35 / 0.2e1 - 0.2e1 * t38 + t44 / 0.4e1);
  t49 = t47 / 0.3e1 < 0.5e-12;
  t53 = t35 / 0.6e1 - 0.2e1 / 0.3e1 * t38 + t44 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t49, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t34;
  t75 = t73 - t74;
  t76 = t73 + t74;
  t77 = 0.1e1 / t76;
  t79 = t75 * t75;
  t80 = t79 * t75;
  t81 = t76 * t76;
  t82 = t81 * t76;
  t83 = 0.1e1 / t82;
  t86 = t79 * t79;
  t87 = t86 * t75;
  t88 = t81 * t81;
  t90 = 0.1e1 / t88 / t76;
  t94 = 0.1e1 + params->at * (t75 * t77 - 0.2e1 * t80 * t83 + t87 * t90);
  t95 = t66 * t94;
  t96 = t65 * t95;
  t99 = my_piecewise3(t2, 0, -t30 * t96 / 0.4e1);
  t100 = rho[1] <= p->dens_threshold;
  t101 = -t13;
  t103 = my_piecewise5(t11, t8, t7, t12, t101 * t4);
  t104 = 0.1e1 + t103;
  t105 = t104 <= p->zeta_threshold;
  t106 = POW_1_3(t104);
  t108 = my_piecewise3(t105, t19, t106 * t104);
  t109 = t108 * t23;
  t110 = t109 * t29;
  t111 = POW_1_3(rho[1]);
  t112 = t111 * t111;
  t114 = 0.1e1 / t112 / rho[1];
  t115 = lapl[1] * t114;
  t117 = tau[1] * params->gamma;
  t118 = t117 * t114;
  t120 = params->gamma * sigma[2];
  t121 = rho[1] * rho[1];
  t123 = 0.1e1 / t112 / t121;
  t124 = t120 * t123;
  t127 = fabs(t115 / 0.2e1 - 0.2e1 * t118 + t124 / 0.4e1);
  t129 = t127 / 0.3e1 < 0.5e-12;
  t133 = t115 / 0.6e1 - 0.2e1 / 0.3e1 * t118 + t124 / 0.12e2;
  t134 = 0.e0 < t133;
  t135 = my_piecewise3(t134, 0.5e-12, -0.5e-12);
  t136 = my_piecewise3(t129, t135, t133);
  t137 = xc_mgga_x_br89_get_x(t136);
  t139 = exp(t137 / 0.3e1);
  t140 = exp(-t137);
  t142 = 0.1e1 + t137 / 0.2e1;
  t143 = t140 * t142;
  t144 = 0.1e1 - t143;
  t145 = t139 * t144;
  t146 = 0.1e1 / t137;
  t147 = tau[1] * t114;
  t148 = t73 - t147;
  t149 = t73 + t147;
  t150 = 0.1e1 / t149;
  t152 = t148 * t148;
  t153 = t152 * t148;
  t154 = t149 * t149;
  t155 = t154 * t149;
  t156 = 0.1e1 / t155;
  t159 = t152 * t152;
  t160 = t159 * t148;
  t161 = t154 * t154;
  t163 = 0.1e1 / t161 / t149;
  t167 = 0.1e1 + params->at * (t148 * t150 - 0.2e1 * t153 * t156 + t160 * t163);
  t168 = t146 * t167;
  t169 = t145 * t168;
  t172 = my_piecewise3(t100, 0, -t110 * t169 / 0.4e1);
  tzk0 = t99 + t172;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t173 = t3 * t3;
  t174 = 0.1e1 / t173;
  t175 = t13 * t174;
  t177 = my_piecewise5(t7, 0, t11, 0, t4 - t175);
  t180 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t177);
  t181 = t180 * t23;
  t182 = t181 * t29;
  t185 = t23 * t23;
  t186 = 0.1e1 / t185;
  t187 = t22 * t186;
  t188 = t187 * t29;
  t190 = t188 * t96 / 0.12e2;
  t191 = t24 * t27;
  t192 = M_CBRTPI;
  t193 = t192 * t192;
  t194 = t28 * t193;
  t195 = my_piecewise3(t54, 0, 0);
  t200 = t41 * rho[0];
  t202 = 0.1e1 / t32 / t200;
  t206 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * lapl[0] * t43 + 0.1e2 / 0.9e1 * t37 * t43 - 0.2e1 / 0.9e1 * t40 * t202);
  t207 = t56 * t56;
  t208 = 0.1e1 / t207;
  t209 = t206 * t208;
  t210 = t194 * t209;
  t211 = t191 * t210;
  t213 = exp(-0.2e1 / 0.3e1 * t57);
  t214 = 0.1e1 / t213;
  t215 = t57 * t57;
  t217 = t215 - 0.2e1 * t57 + 0.3e1;
  t218 = 0.1e1 / t217;
  t219 = t214 * t218;
  t220 = t57 - 0.2e1;
  t221 = t220 * t220;
  t222 = t219 * t221;
  t223 = t222 * t96;
  t226 = t193 * t206;
  t227 = t208 * t214;
  t228 = t226 * t227;
  t229 = t218 * t221;
  t230 = t229 * t63;
  t232 = t226 * t208;
  t233 = t221 * t60;
  t234 = t219 * t233;
  t237 = t228 * t230 - t232 * t234 / 0.2e1;
  t238 = t59 * t237;
  t239 = t238 * t95;
  t242 = t28 * t59;
  t243 = 0.1e1 / t215;
  t244 = t64 * t243;
  t245 = t242 * t244;
  t246 = t191 * t245;
  t247 = t94 * t193;
  t249 = t227 * t229;
  t250 = t247 * t206 * t249;
  t253 = t66 * params->at;
  t254 = tau[0] * t43;
  t257 = 0.1e1 / t81;
  t258 = t75 * t257;
  t261 = t79 * t83;
  t264 = 0.1e1 / t88;
  t265 = t80 * t264;
  t268 = t86 * t90;
  t272 = 0.1e1 / t88 / t81;
  t273 = t87 * t272;
  t276 = 0.5e1 / 0.3e1 * t254 * t77 + 0.5e1 / 0.3e1 * t258 * t254 - 0.1e2 * t261 * t254 - 0.1e2 * t265 * t254 + 0.25e2 / 0.3e1 * t268 * t254 + 0.25e2 / 0.3e1 * t273 * t254;
  t277 = t253 * t276;
  t278 = t65 * t277;
  t282 = my_piecewise3(t2, 0, -t182 * t96 / 0.4e1 - t190 - t211 * t223 / 0.12e2 - t30 * t239 / 0.4e1 + t246 * t250 / 0.4e1 - t30 * t278 / 0.4e1);
  t283 = t101 * t174;
  t285 = my_piecewise5(t11, 0, t7, 0, -t4 - t283);
  t288 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t285);
  t289 = t288 * t23;
  t290 = t289 * t29;
  t293 = t108 * t186;
  t294 = t293 * t29;
  t296 = t294 * t169 / 0.12e2;
  t298 = my_piecewise3(t100, 0, -t290 * t169 / 0.4e1 - t296);
  tvrho0 = t99 + t172 + t3 * (t282 + t298);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t302 = my_piecewise5(t7, 0, t11, 0, -t4 - t175);
  t305 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t302);
  t306 = t305 * t23;
  t307 = t306 * t29;
  t311 = my_piecewise3(t2, 0, -t307 * t96 / 0.4e1 - t190);
  t313 = my_piecewise5(t11, 0, t7, 0, t4 - t283);
  t316 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t313);
  t317 = t316 * t23;
  t318 = t317 * t29;
  t321 = t109 * t27;
  t322 = my_piecewise3(t134, 0, 0);
  t327 = t121 * rho[1];
  t329 = 0.1e1 / t112 / t327;
  t333 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * lapl[1] * t123 + 0.1e2 / 0.9e1 * t117 * t123 - 0.2e1 / 0.9e1 * t120 * t329);
  t334 = t136 * t136;
  t335 = 0.1e1 / t334;
  t336 = t333 * t335;
  t337 = t194 * t336;
  t338 = t321 * t337;
  t340 = exp(-0.2e1 / 0.3e1 * t137);
  t341 = 0.1e1 / t340;
  t342 = t137 * t137;
  t344 = t342 - 0.2e1 * t137 + 0.3e1;
  t345 = 0.1e1 / t344;
  t346 = t341 * t345;
  t347 = t137 - 0.2e1;
  t348 = t347 * t347;
  t349 = t346 * t348;
  t350 = t349 * t169;
  t353 = t193 * t333;
  t354 = t335 * t341;
  t355 = t353 * t354;
  t356 = t345 * t348;
  t357 = t356 * t143;
  t359 = t353 * t335;
  t360 = t348 * t140;
  t361 = t346 * t360;
  t364 = t355 * t357 - t359 * t361 / 0.2e1;
  t365 = t139 * t364;
  t366 = t365 * t168;
  t369 = t28 * t139;
  t370 = 0.1e1 / t342;
  t371 = t144 * t370;
  t372 = t369 * t371;
  t373 = t321 * t372;
  t374 = t167 * t193;
  t376 = t354 * t356;
  t377 = t374 * t333 * t376;
  t380 = t146 * params->at;
  t381 = tau[1] * t123;
  t384 = 0.1e1 / t154;
  t385 = t148 * t384;
  t388 = t152 * t156;
  t391 = 0.1e1 / t161;
  t392 = t153 * t391;
  t395 = t159 * t163;
  t399 = 0.1e1 / t161 / t154;
  t400 = t160 * t399;
  t403 = 0.5e1 / 0.3e1 * t381 * t150 + 0.5e1 / 0.3e1 * t385 * t381 - 0.1e2 * t388 * t381 - 0.1e2 * t392 * t381 + 0.25e2 / 0.3e1 * t395 * t381 + 0.25e2 / 0.3e1 * t400 * t381;
  t404 = t380 * t403;
  t405 = t145 * t404;
  t409 = my_piecewise3(t100, 0, -t318 * t169 / 0.4e1 - t296 - t338 * t350 / 0.12e2 - t110 * t366 / 0.4e1 + t373 * t377 / 0.4e1 - t110 * t405 / 0.4e1);
  tvrho1 = t99 + t172 + t3 * (t311 + t409);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t412 = params->gamma * t43;
  t414 = my_piecewise3(t49, t195, t412 / 0.12e2);
  t415 = t414 * t208;
  t416 = t194 * t415;
  t417 = t191 * t416;
  t420 = t193 * t414;
  t421 = t420 * t227;
  t423 = t420 * t208;
  t426 = t421 * t230 - t423 * t234 / 0.2e1;
  t427 = t59 * t426;
  t428 = t427 * t95;
  t432 = t247 * t414 * t249;
  t436 = my_piecewise3(t2, 0, -t417 * t223 / 0.12e2 - t30 * t428 / 0.4e1 + t246 * t432 / 0.4e1);
  tvsigma0 = t3 * t436;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t437 = params->gamma * t123;
  t439 = my_piecewise3(t129, t322, t437 / 0.12e2);
  t440 = t439 * t335;
  t441 = t194 * t440;
  t442 = t321 * t441;
  t445 = t193 * t439;
  t446 = t445 * t354;
  t448 = t445 * t335;
  t451 = t446 * t357 - t448 * t361 / 0.2e1;
  t452 = t139 * t451;
  t453 = t452 * t168;
  t457 = t374 * t439 * t376;
  t461 = my_piecewise3(t100, 0, -t442 * t350 / 0.12e2 - t110 * t453 / 0.4e1 + t373 * t457 / 0.4e1);
  tvsigma2 = t3 * t461;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t463 = my_piecewise3(t49, t195, t34 / 0.6e1);
  t464 = t463 * t208;
  t465 = t194 * t464;
  t466 = t191 * t465;
  t469 = t193 * t463;
  t470 = t469 * t227;
  t472 = t469 * t208;
  t475 = t470 * t230 - t472 * t234 / 0.2e1;
  t476 = t59 * t475;
  t477 = t476 * t95;
  t481 = t247 * t463 * t249;
  t485 = my_piecewise3(t2, 0, -t466 * t223 / 0.12e2 - t30 * t477 / 0.4e1 + t246 * t481 / 0.4e1);
  tvlapl0 = t3 * t485;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t487 = my_piecewise3(t129, t322, t114 / 0.6e1);
  t488 = t487 * t335;
  t489 = t194 * t488;
  t490 = t321 * t489;
  t493 = t193 * t487;
  t494 = t493 * t354;
  t496 = t493 * t335;
  t499 = t494 * t357 - t496 * t361 / 0.2e1;
  t500 = t139 * t499;
  t501 = t500 * t168;
  t505 = t374 * t487 * t376;
  t509 = my_piecewise3(t100, 0, -t490 * t350 / 0.12e2 - t110 * t501 / 0.4e1 + t373 * t505 / 0.4e1);
  tvlapl1 = t3 * t509;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t512 = my_piecewise3(t49, t195, -0.2e1 / 0.3e1 * params->gamma * t34);
  t513 = t512 * t208;
  t514 = t194 * t513;
  t515 = t191 * t514;
  t518 = t193 * t512;
  t519 = t518 * t227;
  t521 = t518 * t208;
  t524 = t519 * t230 - t521 * t234 / 0.2e1;
  t525 = t59 * t524;
  t526 = t525 * t95;
  t530 = t247 * t512 * t249;
  t543 = -t258 * t34 + 0.6e1 * t261 * t34 + 0.6e1 * t265 * t34 - 0.5e1 * t268 * t34 - 0.5e1 * t273 * t34 - t34 * t77;
  t544 = t253 * t543;
  t545 = t65 * t544;
  t549 = my_piecewise3(t2, 0, -t515 * t223 / 0.12e2 - t30 * t526 / 0.4e1 + t246 * t530 / 0.4e1 - t30 * t545 / 0.4e1);
  tvtau0 = t3 * t549;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t552 = my_piecewise3(t129, t322, -0.2e1 / 0.3e1 * params->gamma * t114);
  t553 = t552 * t335;
  t554 = t194 * t553;
  t555 = t321 * t554;
  t558 = t193 * t552;
  t559 = t558 * t354;
  t561 = t558 * t335;
  t564 = t559 * t357 - t561 * t361 / 0.2e1;
  t565 = t139 * t564;
  t566 = t565 * t168;
  t570 = t374 * t552 * t376;
  t583 = -t114 * t150 - t385 * t114 + 0.6e1 * t388 * t114 + 0.6e1 * t392 * t114 - 0.5e1 * t395 * t114 - 0.5e1 * t400 * t114;
  t584 = t380 * t583;
  t585 = t145 * t584;
  t589 = my_piecewise3(t100, 0, -t555 * t350 / 0.12e2 - t110 * t566 / 0.4e1 + t373 * t570 / 0.4e1 - t110 * t585 / 0.4e1);
  tvtau1 = t3 * t589;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t22, t23;
  double t24, t26, t27, t28, t29, t30, t31, t32;
  double t34, t35, t37, t38, t40, t41, t43, t44;
  double t47, t49, t53, t54, t55, t56, t57, t59;
  double t60, t62, t63, t64, t65, t66, t67, t68;
  double t69, t70, t71, t73, t74, t75, t76, t77;
  double t79, t80, t81, t82, t83, t86, t87, t88;
  double t90, t94, t95, t96, t99, t100, t101, t103;
  double t104, t105, t106, t108, t109, t110, t111, t112;
  double t114, t115, t117, t118, t120, t121, t123, t124;
  double t127, t129, t133, t134, t135, t136, t137, t139;
  double t140, t142, t143, t144, t145, t146, t147, t148;
  double t149, t150, t152, t153, t154, t155, t156, t159;
  double t160, t161, t163, t167, t168, t169, t172, tzk0;

  double t173, t174, t175, t177, t180, t181, t182, t185;
  double t186, t187, t188, t190, t191, t192, t193, t194;
  double t195, t200, t202, t206, t207, t208, t209, t210;
  double t211, t213, t214, t215, t217, t218, t219, t220;
  double t221, t222, t223, t226, t227, t228, t229, t230;
  double t232, t233, t234, t237, t238, t239, t242, t243;
  double t244, t245, t246, t247, t249, t250, t253, t254;
  double t257, t258, t261, t264, t265, t268, t272, t273;
  double t276, t277, t278, t282, t283, t285, t288, t289;
  double t290, t293, t294, t296, t298, tvrho0, t302, t305;
  double t306, t307, t311, t313, t316, t317, t318, t321;
  double t322, t327, t329, t333, t334, t335, t336, t337;
  double t338, t340, t341, t342, t344, t345, t346, t347;
  double t348, t349, t350, t353, t354, t355, t356, t357;
  double t359, t360, t361, t364, t365, t366, t369, t370;
  double t371, t372, t373, t374, t376, t377, t380, t381;
  double t384, t385, t388, t391, t392, t395, t399, t400;
  double t403, t404, t405, t409, tvrho1, t412, t414, t415;
  double t416, t417, t420, t421, t423, t426, t427, t428;
  double t432, t436, tvsigma0, tvsigma1, t437, t439, t440, t441;
  double t442, t445, t446, t448, t451, t452, t453, t457;
  double t461, tvsigma2, t463, t464, t465, t466, t469, t470;
  double t472, t475, t476, t477, t481, t485, tvlapl0, t487;
  double t488, t489, t490, t493, t494, t496, t499, t500;
  double t501, t505, t509, tvlapl1, t512, t513, t514, t515;
  double t518, t519, t521, t524, t525, t526, t530, t543;
  double t544, t545, t549, tvtau0, t552, t553, t554, t555;
  double t558, t559, t561, t564, t565, t566, t570, t583;
  double t584, t585, t589, tvtau1;

  double t592, t593, t594, t600, t602, t606, t607, t608;
  double t609, t612, t615, t616, t617, t618, t619, t620;
  double t621, t622, t623, t624, t625, t626, t627, t628;
  double t629, t630, t633, t634, t635, t636, t637, t641;
  double t642, t643, t644, t645, t646, t647, t648, t649;
  double t650, t653, t654, t655, t658, t659, t660, t661;
  double t662, t667, t668, t669, t670, t673, t674, t675;
  double t676, t679, t682, t685, t686, t688, t689, t692;
  double t697, t702, t707, t713, t714, t719, t720, t721;
  double t726, t728, t730, t731, t734, t736, t739, t740;
  double t741, t742, t743, t747, t748, t749, t752, t755;
  double t756, t757, t761, t764, t765, t768, t771, t772;
  double t775, t776, t777, t779, t780, t781, t782, t784;
  double t785, t786, t789, t790, t791, t794, t798, t799;
  double t800, t805, t807, t808, t810, t811, t814, t815;
  double t816, t819, t820, t821, t823, t826, t827, t828;
  double t831, t834, t836, t837, t840, t841, t843, t844;
  double t845, t848, t850, t851, t852, t853, t856, t859;
  double t863, t864, t865, t868, t869, t870, t872, t873;
  double t875, t877, tv2rho20, t880, t884, t888, t889, t890;
  double t893, t894, t895, t897, t898, t903, t913, t914;
  double t915, t919, t923, t924, t925, t928, t929, t930;
  double t933, t934, t937, t938, t939, t943, t945, t948;
  double t949, t953, t955, t956, tv2rho21, t961, t966, t970;
  double t971, t972, t977, t978, t980, t983, t984, t985;
  double t986, t987, t988, t989, t994, t995, t996, t997;
  double t1000, t1001, t1002, t1005, t1006, t1007, t1008, t1009;
  double t1010, t1011, t1012, t1013, t1014, t1015, t1016, t1019;
  double t1020, t1021, t1022, t1023, t1027, t1028, t1029, t1030;
  double t1031, t1032, t1033, t1034, t1035, t1036, t1042, t1043;
  double t1044, t1045, t1046, t1049, t1050, t1051, t1054, t1055;
  double t1056, t1063, t1065, t1069, t1071, t1074, t1075, t1078;
  double t1081, t1082, t1083, t1084, t1087, t1090, t1093, t1094;
  double t1095, t1098, t1099, t1100, t1101, t1105, t1108, t1111;
  double t1112, t1114, t1115, t1118, t1123, t1128, t1133, t1139;
  double t1140, t1145, t1146, t1147, t1154, t1159, t1163, t1164;
  double t1165, t1170, t1171, t1173, t1174, t1177, t1178, t1179;
  double t1182, t1183, t1184, t1186, t1189, t1190, t1191, t1194;
  double t1197, t1199, t1200, t1203, t1204, t1206, t1207, t1208;
  double t1211, t1213, tv2rho22, t1216, t1217, t1218, t1219, t1220;
  double t1221, t1222, t1223, t1226, t1227, t1228, t1229, t1232;
  double t1233, t1234, t1235, t1239, t1240, t1243, t1244, t1245;
  double t1246, t1247, t1250, t1251, t1255, t1258, t1259, t1260;
  double t1266, t1267, t1269, t1270, t1272, t1274, t1277, t1278;
  double t1281, t1282, t1283, t1288, t1291, t1292, t1293, t1300;
  double t1305, t1309, t1312, t1313, t1315, t1316, t1317, t1320;
  double t1321, t1322, t1326, t1329, t1330, t1333, t1336, t1340;
  double t1342, t1343, t1344, t1347, t1349, tv2rhosigma0, tv2rhosigma1, t1351;
  double t1354, t1356, t1360, t1364, t1366, tv2rhosigma2, t1368, t1376;
  double tv2rhosigma3, tv2rhosigma4, t1378, t1381, t1383, t1384, t1385, t1386;
  double t1389, t1390, t1391, t1392, t1393, t1394, t1395, t1396;
  double t1399, t1400, t1401, t1402, t1405, t1406, t1407, t1408;
  double t1412, t1413, t1416, t1417, t1419, t1420, t1423, t1424;
  double t1428, t1431, t1432, t1433, t1438, t1441, t1444, t1449;
  double t1452, t1453, t1454, t1462, t1467, t1468, t1470, t1471;
  double t1472, t1475, t1476, t1477, t1481, t1484, t1485, t1488;
  double t1491, t1495, t1497, t1498, t1499, t1502, t1504, tv2rhosigma5;
  double t1507, t1508, t1510, t1512, t1514, t1517, t1520, t1521;
  double t1522, t1527, t1530, t1531, t1532, t1539, t1540, t1541;
  double t1546, t1547, t1548, t1551, t1554, t1555, t1556, t1559;
  double t1560, t1564, t1567, t1568, t1577, t1581, t1584, t1585;
  double t1587, t1590, t1591, t1599, t1606, t1607, t1608, t1611;
  double t1613, tv2rholapl0, t1615, t1618, t1620, t1624, t1628, t1630;
  double tv2rholapl1, t1632, t1640, tv2rholapl2, t1642, t1643, t1644, t1649;
  double t1650, t1651, t1658, t1661, t1662, t1663, t1671, t1673;
  double t1676, t1677, t1680, t1681, t1682, t1685, t1692, t1693;
  double t1696, t1699, t1700, t1703, t1704, t1708, t1713, t1714;
  double t1716, t1719, t1720, t1728, t1735, t1736, t1737, t1740;
  double t1742, tv2rholapl3, t1746, t1747, t1748, t1757, t1758, t1761;
  double t1764, t1765, t1766, t1769, t1770, t1774, t1777, t1778;
  double t1779, t1783, t1786, t1787, t1791, t1792, t1795, t1798;
  double t1804, t1805, t1808, t1829, t1830, t1831, t1835, t1839;
  double t1840, t1841, t1843, t1846, t1847, t1855, t1862, t1863;
  double t1864, t1868, t1869, t1871, t1873, t1876, t1879, t1880;
  double t1881, t1886, t1889, t1890, t1891, t1898, t1900, tv2rhotau0;
  double t1902, t1905, t1907, t1911, t1915, t1919, t1921, tv2rhotau1;
  double t1923, t1933, tv2rhotau2, t1935, t1936, t1937, t1940, t1941;
  double t1945, t1948, t1949, t1950, t1954, t1957, t1958, t1963;
  double t1964, t1965, t1974, t1975, t1978, t1981, t1987, t1988;
  double t1991, t2012, t2013, t2014, t2017, t2018, t2025, t2028;
  double t2029, t2030, t2038, t2040, t2043, t2046, t2047, t2048;
  double t2053, t2054, t2056, t2059, t2060, t2068, t2075, t2076;
  double t2077, t2080, t2082, tv2rhotau3, t2084, t2085, t2086, t2087;
  double t2089, t2090, t2091, t2092, t2093, t2096, t2097, t2098;
  double t2105, t2106, t2107, t2108, t2117, t2118, t2119, t2120;
  double t2121, t2124, t2125, t2128, t2129, t2133, t2136, t2138;
  double t2139, t2141, t2142, t2146, t2147, t2148, t2153, t2154;
  double t2158, t2160, t2162, t2165, t2166, t2167, t2170, t2173;
  double t2174, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t2175, t2176;
  double t2177, t2178, t2180, t2181, t2182, t2183, t2184, t2187;
  double t2188, t2189, t2196, t2197, t2198, t2199, t2208, t2209;
  double t2210, t2211, t2212, t2215, t2216, t2219, t2220, t2224;
  double t2227, t2229, t2230, t2232, t2233, t2237, t2238, t2239;
  double t2244, t2245, t2249, t2251, t2253, t2256, t2257, t2258;
  double t2261, t2264, t2265, tv2sigma25, t2266, t2267, t2268, t2271;
  double t2276, t2281, t2282, t2287, t2288, t2291, t2295, t2298;
  double t2299, t2302, t2306, t2308, t2309, t2310, t2317, t2318;
  double t2319, t2322, t2323, t2324, t2327, t2330, t2331, t2332;
  double t2335, t2336, tv2sigmalapl0, tv2sigmalapl1, tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t2337;
  double t2338, t2339, t2342, t2347, t2352, t2353, t2358, t2359;
  double t2362, t2366, t2369, t2370, t2373, t2377, t2379, t2380;
  double t2381, t2388, t2389, t2390, t2393, t2394, t2395, t2398;
  double t2401, t2402, t2403, t2406, t2407, tv2sigmalapl5, t2435, t2436;
  double t2437, t2444, t2447, t2450, t2453, t2458, t2462, t2465;
  double t2466, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, t2494, t2495;
  double t2496, t2503, t2506, t2509, t2512, t2517, t2521, t2524;
  double t2525, tv2sigmatau5, t2526, t2527, t2528, t2529, t2532, t2533;
  double t2534, t2541, t2542, t2543, t2544, t2553, t2554, t2557;
  double t2558, t2561, t2562, t2566, t2569, t2571, t2572, t2576;
  double t2577, t2578, t2583, t2584, t2588, t2591, t2592, t2593;
  double t2596, t2599, t2600, tv2lapl20, tv2lapl21, t2601, t2602, t2603;
  double t2604, t2607, t2608, t2609, t2616, t2617, t2618, t2619;
  double t2628, t2629, t2632, t2633, t2636, t2637, t2641, t2644;
  double t2646, t2647, t2651, t2652, t2653, t2658, t2659, t2663;
  double t2666, t2667, t2668, t2671, t2674, t2675, tv2lapl22, t2676;
  double t2677, t2678, t2681, t2686, t2691, t2692, t2697, t2698;
  double t2701, t2705, t2708, t2709, t2712, t2716, t2718, t2719;
  double t2720, t2727, t2728, t2729, t2732, t2733, t2734, t2737;
  double t2740, t2741, t2742, t2747, t2751, t2754, t2755, tv2lapltau0;
  double tv2lapltau1, tv2lapltau2, t2756, t2757, t2758, t2761, t2766, t2771;
  double t2772, t2777, t2778, t2781, t2785, t2788, t2789, t2792;
  double t2796, t2798, t2799, t2800, t2807, t2808, t2809, t2812;
  double t2813, t2814, t2817, t2820, t2821, t2822, t2827, t2831;
  double t2834, t2835, tv2lapltau3, t2836, t2837, t2838, t2839, t2842;
  double t2843, t2844, t2851, t2852, t2853, t2854, t2865, t2866;
  double t2869, t2870, t2873, t2874, t2878, t2881, t2883, t2884;
  double t2888, t2889, t2890, t2895, t2898, t2899, t2903, t2907;
  double t2910, t2911, t2912, t2915, t2919, t2932, t2933, t2934;
  double t2937, t2938, tv2tau20, tv2tau21, t2939, t2940, t2941, t2942;
  double t2945, t2946, t2947, t2954, t2955, t2956, t2957, t2968;
  double t2969, t2972, t2973, t2976, t2977, t2981, t2984, t2986;
  double t2987, t2991, t2992, t2993, t2998, t3001, t3002, t3006;
  double t3010, t3013, t3014, t3015, t3018, t3022, t3035, t3036;
  double t3037, t3040, t3041, tv2tau22;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = POW_1_3(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = POW_1_3(t16);
  t22 = my_piecewise3(t17, t19, t20 * t16);
  t23 = POW_1_3(t3);
  t24 = t22 * t23;
  t26 = POW_1_3(0.1e1 / M_PI);
  t27 = 0.1e1 / t26;
  t28 = M_CBRT4;
  t29 = t27 * t28;
  t30 = t24 * t29;
  t31 = POW_1_3(rho[0]);
  t32 = t31 * t31;
  t34 = 0.1e1 / t32 / rho[0];
  t35 = lapl[0] * t34;
  t37 = tau[0] * params->gamma;
  t38 = t37 * t34;
  t40 = params->gamma * sigma[0];
  t41 = rho[0] * rho[0];
  t43 = 0.1e1 / t32 / t41;
  t44 = t40 * t43;
  t47 = fabs(t35 / 0.2e1 - 0.2e1 * t38 + t44 / 0.4e1);
  t49 = t47 / 0.3e1 < 0.5e-12;
  t53 = t35 / 0.6e1 - 0.2e1 / 0.3e1 * t38 + t44 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t49, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t34;
  t75 = t73 - t74;
  t76 = t73 + t74;
  t77 = 0.1e1 / t76;
  t79 = t75 * t75;
  t80 = t79 * t75;
  t81 = t76 * t76;
  t82 = t81 * t76;
  t83 = 0.1e1 / t82;
  t86 = t79 * t79;
  t87 = t86 * t75;
  t88 = t81 * t81;
  t90 = 0.1e1 / t88 / t76;
  t94 = 0.1e1 + params->at * (t75 * t77 - 0.2e1 * t80 * t83 + t87 * t90);
  t95 = t66 * t94;
  t96 = t65 * t95;
  t99 = my_piecewise3(t2, 0, -t30 * t96 / 0.4e1);
  t100 = rho[1] <= p->dens_threshold;
  t101 = -t13;
  t103 = my_piecewise5(t11, t8, t7, t12, t101 * t4);
  t104 = 0.1e1 + t103;
  t105 = t104 <= p->zeta_threshold;
  t106 = POW_1_3(t104);
  t108 = my_piecewise3(t105, t19, t106 * t104);
  t109 = t108 * t23;
  t110 = t109 * t29;
  t111 = POW_1_3(rho[1]);
  t112 = t111 * t111;
  t114 = 0.1e1 / t112 / rho[1];
  t115 = lapl[1] * t114;
  t117 = tau[1] * params->gamma;
  t118 = t117 * t114;
  t120 = params->gamma * sigma[2];
  t121 = rho[1] * rho[1];
  t123 = 0.1e1 / t112 / t121;
  t124 = t120 * t123;
  t127 = fabs(t115 / 0.2e1 - 0.2e1 * t118 + t124 / 0.4e1);
  t129 = t127 / 0.3e1 < 0.5e-12;
  t133 = t115 / 0.6e1 - 0.2e1 / 0.3e1 * t118 + t124 / 0.12e2;
  t134 = 0.e0 < t133;
  t135 = my_piecewise3(t134, 0.5e-12, -0.5e-12);
  t136 = my_piecewise3(t129, t135, t133);
  t137 = xc_mgga_x_br89_get_x(t136);
  t139 = exp(t137 / 0.3e1);
  t140 = exp(-t137);
  t142 = 0.1e1 + t137 / 0.2e1;
  t143 = t140 * t142;
  t144 = 0.1e1 - t143;
  t145 = t139 * t144;
  t146 = 0.1e1 / t137;
  t147 = tau[1] * t114;
  t148 = t73 - t147;
  t149 = t73 + t147;
  t150 = 0.1e1 / t149;
  t152 = t148 * t148;
  t153 = t152 * t148;
  t154 = t149 * t149;
  t155 = t154 * t149;
  t156 = 0.1e1 / t155;
  t159 = t152 * t152;
  t160 = t159 * t148;
  t161 = t154 * t154;
  t163 = 0.1e1 / t161 / t149;
  t167 = 0.1e1 + params->at * (t148 * t150 - 0.2e1 * t153 * t156 + t160 * t163);
  t168 = t146 * t167;
  t169 = t145 * t168;
  t172 = my_piecewise3(t100, 0, -t110 * t169 / 0.4e1);
  tzk0 = t99 + t172;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t173 = t3 * t3;
  t174 = 0.1e1 / t173;
  t175 = t13 * t174;
  t177 = my_piecewise5(t7, 0, t11, 0, t4 - t175);
  t180 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t177);
  t181 = t180 * t23;
  t182 = t181 * t29;
  t185 = t23 * t23;
  t186 = 0.1e1 / t185;
  t187 = t22 * t186;
  t188 = t187 * t29;
  t190 = t188 * t96 / 0.12e2;
  t191 = t24 * t27;
  t192 = M_CBRTPI;
  t193 = t192 * t192;
  t194 = t28 * t193;
  t195 = my_piecewise3(t54, 0, 0);
  t200 = t41 * rho[0];
  t202 = 0.1e1 / t32 / t200;
  t206 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * lapl[0] * t43 + 0.1e2 / 0.9e1 * t37 * t43 - 0.2e1 / 0.9e1 * t40 * t202);
  t207 = t56 * t56;
  t208 = 0.1e1 / t207;
  t209 = t206 * t208;
  t210 = t194 * t209;
  t211 = t191 * t210;
  t213 = exp(-0.2e1 / 0.3e1 * t57);
  t214 = 0.1e1 / t213;
  t215 = t57 * t57;
  t217 = t215 - 0.2e1 * t57 + 0.3e1;
  t218 = 0.1e1 / t217;
  t219 = t214 * t218;
  t220 = t57 - 0.2e1;
  t221 = t220 * t220;
  t222 = t219 * t221;
  t223 = t222 * t96;
  t226 = t193 * t206;
  t227 = t208 * t214;
  t228 = t226 * t227;
  t229 = t218 * t221;
  t230 = t229 * t63;
  t232 = t226 * t208;
  t233 = t221 * t60;
  t234 = t219 * t233;
  t237 = t228 * t230 - t232 * t234 / 0.2e1;
  t238 = t59 * t237;
  t239 = t238 * t95;
  t242 = t28 * t59;
  t243 = 0.1e1 / t215;
  t244 = t64 * t243;
  t245 = t242 * t244;
  t246 = t191 * t245;
  t247 = t94 * t193;
  t249 = t227 * t229;
  t250 = t247 * t206 * t249;
  t253 = t66 * params->at;
  t254 = tau[0] * t43;
  t257 = 0.1e1 / t81;
  t258 = t75 * t257;
  t261 = t79 * t83;
  t264 = 0.1e1 / t88;
  t265 = t80 * t264;
  t268 = t86 * t90;
  t272 = 0.1e1 / t88 / t81;
  t273 = t87 * t272;
  t276 = 0.5e1 / 0.3e1 * t254 * t77 + 0.5e1 / 0.3e1 * t258 * t254 - 0.1e2 * t261 * t254 - 0.1e2 * t265 * t254 + 0.25e2 / 0.3e1 * t268 * t254 + 0.25e2 / 0.3e1 * t273 * t254;
  t277 = t253 * t276;
  t278 = t65 * t277;
  t282 = my_piecewise3(t2, 0, -t182 * t96 / 0.4e1 - t190 - t211 * t223 / 0.12e2 - t30 * t239 / 0.4e1 + t246 * t250 / 0.4e1 - t30 * t278 / 0.4e1);
  t283 = t101 * t174;
  t285 = my_piecewise5(t11, 0, t7, 0, -t4 - t283);
  t288 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t285);
  t289 = t288 * t23;
  t290 = t289 * t29;
  t293 = t108 * t186;
  t294 = t293 * t29;
  t296 = t294 * t169 / 0.12e2;
  t298 = my_piecewise3(t100, 0, -t290 * t169 / 0.4e1 - t296);
  tvrho0 = t99 + t172 + t3 * (t282 + t298);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t302 = my_piecewise5(t7, 0, t11, 0, -t4 - t175);
  t305 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t302);
  t306 = t305 * t23;
  t307 = t306 * t29;
  t311 = my_piecewise3(t2, 0, -t307 * t96 / 0.4e1 - t190);
  t313 = my_piecewise5(t11, 0, t7, 0, t4 - t283);
  t316 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t313);
  t317 = t316 * t23;
  t318 = t317 * t29;
  t321 = t109 * t27;
  t322 = my_piecewise3(t134, 0, 0);
  t327 = t121 * rho[1];
  t329 = 0.1e1 / t112 / t327;
  t333 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * lapl[1] * t123 + 0.1e2 / 0.9e1 * t117 * t123 - 0.2e1 / 0.9e1 * t120 * t329);
  t334 = t136 * t136;
  t335 = 0.1e1 / t334;
  t336 = t333 * t335;
  t337 = t194 * t336;
  t338 = t321 * t337;
  t340 = exp(-0.2e1 / 0.3e1 * t137);
  t341 = 0.1e1 / t340;
  t342 = t137 * t137;
  t344 = t342 - 0.2e1 * t137 + 0.3e1;
  t345 = 0.1e1 / t344;
  t346 = t341 * t345;
  t347 = t137 - 0.2e1;
  t348 = t347 * t347;
  t349 = t346 * t348;
  t350 = t349 * t169;
  t353 = t193 * t333;
  t354 = t335 * t341;
  t355 = t353 * t354;
  t356 = t345 * t348;
  t357 = t356 * t143;
  t359 = t353 * t335;
  t360 = t348 * t140;
  t361 = t346 * t360;
  t364 = t355 * t357 - t359 * t361 / 0.2e1;
  t365 = t139 * t364;
  t366 = t365 * t168;
  t369 = t28 * t139;
  t370 = 0.1e1 / t342;
  t371 = t144 * t370;
  t372 = t369 * t371;
  t373 = t321 * t372;
  t374 = t167 * t193;
  t376 = t354 * t356;
  t377 = t374 * t333 * t376;
  t380 = t146 * params->at;
  t381 = tau[1] * t123;
  t384 = 0.1e1 / t154;
  t385 = t148 * t384;
  t388 = t152 * t156;
  t391 = 0.1e1 / t161;
  t392 = t153 * t391;
  t395 = t159 * t163;
  t399 = 0.1e1 / t161 / t154;
  t400 = t160 * t399;
  t403 = 0.5e1 / 0.3e1 * t381 * t150 + 0.5e1 / 0.3e1 * t385 * t381 - 0.1e2 * t388 * t381 - 0.1e2 * t392 * t381 + 0.25e2 / 0.3e1 * t395 * t381 + 0.25e2 / 0.3e1 * t400 * t381;
  t404 = t380 * t403;
  t405 = t145 * t404;
  t409 = my_piecewise3(t100, 0, -t318 * t169 / 0.4e1 - t296 - t338 * t350 / 0.12e2 - t110 * t366 / 0.4e1 + t373 * t377 / 0.4e1 - t110 * t405 / 0.4e1);
  tvrho1 = t99 + t172 + t3 * (t311 + t409);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t412 = params->gamma * t43;
  t414 = my_piecewise3(t49, t195, t412 / 0.12e2);
  t415 = t414 * t208;
  t416 = t194 * t415;
  t417 = t191 * t416;
  t420 = t193 * t414;
  t421 = t420 * t227;
  t423 = t420 * t208;
  t426 = t421 * t230 - t423 * t234 / 0.2e1;
  t427 = t59 * t426;
  t428 = t427 * t95;
  t432 = t247 * t414 * t249;
  t436 = my_piecewise3(t2, 0, -t417 * t223 / 0.12e2 - t30 * t428 / 0.4e1 + t246 * t432 / 0.4e1);
  tvsigma0 = t3 * t436;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t437 = params->gamma * t123;
  t439 = my_piecewise3(t129, t322, t437 / 0.12e2);
  t440 = t439 * t335;
  t441 = t194 * t440;
  t442 = t321 * t441;
  t445 = t193 * t439;
  t446 = t445 * t354;
  t448 = t445 * t335;
  t451 = t446 * t357 - t448 * t361 / 0.2e1;
  t452 = t139 * t451;
  t453 = t452 * t168;
  t457 = t374 * t439 * t376;
  t461 = my_piecewise3(t100, 0, -t442 * t350 / 0.12e2 - t110 * t453 / 0.4e1 + t373 * t457 / 0.4e1);
  tvsigma2 = t3 * t461;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t463 = my_piecewise3(t49, t195, t34 / 0.6e1);
  t464 = t463 * t208;
  t465 = t194 * t464;
  t466 = t191 * t465;
  t469 = t193 * t463;
  t470 = t469 * t227;
  t472 = t469 * t208;
  t475 = t470 * t230 - t472 * t234 / 0.2e1;
  t476 = t59 * t475;
  t477 = t476 * t95;
  t481 = t247 * t463 * t249;
  t485 = my_piecewise3(t2, 0, -t466 * t223 / 0.12e2 - t30 * t477 / 0.4e1 + t246 * t481 / 0.4e1);
  tvlapl0 = t3 * t485;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t487 = my_piecewise3(t129, t322, t114 / 0.6e1);
  t488 = t487 * t335;
  t489 = t194 * t488;
  t490 = t321 * t489;
  t493 = t193 * t487;
  t494 = t493 * t354;
  t496 = t493 * t335;
  t499 = t494 * t357 - t496 * t361 / 0.2e1;
  t500 = t139 * t499;
  t501 = t500 * t168;
  t505 = t374 * t487 * t376;
  t509 = my_piecewise3(t100, 0, -t490 * t350 / 0.12e2 - t110 * t501 / 0.4e1 + t373 * t505 / 0.4e1);
  tvlapl1 = t3 * t509;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t512 = my_piecewise3(t49, t195, -0.2e1 / 0.3e1 * params->gamma * t34);
  t513 = t512 * t208;
  t514 = t194 * t513;
  t515 = t191 * t514;
  t518 = t193 * t512;
  t519 = t518 * t227;
  t521 = t518 * t208;
  t524 = t519 * t230 - t521 * t234 / 0.2e1;
  t525 = t59 * t524;
  t526 = t525 * t95;
  t530 = t247 * t512 * t249;
  t543 = -t258 * t34 + 0.6e1 * t261 * t34 + 0.6e1 * t265 * t34 - 0.5e1 * t268 * t34 - 0.5e1 * t273 * t34 - t34 * t77;
  t544 = t253 * t543;
  t545 = t65 * t544;
  t549 = my_piecewise3(t2, 0, -t515 * t223 / 0.12e2 - t30 * t526 / 0.4e1 + t246 * t530 / 0.4e1 - t30 * t545 / 0.4e1);
  tvtau0 = t3 * t549;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t552 = my_piecewise3(t129, t322, -0.2e1 / 0.3e1 * params->gamma * t114);
  t553 = t552 * t335;
  t554 = t194 * t553;
  t555 = t321 * t554;
  t558 = t193 * t552;
  t559 = t558 * t354;
  t561 = t558 * t335;
  t564 = t559 * t357 - t561 * t361 / 0.2e1;
  t565 = t139 * t564;
  t566 = t565 * t168;
  t570 = t374 * t552 * t376;
  t583 = -t114 * t150 - t385 * t114 + 0.6e1 * t388 * t114 + 0.6e1 * t392 * t114 - 0.5e1 * t395 * t114 - 0.5e1 * t400 * t114;
  t584 = t380 * t583;
  t585 = t145 * t584;
  t589 = my_piecewise3(t100, 0, -t555 * t350 / 0.12e2 - t110 * t566 / 0.4e1 + t373 * t570 / 0.4e1 - t110 * t585 / 0.4e1);
  tvtau1 = t3 * t589;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t592 = t187 * t27;
  t593 = t592 * t245;
  t594 = t593 * t250;
  t600 = t41 * t41;
  t602 = 0.1e1 / t32 / t600;
  t606 = my_piecewise3(t49, t195, 0.2e2 / 0.27e2 * lapl[0] * t202 - 0.8e2 / 0.27e2 * t37 * t202 + 0.22e2 / 0.27e2 * t40 * t602);
  t607 = t606 * t208;
  t608 = t194 * t607;
  t609 = t191 * t608;
  t612 = t222 * t239;
  t615 = t192 * M_PI;
  t616 = t28 * t615;
  t617 = t206 * t206;
  t618 = t207 * t207;
  t619 = 0.1e1 / t618;
  t620 = t617 * t619;
  t621 = t616 * t620;
  t622 = t191 * t621;
  t623 = t213 * t213;
  t624 = 0.1e1 / t623;
  t625 = t217 * t217;
  t626 = 0.1e1 / t625;
  t627 = t624 * t626;
  t628 = t221 * t220;
  t629 = t627 * t628;
  t630 = t629 * t96;
  t633 = t221 * t221;
  t634 = t627 * t633;
  t635 = t243 * t94;
  t636 = t65 * t635;
  t637 = t634 * t636;
  t641 = 0.1e1 / t215 / t57;
  t642 = t64 * t641;
  t643 = t242 * t642;
  t644 = t191 * t643;
  t645 = t94 * t615;
  t646 = t645 * t617;
  t647 = t619 * t624;
  t648 = t626 * t633;
  t649 = t647 * t648;
  t650 = t646 * t649;
  t653 = t626 * t628;
  t654 = t647 * t653;
  t655 = t646 * t654;
  t658 = t214 * t626;
  t659 = t221 * t59;
  t660 = t658 * t659;
  t661 = t64 * t66;
  t662 = t57 * t193;
  t667 = 0.2e1 * t662 * t206 * t249 - 0.2e1 * t232 * t222;
  t668 = t94 * t667;
  t669 = t661 * t668;
  t670 = t660 * t669;
  t673 = t219 * t659;
  t674 = params->at * t276;
  t675 = t661 * t674;
  t676 = t673 * t675;
  t679 = t238 * t277;
  t682 = tau[0] * t202;
  t685 = tau[0] * tau[0];
  t686 = t600 * rho[0];
  t688 = 0.1e1 / t31 / t686;
  t689 = t685 * t688;
  t692 = t75 * t83;
  t697 = t79 * t264;
  t702 = t80 * t90;
  t707 = t86 * t272;
  t713 = 0.1e1 / t88 / t82;
  t714 = t87 * t713;
  t719 = -0.4e2 / 0.9e1 * t682 * t77 + 0.5e2 / 0.9e1 * t689 * t257 - 0.25e3 / 0.9e1 * t692 * t689 - 0.4e2 / 0.9e1 * t258 * t682 - 0.1e3 * t697 * t689 + 0.8e2 / 0.3e1 * t261 * t682 - 0.1e3 / 0.9e1 * t702 * t689 + 0.8e2 / 0.3e1 * t265 * t682 + 0.125e4 / 0.9e1 * t707 * t689 - 0.2e3 / 0.9e1 * t268 * t682 + 0.25e3 / 0.3e1 * t714 * t689 - 0.2e3 / 0.9e1 * t273 * t682;
  t720 = t253 * t719;
  t721 = t65 * t720;
  t726 = t188 * t278;
  t728 = t247 * t209;
  t730 = t658 * t221 * t667;
  t731 = t728 * t730;
  t734 = t594 / 0.6e1 - t609 * t223 / 0.12e2 - t211 * t612 / 0.6e1 - t622 * t630 / 0.6e1 + t622 * t637 / 0.3e1 - t644 * t650 / 0.2e1 + t246 * t655 / 0.2e1 + t211 * t670 / 0.12e2 - t211 * t676 / 0.6e1 - t30 * t679 / 0.2e1 - t30 * t721 / 0.4e1 - t182 * t278 / 0.2e1 - t726 / 0.6e1 - t246 * t731 / 0.4e1;
  t736 = t674 * t226 * t249;
  t739 = t207 * t56;
  t740 = 0.1e1 / t739;
  t741 = t617 * t740;
  t742 = t194 * t741;
  t743 = t191 * t742;
  t747 = t740 * t214;
  t748 = t747 * t229;
  t749 = t247 * t617 * t748;
  t752 = t634 * t96;
  t755 = t237 * t243;
  t756 = t242 * t755;
  t757 = t191 * t756;
  t761 = t247 * t606 * t249;
  t764 = t181 * t27;
  t765 = t764 * t210;
  t768 = t764 * t245;
  t771 = t592 * t210;
  t772 = t771 * t223;
  t775 = 0.1e1 / t185 / t3;
  t776 = t22 * t775;
  t777 = t776 * t29;
  t779 = t777 * t96 / 0.18e2;
  t780 = t180 * t186;
  t781 = t780 * t29;
  t782 = t781 * t96;
  t784 = t20 * t20;
  t785 = 0.1e1 / t784;
  t786 = t177 * t177;
  t789 = t173 * t3;
  t790 = 0.1e1 / t789;
  t791 = t13 * t790;
  t794 = my_piecewise5(t7, 0, t11, 0, -0.2e1 * t174 + 0.2e1 * t791);
  t798 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t785 * t786 + 0.4e1 / 0.3e1 * t20 * t794);
  t799 = t798 * t23;
  t800 = t799 * t29;
  t805 = t188 * t239;
  t807 = t193 * t606;
  t808 = t807 * t227;
  t810 = t193 * t617;
  t811 = t810 * t747;
  t814 = t615 * t617;
  t815 = t814 * t647;
  t816 = t648 * t63;
  t819 = t626 * t221;
  t820 = t63 * t667;
  t821 = t819 * t820;
  t823 = t653 * t63;
  t826 = t814 * t619;
  t827 = t633 * t60;
  t828 = t627 * t827;
  t831 = t807 * t208;
  t834 = t810 * t740;
  t836 = t60 * t667;
  t837 = t819 * t836;
  t840 = t628 * t60;
  t841 = t627 * t840;
  t843 = t808 * t230 - 0.2e1 * t811 * t230 - t815 * t816 / 0.3e1 - t228 * t821 + 0.2e1 * t815 * t823 + 0.2e1 / 0.3e1 * t826 * t828 - t831 * t234 / 0.2e1 + t834 * t234 + t228 * t837 / 0.2e1 - t826 * t841;
  t844 = t59 * t843;
  t845 = t844 * t95;
  t848 = t246 * t736 / 0.2e1 + t743 * t223 / 0.6e1 - t246 * t749 / 0.2e1 - t622 * t752 / 0.12e2 + t757 * t250 / 0.2e1 + t246 * t761 / 0.4e1 - t765 * t223 / 0.6e1 + t768 * t250 / 0.2e1 - t772 / 0.18e2 + t779 - t782 / 0.6e1 - t800 * t96 / 0.4e1 - t182 * t239 / 0.2e1 - t805 / 0.6e1 - t30 * t845 / 0.4e1;
  t850 = my_piecewise3(t2, 0, t734 + t848);
  t851 = t106 * t106;
  t852 = 0.1e1 / t851;
  t853 = t285 * t285;
  t856 = t101 * t790;
  t859 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t174 + 0.2e1 * t856);
  t863 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t853 + 0.4e1 / 0.3e1 * t106 * t859);
  t864 = t863 * t23;
  t865 = t864 * t29;
  t868 = t288 * t186;
  t869 = t868 * t29;
  t870 = t869 * t169;
  t872 = t108 * t775;
  t873 = t872 * t29;
  t875 = t873 * t169 / 0.18e2;
  t877 = my_piecewise3(t100, 0, -t865 * t169 / 0.4e1 - t870 / 0.6e1 + t875);
  tv2rho20 = 0.2e1 * t282 + 0.2e1 * t298 + t3 * (t850 + t877);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t880 = t785 * t302;
  t884 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t791);
  t888 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t880 * t177 + 0.4e1 / 0.3e1 * t20 * t884);
  t889 = t888 * t23;
  t890 = t889 * t29;
  t893 = t305 * t186;
  t894 = t893 * t29;
  t895 = t894 * t96;
  t897 = t306 * t27;
  t898 = t897 * t210;
  t903 = t897 * t245;
  t913 = -t890 * t96 / 0.4e1 - t895 / 0.12e2 - t898 * t223 / 0.12e2 - t307 * t239 / 0.4e1 + t903 * t250 / 0.4e1 - t307 * t278 / 0.4e1 - t782 / 0.12e2 + t779 - t772 / 0.36e2 - t805 / 0.12e2 + t594 / 0.12e2 - t726 / 0.12e2;
  t914 = my_piecewise3(t2, 0, t913);
  t915 = t852 * t313;
  t919 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t856);
  t923 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t915 * t285 + 0.4e1 / 0.3e1 * t106 * t919);
  t924 = t923 * t23;
  t925 = t924 * t29;
  t928 = t316 * t186;
  t929 = t928 * t29;
  t930 = t929 * t169;
  t933 = t289 * t27;
  t934 = t933 * t337;
  t937 = t293 * t27;
  t938 = t937 * t337;
  t939 = t938 * t350;
  t943 = t294 * t366;
  t945 = t933 * t372;
  t948 = t937 * t372;
  t949 = t948 * t377;
  t953 = t294 * t405;
  t955 = -t925 * t169 / 0.4e1 - t930 / 0.12e2 - t870 / 0.12e2 + t875 - t934 * t350 / 0.12e2 - t939 / 0.36e2 - t290 * t366 / 0.4e1 - t943 / 0.12e2 + t945 * t377 / 0.4e1 + t949 / 0.12e2 - t290 * t405 / 0.4e1 - t953 / 0.12e2;
  t956 = my_piecewise3(t100, 0, t955);
  tv2rho21 = t282 + t298 + t311 + t409 + t3 * (t914 + t956);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t961 = t302 * t302;
  t966 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t174 + 0.2e1 * t791);
  t970 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t785 * t961 + 0.4e1 / 0.3e1 * t20 * t966);
  t971 = t970 * t23;
  t972 = t971 * t29;
  t977 = my_piecewise3(t2, 0, -t972 * t96 / 0.4e1 - t895 / 0.6e1 + t779);
  t978 = params->at * t403;
  t980 = t978 * t353 * t376;
  t983 = t344 * t344;
  t984 = 0.1e1 / t983;
  t985 = t341 * t984;
  t986 = t348 * t139;
  t987 = t985 * t986;
  t988 = t144 * t146;
  t989 = t137 * t193;
  t994 = 0.2e1 * t989 * t333 * t376 - 0.2e1 * t359 * t349;
  t995 = t167 * t994;
  t996 = t988 * t995;
  t997 = t987 * t996;
  t1000 = t346 * t986;
  t1001 = t988 * t978;
  t1002 = t1000 * t1001;
  t1005 = t333 * t333;
  t1006 = t334 * t334;
  t1007 = 0.1e1 / t1006;
  t1008 = t1005 * t1007;
  t1009 = t616 * t1008;
  t1010 = t321 * t1009;
  t1011 = t340 * t340;
  t1012 = 0.1e1 / t1011;
  t1013 = t1012 * t984;
  t1014 = t348 * t347;
  t1015 = t1013 * t1014;
  t1016 = t1015 * t169;
  t1019 = t348 * t348;
  t1020 = t1013 * t1019;
  t1021 = t370 * t167;
  t1022 = t145 * t1021;
  t1023 = t1020 * t1022;
  t1027 = 0.1e1 / t342 / t137;
  t1028 = t144 * t1027;
  t1029 = t369 * t1028;
  t1030 = t321 * t1029;
  t1031 = t167 * t615;
  t1032 = t1031 * t1005;
  t1033 = t1007 * t1012;
  t1034 = t984 * t1019;
  t1035 = t1033 * t1034;
  t1036 = t1032 * t1035;
  t1042 = t334 * t136;
  t1043 = 0.1e1 / t1042;
  t1044 = t1043 * t341;
  t1045 = t1044 * t356;
  t1046 = t374 * t1005 * t1045;
  t1049 = t1005 * t1043;
  t1050 = t194 * t1049;
  t1051 = t321 * t1050;
  t1054 = t364 * t370;
  t1055 = t369 * t1054;
  t1056 = t321 * t1055;
  t1063 = t121 * t121;
  t1065 = 0.1e1 / t112 / t1063;
  t1069 = my_piecewise3(t129, t322, 0.2e2 / 0.27e2 * lapl[1] * t329 - 0.8e2 / 0.27e2 * t117 * t329 + 0.22e2 / 0.27e2 * t120 * t1065);
  t1071 = t374 * t1069 * t376;
  t1074 = t317 * t27;
  t1075 = t1074 * t337;
  t1078 = t1074 * t372;
  t1081 = t373 * t980 / 0.2e1 + t338 * t997 / 0.12e2 - t338 * t1002 / 0.6e1 - t1010 * t1016 / 0.6e1 + t1010 * t1023 / 0.3e1 - t1030 * t1036 / 0.2e1 - t939 / 0.18e2 + t949 / 0.6e1 - t373 * t1046 / 0.2e1 + t1051 * t350 / 0.6e1 + t1056 * t377 / 0.2e1 + t373 * t1071 / 0.4e1 - t1075 * t350 / 0.6e1 + t1078 * t377 / 0.2e1;
  t1082 = t1069 * t335;
  t1083 = t194 * t1082;
  t1084 = t321 * t1083;
  t1087 = t349 * t366;
  t1090 = t1020 * t169;
  t1093 = t984 * t1014;
  t1094 = t1033 * t1093;
  t1095 = t1032 * t1094;
  t1098 = t374 * t336;
  t1099 = t348 * t994;
  t1100 = t985 * t1099;
  t1101 = t1098 * t1100;
  t1105 = t365 * t404;
  t1108 = tau[1] * t329;
  t1111 = tau[1] * tau[1];
  t1112 = t1063 * rho[1];
  t1114 = 0.1e1 / t111 / t1112;
  t1115 = t1111 * t1114;
  t1118 = t148 * t156;
  t1123 = t152 * t391;
  t1128 = t153 * t163;
  t1133 = t159 * t399;
  t1139 = 0.1e1 / t161 / t155;
  t1140 = t160 * t1139;
  t1145 = -0.4e2 / 0.9e1 * t1108 * t150 + 0.5e2 / 0.9e1 * t1115 * t384 - 0.25e3 / 0.9e1 * t1118 * t1115 - 0.4e2 / 0.9e1 * t385 * t1108 - 0.1e3 * t1123 * t1115 + 0.8e2 / 0.3e1 * t388 * t1108 - 0.1e3 / 0.9e1 * t1128 * t1115 + 0.8e2 / 0.3e1 * t392 * t1108 + 0.125e4 / 0.9e1 * t1133 * t1115 - 0.2e3 / 0.9e1 * t395 * t1108 + 0.25e3 / 0.3e1 * t1140 * t1115 - 0.2e3 / 0.9e1 * t400 * t1108;
  t1146 = t380 * t1145;
  t1147 = t145 * t1146;
  t1154 = t313 * t313;
  t1159 = my_piecewise5(t11, 0, t7, 0, -0.2e1 * t174 + 0.2e1 * t856);
  t1163 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t1154 + 0.4e1 / 0.3e1 * t106 * t1159);
  t1164 = t1163 * t23;
  t1165 = t1164 * t29;
  t1170 = t193 * t1069;
  t1171 = t1170 * t354;
  t1173 = t193 * t1005;
  t1174 = t1173 * t1044;
  t1177 = t615 * t1005;
  t1178 = t1177 * t1033;
  t1179 = t1034 * t143;
  t1182 = t984 * t348;
  t1183 = t143 * t994;
  t1184 = t1182 * t1183;
  t1186 = t1093 * t143;
  t1189 = t1177 * t1007;
  t1190 = t1019 * t140;
  t1191 = t1013 * t1190;
  t1194 = t1170 * t335;
  t1197 = t1173 * t1043;
  t1199 = t140 * t994;
  t1200 = t1182 * t1199;
  t1203 = t1014 * t140;
  t1204 = t1013 * t1203;
  t1206 = t1171 * t357 - 0.2e1 * t1174 * t357 - t1178 * t1179 / 0.3e1 - t355 * t1184 + 0.2e1 * t1178 * t1186 + 0.2e1 / 0.3e1 * t1189 * t1191 - t1194 * t361 / 0.2e1 + t1197 * t361 + t355 * t1200 / 0.2e1 - t1189 * t1204;
  t1207 = t139 * t1206;
  t1208 = t1207 * t168;
  t1211 = -t1084 * t350 / 0.12e2 - t338 * t1087 / 0.6e1 - t1010 * t1090 / 0.12e2 + t373 * t1095 / 0.2e1 - t373 * t1101 / 0.4e1 - t953 / 0.6e1 - t110 * t1105 / 0.2e1 - t110 * t1147 / 0.4e1 - t318 * t405 / 0.2e1 + t875 - t930 / 0.6e1 - t943 / 0.6e1 - t1165 * t169 / 0.4e1 - t318 * t366 / 0.2e1 - t110 * t1208 / 0.4e1;
  t1213 = my_piecewise3(t100, 0, t1081 + t1211);
  tv2rho22 = 0.2e1 * t311 + 0.2e1 * t409 + t3 * (t977 + t1213);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t1216 = t414 * t619;
  t1217 = t616 * t1216;
  t1218 = t191 * t1217;
  t1219 = t628 * t59;
  t1220 = t627 * t1219;
  t1221 = t94 * t206;
  t1222 = t661 * t1221;
  t1223 = t1220 * t1222;
  t1226 = t633 * t59;
  t1227 = t627 * t1226;
  t1228 = t244 * t1221;
  t1229 = t1227 * t1228;
  t1232 = t645 * t1216;
  t1233 = t633 * t206;
  t1234 = t627 * t1233;
  t1235 = t1232 * t1234;
  t1239 = t627 * t628 * t206;
  t1240 = t1232 * t1239;
  t1243 = t414 * t740;
  t1244 = t247 * t1243;
  t1245 = t221 * t206;
  t1246 = t219 * t1245;
  t1247 = t1244 * t1246;
  t1250 = t247 * t415;
  t1251 = t1250 * t730;
  t1255 = t674 * t420 * t249;
  t1258 = t194 * t1243;
  t1259 = t191 * t1258;
  t1260 = t673 * t1222;
  t1266 = t593 * t432 / 0.12e2;
  t1267 = t592 * t416;
  t1269 = t1267 * t223 / 0.36e2;
  t1270 = params->gamma * t202;
  t1272 = my_piecewise3(t49, t195, -0.2e1 / 0.9e1 * t1270);
  t1274 = t247 * t1272 * t249;
  t1277 = -t1218 * t1223 / 0.6e1 + t1218 * t1229 / 0.3e1 - t644 * t1235 / 0.2e1 + t246 * t1240 / 0.2e1 - t246 * t1247 / 0.2e1 - t246 * t1251 / 0.4e1 + t246 * t1255 / 0.4e1 + t1259 * t1260 / 0.6e1 + t417 * t670 / 0.12e2 + t1266 - t1269 + t246 * t1274 / 0.4e1;
  t1278 = t764 * t416;
  t1281 = t1272 * t208;
  t1282 = t194 * t1281;
  t1283 = t191 * t1282;
  t1288 = t222 * t428;
  t1291 = t426 * t243;
  t1292 = t242 * t1291;
  t1293 = t191 * t1292;
  t1300 = t1227 * t1222;
  t1305 = t427 * t277;
  t1309 = t188 * t428 / 0.12e2;
  t1312 = t193 * t1272;
  t1313 = t1312 * t227;
  t1315 = t420 * t747;
  t1316 = t63 * t206;
  t1317 = t229 * t1316;
  t1320 = t615 * t414;
  t1321 = t1320 * t647;
  t1322 = t648 * t1316;
  t1326 = t653 * t1316;
  t1329 = t60 * t206;
  t1330 = t648 * t1329;
  t1333 = t1312 * t208;
  t1336 = t229 * t1329;
  t1340 = t653 * t1329;
  t1342 = t1313 * t230 - 0.2e1 * t1315 * t1317 - t1321 * t1322 / 0.3e1 - t421 * t821 + 0.2e1 * t1321 * t1326 + 0.2e1 / 0.3e1 * t1321 * t1330 - t1333 * t234 / 0.2e1 + t1315 * t1336 + t421 * t837 / 0.2e1 - t1321 * t1340;
  t1343 = t59 * t1342;
  t1344 = t1343 * t95;
  t1347 = -t1278 * t223 / 0.12e2 - t1283 * t223 / 0.12e2 - t417 * t612 / 0.12e2 - t211 * t1288 / 0.12e2 + t1293 * t250 / 0.4e1 + t768 * t432 / 0.4e1 + t757 * t432 / 0.4e1 - t1218 * t1300 / 0.12e2 - t417 * t676 / 0.12e2 - t30 * t1305 / 0.4e1 - t1309 - t182 * t428 / 0.4e1 - t30 * t1344 / 0.4e1;
  t1349 = my_piecewise3(t2, 0, t1277 + t1347);
  tv2rhosigma0 = t3 * t1349 + t436;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t1351 = t933 * t441;
  t1354 = t937 * t441;
  t1356 = t1354 * t350 / 0.36e2;
  t1360 = t294 * t453 / 0.12e2;
  t1364 = t948 * t457 / 0.12e2;
  t1366 = my_piecewise3(t100, 0, -t1351 * t350 / 0.12e2 - t1356 - t290 * t453 / 0.4e1 - t1360 + t945 * t457 / 0.4e1 + t1364);
  tv2rhosigma2 = t3 * t1366 + t461;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t1368 = t897 * t416;
  t1376 = my_piecewise3(t2, 0, -t1368 * t223 / 0.12e2 - t1269 - t307 * t428 / 0.4e1 - t1309 + t903 * t432 / 0.4e1 + t1266);
  tv2rhosigma3 = t3 * t1376 + t436;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t1378 = t1074 * t441;
  t1381 = params->gamma * t329;
  t1383 = my_piecewise3(t129, t322, -0.2e1 / 0.9e1 * t1381);
  t1384 = t1383 * t335;
  t1385 = t194 * t1384;
  t1386 = t321 * t1385;
  t1389 = t439 * t1007;
  t1390 = t616 * t1389;
  t1391 = t321 * t1390;
  t1392 = t1014 * t139;
  t1393 = t1013 * t1392;
  t1394 = t167 * t333;
  t1395 = t988 * t1394;
  t1396 = t1393 * t1395;
  t1399 = t1019 * t139;
  t1400 = t1013 * t1399;
  t1401 = t371 * t1394;
  t1402 = t1400 * t1401;
  t1405 = t1031 * t1389;
  t1406 = t1019 * t333;
  t1407 = t1013 * t1406;
  t1408 = t1405 * t1407;
  t1412 = t1013 * t1014 * t333;
  t1413 = t1405 * t1412;
  t1416 = t439 * t1043;
  t1417 = t374 * t1416;
  t1419 = t346 * t348 * t333;
  t1420 = t1417 * t1419;
  t1423 = t374 * t440;
  t1424 = t1423 * t1100;
  t1428 = t978 * t445 * t376;
  t1431 = t194 * t1416;
  t1432 = t321 * t1431;
  t1433 = t1000 * t1395;
  t1438 = t1400 * t1395;
  t1441 = -t1378 * t350 / 0.12e2 - t1386 * t350 / 0.12e2 - t1391 * t1396 / 0.6e1 + t1391 * t1402 / 0.3e1 - t1030 * t1408 / 0.2e1 + t373 * t1413 / 0.2e1 - t373 * t1420 / 0.2e1 - t373 * t1424 / 0.4e1 + t373 * t1428 / 0.4e1 + t1432 * t1433 / 0.6e1 + t442 * t997 / 0.12e2 - t1391 * t1438 / 0.12e2;
  t1444 = t452 * t404;
  t1449 = t349 * t453;
  t1452 = t451 * t370;
  t1453 = t369 * t1452;
  t1454 = t321 * t1453;
  t1462 = t374 * t1383 * t376;
  t1467 = t193 * t1383;
  t1468 = t1467 * t354;
  t1470 = t445 * t1044;
  t1471 = t143 * t333;
  t1472 = t356 * t1471;
  t1475 = t615 * t439;
  t1476 = t1475 * t1033;
  t1477 = t1034 * t1471;
  t1481 = t1093 * t1471;
  t1484 = t140 * t333;
  t1485 = t1034 * t1484;
  t1488 = t1467 * t335;
  t1491 = t356 * t1484;
  t1495 = t1093 * t1484;
  t1497 = t1468 * t357 - 0.2e1 * t1470 * t1472 - t1476 * t1477 / 0.3e1 - t446 * t1184 + 0.2e1 * t1476 * t1481 + 0.2e1 / 0.3e1 * t1476 * t1485 - t1488 * t361 / 0.2e1 + t1470 * t1491 + t446 * t1200 / 0.2e1 - t1476 * t1495;
  t1498 = t139 * t1497;
  t1499 = t1498 * t168;
  t1502 = -t442 * t1002 / 0.12e2 - t110 * t1444 / 0.4e1 - t1356 + t1364 - t442 * t1087 / 0.12e2 - t338 * t1449 / 0.12e2 + t1454 * t377 / 0.4e1 + t1078 * t457 / 0.4e1 + t1056 * t457 / 0.4e1 + t373 * t1462 / 0.4e1 - t1360 - t318 * t453 / 0.4e1 - t110 * t1499 / 0.4e1;
  t1504 = my_piecewise3(t100, 0, t1441 + t1502);
  tv2rhosigma5 = t3 * t1504 + t461;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t1507 = t593 * t481 / 0.12e2;
  t1508 = t592 * t465;
  t1510 = t1508 * t223 / 0.36e2;
  t1512 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * t43);
  t1514 = t247 * t1512 * t249;
  t1517 = t764 * t465;
  t1520 = t1512 * t208;
  t1521 = t194 * t1520;
  t1522 = t191 * t1521;
  t1527 = t222 * t477;
  t1530 = t475 * t243;
  t1531 = t242 * t1530;
  t1532 = t191 * t1531;
  t1539 = t463 * t619;
  t1540 = t616 * t1539;
  t1541 = t191 * t1540;
  t1546 = t1507 - t1510 + t246 * t1514 / 0.4e1 - t1517 * t223 / 0.12e2 - t1522 * t223 / 0.12e2 - t466 * t612 / 0.12e2 - t211 * t1527 / 0.12e2 + t1532 * t250 / 0.4e1 + t768 * t481 / 0.4e1 + t757 * t481 / 0.4e1 - t1541 * t1223 / 0.6e1 + t1541 * t1229 / 0.3e1;
  t1547 = t645 * t1539;
  t1548 = t1547 * t1234;
  t1551 = t1547 * t1239;
  t1554 = t463 * t740;
  t1555 = t247 * t1554;
  t1556 = t1555 * t1246;
  t1559 = t247 * t464;
  t1560 = t1559 * t730;
  t1564 = t674 * t469 * t249;
  t1567 = t194 * t1554;
  t1568 = t191 * t1567;
  t1577 = t476 * t277;
  t1581 = t188 * t477 / 0.12e2;
  t1584 = t193 * t1512;
  t1585 = t1584 * t227;
  t1587 = t469 * t747;
  t1590 = t615 * t463;
  t1591 = t1590 * t647;
  t1599 = t1584 * t208;
  t1606 = t1585 * t230 - 0.2e1 * t1587 * t1317 - t1591 * t1322 / 0.3e1 - t470 * t821 + 0.2e1 * t1591 * t1326 + 0.2e1 / 0.3e1 * t1591 * t1330 - t1599 * t234 / 0.2e1 + t1587 * t1336 + t470 * t837 / 0.2e1 - t1591 * t1340;
  t1607 = t59 * t1606;
  t1608 = t1607 * t95;
  t1611 = -t644 * t1548 / 0.2e1 + t246 * t1551 / 0.2e1 - t246 * t1556 / 0.2e1 - t246 * t1560 / 0.4e1 + t246 * t1564 / 0.4e1 + t1568 * t1260 / 0.6e1 + t466 * t670 / 0.12e2 - t1541 * t1300 / 0.12e2 - t466 * t676 / 0.12e2 - t30 * t1577 / 0.4e1 - t1581 - t182 * t477 / 0.4e1 - t30 * t1608 / 0.4e1;
  t1613 = my_piecewise3(t2, 0, t1546 + t1611);
  tv2rholapl0 = t3 * t1613 + t485;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t1615 = t933 * t489;
  t1618 = t937 * t489;
  t1620 = t1618 * t350 / 0.36e2;
  t1624 = t294 * t501 / 0.12e2;
  t1628 = t948 * t505 / 0.12e2;
  t1630 = my_piecewise3(t100, 0, -t1615 * t350 / 0.12e2 - t1620 - t290 * t501 / 0.4e1 - t1624 + t945 * t505 / 0.4e1 + t1628);
  tv2rholapl1 = t3 * t1630 + t509;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t1632 = t897 * t465;
  t1640 = my_piecewise3(t2, 0, -t1632 * t223 / 0.12e2 - t1510 - t307 * t477 / 0.4e1 - t1581 + t903 * t481 / 0.4e1 + t1507);
  tv2rholapl2 = t3 * t1640 + t485;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t1642 = t487 * t1043;
  t1643 = t194 * t1642;
  t1644 = t321 * t1643;
  t1649 = t487 * t1007;
  t1650 = t616 * t1649;
  t1651 = t321 * t1650;
  t1658 = t349 * t501;
  t1661 = t499 * t370;
  t1662 = t369 * t1661;
  t1663 = t321 * t1662;
  t1671 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * t123);
  t1673 = t374 * t1671 * t376;
  t1676 = -t1620 + t1644 * t1433 / 0.6e1 + t490 * t997 / 0.12e2 - t1651 * t1438 / 0.12e2 - t490 * t1002 / 0.12e2 + t1628 - t490 * t1087 / 0.12e2 - t338 * t1658 / 0.12e2 + t1663 * t377 / 0.4e1 + t1078 * t505 / 0.4e1 + t1056 * t505 / 0.4e1 + t373 * t1673 / 0.4e1;
  t1677 = t1074 * t489;
  t1680 = t1671 * t335;
  t1681 = t194 * t1680;
  t1682 = t321 * t1681;
  t1685 = t500 * t404;
  t1692 = t1031 * t1649;
  t1693 = t1692 * t1407;
  t1696 = t1692 * t1412;
  t1699 = t374 * t1642;
  t1700 = t1699 * t1419;
  t1703 = t374 * t488;
  t1704 = t1703 * t1100;
  t1708 = t978 * t493 * t376;
  t1713 = t193 * t1671;
  t1714 = t1713 * t354;
  t1716 = t493 * t1044;
  t1719 = t615 * t487;
  t1720 = t1719 * t1033;
  t1728 = t1713 * t335;
  t1735 = t1714 * t357 - 0.2e1 * t1716 * t1472 - t1720 * t1477 / 0.3e1 - t494 * t1184 + 0.2e1 * t1720 * t1481 + 0.2e1 / 0.3e1 * t1720 * t1485 - t1728 * t361 / 0.2e1 + t1716 * t1491 + t494 * t1200 / 0.2e1 - t1720 * t1495;
  t1736 = t139 * t1735;
  t1737 = t1736 * t168;
  t1740 = -t1677 * t350 / 0.12e2 - t1682 * t350 / 0.12e2 - t110 * t1685 / 0.4e1 - t1651 * t1396 / 0.6e1 + t1651 * t1402 / 0.3e1 - t1030 * t1693 / 0.2e1 + t373 * t1696 / 0.2e1 - t373 * t1700 / 0.2e1 - t373 * t1704 / 0.4e1 + t373 * t1708 / 0.4e1 - t1624 - t318 * t501 / 0.4e1 - t110 * t1737 / 0.4e1;
  t1742 = my_piecewise3(t100, 0, t1676 + t1740);
  tv2rholapl3 = t3 * t1742 + t509;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  t1746 = t512 * t619;
  t1747 = t616 * t1746;
  t1748 = t191 * t1747;
  t1757 = t645 * t1746;
  t1758 = t1757 * t1234;
  t1761 = t1757 * t1239;
  t1764 = t512 * t740;
  t1765 = t247 * t1764;
  t1766 = t1765 * t1246;
  t1769 = t247 * t513;
  t1770 = t1769 * t730;
  t1774 = t674 * t518 * t249;
  t1777 = params->at * t543;
  t1778 = t661 * t1777;
  t1779 = t673 * t1778;
  t1783 = t1777 * t226 * t249;
  t1786 = t194 * t1764;
  t1787 = t191 * t1786;
  t1791 = t593 * t530 / 0.12e2;
  t1792 = t525 * t277;
  t1795 = t515 * t670 / 0.12e2 - t1748 * t1300 / 0.12e2 - t515 * t676 / 0.12e2 - t1748 * t1223 / 0.6e1 + t1748 * t1229 / 0.3e1 - t644 * t1758 / 0.2e1 + t246 * t1761 / 0.2e1 - t246 * t1766 / 0.2e1 - t246 * t1770 / 0.4e1 + t246 * t1774 / 0.4e1 - t211 * t1779 / 0.12e2 + t246 * t1783 / 0.4e1 + t1787 * t1260 / 0.6e1 + t1791 - t30 * t1792 / 0.4e1;
  t1798 = t238 * t544;
  t1804 = 0.1e1 / t31 / t600;
  t1805 = t1804 * t257;
  t1808 = t1804 * tau[0];
  t1829 = 0.5e1 / 0.3e1 * t43 * t77 - 0.1e2 / 0.3e1 * t1805 * tau[0] + 0.5e2 / 0.3e1 * t692 * t1808 + 0.5e1 / 0.3e1 * t258 * t43 + 0.6e2 * t697 * t1808 - 0.1e2 * t261 * t43 + 0.2e2 / 0.3e1 * t702 * t1808 - 0.1e2 * t265 * t43 - 0.25e3 / 0.3e1 * t707 * t1808 + 0.25e2 / 0.3e1 * t268 * t43 - 0.5e2 * t714 * t1808 + 0.25e2 / 0.3e1 * t273 * t43;
  t1830 = t253 * t1829;
  t1831 = t65 * t1830;
  t1835 = t188 * t545 / 0.12e2;
  t1839 = my_piecewise3(t49, t195, 0.1e2 / 0.9e1 * t412);
  t1840 = t193 * t1839;
  t1841 = t1840 * t227;
  t1843 = t518 * t747;
  t1846 = t615 * t512;
  t1847 = t1846 * t647;
  t1855 = t1840 * t208;
  t1862 = t1841 * t230 - 0.2e1 * t1843 * t1317 - t1847 * t1322 / 0.3e1 - t519 * t821 + 0.2e1 * t1847 * t1326 + 0.2e1 / 0.3e1 * t1847 * t1330 - t1855 * t234 / 0.2e1 + t1843 * t1336 + t519 * t837 / 0.2e1 - t1847 * t1340;
  t1863 = t59 * t1862;
  t1864 = t1863 * t95;
  t1868 = t188 * t526 / 0.12e2;
  t1869 = t592 * t514;
  t1871 = t1869 * t223 / 0.36e2;
  t1873 = t247 * t1839 * t249;
  t1876 = t764 * t514;
  t1879 = t1839 * t208;
  t1880 = t194 * t1879;
  t1881 = t191 * t1880;
  t1886 = t222 * t526;
  t1889 = t524 * t243;
  t1890 = t242 * t1889;
  t1891 = t191 * t1890;
  t1898 = -t182 * t545 / 0.4e1 - t30 * t1798 / 0.4e1 - t30 * t1831 / 0.4e1 - t1835 - t182 * t526 / 0.4e1 - t30 * t1864 / 0.4e1 - t1868 - t1871 + t246 * t1873 / 0.4e1 - t1876 * t223 / 0.12e2 - t1881 * t223 / 0.12e2 - t515 * t612 / 0.12e2 - t211 * t1886 / 0.12e2 + t1891 * t250 / 0.4e1 + t768 * t530 / 0.4e1 + t757 * t530 / 0.4e1;
  t1900 = my_piecewise3(t2, 0, t1795 + t1898);
  tv2rhotau0 = t3 * t1900 + t549;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t1902 = t933 * t554;
  t1905 = t937 * t554;
  t1907 = t1905 * t350 / 0.36e2;
  t1911 = t294 * t566 / 0.12e2;
  t1915 = t948 * t570 / 0.12e2;
  t1919 = t294 * t585 / 0.12e2;
  t1921 = my_piecewise3(t100, 0, -t1902 * t350 / 0.12e2 - t1907 - t290 * t566 / 0.4e1 - t1911 + t945 * t570 / 0.4e1 + t1915 - t290 * t585 / 0.4e1 - t1919);
  tv2rhotau1 = t3 * t1921 + t589;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  t1923 = t897 * t514;
  t1933 = my_piecewise3(t2, 0, -t1923 * t223 / 0.12e2 - t1871 - t307 * t526 / 0.4e1 - t1868 + t903 * t530 / 0.4e1 + t1791 - t307 * t545 / 0.4e1 - t1835);
  tv2rhotau2 = t3 * t1933 + t549;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  t1935 = t552 * t1043;
  t1936 = t374 * t1935;
  t1937 = t1936 * t1419;
  t1940 = t374 * t553;
  t1941 = t1940 * t1100;
  t1945 = t978 * t558 * t376;
  t1948 = params->at * t583;
  t1949 = t988 * t1948;
  t1950 = t1000 * t1949;
  t1954 = t1948 * t353 * t376;
  t1957 = t194 * t1935;
  t1958 = t321 * t1957;
  t1963 = t552 * t1007;
  t1964 = t616 * t1963;
  t1965 = t321 * t1964;
  t1974 = t1031 * t1963;
  t1975 = t1974 * t1407;
  t1978 = t1974 * t1412;
  t1981 = t365 * t584;
  t1987 = 0.1e1 / t111 / t1063;
  t1988 = t1987 * t384;
  t1991 = t1987 * tau[1];
  t2012 = 0.5e1 / 0.3e1 * t123 * t150 - 0.1e2 / 0.3e1 * t1988 * tau[1] + 0.5e2 / 0.3e1 * t1118 * t1991 + 0.5e1 / 0.3e1 * t385 * t123 + 0.6e2 * t1123 * t1991 - 0.1e2 * t388 * t123 + 0.2e2 / 0.3e1 * t1128 * t1991 - 0.1e2 * t392 * t123 - 0.25e3 / 0.3e1 * t1133 * t1991 + 0.25e2 / 0.3e1 * t395 * t123 - 0.5e2 * t1140 * t1991 + 0.25e2 / 0.3e1 * t400 * t123;
  t2013 = t380 * t2012;
  t2014 = t145 * t2013;
  t2017 = -t373 * t1937 / 0.2e1 - t373 * t1941 / 0.4e1 + t373 * t1945 / 0.4e1 - t338 * t1950 / 0.12e2 + t373 * t1954 / 0.4e1 + t1958 * t1433 / 0.6e1 + t555 * t997 / 0.12e2 - t1965 * t1438 / 0.12e2 - t555 * t1002 / 0.12e2 - t1965 * t1396 / 0.6e1 + t1965 * t1402 / 0.3e1 - t1030 * t1975 / 0.2e1 + t373 * t1978 / 0.2e1 - t110 * t1981 / 0.4e1 - t110 * t2014 / 0.4e1;
  t2018 = t565 * t404;
  t2025 = t349 * t566;
  t2028 = t564 * t370;
  t2029 = t369 * t2028;
  t2030 = t321 * t2029;
  t2038 = my_piecewise3(t129, t322, 0.1e2 / 0.9e1 * t437);
  t2040 = t374 * t2038 * t376;
  t2043 = t1074 * t554;
  t2046 = t2038 * t335;
  t2047 = t194 * t2046;
  t2048 = t321 * t2047;
  t2053 = t193 * t2038;
  t2054 = t2053 * t354;
  t2056 = t558 * t1044;
  t2059 = t615 * t552;
  t2060 = t2059 * t1033;
  t2068 = t2053 * t335;
  t2075 = t2054 * t357 - 0.2e1 * t2056 * t1472 - t2060 * t1477 / 0.3e1 - t559 * t1184 + 0.2e1 * t2060 * t1481 + 0.2e1 / 0.3e1 * t2060 * t1485 - t2068 * t361 / 0.2e1 + t2056 * t1491 + t559 * t1200 / 0.2e1 - t2060 * t1495;
  t2076 = t139 * t2075;
  t2077 = t2076 * t168;
  t2080 = -t110 * t2018 / 0.4e1 - t318 * t585 / 0.4e1 - t1919 - t555 * t1087 / 0.12e2 - t338 * t2025 / 0.12e2 + t2030 * t377 / 0.4e1 + t1078 * t570 / 0.4e1 + t1056 * t570 / 0.4e1 + t373 * t2040 / 0.4e1 - t2043 * t350 / 0.12e2 - t2048 * t350 / 0.12e2 - t1911 - t318 * t566 / 0.4e1 - t110 * t2077 / 0.4e1 - t1907 + t1915;
  t2082 = my_piecewise3(t100, 0, t2017 + t2080);
  tv2rhotau3 = t3 * t2082 + t589;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t2084 = my_piecewise3(t49, t195, 0);
  t2085 = t2084 * t208;
  t2086 = t194 * t2085;
  t2087 = t191 * t2086;
  t2089 = t2087 * t223 / 0.12e2;
  t2090 = t414 * t414;
  t2091 = t2090 * t740;
  t2092 = t194 * t2091;
  t2093 = t191 * t2092;
  t2096 = t2090 * t619;
  t2097 = t616 * t2096;
  t2098 = t191 * t2097;
  t2105 = 0.2e1 * t662 * t414 * t249 - 0.2e1 * t423 * t222;
  t2106 = t94 * t2105;
  t2107 = t661 * t2106;
  t2108 = t660 * t2107;
  t2117 = t193 * t2084;
  t2118 = t2117 * t227;
  t2119 = t2118 * t230;
  t2120 = t193 * t2090;
  t2121 = t2120 * t747;
  t2124 = t615 * t2090;
  t2125 = t2124 * t647;
  t2128 = t63 * t2105;
  t2129 = t819 * t2128;
  t2133 = t2124 * t619;
  t2136 = t2117 * t208;
  t2138 = t2136 * t234 / 0.2e1;
  t2139 = t2120 * t740;
  t2141 = t60 * t2105;
  t2142 = t819 * t2141;
  t2146 = t2119 - 0.2e1 * t2121 * t230 - t2125 * t816 / 0.3e1 - t421 * t2129 + 0.2e1 * t2125 * t823 + 0.2e1 / 0.3e1 * t2133 * t828 - t2138 + t2139 * t234 + t421 * t2142 / 0.2e1 - t2133 * t841;
  t2147 = t59 * t2146;
  t2148 = t2147 * t95;
  t2153 = t645 * t2090;
  t2154 = t2153 * t649;
  t2158 = t247 * t2084 * t249;
  t2160 = t246 * t2158 / 0.4e1;
  t2162 = t247 * t2090 * t748;
  t2165 = t221 * t2105;
  t2166 = t658 * t2165;
  t2167 = t1250 * t2166;
  t2170 = t2153 * t654;
  t2173 = -t2089 + t2093 * t223 / 0.6e1 - t2098 * t752 / 0.12e2 + t417 * t2108 / 0.12e2 - t2098 * t630 / 0.6e1 - t417 * t1288 / 0.6e1 + t2098 * t637 / 0.3e1 - t30 * t2148 / 0.4e1 + t1293 * t432 / 0.2e1 - t644 * t2154 / 0.2e1 + t2160 - t246 * t2162 / 0.2e1 - t246 * t2167 / 0.4e1 + t246 * t2170 / 0.2e1;
  t2174 = my_piecewise3(t2, 0, t2173);
  tv2sigma20 = t3 * t2174;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t2175 = my_piecewise3(t129, t322, 0);
  t2176 = t2175 * t335;
  t2177 = t194 * t2176;
  t2178 = t321 * t2177;
  t2180 = t2178 * t350 / 0.12e2;
  t2181 = t439 * t439;
  t2182 = t2181 * t1043;
  t2183 = t194 * t2182;
  t2184 = t321 * t2183;
  t2187 = t2181 * t1007;
  t2188 = t616 * t2187;
  t2189 = t321 * t2188;
  t2196 = 0.2e1 * t989 * t439 * t376 - 0.2e1 * t448 * t349;
  t2197 = t167 * t2196;
  t2198 = t988 * t2197;
  t2199 = t987 * t2198;
  t2208 = t193 * t2175;
  t2209 = t2208 * t354;
  t2210 = t2209 * t357;
  t2211 = t193 * t2181;
  t2212 = t2211 * t1044;
  t2215 = t615 * t2181;
  t2216 = t2215 * t1033;
  t2219 = t143 * t2196;
  t2220 = t1182 * t2219;
  t2224 = t2215 * t1007;
  t2227 = t2208 * t335;
  t2229 = t2227 * t361 / 0.2e1;
  t2230 = t2211 * t1043;
  t2232 = t140 * t2196;
  t2233 = t1182 * t2232;
  t2237 = t2210 - 0.2e1 * t2212 * t357 - t2216 * t1179 / 0.3e1 - t446 * t2220 + 0.2e1 * t2216 * t1186 + 0.2e1 / 0.3e1 * t2224 * t1191 - t2229 + t2230 * t361 + t446 * t2233 / 0.2e1 - t2224 * t1204;
  t2238 = t139 * t2237;
  t2239 = t2238 * t168;
  t2244 = t1031 * t2181;
  t2245 = t2244 * t1035;
  t2249 = t374 * t2175 * t376;
  t2251 = t373 * t2249 / 0.4e1;
  t2253 = t374 * t2181 * t1045;
  t2256 = t348 * t2196;
  t2257 = t985 * t2256;
  t2258 = t1423 * t2257;
  t2261 = t2244 * t1094;
  t2264 = -t2180 + t2184 * t350 / 0.6e1 - t2189 * t1090 / 0.12e2 + t442 * t2199 / 0.12e2 - t2189 * t1016 / 0.6e1 - t442 * t1449 / 0.6e1 + t2189 * t1023 / 0.3e1 - t110 * t2239 / 0.4e1 + t1454 * t457 / 0.2e1 - t1030 * t2245 / 0.2e1 + t2251 - t373 * t2253 / 0.2e1 - t373 * t2258 / 0.4e1 + t373 * t2261 / 0.2e1;
  t2265 = my_piecewise3(t100, 0, t2264);
  tv2sigma25 = t3 * t2265;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t2266 = t94 * t414;
  t2267 = t661 * t2266;
  t2268 = t673 * t2267;
  t2271 = t1227 * t2267;
  t2276 = t1220 * t2267;
  t2281 = t244 * t2266;
  t2282 = t1227 * t2281;
  t2287 = t63 * t414;
  t2288 = t229 * t2287;
  t2291 = t648 * t2287;
  t2295 = t653 * t2287;
  t2298 = t60 * t414;
  t2299 = t648 * t2298;
  t2302 = t229 * t2298;
  t2306 = t653 * t2298;
  t2308 = t2119 - 0.2e1 * t1587 * t2288 - t1591 * t2291 / 0.3e1 - t470 * t2129 + 0.2e1 * t1591 * t2295 + 0.2e1 / 0.3e1 * t1591 * t2299 - t2138 + t1587 * t2302 + t470 * t2142 / 0.2e1 - t1591 * t2306;
  t2309 = t59 * t2308;
  t2310 = t2309 * t95;
  t2317 = t633 * t414;
  t2318 = t627 * t2317;
  t2319 = t1547 * t2318;
  t2322 = t221 * t414;
  t2323 = t219 * t2322;
  t2324 = t1555 * t2323;
  t2327 = t1559 * t2166;
  t2330 = t628 * t414;
  t2331 = t627 * t2330;
  t2332 = t1547 * t2331;
  t2335 = -t2089 + t1568 * t2268 / 0.6e1 - t1541 * t2271 / 0.12e2 + t466 * t2108 / 0.12e2 - t1541 * t2276 / 0.6e1 - t466 * t1288 / 0.12e2 + t1541 * t2282 / 0.3e1 - t417 * t1527 / 0.12e2 - t30 * t2310 / 0.4e1 + t1532 * t432 / 0.4e1 + t1293 * t481 / 0.4e1 - t644 * t2319 / 0.2e1 + t2160 - t246 * t2324 / 0.2e1 - t246 * t2327 / 0.4e1 + t246 * t2332 / 0.2e1;
  t2336 = my_piecewise3(t2, 0, t2335);
  tv2sigmalapl0 = t3 * t2336;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t2337 = t167 * t439;
  t2338 = t988 * t2337;
  t2339 = t1000 * t2338;
  t2342 = t1400 * t2338;
  t2347 = t1393 * t2338;
  t2352 = t371 * t2337;
  t2353 = t1400 * t2352;
  t2358 = t143 * t439;
  t2359 = t356 * t2358;
  t2362 = t1034 * t2358;
  t2366 = t1093 * t2358;
  t2369 = t140 * t439;
  t2370 = t1034 * t2369;
  t2373 = t356 * t2369;
  t2377 = t1093 * t2369;
  t2379 = t2210 - 0.2e1 * t1716 * t2359 - t1720 * t2362 / 0.3e1 - t494 * t2220 + 0.2e1 * t1720 * t2366 + 0.2e1 / 0.3e1 * t1720 * t2370 - t2229 + t1716 * t2373 + t494 * t2233 / 0.2e1 - t1720 * t2377;
  t2380 = t139 * t2379;
  t2381 = t2380 * t168;
  t2388 = t1019 * t439;
  t2389 = t1013 * t2388;
  t2390 = t1692 * t2389;
  t2393 = t348 * t439;
  t2394 = t346 * t2393;
  t2395 = t1699 * t2394;
  t2398 = t1703 * t2257;
  t2401 = t1014 * t439;
  t2402 = t1013 * t2401;
  t2403 = t1692 * t2402;
  t2406 = -t2180 + t1644 * t2339 / 0.6e1 - t1651 * t2342 / 0.12e2 + t490 * t2199 / 0.12e2 - t1651 * t2347 / 0.6e1 - t490 * t1449 / 0.12e2 + t1651 * t2353 / 0.3e1 - t442 * t1658 / 0.12e2 - t110 * t2381 / 0.4e1 + t1663 * t457 / 0.4e1 + t1454 * t505 / 0.4e1 - t1030 * t2390 / 0.2e1 + t2251 - t373 * t2395 / 0.2e1 - t373 * t2398 / 0.4e1 + t373 * t2403 / 0.2e1;
  t2407 = my_piecewise3(t100, 0, t2406);
  tv2sigmalapl5 = t3 * t2407;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  t2435 = t2119 - 0.2e1 * t1843 * t2288 - t1847 * t2291 / 0.3e1 - t519 * t2129 + 0.2e1 * t1847 * t2295 + 0.2e1 / 0.3e1 * t1847 * t2299 - t2138 + t1843 * t2302 + t519 * t2142 / 0.2e1 - t1847 * t2306;
  t2436 = t59 * t2435;
  t2437 = t2436 * t95;
  t2444 = t1757 * t2318;
  t2447 = t1765 * t2323;
  t2450 = t1769 * t2166;
  t2453 = t1757 * t2331;
  t2458 = t427 * t544;
  t2462 = t1777 * t420 * t249;
  t2465 = -t2089 + t1787 * t2268 / 0.6e1 - t1748 * t2271 / 0.12e2 + t515 * t2108 / 0.12e2 - t1748 * t2276 / 0.6e1 - t515 * t1288 / 0.12e2 + t1748 * t2282 / 0.3e1 - t417 * t1886 / 0.12e2 - t30 * t2437 / 0.4e1 + t1891 * t432 / 0.4e1 + t1293 * t530 / 0.4e1 - t644 * t2444 / 0.2e1 + t2160 - t246 * t2447 / 0.2e1 - t246 * t2450 / 0.4e1 + t246 * t2453 / 0.2e1 - t417 * t1779 / 0.12e2 - t30 * t2458 / 0.4e1 + t246 * t2462 / 0.4e1;
  t2466 = my_piecewise3(t2, 0, t2465);
  tv2sigmatau0 = t3 * t2466;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  t2494 = t2210 - 0.2e1 * t2056 * t2359 - t2060 * t2362 / 0.3e1 - t559 * t2220 + 0.2e1 * t2060 * t2366 + 0.2e1 / 0.3e1 * t2060 * t2370 - t2229 + t2056 * t2373 + t559 * t2233 / 0.2e1 - t2060 * t2377;
  t2495 = t139 * t2494;
  t2496 = t2495 * t168;
  t2503 = t1974 * t2389;
  t2506 = t1936 * t2394;
  t2509 = t1940 * t2257;
  t2512 = t1974 * t2402;
  t2517 = t452 * t584;
  t2521 = t1948 * t445 * t376;
  t2524 = -t2180 + t1958 * t2339 / 0.6e1 - t1965 * t2342 / 0.12e2 + t555 * t2199 / 0.12e2 - t1965 * t2347 / 0.6e1 - t555 * t1449 / 0.12e2 + t1965 * t2353 / 0.3e1 - t442 * t2025 / 0.12e2 - t110 * t2496 / 0.4e1 + t2030 * t457 / 0.4e1 + t1454 * t570 / 0.4e1 - t1030 * t2503 / 0.2e1 + t2251 - t373 * t2506 / 0.2e1 - t373 * t2509 / 0.4e1 + t373 * t2512 / 0.2e1 - t442 * t1950 / 0.12e2 - t110 * t2517 / 0.4e1 + t373 * t2521 / 0.4e1;
  t2525 = my_piecewise3(t100, 0, t2524);
  tv2sigmatau5 = t3 * t2525;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t2526 = t463 * t463;
  t2527 = t2526 * t740;
  t2528 = t194 * t2527;
  t2529 = t191 * t2528;
  t2532 = t2526 * t619;
  t2533 = t616 * t2532;
  t2534 = t191 * t2533;
  t2541 = 0.2e1 * t662 * t463 * t249 - 0.2e1 * t472 * t222;
  t2542 = t94 * t2541;
  t2543 = t661 * t2542;
  t2544 = t660 * t2543;
  t2553 = t193 * t2526;
  t2554 = t2553 * t747;
  t2557 = t615 * t2526;
  t2558 = t2557 * t647;
  t2561 = t63 * t2541;
  t2562 = t819 * t2561;
  t2566 = t2557 * t619;
  t2569 = t2553 * t740;
  t2571 = t60 * t2541;
  t2572 = t819 * t2571;
  t2576 = t2119 - 0.2e1 * t2554 * t230 - t2558 * t816 / 0.3e1 - t470 * t2562 + 0.2e1 * t2558 * t823 + 0.2e1 / 0.3e1 * t2566 * t828 - t2138 + t2569 * t234 + t470 * t2572 / 0.2e1 - t2566 * t841;
  t2577 = t59 * t2576;
  t2578 = t2577 * t95;
  t2583 = t645 * t2526;
  t2584 = t2583 * t649;
  t2588 = t247 * t2526 * t748;
  t2591 = t221 * t2541;
  t2592 = t658 * t2591;
  t2593 = t1559 * t2592;
  t2596 = t2583 * t654;
  t2599 = -t2089 + t2529 * t223 / 0.6e1 - t2534 * t752 / 0.12e2 + t466 * t2544 / 0.12e2 - t2534 * t630 / 0.6e1 - t466 * t1527 / 0.6e1 + t2534 * t637 / 0.3e1 - t30 * t2578 / 0.4e1 + t1532 * t481 / 0.2e1 - t644 * t2584 / 0.2e1 + t2160 - t246 * t2588 / 0.2e1 - t246 * t2593 / 0.4e1 + t246 * t2596 / 0.2e1;
  t2600 = my_piecewise3(t2, 0, t2599);
  tv2lapl20 = t3 * t2600;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t2601 = t487 * t487;
  t2602 = t2601 * t1043;
  t2603 = t194 * t2602;
  t2604 = t321 * t2603;
  t2607 = t2601 * t1007;
  t2608 = t616 * t2607;
  t2609 = t321 * t2608;
  t2616 = 0.2e1 * t989 * t487 * t376 - 0.2e1 * t496 * t349;
  t2617 = t167 * t2616;
  t2618 = t988 * t2617;
  t2619 = t987 * t2618;
  t2628 = t193 * t2601;
  t2629 = t2628 * t1044;
  t2632 = t615 * t2601;
  t2633 = t2632 * t1033;
  t2636 = t143 * t2616;
  t2637 = t1182 * t2636;
  t2641 = t2632 * t1007;
  t2644 = t2628 * t1043;
  t2646 = t140 * t2616;
  t2647 = t1182 * t2646;
  t2651 = t2210 - 0.2e1 * t2629 * t357 - t2633 * t1179 / 0.3e1 - t494 * t2637 + 0.2e1 * t2633 * t1186 + 0.2e1 / 0.3e1 * t2641 * t1191 - t2229 + t2644 * t361 + t494 * t2647 / 0.2e1 - t2641 * t1204;
  t2652 = t139 * t2651;
  t2653 = t2652 * t168;
  t2658 = t1031 * t2601;
  t2659 = t2658 * t1035;
  t2663 = t374 * t2601 * t1045;
  t2666 = t348 * t2616;
  t2667 = t985 * t2666;
  t2668 = t1703 * t2667;
  t2671 = t2658 * t1094;
  t2674 = -t2180 + t2604 * t350 / 0.6e1 - t2609 * t1090 / 0.12e2 + t490 * t2619 / 0.12e2 - t2609 * t1016 / 0.6e1 - t490 * t1658 / 0.6e1 + t2609 * t1023 / 0.3e1 - t110 * t2653 / 0.4e1 + t1663 * t505 / 0.2e1 - t1030 * t2659 / 0.2e1 + t2251 - t373 * t2663 / 0.2e1 - t373 * t2668 / 0.4e1 + t373 * t2671 / 0.2e1;
  t2675 = my_piecewise3(t100, 0, t2674);
  tv2lapl22 = t3 * t2675;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  t2676 = t94 * t463;
  t2677 = t661 * t2676;
  t2678 = t673 * t2677;
  t2681 = t1227 * t2677;
  t2686 = t1220 * t2677;
  t2691 = t244 * t2676;
  t2692 = t1227 * t2691;
  t2697 = t63 * t463;
  t2698 = t229 * t2697;
  t2701 = t648 * t2697;
  t2705 = t653 * t2697;
  t2708 = t60 * t463;
  t2709 = t648 * t2708;
  t2712 = t229 * t2708;
  t2716 = t653 * t2708;
  t2718 = t2119 - 0.2e1 * t1843 * t2698 - t1847 * t2701 / 0.3e1 - t519 * t2562 + 0.2e1 * t1847 * t2705 + 0.2e1 / 0.3e1 * t1847 * t2709 - t2138 + t1843 * t2712 + t519 * t2572 / 0.2e1 - t1847 * t2716;
  t2719 = t59 * t2718;
  t2720 = t2719 * t95;
  t2727 = t633 * t463;
  t2728 = t627 * t2727;
  t2729 = t1757 * t2728;
  t2732 = t221 * t463;
  t2733 = t219 * t2732;
  t2734 = t1765 * t2733;
  t2737 = t1769 * t2592;
  t2740 = t628 * t463;
  t2741 = t627 * t2740;
  t2742 = t1757 * t2741;
  t2747 = t476 * t544;
  t2751 = t1777 * t469 * t249;
  t2754 = -t2089 + t1787 * t2678 / 0.6e1 - t1748 * t2681 / 0.12e2 + t515 * t2544 / 0.12e2 - t1748 * t2686 / 0.6e1 - t515 * t1527 / 0.12e2 + t1748 * t2692 / 0.3e1 - t466 * t1886 / 0.12e2 - t30 * t2720 / 0.4e1 + t1891 * t481 / 0.4e1 + t1532 * t530 / 0.4e1 - t644 * t2729 / 0.2e1 + t2160 - t246 * t2734 / 0.2e1 - t246 * t2737 / 0.4e1 + t246 * t2742 / 0.2e1 - t466 * t1779 / 0.12e2 - t30 * t2747 / 0.4e1 + t246 * t2751 / 0.4e1;
  t2755 = my_piecewise3(t2, 0, t2754);
  tv2lapltau0 = t3 * t2755;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  t2756 = t167 * t487;
  t2757 = t988 * t2756;
  t2758 = t1000 * t2757;
  t2761 = t1400 * t2757;
  t2766 = t1393 * t2757;
  t2771 = t371 * t2756;
  t2772 = t1400 * t2771;
  t2777 = t143 * t487;
  t2778 = t356 * t2777;
  t2781 = t1034 * t2777;
  t2785 = t1093 * t2777;
  t2788 = t140 * t487;
  t2789 = t1034 * t2788;
  t2792 = t356 * t2788;
  t2796 = t1093 * t2788;
  t2798 = t2210 - 0.2e1 * t2056 * t2778 - t2060 * t2781 / 0.3e1 - t559 * t2637 + 0.2e1 * t2060 * t2785 + 0.2e1 / 0.3e1 * t2060 * t2789 - t2229 + t2056 * t2792 + t559 * t2647 / 0.2e1 - t2060 * t2796;
  t2799 = t139 * t2798;
  t2800 = t2799 * t168;
  t2807 = t1019 * t487;
  t2808 = t1013 * t2807;
  t2809 = t1974 * t2808;
  t2812 = t348 * t487;
  t2813 = t346 * t2812;
  t2814 = t1936 * t2813;
  t2817 = t1940 * t2667;
  t2820 = t1014 * t487;
  t2821 = t1013 * t2820;
  t2822 = t1974 * t2821;
  t2827 = t500 * t584;
  t2831 = t1948 * t493 * t376;
  t2834 = -t2180 + t1958 * t2758 / 0.6e1 - t1965 * t2761 / 0.12e2 + t555 * t2619 / 0.12e2 - t1965 * t2766 / 0.6e1 - t555 * t1658 / 0.12e2 + t1965 * t2772 / 0.3e1 - t490 * t2025 / 0.12e2 - t110 * t2800 / 0.4e1 + t2030 * t505 / 0.4e1 + t1663 * t570 / 0.4e1 - t1030 * t2809 / 0.2e1 + t2251 - t373 * t2814 / 0.2e1 - t373 * t2817 / 0.4e1 + t373 * t2822 / 0.2e1 - t490 * t1950 / 0.12e2 - t110 * t2827 / 0.4e1 + t373 * t2831 / 0.4e1;
  t2835 = my_piecewise3(t100, 0, t2834);
  tv2lapltau3 = t3 * t2835;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  t2836 = t512 * t512;
  t2837 = t2836 * t740;
  t2838 = t194 * t2837;
  t2839 = t191 * t2838;
  t2842 = t2836 * t619;
  t2843 = t616 * t2842;
  t2844 = t191 * t2843;
  t2851 = 0.2e1 * t662 * t512 * t249 - 0.2e1 * t521 * t222;
  t2852 = t94 * t2851;
  t2853 = t661 * t2852;
  t2854 = t660 * t2853;
  t2865 = t193 * t2836;
  t2866 = t2865 * t747;
  t2869 = t615 * t2836;
  t2870 = t2869 * t647;
  t2873 = t63 * t2851;
  t2874 = t819 * t2873;
  t2878 = t2869 * t619;
  t2881 = t2865 * t740;
  t2883 = t60 * t2851;
  t2884 = t819 * t2883;
  t2888 = t2119 - 0.2e1 * t2866 * t230 - t2870 * t816 / 0.3e1 - t519 * t2874 + 0.2e1 * t2870 * t823 + 0.2e1 / 0.3e1 * t2878 * t828 - t2138 + t2881 * t234 + t519 * t2884 / 0.2e1 - t2878 * t841;
  t2889 = t59 * t2888;
  t2890 = t2889 * t95;
  t2895 = t525 * t544;
  t2898 = t645 * t2836;
  t2899 = t2898 * t649;
  t2903 = t1777 * t518 * t249;
  t2907 = t247 * t2836 * t748;
  t2910 = t221 * t2851;
  t2911 = t658 * t2910;
  t2912 = t1769 * t2911;
  t2915 = t2898 * t654;
  t2919 = 0.1e1 / t31 / t200;
  t2932 = 0.2e1 * t2919 * t257 - 0.1e2 * t692 * t2919 - 0.36e2 * t697 * t2919 - 0.4e1 * t702 * t2919 + 0.5e2 * t707 * t2919 + 0.3e2 * t714 * t2919;
  t2933 = t253 * t2932;
  t2934 = t65 * t2933;
  t2937 = -t2089 + t2839 * t223 / 0.6e1 - t2844 * t752 / 0.12e2 + t515 * t2854 / 0.12e2 - t2844 * t630 / 0.6e1 - t515 * t1886 / 0.6e1 + t2844 * t637 / 0.3e1 - t515 * t1779 / 0.6e1 - t30 * t2890 / 0.4e1 + t1891 * t530 / 0.2e1 - t30 * t2895 / 0.2e1 - t644 * t2899 / 0.2e1 + t246 * t2903 / 0.2e1 + t2160 - t246 * t2907 / 0.2e1 - t246 * t2912 / 0.4e1 + t246 * t2915 / 0.2e1 - t30 * t2934 / 0.4e1;
  t2938 = my_piecewise3(t2, 0, t2937);
  tv2tau20 = t3 * t2938;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  t2939 = t552 * t552;
  t2940 = t2939 * t1043;
  t2941 = t194 * t2940;
  t2942 = t321 * t2941;
  t2945 = t2939 * t1007;
  t2946 = t616 * t2945;
  t2947 = t321 * t2946;
  t2954 = 0.2e1 * t989 * t552 * t376 - 0.2e1 * t561 * t349;
  t2955 = t167 * t2954;
  t2956 = t988 * t2955;
  t2957 = t987 * t2956;
  t2968 = t193 * t2939;
  t2969 = t2968 * t1044;
  t2972 = t615 * t2939;
  t2973 = t2972 * t1033;
  t2976 = t143 * t2954;
  t2977 = t1182 * t2976;
  t2981 = t2972 * t1007;
  t2984 = t2968 * t1043;
  t2986 = t140 * t2954;
  t2987 = t1182 * t2986;
  t2991 = t2210 - 0.2e1 * t2969 * t357 - t2973 * t1179 / 0.3e1 - t559 * t2977 + 0.2e1 * t2973 * t1186 + 0.2e1 / 0.3e1 * t2981 * t1191 - t2229 + t2984 * t361 + t559 * t2987 / 0.2e1 - t2981 * t1204;
  t2992 = t139 * t2991;
  t2993 = t2992 * t168;
  t2998 = t565 * t584;
  t3001 = t1031 * t2939;
  t3002 = t3001 * t1035;
  t3006 = t1948 * t558 * t376;
  t3010 = t374 * t2939 * t1045;
  t3013 = t348 * t2954;
  t3014 = t985 * t3013;
  t3015 = t1940 * t3014;
  t3018 = t3001 * t1094;
  t3022 = 0.1e1 / t111 / t327;
  t3035 = -0.1e2 * t1118 * t3022 - 0.36e2 * t1123 * t3022 - 0.4e1 * t1128 * t3022 + 0.5e2 * t1133 * t3022 + 0.3e2 * t1140 * t3022 + 0.2e1 * t3022 * t384;
  t3036 = t380 * t3035;
  t3037 = t145 * t3036;
  t3040 = -t2180 + t2942 * t350 / 0.6e1 - t2947 * t1090 / 0.12e2 + t555 * t2957 / 0.12e2 - t2947 * t1016 / 0.6e1 - t555 * t2025 / 0.6e1 + t2947 * t1023 / 0.3e1 - t555 * t1950 / 0.6e1 - t110 * t2993 / 0.4e1 + t2030 * t570 / 0.2e1 - t110 * t2998 / 0.2e1 - t1030 * t3002 / 0.2e1 + t373 * t3006 / 0.2e1 + t2251 - t373 * t3010 / 0.2e1 - t373 * t3015 / 0.4e1 + t373 * t3018 / 0.2e1 - t110 * t3037 / 0.4e1;
  t3041 = my_piecewise3(t100, 0, t3040);
  tv2tau22 = t3 * t3041;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t22, t23;
  double t24, t26, t27, t28, t29, t30, t31, t32;
  double t34, t35, t37, t38, t40, t41, t43, t44;
  double t47, t49, t53, t54, t55, t56, t57, t59;
  double t60, t62, t63, t64, t65, t66, t67, t68;
  double t69, t70, t71, t73, t74, t75, t76, t77;
  double t79, t80, t81, t82, t83, t86, t87, t88;
  double t90, t94, t95, t96, t99, t100, t101, t103;
  double t104, t105, t106, t108, t109, t110, t111, t112;
  double t114, t115, t117, t118, t120, t121, t123, t124;
  double t127, t129, t133, t134, t135, t136, t137, t139;
  double t140, t142, t143, t144, t145, t146, t147, t148;
  double t149, t150, t152, t153, t154, t155, t156, t159;
  double t160, t161, t163, t167, t168, t169, t172, tzk0;

  double t173, t174, t175, t177, t180, t181, t182, t185;
  double t186, t187, t188, t190, t191, t192, t193, t194;
  double t195, t200, t202, t206, t207, t208, t209, t210;
  double t211, t213, t214, t215, t217, t218, t219, t220;
  double t221, t222, t223, t226, t227, t228, t229, t230;
  double t232, t233, t234, t237, t238, t239, t242, t243;
  double t244, t245, t246, t247, t249, t250, t253, t254;
  double t257, t258, t261, t264, t265, t268, t272, t273;
  double t276, t277, t278, t282, t283, t285, t288, t289;
  double t290, t293, t294, t296, t298, tvrho0, t302, t305;
  double t306, t307, t311, t313, t316, t317, t318, t321;
  double t322, t327, t329, t333, t334, t335, t336, t337;
  double t338, t340, t341, t342, t344, t345, t346, t347;
  double t348, t349, t350, t353, t354, t355, t356, t357;
  double t359, t360, t361, t364, t365, t366, t369, t370;
  double t371, t372, t373, t374, t376, t377, t380, t381;
  double t384, t385, t388, t391, t392, t395, t399, t400;
  double t403, t404, t405, t409, tvrho1, t412, t414, t415;
  double t416, t417, t420, t421, t423, t426, t427, t428;
  double t432, t436, tvsigma0, tvsigma1, t437, t439, t440, t441;
  double t442, t445, t446, t448, t451, t452, t453, t457;
  double t461, tvsigma2, t463, t464, t465, t466, t469, t470;
  double t472, t475, t476, t477, t481, t485, tvlapl0, t487;
  double t488, t489, t490, t493, t494, t496, t499, t500;
  double t501, t505, t509, tvlapl1, t512, t513, t514, t515;
  double t518, t519, t521, t524, t525, t526, t530, t543;
  double t544, t545, t549, tvtau0, t552, t553, t554, t555;
  double t558, t559, t561, t564, t565, t566, t570, t583;
  double t584, t585, t589, tvtau1;

  double t592, t593, t594, t600, t602, t606, t607, t608;
  double t609, t612, t615, t616, t617, t618, t619, t620;
  double t621, t622, t623, t624, t625, t626, t627, t628;
  double t629, t630, t633, t634, t635, t636, t637, t641;
  double t642, t643, t644, t645, t646, t647, t648, t649;
  double t650, t653, t654, t655, t658, t659, t660, t661;
  double t662, t667, t668, t669, t670, t673, t674, t675;
  double t676, t679, t682, t685, t686, t688, t689, t692;
  double t697, t702, t707, t713, t714, t719, t720, t721;
  double t726, t728, t730, t731, t734, t736, t739, t740;
  double t741, t742, t743, t747, t748, t749, t752, t755;
  double t756, t757, t761, t764, t765, t768, t771, t772;
  double t775, t776, t777, t779, t780, t781, t782, t784;
  double t785, t786, t789, t790, t791, t794, t798, t799;
  double t800, t805, t807, t808, t810, t811, t814, t815;
  double t816, t819, t820, t821, t823, t826, t827, t828;
  double t831, t834, t836, t837, t840, t841, t843, t844;
  double t845, t848, t850, t851, t852, t853, t856, t859;
  double t863, t864, t865, t868, t869, t870, t872, t873;
  double t875, t877, tv2rho20, t880, t884, t888, t889, t890;
  double t893, t894, t895, t897, t898, t903, t913, t914;
  double t915, t919, t923, t924, t925, t928, t929, t930;
  double t933, t934, t937, t938, t939, t943, t945, t948;
  double t949, t953, t955, t956, tv2rho21, t961, t966, t970;
  double t971, t972, t977, t978, t980, t983, t984, t985;
  double t986, t987, t988, t989, t994, t995, t996, t997;
  double t1000, t1001, t1002, t1005, t1006, t1007, t1008, t1009;
  double t1010, t1011, t1012, t1013, t1014, t1015, t1016, t1019;
  double t1020, t1021, t1022, t1023, t1027, t1028, t1029, t1030;
  double t1031, t1032, t1033, t1034, t1035, t1036, t1042, t1043;
  double t1044, t1045, t1046, t1049, t1050, t1051, t1054, t1055;
  double t1056, t1063, t1065, t1069, t1071, t1074, t1075, t1078;
  double t1081, t1082, t1083, t1084, t1087, t1090, t1093, t1094;
  double t1095, t1098, t1099, t1100, t1101, t1105, t1108, t1111;
  double t1112, t1114, t1115, t1118, t1123, t1128, t1133, t1139;
  double t1140, t1145, t1146, t1147, t1154, t1159, t1163, t1164;
  double t1165, t1170, t1171, t1173, t1174, t1177, t1178, t1179;
  double t1182, t1183, t1184, t1186, t1189, t1190, t1191, t1194;
  double t1197, t1199, t1200, t1203, t1204, t1206, t1207, t1208;
  double t1211, t1213, tv2rho22, t1216, t1217, t1218, t1219, t1220;
  double t1221, t1222, t1223, t1226, t1227, t1228, t1229, t1232;
  double t1233, t1234, t1235, t1239, t1240, t1243, t1244, t1245;
  double t1246, t1247, t1250, t1251, t1255, t1258, t1259, t1260;
  double t1266, t1267, t1269, t1270, t1272, t1274, t1277, t1278;
  double t1281, t1282, t1283, t1288, t1291, t1292, t1293, t1300;
  double t1305, t1309, t1312, t1313, t1315, t1316, t1317, t1320;
  double t1321, t1322, t1326, t1329, t1330, t1333, t1336, t1340;
  double t1342, t1343, t1344, t1347, t1349, tv2rhosigma0, tv2rhosigma1, t1351;
  double t1354, t1356, t1360, t1364, t1366, tv2rhosigma2, t1368, t1376;
  double tv2rhosigma3, tv2rhosigma4, t1378, t1381, t1383, t1384, t1385, t1386;
  double t1389, t1390, t1391, t1392, t1393, t1394, t1395, t1396;
  double t1399, t1400, t1401, t1402, t1405, t1406, t1407, t1408;
  double t1412, t1413, t1416, t1417, t1419, t1420, t1423, t1424;
  double t1428, t1431, t1432, t1433, t1438, t1441, t1444, t1449;
  double t1452, t1453, t1454, t1462, t1467, t1468, t1470, t1471;
  double t1472, t1475, t1476, t1477, t1481, t1484, t1485, t1488;
  double t1491, t1495, t1497, t1498, t1499, t1502, t1504, tv2rhosigma5;
  double t1507, t1508, t1510, t1512, t1514, t1517, t1520, t1521;
  double t1522, t1527, t1530, t1531, t1532, t1539, t1540, t1541;
  double t1546, t1547, t1548, t1551, t1554, t1555, t1556, t1559;
  double t1560, t1564, t1567, t1568, t1577, t1581, t1584, t1585;
  double t1587, t1590, t1591, t1599, t1606, t1607, t1608, t1611;
  double t1613, tv2rholapl0, t1615, t1618, t1620, t1624, t1628, t1630;
  double tv2rholapl1, t1632, t1640, tv2rholapl2, t1642, t1643, t1644, t1649;
  double t1650, t1651, t1658, t1661, t1662, t1663, t1671, t1673;
  double t1676, t1677, t1680, t1681, t1682, t1685, t1692, t1693;
  double t1696, t1699, t1700, t1703, t1704, t1708, t1713, t1714;
  double t1716, t1719, t1720, t1728, t1735, t1736, t1737, t1740;
  double t1742, tv2rholapl3, t1746, t1747, t1748, t1757, t1758, t1761;
  double t1764, t1765, t1766, t1769, t1770, t1774, t1777, t1778;
  double t1779, t1783, t1786, t1787, t1791, t1792, t1795, t1798;
  double t1804, t1805, t1808, t1829, t1830, t1831, t1835, t1839;
  double t1840, t1841, t1843, t1846, t1847, t1855, t1862, t1863;
  double t1864, t1868, t1869, t1871, t1873, t1876, t1879, t1880;
  double t1881, t1886, t1889, t1890, t1891, t1898, t1900, tv2rhotau0;
  double t1902, t1905, t1907, t1911, t1915, t1919, t1921, tv2rhotau1;
  double t1923, t1933, tv2rhotau2, t1935, t1936, t1937, t1940, t1941;
  double t1945, t1948, t1949, t1950, t1954, t1957, t1958, t1963;
  double t1964, t1965, t1974, t1975, t1978, t1981, t1987, t1988;
  double t1991, t2012, t2013, t2014, t2017, t2018, t2025, t2028;
  double t2029, t2030, t2038, t2040, t2043, t2046, t2047, t2048;
  double t2053, t2054, t2056, t2059, t2060, t2068, t2075, t2076;
  double t2077, t2080, t2082, tv2rhotau3, t2084, t2085, t2086, t2087;
  double t2089, t2090, t2091, t2092, t2093, t2096, t2097, t2098;
  double t2105, t2106, t2107, t2108, t2117, t2118, t2119, t2120;
  double t2121, t2124, t2125, t2128, t2129, t2133, t2136, t2138;
  double t2139, t2141, t2142, t2146, t2147, t2148, t2153, t2154;
  double t2158, t2160, t2162, t2165, t2166, t2167, t2170, t2173;
  double t2174, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t2175, t2176;
  double t2177, t2178, t2180, t2181, t2182, t2183, t2184, t2187;
  double t2188, t2189, t2196, t2197, t2198, t2199, t2208, t2209;
  double t2210, t2211, t2212, t2215, t2216, t2219, t2220, t2224;
  double t2227, t2229, t2230, t2232, t2233, t2237, t2238, t2239;
  double t2244, t2245, t2249, t2251, t2253, t2256, t2257, t2258;
  double t2261, t2264, t2265, tv2sigma25, t2266, t2267, t2268, t2271;
  double t2276, t2281, t2282, t2287, t2288, t2291, t2295, t2298;
  double t2299, t2302, t2306, t2308, t2309, t2310, t2317, t2318;
  double t2319, t2322, t2323, t2324, t2327, t2330, t2331, t2332;
  double t2335, t2336, tv2sigmalapl0, tv2sigmalapl1, tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t2337;
  double t2338, t2339, t2342, t2347, t2352, t2353, t2358, t2359;
  double t2362, t2366, t2369, t2370, t2373, t2377, t2379, t2380;
  double t2381, t2388, t2389, t2390, t2393, t2394, t2395, t2398;
  double t2401, t2402, t2403, t2406, t2407, tv2sigmalapl5, t2435, t2436;
  double t2437, t2444, t2447, t2450, t2453, t2458, t2462, t2465;
  double t2466, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, t2494, t2495;
  double t2496, t2503, t2506, t2509, t2512, t2517, t2521, t2524;
  double t2525, tv2sigmatau5, t2526, t2527, t2528, t2529, t2532, t2533;
  double t2534, t2541, t2542, t2543, t2544, t2553, t2554, t2557;
  double t2558, t2561, t2562, t2566, t2569, t2571, t2572, t2576;
  double t2577, t2578, t2583, t2584, t2588, t2591, t2592, t2593;
  double t2596, t2599, t2600, tv2lapl20, tv2lapl21, t2601, t2602, t2603;
  double t2604, t2607, t2608, t2609, t2616, t2617, t2618, t2619;
  double t2628, t2629, t2632, t2633, t2636, t2637, t2641, t2644;
  double t2646, t2647, t2651, t2652, t2653, t2658, t2659, t2663;
  double t2666, t2667, t2668, t2671, t2674, t2675, tv2lapl22, t2676;
  double t2677, t2678, t2681, t2686, t2691, t2692, t2697, t2698;
  double t2701, t2705, t2708, t2709, t2712, t2716, t2718, t2719;
  double t2720, t2727, t2728, t2729, t2732, t2733, t2734, t2737;
  double t2740, t2741, t2742, t2747, t2751, t2754, t2755, tv2lapltau0;
  double tv2lapltau1, tv2lapltau2, t2756, t2757, t2758, t2761, t2766, t2771;
  double t2772, t2777, t2778, t2781, t2785, t2788, t2789, t2792;
  double t2796, t2798, t2799, t2800, t2807, t2808, t2809, t2812;
  double t2813, t2814, t2817, t2820, t2821, t2822, t2827, t2831;
  double t2834, t2835, tv2lapltau3, t2836, t2837, t2838, t2839, t2842;
  double t2843, t2844, t2851, t2852, t2853, t2854, t2865, t2866;
  double t2869, t2870, t2873, t2874, t2878, t2881, t2883, t2884;
  double t2888, t2889, t2890, t2895, t2898, t2899, t2903, t2907;
  double t2910, t2911, t2912, t2915, t2919, t2932, t2933, t2934;
  double t2937, t2938, tv2tau20, tv2tau21, t2939, t2940, t2941, t2942;
  double t2945, t2946, t2947, t2954, t2955, t2956, t2957, t2968;
  double t2969, t2972, t2973, t2976, t2977, t2981, t2984, t2986;
  double t2987, t2991, t2992, t2993, t2998, t3001, t3002, t3006;
  double t3010, t3013, t3014, t3015, t3018, t3022, t3035, t3036;
  double t3037, t3040, t3041, tv2tau22;

  double t3044, t3046, t3049, t3054, t3055, t3056, t3057, t3058;
  double t3061, t3064, t3065, t3066, t3069, t3072, t3075, t3080;
  double t3082, t3083, t3106, t3107, t3108, t3115, t3117, t3119;
  double t3121, t3122, t3123, t3124, t3125, t3126, t3129, t3130;
  double t3131, t3132, t3133, t3137, t3138, t3139, t3140, t3141;
  double t3142, t3143, t3146, t3148, t3150, t3152, t3155, t3157;
  double t3158, t3161, t3162, t3165, t3166, t3169, t3171, t3172;
  double t3173, t3176, t3179, t3180, t3181, t3182, t3185, t3186;
  double t3187, t3190, t3193, t3194, t3195, t3198, t3201, t3202;
  double t3207, t3215, t3216, t3227, t3228, t3231, t3244, t3246;
  double t3247, t3250, t3251, t3252, t3254, t3255, t3257, t3258;
  double t3259, t3260, t3261, t3262, t3267, t3268, t3269, t3272;
  double t3279, t3280, t3281, t3284, t3286, t3289, t3291, t3300;
  double t3301, t3304, t3305, t3308, t3313, t3314, t3318, t3319;
  double t3320, t3323, t3324, t3327, t3328, t3329, t3331, t3334;
  double t3335, t3336, t3338, t3340, t3341, t3342, t3344, t3346;
  double t3349, t3352, t3353, t3356, t3359, t3360, t3361, t3364;
  double t3368, t3369, t3370, t3375, t3376, t3378, t3379, t3381;
  double t3382, t3385, t3393, t3394, t3396, t3398, t3399, t3400;
  double t3401, t3402, t3403, t3406, t3409, t3410, t3413, t3415;
  double t3416, t3417, t3420, t3421, t3422, t3427, t3430, t3431;
  double t3432, t3435, t3436, t3439, t3447, t3448, t3449, t3452;
  double t3460, t3464, t3465, t3466, t3470, t3471, t3473, t3474;
  double t3475, t3476, t3479, t3482, t3483, t3486, t3491, t3494;
  double t3497, t3498, t3499, t3500, t3503, t3504, t3505, t3508;
  double t3509, t3512, t3513, t3514, t3515, t3516, t3517, t3520;
  double t3521, t3522, t3526, t3530, t3535, t3536, t3537, t3540;
  double t3543, t3544, t3545, t3548, t3549, t3551, t3553, t3556;
  double t3558, t3559, t3560, t3567, t3568, t3571, t3572, t3576;
  double t3577, t3582, t3585, t3588, t3590, t3599, t3602, t3605;
  double t3608, t3609, t3610, t3613, t3620, t3621, t3622, t3624;
  double t3625, t3627, t3628, t3629, t3631, t3632, t3634, t3635;
  double t3637, t3638, t3640, t3643, t3644, t3647, t3648, t3650;
  double t3651, t3653, t3654, t3655, t3658, t3659, t3660, t3661;
  double t3664, t3665, t3668, t3671, t3672, t3673, t3676, t3677;
  double t3678, t3679, t3680, t3681, t3682, t3685, t3686, t3691;
  double t3693, t3695, t3699, t3701, t3702, t3705, t3708, t3711;
  double t3715, t3716, t3717, t3720, t3721, t3722, t3724, t3725;
  double t3726, t3728, t3729, t3731, t3733, tv3rho30, t3736, t3737;
  double t3745, t3760, t3763, t3764, t3766, t3767, t3768, t3769;
  double t3771, t3774, t3779, t3780, t3782, t3786, t3787, t3788;
  double t3794, t3802, t3805, t3807, t3814, t3815, t3817, t3818;
  double t3820, t3821, t3824, t3825, t3830, t3835, t3838, t3845;
  double t3861, t3864, t3865, t3868, t3873, t3875, t3879, t3880;
  double t3881, t3884, t3885, t3887, t3888, t3889, t3890, t3894;
  double t3895, t3898, t3899, t3901, t3902, t3903, t3904, t3909;
  double t3910, t3912, t3915, t3917, t3918, t3919, t3924, t3925;
  double t3927, t3928, tv3rho31, t3931, t3936, t3940, t3944, t3945;
  double t3946, t3949, t3950, t3951, t3953, t3954, t3959, t3970;
  double t3971, t3977, t3987, t3989, t3991, t3995, t3997, t3998;
  double t4000, t4002, t4004, t4005, t4007, t4009, t4010, t4011;
  double t4013, t4014, t4016, t4017, t4019, t4020, t4022, t4023;
  double t4025, t4027, t4029, t4031, t4035, t4037, t4040, t4041;
  double t4045, t4046, t4049, t4052, t4055, t4058, t4065, t4073;
  double t4074, t4078, t4080, t4081, t4082, t4084, t4089, t4093;
  double t4097, t4098, t4099, t4108, t4111, tv3rho32, t4116, t4123;
  double t4127, t4128, t4129, t4135, t4136, t4137, t4138, t4139;
  double t4140, t4143, t4144, t4145, t4146, t4147, t4148, t4152;
  double t4153, t4156, t4160, t4161, t4162, t4163, t4166, t4169;
  double t4170, t4171, t4172, t4175, t4176, t4177, t4180, t4181;
  double t4182, t4185, t4188, t4189, t4194, t4195, t4206, t4207;
  double t4210, t4223, t4225, t4226, t4229, t4232, t4233, t4236;
  double t4243, t4244, t4245, t4246, t4247, t4248, t4256, t4261;
  double t4264, t4265, t4266, t4267, t4268, t4271, t4274, t4277;
  double t4280, t4281, t4282, t4287, t4289, t4290, t4313, t4314;
  double t4315, t4320, t4324, t4330, t4331, t4333, t4334, t4335;
  double t4336, t4339, t4340, t4343, t4344, t4345, t4347, t4349;
  double t4352, t4356, t4357, t4358, t4359, t4361, t4362, t4363;
  double t4364, t4365, t4368, t4369, t4370, t4373, t4374, t4375;
  double t4376, t4377, t4378, t4381, t4382, t4383, t4386, t4391;
  double t4392, t4393, t4394, t4395, t4396, t4397, t4398, t4403;
  double t4404, t4405, t4408, t4409, t4410, t4413, t4414, t4419;
  double t4420, t4421, t4425, t4426, t4427, t4432, t4437, t4438;
  double t4444, t4453, t4454, t4457, t4460, t4461, t4462, t4467;
  double t4475, t4479, t4480, t4481, t4482, t4487, t4490, t4494;
  double t4497, t4500, t4503, t4505, t4521, t4525, t4532, t4536;
  double t4537, t4538, t4543, t4544, t4545, t4546, t4549, t4550;
  double t4553, t4554, t4558, t4559, t4563, t4565, t4570, t4571;
  double t4573, t4574, t4577, t4578, t4579, t4582, t4585, t4586;
  double t4589, t4594, t4595, t4596, t4599, t4605, t4606, t4612;
  double t4617, t4620, t4621, t4624, t4625, t4628, t4633, t4634;
  double t4637, t4640, t4641, t4642, t4643, t4652, t4655, t4656;
  double t4658, t4659, t4660, t4661, t4662, t4667, t4668, t4673;
  double t4676, t4678, t4681, t4682, t4683, t4686, t4687, t4690;
  double t4691, t4697, t4698, t4699, t4706, t4707, t4708, t4709;
  double t4710, t4714, t4715, t4718, t4719, t4722, t4725, t4726;
  double t4730, t4734, tv3rho33, t4738, t4739, t4740, t4741, t4742;
  double t4743, t4746, t4747, t4748, t4749, t4750, t4751, t4753;
  double t4754, t4755, t4756, t4757, t4760, t4761, t4762, t4763;
  double t4765, t4766, t4767, t4770, t4771, t4772, t4775, t4776;
  double t4779, t4780, t4781, t4784, t4786, t4787, t4789, t4792;
  double t4793, t4796, t4797, t4800, t4801, t4803, t4806, t4809;
  double t4812, t4813, t4817, t4818, t4819, t4820, t4821, t4824;
  double t4825, t4826, t4829, t4830, t4831, t4832, t4833, t4834;
  double t4837, t4838, t4839, t4840, t4843, t4844, t4845, t4846;
  double t4849, t4850, t4851, t4854, t4855, t4857, t4858, t4859;
  double t4860, t4862, t4865, t4867, t4868, t4869, t4872, t4874;
  double t4878, t4879, t4882, t4884, t4887, t4888, t4891, t4894;
  double t4896, t4898, t4899, t4901, t4903, t4904, t4905, t4908;
  double t4912, t4915, t4917, t4920, t4923, t4924, t4925, t4928;
  double t4929, t4932, t4933, t4935, t4936, t4937, t4940, t4945;
  double t4946, t4951, t4957, t4960, t4961, t4966, t4967, t4968;
  double t4970, t4974, t4978, t4979, t4982, t4985, t4993, t5008;
  double t5009, t5012, t5017, t5022, t5029, t5032, t5037, t5044;
  double t5045, t5046, t5053, t5054, t5057, t5062, t5064, t5067;
  double t5068, t5071, t5072, t5073, t5076, t5078, t5084, t5086;
  double t5088, t5091, t5094, t5096, t5097, t5099, t5100, t5102;
  double t5105, t5108, t5113, t5114, t5115, t5122, t5124, t5125;
  double t5126, t5131, t5140, t5143, t5144, t5146, t5149, t5150;
  double t5152, t5160, t5161, t5163, t5164, t5165, t5166, t5167;
  double t5169, t5170, t5171, t5174, t5177, t5178, t5179, t5180;
  double t5183, t5184, t5187, t5190, t5191, t5194, t5195, t5198;
  double t5203, t5204, t5207, t5210, t5213, t5216, t5220, t5223;
  double t5228, t5231, t5232, t5235, t5236, t5239, t5244, t5245;
  double t5247, t5248, t5252, t5255, t5258, t5264, t5266, t5269;
  double t5275, t5278, t5279, t5280, t5281, t5288, t5290, t5294;
  double tv3rho2sigma0, tv3rho2sigma1, t5297, t5300, t5301, t5303, t5305, t5308;
  double t5311, t5314, t5317, t5319, tv3rho2sigma2, t5328, t5335, t5346;
  double t5362, t5364, t5366, t5367, t5371, t5374, t5379, t5389;
  double t5397, t5403, t5406, tv3rho2sigma3, tv3rho2sigma4, t5410, t5412, t5414;
  double t5415, t5417, t5419, t5426, t5427, t5429, t5431, t5432;
  double t5434, t5436, t5437, t5439, t5448, t5455, t5457, t5459;
  double t5464, t5465, t5467, t5469, t5471, t5473, t5475, t5477;
  double t5478, t5480, t5482, t5484, t5485, t5487, t5489, t5508;
  double t5513, t5516, tv3rho2sigma5, t5519, t5530, tv3rho2sigma6, tv3rho2sigma7, t5533;
  double t5534, t5535, t5536, t5537, t5538, t5540, t5541, t5542;
  double t5543, t5546, t5548, t5549, t5550, t5551, t5553, t5554;
  double t5555, t5556, t5559, t5560, t5561, t5562, t5563, t5564;
  double t5567, t5568, t5571, t5572, t5575, t5578, t5579, t5582;
  double t5583, t5587, t5588, t5591, t5592, t5595, t5596, t5599;
  double t5600, t5602, t5603, t5605, t5608, t5609, t5610, t5611;
  double t5612, t5615, t5616, t5617, t5620, t5621, t5622, t5623;
  double t5624, t5625, t5626, t5629, t5630, t5631, t5634, t5635;
  double t5636, t5639, t5640, t5641, t5642, t5645, t5646, t5647;
  double t5648, t5651, t5653, t5654, t5655, t5659, t5660, t5665;
  double t5668, t5669, t5672, t5673, t5674, t5681, t5683, t5686;
  double t5689, t5702, t5704, t5706, t5709, t5712, t5715, t5716;
  double t5717, t5724, t5725, t5726, t5733, t5746, t5749, t5752;
  double t5753, t5754, t5757, t5760, t5763, t5766, t5771, t5772;
  double t5775, t5776, t5777, t5785, t5786, t5790, t5793, t5796;
  double t5797, t5801, t5802, t5803, t5805, t5808, t5809, t5813;
  double t5814, t5819, t5823, t5828, t5833, t5834, t5843, t5844;
  double t5845, t5846, t5847, t5850, t5851, t5852, t5854, t5855;
  double t5856, t5857, t5860, t5861, t5864, t5867, t5868, t5871;
  double t5872, t5876, t5879, t5880, t5883, t5886, t5893, t5896;
  double t5899, t5902, t5905, t5906, t5909, t5912, t5913, t5916;
  double t5917, t5920, t5921, t5923, t5926, t5930, t5935, t5940;
  double t5946, t5949, t5952, t5955, t5958, t5959, t5960, t5961;
  double t5972, t5980, t5985, t5986, t5989, t5998, t6001, t6006;
  double t6007, t6008, t6013, t6016, t6017, t6020, t6027, t6028;
  double t6029, t6032, t6037, t6038, t6052, t6056, tv3rho2sigma8, t6059;
  double t6061, t6062, t6063, t6066, t6067, t6069, t6079, t6080;
  double t6081, t6084, t6088, t6091, t6092, t6095, t6096, t6097;
  double t6099, t6104, t6105, t6106, t6107, t6112, t6115, t6116;
  double t6120, t6122, t6129, t6133, t6136, t6137, t6140, t6149;
  double t6165, t6166, t6167, t6186, t6187, t6189, t6191, t6193;
  double t6194, t6197, t6199, t6203, t6206, t6208, t6209, t6214;
  double t6215, t6217, t6219, t6222, t6223, t6226, t6228, t6230;
  double t6231, t6234, t6236, t6241, t6247, t6250, t6255, t6256;
  double t6257, t6262, t6263, t6270, t6275, t6278, t6280, t6282;
  double t6283, t6284, t6286, t6289, t6290, t6293, t6294, t6295;
  double t6303, t6305, t6308, t6311, t6316, t6324, t6325, t6327;
  double t6331, t6333, t6334, t6335, t6338, t6339, t6340, t6344;
  double t6347, t6350, t6353, t6358, t6359, t6363, t6365, t6367;
  double t6378, t6379, t6381, t6384, t6389, t6390, t6393, t6413;
  double t6418, t6419, t6424, t6427, t6429, t6430, t6433, t6440;
  double t6467, t6469, t6470, t6471, t6472, t6475, t6476, t6479;
  double t6482, t6484, t6488, t6491, t6496, t6497, t6507, t6511;
  double tv3rho2lapl0, t6514, t6517, t6518, t6520, t6522, t6525, t6528;
  double t6531, t6534, t6536, tv3rho2lapl1, t6541, t6556, t6562, t6564;
  double t6565, t6567, t6570, t6575, t6582, t6596, t6597, t6609;
  double t6620, t6623, tv3rho2lapl2, t6625, t6627, t6629, t6631, t6632;
  double t6634, t6636, t6637, t6639, t6641, t6642, t6652, t6653;
  double t6656, t6659, t6664, t6666, t6674, t6677, t6679, t6680;
  double t6682, t6684, t6685, t6687, t6689, t6691, t6693, t6695;
  double t6697, t6699, t6701, t6702, t6709, t6726, t6730, t6733;
  double tv3rho2lapl3, t6736, t6747, tv3rho2lapl4, t6750, t6751, t6752, t6755;
  double t6758, t6759, t6760, t6773, t6774, t6775, t6779, t6784;
  double t6785, t6789, t6794, t6798, t6799, t6800, t6803, t6807;
  double t6812, t6816, t6819, t6824, t6827, t6830, t6837, t6839;
  double t6842, t6843, t6846, t6847, t6848, t6853, t6854, t6855;
  double t6870, t6873, t6876, t6884, t6886, t6889, t6890, t6893;
  double t6906, t6907, t6908, t6919, t6920, t6921, t6925, t6928;
  double t6929, t6932, t6935, t6936, t6939, t6942, t6943, t6946;
  double t6949, t6950, t6953, t6966, t6969, t6973, t6974, t6978;
  double t6980, t6981, t6984, t6987, t6988, t7005, t7009, t7010;
  double t7048, t7049, t7050, t7051, t7058, t7071, t7072, t7091;
  double t7093, t7094, t7099, t7100, t7116, t7117, t7120, t7121;
  double t7123, t7124, t7126, t7127, t7129, t7132, t7137, t7138;
  double t7139, t7146, t7151, t7161, t7164, t7168, tv3rho2lapl5, t7171;
  double t7174, t7175, t7178, t7179, t7182, t7185, t7186, t7187;
  double t7190, t7193, t7194, t7195, t7198, t7199, t7200, t7209;
  double t7210, t7213, t7216, t7228, t7229, t7232, t7233, t7234;
  double t7236, t7238, t7239, t7241, t7242, t7243, t7246, t7248;
  double t7249, t7250, t7253, t7255, t7256, t7259, t7262, t7264;
  double t7265, t7268, t7270, t7273, t7275, t7277, t7278, t7281;
  double t7285, t7288, t7290, t7293, t7296, t7299, t7300, t7304;
  double t7306, t7307, t7310, t7313, t7316, t7340, t7343, t7344;
  double t7345, t7348, t7351, t7352, t7354, t7366, t7368, t7369;
  double t7374, t7377, t7378, t7380, t7381, t7383, t7385, t7388;
  double t7389, t7390, t7393, t7396, t7402, t7403, t7404, t7405;
  double t7408, t7414, t7416, t7418, t7423, t7441, t7449, t7450;
  double t7452, t7453, t7456, t7457, t7460, t7461, t7462, t7465;
  double t7469, t7470, t7471, t7475, t7488, t7489, t7492, t7499;
  double t7500, t7502, t7512, t7516, t7519, t7523, t7525, t7533;
  double t7534, t7537, t7549, t7550, t7556, t7557, t7559, t7561;
  double t7563, t7564, t7567, t7570, t7573, t7581, t7584, t7586;
  double t7591, t7592, t7595, t7598, t7599, t7610, t7624, t7627;
  double t7629, t7631, t7632, t7666, t7667, t7668, t7669, t7676;
  double t7679, t7684, t7689, t7690, t7691, t7714, t7717, t7726;
  double t7727, t7728, t7731, t7740, t7743, t7746, t7751, t7752;
  double t7753, t7756, t7757, t7758, t7761, t7766, tv3rho2tau0, t7769;
  double t7772, t7773, t7775, t7777, t7780, t7783, t7786, t7789;
  double t7792, t7795, t7796, t7797, tv3rho2tau1, t7801, t7808, t7811;
  double t7824, t7827, t7829, t7830, t7832, t7834, t7854, t7870;
  double t7873, t7894, t7898, t7901, tv3rho2tau2, t7903, t7904, t7906;
  double t7908, t7923, t7925, t7927, t7929, t7930, t7932, t7936;
  double t7943, t7944, t7946, t7948, t7949, t7951, t7956, t7959;
  double t7963, t7965, t7967, t7971, t7978, t7980, t7982, t7984;
  double t7986, t7988, t7989, t7991, t7993, t7995, t7997, t7999;
  double t8002, t8011, t8013, t8015, t8025, t8029, t8032, tv3rho2tau3;
  double t8035, t8048, t8049, tv3rho2tau4, t8052, t8055, t8058, t8065;
  double t8066, t8067, t8070, t8071, t8074, t8075, t8076, t8079;
  double t8080, t8081, t8088, t8089, t8090, t8095, t8096, t8097;
  double t8099, t8102, t8103, t8104, t8106, t8109, t8110, t8115;
  double t8120, t8121, t8122, t8126, t8132, t8133, t8134, t8135;
  double t8139, t8142, t8146, t8165, t8170, t8179, t8182, t8183;
  double t8184, t8189, t8192, t8195, t8196, t8199, t8200, t8201;
  double t8220, t8223, t8226, t8227, t8230, t8231, t8234, t8235;
  double t8247, t8251, t8254, t8258, t8259, t8297, t8298, t8299;
  double t8300, t8303, t8312, t8314, t8317, t8318, t8321, t8330;
  double t8335, t8338, t8347, t8349, t8353, t8354, t8358, t8359;
  double t8360, t8368, t8371, t8374, t8375, t8381, t8382, t8383;
  double t8390, t8391, t8403, t8420, t8423, t8426, t8427, t8434;
  double t8435, t8438, t8444, t8445, t8450, t8455, t8477, t8478;
  double t8486, t8489, t8490, t8499, t8500, t8503, t8506, t8508;
  double t8509, t8512, t8513, t8516, t8519, t8524, t8527, t8534;
  double t8538, t8545, t8548, t8549, t8550, t8553, t8564, t8585;
  double t8586, t8587, t8590, t8595, t8601, t8606, tv3rho2tau5, t8608;
  double t8609, t8610, t8613, t8614, t8615, t8618, t8621, t8622;
  double t8625, t8626, t8627, t8630, t8631, t8634, t8635, t8636;
  double t8639, t8642, t8643, t8644, t8647, t8648, t8651, t8657;
  double t8658, t8659, t8660, t8661, t8662, t8665, t8666, t8667;
  double t8668, t8670, t8672, t8673, t8675, t8677, t8679, t8681;
  double t8682, t8683, t8685, t8687, t8689, t8690, t8691, t8692;
  double t8697, t8703, t8704, t8709, t8714, t8715, t8724, t8725;
  double t8726, t8728, t8729, t8730, t8733, t8734, t8739, t8740;
  double t8741, t8742, t8743, t8744, t8745, t8746, t8747, t8748;
  double t8750, t8751, t8752, t8753, t8754, t8758, t8759, t8760;
  double t8761, t8764, t8765, t8766, t8770, t8771, t8772, t8775;
  double t8776, t8777, t8778, t8779, t8780, t8781, t8782, t8783;
  double t8784, t8785, t8786, t8789, t8790, t8791, t8794, t8795;
  double t8798, t8809, t8810, t8813, t8819, t8822, t8825, t8832;
  double t8837, t8840, t8841, t8842, t8843, t8848, t8853, t8854;
  double t8855, t8856, t8857, t8860, t8861, t8862, t8865, t8868;
  double t8869, t8874, t8875, t8876, t8877, t8878, t8881, t8884;
  double t8887, t8888, t8891, t8892, t8893, t8896, t8899, t8900;
  double t8901, t8902, t8905, t8911, t8912, t8915, t8920, t8921;
  double t8923, t8925, t8926, t8929, t8930, t8939, t8944, t8947;
  double t8948, t8949, t8951, t8954, t8957, t8960, t8962, t8963;
  double t8965, t8966, t8967, t8972, t8974, t8975, t8976, t8978;
  double t8979, t8980, t8983, t8986, t8989, t8990, t8993, t8996;
  double t8999, t9001, t9008, t9012, t9013, t9017, t9019, t9021;
  double t9022, t9024, t9026, t9027, t9030, t9031, t9032, t9033;
  double t9034, t9037, t9038, t9039, t9042, t9043, t9044, t9045;
  double t9050, t9056, t9057, t9058, t9059, t9060, t9061, t9068;
  double t9069, t9070, t9087, t9098, t9101, t9104, t9105, t9109;
  double t9110, t9111, t9112, t9113, t9114, t9117, t9121, t9122;
  double t9124, t9125, t9128, t9132, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23;
  double tv3rhosigma24, t9139, t9143, t9145, t9148, t9151, t9154, t9156;
  double t9157, t9159, t9166, t9168, t9175, t9177, t9178, t9179;
  double t9180, t9182, t9184, t9186, t9187, t9188, t9190, t9192;
  double t9194, t9196, t9197, t9199, tv3rhosigma25, t9205, t9208, t9213;
  double t9215, t9216, t9226, t9233, t9235, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28;
  double tv3rhosigma29, tv3rhosigma210, t9237, t9238, t9239, t9242, t9243, t9246;
  double t9249, t9250, t9253, t9254, t9255, t9258, t9259, t9262;
  double t9263, t9264, t9267, t9270, t9271, t9272, t9275, t9278;
  double t9279, t9280, t9283, t9284, t9285, t9286, t9289, t9292;
  double t9295, t9296, t9297, t9300, t9301, t9304, t9305, t9306;
  double t9307, t9308, t9310, t9311, t9312, t9313, t9316, t9317;
  double t9318, t9321, t9322, t9323, t9324, t9325, t9326, t9327;
  double t9328, t9329, t9330, t9333, t9336, t9337, t9340, t9341;
  double t9344, t9345, t9349, t9350, t9351, t9352, t9353, t9354;
  double t9356, t9357, t9358, t9359, t9360, t9361, t9366, t9367;
  double t9370, t9376, t9379, t9382, t9389, t9394, t9397, t9398;
  double t9399, t9400, t9405, t9408, t9413, t9414, t9415, t9424;
  double t9426, t9427, t9434, t9439, t9440, t9441, t9442, t9447;
  double t9448, t9449, t9451, t9454, t9455, t9457, t9458, t9461;
  double t9462, t9463, t9464, t9466, t9469, t9476, t9480, t9481;
  double t9485, t9486, t9487, t9488, t9489, t9492, t9493, t9495;
  double t9497, t9500, t9503, t9504, t9505, t9506, t9507, t9510;
  double t9513, t9518, t9521, t9524, t9525, t9532, t9535, t9536;
  double t9537, t9540, t9541, t9544, t9545, t9548, t9551, t9556;
  double t9557, t9558, t9559, t9560, t9563, t9566, t9567, t9568;
  double t9569, t9570, t9571, t9574, t9584, t9585, t9586, t9587;
  double t9588, t9589, t9590, t9593, t9601, t9604, t9605, t9607;
  double t9608, t9612, t9616, t9617, t9619, t9622, t9623, t9626;
  double t9629, t9632, t9634, t9635, t9638, t9639, t9640, t9643;
  double t9646, t9649, t9650, t9651, t9652, t9655, t9657, t9658;
  double t9659, t9665, t9666, t9668, t9669, t9672, t9673, t9676;
  double t9679, t9701, t9702, t9703, t9704, t9705, t9708, t9709;
  double t9710, t9715, t9726, t9730, tv3rhosigma211, t9732, t9735, t9736;
  double t9737, t9740, t9741, t9744, t9747, t9748, t9749, t9752;
  double t9754, t9757, t9758, t9761, t9762, t9763, t9766, t9767;
  double t9770, t9771, t9781, t9783, t9786, t9789, t9790, t9793;
  double t9794, t9805, t9814, t9823, t9827, t9828, t9845, t9848;
  double t9855, t9858, t9861, t9864, t9867, t9868, t9871, t9872;
  double t9873, t9874, t9875, t9878, t9879, t9882, t9883, t9886;
  double t9887, t9888, t9891, t9907, t9908, t9923, t9926, t9929;
  double t9930, t9931, t9934, t9935, t9936, t9937, t9940, t9943;
  double t9944, t9945, t9948, t9951, t9952, t9953, t9962, t9963;
  double t9970, t9972, t9976, t9977, t9981, t9991, t9994, t9997;
  double t10000, t10001, t10005, t10012, t10015, t10018, t10020, t10021;
  double t10022, t10025, t10036, t10037, t10038, t10039, t10042, t10047;
  double t10048, t10055, t10058, t10059, t10062, t10063, t10066, t10067;
  double t10069, t10072, t10075, t10076, t10079, t10080, t10082, t10085;
  double t10088, t10091, t10094, t10097, t10098, t10101, t10102, t10109;
  double t10116, t10122, t10125, t10133, t10135, t10137, t10139, t10154;
  double t10155, t10158, t10159, t10160, t10173, t10176, t10180, t10182;
  double t10184, t10186, t10188, t10190, t10192, t10197, t10200, t10204;
  double tv3rhosigmalapl0, tv3rhosigmalapl1, tv3rhosigmalapl2, tv3rhosigmalapl3, tv3rhosigmalapl4, t10215, t10227, t10229;
  double t10231, t10233, t10237, t10238, t10240, t10242, t10244, t10246;
  double t10248, t10250, t10252, t10262, t10263, t10265, tv3rhosigmalapl5, t10291;
  double t10296, t10298, tv3rhosigmalapl6, tv3rhosigmalapl7, tv3rhosigmalapl8, tv3rhosigmalapl9, tv3rhosigmalapl10, t10312;
  double t10313, t10316, t10317, t10335, t10336, t10343, t10344, t10348;
  double t10351, t10352, t10355, t10358, t10363, t10373, t10375, t10379;
  double t10382, t10383, t10384, t10387, t10388, t10389, t10390, t10393;
  double t10396, t10401, t10404, t10407, t10408, t10409, t10414, t10417;
  double t10418, t10419, t10422, t10427, t10429, t10430, t10431, t10436;
  double t10439, t10442, t10447, t10448, t10451, t10452, t10453, t10454;
  double t10457, t10458, t10459, t10462, t10463, t10466, t10467, t10468;
  double t10471, t10480, t10485, t10486, t10489, t10491, t10492, t10497;
  double t10500, t10501, t10504, t10505, t10506, t10507, t10508, t10509;
  double t10512, t10514, t10517, t10520, t10521, t10524, t10525, t10526;
  double t10529, t10532, t10533, t10536, t10537, t10540, t10541, t10544;
  double t10549, t10552, t10553, t10556, t10557, t10558, t10561, t10582;
  double t10593, t10594, t10599, t10602, t10605, t10607, t10608, t10611;
  double t10614, t10615, t10618, t10621, t10624, t10627, t10630, t10631;
  double t10633, t10634, t10645, t10646, t10647, t10656, t10669, t10677;
  double t10678, t10687, t10694, t10695, t10698, t10701, t10708, t10711;
  double t10722, t10725, t10740, t10744, tv3rhosigmalapl11, t10754, t10761, t10764;
  double t10769, t10770, t10771, t10772, t10788, t10813, t10828, t10831;
  double t10836, t10841, t10846, t10857, t10859, t10860, t10861, t10866;
  double t10869, t10874, t10881, t10885, t10890, t10893, t10894, t10905;
  double t10922, t10929, t10934, t10937, t10942, t10952, t10954, t10965;
  double t10969, t10972, t10973, t10974, t10982, t10984, t10986, t10993;
  double t10997, t11000, t11001, t11008, t11019, t11036, t11038, t11040;
  double t11042, t11048, t11049, t11050, t11053, t11055, t11058, t11061;
  double t11064, t11067, t11070, t11073, t11075, t11077, t11086, t11100;
  double t11101, t11102, t11103, t11106, t11109, t11112, t11113, t11116;
  double t11117, t11120, t11121, t11122, t11125, t11128, t11131, t11134;
  double t11135, t11140, t11143, t11148, t11151, t11152, t11155, t11158;
  double t11159, t11172, t11177, t11181, t11183, t11185, t11187, t11189;
  double t11192, t11196, t11199, t11200, t11209, t11212, t11215, t11231;
  double t11234, t11239, tv3rhosigmatau0, tv3rhosigmatau1, tv3rhosigmatau2, tv3rhosigmatau3, tv3rhosigmatau4, t11246;
  double t11254, t11256, t11258, t11260, t11266, t11268, t11270, t11279;
  double t11281, t11283, t11285, t11287, t11289, t11291, t11293, t11295;
  double t11309, t11310, t11312, tv3rhosigmatau5, t11346, t11349, t11351, tv3rhosigmatau6;
  double tv3rhosigmatau7, tv3rhosigmatau8, tv3rhosigmatau9, tv3rhosigmatau10, t11355, t11358, t11361, t11369;
  double t11372, t11381, t11392, t11394, t11397, t11398, t11399, t11414;
  double t11431, t11436, t11437, t11438, t11441, t11444, t11445, t11448;
  double t11449, t11450, t11457, t11460, t11463, t11464, t11465, t11468;
  double t11469, t11472, t11475, t11477, t11478, t11479, t11482, t11495;
  double t11507, t11510, t11511, t11512, t11519, t11528, t11533, t11538;
  double t11541, t11546, t11563, t11589, t11606, t11608, t11609, t11610;
  double t11624, t11636, t11639, t11648, t11666, t11675, t11681, t11682;
  double t11687, t11698, t11699, t11706, t11709, t11712, t11715, t11718;
  double t11723, t11726, t11727, t11730, t11733, t11736, t11739, t11744;
  double t11747, t11753, t11754, t11759, t11761, t11762, t11765, t11768;
  double t11769, t11772, t11775, t11783, t11787, t11792, t11807, t11812;
  double tv3rhosigmatau11, t11814, t11818, t11819, t11820, t11821, t11824, t11827;
  double t11828, t11831, t11839, t11842, t11845, t11852, t11857, t11860;
  double t11861, t11862, t11864, t11865, t11868, t11869, t11872, t11875;
  double t11878, t11883, t11886, t11890, t11891, t11896, t11898, t11899;
  double t11901, t11904, t11911, t11912, t11917, t11918, t11931, t11932;
  double t11937, t11945, t11947, t11948, t11949, t11952, t11953, t11958;
  double t11959, t11960, t11965, t11966, t11967, t11973, t11974, t11975;
  double t11980, t11981, t11982, t11985, t11986, t11989, t12004, t12006;
  double t12008, t12010, t12011, t12014, t12016, t12017, t12018, t12019;
  double t12022, t12023, t12026, t12027, t12030, t12031, t12032, t12038;
  double t12041, t12046, t12055, t12066, t12067, t12071, t12073, t12074;
  double t12076, t12079, t12089, t12090, t12091, t12093, t12096, t12097;
  double t12099, t12102, t12103, t12104, t12107, t12110, t12111, t12112;
  double t12115, t12118, t12119, t12122, t12123, t12126, t12127, t12130;
  double t12139, t12140, t12143, t12144, t12145, t12148, t12155, t12161;
  double t12165, t12166, t12170, t12171, t12173, t12176, t12177, t12179;
  double t12180, t12183, t12184, t12188, t12192, t12194, t12195, t12200;
  double t12211, t12214, t12215, t12216, t12233, t12234, t12239, t12243;
  double tv3rholapl20, tv3rholapl21, t12246, t12248, t12252, t12254, t12260, t12261;
  double t12266, t12267, t12282, t12284, t12285, t12287, t12289, t12291;
  double t12293, t12295, t12297, t12298, t12300, tv3rholapl22, t12304, t12307;
  double t12312, t12329, t12331, tv3rholapl23, tv3rholapl24, t12335, t12336, t12337;
  double t12340, t12341, t12342, t12345, t12346, t12347, t12363, t12367;
  double t12370, t12371, t12372, t12375, t12378, t12379, t12384, t12385;
  double t12388, t12394, t12397, t12398, t12403, t12404, t12414, t12417;
  double t12420, t12427, t12432, t12435, t12436, t12437, t12440, t12447;
  double t12454, t12455, t12460, t12461, t12463, t12465, t12466, t12472;
  double t12480, t12481, t12483, t12486, t12491, t12494, t12496, t12498;
  double t12499, t12500, t12503, t12505, t12506, t12507, t12510, t12511;
  double t12514, t12515, t12518, t12519, t12520, t12524, t12525, t12527;
  double t12528, t12530, t12531, t12534, t12535, t12539, t12542, t12545;
  double t12546, t12547, t12548, t12551, t12554, t12555, t12556, t12559;
  double t12562, t12565, t12588, t12591, t12594, t12595, t12596, t12615;
  double t12616, t12619, t12620, t12623, t12630, t12631, t12632, t12635;
  double t12636, t12637, t12642, t12643, t12648, t12649, t12650, t12655;
  double t12658, t12659, t12670, t12671, t12676, t12679, t12695, t12699;
  double t12700, t12704, t12705, t12707, t12708, t12711, t12712, t12713;
  double t12715, t12718, t12720, t12723, t12732, t12736, tv3rholapl25, t12739;
  double t12741, t12743, t12745, t12747, t12749, t12751, t12753, t12760;
  double t12761, t12762, t12767, t12782, t12787, t12789, t12802, t12807;
  double t12810, t12811, t12814, t12815, t12824, t12825, t12828, t12829;
  double t12832, t12837, t12838, t12841, t12844, t12847, t12850, t12851;
  double t12854, t12859, t12860, t12861, t12866, t12867, t12868, t12875;
  double t12876, t12877, t12888, t12889, t12890, t12893, t12894, t12897;
  double t12900, t12903, t12906, t12914, t12921, t12923, t12927, t12928;
  double t12931, t12940, t12943, t12946, t12949, t12952, t12957, t12960;
  double t12971, t12973, t12974, t12975, t12978, t12984, t12987, t12988;
  double t12991, t12994, t12997, t13004, t13005, t13006, t13009, t13011;
  double t13014, t13015, t13018, t13021, t13030, t13034, t13045, t13049;
  double t13058, t13059, t13060, t13075, t13077, t13079, t13081, t13082;
  double t13086, t13097, t13103, t13122, t13123, t13124, t13127, t13130;
  double t13133, t13138, t13141, t13144, t13150, t13155, t13158, t13165;
  double t13168, t13175, t13179, t13182, t13186, t13187, t13190, t13191;
  double t13196, t13197, t13200, t13201, t13204, t13207, t13209, t13212;
  double t13227, t13228, t13230, t13231, t13234, t13237, t13240, t13243;
  double t13254, t13257, t13260, t13265, tv3rholapltau0, tv3rholapltau1, tv3rholapltau2, t13268;
  double t13272, t13274, t13276, t13278, t13280, t13288, t13290, t13296;
  double t13298, t13300, t13302, t13305, t13307, t13309, t13311, t13313;
  double t13315, t13336, t13338, tv3rholapltau3, t13352, t13375, t13377, tv3rholapltau4;
  double tv3rholapltau5, tv3rholapltau6, t13385, t13386, t13397, t13398, t13424, t13427;
  double t13429, t13432, t13445, t13448, t13455, t13456, t13464, t13467;
  double t13470, t13477, t13478, t13485, t13491, t13510, t13519, t13524;
  double t13527, t13530, t13533, t13534, t13537, t13538, t13541, t13543;
  double t13544, t13547, t13548, t13550, t13557, t13560, t13561, t13564;
  double t13567, t13568, t13571, t13572, t13573, t13576, t13579, t13580;
  double t13585, t13586, t13589, t13593, t13594, t13601, t13603, t13606;
  double t13609, t13612, t13615, t13616, t13619, t13633, t13640, t13656;
  double t13659, t13668, t13671, t13672, t13673, t13676, t13677, t13680;
  double t13683, t13684, t13687, t13690, t13691, t13694, t13697, t13698;
  double t13705, t13708, t13711, t13718, t13722, t13723, t13724, t13733;
  double t13734, t13735, t13742, t13745, t13746, t13749, t13752, t13757;
  double t13762, t13765, t13770, t13771, t13772, t13776, t13779, t13780;
  double t13794, t13798, t13805, t13810, t13813, t13816, t13823, t13830;
  double t13833, t13835, t13836, t13837, t13840, t13841, t13846, t13849;
  double t13852, t13853, t13856, t13859, t13862, t13864, t13867, t13872;
  double tv3rholapltau7, t13876, t13877, t13878, t13887, t13888, t13892, t13898;
  double t13901, t13904, t13911, t13916, t13919, t13920, t13921, t13922;
  double t13927, t13928, t13929, t13936, t13937, t13938, t13943, t13944;
  double t13951, t13952, t13957, t13971, t13976, t13977, t13982, t13983;
  double t13984, t13986, t13987, t13992, t13996, t13997, t14001, t14002;
  double t14004, t14005, t14008, t14009, t14014, t14019, t14023, t14024;
  double t14026, t14028, t14031, t14032, t14033, t14037, t14040, t14041;
  double t14045, t14051, t14053, t14055, t14057, t14058, t14059, t14062;
  double t14063, t14064, t14067, t14068, t14069, t14076, t14077, t14080;
  double t14095, t14099, t14101, t14102, t14106, t14107, t14109, t14111;
  double t14113, t14115, t14116, t14118, t14123, t14129, t14131, t14133;
  double t14136, t14145, t14148, t14151, t14152, t14153, t14176, t14177;
  double t14184, t14185, t14187, t14189, t14190, t14193, t14195, t14196;
  double t14199, t14200, t14201, t14206, t14211, t14214, t14215, t14218;
  double t14221, t14228, t14229, t14231, t14232, t14239, t14242, t14245;
  double t14246, t14249, t14252, t14253, t14254, t14257, t14258, t14259;
  double t14262, t14265, t14268, t14269, t14272, t14273, t14278, t14281;
  double t14282, t14288, t14289, t14292, t14293, t14296, t14297, t14299;
  double t14300, t14305, t14306, t14308, t14311, t14312, t14315, t14319;
  double t14324, t14331, t14336, t14342, t14343, t14356, t14358, t14359;
  double t14360, t14363, t14368, t14372, t14373, t14376, t14397, t14398;
  double t14399, t14402, t14407, t14410, t14414, tv3rhotau20, tv3rhotau21, t14419;
  double t14421, t14423, t14425, t14427, t14429, t14435, t14446, t14453;
  double t14456, t14460, t14462, t14463, t14465, t14467, t14469, t14470;
  double t14472, t14474, t14482, t14484, t14485, t14487, tv3rhotau22, t14507;
  double t14508, t14515, t14524, t14526, tv3rhotau23, tv3rhotau24, t14533, t14534;
  double t14535, t14540, t14541, t14542, t14550, t14551, t14554, t14555;
  double t14559, t14562, t14567, t14568, t14569, t14570, t14573, t14577;
  double t14578, t14579, t14582, t14583, t14586, t14605, t14608, t14621;
  double t14624, t14625, t14626, t14639, t14640, t14642, t14643, t14648;
  double t14649, t14650, t14652, t14655, t14679, t14680, t14681, t14684;
  double t14685, t14698, t14701, t14702, t14710, t14713, t14714, t14717;
  double t14718, t14723, t14724, t14728, t14734, t14737, t14740, t14747;
  double t14752, t14755, t14756, t14757, t14758, t14767, t14772, t14775;
  double t14776, t14779, t14780, t14781, t14784, t14787, t14790, t14791;
  double t14794, t14795, t14800, t14801, t14806, t14813, t14814, t14815;
  double t14818, t14823, t14826, t14832, t14836, t14837, t14839, t14840;
  double t14849, t14854, t14857, t14858, t14865, t14866, t14868, t14871;
  double t14876, t14878, t14880, t14881, t14882, t14885, t14889, t14891;
  double t14892, t14893, t14896, t14897, t14900, t14905, t14908, t14913;
  double t14917, t14918, t14921, t14942, t14943, t14944, t14947, t14950;
  double t14951, t14954, t14957, t14958, t14959, t14962, t14964, t14965;
  double t14967, t14968, t14970, t14971, t14974, t14975, t14976, t14980;
  double t14983, t14984, t14987, t14988, t14992, t14999, t15003, t15004;
  double t15008, t15009, t15011, t15013, t15021, t15025, t15030, t15034;
  double tv3rhotau25, t15036, t15039, t15040, t15042, t15044, t15045, t15048;
  double t15049, t15050, t15053, t15054, t15055, t15058, t15061, t15062;
  double t15069, t15073, t15081, t15088, t15089, t15090, t15091, t15096;
  double t15097, t15098, t15099, t15100, t15101, t15102, t15103, t15104;
  double t15107, t15108, t15111, t15112, t15115, t15116, t15117, t15118;
  double t15119, t15120, t15123, t15124, t15125, t15126, t15127, t15128;
  double t15129, t15130, t15133, t15134, t15139, t15140, t15142, t15143;
  double t15146, t15149, t15154, t15157, t15158, t15161, t15162, t15165;
  double t15168, t15169, t15170, t15171, t15172, t15173, t15178, t15179;
  double t15180, t15181, t15182, t15183, t15184, t15189, t15191, t15192;
  double t15194, t15195, t15196, t15199, t15206, t15207, t15208, t15209;
  double t15212, t15213, t15214, t15215, t15216, t15217, t15219, t15224;
  double t15230, t15231, t15234, t15237, t15238, t15239, t15245, t15246;
  double t15247, t15255, t15256, t15259, t15260, t15261, t15264, t15271;
  double t15272, t15279, t15280, t15283, t15286, t15291, t15294, tv3sigma30;
  double tv3sigma31, tv3sigma32, tv3sigma33, tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38;
  double t15295, t15296, t15297, t15298, t15299, t15300, t15303, t15304;
  double t15307, t15308, t15309, t15310, t15315, t15318, t15319, t15320;
  double t15322, t15323, t15328, t15337, t15341, t15349, t15356, t15357;
  double t15358, t15361, t15362, t15363, t15364, t15367, t15368, t15377;
  double t15378, t15379, t15380, t15382, t15383, t15384, t15385, t15386;
  double t15389, t15391, t15392, t15395, t15398, t15401, t15402, t15403;
  double t15404, t15407, t15410, t15411, t15414, t15415, t15416, t15417;
  double t15418, t15419, t15422, t15423, t15424, t15427, t15428, t15429;
  double t15433, t15441, t15442, t15445, t15446, t15447, t15450, t15451;
  double t15452, t15453, t15454, t15455, t15456, t15457, t15458, t15461;
  double t15464, t15465, t15467, t15468, t15469, t15470, t15471, t15472;
  double t15473, t15474, t15477, t15479, t15482, t15483, t15486, t15487;
  double t15488, t15500, t15501, t15504, t15505, t15514, t15515, t15518;
  double t15522, t15525, t15530, t15531, t15532, t15535, t15536, t15543;
  double t15544, t15547, t15548, t15549, t15550, t15553, tv3sigma39, t15554;
  double t15555, t15556, t15557, t15558, t15561, t15562, t15563, t15567;
  double t15568, t15571, t15572, t15573, t15576, t15577, t15580, t15581;
  double t15584, t15585, t15586, t15589, t15591, t15594, t15595, t15598;
  double t15599, t15600, t15601, t15602, t15603, t15604, t15607, t15610;
  double t15611, t15612, t15613, t15614, t15615, t15616, t15617, t15618;
  double t15619, t15620, t15621, t15624, t15625, t15627, t15630, t15631;
  double t15632, t15635, t15639, t15640, t15643, t15644, t15647, t15650;
  double t15655, t15657, t15660, t15661, t15662, t15663, t15670, t15671;
  double t15674, t15677, t15678, t15680, t15683, t15684, t15687, t15690;
  double t15692, t15695, t15696, t15697, t15698, t15699, t15702, t15705;
  double t15708, t15709, t15710, t15711, t15712, t15713, t15716, t15719;
  double t15723, t15724, t15727, t15730, t15733, t15734, t15735, t15736;
  double t15737, t15740, t15741, t15742, t15743, t15744, t15747, t15748;
  double t15749, t15750, t15754, t15757, t15762, t15765, t15766, t15767;
  double t15768, t15769, t15770, t15771, t15772, t15773, t15774, t15777;
  double t15778, t15783, t15784, t15787, t15791, t15792, t15793, t15794;
  double t15795, t15796, t15799, t15801, t15802, t15803, t15804, t15807;
  double t15808, t15811, t15812, t15834, t15837, tv3sigma2lapl0, tv3sigma2lapl1, tv3sigma2lapl2;
  double tv3sigma2lapl3, tv3sigma2lapl4, tv3sigma2lapl5, tv3sigma2lapl6, tv3sigma2lapl7, tv3sigma2lapl8, tv3sigma2lapl9, tv3sigma2lapl10;
  double t15838, t15839, t15840, t15841, t15844, t15845, t15848, t15849;
  double t15852, t15855, t15857, t15858, t15859, t15862, t15863, t15866;
  double t15869, t15872, t15875, t15880, t15881, t15884, t15887, t15888;
  double t15889, t15890, t15891, t15895, t15896, t15897, t15900, t15901;
  double t15902, t15903, t15904, t15905, t15906, t15909, t15912, t15915;
  double t15918, t15921, t15922, t15923, t15924, t15928, t15929, t15930;
  double t15931, t15932, t15933, t15934, t15935, t15936, t15937, t15938;
  double t15939, t15943, t15944, t15947, t15948, t15949, t15952, t15953;
  double t15954, t15957, t15958, t15959, t15962, t15963, t15964, t15967;
  double t15968, t15971, t15972, t15975, t15978, t15979, t15982, t15983;
  double t15984, t15985, t15986, t15987, t15988, t15989, t15990, t15991;
  double t15998, t16001, t16004, t16005, t16006, t16007, t16010, t16014;
  double t16015, t16016, t16017, t16019, t16020, t16021, t16022, t16023;
  double t16024, t16025, t16031, t16032, t16033, t16034, t16035, t16036;
  double t16039, t16043, t16046, t16047, t16050, t16051, t16052, t16055;
  double t16057, t16062, t16066, t16067, t16070, t16071, t16074, t16075;
  double t16076, t16081, t16082, t16099, t16100, t16102, t16105, t16106;
  double t16109, t16112, t16115, t16116, t16118, t16121, tv3sigma2lapl11, t16122;
  double t16125, t16128, t16129, t16154, t16163, t16164, t16170, t16171;
  double t16172, t16173, t16174, t16175, t16176, t16177, t16184, t16187;
  double t16188, t16189, t16190, t16191, t16192, t16193, t16194, t16195;
  double t16203, t16208, t16211, t16214, t16222, t16223, t16224, t16225;
  double t16226, t16230, t16242, t16246, t16247, t16250, t16253, t16256;
  double t16263, t16266, t16270, t16275, t16276, t16279, t16280, t16283;
  double t16284, t16287, t16288, t16298, t16299, t16305, t16308, t16309;
  double t16310, t16313, t16315, t16317, t16320, t16325, t16326, t16339;
  double t16342, t16353, t16354, t16357, t16361, tv3sigma2tau0, tv3sigma2tau1, tv3sigma2tau2;
  double tv3sigma2tau3, tv3sigma2tau4, tv3sigma2tau5, tv3sigma2tau6, tv3sigma2tau7, tv3sigma2tau8, tv3sigma2tau9, tv3sigma2tau10;
  double t16362, t16363, t16364, t16365, t16376, t16377, t16380, t16381;
  double t16391, t16392, t16399, t16402, t16403, t16404, t16407, t16409;
  double t16412, t16417, t16418, t16426, t16433, t16436, t16437, t16438;
  double t16445, t16448, t16451, t16454, t16466, t16467, t16468, t16469;
  double t16481, t16484, t16487, t16488, t16491, t16504, t16505, t16508;
  double t16509, t16523, t16524, t16525, t16526, t16527, t16528, t16543;
  double t16544, t16545, t16548, t16551, t16553, t16560, t16563, t16575;
  double t16578, t16579, t16580, t16581, t16582, t16583, t16586, t16587;
  double t16588, t16589, t16590, t16591, t16597, t16601, tv3sigma2tau11, t16602;
  double t16603, t16604, t16605, t16606, t16607, t16608, t16609, t16610;
  double t16611, t16614, t16615, t16616, t16619, t16620, t16623, t16624;
  double t16627, t16630, t16631, t16634, t16637, t16638, t16641, t16644;
  double t16645, t16646, t16647, t16648, t16649, t16652, t16653, t16656;
  double t16657, t16660, t16661, t16666, t16667, t16668, t16671, t16672;
  double t16673, t16680, t16681, t16684, t16685, t16704, t16705, t16706;
  double t16707, t16714, t16717, t16718, t16721, t16723, t16724, t16741;
  double t16742, t16743, t16745, t16746, t16749, t16752, t16759, t16765;
  double t16768, t16771, t16774, t16777, t16780, t16783, t16785, t16788;
  double t16791, t16793, t16808, t16813, t16816, t16819, t16820, t16822;
  double t16823, t16826, t16827, t16830, t16831, t16832, t16833, t16834;
  double t16835, t16836, t16837, t16838, t16839, t16840, t16841, t16843;
  double t16846, t16850, t16852, t16853, t16857, t16860, t16863, t16864;
  double t16865, t16868, t16869, t16876, t16881, t16887, t16888, t16889;
  double t16890, t16893, t16895, t16896, t16897, t16900, t16901, t16902;
  double t16906, tv3sigmalapl20, tv3sigmalapl21, tv3sigmalapl22, tv3sigmalapl23, tv3sigmalapl24, tv3sigmalapl25, tv3sigmalapl26;
  double tv3sigmalapl27, t16907, t16908, t16914, t16915, t16922, t16927, t16930;
  double t16931, t16932, t16933, t16952, t16953, t16954, t16955, t16964;
  double t16965, t16966, t16969, t16970, t16971, t16974, t16975, t16976;
  double t16979, t16980, t16983, t16986, t16987, t16990, t16993, t16994;
  double t16997, t17010, t17011, t17012, t17016, t17017, t17018, t17020;
  double t17021, t17024, t17027, t17030, t17032, t17035, t17037, t17038;
  double t17039, t17040, t17045, t17046, t17047, t17048, t17049, t17050;
  double t17051, t17054, t17057, t17058, t17061, t17064, t17073, t17074;
  double t17075, t17076, t17077, t17078, t17085, t17086, t17091, t17094;
  double t17096, t17099, t17102, t17103, t17104, t17105, t17106, t17109;
  double t17112, t17113, t17116, t17119, t17120, t17121, t17123, t17129;
  double t17130, t17131, t17132, t17135, t17138, t17145, t17147, t17148;
  double t17149, t17153, t17156, t17157, t17158, t17162, t17165, t17166;
  double t17167, t17168, t17170, t17171, t17172, t17175, t17179, t17180;
  double t17183, t17184, t17189, t17190, t17191, t17197, t17200, t17203;
  double t17206, t17207, t17211, tv3sigmalapl28, t17212, t17213, t17218, t17233;
  double t17236, t17237, t17246, t17263, t17268, t17272, t17275, t17276;
  double t17277, t17280, t17283, t17284, t17285, t17288, t17291, t17292;
  double t17297, t17300, t17305, t17306, t17309, t17312, t17317, t17320;
  double t17327, t17332, t17333, t17336, t17342, t17345, t17348, t17351;
  double t17354, t17355, t17358, t17361, t17364, t17366, t17367, t17369;
  double t17370, t17371, t17374, t17375, t17380, t17381, t17388, t17391;
  double t17392, t17397, t17400, t17405, t17406, t17409, t17412, t17415;
  double t17416, t17418, t17421, t17422, t17425, t17428, t17429, t17432;
  double t17433, t17436, t17439, t17441, t17445, t17448, t17450, t17451;
  double t17464, t17474, t17477, t17480, t17481, t17484, t17485, t17489;
  double t17492, t17494, t17495, t17498, t17499, t17502, t17505, t17512;
  double t17515, t17518, t17521, t17522, t17525, t17528, t17529, t17532;
  double t17536, tv3sigmalapltau0, tv3sigmalapltau1, tv3sigmalapltau2, tv3sigmalapltau3, tv3sigmalapltau4, tv3sigmalapltau5, tv3sigmalapltau6;
  double tv3sigmalapltau7, tv3sigmalapltau8, tv3sigmalapltau9, tv3sigmalapltau10, t17537, t17538, t17541, t17542;
  double t17553, t17554, t17557, t17558, t17561, t17570, t17575, t17588;
  double t17593, t17603, t17604, t17623, t17628, t17629, t17632, t17635;
  double t17638, t17639, t17640, t17645, t17646, t17649, t17652, t17654;
  double t17657, t17659, t17660, t17665, t17666, t17667, t17672, t17675;
  double t17678, t17679, t17681, t17682, t17683, t17686, t17687, t17690;
  double t17693, t17694, t17697, t17700, t17703, t17706, t17709, t17712;
  double t17715, t17718, t17721, t17723, t17724, t17727, t17729, t17730;
  double t17733, t17736, t17739, t17742, t17749, t17752, t17753, t17757;
  double t17761, t17764, t17765, t17768, t17769, t17778, t17779, t17782;
  double t17785, t17788, t17791, t17794, t17797, t17804, t17807, t17808;
  double t17811, t17812, t17815, t17818, t17820, t17824, t17827, t17830;
  double t17834, t17838, t17841, t17844, t17846, t17847, t17848, t17857;
  double t17861, tv3sigmalapltau11, t17864, t17865, t17866, t17883, t17885, t17886;
  double t17889, t17892, t17897, t17899, t17909, t17910, t17915, t17918;
  double t17919, t17921, t17924, t17930, t17942, t17945, t17946, t17947;
  double t17948, t17951, t17952, t17953, t17962, t17965, t17973, t17974;
  double t17977, t17978, t17979, t17990, t17992, t17994, t17995, t17998;
  double t17999, t18000, t18003, t18004, t18005, t18022, t18027, t18028;
  double t18031, t18034, t18037, t18038, t18042, t18043, t18044, t18045;
  double t18050, t18051, t18053, t18057, t18058, t18059, t18060, t18069;
  double t18070, t18071, t18073, t18078, t18080, t18081, t18083, t18085;
  double t18086, t18087, t18090, t18093, t18096, t18098, t18107, t18108;
  double t18109, t18112, t18115, t18117, t18118, t18121, t18122, t18125;
  double t18126, t18129, t18132, t18133, t18138, t18149, t18158, t18169;
  double t18173, tv3sigmatau20, tv3sigmatau21, tv3sigmatau22, tv3sigmatau23, tv3sigmatau24, tv3sigmatau25, tv3sigmatau26;
  double tv3sigmatau27, t18174, t18175, t18176, t18183, t18184, t18185, t18188;
  double t18189, t18190, t18197, t18198, t18201, t18206, t18208, t18209;
  double t18212, t18213, t18216, t18217, t18224, t18228, t18230, t18232;
  double t18235, t18236, t18239, t18242, t18243, t18256, t18265, t18281;
  double t18284, t18285, t18302, t18304, t18305, t18308, t18311, t18320;
  double t18323, t18329, t18330, t18331, t18332, t18341, t18342, t18343;
  double t18344, t18346, t18347, t18358, t18359, t18362, t18365, t18366;
  double t18369, t18372, t18373, t18375, t18376, t18377, t18385, t18387;
  double t18388, t18389, t18402, t18403, t18404, t18405, t18407, t18408;
  double t18409, t18412, t18415, t18416, t18429, t18435, t18436, t18439;
  double t18440, t18441, t18446, t18456, t18459, t18462, t18463, t18465;
  double t18469, t18474, t18475, t18476, t18477, t18480, t18481, t18485;
  double tv3sigmatau28, t18486, t18487, t18488, t18489, t18490, t18498, t18511;
  double t18512, t18513, t18514, t18517, t18522, t18523, t18524, t18527;
  double t18530, t18531, t18533, t18534, t18541, t18542, t18543, t18544;
  double t18551, t18552, t18553, t18558, t18559, t18562, t18565, t18566;
  double t18569, t18570, t18573, t18582, t18583, t18584, t18588, t18589;
  double t18592, t18594, t18595, t18597, t18600, t18603, t18608, t18609;
  double t18614, t18617, t18620, t18621, t18622, t18623, t18624, t18625;
  double t18626, t18627, t18628, t18629, t18632, t18633, t18634, t18635;
  double t18637, t18640, t18642, t18643, t18648, t18649, t18650, t18667;
  double t18668, t18669, t18670, t18671, t18676, t18679, t18682, t18688;
  double t18689, t18692, t18693, t18694, t18697, t18700, t18701, t18704;
  double t18705, t18706, t18711, t18714, tv3lapl30, tv3lapl31, tv3lapl32, t18717;
  double t18718, t18719, t18722, t18725, t18726, t18729, t18738, t18739;
  double t18740, t18742, t18743, t18751, t18764, t18765, t18766, t18769;
  double t18774, t18779, t18782, t18785, t18786, t18787, t18790, t18792;
  double t18793, t18795, t18796, t18799, t18802, t18803, t18804, t18805;
  double t18806, t18807, t18808, t18811, t18813, t18814, t18817, t18819;
  double t18820, t18821, t18827, t18828, t18831, t18832, t18833, t18836;
  double t18837, t18840, t18841, t18842, t18845, t18848, t18849, t18850;
  double t18853, t18854, t18857, t18858, t18860, t18863, t18864, t18867;
  double t18868, t18871, t18874, t18875, t18876, t18886, t18889, t18891;
  double t18892, t18893, t18909, t18910, t18911, t18912, t18913, t18914;
  double t18915, t18918, t18919, t18927, t18932, t18935, t18936, t18937;
  double t18940, t18943, tv3lapl33, t18944, t18945, t18948, t18951, t18952;
  double t18955, t18958, t18959, t18961, t18962, t18963, t18966, t18969;
  double t18972, t18973, t18978, t18979, t18982, t18985, t18988, t18991;
  double t18994, t18997, t18998, t19001, t19004, t19005, t19008, t19012;
  double t19017, t19020, t19021, t19022, t19024, t19027, t19030, t19033;
  double t19036, t19039, t19040, t19041, t19042, t19046, t19051, t19052;
  double t19055, t19056, t19059, t19062, t19063, t19064, t19069, t19090;
  double t19093, t19102, t19111, t19112, t19117, t19118, t19122, t19127;
  double t19132, t19133, t19134, t19137, t19139, t19140, t19143, t19146;
  double t19149, t19150, t19153, t19154, t19155, t19158, t19159, t19160;
  double t19163, t19165, t19168, t19172, t19173, t19176, t19177, t19180;
  double t19183, t19190, t19191, t19194, t19197, t19200, t19203, t19207;
  double tv3lapl2tau0, tv3lapl2tau1, tv3lapl2tau2, tv3lapl2tau3, tv3lapl2tau4, t19225, t19228, t19229;
  double t19232, t19233, t19236, t19241, t19245, t19246, t19249, t19250;
  double t19251, t19258, t19261, t19262, t19263, t19267, t19268, t19271;
  double t19272, t19273, t19277, t19281, t19282, t19283, t19292, t19297;
  double t19298, t19300, t19303, t19304, t19305, t19308, t19311, t19312;
  double t19313, t19316, t19317, t19323, t19327, t19328, t19331, t19332;
  double t19337, t19340, t19341, t19348, t19349, t19352, t19354, t19357;
  double t19359, t19362, t19365, t19368, t19369, t19372, t19375, t19378;
  double t19381, t19386, t19387, t19390, t19393, t19396, t19399, t19403;
  double t19406, t19407, t19409, t19412, t19416, t19417, t19420, t19423;
  double t19424, t19427, t19432, t19435, t19436, t19439, t19442, t19445;
  double t19448, t19449, t19450, t19451, t19454, t19455, t19457, t19458;
  double t19467, t19471, tv3lapl2tau5, t19472, t19473, t19476, t19479, t19480;
  double t19481, t19484, t19485, t19494, t19495, t19496, t19499, t19501;
  double t19503, t19505, t19526, t19531, t19533, t19538, t19539, t19540;
  double t19543, t19544, t19545, t19548, t19549, t19552, t19555, t19556;
  double t19559, t19560, t19563, t19564, t19567, t19572, t19575, t19579;
  double t19582, t19583, t19586, t19587, t19590, t19591, t19596, t19600;
  double t19602, t19623, t19625, t19626, t19629, t19632, t19635, t19636;
  double t19639, t19640, t19643, t19646, t19649, t19652, t19655, t19656;
  double t19660, t19661, t19663, t19664, t19676, t19679, t19684, t19687;
  double t19689, t19690, t19694, t19697, t19698, t19700, t19703, t19712;
  double t19714, t19715, t19716, t19725, t19730, t19732, t19737, t19738;
  double t19741, t19742, t19743, t19748, t19751, t19754, t19755, t19758;
  double t19761, t19762, t19765, t19768, t19769, t19770, t19776, t19779;
  double t19782, t19788, t19792, tv3lapltau20, tv3lapltau21, tv3lapltau22, tv3lapltau23, tv3lapltau24;
  double t19793, t19794, t19795, t19798, t19799, t19803, t19804, t19807;
  double t19808, t19813, t19816, t19819, t19822, t19823, t19827, t19831;
  double t19832, t19835, t19836, t19837, t19840, t19860, t19861, t19862;
  double t19863, t19866, t19867, t19872, t19877, t19893, t19898, t19901;
  double t19904, t19907, t19912, t19914, t19921, t19922, t19933, t19938;
  double t19939, t19940, t19943, t19945, t19946, t19947, t19950, t19951;
  double t19954, t19956, t19959, t19960, t19963, t19964, t19967, t19970;
  double t19973, t19976, t19979, t19982, t19983, t19984, t19987, t19988;
  double t19991, t19992, t19995, t19997, t20004, t20014, t20015, t20018;
  double t20022, t20025, t20026, t20029, t20032, t20033, t20036, t20039;
  double t20040, t20042, t20051, t20055, t20058, t20061, t20062, t20064;
  double t20065, t20070, t20072, t20074, t20075, t20086, t20089, t20092;
  double t20093, t20099, t20102, t20104, t20105, t20106, t20109, t20113;
  double tv3lapltau25, t20114, t20115, t20116, t20117, t20118, t20119, t20120;
  double t20122, t20125, t20126, t20127, t20130, t20131, t20143, t20144;
  double t20145, t20146, t20154, t20167, t20168, t20169, t20170, t20175;
  double t20176, t20181, t20186, t20189, t20190, t20191, t20195, t20198;
  double t20199, t20200, t20201, t20204, t20217, t20218, t20219, t20222;
  double t20225, t20228, t20229, t20230, t20233, t20235, t20238, t20241;
  double t20242, t20244, t20245, t20246, t20247, t20250, t20251, t20252;
  double t20260, t20261, t20262, t20268, t20269, t20274, t20275, t20276;
  double t20280, t20281, t20284, t20285, t20288, t20289, t20292, t20297;
  double t20300, t20303, t20313, t20326, t20327, t20328, t20329, t20330;
  double t20333, t20334, t20337, t20338, t20347, t20348, t20351, t20353;
  double t20354, t20356, t20357, t20358, t20361, t20364, t20365, t20366;
  double t20371, t20374, t20377, t20382, t20389, t20390, t20392, t20395;
  double t20396, t20397, t20398, t20401, t20404, tv3tau30, tv3tau31, tv3tau32;
  double t20405, t20406, t20407, t20409, t20410, t20414, t20417, t20418;
  double t20419, t20431, t20432, t20440, t20453, t20454, t20455, t20456;
  double t20459, t20466, t20467, t20470, t20471, t20475, t20478, t20479;
  double t20480, t20483, t20484, t20491, t20492, t20493, t20494, t20495;
  double t20498, t20499, t20500, t20515, t20516, t20517, t20520, t20522;
  double t20523, t20524, t20527, t20530, t20543, t20544, t20545, t20548;
  double t20549, t20552, t20553, t20554, t20557, t20560, t20561, t20563;
  double t20564, t20567, t20568, t20569, t20576, t20585, t20586, t20587;
  double t20590, t20593, t20594, t20597, t20604, t20605, t20606, t20607;
  double t20609, t20612, t20617, t20618, t20619, t20622, t20623, t20626;
  double t20627, t20628, t20629, t20633, t20635, t20636, t20639, t20640;
  double t20641, t20642, t20645, t20646, t20649, t20656, t20657, t20659;
  double t20662, t20663, t20666, t20669, t20672, t20681, t20686, t20687;
  double t20688, t20689, t20692, t20695, tv3tau33;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = POW_1_3(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = POW_1_3(t16);
  t22 = my_piecewise3(t17, t19, t20 * t16);
  t23 = POW_1_3(t3);
  t24 = t22 * t23;
  t26 = POW_1_3(0.1e1 / M_PI);
  t27 = 0.1e1 / t26;
  t28 = M_CBRT4;
  t29 = t27 * t28;
  t30 = t24 * t29;
  t31 = POW_1_3(rho[0]);
  t32 = t31 * t31;
  t34 = 0.1e1 / t32 / rho[0];
  t35 = lapl[0] * t34;
  t37 = tau[0] * params->gamma;
  t38 = t37 * t34;
  t40 = params->gamma * sigma[0];
  t41 = rho[0] * rho[0];
  t43 = 0.1e1 / t32 / t41;
  t44 = t40 * t43;
  t47 = fabs(t35 / 0.2e1 - 0.2e1 * t38 + t44 / 0.4e1);
  t49 = t47 / 0.3e1 < 0.5e-12;
  t53 = t35 / 0.6e1 - 0.2e1 / 0.3e1 * t38 + t44 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t49, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t34;
  t75 = t73 - t74;
  t76 = t73 + t74;
  t77 = 0.1e1 / t76;
  t79 = t75 * t75;
  t80 = t79 * t75;
  t81 = t76 * t76;
  t82 = t81 * t76;
  t83 = 0.1e1 / t82;
  t86 = t79 * t79;
  t87 = t86 * t75;
  t88 = t81 * t81;
  t90 = 0.1e1 / t88 / t76;
  t94 = 0.1e1 + params->at * (t75 * t77 - 0.2e1 * t80 * t83 + t87 * t90);
  t95 = t66 * t94;
  t96 = t65 * t95;
  t99 = my_piecewise3(t2, 0, -t30 * t96 / 0.4e1);
  t100 = rho[1] <= p->dens_threshold;
  t101 = -t13;
  t103 = my_piecewise5(t11, t8, t7, t12, t101 * t4);
  t104 = 0.1e1 + t103;
  t105 = t104 <= p->zeta_threshold;
  t106 = POW_1_3(t104);
  t108 = my_piecewise3(t105, t19, t106 * t104);
  t109 = t108 * t23;
  t110 = t109 * t29;
  t111 = POW_1_3(rho[1]);
  t112 = t111 * t111;
  t114 = 0.1e1 / t112 / rho[1];
  t115 = lapl[1] * t114;
  t117 = tau[1] * params->gamma;
  t118 = t117 * t114;
  t120 = params->gamma * sigma[2];
  t121 = rho[1] * rho[1];
  t123 = 0.1e1 / t112 / t121;
  t124 = t120 * t123;
  t127 = fabs(t115 / 0.2e1 - 0.2e1 * t118 + t124 / 0.4e1);
  t129 = t127 / 0.3e1 < 0.5e-12;
  t133 = t115 / 0.6e1 - 0.2e1 / 0.3e1 * t118 + t124 / 0.12e2;
  t134 = 0.e0 < t133;
  t135 = my_piecewise3(t134, 0.5e-12, -0.5e-12);
  t136 = my_piecewise3(t129, t135, t133);
  t137 = xc_mgga_x_br89_get_x(t136);
  t139 = exp(t137 / 0.3e1);
  t140 = exp(-t137);
  t142 = 0.1e1 + t137 / 0.2e1;
  t143 = t140 * t142;
  t144 = 0.1e1 - t143;
  t145 = t139 * t144;
  t146 = 0.1e1 / t137;
  t147 = tau[1] * t114;
  t148 = t73 - t147;
  t149 = t73 + t147;
  t150 = 0.1e1 / t149;
  t152 = t148 * t148;
  t153 = t152 * t148;
  t154 = t149 * t149;
  t155 = t154 * t149;
  t156 = 0.1e1 / t155;
  t159 = t152 * t152;
  t160 = t159 * t148;
  t161 = t154 * t154;
  t163 = 0.1e1 / t161 / t149;
  t167 = 0.1e1 + params->at * (t148 * t150 - 0.2e1 * t153 * t156 + t160 * t163);
  t168 = t146 * t167;
  t169 = t145 * t168;
  t172 = my_piecewise3(t100, 0, -t110 * t169 / 0.4e1);
  tzk0 = t99 + t172;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t173 = t3 * t3;
  t174 = 0.1e1 / t173;
  t175 = t13 * t174;
  t177 = my_piecewise5(t7, 0, t11, 0, t4 - t175);
  t180 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t177);
  t181 = t180 * t23;
  t182 = t181 * t29;
  t185 = t23 * t23;
  t186 = 0.1e1 / t185;
  t187 = t22 * t186;
  t188 = t187 * t29;
  t190 = t188 * t96 / 0.12e2;
  t191 = t24 * t27;
  t192 = M_CBRTPI;
  t193 = t192 * t192;
  t194 = t28 * t193;
  t195 = my_piecewise3(t54, 0, 0);
  t200 = t41 * rho[0];
  t202 = 0.1e1 / t32 / t200;
  t206 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * lapl[0] * t43 + 0.1e2 / 0.9e1 * t37 * t43 - 0.2e1 / 0.9e1 * t40 * t202);
  t207 = t56 * t56;
  t208 = 0.1e1 / t207;
  t209 = t206 * t208;
  t210 = t194 * t209;
  t211 = t191 * t210;
  t213 = exp(-0.2e1 / 0.3e1 * t57);
  t214 = 0.1e1 / t213;
  t215 = t57 * t57;
  t217 = t215 - 0.2e1 * t57 + 0.3e1;
  t218 = 0.1e1 / t217;
  t219 = t214 * t218;
  t220 = t57 - 0.2e1;
  t221 = t220 * t220;
  t222 = t219 * t221;
  t223 = t222 * t96;
  t226 = t193 * t206;
  t227 = t208 * t214;
  t228 = t226 * t227;
  t229 = t218 * t221;
  t230 = t229 * t63;
  t232 = t226 * t208;
  t233 = t221 * t60;
  t234 = t219 * t233;
  t237 = t228 * t230 - t232 * t234 / 0.2e1;
  t238 = t59 * t237;
  t239 = t238 * t95;
  t242 = t28 * t59;
  t243 = 0.1e1 / t215;
  t244 = t64 * t243;
  t245 = t242 * t244;
  t246 = t191 * t245;
  t247 = t94 * t193;
  t249 = t227 * t229;
  t250 = t247 * t206 * t249;
  t253 = t66 * params->at;
  t254 = tau[0] * t43;
  t257 = 0.1e1 / t81;
  t258 = t75 * t257;
  t261 = t79 * t83;
  t264 = 0.1e1 / t88;
  t265 = t80 * t264;
  t268 = t86 * t90;
  t272 = 0.1e1 / t88 / t81;
  t273 = t87 * t272;
  t276 = 0.5e1 / 0.3e1 * t254 * t77 + 0.5e1 / 0.3e1 * t258 * t254 - 0.1e2 * t261 * t254 - 0.1e2 * t265 * t254 + 0.25e2 / 0.3e1 * t268 * t254 + 0.25e2 / 0.3e1 * t273 * t254;
  t277 = t253 * t276;
  t278 = t65 * t277;
  t282 = my_piecewise3(t2, 0, -t182 * t96 / 0.4e1 - t190 - t211 * t223 / 0.12e2 - t30 * t239 / 0.4e1 + t246 * t250 / 0.4e1 - t30 * t278 / 0.4e1);
  t283 = t101 * t174;
  t285 = my_piecewise5(t11, 0, t7, 0, -t4 - t283);
  t288 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t285);
  t289 = t288 * t23;
  t290 = t289 * t29;
  t293 = t108 * t186;
  t294 = t293 * t29;
  t296 = t294 * t169 / 0.12e2;
  t298 = my_piecewise3(t100, 0, -t290 * t169 / 0.4e1 - t296);
  tvrho0 = t99 + t172 + t3 * (t282 + t298);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t302 = my_piecewise5(t7, 0, t11, 0, -t4 - t175);
  t305 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t302);
  t306 = t305 * t23;
  t307 = t306 * t29;
  t311 = my_piecewise3(t2, 0, -t307 * t96 / 0.4e1 - t190);
  t313 = my_piecewise5(t11, 0, t7, 0, t4 - t283);
  t316 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t313);
  t317 = t316 * t23;
  t318 = t317 * t29;
  t321 = t109 * t27;
  t322 = my_piecewise3(t134, 0, 0);
  t327 = t121 * rho[1];
  t329 = 0.1e1 / t112 / t327;
  t333 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * lapl[1] * t123 + 0.1e2 / 0.9e1 * t117 * t123 - 0.2e1 / 0.9e1 * t120 * t329);
  t334 = t136 * t136;
  t335 = 0.1e1 / t334;
  t336 = t333 * t335;
  t337 = t194 * t336;
  t338 = t321 * t337;
  t340 = exp(-0.2e1 / 0.3e1 * t137);
  t341 = 0.1e1 / t340;
  t342 = t137 * t137;
  t344 = t342 - 0.2e1 * t137 + 0.3e1;
  t345 = 0.1e1 / t344;
  t346 = t341 * t345;
  t347 = t137 - 0.2e1;
  t348 = t347 * t347;
  t349 = t346 * t348;
  t350 = t349 * t169;
  t353 = t193 * t333;
  t354 = t335 * t341;
  t355 = t353 * t354;
  t356 = t345 * t348;
  t357 = t356 * t143;
  t359 = t353 * t335;
  t360 = t348 * t140;
  t361 = t346 * t360;
  t364 = t355 * t357 - t359 * t361 / 0.2e1;
  t365 = t139 * t364;
  t366 = t365 * t168;
  t369 = t28 * t139;
  t370 = 0.1e1 / t342;
  t371 = t144 * t370;
  t372 = t369 * t371;
  t373 = t321 * t372;
  t374 = t167 * t193;
  t376 = t354 * t356;
  t377 = t374 * t333 * t376;
  t380 = t146 * params->at;
  t381 = tau[1] * t123;
  t384 = 0.1e1 / t154;
  t385 = t148 * t384;
  t388 = t152 * t156;
  t391 = 0.1e1 / t161;
  t392 = t153 * t391;
  t395 = t159 * t163;
  t399 = 0.1e1 / t161 / t154;
  t400 = t160 * t399;
  t403 = 0.5e1 / 0.3e1 * t381 * t150 + 0.5e1 / 0.3e1 * t385 * t381 - 0.1e2 * t388 * t381 - 0.1e2 * t392 * t381 + 0.25e2 / 0.3e1 * t395 * t381 + 0.25e2 / 0.3e1 * t400 * t381;
  t404 = t380 * t403;
  t405 = t145 * t404;
  t409 = my_piecewise3(t100, 0, -t318 * t169 / 0.4e1 - t296 - t338 * t350 / 0.12e2 - t110 * t366 / 0.4e1 + t373 * t377 / 0.4e1 - t110 * t405 / 0.4e1);
  tvrho1 = t99 + t172 + t3 * (t311 + t409);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t412 = params->gamma * t43;
  t414 = my_piecewise3(t49, t195, t412 / 0.12e2);
  t415 = t414 * t208;
  t416 = t194 * t415;
  t417 = t191 * t416;
  t420 = t193 * t414;
  t421 = t420 * t227;
  t423 = t420 * t208;
  t426 = t421 * t230 - t423 * t234 / 0.2e1;
  t427 = t59 * t426;
  t428 = t427 * t95;
  t432 = t247 * t414 * t249;
  t436 = my_piecewise3(t2, 0, -t417 * t223 / 0.12e2 - t30 * t428 / 0.4e1 + t246 * t432 / 0.4e1);
  tvsigma0 = t3 * t436;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t437 = params->gamma * t123;
  t439 = my_piecewise3(t129, t322, t437 / 0.12e2);
  t440 = t439 * t335;
  t441 = t194 * t440;
  t442 = t321 * t441;
  t445 = t193 * t439;
  t446 = t445 * t354;
  t448 = t445 * t335;
  t451 = t446 * t357 - t448 * t361 / 0.2e1;
  t452 = t139 * t451;
  t453 = t452 * t168;
  t457 = t374 * t439 * t376;
  t461 = my_piecewise3(t100, 0, -t442 * t350 / 0.12e2 - t110 * t453 / 0.4e1 + t373 * t457 / 0.4e1);
  tvsigma2 = t3 * t461;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t463 = my_piecewise3(t49, t195, t34 / 0.6e1);
  t464 = t463 * t208;
  t465 = t194 * t464;
  t466 = t191 * t465;
  t469 = t193 * t463;
  t470 = t469 * t227;
  t472 = t469 * t208;
  t475 = t470 * t230 - t472 * t234 / 0.2e1;
  t476 = t59 * t475;
  t477 = t476 * t95;
  t481 = t247 * t463 * t249;
  t485 = my_piecewise3(t2, 0, -t466 * t223 / 0.12e2 - t30 * t477 / 0.4e1 + t246 * t481 / 0.4e1);
  tvlapl0 = t3 * t485;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t487 = my_piecewise3(t129, t322, t114 / 0.6e1);
  t488 = t487 * t335;
  t489 = t194 * t488;
  t490 = t321 * t489;
  t493 = t193 * t487;
  t494 = t493 * t354;
  t496 = t493 * t335;
  t499 = t494 * t357 - t496 * t361 / 0.2e1;
  t500 = t139 * t499;
  t501 = t500 * t168;
  t505 = t374 * t487 * t376;
  t509 = my_piecewise3(t100, 0, -t490 * t350 / 0.12e2 - t110 * t501 / 0.4e1 + t373 * t505 / 0.4e1);
  tvlapl1 = t3 * t509;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t512 = my_piecewise3(t49, t195, -0.2e1 / 0.3e1 * params->gamma * t34);
  t513 = t512 * t208;
  t514 = t194 * t513;
  t515 = t191 * t514;
  t518 = t193 * t512;
  t519 = t518 * t227;
  t521 = t518 * t208;
  t524 = t519 * t230 - t521 * t234 / 0.2e1;
  t525 = t59 * t524;
  t526 = t525 * t95;
  t530 = t247 * t512 * t249;
  t543 = -t258 * t34 + 0.6e1 * t261 * t34 + 0.6e1 * t265 * t34 - 0.5e1 * t268 * t34 - 0.5e1 * t273 * t34 - t34 * t77;
  t544 = t253 * t543;
  t545 = t65 * t544;
  t549 = my_piecewise3(t2, 0, -t515 * t223 / 0.12e2 - t30 * t526 / 0.4e1 + t246 * t530 / 0.4e1 - t30 * t545 / 0.4e1);
  tvtau0 = t3 * t549;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t552 = my_piecewise3(t129, t322, -0.2e1 / 0.3e1 * params->gamma * t114);
  t553 = t552 * t335;
  t554 = t194 * t553;
  t555 = t321 * t554;
  t558 = t193 * t552;
  t559 = t558 * t354;
  t561 = t558 * t335;
  t564 = t559 * t357 - t561 * t361 / 0.2e1;
  t565 = t139 * t564;
  t566 = t565 * t168;
  t570 = t374 * t552 * t376;
  t583 = -t114 * t150 - t385 * t114 + 0.6e1 * t388 * t114 + 0.6e1 * t392 * t114 - 0.5e1 * t395 * t114 - 0.5e1 * t400 * t114;
  t584 = t380 * t583;
  t585 = t145 * t584;
  t589 = my_piecewise3(t100, 0, -t555 * t350 / 0.12e2 - t110 * t566 / 0.4e1 + t373 * t570 / 0.4e1 - t110 * t585 / 0.4e1);
  tvtau1 = t3 * t589;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t592 = t187 * t27;
  t593 = t592 * t245;
  t594 = t593 * t250;
  t600 = t41 * t41;
  t602 = 0.1e1 / t32 / t600;
  t606 = my_piecewise3(t49, t195, 0.2e2 / 0.27e2 * lapl[0] * t202 - 0.8e2 / 0.27e2 * t37 * t202 + 0.22e2 / 0.27e2 * t40 * t602);
  t607 = t606 * t208;
  t608 = t194 * t607;
  t609 = t191 * t608;
  t612 = t222 * t239;
  t615 = t192 * M_PI;
  t616 = t28 * t615;
  t617 = t206 * t206;
  t618 = t207 * t207;
  t619 = 0.1e1 / t618;
  t620 = t617 * t619;
  t621 = t616 * t620;
  t622 = t191 * t621;
  t623 = t213 * t213;
  t624 = 0.1e1 / t623;
  t625 = t217 * t217;
  t626 = 0.1e1 / t625;
  t627 = t624 * t626;
  t628 = t221 * t220;
  t629 = t627 * t628;
  t630 = t629 * t96;
  t633 = t221 * t221;
  t634 = t627 * t633;
  t635 = t243 * t94;
  t636 = t65 * t635;
  t637 = t634 * t636;
  t641 = 0.1e1 / t215 / t57;
  t642 = t64 * t641;
  t643 = t242 * t642;
  t644 = t191 * t643;
  t645 = t94 * t615;
  t646 = t645 * t617;
  t647 = t619 * t624;
  t648 = t626 * t633;
  t649 = t647 * t648;
  t650 = t646 * t649;
  t653 = t626 * t628;
  t654 = t647 * t653;
  t655 = t646 * t654;
  t658 = t214 * t626;
  t659 = t221 * t59;
  t660 = t658 * t659;
  t661 = t64 * t66;
  t662 = t57 * t193;
  t667 = 0.2e1 * t662 * t206 * t249 - 0.2e1 * t232 * t222;
  t668 = t94 * t667;
  t669 = t661 * t668;
  t670 = t660 * t669;
  t673 = t219 * t659;
  t674 = params->at * t276;
  t675 = t661 * t674;
  t676 = t673 * t675;
  t679 = t238 * t277;
  t682 = tau[0] * t202;
  t685 = tau[0] * tau[0];
  t686 = t600 * rho[0];
  t688 = 0.1e1 / t31 / t686;
  t689 = t685 * t688;
  t692 = t75 * t83;
  t697 = t79 * t264;
  t702 = t80 * t90;
  t707 = t86 * t272;
  t713 = 0.1e1 / t88 / t82;
  t714 = t87 * t713;
  t719 = -0.4e2 / 0.9e1 * t682 * t77 + 0.5e2 / 0.9e1 * t689 * t257 - 0.25e3 / 0.9e1 * t692 * t689 - 0.4e2 / 0.9e1 * t258 * t682 - 0.1e3 * t697 * t689 + 0.8e2 / 0.3e1 * t261 * t682 - 0.1e3 / 0.9e1 * t702 * t689 + 0.8e2 / 0.3e1 * t265 * t682 + 0.125e4 / 0.9e1 * t707 * t689 - 0.2e3 / 0.9e1 * t268 * t682 + 0.25e3 / 0.3e1 * t714 * t689 - 0.2e3 / 0.9e1 * t273 * t682;
  t720 = t253 * t719;
  t721 = t65 * t720;
  t726 = t188 * t278;
  t728 = t247 * t209;
  t730 = t658 * t221 * t667;
  t731 = t728 * t730;
  t734 = t594 / 0.6e1 - t609 * t223 / 0.12e2 - t211 * t612 / 0.6e1 - t622 * t630 / 0.6e1 + t622 * t637 / 0.3e1 - t644 * t650 / 0.2e1 + t246 * t655 / 0.2e1 + t211 * t670 / 0.12e2 - t211 * t676 / 0.6e1 - t30 * t679 / 0.2e1 - t30 * t721 / 0.4e1 - t182 * t278 / 0.2e1 - t726 / 0.6e1 - t246 * t731 / 0.4e1;
  t736 = t674 * t226 * t249;
  t739 = t207 * t56;
  t740 = 0.1e1 / t739;
  t741 = t617 * t740;
  t742 = t194 * t741;
  t743 = t191 * t742;
  t747 = t740 * t214;
  t748 = t747 * t229;
  t749 = t247 * t617 * t748;
  t752 = t634 * t96;
  t755 = t237 * t243;
  t756 = t242 * t755;
  t757 = t191 * t756;
  t761 = t247 * t606 * t249;
  t764 = t181 * t27;
  t765 = t764 * t210;
  t768 = t764 * t245;
  t771 = t592 * t210;
  t772 = t771 * t223;
  t775 = 0.1e1 / t185 / t3;
  t776 = t22 * t775;
  t777 = t776 * t29;
  t779 = t777 * t96 / 0.18e2;
  t780 = t180 * t186;
  t781 = t780 * t29;
  t782 = t781 * t96;
  t784 = t20 * t20;
  t785 = 0.1e1 / t784;
  t786 = t177 * t177;
  t789 = t173 * t3;
  t790 = 0.1e1 / t789;
  t791 = t13 * t790;
  t794 = my_piecewise5(t7, 0, t11, 0, -0.2e1 * t174 + 0.2e1 * t791);
  t798 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t785 * t786 + 0.4e1 / 0.3e1 * t20 * t794);
  t799 = t798 * t23;
  t800 = t799 * t29;
  t805 = t188 * t239;
  t807 = t193 * t606;
  t808 = t807 * t227;
  t810 = t193 * t617;
  t811 = t810 * t747;
  t814 = t615 * t617;
  t815 = t814 * t647;
  t816 = t648 * t63;
  t819 = t626 * t221;
  t820 = t63 * t667;
  t821 = t819 * t820;
  t823 = t653 * t63;
  t826 = t814 * t619;
  t827 = t633 * t60;
  t828 = t627 * t827;
  t831 = t807 * t208;
  t834 = t810 * t740;
  t836 = t60 * t667;
  t837 = t819 * t836;
  t840 = t628 * t60;
  t841 = t627 * t840;
  t843 = t808 * t230 - 0.2e1 * t811 * t230 - t815 * t816 / 0.3e1 - t228 * t821 + 0.2e1 * t815 * t823 + 0.2e1 / 0.3e1 * t826 * t828 - t831 * t234 / 0.2e1 + t834 * t234 + t228 * t837 / 0.2e1 - t826 * t841;
  t844 = t59 * t843;
  t845 = t844 * t95;
  t848 = t246 * t736 / 0.2e1 + t743 * t223 / 0.6e1 - t246 * t749 / 0.2e1 - t622 * t752 / 0.12e2 + t757 * t250 / 0.2e1 + t246 * t761 / 0.4e1 - t765 * t223 / 0.6e1 + t768 * t250 / 0.2e1 - t772 / 0.18e2 + t779 - t782 / 0.6e1 - t800 * t96 / 0.4e1 - t182 * t239 / 0.2e1 - t805 / 0.6e1 - t30 * t845 / 0.4e1;
  t850 = my_piecewise3(t2, 0, t734 + t848);
  t851 = t106 * t106;
  t852 = 0.1e1 / t851;
  t853 = t285 * t285;
  t856 = t101 * t790;
  t859 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t174 + 0.2e1 * t856);
  t863 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t853 + 0.4e1 / 0.3e1 * t106 * t859);
  t864 = t863 * t23;
  t865 = t864 * t29;
  t868 = t288 * t186;
  t869 = t868 * t29;
  t870 = t869 * t169;
  t872 = t108 * t775;
  t873 = t872 * t29;
  t875 = t873 * t169 / 0.18e2;
  t877 = my_piecewise3(t100, 0, -t865 * t169 / 0.4e1 - t870 / 0.6e1 + t875);
  tv2rho20 = 0.2e1 * t282 + 0.2e1 * t298 + t3 * (t850 + t877);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t880 = t785 * t302;
  t884 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t791);
  t888 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t880 * t177 + 0.4e1 / 0.3e1 * t20 * t884);
  t889 = t888 * t23;
  t890 = t889 * t29;
  t893 = t305 * t186;
  t894 = t893 * t29;
  t895 = t894 * t96;
  t897 = t306 * t27;
  t898 = t897 * t210;
  t903 = t897 * t245;
  t913 = -t890 * t96 / 0.4e1 - t895 / 0.12e2 - t898 * t223 / 0.12e2 - t307 * t239 / 0.4e1 + t903 * t250 / 0.4e1 - t307 * t278 / 0.4e1 - t782 / 0.12e2 + t779 - t772 / 0.36e2 - t805 / 0.12e2 + t594 / 0.12e2 - t726 / 0.12e2;
  t914 = my_piecewise3(t2, 0, t913);
  t915 = t852 * t313;
  t919 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t856);
  t923 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t915 * t285 + 0.4e1 / 0.3e1 * t106 * t919);
  t924 = t923 * t23;
  t925 = t924 * t29;
  t928 = t316 * t186;
  t929 = t928 * t29;
  t930 = t929 * t169;
  t933 = t289 * t27;
  t934 = t933 * t337;
  t937 = t293 * t27;
  t938 = t937 * t337;
  t939 = t938 * t350;
  t943 = t294 * t366;
  t945 = t933 * t372;
  t948 = t937 * t372;
  t949 = t948 * t377;
  t953 = t294 * t405;
  t955 = -t925 * t169 / 0.4e1 - t930 / 0.12e2 - t870 / 0.12e2 + t875 - t934 * t350 / 0.12e2 - t939 / 0.36e2 - t290 * t366 / 0.4e1 - t943 / 0.12e2 + t945 * t377 / 0.4e1 + t949 / 0.12e2 - t290 * t405 / 0.4e1 - t953 / 0.12e2;
  t956 = my_piecewise3(t100, 0, t955);
  tv2rho21 = t282 + t298 + t311 + t409 + t3 * (t914 + t956);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t961 = t302 * t302;
  t966 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t174 + 0.2e1 * t791);
  t970 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t785 * t961 + 0.4e1 / 0.3e1 * t20 * t966);
  t971 = t970 * t23;
  t972 = t971 * t29;
  t977 = my_piecewise3(t2, 0, -t972 * t96 / 0.4e1 - t895 / 0.6e1 + t779);
  t978 = params->at * t403;
  t980 = t978 * t353 * t376;
  t983 = t344 * t344;
  t984 = 0.1e1 / t983;
  t985 = t341 * t984;
  t986 = t348 * t139;
  t987 = t985 * t986;
  t988 = t144 * t146;
  t989 = t137 * t193;
  t994 = 0.2e1 * t989 * t333 * t376 - 0.2e1 * t359 * t349;
  t995 = t167 * t994;
  t996 = t988 * t995;
  t997 = t987 * t996;
  t1000 = t346 * t986;
  t1001 = t988 * t978;
  t1002 = t1000 * t1001;
  t1005 = t333 * t333;
  t1006 = t334 * t334;
  t1007 = 0.1e1 / t1006;
  t1008 = t1005 * t1007;
  t1009 = t616 * t1008;
  t1010 = t321 * t1009;
  t1011 = t340 * t340;
  t1012 = 0.1e1 / t1011;
  t1013 = t1012 * t984;
  t1014 = t348 * t347;
  t1015 = t1013 * t1014;
  t1016 = t1015 * t169;
  t1019 = t348 * t348;
  t1020 = t1013 * t1019;
  t1021 = t370 * t167;
  t1022 = t145 * t1021;
  t1023 = t1020 * t1022;
  t1027 = 0.1e1 / t342 / t137;
  t1028 = t144 * t1027;
  t1029 = t369 * t1028;
  t1030 = t321 * t1029;
  t1031 = t167 * t615;
  t1032 = t1031 * t1005;
  t1033 = t1007 * t1012;
  t1034 = t984 * t1019;
  t1035 = t1033 * t1034;
  t1036 = t1032 * t1035;
  t1042 = t334 * t136;
  t1043 = 0.1e1 / t1042;
  t1044 = t1043 * t341;
  t1045 = t1044 * t356;
  t1046 = t374 * t1005 * t1045;
  t1049 = t1005 * t1043;
  t1050 = t194 * t1049;
  t1051 = t321 * t1050;
  t1054 = t364 * t370;
  t1055 = t369 * t1054;
  t1056 = t321 * t1055;
  t1063 = t121 * t121;
  t1065 = 0.1e1 / t112 / t1063;
  t1069 = my_piecewise3(t129, t322, 0.2e2 / 0.27e2 * lapl[1] * t329 - 0.8e2 / 0.27e2 * t117 * t329 + 0.22e2 / 0.27e2 * t120 * t1065);
  t1071 = t374 * t1069 * t376;
  t1074 = t317 * t27;
  t1075 = t1074 * t337;
  t1078 = t1074 * t372;
  t1081 = t373 * t980 / 0.2e1 + t338 * t997 / 0.12e2 - t338 * t1002 / 0.6e1 - t1010 * t1016 / 0.6e1 + t1010 * t1023 / 0.3e1 - t1030 * t1036 / 0.2e1 - t939 / 0.18e2 + t949 / 0.6e1 - t373 * t1046 / 0.2e1 + t1051 * t350 / 0.6e1 + t1056 * t377 / 0.2e1 + t373 * t1071 / 0.4e1 - t1075 * t350 / 0.6e1 + t1078 * t377 / 0.2e1;
  t1082 = t1069 * t335;
  t1083 = t194 * t1082;
  t1084 = t321 * t1083;
  t1087 = t349 * t366;
  t1090 = t1020 * t169;
  t1093 = t984 * t1014;
  t1094 = t1033 * t1093;
  t1095 = t1032 * t1094;
  t1098 = t374 * t336;
  t1099 = t348 * t994;
  t1100 = t985 * t1099;
  t1101 = t1098 * t1100;
  t1105 = t365 * t404;
  t1108 = tau[1] * t329;
  t1111 = tau[1] * tau[1];
  t1112 = t1063 * rho[1];
  t1114 = 0.1e1 / t111 / t1112;
  t1115 = t1111 * t1114;
  t1118 = t148 * t156;
  t1123 = t152 * t391;
  t1128 = t153 * t163;
  t1133 = t159 * t399;
  t1139 = 0.1e1 / t161 / t155;
  t1140 = t160 * t1139;
  t1145 = -0.4e2 / 0.9e1 * t1108 * t150 + 0.5e2 / 0.9e1 * t1115 * t384 - 0.25e3 / 0.9e1 * t1118 * t1115 - 0.4e2 / 0.9e1 * t385 * t1108 - 0.1e3 * t1123 * t1115 + 0.8e2 / 0.3e1 * t388 * t1108 - 0.1e3 / 0.9e1 * t1128 * t1115 + 0.8e2 / 0.3e1 * t392 * t1108 + 0.125e4 / 0.9e1 * t1133 * t1115 - 0.2e3 / 0.9e1 * t395 * t1108 + 0.25e3 / 0.3e1 * t1140 * t1115 - 0.2e3 / 0.9e1 * t400 * t1108;
  t1146 = t380 * t1145;
  t1147 = t145 * t1146;
  t1154 = t313 * t313;
  t1159 = my_piecewise5(t11, 0, t7, 0, -0.2e1 * t174 + 0.2e1 * t856);
  t1163 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t1154 + 0.4e1 / 0.3e1 * t106 * t1159);
  t1164 = t1163 * t23;
  t1165 = t1164 * t29;
  t1170 = t193 * t1069;
  t1171 = t1170 * t354;
  t1173 = t193 * t1005;
  t1174 = t1173 * t1044;
  t1177 = t615 * t1005;
  t1178 = t1177 * t1033;
  t1179 = t1034 * t143;
  t1182 = t984 * t348;
  t1183 = t143 * t994;
  t1184 = t1182 * t1183;
  t1186 = t1093 * t143;
  t1189 = t1177 * t1007;
  t1190 = t1019 * t140;
  t1191 = t1013 * t1190;
  t1194 = t1170 * t335;
  t1197 = t1173 * t1043;
  t1199 = t140 * t994;
  t1200 = t1182 * t1199;
  t1203 = t1014 * t140;
  t1204 = t1013 * t1203;
  t1206 = t1171 * t357 - 0.2e1 * t1174 * t357 - t1178 * t1179 / 0.3e1 - t355 * t1184 + 0.2e1 * t1178 * t1186 + 0.2e1 / 0.3e1 * t1189 * t1191 - t1194 * t361 / 0.2e1 + t1197 * t361 + t355 * t1200 / 0.2e1 - t1189 * t1204;
  t1207 = t139 * t1206;
  t1208 = t1207 * t168;
  t1211 = -t1084 * t350 / 0.12e2 - t338 * t1087 / 0.6e1 - t1010 * t1090 / 0.12e2 + t373 * t1095 / 0.2e1 - t373 * t1101 / 0.4e1 - t953 / 0.6e1 - t110 * t1105 / 0.2e1 - t110 * t1147 / 0.4e1 - t318 * t405 / 0.2e1 + t875 - t930 / 0.6e1 - t943 / 0.6e1 - t1165 * t169 / 0.4e1 - t318 * t366 / 0.2e1 - t110 * t1208 / 0.4e1;
  t1213 = my_piecewise3(t100, 0, t1081 + t1211);
  tv2rho22 = 0.2e1 * t311 + 0.2e1 * t409 + t3 * (t977 + t1213);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t1216 = t414 * t619;
  t1217 = t616 * t1216;
  t1218 = t191 * t1217;
  t1219 = t628 * t59;
  t1220 = t627 * t1219;
  t1221 = t94 * t206;
  t1222 = t661 * t1221;
  t1223 = t1220 * t1222;
  t1226 = t633 * t59;
  t1227 = t627 * t1226;
  t1228 = t244 * t1221;
  t1229 = t1227 * t1228;
  t1232 = t645 * t1216;
  t1233 = t633 * t206;
  t1234 = t627 * t1233;
  t1235 = t1232 * t1234;
  t1239 = t627 * t628 * t206;
  t1240 = t1232 * t1239;
  t1243 = t414 * t740;
  t1244 = t247 * t1243;
  t1245 = t221 * t206;
  t1246 = t219 * t1245;
  t1247 = t1244 * t1246;
  t1250 = t247 * t415;
  t1251 = t1250 * t730;
  t1255 = t674 * t420 * t249;
  t1258 = t194 * t1243;
  t1259 = t191 * t1258;
  t1260 = t673 * t1222;
  t1266 = t593 * t432 / 0.12e2;
  t1267 = t592 * t416;
  t1269 = t1267 * t223 / 0.36e2;
  t1270 = params->gamma * t202;
  t1272 = my_piecewise3(t49, t195, -0.2e1 / 0.9e1 * t1270);
  t1274 = t247 * t1272 * t249;
  t1277 = -t1218 * t1223 / 0.6e1 + t1218 * t1229 / 0.3e1 - t644 * t1235 / 0.2e1 + t246 * t1240 / 0.2e1 - t246 * t1247 / 0.2e1 - t246 * t1251 / 0.4e1 + t246 * t1255 / 0.4e1 + t1259 * t1260 / 0.6e1 + t417 * t670 / 0.12e2 + t1266 - t1269 + t246 * t1274 / 0.4e1;
  t1278 = t764 * t416;
  t1281 = t1272 * t208;
  t1282 = t194 * t1281;
  t1283 = t191 * t1282;
  t1288 = t222 * t428;
  t1291 = t426 * t243;
  t1292 = t242 * t1291;
  t1293 = t191 * t1292;
  t1300 = t1227 * t1222;
  t1305 = t427 * t277;
  t1309 = t188 * t428 / 0.12e2;
  t1312 = t193 * t1272;
  t1313 = t1312 * t227;
  t1315 = t420 * t747;
  t1316 = t63 * t206;
  t1317 = t229 * t1316;
  t1320 = t615 * t414;
  t1321 = t1320 * t647;
  t1322 = t648 * t1316;
  t1326 = t653 * t1316;
  t1329 = t60 * t206;
  t1330 = t648 * t1329;
  t1333 = t1312 * t208;
  t1336 = t229 * t1329;
  t1340 = t653 * t1329;
  t1342 = t1313 * t230 - 0.2e1 * t1315 * t1317 - t1321 * t1322 / 0.3e1 - t421 * t821 + 0.2e1 * t1321 * t1326 + 0.2e1 / 0.3e1 * t1321 * t1330 - t1333 * t234 / 0.2e1 + t1315 * t1336 + t421 * t837 / 0.2e1 - t1321 * t1340;
  t1343 = t59 * t1342;
  t1344 = t1343 * t95;
  t1347 = -t1278 * t223 / 0.12e2 - t1283 * t223 / 0.12e2 - t417 * t612 / 0.12e2 - t211 * t1288 / 0.12e2 + t1293 * t250 / 0.4e1 + t768 * t432 / 0.4e1 + t757 * t432 / 0.4e1 - t1218 * t1300 / 0.12e2 - t417 * t676 / 0.12e2 - t30 * t1305 / 0.4e1 - t1309 - t182 * t428 / 0.4e1 - t30 * t1344 / 0.4e1;
  t1349 = my_piecewise3(t2, 0, t1277 + t1347);
  tv2rhosigma0 = t3 * t1349 + t436;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t1351 = t933 * t441;
  t1354 = t937 * t441;
  t1356 = t1354 * t350 / 0.36e2;
  t1360 = t294 * t453 / 0.12e2;
  t1364 = t948 * t457 / 0.12e2;
  t1366 = my_piecewise3(t100, 0, -t1351 * t350 / 0.12e2 - t1356 - t290 * t453 / 0.4e1 - t1360 + t945 * t457 / 0.4e1 + t1364);
  tv2rhosigma2 = t3 * t1366 + t461;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t1368 = t897 * t416;
  t1376 = my_piecewise3(t2, 0, -t1368 * t223 / 0.12e2 - t1269 - t307 * t428 / 0.4e1 - t1309 + t903 * t432 / 0.4e1 + t1266);
  tv2rhosigma3 = t3 * t1376 + t436;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t1378 = t1074 * t441;
  t1381 = params->gamma * t329;
  t1383 = my_piecewise3(t129, t322, -0.2e1 / 0.9e1 * t1381);
  t1384 = t1383 * t335;
  t1385 = t194 * t1384;
  t1386 = t321 * t1385;
  t1389 = t439 * t1007;
  t1390 = t616 * t1389;
  t1391 = t321 * t1390;
  t1392 = t1014 * t139;
  t1393 = t1013 * t1392;
  t1394 = t167 * t333;
  t1395 = t988 * t1394;
  t1396 = t1393 * t1395;
  t1399 = t1019 * t139;
  t1400 = t1013 * t1399;
  t1401 = t371 * t1394;
  t1402 = t1400 * t1401;
  t1405 = t1031 * t1389;
  t1406 = t1019 * t333;
  t1407 = t1013 * t1406;
  t1408 = t1405 * t1407;
  t1412 = t1013 * t1014 * t333;
  t1413 = t1405 * t1412;
  t1416 = t439 * t1043;
  t1417 = t374 * t1416;
  t1419 = t346 * t348 * t333;
  t1420 = t1417 * t1419;
  t1423 = t374 * t440;
  t1424 = t1423 * t1100;
  t1428 = t978 * t445 * t376;
  t1431 = t194 * t1416;
  t1432 = t321 * t1431;
  t1433 = t1000 * t1395;
  t1438 = t1400 * t1395;
  t1441 = -t1378 * t350 / 0.12e2 - t1386 * t350 / 0.12e2 - t1391 * t1396 / 0.6e1 + t1391 * t1402 / 0.3e1 - t1030 * t1408 / 0.2e1 + t373 * t1413 / 0.2e1 - t373 * t1420 / 0.2e1 - t373 * t1424 / 0.4e1 + t373 * t1428 / 0.4e1 + t1432 * t1433 / 0.6e1 + t442 * t997 / 0.12e2 - t1391 * t1438 / 0.12e2;
  t1444 = t452 * t404;
  t1449 = t349 * t453;
  t1452 = t451 * t370;
  t1453 = t369 * t1452;
  t1454 = t321 * t1453;
  t1462 = t374 * t1383 * t376;
  t1467 = t193 * t1383;
  t1468 = t1467 * t354;
  t1470 = t445 * t1044;
  t1471 = t143 * t333;
  t1472 = t356 * t1471;
  t1475 = t615 * t439;
  t1476 = t1475 * t1033;
  t1477 = t1034 * t1471;
  t1481 = t1093 * t1471;
  t1484 = t140 * t333;
  t1485 = t1034 * t1484;
  t1488 = t1467 * t335;
  t1491 = t356 * t1484;
  t1495 = t1093 * t1484;
  t1497 = t1468 * t357 - 0.2e1 * t1470 * t1472 - t1476 * t1477 / 0.3e1 - t446 * t1184 + 0.2e1 * t1476 * t1481 + 0.2e1 / 0.3e1 * t1476 * t1485 - t1488 * t361 / 0.2e1 + t1470 * t1491 + t446 * t1200 / 0.2e1 - t1476 * t1495;
  t1498 = t139 * t1497;
  t1499 = t1498 * t168;
  t1502 = -t442 * t1002 / 0.12e2 - t110 * t1444 / 0.4e1 - t1356 + t1364 - t442 * t1087 / 0.12e2 - t338 * t1449 / 0.12e2 + t1454 * t377 / 0.4e1 + t1078 * t457 / 0.4e1 + t1056 * t457 / 0.4e1 + t373 * t1462 / 0.4e1 - t1360 - t318 * t453 / 0.4e1 - t110 * t1499 / 0.4e1;
  t1504 = my_piecewise3(t100, 0, t1441 + t1502);
  tv2rhosigma5 = t3 * t1504 + t461;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t1507 = t593 * t481 / 0.12e2;
  t1508 = t592 * t465;
  t1510 = t1508 * t223 / 0.36e2;
  t1512 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * t43);
  t1514 = t247 * t1512 * t249;
  t1517 = t764 * t465;
  t1520 = t1512 * t208;
  t1521 = t194 * t1520;
  t1522 = t191 * t1521;
  t1527 = t222 * t477;
  t1530 = t475 * t243;
  t1531 = t242 * t1530;
  t1532 = t191 * t1531;
  t1539 = t463 * t619;
  t1540 = t616 * t1539;
  t1541 = t191 * t1540;
  t1546 = t1507 - t1510 + t246 * t1514 / 0.4e1 - t1517 * t223 / 0.12e2 - t1522 * t223 / 0.12e2 - t466 * t612 / 0.12e2 - t211 * t1527 / 0.12e2 + t1532 * t250 / 0.4e1 + t768 * t481 / 0.4e1 + t757 * t481 / 0.4e1 - t1541 * t1223 / 0.6e1 + t1541 * t1229 / 0.3e1;
  t1547 = t645 * t1539;
  t1548 = t1547 * t1234;
  t1551 = t1547 * t1239;
  t1554 = t463 * t740;
  t1555 = t247 * t1554;
  t1556 = t1555 * t1246;
  t1559 = t247 * t464;
  t1560 = t1559 * t730;
  t1564 = t674 * t469 * t249;
  t1567 = t194 * t1554;
  t1568 = t191 * t1567;
  t1577 = t476 * t277;
  t1581 = t188 * t477 / 0.12e2;
  t1584 = t193 * t1512;
  t1585 = t1584 * t227;
  t1587 = t469 * t747;
  t1590 = t615 * t463;
  t1591 = t1590 * t647;
  t1599 = t1584 * t208;
  t1606 = t1585 * t230 - 0.2e1 * t1587 * t1317 - t1591 * t1322 / 0.3e1 - t470 * t821 + 0.2e1 * t1591 * t1326 + 0.2e1 / 0.3e1 * t1591 * t1330 - t1599 * t234 / 0.2e1 + t1587 * t1336 + t470 * t837 / 0.2e1 - t1591 * t1340;
  t1607 = t59 * t1606;
  t1608 = t1607 * t95;
  t1611 = -t644 * t1548 / 0.2e1 + t246 * t1551 / 0.2e1 - t246 * t1556 / 0.2e1 - t246 * t1560 / 0.4e1 + t246 * t1564 / 0.4e1 + t1568 * t1260 / 0.6e1 + t466 * t670 / 0.12e2 - t1541 * t1300 / 0.12e2 - t466 * t676 / 0.12e2 - t30 * t1577 / 0.4e1 - t1581 - t182 * t477 / 0.4e1 - t30 * t1608 / 0.4e1;
  t1613 = my_piecewise3(t2, 0, t1546 + t1611);
  tv2rholapl0 = t3 * t1613 + t485;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t1615 = t933 * t489;
  t1618 = t937 * t489;
  t1620 = t1618 * t350 / 0.36e2;
  t1624 = t294 * t501 / 0.12e2;
  t1628 = t948 * t505 / 0.12e2;
  t1630 = my_piecewise3(t100, 0, -t1615 * t350 / 0.12e2 - t1620 - t290 * t501 / 0.4e1 - t1624 + t945 * t505 / 0.4e1 + t1628);
  tv2rholapl1 = t3 * t1630 + t509;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t1632 = t897 * t465;
  t1640 = my_piecewise3(t2, 0, -t1632 * t223 / 0.12e2 - t1510 - t307 * t477 / 0.4e1 - t1581 + t903 * t481 / 0.4e1 + t1507);
  tv2rholapl2 = t3 * t1640 + t485;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t1642 = t487 * t1043;
  t1643 = t194 * t1642;
  t1644 = t321 * t1643;
  t1649 = t487 * t1007;
  t1650 = t616 * t1649;
  t1651 = t321 * t1650;
  t1658 = t349 * t501;
  t1661 = t499 * t370;
  t1662 = t369 * t1661;
  t1663 = t321 * t1662;
  t1671 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * t123);
  t1673 = t374 * t1671 * t376;
  t1676 = -t1620 + t1644 * t1433 / 0.6e1 + t490 * t997 / 0.12e2 - t1651 * t1438 / 0.12e2 - t490 * t1002 / 0.12e2 + t1628 - t490 * t1087 / 0.12e2 - t338 * t1658 / 0.12e2 + t1663 * t377 / 0.4e1 + t1078 * t505 / 0.4e1 + t1056 * t505 / 0.4e1 + t373 * t1673 / 0.4e1;
  t1677 = t1074 * t489;
  t1680 = t1671 * t335;
  t1681 = t194 * t1680;
  t1682 = t321 * t1681;
  t1685 = t500 * t404;
  t1692 = t1031 * t1649;
  t1693 = t1692 * t1407;
  t1696 = t1692 * t1412;
  t1699 = t374 * t1642;
  t1700 = t1699 * t1419;
  t1703 = t374 * t488;
  t1704 = t1703 * t1100;
  t1708 = t978 * t493 * t376;
  t1713 = t193 * t1671;
  t1714 = t1713 * t354;
  t1716 = t493 * t1044;
  t1719 = t615 * t487;
  t1720 = t1719 * t1033;
  t1728 = t1713 * t335;
  t1735 = t1714 * t357 - 0.2e1 * t1716 * t1472 - t1720 * t1477 / 0.3e1 - t494 * t1184 + 0.2e1 * t1720 * t1481 + 0.2e1 / 0.3e1 * t1720 * t1485 - t1728 * t361 / 0.2e1 + t1716 * t1491 + t494 * t1200 / 0.2e1 - t1720 * t1495;
  t1736 = t139 * t1735;
  t1737 = t1736 * t168;
  t1740 = -t1677 * t350 / 0.12e2 - t1682 * t350 / 0.12e2 - t110 * t1685 / 0.4e1 - t1651 * t1396 / 0.6e1 + t1651 * t1402 / 0.3e1 - t1030 * t1693 / 0.2e1 + t373 * t1696 / 0.2e1 - t373 * t1700 / 0.2e1 - t373 * t1704 / 0.4e1 + t373 * t1708 / 0.4e1 - t1624 - t318 * t501 / 0.4e1 - t110 * t1737 / 0.4e1;
  t1742 = my_piecewise3(t100, 0, t1676 + t1740);
  tv2rholapl3 = t3 * t1742 + t509;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  t1746 = t512 * t619;
  t1747 = t616 * t1746;
  t1748 = t191 * t1747;
  t1757 = t645 * t1746;
  t1758 = t1757 * t1234;
  t1761 = t1757 * t1239;
  t1764 = t512 * t740;
  t1765 = t247 * t1764;
  t1766 = t1765 * t1246;
  t1769 = t247 * t513;
  t1770 = t1769 * t730;
  t1774 = t674 * t518 * t249;
  t1777 = params->at * t543;
  t1778 = t661 * t1777;
  t1779 = t673 * t1778;
  t1783 = t1777 * t226 * t249;
  t1786 = t194 * t1764;
  t1787 = t191 * t1786;
  t1791 = t593 * t530 / 0.12e2;
  t1792 = t525 * t277;
  t1795 = t515 * t670 / 0.12e2 - t1748 * t1300 / 0.12e2 - t515 * t676 / 0.12e2 - t1748 * t1223 / 0.6e1 + t1748 * t1229 / 0.3e1 - t644 * t1758 / 0.2e1 + t246 * t1761 / 0.2e1 - t246 * t1766 / 0.2e1 - t246 * t1770 / 0.4e1 + t246 * t1774 / 0.4e1 - t211 * t1779 / 0.12e2 + t246 * t1783 / 0.4e1 + t1787 * t1260 / 0.6e1 + t1791 - t30 * t1792 / 0.4e1;
  t1798 = t238 * t544;
  t1804 = 0.1e1 / t31 / t600;
  t1805 = t1804 * t257;
  t1808 = t1804 * tau[0];
  t1829 = 0.5e1 / 0.3e1 * t43 * t77 - 0.1e2 / 0.3e1 * t1805 * tau[0] + 0.5e2 / 0.3e1 * t692 * t1808 + 0.5e1 / 0.3e1 * t258 * t43 + 0.6e2 * t697 * t1808 - 0.1e2 * t261 * t43 + 0.2e2 / 0.3e1 * t702 * t1808 - 0.1e2 * t265 * t43 - 0.25e3 / 0.3e1 * t707 * t1808 + 0.25e2 / 0.3e1 * t268 * t43 - 0.5e2 * t714 * t1808 + 0.25e2 / 0.3e1 * t273 * t43;
  t1830 = t253 * t1829;
  t1831 = t65 * t1830;
  t1835 = t188 * t545 / 0.12e2;
  t1839 = my_piecewise3(t49, t195, 0.1e2 / 0.9e1 * t412);
  t1840 = t193 * t1839;
  t1841 = t1840 * t227;
  t1843 = t518 * t747;
  t1846 = t615 * t512;
  t1847 = t1846 * t647;
  t1855 = t1840 * t208;
  t1862 = t1841 * t230 - 0.2e1 * t1843 * t1317 - t1847 * t1322 / 0.3e1 - t519 * t821 + 0.2e1 * t1847 * t1326 + 0.2e1 / 0.3e1 * t1847 * t1330 - t1855 * t234 / 0.2e1 + t1843 * t1336 + t519 * t837 / 0.2e1 - t1847 * t1340;
  t1863 = t59 * t1862;
  t1864 = t1863 * t95;
  t1868 = t188 * t526 / 0.12e2;
  t1869 = t592 * t514;
  t1871 = t1869 * t223 / 0.36e2;
  t1873 = t247 * t1839 * t249;
  t1876 = t764 * t514;
  t1879 = t1839 * t208;
  t1880 = t194 * t1879;
  t1881 = t191 * t1880;
  t1886 = t222 * t526;
  t1889 = t524 * t243;
  t1890 = t242 * t1889;
  t1891 = t191 * t1890;
  t1898 = -t182 * t545 / 0.4e1 - t30 * t1798 / 0.4e1 - t30 * t1831 / 0.4e1 - t1835 - t182 * t526 / 0.4e1 - t30 * t1864 / 0.4e1 - t1868 - t1871 + t246 * t1873 / 0.4e1 - t1876 * t223 / 0.12e2 - t1881 * t223 / 0.12e2 - t515 * t612 / 0.12e2 - t211 * t1886 / 0.12e2 + t1891 * t250 / 0.4e1 + t768 * t530 / 0.4e1 + t757 * t530 / 0.4e1;
  t1900 = my_piecewise3(t2, 0, t1795 + t1898);
  tv2rhotau0 = t3 * t1900 + t549;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t1902 = t933 * t554;
  t1905 = t937 * t554;
  t1907 = t1905 * t350 / 0.36e2;
  t1911 = t294 * t566 / 0.12e2;
  t1915 = t948 * t570 / 0.12e2;
  t1919 = t294 * t585 / 0.12e2;
  t1921 = my_piecewise3(t100, 0, -t1902 * t350 / 0.12e2 - t1907 - t290 * t566 / 0.4e1 - t1911 + t945 * t570 / 0.4e1 + t1915 - t290 * t585 / 0.4e1 - t1919);
  tv2rhotau1 = t3 * t1921 + t589;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  t1923 = t897 * t514;
  t1933 = my_piecewise3(t2, 0, -t1923 * t223 / 0.12e2 - t1871 - t307 * t526 / 0.4e1 - t1868 + t903 * t530 / 0.4e1 + t1791 - t307 * t545 / 0.4e1 - t1835);
  tv2rhotau2 = t3 * t1933 + t549;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  t1935 = t552 * t1043;
  t1936 = t374 * t1935;
  t1937 = t1936 * t1419;
  t1940 = t374 * t553;
  t1941 = t1940 * t1100;
  t1945 = t978 * t558 * t376;
  t1948 = params->at * t583;
  t1949 = t988 * t1948;
  t1950 = t1000 * t1949;
  t1954 = t1948 * t353 * t376;
  t1957 = t194 * t1935;
  t1958 = t321 * t1957;
  t1963 = t552 * t1007;
  t1964 = t616 * t1963;
  t1965 = t321 * t1964;
  t1974 = t1031 * t1963;
  t1975 = t1974 * t1407;
  t1978 = t1974 * t1412;
  t1981 = t365 * t584;
  t1987 = 0.1e1 / t111 / t1063;
  t1988 = t1987 * t384;
  t1991 = t1987 * tau[1];
  t2012 = 0.5e1 / 0.3e1 * t123 * t150 - 0.1e2 / 0.3e1 * t1988 * tau[1] + 0.5e2 / 0.3e1 * t1118 * t1991 + 0.5e1 / 0.3e1 * t385 * t123 + 0.6e2 * t1123 * t1991 - 0.1e2 * t388 * t123 + 0.2e2 / 0.3e1 * t1128 * t1991 - 0.1e2 * t392 * t123 - 0.25e3 / 0.3e1 * t1133 * t1991 + 0.25e2 / 0.3e1 * t395 * t123 - 0.5e2 * t1140 * t1991 + 0.25e2 / 0.3e1 * t400 * t123;
  t2013 = t380 * t2012;
  t2014 = t145 * t2013;
  t2017 = -t373 * t1937 / 0.2e1 - t373 * t1941 / 0.4e1 + t373 * t1945 / 0.4e1 - t338 * t1950 / 0.12e2 + t373 * t1954 / 0.4e1 + t1958 * t1433 / 0.6e1 + t555 * t997 / 0.12e2 - t1965 * t1438 / 0.12e2 - t555 * t1002 / 0.12e2 - t1965 * t1396 / 0.6e1 + t1965 * t1402 / 0.3e1 - t1030 * t1975 / 0.2e1 + t373 * t1978 / 0.2e1 - t110 * t1981 / 0.4e1 - t110 * t2014 / 0.4e1;
  t2018 = t565 * t404;
  t2025 = t349 * t566;
  t2028 = t564 * t370;
  t2029 = t369 * t2028;
  t2030 = t321 * t2029;
  t2038 = my_piecewise3(t129, t322, 0.1e2 / 0.9e1 * t437);
  t2040 = t374 * t2038 * t376;
  t2043 = t1074 * t554;
  t2046 = t2038 * t335;
  t2047 = t194 * t2046;
  t2048 = t321 * t2047;
  t2053 = t193 * t2038;
  t2054 = t2053 * t354;
  t2056 = t558 * t1044;
  t2059 = t615 * t552;
  t2060 = t2059 * t1033;
  t2068 = t2053 * t335;
  t2075 = t2054 * t357 - 0.2e1 * t2056 * t1472 - t2060 * t1477 / 0.3e1 - t559 * t1184 + 0.2e1 * t2060 * t1481 + 0.2e1 / 0.3e1 * t2060 * t1485 - t2068 * t361 / 0.2e1 + t2056 * t1491 + t559 * t1200 / 0.2e1 - t2060 * t1495;
  t2076 = t139 * t2075;
  t2077 = t2076 * t168;
  t2080 = -t110 * t2018 / 0.4e1 - t318 * t585 / 0.4e1 - t1919 - t555 * t1087 / 0.12e2 - t338 * t2025 / 0.12e2 + t2030 * t377 / 0.4e1 + t1078 * t570 / 0.4e1 + t1056 * t570 / 0.4e1 + t373 * t2040 / 0.4e1 - t2043 * t350 / 0.12e2 - t2048 * t350 / 0.12e2 - t1911 - t318 * t566 / 0.4e1 - t110 * t2077 / 0.4e1 - t1907 + t1915;
  t2082 = my_piecewise3(t100, 0, t2017 + t2080);
  tv2rhotau3 = t3 * t2082 + t589;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t2084 = my_piecewise3(t49, t195, 0);
  t2085 = t2084 * t208;
  t2086 = t194 * t2085;
  t2087 = t191 * t2086;
  t2089 = t2087 * t223 / 0.12e2;
  t2090 = t414 * t414;
  t2091 = t2090 * t740;
  t2092 = t194 * t2091;
  t2093 = t191 * t2092;
  t2096 = t2090 * t619;
  t2097 = t616 * t2096;
  t2098 = t191 * t2097;
  t2105 = 0.2e1 * t662 * t414 * t249 - 0.2e1 * t423 * t222;
  t2106 = t94 * t2105;
  t2107 = t661 * t2106;
  t2108 = t660 * t2107;
  t2117 = t193 * t2084;
  t2118 = t2117 * t227;
  t2119 = t2118 * t230;
  t2120 = t193 * t2090;
  t2121 = t2120 * t747;
  t2124 = t615 * t2090;
  t2125 = t2124 * t647;
  t2128 = t63 * t2105;
  t2129 = t819 * t2128;
  t2133 = t2124 * t619;
  t2136 = t2117 * t208;
  t2138 = t2136 * t234 / 0.2e1;
  t2139 = t2120 * t740;
  t2141 = t60 * t2105;
  t2142 = t819 * t2141;
  t2146 = t2119 - 0.2e1 * t2121 * t230 - t2125 * t816 / 0.3e1 - t421 * t2129 + 0.2e1 * t2125 * t823 + 0.2e1 / 0.3e1 * t2133 * t828 - t2138 + t2139 * t234 + t421 * t2142 / 0.2e1 - t2133 * t841;
  t2147 = t59 * t2146;
  t2148 = t2147 * t95;
  t2153 = t645 * t2090;
  t2154 = t2153 * t649;
  t2158 = t247 * t2084 * t249;
  t2160 = t246 * t2158 / 0.4e1;
  t2162 = t247 * t2090 * t748;
  t2165 = t221 * t2105;
  t2166 = t658 * t2165;
  t2167 = t1250 * t2166;
  t2170 = t2153 * t654;
  t2173 = -t2089 + t2093 * t223 / 0.6e1 - t2098 * t752 / 0.12e2 + t417 * t2108 / 0.12e2 - t2098 * t630 / 0.6e1 - t417 * t1288 / 0.6e1 + t2098 * t637 / 0.3e1 - t30 * t2148 / 0.4e1 + t1293 * t432 / 0.2e1 - t644 * t2154 / 0.2e1 + t2160 - t246 * t2162 / 0.2e1 - t246 * t2167 / 0.4e1 + t246 * t2170 / 0.2e1;
  t2174 = my_piecewise3(t2, 0, t2173);
  tv2sigma20 = t3 * t2174;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t2175 = my_piecewise3(t129, t322, 0);
  t2176 = t2175 * t335;
  t2177 = t194 * t2176;
  t2178 = t321 * t2177;
  t2180 = t2178 * t350 / 0.12e2;
  t2181 = t439 * t439;
  t2182 = t2181 * t1043;
  t2183 = t194 * t2182;
  t2184 = t321 * t2183;
  t2187 = t2181 * t1007;
  t2188 = t616 * t2187;
  t2189 = t321 * t2188;
  t2196 = 0.2e1 * t989 * t439 * t376 - 0.2e1 * t448 * t349;
  t2197 = t167 * t2196;
  t2198 = t988 * t2197;
  t2199 = t987 * t2198;
  t2208 = t193 * t2175;
  t2209 = t2208 * t354;
  t2210 = t2209 * t357;
  t2211 = t193 * t2181;
  t2212 = t2211 * t1044;
  t2215 = t615 * t2181;
  t2216 = t2215 * t1033;
  t2219 = t143 * t2196;
  t2220 = t1182 * t2219;
  t2224 = t2215 * t1007;
  t2227 = t2208 * t335;
  t2229 = t2227 * t361 / 0.2e1;
  t2230 = t2211 * t1043;
  t2232 = t140 * t2196;
  t2233 = t1182 * t2232;
  t2237 = t2210 - 0.2e1 * t2212 * t357 - t2216 * t1179 / 0.3e1 - t446 * t2220 + 0.2e1 * t2216 * t1186 + 0.2e1 / 0.3e1 * t2224 * t1191 - t2229 + t2230 * t361 + t446 * t2233 / 0.2e1 - t2224 * t1204;
  t2238 = t139 * t2237;
  t2239 = t2238 * t168;
  t2244 = t1031 * t2181;
  t2245 = t2244 * t1035;
  t2249 = t374 * t2175 * t376;
  t2251 = t373 * t2249 / 0.4e1;
  t2253 = t374 * t2181 * t1045;
  t2256 = t348 * t2196;
  t2257 = t985 * t2256;
  t2258 = t1423 * t2257;
  t2261 = t2244 * t1094;
  t2264 = -t2180 + t2184 * t350 / 0.6e1 - t2189 * t1090 / 0.12e2 + t442 * t2199 / 0.12e2 - t2189 * t1016 / 0.6e1 - t442 * t1449 / 0.6e1 + t2189 * t1023 / 0.3e1 - t110 * t2239 / 0.4e1 + t1454 * t457 / 0.2e1 - t1030 * t2245 / 0.2e1 + t2251 - t373 * t2253 / 0.2e1 - t373 * t2258 / 0.4e1 + t373 * t2261 / 0.2e1;
  t2265 = my_piecewise3(t100, 0, t2264);
  tv2sigma25 = t3 * t2265;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t2266 = t94 * t414;
  t2267 = t661 * t2266;
  t2268 = t673 * t2267;
  t2271 = t1227 * t2267;
  t2276 = t1220 * t2267;
  t2281 = t244 * t2266;
  t2282 = t1227 * t2281;
  t2287 = t63 * t414;
  t2288 = t229 * t2287;
  t2291 = t648 * t2287;
  t2295 = t653 * t2287;
  t2298 = t60 * t414;
  t2299 = t648 * t2298;
  t2302 = t229 * t2298;
  t2306 = t653 * t2298;
  t2308 = t2119 - 0.2e1 * t1587 * t2288 - t1591 * t2291 / 0.3e1 - t470 * t2129 + 0.2e1 * t1591 * t2295 + 0.2e1 / 0.3e1 * t1591 * t2299 - t2138 + t1587 * t2302 + t470 * t2142 / 0.2e1 - t1591 * t2306;
  t2309 = t59 * t2308;
  t2310 = t2309 * t95;
  t2317 = t633 * t414;
  t2318 = t627 * t2317;
  t2319 = t1547 * t2318;
  t2322 = t221 * t414;
  t2323 = t219 * t2322;
  t2324 = t1555 * t2323;
  t2327 = t1559 * t2166;
  t2330 = t628 * t414;
  t2331 = t627 * t2330;
  t2332 = t1547 * t2331;
  t2335 = -t2089 + t1568 * t2268 / 0.6e1 - t1541 * t2271 / 0.12e2 + t466 * t2108 / 0.12e2 - t1541 * t2276 / 0.6e1 - t466 * t1288 / 0.12e2 + t1541 * t2282 / 0.3e1 - t417 * t1527 / 0.12e2 - t30 * t2310 / 0.4e1 + t1532 * t432 / 0.4e1 + t1293 * t481 / 0.4e1 - t644 * t2319 / 0.2e1 + t2160 - t246 * t2324 / 0.2e1 - t246 * t2327 / 0.4e1 + t246 * t2332 / 0.2e1;
  t2336 = my_piecewise3(t2, 0, t2335);
  tv2sigmalapl0 = t3 * t2336;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t2337 = t167 * t439;
  t2338 = t988 * t2337;
  t2339 = t1000 * t2338;
  t2342 = t1400 * t2338;
  t2347 = t1393 * t2338;
  t2352 = t371 * t2337;
  t2353 = t1400 * t2352;
  t2358 = t143 * t439;
  t2359 = t356 * t2358;
  t2362 = t1034 * t2358;
  t2366 = t1093 * t2358;
  t2369 = t140 * t439;
  t2370 = t1034 * t2369;
  t2373 = t356 * t2369;
  t2377 = t1093 * t2369;
  t2379 = t2210 - 0.2e1 * t1716 * t2359 - t1720 * t2362 / 0.3e1 - t494 * t2220 + 0.2e1 * t1720 * t2366 + 0.2e1 / 0.3e1 * t1720 * t2370 - t2229 + t1716 * t2373 + t494 * t2233 / 0.2e1 - t1720 * t2377;
  t2380 = t139 * t2379;
  t2381 = t2380 * t168;
  t2388 = t1019 * t439;
  t2389 = t1013 * t2388;
  t2390 = t1692 * t2389;
  t2393 = t348 * t439;
  t2394 = t346 * t2393;
  t2395 = t1699 * t2394;
  t2398 = t1703 * t2257;
  t2401 = t1014 * t439;
  t2402 = t1013 * t2401;
  t2403 = t1692 * t2402;
  t2406 = -t2180 + t1644 * t2339 / 0.6e1 - t1651 * t2342 / 0.12e2 + t490 * t2199 / 0.12e2 - t1651 * t2347 / 0.6e1 - t490 * t1449 / 0.12e2 + t1651 * t2353 / 0.3e1 - t442 * t1658 / 0.12e2 - t110 * t2381 / 0.4e1 + t1663 * t457 / 0.4e1 + t1454 * t505 / 0.4e1 - t1030 * t2390 / 0.2e1 + t2251 - t373 * t2395 / 0.2e1 - t373 * t2398 / 0.4e1 + t373 * t2403 / 0.2e1;
  t2407 = my_piecewise3(t100, 0, t2406);
  tv2sigmalapl5 = t3 * t2407;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  t2435 = t2119 - 0.2e1 * t1843 * t2288 - t1847 * t2291 / 0.3e1 - t519 * t2129 + 0.2e1 * t1847 * t2295 + 0.2e1 / 0.3e1 * t1847 * t2299 - t2138 + t1843 * t2302 + t519 * t2142 / 0.2e1 - t1847 * t2306;
  t2436 = t59 * t2435;
  t2437 = t2436 * t95;
  t2444 = t1757 * t2318;
  t2447 = t1765 * t2323;
  t2450 = t1769 * t2166;
  t2453 = t1757 * t2331;
  t2458 = t427 * t544;
  t2462 = t1777 * t420 * t249;
  t2465 = -t2089 + t1787 * t2268 / 0.6e1 - t1748 * t2271 / 0.12e2 + t515 * t2108 / 0.12e2 - t1748 * t2276 / 0.6e1 - t515 * t1288 / 0.12e2 + t1748 * t2282 / 0.3e1 - t417 * t1886 / 0.12e2 - t30 * t2437 / 0.4e1 + t1891 * t432 / 0.4e1 + t1293 * t530 / 0.4e1 - t644 * t2444 / 0.2e1 + t2160 - t246 * t2447 / 0.2e1 - t246 * t2450 / 0.4e1 + t246 * t2453 / 0.2e1 - t417 * t1779 / 0.12e2 - t30 * t2458 / 0.4e1 + t246 * t2462 / 0.4e1;
  t2466 = my_piecewise3(t2, 0, t2465);
  tv2sigmatau0 = t3 * t2466;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  t2494 = t2210 - 0.2e1 * t2056 * t2359 - t2060 * t2362 / 0.3e1 - t559 * t2220 + 0.2e1 * t2060 * t2366 + 0.2e1 / 0.3e1 * t2060 * t2370 - t2229 + t2056 * t2373 + t559 * t2233 / 0.2e1 - t2060 * t2377;
  t2495 = t139 * t2494;
  t2496 = t2495 * t168;
  t2503 = t1974 * t2389;
  t2506 = t1936 * t2394;
  t2509 = t1940 * t2257;
  t2512 = t1974 * t2402;
  t2517 = t452 * t584;
  t2521 = t1948 * t445 * t376;
  t2524 = -t2180 + t1958 * t2339 / 0.6e1 - t1965 * t2342 / 0.12e2 + t555 * t2199 / 0.12e2 - t1965 * t2347 / 0.6e1 - t555 * t1449 / 0.12e2 + t1965 * t2353 / 0.3e1 - t442 * t2025 / 0.12e2 - t110 * t2496 / 0.4e1 + t2030 * t457 / 0.4e1 + t1454 * t570 / 0.4e1 - t1030 * t2503 / 0.2e1 + t2251 - t373 * t2506 / 0.2e1 - t373 * t2509 / 0.4e1 + t373 * t2512 / 0.2e1 - t442 * t1950 / 0.12e2 - t110 * t2517 / 0.4e1 + t373 * t2521 / 0.4e1;
  t2525 = my_piecewise3(t100, 0, t2524);
  tv2sigmatau5 = t3 * t2525;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t2526 = t463 * t463;
  t2527 = t2526 * t740;
  t2528 = t194 * t2527;
  t2529 = t191 * t2528;
  t2532 = t2526 * t619;
  t2533 = t616 * t2532;
  t2534 = t191 * t2533;
  t2541 = 0.2e1 * t662 * t463 * t249 - 0.2e1 * t472 * t222;
  t2542 = t94 * t2541;
  t2543 = t661 * t2542;
  t2544 = t660 * t2543;
  t2553 = t193 * t2526;
  t2554 = t2553 * t747;
  t2557 = t615 * t2526;
  t2558 = t2557 * t647;
  t2561 = t63 * t2541;
  t2562 = t819 * t2561;
  t2566 = t2557 * t619;
  t2569 = t2553 * t740;
  t2571 = t60 * t2541;
  t2572 = t819 * t2571;
  t2576 = t2119 - 0.2e1 * t2554 * t230 - t2558 * t816 / 0.3e1 - t470 * t2562 + 0.2e1 * t2558 * t823 + 0.2e1 / 0.3e1 * t2566 * t828 - t2138 + t2569 * t234 + t470 * t2572 / 0.2e1 - t2566 * t841;
  t2577 = t59 * t2576;
  t2578 = t2577 * t95;
  t2583 = t645 * t2526;
  t2584 = t2583 * t649;
  t2588 = t247 * t2526 * t748;
  t2591 = t221 * t2541;
  t2592 = t658 * t2591;
  t2593 = t1559 * t2592;
  t2596 = t2583 * t654;
  t2599 = -t2089 + t2529 * t223 / 0.6e1 - t2534 * t752 / 0.12e2 + t466 * t2544 / 0.12e2 - t2534 * t630 / 0.6e1 - t466 * t1527 / 0.6e1 + t2534 * t637 / 0.3e1 - t30 * t2578 / 0.4e1 + t1532 * t481 / 0.2e1 - t644 * t2584 / 0.2e1 + t2160 - t246 * t2588 / 0.2e1 - t246 * t2593 / 0.4e1 + t246 * t2596 / 0.2e1;
  t2600 = my_piecewise3(t2, 0, t2599);
  tv2lapl20 = t3 * t2600;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t2601 = t487 * t487;
  t2602 = t2601 * t1043;
  t2603 = t194 * t2602;
  t2604 = t321 * t2603;
  t2607 = t2601 * t1007;
  t2608 = t616 * t2607;
  t2609 = t321 * t2608;
  t2616 = 0.2e1 * t989 * t487 * t376 - 0.2e1 * t496 * t349;
  t2617 = t167 * t2616;
  t2618 = t988 * t2617;
  t2619 = t987 * t2618;
  t2628 = t193 * t2601;
  t2629 = t2628 * t1044;
  t2632 = t615 * t2601;
  t2633 = t2632 * t1033;
  t2636 = t143 * t2616;
  t2637 = t1182 * t2636;
  t2641 = t2632 * t1007;
  t2644 = t2628 * t1043;
  t2646 = t140 * t2616;
  t2647 = t1182 * t2646;
  t2651 = t2210 - 0.2e1 * t2629 * t357 - t2633 * t1179 / 0.3e1 - t494 * t2637 + 0.2e1 * t2633 * t1186 + 0.2e1 / 0.3e1 * t2641 * t1191 - t2229 + t2644 * t361 + t494 * t2647 / 0.2e1 - t2641 * t1204;
  t2652 = t139 * t2651;
  t2653 = t2652 * t168;
  t2658 = t1031 * t2601;
  t2659 = t2658 * t1035;
  t2663 = t374 * t2601 * t1045;
  t2666 = t348 * t2616;
  t2667 = t985 * t2666;
  t2668 = t1703 * t2667;
  t2671 = t2658 * t1094;
  t2674 = -t2180 + t2604 * t350 / 0.6e1 - t2609 * t1090 / 0.12e2 + t490 * t2619 / 0.12e2 - t2609 * t1016 / 0.6e1 - t490 * t1658 / 0.6e1 + t2609 * t1023 / 0.3e1 - t110 * t2653 / 0.4e1 + t1663 * t505 / 0.2e1 - t1030 * t2659 / 0.2e1 + t2251 - t373 * t2663 / 0.2e1 - t373 * t2668 / 0.4e1 + t373 * t2671 / 0.2e1;
  t2675 = my_piecewise3(t100, 0, t2674);
  tv2lapl22 = t3 * t2675;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  t2676 = t94 * t463;
  t2677 = t661 * t2676;
  t2678 = t673 * t2677;
  t2681 = t1227 * t2677;
  t2686 = t1220 * t2677;
  t2691 = t244 * t2676;
  t2692 = t1227 * t2691;
  t2697 = t63 * t463;
  t2698 = t229 * t2697;
  t2701 = t648 * t2697;
  t2705 = t653 * t2697;
  t2708 = t60 * t463;
  t2709 = t648 * t2708;
  t2712 = t229 * t2708;
  t2716 = t653 * t2708;
  t2718 = t2119 - 0.2e1 * t1843 * t2698 - t1847 * t2701 / 0.3e1 - t519 * t2562 + 0.2e1 * t1847 * t2705 + 0.2e1 / 0.3e1 * t1847 * t2709 - t2138 + t1843 * t2712 + t519 * t2572 / 0.2e1 - t1847 * t2716;
  t2719 = t59 * t2718;
  t2720 = t2719 * t95;
  t2727 = t633 * t463;
  t2728 = t627 * t2727;
  t2729 = t1757 * t2728;
  t2732 = t221 * t463;
  t2733 = t219 * t2732;
  t2734 = t1765 * t2733;
  t2737 = t1769 * t2592;
  t2740 = t628 * t463;
  t2741 = t627 * t2740;
  t2742 = t1757 * t2741;
  t2747 = t476 * t544;
  t2751 = t1777 * t469 * t249;
  t2754 = -t2089 + t1787 * t2678 / 0.6e1 - t1748 * t2681 / 0.12e2 + t515 * t2544 / 0.12e2 - t1748 * t2686 / 0.6e1 - t515 * t1527 / 0.12e2 + t1748 * t2692 / 0.3e1 - t466 * t1886 / 0.12e2 - t30 * t2720 / 0.4e1 + t1891 * t481 / 0.4e1 + t1532 * t530 / 0.4e1 - t644 * t2729 / 0.2e1 + t2160 - t246 * t2734 / 0.2e1 - t246 * t2737 / 0.4e1 + t246 * t2742 / 0.2e1 - t466 * t1779 / 0.12e2 - t30 * t2747 / 0.4e1 + t246 * t2751 / 0.4e1;
  t2755 = my_piecewise3(t2, 0, t2754);
  tv2lapltau0 = t3 * t2755;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  t2756 = t167 * t487;
  t2757 = t988 * t2756;
  t2758 = t1000 * t2757;
  t2761 = t1400 * t2757;
  t2766 = t1393 * t2757;
  t2771 = t371 * t2756;
  t2772 = t1400 * t2771;
  t2777 = t143 * t487;
  t2778 = t356 * t2777;
  t2781 = t1034 * t2777;
  t2785 = t1093 * t2777;
  t2788 = t140 * t487;
  t2789 = t1034 * t2788;
  t2792 = t356 * t2788;
  t2796 = t1093 * t2788;
  t2798 = t2210 - 0.2e1 * t2056 * t2778 - t2060 * t2781 / 0.3e1 - t559 * t2637 + 0.2e1 * t2060 * t2785 + 0.2e1 / 0.3e1 * t2060 * t2789 - t2229 + t2056 * t2792 + t559 * t2647 / 0.2e1 - t2060 * t2796;
  t2799 = t139 * t2798;
  t2800 = t2799 * t168;
  t2807 = t1019 * t487;
  t2808 = t1013 * t2807;
  t2809 = t1974 * t2808;
  t2812 = t348 * t487;
  t2813 = t346 * t2812;
  t2814 = t1936 * t2813;
  t2817 = t1940 * t2667;
  t2820 = t1014 * t487;
  t2821 = t1013 * t2820;
  t2822 = t1974 * t2821;
  t2827 = t500 * t584;
  t2831 = t1948 * t493 * t376;
  t2834 = -t2180 + t1958 * t2758 / 0.6e1 - t1965 * t2761 / 0.12e2 + t555 * t2619 / 0.12e2 - t1965 * t2766 / 0.6e1 - t555 * t1658 / 0.12e2 + t1965 * t2772 / 0.3e1 - t490 * t2025 / 0.12e2 - t110 * t2800 / 0.4e1 + t2030 * t505 / 0.4e1 + t1663 * t570 / 0.4e1 - t1030 * t2809 / 0.2e1 + t2251 - t373 * t2814 / 0.2e1 - t373 * t2817 / 0.4e1 + t373 * t2822 / 0.2e1 - t490 * t1950 / 0.12e2 - t110 * t2827 / 0.4e1 + t373 * t2831 / 0.4e1;
  t2835 = my_piecewise3(t100, 0, t2834);
  tv2lapltau3 = t3 * t2835;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  t2836 = t512 * t512;
  t2837 = t2836 * t740;
  t2838 = t194 * t2837;
  t2839 = t191 * t2838;
  t2842 = t2836 * t619;
  t2843 = t616 * t2842;
  t2844 = t191 * t2843;
  t2851 = 0.2e1 * t662 * t512 * t249 - 0.2e1 * t521 * t222;
  t2852 = t94 * t2851;
  t2853 = t661 * t2852;
  t2854 = t660 * t2853;
  t2865 = t193 * t2836;
  t2866 = t2865 * t747;
  t2869 = t615 * t2836;
  t2870 = t2869 * t647;
  t2873 = t63 * t2851;
  t2874 = t819 * t2873;
  t2878 = t2869 * t619;
  t2881 = t2865 * t740;
  t2883 = t60 * t2851;
  t2884 = t819 * t2883;
  t2888 = t2119 - 0.2e1 * t2866 * t230 - t2870 * t816 / 0.3e1 - t519 * t2874 + 0.2e1 * t2870 * t823 + 0.2e1 / 0.3e1 * t2878 * t828 - t2138 + t2881 * t234 + t519 * t2884 / 0.2e1 - t2878 * t841;
  t2889 = t59 * t2888;
  t2890 = t2889 * t95;
  t2895 = t525 * t544;
  t2898 = t645 * t2836;
  t2899 = t2898 * t649;
  t2903 = t1777 * t518 * t249;
  t2907 = t247 * t2836 * t748;
  t2910 = t221 * t2851;
  t2911 = t658 * t2910;
  t2912 = t1769 * t2911;
  t2915 = t2898 * t654;
  t2919 = 0.1e1 / t31 / t200;
  t2932 = 0.2e1 * t2919 * t257 - 0.1e2 * t692 * t2919 - 0.36e2 * t697 * t2919 - 0.4e1 * t702 * t2919 + 0.5e2 * t707 * t2919 + 0.3e2 * t714 * t2919;
  t2933 = t253 * t2932;
  t2934 = t65 * t2933;
  t2937 = -t2089 + t2839 * t223 / 0.6e1 - t2844 * t752 / 0.12e2 + t515 * t2854 / 0.12e2 - t2844 * t630 / 0.6e1 - t515 * t1886 / 0.6e1 + t2844 * t637 / 0.3e1 - t515 * t1779 / 0.6e1 - t30 * t2890 / 0.4e1 + t1891 * t530 / 0.2e1 - t30 * t2895 / 0.2e1 - t644 * t2899 / 0.2e1 + t246 * t2903 / 0.2e1 + t2160 - t246 * t2907 / 0.2e1 - t246 * t2912 / 0.4e1 + t246 * t2915 / 0.2e1 - t30 * t2934 / 0.4e1;
  t2938 = my_piecewise3(t2, 0, t2937);
  tv2tau20 = t3 * t2938;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  t2939 = t552 * t552;
  t2940 = t2939 * t1043;
  t2941 = t194 * t2940;
  t2942 = t321 * t2941;
  t2945 = t2939 * t1007;
  t2946 = t616 * t2945;
  t2947 = t321 * t2946;
  t2954 = 0.2e1 * t989 * t552 * t376 - 0.2e1 * t561 * t349;
  t2955 = t167 * t2954;
  t2956 = t988 * t2955;
  t2957 = t987 * t2956;
  t2968 = t193 * t2939;
  t2969 = t2968 * t1044;
  t2972 = t615 * t2939;
  t2973 = t2972 * t1033;
  t2976 = t143 * t2954;
  t2977 = t1182 * t2976;
  t2981 = t2972 * t1007;
  t2984 = t2968 * t1043;
  t2986 = t140 * t2954;
  t2987 = t1182 * t2986;
  t2991 = t2210 - 0.2e1 * t2969 * t357 - t2973 * t1179 / 0.3e1 - t559 * t2977 + 0.2e1 * t2973 * t1186 + 0.2e1 / 0.3e1 * t2981 * t1191 - t2229 + t2984 * t361 + t559 * t2987 / 0.2e1 - t2981 * t1204;
  t2992 = t139 * t2991;
  t2993 = t2992 * t168;
  t2998 = t565 * t584;
  t3001 = t1031 * t2939;
  t3002 = t3001 * t1035;
  t3006 = t1948 * t558 * t376;
  t3010 = t374 * t2939 * t1045;
  t3013 = t348 * t2954;
  t3014 = t985 * t3013;
  t3015 = t1940 * t3014;
  t3018 = t3001 * t1094;
  t3022 = 0.1e1 / t111 / t327;
  t3035 = -0.1e2 * t1118 * t3022 - 0.36e2 * t1123 * t3022 - 0.4e1 * t1128 * t3022 + 0.5e2 * t1133 * t3022 + 0.3e2 * t1140 * t3022 + 0.2e1 * t3022 * t384;
  t3036 = t380 * t3035;
  t3037 = t145 * t3036;
  t3040 = -t2180 + t2942 * t350 / 0.6e1 - t2947 * t1090 / 0.12e2 + t555 * t2957 / 0.12e2 - t2947 * t1016 / 0.6e1 - t555 * t2025 / 0.6e1 + t2947 * t1023 / 0.3e1 - t555 * t1950 / 0.6e1 - t110 * t2993 / 0.4e1 + t2030 * t570 / 0.2e1 - t110 * t2998 / 0.2e1 - t1030 * t3002 / 0.2e1 + t373 * t3006 / 0.2e1 + t2251 - t373 * t3010 / 0.2e1 - t373 * t3015 / 0.4e1 + t373 * t3018 / 0.2e1 - t110 * t3037 / 0.4e1;
  t3041 = my_piecewise3(t100, 0, t3040);
  tv2tau22 = t3 * t3041;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

  t3044 = t777 * t278;
  t3046 = t844 * t277;
  t3049 = t238 * t720;
  t3054 = t80 * t272;
  t3055 = t685 * tau[0];
  t3056 = t600 * t600;
  t3057 = 0.1e1 / t3056;
  t3058 = t3055 * t3057;
  t3061 = t86 * t713;
  t3064 = t88 * t88;
  t3065 = 0.1e1 / t3064;
  t3066 = t87 * t3065;
  t3069 = tau[0] * t602;
  t3072 = t75 * t264;
  t3075 = t79 * t90;
  t3080 = t600 * t41;
  t3082 = 0.1e1 / t31 / t3080;
  t3083 = t685 * t3082;
  t3106 = 0.25e4 / 0.3e1 * t3054 * t3058 + 0.625e4 / 0.3e1 * t3061 * t3058 + 0.875e4 / 0.9e1 * t3066 * t3058 + 0.44e3 / 0.27e2 * t3069 * t77 - 0.425e4 / 0.9e1 * t3072 * t3058 - 0.65e4 / 0.9e1 * t3075 * t3058 + 0.22e4 / 0.27e2 * t273 * t3069 + 0.2e4 / 0.9e1 * t692 * t3083 + 0.44e3 / 0.27e2 * t258 * t3069 + 0.8e3 * t697 * t3083 - 0.88e3 / 0.9e1 * t261 * t3069 + 0.8e3 / 0.9e1 * t702 * t3083 - 0.88e3 / 0.9e1 * t265 * t3069 - 0.1e5 / 0.9e1 * t707 * t3083 + 0.22e4 / 0.27e2 * t268 * t3069 - 0.2e4 / 0.3e1 * t714 * t3083 - 0.4e3 / 0.9e1 * t3083 * t257 - 0.25e3 / 0.9e1 * t3058 * t83;
  t3107 = t253 * t3106;
  t3108 = t65 * t3107;
  t3115 = t188 * t721;
  t3117 = t781 * t278;
  t3119 = t188 * t679;
  t3121 = t243 * params->at;
  t3122 = t65 * t3121;
  t3123 = t30 * t3122;
  t3124 = t276 * t193;
  t3125 = t3124 * t209;
  t3126 = t3125 * t730;
  t3129 = t30 * t228;
  t3130 = t819 * t65;
  t3131 = t276 * t667;
  t3132 = t253 * t3131;
  t3133 = t3130 * t3132;
  t3137 = 0.1e1 / t625 / t217;
  t3138 = t214 * t3137;
  t3139 = t3138 * t659;
  t3140 = t667 * t667;
  t3141 = t94 * t3140;
  t3142 = t661 * t3141;
  t3143 = t3139 * t3142;
  t3146 = t771 * t676;
  t3148 = t593 * t736;
  t3150 = t3044 / 0.6e1 - 0.3e1 / 0.4e1 * t30 * t3046 - 0.3e1 / 0.4e1 * t30 * t3049 - 0.3e1 / 0.4e1 * t182 * t721 - t30 * t3108 / 0.4e1 - 0.3e1 / 0.4e1 * t800 * t278 - 0.3e1 / 0.2e1 * t182 * t679 - t3115 / 0.4e1 - t3117 / 0.2e1 - t3119 / 0.2e1 - 0.3e1 / 0.4e1 * t3123 * t3126 + t3129 * t3133 / 0.4e1 - t211 * t3143 / 0.6e1 - t3146 / 0.6e1 + t3148 / 0.2e1;
  t3152 = t674 * t810 * t748;
  t3155 = t771 * t670;
  t3157 = t247 * t741;
  t3158 = t3157 * t730;
  t3161 = t3138 * t221 * t3140;
  t3162 = t728 * t3161;
  t3165 = t674 * t814;
  t3166 = t3165 * t649;
  t3169 = t593 * t731;
  t3171 = t624 * t3137;
  t3172 = t3171 * t1219;
  t3173 = t3172 * t669;
  t3176 = t1220 * t675;
  t3179 = t645 * t620;
  t3180 = t633 * t667;
  t3181 = t3171 * t3180;
  t3182 = t3179 * t3181;
  t3185 = t628 * t667;
  t3186 = t3171 * t3185;
  t3187 = t3179 * t3186;
  t3190 = t3165 * t654;
  t3193 = t606 * t619;
  t3194 = t645 * t3193;
  t3195 = t3194 * t1234;
  t3198 = t3194 * t1239;
  t3201 = t616 * t3193;
  t3202 = t191 * t3201;
  t3207 = -0.3e1 / 0.2e1 * t246 * t3152 + t3155 / 0.12e2 + t246 * t3158 + t246 * t3162 / 0.2e1 - 0.3e1 / 0.2e1 * t644 * t3166 - t3169 / 0.4e1 + t622 * t3173 / 0.2e1 - t622 * t3176 / 0.2e1 + 0.3e1 / 0.2e1 * t644 * t3182 - 0.3e1 / 0.2e1 * t246 * t3187 + 0.3e1 / 0.2e1 * t246 * t3190 - 0.3e1 / 0.2e1 * t644 * t3195 + 0.3e1 / 0.2e1 * t246 * t3198 - t3202 * t1223 / 0.2e1 + 0.3e1 / 0.2e1 * t768 * t736;
  t3215 = t247 * t607;
  t3216 = t3215 * t730;
  t3227 = t57 * t615;
  t3228 = t3227 * t617;
  t3231 = t662 * t209;
  t3244 = 0.2e1 / 0.3e1 * t826 * t634 + 0.2e1 * t662 * t606 * t249 - 0.4e1 * t662 * t617 * t748 + 0.4e1 / 0.3e1 * t3228 * t649 - 0.2e1 * t3231 * t730 + 0.4e1 * t3228 * t654 - 0.2e1 * t831 * t222 + 0.4e1 * t834 * t222 + 0.2e1 * t232 * t730 - 0.4e1 * t826 * t629;
  t3246 = t658 * t221 * t3244;
  t3247 = t728 * t3246;
  t3250 = t3171 * t1226;
  t3251 = t244 * t668;
  t3252 = t3250 * t3251;
  t3254 = t244 * t674;
  t3255 = t1227 * t3254;
  t3257 = t206 * t740;
  t3258 = t194 * t3257;
  t3259 = t191 * t3258;
  t3260 = t94 * t606;
  t3261 = t661 * t3260;
  t3262 = t673 * t3261;
  t3267 = t94 * t3244;
  t3268 = t661 * t3267;
  t3269 = t660 * t3268;
  t3272 = t3250 * t669;
  t3279 = t237 * t66;
  t3280 = t3279 * t674;
  t3281 = t673 * t3280;
  t3284 = params->at * t719;
  t3286 = t3284 * t226 * t249;
  t3289 = 0.3e1 / 0.2e1 * t757 * t736 - 0.3e1 / 0.4e1 * t768 * t731 - 0.3e1 / 0.4e1 * t757 * t731 - t246 * t3216 / 0.2e1 - t246 * t3247 / 0.4e1 - t622 * t3252 + t622 * t3255 + t3259 * t3262 / 0.2e1 - t743 * t670 / 0.3e1 + t211 * t3269 / 0.12e2 + t622 * t3272 / 0.4e1 - t765 * t676 / 0.2e1 - t609 * t676 / 0.4e1 - t211 * t3281 / 0.2e1 + 0.3e1 / 0.4e1 * t246 * t3286;
  t3291 = t674 * t807 * t249;
  t3300 = t3279 * t668;
  t3301 = t660 * t3300;
  t3304 = t661 * t3284;
  t3305 = t673 * t3304;
  t3308 = t1227 * t675;
  t3313 = t219 * t221 * t606;
  t3314 = t247 * t3257 * t3313;
  t3318 = t616 * t206 * t619;
  t3319 = t191 * t3318;
  t3320 = t1227 * t3261;
  t3323 = t244 * t3260;
  t3324 = t1227 * t3323;
  t3327 = 0.1e1 / t185 / t173;
  t3328 = t22 * t3327;
  t3329 = t3328 * t29;
  t3331 = 0.5e1 / 0.54e2 * t3329 * t96;
  t3334 = t180 * t775;
  t3335 = t3334 * t29;
  t3336 = t3335 * t96;
  t3338 = t777 * t239;
  t3340 = t798 * t186;
  t3341 = t3340 * t29;
  t3342 = t3341 * t96;
  t3344 = t781 * t239;
  t3346 = 0.3e1 / 0.4e1 * t246 * t3291 + t743 * t676 / 0.2e1 + t765 * t670 / 0.4e1 + t609 * t670 / 0.6e1 + t211 * t3301 / 0.4e1 - t211 * t3305 / 0.4e1 - t622 * t3308 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t3314 - t3319 * t3320 / 0.4e1 + t3319 * t3324 - t3331 - 0.3e1 / 0.4e1 * t182 * t845 + t3336 / 0.6e1 + t3338 / 0.6e1 - t3342 / 0.4e1 - t3344 / 0.2e1;
  t3349 = t188 * t845;
  t3352 = 0.1e1 / t784 / t16;
  t3353 = t786 * t177;
  t3356 = t785 * t177;
  t3359 = t173 * t173;
  t3360 = 0.1e1 / t3359;
  t3361 = t13 * t3360;
  t3364 = my_piecewise5(t7, 0, t11, 0, 0.6e1 * t790 - 0.6e1 * t3361);
  t3368 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3352 * t3353 + 0.4e1 / 0.3e1 * t3356 * t794 + 0.4e1 / 0.3e1 * t20 * t3364);
  t3369 = t3368 * t23;
  t3370 = t3369 * t29;
  t3375 = t3137 * t633;
  t3376 = t3375 * t820;
  t3378 = t63 * t3244;
  t3379 = t819 * t3378;
  t3381 = t615 * t606;
  t3382 = t3381 * t647;
  t3385 = t807 * t747;
  t3393 = t617 * t206;
  t3394 = t69 * t3393;
  t3396 = 0.1e1 / t618 / t207;
  t3398 = 0.1e1 / t623 / t213;
  t3399 = t3396 * t3398;
  t3400 = t3394 * t3399;
  t3401 = t633 * t220;
  t3402 = t3137 * t3401;
  t3403 = t3402 * t63;
  t3406 = t3375 * t63;
  t3409 = t3137 * t628;
  t3410 = t3409 * t836;
  t3413 = t615 * t3393;
  t3415 = 0.1e1 / t618 / t56;
  t3416 = t3415 * t624;
  t3417 = t3413 * t3416;
  t3420 = t193 * t3393;
  t3421 = t619 * t214;
  t3422 = t3420 * t3421;
  t3427 = t3409 * t820;
  t3430 = t3137 * t221;
  t3431 = t63 * t3140;
  t3432 = t3430 * t3431;
  t3435 = t60 * t3244;
  t3436 = t819 * t3435;
  t3439 = t815 * t3376 - t228 * t3379 + 0.6e1 * t3382 * t1326 - 0.6e1 * t3385 * t1317 - 0.2e1 * t808 * t821 - t3382 * t1322 + 0.4e1 * t811 * t821 - 0.2e1 / 0.3e1 * t3400 * t3403 + 0.6e1 * t3400 * t3406 + 0.3e1 * t815 * t3410 - 0.12e2 * t3417 * t823 + 0.6e1 * t3422 * t230 - 0.3e1 * t3382 * t1340 - 0.6e1 * t815 * t3427 + 0.2e1 * t228 * t3432 + t228 * t3436 / 0.2e1;
  t3447 = t633 * t221;
  t3448 = t3137 * t3447;
  t3449 = t3448 * t63;
  t3452 = t3375 * t836;
  t3460 = 0.1e1 / t32 / t686;
  t3464 = my_piecewise3(t49, t195, -0.22e3 / 0.81e2 * lapl[0] * t602 + 0.88e3 / 0.81e2 * t37 * t602 - 0.308e3 / 0.81e2 * t40 * t3460);
  t3465 = t193 * t3464;
  t3466 = t3465 * t227;
  t3470 = t60 * t3140;
  t3471 = t3430 * t3470;
  t3473 = t3394 * t3396;
  t3474 = t3398 * t3137;
  t3475 = t3401 * t60;
  t3476 = t3474 * t3475;
  t3479 = t3465 * t208;
  t3482 = t3447 * t60;
  t3483 = t3474 * t3482;
  t3486 = t3413 * t3415;
  t3491 = t3474 * t827;
  t3494 = t3420 * t619;
  t3497 = 0.3e1 * t3385 * t1336 + t808 * t837 - 0.2e1 * t811 * t837 + 0.2e1 * t3417 * t816 - t3400 * t3449 / 0.9e1 - 0.2e1 * t815 * t3452 + t3466 * t230 + 0.2e1 * t3382 * t1330 - t228 * t3471 + 0.1e2 / 0.3e1 * t3473 * t3476 - t3479 * t234 / 0.2e1 + t3473 * t3483 / 0.18e2 - 0.4e1 * t3486 * t828 + 0.6e1 * t3486 * t841 - 0.3e1 * t3473 * t3491 - 0.3e1 * t3494 * t234;
  t3498 = t3439 + t3497;
  t3499 = t59 * t3498;
  t3500 = t3499 * t95;
  t3503 = t645 * t3393;
  t3504 = t3416 * t648;
  t3505 = t3503 * t3504;
  t3508 = t3416 * t653;
  t3509 = t3503 * t3508;
  t3512 = t28 * t69;
  t3513 = t3393 * t3396;
  t3514 = t3512 * t3513;
  t3515 = t191 * t3514;
  t3516 = t3474 * t3401;
  t3517 = t3516 * t96;
  t3520 = t3393 * t3415;
  t3521 = t616 * t3520;
  t3522 = t191 * t3521;
  t3526 = t764 * t621;
  t3530 = t764 * t643;
  t3535 = t237 * t641;
  t3536 = t242 * t3535;
  t3537 = t191 * t3536;
  t3540 = t629 * t239;
  t3543 = -t3349 / 0.4e1 - t3370 * t96 / 0.4e1 - 0.3e1 / 0.4e1 * t800 * t239 - t30 * t3500 / 0.4e1 + 0.3e1 * t644 * t3505 - 0.3e1 * t246 * t3509 - 0.11e2 / 0.18e2 * t3515 * t3517 + t3522 * t630 - 0.2e1 * t3522 * t637 - t3526 * t630 / 0.2e1 + t3526 * t637 - 0.3e1 / 0.2e1 * t3530 * t650 + 0.3e1 / 0.2e1 * t757 * t655 - 0.3e1 / 0.2e1 * t3537 * t650 - t622 * t3540 / 0.2e1;
  t3544 = t3474 * t3447;
  t3545 = t3544 * t636;
  t3548 = t592 * t643;
  t3549 = t3548 * t650;
  t3551 = t593 * t655;
  t3553 = t222 * t845;
  t3556 = t771 * t612;
  t3558 = t3464 * t208;
  t3559 = t194 * t3558;
  t3560 = t191 * t3559;
  t3567 = t799 * t27;
  t3568 = t3567 * t245;
  t3571 = t592 * t608;
  t3572 = t3571 * t223;
  t3576 = t238 * t635;
  t3577 = t634 * t3576;
  t3582 = t247 * t3464 * t249;
  t3585 = t3567 * t210;
  t3588 = 0.23e2 / 0.36e2 * t3515 * t3545 - t3549 / 0.2e1 + t3551 / 0.2e1 - t211 * t3553 / 0.4e1 - t3556 / 0.6e1 - t3560 * t223 / 0.12e2 - t609 * t612 / 0.4e1 - t765 * t612 / 0.2e1 + 0.3e1 / 0.4e1 * t3568 * t250 - t3572 / 0.12e2 + 0.3e1 / 0.4e1 * t757 * t761 + t622 * t3577 + 0.3e1 / 0.4e1 * t768 * t761 + t246 * t3582 / 0.4e1 - t3585 * t223 / 0.4e1;
  t3590 = t764 * t608;
  t3599 = t634 * t239;
  t3602 = t3544 * t96;
  t3605 = t764 * t756;
  t3608 = t843 * t243;
  t3609 = t242 * t3608;
  t3610 = t191 * t3609;
  t3613 = t764 * t742;
  t3620 = t776 * t27;
  t3621 = t3620 * t245;
  t3622 = t3621 * t250;
  t3624 = t3620 * t210;
  t3625 = t3624 * t223;
  t3627 = t780 * t27;
  t3628 = t3627 * t210;
  t3629 = t3628 * t223;
  t3631 = t3627 * t245;
  t3632 = t3631 * t250;
  t3634 = -t3590 * t223 / 0.4e1 - 0.3e1 / 0.2e1 * t768 * t749 - 0.3e1 / 0.2e1 * t757 * t749 - t3526 * t752 / 0.4e1 - t622 * t3599 / 0.4e1 - 0.5e1 / 0.36e2 * t3515 * t3602 + 0.3e1 / 0.2e1 * t3605 * t250 + 0.3e1 / 0.4e1 * t3610 * t250 + t3613 * t223 / 0.2e1 + t743 * t612 / 0.2e1 + t3522 * t752 / 0.2e1 - t3622 / 0.6e1 + t3625 / 0.18e2 - t3629 / 0.6e1 + t3632 / 0.2e1;
  t3635 = t593 * t761;
  t3637 = t592 * t756;
  t3638 = t3637 * t250;
  t3640 = t593 * t749;
  t3643 = t3421 * t229;
  t3644 = t247 * t3393 * t3643;
  t3647 = t592 * t621;
  t3648 = t3647 * t752;
  t3650 = t592 * t742;
  t3651 = t3650 * t223;
  t3653 = t3393 * t619;
  t3654 = t194 * t3653;
  t3655 = t191 * t3654;
  t3658 = t94 * t69;
  t3659 = t3658 * t3393;
  t3660 = t3399 * t3375;
  t3661 = t3659 * t3660;
  t3664 = t3474 * t633;
  t3665 = t3664 * t96;
  t3668 = t3516 * t636;
  t3671 = t641 * t94;
  t3672 = t65 * t3671;
  t3673 = t3544 * t3672;
  t3676 = t215 * t215;
  t3677 = 0.1e1 / t3676;
  t3678 = t64 * t3677;
  t3679 = t242 * t3678;
  t3680 = t191 * t3679;
  t3681 = t3399 * t3448;
  t3682 = t3659 * t3681;
  t3685 = t3399 * t3402;
  t3686 = t3659 * t3685;
  t3691 = t3647 * t630;
  t3693 = t3647 * t637;
  t3695 = t3635 / 0.4e1 + t3638 / 0.2e1 - t3640 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t3644 - t3648 / 0.12e2 + t3651 / 0.6e1 - t3655 * t223 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t3661 - t3515 * t3665 / 0.2e1 + 0.7e1 / 0.3e1 * t3515 * t3668 - 0.3e1 / 0.2e1 * t3515 * t3673 + 0.3e1 / 0.2e1 * t3680 * t3682 - 0.3e1 * t644 * t3686 + 0.3e1 / 0.2e1 * t768 * t655 - t3691 / 0.6e1 + t3693 / 0.3e1;
  t3699 = my_piecewise3(t2, 0, t3150 + t3207 + t3289 + t3346 + t3543 + t3588 + t3634 + t3695);
  t3701 = 0.1e1 / t851 / t104;
  t3702 = t853 * t285;
  t3705 = t852 * t285;
  t3708 = t101 * t3360;
  t3711 = my_piecewise5(t11, 0, t7, 0, -0.6e1 * t790 - 0.6e1 * t3708);
  t3715 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3701 * t3702 + 0.4e1 / 0.3e1 * t3705 * t859 + 0.4e1 / 0.3e1 * t106 * t3711);
  t3716 = t3715 * t23;
  t3717 = t3716 * t29;
  t3720 = t863 * t186;
  t3721 = t3720 * t29;
  t3722 = t3721 * t169;
  t3724 = t288 * t775;
  t3725 = t3724 * t29;
  t3726 = t3725 * t169;
  t3728 = t108 * t3327;
  t3729 = t3728 * t29;
  t3731 = 0.5e1 / 0.54e2 * t3729 * t169;
  t3733 = my_piecewise3(t100, 0, -t3717 * t169 / 0.4e1 - t3722 / 0.4e1 + t3726 / 0.6e1 - t3731);
  tv3rho30 = 0.3e1 * t850 + 0.3e1 * t877 + t3 * (t3699 + t3733);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t3736 = 0.2e1 * t914;
  t3737 = 0.2e1 * t956;
  t3745 = t894 * t278 / 0.6e1;
  t3760 = -t307 * t679 / 0.2e1 - t307 * t721 / 0.4e1 - t890 * t278 / 0.2e1 - t3745 + t3044 / 0.9e1 - t3115 / 0.12e2 - t3117 / 0.6e1 - t3119 / 0.6e1 + t898 * t670 / 0.12e2 - t898 * t676 / 0.6e1 - t903 * t731 / 0.4e1 - t3146 / 0.18e2 + t903 * t736 / 0.2e1 + t3148 / 0.6e1;
  t3763 = t888 * t186;
  t3764 = t3763 * t29;
  t3766 = t3764 * t96 / 0.6e1;
  t3767 = t305 * t775;
  t3768 = t3767 * t29;
  t3769 = t3768 * t96;
  t3771 = t3352 * t302;
  t3774 = t785 * t884;
  t3779 = 0.2e1 * t790;
  t3780 = 0.6e1 * t3361;
  t3782 = my_piecewise5(t7, 0, t11, 0, t3779 - t3780);
  t3786 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3771 * t786 + 0.8e1 / 0.9e1 * t3774 * t177 + 0.4e1 / 0.9e1 * t880 * t794 + 0.4e1 / 0.3e1 * t20 * t3782);
  t3787 = t3786 * t23;
  t3788 = t3787 * t29;
  t3794 = t894 * t239 / 0.6e1;
  t3802 = t897 * t643;
  t3805 = t3155 / 0.36e2 - t3169 / 0.12e2 - t3766 + t3769 / 0.18e2 - t3788 * t96 / 0.4e1 - t890 * t239 / 0.2e1 - t3794 - t307 * t845 / 0.4e1 - t3331 + t3336 / 0.9e1 + t3338 / 0.9e1 - t3342 / 0.12e2 - t3344 / 0.6e1 - t3349 / 0.12e2 - t3802 * t650 / 0.2e1;
  t3807 = t897 * t621;
  t3814 = t893 * t27;
  t3815 = t3814 * t210;
  t3817 = t3815 * t223 / 0.18e2;
  t3818 = t3814 * t245;
  t3820 = t3818 * t250 / 0.6e1;
  t3821 = t897 * t608;
  t3824 = t889 * t27;
  t3825 = t3824 * t245;
  t3830 = t3824 * t210;
  t3835 = t897 * t756;
  t3838 = t897 * t742;
  t3845 = t3807 * t637 / 0.3e1 - t3807 * t630 / 0.6e1 + t903 * t655 / 0.2e1 - t3817 + t3820 - t3821 * t223 / 0.12e2 + t3825 * t250 / 0.2e1 + t903 * t761 / 0.4e1 - t3830 * t223 / 0.6e1 - t3807 * t752 / 0.12e2 + t3835 * t250 / 0.2e1 + t3838 * t223 / 0.6e1 - t898 * t612 / 0.6e1 - t903 * t749 / 0.2e1;
  t3861 = -t3549 / 0.6e1 + t3551 / 0.6e1 - t3556 / 0.18e2 - t3572 / 0.36e2 - t3622 / 0.9e1 + t3625 / 0.27e2 - t3629 / 0.18e2 + t3632 / 0.6e1 + t3635 / 0.12e2 + t3638 / 0.6e1 - t3640 / 0.6e1 - t3648 / 0.36e2 + t3651 / 0.18e2 - t3691 / 0.18e2 + t3693 / 0.9e1;
  t3864 = my_piecewise3(t2, 0, t3760 + t3805 + t3845 + t3861);
  t3865 = t3701 * t313;
  t3868 = t852 * t919;
  t3873 = 0.6e1 * t3708;
  t3875 = my_piecewise5(t11, 0, t7, 0, -t3779 - t3873);
  t3879 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3865 * t853 + 0.8e1 / 0.9e1 * t3868 * t285 + 0.4e1 / 0.9e1 * t915 * t859 + 0.4e1 / 0.3e1 * t106 * t3875);
  t3880 = t3879 * t23;
  t3881 = t3880 * t29;
  t3884 = t923 * t186;
  t3885 = t3884 * t29;
  t3887 = t3885 * t169 / 0.6e1;
  t3888 = t316 * t775;
  t3889 = t3888 * t29;
  t3890 = t3889 * t169;
  t3894 = t864 * t27;
  t3895 = t3894 * t337;
  t3898 = t868 * t27;
  t3899 = t3898 * t337;
  t3901 = t3899 * t350 / 0.18e2;
  t3902 = t872 * t27;
  t3903 = t3902 * t337;
  t3904 = t3903 * t350;
  t3909 = t869 * t366 / 0.6e1;
  t3910 = t873 * t366;
  t3912 = t3894 * t372;
  t3915 = t3898 * t372;
  t3917 = t3915 * t377 / 0.6e1;
  t3918 = t3902 * t372;
  t3919 = t3918 * t377;
  t3924 = t869 * t405 / 0.6e1;
  t3925 = t873 * t405;
  t3927 = -t3881 * t169 / 0.4e1 - t3887 + t3890 / 0.18e2 - t3722 / 0.12e2 + t3726 / 0.9e1 - t3731 - t3895 * t350 / 0.12e2 - t3901 + t3904 / 0.54e2 - t865 * t366 / 0.4e1 - t3909 + t3910 / 0.18e2 + t3912 * t377 / 0.4e1 + t3917 - t3919 / 0.18e2 - t865 * t405 / 0.4e1 - t3924 + t3925 / 0.18e2;
  t3928 = my_piecewise3(t100, 0, t3927);
  tv3rho31 = t850 + t877 + t3736 + t3737 + t3 * (t3864 + t3928);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t3931 = t3352 * t961;
  t3936 = t785 * t966;
  t3940 = my_piecewise5(t7, 0, t11, 0, -t3779 - t3780);
  t3944 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3931 * t177 + 0.8e1 / 0.9e1 * t880 * t884 + 0.4e1 / 0.9e1 * t3936 * t177 + 0.4e1 / 0.3e1 * t20 * t3940);
  t3945 = t3944 * t23;
  t3946 = t3945 * t29;
  t3949 = t970 * t186;
  t3950 = t3949 * t29;
  t3951 = t3950 * t96;
  t3953 = t971 * t27;
  t3954 = t3953 * t210;
  t3959 = t3953 * t245;
  t3970 = -t3946 * t96 / 0.4e1 - t3951 / 0.12e2 - t3954 * t223 / 0.12e2 - t972 * t239 / 0.4e1 + t3959 * t250 / 0.4e1 - t972 * t278 / 0.4e1 - t3766 + t3769 / 0.9e1 - t3817 - t3794 + t3820 - t3745 + t3336 / 0.18e2 - t3331 + t3625 / 0.54e2 + t3338 / 0.18e2 - t3622 / 0.18e2 + t3044 / 0.18e2;
  t3971 = my_piecewise3(t2, 0, t3970);
  t3977 = t948 * t1101;
  t3987 = t948 * t980;
  t3989 = t938 * t1002;
  t3991 = t938 * t997;
  t3995 = t294 * t1147;
  t3997 = -t925 * t405 / 0.2e1 - t290 * t1105 / 0.2e1 - t3924 + t3925 / 0.9e1 - t3977 / 0.12e2 + t945 * t980 / 0.2e1 - t945 * t1101 / 0.4e1 + t934 * t997 / 0.12e2 - t934 * t1002 / 0.6e1 + t3987 / 0.6e1 - t3989 / 0.18e2 + t3991 / 0.36e2 - t290 * t1147 / 0.4e1 - t3995 / 0.12e2;
  t3998 = t929 * t405;
  t4000 = t294 * t1105;
  t4002 = t948 * t1046;
  t4004 = t937 * t1083;
  t4005 = t4004 * t350;
  t4007 = t948 * t1071;
  t4009 = t928 * t27;
  t4010 = t4009 * t337;
  t4011 = t4010 * t350;
  t4013 = t937 * t1055;
  t4014 = t4013 * t377;
  t4016 = t937 * t1050;
  t4017 = t4016 * t350;
  t4019 = t4009 * t372;
  t4020 = t4019 * t377;
  t4022 = t937 * t1009;
  t4023 = t4022 * t1090;
  t4025 = t948 * t1095;
  t4027 = t938 * t1087;
  t4029 = t4022 * t1023;
  t4031 = t4022 * t1016;
  t4035 = -t3998 / 0.6e1 - t4000 / 0.6e1 - t4002 / 0.6e1 - t4005 / 0.36e2 + t4007 / 0.12e2 - t4011 / 0.18e2 + t4014 / 0.6e1 + t4017 / 0.18e2 + t4020 / 0.6e1 - t4023 / 0.36e2 + t4025 / 0.6e1 - t4027 / 0.18e2 + t4029 / 0.9e1 - t4031 / 0.18e2 - t945 * t1046 / 0.2e1;
  t4037 = t933 * t1050;
  t4040 = t937 * t1029;
  t4041 = t4040 * t1036;
  t4045 = t924 * t27;
  t4046 = t4045 * t372;
  t4049 = t933 * t1083;
  t4052 = t933 * t1055;
  t4055 = t4045 * t337;
  t4058 = t933 * t1009;
  t4065 = t933 * t1029;
  t4073 = t4037 * t350 / 0.6e1 - t4041 / 0.6e1 + t945 * t1071 / 0.4e1 + t4046 * t377 / 0.2e1 - t4049 * t350 / 0.12e2 + t4052 * t377 / 0.2e1 - t4055 * t350 / 0.6e1 - t4058 * t1090 / 0.12e2 + t945 * t1095 / 0.2e1 + t4058 * t1023 / 0.3e1 - t4065 * t1036 / 0.2e1 - t934 * t1087 / 0.6e1 - t4058 * t1016 / 0.6e1 - t3919 / 0.9e1;
  t4074 = t929 * t366;
  t4078 = t294 * t1208;
  t4080 = t1163 * t186;
  t4081 = t4080 * t29;
  t4082 = t4081 * t169;
  t4084 = t3701 * t1154;
  t4089 = t852 * t1159;
  t4093 = my_piecewise5(t11, 0, t7, 0, t3779 - t3873);
  t4097 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t4084 * t285 + 0.8e1 / 0.9e1 * t915 * t919 + 0.4e1 / 0.9e1 * t4089 * t285 + 0.4e1 / 0.3e1 * t106 * t4093);
  t4098 = t4097 * t23;
  t4099 = t4098 * t29;
  t4108 = -t4074 / 0.6e1 - t290 * t1208 / 0.4e1 - t4078 / 0.12e2 - t4082 / 0.12e2 - t4099 * t169 / 0.4e1 - t925 * t366 / 0.2e1 - t3887 + t3890 / 0.9e1 - t3909 + t3910 / 0.9e1 + t3726 / 0.18e2 - t3731 + t3917 - t3901 + t3904 / 0.27e2;
  t4111 = my_piecewise3(t100, 0, t3997 + t4035 + t4073 + t4108);
  tv3rho32 = t3736 + t3737 + t977 + t1213 + t3 * (t3971 + t4111);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t4116 = t961 * t302;
  t4123 = my_piecewise5(t7, 0, t11, 0, -0.6e1 * t790 - 0.6e1 * t3361);
  t4127 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3352 * t4116 + 0.4e1 / 0.3e1 * t880 * t966 + 0.4e1 / 0.3e1 * t20 * t4123);
  t4128 = t4127 * t23;
  t4129 = t4128 * t29;
  t4135 = my_piecewise3(t2, 0, -t4129 * t96 / 0.4e1 - t3951 / 0.4e1 + t3769 / 0.6e1 - t3331);
  t4136 = t110 * t355;
  t4137 = t1182 * t145;
  t4138 = t403 * t994;
  t4139 = t380 * t4138;
  t4140 = t4137 * t4139;
  t4143 = t370 * params->at;
  t4144 = t145 * t4143;
  t4145 = t110 * t4144;
  t4146 = t403 * t193;
  t4147 = t4146 * t336;
  t4148 = t4147 * t1100;
  t4152 = t978 * t1177;
  t4153 = t4152 * t1035;
  t4156 = t4152 * t1094;
  t4160 = 0.1e1 / t983 / t344;
  t4161 = t1012 * t4160;
  t4162 = t4161 * t1392;
  t4163 = t4162 * t996;
  t4166 = t1393 * t1001;
  t4169 = t1031 * t1008;
  t4170 = t1019 * t994;
  t4171 = t4161 * t4170;
  t4172 = t4169 * t4171;
  t4175 = t1014 * t994;
  t4176 = t4161 * t4175;
  t4177 = t4169 * t4176;
  t4180 = t1069 * t1007;
  t4181 = t1031 * t4180;
  t4182 = t4181 * t1407;
  t4185 = t4181 * t1412;
  t4188 = t616 * t4180;
  t4189 = t321 * t4188;
  t4194 = t374 * t1082;
  t4195 = t4194 * t1100;
  t4206 = t137 * t615;
  t4207 = t4206 * t1005;
  t4210 = t989 * t336;
  t4223 = 0.2e1 / 0.3e1 * t1189 * t1020 + 0.2e1 * t989 * t1069 * t376 - 0.4e1 * t989 * t1005 * t1045 + 0.4e1 / 0.3e1 * t4207 * t1035 - 0.2e1 * t4210 * t1100 + 0.4e1 * t4207 * t1094 - 0.2e1 * t1194 * t349 + 0.4e1 * t1197 * t349 + 0.2e1 * t359 * t1100 - 0.4e1 * t1189 * t1015;
  t4225 = t985 * t348 * t4223;
  t4226 = t1098 * t4225;
  t4229 = t4136 * t4140 / 0.4e1 - 0.3e1 / 0.4e1 * t4145 * t4148 + t3925 / 0.6e1 - 0.3e1 / 0.2e1 * t1030 * t4153 + 0.3e1 / 0.2e1 * t373 * t4156 + t1010 * t4163 / 0.2e1 - t1010 * t4166 / 0.2e1 + 0.3e1 / 0.2e1 * t1030 * t4172 - 0.3e1 / 0.2e1 * t373 * t4177 - 0.3e1 / 0.2e1 * t1030 * t4182 + 0.3e1 / 0.2e1 * t373 * t4185 - t4189 * t1396 / 0.2e1 - 0.3e1 / 0.4e1 * t1056 * t1101 - t373 * t4195 / 0.2e1 - t373 * t4226 / 0.4e1;
  t4232 = t374 * t1049;
  t4233 = t4232 * t1100;
  t4236 = t978 * t1173 * t1045;
  t4243 = t333 * t1007;
  t4244 = t616 * t4243;
  t4245 = t321 * t4244;
  t4246 = t167 * t1069;
  t4247 = t371 * t4246;
  t4248 = t1400 * t4247;
  t4256 = t365 * t1146;
  t4261 = tau[1] * t1065;
  t4264 = t148 * t391;
  t4265 = t1111 * tau[1];
  t4266 = t1063 * t1063;
  t4267 = 0.1e1 / t4266;
  t4268 = t4265 * t4267;
  t4271 = t152 * t163;
  t4274 = t153 * t399;
  t4277 = t159 * t1139;
  t4280 = t161 * t161;
  t4281 = 0.1e1 / t4280;
  t4282 = t160 * t4281;
  t4287 = t1063 * t121;
  t4289 = 0.1e1 / t111 / t4287;
  t4290 = t1111 * t4289;
  t4313 = 0.44e3 / 0.27e2 * t4261 * t150 - 0.425e4 / 0.9e1 * t4264 * t4268 - 0.65e4 / 0.9e1 * t4271 * t4268 + 0.25e4 / 0.3e1 * t4274 * t4268 + 0.625e4 / 0.3e1 * t4277 * t4268 + 0.875e4 / 0.9e1 * t4282 * t4268 + 0.22e4 / 0.27e2 * t400 * t4261 + 0.2e4 / 0.9e1 * t1118 * t4290 + 0.44e3 / 0.27e2 * t385 * t4261 + 0.8e3 * t1123 * t4290 - 0.88e3 / 0.9e1 * t388 * t4261 + 0.8e3 / 0.9e1 * t1128 * t4290 - 0.88e3 / 0.9e1 * t392 * t4261 - 0.1e5 / 0.9e1 * t1133 * t4290 + 0.22e4 / 0.27e2 * t395 * t4261 - 0.2e4 / 0.3e1 * t1140 * t4290 - 0.4e3 / 0.9e1 * t4290 * t384 - 0.25e3 / 0.9e1 * t4268 * t156;
  t4314 = t380 * t4313;
  t4315 = t145 * t4314;
  t4320 = -0.3e1 / 0.4e1 * t1078 * t1101 + t373 * t4233 - 0.3e1 / 0.2e1 * t373 * t4236 - t1075 * t1002 / 0.2e1 - t1084 * t1002 / 0.4e1 + t4245 * t4248 - t4189 * t1438 / 0.4e1 - t3977 / 0.4e1 + t3987 / 0.2e1 - t3989 / 0.6e1 + t3991 / 0.12e2 - 0.3e1 / 0.4e1 * t110 * t4256 - 0.3e1 / 0.4e1 * t318 * t1147 - t110 * t4315 / 0.4e1 - 0.3e1 / 0.4e1 * t1165 * t405;
  t4324 = t1207 * t404;
  t4330 = t1005 * t333;
  t4331 = t1031 * t4330;
  t4333 = 0.1e1 / t1006 / t136;
  t4334 = t4333 * t1012;
  t4335 = t4334 * t1034;
  t4336 = t4331 * t4335;
  t4339 = t4334 * t1093;
  t4340 = t4331 * t4339;
  t4343 = t4330 * t4333;
  t4344 = t616 * t4343;
  t4345 = t321 * t4344;
  t4347 = t1074 * t1009;
  t4349 = t1074 * t1029;
  t4352 = t1015 * t366;
  t4356 = 0.1e1 / t1006 / t334;
  t4357 = t4330 * t4356;
  t4358 = t3512 * t4357;
  t4359 = t321 * t4358;
  t4361 = 0.1e1 / t1011 / t340;
  t4362 = t4361 * t4160;
  t4363 = t1019 * t347;
  t4364 = t4362 * t4363;
  t4365 = t4364 * t169;
  t4368 = t1019 * t348;
  t4369 = t4362 * t4368;
  t4370 = t4369 * t1022;
  t4373 = t167 * t69;
  t4374 = t4373 * t4330;
  t4375 = t4356 * t4361;
  t4376 = t4160 * t4363;
  t4377 = t4375 * t4376;
  t4378 = t4374 * t4377;
  t4381 = t364 * t1027;
  t4382 = t369 * t4381;
  t4383 = t321 * t4382;
  t4386 = -0.3e1 / 0.2e1 * t318 * t1105 - 0.3e1 / 0.4e1 * t110 * t4324 - t3995 / 0.4e1 - t3998 / 0.2e1 - t4000 / 0.2e1 + 0.3e1 * t1030 * t4336 - 0.3e1 * t373 * t4340 + t4345 * t1016 + t4347 * t1023 - 0.3e1 / 0.2e1 * t4349 * t1036 - t1010 * t4352 / 0.2e1 - 0.11e2 / 0.18e2 * t4359 * t4365 + 0.23e2 / 0.36e2 * t4359 * t4370 - 0.3e1 * t1030 * t4378 - 0.3e1 / 0.2e1 * t4383 * t1036;
  t4391 = t342 * t342;
  t4392 = 0.1e1 / t4391;
  t4393 = t144 * t4392;
  t4394 = t369 * t4393;
  t4395 = t321 * t4394;
  t4396 = t4160 * t4368;
  t4397 = t4375 * t4396;
  t4398 = t4374 * t4397;
  t4403 = t1027 * t167;
  t4404 = t145 * t4403;
  t4405 = t4369 * t4404;
  t4408 = t4160 * t1019;
  t4409 = t4375 * t4408;
  t4410 = t4374 * t4409;
  t4413 = t4362 * t1019;
  t4414 = t4413 * t169;
  t4419 = t4330 * t1007;
  t4420 = t194 * t4419;
  t4421 = t321 * t4420;
  t4425 = t1007 * t341;
  t4426 = t4425 * t356;
  t4427 = t374 * t4330 * t4426;
  t4432 = t1074 * t1050;
  t4437 = t365 * t1021;
  t4438 = t1020 * t4437;
  t4444 = 0.3e1 / 0.2e1 * t1056 * t1095 - t4347 * t1016 / 0.2e1 + 0.3e1 / 0.2e1 * t4395 * t4398 + 0.3e1 / 0.2e1 * t1078 * t1095 - 0.3e1 / 0.2e1 * t4359 * t4405 + 0.3e1 / 0.2e1 * t373 * t4410 - t4359 * t4414 / 0.2e1 + t4345 * t1090 / 0.2e1 - t4421 * t350 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t4427 - 0.2e1 * t4345 * t1023 + t4432 * t350 / 0.2e1 + t1051 * t1087 / 0.2e1 + t1010 * t4438 + 0.3e1 / 0.4e1 * t1078 * t1071 - 0.3e1 / 0.2e1 * t1078 * t1046;
  t4453 = t1164 * t27;
  t4454 = t4453 * t372;
  t4457 = t1074 * t1055;
  t4460 = t1206 * t370;
  t4461 = t369 * t4460;
  t4462 = t321 * t4461;
  t4467 = t4369 * t169;
  t4475 = 0.1e1 / t112 / t1112;
  t4479 = my_piecewise3(t129, t322, -0.22e3 / 0.81e2 * lapl[1] * t1065 + 0.88e3 / 0.81e2 * t117 * t1065 - 0.308e3 / 0.81e2 * t120 * t4475);
  t4480 = t4479 * t335;
  t4481 = t194 * t4480;
  t4482 = t321 * t4481;
  t4487 = t349 * t1208;
  t4490 = t1020 * t366;
  t4494 = t374 * t4479 * t376;
  t4497 = t4453 * t337;
  t4500 = t1074 * t1083;
  t4503 = -0.3e1 / 0.2e1 * t1056 * t1046 - t1075 * t1087 / 0.2e1 - t4347 * t1090 / 0.4e1 + 0.3e1 / 0.4e1 * t4454 * t377 + 0.3e1 / 0.2e1 * t4457 * t377 + 0.3e1 / 0.4e1 * t4462 * t377 + 0.3e1 / 0.4e1 * t1056 * t1071 - 0.5e1 / 0.36e2 * t4359 * t4467 - t4482 * t350 / 0.12e2 - t1084 * t1087 / 0.4e1 - t338 * t4487 / 0.4e1 - t1010 * t4490 / 0.4e1 + t373 * t4494 / 0.4e1 - t4497 * t350 / 0.4e1 - t4500 * t350 / 0.4e1;
  t4505 = t4364 * t1022;
  t4521 = -t4002 / 0.2e1 + 0.7e1 / 0.3e1 * t4359 * t4505 - t4005 / 0.12e2 + t4007 / 0.4e1 - t4011 / 0.6e1 + t4014 / 0.2e1 + t4017 / 0.6e1 + t4020 / 0.2e1 - t4023 / 0.12e2 + t4025 / 0.2e1 - t4027 / 0.6e1 + t4029 / 0.3e1 - t4031 / 0.6e1 - t4041 / 0.2e1 - t3919 / 0.6e1;
  t4525 = t1154 * t313;
  t4532 = my_piecewise5(t11, 0, t7, 0, 0.6e1 * t790 - 0.6e1 * t3708);
  t4536 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3701 * t4525 + 0.4e1 / 0.3e1 * t915 * t1159 + 0.4e1 / 0.3e1 * t106 * t4532);
  t4537 = t4536 * t23;
  t4538 = t4537 * t29;
  t4543 = t4160 * t348;
  t4544 = t994 * t994;
  t4545 = t143 * t4544;
  t4546 = t4543 * t4545;
  t4549 = t4160 * t1014;
  t4550 = t4549 * t1183;
  t4553 = t143 * t4223;
  t4554 = t1182 * t4553;
  t4558 = t615 * t1069;
  t4559 = t4558 * t1033;
  t4563 = t4408 * t1183;
  t4565 = t1170 * t1044;
  t4570 = t140 * t4544;
  t4571 = t4543 * t4570;
  t4573 = t193 * t4330;
  t4574 = t4573 * t4425;
  t4577 = t69 * t4330;
  t4578 = t4577 * t4375;
  t4579 = t4408 * t143;
  t4582 = t4549 * t1199;
  t4585 = t615 * t4330;
  t4586 = t4585 * t4334;
  t4589 = t4376 * t143;
  t4594 = 0.2e1 * t355 * t4546 - 0.6e1 * t1178 * t4550 - t355 * t4554 - 0.2e1 * t1171 * t1184 - t4559 * t1477 + 0.4e1 * t1174 * t1184 + t1178 * t4563 - 0.6e1 * t4565 * t1472 + 0.6e1 * t4559 * t1481 - t355 * t4571 + 0.6e1 * t4574 * t357 + 0.6e1 * t4578 * t4579 + 0.3e1 * t1178 * t4582 - 0.12e2 * t4586 * t1186 - 0.2e1 / 0.3e1 * t4578 * t4589 - 0.3e1 * t4559 * t1495;
  t4595 = t140 * t4223;
  t4596 = t1182 * t4595;
  t4599 = t4408 * t1199;
  t4605 = t193 * t4479;
  t4606 = t4605 * t354;
  t4612 = t4396 * t143;
  t4617 = t4585 * t4333;
  t4620 = t4577 * t4356;
  t4621 = t4362 * t1190;
  t4624 = t4363 * t140;
  t4625 = t4362 * t4624;
  t4628 = t4605 * t335;
  t4633 = t4368 * t140;
  t4634 = t4362 * t4633;
  t4637 = t4573 * t1007;
  t4640 = t355 * t4596 / 0.2e1 - 0.2e1 * t1178 * t4599 + 0.3e1 * t4565 * t1491 + t1171 * t1200 + t4606 * t357 + 0.2e1 * t4559 * t1485 + 0.2e1 * t4586 * t1179 - t4578 * t4612 / 0.9e1 - 0.2e1 * t1174 * t1200 + 0.6e1 * t4617 * t1204 - 0.3e1 * t4620 * t4621 + 0.1e2 / 0.3e1 * t4620 * t4625 - t4628 * t361 / 0.2e1 - 0.4e1 * t4617 * t1191 + t4620 * t4634 / 0.18e2 - 0.3e1 * t4637 * t361;
  t4641 = t4594 + t4640;
  t4642 = t139 * t4641;
  t4643 = t4642 * t168;
  t4652 = t978 * t1170 * t376;
  t4655 = t371 * t978;
  t4656 = t1400 * t4655;
  t4658 = t333 * t1043;
  t4659 = t194 * t4658;
  t4660 = t321 * t4659;
  t4661 = t988 * t4246;
  t4662 = t1000 * t4661;
  t4667 = t346 * t348 * t1069;
  t4668 = t374 * t4658 * t4667;
  t4673 = -0.3e1 / 0.4e1 * t318 * t1208 - t4538 * t169 / 0.4e1 - 0.3e1 / 0.4e1 * t1165 * t366 - t110 * t4643 / 0.4e1 - t4074 / 0.2e1 - t4078 / 0.4e1 - t4082 / 0.4e1 + t3890 / 0.6e1 + t3910 / 0.6e1 - t3731 + 0.3e1 / 0.4e1 * t373 * t4652 + t1010 * t4656 + t4660 * t4662 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t4668 + 0.3e1 / 0.2e1 * t1078 * t980;
  t4676 = params->at * t1145;
  t4678 = t4676 * t353 * t376;
  t4681 = t167 * t4223;
  t4682 = t988 * t4681;
  t4683 = t987 * t4682;
  t4686 = t4161 * t1399;
  t4687 = t4686 * t996;
  t4690 = t371 * t995;
  t4691 = t4686 * t4690;
  t4697 = t364 * t146;
  t4698 = t4697 * t995;
  t4699 = t987 * t4698;
  t4706 = t341 * t4160;
  t4707 = t4706 * t986;
  t4708 = t167 * t4544;
  t4709 = t988 * t4708;
  t4710 = t4707 * t4709;
  t4714 = t4706 * t348 * t4544;
  t4715 = t1098 * t4714;
  t4718 = t988 * t4676;
  t4719 = t1000 * t4718;
  t4722 = t1400 * t1001;
  t4725 = t4697 * t978;
  t4726 = t1000 * t4725;
  t4730 = 0.3e1 / 0.2e1 * t1056 * t980 + 0.3e1 / 0.4e1 * t373 * t4678 + t338 * t4683 / 0.12e2 + t1010 * t4687 / 0.4e1 - t1010 * t4691 + t1075 * t997 / 0.4e1 + t1084 * t997 / 0.6e1 + t338 * t4699 / 0.4e1 + t1051 * t1002 / 0.2e1 - t1051 * t997 / 0.3e1 - t338 * t4710 / 0.6e1 + t373 * t4715 / 0.2e1 - t338 * t4719 / 0.4e1 - t1010 * t4722 / 0.4e1 - t338 * t4726 / 0.2e1 + t3904 / 0.18e2;
  t4734 = my_piecewise3(t100, 0, t4229 + t4320 + t4386 + t4444 + t4503 + t4521 + t4673 + t4730);
  tv3rho33 = 0.3e1 * t977 + 0.3e1 * t1213 + t3 * (t4135 + t4734);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t4738 = t30 * t3672;
  t4739 = t615 * t206;
  t4740 = t4739 * t647;
  t4741 = t414 * t667;
  t4742 = t3375 * t4741;
  t4743 = t4740 * t4742;
  t4746 = t641 * params->at;
  t4747 = t65 * t4746;
  t4748 = t30 * t4747;
  t4749 = t276 * t615;
  t4750 = t4749 * t1216;
  t4751 = t4750 * t1234;
  t4753 = t30 * t1321;
  t4754 = t653 * t65;
  t4755 = t276 * t206;
  t4756 = t253 * t4755;
  t4757 = t4754 * t4756;
  t4760 = t3375 * t65;
  t4761 = t206 * t667;
  t4762 = t635 * t4761;
  t4763 = t4760 * t4762;
  t4765 = t648 * t65;
  t4766 = t3121 * t4755;
  t4767 = t4765 * t4766;
  t4770 = t3409 * t65;
  t4771 = t95 * t4761;
  t4772 = t4770 * t4771;
  t4775 = t3124 * t415;
  t4776 = t4775 * t730;
  t4779 = t30 * t636;
  t4780 = t3409 * t4761;
  t4781 = t1321 * t4780;
  t4784 = t4750 * t1239;
  t4786 = t819 * t4761;
  t4787 = t1315 * t4786;
  t4789 = t30 * t421;
  t4792 = t30 * t1315;
  t4793 = t3130 * t4771;
  t4796 = t229 * t65;
  t4797 = t4796 * t4756;
  t4800 = t3124 * t1243;
  t4801 = t4800 * t1246;
  t4803 = t4765 * t4756;
  t4806 = t4760 * t4771;
  t4809 = t427 * t720;
  t4812 = 0.3e1 / 0.2e1 * t4738 * t4743 - t4748 * t4751 - t4753 * t4757 / 0.3e1 - t4753 * t4763 + 0.2e1 / 0.3e1 * t4753 * t4767 + t4753 * t4772 / 0.2e1 - t3123 * t4776 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t4781 + t3123 * t4784 + t4779 * t4787 + t4789 * t3133 / 0.6e1 - t4792 * t4793 / 0.3e1 + t4792 * t4797 / 0.3e1 - t3123 * t4801 - t4753 * t4803 / 0.6e1 + t4753 * t4806 / 0.4e1 - t30 * t4809 / 0.4e1;
  t4813 = t188 * t1305;
  t4817 = t414 * t3396;
  t4818 = t3658 * t4817;
  t4819 = t633 * t617;
  t4820 = t3474 * t4819;
  t4821 = t4818 * t4820;
  t4824 = t3401 * t617;
  t4825 = t3474 * t4824;
  t4826 = t4818 * t4825;
  t4829 = t3512 * t4817;
  t4830 = t191 * t4829;
  t4831 = t3474 * t1226;
  t4832 = t94 * t617;
  t4833 = t661 * t4832;
  t4834 = t4831 * t4833;
  t4837 = t3401 * t59;
  t4838 = t3474 * t4837;
  t4839 = t244 * t4832;
  t4840 = t4838 * t4839;
  t4843 = t3447 * t59;
  t4844 = t3474 * t4843;
  t4845 = t642 * t4832;
  t4846 = t4844 * t4845;
  t4849 = t3447 * t617;
  t4850 = t3474 * t4849;
  t4851 = t4818 * t4850;
  t4854 = t592 * t1217;
  t4855 = t4854 * t1223;
  t4857 = t414 * t3415;
  t4858 = t616 * t4857;
  t4859 = t191 * t4858;
  t4860 = t1220 * t4833;
  t4862 = t1227 * t4839;
  t4865 = t4854 * t1229;
  t4867 = t645 * t4857;
  t4868 = t627 * t4819;
  t4869 = t4867 * t4868;
  t4872 = t593 * t1240;
  t4874 = t3548 * t1235;
  t4878 = t219 * t221 * t617;
  t4879 = t247 * t1216 * t4878;
  t4882 = t593 * t1247;
  t4884 = -t4813 / 0.6e1 - t182 * t1305 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t4821 - 0.3e1 * t644 * t4826 - t4830 * t4834 / 0.2e1 + 0.7e1 / 0.3e1 * t4830 * t4840 - 0.3e1 / 0.2e1 * t4830 * t4846 + 0.3e1 / 0.2e1 * t3680 * t4851 - t4855 / 0.9e1 + t4859 * t4860 - 0.2e1 * t4859 * t4862 + 0.2e1 / 0.9e1 * t4865 + 0.3e1 * t644 * t4869 + t4872 / 0.3e1 - t4874 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t4879 - t4882 / 0.3e1;
  t4887 = t627 * t628 * t617;
  t4888 = t4867 * t4887;
  t4891 = t1250 * t3161;
  t4894 = t593 * t1251;
  t4896 = t593 * t1255;
  t4898 = t592 * t1258;
  t4899 = t4898 * t1260;
  t4901 = t4854 * t1300;
  t4903 = t194 * t1216;
  t4904 = t191 * t4903;
  t4905 = t673 * t4833;
  t4908 = t1267 * t670;
  t4912 = t764 * t1217;
  t4915 = t1267 * t676;
  t4917 = t1220 * t3261;
  t4920 = t4838 * t4833;
  t4923 = t1272 * t619;
  t4924 = t616 * t4923;
  t4925 = t191 * t4924;
  t4928 = t3279 * t1221;
  t4929 = t1220 * t4928;
  t4932 = t645 * t4923;
  t4933 = t4932 * t1234;
  t4935 = t633 * t606;
  t4936 = t627 * t4935;
  t4937 = t1232 * t4936;
  t4940 = -0.3e1 * t246 * t4888 + t246 * t4891 / 0.2e1 - t4894 / 0.6e1 + t4896 / 0.6e1 + t4899 / 0.9e1 - t4901 / 0.18e2 - t4904 * t4905 / 0.2e1 + t4908 / 0.18e2 - t417 * t3143 / 0.6e1 + 0.2e1 / 0.3e1 * t4912 * t1229 - t4915 / 0.18e2 - t1218 * t4917 / 0.6e1 - 0.11e2 / 0.18e2 * t4830 * t4920 - t4925 * t1223 / 0.3e1 - t1218 * t4929 / 0.3e1 - t644 * t4933 - t644 * t4937 / 0.2e1;
  t4945 = t755 * t1221;
  t4946 = t1227 * t4945;
  t4951 = t4844 * t4839;
  t4957 = t4932 * t1239;
  t4960 = t627 * t628 * t606;
  t4961 = t1232 * t4960;
  t4966 = t1272 * t740;
  t4967 = t247 * t4966;
  t4968 = t4967 * t1246;
  t4970 = t1244 * t3313;
  t4974 = t674 * t1312 * t249;
  t4978 = t247 * t1281;
  t4979 = t4978 * t730;
  t4982 = t1250 * t3246;
  t4985 = -t4912 * t1223 / 0.3e1 + 0.2e1 / 0.3e1 * t4925 * t1229 + 0.2e1 / 0.3e1 * t1218 * t4946 + t1218 * t3324 / 0.3e1 + 0.23e2 / 0.36e2 * t4830 * t4951 - t3530 * t1235 - t3537 * t1235 + t757 * t1240 + t246 * t4957 + t246 * t4961 / 0.2e1 - t768 * t1247 - t757 * t1247 - t246 * t4968 - t246 * t4970 / 0.2e1 + t246 * t4974 / 0.2e1 + t768 * t1240 - t246 * t4979 / 0.2e1 - t246 * t4982 / 0.4e1;
  t4993 = t3284 * t420 * t249;
  t5008 = t194 * t4966;
  t5009 = t191 * t5008;
  t5012 = t673 * t4928;
  t5017 = t1227 * t4833;
  t5022 = t764 * t1258;
  t5029 = t768 * t1255 / 0.2e1 + t757 * t1255 / 0.2e1 + t246 * t4993 / 0.4e1 + t417 * t3269 / 0.12e2 - t768 * t1251 / 0.2e1 - t757 * t1251 / 0.2e1 + t1278 * t670 / 0.6e1 + t1283 * t670 / 0.6e1 + t417 * t3301 / 0.6e1 + t5009 * t1260 / 0.3e1 + t1259 * t5012 / 0.3e1 + t1259 * t3262 / 0.6e1 + t4859 * t5017 / 0.2e1 - t417 * t3305 / 0.12e2 + t5022 * t1260 / 0.3e1 - t1283 * t676 / 0.6e1 - t417 * t3281 / 0.6e1;
  t5032 = t1227 * t4928;
  t5037 = t4844 * t4833;
  t5044 = t426 * t66;
  t5045 = t5044 * t674;
  t5046 = t673 * t5045;
  t5053 = t5044 * t668;
  t5054 = t660 * t5053;
  t5057 = t1343 * t277;
  t5062 = t3631 * t432;
  t5064 = t629 * t428;
  t5067 = t427 * t635;
  t5068 = t634 * t5067;
  t5071 = t426 * t641;
  t5072 = t242 * t5071;
  t5073 = t191 * t5072;
  t5076 = t1267 * t612;
  t5078 = -t4925 * t1300 / 0.6e1 - t1218 * t5032 / 0.6e1 - t1218 * t3320 / 0.12e2 - 0.5e1 / 0.36e2 * t4830 * t5037 - t1278 * t676 / 0.6e1 - t4912 * t1300 / 0.6e1 - t211 * t5046 / 0.6e1 - t1293 * t731 / 0.4e1 + t1293 * t736 / 0.2e1 + t211 * t5054 / 0.12e2 - t30 * t5057 / 0.2e1 + t1293 * t655 / 0.2e1 + t5062 / 0.6e1 - t622 * t5064 / 0.6e1 + t622 * t5068 / 0.3e1 - t5073 * t650 / 0.2e1 - t5076 / 0.18e2;
  t5084 = params->gamma * t602;
  t5086 = my_piecewise3(t49, t195, 0.22e2 / 0.27e2 * t5084);
  t5088 = t247 * t5086 * t249;
  t5091 = t3567 * t416;
  t5094 = t593 * t1274;
  t5096 = t3627 * t416;
  t5097 = t5096 * t223;
  t5099 = t592 * t1282;
  t5100 = t5099 * t223;
  t5102 = t634 * t428;
  t5105 = t764 * t1292;
  t5108 = t764 * t1282;
  t5113 = t5086 * t208;
  t5114 = t194 * t5113;
  t5115 = t191 * t5114;
  t5122 = t3637 * t432;
  t5124 = t1342 * t243;
  t5125 = t242 * t5124;
  t5126 = t191 * t5125;
  t5131 = t768 * t1274 / 0.2e1 + t757 * t1274 / 0.2e1 + t246 * t5088 / 0.4e1 - t5091 * t223 / 0.12e2 + t5094 / 0.6e1 - t5097 / 0.18e2 - t5100 / 0.18e2 - t622 * t5102 / 0.12e2 + t5105 * t250 / 0.2e1 - t5108 * t223 / 0.6e1 - t1278 * t612 / 0.6e1 - t5115 * t223 / 0.12e2 - t1283 * t612 / 0.6e1 - t417 * t3553 / 0.12e2 + t5122 / 0.6e1 + t5126 * t250 / 0.2e1 + t1293 * t761 / 0.4e1;
  t5140 = t222 * t1344;
  t5143 = t592 * t1292;
  t5144 = t5143 * t250;
  t5146 = t771 * t1288;
  t5149 = t3621 * t432 / 0.18e2;
  t5150 = t3620 * t416;
  t5152 = t5150 * t223 / 0.54e2;
  t5160 = t777 * t428 / 0.18e2;
  t5161 = t188 * t1344;
  t5163 = t647 * t3137;
  t5164 = t1320 * t5163;
  t5165 = t62 * t206;
  t5166 = t5165 * t667;
  t5167 = t827 * t5166;
  t5169 = t747 * t626;
  t5170 = t420 * t5169;
  t5171 = t233 * t5166;
  t5174 = t840 * t5166;
  t5177 = t69 * t414;
  t5178 = t5177 * t3399;
  t5179 = t63 * t617;
  t5180 = t3375 * t5179;
  t5183 = t1320 * t3416;
  t5184 = t653 * t5179;
  t5187 = t3402 * t5179;
  t5190 = t1329 * t667;
  t5191 = t3375 * t5190;
  t5194 = t63 * t606;
  t5195 = t653 * t5194;
  t5198 = t819 * t5190;
  t5203 = t615 * t1272;
  t5204 = t5203 * t647;
  t5207 = t229 * t5194;
  t5210 = t648 * t5179;
  t5213 = t648 * t5194;
  t5216 = t3448 * t5179;
  t5220 = t1312 * t747;
  t5223 = t3409 * t5190;
  t5228 = t5164 * t5167 + 0.4e1 * t5170 * t5171 - 0.6e1 * t5164 * t5174 + 0.6e1 * t5178 * t5180 - 0.12e2 * t5183 * t5184 - 0.2e1 / 0.3e1 * t5178 * t5187 - 0.2e1 * t1321 * t5191 + 0.2e1 * t1321 * t5195 - 0.2e1 * t1315 * t5198 - 0.2e1 * t1313 * t821 - 0.2e1 / 0.3e1 * t5204 * t1322 - 0.2e1 * t1315 * t5207 + 0.2e1 * t5183 * t5210 - t1321 * t5213 / 0.3e1 - t5178 * t5216 / 0.9e1 - t421 * t3379 - 0.4e1 * t5220 * t1317 + 0.3e1 * t1321 * t5223 + 0.4e1 * t5204 * t1326;
  t5231 = t420 * t3421;
  t5232 = t229 * t5179;
  t5235 = t60 * t617;
  t5236 = t3375 * t5235;
  t5239 = t653 * t5235;
  t5244 = t60 * t606;
  t5245 = t229 * t5244;
  t5247 = t193 * t5086;
  t5248 = t5247 * t227;
  t5252 = t648 * t5235;
  t5255 = t3448 * t5235;
  t5258 = t229 * t5235;
  t5264 = t653 * t5244;
  t5266 = t3402 * t5235;
  t5269 = t648 * t5244;
  t5275 = t5247 * t208;
  t5278 = 0.2e1 * t421 * t3432 + 0.6e1 * t5231 * t5232 - 0.3e1 * t5178 * t5236 + 0.6e1 * t5183 * t5239 - 0.2e1 * t5204 * t1340 + t1315 * t5245 + t5248 * t230 + 0.4e1 / 0.3e1 * t5204 * t1330 - 0.4e1 * t5183 * t5252 + t5178 * t5255 / 0.18e2 - 0.3e1 * t5231 * t5258 - t421 * t3471 + t421 * t3436 / 0.2e1 - t1321 * t5264 + 0.1e2 / 0.3e1 * t5178 * t5266 + 0.2e1 / 0.3e1 * t1321 * t5269 + 0.2e1 * t5220 * t1336 + t1313 * t837 - t5275 * t234 / 0.2e1;
  t5279 = t5228 + t5278;
  t5280 = t59 * t5279;
  t5281 = t5280 * t95;
  t5288 = t781 * t428;
  t5290 = t3568 * t432 / 0.4e1 + t3605 * t432 / 0.2e1 - t765 * t1288 / 0.6e1 - t609 * t1288 / 0.12e2 - t211 * t5140 / 0.6e1 + t5144 / 0.6e1 - t5146 / 0.18e2 - t5149 + t5152 + t3610 * t432 / 0.4e1 - t1293 * t749 / 0.2e1 + t743 * t1288 / 0.6e1 + t5160 - t5161 / 0.6e1 - t30 * t5281 / 0.4e1 - t800 * t428 / 0.4e1 - t182 * t1344 / 0.2e1 - t5288 / 0.6e1;
  t5294 = my_piecewise3(t2, 0, t4812 + t4884 + t4940 + t4985 + t5029 + t5078 + t5131 + t5290);
  tv3rho2sigma0 = t3 * t5294 + 0.2e1 * t1349;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t5297 = t3894 * t441;
  t5300 = t3898 * t441;
  t5301 = t5300 * t350;
  t5303 = t3902 * t441;
  t5305 = t5303 * t350 / 0.54e2;
  t5308 = t869 * t453;
  t5311 = t873 * t453 / 0.18e2;
  t5314 = t3915 * t457;
  t5317 = t3918 * t457 / 0.18e2;
  t5319 = my_piecewise3(t100, 0, -t5297 * t350 / 0.12e2 - t5301 / 0.18e2 + t5305 - t865 * t453 / 0.4e1 - t5308 / 0.6e1 + t5311 + t3912 * t457 / 0.4e1 + t5314 / 0.6e1 - t5317);
  tv3rho2sigma2 = t3 * t5319 + 0.2e1 * t1366;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t5328 = t897 * t1217;
  t5335 = t897 * t1258;
  t5346 = -t4813 / 0.12e2 - t307 * t1305 / 0.4e1 - t3802 * t1235 / 0.2e1 + t903 * t1240 / 0.2e1 - t5328 * t1223 / 0.6e1 + t5328 * t1229 / 0.3e1 - t1368 * t676 / 0.12e2 + t5335 * t1260 / 0.6e1 + t1368 * t670 / 0.12e2 - t5328 * t1300 / 0.12e2 - t903 * t1247 / 0.2e1 - t903 * t1251 / 0.4e1;
  t5362 = t903 * t1255 / 0.4e1 - t4855 / 0.18e2 + t4865 / 0.9e1 + t4872 / 0.6e1 - t4874 / 0.6e1 - t4882 / 0.6e1 - t4894 / 0.12e2 + t4896 / 0.12e2 + t4899 / 0.18e2 - t4901 / 0.36e2 + t4908 / 0.36e2 - t4915 / 0.36e2 - t1368 * t612 / 0.12e2;
  t5364 = t3818 * t432;
  t5366 = t3814 * t416;
  t5367 = t5366 * t223;
  t5371 = t3824 * t416;
  t5374 = t897 * t1282;
  t5379 = t897 * t1292;
  t5389 = t5364 / 0.12e2 - t5367 / 0.36e2 + t903 * t1274 / 0.4e1 - t5371 * t223 / 0.12e2 - t5374 * t223 / 0.12e2 - t898 * t1288 / 0.12e2 + t5379 * t250 / 0.4e1 + t3825 * t432 / 0.4e1 + t3835 * t432 / 0.4e1 + t5062 / 0.12e2 - t5076 / 0.36e2 + t5094 / 0.12e2;
  t5397 = t894 * t428;
  t5403 = -t5097 / 0.36e2 - t5100 / 0.36e2 + t5122 / 0.12e2 + t5144 / 0.12e2 - t5146 / 0.36e2 - t5149 + t5152 - t307 * t1344 / 0.4e1 - t5397 / 0.12e2 - t890 * t428 / 0.4e1 + t5160 - t5161 / 0.12e2 - t5288 / 0.12e2;
  t5406 = my_piecewise3(t2, 0, t5346 + t5362 + t5389 + t5403);
  tv3rho2sigma3 = t3 * t5406 + t1349 + t1376;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t5410 = t294 * t1444;
  t5412 = t938 * t1449;
  t5414 = t937 * t1453;
  t5415 = t5414 * t377;
  t5417 = t1354 * t1087;
  t5419 = t933 * t1453;
  t5426 = t937 * t1385;
  t5427 = t5426 * t350;
  t5429 = t948 * t1462;
  t5431 = t4009 * t441;
  t5432 = t5431 * t350;
  t5434 = t4019 * t457;
  t5436 = -t290 * t1444 / 0.4e1 - t5410 / 0.12e2 - t5412 / 0.36e2 + t5415 / 0.12e2 - t5417 / 0.36e2 + t5419 * t377 / 0.4e1 + t4046 * t457 / 0.4e1 - t1351 * t1087 / 0.12e2 - t5427 / 0.36e2 + t5429 / 0.12e2 - t5432 / 0.36e2 + t5434 / 0.12e2;
  t5437 = t4013 * t457;
  t5439 = t933 * t1385;
  t5448 = t4045 * t441;
  t5455 = t929 * t453;
  t5457 = t294 * t1499;
  t5459 = t5437 / 0.12e2 - t5439 * t350 / 0.12e2 + t4052 * t457 / 0.4e1 + t945 * t1462 / 0.4e1 - t934 * t1449 / 0.12e2 - t5448 * t350 / 0.12e2 + t5314 / 0.12e2 - t5317 - t5301 / 0.36e2 + t5305 - t290 * t1499 / 0.4e1 - t5455 / 0.12e2 - t5457 / 0.12e2;
  t5464 = t937 * t1390;
  t5465 = t5464 * t1402;
  t5467 = t4040 * t1408;
  t5469 = t5464 * t1396;
  t5471 = t948 * t1424;
  t5473 = t948 * t1413;
  t5475 = t948 * t1420;
  t5477 = t937 * t1431;
  t5478 = t5477 * t1433;
  t5480 = t948 * t1428;
  t5482 = t5464 * t1438;
  t5484 = -t925 * t453 / 0.4e1 - t5308 / 0.12e2 + t5311 + t5465 / 0.9e1 - t5467 / 0.6e1 - t5469 / 0.18e2 - t5471 / 0.12e2 + t5473 / 0.6e1 - t5475 / 0.6e1 + t5478 / 0.18e2 + t5480 / 0.12e2 - t5482 / 0.36e2;
  t5485 = t1354 * t1002;
  t5487 = t1354 * t997;
  t5489 = t933 * t1390;
  t5508 = t933 * t1431;
  t5513 = -t5485 / 0.36e2 + t5487 / 0.36e2 - t5489 * t1396 / 0.6e1 - t4065 * t1408 / 0.2e1 - t945 * t1420 / 0.2e1 - t945 * t1424 / 0.4e1 + t5489 * t1402 / 0.3e1 - t1351 * t1002 / 0.12e2 + t1351 * t997 / 0.12e2 - t5489 * t1438 / 0.12e2 + t945 * t1428 / 0.4e1 + t5508 * t1433 / 0.6e1 + t945 * t1413 / 0.2e1;
  t5516 = my_piecewise3(t100, 0, t5436 + t5459 + t5484 + t5513);
  tv3rho2sigma5 = t3 * t5516 + t1366 + t1504;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t5519 = t3953 * t416;
  t5530 = my_piecewise3(t2, 0, -t5519 * t223 / 0.12e2 - t5367 / 0.18e2 + t5152 - t972 * t428 / 0.4e1 - t5397 / 0.6e1 + t5160 + t3959 * t432 / 0.4e1 + t5364 / 0.6e1 - t5149);
  tv3rho2sigma6 = t3 * t5530 + 0.2e1 * t1376;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t5533 = t1027 * params->at;
  t5534 = t145 * t5533;
  t5535 = t110 * t5534;
  t5536 = t403 * t615;
  t5537 = t5536 * t1389;
  t5538 = t5537 * t1407;
  t5540 = t110 * t1022;
  t5541 = t994 * t333;
  t5542 = t4549 * t5541;
  t5543 = t1476 * t5542;
  t5546 = t5537 * t1412;
  t5548 = t110 * t1476;
  t5549 = t4408 * t145;
  t5550 = t1021 * t5541;
  t5551 = t5549 * t5550;
  t5553 = t1034 * t145;
  t5554 = t403 * t333;
  t5555 = t4143 * t5554;
  t5556 = t5553 * t5555;
  t5559 = t110 * t4404;
  t5560 = t615 * t333;
  t5561 = t5560 * t1033;
  t5562 = t439 * t994;
  t5563 = t4408 * t5562;
  t5564 = t5561 * t5563;
  t5567 = t380 * t5554;
  t5568 = t5553 * t5567;
  t5571 = t168 * t5541;
  t5572 = t5549 * t5571;
  t5575 = t110 * t446;
  t5578 = t110 * t1470;
  t5579 = t4137 * t5571;
  t5582 = t356 * t145;
  t5583 = t5582 * t5567;
  t5587 = t4549 * t145;
  t5588 = t5587 * t5571;
  t5591 = t1093 * t145;
  t5592 = t5591 * t5567;
  t5595 = t4146 * t440;
  t5596 = t5595 * t1100;
  t5599 = t1182 * t5541;
  t5600 = t1470 * t5599;
  t5602 = t4146 * t1416;
  t5603 = t5602 * t1419;
  t5605 = -t5535 * t5538 - 0.3e1 / 0.2e1 * t5540 * t5543 + t4145 * t5546 - t5548 * t5551 + 0.2e1 / 0.3e1 * t5548 * t5556 + 0.3e1 / 0.2e1 * t5559 * t5564 - t5548 * t5568 / 0.6e1 + t5548 * t5572 / 0.4e1 + t5575 * t4140 / 0.6e1 - t5578 * t5579 / 0.3e1 + t5578 * t5583 / 0.3e1 - t5410 / 0.6e1 + t5548 * t5588 / 0.2e1 - t5548 * t5592 / 0.3e1 - t4145 * t5596 / 0.2e1 + t5540 * t5600 - t4145 * t5603;
  t5608 = t439 * t4356;
  t5609 = t4373 * t5608;
  t5610 = t4363 * t1005;
  t5611 = t4362 * t5610;
  t5612 = t5609 * t5611;
  t5615 = t1019 * t1005;
  t5616 = t4362 * t5615;
  t5617 = t5609 * t5616;
  t5620 = t3512 * t5608;
  t5621 = t321 * t5620;
  t5622 = t4368 * t139;
  t5623 = t4362 * t5622;
  t5624 = t167 * t1005;
  t5625 = t1028 * t5624;
  t5626 = t5623 * t5625;
  t5629 = t4368 * t1005;
  t5630 = t4362 * t5629;
  t5631 = t5609 * t5630;
  t5634 = t4362 * t1399;
  t5635 = t988 * t5624;
  t5636 = t5634 * t5635;
  t5639 = t4363 * t139;
  t5640 = t4362 * t5639;
  t5641 = t371 * t5624;
  t5642 = t5640 * t5641;
  t5645 = t439 * t4333;
  t5646 = t616 * t5645;
  t5647 = t321 * t5646;
  t5648 = t1400 * t5641;
  t5651 = t1393 * t5635;
  t5653 = t1031 * t5645;
  t5654 = t1013 * t5615;
  t5655 = t5653 * t5654;
  t5659 = t1013 * t1014 * t1005;
  t5660 = t5653 * t5659;
  t5665 = t1015 * t453;
  t5668 = t452 * t1021;
  t5669 = t1020 * t5668;
  t5672 = t451 * t1027;
  t5673 = t369 * t5672;
  t5674 = t321 * t5673;
  t5681 = -t318 * t1444 / 0.2e1 - 0.3e1 * t1030 * t5612 + 0.3e1 / 0.2e1 * t373 * t5617 - 0.3e1 / 0.2e1 * t5621 * t5626 + 0.3e1 / 0.2e1 * t4395 * t5631 - t5621 * t5636 / 0.2e1 + 0.7e1 / 0.3e1 * t5621 * t5642 - 0.2e1 * t5647 * t5648 + t5647 * t5651 + 0.3e1 * t1030 * t5655 - 0.3e1 * t373 * t5660 + t1454 * t1095 / 0.2e1 - t1010 * t5665 / 0.6e1 + t1010 * t5669 / 0.3e1 - t5674 * t1036 / 0.2e1 - t1386 * t1087 / 0.6e1 - t442 * t4487 / 0.12e2;
  t5683 = t349 * t1499;
  t5686 = t1020 * t453;
  t5689 = t1074 * t1453;
  t5702 = params->gamma * t1065;
  t5704 = my_piecewise3(t129, t322, 0.22e2 / 0.27e2 * t5702);
  t5706 = t374 * t5704 * t376;
  t5709 = t4453 * t441;
  t5712 = t1074 * t1385;
  t5715 = t1497 * t370;
  t5716 = t369 * t5715;
  t5717 = t321 * t5716;
  t5724 = t5704 * t335;
  t5725 = t194 * t5724;
  t5726 = t321 * t5725;
  t5733 = -t338 * t5683 / 0.6e1 - t1010 * t5686 / 0.12e2 + t5689 * t377 / 0.2e1 - t1378 * t1087 / 0.6e1 + t1078 * t1462 / 0.2e1 - t1075 * t1449 / 0.6e1 - t1084 * t1449 / 0.12e2 + t4457 * t457 / 0.2e1 + t373 * t5706 / 0.4e1 - t5709 * t350 / 0.12e2 - t5712 * t350 / 0.6e1 + t5717 * t377 / 0.2e1 + t1454 * t1071 / 0.4e1 + t4454 * t457 / 0.4e1 - t5726 * t350 / 0.12e2 + t4462 * t457 / 0.4e1 + t1056 * t1462 / 0.2e1;
  t5746 = t1498 * t404;
  t5749 = t452 * t1146;
  t5752 = t1383 * t1007;
  t5753 = t616 * t5752;
  t5754 = t321 * t5753;
  t5757 = t1393 * t4661;
  t5760 = t5640 * t5635;
  t5763 = t1074 * t1390;
  t5766 = -t1454 * t1046 / 0.2e1 + t1051 * t1449 / 0.6e1 - t5412 / 0.18e2 + t5415 / 0.6e1 - t5417 / 0.18e2 - t5427 / 0.18e2 + t5429 / 0.6e1 - t5432 / 0.18e2 + t5434 / 0.6e1 + t5437 / 0.6e1 - t5317 + t5305 - t110 * t5746 / 0.2e1 - t110 * t5749 / 0.4e1 + 0.2e1 / 0.3e1 * t5754 * t1402 - t1391 * t5757 / 0.6e1 - 0.11e2 / 0.18e2 * t5621 * t5760 + 0.2e1 / 0.3e1 * t5763 * t1402;
  t5771 = t4697 * t1394;
  t5772 = t1393 * t5771;
  t5775 = t1019 * t1069;
  t5776 = t1013 * t5775;
  t5777 = t1405 * t5776;
  t5785 = t1031 * t5752;
  t5786 = t5785 * t1407;
  t5790 = t5623 * t5641;
  t5793 = t1417 * t4667;
  t5796 = t1054 * t1394;
  t5797 = t1400 * t5796;
  t5801 = t1383 * t1043;
  t5802 = t374 * t5801;
  t5803 = t5802 * t1419;
  t5805 = t5785 * t1412;
  t5808 = t1013 * t1014 * t1069;
  t5809 = t1405 * t5808;
  t5813 = -t5754 * t1396 / 0.3e1 - t1391 * t5772 / 0.3e1 - t1030 * t5777 / 0.2e1 + t1078 * t1413 - t5763 * t1396 / 0.3e1 - t4349 * t1408 - t4383 * t1408 - t1030 * t5786 + t1391 * t4248 / 0.3e1 + 0.23e2 / 0.36e2 * t5621 * t5790 - t373 * t5793 / 0.2e1 + 0.2e1 / 0.3e1 * t1391 * t5797 - t1056 * t1420 - t373 * t5803 + t373 * t5805 + t373 * t5809 / 0.2e1 - t1078 * t1420;
  t5814 = t1074 * t1431;
  t5819 = t4676 * t445 * t376;
  t5823 = t978 * t1467 * t376;
  t5828 = t1423 * t4225;
  t5833 = t374 * t1384;
  t5834 = t5833 * t1100;
  t5843 = t1044 * t984;
  t5844 = t445 * t5843;
  t5845 = t142 * t333;
  t5846 = t5845 * t994;
  t5847 = t360 * t5846;
  t5850 = t1033 * t4160;
  t5851 = t1475 * t5850;
  t5852 = t1190 * t5846;
  t5854 = t69 * t439;
  t5855 = t5854 * t4375;
  t5856 = t143 * t1005;
  t5857 = t4408 * t5856;
  t5860 = t1475 * t4334;
  t5861 = t1093 * t5856;
  t5864 = t4376 * t5856;
  t5867 = t1199 * t333;
  t5868 = t4549 * t5867;
  t5871 = t615 * t1383;
  t5872 = t5871 * t1033;
  t5876 = t4408 * t5867;
  t5879 = t143 * t1069;
  t5880 = t1093 * t5879;
  t5883 = t1182 * t5867;
  t5886 = t1467 * t1044;
  t5893 = t356 * t5879;
  t5896 = t1034 * t5856;
  t5899 = t1034 * t5879;
  t5902 = t4396 * t5856;
  t5905 = t445 * t4425;
  t5906 = t356 * t5856;
  t5909 = 0.4e1 * t5844 * t5847 + t5851 * t5852 + 0.6e1 * t5855 * t5857 - 0.12e2 * t5860 * t5861 - 0.2e1 / 0.3e1 * t5855 * t5864 + 0.3e1 * t1476 * t5868 + 0.4e1 * t5872 * t1481 - t446 * t4554 - 0.2e1 * t1476 * t5876 + 0.2e1 * t1476 * t5880 - 0.2e1 * t1470 * t5883 - 0.4e1 * t5886 * t1472 - 0.2e1 * t1468 * t1184 - 0.2e1 / 0.3e1 * t5872 * t1477 - 0.2e1 * t1470 * t5893 + 0.2e1 * t5860 * t5896 - t1476 * t5899 / 0.3e1 - t5855 * t5902 / 0.9e1 + 0.6e1 * t5905 * t5906;
  t5912 = t140 * t1005;
  t5913 = t4376 * t5912;
  t5916 = t140 * t1069;
  t5917 = t1034 * t5916;
  t5920 = t193 * t5704;
  t5921 = t5920 * t354;
  t5923 = t4408 * t5912;
  t5926 = t1093 * t5912;
  t5930 = t356 * t5912;
  t5935 = t1093 * t5916;
  t5940 = t356 * t5916;
  t5946 = t1034 * t5912;
  t5949 = t4396 * t5912;
  t5952 = t5920 * t335;
  t5955 = t1203 * t5846;
  t5958 = 0.2e1 * t446 * t4546 + 0.1e2 / 0.3e1 * t5855 * t5913 + 0.2e1 / 0.3e1 * t1476 * t5917 + t5921 * t357 - 0.3e1 * t5855 * t5923 + 0.6e1 * t5860 * t5926 - t446 * t4571 - 0.3e1 * t5905 * t5930 - 0.2e1 * t5872 * t1495 - t1476 * t5935 + 0.2e1 * t5886 * t1491 + t1468 * t1200 + t1470 * t5940 + t446 * t4596 / 0.2e1 + 0.4e1 / 0.3e1 * t5872 * t1485 - 0.4e1 * t5860 * t5946 + t5855 * t5949 / 0.18e2 - t5952 * t361 / 0.2e1 - 0.6e1 * t5851 * t5955;
  t5959 = t5909 + t5958;
  t5960 = t139 * t5959;
  t5961 = t5960 * t168;
  t5972 = t5814 * t1433 / 0.3e1 + t1056 * t1413 + t373 * t5819 / 0.4e1 + t373 * t5823 / 0.2e1 + t1056 * t1428 / 0.2e1 - t373 * t5828 / 0.4e1 + t1078 * t1428 / 0.2e1 - t373 * t5834 / 0.2e1 - t1056 * t1424 / 0.2e1 - t5763 * t1438 / 0.6e1 - t1078 * t1424 / 0.2e1 - t110 * t5961 / 0.4e1 - t318 * t1499 / 0.2e1 - t1165 * t453 / 0.4e1 - t5455 / 0.6e1 - t5457 / 0.6e1 + t442 * t4683 / 0.12e2;
  t5980 = t1400 * t5635;
  t5985 = t194 * t5801;
  t5986 = t321 * t5985;
  t5989 = t1000 * t5771;
  t5998 = t1400 * t4661;
  t6001 = t5623 * t5635;
  t6006 = t451 * t146;
  t6007 = t6006 * t995;
  t6008 = t987 * t6007;
  t6013 = t1400 * t5771;
  t6016 = t6006 * t978;
  t6017 = t1000 * t6016;
  t6020 = t442 * t4699 / 0.6e1 + t1386 * t997 / 0.6e1 + t1432 * t4662 / 0.6e1 + t5647 * t5980 / 0.2e1 + t1378 * t997 / 0.6e1 + t5986 * t1433 / 0.3e1 + t1432 * t5989 / 0.3e1 - t1386 * t1002 / 0.6e1 - t442 * t4726 / 0.6e1 - t442 * t4719 / 0.12e2 - t1391 * t5998 / 0.12e2 - 0.5e1 / 0.36e2 * t5621 * t6001 - t1378 * t1002 / 0.6e1 + t338 * t6008 / 0.12e2 - t5754 * t1438 / 0.6e1 - t1391 * t6013 / 0.6e1 - t338 * t6017 / 0.6e1;
  t6027 = t194 * t1389;
  t6028 = t321 * t6027;
  t6029 = t1000 * t5635;
  t6032 = t1423 * t4714;
  t6037 = t346 * t348 * t1005;
  t6038 = t374 * t1389 * t6037;
  t6052 = -t1454 * t1101 / 0.4e1 + t1454 * t980 / 0.2e1 + t5311 - t442 * t4710 / 0.6e1 - t6028 * t6029 / 0.2e1 + t373 * t6032 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t6038 + 0.2e1 / 0.9e1 * t5465 - t5467 / 0.3e1 - t5469 / 0.9e1 - t5471 / 0.6e1 + t5473 / 0.3e1 - t5475 / 0.3e1 + t5478 / 0.9e1 + t5480 / 0.6e1 - t5482 / 0.18e2 - t5485 / 0.18e2 + t5487 / 0.18e2;
  t6056 = my_piecewise3(t100, 0, t5605 + t5681 + t5733 + t5766 + t5813 + t5972 + t6020 + t6052);
  tv3rho2sigma8 = t3 * t6056 + 0.2e1 * t1504;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t6059 = t188 * t1577;
  t6061 = t463 * t667;
  t6062 = t3375 * t6061;
  t6063 = t4740 * t6062;
  t6066 = t4749 * t1539;
  t6067 = t6066 * t1234;
  t6069 = t30 * t1591;
  t6079 = t1512 * t619;
  t6080 = t616 * t6079;
  t6081 = t191 * t6080;
  t6084 = t764 * t1540;
  t6088 = t1547 * t4936;
  t6091 = t645 * t6079;
  t6092 = t6091 * t1234;
  t6095 = t1512 * t740;
  t6096 = t247 * t6095;
  t6097 = t6096 * t1246;
  t6099 = t1555 * t3313;
  t6104 = -t6059 / 0.6e1 + 0.3e1 / 0.2e1 * t4738 * t6063 - t4748 * t6067 - t6069 * t4757 / 0.3e1 - t6069 * t4763 + 0.2e1 / 0.3e1 * t6069 * t4767 - t1541 * t4917 / 0.6e1 - t1541 * t4929 / 0.3e1 - t6081 * t1223 / 0.3e1 - t6084 * t1223 / 0.3e1 + t768 * t1551 - t644 * t6088 / 0.2e1 - t644 * t6092 - t757 * t1556 - t246 * t6097 - t246 * t6099 / 0.2e1 + t1541 * t3324 / 0.3e1;
  t6105 = t463 * t3396;
  t6106 = t3512 * t6105;
  t6107 = t191 * t6106;
  t6112 = t764 * t1567;
  t6115 = t194 * t6095;
  t6116 = t191 * t6115;
  t6120 = t6091 * t1239;
  t6122 = t1547 * t4960;
  t6129 = t3284 * t469 * t249;
  t6133 = t674 * t1584 * t249;
  t6136 = t247 * t1520;
  t6137 = t6136 * t730;
  t6140 = t1559 * t3246;
  t6149 = 0.23e2 / 0.36e2 * t6107 * t4951 - t3530 * t1548 - t3537 * t1548 + t6112 * t1260 / 0.3e1 + t6116 * t1260 / 0.3e1 + t757 * t1551 + t246 * t6120 + t246 * t6122 / 0.2e1 - t768 * t1556 + t757 * t1564 / 0.2e1 + t246 * t6129 / 0.4e1 + t246 * t6133 / 0.2e1 - t246 * t6137 / 0.2e1 - t246 * t6140 / 0.4e1 + t768 * t1564 / 0.2e1 - t6081 * t1300 / 0.6e1 - t768 * t1560 / 0.2e1;
  t6165 = t463 * t3415;
  t6166 = t616 * t6165;
  t6167 = t191 * t6166;
  t6186 = t592 * t1540;
  t6187 = t6186 * t1223;
  t6189 = -t757 * t1560 / 0.2e1 + t1522 * t670 / 0.6e1 + t466 * t3301 / 0.6e1 + t466 * t3269 / 0.12e2 - t6084 * t1300 / 0.6e1 + t1568 * t5012 / 0.3e1 + t1568 * t3262 / 0.6e1 + t6167 * t5017 / 0.2e1 + t1517 * t670 / 0.6e1 - t466 * t3281 / 0.6e1 - t466 * t3305 / 0.12e2 - t1522 * t676 / 0.6e1 - t1541 * t3320 / 0.12e2 - 0.5e1 / 0.36e2 * t6107 * t5037 - t1517 * t676 / 0.6e1 - t1541 * t5032 / 0.6e1 - t6187 / 0.9e1;
  t6191 = t3548 * t1548;
  t6193 = t645 * t6165;
  t6194 = t6193 * t4868;
  t6197 = t593 * t1551;
  t6199 = t6186 * t1229;
  t6203 = t6193 * t4887;
  t6206 = t593 * t1556;
  t6208 = t247 * t1539;
  t6209 = t6208 * t4878;
  t6214 = t592 * t1567;
  t6215 = t6214 * t1260;
  t6217 = t593 * t1560;
  t6219 = t1559 * t3161;
  t6222 = t194 * t1539;
  t6223 = t191 * t6222;
  t6226 = t1508 * t670;
  t6228 = t593 * t1564;
  t6230 = t3658 * t6105;
  t6231 = t6230 * t4825;
  t6234 = t1508 * t676;
  t6236 = t6167 * t4860 - t6191 / 0.3e1 + 0.3e1 * t644 * t6194 + t6197 / 0.3e1 + 0.2e1 / 0.9e1 * t6199 - 0.2e1 * t6167 * t4862 - 0.3e1 * t246 * t6203 - t6206 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t6209 + t6069 * t4772 / 0.2e1 + t6215 / 0.9e1 - t6217 / 0.6e1 + t246 * t6219 / 0.2e1 - t6223 * t4905 / 0.2e1 + t6226 / 0.18e2 + t6228 / 0.6e1 - 0.3e1 * t644 * t6231 - t6234 / 0.18e2;
  t6241 = t6186 * t1300;
  t6247 = t6230 * t4850;
  t6250 = t6230 * t4820;
  t6255 = t475 * t66;
  t6256 = t6255 * t674;
  t6257 = t673 * t6256;
  t6262 = t6255 * t668;
  t6263 = t660 * t6262;
  t6270 = t476 * t720;
  t6275 = t1607 * t277;
  t6278 = t3637 * t481;
  t6280 = t593 * t1514;
  t6282 = -t466 * t3143 / 0.6e1 - t6241 / 0.18e2 + 0.7e1 / 0.3e1 * t6107 * t4840 - 0.3e1 / 0.2e1 * t6107 * t4846 + 0.3e1 / 0.2e1 * t3680 * t6247 + 0.3e1 / 0.2e1 * t246 * t6250 - t6107 * t4834 / 0.2e1 - t211 * t6257 / 0.6e1 + t1532 * t736 / 0.2e1 + t211 * t6263 / 0.12e2 - t1532 * t731 / 0.4e1 - t6069 * t4803 / 0.6e1 - t30 * t6270 / 0.4e1 - t182 * t1577 / 0.2e1 - t30 * t6275 / 0.2e1 + t6278 / 0.6e1 + t6280 / 0.6e1;
  t6283 = t3627 * t465;
  t6284 = t6283 * t223;
  t6286 = t629 * t477;
  t6289 = t476 * t635;
  t6290 = t634 * t6289;
  t6293 = t475 * t641;
  t6294 = t242 * t6293;
  t6295 = t191 * t6294;
  t6303 = my_piecewise3(t49, t195, 0.2e2 / 0.27e2 * t202);
  t6305 = t247 * t6303 * t249;
  t6308 = t3567 * t465;
  t6311 = t764 * t1521;
  t6316 = t3631 * t481;
  t6324 = t592 * t1521;
  t6325 = t6324 * t223;
  t6327 = t1508 * t612;
  t6331 = -t6284 / 0.18e2 - t622 * t6286 / 0.6e1 + t622 * t6290 / 0.3e1 - t6295 * t650 / 0.2e1 + t1532 * t655 / 0.2e1 + t757 * t1514 / 0.2e1 + t246 * t6305 / 0.4e1 - t6308 * t223 / 0.12e2 - t6311 * t223 / 0.6e1 - t1517 * t612 / 0.6e1 + t6316 / 0.6e1 - t1522 * t612 / 0.6e1 - t466 * t3553 / 0.12e2 - t765 * t1527 / 0.6e1 - t6325 / 0.18e2 - t6327 / 0.18e2 + t768 * t1514 / 0.2e1;
  t6333 = t1606 * t243;
  t6334 = t242 * t6333;
  t6335 = t191 * t6334;
  t6338 = t6303 * t208;
  t6339 = t194 * t6338;
  t6340 = t191 * t6339;
  t6344 = t3621 * t481 / 0.18e2;
  t6347 = t222 * t1608;
  t6350 = t634 * t477;
  t6353 = t764 * t1531;
  t6358 = t592 * t1531;
  t6359 = t6358 * t250;
  t6363 = t771 * t1527;
  t6365 = t3620 * t465;
  t6367 = t6365 * t223 / 0.54e2;
  t6378 = t6335 * t250 / 0.2e1 - t6340 * t223 / 0.12e2 - t6344 - t609 * t1527 / 0.12e2 - t211 * t6347 / 0.6e1 - t622 * t6350 / 0.12e2 + t6353 * t250 / 0.2e1 + t743 * t1527 / 0.6e1 + t6359 / 0.6e1 - t1532 * t749 / 0.2e1 - t6363 / 0.18e2 + t6367 + t3610 * t481 / 0.4e1 + t1532 * t761 / 0.4e1 + t3568 * t481 / 0.4e1 + t3605 * t481 / 0.2e1 - t182 * t1608 / 0.2e1;
  t6379 = t781 * t477;
  t6381 = t188 * t1608;
  t6384 = t777 * t477 / 0.18e2;
  t6389 = t69 * t463;
  t6390 = t6389 * t3399;
  t6393 = t1590 * t3416;
  t6413 = t1584 * t747;
  t6418 = t615 * t1512;
  t6419 = t6418 * t647;
  t6424 = t469 * t3421;
  t6427 = t1590 * t5163;
  t6429 = t193 * t6303;
  t6430 = t6429 * t208;
  t6433 = 0.3e1 * t1591 * t5223 + 0.6e1 * t6390 * t5180 - 0.12e2 * t6393 * t5184 - 0.2e1 / 0.3e1 * t6390 * t5187 - 0.2e1 * t1587 * t5198 - 0.2e1 * t1587 * t5207 + 0.2e1 * t6393 * t5210 - t1591 * t5213 / 0.3e1 - t6390 * t5216 / 0.9e1 - t470 * t3379 - 0.2e1 * t1591 * t5191 + 0.2e1 * t1591 * t5195 - 0.4e1 * t6413 * t1317 - 0.2e1 * t1585 * t821 - 0.2e1 / 0.3e1 * t6419 * t1322 + 0.2e1 * t470 * t3432 + 0.6e1 * t6424 * t5232 + t6427 * t5167 - t6430 * t234 / 0.2e1;
  t6440 = t469 * t5169;
  t6467 = t6429 * t227;
  t6469 = -0.2e1 * t6419 * t1340 + 0.4e1 * t6419 * t1326 - 0.6e1 * t6427 * t5174 + 0.4e1 * t6440 * t5171 + 0.4e1 / 0.3e1 * t6419 * t1330 - 0.4e1 * t6393 * t5252 + t6390 * t5255 / 0.18e2 + 0.6e1 * t6393 * t5239 - 0.3e1 * t6390 * t5236 - 0.3e1 * t6424 * t5258 - t470 * t3471 + t1587 * t5245 + t470 * t3436 / 0.2e1 - t1591 * t5264 + 0.1e2 / 0.3e1 * t6390 * t5266 + 0.2e1 / 0.3e1 * t1591 * t5269 + 0.2e1 * t6413 * t1336 + t1585 * t837 + t6467 * t230;
  t6470 = t6433 + t6469;
  t6471 = t59 * t6470;
  t6472 = t6471 * t95;
  t6475 = t3124 * t464;
  t6476 = t6475 * t730;
  t6479 = t1591 * t4780;
  t6482 = t6066 * t1239;
  t6484 = t1587 * t4786;
  t6488 = t30 * t470;
  t6491 = t30 * t1587;
  t6496 = t3124 * t1554;
  t6497 = t6496 * t1246;
  t6507 = -t6379 / 0.6e1 - t6381 / 0.6e1 + t6384 - t800 * t477 / 0.4e1 - t30 * t6472 / 0.4e1 - t3123 * t6476 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t6479 + t3123 * t6482 + t4779 * t6484 + t6069 * t4806 / 0.4e1 + t6488 * t3133 / 0.6e1 - t6491 * t4793 / 0.3e1 + t6491 * t4797 / 0.3e1 - t3123 * t6497 + 0.2e1 / 0.3e1 * t1541 * t4946 + 0.2e1 / 0.3e1 * t6081 * t1229 + 0.2e1 / 0.3e1 * t6084 * t1229 - 0.11e2 / 0.18e2 * t6107 * t4920;
  t6511 = my_piecewise3(t2, 0, t6104 + t6149 + t6189 + t6236 + t6282 + t6331 + t6378 + t6507);
  tv3rho2lapl0 = t3 * t6511 + 0.2e1 * t1613;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t6514 = t3894 * t489;
  t6517 = t3898 * t489;
  t6518 = t6517 * t350;
  t6520 = t3902 * t489;
  t6522 = t6520 * t350 / 0.54e2;
  t6525 = t869 * t501;
  t6528 = t873 * t501 / 0.18e2;
  t6531 = t3915 * t505;
  t6534 = t3918 * t505 / 0.18e2;
  t6536 = my_piecewise3(t100, 0, -t6514 * t350 / 0.12e2 - t6518 / 0.18e2 + t6522 - t865 * t501 / 0.4e1 - t6525 / 0.6e1 + t6528 + t3912 * t505 / 0.4e1 + t6531 / 0.6e1 - t6534);
  tv3rho2lapl1 = t3 * t6536 + 0.2e1 * t1630;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 1] += tv3rho2lapl1;

  t6541 = t897 * t1540;
  t6556 = -t6059 / 0.12e2 - t307 * t1577 / 0.4e1 - t6541 * t1223 / 0.6e1 + t903 * t1551 / 0.2e1 + t6541 * t1229 / 0.3e1 - t3802 * t1548 / 0.2e1 - t6187 / 0.18e2 - t6191 / 0.6e1 + t6197 / 0.6e1 + t6199 / 0.9e1 - t6206 / 0.6e1 + t6215 / 0.18e2;
  t6562 = t3818 * t481;
  t6564 = t3814 * t465;
  t6565 = t6564 * t223;
  t6567 = t3824 * t465;
  t6570 = t897 * t1521;
  t6575 = t897 * t1531;
  t6582 = -t6217 / 0.12e2 + t6226 / 0.36e2 + t6228 / 0.12e2 - t6234 / 0.36e2 - t6241 / 0.36e2 + t6562 / 0.12e2 - t6565 / 0.36e2 - t6567 * t223 / 0.12e2 - t6570 * t223 / 0.12e2 - t898 * t1527 / 0.12e2 + t6575 * t250 / 0.4e1 + t3825 * t481 / 0.4e1 + t3835 * t481 / 0.4e1;
  t6596 = t903 * t1514 / 0.4e1 - t1632 * t612 / 0.12e2 + t6278 / 0.12e2 + t6280 / 0.12e2 - t6284 / 0.36e2 + t6316 / 0.12e2 - t6325 / 0.36e2 - t6327 / 0.36e2 - t6344 + t6359 / 0.12e2 - t6363 / 0.36e2 + t6367;
  t6597 = t894 * t477;
  t6609 = t897 * t1567;
  t6620 = -t6597 / 0.12e2 - t890 * t477 / 0.4e1 - t307 * t1608 / 0.4e1 - t6541 * t1300 / 0.12e2 - t1632 * t676 / 0.12e2 + t1632 * t670 / 0.12e2 + t6609 * t1260 / 0.6e1 - t6379 / 0.12e2 - t6381 / 0.12e2 + t6384 + t903 * t1564 / 0.4e1 - t903 * t1560 / 0.4e1 - t903 * t1556 / 0.2e1;
  t6623 = my_piecewise3(t2, 0, t6556 + t6582 + t6596 + t6620);
  tv3rho2lapl2 = t3 * t6623 + t1613 + t1640;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 2] += tv3rho2lapl2;

  t6625 = t938 * t1658;
  t6627 = t4019 * t505;
  t6629 = t4013 * t505;
  t6631 = t937 * t1662;
  t6632 = t6631 * t377;
  t6634 = t1618 * t1087;
  t6636 = t937 * t1681;
  t6637 = t6636 * t350;
  t6639 = t948 * t1673;
  t6641 = t4009 * t489;
  t6642 = t6641 * t350;
  t6652 = -t6625 / 0.36e2 + t6627 / 0.12e2 + t6629 / 0.12e2 + t6632 / 0.12e2 - t6634 / 0.36e2 - t6637 / 0.36e2 + t6639 / 0.12e2 - t6642 / 0.36e2 + t4046 * t505 / 0.4e1 - t1615 * t1087 / 0.12e2 - t934 * t1658 / 0.12e2 + t945 * t1673 / 0.4e1;
  t6653 = t4045 * t489;
  t6656 = t933 * t1662;
  t6659 = t933 * t1681;
  t6664 = t294 * t1737;
  t6666 = t929 * t501;
  t6674 = -t6653 * t350 / 0.12e2 + t6656 * t377 / 0.4e1 - t6659 * t350 / 0.12e2 + t4052 * t505 / 0.4e1 - t6664 / 0.12e2 - t6666 / 0.12e2 - t925 * t501 / 0.4e1 - t290 * t1737 / 0.4e1 - t6534 - t6518 / 0.36e2 + t6522 + t6531 / 0.12e2 + t6528;
  t6677 = t4040 * t1693;
  t6679 = t937 * t1650;
  t6680 = t6679 * t1396;
  t6682 = t6679 * t1402;
  t6684 = t937 * t1643;
  t6685 = t6684 * t1433;
  t6687 = t948 * t1704;
  t6689 = t948 * t1696;
  t6691 = t948 * t1700;
  t6693 = t6679 * t1438;
  t6695 = t948 * t1708;
  t6697 = t1618 * t1002;
  t6699 = t1618 * t997;
  t6701 = -t6525 / 0.12e2 - t6677 / 0.6e1 - t6680 / 0.18e2 + t6682 / 0.9e1 + t6685 / 0.18e2 - t6687 / 0.12e2 + t6689 / 0.6e1 - t6691 / 0.6e1 - t6693 / 0.36e2 + t6695 / 0.12e2 - t6697 / 0.36e2 + t6699 / 0.36e2;
  t6702 = t933 * t1650;
  t6709 = t933 * t1643;
  t6726 = t294 * t1685;
  t6730 = t6702 * t1402 / 0.3e1 + t945 * t1696 / 0.2e1 - t6702 * t1396 / 0.6e1 + t6709 * t1433 / 0.6e1 - t945 * t1700 / 0.2e1 - t945 * t1704 / 0.4e1 - t4065 * t1693 / 0.2e1 + t1615 * t997 / 0.12e2 - t6702 * t1438 / 0.12e2 - t1615 * t1002 / 0.12e2 + t945 * t1708 / 0.4e1 - t6726 / 0.12e2 - t290 * t1685 / 0.4e1;
  t6733 = my_piecewise3(t100, 0, t6652 + t6674 + t6701 + t6730);
  tv3rho2lapl3 = t3 * t6733 + t1630 + t1742;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 3] += tv3rho2lapl3;

  t6736 = t3953 * t465;
  t6747 = my_piecewise3(t2, 0, -t6736 * t223 / 0.12e2 - t6565 / 0.18e2 + t6367 - t972 * t477 / 0.4e1 - t6597 / 0.6e1 + t6384 + t3959 * t481 / 0.4e1 + t6562 / 0.6e1 - t6344);
  tv3rho2lapl4 = t3 * t6747 + 0.2e1 * t1640;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 4] += tv3rho2lapl4;

  t6750 = t487 * t4356;
  t6751 = t3512 * t6750;
  t6752 = t321 * t6751;
  t6755 = t1074 * t1650;
  t6758 = t1671 * t1007;
  t6759 = t616 * t6758;
  t6760 = t321 * t6759;
  t6773 = t499 * t146;
  t6774 = t6773 * t978;
  t6775 = t1000 * t6774;
  t6779 = t1692 * t5776;
  t6784 = t1031 * t6758;
  t6785 = t6784 * t1407;
  t6789 = t1699 * t4667;
  t6794 = -0.11e2 / 0.18e2 * t6752 * t5760 + 0.2e1 / 0.3e1 * t6755 * t1402 + 0.2e1 / 0.3e1 * t6760 * t1402 - t1651 * t5757 / 0.6e1 - t6760 * t1396 / 0.3e1 - t1651 * t5772 / 0.3e1 + t1663 * t980 / 0.2e1 - t6755 * t1396 / 0.3e1 - t338 * t6775 / 0.6e1 + t1078 * t1696 - t1030 * t6779 / 0.2e1 - t4349 * t1693 - t4383 * t1693 - t1030 * t6785 + 0.23e2 / 0.36e2 * t6752 * t5790 - t373 * t6789 / 0.2e1 + 0.2e1 / 0.3e1 * t1651 * t5797;
  t6798 = t1671 * t1043;
  t6799 = t374 * t6798;
  t6800 = t6799 * t1419;
  t6803 = t1692 * t5808;
  t6807 = t6784 * t1412;
  t6812 = t4676 * t493 * t376;
  t6816 = t978 * t1713 * t376;
  t6819 = t1074 * t1643;
  t6824 = t110 * t1720;
  t6827 = t110 * t494;
  t6830 = t110 * t1716;
  t6837 = t1651 * t4248 / 0.3e1 - t1056 * t1700 - t373 * t6800 - t1078 * t1700 + t373 * t6803 / 0.2e1 + t1056 * t1696 + t373 * t6807 + t1056 * t1708 / 0.2e1 + t373 * t6812 / 0.4e1 + t373 * t6816 / 0.2e1 + t6819 * t1433 / 0.3e1 + t1078 * t1708 / 0.2e1 + t6824 * t5572 / 0.4e1 + t6827 * t4140 / 0.6e1 - t6830 * t5579 / 0.3e1 + t6830 * t5583 / 0.3e1 - t6824 * t5568 / 0.6e1;
  t6839 = t1015 * t501;
  t6842 = t500 * t1021;
  t6843 = t1020 * t6842;
  t6846 = t499 * t1027;
  t6847 = t369 * t6846;
  t6848 = t321 * t6847;
  t6853 = t1735 * t370;
  t6854 = t369 * t6853;
  t6855 = t321 * t6854;
  t6870 = t349 * t1737;
  t6873 = t1020 * t501;
  t6876 = t1074 * t1662;
  t6884 = my_piecewise3(t129, t322, 0.2e2 / 0.27e2 * t329);
  t6886 = t374 * t6884 * t376;
  t6889 = -t1010 * t6839 / 0.6e1 + t1010 * t6843 / 0.3e1 - t6848 * t1036 / 0.2e1 + t1663 * t1095 / 0.2e1 + t6855 * t377 / 0.2e1 - t1677 * t1087 / 0.6e1 - t1682 * t1087 / 0.6e1 - t490 * t4487 / 0.12e2 + t1078 * t1673 / 0.2e1 - t1075 * t1658 / 0.6e1 - t1084 * t1658 / 0.12e2 - t338 * t6870 / 0.6e1 - t1010 * t6873 / 0.12e2 + t6876 * t377 / 0.2e1 + t4462 * t505 / 0.4e1 + t1056 * t1673 / 0.2e1 + t373 * t6886 / 0.4e1;
  t6890 = t4453 * t489;
  t6893 = t1074 * t1681;
  t6906 = t6884 * t335;
  t6907 = t194 * t6906;
  t6908 = t321 * t6907;
  t6919 = t487 * t4333;
  t6920 = t616 * t6919;
  t6921 = t321 * t6920;
  t6925 = -t6890 * t350 / 0.12e2 - t6893 * t350 / 0.6e1 + t1663 * t1071 / 0.4e1 + t4454 * t505 / 0.4e1 + t4457 * t505 / 0.2e1 - t1663 * t1046 / 0.2e1 + t1051 * t1658 / 0.6e1 - t6908 * t350 / 0.12e2 - t6625 / 0.18e2 + t6627 / 0.6e1 + t6629 / 0.6e1 + t6632 / 0.6e1 - t6634 / 0.18e2 - t6637 / 0.18e2 + t6639 / 0.6e1 - t6642 / 0.18e2 + t6921 * t5651 - 0.2e1 * t6921 * t5648;
  t6928 = t1031 * t6919;
  t6929 = t6928 * t5659;
  t6932 = t6928 * t5654;
  t6935 = t4373 * t6750;
  t6936 = t6935 * t5611;
  t6939 = t1703 * t4714;
  t6942 = t374 * t1649;
  t6943 = t6942 * t6037;
  t6946 = t6935 * t5616;
  t6949 = t374 * t1680;
  t6950 = t6949 * t1100;
  t6953 = t1703 * t4225;
  t6966 = t493 * t5843;
  t6969 = t1719 * t5850;
  t6973 = t193 * t6884;
  t6974 = t6973 * t335;
  t6978 = t6973 * t354;
  t6980 = t615 * t1671;
  t6981 = t6980 * t1033;
  t6984 = t1719 * t4334;
  t6987 = t69 * t487;
  t6988 = t6987 * t4375;
  t7005 = t1713 * t1044;
  t7009 = 0.4e1 * t6966 * t5847 + t6969 * t5852 - 0.6e1 * t6969 * t5955 - t6974 * t361 / 0.2e1 + t1716 * t5940 + t6978 * t357 + 0.4e1 / 0.3e1 * t6981 * t1485 - 0.4e1 * t6984 * t5946 + t6988 * t5949 / 0.18e2 - 0.2e1 * t6981 * t1495 + 0.6e1 * t6984 * t5926 - 0.3e1 * t6988 * t5923 - t494 * t4571 + t494 * t4596 / 0.2e1 - t1720 * t5935 + 0.1e2 / 0.3e1 * t6988 * t5913 + 0.2e1 / 0.3e1 * t1720 * t5917 + 0.2e1 * t7005 * t1491 + t1714 * t1200;
  t7010 = t493 * t4425;
  t7048 = -0.3e1 * t7010 * t5930 + 0.3e1 * t1720 * t5868 + 0.4e1 * t6981 * t1481 - 0.4e1 * t7005 * t1472 - 0.2e1 * t1714 * t1184 - 0.2e1 / 0.3e1 * t6981 * t1477 - 0.2e1 * t1716 * t5893 + 0.2e1 * t6984 * t5896 + 0.2e1 * t494 * t4546 + 0.6e1 * t7010 * t5906 - 0.2e1 * t1720 * t5876 + 0.2e1 * t1720 * t5880 - 0.12e2 * t6984 * t5861 - 0.2e1 / 0.3e1 * t6988 * t5864 + 0.6e1 * t6988 * t5857 - 0.2e1 * t1716 * t5883 - t1720 * t5899 / 0.3e1 - t6988 * t5902 / 0.9e1 - t494 * t4554;
  t7049 = t7009 + t7048;
  t7050 = t139 * t7049;
  t7051 = t7050 * t168;
  t7058 = -0.3e1 * t373 * t6929 + 0.3e1 * t1030 * t6932 - 0.3e1 * t1030 * t6936 + t373 * t6939 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t6943 + 0.3e1 / 0.2e1 * t373 * t6946 - t373 * t6950 / 0.2e1 - t373 * t6953 / 0.4e1 - t1078 * t1704 / 0.2e1 - t1056 * t1704 / 0.2e1 + t490 * t4683 / 0.12e2 - t6755 * t1438 / 0.6e1 - t318 * t1737 / 0.2e1 - t110 * t7051 / 0.4e1 - t1165 * t501 / 0.4e1 - t6664 / 0.6e1 - t6666 / 0.6e1;
  t7071 = t194 * t6798;
  t7072 = t321 * t7071;
  t7091 = t490 * t4699 / 0.6e1 + t1677 * t997 / 0.6e1 + t1682 * t997 / 0.6e1 - t6534 + t6522 + t6921 * t5980 / 0.2e1 + t1644 * t4662 / 0.6e1 - t490 * t4719 / 0.12e2 + t7072 * t1433 / 0.3e1 + t1644 * t5989 / 0.3e1 - t1682 * t1002 / 0.6e1 - t490 * t4726 / 0.6e1 - 0.5e1 / 0.36e2 * t6752 * t6001 - t1677 * t1002 / 0.6e1 - t1651 * t5998 / 0.12e2 - t6760 * t1438 / 0.6e1 - t1651 * t6013 / 0.6e1;
  t7093 = t6773 * t995;
  t7094 = t987 * t7093;
  t7099 = t194 * t1649;
  t7100 = t321 * t7099;
  t7116 = t4146 * t488;
  t7117 = t7116 * t1100;
  t7120 = t338 * t7094 / 0.12e2 - t490 * t4710 / 0.6e1 - t7100 * t6029 / 0.2e1 - t1663 * t1101 / 0.4e1 + t6528 - t6677 / 0.3e1 - t6680 / 0.9e1 + 0.2e1 / 0.9e1 * t6682 + t6685 / 0.9e1 - t6687 / 0.6e1 + t6689 / 0.3e1 - t6691 / 0.3e1 - t6693 / 0.18e2 + t6695 / 0.6e1 - t6697 / 0.18e2 + t6699 / 0.18e2 - t4145 * t7117 / 0.2e1;
  t7121 = t1716 * t5599;
  t7123 = t4146 * t1642;
  t7124 = t7123 * t1419;
  t7126 = t5536 * t1649;
  t7127 = t7126 * t1407;
  t7129 = t1720 * t5542;
  t7132 = t7126 * t1412;
  t7137 = t487 * t994;
  t7138 = t4408 * t7137;
  t7139 = t5561 * t7138;
  t7146 = t500 * t1146;
  t7151 = t1736 * t404;
  t7161 = t6935 * t5630;
  t7164 = t5540 * t7121 - t4145 * t7124 - t5535 * t7127 - 0.3e1 / 0.2e1 * t5540 * t7129 + t4145 * t7132 - t6824 * t5551 + 0.2e1 / 0.3e1 * t6824 * t5556 + 0.3e1 / 0.2e1 * t5559 * t7139 + t6824 * t5588 / 0.2e1 - t6824 * t5592 / 0.3e1 - t110 * t7146 / 0.4e1 - t318 * t1685 / 0.2e1 - t110 * t7151 / 0.2e1 - t6726 / 0.6e1 - t6752 * t5636 / 0.2e1 + 0.7e1 / 0.3e1 * t6752 * t5642 - 0.3e1 / 0.2e1 * t6752 * t5626 + 0.3e1 / 0.2e1 * t4395 * t7161;
  t7168 = my_piecewise3(t100, 0, t6794 + t6837 + t6889 + t6925 + t7058 + t7091 + t7120 + t7164);
  tv3rho2lapl5 = t3 * t7168 + 0.2e1 * t1742;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 5] += tv3rho2lapl5;

  t7171 = t1220 * t1778;
  t7174 = t244 * t1777;
  t7175 = t1227 * t7174;
  t7178 = t1777 * t814;
  t7179 = t7178 * t649;
  t7182 = t7178 * t654;
  t7185 = t512 * t3396;
  t7186 = t3512 * t7185;
  t7187 = t191 * t7186;
  t7190 = t764 * t1747;
  t7193 = t1839 * t619;
  t7194 = t616 * t7193;
  t7195 = t191 * t7194;
  t7198 = t524 * t66;
  t7199 = t7198 * t674;
  t7200 = t673 * t7199;
  t7209 = t3279 * t1777;
  t7210 = t673 * t7209;
  t7213 = t1847 * t4780;
  t7216 = t30 * t1847;
  t7228 = t3124 * t513;
  t7229 = t7228 * t730;
  t7232 = -t622 * t7171 / 0.6e1 + t622 * t7175 / 0.3e1 - t644 * t7179 / 0.2e1 + t246 * t7182 / 0.2e1 - 0.11e2 / 0.18e2 * t7187 * t4920 + 0.2e1 / 0.3e1 * t7190 * t1229 + 0.2e1 / 0.3e1 * t7195 * t1229 - t211 * t7200 / 0.6e1 + t1891 * t736 / 0.2e1 - t765 * t1779 / 0.6e1 + t768 * t1783 / 0.2e1 - t211 * t7210 / 0.6e1 - 0.3e1 / 0.2e1 * t4779 * t7213 - t7216 * t4763 + 0.2e1 / 0.3e1 * t7216 * t4767 + t7216 * t4772 / 0.2e1 - t7216 * t4757 / 0.3e1 + 0.7e1 / 0.3e1 * t7187 * t4840 - 0.3e1 / 0.2e1 * t7187 * t4846 - t3123 * t7229 / 0.2e1;
  t7233 = t4749 * t1746;
  t7234 = t7233 * t1239;
  t7236 = t1843 * t4786;
  t7238 = t3124 * t1764;
  t7239 = t7238 * t1246;
  t7241 = t512 * t667;
  t7242 = t3375 * t7241;
  t7243 = t4740 * t7242;
  t7246 = t7233 * t1234;
  t7248 = t512 * t3415;
  t7249 = t616 * t7248;
  t7250 = t191 * t7249;
  t7253 = t3548 * t1758;
  t7255 = t592 * t1747;
  t7256 = t7255 * t1223;
  t7259 = t7255 * t1229;
  t7262 = t593 * t1770;
  t7264 = t645 * t7248;
  t7265 = t7264 * t4868;
  t7268 = t593 * t1761;
  t7270 = t7264 * t4887;
  t7273 = t593 * t1774;
  t7275 = t593 * t1766;
  t7277 = t247 * t1746;
  t7278 = t7277 * t4878;
  t7281 = t771 * t1779;
  t7285 = t1769 * t3161;
  t7288 = t1869 * t670;
  t7290 = -t7262 / 0.6e1 + 0.3e1 * t644 * t7265 + t7268 / 0.3e1 - 0.3e1 * t246 * t7270 + t7273 / 0.6e1 - t7275 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t7278 - t7281 / 0.18e2 + t743 * t1779 / 0.6e1 + t246 * t7285 / 0.2e1 + t7288 / 0.18e2;
  t7293 = t593 * t1783;
  t7296 = t1777 * t810 * t748;
  t7299 = t592 * t1786;
  t7300 = t7299 * t1260;
  t7304 = t7255 * t1300;
  t7306 = t194 * t1746;
  t7307 = t191 * t7306;
  t7310 = t1869 * t676;
  t7313 = t1777 * t807 * t249;
  t7316 = t1227 * t1778;
  t7340 = t764 * t1786;
  t7343 = t1839 * t740;
  t7344 = t194 * t7343;
  t7345 = t191 * t7344;
  t7348 = t515 * t3301 / 0.6e1 + t515 * t3269 / 0.12e2 + t1876 * t670 / 0.6e1 + t1881 * t670 / 0.6e1 + t1787 * t5012 / 0.3e1 + t1787 * t3262 / 0.6e1 + t7250 * t5017 / 0.2e1 - t515 * t3281 / 0.6e1 - t515 * t3305 / 0.12e2 + t7340 * t1260 / 0.3e1 + t7345 * t1260 / 0.3e1;
  t7351 = t777 * t526 / 0.18e2;
  t7352 = t188 * t1864;
  t7354 = t781 * t526;
  t7366 = t771 * t1886;
  t7368 = t592 * t1890;
  t7369 = t7368 * t250;
  t7374 = t764 * t1890;
  t7377 = t3627 * t514;
  t7378 = t7377 * t223;
  t7380 = t592 * t1880;
  t7381 = t7380 * t223;
  t7383 = t1869 * t612;
  t7385 = t222 * t1864;
  t7388 = t1862 * t243;
  t7389 = t242 * t7388;
  t7390 = t191 * t7389;
  t7393 = t3567 * t514;
  t7396 = t764 * t1880;
  t7402 = my_piecewise3(t49, t195, -0.8e2 / 0.27e2 * t1270);
  t7403 = t7402 * t208;
  t7404 = t194 * t7403;
  t7405 = t191 * t7404;
  t7408 = -t765 * t1886 / 0.6e1 + t7374 * t250 / 0.2e1 - t7378 / 0.18e2 - t7381 / 0.18e2 - t7383 / 0.18e2 - t211 * t7385 / 0.6e1 + t7390 * t250 / 0.2e1 - t7393 * t223 / 0.12e2 - t7396 * t223 / 0.6e1 - t1876 * t612 / 0.6e1 - t7405 * t223 / 0.12e2;
  t7414 = t3631 * t530;
  t7416 = t3637 * t530;
  t7418 = t593 * t1873;
  t7423 = t247 * t7402 * t249;
  t7441 = t634 * t526;
  t7449 = t3621 * t530 / 0.18e2;
  t7450 = t3620 * t514;
  t7452 = t7450 * t223 / 0.54e2;
  t7453 = t629 * t526;
  t7456 = t525 * t635;
  t7457 = t634 * t7456;
  t7460 = t524 * t641;
  t7461 = t242 * t7460;
  t7462 = t191 * t7461;
  t7465 = t3568 * t530 / 0.4e1 + t3605 * t530 / 0.2e1 + t3610 * t530 / 0.4e1 - t622 * t7441 / 0.12e2 - t1891 * t749 / 0.2e1 + t743 * t1886 / 0.6e1 - t7449 + t7452 - t622 * t7453 / 0.6e1 + t622 * t7457 / 0.3e1 - t7462 * t650 / 0.2e1;
  t7469 = params->at * t1829;
  t7470 = t661 * t7469;
  t7471 = t673 * t7470;
  t7475 = t7469 * t226 * t249;
  t7488 = t645 * t7193;
  t7489 = t7488 * t1234;
  t7492 = t1757 * t4936;
  t7499 = t247 * t7343;
  t7500 = t7499 * t1246;
  t7502 = t1765 * t3313;
  t7512 = t3284 * t518 * t249;
  t7516 = t674 * t1840 * t249;
  t7519 = -t644 * t7492 / 0.2e1 + t768 * t1761 + t757 * t1783 / 0.2e1 - t757 * t1766 - t246 * t7500 - t246 * t7502 / 0.2e1 + 0.2e1 / 0.3e1 * t1748 * t4946 + t1748 * t3324 / 0.3e1 + 0.23e2 / 0.36e2 * t7187 * t4951 + t246 * t7512 / 0.4e1 + t246 * t7516 / 0.2e1;
  t7523 = t7488 * t1239;
  t7525 = t1757 * t4960;
  t7533 = t247 * t1879;
  t7534 = t7533 * t730;
  t7537 = t1769 * t3246;
  t7549 = t7198 * t668;
  t7550 = t660 * t7549;
  t7556 = t777 * t545 / 0.18e2;
  t7557 = t781 * t545;
  t7559 = t188 * t1798;
  t7561 = t188 * t1831;
  t7563 = t3658 * t7185;
  t7564 = t7563 * t4850;
  t7567 = t7563 * t4825;
  t7570 = t7563 * t4820;
  t7573 = -t7190 * t1300 / 0.6e1 - t7195 * t1300 / 0.6e1 + t211 * t7550 / 0.12e2 - t1891 * t731 / 0.4e1 + t7556 - t7557 / 0.6e1 - t7559 / 0.6e1 - t7561 / 0.6e1 + 0.3e1 / 0.2e1 * t3680 * t7564 - 0.3e1 * t644 * t7567 + 0.3e1 / 0.2e1 * t246 * t7570;
  t7581 = t30 * t519;
  t7584 = t1846 * t5163;
  t7586 = t518 * t5169;
  t7591 = t193 * t7402;
  t7592 = t7591 * t208;
  t7595 = t1846 * t3416;
  t7598 = t69 * t512;
  t7599 = t7598 * t3399;
  t7610 = t518 * t3421;
  t7624 = t1840 * t747;
  t7627 = t7584 * t5167 + 0.4e1 * t7586 * t5171 - 0.6e1 * t7584 * t5174 - t7592 * t234 / 0.2e1 + 0.6e1 * t7595 * t5239 - 0.3e1 * t7599 * t5236 + 0.6e1 * t7599 * t5180 - 0.12e2 * t7595 * t5184 - 0.2e1 / 0.3e1 * t7599 * t5187 + 0.2e1 * t519 * t3432 + 0.6e1 * t7610 * t5232 - 0.3e1 * t7610 * t5258 - t519 * t3471 + t1843 * t5245 + t519 * t3436 / 0.2e1 - t1847 * t5264 + 0.1e2 / 0.3e1 * t7599 * t5266 + 0.2e1 / 0.3e1 * t1847 * t5269 + 0.2e1 * t7624 * t1336;
  t7629 = t7591 * t227;
  t7631 = t615 * t1839;
  t7632 = t7631 * t647;
  t7666 = t1841 * t837 + t7629 * t230 + 0.4e1 / 0.3e1 * t7632 * t1330 - 0.4e1 * t7595 * t5252 + t7599 * t5255 / 0.18e2 - 0.2e1 * t7632 * t1340 + 0.2e1 * t1847 * t5195 - 0.2e1 * t1843 * t5198 - 0.2e1 * t1843 * t5207 + 0.2e1 * t7595 * t5210 - t1847 * t5213 / 0.3e1 - t7599 * t5216 / 0.9e1 - t519 * t3379 - 0.2e1 * t1847 * t5191 - 0.4e1 * t7624 * t1317 - 0.2e1 * t1841 * t821 - 0.2e1 / 0.3e1 * t7632 * t1322 + 0.3e1 * t1847 * t5223 + 0.4e1 * t7632 * t1326;
  t7667 = t7627 + t7666;
  t7668 = t59 * t7667;
  t7669 = t7668 * t95;
  t7676 = t1863 * t277;
  t7679 = t188 * t1792;
  t7684 = t688 * tau[0];
  t7689 = t600 * t200;
  t7690 = 0.1e1 / t7689;
  t7691 = t7690 * t685;
  t7714 = t688 * t257;
  t7717 = t7690 * t83;
  t7726 = 0.5e3 * t707 * t7684 + 0.3e3 * t714 * t7684 + 0.85e3 / 0.3e1 * t3072 * t7691 - 0.4e2 / 0.9e1 * t258 * t202 + 0.13e4 / 0.3e1 * t3075 * t7691 + 0.8e2 / 0.3e1 * t261 * t202 - 0.5e3 * t3054 * t7691 + 0.8e2 / 0.3e1 * t265 * t202 - 0.125e4 * t3061 * t7691 - 0.2e3 / 0.9e1 * t268 * t202 - 0.175e4 / 0.3e1 * t3066 * t7691 - 0.2e3 / 0.9e1 * t273 * t202 - 0.4e2 / 0.9e1 * t202 * t77 + 0.2e2 * t7714 * tau[0] + 0.5e2 / 0.3e1 * t7717 * t685 - 0.1e3 * t692 * t7684 - 0.36e3 * t697 * t7684 - 0.4e2 * t702 * t7684;
  t7727 = t253 * t7726;
  t7728 = t65 * t7727;
  t7731 = t525 * t720;
  t7740 = t844 * t544;
  t7743 = t238 * t1830;
  t7746 = t30 * t1843;
  t7751 = t543 * t193;
  t7752 = t7751 * t209;
  t7753 = t7752 * t730;
  t7756 = t543 * t667;
  t7757 = t253 * t7756;
  t7758 = t3130 * t7757;
  t7761 = -t30 * t7728 / 0.4e1 - t30 * t7731 / 0.4e1 - t800 * t545 / 0.4e1 - t182 * t1798 / 0.2e1 - t182 * t1831 / 0.2e1 - t30 * t7740 / 0.4e1 - t30 * t7743 / 0.2e1 - t7746 * t4793 / 0.3e1 + t7746 * t4797 / 0.3e1 - t3123 * t7753 / 0.4e1 + t3129 * t7758 / 0.12e2;
  t7766 = my_piecewise3(t2, 0, -t7216 * t4803 / 0.6e1 + t7216 * t4806 / 0.4e1 + t7581 * t3133 / 0.6e1 + t757 * t1761 + t757 * t1873 / 0.2e1 + t246 * t7423 / 0.4e1 + t1891 * t761 / 0.4e1 - t515 * t3553 / 0.12e2 - t609 * t1886 / 0.12e2 + t768 * t1873 / 0.2e1 - t1748 * t5032 / 0.6e1 - t182 * t1792 / 0.2e1 - t1748 * t3320 / 0.12e2 - 0.5e1 / 0.36e2 * t7187 * t5037 - t1876 * t676 / 0.6e1 - t1881 * t676 / 0.6e1 - t768 * t1770 / 0.2e1 - t757 * t1770 / 0.2e1 - t246 * t7534 / 0.2e1 - t246 * t7537 / 0.4e1 + t768 * t1774 / 0.2e1 + t757 * t1774 / 0.2e1 - t4748 * t7246 - 0.2e1 * t7250 * t4862 + t7250 * t4860 - t246 * t7296 / 0.2e1 - t515 * t3143 / 0.6e1 - t7307 * t4905 / 0.2e1 + t246 * t7313 / 0.4e1 - t622 * t7316 / 0.12e2 - t609 * t1779 / 0.12e2 - t7187 * t4834 / 0.2e1 + t1891 * t655 / 0.2e1 - t211 * t7471 / 0.6e1 + t3123 * t7234 + t4779 * t7236 - t3123 * t7239 + 0.3e1 / 0.2e1 * t4738 * t7243 - t1881 * t612 / 0.6e1 + t246 * t7475 / 0.2e1 - t7190 * t1223 / 0.3e1 - t7195 * t1223 / 0.3e1 - t1748 * t4929 / 0.3e1 - t1748 * t4917 / 0.6e1 - t3530 * t1758 - t3537 * t1758 - t644 * t7489 - t30 * t7669 / 0.4e1 - t800 * t526 / 0.4e1 - t182 * t1864 / 0.2e1 - t30 * t7676 / 0.2e1 + t246 * t7523 + t246 * t7525 / 0.2e1 - t768 * t1766 - t7253 / 0.3e1 - t7304 / 0.18e2 + t7232 + t7290 + t7293 / 0.6e1 + t7408 + t7761 + t7300 / 0.9e1 - t7256 / 0.9e1 + 0.2e1 / 0.9e1 * t7259 + t7465 - t7366 / 0.18e2 + t7369 / 0.6e1 + t7351 - t7352 / 0.6e1 + t7414 / 0.6e1 + t7519 + t7573 + t7416 / 0.6e1 + t7418 / 0.6e1 - t7679 / 0.6e1 + t7348 - t7354 / 0.6e1 - t7310 / 0.18e2);
  tv3rho2tau0 = t3 * t7766 + 0.2e1 * t1900;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t7769 = t3894 * t554;
  t7772 = t3898 * t554;
  t7773 = t7772 * t350;
  t7775 = t3902 * t554;
  t7777 = t7775 * t350 / 0.54e2;
  t7780 = t869 * t566;
  t7783 = t873 * t566 / 0.18e2;
  t7786 = t3915 * t570;
  t7789 = t3918 * t570 / 0.18e2;
  t7792 = t869 * t585;
  t7795 = t873 * t585 / 0.18e2;
  t7796 = -t7769 * t350 / 0.12e2 - t7773 / 0.18e2 + t7777 - t865 * t566 / 0.4e1 - t7780 / 0.6e1 + t7783 + t3912 * t570 / 0.4e1 + t7786 / 0.6e1 - t7789 - t865 * t585 / 0.4e1 - t7792 / 0.6e1 + t7795;
  t7797 = my_piecewise3(t100, 0, t7796);
  tv3rho2tau1 = t3 * t7797 + 0.2e1 * t1921;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 1] += tv3rho2tau1;

  t7801 = t897 * t1747;
  t7808 = t897 * t1880;
  t7811 = t3824 * t514;
  t7824 = t897 * t1890;
  t7827 = t3818 * t530;
  t7829 = t3814 * t514;
  t7830 = t7829 * t223;
  t7832 = t894 * t526;
  t7834 = t903 * t1761 / 0.2e1 - t7801 * t1223 / 0.6e1 - t898 * t1779 / 0.12e2 - t3802 * t1758 / 0.2e1 - t7808 * t223 / 0.12e2 - t7811 * t223 / 0.12e2 + t3825 * t530 / 0.4e1 + t3835 * t530 / 0.4e1 + t903 * t1873 / 0.4e1 - t1923 * t612 / 0.12e2 - t898 * t1886 / 0.12e2 + t7824 * t250 / 0.4e1 + t7827 / 0.12e2 - t7830 / 0.36e2 - t7832 / 0.12e2;
  t7854 = -t890 * t526 / 0.4e1 - t307 * t1864 / 0.4e1 + t7801 * t1229 / 0.3e1 - t7253 / 0.6e1 - t7256 / 0.18e2 + t7259 / 0.9e1 - t7262 / 0.12e2 + t7268 / 0.6e1 + t7273 / 0.12e2 - t7275 / 0.6e1 - t7281 / 0.36e2 + t7288 / 0.36e2 + t7293 / 0.12e2 + t7300 / 0.18e2 - t7304 / 0.36e2 - t7310 / 0.36e2;
  t7870 = t7351 - t7352 / 0.12e2 - t7354 / 0.12e2 - t7366 / 0.36e2 + t7369 / 0.12e2 - t7378 / 0.36e2 - t7381 / 0.36e2 - t7383 / 0.36e2 + t7414 / 0.12e2 + t7416 / 0.12e2 + t7418 / 0.12e2 - t7449 + t7452 + t903 * t1783 / 0.4e1 - t903 * t1766 / 0.2e1;
  t7873 = t894 * t545;
  t7894 = t897 * t1786;
  t7898 = -t903 * t1770 / 0.4e1 - t7873 / 0.12e2 - t890 * t545 / 0.4e1 - t307 * t1798 / 0.4e1 - t307 * t1831 / 0.4e1 - t307 * t1792 / 0.4e1 + t7556 - t7557 / 0.12e2 - t7559 / 0.12e2 - t7561 / 0.12e2 + t1923 * t670 / 0.12e2 - t7801 * t1300 / 0.12e2 - t1923 * t676 / 0.12e2 + t903 * t1774 / 0.4e1 + t7894 * t1260 / 0.6e1 - t7679 / 0.12e2;
  t7901 = my_piecewise3(t2, 0, t7834 + t7854 + t7870 + t7898);
  tv3rho2tau2 = t3 * t7901 + t1900 + t1933;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 2] += tv3rho2tau2;

  t7903 = t937 * t1964;
  t7904 = t7903 * t1438;
  t7906 = t1905 * t1002;
  t7908 = t933 * t1964;
  t7923 = t4019 * t570;
  t7925 = t4013 * t570;
  t7927 = t938 * t2025;
  t7929 = t937 * t2029;
  t7930 = t7929 * t377;
  t7932 = t1905 * t1087;
  t7936 = -t7904 / 0.36e2 - t7906 / 0.36e2 + t7908 * t1402 / 0.3e1 - t4065 * t1975 / 0.2e1 - t7908 * t1396 / 0.6e1 - t945 * t1941 / 0.4e1 - t934 * t1950 / 0.12e2 + t945 * t1978 / 0.2e1 - t945 * t1937 / 0.2e1 + t7923 / 0.12e2 + t7925 / 0.12e2 - t7927 / 0.36e2 + t7930 / 0.12e2 - t7932 / 0.36e2 + t4046 * t570 / 0.4e1;
  t7943 = t937 * t2047;
  t7944 = t7943 * t350;
  t7946 = t948 * t2040;
  t7948 = t4009 * t554;
  t7949 = t7948 * t350;
  t7951 = t933 * t2047;
  t7956 = t4045 * t554;
  t7959 = t933 * t2029;
  t7963 = t948 * t1978;
  t7965 = t929 * t566;
  t7967 = t294 * t2077;
  t7971 = t4052 * t570 / 0.4e1 - t1902 * t1087 / 0.12e2 - t934 * t2025 / 0.12e2 - t7944 / 0.36e2 + t7946 / 0.12e2 - t7949 / 0.36e2 - t7951 * t350 / 0.12e2 + t945 * t2040 / 0.4e1 - t7956 * t350 / 0.12e2 + t7959 * t377 / 0.4e1 + t7786 / 0.12e2 - t7789 + t7963 / 0.6e1 - t7965 / 0.12e2 - t7967 / 0.12e2 - t925 * t566 / 0.4e1;
  t7978 = t7903 * t1402;
  t7980 = t4040 * t1975;
  t7982 = t938 * t1950;
  t7984 = t948 * t1937;
  t7986 = t948 * t1941;
  t7988 = t937 * t1957;
  t7989 = t7988 * t1433;
  t7991 = t1905 * t997;
  t7993 = t948 * t1954;
  t7995 = t948 * t1945;
  t7997 = t7903 * t1396;
  t7999 = -t290 * t2077 / 0.4e1 + t7783 - t1902 * t1002 / 0.12e2 - t7773 / 0.36e2 + t7777 + t7978 / 0.9e1 - t7980 / 0.6e1 - t7982 / 0.36e2 - t7984 / 0.6e1 - t7986 / 0.12e2 + t7989 / 0.18e2 + t7991 / 0.36e2 + t7993 / 0.12e2 + t7995 / 0.12e2 - t7997 / 0.18e2;
  t8002 = t933 * t1957;
  t8011 = t294 * t2014;
  t8013 = t294 * t2018;
  t8015 = t929 * t585;
  t8025 = t294 * t1981;
  t8029 = t945 * t1954 / 0.4e1 + t8002 * t1433 / 0.6e1 + t945 * t1945 / 0.4e1 + t1902 * t997 / 0.12e2 - t7908 * t1438 / 0.12e2 - t8011 / 0.12e2 - t8013 / 0.12e2 - t8015 / 0.12e2 - t290 * t1981 / 0.4e1 - t290 * t2014 / 0.4e1 - t290 * t2018 / 0.4e1 - t925 * t585 / 0.4e1 - t8025 / 0.12e2 - t7792 / 0.12e2 + t7795 - t7780 / 0.12e2;
  t8032 = my_piecewise3(t100, 0, t7936 + t7971 + t7999 + t8029);
  tv3rho2tau3 = t3 * t8032 + t1921 + t2082;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 3] += tv3rho2tau3;

  t8035 = t3953 * t514;
  t8048 = -t8035 * t223 / 0.12e2 - t7830 / 0.18e2 + t7452 - t972 * t526 / 0.4e1 - t7832 / 0.6e1 + t7351 + t3959 * t530 / 0.4e1 + t7827 / 0.6e1 - t7449 - t972 * t545 / 0.4e1 - t7873 / 0.6e1 + t7556;
  t8049 = my_piecewise3(t2, 0, t8048);
  tv3rho2tau4 = t3 * t8049 + 0.2e1 * t1933;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 4] += tv3rho2tau4;

  t8052 = t110 * t2056;
  t8055 = t110 * t559;
  t8058 = t110 * t2060;
  t8065 = t583 * t193;
  t8066 = t8065 * t336;
  t8067 = t8066 * t1100;
  t8070 = t4146 * t553;
  t8071 = t8070 * t1100;
  t8074 = t583 * t994;
  t8075 = t380 * t8074;
  t8076 = t4137 * t8075;
  t8079 = t564 * t146;
  t8080 = t8079 * t978;
  t8081 = t1000 * t8080;
  t8088 = t552 * t4356;
  t8089 = t3512 * t8088;
  t8090 = t321 * t8089;
  t8095 = t2038 * t1007;
  t8096 = t1031 * t8095;
  t8097 = t8096 * t1407;
  t8099 = t1974 * t5776;
  t8102 = t2038 * t1043;
  t8103 = t374 * t8102;
  t8104 = t8103 * t1419;
  t8106 = t1074 * t1964;
  t8109 = t616 * t8095;
  t8110 = t321 * t8109;
  t8115 = -t8052 * t5579 / 0.3e1 + t8055 * t4140 / 0.6e1 - t8058 * t5568 / 0.6e1 + t8052 * t5583 / 0.3e1 + t8058 * t5572 / 0.4e1 - t4145 * t8067 / 0.4e1 - t4145 * t8071 / 0.2e1 + t4136 * t8076 / 0.12e2 - t338 * t8081 / 0.6e1 + t2030 * t980 / 0.2e1 + t1965 * t4248 / 0.3e1 + 0.23e2 / 0.36e2 * t8090 * t5790 - t4349 * t1975 - t4383 * t1975 - t1030 * t8097 - t1030 * t8099 / 0.2e1 - t373 * t8104 + 0.2e1 / 0.3e1 * t8106 * t1402 + 0.2e1 / 0.3e1 * t8110 * t1402 + 0.2e1 / 0.3e1 * t1965 * t5797;
  t8120 = params->at * t2012;
  t8121 = t988 * t8120;
  t8122 = t1000 * t8121;
  t8126 = t8120 * t353 * t376;
  t8132 = my_piecewise3(t129, t322, -0.8e2 / 0.27e2 * t1381);
  t8133 = t8132 * t335;
  t8134 = t194 * t8133;
  t8135 = t321 * t8134;
  t8139 = t374 * t8132 * t376;
  t8142 = t4453 * t554;
  t8146 = t1074 * t2047;
  t8165 = t1020 * t566;
  t8170 = -t8146 * t350 / 0.6e1 + t4462 * t570 / 0.4e1 + t1056 * t2040 / 0.2e1 + t4457 * t570 / 0.2e1 + t1078 * t2040 / 0.2e1 + t2030 * t1071 / 0.4e1 + t4454 * t570 / 0.4e1 + t1051 * t2025 / 0.6e1 - t2030 * t1046 / 0.2e1 - t1010 * t8165 / 0.12e2 - t2043 * t1087 / 0.6e1;
  t8179 = t349 * t2077;
  t8182 = t2075 * t370;
  t8183 = t369 * t8182;
  t8184 = t321 * t8183;
  t8189 = t1074 * t2029;
  t8192 = t1015 * t566;
  t8195 = t565 * t1021;
  t8196 = t1020 * t8195;
  t8199 = t564 * t1027;
  t8200 = t369 * t8199;
  t8201 = t321 * t8200;
  t8220 = t558 * t4425;
  t8223 = t2059 * t4334;
  t8226 = t69 * t552;
  t8227 = t8226 * t4375;
  t8230 = t615 * t2038;
  t8231 = t8230 * t1033;
  t8234 = t193 * t8132;
  t8235 = t8234 * t354;
  t8247 = t2053 * t1044;
  t8251 = t558 * t5843;
  t8254 = t2059 * t5850;
  t8258 = -t559 * t4571 + t2056 * t5940 + t559 * t4596 / 0.2e1 - t2060 * t5935 - 0.3e1 * t8220 * t5930 + 0.6e1 * t8223 * t5926 - 0.3e1 * t8227 * t5923 - 0.2e1 * t8231 * t1495 + t8235 * t357 + 0.4e1 / 0.3e1 * t8231 * t1485 - 0.4e1 * t8223 * t5946 + t8227 * t5949 / 0.18e2 + 0.1e2 / 0.3e1 * t8227 * t5913 + 0.2e1 / 0.3e1 * t2060 * t5917 + 0.2e1 * t8247 * t1491 + t2054 * t1200 + 0.4e1 * t8251 * t5847 + t8254 * t5852 - 0.6e1 * t8254 * t5955;
  t8259 = t8234 * t335;
  t8297 = -t8259 * t361 / 0.2e1 + 0.2e1 * t2060 * t5880 - 0.2e1 * t2056 * t5883 + 0.6e1 * t8227 * t5857 - 0.12e2 * t8223 * t5861 - 0.2e1 / 0.3e1 * t8227 * t5864 - 0.4e1 * t8247 * t1472 - 0.2e1 * t2054 * t1184 - 0.2e1 / 0.3e1 * t8231 * t1477 - 0.2e1 * t2056 * t5893 + 0.2e1 * t8223 * t5896 - t2060 * t5899 / 0.3e1 - t8227 * t5902 / 0.9e1 - t559 * t4554 - 0.2e1 * t2060 * t5876 + 0.3e1 * t2060 * t5868 + 0.4e1 * t8231 * t1481 + 0.6e1 * t8220 * t5906 + 0.2e1 * t559 * t4546;
  t8298 = t8258 + t8297;
  t8299 = t139 * t8298;
  t8300 = t8299 * t168;
  t8303 = t2030 * t1095 / 0.2e1 + t7923 / 0.6e1 + t7925 / 0.6e1 - t7927 / 0.18e2 + t7930 / 0.6e1 - t7932 / 0.18e2 - t7944 / 0.18e2 + t7946 / 0.6e1 - t7949 / 0.18e2 - t7789 - t110 * t8300 / 0.4e1;
  t8312 = t8096 * t1412;
  t8314 = t1974 * t5808;
  t8317 = t374 * t2046;
  t8318 = t8317 * t1100;
  t8321 = t1940 * t4225;
  t8330 = t4676 * t558 * t376;
  t8335 = t1400 * t1949;
  t8338 = t1936 * t4667;
  t8347 = t2056 * t5599;
  t8349 = t1056 * t1945 / 0.2e1 + t373 * t8330 / 0.4e1 - t1084 * t1950 / 0.12e2 - t1010 * t8335 / 0.12e2 - t373 * t8338 / 0.2e1 - t1078 * t1941 / 0.2e1 - t1056 * t1941 / 0.2e1 - t7965 / 0.6e1 - t7967 / 0.6e1 + t7783 + t5540 * t8347;
  t8353 = t4146 * t1935;
  t8354 = t8353 * t1419;
  t8358 = t552 * t4333;
  t8359 = t616 * t8358;
  t8360 = t321 * t8359;
  t8368 = t978 * t2053 * t376;
  t8371 = t2060 * t5542;
  t8374 = t5536 * t1963;
  t8375 = t8374 * t1412;
  t8381 = t552 * t994;
  t8382 = t4408 * t8381;
  t8383 = t5561 * t8382;
  t8390 = t1031 * t8358;
  t8391 = t8390 * t5654;
  t8403 = 0.2e1 / 0.3e1 * t8058 * t5556 + 0.3e1 / 0.2e1 * t5559 * t8383 + t8058 * t5588 / 0.2e1 - t8058 * t5592 / 0.3e1 + 0.3e1 * t1030 * t8391 + t8360 * t5651 - 0.2e1 * t8360 * t5648 + 0.2e1 / 0.9e1 * t7978 - t7980 / 0.3e1 - t8110 * t1396 / 0.3e1 + t1078 * t1954 / 0.2e1;
  t8420 = t1948 * t1170 * t376;
  t8423 = t1074 * t1957;
  t8426 = t194 * t8102;
  t8427 = t321 * t8426;
  t8434 = t374 * t1963;
  t8435 = t8434 * t6037;
  t8438 = t1940 * t4714;
  t8444 = t4697 * t1948;
  t8445 = t1000 * t8444;
  t8450 = t373 * t8420 / 0.4e1 + t8423 * t1433 / 0.3e1 + t8427 * t1433 / 0.3e1 + t1958 * t5989 / 0.3e1 + t1051 * t1950 / 0.6e1 + 0.3e1 / 0.2e1 * t373 * t8435 + t373 * t8438 / 0.2e1 - t7997 / 0.9e1 - 0.11e2 / 0.18e2 * t8090 * t5760 - t338 * t8445 / 0.6e1 - t1965 * t5772 / 0.3e1;
  t8455 = t8390 * t5659;
  t8477 = t8079 * t995;
  t8478 = t987 * t8477;
  t8486 = t1948 * t1173 * t1045;
  t8489 = t194 * t1963;
  t8490 = t321 * t8489;
  t8499 = t4373 * t8088;
  t8500 = t8499 * t5630;
  t8503 = t8499 * t5611;
  t8506 = t555 * t4683 / 0.12e2 + t338 * t8478 / 0.12e2 - t555 * t4726 / 0.6e1 - t555 * t4710 / 0.6e1 - t373 * t8486 / 0.2e1 - t8490 * t6029 / 0.2e1 - t2030 * t1101 / 0.4e1 + 0.7e1 / 0.3e1 * t8090 * t5642 - 0.3e1 / 0.2e1 * t8090 * t5626 + 0.3e1 / 0.2e1 * t4395 * t8500 - 0.3e1 * t1030 * t8503;
  t8508 = t371 * t1948;
  t8509 = t1400 * t8508;
  t8512 = t1948 * t1177;
  t8513 = t8512 * t1035;
  t8516 = t8512 * t1094;
  t8519 = t8499 * t5616;
  t8524 = t1393 * t1949;
  t8527 = t565 * t1146;
  t8534 = t1207 * t584;
  t8538 = t365 * t2013;
  t8545 = t1114 * t384;
  t8548 = t1063 * t327;
  t8549 = 0.1e1 / t8548;
  t8550 = t8549 * t156;
  t8553 = t1114 * tau[1];
  t8564 = t8549 * t1111;
  t8585 = -0.4e2 / 0.9e1 * t329 * t150 + 0.2e2 * t8545 * tau[1] + 0.5e2 / 0.3e1 * t8550 * t1111 - 0.1e3 * t1118 * t8553 - 0.36e3 * t1123 * t8553 - 0.4e2 * t1128 * t8553 + 0.5e3 * t1133 * t8553 + 0.3e3 * t1140 * t8553 + 0.85e3 / 0.3e1 * t4264 * t8564 - 0.4e2 / 0.9e1 * t385 * t329 + 0.13e4 / 0.3e1 * t4271 * t8564 + 0.8e2 / 0.3e1 * t388 * t329 - 0.5e3 * t4274 * t8564 + 0.8e2 / 0.3e1 * t392 * t329 - 0.125e4 * t4277 * t8564 - 0.2e3 / 0.9e1 * t395 * t329 - 0.175e4 / 0.3e1 * t4282 * t8564 - 0.2e3 / 0.9e1 * t400 * t329;
  t8586 = t380 * t8585;
  t8587 = t145 * t8586;
  t8590 = t2076 * t404;
  t8595 = t8374 * t1407;
  t8601 = -t110 * t8538 / 0.2e1 - t318 * t2014 / 0.2e1 - t110 * t8587 / 0.4e1 - t110 * t8590 / 0.2e1 - t318 * t2018 / 0.2e1 - t5535 * t8595 - t8011 / 0.6e1 - t8013 / 0.6e1 - t8015 / 0.6e1 - t8025 / 0.6e1 + t7795;
  t8606 = my_piecewise3(t100, 0, -t1056 * t1937 - t8135 * t350 / 0.12e2 + t373 * t8139 / 0.4e1 - t8142 * t350 / 0.12e2 - t373 * t8321 / 0.4e1 + t1078 * t1945 / 0.2e1 - t2048 * t1087 / 0.6e1 - t555 * t4487 / 0.12e2 - t1084 * t2025 / 0.12e2 - t338 * t8179 / 0.6e1 + t8184 * t377 / 0.2e1 - t1965 * t5757 / 0.6e1 - 0.3e1 * t373 * t8455 - t1965 * t5998 / 0.12e2 - t8106 * t1396 / 0.3e1 - t1075 * t1950 / 0.6e1 - t2048 * t1002 / 0.6e1 - 0.3e1 / 0.2e1 * t5540 * t8371 + t4145 * t8375 - t8058 * t5551 + t1010 * t8509 / 0.3e1 - t1075 * t2025 / 0.6e1 + t8189 * t377 / 0.2e1 - t1010 * t8192 / 0.6e1 + t1010 * t8196 / 0.3e1 - t8201 * t1036 / 0.2e1 - 0.5e1 / 0.36e2 * t8090 * t6001 - t2043 * t1002 / 0.6e1 - t8106 * t1438 / 0.6e1 - t8110 * t1438 / 0.6e1 - t1965 * t6013 / 0.6e1 - t555 * t4719 / 0.12e2 + t555 * t4699 / 0.6e1 + t373 * t8126 / 0.2e1 - t1078 * t1937 - t4145 * t8354 + t1958 * t4662 / 0.6e1 + t8360 * t5980 / 0.2e1 + t2043 * t997 / 0.6e1 + t2048 * t997 / 0.6e1 + t373 * t8368 / 0.2e1 - t1030 * t8513 / 0.2e1 + t373 * t8516 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t8519 - t8090 * t5636 / 0.2e1 - t1010 * t8524 / 0.6e1 - t110 * t8527 / 0.4e1 - t1165 * t585 / 0.4e1 - t318 * t1981 / 0.2e1 - t110 * t8534 / 0.4e1 - t1165 * t566 / 0.4e1 - t318 * t2077 / 0.2e1 + t1078 * t1978 + t1056 * t1978 + t373 * t8312 + t373 * t8314 / 0.2e1 - t373 * t8318 / 0.2e1 + t1056 * t1954 / 0.2e1 - t338 * t8122 / 0.6e1 + t8403 + t8506 - t7986 / 0.6e1 + t7989 / 0.9e1 + t8450 + t7991 / 0.18e2 + t7993 / 0.6e1 + t7995 / 0.6e1 - t7982 / 0.18e2 - t7984 / 0.3e1 + t8349 + t8115 + t8601 + t7777 - t7904 / 0.18e2 + t7963 / 0.3e1 + t8170 - t7906 / 0.18e2 + t8303);
  tv3rho2tau5 = t3 * t8606 + 0.2e1 * t2082;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 5] += tv3rho2tau5;

  t8608 = t2105 * t206;
  t8609 = t635 * t8608;
  t8610 = t4760 * t8609;
  t8613 = t414 * t2105;
  t8614 = t3375 * t8613;
  t8615 = t4740 * t8614;
  t8618 = t4775 * t2166;
  t8621 = t819 * t8608;
  t8622 = t1315 * t8621;
  t8625 = t2105 * t667;
  t8626 = t3430 * t8625;
  t8627 = t421 * t8626;
  t8630 = t95 * t8608;
  t8631 = t4760 * t8630;
  t8634 = t276 * t2105;
  t8635 = t253 * t8634;
  t8636 = t3130 * t8635;
  t8639 = t3130 * t8630;
  t8642 = t3430 * t65;
  t8643 = t95 * t8625;
  t8644 = t8642 * t8643;
  t8647 = t3409 * t8608;
  t8648 = t1321 * t8647;
  t8651 = t4770 * t8630;
  t8657 = t188 * t2148 / 0.12e2;
  t8658 = t768 * t2158;
  t8659 = t8658 / 0.4e1;
  t8660 = -t4753 * t8610 / 0.3e1 + t4738 * t8615 / 0.2e1 - t3123 * t8618 / 0.4e1 + t4779 * t8622 / 0.2e1 + t4779 * t8627 / 0.2e1 + t4753 * t8631 / 0.12e2 + t4789 * t8636 / 0.12e2 - t4792 * t8639 / 0.6e1 - t4789 * t8644 / 0.6e1 - t4779 * t8648 / 0.2e1 + t4753 * t8651 / 0.6e1 + t2160 - t182 * t2148 / 0.4e1 - t8657 + t8659;
  t8661 = t757 * t2158;
  t8662 = t8661 / 0.4e1;
  t8665 = t592 * t2086;
  t8666 = t8665 * t223;
  t8667 = t8666 / 0.36e2;
  t8668 = t592 * t2097;
  t8670 = t8668 * t630 / 0.18e2;
  t8672 = t8668 * t752 / 0.36e2;
  t8673 = t592 * t2092;
  t8675 = t8673 * t223 / 0.18e2;
  t8677 = t1267 * t1288 / 0.18e2;
  t8679 = t8668 * t637 / 0.9e1;
  t8681 = t593 * t2162 / 0.6e1;
  t8682 = t593 * t2158;
  t8683 = t8682 / 0.12e2;
  t8685 = t3548 * t2154 / 0.6e1;
  t8687 = t5143 * t432 / 0.6e1;
  t8689 = t593 * t2170 / 0.6e1;
  t8690 = t94 * t1272;
  t8691 = t661 * t8690;
  t8692 = t1220 * t8691;
  t8697 = t8662 + t757 * t2170 / 0.2e1 - t8667 - t8670 - t8672 + t8675 - t8677 + t8679 - t8681 + t8683 - t8685 + t8687 + t8689 - t1218 * t8692 / 0.3e1 + t2098 * t3173 / 0.3e1;
  t8703 = t5044 * t1221;
  t8704 = t673 * t8703;
  t8709 = t1227 * t8703;
  t8714 = t244 * t8690;
  t8715 = t1227 * t8714;
  t8724 = t633 * t1272;
  t8725 = t627 * t8724;
  t8726 = t1232 * t8725;
  t8728 = t2090 * t3415;
  t8729 = t645 * t8728;
  t8730 = t8729 * t1234;
  t8733 = t645 * t2096;
  t8734 = t8733 * t3181;
  t8739 = -t2098 * t3308 / 0.12e2 - t2098 * t3176 / 0.6e1 + t1259 * t8704 / 0.3e1 + t417 * t5054 / 0.6e1 - t1218 * t8709 / 0.6e1 - t417 * t5046 / 0.6e1 + 0.2e1 / 0.3e1 * t1218 * t8715 - 0.2e1 / 0.3e1 * t2098 * t3252 + t1293 * t1255 / 0.2e1 + t2098 * t3255 / 0.3e1 - t644 * t8726 + 0.3e1 * t644 * t8730 + t644 * t8734 - t1293 * t1247 - t1293 * t1251 / 0.2e1;
  t8740 = t2084 * t740;
  t8741 = t247 * t8740;
  t8742 = t8741 * t1246;
  t8743 = t246 * t8742;
  t8744 = t8743 / 0.2e1;
  t8745 = t247 * t2085;
  t8746 = t8745 * t730;
  t8747 = t246 * t8746;
  t8748 = t8747 / 0.4e1;
  t8750 = t674 * t2117 * t249;
  t8751 = t246 * t8750;
  t8752 = t8751 / 0.4e1;
  t8753 = t616 * t8728;
  t8754 = t191 * t8753;
  t8758 = t2090 * t3396;
  t8759 = t3512 * t8758;
  t8760 = t191 * t8759;
  t8761 = t4838 * t1222;
  t8764 = t3658 * t8758;
  t8765 = t3474 * t1233;
  t8766 = t8764 * t8765;
  t8770 = t3447 * t206;
  t8771 = t3474 * t8770;
  t8772 = t8764 * t8771;
  t8775 = t194 * t8740;
  t8776 = t191 * t8775;
  t8777 = t8776 * t1260;
  t8778 = t8777 / 0.6e1;
  t8779 = t2087 * t670;
  t8780 = t8779 / 0.12e2;
  t8781 = t2084 * t619;
  t8782 = t616 * t8781;
  t8783 = t191 * t8782;
  t8784 = t8783 * t1300;
  t8785 = t8784 / 0.12e2;
  t8786 = t4844 * t1222;
  t8789 = t2087 * t676;
  t8790 = t8789 / 0.12e2;
  t8791 = t673 * t8691;
  t8794 = t194 * t2096;
  t8795 = t191 * t8794;
  t8798 = -t8744 - t8748 + t8752 + t8754 * t1223 - 0.2e1 * t8754 * t1229 - 0.11e2 / 0.18e2 * t8760 * t8761 + 0.3e1 / 0.2e1 * t246 * t8766 + t1293 * t1240 + 0.3e1 / 0.2e1 * t3680 * t8772 + t8778 + t8780 - t8785 - 0.5e1 / 0.36e2 * t8760 * t8786 - t8790 + t1259 * t8791 / 0.3e1 - t8795 * t1260 / 0.2e1;
  t8809 = t3279 * t2106;
  t8810 = t660 * t8809;
  t8813 = t4739 * t619;
  t8819 = t662 * t1243;
  t8822 = t3227 * t1216;
  t8825 = t662 * t415;
  t8832 = t420 * t740;
  t8837 = t1320 * t619;
  t8840 = 0.2e1 / 0.3e1 * t8813 * t2318 + 0.2e1 * t662 * t1272 * t249 - 0.4e1 * t8819 * t1246 + 0.4e1 / 0.3e1 * t8822 * t1234 - 0.2e1 * t8825 * t730 + 0.4e1 * t8822 * t1239 - 0.2e1 * t1333 * t222 + 0.4e1 * t8832 * t1246 + 0.2e1 * t423 * t730 - 0.4e1 * t8837 * t1239;
  t8841 = t94 * t8840;
  t8842 = t661 * t8841;
  t8843 = t660 * t8842;
  t8848 = t1227 * t8691;
  t8853 = t615 * t2084;
  t8854 = t8853 * t647;
  t8855 = t8854 * t1330;
  t8856 = 0.2e1 / 0.3e1 * t8855;
  t8857 = t2124 * t3416;
  t8860 = t69 * t2090;
  t8861 = t8860 * t3399;
  t8862 = t3448 * t1329;
  t8865 = t3402 * t1329;
  t8868 = t60 * t1272;
  t8869 = t648 * t8868;
  t8874 = t2117 * t747;
  t8875 = t8874 * t1336;
  t8876 = t2118 * t837;
  t8877 = t8876 / 0.2e1;
  t8878 = t229 * t8868;
  t8881 = t2120 * t3421;
  t8884 = t3375 * t1329;
  t8887 = t8856 - 0.4e1 * t8857 * t1330 + t8861 * t8862 / 0.18e2 + 0.1e2 / 0.3e1 * t8861 * t8865 + 0.4e1 / 0.3e1 * t1321 * t8869 - 0.4e1 / 0.3e1 * t2125 * t3452 + t8875 + t8877 + 0.2e1 * t1315 * t8878 - 0.3e1 * t8881 * t1336 - 0.3e1 * t8861 * t8884;
  t8888 = t8854 * t1340;
  t8891 = t62 * t2105;
  t8892 = t8891 * t206;
  t8893 = t840 * t8892;
  t8896 = t233 * t8892;
  t8899 = t227 * t3137;
  t8900 = t420 * t8899;
  t8901 = t8891 * t667;
  t8902 = t233 * t8901;
  t8905 = t827 * t8892;
  t8911 = t60 * t8840;
  t8912 = t819 * t8911;
  t8915 = t653 * t8868;
  t8920 = t63 * t8840;
  t8921 = t819 * t8920;
  t8923 = -t8888 + 0.6e1 * t8857 * t1340 - 0.2e1 * t5164 * t8893 + 0.2e1 * t5170 * t8896 + 0.2e1 * t8900 * t8902 + t5164 * t8905 / 0.3e1 - t2121 * t837 + t1313 * t2142 / 0.2e1 + t421 * t8912 / 0.2e1 - 0.2e1 * t1321 * t8915 + 0.2e1 * t2125 * t3410 - t421 * t8921;
  t8925 = t1329 * t2105;
  t8926 = t3375 * t8925;
  t8929 = t63 * t1272;
  t8930 = t653 * t8929;
  t8939 = t648 * t8929;
  t8944 = t3448 * t1316;
  t8947 = t8874 * t1317;
  t8948 = 0.2e1 * t8947;
  t8949 = t2118 * t821;
  t8951 = -0.2e1 / 0.3e1 * t1321 * t8926 + 0.4e1 * t1321 * t8930 - 0.4e1 * t2125 * t3427 + 0.2e1 * t2121 * t821 + 0.2e1 * t8857 * t1322 - 0.2e1 / 0.3e1 * t1321 * t8939 + 0.2e1 / 0.3e1 * t2125 * t3376 - t8861 * t8944 / 0.9e1 - t8948 - t8949 - t1313 * t2129;
  t8954 = t3402 * t1316;
  t8957 = t3375 * t1316;
  t8960 = t819 * t8925;
  t8962 = t2141 * t667;
  t8963 = t3430 * t8962;
  t8965 = t8854 * t1322;
  t8966 = t8965 / 0.3e1;
  t8967 = t229 * t8929;
  t8972 = t3409 * t8925;
  t8974 = t8854 * t1326;
  t8975 = 0.2e1 * t8974;
  t8976 = -0.12e2 * t8857 * t1326 - 0.2e1 / 0.3e1 * t8861 * t8954 + 0.6e1 * t8861 * t8957 - t1315 * t8960 - t421 * t8963 - t8966 - 0.4e1 * t1315 * t8967 + 0.6e1 * t8881 * t1317 + t1321 * t8972 + t8975 - t2138 + t2119;
  t8978 = t8887 + t8923 + t8951 + t8976;
  t8979 = t59 * t8978;
  t8980 = t8979 * t95;
  t8983 = t4838 * t1228;
  t8986 = t1220 * t8703;
  t8989 = t1291 * t1221;
  t8990 = t1227 * t8989;
  t8993 = t4844 * t1228;
  t8996 = t4831 * t1222;
  t8999 = -t2093 * t670 / 0.6e1 + t8754 * t1300 / 0.2e1 + t1278 * t2108 / 0.12e2 + t1283 * t2108 / 0.12e2 + t417 * t8810 / 0.12e2 + t417 * t8843 / 0.12e2 + t2093 * t676 / 0.6e1 - t1218 * t8848 / 0.6e1 + t2098 * t3272 / 0.6e1 - t30 * t8980 / 0.4e1 + 0.7e1 / 0.3e1 * t8760 * t8983 - t1218 * t8986 / 0.3e1 + 0.2e1 / 0.3e1 * t1218 * t8990 + 0.23e2 / 0.36e2 * t8760 * t8993 - t8760 * t8996 / 0.2e1;
  t9001 = t674 * t2120 * t748;
  t9008 = t4978 * t2166;
  t9012 = t658 * t221 * t8840;
  t9013 = t1250 * t9012;
  t9017 = t593 * t2167 / 0.12e2;
  t9019 = t1267 * t2108 / 0.36e2;
  t9021 = t627 * t628 * t1272;
  t9022 = t1232 * t9021;
  t9024 = t8733 * t3186;
  t9026 = t674 * t2124;
  t9027 = t9026 * t654;
  t9030 = t645 * t8781;
  t9031 = t9030 * t1239;
  t9032 = t246 * t9031;
  t9033 = t9032 / 0.2e1;
  t9034 = t8729 * t1239;
  t9037 = t3401 * t206;
  t9038 = t3474 * t9037;
  t9039 = t8764 * t9038;
  t9042 = t9030 * t1234;
  t9043 = t644 * t9042;
  t9044 = t9043 / 0.2e1;
  t9045 = t764 * t2092;
  t9050 = -t246 * t9001 / 0.2e1 - t768 * t2167 / 0.4e1 - t757 * t2167 / 0.4e1 - t246 * t9008 / 0.4e1 - t246 * t9013 / 0.4e1 - t9017 + t9019 + t246 * t9022 - t246 * t9024 + t246 * t9027 / 0.2e1 + t9033 - 0.3e1 * t246 * t9034 - 0.3e1 * t644 * t9039 - t9044 + t9045 * t223 / 0.6e1 + t2093 * t612 / 0.6e1;
  t9056 = t764 * t2086;
  t9057 = t9056 * t223;
  t9058 = t9057 / 0.12e2;
  t9059 = t2087 * t612;
  t9060 = t9059 / 0.12e2;
  t9061 = t764 * t2097;
  t9068 = t2146 * t243;
  t9069 = t242 * t9068;
  t9070 = t191 * t9069;
  t9087 = -t2098 * t3540 / 0.6e1 - t1278 * t1288 / 0.6e1 - t9058 - t9060 - t9061 * t752 / 0.12e2 - t2098 * t3599 / 0.12e2 - t9061 * t630 / 0.6e1 + t9070 * t250 / 0.4e1 + t5105 * t432 / 0.2e1 - t1283 * t1288 / 0.6e1 - t417 * t5140 / 0.6e1 + t9061 * t637 / 0.3e1 + t2098 * t3577 / 0.3e1 - t768 * t2162 / 0.2e1 - t757 * t2162 / 0.2e1;
  t9098 = t222 * t2148;
  t9101 = t2147 * t277;
  t9104 = t642 * t1221;
  t9105 = t4844 * t9104;
  t9109 = t8783 * t1223;
  t9110 = t9109 / 0.6e1;
  t9111 = t8783 * t1229;
  t9112 = t9111 / 0.3e1;
  t9113 = t247 * t2091;
  t9114 = t9113 * t730;
  t9117 = t9026 * t649;
  t9121 = t219 * t221 * t1272;
  t9122 = t1244 * t9121;
  t9124 = t247 * t2096;
  t9125 = t9124 * t1246;
  t9128 = t768 * t2170 / 0.2e1 + t5126 * t432 / 0.2e1 + t1293 * t1274 / 0.2e1 - t3530 * t2154 / 0.2e1 - t3537 * t2154 / 0.2e1 - t211 * t9098 / 0.12e2 - t30 * t9101 / 0.4e1 - t2089 - 0.3e1 / 0.2e1 * t8760 * t9105 - t5073 * t1235 - t9110 + t9112 + t246 * t9114 / 0.2e1 - t644 * t9117 / 0.2e1 - t246 * t9122 + 0.3e1 / 0.2e1 * t246 * t9125;
  t9132 = my_piecewise3(t2, 0, t8660 + t8697 + t8739 + t8798 + t8999 + t9050 + t9087 + t9128);
  tv3rhosigma20 = t3 * t9132 + t2174;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t9139 = t294 * t2239 / 0.12e2;
  t9143 = t948 * t2258 / 0.12e2;
  t9145 = t1354 * t2199 / 0.36e2;
  t9148 = t933 * t2183;
  t9151 = t933 * t2188;
  t9154 = t933 * t2177;
  t9156 = t9154 * t350 / 0.12e2;
  t9157 = t937 * t2183;
  t9159 = t9157 * t350 / 0.18e2;
  t9166 = t1351 * t2199 / 0.12e2 - t290 * t2239 / 0.4e1 - t9139 - t945 * t2258 / 0.4e1 - t9143 + t9145 - t1351 * t1449 / 0.6e1 + t9148 * t350 / 0.6e1 - t9151 * t1090 / 0.12e2 - t9156 + t9159 - t945 * t2253 / 0.2e1 + t945 * t2261 / 0.2e1 - t4065 * t2245 / 0.2e1;
  t9168 = t945 * t2249 / 0.4e1;
  t9175 = t937 * t2188;
  t9177 = t9175 * t1090 / 0.36e2;
  t9178 = t937 * t2177;
  t9179 = t9178 * t350;
  t9180 = t9179 / 0.36e2;
  t9182 = t948 * t2261 / 0.6e1;
  t9184 = t948 * t2253 / 0.6e1;
  t9186 = t4040 * t2245 / 0.6e1;
  t9187 = t948 * t2249;
  t9188 = t9187 / 0.12e2;
  t9190 = t5414 * t457 / 0.6e1;
  t9192 = t9175 * t1023 / 0.9e1;
  t9194 = t9175 * t1016 / 0.18e2;
  t9196 = t1354 * t1449 / 0.18e2;
  t9197 = t9168 + t9151 * t1023 / 0.3e1 + t5419 * t457 / 0.2e1 - t9151 * t1016 / 0.6e1 - t9177 - t9180 + t9182 - t9184 - t9186 + t9188 + t9190 + t9192 - t9194 - t9196;
  t9199 = my_piecewise3(t100, 0, t9166 + t9197);
  tv3rhosigma25 = t3 * t9199 + t2265;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t9205 = -t8657 - t8667 - t8670 - t8672 + t8675 - t8677 + t8679 - t8681 + t8683 - t8685 + t8687 + t8689 - t903 * t2167 / 0.4e1 + t1368 * t2108 / 0.12e2;
  t9208 = t897 * t2097;
  t9213 = t897 * t2086;
  t9215 = t9213 * t223 / 0.12e2;
  t9216 = t897 * t2092;
  t9226 = t903 * t2158 / 0.4e1;
  t9233 = -t307 * t2148 / 0.4e1 - t9017 + t9019 - t9208 * t630 / 0.6e1 - t1368 * t1288 / 0.6e1 - t9215 + t9216 * t223 / 0.6e1 - t9208 * t752 / 0.12e2 + t903 * t2170 / 0.2e1 - t3802 * t2154 / 0.2e1 + t9226 - t903 * t2162 / 0.2e1 + t9208 * t637 / 0.3e1 + t5379 * t432 / 0.2e1;
  t9235 = my_piecewise3(t2, 0, t9205 + t9233);
  tv3rhosigma26 = t3 * t9235 + t2174;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t9237 = t2196 * t333;
  t9238 = t168 * t9237;
  t9239 = t4137 * t9238;
  t9242 = t4549 * t9237;
  t9243 = t1476 * t9242;
  t9246 = t5587 * t9238;
  t9249 = t1021 * t9237;
  t9250 = t5549 * t9249;
  t9253 = t439 * t2196;
  t9254 = t4408 * t9253;
  t9255 = t5561 * t9254;
  t9258 = t1182 * t9237;
  t9259 = t1470 * t9258;
  t9262 = t2196 * t994;
  t9263 = t4543 * t9262;
  t9264 = t446 * t9263;
  t9267 = t5595 * t2257;
  t9270 = t4543 * t145;
  t9271 = t168 * t9262;
  t9272 = t9270 * t9271;
  t9275 = t5549 * t9238;
  t9278 = t403 * t2196;
  t9279 = t380 * t9278;
  t9280 = t4137 * t9279;
  t9283 = t2181 * t4356;
  t9284 = t3512 * t9283;
  t9285 = t321 * t9284;
  t9286 = t5623 * t1401;
  t9289 = t5634 * t1395;
  t9292 = t5640 * t1401;
  t9295 = -t5578 * t9239 / 0.6e1 - t5540 * t9243 / 0.2e1 + t5548 * t9246 / 0.6e1 - t5548 * t9250 / 0.3e1 + t5559 * t9255 / 0.2e1 + t5540 * t9259 / 0.2e1 + t5540 * t9264 / 0.2e1 - t4145 * t9267 / 0.4e1 - t5575 * t9272 / 0.6e1 + t5548 * t9275 / 0.12e2 + t5575 * t9280 / 0.12e2 - t2180 + 0.23e2 / 0.36e2 * t9285 * t9286 - t9285 * t9289 / 0.2e1 + 0.7e1 / 0.3e1 * t9285 * t9292;
  t9296 = t6006 * t1394;
  t9297 = t1393 * t9296;
  t9300 = t1452 * t1394;
  t9301 = t1400 * t9300;
  t9304 = t2175 * t1007;
  t9305 = t616 * t9304;
  t9306 = t321 * t9305;
  t9307 = t9306 * t1396;
  t9308 = t9307 / 0.6e1;
  t9310 = t4373 * t9283;
  t9311 = t4368 * t333;
  t9312 = t4362 * t9311;
  t9313 = t9310 * t9312;
  t9316 = t4363 * t333;
  t9317 = t4362 * t9316;
  t9318 = t9310 * t9317;
  t9321 = t1031 * t9304;
  t9322 = t9321 * t1407;
  t9323 = t1030 * t9322;
  t9324 = t9323 / 0.2e1;
  t9325 = t9321 * t1412;
  t9326 = t373 * t9325;
  t9327 = t9326 / 0.2e1;
  t9328 = t2181 * t4333;
  t9329 = t616 * t9328;
  t9330 = t321 * t9329;
  t9333 = t5640 * t1395;
  t9336 = t1031 * t9328;
  t9337 = t9336 * t1412;
  t9340 = t4362 * t1406;
  t9341 = t9310 * t9340;
  t9344 = t1028 * t1394;
  t9345 = t5623 * t9344;
  t9349 = t2175 * t1043;
  t9350 = t194 * t9349;
  t9351 = t321 * t9350;
  t9352 = t9351 * t1433;
  t9353 = t9352 / 0.6e1;
  t9354 = -t1391 * t9297 / 0.3e1 + 0.2e1 / 0.3e1 * t1391 * t9301 - t9308 + t1454 * t1413 + 0.3e1 / 0.2e1 * t4395 * t9313 - 0.3e1 * t1030 * t9318 - t9324 + t9327 - 0.2e1 * t9330 * t1402 - 0.11e2 / 0.18e2 * t9285 * t9333 - 0.3e1 * t373 * t9337 + 0.3e1 / 0.2e1 * t373 * t9341 - 0.3e1 / 0.2e1 * t9285 * t9345 - t5674 * t1408 + t9353;
  t9356 = t2178 * t997;
  t9357 = t9356 / 0.12e2;
  t9358 = t9306 * t1438;
  t9359 = t9358 / 0.12e2;
  t9360 = t2178 * t1002;
  t9361 = t9360 / 0.12e2;
  t9366 = t4697 * t2197;
  t9367 = t987 * t9366;
  t9370 = t5560 * t1007;
  t9376 = t989 * t1416;
  t9379 = t4206 * t1389;
  t9382 = t989 * t440;
  t9389 = t445 * t1043;
  t9394 = t1475 * t1007;
  t9397 = 0.2e1 / 0.3e1 * t9370 * t2389 + 0.2e1 * t989 * t1383 * t376 - 0.4e1 * t9376 * t1419 + 0.4e1 / 0.3e1 * t9379 * t1407 - 0.2e1 * t9382 * t1100 + 0.4e1 * t9379 * t1412 - 0.2e1 * t1488 * t349 + 0.4e1 * t9389 * t1419 + 0.2e1 * t448 * t1100 - 0.4e1 * t9394 * t1412;
  t9398 = t167 * t9397;
  t9399 = t988 * t9398;
  t9400 = t987 * t9399;
  t9405 = t5623 * t1395;
  t9408 = t1400 * t9296;
  t9413 = t167 * t1383;
  t9414 = t988 * t9413;
  t9415 = t1393 * t9414;
  t9424 = t9357 - t9359 - t9361 + t1378 * t2199 / 0.12e2 + t1386 * t2199 / 0.12e2 + t442 * t9367 / 0.12e2 + t442 * t9400 / 0.12e2 + t2189 * t4687 / 0.6e1 - 0.5e1 / 0.36e2 * t9285 * t9405 - t1391 * t9408 / 0.6e1 - t442 * t6017 / 0.6e1 - t1391 * t9415 / 0.3e1 + t2189 * t4163 / 0.3e1 - t2189 * t4166 / 0.6e1 - t2189 * t4722 / 0.12e2;
  t9426 = t371 * t9413;
  t9427 = t1400 * t9426;
  t9434 = t1000 * t9296;
  t9439 = t374 * t2176;
  t9440 = t9439 * t1100;
  t9441 = t373 * t9440;
  t9442 = t9441 / 0.4e1;
  t9447 = t1019 * t1383;
  t9448 = t1013 * t9447;
  t9449 = t1405 * t9448;
  t9451 = t9336 * t1407;
  t9454 = t1031 * t2187;
  t9455 = t9454 * t4171;
  t9457 = t978 * t2215;
  t9458 = t9457 * t1035;
  t9461 = t374 * t9349;
  t9462 = t9461 * t1419;
  t9463 = t373 * t9462;
  t9464 = t9463 / 0.2e1;
  t9466 = t978 * t2211 * t1045;
  t9469 = -t1454 * t1420 + 0.2e1 / 0.3e1 * t1391 * t9427 - 0.2e1 / 0.3e1 * t2189 * t4691 + t2189 * t4656 / 0.3e1 + t1432 * t9434 / 0.3e1 + t442 * t6008 / 0.6e1 - t9442 - t1454 * t1424 / 0.2e1 + t1454 * t1428 / 0.2e1 - t1030 * t9449 + 0.3e1 * t1030 * t9451 + t1030 * t9455 + t2251 - t1030 * t9458 / 0.2e1 - t9464 - t373 * t9466 / 0.2e1;
  t9476 = t5833 * t2257;
  t9480 = t985 * t348 * t9397;
  t9481 = t1423 * t9480;
  t9485 = t978 * t2208 * t376;
  t9486 = t373 * t9485;
  t9487 = t9486 / 0.4e1;
  t9488 = t9306 * t1402;
  t9489 = t9488 / 0.3e1;
  t9492 = t1013 * t1014 * t1383;
  t9493 = t1405 * t9492;
  t9495 = t9454 * t4176;
  t9497 = t9457 * t1094;
  t9500 = t1074 * t2183;
  t9503 = t1074 * t2177;
  t9504 = t9503 * t350;
  t9505 = t9504 / 0.12e2;
  t9506 = t2178 * t1087;
  t9507 = t9506 / 0.12e2;
  t9510 = t1074 * t2188;
  t9513 = -t1078 * t2258 / 0.4e1 - t1056 * t2258 / 0.4e1 - t373 * t9476 / 0.4e1 - t373 * t9481 / 0.4e1 + t9487 + t9489 + t9330 * t1396 + t373 * t9493 - t373 * t9495 + t373 * t9497 / 0.2e1 + t9500 * t350 / 0.6e1 - t9505 - t9507 - t2189 * t4490 / 0.12e2 - t9510 * t1016 / 0.6e1;
  t9518 = t1400 * t9414;
  t9521 = t1000 * t9414;
  t9524 = t194 * t2187;
  t9525 = t321 * t9524;
  t9532 = t2215 * t4334;
  t9535 = t69 * t2181;
  t9536 = t9535 * t4375;
  t9537 = t4396 * t1484;
  t9540 = t140 * t9397;
  t9541 = t1182 * t9540;
  t9544 = t140 * t1383;
  t9545 = t1093 * t9544;
  t9548 = t4376 * t1484;
  t9551 = t1034 * t9544;
  t9556 = t2208 * t1044;
  t9557 = t9556 * t1491;
  t9558 = t2209 * t1200;
  t9559 = t9558 / 0.2e1;
  t9560 = t356 * t9544;
  t9563 = t2211 * t4425;
  t9566 = -0.4e1 * t9532 * t1485 + t9536 * t9537 / 0.18e2 + t446 * t9541 / 0.2e1 - 0.2e1 * t1476 * t9545 + 0.1e2 / 0.3e1 * t9536 * t9548 + 0.4e1 / 0.3e1 * t1476 * t9551 - 0.4e1 / 0.3e1 * t2216 * t4599 + t9557 + t9559 + 0.2e1 * t1470 * t9560 - 0.3e1 * t9563 * t1491;
  t9567 = t615 * t2175;
  t9568 = t9567 * t1033;
  t9569 = t9568 * t1485;
  t9570 = 0.2e1 / 0.3e1 * t9569;
  t9571 = t4408 * t1484;
  t9574 = t9568 * t1495;
  t9584 = t9556 * t1472;
  t9585 = 0.2e1 * t9584;
  t9586 = t2209 * t1184;
  t9587 = t9568 * t1477;
  t9588 = t9587 / 0.3e1;
  t9589 = t143 * t1383;
  t9590 = t356 * t9589;
  t9593 = t9570 - 0.3e1 * t9536 * t9571 - t9574 + 0.6e1 * t9532 * t1495 + 0.2e1 * t2216 * t4582 - t2212 * t1200 + t1468 * t2233 / 0.2e1 - 0.4e1 * t2216 * t4550 - t9585 - t9586 - t9588 - 0.4e1 * t1470 * t9590;
  t9601 = t1034 * t9589;
  t9604 = t2232 * t333;
  t9605 = t1182 * t9604;
  t9607 = t2232 * t994;
  t9608 = t4543 * t9607;
  t9612 = t4396 * t1471;
  t9616 = t143 * t9397;
  t9617 = t1182 * t9616;
  t9619 = t4408 * t9604;
  t9622 = 0.6e1 * t9563 * t1472 + 0.2e1 * t2212 * t1184 + 0.2e1 * t9532 * t1477 - 0.2e1 / 0.3e1 * t1476 * t9601 - t1470 * t9605 - t446 * t9608 + 0.2e1 / 0.3e1 * t2216 * t4563 - t9536 * t9612 / 0.9e1 - t1468 * t2220 - t446 * t9617 - 0.2e1 / 0.3e1 * t1476 * t9619;
  t9623 = t1093 * t9589;
  t9626 = t4376 * t1471;
  t9629 = t4408 * t1471;
  t9632 = t4549 * t9604;
  t9634 = t9568 * t1481;
  t9635 = 0.2e1 * t9634;
  t9638 = t142 * t2196;
  t9639 = t9638 * t333;
  t9640 = t1190 * t9639;
  t9643 = t1203 * t9639;
  t9646 = t360 * t9639;
  t9649 = t354 * t4160;
  t9650 = t445 * t9649;
  t9651 = t9638 * t994;
  t9652 = t360 * t9651;
  t9655 = 0.4e1 * t1476 * t9623 - 0.2e1 / 0.3e1 * t9536 * t9626 + 0.6e1 * t9536 * t9629 + t1476 * t9632 + t9635 - 0.12e2 * t9532 * t1481 + t5851 * t9640 / 0.3e1 - 0.2e1 * t5851 * t9643 + 0.2e1 * t5844 * t9646 + 0.2e1 * t9650 * t9652 - t2229 + t2210;
  t9657 = t9566 + t9593 + t9622 + t9655;
  t9658 = t139 * t9657;
  t9659 = t9658 * t168;
  t9665 = t346 * t348 * t1383;
  t9666 = t1417 * t9665;
  t9668 = t374 * t2187;
  t9669 = t9668 * t1419;
  t9672 = t374 * t2182;
  t9673 = t9672 * t1100;
  t9676 = t2238 * t404;
  t9679 = -t2189 * t4352 / 0.6e1 - t9139 + t2184 * t1002 / 0.6e1 - t1391 * t9518 / 0.6e1 + t1432 * t9521 / 0.3e1 - t9525 * t1433 / 0.2e1 - t2184 * t997 / 0.6e1 + t9330 * t1438 / 0.2e1 - t9143 + t9145 - t110 * t9659 / 0.4e1 - t318 * t2239 / 0.4e1 - t373 * t9666 + 0.3e1 / 0.2e1 * t373 * t9669 + t373 * t9673 / 0.2e1 - t110 * t9676 / 0.4e1;
  t9701 = t1078 * t2249;
  t9702 = t9701 / 0.4e1;
  t9703 = t1056 * t2249;
  t9704 = t9703 / 0.4e1;
  t9705 = t349 * t2239;
  t9708 = t2237 * t370;
  t9709 = t369 * t9708;
  t9710 = t321 * t9709;
  t9715 = t9510 * t1023 / 0.3e1 + t2184 * t1087 / 0.6e1 - t9510 * t1090 / 0.12e2 + t5689 * t457 / 0.2e1 + t5717 * t457 / 0.2e1 + t2189 * t4438 / 0.3e1 - t1378 * t1449 / 0.6e1 - t1386 * t1449 / 0.6e1 - t442 * t5683 / 0.6e1 - t4383 * t2245 / 0.2e1 + t9702 + t9704 - t338 * t9705 / 0.12e2 + t9710 * t377 / 0.4e1 - t1056 * t2253 / 0.2e1;
  t9726 = t1078 * t2261 / 0.2e1 + t1056 * t2261 / 0.2e1 + t1454 * t1462 / 0.2e1 - t4349 * t2245 / 0.2e1 - t1078 * t2253 / 0.2e1 + t9159 - t9177 - t9180 + t9182 - t9184 - t9186 + t9188 + t9190 + t9192 - t9194 - t9196;
  t9730 = my_piecewise3(t100, 0, t9295 + t9354 + t9424 + t9469 + t9513 + t9679 + t9715 + t9726);
  tv3rhosigma211 = t3 * t9730 + t2265;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t9732 = t6475 * t2166;
  t9735 = t414 * t206;
  t9736 = t229 * t9735;
  t9737 = t6424 * t9736;
  t9740 = t819 * t4741;
  t9741 = t1587 * t9740;
  t9744 = t6496 * t2323;
  t9747 = t463 * t206;
  t9748 = t648 * t9747;
  t9749 = t5183 * t9748;
  t9752 = t1321 * t6062;
  t9754 = t6066 * t2318;
  t9757 = t635 * t4741;
  t9758 = t4760 * t9757;
  t9761 = t276 * t414;
  t9762 = t3121 * t9761;
  t9763 = t4765 * t9762;
  t9766 = t95 * t4741;
  t9767 = t4770 * t9766;
  t9770 = t253 * t9761;
  t9771 = t4754 * t9770;
  t9781 = t593 * t2332 / 0.6e1;
  t9783 = t593 * t2324 / 0.6e1;
  t9786 = -t3123 * t9732 / 0.4e1 + 0.3e1 / 0.2e1 * t4779 * t9737 + t4779 * t9741 / 0.2e1 - t3123 * t9744 / 0.2e1 + 0.3e1 * t4738 * t9749 + t4738 * t9752 - t4748 * t9754 / 0.2e1 - 0.2e1 / 0.3e1 * t6069 * t9758 + t6069 * t9763 / 0.3e1 + t6069 * t9767 / 0.3e1 - t6069 * t9771 / 0.6e1 + t2160 + t1293 * t1564 / 0.4e1 - t1293 * t1560 / 0.4e1 - t1293 * t1556 / 0.2e1 + t9781 - t9783 - t1541 * t8986 / 0.6e1;
  t9789 = t6255 * t1221;
  t9790 = t1220 * t9789;
  t9793 = t1530 * t1221;
  t9794 = t1227 * t9793;
  t9805 = t673 * t9789;
  t9814 = t1227 * t9789;
  t9823 = t1541 * t8990 / 0.3e1 - t1218 * t9790 / 0.6e1 + t1218 * t9794 / 0.3e1 - t6295 * t1235 / 0.2e1 + t1532 * t1240 / 0.2e1 - t5073 * t1548 / 0.2e1 + t1293 * t1551 / 0.2e1 + t8659 + t8662 - t8667 + t1259 * t9805 / 0.6e1 + t417 * t6263 / 0.12e2 + t8683 - t1532 * t1247 / 0.2e1 - t1532 * t1251 / 0.4e1 - t1218 * t9814 / 0.12e2 + t1517 * t2108 / 0.12e2 + t1522 * t2108 / 0.12e2 + t466 * t8810 / 0.12e2;
  t9827 = t3279 * t2266;
  t9828 = t673 * t9827;
  t9845 = t1555 * t9121;
  t9848 = t6096 * t2323;
  t9855 = t6091 * t2331;
  t9858 = t1547 * t9021;
  t9861 = t6116 * t2268 / 0.6e1 + t1568 * t9828 / 0.6e1 + t466 * t8843 / 0.12e2 + t6112 * t2268 / 0.6e1 + t1568 * t8791 / 0.6e1 + t466 * t5054 / 0.12e2 - t8744 - t8748 + t8752 + t1568 * t8704 / 0.6e1 - t3530 * t2319 / 0.2e1 - t3537 * t2319 / 0.2e1 - t246 * t9845 / 0.2e1 - t246 * t9848 / 0.2e1 - t768 * t2324 / 0.2e1 - t757 * t2324 / 0.2e1 + t246 * t9855 / 0.2e1 + t246 * t9858 / 0.2e1;
  t9864 = t1591 * t8647;
  t9867 = t3375 * t9735;
  t9868 = t6390 * t9867;
  t9871 = t3677 * t94;
  t9872 = t65 * t9871;
  t9873 = t30 * t9872;
  t9874 = t3448 * t9747;
  t9875 = t5178 * t9874;
  t9878 = t3402 * t9747;
  t9879 = t5178 * t9878;
  t9882 = t653 * t9735;
  t9883 = t6393 * t9882;
  t9886 = t463 * t2105;
  t9887 = t3375 * t9886;
  t9888 = t4740 * t9887;
  t9891 = t1227 * t9827;
  t9907 = t188 * t2310 / 0.12e2;
  t9908 = t8778 + t8780 - t8785 - t8790 + t1541 * t8715 / 0.3e1 - t4779 * t9864 / 0.2e1 + 0.3e1 / 0.2e1 * t4779 * t9868 + 0.3e1 / 0.2e1 * t9873 * t9875 - 0.3e1 * t4738 * t9879 - 0.3e1 * t4779 * t9883 + t4738 * t9888 / 0.2e1 - t1541 * t9891 / 0.12e2 - t1541 * t8848 / 0.12e2 - t417 * t6257 / 0.12e2 - t1541 * t8709 / 0.12e2 - t466 * t5046 / 0.12e2 - t6081 * t2271 / 0.12e2 - t6084 * t2271 / 0.12e2 - t9907;
  t9923 = t469 * t8899;
  t9926 = t8856 + t8875 + t8877 - t8888 + 0.2e1 / 0.3e1 * t1591 * t8869 + t6413 * t2302 + t1587 * t8878 + t1585 * t2142 / 0.2e1 + t470 * t8912 / 0.2e1 - t6419 * t2306 - t1591 * t8915 + 0.2e1 / 0.3e1 * t6419 * t2299 + 0.2e1 * t9923 * t8902;
  t9929 = t62 * t414;
  t9930 = t9929 * t667;
  t9931 = t840 * t9930;
  t9934 = t3421 * t218;
  t9935 = t469 * t9934;
  t9936 = t9929 * t206;
  t9937 = t233 * t9936;
  t9940 = t233 * t9930;
  t9943 = t3416 * t626;
  t9944 = t1590 * t9943;
  t9945 = t827 * t9936;
  t9948 = t827 * t9930;
  t9951 = t3399 * t3137;
  t9952 = t6389 * t9951;
  t9953 = t3482 * t9936;
  t9962 = t1329 * t414;
  t9963 = t648 * t9962;
  t9970 = t6427 * t8905 / 0.3e1 - 0.4e1 * t6427 * t9931 + 0.6e1 * t9935 * t9937 + 0.2e1 * t6440 * t9940 + 0.2e1 * t9944 * t9945 + 0.2e1 / 0.3e1 * t6427 * t9948 - t9952 * t9953 / 0.9e1 + 0.2e1 * t6440 * t8896 - 0.2e1 * t6413 * t2288 - 0.2e1 * t1587 * t8967 - 0.4e1 * t6393 * t9963 - t6419 * t2291 / 0.3e1 - t1591 * t8939 / 0.3e1;
  t9972 = t3448 * t9962;
  t9976 = t2298 * t667;
  t9977 = t819 * t9976;
  t9981 = t3409 * t9976;
  t9991 = t3402 * t9962;
  t9994 = t3375 * t9976;
  t9997 = t229 * t9962;
  t10000 = t6390 * t9972 / 0.18e2 - t1585 * t2129 - t1587 * t9977 - t1587 * t8960 - t470 * t8963 + 0.2e1 * t1591 * t9981 - t470 * t8921 - 0.2e1 / 0.3e1 * t1591 * t8926 + 0.2e1 * t6419 * t2295 + 0.2e1 * t1591 * t8930 + 0.1e2 / 0.3e1 * t6390 * t9991 - 0.4e1 / 0.3e1 * t1591 * t9994 - 0.3e1 * t6424 * t9997;
  t10001 = t653 * t9962;
  t10005 = t3375 * t9962;
  t10012 = t840 * t9936;
  t10015 = t3475 * t9936;
  t10018 = 0.6e1 * t6393 * t10001 + t1591 * t8972 - 0.3e1 * t6390 * t10005 - t8948 - t8949 - t8966 + t8975 - 0.2e1 * t6427 * t8893 + 0.6e1 * t9952 * t9945 - 0.12e2 * t9944 * t10012 - 0.2e1 / 0.3e1 * t9952 * t10015 - t2138 + t2119;
  t10020 = t9926 + t9970 + t10000 + t10018;
  t10021 = t59 * t10020;
  t10022 = t10021 * t95;
  t10025 = t6091 * t2318;
  t10036 = t30 * t6390;
  t10037 = t3448 * t65;
  t10038 = t95 * t9735;
  t10039 = t10037 * t10038;
  t10042 = t4765 * t9770;
  t10047 = t635 * t9735;
  t10048 = t10037 * t10047;
  t10055 = t4760 * t10038;
  t10058 = t3402 * t65;
  t10059 = t10058 * t10047;
  t10062 = t3671 * t9735;
  t10063 = t10037 * t10062;
  t10066 = t30 * t6393;
  t10067 = t4754 * t10038;
  t10069 = t4765 * t10047;
  t10072 = t10058 * t10038;
  t10075 = -t30 * t10022 / 0.4e1 - t644 * t10025 / 0.2e1 - t182 * t2310 / 0.4e1 - t6488 * t8644 / 0.6e1 + t6069 * t8631 / 0.12e2 + t6488 * t8636 / 0.12e2 - 0.5e1 / 0.36e2 * t10036 * t10039 - t6069 * t10042 / 0.12e2 - t6491 * t8639 / 0.6e1 + 0.23e2 / 0.36e2 * t10036 * t10048 + t6069 * t8651 / 0.6e1 - t6069 * t8610 / 0.3e1 - t10036 * t10055 / 0.2e1 + 0.7e1 / 0.3e1 * t10036 * t10059 - 0.3e1 / 0.2e1 * t10036 * t10063 + t10066 * t10067 - 0.2e1 * t10066 * t10069 - 0.11e2 / 0.18e2 * t10036 * t10072;
  t10076 = t6066 * t2331;
  t10079 = t3409 * t4741;
  t10080 = t1591 * t10079;
  t10082 = t1587 * t8621;
  t10085 = t470 * t8626;
  t10088 = t2309 * t277;
  t10091 = t3130 * t9766;
  t10094 = t4765 * t10038;
  t10097 = t30 * t6424;
  t10098 = t4796 * t10038;
  t10101 = t755 * t2266;
  t10102 = t1227 * t10101;
  t10109 = t1547 * t8725;
  t10116 = t3123 * t10076 / 0.2e1 - t4779 * t10080 + t4779 * t10082 / 0.2e1 + t4779 * t10085 / 0.2e1 - t30 * t10088 / 0.4e1 - t6491 * t10091 / 0.6e1 + t10066 * t10094 / 0.2e1 - t10097 * t10098 / 0.2e1 + t9033 - t9044 + t1541 * t10102 / 0.3e1 + t6081 * t2282 / 0.3e1 + t6084 * t2282 / 0.3e1 - t644 * t10109 / 0.2e1 + t1532 * t1255 / 0.4e1 - t1541 * t8692 / 0.6e1 - t9058 - t9060 - t2089;
  t10122 = t1220 * t9827;
  t10125 = t1559 * t9012;
  t10133 = t5143 * t481 / 0.12e2;
  t10135 = t6358 * t432 / 0.12e2;
  t10137 = t1267 * t1527 / 0.36e2;
  t10139 = t1508 * t1288 / 0.36e2;
  t10154 = -t6084 * t2276 / 0.6e1 - t6081 * t2276 / 0.6e1 - t1541 * t10122 / 0.6e1 - t9110 + t9112 - t246 * t10125 / 0.4e1 + t768 * t2332 / 0.2e1 + t757 * t2332 / 0.2e1 + t10133 + t10135 - t10137 - t10139 + t1532 * t1274 / 0.4e1 + t5105 * t481 / 0.4e1 - t1522 * t1288 / 0.12e2 - t466 * t5140 / 0.12e2 - t1278 * t1527 / 0.12e2 + t5126 * t481 / 0.4e1 + t1293 * t1514 / 0.4e1;
  t10155 = t222 * t2310;
  t10158 = t2308 * t243;
  t10159 = t242 * t10158;
  t10160 = t191 * t10159;
  t10173 = t4796 * t9770;
  t10176 = t4760 * t9766;
  t10180 = t593 * t2327 / 0.12e2;
  t10182 = t3548 * t2319 / 0.6e1;
  t10184 = t6186 * t2282 / 0.9e1;
  t10186 = t6186 * t2276 / 0.18e2;
  t10188 = t1508 * t2108 / 0.36e2;
  t10190 = t6186 * t2271 / 0.36e2;
  t10192 = t6214 * t2268 / 0.18e2;
  t10197 = t6136 * t2166;
  t10200 = -t211 * t10155 / 0.12e2 + t10160 * t250 / 0.4e1 + t6353 * t432 / 0.4e1 + t6335 * t432 / 0.4e1 - t1283 * t1527 / 0.12e2 - t417 * t6347 / 0.12e2 - t1517 * t1288 / 0.12e2 + t6491 * t10173 / 0.6e1 + t6069 * t10176 / 0.6e1 - t10180 - t10182 + t10184 - t10186 + t10188 - t10190 + t10192 - t768 * t2327 / 0.4e1 - t757 * t2327 / 0.4e1 - t246 * t10197 / 0.4e1;
  t10204 = my_piecewise3(t2, 0, t9786 + t9823 + t9861 + t9908 + t10075 + t10116 + t10154 + t10200);
  tv3rhosigmalapl0 = t3 * t10204 + t2336;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  tv3rhosigmalapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 1] += tv3rhosigmalapl1;

  tv3rhosigmalapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 2] += tv3rhosigmalapl2;

  tv3rhosigmalapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 3] += tv3rhosigmalapl3;

  tv3rhosigmalapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 4] += tv3rhosigmalapl4;

  t10215 = t294 * t2381 / 0.12e2;
  t10227 = t6684 * t2339 / 0.18e2;
  t10229 = t948 * t2395 / 0.6e1;
  t10231 = t948 * t2398 / 0.12e2;
  t10233 = t948 * t2403 / 0.6e1;
  t10237 = t4040 * t2390 / 0.6e1;
  t10238 = -t945 * t2398 / 0.4e1 + t945 * t2403 / 0.2e1 - t945 * t2395 / 0.2e1 - t290 * t2381 / 0.4e1 - t10215 + t6702 * t2353 / 0.3e1 + t1615 * t2199 / 0.12e2 - t6702 * t2347 / 0.6e1 + t6709 * t2339 / 0.6e1 - t4065 * t2390 / 0.2e1 + t10227 - t10229 - t10231 + t10233 - t6702 * t2342 / 0.12e2 - t10237;
  t10240 = t6679 * t2353 / 0.9e1;
  t10242 = t6679 * t2347 / 0.18e2;
  t10244 = t1618 * t2199 / 0.36e2;
  t10246 = t6679 * t2342 / 0.36e2;
  t10248 = t6631 * t457 / 0.12e2;
  t10250 = t1354 * t1658 / 0.36e2;
  t10252 = t1618 * t1449 / 0.36e2;
  t10262 = t5414 * t505 / 0.12e2;
  t10263 = t10240 - t10242 + t10244 - t10246 - t9156 + t9168 - t9180 + t9188 + t10248 - t10250 - t10252 + t5419 * t505 / 0.4e1 - t1351 * t1658 / 0.12e2 + t6656 * t457 / 0.4e1 - t1615 * t1449 / 0.12e2 + t10262;
  t10265 = my_piecewise3(t100, 0, t10238 + t10263);
  tv3rhosigmalapl5 = t3 * t10265 + t2407;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 5] += tv3rhosigmalapl5;

  t10291 = t9781 - t9783 - t8667 + t8683 - t903 * t2327 / 0.4e1 + t903 * t2332 / 0.2e1 - t307 * t2310 / 0.4e1 + t6541 * t2282 / 0.3e1 + t1632 * t2108 / 0.12e2 - t6541 * t2276 / 0.6e1 + t6609 * t2268 / 0.6e1 - t6541 * t2271 / 0.12e2 - t903 * t2324 / 0.2e1 - t3802 * t2319 / 0.2e1 + t5379 * t481 / 0.4e1 - t1632 * t1288 / 0.12e2;
  t10296 = -t1368 * t1527 / 0.12e2 - t9907 - t9215 + t9226 + t6575 * t432 / 0.4e1 + t10133 + t10135 - t10137 - t10139 - t10180 - t10182 + t10184 - t10186 + t10188 - t10190 + t10192;
  t10298 = my_piecewise3(t2, 0, t10291 + t10296);
  tv3rhosigmalapl6 = t3 * t10298 + t2336;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 6] += tv3rhosigmalapl6;

  tv3rhosigmalapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 7] += tv3rhosigmalapl7;

  tv3rhosigmalapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 8] += tv3rhosigmalapl8;

  tv3rhosigmalapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 9] += tv3rhosigmalapl9;

  tv3rhosigmalapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 10] += tv3rhosigmalapl10;

  t10312 = t6773 * t1394;
  t10313 = t1393 * t10312;
  t10316 = t1661 * t1394;
  t10317 = t1400 * t10316;
  t10335 = t1484 * t439;
  t10336 = t1034 * t10335;
  t10343 = t494 * t9541 / 0.2e1 + 0.2e1 / 0.3e1 * t6981 * t2370 - t6981 * t2377 - t1720 * t9545 + 0.2e1 / 0.3e1 * t1720 * t9551 + t7005 * t2373 + t1716 * t9560 + t1714 * t2233 / 0.2e1 - t494 * t9617 - 0.2e1 * t1716 * t9590 - 0.4e1 * t6984 * t10336 - t6981 * t2362 / 0.3e1 - t1720 * t9601 / 0.3e1;
  t10344 = t4396 * t10335;
  t10348 = t4376 * t10335;
  t10351 = t2369 * t994;
  t10352 = t4408 * t10351;
  t10355 = t356 * t10335;
  t10358 = t1182 * t10351;
  t10363 = t4549 * t10351;
  t10373 = t6988 * t10344 / 0.18e2 - t1714 * t2220 + 0.1e2 / 0.3e1 * t6988 * t10348 - 0.4e1 / 0.3e1 * t1720 * t10352 - 0.3e1 * t7010 * t10355 - t1716 * t10358 - 0.2e1 * t7005 * t2359 - t494 * t9608 + 0.2e1 * t1720 * t10363 - 0.2e1 / 0.3e1 * t1720 * t9619 + 0.2e1 * t6981 * t2366 + 0.2e1 * t1720 * t9623 - t1716 * t9605;
  t10375 = t1093 * t10335;
  t10379 = t4408 * t10335;
  t10382 = t142 * t439;
  t10383 = t10382 * t994;
  t10384 = t1190 * t10383;
  t10387 = t4375 * t4160;
  t10388 = t6987 * t10387;
  t10389 = t10382 * t333;
  t10390 = t4633 * t10389;
  t10393 = 0.6e1 * t6984 * t10375 + t1720 * t9632 - 0.3e1 * t6988 * t10379 + t9557 + t9559 + t9570 - t9574 - t9585 - t9586 - t9588 + t9635 + 0.2e1 / 0.3e1 * t6969 * t10384 - t10388 * t10390 / 0.9e1;
  t10396 = t493 * t9649;
  t10401 = t4624 * t10389;
  t10404 = t1190 * t10389;
  t10407 = t4334 * t984;
  t10408 = t1719 * t10407;
  t10409 = t1203 * t10389;
  t10414 = t1203 * t10383;
  t10417 = t4425 * t345;
  t10418 = t493 * t10417;
  t10419 = t360 * t10389;
  t10422 = t360 * t10383;
  t10427 = 0.2e1 * t6966 * t9646 + 0.2e1 * t10396 * t9652 + t6969 * t9640 / 0.3e1 - 0.2e1 / 0.3e1 * t10388 * t10401 + 0.6e1 * t10388 * t10404 - 0.12e2 * t10408 * t10409 - 0.2e1 * t6969 * t9643 - 0.4e1 * t6969 * t10414 + 0.6e1 * t10418 * t10419 + 0.2e1 * t6966 * t10422 + 0.2e1 * t10408 * t10404 - t2229 + t2210;
  t10429 = t10343 + t10373 + t10393 + t10427;
  t10430 = t139 * t10429;
  t10431 = t10430 * t168;
  t10436 = -t2180 - t6848 * t1408 / 0.2e1 + t1663 * t1413 / 0.2e1 - t5674 * t1693 / 0.2e1 + t1454 * t1696 / 0.2e1 - t1651 * t9297 / 0.6e1 + t1651 * t9301 / 0.3e1 - t1391 * t10313 / 0.6e1 + t1391 * t10317 / 0.3e1 - t9308 - t9324 + t9327 + t9353 + t9357 - t9359 - t9361 - t110 * t10431 / 0.4e1 - t318 * t2381 / 0.4e1;
  t10439 = t6784 * t2402;
  t10442 = t1692 * t9492;
  t10447 = t168 * t5562;
  t10448 = t4137 * t10447;
  t10451 = t110 * t6984;
  t10452 = t439 * t333;
  t10453 = t168 * t10452;
  t10454 = t5553 * t10453;
  t10457 = t110 * t6988;
  t10458 = t4396 * t145;
  t10459 = t10458 * t10453;
  t10462 = t110 * t7010;
  t10463 = t5582 * t10453;
  t10466 = t403 * t439;
  t10467 = t380 * t10466;
  t10468 = t5582 * t10467;
  t10471 = t5549 * t10447;
  t10480 = t5553 * t10467;
  t10485 = t4376 * t145;
  t10486 = t10485 * t10453;
  t10489 = t1056 * t2403 / 0.2e1 + t373 * t10439 / 0.2e1 + t373 * t10442 / 0.2e1 - t1056 * t2395 / 0.2e1 - t9442 + t2251 - t10215 - t6830 * t10448 / 0.6e1 + t10451 * t10454 / 0.2e1 - 0.5e1 / 0.36e2 * t10457 * t10459 - t10462 * t10463 / 0.2e1 + t6830 * t10468 / 0.6e1 + t6824 * t10471 / 0.6e1 - t6827 * t9272 / 0.6e1 + t6824 * t9275 / 0.12e2 - t6824 * t9250 / 0.3e1 - t6824 * t10480 / 0.12e2 - t6830 * t9239 / 0.6e1 - 0.11e2 / 0.18e2 * t10457 * t10486;
  t10491 = t1021 * t10452;
  t10492 = t10458 * t10491;
  t10497 = t5553 * t10491;
  t10500 = t4403 * t10452;
  t10501 = t10458 * t10500;
  t10504 = t4392 * t167;
  t10505 = t145 * t10504;
  t10506 = t110 * t10505;
  t10507 = t487 * t333;
  t10508 = t4396 * t10507;
  t10509 = t5855 * t10508;
  t10512 = t5591 * t10453;
  t10514 = t5549 * t10453;
  t10517 = t10485 * t10491;
  t10520 = t1093 * t10452;
  t10521 = t6984 * t10520;
  t10524 = t487 * t2196;
  t10525 = t4408 * t10524;
  t10526 = t5561 * t10525;
  t10529 = t1720 * t9242;
  t10532 = t4408 * t10452;
  t10533 = t6988 * t10532;
  t10536 = t1021 * t5562;
  t10537 = t5549 * t10536;
  t10540 = t4143 * t10466;
  t10541 = t5553 * t10540;
  t10544 = t5591 * t10467;
  t10549 = t5587 * t10447;
  t10552 = t4376 * t10507;
  t10553 = t5855 * t10552;
  t10556 = 0.23e2 / 0.36e2 * t10457 * t10492 + t6824 * t9246 / 0.6e1 - 0.2e1 * t10451 * t10497 - 0.3e1 / 0.2e1 * t10457 * t10501 + 0.3e1 / 0.2e1 * t10506 * t10509 + t10451 * t10512 - t10457 * t10514 / 0.2e1 + 0.7e1 / 0.3e1 * t10457 * t10517 - 0.3e1 * t5540 * t10521 + t5559 * t10526 / 0.2e1 - t5540 * t10529 / 0.2e1 + 0.3e1 / 0.2e1 * t5540 * t10533 - 0.2e1 / 0.3e1 * t6824 * t10537 + t6824 * t10541 / 0.3e1 - t6824 * t10544 / 0.6e1 + t6827 * t9280 / 0.12e2 + t6824 * t10549 / 0.3e1 - 0.3e1 * t5559 * t10553;
  t10557 = t1034 * t10507;
  t10558 = t5860 * t10557;
  t10561 = t7126 * t2389;
  t10582 = t1400 * t10312;
  t10593 = t1054 * t2337;
  t10594 = t1400 * t10593;
  t10599 = t1000 * t10312;
  t10602 = 0.3e1 * t5559 * t10558 - t5535 * t10561 / 0.2e1 - t1651 * t9415 / 0.6e1 + t1644 * t9434 / 0.6e1 + t490 * t6008 / 0.12e2 - t1651 * t9408 / 0.12e2 - t1651 * t9518 / 0.12e2 + t1677 * t2199 / 0.12e2 + t1682 * t2199 / 0.12e2 + t490 * t9367 / 0.12e2 + t442 * t7094 / 0.12e2 - t1391 * t10582 / 0.12e2 - t442 * t6775 / 0.12e2 - t490 * t6017 / 0.12e2 + t6755 * t2353 / 0.3e1 + t6760 * t2353 / 0.3e1 + t1651 * t10594 / 0.3e1 + t1651 * t9427 / 0.3e1 + t1432 * t10599 / 0.6e1;
  t10605 = t1476 * t7138;
  t10607 = t1182 * t5562;
  t10608 = t1716 * t10607;
  t10611 = t7123 * t2394;
  t10614 = t356 * t10452;
  t10615 = t7010 * t10614;
  t10618 = t494 * t9263;
  t10621 = t7116 * t2257;
  t10624 = t1716 * t9258;
  t10627 = t7126 * t2402;
  t10630 = t4549 * t5562;
  t10631 = t1720 * t10630;
  t10633 = -t9464 + t9487 + t9489 + t10227 - t9505 - t9507 + t5559 * t10605 + t5540 * t10608 / 0.2e1 - t4145 * t10611 / 0.2e1 + 0.3e1 / 0.2e1 * t5540 * t10615 + t5540 * t10618 / 0.2e1 - t4145 * t10621 / 0.4e1 + t5540 * t10624 / 0.2e1 + t4145 * t10627 / 0.2e1 - t5540 * t10631 - t10229 - t10231 + t10233;
  t10634 = t2380 * t404;
  t10645 = t2379 * t370;
  t10646 = t369 * t10645;
  t10647 = t321 * t10646;
  t10656 = t349 * t2381;
  t10669 = -t110 * t10634 / 0.4e1 - t1378 * t1658 / 0.12e2 - t1677 * t1449 / 0.12e2 - t1682 * t1449 / 0.12e2 - t490 * t5683 / 0.12e2 + t10647 * t377 / 0.4e1 - t1386 * t1658 / 0.12e2 - t442 * t6870 / 0.12e2 + t5717 * t505 / 0.4e1 - t338 * t10656 / 0.12e2 + t6855 * t457 / 0.4e1 + t1663 * t1462 / 0.4e1 + t5689 * t505 / 0.4e1 + t1454 * t1673 / 0.4e1 + t6876 * t457 / 0.4e1 - t10237 + t10240 - t10242 + t10244;
  t10677 = t4697 * t2337;
  t10678 = t1400 * t10677;
  t10687 = t1393 * t10677;
  t10694 = -t10246 + t9702 + t9704 - t9180 + t9188 + t10248 - t10250 - t10252 + t10262 + t1644 * t9521 / 0.6e1 - t6755 * t2342 / 0.12e2 - t6760 * t2342 / 0.12e2 - t1651 * t10678 / 0.12e2 + t490 * t9400 / 0.12e2 - t6755 * t2347 / 0.6e1 - t6760 * t2347 / 0.6e1 - t1651 * t10687 / 0.6e1 + t6819 * t2339 / 0.6e1 + t7072 * t2339 / 0.6e1;
  t10695 = t1000 * t10677;
  t10698 = t6799 * t2394;
  t10701 = t1699 * t9665;
  t10708 = t6949 * t2257;
  t10711 = t1703 * t9480;
  t10722 = t6784 * t2389;
  t10725 = t1692 * t9448;
  t10740 = t1644 * t10695 / 0.6e1 - t373 * t10698 / 0.2e1 - t373 * t10701 / 0.2e1 - t1078 * t2398 / 0.4e1 - t1056 * t2398 / 0.4e1 - t373 * t10708 / 0.4e1 - t373 * t10711 / 0.4e1 + t1078 * t2403 / 0.2e1 - t1078 * t2395 / 0.2e1 - t4349 * t2390 / 0.2e1 - t4383 * t2390 / 0.2e1 - t1030 * t10722 / 0.2e1 - t1030 * t10725 / 0.2e1 - t1454 * t1700 / 0.2e1 - t1454 * t1704 / 0.4e1 + t1454 * t1708 / 0.4e1 + t1663 * t1428 / 0.4e1 - t1663 * t1420 / 0.2e1 - t1663 * t1424 / 0.4e1;
  t10744 = my_piecewise3(t100, 0, t10436 + t10489 + t10556 + t10602 + t10633 + t10669 + t10694 + t10740);
  tv3rhosigmalapl11 = t3 * t10744 + t2407;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 11] += tv3rhosigmalapl11;

  t10754 = t1769 * t9012;
  t10761 = t7488 * t2331;
  t10764 = t1757 * t9021;
  t10769 = t188 * t2437 / 0.12e2;
  t10770 = t543 * t206;
  t10771 = t253 * t10770;
  t10772 = t4765 * t10771;
  t10788 = t8856 + t8875 + t8877 - t8888 + t519 * t8912 / 0.2e1 - t7632 * t2306 - t1847 * t8915 + 0.2e1 / 0.3e1 * t7632 * t2299 + 0.2e1 / 0.3e1 * t1847 * t8869 + t7624 * t2302 + t1843 * t8878 + t1841 * t2142 / 0.2e1 - t519 * t8921;
  t10813 = -0.2e1 / 0.3e1 * t1847 * t8926 + 0.2e1 * t7632 * t2295 - t1841 * t2129 - 0.4e1 * t7595 * t9963 - t7632 * t2291 / 0.3e1 - t1847 * t8939 / 0.3e1 + t7599 * t9972 / 0.18e2 - t1843 * t9977 - 0.2e1 * t7624 * t2288 - 0.2e1 * t1843 * t8967 + 0.2e1 * t1847 * t9981 + 0.2e1 * t1847 * t8930 + 0.1e2 / 0.3e1 * t7599 * t9991;
  t10828 = t518 * t8899;
  t10831 = -0.4e1 / 0.3e1 * t1847 * t9994 - 0.3e1 * t7610 * t9997 - 0.3e1 * t7599 * t10005 - t1843 * t8960 - t519 * t8963 + 0.6e1 * t7595 * t10001 + t1847 * t8972 - t8948 - t8949 - t8966 + t8975 + 0.2e1 * t7586 * t8896 + 0.2e1 * t10828 * t8902;
  t10836 = t518 * t9934;
  t10841 = t1846 * t9943;
  t10846 = t7598 * t9951;
  t10857 = t7584 * t8905 / 0.3e1 - 0.4e1 * t7584 * t9931 + 0.6e1 * t10836 * t9937 + 0.2e1 * t7586 * t9940 + 0.2e1 * t10841 * t9945 + 0.2e1 / 0.3e1 * t7584 * t9948 - t10846 * t9953 / 0.9e1 - 0.12e2 * t10841 * t10012 - 0.2e1 / 0.3e1 * t10846 * t10015 - 0.2e1 * t7584 * t8893 + 0.6e1 * t10846 * t9945 - t2138 + t2119;
  t10859 = t10788 + t10813 + t10831 + t10857;
  t10860 = t59 * t10859;
  t10861 = t10860 * t95;
  t10866 = t7499 * t2323;
  t10869 = t1765 * t9121;
  t10874 = -t10769 - t4753 * t10772 / 0.12e2 + t8659 + t8662 - t8667 + t8683 - t30 * t10861 / 0.4e1 - t182 * t2437 / 0.4e1 - t246 * t10866 / 0.2e1 - t246 * t10869 / 0.2e1 - t768 * t2450 / 0.4e1;
  t10881 = t7469 * t420 * t249;
  t10885 = t1777 * t1312 * t249;
  t10890 = t7533 * t2166;
  t10893 = t5044 * t1777;
  t10894 = t673 * t10893;
  t10905 = -t3530 * t2444 / 0.2e1 + t757 * t2462 / 0.4e1 + t246 * t10881 / 0.4e1 + t246 * t10885 / 0.4e1 - t757 * t2450 / 0.4e1 - t246 * t10890 / 0.4e1 - t211 * t10894 / 0.12e2 + t1293 * t1783 / 0.4e1 + t768 * t2462 / 0.4e1 - t417 * t7210 / 0.12e2 - t417 * t7471 / 0.12e2;
  t10922 = -t8744 - t8748 + t8752 + t1881 * t2108 / 0.12e2 + t515 * t8810 / 0.12e2 + t7345 * t2268 / 0.6e1 - t1748 * t8848 / 0.12e2 + t1876 * t2108 / 0.12e2 + t515 * t8843 / 0.12e2 - t7190 * t2276 / 0.6e1 - t7195 * t2276 / 0.6e1;
  t10929 = t2436 * t277;
  t10934 = t1343 * t544;
  t10937 = t427 * t1830;
  t10942 = -t1748 * t10122 / 0.6e1 - t1748 * t9891 / 0.12e2 + t8778 + t8780 - t8785 - t8790 - t30 * t10929 / 0.4e1 - t182 * t2458 / 0.4e1 - t30 * t10934 / 0.4e1 - t30 * t10937 / 0.4e1 + t1787 * t8704 / 0.6e1;
  t10952 = t593 * t2462 / 0.12e2;
  t10954 = t1267 * t1779 / 0.36e2;
  t10965 = t417 * t7550 / 0.12e2 + t515 * t5054 / 0.12e2 - t1748 * t8709 / 0.12e2 - t1748 * t8692 / 0.6e1 + t10952 - t10954 - t515 * t5140 / 0.12e2 - t1278 * t1886 / 0.12e2 - t1283 * t1886 / 0.12e2 - t417 * t7385 / 0.12e2 - t1876 * t1288 / 0.12e2;
  t10969 = t222 * t2437;
  t10972 = t2435 * t243;
  t10973 = t242 * t10972;
  t10974 = t191 * t10973;
  t10982 = t7368 * t432 / 0.12e2;
  t10984 = t1267 * t1886 / 0.36e2;
  t10986 = t1869 * t1288 / 0.36e2;
  t10993 = -t1881 * t1288 / 0.12e2 - t211 * t10969 / 0.12e2 + t10974 * t250 / 0.4e1 + t7374 * t432 / 0.4e1 + t7390 * t432 / 0.4e1 + t10982 - t10984 - t10986 + t5126 * t530 / 0.4e1 + t1293 * t1873 / 0.4e1 + t1891 * t1274 / 0.4e1;
  t10997 = t5143 * t530 / 0.12e2;
  t11000 = t7198 * t1221;
  t11001 = t673 * t11000;
  t11008 = t30 * t7599;
  t11019 = t5105 * t530 / 0.4e1 + t10997 + t1748 * t8715 / 0.3e1 + t1259 * t11001 / 0.6e1 + t7746 * t10173 / 0.6e1 + t7216 * t10176 / 0.6e1 - 0.5e1 / 0.36e2 * t11008 * t10039 - t7216 * t10042 / 0.12e2 - t7746 * t8639 / 0.6e1 + t7216 * t8631 / 0.12e2 + t7581 * t8636 / 0.12e2;
  t11036 = t7255 * t2276 / 0.18e2;
  t11038 = t1869 * t2108 / 0.36e2;
  t11040 = t7255 * t2271 / 0.36e2;
  t11042 = t7299 * t2268 / 0.18e2;
  t11048 = t512 * t206;
  t11049 = t648 * t11048;
  t11050 = t5183 * t11049;
  t11053 = t1321 * t7242;
  t11055 = t7610 * t9736;
  t11058 = t1843 * t9740;
  t11061 = t519 * t8626;
  t11064 = t7233 * t2318;
  t11067 = t1843 * t8621;
  t11070 = t7238 * t2323;
  t11073 = t1847 * t10079;
  t11075 = -0.2e1 / 0.3e1 * t7216 * t9758 + t7216 * t9763 / 0.3e1 + 0.3e1 * t4738 * t11050 + t4738 * t11053 + 0.3e1 / 0.2e1 * t4779 * t11055 + t4779 * t11058 / 0.2e1 + t4779 * t11061 / 0.2e1 - t4748 * t11064 / 0.2e1 + t4779 * t11067 / 0.2e1 - t3123 * t11070 / 0.2e1 - t4779 * t11073;
  t11077 = t7228 * t2166;
  t11086 = t30 * t7595;
  t11100 = -t3123 * t11077 / 0.4e1 + t4789 * t7758 / 0.12e2 + 0.23e2 / 0.36e2 * t11008 * t10048 + t7216 * t8651 / 0.6e1 - 0.2e1 * t11086 * t10069 - 0.11e2 / 0.18e2 * t11008 * t10072 + t11086 * t10067 - t11008 * t10055 / 0.2e1 + 0.7e1 / 0.3e1 * t11008 * t10059 - 0.3e1 / 0.2e1 * t11008 * t10063 - t7216 * t8610 / 0.3e1;
  t11101 = t512 * t2105;
  t11102 = t3375 * t11101;
  t11103 = t4740 * t11102;
  t11106 = t1847 * t8647;
  t11109 = t7595 * t9882;
  t11112 = t3448 * t11048;
  t11113 = t5178 * t11112;
  t11116 = t3402 * t11048;
  t11117 = t5178 * t11116;
  t11120 = t543 * t615;
  t11121 = t11120 * t1216;
  t11122 = t11121 * t1234;
  t11125 = t11121 * t1239;
  t11128 = t7599 * t9867;
  t11131 = t4754 * t10771;
  t11134 = t3121 * t10770;
  t11135 = t4765 * t11134;
  t11140 = t4738 * t11103 / 0.2e1 - t4779 * t11106 / 0.2e1 - 0.3e1 * t4779 * t11109 + 0.3e1 / 0.2e1 * t9873 * t11113 - 0.3e1 * t4738 * t11117 - t4748 * t11122 / 0.2e1 + t3123 * t11125 / 0.2e1 + 0.3e1 / 0.2e1 * t4779 * t11128 - t4753 * t11131 / 0.6e1 + t4753 * t11135 / 0.3e1 + t11086 * t10094 / 0.2e1;
  t11143 = t30 * t7610;
  t11148 = t4796 * t10771;
  t11151 = t7751 * t415;
  t11152 = t11151 * t730;
  t11155 = t7233 * t2331;
  t11158 = t7751 * t1243;
  t11159 = t11158 * t1246;
  t11172 = -t11143 * t10098 / 0.2e1 - t7746 * t10091 / 0.6e1 + t4792 * t11148 / 0.6e1 - t3123 * t11152 / 0.4e1 + t3123 * t11155 / 0.2e1 - t3123 * t11159 / 0.2e1 - t7190 * t2271 / 0.12e2 - t7195 * t2271 / 0.12e2 + t7340 * t2268 / 0.6e1 + t1787 * t9828 / 0.6e1 + t1787 * t8791 / 0.6e1;
  t11177 = t1227 * t11000;
  t11181 = t593 * t2453 / 0.6e1;
  t11183 = t593 * t2450 / 0.12e2;
  t11185 = t593 * t2447 / 0.6e1;
  t11187 = t3548 * t2444 / 0.6e1;
  t11189 = t7255 * t2282 / 0.9e1;
  t11192 = -t417 * t7200 / 0.12e2 - t515 * t5046 / 0.12e2 - t1218 * t11177 / 0.12e2 + t11181 - t11183 - t11185 - t11187 + t11189 + t9033 - t9044 - t1748 * t8986 / 0.6e1;
  t11196 = t1220 * t11000;
  t11199 = t1889 * t1221;
  t11200 = t1227 * t11199;
  t11209 = t1748 * t8990 / 0.3e1 - t1218 * t11196 / 0.6e1 + t1218 * t11200 / 0.3e1 - t7462 * t1235 / 0.2e1 + t1891 * t1240 / 0.2e1 - t5073 * t1758 / 0.2e1 - t9058 - t9060 - t2089 - t9110 + t9112;
  t11212 = t7488 * t2318;
  t11215 = t1757 * t8725;
  t11231 = t188 * t2458 / 0.12e2;
  t11234 = -t3537 * t2444 / 0.2e1 - t644 * t11212 / 0.2e1 - t644 * t11215 / 0.2e1 - t1293 * t1766 / 0.2e1 - t1293 * t1770 / 0.4e1 + t1293 * t1774 / 0.4e1 - t1891 * t1247 / 0.2e1 - t1891 * t1251 / 0.4e1 + t1891 * t1255 / 0.4e1 - t11231 + t1293 * t1761 / 0.2e1;
  t11239 = my_piecewise3(t2, 0, t757 * t2453 / 0.2e1 + t246 * t10761 / 0.2e1 + t246 * t10764 / 0.2e1 - t1278 * t1779 / 0.12e2 - t1283 * t1779 / 0.12e2 - t768 * t2447 / 0.2e1 - t757 * t2447 / 0.2e1 - t7581 * t8644 / 0.6e1 + t7216 * t9767 / 0.3e1 - t7216 * t9771 / 0.6e1 + t7190 * t2282 / 0.3e1 + t7195 * t2282 / 0.3e1 + t1748 * t10102 / 0.3e1 - t246 * t10754 / 0.4e1 + t768 * t2453 / 0.2e1 + t2160 + t11100 - t11036 + t11038 + t10905 + t11234 + t11140 + t11192 + t10942 + t11172 + t11019 + t10874 + t10922 + t10993 + t10965 + t11209 + t11075 - t11040 + t11042);
  tv3rhosigmatau0 = t3 * t11239 + t2466;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  tv3rhosigmatau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 1] += tv3rhosigmatau1;

  tv3rhosigmatau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 2] += tv3rhosigmatau2;

  tv3rhosigmatau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 3] += tv3rhosigmatau3;

  tv3rhosigmatau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 4] += tv3rhosigmatau4;

  t11246 = t1905 * t1449 / 0.36e2;
  t11254 = t294 * t2496 / 0.12e2;
  t11256 = t5414 * t570 / 0.12e2;
  t11258 = t1354 * t2025 / 0.36e2;
  t11260 = t7929 * t457 / 0.12e2;
  t11266 = t7903 * t2347 / 0.18e2;
  t11268 = t7903 * t2342 / 0.36e2;
  t11270 = t7988 * t2339 / 0.18e2;
  t11279 = -t290 * t2496 / 0.4e1 - t1902 * t1449 / 0.12e2 - t11246 + t5419 * t570 / 0.4e1 - t1351 * t2025 / 0.12e2 + t7959 * t457 / 0.4e1 - t11254 + t11256 - t11258 + t11260 - t945 * t2509 / 0.4e1 - t4065 * t2503 / 0.2e1 - t11266 - t11268 + t11270 + t945 * t2521 / 0.4e1 + t945 * t2512 / 0.2e1 - t1351 * t1950 / 0.12e2 - t945 * t2506 / 0.2e1;
  t11281 = t1354 * t1950 / 0.36e2;
  t11283 = t948 * t2506 / 0.6e1;
  t11285 = t948 * t2509 / 0.12e2;
  t11287 = t4040 * t2503 / 0.6e1;
  t11289 = t7903 * t2353 / 0.9e1;
  t11291 = t1905 * t2199 / 0.36e2;
  t11293 = t948 * t2521 / 0.12e2;
  t11295 = t948 * t2512 / 0.6e1;
  t11309 = t294 * t2517 / 0.12e2;
  t11310 = -t11281 - t11283 - t11285 - t11287 + t11289 + t11291 + t11293 + t11295 - t9156 + t9168 - t9180 + t9188 + t1902 * t2199 / 0.12e2 - t7908 * t2347 / 0.6e1 + t8002 * t2339 / 0.6e1 - t7908 * t2342 / 0.12e2 + t7908 * t2353 / 0.3e1 - t290 * t2517 / 0.4e1 - t11309;
  t11312 = my_piecewise3(t100, 0, t11279 + t11310);
  tv3rhosigmatau5 = t3 * t11312 + t2525;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 5] += tv3rhosigmatau5;

  t11346 = -t10769 - t8667 + t8683 + t903 * t2453 / 0.2e1 - t1368 * t1779 / 0.12e2 - t903 * t2450 / 0.4e1 + t903 * t2462 / 0.4e1 + t7894 * t2268 / 0.6e1 + t7824 * t432 / 0.4e1 + t5379 * t530 / 0.4e1 - t1923 * t1288 / 0.12e2 - t1368 * t1886 / 0.12e2 + t1923 * t2108 / 0.12e2 - t7801 * t2271 / 0.12e2 - t3802 * t2444 / 0.2e1 + t7801 * t2282 / 0.3e1 - t7801 * t2276 / 0.6e1 - t903 * t2447 / 0.2e1 - t307 * t2437 / 0.4e1;
  t11349 = t10952 - t10954 + t10982 - t10984 - t10986 + t10997 - t11036 + t11038 - t11040 + t11042 + t11181 - t11183 - t11185 - t11187 + t11189 - t9215 + t9226 - t11231 - t307 * t2458 / 0.4e1;
  t11351 = my_piecewise3(t2, 0, t11346 + t11349);
  tv3rhosigmatau6 = t3 * t11351 + t2466;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 6] += tv3rhosigmatau6;

  tv3rhosigmatau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 7] += tv3rhosigmatau7;

  tv3rhosigmatau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 8] += tv3rhosigmatau8;

  tv3rhosigmatau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 9] += tv3rhosigmatau9;

  tv3rhosigmatau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 10] += tv3rhosigmatau10;

  t11355 = t1498 * t584;
  t11358 = t452 * t2013;
  t11361 = t2495 * t404;
  t11369 = t110 * t8223;
  t11372 = t110 * t8220;
  t11381 = t110 * t8227;
  t11392 = t11369 * t10454 / 0.2e1 - t11372 * t10463 / 0.2e1 - t8055 * t9272 / 0.6e1 - t8052 * t9239 / 0.6e1 - t8058 * t10480 / 0.12e2 - 0.5e1 / 0.36e2 * t11381 * t10459 + t8058 * t10471 / 0.6e1 + t8058 * t10549 / 0.3e1 + t8058 * t9275 / 0.12e2 + t8055 * t9280 / 0.12e2 + t9353;
  t11394 = t2060 * t9242;
  t11397 = t552 * t2196;
  t11398 = t4408 * t11397;
  t11399 = t5561 * t11398;
  t11414 = t9357 - t9359 - t9361 - t5540 * t11394 / 0.2e1 + t5559 * t11399 / 0.2e1 - t1965 * t9518 / 0.12e2 + t2043 * t2199 / 0.12e2 + t2048 * t2199 / 0.12e2 + t555 * t9367 / 0.12e2 + t8423 * t2339 / 0.6e1 + t8427 * t2339 / 0.6e1;
  t11431 = t8223 * t10520;
  t11436 = t552 * t333;
  t11437 = t4376 * t11436;
  t11438 = t5855 * t11437;
  t11441 = t1958 * t10695 / 0.6e1 - t1965 * t9415 / 0.6e1 + t1958 * t9434 / 0.6e1 + t555 * t6008 / 0.12e2 + t1958 * t9521 / 0.6e1 - t8106 * t2342 / 0.12e2 - t8110 * t2342 / 0.12e2 - t1965 * t10678 / 0.12e2 - 0.3e1 * t5540 * t11431 - 0.2e1 / 0.3e1 * t8058 * t10537 - 0.3e1 * t5559 * t11438;
  t11444 = t4396 * t11436;
  t11445 = t5855 * t11444;
  t11448 = t583 * t615;
  t11449 = t11448 * t1389;
  t11450 = t11449 * t1412;
  t11457 = t8374 * t2389;
  t11460 = t11449 * t1407;
  t11463 = t583 * t333;
  t11464 = t4143 * t11463;
  t11465 = t5553 * t11464;
  t11468 = t380 * t11463;
  t11469 = t5591 * t11468;
  t11472 = t8227 * t10532;
  t11475 = t1476 * t8382;
  t11477 = 0.3e1 / 0.2e1 * t10506 * t11445 + t4145 * t11450 / 0.2e1 - t8058 * t10544 / 0.6e1 + t8058 * t10541 / 0.3e1 - t5535 * t11457 / 0.2e1 - t5535 * t11460 / 0.2e1 + t5548 * t11465 / 0.3e1 - t5548 * t11469 / 0.6e1 + 0.3e1 / 0.2e1 * t5540 * t11472 - t9442 + t5559 * t11475;
  t11478 = t1034 * t11436;
  t11479 = t5860 * t11478;
  t11482 = t8353 * t2394;
  t11495 = 0.3e1 * t5559 * t11479 - t4145 * t11482 / 0.2e1 + t2251 - t9464 + t9487 + t9489 + t2030 * t1462 / 0.4e1 - t2043 * t1449 / 0.12e2 - t2048 * t1449 / 0.12e2 - t555 * t5683 / 0.12e2 - t1378 * t2025 / 0.12e2;
  t11507 = t349 * t2496;
  t11510 = t2494 * t370;
  t11511 = t369 * t11510;
  t11512 = t321 * t11511;
  t11519 = -t1386 * t2025 / 0.12e2 - t442 * t8179 / 0.12e2 + t5689 * t570 / 0.4e1 + t5717 * t570 / 0.4e1 + t1454 * t2040 / 0.4e1 - t338 * t11507 / 0.12e2 + t11512 * t377 / 0.4e1 + t8189 * t457 / 0.4e1 + t8184 * t457 / 0.4e1 - t9505 - t9507;
  t11528 = t558 * t9649;
  t11533 = t2059 * t10407;
  t11538 = t8226 * t10387;
  t11541 = t558 * t10417;
  t11546 = t8254 * t9640 / 0.3e1 + 0.2e1 * t8251 * t9646 + 0.2e1 * t11528 * t9652 + 0.2e1 * t8251 * t10422 + 0.2e1 * t11533 * t10404 + 0.2e1 / 0.3e1 * t8254 * t10384 - t11538 * t10390 / 0.9e1 + 0.6e1 * t11541 * t10419 - 0.4e1 * t8254 * t10414 + t9557 + t9559 + t9570 - t9574;
  t11563 = t559 * t9541 / 0.2e1 - t8231 * t2377 + 0.2e1 / 0.3e1 * t8231 * t2370 + 0.2e1 / 0.3e1 * t2060 * t9551 - t9585 - t9586 - t9588 + t9635 - 0.12e2 * t11533 * t10409 - 0.2e1 / 0.3e1 * t11538 * t10401 - 0.2e1 * t8254 * t9643 + 0.6e1 * t11538 * t10404 - t2060 * t9545;
  t11589 = t8247 * t2373 + t2056 * t9560 + t2054 * t2233 / 0.2e1 - t8231 * t2362 / 0.3e1 - t2060 * t9601 / 0.3e1 + t8227 * t10344 / 0.18e2 - 0.2e1 / 0.3e1 * t2060 * t9619 + 0.2e1 * t8231 * t2366 + 0.2e1 * t2060 * t9623 + 0.1e2 / 0.3e1 * t8227 * t10348 - 0.4e1 / 0.3e1 * t2060 * t10352 - 0.2e1 * t8247 * t2359 - 0.2e1 * t2056 * t9590;
  t11606 = -0.4e1 * t8223 * t10336 - 0.3e1 * t8220 * t10355 - t2056 * t10358 + 0.2e1 * t2060 * t10363 + 0.6e1 * t8223 * t10375 - 0.3e1 * t8227 * t10379 - t2054 * t2220 - t2056 * t9605 + t2060 * t9632 - t559 * t9608 - t559 * t9617 + t2210 - t2229;
  t11608 = t11546 + t11563 + t11589 + t11606;
  t11609 = t139 * t11608;
  t11610 = t11609 * t168;
  t11624 = -t11246 - 0.11e2 / 0.18e2 * t11381 * t10486 + 0.23e2 / 0.36e2 * t11381 * t10492 - t11254 - t110 * t11610 / 0.4e1 + t11369 * t10512 - 0.2e1 * t11369 * t10497 - t11381 * t10514 / 0.2e1 + 0.7e1 / 0.3e1 * t11381 * t10517 - 0.3e1 / 0.2e1 * t11381 * t10501 - t1078 * t2506 / 0.2e1;
  t11636 = t8096 * t2389;
  t11639 = t1940 * t9480;
  t11648 = t8317 * t2257;
  t11666 = t1974 * t9448;
  t11675 = t8110 * t2353 / 0.3e1 + t1965 * t10594 / 0.3e1 + t1965 * t9427 / 0.3e1 + t555 * t9400 / 0.12e2 - t8106 * t2347 / 0.6e1 - t8110 * t2347 / 0.6e1 - t1965 * t10687 / 0.6e1 - t1030 * t11666 / 0.2e1 + t2030 * t1428 / 0.4e1 - t1454 * t1937 / 0.2e1 - t1454 * t1941 / 0.4e1;
  t11681 = t8079 * t1394;
  t11682 = t1000 * t11681;
  t11687 = t1400 * t11681;
  t11698 = -t2030 * t1420 / 0.2e1 - t2030 * t1424 / 0.4e1 + t1432 * t11682 / 0.6e1 + t442 * t8478 / 0.12e2 - t1391 * t11687 / 0.12e2 - t442 * t8081 / 0.12e2 - t1965 * t9408 / 0.12e2 - t555 * t6017 / 0.12e2 + t8106 * t2353 / 0.3e1 + t11256 - t11258;
  t11699 = t11260 - t11266 - t11268 + t11270 - t11281 - t11283 - t11285 - t11287 + t11289 + t11291 + t11293;
  t11706 = t8103 * t2394;
  t11709 = t1936 * t9665;
  t11712 = t2056 * t10607;
  t11715 = t8220 * t10614;
  t11718 = t8070 * t2257;
  t11723 = t1393 * t11681;
  t11726 = t2028 * t1394;
  t11727 = t1400 * t11726;
  t11730 = t11295 - t1078 * t2509 / 0.4e1 + t1078 * t2521 / 0.4e1 - t373 * t11706 / 0.2e1 - t373 * t11709 / 0.2e1 + t5540 * t11712 / 0.2e1 + 0.3e1 / 0.2e1 * t5540 * t11715 - t4145 * t11718 / 0.4e1 + t1965 * t9301 / 0.3e1 - t1391 * t11723 / 0.6e1 + t1391 * t11727 / 0.3e1;
  t11733 = t559 * t9263;
  t11736 = t2056 * t9258;
  t11739 = t5582 * t11468;
  t11744 = t8374 * t2402;
  t11747 = t2060 * t10630;
  t11753 = t6006 * t1948;
  t11754 = t1000 * t11753;
  t11759 = -t8201 * t1408 / 0.2e1 + t5540 * t11733 / 0.2e1 + t5540 * t11736 / 0.2e1 + t5578 * t11739 / 0.6e1 + t5575 * t8076 / 0.12e2 + t4145 * t11744 / 0.2e1 - t5540 * t11747 - t442 * t8445 / 0.12e2 - t442 * t8122 / 0.12e2 - t338 * t11754 / 0.12e2 + t1454 * t1954 / 0.4e1;
  t11761 = t8065 * t440;
  t11762 = t11761 * t1100;
  t11765 = t5553 * t11468;
  t11768 = t8065 * t1416;
  t11769 = t11768 * t1419;
  t11772 = t8096 * t2402;
  t11775 = t1974 * t9492;
  t11783 = t8120 * t445 * t376;
  t11787 = t1948 * t1467 * t376;
  t11792 = -t4145 * t11762 / 0.4e1 - t5548 * t11765 / 0.12e2 - t4145 * t11769 / 0.2e1 + t373 * t11772 / 0.2e1 + t373 * t11775 / 0.2e1 - t1378 * t1950 / 0.12e2 - t1386 * t1950 / 0.12e2 + t373 * t11783 / 0.4e1 + t373 * t11787 / 0.4e1 + t1056 * t2521 / 0.4e1 + t9702;
  t11807 = t9704 - t9180 + t9188 + t8058 * t9246 / 0.6e1 - t318 * t2496 / 0.4e1 - t8058 * t9250 / 0.3e1 + t2030 * t1413 / 0.2e1 - t5674 * t1975 / 0.2e1 + t1454 * t1978 / 0.2e1 - t1965 * t9297 / 0.6e1 - t11309;
  t11812 = my_piecewise3(t100, 0, -t1030 * t11636 / 0.2e1 - t373 * t11639 / 0.4e1 + t1078 * t2512 / 0.2e1 + t1056 * t2512 / 0.2e1 - t1056 * t2509 / 0.4e1 - t373 * t11648 / 0.4e1 - t318 * t2517 / 0.4e1 - t110 * t11355 / 0.4e1 - t110 * t11358 / 0.4e1 - t110 * t11361 / 0.4e1 + t8052 * t10468 / 0.6e1 - t8052 * t10448 / 0.6e1 - t1056 * t2506 / 0.2e1 + t1454 * t1945 / 0.4e1 - t4349 * t2503 / 0.2e1 - t4383 * t2503 / 0.2e1 + t11392 + t11519 - t9324 + t9327 + t11477 + t11807 + t11624 + t11759 + t11675 + t11441 + t11414 + t11698 + t11699 + t11792 - t2180 + t11495 + t11730 - t9308);
  tv3rhosigmatau11 = t3 * t11812 + t2525;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 11] += tv3rhosigmatau11;

  t11814 = t2577 * t277;
  t11818 = t188 * t2578 / 0.12e2;
  t11819 = t62 * t2541;
  t11820 = t11819 * t206;
  t11821 = t840 * t11820;
  t11824 = t233 * t11820;
  t11827 = t11819 * t667;
  t11828 = t233 * t11827;
  t11831 = t827 * t11820;
  t11839 = t662 * t1554;
  t11842 = t3227 * t1539;
  t11845 = t662 * t464;
  t11852 = t469 * t740;
  t11857 = t1590 * t619;
  t11860 = 0.2e1 / 0.3e1 * t8813 * t2728 + 0.2e1 * t662 * t1512 * t249 - 0.4e1 * t11839 * t1246 + 0.4e1 / 0.3e1 * t11842 * t1234 - 0.2e1 * t11845 * t730 + 0.4e1 * t11842 * t1239 - 0.2e1 * t1599 * t222 + 0.4e1 * t11852 * t1246 + 0.2e1 * t472 * t730 - 0.4e1 * t11857 * t1239;
  t11861 = t63 * t11860;
  t11862 = t819 * t11861;
  t11864 = t1329 * t2541;
  t11865 = t3375 * t11864;
  t11868 = t63 * t1512;
  t11869 = t653 * t11868;
  t11872 = t8856 + t8875 + t8877 - t8888 - 0.2e1 * t6427 * t11821 + 0.2e1 * t6440 * t11824 + 0.2e1 * t9923 * t11828 + t6427 * t11831 / 0.3e1 - t470 * t11862 - 0.2e1 / 0.3e1 * t1591 * t11865 + 0.4e1 * t1591 * t11869;
  t11875 = t229 * t11868;
  t11878 = t2553 * t3421;
  t11883 = t2557 * t3416;
  t11886 = t3409 * t11864;
  t11890 = t69 * t2526;
  t11891 = t11890 * t3399;
  t11896 = t819 * t11864;
  t11898 = t2571 * t667;
  t11899 = t3430 * t11898;
  t11901 = t648 * t11868;
  t11904 = -0.4e1 * t2558 * t3427 - 0.4e1 * t1587 * t11875 + 0.6e1 * t11878 * t1317 + 0.2e1 * t2554 * t821 + 0.2e1 * t11883 * t1322 + t1591 * t11886 - 0.12e2 * t11883 * t1326 - 0.2e1 / 0.3e1 * t11891 * t8954 + 0.6e1 * t11891 * t8957 - t1587 * t11896 - t470 * t11899 - 0.2e1 / 0.3e1 * t1591 * t11901;
  t11911 = t60 * t11860;
  t11912 = t819 * t11911;
  t11917 = t60 * t1512;
  t11918 = t648 * t11917;
  t11931 = 0.2e1 / 0.3e1 * t2558 * t3376 - t11891 * t8944 / 0.9e1 - t1585 * t2562 + t470 * t11912 / 0.2e1 + 0.1e2 / 0.3e1 * t11891 * t8865 + 0.4e1 / 0.3e1 * t1591 * t11918 - 0.4e1 / 0.3e1 * t2558 * t3452 + 0.6e1 * t11883 * t1340 - 0.3e1 * t11891 * t8884 - 0.4e1 * t11883 * t1330 + t11891 * t8862 / 0.18e2;
  t11932 = t653 * t11917;
  t11937 = t229 * t11917;
  t11945 = -t8948 - t8949 - t8966 + t8975 - 0.2e1 * t1591 * t11932 + 0.2e1 * t2558 * t3410 + 0.2e1 * t1587 * t11937 - 0.3e1 * t11878 * t1336 - t2554 * t837 + t1585 * t2572 / 0.2e1 - t2138 + t2119;
  t11947 = t11872 + t11904 + t11931 + t11945;
  t11948 = t59 * t11947;
  t11949 = t11948 * t95;
  t11952 = t194 * t2532;
  t11953 = t191 * t11952;
  t11958 = t2526 * t3415;
  t11959 = t616 * t11958;
  t11960 = t191 * t11959;
  t11965 = t2526 * t3396;
  t11966 = t3658 * t11965;
  t11967 = t11966 * t8771;
  t11973 = t2160 - t30 * t11814 / 0.4e1 - t11818 - t30 * t11949 / 0.4e1 + t8659 + t8662 - t8667 + t8683 - t11953 * t1260 / 0.2e1 - t2529 * t670 / 0.6e1 + t11960 * t1300 / 0.2e1 + t2529 * t676 / 0.6e1 + 0.3e1 / 0.2e1 * t3680 * t11967 + t11960 * t1223 - 0.2e1 * t11960 * t1229;
  t11974 = t3512 * t11965;
  t11975 = t191 * t11974;
  t11980 = t94 * t1512;
  t11981 = t661 * t11980;
  t11982 = t673 * t11981;
  t11985 = t645 * t11958;
  t11986 = t11985 * t1239;
  t11989 = t11966 * t8765;
  t12004 = t592 * t2533;
  t12006 = t12004 * t752 / 0.36e2;
  t12008 = t1508 * t1527 / 0.18e2;
  t12010 = t12004 * t630 / 0.18e2;
  t12011 = -0.11e2 / 0.18e2 * t11975 * t8761 + 0.23e2 / 0.36e2 * t11975 * t8993 + t1568 * t11982 / 0.3e1 - 0.3e1 * t246 * t11986 + 0.3e1 / 0.2e1 * t246 * t11989 - t11975 * t8996 / 0.2e1 + 0.7e1 / 0.3e1 * t11975 * t8983 - t1541 * t9790 / 0.3e1 + 0.2e1 / 0.3e1 * t1541 * t9794 - 0.3e1 / 0.2e1 * t11975 * t9105 - t6295 * t1548 + t1532 * t1551 - t12006 - t12008 - t12010;
  t12014 = t3548 * t2584 / 0.6e1;
  t12016 = t12004 * t637 / 0.9e1;
  t12017 = t2541 * t206;
  t12018 = t635 * t12017;
  t12019 = t4760 * t12018;
  t12022 = t95 * t12017;
  t12023 = t4770 * t12022;
  t12026 = t3409 * t12017;
  t12027 = t1591 * t12026;
  t12030 = t463 * t2541;
  t12031 = t3375 * t12030;
  t12032 = t4740 * t12031;
  t12038 = t6358 * t481 / 0.6e1;
  t12041 = t764 * t2533;
  t12046 = t764 * t2528;
  t12055 = -t12014 + t12016 - t6069 * t12019 / 0.3e1 + t6069 * t12023 / 0.6e1 - t4779 * t12027 / 0.2e1 + t4738 * t12032 / 0.2e1 - t2534 * t3540 / 0.6e1 + t12038 - t2534 * t3599 / 0.12e2 - t12041 * t630 / 0.6e1 + t2534 * t3577 / 0.3e1 + t12046 * t223 / 0.6e1 + t2529 * t612 / 0.6e1 - t12041 * t752 / 0.12e2 + t12041 * t637 / 0.3e1;
  t12066 = t674 * t2557;
  t12067 = t12066 * t654;
  t12071 = t593 * t2596 / 0.6e1;
  t12073 = t593 * t2588 / 0.6e1;
  t12074 = t592 * t2528;
  t12076 = t12074 * t223 / 0.18e2;
  t12079 = t6353 * t481 / 0.2e1 + t6335 * t481 / 0.2e1 - t1517 * t1527 / 0.6e1 - t1522 * t1527 / 0.6e1 - t466 * t6347 / 0.6e1 - t8744 - t8748 + t8752 + t246 * t12067 / 0.2e1 + t12071 - t12073 + t12076 - t768 * t2588 / 0.2e1 + t8778 + t8780 - t8785;
  t12089 = t633 * t1512;
  t12090 = t627 * t12089;
  t12091 = t1547 * t12090;
  t12093 = t11985 * t1234;
  t12096 = t645 * t2532;
  t12097 = t12096 * t3181;
  t12099 = t12066 * t649;
  t12102 = t2541 * t667;
  t12103 = t95 * t12102;
  t12104 = t8642 * t12103;
  t12107 = t4760 * t12022;
  t12110 = t276 * t2541;
  t12111 = t253 * t12110;
  t12112 = t3130 * t12111;
  t12115 = t3130 * t12022;
  t12118 = t819 * t12017;
  t12119 = t1587 * t12118;
  t12122 = t3430 * t12102;
  t12123 = t470 * t12122;
  t12126 = -t8790 - t1532 * t1556 - t1532 * t1560 / 0.2e1 + t1532 * t1564 / 0.2e1 + t2534 * t3255 / 0.3e1 - t644 * t12091 + 0.3e1 * t644 * t12093 + t644 * t12097 - t644 * t12099 / 0.2e1 - t6488 * t12104 / 0.6e1 + t6069 * t12107 / 0.12e2 + t6488 * t12112 / 0.12e2 - t6491 * t12115 / 0.6e1 + t4779 * t12119 / 0.2e1 + t4779 * t12123 / 0.2e1;
  t12127 = t6475 * t2592;
  t12130 = t1227 * t11981;
  t12139 = t3279 * t2542;
  t12140 = t660 * t12139;
  t12143 = t94 * t11860;
  t12144 = t661 * t12143;
  t12145 = t660 * t12144;
  t12148 = t1220 * t11981;
  t12155 = -t3123 * t12127 / 0.4e1 + t9033 - t9044 - t1541 * t12130 / 0.6e1 + t2534 * t3272 / 0.6e1 - 0.5e1 / 0.36e2 * t11975 * t8786 - t2534 * t3308 / 0.12e2 - t9058 - t9060 + t466 * t12140 / 0.12e2 + t466 * t12145 / 0.12e2 - t1541 * t12148 / 0.3e1 + t2534 * t3173 / 0.3e1 - t2089 - t182 * t2578 / 0.4e1 - t9110;
  t12161 = t6136 * t2592;
  t12165 = t658 * t221 * t11860;
  t12166 = t1559 * t12165;
  t12170 = t627 * t628 * t1512;
  t12171 = t1547 * t12170;
  t12173 = t12096 * t3186;
  t12176 = t219 * t221 * t1512;
  t12177 = t1555 * t12176;
  t12179 = t247 * t2532;
  t12180 = t12179 * t1246;
  t12183 = t247 * t2527;
  t12184 = t12183 * t730;
  t12188 = t674 * t2553 * t748;
  t12192 = t593 * t2593 / 0.12e2;
  t12194 = t1508 * t2544 / 0.36e2;
  t12195 = t11966 * t9038;
  t12200 = t9112 - t768 * t2593 / 0.4e1 - t757 * t2593 / 0.4e1 - t246 * t12161 / 0.4e1 - t246 * t12166 / 0.4e1 + t246 * t12171 - t246 * t12173 - t246 * t12177 + 0.3e1 / 0.2e1 * t246 * t12180 + t246 * t12184 / 0.2e1 - t246 * t12188 / 0.2e1 - t12192 + t12194 - 0.3e1 * t644 * t12195 - t757 * t2588 / 0.2e1;
  t12211 = t222 * t2578;
  t12214 = t2576 * t243;
  t12215 = t242 * t12214;
  t12216 = t191 * t12215;
  t12233 = t244 * t11980;
  t12234 = t1227 * t12233;
  t12239 = t768 * t2596 / 0.2e1 + t757 * t2596 / 0.2e1 + t1532 * t1514 / 0.2e1 - t3530 * t2584 / 0.2e1 - t3537 * t2584 / 0.2e1 - t211 * t12211 / 0.12e2 + t12216 * t250 / 0.4e1 - t2534 * t3176 / 0.6e1 + t1568 * t9805 / 0.3e1 + t466 * t6263 / 0.6e1 + t1517 * t2544 / 0.12e2 + t1522 * t2544 / 0.12e2 - t1541 * t9814 / 0.6e1 - t466 * t6257 / 0.6e1 + 0.2e1 / 0.3e1 * t1541 * t12234 - 0.2e1 / 0.3e1 * t2534 * t3252;
  t12243 = my_piecewise3(t2, 0, t11973 + t12011 + t12055 + t12079 + t12126 + t12155 + t12200 + t12239);
  tv3rholapl20 = t3 * t12243 + t2600;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  tv3rholapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 1] += tv3rholapl21;

  t12246 = t948 * t2671 / 0.6e1;
  t12248 = t948 * t2663 / 0.6e1;
  t12252 = t948 * t2668 / 0.12e2;
  t12254 = t1618 * t2619 / 0.36e2;
  t12260 = t294 * t2653 / 0.12e2;
  t12261 = t933 * t2603;
  t12266 = t12246 - t12248 + t1615 * t2619 / 0.12e2 - t12252 + t12254 - t945 * t2668 / 0.4e1 - t290 * t2653 / 0.4e1 - t12260 + t12261 * t350 / 0.6e1 - t9156 + t9168 - t9180 + t9188 - t4065 * t2659 / 0.2e1;
  t12267 = t933 * t2608;
  t12282 = t937 * t2608;
  t12284 = t12282 * t1090 / 0.36e2;
  t12285 = t937 * t2603;
  t12287 = t12285 * t350 / 0.18e2;
  t12289 = t4040 * t2659 / 0.6e1;
  t12291 = t12282 * t1023 / 0.9e1;
  t12293 = t6631 * t505 / 0.6e1;
  t12295 = t12282 * t1016 / 0.18e2;
  t12297 = t1618 * t1658 / 0.18e2;
  t12298 = -t12267 * t1090 / 0.12e2 - t12267 * t1016 / 0.6e1 - t1615 * t1658 / 0.6e1 - t945 * t2663 / 0.2e1 + t945 * t2671 / 0.2e1 + t12267 * t1023 / 0.3e1 + t6656 * t505 / 0.2e1 - t12284 + t12287 - t12289 + t12291 + t12293 - t12295 - t12297;
  t12300 = my_piecewise3(t100, 0, t12266 + t12298);
  tv3rholapl22 = t3 * t12300 + t2675;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 2] += tv3rholapl22;

  t12304 = t897 * t2533;
  t12307 = -t11818 - t8667 + t8683 - t12006 - t12008 - t12010 - t12014 + t12016 + t12038 + t12071 - t12073 + t12076 - t307 * t2578 / 0.4e1 - t12304 * t752 / 0.12e2;
  t12312 = t897 * t2528;
  t12329 = -t1632 * t1527 / 0.6e1 + t12304 * t637 / 0.3e1 + t12312 * t223 / 0.6e1 + t6575 * t481 / 0.2e1 - t3802 * t2584 / 0.2e1 - t12304 * t630 / 0.6e1 - t903 * t2588 / 0.2e1 + t903 * t2596 / 0.2e1 - t9215 + t9226 + t1632 * t2544 / 0.12e2 - t903 * t2593 / 0.4e1 - t12192 + t12194;
  t12331 = my_piecewise3(t2, 0, t12307 + t12329);
  tv3rholapl23 = t3 * t12331 + t2600;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 3] += tv3rholapl23;

  tv3rholapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 4] += tv3rholapl24;

  t12335 = t2601 * t4356;
  t12336 = t4373 * t12335;
  t12337 = t12336 * t9317;
  t12340 = t2601 * t4333;
  t12341 = t1031 * t12340;
  t12342 = t12341 * t1412;
  t12345 = -t2180 - t9308 - t9324 + t9327 + t9353 + t9357 - t9359 - t9361 + t12246 - t12248 - t318 * t2653 / 0.4e1 - t9442 + t2251 - 0.3e1 * t1030 * t12337 - 0.3e1 * t373 * t12342;
  t12346 = t3512 * t12335;
  t12347 = t321 * t12346;
  t12363 = t12336 * t9340;
  t12367 = t12336 * t9312;
  t12370 = t142 * t2616;
  t12371 = t12370 * t333;
  t12372 = t1190 * t12371;
  t12375 = t360 * t12371;
  t12378 = t12370 * t994;
  t12379 = t360 * t12378;
  t12384 = t140 * t1671;
  t12385 = t356 * t12384;
  t12388 = t2628 * t4425;
  t12394 = t2632 * t4334;
  t12397 = t69 * t2601;
  t12398 = t12397 * t4375;
  t12403 = t6969 * t12372 / 0.3e1 + 0.2e1 * t6966 * t12375 + 0.2e1 * t10396 * t12379 + 0.2e1 * t2633 * t4582 + 0.2e1 * t1716 * t12385 - 0.3e1 * t12388 * t1491 - t2629 * t1200 + t1714 * t2647 / 0.2e1 - 0.4e1 * t12394 * t1485 + t12398 * t9537 / 0.18e2 + 0.1e2 / 0.3e1 * t12398 * t9548;
  t12404 = t1034 * t12384;
  t12414 = t989 * t1642;
  t12417 = t4206 * t1649;
  t12420 = t989 * t488;
  t12427 = t493 * t1043;
  t12432 = t1719 * t1007;
  t12435 = 0.2e1 / 0.3e1 * t9370 * t2808 + 0.2e1 * t989 * t1671 * t376 - 0.4e1 * t12414 * t1419 + 0.4e1 / 0.3e1 * t12417 * t1407 - 0.2e1 * t12420 * t1100 + 0.4e1 * t12417 * t1412 - 0.2e1 * t1728 * t349 + 0.4e1 * t12427 * t1419 + 0.2e1 * t496 * t1100 - 0.4e1 * t12432 * t1412;
  t12436 = t140 * t12435;
  t12437 = t1182 * t12436;
  t12440 = t1093 * t12384;
  t12447 = t1203 * t12371;
  t12454 = t143 * t1671;
  t12455 = t1093 * t12454;
  t12460 = t2646 * t333;
  t12461 = t1182 * t12460;
  t12463 = 0.4e1 / 0.3e1 * t1720 * t12404 - 0.4e1 / 0.3e1 * t2633 * t4599 + t494 * t12437 / 0.2e1 - 0.2e1 * t1720 * t12440 + 0.6e1 * t12394 * t1495 - 0.3e1 * t12398 * t9571 - 0.2e1 * t6969 * t12447 - 0.12e2 * t12394 * t1481 - 0.2e1 / 0.3e1 * t12398 * t9626 + 0.4e1 * t1720 * t12455 - 0.4e1 * t2633 * t4550 - t1716 * t12461;
  t12465 = t2646 * t994;
  t12466 = t4543 * t12465;
  t12472 = t1034 * t12454;
  t12480 = t143 * t12435;
  t12481 = t1182 * t12480;
  t12483 = t4408 * t12460;
  t12486 = t356 * t12454;
  t12491 = -t494 * t12466 + 0.2e1 * t2629 * t1184 + 0.2e1 * t12394 * t1477 - 0.2e1 / 0.3e1 * t1720 * t12472 + 0.2e1 / 0.3e1 * t2633 * t4563 - t12398 * t9612 / 0.9e1 - t1714 * t2637 - t494 * t12481 - 0.2e1 / 0.3e1 * t1720 * t12483 - 0.4e1 * t1716 * t12486 + 0.6e1 * t12388 * t1472;
  t12494 = t4549 * t12460;
  t12496 = 0.6e1 * t12398 * t9629 + t1720 * t12494 + t2210 - t2229 + t9557 + t9559 + t9570 - t9574 - t9585 - t9586 - t9588 + t9635;
  t12498 = t12403 + t12463 + t12491 + t12496;
  t12499 = t139 * t12498;
  t12500 = t12499 * t168;
  t12503 = -0.11e2 / 0.18e2 * t12347 * t9333 + 0.23e2 / 0.36e2 * t12347 * t9286 - t12347 * t9289 / 0.2e1 + 0.7e1 / 0.3e1 * t12347 * t9292 - t1651 * t10313 / 0.3e1 + 0.2e1 / 0.3e1 * t1651 * t10317 - 0.3e1 / 0.2e1 * t12347 * t9345 - t6848 * t1693 + 0.3e1 / 0.2e1 * t373 * t12363 + t1663 * t1696 + 0.3e1 / 0.2e1 * t4395 * t12367 - t110 * t12500 / 0.4e1 - t9464 - t12252 + t12254;
  t12505 = t2616 * t333;
  t12506 = t4549 * t12505;
  t12507 = t1720 * t12506;
  t12510 = t168 * t12505;
  t12511 = t5587 * t12510;
  t12514 = t1021 * t12505;
  t12515 = t5549 * t12514;
  t12518 = t487 * t2616;
  t12519 = t4408 * t12518;
  t12520 = t5561 * t12519;
  t12524 = t1013 * t1014 * t1671;
  t12525 = t1692 * t12524;
  t12527 = t1031 * t2607;
  t12528 = t12527 * t4176;
  t12530 = t978 * t2632;
  t12531 = t12530 * t1094;
  t12534 = t374 * t2602;
  t12535 = t12534 * t1100;
  t12539 = t978 * t2628 * t1045;
  t12542 = t4137 * t12510;
  t12545 = -t5540 * t12507 / 0.2e1 + t6824 * t12511 / 0.6e1 - t6824 * t12515 / 0.3e1 + t5559 * t12520 / 0.2e1 + t9487 + t9489 - t9505 - t9507 + t373 * t12525 - t373 * t12528 + t373 * t12531 / 0.2e1 + t373 * t12535 / 0.2e1 - t373 * t12539 / 0.2e1 - t12260 - t6830 * t12542 / 0.6e1;
  t12546 = t2616 * t994;
  t12547 = t168 * t12546;
  t12548 = t9270 * t12547;
  t12551 = t5549 * t12510;
  t12554 = t403 * t2616;
  t12555 = t380 * t12554;
  t12556 = t4137 * t12555;
  t12559 = t2652 * t404;
  t12562 = t1074 * t2603;
  t12565 = t1074 * t2608;
  t12588 = -t6827 * t12548 / 0.6e1 + t6824 * t12551 / 0.12e2 + t6827 * t12556 / 0.12e2 - t110 * t12559 / 0.4e1 + t12562 * t350 / 0.6e1 + t12565 * t1023 / 0.3e1 + t2604 * t1087 / 0.6e1 - t12565 * t1090 / 0.12e2 - t2609 * t4490 / 0.12e2 - t12565 * t1016 / 0.6e1 - t2609 * t4352 / 0.6e1 + t2609 * t4438 / 0.3e1 - t1677 * t1658 / 0.6e1 - t1682 * t1658 / 0.6e1 - t490 * t6870 / 0.6e1 - t4383 * t2659 / 0.2e1;
  t12591 = t349 * t2653;
  t12594 = t2651 * t370;
  t12595 = t369 * t12594;
  t12596 = t321 * t12595;
  t12615 = t1182 * t12505;
  t12616 = t1716 * t12615;
  t12619 = t4543 * t12546;
  t12620 = t494 * t12619;
  t12623 = t7116 * t2667;
  t12630 = -t338 * t12591 / 0.12e2 + t12596 * t377 / 0.4e1 + t6876 * t505 / 0.2e1 + t6855 * t505 / 0.2e1 + t1663 * t1673 / 0.2e1 - t4349 * t2659 / 0.2e1 - t1078 * t2663 / 0.2e1 - t1056 * t2663 / 0.2e1 + t1078 * t2671 / 0.2e1 + t1056 * t2671 / 0.2e1 + t5540 * t12616 / 0.2e1 + t5540 * t12620 / 0.2e1 - t4145 * t12623 / 0.4e1 + t1677 * t2619 / 0.12e2 + t1682 * t2619 / 0.12e2;
  t12631 = t4697 * t2617;
  t12632 = t987 * t12631;
  t12635 = t167 * t12435;
  t12636 = t988 * t12635;
  t12637 = t987 * t12636;
  t12642 = t616 * t12340;
  t12643 = t321 * t12642;
  t12648 = t167 * t1671;
  t12649 = t988 * t12648;
  t12650 = t1400 * t12649;
  t12655 = t1000 * t12649;
  t12658 = t194 * t2607;
  t12659 = t321 * t12658;
  t12670 = t371 * t12648;
  t12671 = t1400 * t12670;
  t12676 = t1393 * t12649;
  t12679 = t490 * t12632 / 0.12e2 + t490 * t12637 / 0.12e2 - t2604 * t997 / 0.6e1 + t12643 * t1438 / 0.2e1 + t2604 * t1002 / 0.6e1 - t1651 * t12650 / 0.6e1 + t2609 * t4687 / 0.6e1 + t1644 * t12655 / 0.3e1 - t12659 * t1433 / 0.2e1 + t2609 * t4656 / 0.3e1 + t490 * t7094 / 0.6e1 - t1651 * t10582 / 0.6e1 - t490 * t6775 / 0.6e1 + 0.2e1 / 0.3e1 * t1651 * t12671 - 0.2e1 / 0.3e1 * t2609 * t4691 - t1651 * t12676 / 0.3e1;
  t12695 = t6949 * t2667;
  t12699 = t985 * t348 * t12435;
  t12700 = t1703 * t12699;
  t12704 = t346 * t348 * t1671;
  t12705 = t1699 * t12704;
  t12707 = t374 * t2607;
  t12708 = t12707 * t1419;
  t12711 = t1019 * t1671;
  t12712 = t1013 * t12711;
  t12713 = t1692 * t12712;
  t12715 = t12341 * t1407;
  t12718 = t12527 * t4171;
  t12720 = t12530 * t1035;
  t12723 = t2609 * t4163 / 0.3e1 - t2609 * t4166 / 0.6e1 + t1644 * t10599 / 0.3e1 - 0.5e1 / 0.36e2 * t12347 * t9405 - t2609 * t4722 / 0.12e2 - t1078 * t2668 / 0.4e1 - t1056 * t2668 / 0.4e1 - t373 * t12695 / 0.4e1 - t373 * t12700 / 0.4e1 - t373 * t12705 + 0.3e1 / 0.2e1 * t373 * t12708 - t1030 * t12713 + 0.3e1 * t1030 * t12715 + t1030 * t12718 - t1030 * t12720 / 0.2e1;
  t12732 = -t1663 * t1700 - t1663 * t1704 / 0.2e1 + t1663 * t1708 / 0.2e1 + t9702 + t9704 - t9180 + t9188 - t12284 + t12287 - t12289 + t12291 + t12293 - t12295 - t12297 + t12643 * t1396 - 0.2e1 * t12643 * t1402;
  t12736 = my_piecewise3(t100, 0, t12345 + t12503 + t12545 + t12588 + t12630 + t12679 + t12723 + t12732);
  tv3rholapl25 = t3 * t12736 + t2675;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 5] += tv3rholapl25;

  t12739 = t7255 * t2692 / 0.9e1;
  t12741 = t7255 * t2686 / 0.18e2;
  t12743 = t7255 * t2681 / 0.36e2;
  t12745 = t593 * t2737 / 0.12e2;
  t12747 = t593 * t2734 / 0.6e1;
  t12749 = t3548 * t2729 / 0.6e1;
  t12751 = t593 * t2742 / 0.6e1;
  t12753 = t1508 * t1779 / 0.36e2;
  t12760 = t593 * t2751 / 0.12e2;
  t12761 = t3279 * t2676;
  t12762 = t673 * t12761;
  t12767 = t1220 * t12761;
  t12782 = t12760 + t1787 * t12762 / 0.6e1 + t1787 * t11982 / 0.6e1 - t1748 * t12767 / 0.6e1 + t7340 * t2678 / 0.6e1 + t7345 * t2678 / 0.6e1 + t2160 + t1532 * t1761 / 0.2e1 + t1541 * t11200 / 0.3e1 - t7462 * t1548 / 0.2e1 + t1891 * t1551 / 0.2e1;
  t12787 = t1869 * t2544 / 0.36e2;
  t12789 = t7299 * t2678 / 0.18e2;
  t12802 = t1227 * t12761;
  t12807 = -t6295 * t1758 / 0.2e1 + t12787 + t12789 - t1748 * t9790 / 0.6e1 + t1748 * t9794 / 0.3e1 - t1541 * t11196 / 0.6e1 + t515 * t6263 / 0.12e2 - t1748 * t9814 / 0.12e2 - t515 * t6257 / 0.12e2 - t1748 * t12802 / 0.12e2 - t1748 * t12130 / 0.12e2;
  t12810 = t95 * t6061;
  t12811 = t4760 * t12810;
  t12814 = t95 * t9747;
  t12815 = t10037 * t12814;
  t12824 = t229 * t9747;
  t12825 = t7610 * t12824;
  t12828 = t819 * t6061;
  t12829 = t1843 * t12828;
  t12832 = t7233 * t2728;
  t12837 = t11120 * t1539;
  t12838 = t12837 * t1234;
  t12841 = t1876 * t2544 / 0.12e2 + t7216 * t12811 / 0.6e1 - 0.5e1 / 0.36e2 * t11008 * t12815 - t7581 * t12104 / 0.6e1 + t7216 * t12107 / 0.12e2 + t7581 * t12112 / 0.12e2 + 0.3e1 / 0.2e1 * t4779 * t12825 + t4779 * t12829 / 0.2e1 - t4748 * t12832 / 0.2e1 - t182 * t2720 / 0.4e1 - t4748 * t12838 / 0.2e1;
  t12844 = t12837 * t1239;
  t12847 = t1847 * t12026;
  t12850 = t3375 * t9747;
  t12851 = t7599 * t12850;
  t12854 = t6393 * t11049;
  t12859 = t276 * t463;
  t12860 = t253 * t12859;
  t12861 = t4765 * t12860;
  t12866 = t8659 + t8662 - t8667 + t8683 + t3123 * t12844 / 0.2e1 - t4779 * t12847 / 0.2e1 + 0.3e1 / 0.2e1 * t4779 * t12851 + 0.3e1 * t4738 * t12854 + t1881 * t2544 / 0.12e2 - t7216 * t12861 / 0.12e2 - t466 * t7471 / 0.12e2;
  t12867 = t6255 * t1777;
  t12868 = t673 * t12867;
  t12875 = t62 * t463;
  t12876 = t12875 * t206;
  t12877 = t840 * t12876;
  t12888 = t8856 + t8875 + t8877 - t8888 + t7624 * t2712 + t1843 * t11937 + t1841 * t2572 / 0.2e1 - 0.12e2 * t10841 * t12877 + t519 * t11912 / 0.2e1 - t7632 * t2716 - t1847 * t11932 + 0.2e1 / 0.3e1 * t7632 * t2709 + 0.2e1 / 0.3e1 * t1847 * t11918;
  t12889 = t2708 * t206;
  t12890 = t3375 * t12889;
  t12893 = t2708 * t667;
  t12894 = t3409 * t12893;
  t12897 = t3402 * t12889;
  t12900 = t3375 * t12893;
  t12903 = t229 * t12889;
  t12906 = t819 * t12893;
  t12914 = t648 * t12889;
  t12921 = -0.3e1 * t7599 * t12890 + 0.2e1 * t1847 * t12894 + 0.1e2 / 0.3e1 * t7599 * t12897 - 0.4e1 / 0.3e1 * t1847 * t12900 - 0.3e1 * t7610 * t12903 - t1843 * t12906 - t1843 * t11896 - t519 * t11899 - 0.2e1 * t7624 * t2698 - 0.2e1 * t1843 * t11875 - 0.4e1 * t7595 * t12914 - t7632 * t2701 / 0.3e1 - t1847 * t11901 / 0.3e1;
  t12923 = t3448 * t12889;
  t12927 = t12875 * t667;
  t12928 = t827 * t12927;
  t12931 = t3482 * t12876;
  t12940 = t840 * t12927;
  t12943 = t233 * t12876;
  t12946 = t233 * t12927;
  t12949 = t827 * t12876;
  t12952 = t3475 * t12876;
  t12957 = t7599 * t12923 / 0.18e2 - t1841 * t2562 + 0.2e1 / 0.3e1 * t7584 * t12928 - t10846 * t12931 / 0.9e1 + 0.2e1 * t7586 * t11824 + 0.2e1 * t10828 * t11828 + t7584 * t11831 / 0.3e1 - 0.4e1 * t7584 * t12940 + 0.6e1 * t10836 * t12943 + 0.2e1 * t7586 * t12946 + 0.2e1 * t10841 * t12949 - 0.2e1 / 0.3e1 * t10846 * t12952 - 0.2e1 * t7584 * t11821;
  t12960 = t653 * t12889;
  t12971 = 0.6e1 * t10846 * t12949 + 0.6e1 * t7595 * t12960 + t1847 * t11886 - t519 * t11862 - 0.2e1 / 0.3e1 * t1847 * t11865 + 0.2e1 * t7632 * t2705 + 0.2e1 * t1847 * t11869 - t8948 - t8949 - t8966 + t8975 - t2138 + t2119;
  t12973 = t12888 + t12921 + t12957 + t12971;
  t12974 = t59 * t12973;
  t12975 = t12974 * t95;
  t12978 = t3671 * t9747;
  t12984 = t4760 * t12814;
  t12987 = t635 * t9747;
  t12988 = t10058 * t12987;
  t12991 = t10058 * t12814;
  t12994 = t10037 * t12987;
  t12997 = -t211 * t12868 / 0.12e2 - t30 * t12975 / 0.4e1 - t8744 - t8748 + t8752 - 0.3e1 / 0.2e1 * t11008 * t10037 * t12978 - t7216 * t12019 / 0.3e1 - t11008 * t12984 / 0.2e1 + 0.7e1 / 0.3e1 * t11008 * t12988 - 0.11e2 / 0.18e2 * t11008 * t12991 + 0.23e2 / 0.36e2 * t11008 * t12994;
  t13004 = t512 * t2541;
  t13005 = t3375 * t13004;
  t13006 = t4740 * t13005;
  t13009 = t4754 * t12814;
  t13011 = t6390 * t11116;
  t13014 = t653 * t9747;
  t13015 = t7595 * t13014;
  t13018 = t7238 * t2733;
  t13021 = t6390 * t11112;
  t13030 = t7216 * t12023 / 0.6e1 - 0.2e1 * t11086 * t4765 * t12987 + t4738 * t13006 / 0.2e1 + t11086 * t13009 - 0.3e1 * t4738 * t13011 - 0.3e1 * t4779 * t13015 - t3123 * t13018 / 0.2e1 + 0.3e1 / 0.2e1 * t9873 * t13021 - t7195 * t2686 / 0.6e1 + t515 * t12140 / 0.12e2 + t515 * t12145 / 0.12e2;
  t13034 = t188 * t2720 / 0.12e2;
  t13045 = -t7190 * t2686 / 0.6e1 - t13034 + t8778 + t8780 - t8785 - t8790 - t7746 * t12115 / 0.6e1 - t466 * t7385 / 0.12e2 - t1876 * t1527 / 0.12e2 - t1881 * t1527 / 0.12e2 - t515 * t6347 / 0.12e2;
  t13049 = t222 * t2720;
  t13058 = t2718 * t243;
  t13059 = t242 * t13058;
  t13060 = t191 * t13059;
  t13075 = t6358 * t530 / 0.12e2;
  t13077 = t7368 * t481 / 0.12e2;
  t13079 = t1508 * t1886 / 0.36e2;
  t13081 = t1869 * t1527 / 0.36e2;
  t13082 = t2719 * t277;
  t13086 = t188 * t2747 / 0.12e2;
  t13097 = t13075 + t13077 - t13079 - t13081 - t30 * t13082 / 0.4e1 - t13086 - t6069 * t10772 / 0.12e2 + t6488 * t7758 / 0.12e2 - t1517 * t1779 / 0.12e2 - t1522 * t1779 / 0.12e2 - t466 * t7210 / 0.12e2;
  t13103 = t7499 * t2733;
  t13122 = -t768 * t2734 / 0.2e1 - t757 * t2734 / 0.2e1 - t246 * t13103 / 0.2e1 + t1748 * t12234 / 0.3e1 + t1568 * t11001 / 0.6e1 + t466 * t7550 / 0.12e2 - t1748 * t12148 / 0.6e1 + t1787 * t9805 / 0.6e1 - t466 * t7200 / 0.12e2 + t7190 * t2692 / 0.3e1 + t7195 * t2692 / 0.3e1;
  t13123 = t755 * t2676;
  t13124 = t1227 * t13123;
  t13127 = t4770 * t12810;
  t13130 = t4754 * t12860;
  t13133 = t7228 * t2592;
  t13138 = t1607 * t544;
  t13141 = t476 * t1830;
  t13144 = t1748 * t13124 / 0.3e1 + t7216 * t13127 / 0.3e1 - t7216 * t13130 / 0.6e1 - t3123 * t13133 / 0.4e1 + t9033 - t9044 + t6069 * t11135 / 0.3e1 - t9058 - t9060 - t30 * t13138 / 0.4e1 - t30 * t13141 / 0.4e1;
  t13150 = t1777 * t1584 * t249;
  t13155 = t7533 * t2592;
  t13158 = t1769 * t12165;
  t13165 = t7488 * t2741;
  t13168 = t1757 * t12170;
  t13175 = -t182 * t2747 / 0.4e1 + t246 * t13150 / 0.4e1 - t757 * t2737 / 0.4e1 - t246 * t13155 / 0.4e1 - t246 * t13158 / 0.4e1 + t768 * t2742 / 0.2e1 + t757 * t2742 / 0.2e1 + t246 * t13165 / 0.2e1 + t246 * t13168 / 0.2e1 + t1532 * t1783 / 0.4e1 + t768 * t2751 / 0.4e1;
  t13179 = t7469 * t469 * t249;
  t13182 = t1591 * t7242;
  t13186 = t7751 * t1554;
  t13187 = t13186 * t1246;
  t13190 = t7751 * t464;
  t13191 = t13190 * t730;
  t13196 = t635 * t6061;
  t13197 = t4760 * t13196;
  t13200 = t3121 * t12859;
  t13201 = t4765 * t13200;
  t13204 = t4796 * t12814;
  t13207 = t757 * t2751 / 0.4e1 + t246 * t13179 / 0.4e1 + t4738 * t13182 + t6491 * t11148 / 0.6e1 - t3123 * t13187 / 0.2e1 - t3123 * t13191 / 0.4e1 - t6069 * t11131 / 0.6e1 - t2089 - 0.2e1 / 0.3e1 * t7216 * t13197 + t7216 * t13201 / 0.3e1 - t11143 * t13204 / 0.2e1;
  t13209 = t3130 * t12810;
  t13212 = t519 * t12122;
  t13227 = t3409 * t6061;
  t13228 = t1847 * t13227;
  t13230 = -t7746 * t13209 / 0.6e1 + t4779 * t13212 / 0.2e1 - t9110 + t9112 + t1891 * t1564 / 0.4e1 - t1532 * t1766 / 0.2e1 - t1532 * t1770 / 0.4e1 - t1891 * t1556 / 0.2e1 - t1891 * t1560 / 0.4e1 - t1541 * t11177 / 0.12e2 - t4779 * t13228;
  t13231 = t7233 * t2741;
  t13234 = t1843 * t12118;
  t13237 = t4765 * t12814;
  t13240 = t4796 * t12860;
  t13243 = t1765 * t12176;
  t13254 = t7488 * t2728;
  t13257 = t1757 * t12090;
  t13260 = t3123 * t13231 / 0.2e1 + t4779 * t13234 / 0.2e1 + t11086 * t13237 / 0.2e1 + t7746 * t13240 / 0.6e1 - t246 * t13243 / 0.2e1 - t768 * t2737 / 0.4e1 + t1532 * t1774 / 0.4e1 - t3530 * t2729 / 0.2e1 - t3537 * t2729 / 0.2e1 - t644 * t13254 / 0.2e1 - t644 * t13257 / 0.2e1;
  t13265 = my_piecewise3(t2, 0, t13122 + t12739 - t12741 + t12751 - t12753 + t13045 + t12997 + t12866 + t12782 + t13207 + t13144 - t12743 - t12745 + t13030 - t12747 - t12749 + t13230 + t13260 + t12807 + t12841 + t13097 + t13175 + t6353 * t530 / 0.4e1 + t6335 * t530 / 0.4e1 - t211 * t13049 / 0.12e2 - t1517 * t1886 / 0.12e2 - t1522 * t1886 / 0.12e2 + t1532 * t1873 / 0.4e1 + t13060 * t250 / 0.4e1 + t7374 * t481 / 0.4e1 + t7390 * t481 / 0.4e1 + t1891 * t1514 / 0.4e1 - t7190 * t2681 / 0.12e2 - t7195 * t2681 / 0.12e2);
  tv3rholapltau0 = t3 * t13265 + t2755;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  tv3rholapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 1] += tv3rholapltau1;

  tv3rholapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 2] += tv3rholapltau2;

  t13268 = t294 * t2800 / 0.12e2;
  t13272 = t1618 * t1950 / 0.36e2;
  t13274 = t948 * t2817 / 0.12e2;
  t13276 = t4040 * t2809 / 0.6e1;
  t13278 = t948 * t2814 / 0.6e1;
  t13280 = t7903 * t2772 / 0.9e1;
  t13288 = t948 * t2831 / 0.12e2;
  t13290 = t948 * t2822 / 0.6e1;
  t13296 = t6631 * t570 / 0.12e2;
  t13298 = t1618 * t2025 / 0.36e2;
  t13300 = t7929 * t505 / 0.12e2;
  t13302 = t1905 * t1658 / 0.36e2;
  t13305 = -t13268 - t290 * t2800 / 0.4e1 - t13272 - t13274 - t13276 - t13278 + t13280 - t7908 * t2766 / 0.6e1 + t8002 * t2758 / 0.6e1 - t7908 * t2761 / 0.12e2 + t13288 + t13290 + t7908 * t2772 / 0.3e1 + t1902 * t2619 / 0.12e2 + t13296 - t13298 + t13300 - t13302 - t290 * t2827 / 0.4e1;
  t13307 = t294 * t2827 / 0.12e2;
  t13309 = t7903 * t2766 / 0.18e2;
  t13311 = t7903 * t2761 / 0.36e2;
  t13313 = t7988 * t2758 / 0.18e2;
  t13315 = t1905 * t2619 / 0.36e2;
  t13336 = -t13307 - t13309 - t13311 + t13313 + t13315 + t6656 * t570 / 0.4e1 - t1902 * t1658 / 0.12e2 - t1615 * t2025 / 0.12e2 + t7959 * t505 / 0.4e1 - t1615 * t1950 / 0.12e2 + t945 * t2831 / 0.4e1 - t945 * t2817 / 0.4e1 + t945 * t2822 / 0.2e1 - t9156 + t9168 - t9180 + t9188 - t4065 * t2809 / 0.2e1 - t945 * t2814 / 0.2e1;
  t13338 = my_piecewise3(t100, 0, t13305 + t13336);
  tv3rholapltau3 = t3 * t13338 + t2835;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 3] += tv3rholapltau3;

  t13352 = t12739 - t12741 - t12743 - t12745 - t12747 - t12749 + t12751 - t12753 + t12760 + t12787 + t12789 - t8667 + t8683 - t307 * t2720 / 0.4e1 - t903 * t2737 / 0.4e1 + t903 * t2742 / 0.2e1 - t903 * t2734 / 0.2e1 - t3802 * t2729 / 0.2e1 + t7801 * t2692 / 0.3e1;
  t13375 = t1923 * t2544 / 0.12e2 - t7801 * t2686 / 0.6e1 - t1632 * t1779 / 0.12e2 + t903 * t2751 / 0.4e1 + t7894 * t2678 / 0.6e1 - t7801 * t2681 / 0.12e2 - t13034 + t13075 + t13077 - t13079 - t13081 - t307 * t2747 / 0.4e1 - t13086 - t1923 * t1527 / 0.12e2 + t6575 * t530 / 0.4e1 - t1632 * t1886 / 0.12e2 + t7824 * t481 / 0.4e1 - t9215 + t9226;
  t13377 = my_piecewise3(t2, 0, t13352 + t13375);
  tv3rholapltau4 = t3 * t13377 + t2755;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 4] += tv3rholapltau4;

  tv3rholapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 5] += tv3rholapltau5;

  tv3rholapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 6] += tv3rholapltau6;

  t13385 = t1054 * t2756;
  t13386 = t1400 * t13385;
  t13397 = t4697 * t2756;
  t13398 = t1393 * t13397;
  t13424 = t8096 * t2808;
  t13427 = -t2030 * t1704 / 0.4e1 + t2030 * t1708 / 0.4e1 - t1663 * t1937 / 0.2e1 + t490 * t8478 / 0.12e2 - t1651 * t11687 / 0.12e2 - t490 * t8081 / 0.12e2 - t1965 * t10582 / 0.12e2 + t1663 * t1945 / 0.4e1 - t4349 * t2809 / 0.2e1 - t4383 * t2809 / 0.2e1 - t1030 * t13424 / 0.2e1;
  t13429 = t1974 * t12712;
  t13432 = t1974 * t12524;
  t13445 = t8317 * t2667;
  t13448 = t1940 * t12699;
  t13455 = -t1030 * t13429 / 0.2e1 + t373 * t13432 / 0.2e1 - t1078 * t2814 / 0.2e1 - t1056 * t2814 / 0.2e1 - t1663 * t1941 / 0.4e1 - t1078 * t2817 / 0.4e1 - t1056 * t2817 / 0.4e1 - t373 * t13445 / 0.4e1 - t373 * t13448 / 0.4e1 + t1078 * t2822 / 0.2e1 + t1056 * t2822 / 0.2e1;
  t13456 = t8096 * t2821;
  t13464 = t8120 * t493 * t376;
  t13467 = t8103 * t2813;
  t13470 = t1936 * t12704;
  t13477 = t6773 * t1948;
  t13478 = t1000 * t13477;
  t13485 = t373 * t13456 / 0.2e1 + t1078 * t2831 / 0.4e1 + t1056 * t2831 / 0.4e1 + t373 * t13464 / 0.4e1 - t373 * t13467 / 0.2e1 - t373 * t13470 / 0.2e1 - t490 * t8445 / 0.12e2 - t490 * t8122 / 0.12e2 - t338 * t13478 / 0.12e2 + t1663 * t1954 / 0.4e1 - t1677 * t1950 / 0.12e2;
  t13491 = t1948 * t1713 * t376;
  t13510 = -t1682 * t1950 / 0.12e2 + t373 * t13491 / 0.4e1 + t2030 * t1696 / 0.2e1 - t6848 * t1975 / 0.2e1 + t1663 * t1978 / 0.2e1 - t1965 * t10313 / 0.6e1 + t1965 * t10317 / 0.3e1 - t1651 * t11723 / 0.6e1 + t1651 * t11727 / 0.3e1 - t8201 * t1693 / 0.2e1 - t2180;
  t13519 = t1000 * t13397;
  t13524 = t2056 * t12615;
  t13527 = t559 * t12619;
  t13530 = t8070 * t2667;
  t13533 = t356 * t10507;
  t13534 = t8220 * t13533;
  t13537 = t8065 * t1642;
  t13538 = t13537 * t1419;
  t13541 = t555 * t12632 / 0.12e2 + t555 * t12637 / 0.12e2 + t8423 * t2758 / 0.6e1 + t8427 * t2758 / 0.6e1 + t1958 * t13519 / 0.6e1 + t6827 * t8076 / 0.12e2 + t5540 * t13524 / 0.2e1 + t5540 * t13527 / 0.2e1 - t4145 * t13530 / 0.4e1 + 0.3e1 / 0.2e1 * t5540 * t13534 - t4145 * t13538 / 0.2e1;
  t13543 = t8065 * t488;
  t13544 = t13543 * t1100;
  t13547 = t4549 * t7137;
  t13548 = t2060 * t13547;
  t13550 = t8374 * t2821;
  t13557 = -t4145 * t13544 / 0.4e1 - t5540 * t13548 + t4145 * t13550 / 0.2e1 + t6830 * t11739 / 0.6e1 - t9308 - t9324 + t9327 - t6824 * t11765 / 0.12e2 + t9353 + t9357 - t9359;
  t13560 = t11448 * t1649;
  t13561 = t13560 * t1407;
  t13564 = t13560 * t1412;
  t13567 = t1093 * t10507;
  t13568 = t8223 * t13567;
  t13571 = t552 * t2616;
  t13572 = t4408 * t13571;
  t13573 = t5561 * t13572;
  t13576 = t2060 * t12506;
  t13579 = t4408 * t10507;
  t13580 = t8227 * t13579;
  t13585 = t168 * t10507;
  t13586 = t10485 * t13585;
  t13589 = -t9361 - t13268 + t6824 * t11465 / 0.3e1 - t5535 * t13561 / 0.2e1 + t4145 * t13564 / 0.2e1 - 0.3e1 * t5540 * t13568 + t5559 * t13573 / 0.2e1 - t5540 * t13576 / 0.2e1 + 0.3e1 / 0.2e1 * t5540 * t13580 - t6824 * t11469 / 0.6e1 - 0.11e2 / 0.18e2 * t11381 * t13586;
  t13593 = t1021 * t10507;
  t13594 = t10458 * t13593;
  t13601 = t5591 * t13585;
  t13603 = t5553 * t13593;
  t13606 = t6988 * t11437;
  t13609 = t5549 * t13585;
  t13612 = t10485 * t13593;
  t13615 = t4403 * t10507;
  t13616 = t10458 * t13615;
  t13619 = t6988 * t11444;
  t13633 = t349 * t2800;
  t13640 = -t9442 + t2251 - t9464 - t2048 * t1658 / 0.12e2 - t2043 * t1658 / 0.12e2 - t1682 * t2025 / 0.12e2 - t490 * t8179 / 0.12e2 + t2030 * t1673 / 0.4e1 - t338 * t13633 / 0.12e2 - t555 * t6870 / 0.12e2 - t1677 * t2025 / 0.12e2;
  t13656 = t8189 * t505 / 0.4e1 + t8184 * t505 / 0.4e1 + t9487 + t9489 - t9505 - t9507 - t1965 * t12676 / 0.6e1 + t1958 * t10599 / 0.6e1 + t555 * t7094 / 0.12e2 + t1958 * t12655 / 0.6e1 - t8106 * t2761 / 0.12e2;
  t13659 = t1400 * t13397;
  t13668 = -t8110 * t2761 / 0.12e2 - t1965 * t13659 / 0.12e2 - t1965 * t12650 / 0.12e2 + t2043 * t2619 / 0.12e2 + t2048 * t2619 / 0.12e2 - t13272 - t13274 - t13276 - t13278 + t13280 + t13288;
  t13671 = t403 * t487;
  t13672 = t4143 * t13671;
  t13673 = t5553 * t13672;
  t13676 = t380 * t13671;
  t13677 = t5591 * t13676;
  t13680 = t5582 * t13585;
  t13683 = t168 * t7137;
  t13684 = t4137 * t13683;
  t13687 = t5553 * t13585;
  t13690 = t13290 + t13296 - t13298 + t13300 - t13302 - t13307 + t8058 * t13673 / 0.3e1 - t8058 * t13677 / 0.6e1 - t11372 * t13680 / 0.2e1 - t8052 * t13684 / 0.6e1 + t11369 * t13687 / 0.2e1;
  t13691 = t5582 * t13676;
  t13694 = t5549 * t13683;
  t13697 = t1021 * t7137;
  t13698 = t5549 * t13697;
  t13705 = t5587 * t13683;
  t13708 = t10458 * t13585;
  t13711 = t5553 * t13676;
  t13718 = t8052 * t13691 / 0.6e1 + t8058 * t13694 / 0.6e1 - 0.2e1 / 0.3e1 * t8058 * t13698 + t8058 * t12551 / 0.12e2 + t8055 * t12556 / 0.12e2 + t8058 * t13705 / 0.3e1 - 0.5e1 / 0.36e2 * t11381 * t13708 - t8058 * t13711 / 0.12e2 - t8052 * t12542 / 0.6e1 - t8055 * t12548 / 0.6e1 - t13309;
  t13722 = t2798 * t370;
  t13723 = t369 * t13722;
  t13724 = t321 * t13723;
  t13733 = t142 * t487;
  t13734 = t13733 * t333;
  t13735 = t4633 * t13734;
  t13742 = t360 * t13734;
  t13745 = t13733 * t994;
  t13746 = t360 * t13745;
  t13749 = t1190 * t13734;
  t13752 = t1190 * t13745;
  t13757 = t1203 * t13745;
  t13762 = t1203 * t13734;
  t13765 = t4624 * t13734;
  t13770 = -t11538 * t13735 / 0.9e1 + 0.2e1 * t8251 * t12375 + 0.2e1 * t11528 * t12379 + 0.6e1 * t11541 * t13742 + 0.2e1 * t8251 * t13746 + 0.2e1 * t11533 * t13749 + 0.2e1 / 0.3e1 * t8254 * t13752 + t8254 * t12372 / 0.3e1 - 0.4e1 * t8254 * t13757 + 0.6e1 * t11538 * t13749 - 0.12e2 * t11533 * t13762 - 0.2e1 / 0.3e1 * t11538 * t13765 - 0.2e1 * t8254 * t12447;
  t13771 = t2788 * t333;
  t13772 = t1093 * t13771;
  t13776 = t4408 * t13771;
  t13779 = t2788 * t994;
  t13780 = t1182 * t13779;
  t13794 = 0.6e1 * t8223 * t13772 + t2060 * t12494 - 0.3e1 * t8227 * t13776 - t2056 * t13780 - t2056 * t12461 - t559 * t12466 + t559 * t12437 / 0.2e1 - t8231 * t2796 - t2060 * t12440 + 0.2e1 / 0.3e1 * t8231 * t2789 + 0.2e1 / 0.3e1 * t2060 * t12404 + t8247 * t2792 + t2056 * t12385;
  t13798 = t4549 * t13779;
  t13805 = t2054 * t2647 / 0.2e1 + t9557 + t9559 + t9570 - t9574 - t9585 - t9586 - t9588 + t9635 + 0.2e1 * t2060 * t13798 - t2054 * t2637 - t559 * t12481 - 0.2e1 / 0.3e1 * t2060 * t12483;
  t13810 = t4376 * t13771;
  t13813 = t4408 * t13779;
  t13816 = t356 * t13771;
  t13823 = t1034 * t13771;
  t13830 = t4396 * t13771;
  t13833 = 0.2e1 * t8231 * t2785 + 0.2e1 * t2060 * t12455 + 0.1e2 / 0.3e1 * t8227 * t13810 - 0.4e1 / 0.3e1 * t2060 * t13813 - 0.3e1 * t8220 * t13816 - 0.2e1 * t8247 * t2778 - 0.2e1 * t2056 * t12486 - 0.4e1 * t8223 * t13823 - t8231 * t2781 / 0.3e1 - t2060 * t12472 / 0.3e1 + t8227 * t13830 / 0.18e2 - t2229 + t2210;
  t13835 = t13770 + t13794 + t13805 + t13833;
  t13836 = t139 * t13835;
  t13837 = t13836 * t168;
  t13840 = -t13311 + t13313 + t13315 + t6876 * t570 / 0.4e1 + t13724 * t377 / 0.4e1 + t6855 * t570 / 0.4e1 + t1663 * t2040 / 0.4e1 - t318 * t2800 / 0.4e1 - t110 * t13837 / 0.4e1 + t9702 + t9704;
  t13841 = t2799 * t404;
  t13846 = t1736 * t584;
  t13849 = t500 * t2013;
  t13852 = t1182 * t7137;
  t13853 = t2056 * t13852;
  t13856 = t8353 * t2813;
  t13859 = t6984 * t11478;
  t13862 = t1720 * t8382;
  t13864 = t8374 * t2808;
  t13867 = -t9180 + t9188 - t110 * t13841 / 0.4e1 - t318 * t2827 / 0.4e1 - t110 * t13846 / 0.4e1 - t110 * t13849 / 0.4e1 + t5540 * t13853 / 0.2e1 - t4145 * t13856 / 0.2e1 + 0.3e1 * t5559 * t13859 + t5559 * t13862 - t5535 * t13864 / 0.2e1;
  t13872 = my_piecewise3(t100, 0, t13510 + t13455 + t13541 + t13840 + t13668 + t13557 + t13867 + t13718 + t13640 + t13427 + t13656 + t13690 + t13485 + t13589 + 0.3e1 / 0.2e1 * t10506 * t13619 - t555 * t6775 / 0.12e2 + t8106 * t2772 / 0.3e1 + t8110 * t2772 / 0.3e1 + t1965 * t13386 / 0.3e1 + t1965 * t12671 / 0.3e1 + t1644 * t11682 / 0.6e1 - t8106 * t2766 / 0.6e1 - t8110 * t2766 / 0.6e1 - 0.3e1 / 0.2e1 * t11381 * t13616 + 0.23e2 / 0.36e2 * t11381 * t13594 + t8058 * t12511 / 0.6e1 - t8058 * t12515 / 0.3e1 + t11369 * t13601 - 0.2e1 * t11369 * t13603 - 0.3e1 * t5559 * t13606 - t1965 * t13398 / 0.6e1 - t2030 * t1700 / 0.2e1 - t11381 * t13609 / 0.2e1 + 0.7e1 / 0.3e1 * t11381 * t13612);
  tv3rholapltau7 = t3 * t13872 + t2835;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 7] += tv3rholapltau7;

  t13876 = t2836 * t3396;
  t13877 = t3512 * t13876;
  t13878 = t191 * t13877;
  t13887 = t3279 * t2852;
  t13888 = t660 * t13887;
  t13892 = t627 * t633 * t512;
  t13898 = t662 * t1764;
  t13901 = t3227 * t1746;
  t13904 = t662 * t513;
  t13911 = t518 * t740;
  t13916 = t1846 * t619;
  t13919 = 0.2e1 / 0.3e1 * t8813 * t13892 + 0.2e1 * t662 * t1839 * t249 - 0.4e1 * t13898 * t1246 + 0.4e1 / 0.3e1 * t13901 * t1234 - 0.2e1 * t13904 * t730 + 0.4e1 * t13901 * t1239 - 0.2e1 * t1855 * t222 + 0.4e1 * t13911 * t1246 + 0.2e1 * t521 * t730 - 0.4e1 * t13916 * t1239;
  t13920 = t94 * t13919;
  t13921 = t661 * t13920;
  t13922 = t660 * t13921;
  t13927 = t2836 * t3415;
  t13928 = t616 * t13927;
  t13929 = t191 * t13928;
  t13936 = t94 * t1839;
  t13937 = t244 * t13936;
  t13938 = t1227 * t13937;
  t13943 = t661 * t13936;
  t13944 = t1220 * t13943;
  t13951 = t645 * t2842;
  t13952 = t13951 * t3181;
  t13957 = t1787 * t11001 / 0.3e1 - 0.5e1 / 0.36e2 * t13878 * t8786 - t2844 * t3308 / 0.12e2 + t1876 * t2854 / 0.12e2 + t1881 * t2854 / 0.12e2 + t515 * t13888 / 0.12e2 + t515 * t13922 / 0.12e2 - t2839 * t670 / 0.6e1 + t13929 * t1300 / 0.2e1 - t1748 * t11177 / 0.6e1 - t515 * t7200 / 0.6e1 + 0.2e1 / 0.3e1 * t1748 * t13938 - 0.2e1 / 0.3e1 * t2844 * t3252 - t1748 * t13944 / 0.3e1 + t2844 * t3173 / 0.3e1 - t2844 * t3176 / 0.6e1 + t644 * t13952 - t1891 * t1766 - t1891 * t1770 / 0.2e1;
  t13971 = t1777 * t1840 * t249;
  t13976 = t7198 * t1777;
  t13977 = t673 * t13976;
  t13982 = t633 * t1839;
  t13983 = t627 * t13982;
  t13984 = t1757 * t13983;
  t13986 = t645 * t13927;
  t13987 = t13986 * t1234;
  t13992 = t7533 * t2911;
  t13996 = t658 * t221 * t13919;
  t13997 = t1769 * t13996;
  t14001 = t219 * t221 * t1839;
  t14002 = t1765 * t14001;
  t14004 = t247 * t2842;
  t14005 = t14004 * t1246;
  t14008 = t674 * t2869;
  t14009 = t14008 * t649;
  t14014 = t2844 * t3255 / 0.3e1 - t1876 * t1779 / 0.6e1 - t1881 * t1779 / 0.6e1 - t515 * t7210 / 0.6e1 - t515 * t7471 / 0.6e1 + t515 * t7550 / 0.6e1 + t246 * t13971 / 0.2e1 + t1891 * t1774 / 0.2e1 - t211 * t13977 / 0.6e1 + t1891 * t1783 / 0.2e1 - t644 * t13984 + 0.3e1 * t644 * t13987 - t757 * t2912 / 0.4e1 - t246 * t13992 / 0.4e1 - t246 * t13997 / 0.4e1 - t246 * t14002 + 0.3e1 / 0.2e1 * t246 * t14005 - t644 * t14009 / 0.2e1 + t768 * t2903 / 0.2e1;
  t14019 = t7469 * t518 * t249;
  t14023 = t627 * t628 * t1839;
  t14024 = t1757 * t14023;
  t14026 = t13951 * t3186;
  t14028 = t14008 * t654;
  t14031 = params->at * t2932;
  t14032 = t661 * t14031;
  t14033 = t673 * t14032;
  t14037 = t14031 * t226 * t249;
  t14040 = t247 * t2837;
  t14041 = t14040 * t730;
  t14045 = t674 * t2865 * t748;
  t14051 = t593 * t2912 / 0.12e2;
  t14053 = t593 * t2903 / 0.6e1;
  t14055 = t1869 * t1779 / 0.18e2;
  t14057 = t1869 * t2854 / 0.36e2;
  t14058 = t757 * t2903 / 0.2e1 + t246 * t14019 / 0.2e1 + t246 * t14024 - t246 * t14026 + t246 * t14028 / 0.2e1 - t211 * t14033 / 0.12e2 + t246 * t14037 / 0.4e1 + t246 * t14041 / 0.2e1 - t246 * t14045 / 0.2e1 - t768 * t2912 / 0.4e1 - t14051 + t14053 - t14055 + t14057 + t2160 + t8659 + t8662 - t8667 + t8683;
  t14059 = t7228 * t2911;
  t14062 = t2851 * t206;
  t14063 = t819 * t14062;
  t14064 = t1843 * t14063;
  t14067 = t2851 * t667;
  t14068 = t3430 * t14067;
  t14069 = t519 * t14068;
  t14076 = t3658 * t13876;
  t14077 = t14076 * t8771;
  t14080 = t14076 * t9038;
  t14095 = t188 * t2890 / 0.12e2;
  t14099 = t188 * t2895 / 0.6e1;
  t14101 = t188 * t2934 / 0.12e2;
  t14102 = -t3123 * t14059 / 0.4e1 + t4779 * t14064 / 0.2e1 + t4779 * t14069 / 0.2e1 - 0.3e1 / 0.2e1 * t13878 * t9105 - t7462 * t1758 + t1891 * t1761 + 0.3e1 / 0.2e1 * t3680 * t14077 - 0.3e1 * t644 * t14080 + t13929 * t1223 - 0.2e1 * t13929 * t1229 - 0.11e2 / 0.18e2 * t13878 * t8761 + 0.23e2 / 0.36e2 * t13878 * t8993 - t13878 * t8996 / 0.2e1 + 0.7e1 / 0.3e1 * t13878 * t8983 - t14095 - t182 * t2890 / 0.4e1 - t14099 - t14101 - t8744 - t8748;
  t14106 = t7368 * t530 / 0.6e1;
  t14107 = t592 * t2843;
  t14109 = t14107 * t637 / 0.9e1;
  t14111 = t1869 * t1886 / 0.18e2;
  t14113 = t14107 * t630 / 0.18e2;
  t14115 = t14107 * t752 / 0.36e2;
  t14116 = t592 * t2838;
  t14118 = t14116 * t223 / 0.18e2;
  t14123 = t764 * t2838;
  t14129 = t593 * t2915 / 0.6e1;
  t14131 = t593 * t2907 / 0.6e1;
  t14133 = t3548 * t2899 / 0.6e1;
  t14136 = t764 * t2843;
  t14145 = t8752 + t14106 + t14109 - t14111 - t14113 - t14115 + t14118 - t1881 * t1886 / 0.6e1 - t515 * t7385 / 0.6e1 + t14123 * t223 / 0.6e1 + t2839 * t612 / 0.6e1 + t14129 - t14131 - t14133 + t2844 * t3577 / 0.3e1 - t14136 * t752 / 0.12e2 - t2844 * t3599 / 0.12e2 - t14136 * t630 / 0.6e1 - t2844 * t3540 / 0.6e1;
  t14148 = t222 * t2890;
  t14151 = t2888 * t243;
  t14152 = t242 * t14151;
  t14153 = t191 * t14152;
  t14176 = t3409 * t14062;
  t14177 = t1847 * t14176;
  t14184 = t11120 * t1746;
  t14185 = t14184 * t1234;
  t14187 = t14184 * t1239;
  t14189 = t95 * t14062;
  t14190 = t4770 * t14189;
  t14193 = -t1876 * t1886 / 0.6e1 - t211 * t14148 / 0.12e2 + t14153 * t250 / 0.4e1 + t7374 * t530 / 0.2e1 + t7390 * t530 / 0.2e1 + t14136 * t637 / 0.3e1 - t757 * t2907 / 0.2e1 + t768 * t2915 / 0.2e1 + t757 * t2915 / 0.2e1 + t1891 * t1873 / 0.2e1 - t3530 * t2899 / 0.2e1 - t3537 * t2899 / 0.2e1 - t768 * t2907 / 0.2e1 - t4779 * t14177 / 0.2e1 - t7216 * t11131 / 0.3e1 + 0.2e1 / 0.3e1 * t7216 * t11135 - t4748 * t14185 + t3123 * t14187 + t7216 * t14190 / 0.6e1;
  t14195 = t635 * t14062;
  t14196 = t4760 * t14195;
  t14199 = t512 * t2851;
  t14200 = t3375 * t14199;
  t14201 = t4740 * t14200;
  t14206 = t1227 * t13943;
  t14211 = t673 * t13943;
  t14214 = t194 * t2842;
  t14215 = t191 * t14214;
  t14218 = t13986 * t1239;
  t14221 = t14076 * t8765;
  t14228 = t7751 * t1764;
  t14229 = t14228 * t1246;
  t14231 = t7751 * t513;
  t14232 = t14231 * t730;
  t14239 = -t7216 * t14196 / 0.3e1 + t4738 * t14201 / 0.2e1 + t8778 + t8780 - t8785 - t8790 + t2839 * t676 / 0.6e1 - t1748 * t14206 / 0.6e1 + t2844 * t3272 / 0.6e1 + t1787 * t14211 / 0.3e1 - t14215 * t1260 / 0.2e1 - 0.3e1 * t246 * t14218 + 0.3e1 / 0.2e1 * t246 * t14221 - t1748 * t11196 / 0.3e1 + 0.2e1 / 0.3e1 * t1748 * t11200 - t3123 * t14229 - t3123 * t14232 / 0.2e1 + t7746 * t11148 / 0.3e1 + t7581 * t7758 / 0.6e1;
  t14242 = t3130 * t14189;
  t14245 = t95 * t14067;
  t14246 = t8642 * t14245;
  t14249 = t4760 * t14189;
  t14252 = t276 * t2851;
  t14253 = t253 * t14252;
  t14254 = t3130 * t14253;
  t14257 = t62 * t2851;
  t14258 = t14257 * t206;
  t14259 = t827 * t14258;
  t14262 = t233 * t14258;
  t14265 = t840 * t14258;
  t14268 = t14257 * t667;
  t14269 = t233 * t14268;
  t14272 = t60 * t1839;
  t14273 = t653 * t14272;
  t14278 = t229 * t14272;
  t14281 = t7584 * t14259 / 0.3e1 + 0.2e1 * t7586 * t14262 - 0.2e1 * t7584 * t14265 + 0.2e1 * t10828 * t14269 + t8856 + t8875 + t8877 - t8888 - 0.2e1 * t1847 * t14273 + 0.2e1 * t2870 * t3410 + 0.2e1 * t1843 * t14278;
  t14282 = t2865 * t3421;
  t14288 = t60 * t13919;
  t14289 = t819 * t14288;
  t14292 = t69 * t2836;
  t14293 = t14292 * t3399;
  t14296 = t2883 * t206;
  t14297 = t819 * t14296;
  t14299 = t2883 * t667;
  t14300 = t3430 * t14299;
  t14305 = t63 * t13919;
  t14306 = t819 * t14305;
  t14308 = t3375 * t14296;
  t14311 = t63 * t1839;
  t14312 = t653 * t14311;
  t14315 = -0.3e1 * t14282 * t1336 - t2866 * t837 + t1841 * t2884 / 0.2e1 + t519 * t14289 / 0.2e1 + 0.1e2 / 0.3e1 * t14293 * t8865 - t1843 * t14297 - t519 * t14300 - t14293 * t8944 / 0.9e1 - t1841 * t2874 - t519 * t14306 - 0.2e1 / 0.3e1 * t1847 * t14308 + 0.4e1 * t1847 * t14312;
  t14319 = t648 * t14311;
  t14324 = t229 * t14311;
  t14331 = t2869 * t3416;
  t14336 = t3409 * t14296;
  t14342 = -0.4e1 * t2870 * t3427 - 0.2e1 / 0.3e1 * t1847 * t14319 + 0.2e1 / 0.3e1 * t2870 * t3376 - 0.4e1 * t1843 * t14324 + 0.6e1 * t14282 * t1317 + 0.2e1 * t2866 * t821 + 0.2e1 * t14331 * t1322 + 0.6e1 * t14293 * t8957 + t1847 * t14336 - 0.12e2 * t14331 * t1326 - 0.2e1 / 0.3e1 * t14293 * t8954;
  t14343 = t648 * t14272;
  t14356 = 0.4e1 / 0.3e1 * t1847 * t14343 - 0.4e1 / 0.3e1 * t2870 * t3452 - 0.4e1 * t14331 * t1330 + t14293 * t8862 / 0.18e2 - 0.3e1 * t14293 * t8884 + 0.6e1 * t14331 * t1340 - t8948 - t8949 - t8966 + t8975 - t2138 + t2119;
  t14358 = t14281 + t14315 + t14342 + t14356;
  t14359 = t59 * t14358;
  t14360 = t14359 * t95;
  t14363 = t525 * t1830;
  t14368 = t238 * t2933;
  t14372 = 0.1e1 / t3080;
  t14373 = t14372 * t83;
  t14376 = t14372 * tau[0];
  t14397 = -0.2e2 / 0.3e1 * t1805 - 0.1e2 * t14373 * tau[0] - 0.17e3 * t3072 * t14376 + 0.1e3 / 0.3e1 * t692 * t1804 - 0.26e3 * t3075 * t14376 + 0.12e3 * t697 * t1804 + 0.3e3 * t3054 * t14376 + 0.4e2 / 0.3e1 * t702 * t1804 + 0.75e3 * t3061 * t14376 - 0.5e3 / 0.3e1 * t707 * t1804 + 0.35e3 * t3066 * t14376 - 0.1e3 * t714 * t1804;
  t14398 = t253 * t14397;
  t14399 = t65 * t14398;
  t14402 = t2889 * t277;
  t14407 = t1863 * t544;
  t14410 = -t7216 * t10772 / 0.6e1 - t7746 * t14242 / 0.6e1 - t7581 * t14246 / 0.6e1 + t7216 * t14249 / 0.12e2 + t7581 * t14254 / 0.12e2 + t9033 - t9044 - t30 * t14360 / 0.4e1 - t9058 - t9060 - t2089 - t9110 + t9112 - t30 * t14363 / 0.2e1 - t182 * t2934 / 0.4e1 - t30 * t14368 / 0.4e1 - t30 * t14399 / 0.4e1 - t30 * t14402 / 0.4e1 - t182 * t2895 / 0.2e1 - t30 * t14407 / 0.2e1;
  t14414 = my_piecewise3(t2, 0, t13957 + t14014 + t14058 + t14102 + t14145 + t14193 + t14239 + t14410);
  tv3rhotau20 = t3 * t14414 + t2938;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  tv3rhotau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 1] += tv3rhotau21;

  t14419 = t948 * t3015 / 0.12e2;
  t14421 = t948 * t3006 / 0.6e1;
  t14423 = t1905 * t1950 / 0.18e2;
  t14425 = t1905 * t2957 / 0.36e2;
  t14427 = t294 * t2998 / 0.6e1;
  t14429 = t294 * t3037 / 0.12e2;
  t14435 = t294 * t2993 / 0.12e2;
  t14446 = t933 * t2946;
  t14453 = t1902 * t2957 / 0.12e2 - t14419 + t14421 - t14423 + t14425 - t14427 - t14429 - t290 * t2998 / 0.2e1 - t290 * t3037 / 0.4e1 - t14435 - t290 * t2993 / 0.4e1 - t945 * t3015 / 0.4e1 + t945 * t3006 / 0.2e1 - t1902 * t1950 / 0.6e1 - t4065 * t3002 / 0.2e1 - t14446 * t1090 / 0.12e2 - t14446 * t1016 / 0.6e1 - t1902 * t2025 / 0.6e1;
  t14456 = t933 * t2941;
  t14460 = t7929 * t570 / 0.6e1;
  t14462 = t4040 * t3002 / 0.6e1;
  t14463 = t937 * t2946;
  t14465 = t14463 * t1023 / 0.9e1;
  t14467 = t1905 * t2025 / 0.18e2;
  t14469 = t14463 * t1016 / 0.18e2;
  t14470 = t937 * t2941;
  t14472 = t14470 * t350 / 0.18e2;
  t14474 = t14463 * t1090 / 0.36e2;
  t14482 = t948 * t3018 / 0.6e1;
  t14484 = t948 * t3010 / 0.6e1;
  t14485 = t14446 * t1023 / 0.3e1 + t14456 * t350 / 0.6e1 + t14460 - t14462 + t14465 - t14467 - t14469 + t14472 - t14474 - t945 * t3010 / 0.2e1 + t945 * t3018 / 0.2e1 + t7959 * t570 / 0.2e1 + t14482 - t14484 - t9156 + t9168 - t9180 + t9188;
  t14487 = my_piecewise3(t100, 0, t14453 + t14485);
  tv3rhotau22 = t3 * t14487 + t3041;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 2] += tv3rhotau22;

  t14507 = -t14051 + t14053 - t14055 + t14057 - t8667 + t8683 - t307 * t2934 / 0.4e1 - t307 * t2895 / 0.2e1 - t14095 - t903 * t2912 / 0.4e1 + t903 * t2903 / 0.2e1 - t1923 * t1779 / 0.6e1 + t1923 * t2854 / 0.12e2 - t14099 - t14101 + t903 * t2915 / 0.2e1 + t7824 * t530 / 0.2e1 - t3802 * t2899 / 0.2e1;
  t14508 = t897 * t2843;
  t14515 = t897 * t2838;
  t14524 = -t14508 * t630 / 0.6e1 - t1923 * t1886 / 0.6e1 + t14508 * t637 / 0.3e1 + t14515 * t223 / 0.6e1 - t14508 * t752 / 0.12e2 - t903 * t2907 / 0.2e1 + t14106 + t14109 - t14111 - t14113 - t14115 + t14118 + t14129 - t14131 - t14133 - t307 * t2890 / 0.4e1 - t9215 + t9226;
  t14526 = my_piecewise3(t2, 0, t14507 + t14524);
  tv3rhotau23 = t3 * t14526 + t2938;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 3] += tv3rhotau23;

  tv3rhotau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 4] += tv3rhotau24;

  t14533 = t2939 * t4356;
  t14534 = t3512 * t14533;
  t14535 = t321 * t14534;
  t14540 = t2939 * t4333;
  t14541 = t616 * t14540;
  t14542 = t321 * t14541;
  t14550 = t1031 * t14540;
  t14551 = t14550 * t1412;
  t14554 = t4373 * t14533;
  t14555 = t14554 * t9340;
  t14559 = t14554 * t9312;
  t14562 = t14554 * t9317;
  t14567 = -t14419 + t14421 - t14423 + t14425 - t8201 * t1975 - t1965 * t11723 / 0.3e1 + 0.2e1 / 0.3e1 * t1965 * t11727 - t14535 * t9289 / 0.2e1 + 0.7e1 / 0.3e1 * t14535 * t9292 - 0.2e1 * t14542 * t1402 - 0.11e2 / 0.18e2 * t14535 * t9333 + 0.23e2 / 0.36e2 * t14535 * t9286 + t14542 * t1396 - 0.3e1 * t373 * t14551 + 0.3e1 / 0.2e1 * t373 * t14555 + t2030 * t1978 + 0.3e1 / 0.2e1 * t4395 * t14559 - 0.3e1 * t1030 * t14562 - 0.3e1 / 0.2e1 * t14535 * t9345;
  t14568 = t2954 * t994;
  t14569 = t4543 * t14568;
  t14570 = t559 * t14569;
  t14573 = -t2180 - t9308 - t9324 + t9327 + t9353 + t9357 - t9359 - t9361 - t14427 - t14429 - t14435 - t9442 + t5540 * t14570 / 0.2e1 + t2251 + t14460 - t14462 + t14465 - t14467 - t14469;
  t14577 = t2954 * t333;
  t14578 = t168 * t14577;
  t14579 = t5587 * t14578;
  t14582 = t1021 * t14577;
  t14583 = t5549 * t14582;
  t14586 = t1074 * t2946;
  t14605 = t14472 - t14474 + t14482 - t14484 - t9464 + t9487 + t9489 - t8058 * t11469 / 0.3e1 + t8058 * t14579 / 0.6e1 - t8058 * t14583 / 0.3e1 - t14586 * t1090 / 0.12e2 + t8184 * t570 / 0.2e1 + t14586 * t1023 / 0.3e1 + t2947 * t4438 / 0.3e1 - t2947 * t4490 / 0.12e2 - t14586 * t1016 / 0.6e1 - t2947 * t4352 / 0.6e1 - t2043 * t2025 / 0.6e1 - t2048 * t2025 / 0.6e1;
  t14608 = t1074 * t2941;
  t14621 = t349 * t2993;
  t14624 = t2991 * t370;
  t14625 = t369 * t14624;
  t14626 = t321 * t14625;
  t14639 = t11448 * t1963;
  t14640 = t14639 * t1407;
  t14642 = t8079 * t1948;
  t14643 = t1000 * t14642;
  t14648 = t1019 * t2038;
  t14649 = t1013 * t14648;
  t14650 = t1974 * t14649;
  t14652 = -t555 * t8179 / 0.6e1 + t14608 * t350 / 0.6e1 + t2942 * t1087 / 0.6e1 + t1056 * t3018 / 0.2e1 + t2030 * t2040 / 0.2e1 - t4349 * t3002 / 0.2e1 - t4383 * t3002 / 0.2e1 - t338 * t14621 / 0.12e2 + t14626 * t377 / 0.4e1 + t8189 * t570 / 0.2e1 - t1078 * t3010 / 0.2e1 - t1056 * t3010 / 0.2e1 + t1078 * t3018 / 0.2e1 - t9505 - t9507 + 0.2e1 / 0.3e1 * t8058 * t11465 - t5535 * t14640 - t338 * t14643 / 0.6e1 + t2030 * t1954 / 0.2e1 - t1030 * t14650;
  t14655 = t14550 * t1407;
  t14679 = t167 * t2038;
  t14680 = t371 * t14679;
  t14681 = t1400 * t14680;
  t14684 = t988 * t14679;
  t14685 = t1393 * t14684;
  t14698 = 0.3e1 * t1030 * t14655 - t2030 * t1937 - t2030 * t1941 / 0.2e1 - 0.2e1 / 0.3e1 * t2947 * t4691 + t2947 * t4656 / 0.3e1 - t2043 * t1950 / 0.6e1 - t2048 * t1950 / 0.6e1 - t555 * t8445 / 0.6e1 - t555 * t8122 / 0.6e1 + t555 * t8478 / 0.6e1 - t1965 * t11687 / 0.6e1 - t555 * t8081 / 0.6e1 + 0.2e1 / 0.3e1 * t1965 * t14681 - t1965 * t14685 / 0.3e1 + t2947 * t4163 / 0.3e1 - t2947 * t4166 / 0.6e1 + t1958 * t11682 / 0.3e1 - 0.5e1 / 0.36e2 * t14535 * t9405 - t2947 * t4722 / 0.12e2;
  t14701 = t8065 * t1935;
  t14702 = t14701 * t1419;
  t14710 = t8070 * t3014;
  t14713 = t8065 * t553;
  t14714 = t14713 * t1100;
  t14717 = t1182 * t14577;
  t14718 = t2056 * t14717;
  t14723 = t4697 * t2955;
  t14724 = t987 * t14723;
  t14728 = t1013 * t1019 * t552;
  t14734 = t989 * t1935;
  t14737 = t4206 * t1963;
  t14740 = t989 * t553;
  t14747 = t558 * t1043;
  t14752 = t2059 * t1007;
  t14755 = 0.2e1 / 0.3e1 * t9370 * t14728 + 0.2e1 * t989 * t2038 * t376 - 0.4e1 * t14734 * t1419 + 0.4e1 / 0.3e1 * t14737 * t1407 - 0.2e1 * t14740 * t1100 + 0.4e1 * t14737 * t1412 - 0.2e1 * t2068 * t349 + 0.4e1 * t14747 * t1419 + 0.2e1 * t561 * t1100 - 0.4e1 * t14752 * t1412;
  t14756 = t167 * t14755;
  t14757 = t988 * t14756;
  t14758 = t987 * t14757;
  t14767 = t1400 * t14684;
  t14772 = t1000 * t14684;
  t14775 = t194 * t2945;
  t14776 = t321 * t14775;
  t14779 = t142 * t2954;
  t14780 = t14779 * t333;
  t14781 = t1203 * t14780;
  t14784 = t1190 * t14780;
  t14787 = t360 * t14780;
  t14790 = t14779 * t994;
  t14791 = t360 * t14790;
  t14794 = t69 * t2939;
  t14795 = t14794 * t4375;
  t14800 = t140 * t2038;
  t14801 = t1034 * t14800;
  t14806 = t2972 * t4334;
  t14813 = -0.2e1 * t8254 * t14781 + t8254 * t14784 / 0.3e1 + 0.2e1 * t8251 * t14787 + 0.2e1 * t11528 * t14791 + t14795 * t9537 / 0.18e2 + 0.1e2 / 0.3e1 * t14795 * t9548 + 0.4e1 / 0.3e1 * t2060 * t14801 - 0.4e1 / 0.3e1 * t2973 * t4599 - 0.4e1 * t14806 * t1485 + 0.6e1 * t14806 * t1495 - 0.3e1 * t14795 * t9571;
  t14814 = t140 * t14755;
  t14815 = t1182 * t14814;
  t14818 = t1093 * t14800;
  t14823 = t356 * t14800;
  t14826 = t2968 * t4425;
  t14832 = t559 * t14815 / 0.2e1 - 0.2e1 * t2060 * t14818 + 0.2e1 * t2973 * t4582 + 0.2e1 * t2056 * t14823 - 0.3e1 * t14826 * t1491 - t2969 * t1200 + t2054 * t2987 / 0.2e1 + t9557 + t9559 + t9570 - t9574 - t9585;
  t14836 = t2986 * t994;
  t14837 = t4543 * t14836;
  t14839 = t143 * t2038;
  t14840 = t356 * t14839;
  t14849 = t1034 * t14839;
  t14854 = -t9586 - t9588 + t9635 + 0.6e1 * t14795 * t9629 - t559 * t14837 - 0.4e1 * t2056 * t14840 + 0.6e1 * t14826 * t1472 + 0.2e1 * t2969 * t1184 + 0.2e1 * t14806 * t1477 - 0.2e1 / 0.3e1 * t2060 * t14849 + 0.2e1 / 0.3e1 * t2973 * t4563;
  t14857 = t2986 * t333;
  t14858 = t4549 * t14857;
  t14865 = t143 * t14755;
  t14866 = t1182 * t14865;
  t14868 = t4408 * t14857;
  t14871 = t1093 * t14839;
  t14876 = t1182 * t14857;
  t14878 = -t14795 * t9612 / 0.9e1 + t2060 * t14858 - 0.12e2 * t14806 * t1481 - 0.2e1 / 0.3e1 * t14795 * t9626 - t2054 * t2977 - t559 * t14866 - 0.2e1 / 0.3e1 * t2060 * t14868 + 0.4e1 * t2060 * t14871 - 0.4e1 * t2973 * t4550 - t2056 * t14876 - t2229 + t2210;
  t14880 = t14813 + t14832 + t14854 + t14878;
  t14881 = t139 * t14880;
  t14882 = t14881 * t168;
  t14885 = t2043 * t2957 / 0.12e2 - t4145 * t14702 + t8052 * t11739 / 0.3e1 + t8055 * t8076 / 0.6e1 - t8058 * t11765 / 0.6e1 - t4145 * t14710 / 0.4e1 - t4145 * t14714 / 0.2e1 + t5540 * t14718 / 0.2e1 + t2048 * t2957 / 0.12e2 + t555 * t14724 / 0.12e2 + t555 * t14758 / 0.12e2 - t2942 * t997 / 0.6e1 + t14542 * t1438 / 0.2e1 + t2942 * t1002 / 0.6e1 - t1965 * t14767 / 0.6e1 + t2947 * t4687 / 0.6e1 + t1958 * t14772 / 0.3e1 - t14776 * t1433 / 0.2e1 - t110 * t14882 / 0.4e1;
  t14889 = t14639 * t1412;
  t14891 = t552 * t2954;
  t14892 = t4408 * t14891;
  t14893 = t5561 * t14892;
  t14896 = t4549 * t14577;
  t14897 = t2060 * t14896;
  t14900 = t2992 * t404;
  t14905 = t2076 * t584;
  t14908 = t565 * t2013;
  t14913 = t365 * t3036;
  t14917 = 0.1e1 / t4287;
  t14918 = t14917 * t156;
  t14921 = t14917 * tau[1];
  t14942 = -0.2e2 / 0.3e1 * t1988 - 0.1e2 * t14918 * tau[1] - 0.17e3 * t4264 * t14921 + 0.1e3 / 0.3e1 * t1118 * t1987 - 0.26e3 * t4271 * t14921 + 0.12e3 * t1123 * t1987 + 0.3e3 * t4274 * t14921 + 0.4e2 / 0.3e1 * t1128 * t1987 + 0.75e3 * t4277 * t14921 - 0.5e3 / 0.3e1 * t1133 * t1987 + 0.35e3 * t4282 * t14921 - 0.1e3 * t1140 * t1987;
  t14943 = t380 * t14942;
  t14944 = t145 * t14943;
  t14947 = t4137 * t14578;
  t14950 = t168 * t14568;
  t14951 = t9270 * t14950;
  t14954 = t5549 * t14578;
  t14957 = t403 * t2954;
  t14958 = t380 * t14957;
  t14959 = t4137 * t14958;
  t14962 = -t318 * t2993 / 0.4e1 + t9702 + t9704 - t9180 + t9188 + t4145 * t14889 + t5559 * t14893 / 0.2e1 - t5540 * t14897 / 0.2e1 - t110 * t14900 / 0.4e1 - t318 * t2998 / 0.2e1 - t110 * t14905 / 0.2e1 - t110 * t14908 / 0.2e1 - t318 * t3037 / 0.4e1 - t110 * t14913 / 0.4e1 - t110 * t14944 / 0.4e1 - t8052 * t14947 / 0.6e1 - t8055 * t14951 / 0.6e1 + t8058 * t14954 / 0.12e2 + t8055 * t14959 / 0.12e2;
  t14964 = t1013 * t1014 * t2038;
  t14965 = t1974 * t14964;
  t14967 = t1031 * t2945;
  t14968 = t14967 * t4176;
  t14970 = t978 * t2972;
  t14971 = t14970 * t1094;
  t14974 = params->at * t3035;
  t14975 = t988 * t14974;
  t14976 = t1000 * t14975;
  t14980 = t14974 * t353 * t376;
  t14983 = t374 * t2945;
  t14984 = t14983 * t1419;
  t14987 = t374 * t2940;
  t14988 = t14987 * t1100;
  t14992 = t978 * t2968 * t1045;
  t14999 = t8317 * t3014;
  t15003 = t985 * t348 * t14755;
  t15004 = t1940 * t15003;
  t15008 = t346 * t348 * t2038;
  t15009 = t1936 * t15008;
  t15011 = t14967 * t4171;
  t15013 = t14970 * t1035;
  t15021 = t8120 * t558 * t376;
  t15025 = t1948 * t2053 * t376;
  t15030 = t373 * t14965 - t373 * t14968 + t373 * t14971 / 0.2e1 - t338 * t14976 / 0.12e2 + t373 * t14980 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t14984 + t373 * t14988 / 0.2e1 - t373 * t14992 / 0.2e1 - t1078 * t3015 / 0.4e1 - t1056 * t3015 / 0.4e1 - t373 * t14999 / 0.4e1 - t373 * t15004 / 0.4e1 - t373 * t15009 + t1030 * t15011 - t1030 * t15013 / 0.2e1 + t1078 * t3006 / 0.2e1 + t1056 * t3006 / 0.2e1 + t373 * t15021 / 0.2e1 + t373 * t15025 / 0.2e1 + t2030 * t1945 / 0.2e1;
  t15034 = my_piecewise3(t100, 0, t14567 + t14573 + t14605 + t14652 + t14698 + t14885 + t14962 + t15030);
  tv3rhotau25 = t3 * t15034 + t3041;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 5] += tv3rhotau25;

  t15036 = t3172 * t2107;
  t15039 = t244 * t2106;
  t15040 = t3250 * t15039;
  t15042 = t2105 * t2105;
  t15044 = t3138 * t221 * t15042;
  t15045 = t1250 * t15044;
  t15048 = t94 * t15042;
  t15049 = t661 * t15048;
  t15050 = t3139 * t15049;
  t15053 = t633 * t2105;
  t15054 = t3171 * t15053;
  t15055 = t8733 * t15054;
  t15058 = t3250 * t2107;
  t15061 = t5044 * t2106;
  t15062 = t660 * t15061;
  t15069 = 0.2e1 * t662 * t2084 * t249;
  t15073 = t3227 * t2090;
  t15081 = 0.2e1 * t2136 * t222;
  t15088 = 0.2e1 / 0.3e1 * t2133 * t634 + t15069 - 0.4e1 * t662 * t2090 * t748 + 0.4e1 / 0.3e1 * t15073 * t649 - 0.2e1 * t8825 * t2166 + 0.4e1 * t15073 * t654 - t15081 + 0.4e1 * t2139 * t222 + 0.2e1 * t423 * t2166 - 0.4e1 * t2133 * t629;
  t15089 = t94 * t15088;
  t15090 = t661 * t15089;
  t15091 = t660 * t15090;
  t15096 = t8776 * t2268;
  t15097 = t15096 / 0.2e1;
  t15098 = t2087 * t2108;
  t15099 = t15098 / 0.6e1;
  t15100 = t8783 * t2271;
  t15101 = t15100 / 0.4e1;
  t15102 = t628 * t2105;
  t15103 = t3171 * t15102;
  t15104 = t8733 * t15103;
  t15107 = t2098 * t15036 / 0.2e1 - t2098 * t15040 + t246 * t15045 / 0.2e1 - t417 * t15050 / 0.6e1 + 0.3e1 / 0.2e1 * t644 * t15055 + t2098 * t15058 / 0.4e1 + t417 * t15062 / 0.4e1 + t417 * t15091 / 0.12e2 - t2093 * t2108 / 0.3e1 + t15097 + t15099 - t15101 - 0.3e1 / 0.2e1 * t246 * t15104;
  t15108 = t9113 * t2166;
  t15111 = t658 * t221 * t15088;
  t15112 = t1250 * t15111;
  t15115 = t8741 * t2323;
  t15116 = t246 * t15115;
  t15117 = 0.3e1 / 0.2e1 * t15116;
  t15118 = t8745 * t2166;
  t15119 = t246 * t15118;
  t15120 = t15119 / 0.2e1;
  t15123 = t633 * t2084;
  t15124 = t627 * t15123;
  t15125 = t1232 * t15124;
  t15126 = t644 * t15125;
  t15127 = 0.3e1 / 0.2e1 * t15126;
  t15128 = t2090 * t414;
  t15129 = t69 * t15128;
  t15130 = t15129 * t3396;
  t15133 = t615 * t15128;
  t15134 = t15133 * t3415;
  t15139 = t60 * t15042;
  t15140 = t3430 * t15139;
  t15142 = t193 * t15128;
  t15143 = t15142 * t3421;
  t15146 = t15133 * t3416;
  t15149 = t15129 * t3399;
  t15154 = t3409 * t2141;
  t15157 = t8854 * t2306;
  t15158 = 0.3e1 * t15157;
  t15161 = t60 * t15088;
  t15162 = t819 * t15161;
  t15165 = t3375 * t2141;
  t15168 = t8874 * t2302;
  t15169 = 0.3e1 * t15168;
  t15170 = t2118 * t2142;
  t15171 = t8854 * t2299;
  t15172 = 0.2e1 * t15171;
  t15173 = 0.1e2 / 0.3e1 * t15130 * t3476 + 0.6e1 * t15134 * t841 - 0.3e1 * t15130 * t3491 - t421 * t15140 + 0.6e1 * t15143 * t230 - 0.12e2 * t15146 * t823 - 0.2e1 / 0.3e1 * t15149 * t3403 + 0.6e1 * t15149 * t3406 + 0.3e1 * t2125 * t15154 - t15158 - 0.2e1 * t2121 * t2142 + t421 * t15162 / 0.2e1 - 0.2e1 * t2125 * t15165 + t15169 + t15170 + t15172;
  t15178 = t2118 * t2129;
  t15179 = 0.2e1 * t15178;
  t15180 = t8854 * t2291;
  t15181 = t8854 * t2295;
  t15182 = 0.6e1 * t15181;
  t15183 = t63 * t15042;
  t15184 = t3430 * t15183;
  t15189 = t3375 * t2128;
  t15191 = t63 * t15088;
  t15192 = t819 * t15191;
  t15194 = t8874 * t2288;
  t15195 = 0.6e1 * t15194;
  t15196 = t3409 * t2128;
  t15199 = t15142 * t619;
  t15206 = 0.2e1 * t15146 * t816 - t15149 * t3449 / 0.9e1 - t15179 - t15180 + t15182 + 0.2e1 * t421 * t15184 + 0.4e1 * t2121 * t2129 + t2125 * t15189 - t421 * t15192 - t15195 - 0.6e1 * t2125 * t15196 - 0.3e1 * t15199 * t234 - 0.4e1 * t15134 * t828 + t15130 * t3483 / 0.18e2 - t2138 + t2119;
  t15207 = t15173 + t15206;
  t15208 = t59 * t15207;
  t15209 = t15208 * t95;
  t15212 = t8783 * t2276;
  t15213 = t15212 / 0.2e1;
  t15214 = t8783 * t2282;
  t15215 = t9030 * t2331;
  t15216 = t246 * t15215;
  t15217 = 0.3e1 / 0.2e1 * t15216;
  t15219 = t247 * t15128 * t3643;
  t15224 = t246 * t15108 - t246 * t15112 / 0.4e1 - t15117 - t15120 - 0.3e1 / 0.4e1 * t1293 * t2167 - t15127 + t2160 - t30 * t15209 / 0.4e1 - t15213 + t15214 + t15217 + 0.3e1 / 0.2e1 * t246 * t15219 - 0.3e1 / 0.2e1 * t1293 * t2162;
  t15230 = t3658 * t15128;
  t15231 = t15230 * t3681;
  t15234 = t15230 * t3685;
  t15237 = t15128 * t3396;
  t15238 = t3512 * t15237;
  t15239 = t191 * t15238;
  t15245 = t15128 * t3415;
  t15246 = t616 * t15245;
  t15247 = t191 * t15246;
  t15255 = t645 * t15128;
  t15256 = t15255 * t3504;
  t15259 = t15128 * t619;
  t15260 = t194 * t15259;
  t15261 = t191 * t15260;
  t15264 = -0.3e1 / 0.2e1 * t5073 * t2154 + 0.3e1 / 0.2e1 * t1293 * t2170 + 0.3e1 / 0.2e1 * t3680 * t15231 - 0.3e1 * t644 * t15234 - t15239 * t3665 / 0.2e1 + 0.7e1 / 0.3e1 * t15239 * t3668 + t2098 * t5068 - 0.2e1 * t15247 * t637 - 0.11e2 / 0.18e2 * t15239 * t3517 + 0.23e2 / 0.36e2 * t15239 * t3545 + t15247 * t630 + 0.3e1 * t644 * t15256 - t15261 * t223 / 0.2e1;
  t15271 = t2087 * t1288;
  t15272 = t15271 / 0.4e1;
  t15279 = t1293 * t2158;
  t15280 = 0.3e1 / 0.4e1 * t15279;
  t15283 = t15255 * t3508;
  t15286 = t15230 * t3660;
  t15291 = -0.5e1 / 0.36e2 * t15239 * t3602 - t2098 * t5064 / 0.2e1 - t417 * t9098 / 0.4e1 - t15272 + t2093 * t1288 / 0.2e1 + t15247 * t752 / 0.2e1 - t2098 * t5102 / 0.4e1 + t15280 + 0.3e1 / 0.4e1 * t9070 * t432 - 0.3e1 * t246 * t15283 + 0.3e1 / 0.2e1 * t246 * t15286 - 0.3e1 / 0.2e1 * t15239 * t3673 - t2089;
  t15294 = my_piecewise3(t2, 0, t15107 + t15224 + t15264 + t15291);
  tv3sigma30 = t3 * t15294;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t15295 = t9306 * t2347;
  t15296 = t15295 / 0.2e1;
  t15297 = t9306 * t2353;
  t15298 = t2181 * t439;
  t15299 = t615 * t15298;
  t15300 = t15299 * t4334;
  t15303 = t69 * t15298;
  t15304 = t15303 * t4375;
  t15307 = t9568 * t2377;
  t15308 = 0.3e1 * t15307;
  t15309 = t9568 * t2370;
  t15310 = 0.2e1 * t15309;
  t15315 = t4408 * t2232;
  t15318 = t2196 * t2196;
  t15319 = t140 * t15318;
  t15320 = t4543 * t15319;
  t15322 = t193 * t15298;
  t15323 = t15322 * t4425;
  t15328 = t4549 * t2232;
  t15337 = 0.2e1 * t989 * t2175 * t376;
  t15341 = t4206 * t2181;
  t15349 = 0.2e1 * t2227 * t349;
  t15356 = 0.2e1 / 0.3e1 * t2224 * t1020 + t15337 - 0.4e1 * t989 * t2181 * t1045 + 0.4e1 / 0.3e1 * t15341 * t1035 - 0.2e1 * t9382 * t2257 + 0.4e1 * t15341 * t1094 - t15349 + 0.4e1 * t2230 * t349 + 0.2e1 * t448 * t2257 - 0.4e1 * t2224 * t1015;
  t15357 = t140 * t15356;
  t15358 = t1182 * t15357;
  t15361 = t9556 * t2373;
  t15362 = 0.3e1 * t15361;
  t15363 = t2209 * t2233;
  t15364 = t15299 * t4333;
  t15367 = -0.12e2 * t15300 * t1186 - 0.2e1 / 0.3e1 * t15304 * t4589 - t15308 + t15310 + 0.2e1 * t15300 * t1179 - t15304 * t4612 / 0.9e1 - 0.2e1 * t2216 * t15315 - t446 * t15320 + 0.6e1 * t15323 * t357 + 0.6e1 * t15304 * t4579 + 0.3e1 * t2216 * t15328 - 0.2e1 * t2212 * t2233 + t446 * t15358 / 0.2e1 + t15362 + t15363 + 0.6e1 * t15364 * t1204;
  t15368 = t15303 * t4356;
  t15377 = t9568 * t2366;
  t15378 = 0.6e1 * t15377;
  t15379 = t143 * t15356;
  t15380 = t1182 * t15379;
  t15382 = t9556 * t2359;
  t15383 = 0.6e1 * t15382;
  t15384 = t2209 * t2220;
  t15385 = 0.2e1 * t15384;
  t15386 = t9568 * t2362;
  t15389 = t4408 * t2219;
  t15391 = t143 * t15318;
  t15392 = t4543 * t15391;
  t15395 = t15322 * t1007;
  t15398 = t4549 * t2219;
  t15401 = -0.3e1 * t15368 * t4621 - 0.4e1 * t15364 * t1191 + t15368 * t4634 / 0.18e2 + 0.1e2 / 0.3e1 * t15368 * t4625 + t15378 - t446 * t15380 - t15383 - t15385 - t15386 + 0.4e1 * t2212 * t2220 + t2216 * t15389 + 0.2e1 * t446 * t15392 - 0.3e1 * t15395 * t361 - 0.6e1 * t2216 * t15398 - t2229 + t2210;
  t15402 = t15367 + t15401;
  t15403 = t139 * t15402;
  t15404 = t15403 * t168;
  t15407 = t9672 * t2257;
  t15410 = t985 * t348 * t15356;
  t15411 = t1423 * t15410;
  t15414 = t9461 * t2394;
  t15415 = t373 * t15414;
  t15416 = 0.3e1 / 0.2e1 * t15415;
  t15417 = t9439 * t2257;
  t15418 = t373 * t15417;
  t15419 = t15418 / 0.2e1;
  t15422 = t15298 * t4356;
  t15423 = t3512 * t15422;
  t15424 = t321 * t15423;
  t15427 = t15298 * t4333;
  t15428 = t616 * t15427;
  t15429 = t321 * t15428;
  t15433 = -t15296 + t15297 - t110 * t15404 / 0.4e1 - t2180 + t373 * t15407 - t373 * t15411 / 0.4e1 - t15416 - t15419 - 0.3e1 / 0.4e1 * t1454 * t2258 + t2251 + 0.7e1 / 0.3e1 * t15424 * t4505 + t15429 * t1016 - 0.2e1 * t15429 * t1023;
  t15441 = t4706 * t348 * t15318;
  t15442 = t1423 * t15441;
  t15445 = t167 * t15318;
  t15446 = t988 * t15445;
  t15447 = t4707 * t15446;
  t15450 = t9351 * t2339;
  t15451 = t15450 / 0.2e1;
  t15452 = t2178 * t2199;
  t15453 = t15452 / 0.6e1;
  t15454 = t9306 * t2342;
  t15455 = t15454 / 0.4e1;
  t15456 = t1014 * t2196;
  t15457 = t4161 * t15456;
  t15458 = t9454 * t15457;
  t15461 = t4162 * t2198;
  t15464 = t371 * t2197;
  t15465 = t4686 * t15464;
  t15467 = t1019 * t2175;
  t15468 = t1013 * t15467;
  t15469 = t1405 * t15468;
  t15470 = t1030 * t15469;
  t15471 = 0.3e1 / 0.2e1 * t15470;
  t15472 = t1019 * t2196;
  t15473 = t4161 * t15472;
  t15474 = t9454 * t15473;
  t15477 = -0.11e2 / 0.18e2 * t15424 * t4365 + 0.23e2 / 0.36e2 * t15424 * t4370 - t15424 * t4414 / 0.2e1 + t373 * t15442 / 0.2e1 - t442 * t15447 / 0.6e1 + t15451 + t15453 - t15455 - 0.3e1 / 0.2e1 * t373 * t15458 + t2189 * t15461 / 0.2e1 - t2189 * t15465 - t15471 + 0.3e1 / 0.2e1 * t1030 * t15474;
  t15479 = t4686 * t2198;
  t15482 = t6006 * t2197;
  t15483 = t987 * t15482;
  t15486 = t167 * t15356;
  t15487 = t988 * t15486;
  t15488 = t987 * t15487;
  t15500 = t4373 * t15298;
  t15501 = t15500 * t4377;
  t15504 = t1031 * t15298;
  t15505 = t15504 * t4339;
  t15514 = t2189 * t15479 / 0.4e1 + t442 * t15483 / 0.4e1 + t442 * t15488 / 0.12e2 - t2184 * t2199 / 0.3e1 + t2189 * t5669 - 0.3e1 / 0.2e1 * t15424 * t4405 - 0.3e1 / 0.2e1 * t5674 * t2245 + 0.3e1 / 0.2e1 * t1454 * t2261 - 0.3e1 * t1030 * t15501 - 0.3e1 * t373 * t15505 + t15429 * t1090 / 0.2e1 - t2189 * t5686 / 0.4e1 - 0.5e1 / 0.36e2 * t15424 * t4467;
  t15515 = t15500 * t4409;
  t15518 = t15500 * t4397;
  t15522 = t374 * t15298 * t4426;
  t15525 = t15504 * t4335;
  t15530 = t15298 * t1007;
  t15531 = t194 * t15530;
  t15532 = t321 * t15531;
  t15535 = t1454 * t2249;
  t15536 = 0.3e1 / 0.4e1 * t15535;
  t15543 = t2178 * t1449;
  t15544 = t15543 / 0.4e1;
  t15547 = t9321 * t2402;
  t15548 = t373 * t15547;
  t15549 = 0.3e1 / 0.2e1 * t15548;
  t15550 = 0.3e1 / 0.2e1 * t373 * t15515 + 0.3e1 / 0.2e1 * t4395 * t15518 + 0.3e1 / 0.2e1 * t373 * t15522 + 0.3e1 * t1030 * t15525 - 0.3e1 / 0.2e1 * t1454 * t2253 - t15532 * t350 / 0.2e1 + t15536 + 0.3e1 / 0.4e1 * t9710 * t457 - t2189 * t5665 / 0.2e1 - t442 * t9705 / 0.4e1 - t15544 + t2184 * t1449 / 0.2e1 + t15549;
  t15553 = my_piecewise3(t100, 0, t15433 + t15477 + t15514 + t15550);
  tv3sigma39 = t3 * t15553;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t15554 = t15096 / 0.3e1;
  t15555 = t15100 / 0.6e1;
  t15556 = t633 * t2090;
  t15557 = t3474 * t15556;
  t15558 = t6230 * t15557;
  t15561 = t3401 * t2090;
  t15562 = t3474 * t15561;
  t15563 = t6230 * t15562;
  t15567 = t627 * t628 * t2090;
  t15568 = t6193 * t15567;
  t15571 = t94 * t2090;
  t15572 = t661 * t15571;
  t15573 = t4831 * t15572;
  t15576 = t244 * t15571;
  t15577 = t4838 * t15576;
  t15580 = t642 * t15571;
  t15581 = t4844 * t15580;
  t15584 = t3447 * t2090;
  t15585 = t3474 * t15584;
  t15586 = t6230 * t15585;
  t15589 = t1220 * t15572;
  t15591 = t1227 * t15576;
  t15594 = t5044 * t2266;
  t15595 = t673 * t15594;
  t15598 = t94 * t2084;
  t15599 = t661 * t15598;
  t15600 = t673 * t15599;
  t15601 = t1568 * t15600;
  t15602 = t15601 / 0.6e1;
  t15603 = t15554 + t15099 - t15555 - t15116 - t15120 - t15126 + t2160 + 0.3e1 / 0.2e1 * t246 * t15558 - 0.3e1 * t644 * t15563 - 0.3e1 * t246 * t15568 - t6107 * t15573 / 0.2e1 + 0.7e1 / 0.3e1 * t6107 * t15577 - 0.3e1 / 0.2e1 * t6107 * t15581 + 0.3e1 / 0.2e1 * t3680 * t15586 + t6167 * t15589 - 0.2e1 * t6167 * t15591 + t1568 * t15595 / 0.3e1 + t15602;
  t15604 = t1227 * t15572;
  t15607 = t1227 * t15594;
  t15610 = t1547 * t15124;
  t15611 = t644 * t15610;
  t15612 = t15611 / 0.2e1;
  t15613 = t1220 * t15599;
  t15614 = t1541 * t15613;
  t15615 = t15614 / 0.6e1;
  t15616 = t244 * t15598;
  t15617 = t1227 * t15616;
  t15618 = t1541 * t15617;
  t15619 = t15618 / 0.3e1;
  t15620 = t6255 * t2106;
  t15621 = t660 * t15620;
  t15624 = t819 * t8613;
  t15625 = t1587 * t15624;
  t15627 = t1321 * t9887;
  t15630 = t15212 / 0.3e1;
  t15631 = 0.2e1 / 0.3e1 * t15214;
  t15632 = t1220 * t15594;
  t15635 = t1559 * t15044;
  t15639 = t219 * t221 * t2090;
  t15640 = t6208 * t15639;
  t15643 = t627 * t15556;
  t15644 = t6193 * t15643;
  t15647 = t4838 * t15572;
  t15650 = t4844 * t15576;
  t15655 = t6167 * t15604 / 0.2e1 - t1541 * t15607 / 0.6e1 - t15612 - t15615 + t15619 + t417 * t15621 / 0.12e2 + t4779 * t15625 + 0.3e1 / 0.2e1 * t4738 * t15627 - t15630 + t15631 - t1541 * t15632 / 0.3e1 + t246 * t15635 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t15640 + 0.3e1 * t644 * t15644 + t15216 - 0.11e2 / 0.18e2 * t6107 * t15647 + 0.23e2 / 0.36e2 * t6107 * t15650 - t466 * t15050 / 0.6e1;
  t15657 = t673 * t15572;
  t15660 = t1227 * t15599;
  t15661 = t1541 * t15660;
  t15662 = t15661 / 0.12e2;
  t15663 = t4844 * t15572;
  t15670 = t95 * t8613;
  t15671 = t3130 * t15670;
  t15674 = t4770 * t15670;
  t15677 = t635 * t8613;
  t15678 = t4760 * t15677;
  t15680 = t4760 * t15670;
  t15683 = t8891 * t414;
  t15684 = t840 * t15683;
  t15687 = t233 * t15683;
  t15690 = t827 * t15683;
  t15692 = 0.2e1 * t15157;
  t15695 = t60 * t2084;
  t15696 = t653 * t15695;
  t15697 = t1591 * t15696;
  t15698 = t60 * t2090;
  t15699 = t653 * t15698;
  t15702 = t3375 * t15698;
  t15705 = t3402 * t15698;
  t15708 = t648 * t15695;
  t15709 = t1591 * t15708;
  t15710 = 0.2e1 / 0.3e1 * t15709;
  t15711 = t229 * t15695;
  t15712 = t1587 * t15711;
  t15713 = t648 * t15698;
  t15716 = t3448 * t15698;
  t15719 = t229 * t15698;
  t15723 = t63 * t2090;
  t15724 = t653 * t15723;
  t15727 = t3402 * t15723;
  t15730 = t3375 * t15723;
  t15733 = 0.2e1 * t15168;
  t15734 = -0.6e1 * t6427 * t15684 + 0.4e1 * t6440 * t15687 + t6427 * t15690 - t15692 + t470 * t15162 / 0.2e1 - t15697 + 0.6e1 * t6393 * t15699 - 0.3e1 * t6390 * t15702 + 0.1e2 / 0.3e1 * t6390 * t15705 + t15710 + t15712 - 0.4e1 * t6393 * t15713 + t6390 * t15716 / 0.18e2 - 0.3e1 * t6424 * t15719 - t470 * t15140 - 0.12e2 * t6393 * t15724 - 0.2e1 / 0.3e1 * t6390 * t15727 + 0.6e1 * t6390 * t15730 + t15733;
  t15735 = 0.4e1 / 0.3e1 * t15171;
  t15736 = t2298 * t2105;
  t15737 = t819 * t15736;
  t15740 = t63 * t2084;
  t15741 = t229 * t15740;
  t15742 = t1587 * t15741;
  t15743 = 0.2e1 * t15742;
  t15744 = t648 * t15723;
  t15747 = t648 * t15740;
  t15748 = t1591 * t15747;
  t15749 = t15748 / 0.3e1;
  t15750 = t3448 * t15723;
  t15754 = t3375 * t15736;
  t15757 = t229 * t15723;
  t15762 = t3409 * t15736;
  t15765 = t653 * t15740;
  t15766 = t1591 * t15765;
  t15767 = 0.2e1 * t15766;
  t15768 = 0.2e1 / 0.3e1 * t15180;
  t15769 = 0.4e1 * t15181;
  t15770 = 0.4e1 * t15194;
  t15771 = t15170 + t15735 - 0.2e1 * t1587 * t15737 - t15743 + 0.2e1 * t6393 * t15744 - t15749 - t6390 * t15750 / 0.9e1 - t470 * t15192 - 0.2e1 * t1591 * t15754 + 0.6e1 * t6424 * t15757 + 0.2e1 * t470 * t15184 + 0.3e1 * t1591 * t15762 + t15767 - t15179 - t15768 + t15769 - t15770 - t2138 + t2119;
  t15772 = t15734 + t15771;
  t15773 = t59 * t15772;
  t15774 = t15773 * t95;
  t15777 = t1532 * t2158;
  t15778 = t15777 / 0.4e1;
  t15783 = t2087 * t1527;
  t15784 = t15783 / 0.12e2;
  t15787 = t1559 * t15111;
  t15791 = t627 * t628 * t2084;
  t15792 = t1547 * t15791;
  t15793 = t246 * t15792;
  t15794 = t15793 / 0.2e1;
  t15795 = t3409 * t8613;
  t15796 = t1591 * t15795;
  t15799 = -t6223 * t15657 / 0.2e1 - t15662 - 0.5e1 / 0.36e2 * t6107 * t15663 + t466 * t15062 / 0.6e1 + t466 * t15091 / 0.12e2 - t6491 * t15671 / 0.3e1 + t6069 * t15674 / 0.2e1 - t6069 * t15678 + t6069 * t15680 / 0.4e1 - t30 * t15774 / 0.4e1 + t15778 + t9070 * t481 / 0.4e1 + t10160 * t432 / 0.2e1 - t15784 - t417 * t10155 / 0.6e1 - t246 * t15787 / 0.4e1 + t15794 - 0.3e1 / 0.2e1 * t4779 * t15796;
  t15801 = t219 * t221 * t2084;
  t15802 = t1555 * t15801;
  t15803 = t246 * t15802;
  t15804 = t15803 / 0.2e1;
  t15807 = t1291 * t2266;
  t15808 = t1227 * t15807;
  t15811 = t15271 / 0.6e1;
  t15812 = t15279 / 0.2e1;
  t15834 = -t15804 - t5073 * t2319 + t1293 * t2332 + 0.2e1 / 0.3e1 * t1541 * t15808 - t15811 + t15812 - t2089 + t2093 * t1527 / 0.6e1 - t1532 * t2162 / 0.2e1 - t2098 * t6350 / 0.12e2 - t466 * t9098 / 0.12e2 + t1532 * t2170 / 0.2e1 - t2098 * t6286 / 0.6e1 + t2098 * t6290 / 0.3e1 - t6295 * t2154 / 0.2e1 - t1532 * t2167 / 0.4e1 - t1293 * t2324 - t1293 * t2327 / 0.2e1;
  t15837 = my_piecewise3(t2, 0, t15603 + t15655 + t15799 + t15834);
  tv3sigma2lapl0 = t3 * t15837;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  tv3sigma2lapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 1] += tv3sigma2lapl1;

  tv3sigma2lapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 2] += tv3sigma2lapl2;

  tv3sigma2lapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 3] += tv3sigma2lapl3;

  tv3sigma2lapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 4] += tv3sigma2lapl4;

  tv3sigma2lapl5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 5] += tv3sigma2lapl5;

  tv3sigma2lapl6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 6] += tv3sigma2lapl6;

  tv3sigma2lapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 7] += tv3sigma2lapl7;

  tv3sigma2lapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 8] += tv3sigma2lapl8;

  tv3sigma2lapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 9] += tv3sigma2lapl9;

  tv3sigma2lapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 10] += tv3sigma2lapl10;

  t15838 = t15295 / 0.3e1;
  t15839 = 0.2e1 / 0.3e1 * t15297;
  t15840 = t6006 * t2337;
  t15841 = t1400 * t15840;
  t15844 = t1452 * t2337;
  t15845 = t1400 * t15844;
  t15848 = t10382 * t2196;
  t15849 = t360 * t15848;
  t15852 = t1203 * t15848;
  t15855 = t1190 * t15848;
  t15857 = 0.2e1 * t15307;
  t15858 = 0.4e1 / 0.3e1 * t15309;
  t15859 = 0.2e1 * t15361;
  t15862 = t140 * t2181;
  t15863 = t1034 * t15862;
  t15866 = t4396 * t15862;
  t15869 = t4376 * t15862;
  t15872 = t4408 * t15862;
  t15875 = t1093 * t15862;
  t15880 = t143 * t2181;
  t15881 = t356 * t15880;
  t15884 = t1034 * t15880;
  t15887 = t143 * t2175;
  t15888 = t1034 * t15887;
  t15889 = t1720 * t15888;
  t15890 = t15889 / 0.3e1;
  t15891 = t4396 * t15880;
  t15895 = 0.4e1 * t6966 * t15849 - 0.6e1 * t6969 * t15852 + t6969 * t15855 - t15857 + t15858 + t15859 + t15363 + t494 * t15358 / 0.2e1 - 0.4e1 * t6984 * t15863 + t6988 * t15866 / 0.18e2 + 0.1e2 / 0.3e1 * t6988 * t15869 - 0.3e1 * t6988 * t15872 + 0.6e1 * t6984 * t15875 + 0.2e1 * t494 * t15392 + 0.6e1 * t7010 * t15881 + 0.2e1 * t6984 * t15884 - t15890 - t6988 * t15891 / 0.9e1 - t494 * t15380;
  t15896 = t2369 * t2196;
  t15897 = t4408 * t15896;
  t15900 = t1093 * t15887;
  t15901 = t1720 * t15900;
  t15902 = 0.2e1 * t15901;
  t15903 = t356 * t15887;
  t15904 = t1716 * t15903;
  t15905 = 0.2e1 * t15904;
  t15906 = t1182 * t15896;
  t15909 = t4549 * t15896;
  t15912 = t1093 * t15880;
  t15915 = t4376 * t15880;
  t15918 = t4408 * t15880;
  t15921 = 0.4e1 * t15377;
  t15922 = 0.4e1 * t15382;
  t15923 = 0.2e1 / 0.3e1 * t15386;
  t15924 = t356 * t15862;
  t15928 = t140 * t2175;
  t15929 = t1093 * t15928;
  t15930 = t1720 * t15929;
  t15931 = t1034 * t15928;
  t15932 = t1720 * t15931;
  t15933 = 0.2e1 / 0.3e1 * t15932;
  t15934 = t356 * t15928;
  t15935 = t1716 * t15934;
  t15936 = -0.2e1 * t1720 * t15897 + t15902 - t15905 - 0.2e1 * t1716 * t15906 + 0.3e1 * t1720 * t15909 - 0.12e2 * t6984 * t15912 - 0.2e1 / 0.3e1 * t6988 * t15915 + 0.6e1 * t6988 * t15918 + t15921 - t15922 - t15385 - t15923 - 0.3e1 * t7010 * t15924 - t494 * t15320 - t15930 + t15933 + t15935 - t2229 + t2210;
  t15937 = t15895 + t15936;
  t15938 = t139 * t15937;
  t15939 = t15938 * t168;
  t15943 = t1013 * t1014 * t2181;
  t15944 = t6928 * t15943;
  t15947 = t1019 * t2181;
  t15948 = t4362 * t15947;
  t15949 = t6935 * t15948;
  t15952 = t167 * t2181;
  t15953 = t1028 * t15952;
  t15954 = t5623 * t15953;
  t15957 = t4368 * t2181;
  t15958 = t4362 * t15957;
  t15959 = t6935 * t15958;
  t15962 = t4363 * t2181;
  t15963 = t4362 * t15962;
  t15964 = t6935 * t15963;
  t15967 = t988 * t15952;
  t15968 = t5640 * t15967;
  t15971 = t371 * t15952;
  t15972 = t5623 * t15971;
  t15975 = t5634 * t15967;
  t15978 = t6773 * t2197;
  t15979 = t987 * t15978;
  t15982 = t167 * t2175;
  t15983 = t988 * t15982;
  t15984 = t1393 * t15983;
  t15985 = t1651 * t15984;
  t15986 = t15985 / 0.6e1;
  t15987 = -t15838 + t15839 - t2180 - t1651 * t15841 / 0.6e1 + 0.2e1 / 0.3e1 * t1651 * t15845 - t110 * t15939 / 0.4e1 - t15415 - t15419 - 0.3e1 * t373 * t15944 + 0.3e1 / 0.2e1 * t373 * t15949 - 0.3e1 / 0.2e1 * t6752 * t15954 + 0.3e1 / 0.2e1 * t4395 * t15959 - 0.3e1 * t1030 * t15964 - 0.11e2 / 0.18e2 * t6752 * t15968 + 0.23e2 / 0.36e2 * t6752 * t15972 - t6752 * t15975 / 0.2e1 + t442 * t15979 / 0.12e2 - t15986;
  t15988 = t1400 * t15983;
  t15989 = t1651 * t15988;
  t15990 = t15989 / 0.12e2;
  t15991 = t5623 * t15967;
  t15998 = t1393 * t15840;
  t16001 = t1000 * t15840;
  t16004 = t1000 * t15983;
  t16005 = t1644 * t16004;
  t16006 = t16005 / 0.6e1;
  t16007 = t1400 * t15967;
  t16010 = t1703 * t15410;
  t16014 = t1013 * t1014 * t2175;
  t16015 = t1692 * t16014;
  t16016 = t373 * t16015;
  t16017 = t16016 / 0.2e1;
  t16019 = t346 * t348 * t2175;
  t16020 = t1699 * t16019;
  t16021 = t373 * t16020;
  t16022 = t16021 / 0.2e1;
  t16023 = t1692 * t15468;
  t16024 = t1030 * t16023;
  t16025 = t16024 / 0.2e1;
  t16031 = t371 * t15982;
  t16032 = t1400 * t16031;
  t16033 = t1651 * t16032;
  t16034 = t16033 / 0.3e1;
  t16035 = t1013 * t15947;
  t16036 = t6928 * t16035;
  t16039 = -t15990 - 0.5e1 / 0.36e2 * t6752 * t15991 + t490 * t15483 / 0.6e1 + t490 * t15488 / 0.12e2 - t1651 * t15998 / 0.3e1 + t1644 * t16001 / 0.3e1 + t16006 + t6921 * t16007 / 0.2e1 - t373 * t16010 / 0.4e1 + t16017 - t16022 - t16025 - t1454 * t2395 - t1454 * t2398 / 0.2e1 - t1663 * t2258 / 0.4e1 + t16034 + t2251 + 0.3e1 * t1030 * t16036;
  t16043 = t1000 * t15967;
  t16046 = t4549 * t9253;
  t16047 = t1720 * t16046;
  t16050 = t15450 / 0.3e1;
  t16051 = t15454 / 0.6e1;
  t16052 = t5640 * t15971;
  t16055 = t1393 * t15967;
  t16057 = t1400 * t15971;
  t16062 = t1703 * t15441;
  t16066 = t346 * t348 * t2181;
  t16067 = t6942 * t16066;
  t16070 = t15535 / 0.2e1;
  t16071 = t15543 / 0.6e1;
  t16074 = t1663 * t2249;
  t16075 = t16074 / 0.4e1;
  t16076 = -t490 * t15447 / 0.6e1 - t7100 * t16043 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t16047 + t16050 + t15453 - t16051 - t15470 + 0.7e1 / 0.3e1 * t6752 * t16052 + t6921 * t16055 - 0.2e1 * t6921 * t16057 - t5674 * t2390 + t1454 * t2403 + t373 * t16062 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t16067 + t16070 - t16071 + t10647 * t457 / 0.2e1 + t16075;
  t16081 = t2178 * t1658;
  t16082 = t16081 / 0.12e2;
  t16099 = t1182 * t9253;
  t16100 = t1716 * t16099;
  t16102 = t1476 * t10525;
  t16105 = t168 * t9253;
  t16106 = t5549 * t16105;
  t16109 = t4137 * t16105;
  t16112 = t5587 * t16105;
  t16115 = t1021 * t9253;
  t16116 = t5549 * t16115;
  t16118 = -t2189 * t6873 / 0.12e2 - t490 * t9705 / 0.12e2 - t16082 + t1663 * t2261 / 0.2e1 + t9710 * t505 / 0.4e1 + t15548 + t2189 * t6843 / 0.3e1 - t6848 * t2245 / 0.2e1 - t442 * t10656 / 0.6e1 - t1663 * t2253 / 0.2e1 + t2184 * t1658 / 0.6e1 - t2189 * t6839 / 0.6e1 + t5540 * t16100 + 0.3e1 / 0.2e1 * t5559 * t16102 + t6824 * t16106 / 0.4e1 - t6830 * t16109 / 0.3e1 + t6824 * t16112 / 0.2e1 - t6824 * t16116;
  t16121 = my_piecewise3(t100, 0, t15987 + t16039 + t16076 + t16118);
  tv3sigma2lapl11 = t3 * t16121;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 11] += tv3sigma2lapl11;

  t16122 = t1843 * t15711;
  t16125 = t1847 * t15696;
  t16128 = t1847 * t15708;
  t16129 = 0.2e1 / 0.3e1 * t16128;
  t16154 = t16122 + t519 * t15162 / 0.2e1 - t16125 + 0.1e2 / 0.3e1 * t7599 * t15705 + t16129 - 0.4e1 * t7595 * t15713 + t7599 * t15716 / 0.18e2 + 0.6e1 * t7595 * t15699 - 0.3e1 * t7599 * t15702 - 0.3e1 * t7610 * t15719 - t519 * t15140 - t15692 + 0.4e1 * t7586 * t15687 + t7584 * t15690 - 0.6e1 * t7584 * t15684 + 0.6e1 * t7610 * t15757 + 0.2e1 * t519 * t15184 + 0.6e1 * t7599 * t15730 - 0.12e2 * t7595 * t15724;
  t16163 = t1847 * t15747;
  t16164 = t16163 / 0.3e1;
  t16170 = t1847 * t15765;
  t16171 = 0.2e1 * t16170;
  t16172 = t1843 * t15741;
  t16173 = 0.2e1 * t16172;
  t16174 = -0.2e1 / 0.3e1 * t7599 * t15727 + 0.3e1 * t1847 * t15762 - 0.2e1 * t1843 * t15737 + 0.2e1 * t7595 * t15744 - t16164 - t7599 * t15750 / 0.9e1 - t519 * t15192 - 0.2e1 * t1847 * t15754 + t16171 - t16173 + t15733 + t15170 + t15735 - t15179 - t15768 + t15769 - t15770 - t2138 + t2119;
  t16175 = t16154 + t16174;
  t16176 = t59 * t16175;
  t16177 = t16176 * t95;
  t16184 = t1769 * t15111;
  t16187 = t1757 * t15791;
  t16188 = t246 * t16187;
  t16189 = t16188 / 0.2e1;
  t16190 = t1765 * t15801;
  t16191 = t246 * t16190;
  t16192 = t16191 / 0.2e1;
  t16193 = t1757 * t15124;
  t16194 = t644 * t16193;
  t16195 = t16194 / 0.2e1;
  t16203 = t1777 * t2120 * t748;
  t16208 = t1769 * t15044;
  t16211 = t7277 * t15639;
  t16214 = t7264 * t15643;
  t16222 = t1777 * t2117 * t249;
  t16223 = t246 * t16222;
  t16224 = t16223 / 0.4e1;
  t16225 = t2087 * t1779;
  t16226 = t16225 / 0.12e2;
  t16230 = -t246 * t16203 / 0.2e1 + t2093 * t1779 / 0.6e1 + t246 * t16208 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t16211 + 0.3e1 * t644 * t16214 - t515 * t15050 / 0.6e1 - t7307 * t15657 / 0.2e1 + t16224 - t16226 - t417 * t10894 / 0.6e1 - t5073 * t2444;
  t16242 = t15554 + t15099 - t15555 - t15116 - t15120 - t15126 - 0.2e1 * t7250 * t15591 - 0.11e2 / 0.18e2 * t7187 * t15647 + 0.23e2 / 0.36e2 * t7187 * t15650 - t7187 * t15573 / 0.2e1 + 0.7e1 / 0.3e1 * t7187 * t15577;
  t16246 = t1777 * t2124;
  t16247 = t16246 * t649;
  t16250 = t16246 * t654;
  t16253 = t7264 * t15567;
  t16256 = t7563 * t15557;
  t16263 = t7563 * t15585;
  t16266 = t7563 * t15562;
  t16270 = t1293 * t2453 + 0.2e1 / 0.3e1 * t1748 * t15808 - t644 * t16247 / 0.2e1 + t246 * t16250 / 0.2e1 - 0.3e1 * t246 * t16253 + 0.3e1 / 0.2e1 * t246 * t16256 - t2098 * t7171 / 0.6e1 - 0.3e1 / 0.2e1 * t7187 * t15581 + 0.3e1 / 0.2e1 * t3680 * t16263 - 0.3e1 * t644 * t16266 + t7250 * t15589;
  t16275 = t7198 * t2106;
  t16276 = t660 * t16275;
  t16279 = t1748 * t15617;
  t16280 = t16279 / 0.3e1;
  t16283 = t1748 * t15613;
  t16284 = t16283 / 0.6e1;
  t16287 = t1748 * t15660;
  t16288 = t16287 / 0.12e2;
  t16298 = t1787 * t15600;
  t16299 = t16298 / 0.6e1;
  t16305 = t1321 * t11102;
  t16308 = t543 * t2105;
  t16309 = t253 * t16308;
  t16310 = t3130 * t16309;
  t16313 = t1843 * t15624;
  t16315 = t515 * t15091 / 0.12e2 + t1787 * t15595 / 0.3e1 + t16299 + t7250 * t15604 / 0.2e1 - t15630 + t15631 + t7216 * t15674 / 0.2e1 - t7216 * t15678 + 0.3e1 / 0.2e1 * t4738 * t16305 + t4789 * t16310 / 0.12e2 + t4779 * t16313;
  t16317 = t11151 * t2166;
  t16320 = t1847 * t15795;
  t16325 = t2087 * t1886;
  t16326 = t16325 / 0.12e2;
  t16339 = -t3123 * t16317 / 0.4e1 - 0.3e1 / 0.2e1 * t4779 * t16320 + t15216 + t10974 * t432 / 0.2e1 - t16326 - t417 * t10969 / 0.6e1 - t2098 * t7441 / 0.12e2 - t515 * t9098 / 0.12e2 - t1891 * t2162 / 0.2e1 + t2093 * t1886 / 0.6e1 - t7746 * t15671 / 0.3e1;
  t16342 = t2147 * t544;
  t16353 = t1891 * t2158;
  t16354 = t16353 / 0.4e1;
  t16357 = t7216 * t15680 / 0.4e1 - t30 * t16342 / 0.4e1 - t15811 + t15812 - t2089 - t2098 * t7453 / 0.6e1 + t2098 * t7457 / 0.3e1 - t7462 * t2154 / 0.2e1 + t1891 * t2170 / 0.2e1 + t16354 + t9070 * t530 / 0.4e1;
  t16361 = my_piecewise3(t2, 0, t2160 + t16315 + t16242 - t1748 * t15607 / 0.6e1 - 0.5e1 / 0.36e2 * t7187 * t15663 + t515 * t15062 / 0.6e1 + t2098 * t7175 / 0.3e1 - t16288 - t16192 - t16195 + t16357 + t16230 + t417 * t16276 / 0.12e2 - t1748 * t15632 / 0.3e1 - t30 * t16177 / 0.4e1 - t2098 * t7316 / 0.12e2 + t1293 * t2462 / 0.2e1 - t246 * t16184 / 0.4e1 - t1891 * t2167 / 0.4e1 - t1293 * t2447 - t1293 * t2450 / 0.2e1 + t16270 + t16280 + t16189 + t16339 - t16284);
  tv3sigma2tau0 = t3 * t16361;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  tv3sigma2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 1] += tv3sigma2tau1;

  tv3sigma2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 2] += tv3sigma2tau2;

  tv3sigma2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 3] += tv3sigma2tau3;

  tv3sigma2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 4] += tv3sigma2tau4;

  tv3sigma2tau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 5] += tv3sigma2tau5;

  tv3sigma2tau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 6] += tv3sigma2tau6;

  tv3sigma2tau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 7] += tv3sigma2tau7;

  tv3sigma2tau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 8] += tv3sigma2tau8;

  tv3sigma2tau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 9] += tv3sigma2tau9;

  tv3sigma2tau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 10] += tv3sigma2tau10;

  t16362 = t1965 * t16032;
  t16363 = t16362 / 0.3e1;
  t16364 = t8079 * t2197;
  t16365 = t987 * t16364;
  t16376 = t1965 * t15984;
  t16377 = t16376 / 0.6e1;
  t16380 = t1958 * t16004;
  t16381 = t16380 / 0.6e1;
  t16391 = t1948 * t2215;
  t16392 = t16391 * t1035;
  t16399 = t1476 * t11398;
  t16402 = t583 * t2196;
  t16403 = t380 * t16402;
  t16404 = t4137 * t16403;
  t16407 = -t1965 * t15841 / 0.6e1 - t15838 + t15839 - t2189 * t8524 / 0.6e1 + t2189 * t8509 / 0.3e1 - t1030 * t16392 / 0.2e1 - t2180 - t8052 * t16109 / 0.3e1 + t8058 * t16106 / 0.4e1 + 0.3e1 / 0.2e1 * t5559 * t16399 + t5575 * t16404 / 0.12e2;
  t16409 = t11761 * t2257;
  t16412 = t2056 * t16099;
  t16417 = t2030 * t2249;
  t16418 = t16417 / 0.4e1;
  t16426 = -t4145 * t16409 / 0.4e1 + t5540 * t16412 + t8058 * t16112 / 0.2e1 - t8058 * t16116 + t16418 - t442 * t11507 / 0.6e1 - t2189 * t8165 / 0.12e2 + t11512 * t457 / 0.2e1 - t15415 - t15419 + t1454 * t2512;
  t16433 = t1948 * t2211 * t1045;
  t16436 = t1965 * t15988;
  t16437 = t16436 / 0.12e2;
  t16438 = t2060 * t16046;
  t16445 = t1940 * t15441;
  t16448 = t8390 * t16035;
  t16451 = 0.2e1 / 0.3e1 * t1965 * t15845 - t5674 * t2503 + t2184 * t1950 / 0.6e1 - t373 * t16433 / 0.2e1 - t16437 - 0.3e1 / 0.2e1 * t5540 * t16438 + t2251 + t2184 * t2025 / 0.6e1 + t9710 * t570 / 0.4e1 + t373 * t16445 / 0.2e1 + 0.3e1 * t1030 * t16448;
  t16454 = t8434 * t16066;
  t16466 = t1948 * t2208 * t376;
  t16467 = t373 * t16466;
  t16468 = t16467 / 0.4e1;
  t16469 = t1940 * t15410;
  t16481 = t2056 * t15934;
  t16484 = t2060 * t15929;
  t16487 = t2060 * t15931;
  t16488 = 0.2e1 / 0.3e1 * t16487;
  t16491 = -t15857 + t15858 + t15859 + t15363 + t8254 * t15855 + 0.4e1 * t8251 * t15849 - 0.6e1 * t8254 * t15852 - 0.3e1 * t8220 * t15924 - t559 * t15320 + t16481 + t15921 - t15922 - t15385 - t15923 + t559 * t15358 / 0.2e1 - t16484 + 0.1e2 / 0.3e1 * t8227 * t15869 + t16488 - 0.4e1 * t8223 * t15863;
  t16504 = t2056 * t15903;
  t16505 = 0.2e1 * t16504;
  t16508 = t2060 * t15888;
  t16509 = t16508 / 0.3e1;
  t16523 = t2060 * t15900;
  t16524 = 0.2e1 * t16523;
  t16525 = t8227 * t15866 / 0.18e2 - 0.3e1 * t8227 * t15872 + 0.6e1 * t8223 * t15875 + 0.3e1 * t2060 * t15909 + 0.6e1 * t8220 * t15881 - 0.2e1 * t2056 * t15906 - t16505 + 0.2e1 * t8223 * t15884 - t16509 - t8227 * t15891 / 0.9e1 - t559 * t15380 + 0.2e1 * t559 * t15392 - 0.12e2 * t8223 * t15912 - 0.2e1 / 0.3e1 * t8227 * t15915 + 0.6e1 * t8227 * t15918 - 0.2e1 * t2060 * t15897 + t16524 - t2229 + t2210;
  t16526 = t16491 + t16525;
  t16527 = t139 * t16526;
  t16528 = t16527 * t168;
  t16543 = t2178 * t2025;
  t16544 = t16543 / 0.12e2;
  t16545 = t16391 * t1094;
  t16548 = t8390 * t15943;
  t16551 = -t15470 - t110 * t16528 / 0.4e1 - t2189 * t8192 / 0.6e1 + t2189 * t8196 / 0.3e1 - t8201 * t2245 / 0.2e1 + t2030 * t2261 / 0.2e1 - t2030 * t2253 / 0.2e1 - t555 * t9705 / 0.12e2 - t16544 + t373 * t16545 / 0.2e1 - 0.3e1 * t373 * t16548;
  t16553 = t8499 * t15948;
  t16560 = t8499 * t15958;
  t16563 = t8499 * t15963;
  t16575 = t2238 * t584;
  t16578 = 0.3e1 / 0.2e1 * t373 * t16553 + 0.7e1 / 0.3e1 * t8090 * t16052 - 0.3e1 / 0.2e1 * t8090 * t15954 + 0.3e1 / 0.2e1 * t4395 * t16560 - 0.3e1 * t1030 * t16563 + t8360 * t16055 - 0.2e1 * t8360 * t16057 - 0.11e2 / 0.18e2 * t8090 * t15968 + 0.23e2 / 0.36e2 * t8090 * t15972 - t8090 * t15975 / 0.2e1 - t110 * t16575 / 0.4e1;
  t16579 = t1974 * t16014;
  t16580 = t373 * t16579;
  t16581 = t16580 / 0.2e1;
  t16582 = t2178 * t1950;
  t16583 = t16582 / 0.12e2;
  t16586 = t1936 * t16019;
  t16587 = t373 * t16586;
  t16588 = t16587 / 0.2e1;
  t16589 = t1974 * t15468;
  t16590 = t1030 * t16589;
  t16591 = t16590 / 0.2e1;
  t16597 = t16070 - t16071 + t16581 - t16583 - t442 * t11754 / 0.6e1 - t16588 - t16591 - t1454 * t2506 - t1454 * t2509 / 0.2e1 - t2030 * t2258 / 0.4e1 + t15548;
  t16601 = my_piecewise3(t100, 0, t16363 - t16377 + t16468 + t16597 + t16578 + t16551 + t16426 + t16407 - t8490 * t16043 / 0.2e1 - t2189 * t8335 / 0.12e2 + t1454 * t2521 / 0.2e1 + t442 * t16365 / 0.12e2 - 0.5e1 / 0.36e2 * t8090 * t15991 + t555 * t15483 / 0.6e1 + t555 * t15488 / 0.12e2 - t1965 * t15998 / 0.3e1 + t1958 * t16001 / 0.3e1 + t8360 * t16007 / 0.2e1 - t373 * t16469 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t16454 - t555 * t15447 / 0.6e1 + t16050 - t16051 + t15453 + t16381 + t16451);
  tv3sigma2tau11 = t3 * t16601;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 11] += tv3sigma2tau11;

  t16602 = t15096 / 0.6e1;
  t16603 = t15098 / 0.12e2;
  t16604 = t15100 / 0.12e2;
  t16605 = t15116 / 0.2e1;
  t16606 = t15119 / 0.4e1;
  t16607 = t15126 / 0.2e1;
  t16608 = t15601 / 0.3e1;
  t16609 = t2541 * t414;
  t16610 = t819 * t16609;
  t16611 = t1587 * t16610;
  t16614 = t2541 * t2105;
  t16615 = t95 * t16614;
  t16616 = t8642 * t16615;
  t16619 = t95 * t16609;
  t16620 = t4760 * t16619;
  t16623 = t3430 * t16614;
  t16624 = t470 * t16623;
  t16627 = t3130 * t16619;
  t16630 = t3409 * t16609;
  t16631 = t1591 * t16630;
  t16634 = t4770 * t16619;
  t16637 = t635 * t16609;
  t16638 = t4760 * t16637;
  t16641 = t1321 * t12031;
  t16644 = t15614 / 0.3e1;
  t16645 = 0.2e1 / 0.3e1 * t15618;
  t16646 = t16602 + t16603 - t16604 - t16605 - t16606 - t16607 + t2160 + t16608 + t4779 * t16611 / 0.2e1 - t6488 * t16616 / 0.6e1 + t6069 * t16620 / 0.12e2 + t4779 * t16624 / 0.2e1 - t6491 * t16627 / 0.6e1 - t4779 * t16631 / 0.2e1 + t6069 * t16634 / 0.6e1 - t6069 * t16638 / 0.3e1 + t4738 * t16641 / 0.2e1 - t15611 - t16644 + t16645;
  t16647 = t15212 / 0.6e1;
  t16648 = t15214 / 0.3e1;
  t16649 = t11985 * t2331;
  t16652 = t3474 * t2317;
  t16653 = t11966 * t16652;
  t16656 = t1530 * t2266;
  t16657 = t1227 * t16656;
  t16660 = t642 * t2266;
  t16661 = t4844 * t16660;
  t16666 = t3447 * t414;
  t16667 = t3474 * t16666;
  t16668 = t11966 * t16667;
  t16671 = t3401 * t414;
  t16672 = t3474 * t16671;
  t16673 = t11966 * t16672;
  t16680 = t6255 * t2266;
  t16681 = t1227 * t16680;
  t16684 = t5044 * t2542;
  t16685 = t660 * t16684;
  t16704 = 0.2e1 / 0.3e1 * t8837 * t2728 + t15069 - 0.4e1 * t11839 * t2323 + 0.4e1 / 0.3e1 * t11842 * t2318 - 0.2e1 * t11845 * t2166 + 0.4e1 * t11842 * t2331 - t15081 + 0.4e1 * t11852 * t2323 + 0.2e1 * t472 * t2166 - 0.4e1 * t11857 * t2331;
  t16705 = t94 * t16704;
  t16706 = t661 * t16705;
  t16707 = t660 * t16706;
  t16714 = t4844 * t2267;
  t16717 = t2087 * t2544;
  t16718 = t16717 / 0.12e2;
  t16721 = -t16647 + t16648 - 0.3e1 * t246 * t16649 + 0.3e1 / 0.2e1 * t246 * t16653 + 0.2e1 / 0.3e1 * t1541 * t16657 - 0.3e1 / 0.2e1 * t11975 * t16661 - t6295 * t2319 + t1532 * t2332 + 0.3e1 / 0.2e1 * t3680 * t16668 - 0.3e1 * t644 * t16673 - t2529 * t2108 / 0.6e1 + t11960 * t2271 / 0.2e1 - t1541 * t16681 / 0.6e1 + t466 * t16685 / 0.12e2 + t466 * t16707 / 0.12e2 + t2534 * t15036 / 0.3e1 + t2534 * t15058 / 0.6e1 - 0.5e1 / 0.36e2 * t11975 * t16714 + t16718 - t11953 * t2268 / 0.2e1;
  t16723 = t15216 / 0.2e1;
  t16724 = t15661 / 0.6e1;
  t16741 = t8745 * t2592;
  t16742 = t246 * t16741;
  t16743 = t16742 / 0.4e1;
  t16745 = t658 * t221 * t16704;
  t16746 = t1559 * t16745;
  t16749 = t11985 * t2318;
  t16752 = t12096 * t15054;
  t16759 = t673 * t16680;
  t16765 = t16723 - t16724 - t417 * t12211 / 0.12e2 + t12216 * t432 / 0.4e1 + t2529 * t1288 / 0.6e1 - t2534 * t5102 / 0.12e2 - t2534 * t5064 / 0.6e1 - t466 * t10155 / 0.6e1 + t2534 * t5068 / 0.3e1 - t1293 * t2593 / 0.4e1 - t16743 - t246 * t16746 / 0.4e1 + 0.3e1 * t644 * t16749 + t644 * t16752 - t1532 * t2324 - t1532 * t2327 / 0.2e1 - 0.2e1 / 0.3e1 * t2534 * t15040 + t1568 * t16759 / 0.3e1 + t466 * t15621 / 0.6e1 + t11960 * t2276;
  t16768 = t4838 * t2267;
  t16771 = t4844 * t2281;
  t16774 = t4831 * t2267;
  t16777 = t4838 * t2281;
  t16780 = t1220 * t16680;
  t16783 = t12096 * t15103;
  t16785 = t12179 * t2323;
  t16788 = t12183 * t2166;
  t16791 = t15777 / 0.2e1;
  t16793 = t15783 / 0.6e1;
  t16808 = t3448 * t2287;
  t16813 = t3402 * t2287;
  t16816 = t3375 * t2287;
  t16819 = t2571 * t414;
  t16820 = t3409 * t16819;
  t16822 = t11819 * t414;
  t16823 = t233 * t16822;
  t16826 = t11819 * t2105;
  t16827 = t233 * t16826;
  t16830 = 0.2e1 * t2554 * t2129 + 0.2e1 * t11883 * t2291 + 0.2e1 / 0.3e1 * t2558 * t15189 - t11891 * t16808 / 0.9e1 - 0.12e2 * t11883 * t2295 - 0.2e1 / 0.3e1 * t11891 * t16813 + 0.6e1 * t11891 * t16816 + t1591 * t16820 - t15157 + 0.2e1 * t6440 * t16823 + 0.2e1 * t9923 * t16827;
  t16831 = 0.2e1 * t15697;
  t16832 = 0.4e1 / 0.3e1 * t15709;
  t16833 = 0.2e1 * t15712;
  t16834 = t15170 / 0.2e1;
  t16835 = 0.2e1 / 0.3e1 * t15171;
  t16836 = 0.4e1 * t15742;
  t16837 = 0.2e1 / 0.3e1 * t15748;
  t16838 = 0.4e1 * t15766;
  t16839 = t2118 * t2562;
  t16840 = t63 * t16704;
  t16841 = t819 * t16840;
  t16843 = t3375 * t16819;
  t16846 = -t16831 + t16832 + t16833 + t15168 + t16834 + t16835 - t16836 - t16837 + t16838 - t16839 - t470 * t16841 - 0.2e1 / 0.3e1 * t1591 * t16843;
  t16850 = t819 * t16819;
  t16852 = t2571 * t2105;
  t16853 = t3430 * t16852;
  t16857 = t840 * t16822;
  t16860 = t827 * t16822;
  t16863 = t15180 / 0.3e1;
  t16864 = 0.2e1 * t15181;
  t16865 = 0.2e1 * t15194;
  t16868 = -0.4e1 * t2558 * t15196 - t1587 * t16850 - t470 * t16853 + 0.6e1 * t11878 * t2288 - 0.2e1 * t6427 * t16857 + t6427 * t16860 / 0.3e1 - t15178 - t16863 + t16864 - t16865 + 0.2e1 * t2558 * t15154;
  t16869 = t3402 * t2298;
  t16876 = t3448 * t2298;
  t16881 = t3375 * t2298;
  t16887 = t2118 * t2572;
  t16888 = t16887 / 0.2e1;
  t16889 = t60 * t16704;
  t16890 = t819 * t16889;
  t16893 = 0.1e2 / 0.3e1 * t11891 * t16869 - 0.4e1 / 0.3e1 * t2558 * t15165 - 0.4e1 * t11883 * t2299 + t11891 * t16876 / 0.18e2 + 0.6e1 * t11883 * t2306 - 0.3e1 * t11891 * t16881 - t2138 + t2119 - 0.3e1 * t11878 * t2302 - t2554 * t2142 + t16888 + t470 * t16890 / 0.2e1;
  t16895 = t16830 + t16846 + t16868 + t16893;
  t16896 = t59 * t16895;
  t16897 = t16896 * t95;
  t16900 = t15271 / 0.12e2;
  t16901 = t15279 / 0.4e1;
  t16902 = -t16793 + t15793 - t1293 * t2588 / 0.2e1 + t1293 * t2596 / 0.2e1 + t10160 * t481 / 0.2e1 - t5073 * t2584 / 0.2e1 - t15803 - t30 * t16897 / 0.4e1 - t16900 + t16901 - t2089;
  t16906 = my_piecewise3(t2, 0, t16646 + t16721 + t16765 - 0.2e1 * t11960 * t2282 - 0.11e2 / 0.18e2 * t11975 * t16768 + 0.23e2 / 0.36e2 * t11975 * t16771 - t11975 * t16774 / 0.2e1 + 0.7e1 / 0.3e1 * t11975 * t16777 - t1541 * t16780 / 0.3e1 - t246 * t16783 + 0.3e1 / 0.2e1 * t246 * t16785 + t246 * t16788 / 0.2e1 + t16791 + t16902);
  tv3sigmalapl20 = t3 * t16906;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  tv3sigmalapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 1] += tv3sigmalapl21;

  tv3sigmalapl22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 2] += tv3sigmalapl22;

  tv3sigmalapl23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 3] += tv3sigmalapl23;

  tv3sigmalapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 4] += tv3sigmalapl24;

  tv3sigmalapl25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 5] += tv3sigmalapl25;

  tv3sigmalapl26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 6] += tv3sigmalapl26;

  tv3sigmalapl27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 7] += tv3sigmalapl27;

  t16907 = t15295 / 0.6e1;
  t16908 = t15297 / 0.3e1;
  t16914 = t6773 * t2337;
  t16915 = t1400 * t16914;
  t16922 = t1000 * t16914;
  t16927 = t5623 * t2338;
  t16930 = t2178 * t2619;
  t16931 = t16930 / 0.12e2;
  t16932 = t6006 * t2617;
  t16933 = t987 * t16932;
  t16952 = 0.2e1 / 0.3e1 * t9394 * t2808 + t15337 - 0.4e1 * t12414 * t2394 + 0.4e1 / 0.3e1 * t12417 * t2389 - 0.2e1 * t12420 * t2257 + 0.4e1 * t12417 * t2402 - t15349 + 0.4e1 * t12427 * t2394 + 0.2e1 * t496 * t2257 - 0.4e1 * t12432 * t2402;
  t16953 = t167 * t16952;
  t16954 = t988 * t16953;
  t16955 = t987 * t16954;
  t16964 = t2616 * t2196;
  t16965 = t168 * t16964;
  t16966 = t9270 * t16965;
  t16969 = t2616 * t439;
  t16970 = t168 * t16969;
  t16971 = t5549 * t16970;
  t16974 = -t16907 + t16908 - t1663 * t2395 - t1663 * t2398 / 0.2e1 + t490 * t15979 / 0.6e1 - t1651 * t16915 / 0.6e1 - 0.2e1 / 0.3e1 * t2609 * t15465 + t2609 * t15461 / 0.3e1 + t1644 * t16922 / 0.3e1 + t2609 * t15479 / 0.6e1 - 0.5e1 / 0.36e2 * t12347 * t16927 + t16931 + t490 * t16933 / 0.12e2 + t490 * t16955 / 0.12e2 - t12659 * t2339 / 0.2e1 - t2604 * t2199 / 0.6e1 + t12643 * t2342 / 0.2e1 - t2180 - t6827 * t16966 / 0.6e1 + t6824 * t16971 / 0.12e2;
  t16975 = t1182 * t16969;
  t16976 = t1716 * t16975;
  t16979 = t4543 * t16964;
  t16980 = t494 * t16979;
  t16983 = t4137 * t16970;
  t16986 = t4549 * t16969;
  t16987 = t1720 * t16986;
  t16990 = t5587 * t16970;
  t16993 = t1021 * t16969;
  t16994 = t5549 * t16993;
  t16997 = t1476 * t12519;
  t17010 = t15415 / 0.2e1;
  t17011 = t15418 / 0.4e1;
  t17012 = t12527 * t15457;
  t17016 = t9439 * t2667;
  t17017 = t373 * t17016;
  t17018 = t17017 / 0.4e1;
  t17020 = t985 * t348 * t16952;
  t17021 = t1703 * t17020;
  t17024 = t12707 * t2394;
  t17027 = t12534 * t2257;
  t17030 = t5540 * t16976 / 0.2e1 + t5540 * t16980 / 0.2e1 - t6830 * t16983 / 0.6e1 - t5540 * t16987 / 0.2e1 + t6824 * t16990 / 0.6e1 - t6824 * t16994 / 0.3e1 + t5559 * t16997 / 0.2e1 - t5674 * t2659 / 0.2e1 - t442 * t12591 / 0.12e2 + t12596 * t457 / 0.4e1 + t10647 * t505 / 0.2e1 + t2609 * t5669 / 0.3e1 - t17010 - t17011 - t373 * t17012 - t1454 * t2668 / 0.4e1 - t17018 - t373 * t17021 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t17024 + t373 * t17027 / 0.2e1;
  t17032 = t12341 * t2389;
  t17035 = t12527 * t15473;
  t17037 = t15985 / 0.3e1;
  t17038 = t15989 / 0.6e1;
  t17039 = t16005 / 0.3e1;
  t17040 = 0.2e1 / 0.3e1 * t16033;
  t17045 = t15450 / 0.6e1;
  t17046 = t15452 / 0.12e2;
  t17047 = t15454 / 0.12e2;
  t17048 = t15470 / 0.2e1;
  t17049 = t4363 * t439;
  t17050 = t4362 * t17049;
  t17051 = t12336 * t17050;
  t17054 = t12341 * t2402;
  t17057 = t4362 * t2388;
  t17058 = t12336 * t17057;
  t17061 = t5640 * t2352;
  t17064 = 0.3e1 * t1030 * t17032 + t1030 * t17035 - t17037 - t17038 + t17039 + t16016 - t16021 - t16024 + t17040 + t2251 - t1454 * t2663 / 0.2e1 + t1454 * t2671 / 0.2e1 + t17045 + t17046 - t17047 - t17048 - 0.3e1 * t1030 * t17051 - 0.3e1 * t373 * t17054 + 0.3e1 / 0.2e1 * t373 * t17058 + 0.7e1 / 0.3e1 * t12347 * t17061;
  t17073 = t15535 / 0.4e1;
  t17074 = t15543 / 0.12e2;
  t17075 = t16074 / 0.2e1;
  t17076 = t16081 / 0.6e1;
  t17077 = 0.2e1 / 0.3e1 * t15309;
  t17078 = t15363 / 0.2e1;
  t17085 = t2369 * t2616;
  t17086 = t4408 * t17085;
  t17091 = t4408 * t2358;
  t17094 = t4549 * t17085;
  t17096 = -t15307 + t17077 + t15361 + t17078 + 0.6e1 * t12388 * t2359 + 0.2e1 * t2629 * t2220 + 0.2e1 * t12394 * t2362 - 0.2e1 / 0.3e1 * t1720 * t17086 - 0.4e1 * t2633 * t15398 + 0.6e1 * t12398 * t17091 + t1720 * t17094;
  t17099 = t4376 * t2358;
  t17102 = 0.2e1 / 0.3e1 * t15889;
  t17103 = 0.4e1 * t15901;
  t17104 = 0.4e1 * t15904;
  t17105 = t12370 * t439;
  t17106 = t1203 * t17105;
  t17109 = t360 * t17105;
  t17112 = t12370 * t2196;
  t17113 = t360 * t17112;
  t17116 = t1190 * t17105;
  t17119 = 0.2e1 * t15377;
  t17120 = 0.2e1 * t15382;
  t17121 = -0.12e2 * t12394 * t2366 - 0.2e1 / 0.3e1 * t12398 * t17099 - t17102 + t17103 - t17104 - 0.2e1 * t6969 * t17106 + 0.2e1 * t6966 * t17109 + 0.2e1 * t10396 * t17113 + t6969 * t17116 / 0.3e1 + t17119 - t17120 - t15384;
  t17123 = t15386 / 0.3e1;
  t17129 = t2209 * t2647;
  t17130 = t17129 / 0.2e1;
  t17131 = t140 * t16952;
  t17132 = t1182 * t17131;
  t17135 = t4396 * t2369;
  t17138 = t4376 * t2369;
  t17145 = t1182 * t17085;
  t17147 = -t17123 + 0.2e1 * t2633 * t15328 - 0.3e1 * t12388 * t2373 - t2629 * t2233 + t17130 + t494 * t17132 / 0.2e1 + t12398 * t17135 / 0.18e2 + 0.1e2 / 0.3e1 * t12398 * t17138 - 0.4e1 / 0.3e1 * t2633 * t15315 - 0.4e1 * t12394 * t2370 - t1716 * t17145;
  t17148 = t2646 * t2196;
  t17149 = t4543 * t17148;
  t17153 = t4396 * t2358;
  t17156 = t2209 * t2637;
  t17157 = t143 * t16952;
  t17158 = t1182 * t17157;
  t17162 = t4408 * t2369;
  t17165 = 0.2e1 * t15930;
  t17166 = 0.4e1 / 0.3e1 * t15932;
  t17167 = 0.2e1 * t15935;
  t17168 = -t494 * t17149 + 0.2e1 / 0.3e1 * t2633 * t15389 - t12398 * t17153 / 0.9e1 - t17156 - t494 * t17158 + 0.6e1 * t12394 * t2377 - 0.3e1 * t12398 * t17162 - t17165 + t17166 + t17167 - t2229 + t2210;
  t17170 = t17096 + t17121 + t17147 + t17168;
  t17171 = t139 * t17170;
  t17172 = t17171 * t168;
  t17175 = t1393 * t16914;
  t17179 = t1661 * t2337;
  t17180 = t1400 * t17179;
  t17183 = t1028 * t2337;
  t17184 = t5623 * t17183;
  t17189 = t4368 * t439;
  t17190 = t4362 * t17189;
  t17191 = t12336 * t17190;
  t17197 = t5640 * t2338;
  t17200 = t5623 * t2352;
  t17203 = t5634 * t2338;
  t17206 = t15548 / 0.2e1;
  t17207 = 0.2e1 / 0.3e1 * t1651 * t17180 - 0.3e1 / 0.2e1 * t12347 * t17184 - t6848 * t2390 + t1663 * t2403 + 0.3e1 / 0.2e1 * t4395 * t17191 + t12643 * t2347 - 0.2e1 * t12643 * t2353 - 0.11e2 / 0.18e2 * t12347 * t17197 + 0.23e2 / 0.36e2 * t12347 * t17200 - t12347 * t17203 / 0.2e1 + t17206;
  t17211 = my_piecewise3(t100, 0, t16974 + t17030 + t17064 - t2609 * t5686 / 0.12e2 - t2609 * t5665 / 0.6e1 - t490 * t10656 / 0.6e1 + t2604 * t1449 / 0.6e1 + t17073 - t17074 + t17075 - t17076 - t110 * t17172 / 0.4e1 - t1651 * t17175 / 0.3e1 + t17207);
  tv3sigmalapl28 = t3 * t17211;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 8] += tv3sigmalapl28;

  t17212 = t7198 * t2266;
  t17213 = t673 * t17212;
  t17218 = t1227 * t17212;
  t17233 = t1220 * t17212;
  t17236 = t1889 * t2266;
  t17237 = t1227 * t17236;
  t17246 = t1568 * t17213 / 0.6e1 + t466 * t16276 / 0.12e2 - t1541 * t17218 / 0.12e2 + t515 * t15621 / 0.12e2 - t1532 * t2447 / 0.2e1 - t1532 * t2450 / 0.4e1 - t5073 * t2729 / 0.2e1 - t1891 * t2324 / 0.2e1 - t1891 * t2327 / 0.4e1 - t1541 * t17233 / 0.6e1 + t1541 * t17237 / 0.3e1 - t7462 * t2319 / 0.2e1 + t1891 * t2332 / 0.2e1 - t6295 * t2444 / 0.2e1;
  t17263 = t1769 * t16745;
  t17268 = t1532 * t2453 / 0.2e1 - t1748 * t16780 / 0.6e1 + t1748 * t16657 / 0.3e1 + t16189 - t16192 - t16195 + t16224 - t16226 - t466 * t10894 / 0.12e2 - t417 * t12868 / 0.12e2 + t1532 * t2462 / 0.4e1 + t1293 * t2751 / 0.4e1 - t1293 * t2737 / 0.4e1 - t246 * t17263 / 0.4e1 + t1293 * t2742 / 0.2e1;
  t17272 = t12837 * t2331;
  t17275 = t463 * t414;
  t17276 = t653 * t17275;
  t17277 = t7595 * t17276;
  t17280 = t1321 * t13005;
  t17283 = t543 * t414;
  t17284 = t3121 * t17283;
  t17285 = t4765 * t17284;
  t17288 = t12837 * t2318;
  t17291 = t12875 * t414;
  t17292 = t3475 * t17291;
  t17297 = t827 * t17291;
  t17300 = t840 * t17291;
  t17305 = t12875 * t2105;
  t17306 = t840 * t17305;
  t17309 = t233 * t17291;
  t17312 = t233 * t17305;
  t17317 = t827 * t17305;
  t17320 = t3482 * t17291;
  t17327 = -0.2e1 / 0.3e1 * t10846 * t17292 - 0.2e1 * t7584 * t16857 + 0.6e1 * t10846 * t17297 - 0.12e2 * t10841 * t17300 + t7584 * t16860 / 0.3e1 - 0.4e1 * t7584 * t17306 + 0.6e1 * t10836 * t17309 + 0.2e1 * t7586 * t17312 + 0.2e1 * t10841 * t17297 + 0.2e1 / 0.3e1 * t7584 * t17317 - t10846 * t17320 / 0.9e1 + 0.2e1 * t7586 * t16823 + 0.2e1 * t10828 * t16827;
  t17332 = t2298 * t463;
  t17333 = t648 * t17332;
  t17336 = t3448 * t17332;
  t17342 = t3402 * t17332;
  t17345 = t653 * t17332;
  t17348 = t16122 - t16125 + t16129 + t519 * t16890 / 0.2e1 - t15157 - t1843 * t16850 - t519 * t16853 - 0.4e1 * t7595 * t17333 + t7599 * t17336 / 0.18e2 - t519 * t16841 - 0.2e1 / 0.3e1 * t1847 * t16843 + 0.1e2 / 0.3e1 * t7599 * t17342 + 0.6e1 * t7595 * t17345;
  t17351 = t3375 * t17332;
  t17354 = t2708 * t2105;
  t17355 = t3409 * t17354;
  t17358 = t3375 * t17354;
  t17361 = t229 * t17332;
  t17364 = t819 * t17354;
  t17366 = t1847 * t16820 - 0.3e1 * t7599 * t17351 + 0.2e1 * t1847 * t17355 - 0.4e1 / 0.3e1 * t1847 * t17358 - 0.3e1 * t7610 * t17361 - t1843 * t17364 - t15697 + t15710 + t15712 - t16164 + t16171 - t16173 + t15168;
  t17367 = t16834 + t16835 - t15743 - t15749 + t15767 - t16839 - t15178 - t16863 + t16864 - t16865 - t2138 + t2119 + t16888;
  t17369 = t17327 + t17348 + t17366 + t17367;
  t17370 = t59 * t17369;
  t17371 = t17370 * t95;
  t17374 = -t1293 * t2734 / 0.2e1 + t16602 + t16603 - t16604 - t16605 - t16606 - t16607 + t2160 + t3123 * t17272 / 0.2e1 - 0.3e1 * t4779 * t17277 + t4738 * t17280 / 0.2e1 + t6069 * t17285 / 0.3e1 - t4748 * t17288 / 0.2e1 - t30 * t17371 / 0.4e1;
  t17375 = t2309 * t544;
  t17380 = t1291 * t2676;
  t17381 = t1227 * t17380;
  t17388 = t16280 - t16284 - t16288 + t16299 + t15602 - t15612 - t15615 + t15619 - t30 * t17375 / 0.4e1 - t16647 + t16648 - t1748 * t16681 / 0.12e2 + t1748 * t17381 / 0.3e1 + t515 * t16685 / 0.12e2 + t515 * t16707 / 0.12e2;
  t17391 = t5044 * t2676;
  t17392 = t1220 * t17391;
  t17397 = t673 * t17391;
  t17400 = t1227 * t17391;
  t17405 = t253 * t17283;
  t17406 = t4765 * t17405;
  t17409 = t13186 * t2323;
  t17412 = t13190 * t2166;
  t17415 = t3409 * t9886;
  t17416 = t1847 * t17415;
  t17418 = t4796 * t17405;
  t17421 = t95 * t17275;
  t17422 = t10037 * t17421;
  t17425 = t4796 * t17421;
  t17428 = t95 * t9886;
  t17429 = t3130 * t17428;
  t17432 = -t1748 * t17392 / 0.6e1 + t1787 * t16759 / 0.6e1 + t1787 * t17397 / 0.6e1 - t1748 * t17400 / 0.12e2 + t16718 + t6488 * t16310 / 0.12e2 - t6069 * t17406 / 0.12e2 - t3123 * t17409 / 0.2e1 - t3123 * t17412 / 0.4e1 - t4779 * t17416 + t6491 * t17418 / 0.6e1 - 0.5e1 / 0.36e2 * t11008 * t17422 - t11143 * t17425 / 0.2e1 - t7746 * t17429 / 0.6e1;
  t17433 = t4765 * t17421;
  t17436 = t4760 * t17428;
  t17439 = t512 * t414;
  t17441 = t6390 * t3448 * t17439;
  t17445 = t6390 * t3402 * t17439;
  t17448 = t4754 * t17421;
  t17450 = t635 * t17275;
  t17451 = t4765 * t17450;
  t17464 = t11086 * t17433 / 0.2e1 + t7216 * t17436 / 0.6e1 + t16723 + 0.3e1 / 0.2e1 * t9873 * t17441 - 0.3e1 * t4738 * t17445 + t11086 * t17448 - 0.2e1 * t11086 * t17451 - t15662 - t16326 + t13060 * t432 / 0.4e1 - t515 * t10155 / 0.12e2 - t466 * t10969 / 0.12e2 - t16743 + t10974 * t481 / 0.4e1 + t10160 * t530 / 0.4e1;
  t17474 = t1843 * t16610;
  t17477 = t519 * t16623;
  t17480 = t229 * t17275;
  t17481 = t7610 * t17480;
  t17484 = t819 * t9886;
  t17485 = t1843 * t17484;
  t17489 = t6393 * t648 * t17439;
  t17492 = t1591 * t11102;
  t17494 = t635 * t9886;
  t17495 = t4760 * t17494;
  t17498 = -t417 * t13049 / 0.12e2 + t15778 - t15784 + t15794 - t15804 - t7746 * t16627 / 0.6e1 - t7581 * t16616 / 0.6e1 + t7216 * t16620 / 0.12e2 + t4779 * t17474 / 0.2e1 + t4779 * t17477 / 0.2e1 + 0.3e1 / 0.2e1 * t4779 * t17481 + t4779 * t17485 / 0.2e1 + 0.3e1 * t4738 * t17489 + t4738 * t17492 - 0.2e1 / 0.3e1 * t7216 * t17495;
  t17499 = t4770 * t17428;
  t17502 = t10058 * t17421;
  t17505 = t10037 * t17450;
  t17512 = t4760 * t17421;
  t17515 = t10058 * t17450;
  t17518 = t1847 * t16630;
  t17521 = t3375 * t17275;
  t17522 = t7599 * t17521;
  t17525 = t4754 * t17405;
  t17528 = t3671 * t17275;
  t17529 = t10037 * t17528;
  t17532 = t7216 * t17499 / 0.3e1 - 0.11e2 / 0.18e2 * t11008 * t17502 + 0.23e2 / 0.36e2 * t11008 * t17505 + t7216 * t16634 / 0.6e1 - t7216 * t16638 / 0.3e1 - t11008 * t17512 / 0.2e1 + 0.7e1 / 0.3e1 * t11008 * t17515 - t4779 * t17518 / 0.2e1 + 0.3e1 / 0.2e1 * t4779 * t17522 - t6069 * t17525 / 0.6e1 - 0.3e1 / 0.2e1 * t11008 * t17529 - t16900 + t16901 - t2089 + t16354;
  t17536 = my_piecewise3(t2, 0, t17246 + t17268 + t17374 + t17388 + t17432 + t17464 + t17498 + t17532);
  tv3sigmalapltau0 = t3 * t17536;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  tv3sigmalapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 1] += tv3sigmalapltau1;

  tv3sigmalapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 2] += tv3sigmalapltau2;

  tv3sigmalapltau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 3] += tv3sigmalapltau3;

  tv3sigmalapltau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 4] += tv3sigmalapltau4;

  tv3sigmalapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 5] += tv3sigmalapltau5;

  tv3sigmalapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 6] += tv3sigmalapltau6;

  tv3sigmalapltau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 7] += tv3sigmalapltau7;

  tv3sigmalapltau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 8] += tv3sigmalapltau8;

  tv3sigmalapltau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 9] += tv3sigmalapltau9;

  tv3sigmalapltau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 10] += tv3sigmalapltau10;

  t17537 = t8079 * t2337;
  t17538 = t1393 * t17537;
  t17541 = t2028 * t2337;
  t17542 = t1400 * t17541;
  t17553 = t6006 * t2756;
  t17554 = t1393 * t17553;
  t17557 = t16363 - t16377 + t16381 - t16907 + t16908 + t16931 - t2180 - t1651 * t17538 / 0.6e1 + t1651 * t17542 / 0.3e1 - t8201 * t2390 / 0.2e1 + t2030 * t2403 / 0.2e1 - t6848 * t2503 / 0.2e1 + t555 * t16955 / 0.12e2 - t1965 * t17554 / 0.6e1;
  t17558 = t1000 * t17553;
  t17561 = t1400 * t17553;
  t17570 = t1000 * t17537;
  t17575 = t1400 * t17537;
  t17588 = t1940 * t17020;
  t17593 = t1958 * t17558 / 0.6e1 - t1965 * t17561 / 0.12e2 + t1663 * t2512 / 0.2e1 - t1965 * t17175 / 0.6e1 + t1965 * t17180 / 0.3e1 + t1644 * t17570 / 0.6e1 + t490 * t16365 / 0.12e2 - t1651 * t17575 / 0.12e2 + t1958 * t16922 / 0.6e1 + t555 * t15979 / 0.12e2 - t1965 * t16915 / 0.12e2 + t555 * t16933 / 0.12e2 - t1454 * t2817 / 0.4e1 - t373 * t17588 / 0.4e1 - t1663 * t2506 / 0.2e1;
  t17603 = t1452 * t2756;
  t17604 = t1400 * t17603;
  t17623 = -t1663 * t2509 / 0.4e1 - t5674 * t2809 / 0.2e1 - t2030 * t2395 / 0.2e1 - t2030 * t2398 / 0.4e1 + t1965 * t17604 / 0.3e1 + t1454 * t2831 / 0.4e1 + t1454 * t2822 / 0.2e1 - t490 * t11754 / 0.12e2 - t442 * t13478 / 0.12e2 + t1663 * t2521 / 0.4e1 - t1454 * t2814 / 0.2e1 + t16418 + t11512 * t505 / 0.4e1 - t490 * t11507 / 0.12e2;
  t17628 = t168 * t10524;
  t17629 = t5587 * t17628;
  t17632 = -t555 * t10656 / 0.12e2 - t17010 - t17011 - t17018 - t16437 - t15986 - t15990 + t16006 + t16017 - t16022 - t16025 + t16034 + t2251 + t8058 * t16971 / 0.12e2 + t8058 * t17629 / 0.3e1;
  t17635 = t5549 * t17628;
  t17638 = t487 * t439;
  t17639 = t168 * t17638;
  t17640 = t10458 * t17639;
  t17645 = t1182 * t10524;
  t17646 = t2056 * t17645;
  t17649 = t2056 * t16975;
  t17652 = t552 * t439;
  t17654 = t6984 * t1034 * t17652;
  t17657 = t1720 * t11398;
  t17659 = t1021 * t10524;
  t17660 = t5549 * t17659;
  t17665 = t583 * t439;
  t17666 = t380 * t17665;
  t17667 = t5582 * t17666;
  t17672 = t5553 * t17666;
  t17675 = t559 * t16979;
  t17678 = t4549 * t10524;
  t17679 = t2060 * t17678;
  t17681 = t8058 * t17635 / 0.6e1 - 0.5e1 / 0.36e2 * t11381 * t17640 - t8052 * t16983 / 0.6e1 + t5540 * t17646 / 0.2e1 + t5540 * t17649 / 0.2e1 + 0.3e1 * t5559 * t17654 + t5559 * t17657 - 0.2e1 / 0.3e1 * t8058 * t17660 - t8055 * t16966 / 0.6e1 + t6830 * t17667 / 0.6e1 + t6827 * t16404 / 0.12e2 - t6824 * t17672 / 0.12e2 + t5540 * t17675 / 0.2e1 - t5540 * t17679;
  t17682 = t356 * t17638;
  t17683 = t8220 * t17682;
  t17686 = t4408 * t17638;
  t17687 = t8227 * t17686;
  t17690 = t5591 * t17666;
  t17693 = t4143 * t17665;
  t17694 = t5553 * t17693;
  t17697 = t13560 * t2389;
  t17700 = t13560 * t2402;
  t17703 = t13537 * t2394;
  t17706 = t13543 * t2257;
  t17709 = t2380 * t584;
  t17712 = t5582 * t17639;
  t17715 = t4137 * t17628;
  t17718 = t5553 * t17639;
  t17721 = 0.3e1 / 0.2e1 * t5540 * t17683 + 0.3e1 / 0.2e1 * t5540 * t17687 - t6824 * t17690 / 0.6e1 + t6824 * t17694 / 0.3e1 - t5535 * t17697 / 0.2e1 + t4145 * t17700 / 0.2e1 - t4145 * t17703 / 0.2e1 - t4145 * t17706 / 0.4e1 - t110 * t17709 / 0.4e1 + t16468 - t11372 * t17712 / 0.2e1 - t8052 * t17715 / 0.6e1 + t11369 * t17718 / 0.2e1 + t17045 + t17046;
  t17723 = t4403 * t17638;
  t17724 = t10458 * t17723;
  t17727 = t5591 * t17639;
  t17729 = t1021 * t17638;
  t17730 = t5553 * t17729;
  t17733 = t10485 * t17639;
  t17736 = t10458 * t17729;
  t17739 = t1476 * t13572;
  t17742 = t2060 * t16986;
  t17749 = t5549 * t17639;
  t17752 = -t17047 - t17048 - t16544 - 0.3e1 / 0.2e1 * t11381 * t17724 + t11369 * t17727 - 0.2e1 * t11369 * t17730 - 0.11e2 / 0.18e2 * t11381 * t17733 + 0.23e2 / 0.36e2 * t11381 * t17736 + t17073 - t17074 + t5559 * t17739 / 0.2e1 - t5540 * t17742 / 0.2e1 + t8058 * t16990 / 0.6e1 - t8058 * t16994 / 0.3e1 - t11381 * t17749 / 0.2e1;
  t17753 = t10485 * t17729;
  t17757 = t6988 * t4396 * t17652;
  t17761 = t6988 * t4376 * t17652;
  t17764 = t1093 * t17638;
  t17765 = t8223 * t17764;
  t17768 = t13733 * t439;
  t17769 = t4633 * t17768;
  t17778 = t13733 * t2196;
  t17779 = t1203 * t17778;
  t17782 = t360 * t17768;
  t17785 = t360 * t17778;
  t17788 = t1190 * t17768;
  t17791 = t1190 * t17778;
  t17794 = t1203 * t17768;
  t17797 = t4624 * t17768;
  t17804 = -t11538 * t17769 / 0.9e1 + 0.2e1 * t8251 * t17109 + 0.2e1 * t11528 * t17113 + t8254 * t17116 / 0.3e1 - 0.4e1 * t8254 * t17779 + 0.6e1 * t11541 * t17782 + 0.2e1 * t8251 * t17785 + 0.2e1 * t11533 * t17788 + 0.2e1 / 0.3e1 * t8254 * t17791 - 0.12e2 * t11533 * t17794 - 0.2e1 / 0.3e1 * t11538 * t17797 - 0.2e1 * t8254 * t17106 + 0.6e1 * t11538 * t17788;
  t17807 = t2369 * t487;
  t17808 = t4376 * t17807;
  t17811 = t2788 * t2196;
  t17812 = t4408 * t17811;
  t17815 = t356 * t17807;
  t17818 = t1182 * t17811;
  t17820 = -t15307 + t17077 + t15361 + t17078 - t15890 + t15902 - t15905 + t16481 - 0.2e1 / 0.3e1 * t2060 * t17086 + 0.1e2 / 0.3e1 * t8227 * t17808 - 0.4e1 / 0.3e1 * t2060 * t17812 - 0.3e1 * t8220 * t17815 - t2056 * t17818;
  t17824 = t4549 * t17811;
  t17827 = t1034 * t17807;
  t17830 = t4396 * t17807;
  t17834 = t1093 * t17807;
  t17838 = t4408 * t17807;
  t17841 = -t2056 * t17145 - t559 * t17149 + 0.2e1 * t2060 * t17824 - 0.4e1 * t8223 * t17827 + t8227 * t17830 / 0.18e2 - t559 * t17158 + t17119 - t17120 - t15384 - t17123 + 0.6e1 * t8223 * t17834 + t2060 * t17094 - 0.3e1 * t8227 * t17838;
  t17844 = t17130 - t17156 - t16484 + t16488 - t16505 - t16509 + t16524 + t559 * t17132 / 0.2e1 - t15930 + t15933 + t15935 - t2229 + t2210;
  t17846 = t17804 + t17820 + t17841 + t17844;
  t17847 = t139 * t17846;
  t17848 = t17847 * t168;
  t17857 = 0.7e1 / 0.3e1 * t11381 * t17753 + 0.3e1 / 0.2e1 * t10506 * t17757 - 0.3e1 * t5559 * t17761 - 0.3e1 * t5540 * t17765 - t110 * t17848 / 0.4e1 + t16075 - t16082 + t16581 - t16583 - t16588 - t16591 + t10647 * t570 / 0.4e1 - t442 * t13633 / 0.12e2 + t13724 * t457 / 0.4e1 + t17206;
  t17861 = my_piecewise3(t100, 0, t17557 + t17593 + t17623 + t17632 + t17681 + t17721 + t17752 + t17857);
  tv3sigmalapltau11 = t3 * t17861;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 11] += tv3sigmalapltau11;

  t17864 = t8745 * t2911;
  t17865 = t246 * t17864;
  t17866 = t17865 / 0.4e1;
  t17883 = 0.2e1 / 0.3e1 * t8837 * t13892 + t15069 - 0.4e1 * t13898 * t2323 + 0.4e1 / 0.3e1 * t13901 * t2318 - 0.2e1 * t13904 * t2166 + 0.4e1 * t13901 * t2331 - t15081 + 0.4e1 * t13911 * t2323 + 0.2e1 * t521 * t2166 - 0.4e1 * t13916 * t2331;
  t17885 = t658 * t221 * t17883;
  t17886 = t1769 * t17885;
  t17889 = t14004 * t2323;
  t17892 = t14040 * t2166;
  t17897 = t13951 * t15054;
  t17899 = t13986 * t2318;
  t17909 = -t1293 * t2912 / 0.4e1 - t17866 - t246 * t17886 / 0.4e1 + 0.3e1 / 0.2e1 * t246 * t17889 + t246 * t17892 / 0.2e1 + t1293 * t2903 / 0.2e1 + t644 * t17897 + 0.3e1 * t644 * t17899 - t417 * t13977 / 0.6e1 + t1891 * t2462 / 0.2e1 - t1891 * t2447 - t1891 * t2450 / 0.2e1;
  t17910 = t13951 * t15103;
  t17915 = t14031 * t420 * t249;
  t17918 = t16223 / 0.2e1;
  t17919 = t16225 / 0.6e1;
  t17921 = t14076 * t16667;
  t17924 = t14076 * t16672;
  t17930 = -t246 * t17910 - t417 * t14033 / 0.12e2 + t246 * t17915 / 0.4e1 + t16188 - t16191 - t16194 + t17918 - t17919 + t1891 * t2453 + 0.3e1 / 0.2e1 * t3680 * t17921 - 0.3e1 * t644 * t17924 + t13929 * t2276 - 0.2e1 * t13929 * t2282;
  t17942 = -0.11e2 / 0.18e2 * t13878 * t16768 + 0.23e2 / 0.36e2 * t13878 * t16771 - t13878 * t16774 / 0.2e1 + 0.7e1 / 0.3e1 * t13878 * t16777 - t1748 * t17233 / 0.3e1 + t16602 + t16603 - t16604 - t16605 - t16606 - t16607 + t2160;
  t17945 = t2087 * t2854;
  t17946 = t17945 / 0.12e2;
  t17947 = t5044 * t2852;
  t17948 = t660 * t17947;
  t17951 = t94 * t17883;
  t17952 = t661 * t17951;
  t17953 = t660 * t17952;
  t17962 = t13986 * t2331;
  t17965 = t14076 * t16652;
  t17973 = 0.2e1 / 0.3e1 * t16279;
  t17974 = -0.5e1 / 0.36e2 * t13878 * t16714 + t17946 + t515 * t17948 / 0.12e2 + t515 * t17953 / 0.12e2 - t14215 * t2268 / 0.2e1 - t2839 * t2108 / 0.6e1 + t13929 * t2271 / 0.2e1 - 0.3e1 * t246 * t17962 + 0.3e1 / 0.2e1 * t246 * t17965 + 0.2e1 / 0.3e1 * t1748 * t17237 - 0.3e1 / 0.2e1 * t13878 * t16661 - t7462 * t2444 + t17973;
  t17977 = t16283 / 0.3e1;
  t17978 = t16287 / 0.6e1;
  t17979 = t16298 / 0.3e1;
  t17990 = t14184 * t2318;
  t17992 = t14184 * t2331;
  t17994 = -t17977 - t17978 + t17979 - t515 * t10894 / 0.6e1 + t515 * t16276 / 0.6e1 - t1748 * t17218 / 0.6e1 - 0.2e1 / 0.3e1 * t2844 * t15040 - t16647 + t16648 + 0.2e1 / 0.3e1 * t7216 * t17285 - t4748 * t17990 + t3123 * t17992;
  t17995 = t1321 * t14200;
  t17998 = t2851 * t414;
  t17999 = t95 * t17998;
  t18000 = t3130 * t17999;
  t18003 = 0.2e1 * t16122;
  t18004 = 0.2e1 * t16125;
  t18005 = 0.4e1 / 0.3e1 * t16128;
  t18022 = t18003 - t18004 + t18005 + 0.6e1 * t14331 * t2306 - 0.3e1 * t14293 * t16881 - 0.12e2 * t14331 * t2295 - 0.2e1 / 0.3e1 * t14293 * t16813 + 0.6e1 * t14293 * t16816 - 0.4e1 * t14331 * t2299 + t14293 * t16876 / 0.18e2 + 0.1e2 / 0.3e1 * t14293 * t16869;
  t18027 = t14257 * t414;
  t18028 = t840 * t18027;
  t18031 = t827 * t18027;
  t18034 = t233 * t18027;
  t18037 = t14257 * t2105;
  t18038 = t233 * t18037;
  t18042 = t2118 * t2884;
  t18043 = t18042 / 0.2e1;
  t18044 = t60 * t17883;
  t18045 = t819 * t18044;
  t18050 = t2883 * t414;
  t18051 = t3409 * t18050;
  t18053 = -0.4e1 / 0.3e1 * t2870 * t15165 - 0.3e1 * t14282 * t2302 - t15157 - 0.2e1 * t7584 * t18028 + t7584 * t18031 / 0.3e1 + 0.2e1 * t7586 * t18034 + 0.2e1 * t10828 * t18038 - t2866 * t2142 + t18043 + t519 * t18045 / 0.2e1 + 0.2e1 * t2870 * t15154 + t1847 * t18051;
  t18057 = 0.2e1 / 0.3e1 * t16163;
  t18058 = 0.4e1 * t16170;
  t18059 = 0.4e1 * t16172;
  t18060 = 0.6e1 * t14282 * t2288 + t15168 - t15178 + t16834 + t16835 - t16863 + t16864 - t16865 - t18057 + t18058 - t18059;
  t18069 = t2118 * t2874;
  t18070 = t63 * t17883;
  t18071 = t819 * t18070;
  t18073 = t3375 * t18050;
  t18078 = t819 * t18050;
  t18080 = t2883 * t2105;
  t18081 = t3430 * t18080;
  t18083 = 0.2e1 * t2866 * t2129 + 0.2e1 * t14331 * t2291 + 0.2e1 / 0.3e1 * t2870 * t15189 - t14293 * t16808 / 0.9e1 - t18069 - t519 * t18071 - 0.2e1 / 0.3e1 * t1847 * t18073 - 0.4e1 * t2870 * t15196 - t1843 * t18078 - t519 * t18081 - t2138 + t2119;
  t18085 = t18022 + t18053 + t18060 + t18083;
  t18086 = t59 * t18085;
  t18087 = t18086 * t95;
  t18090 = t2436 * t544;
  t18093 = t427 * t2933;
  t18096 = t14228 * t2323;
  t18098 = t14231 * t2166;
  t18107 = t2851 * t2105;
  t18108 = t95 * t18107;
  t18109 = t8642 * t18108;
  t18112 = t4760 * t17999;
  t18115 = t4738 * t17995 / 0.2e1 - t7746 * t18000 / 0.6e1 - t30 * t18087 / 0.4e1 + t16723 - t30 * t18090 / 0.2e1 - t30 * t18093 / 0.4e1 - t3123 * t18096 - t3123 * t18098 / 0.2e1 + t7746 * t17418 / 0.3e1 + t7581 * t16310 / 0.6e1 - t7216 * t17406 / 0.6e1 - t7581 * t18109 / 0.6e1 + t7216 * t18112 / 0.12e2;
  t18117 = t819 * t17998;
  t18118 = t1843 * t18117;
  t18121 = t3430 * t18107;
  t18122 = t519 * t18121;
  t18125 = t3409 * t17998;
  t18126 = t1847 * t18125;
  t18129 = t4770 * t17999;
  t18132 = t635 * t17998;
  t18133 = t4760 * t18132;
  t18138 = t16325 / 0.6e1;
  t18149 = t4779 * t18118 / 0.2e1 + t4779 * t18122 / 0.2e1 - t4779 * t18126 / 0.2e1 + t7216 * t18129 / 0.6e1 - t7216 * t18133 / 0.3e1 - t7216 * t17525 / 0.3e1 - t18138 + t2844 * t15036 / 0.3e1 + t1787 * t17213 / 0.3e1 + t2844 * t15058 / 0.6e1 - t2844 * t5064 / 0.6e1 + t10974 * t530 / 0.2e1;
  t18158 = t16353 / 0.2e1;
  t18169 = -t515 * t10969 / 0.6e1 + t2844 * t5068 / 0.3e1 + t2839 * t1288 / 0.6e1 - t2844 * t5102 / 0.12e2 - t16900 + t16901 - t2089 + t18158 + t1293 * t2915 / 0.2e1 - t5073 * t2899 / 0.2e1 - t1293 * t2907 / 0.2e1 - t417 * t14148 / 0.12e2 + t14153 * t432 / 0.4e1;
  t18173 = my_piecewise3(t2, 0, t17909 + t17930 + t17942 + t17974 + t17994 + t18115 + t18149 + t18169);
  tv3sigmatau20 = t3 * t18173;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  tv3sigmatau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 1] += tv3sigmatau21;

  tv3sigmatau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 2] += tv3sigmatau22;

  tv3sigmatau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 3] += tv3sigmatau23;

  tv3sigmatau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 4] += tv3sigmatau24;

  tv3sigmatau25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 5] += tv3sigmatau25;

  tv3sigmatau26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 6] += tv3sigmatau26;

  tv3sigmatau27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 7] += tv3sigmatau27;

  t18174 = 0.2e1 / 0.3e1 * t16362;
  t18175 = t16376 / 0.3e1;
  t18176 = t16380 / 0.3e1;
  t18183 = t2954 * t439;
  t18184 = t168 * t18183;
  t18185 = t4137 * t18184;
  t18188 = t2954 * t2196;
  t18189 = t168 * t18188;
  t18190 = t9270 * t18189;
  t18197 = t18174 - t18175 + t18176 - t16907 + t16908 - 0.11e2 / 0.18e2 * t14535 * t17197 + 0.23e2 / 0.36e2 * t14535 * t17200 - t14535 * t17203 / 0.2e1 - t8052 * t18185 / 0.6e1 - t8055 * t18190 / 0.6e1 + t8055 * t16404 / 0.6e1 - t8058 * t17672 / 0.6e1;
  t18198 = t5549 * t18184;
  t18201 = t14713 * t2257;
  t18206 = t14701 * t2394;
  t18208 = t1182 * t18183;
  t18209 = t2056 * t18208;
  t18212 = t4543 * t18188;
  t18213 = t559 * t18212;
  t18216 = t16417 / 0.2e1;
  t18217 = t14554 * t17050;
  t18224 = t8058 * t18198 / 0.12e2 - t4145 * t18201 / 0.2e1 + t8052 * t17667 / 0.3e1 - t4145 * t18206 + t5540 * t18209 / 0.2e1 + t5540 * t18213 / 0.2e1 - t2180 + t18216 - 0.3e1 * t1030 * t18217 + t1454 * t3018 / 0.2e1 - t1454 * t3010 / 0.2e1 - t17010 - t17011;
  t18228 = t14639 * t2389;
  t18230 = t14639 * t2402;
  t18232 = t1476 * t14892;
  t18235 = t4549 * t18183;
  t18236 = t2060 * t18235;
  t18239 = t5587 * t18184;
  t18242 = t1021 * t18183;
  t18243 = t5549 * t18242;
  t18256 = 0.2e1 / 0.3e1 * t8058 * t17694 - t5535 * t18228 + t4145 * t18230 + t5559 * t18232 / 0.2e1 - t5540 * t18236 / 0.2e1 + t8058 * t18239 / 0.6e1 - t8058 * t18243 / 0.3e1 - t5674 * t3002 / 0.2e1 - t442 * t14621 / 0.12e2 + t14626 * t457 / 0.4e1 + t11512 * t570 / 0.2e1 + t2947 * t5669 / 0.3e1;
  t18265 = t16436 / 0.6e1;
  t18281 = -t555 * t11507 / 0.6e1 - t2947 * t5686 / 0.12e2 - t2947 * t5665 / 0.6e1 + t2942 * t1449 / 0.6e1 - t18265 - t2030 * t2506 - t2030 * t2509 / 0.2e1 - t555 * t11754 / 0.6e1 - 0.2e1 / 0.3e1 * t2947 * t15465 + t555 * t16365 / 0.6e1 - t1965 * t17575 / 0.6e1 + t2947 * t15461 / 0.3e1 + t1958 * t17570 / 0.3e1;
  t18284 = t2178 * t2957;
  t18285 = t18284 / 0.12e2;
  t18302 = 0.2e1 / 0.3e1 * t9394 * t14728 + t15337 - 0.4e1 * t14734 * t2394 + 0.4e1 / 0.3e1 * t14737 * t2389 - 0.2e1 * t14740 * t2257 + 0.4e1 * t14737 * t2402 - t15349 + 0.4e1 * t14747 * t2394 + 0.2e1 * t561 * t2257 - 0.4e1 * t14752 * t2402;
  t18304 = t985 * t348 * t18302;
  t18305 = t1940 * t18304;
  t18308 = t14983 * t2394;
  t18311 = t14987 * t2257;
  t18320 = t14550 * t2389;
  t18323 = t14967 * t15473;
  t18329 = t2209 * t2987;
  t18330 = t18329 / 0.2e1;
  t18331 = t140 * t18302;
  t18332 = t1182 * t18331;
  t18341 = 0.6e1 * t14806 * t2377 - 0.3e1 * t14795 * t17162 + t18330 + t559 * t18332 / 0.2e1 + 0.2e1 * t2973 * t15328 + 0.1e2 / 0.3e1 * t14795 * t17138 - t15307 + t17077 + t15361 + t17078 - t14795 * t17153 / 0.9e1;
  t18342 = t2209 * t2977;
  t18343 = t143 * t18302;
  t18344 = t1182 * t18343;
  t18346 = t2369 * t2954;
  t18347 = t4408 * t18346;
  t18358 = t14779 * t439;
  t18359 = t1203 * t18358;
  t18362 = t360 * t18358;
  t18365 = t14779 * t2196;
  t18366 = t360 * t18365;
  t18369 = t1190 * t18358;
  t18372 = 0.2e1 * t16481;
  t18373 = -t18342 - t559 * t18344 - 0.2e1 / 0.3e1 * t2060 * t18347 - 0.4e1 * t2973 * t15398 + 0.6e1 * t14826 * t2359 + 0.2e1 * t2969 * t2220 + 0.2e1 * t14806 * t2362 - 0.2e1 * t8254 * t18359 + 0.2e1 * t8251 * t18362 + 0.2e1 * t11528 * t18366 + t8254 * t18369 / 0.3e1 + t18372;
  t18375 = 0.2e1 * t16484;
  t18376 = 0.4e1 / 0.3e1 * t16487;
  t18377 = t4549 * t18346;
  t18385 = t1182 * t18346;
  t18387 = t17119 - t17120 - t15384 - t17123 - t18375 + t18376 + t2060 * t18377 - 0.12e2 * t14806 * t2366 - 0.2e1 / 0.3e1 * t14795 * t17099 + 0.6e1 * t14795 * t17091 - t2056 * t18385;
  t18388 = t2986 * t2196;
  t18389 = t4543 * t18388;
  t18402 = 0.4e1 * t16504;
  t18403 = 0.2e1 / 0.3e1 * t16508;
  t18404 = 0.4e1 * t16523;
  t18405 = -t559 * t18389 + 0.2e1 / 0.3e1 * t2973 * t15389 - 0.4e1 / 0.3e1 * t2973 * t15315 - 0.3e1 * t14826 * t2373 - t2969 * t2233 - 0.4e1 * t14806 * t2370 + t14795 * t17135 / 0.18e2 - t18402 - t18403 + t18404 - t2229 + t2210;
  t18407 = t18341 + t18373 + t18387 + t18405;
  t18408 = t139 * t18407;
  t18409 = t18408 * t168;
  t18412 = t14550 * t2402;
  t18415 = t18285 - t373 * t18305 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t18308 + t373 * t18311 / 0.2e1 + t1454 * t3006 / 0.2e1 - t442 * t14643 / 0.6e1 + t2030 * t2521 / 0.2e1 + 0.3e1 * t1030 * t18320 + t1030 * t18323 + t2251 - t110 * t18409 / 0.4e1 - 0.3e1 * t373 * t18412;
  t18416 = t14554 * t17057;
  t18429 = t14554 * t17190;
  t18435 = t6006 * t2955;
  t18436 = t987 * t18435;
  t18439 = t167 * t18302;
  t18440 = t988 * t18439;
  t18441 = t987 * t18440;
  t18446 = 0.3e1 / 0.2e1 * t373 * t18416 + 0.7e1 / 0.3e1 * t14535 * t17061 - t1965 * t17538 / 0.3e1 + 0.2e1 / 0.3e1 * t1965 * t17542 - 0.3e1 / 0.2e1 * t14535 * t17184 - t8201 * t2503 + t2030 * t2512 + 0.3e1 / 0.2e1 * t4395 * t18429 + t14542 * t2347 - 0.2e1 * t14542 * t2353 + t555 * t18436 / 0.12e2 + t555 * t18441 / 0.12e2 + t2947 * t15479 / 0.6e1;
  t18456 = t2495 * t584;
  t18459 = t452 * t3036;
  t18462 = t16467 / 0.2e1;
  t18463 = t14967 * t15457;
  t18465 = -0.5e1 / 0.36e2 * t14535 * t16927 - t14776 * t2339 / 0.2e1 - t2942 * t2199 / 0.6e1 + t14542 * t2342 / 0.2e1 - t110 * t18456 / 0.2e1 - t110 * t18459 / 0.4e1 + t18462 + t17045 + t17046 - t17047 - t17048 - t373 * t18463;
  t18469 = t14974 * t445 * t376;
  t18474 = t9439 * t3014;
  t18475 = t373 * t18474;
  t18476 = t18475 / 0.4e1;
  t18477 = t16543 / 0.6e1;
  t18480 = t16582 / 0.6e1;
  t18481 = -t442 * t14976 / 0.12e2 + t373 * t18469 / 0.4e1 - t1454 * t3015 / 0.4e1 - t18476 - t18477 - t8058 * t17690 / 0.3e1 + t17073 - t17074 + t16580 - t18480 - t16587 - t16590 + t17206;
  t18485 = my_piecewise3(t100, 0, t18197 + t18224 + t18256 + t18281 + t18415 + t18446 + t18465 + t18481);
  tv3sigmatau28 = t3 * t18485;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 8] += tv3sigmatau28;

  t18486 = t15601 / 0.2e1;
  t18487 = 0.3e1 / 0.2e1 * t15611;
  t18488 = t15614 / 0.2e1;
  t18489 = t6255 * t2542;
  t18490 = t660 * t18489;
  t18498 = t3227 * t2526;
  t18511 = 0.2e1 / 0.3e1 * t2566 * t634 + t15069 - 0.4e1 * t662 * t2526 * t748 + 0.4e1 / 0.3e1 * t18498 * t649 - 0.2e1 * t11845 * t2592 + 0.4e1 * t18498 * t654 - t15081 + 0.4e1 * t2569 * t222 + 0.2e1 * t472 * t2592 - 0.4e1 * t2566 * t629;
  t18512 = t94 * t18511;
  t18513 = t661 * t18512;
  t18514 = t660 * t18513;
  t18517 = t3250 * t2543;
  t18522 = t628 * t2541;
  t18523 = t3171 * t18522;
  t18524 = t12096 * t18523;
  t18527 = t3172 * t2543;
  t18530 = t244 * t2542;
  t18531 = t3250 * t18530;
  t18533 = t16717 / 0.6e1;
  t18534 = t2160 + t18486 - t18487 - t18488 + t15618 + t466 * t18490 / 0.4e1 + t466 * t18514 / 0.12e2 + t2534 * t18517 / 0.4e1 - t2529 * t2544 / 0.3e1 - 0.3e1 / 0.2e1 * t246 * t18524 + t2534 * t18527 / 0.2e1 - t2534 * t18531 + t18533;
  t18541 = t2526 * t463;
  t18542 = t18541 * t3396;
  t18543 = t3512 * t18542;
  t18544 = t191 * t18543;
  t18551 = t18541 * t3415;
  t18552 = t616 * t18551;
  t18553 = t191 * t18552;
  t18558 = t60 * t18511;
  t18559 = t819 * t18558;
  t18562 = t3375 * t2571;
  t18565 = t615 * t18541;
  t18566 = t18565 * t3416;
  t18569 = t69 * t18541;
  t18570 = t18569 * t3399;
  t18573 = t3409 * t2571;
  t18582 = t2541 * t2541;
  t18583 = t60 * t18582;
  t18584 = t3430 * t18583;
  t18588 = t63 * t18582;
  t18589 = t3430 * t18588;
  t18592 = t3375 * t2561;
  t18594 = t63 * t18511;
  t18595 = t819 * t18594;
  t18597 = t18565 * t3415;
  t18600 = t18569 * t3396;
  t18603 = -0.2e1 * t2554 * t2572 + t470 * t18559 / 0.2e1 - 0.2e1 * t2558 * t18562 + 0.2e1 * t18566 * t816 - t18570 * t3449 / 0.9e1 + 0.3e1 * t2558 * t18573 - 0.12e2 * t18566 * t823 - 0.2e1 / 0.3e1 * t18570 * t3403 + 0.6e1 * t18570 * t3406 - t470 * t18584 + 0.4e1 * t2554 * t2562 + 0.2e1 * t470 * t18589 + t2558 * t18592 - t470 * t18595 - 0.4e1 * t18597 * t828 + t18600 * t3483 / 0.18e2;
  t18608 = t193 * t18541;
  t18609 = t18608 * t619;
  t18614 = t18608 * t3421;
  t18617 = t3409 * t2561;
  t18620 = 0.3e1 * t15697;
  t18621 = 0.2e1 * t15709;
  t18622 = 0.3e1 * t15712;
  t18623 = 0.6e1 * t15742;
  t18624 = 0.6e1 * t15766;
  t18625 = 0.2e1 * t16839;
  t18626 = 0.6e1 * t18597 * t841 - 0.3e1 * t18600 * t3491 - 0.3e1 * t18609 * t234 + 0.1e2 / 0.3e1 * t18600 * t3476 + 0.6e1 * t18614 * t230 - 0.6e1 * t2558 * t18617 - t18620 + t18621 + t18622 - t18623 - t15748 + t18624 - t18625 - t2138 + t2119 + t16887;
  t18627 = t18603 + t18626;
  t18628 = t59 * t18627;
  t18629 = t18628 * t95;
  t18632 = t15661 / 0.4e1;
  t18633 = t16742 / 0.2e1;
  t18634 = 0.3e1 / 0.4e1 * t15777;
  t18635 = t15783 / 0.4e1;
  t18637 = t247 * t18541 * t3643;
  t18640 = 0.3e1 / 0.4e1 * t12216 * t481 - t466 * t12211 / 0.4e1 - t2534 * t6350 / 0.4e1 - 0.5e1 / 0.36e2 * t18544 * t3602 - t2534 * t6286 / 0.2e1 + t2529 * t1527 / 0.2e1 + t18553 * t752 / 0.2e1 - t30 * t18629 / 0.4e1 - t18632 - t18633 + t18634 - t18635 + 0.3e1 / 0.2e1 * t246 * t18637;
  t18642 = t645 * t18541;
  t18643 = t18642 * t3504;
  t18648 = t18541 * t619;
  t18649 = t194 * t18648;
  t18650 = t191 * t18649;
  t18667 = 0.3e1 / 0.2e1 * t15793;
  t18668 = 0.3e1 / 0.2e1 * t15803;
  t18669 = 0.3e1 * t644 * t18643 - 0.3e1 / 0.2e1 * t1532 * t2588 - t18650 * t223 / 0.2e1 - t18544 * t3665 / 0.2e1 + 0.7e1 / 0.3e1 * t18544 * t3668 + t2534 * t6290 - 0.3e1 / 0.2e1 * t18544 * t3673 - 0.3e1 / 0.2e1 * t6295 * t2584 + t18553 * t630 - 0.2e1 * t18553 * t637 - 0.11e2 / 0.18e2 * t18544 * t3517 + t18667 - t18668;
  t18670 = t3658 * t18541;
  t18671 = t18670 * t3660;
  t18676 = t18670 * t3681;
  t18679 = t18670 * t3685;
  t18682 = t18642 * t3508;
  t18688 = t3138 * t221 * t18582;
  t18689 = t1559 * t18688;
  t18692 = t94 * t18582;
  t18693 = t661 * t18692;
  t18694 = t3139 * t18693;
  t18697 = t12183 * t2592;
  t18700 = t658 * t221 * t18511;
  t18701 = t1559 * t18700;
  t18704 = t633 * t2541;
  t18705 = t3171 * t18704;
  t18706 = t12096 * t18705;
  t18711 = -t2089 + 0.3e1 / 0.2e1 * t246 * t18671 + 0.3e1 / 0.2e1 * t1532 * t2596 + 0.3e1 / 0.2e1 * t3680 * t18676 - 0.3e1 * t644 * t18679 - 0.3e1 * t246 * t18682 + 0.23e2 / 0.36e2 * t18544 * t3545 + t246 * t18689 / 0.2e1 - t466 * t18694 / 0.6e1 + t246 * t18697 - t246 * t18701 / 0.4e1 + 0.3e1 / 0.2e1 * t644 * t18706 - 0.3e1 / 0.4e1 * t1532 * t2593;
  t18714 = my_piecewise3(t2, 0, t18534 + t18640 + t18669 + t18711);
  tv3lapl30 = t3 * t18714;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  tv3lapl31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 1] += tv3lapl31;

  tv3lapl32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 2] += tv3lapl32;

  t18717 = t2601 * t487;
  t18718 = t69 * t18717;
  t18719 = t18718 * t4375;
  t18722 = t4408 * t2646;
  t18725 = t615 * t18717;
  t18726 = t18725 * t4334;
  t18729 = t4549 * t2646;
  t18738 = t2616 * t2616;
  t18739 = t140 * t18738;
  t18740 = t4543 * t18739;
  t18742 = t193 * t18717;
  t18743 = t18742 * t4425;
  t18751 = t4206 * t2601;
  t18764 = 0.2e1 / 0.3e1 * t2641 * t1020 + t15337 - 0.4e1 * t989 * t2601 * t1045 + 0.4e1 / 0.3e1 * t18751 * t1035 - 0.2e1 * t12420 * t2667 + 0.4e1 * t18751 * t1094 - t15349 + 0.4e1 * t2644 * t349 + 0.2e1 * t496 * t2667 - 0.4e1 * t2641 * t1015;
  t18765 = t140 * t18764;
  t18766 = t1182 * t18765;
  t18769 = t18718 * t4356;
  t18774 = t18725 * t4333;
  t18779 = t18742 * t1007;
  t18782 = -0.2e1 * t2629 * t2647 - t18719 * t4612 / 0.9e1 - 0.2e1 * t2633 * t18722 + 0.2e1 * t18726 * t1179 + 0.3e1 * t2633 * t18729 - 0.12e2 * t18726 * t1186 - 0.2e1 / 0.3e1 * t18719 * t4589 + 0.6e1 * t18719 * t4579 - t494 * t18740 + 0.6e1 * t18743 * t357 + t494 * t18766 / 0.2e1 - 0.3e1 * t18769 * t4621 + 0.1e2 / 0.3e1 * t18769 * t4625 - 0.4e1 * t18774 * t1191 + t18769 * t4634 / 0.18e2 - 0.3e1 * t18779 * t361;
  t18785 = 0.6e1 * t15901;
  t18786 = 0.6e1 * t15904;
  t18787 = 0.2e1 * t17156;
  t18790 = t4408 * t2636;
  t18792 = t143 * t18764;
  t18793 = t1182 * t18792;
  t18795 = t143 * t18738;
  t18796 = t4543 * t18795;
  t18799 = t4549 * t2636;
  t18802 = 0.3e1 * t15930;
  t18803 = 0.2e1 * t15932;
  t18804 = 0.3e1 * t15935;
  t18805 = 0.6e1 * t18774 * t1204 + t2633 * t18790 - t494 * t18793 + 0.2e1 * t494 * t18796 - 0.6e1 * t2633 * t18799 + 0.4e1 * t2629 * t2637 - t15889 + t17129 + t18785 - t18786 - t18787 - t18802 + t18803 + t18804 + t2210 - t2229;
  t18806 = t18782 + t18805;
  t18807 = t139 * t18806;
  t18808 = t18807 * t168;
  t18811 = t16930 / 0.6e1;
  t18813 = t985 * t348 * t18764;
  t18814 = t1703 * t18813;
  t18817 = t12534 * t2667;
  t18819 = t1019 * t2616;
  t18820 = t4161 * t18819;
  t18821 = t12527 * t18820;
  t18827 = t4706 * t348 * t18738;
  t18828 = t1703 * t18827;
  t18831 = t167 * t18738;
  t18832 = t988 * t18831;
  t18833 = t4707 * t18832;
  t18836 = t6773 * t2617;
  t18837 = t987 * t18836;
  t18840 = t167 * t18764;
  t18841 = t988 * t18840;
  t18842 = t987 * t18841;
  t18845 = t4686 * t2618;
  t18848 = t1014 * t2616;
  t18849 = t4161 * t18848;
  t18850 = t12527 * t18849;
  t18853 = -t110 * t18808 / 0.4e1 + t18811 - t2180 - t373 * t18814 / 0.4e1 + t373 * t18817 + 0.3e1 / 0.2e1 * t1030 * t18821 - 0.3e1 / 0.4e1 * t1663 * t2668 + t373 * t18828 / 0.2e1 - t490 * t18833 / 0.6e1 + t490 * t18837 / 0.4e1 + t490 * t18842 / 0.12e2 + t2609 * t18845 / 0.4e1 - 0.3e1 / 0.2e1 * t373 * t18850;
  t18854 = t4162 * t2618;
  t18857 = t371 * t2617;
  t18858 = t4686 * t18857;
  t18860 = t17017 / 0.2e1;
  t18863 = t4373 * t18717;
  t18864 = t18863 * t4377;
  t18867 = t1031 * t18717;
  t18868 = t18867 * t4339;
  t18871 = t18863 * t4409;
  t18874 = t18717 * t4356;
  t18875 = t3512 * t18874;
  t18876 = t321 * t18875;
  t18886 = t18863 * t4397;
  t18889 = t2609 * t18854 / 0.2e1 - t2609 * t18858 - t18860 - t2604 * t2619 / 0.3e1 - 0.3e1 * t1030 * t18864 - 0.3e1 * t373 * t18868 + 0.3e1 / 0.2e1 * t373 * t18871 + 0.7e1 / 0.3e1 * t18876 * t4505 + t2609 * t6843 - 0.3e1 / 0.2e1 * t18876 * t4405 - 0.3e1 / 0.2e1 * t6848 * t2659 + 0.3e1 / 0.2e1 * t1663 * t2671 + 0.3e1 / 0.2e1 * t4395 * t18886;
  t18891 = t18717 * t4333;
  t18892 = t616 * t18891;
  t18893 = t321 * t18892;
  t18909 = t15985 / 0.2e1;
  t18910 = t15989 / 0.4e1;
  t18911 = t16005 / 0.2e1;
  t18912 = 0.3e1 / 0.2e1 * t16016;
  t18913 = 0.3e1 / 0.2e1 * t16021;
  t18914 = t18893 * t1016 - 0.2e1 * t18893 * t1023 + 0.3e1 / 0.4e1 * t12596 * t505 - t490 * t12591 / 0.4e1 - 0.5e1 / 0.36e2 * t18876 * t4467 - t2609 * t6839 / 0.2e1 + t2604 * t1658 / 0.2e1 + t18893 * t1090 / 0.2e1 - t18909 - t18910 + t18911 + t18912 - t18913;
  t18915 = 0.3e1 / 0.2e1 * t16024;
  t18918 = 0.3e1 / 0.4e1 * t16074;
  t18919 = t16081 / 0.4e1;
  t18927 = t374 * t18717 * t4426;
  t18932 = t18867 * t4335;
  t18935 = t18717 * t1007;
  t18936 = t194 * t18935;
  t18937 = t321 * t18936;
  t18940 = -t18915 + t16033 + t2251 - t2609 * t6873 / 0.4e1 + t18918 - t18919 - 0.11e2 / 0.18e2 * t18876 * t4365 + 0.23e2 / 0.36e2 * t18876 * t4370 - t18876 * t4414 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t18927 - 0.3e1 / 0.2e1 * t1663 * t2663 + 0.3e1 * t1030 * t18932 - t18937 * t350 / 0.2e1;
  t18943 = my_piecewise3(t100, 0, t18853 + t18889 + t18914 + t18940);
  tv3lapl33 = t3 * t18943;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 3] += tv3lapl33;

  t18944 = t3409 * t12030;
  t18945 = t1847 * t18944;
  t18948 = t1591 * t13005;
  t18951 = t95 * t12030;
  t18952 = t4760 * t18951;
  t18955 = t3130 * t18951;
  t18958 = t819 * t12030;
  t18959 = t1843 * t18958;
  t18961 = t543 * t2541;
  t18962 = t253 * t18961;
  t18963 = t3130 * t18962;
  t18966 = t13190 * t2592;
  t18969 = t4770 * t18951;
  t18972 = t635 * t12030;
  t18973 = t4760 * t18972;
  t18978 = t60 * t2526;
  t18979 = t3402 * t18978;
  t18982 = t648 * t18978;
  t18985 = t3448 * t18978;
  t18988 = t653 * t18978;
  t18991 = t3375 * t18978;
  t18994 = t229 * t18978;
  t18997 = t2571 * t463;
  t18998 = t3409 * t18997;
  t19001 = t819 * t18997;
  t19004 = t63 * t2526;
  t19005 = t648 * t19004;
  t19008 = t3448 * t19004;
  t19012 = t3375 * t18997;
  t19017 = t229 * t19004;
  t19020 = t16122 - t16125 + t16129 - t519 * t18584 + t519 * t18559 / 0.2e1 + 0.1e2 / 0.3e1 * t7599 * t18979 - 0.4e1 * t7595 * t18982 + t7599 * t18985 / 0.18e2 + 0.6e1 * t7595 * t18988 - 0.3e1 * t7599 * t18991 - 0.3e1 * t7610 * t18994 + 0.3e1 * t1847 * t18998 - 0.2e1 * t1843 * t19001 + 0.2e1 * t7595 * t19005 - t7599 * t19008 / 0.9e1 - t519 * t18595 - 0.2e1 * t1847 * t19012 + 0.2e1 * t519 * t18589 + 0.6e1 * t7610 * t19017;
  t19021 = t12875 * t2541;
  t19022 = t827 * t19021;
  t19024 = t233 * t19021;
  t19027 = t840 * t19021;
  t19030 = t3402 * t19004;
  t19033 = t3375 * t19004;
  t19036 = t653 * t19004;
  t19039 = t7584 * t19022 + 0.4e1 * t7586 * t19024 - t16831 + t16832 + t16833 - t16164 + t16171 - t16173 - 0.6e1 * t7584 * t19027 - t16836 - t16837 + t16838 - t18625 - 0.2e1 / 0.3e1 * t7599 * t19030 + 0.6e1 * t7599 * t19033 - 0.12e2 * t7595 * t19036 - t2138 + t2119 + t16887;
  t19040 = t19020 + t19039;
  t19041 = t59 * t19040;
  t19042 = t19041 * t95;
  t19046 = t16189 - t16192 - t16195 + t16224 - t16226 + t2160 + t16280 - t16284 - t16288 + t16299 + t16608;
  t19051 = t627 * t628 * t2526;
  t19052 = t7264 * t19051;
  t19055 = t1777 * t2557;
  t19056 = t19055 * t649;
  t19059 = t19055 * t654;
  t19062 = t633 * t2526;
  t19063 = t3474 * t19062;
  t19064 = t7563 * t19063;
  t19069 = -t15611 - t16644 + t16645 + t18533 + t2534 * t7175 / 0.3e1 - 0.3e1 * t246 * t19052 - t644 * t19056 / 0.2e1 + t246 * t19059 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t19064 - t2534 * t7171 / 0.6e1 - t16724;
  t19090 = -t16326 + t2534 * t7457 / 0.3e1 - t7462 * t2584 / 0.2e1 + t1891 * t2596 / 0.2e1 - t1891 * t2588 / 0.2e1 + t2529 * t1886 / 0.6e1 + t12216 * t530 / 0.4e1 + t13060 * t481 / 0.2e1 - t466 * t13049 / 0.6e1 - t2534 * t7441 / 0.12e2 - t515 * t12211 / 0.12e2;
  t19093 = t2577 * t544;
  t19102 = t1769 * t18700;
  t19111 = t7198 * t2542;
  t19112 = t660 * t19111;
  t19117 = t1530 * t2676;
  t19118 = t1227 * t19117;
  t19122 = t1777 * t2553 * t748;
  t19127 = t1769 * t18688;
  t19132 = t94 * t2526;
  t19133 = t661 * t19132;
  t19134 = t4838 * t19133;
  t19137 = -t1891 * t2593 / 0.4e1 + t466 * t19112 / 0.12e2 - t6295 * t2729 + t1532 * t2742 + 0.2e1 / 0.3e1 * t1748 * t19118 - t246 * t19122 / 0.2e1 + t2529 * t1779 / 0.6e1 + t246 * t19127 / 0.2e1 - t2534 * t7453 / 0.6e1 + t15793 - 0.11e2 / 0.18e2 * t7187 * t19134;
  t19139 = t244 * t19132;
  t19140 = t4844 * t19139;
  t19143 = t4831 * t19133;
  t19146 = t4838 * t19139;
  t19149 = t642 * t19132;
  t19150 = t4844 * t19149;
  t19153 = t3447 * t2526;
  t19154 = t3474 * t19153;
  t19155 = t7563 * t19154;
  t19158 = t3401 * t2526;
  t19159 = t3474 * t19158;
  t19160 = t7563 * t19159;
  t19163 = t1220 * t19133;
  t19165 = t1227 * t19139;
  t19168 = t1227 * t19133;
  t19172 = t219 * t221 * t2526;
  t19173 = t7277 * t19172;
  t19176 = t627 * t19062;
  t19177 = t7264 * t19176;
  t19180 = 0.23e2 / 0.36e2 * t7187 * t19140 - t7187 * t19143 / 0.2e1 + 0.7e1 / 0.3e1 * t7187 * t19146 - 0.3e1 / 0.2e1 * t7187 * t19150 + 0.3e1 / 0.2e1 * t3680 * t19155 - 0.3e1 * t644 * t19160 + t7250 * t19163 - 0.2e1 * t7250 * t19165 + t7250 * t19168 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t19173 + 0.3e1 * t644 * t19177;
  t19183 = t673 * t19133;
  t19190 = t6255 * t2676;
  t19191 = t1220 * t19190;
  t19194 = t1227 * t19190;
  t19197 = t4844 * t19133;
  t19200 = t673 * t19190;
  t19203 = -t515 * t18694 / 0.6e1 - t7307 * t19183 / 0.2e1 - t15803 - t2089 + t515 * t18490 / 0.6e1 + t515 * t18514 / 0.12e2 - t1748 * t19191 / 0.3e1 - t1748 * t19194 / 0.6e1 - 0.5e1 / 0.36e2 * t7187 * t19197 + t1787 * t19200 / 0.3e1 + t16354;
  t19207 = my_piecewise3(t2, 0, -t246 * t19102 / 0.4e1 - t1532 * t2734 - t1532 * t2737 / 0.2e1 - t30 * t19042 / 0.4e1 + t7216 * t18969 / 0.2e1 - t7216 * t18973 + 0.3e1 / 0.2e1 * t4738 * t18948 + t7216 * t18952 / 0.4e1 - t7746 * t18955 / 0.3e1 + t4779 * t18959 + t6488 * t18963 / 0.12e2 - t3123 * t18966 / 0.4e1 - 0.3e1 / 0.2e1 * t4779 * t18945 - t30 * t19093 / 0.4e1 - t2534 * t7316 / 0.12e2 + t1532 * t2751 / 0.2e1 - t466 * t12868 / 0.6e1 + t19090 + t19180 - t18633 + t16791 + t19137 + t19069 + t19046 - t16793 + t19203);
  tv3lapl2tau0 = t3 * t19207;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  tv3lapl2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 1] += tv3lapl2tau1;

  tv3lapl2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 2] += tv3lapl2tau2;

  tv3lapl2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 3] += tv3lapl2tau3;

  tv3lapl2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 4] += tv3lapl2tau4;

  t19225 = t13543 * t2667;
  t19228 = t4549 * t12518;
  t19229 = t2060 * t19228;
  t19232 = t168 * t12518;
  t19233 = t4137 * t19232;
  t19236 = t5549 * t19232;
  t19241 = t13724 * t505 / 0.2e1 - t2609 * t8165 / 0.12e2 - t555 * t12591 / 0.12e2 - t490 * t13633 / 0.6e1 - t4145 * t19225 / 0.4e1 - 0.3e1 / 0.2e1 * t5540 * t19229 - t18860 - t8052 * t19233 / 0.3e1 + t8058 * t19236 / 0.4e1 - t16437 - t1663 * t2817 / 0.2e1;
  t19245 = t1948 * t2632;
  t19246 = t19245 * t1094;
  t19249 = t1019 * t2601;
  t19250 = t4362 * t19249;
  t19251 = t8499 * t19250;
  t19258 = t19245 * t1035;
  t19261 = t4363 * t2601;
  t19262 = t4362 * t19261;
  t19263 = t8499 * t19262;
  t19267 = t1013 * t1014 * t2601;
  t19268 = t8390 * t19267;
  t19271 = t4368 * t2601;
  t19272 = t4362 * t19271;
  t19273 = t8499 * t19272;
  t19277 = t1948 * t2628 * t1045;
  t19281 = -t2030 * t2668 / 0.4e1 + t373 * t19246 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t19251 - t2609 * t8524 / 0.6e1 + t2609 * t8509 / 0.3e1 - t1030 * t19258 / 0.2e1 - 0.3e1 * t1030 * t19263 - 0.3e1 * t373 * t19268 + 0.3e1 / 0.2e1 * t4395 * t19273 - t373 * t19277 / 0.2e1 + t1663 * t2822;
  t19282 = t1661 * t2756;
  t19283 = t1400 * t19282;
  t19292 = t1940 * t18813;
  t19297 = t1182 * t12518;
  t19298 = t2056 * t19297;
  t19300 = t1720 * t13572;
  t19303 = t583 * t2616;
  t19304 = t380 * t19303;
  t19305 = t4137 * t19304;
  t19308 = 0.2e1 / 0.3e1 * t1965 * t19283 + t1663 * t2831 / 0.2e1 - t490 * t13478 / 0.6e1 - t2609 * t8335 / 0.12e2 - t373 * t19292 / 0.4e1 - t1663 * t2814 - t6848 * t2809 + t5540 * t19298 + 0.3e1 / 0.2e1 * t5559 * t19300 + t6827 * t19305 / 0.12e2 - t17037;
  t19311 = t167 * t2601;
  t19312 = t1028 * t19311;
  t19313 = t5623 * t19312;
  t19316 = t988 * t19311;
  t19317 = t5634 * t19316;
  t19323 = t1940 * t18827;
  t19327 = t346 * t348 * t2601;
  t19328 = t8434 * t19327;
  t19331 = t1013 * t19249;
  t19332 = t8390 * t19331;
  t19337 = t1000 * t19316;
  t19340 = t8079 * t2617;
  t19341 = t987 * t19340;
  t19348 = t371 * t19311;
  t19349 = t5640 * t19348;
  t19352 = t1393 * t19316;
  t19354 = t1400 * t19348;
  t19357 = t373 * t19323 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t19328 + 0.3e1 * t1030 * t19332 - t555 * t18833 / 0.6e1 - t8490 * t19337 / 0.2e1 + t490 * t19341 / 0.12e2 + t555 * t18837 / 0.6e1 + t555 * t18842 / 0.12e2 + 0.7e1 / 0.3e1 * t8090 * t19349 + t8360 * t19352 - 0.2e1 * t8360 * t19354;
  t19359 = t5640 * t19316;
  t19362 = t5623 * t19348;
  t19365 = t2652 * t584;
  t19368 = t6773 * t2756;
  t19369 = t1393 * t19368;
  t19372 = t1400 * t19368;
  t19375 = t5623 * t19316;
  t19378 = t1000 * t19368;
  t19381 = t1400 * t19316;
  t19386 = t140 * t2601;
  t19387 = t4376 * t19386;
  t19390 = t1034 * t19386;
  t19393 = t4396 * t19386;
  t19396 = t4408 * t19386;
  t19399 = t1093 * t19386;
  t19403 = t356 * t19386;
  t19406 = t13733 * t2616;
  t19407 = t1190 * t19406;
  t19409 = t360 * t19406;
  t19412 = t1203 * t19406;
  t19416 = t2788 * t2616;
  t19417 = t4408 * t19416;
  t19420 = t1182 * t19416;
  t19423 = t143 * t2601;
  t19424 = t1034 * t19423;
  t19427 = t4396 * t19423;
  t19432 = t356 * t19423;
  t19435 = t559 * t18766 / 0.2e1 + 0.1e2 / 0.3e1 * t8227 * t19387 - 0.4e1 * t8223 * t19390 + t8227 * t19393 / 0.18e2 - 0.3e1 * t8227 * t19396 + 0.6e1 * t8223 * t19399 - t559 * t18740 - 0.3e1 * t8220 * t19403 + t8254 * t19407 + 0.4e1 * t8251 * t19409 - 0.6e1 * t8254 * t19412 - t559 * t18793 - 0.2e1 * t2060 * t19417 - 0.2e1 * t2056 * t19420 + 0.2e1 * t8223 * t19424 - t8227 * t19427 / 0.9e1 + 0.2e1 * t559 * t18796 + 0.6e1 * t8220 * t19432 - t17102;
  t19436 = t4408 * t19423;
  t19439 = t1093 * t19423;
  t19442 = t4376 * t19423;
  t19445 = t4549 * t19416;
  t19448 = t17103 - t17104 + t16481 + 0.6e1 * t8227 * t19436 - 0.12e2 * t8223 * t19439 - 0.2e1 / 0.3e1 * t8227 * t19442 + 0.3e1 * t2060 * t19445 + t17129 - t18787 - t16484 + t16488 - t16505 - t16509 + t16524 - t17165 + t17166 + t17167 - t2229 + t2210;
  t19449 = t19435 + t19448;
  t19450 = t139 * t19449;
  t19451 = t19450 * t168;
  t19454 = t1021 * t12518;
  t19455 = t5549 * t19454;
  t19457 = -0.11e2 / 0.18e2 * t8090 * t19359 + 0.23e2 / 0.36e2 * t8090 * t19362 - t110 * t19365 / 0.4e1 - t1965 * t19369 / 0.3e1 - t1965 * t19372 / 0.6e1 - 0.5e1 / 0.36e2 * t8090 * t19375 + t1958 * t19378 / 0.3e1 + t8360 * t19381 / 0.2e1 + t16468 - t110 * t19451 / 0.4e1 - t8058 * t19455;
  t19458 = t5587 * t19232;
  t19467 = t8058 * t19458 / 0.2e1 - t16544 + t2030 * t2671 / 0.2e1 - t2609 * t8192 / 0.6e1 + t2609 * t8196 / 0.3e1 + t17075 - t17076 + t16581 - t16583 - t16588 - t16591;
  t19471 = my_piecewise3(t100, 0, t2604 * t2025 / 0.6e1 + t12596 * t570 / 0.4e1 - 0.3e1 / 0.2e1 * t8090 * t19313 - t8090 * t19317 / 0.2e1 + t2604 * t1950 / 0.6e1 - t8201 * t2659 / 0.2e1 - t2030 * t2663 / 0.2e1 + t18811 + t17040 + t2251 + t16016 + t19281 + t16363 - t16377 + t19241 + t19467 - t2180 - t16021 - t16024 + t16418 + t19357 + t19457 + t19308 - t17038 + t17039 + t16381);
  tv3lapl2tau5 = t3 * t19471;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 5] += tv3lapl2tau5;

  t19472 = t3474 * t2727;
  t19473 = t14076 * t19472;
  t19476 = t13986 * t2741;
  t19479 = t3401 * t463;
  t19480 = t3474 * t19479;
  t19481 = t14076 * t19480;
  t19484 = 0.3e1 / 0.2e1 * t246 * t19473 - 0.3e1 * t246 * t19476 - 0.3e1 * t644 * t19481 - t17866 + t16188 - t16191 - t16194 + t17918 - t17919 + t2160 + t17946 + t17973;
  t19485 = t4844 * t2677;
  t19494 = t2851 * t463;
  t19495 = t3409 * t19494;
  t19496 = t1847 * t19495;
  t19499 = t14184 * t2728;
  t19501 = -t17977 - t17978 + t17979 + t15602 - 0.5e1 / 0.36e2 * t13878 * t19485 - t14215 * t2678 / 0.2e1 - t2839 * t2544 / 0.6e1 + t13929 * t2681 / 0.2e1 - t15612 - t15615 + t15619 - t4779 * t19496 / 0.2e1 - t4748 * t19499;
  t19503 = t14184 * t2741;
  t19505 = t1591 * t14200;
  t19526 = t3123 * t19503 + t4738 * t19505 / 0.2e1 + t16718 + t1532 * t2915 / 0.2e1 - t6295 * t2899 / 0.2e1 - t1532 * t2907 / 0.2e1 + t13060 * t530 / 0.2e1 - t466 * t14148 / 0.12e2 + t14153 * t481 / 0.4e1 + t2844 * t6290 / 0.3e1 - t2844 * t6286 / 0.6e1 - t515 * t13049 / 0.6e1;
  t19531 = t14228 * t2733;
  t19533 = t14231 * t2592;
  t19538 = t543 * t463;
  t19539 = t253 * t19538;
  t19540 = t4765 * t19539;
  t19543 = t2851 * t2541;
  t19544 = t3430 * t19543;
  t19545 = t519 * t19544;
  t19548 = t819 * t19494;
  t19549 = t1843 * t19548;
  t19552 = t4754 * t19539;
  t19555 = t3121 * t19538;
  t19556 = t4765 * t19555;
  t19559 = t95 * t19494;
  t19560 = t4770 * t19559;
  t19563 = t635 * t19494;
  t19564 = t4760 * t19563;
  t19567 = t2839 * t1527 / 0.6e1 - t2844 * t6350 / 0.12e2 - t3123 * t19531 - t3123 * t19533 / 0.2e1 + t7581 * t18963 / 0.6e1 - t7216 * t19540 / 0.6e1 + t4779 * t19545 / 0.2e1 + t4779 * t19549 / 0.2e1 - t15662 - t7216 * t19552 / 0.3e1 + 0.2e1 / 0.3e1 * t7216 * t19556 + t7216 * t19560 / 0.6e1 - t7216 * t19564 / 0.3e1;
  t19572 = t13986 * t2728;
  t19575 = t13951 * t18705;
  t19579 = t4838 * t2691;
  t19582 = t7198 * t2676;
  t19583 = t1220 * t19582;
  t19586 = t1889 * t2676;
  t19587 = t1227 * t19586;
  t19590 = t642 * t2676;
  t19591 = t4844 * t19590;
  t19596 = t13951 * t18523;
  t19600 = t1532 * t2903 / 0.2e1 + 0.3e1 * t644 * t19572 + t644 * t19575 + t1891 * t2751 / 0.2e1 + 0.7e1 / 0.3e1 * t13878 * t19579 - t1748 * t19583 / 0.3e1 + 0.2e1 / 0.3e1 * t1748 * t19587 - 0.3e1 / 0.2e1 * t13878 * t19591 - t7462 * t2729 + t1891 * t2742 - t246 * t19596 - t466 * t14033 / 0.12e2;
  t19602 = t14031 * t469 * t249;
  t19623 = 0.2e1 / 0.3e1 * t11857 * t13892 + t15069 - 0.4e1 * t13898 * t2733 + 0.4e1 / 0.3e1 * t13901 * t2728 - 0.2e1 * t13904 * t2592 + 0.4e1 * t13901 * t2741 - t15081 + 0.4e1 * t13911 * t2733 + 0.2e1 * t521 * t2592 - 0.4e1 * t13916 * t2741;
  t19625 = t658 * t221 * t19623;
  t19626 = t1769 * t19625;
  t19629 = t14004 * t2733;
  t19632 = t14040 * t2592;
  t19635 = t14257 * t463;
  t19636 = t233 * t19635;
  t19639 = t14257 * t2541;
  t19640 = t233 * t19639;
  t19643 = t827 * t19635;
  t19646 = t840 * t19635;
  t19649 = t3402 * t2697;
  t19652 = t3375 * t2697;
  t19655 = t2883 * t463;
  t19656 = t3409 * t19655;
  t19660 = t18003 - t18004 + t18005 + 0.2e1 * t7586 * t19636 + 0.2e1 * t10828 * t19640 + t7584 * t19643 / 0.3e1 - 0.2e1 * t7584 * t19646 - 0.2e1 / 0.3e1 * t14293 * t19649 + 0.6e1 * t14293 * t19652 + t1847 * t19656 - 0.12e2 * t14331 * t2705;
  t19661 = t819 * t19655;
  t19663 = t60 * t19623;
  t19664 = t819 * t19663;
  t19676 = t3448 * t2708;
  t19679 = t3402 * t2708;
  t19684 = t3375 * t2708;
  t19687 = -t1843 * t19661 + t18043 + t519 * t19664 / 0.2e1 + 0.2e1 * t2870 * t18573 - 0.4e1 / 0.3e1 * t2870 * t18562 - 0.3e1 * t14282 * t2712 - t2866 * t2572 - 0.4e1 * t14331 * t2709 + t14293 * t19676 / 0.18e2 + 0.1e2 / 0.3e1 * t14293 * t19679 + 0.6e1 * t14331 * t2716 - 0.3e1 * t14293 * t19684;
  t19689 = t2883 * t2541;
  t19690 = t3430 * t19689;
  t19694 = t3448 * t2697;
  t19697 = t63 * t19623;
  t19698 = t819 * t19697;
  t19700 = t3375 * t19655;
  t19703 = -t15697 + t15710 + t15712 - t18057 + t18058 - t18059 - t519 * t19690 + 0.2e1 / 0.3e1 * t2870 * t18592 - t14293 * t19694 / 0.9e1 - t519 * t19698 - 0.2e1 / 0.3e1 * t1847 * t19700;
  t19712 = 0.6e1 * t14282 * t2698 + 0.2e1 * t14331 * t2701 - 0.4e1 * t2870 * t18617 + 0.2e1 * t2866 * t2562 - t15743 - t15749 + t15767 - t16839 + t16888 - t18069 + t2119 - t2138;
  t19714 = t19660 + t19687 + t19703 + t19712;
  t19715 = t59 * t19714;
  t19716 = t19715 * t95;
  t19725 = t673 * t19582;
  t19730 = t246 * t19602 / 0.4e1 - t1532 * t2912 / 0.4e1 - t246 * t19626 / 0.4e1 + 0.3e1 / 0.2e1 * t246 * t19629 + t246 * t19632 / 0.2e1 - t18138 - t16743 - t30 * t19716 / 0.4e1 - t466 * t13977 / 0.6e1 - t515 * t12868 / 0.6e1 - 0.2e1 / 0.3e1 * t2844 * t18531 + t1787 * t19725 / 0.3e1 + t515 * t19112 / 0.6e1;
  t19732 = t1227 * t19582;
  t19737 = t6255 * t2852;
  t19738 = t660 * t19737;
  t19741 = t94 * t19623;
  t19742 = t661 * t19741;
  t19743 = t660 * t19742;
  t19748 = t4796 * t19539;
  t19751 = t3130 * t19559;
  t19754 = t95 * t19543;
  t19755 = t8642 * t19754;
  t19758 = t4760 * t19559;
  t19761 = -t1748 * t19732 / 0.6e1 + t2844 * t18527 / 0.3e1 + t515 * t19738 / 0.12e2 + t515 * t19743 / 0.12e2 + t2844 * t18517 / 0.6e1 + t15778 - t15784 + t7746 * t19748 / 0.3e1 - t7746 * t19751 / 0.6e1 - t7581 * t19755 / 0.6e1 + t7216 * t19758 / 0.12e2 + t15794;
  t19762 = t2719 * t544;
  t19765 = t476 * t2933;
  t19768 = t3447 * t463;
  t19769 = t3474 * t19768;
  t19770 = t14076 * t19769;
  t19776 = t4838 * t2677;
  t19779 = t4844 * t2691;
  t19782 = t4831 * t2677;
  t19788 = -t15804 - t2089 - t30 * t19762 / 0.2e1 - t30 * t19765 / 0.4e1 + 0.3e1 / 0.2e1 * t3680 * t19770 + t13929 * t2686 - 0.2e1 * t13929 * t2692 - 0.11e2 / 0.18e2 * t13878 * t19776 + 0.23e2 / 0.36e2 * t13878 * t19779 - t13878 * t19782 / 0.2e1 - t1891 * t2734 - t1891 * t2737 / 0.2e1 + t18158;
  t19792 = my_piecewise3(t2, 0, t19484 + t19501 + t19526 + t19567 + t19600 + t19730 + t19761 + t19788);
  tv3lapltau20 = t3 * t19792;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  tv3lapltau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 1] += tv3lapltau21;

  tv3lapltau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 2] += tv3lapltau22;

  tv3lapltau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 3] += tv3lapltau23;

  tv3lapltau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 4] += tv3lapltau24;

  t19793 = t4368 * t487;
  t19794 = t4362 * t19793;
  t19795 = t14554 * t19794;
  t19798 = t1028 * t2756;
  t19799 = t5623 * t19798;
  t19803 = t8079 * t2756;
  t19804 = t1393 * t19803;
  t19807 = t2028 * t2756;
  t19808 = t1400 * t19807;
  t19813 = t5640 * t2757;
  t19816 = t5623 * t2771;
  t19819 = t5634 * t2757;
  t19822 = t18174 - t18175 + t18176 + 0.3e1 / 0.2e1 * t4395 * t19795 - 0.3e1 / 0.2e1 * t14535 * t19799 - t8201 * t2809 - t1965 * t19804 / 0.3e1 + 0.2e1 / 0.3e1 * t1965 * t19808 - 0.2e1 * t14542 * t2772 - 0.11e2 / 0.18e2 * t14535 * t19813 + 0.23e2 / 0.36e2 * t14535 * t19816 - t14535 * t19819 / 0.2e1;
  t19823 = t5640 * t2771;
  t19827 = t14967 * t18849;
  t19831 = t4362 * t2807;
  t19832 = t14554 * t19831;
  t19835 = t4363 * t487;
  t19836 = t4362 * t19835;
  t19837 = t14554 * t19836;
  t19840 = t14550 * t2821;
  t19860 = 0.2e1 / 0.3e1 * t12432 * t14728 + t15337 - 0.4e1 * t14734 * t2813 + 0.4e1 / 0.3e1 * t14737 * t2808 - 0.2e1 * t14740 * t2667 + 0.4e1 * t14737 * t2821 - t15349 + 0.4e1 * t14747 * t2813 + 0.2e1 * t561 * t2667 - 0.4e1 * t14752 * t2821;
  t19861 = t167 * t19860;
  t19862 = t988 * t19861;
  t19863 = t987 * t19862;
  t19866 = t6773 * t2955;
  t19867 = t987 * t19866;
  t19872 = t5623 * t2757;
  t19877 = 0.7e1 / 0.3e1 * t14535 * t19823 + t14542 * t2766 - t373 * t19827 - t490 * t14976 / 0.12e2 + 0.3e1 / 0.2e1 * t373 * t19832 - 0.3e1 * t1030 * t19837 - 0.3e1 * t373 * t19840 + t2030 * t2822 + t555 * t19863 / 0.12e2 + t555 * t19867 / 0.12e2 + t2947 * t18845 / 0.6e1 - 0.5e1 / 0.36e2 * t14535 * t19872 - t2942 * t2619 / 0.6e1;
  t19893 = t1400 * t19803;
  t19898 = t1000 * t19803;
  t19901 = t14983 * t2813;
  t19904 = t14987 * t2667;
  t19907 = t14542 * t2761 / 0.2e1 - t14776 * t2758 / 0.2e1 - t490 * t14643 / 0.6e1 + t2030 * t2831 / 0.2e1 - t555 * t13478 / 0.6e1 - 0.2e1 / 0.3e1 * t2947 * t18858 + t555 * t19341 / 0.6e1 - t1965 * t19893 / 0.6e1 + t2947 * t18854 / 0.3e1 + t1958 * t19898 / 0.3e1 + 0.3e1 / 0.2e1 * t373 * t19901 + t373 * t19904 / 0.2e1;
  t19912 = t14967 * t18820;
  t19914 = t14550 * t2808;
  t19921 = t985 * t348 * t19860;
  t19922 = t1940 * t19921;
  t19933 = -t1663 * t3015 / 0.4e1 + t1663 * t3006 / 0.2e1 + t1030 * t19912 + 0.3e1 * t1030 * t19914 - t2030 * t2814 - t2030 * t2817 / 0.2e1 - t373 * t19922 / 0.4e1 + t16931 - t2180 + t2947 * t6843 / 0.3e1 - t2947 * t6873 / 0.12e2 - t2947 * t6839 / 0.6e1 - t555 * t13633 / 0.6e1;
  t19938 = t583 * t487;
  t19939 = t4143 * t19938;
  t19940 = t5553 * t19939;
  t19943 = t14639 * t2808;
  t19945 = t2954 * t487;
  t19946 = t168 * t19945;
  t19947 = t5587 * t19946;
  t19950 = t1021 * t19945;
  t19951 = t5549 * t19950;
  t19954 = t14639 * t2821;
  t19956 = t1720 * t14892;
  t19959 = t4549 * t19945;
  t19960 = t2060 * t19959;
  t19963 = t380 * t19938;
  t19964 = t5591 * t19963;
  t19967 = t5582 * t19963;
  t19970 = t2942 * t1658 / 0.6e1 + t18216 - t17018 + 0.2e1 / 0.3e1 * t8058 * t19940 - t5535 * t19943 + t8058 * t19947 / 0.6e1 - t8058 * t19951 / 0.3e1 + t4145 * t19954 + t5559 * t19956 / 0.2e1 - t5540 * t19960 / 0.2e1 - t8058 * t19964 / 0.3e1 + t8052 * t19967 / 0.3e1;
  t19973 = t5553 * t19963;
  t19976 = t5549 * t19946;
  t19979 = t4137 * t19946;
  t19982 = t2954 * t2616;
  t19983 = t168 * t19982;
  t19984 = t9270 * t19983;
  t19987 = t1182 * t19945;
  t19988 = t2056 * t19987;
  t19991 = t4543 * t19982;
  t19992 = t559 * t19991;
  t19995 = t14701 * t2813;
  t19997 = t14713 * t2667;
  t20004 = t8055 * t19305 / 0.6e1 - t8058 * t19973 / 0.6e1 + t8058 * t19976 / 0.12e2 - t8052 * t19979 / 0.6e1 - t8055 * t19984 / 0.6e1 - t18265 + t5540 * t19988 / 0.2e1 + t5540 * t19992 / 0.2e1 - t4145 * t19995 - t4145 * t19997 / 0.2e1 + t18285 - t1663 * t3010 / 0.2e1 + t1663 * t3018 / 0.2e1;
  t20014 = -t6848 * t3002 / 0.2e1 + t13724 * t570 / 0.2e1 - t490 * t14621 / 0.12e2 + t14626 * t505 / 0.4e1 - t15986 - t15990 + t16006 + t16017 - t16022 - t16025 + t16034 + t2251;
  t20015 = t2799 * t584;
  t20018 = t500 * t3036;
  t20022 = t14974 * t493 * t376;
  t20025 = t14779 * t487;
  t20026 = t1203 * t20025;
  t20029 = t360 * t20025;
  t20032 = t14779 * t2616;
  t20033 = t360 * t20032;
  t20036 = t1190 * t20025;
  t20039 = t2986 * t2616;
  t20040 = t4543 * t20039;
  t20042 = t18330 - 0.2e1 * t8254 * t20026 + 0.2e1 * t8251 * t20029 + 0.2e1 * t11528 * t20033 + t8254 * t20036 / 0.3e1 - t18342 - t15890 + t15902 - t15905 + t18372 - t559 * t20040;
  t20051 = t4396 * t2777;
  t20055 = t4376 * t2777;
  t20058 = t4408 * t2777;
  t20061 = t143 * t19860;
  t20062 = t1182 * t20061;
  t20064 = t2788 * t2954;
  t20065 = t4408 * t20064;
  t20070 = t1182 * t20064;
  t20072 = 0.6e1 * t14826 * t2778 + 0.2e1 * t2969 * t2637 + 0.2e1 * t14806 * t2781 + 0.2e1 / 0.3e1 * t2973 * t18790 - t14795 * t20051 / 0.9e1 - t2969 * t2647 - 0.2e1 / 0.3e1 * t14795 * t20055 + 0.6e1 * t14795 * t20058 - t559 * t20062 - 0.2e1 / 0.3e1 * t2060 * t20065 - 0.4e1 * t2973 * t18799 - t2056 * t20070;
  t20074 = t140 * t19860;
  t20075 = t1182 * t20074;
  t20086 = t4396 * t2788;
  t20089 = t4376 * t2788;
  t20092 = t17130 - t17156 - t18375 + t18376 + t559 * t20075 / 0.2e1 + 0.2e1 * t2973 * t18729 - 0.4e1 / 0.3e1 * t2973 * t18722 - 0.3e1 * t14826 * t2792 - 0.4e1 * t14806 * t2789 + t14795 * t20086 / 0.18e2 + 0.1e2 / 0.3e1 * t14795 * t20089;
  t20093 = t4549 * t20064;
  t20099 = t4408 * t2788;
  t20102 = -0.3e1 * t14795 * t20099 - 0.12e2 * t14806 * t2785 + 0.6e1 * t14806 * t2796 + t2060 * t20093 - t15930 + t15933 + t15935 - t18402 - t18403 + t18404 + t2210 - t2229;
  t20104 = t20042 + t20072 + t20092 + t20102;
  t20105 = t139 * t20104;
  t20106 = t20105 * t168;
  t20109 = t18462 - t18476 - t110 * t20015 / 0.2e1 - t18477 - t110 * t20018 / 0.4e1 + t16075 - t16082 + t373 * t20022 / 0.4e1 + t16580 - t18480 - t16587 - t16590 - t110 * t20106 / 0.4e1;
  t20113 = my_piecewise3(t100, 0, t19822 + t19877 + t19907 + t19933 + t19970 + t20004 + t20014 + t20109);
  tv3lapltau25 = t3 * t20113;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 5] += tv3lapltau25;

  t20114 = t17865 / 0.2e1;
  t20115 = 0.3e1 / 0.2e1 * t16188;
  t20116 = 0.3e1 / 0.2e1 * t16191;
  t20117 = 0.3e1 / 0.2e1 * t16194;
  t20118 = 0.3e1 / 0.4e1 * t16223;
  t20119 = t16225 / 0.4e1;
  t20120 = t17945 / 0.6e1;
  t20122 = t14031 * t518 * t249;
  t20125 = t633 * t2851;
  t20126 = t3171 * t20125;
  t20127 = t13951 * t20126;
  t20130 = t1777 * t2869;
  t20131 = t20130 * t649;
  t20143 = -t20114 + t20115 - t20116 - t20117 + t20118 - t20119 + t2160 + t20120 + 0.3e1 / 0.4e1 * t246 * t20122 + 0.3e1 / 0.2e1 * t644 * t20127 - 0.3e1 / 0.2e1 * t644 * t20131 - 0.3e1 / 0.4e1 * t1891 * t2912 + 0.3e1 / 0.2e1 * t1891 * t2903 - t515 * t14033 / 0.4e1 + t2844 * t7175 - t515 * t13977 / 0.2e1 + t16279;
  t20144 = t16283 / 0.2e1;
  t20145 = t16287 / 0.4e1;
  t20146 = t16298 / 0.2e1;
  t20154 = t3227 * t2836;
  t20167 = 0.2e1 / 0.3e1 * t2878 * t634 + t15069 - 0.4e1 * t662 * t2836 * t748 + 0.4e1 / 0.3e1 * t20154 * t649 - 0.2e1 * t13904 * t2911 + 0.4e1 * t20154 * t654 - t15081 + 0.4e1 * t2881 * t222 + 0.2e1 * t521 * t2911 - 0.4e1 * t2878 * t629;
  t20168 = t94 * t20167;
  t20169 = t661 * t20168;
  t20170 = t660 * t20169;
  t20175 = t7198 * t2852;
  t20176 = t660 * t20175;
  t20181 = t3250 * t2853;
  t20186 = t14231 * t2911;
  t20189 = t543 * t2851;
  t20190 = t253 * t20189;
  t20191 = t3130 * t20190;
  t20195 = t1777 * t2865 * t748;
  t20198 = t2851 * t2851;
  t20199 = t94 * t20198;
  t20200 = t661 * t20199;
  t20201 = t3139 * t20200;
  t20204 = 0.1e1 / t686;
  t20217 = -0.18e3 * t3054 * t20204 - 0.45e3 * t3061 * t20204 - 0.21e3 * t3066 * t20204 + 0.102e3 * t3072 * t20204 + 0.156e3 * t3075 * t20204 + 0.6e1 * t20204 * t83;
  t20218 = t253 * t20217;
  t20219 = t65 * t20218;
  t20222 = t525 * t2933;
  t20225 = t2889 * t544;
  t20228 = t628 * t2851;
  t20229 = t3171 * t20228;
  t20230 = t13951 * t20229;
  t20233 = -t20144 - t20145 + t20146 - t2844 * t7171 / 0.2e1 + t515 * t20170 / 0.12e2 - t2844 * t7316 / 0.4e1 + t515 * t20176 / 0.4e1 + t2839 * t1779 / 0.2e1 + t2844 * t20181 / 0.4e1 - t2839 * t2854 / 0.3e1 - 0.3e1 / 0.4e1 * t3123 * t20186 + t7581 * t20191 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t20195 - t515 * t20201 / 0.6e1 - t30 * t20219 / 0.4e1 - 0.3e1 / 0.4e1 * t30 * t20222 - 0.3e1 / 0.4e1 * t30 * t20225 - 0.3e1 / 0.2e1 * t246 * t20230;
  t20235 = t20130 * t654;
  t20238 = t3172 * t2853;
  t20241 = t244 * t2852;
  t20242 = t3250 * t20241;
  t20244 = t16325 / 0.4e1;
  t20245 = t2836 * t512;
  t20246 = t3658 * t20245;
  t20247 = t20246 * t3681;
  t20250 = t20245 * t3396;
  t20251 = t3512 * t20250;
  t20252 = t191 * t20251;
  t20260 = t20245 * t3415;
  t20261 = t616 * t20260;
  t20262 = t191 * t20261;
  t20268 = t645 * t20245;
  t20269 = t20268 * t3504;
  t20274 = t20245 * t619;
  t20275 = t194 * t20274;
  t20276 = t191 * t20275;
  t20280 = t658 * t221 * t20167;
  t20281 = t1769 * t20280;
  t20284 = 0.3e1 / 0.2e1 * t246 * t20235 + t2844 * t20238 / 0.2e1 - t2844 * t20242 - t20244 + 0.3e1 / 0.2e1 * t3680 * t20247 + 0.7e1 / 0.3e1 * t20252 * t3668 + t2844 * t7457 + 0.23e2 / 0.36e2 * t20252 * t3545 - t20252 * t3665 / 0.2e1 - 0.2e1 * t20262 * t637 - 0.11e2 / 0.18e2 * t20252 * t3517 + t20262 * t630 + 0.3e1 * t644 * t20269 - 0.3e1 / 0.2e1 * t1891 * t2907 - t20276 * t223 / 0.2e1 - t2089 - t246 * t20281 / 0.4e1;
  t20285 = t14040 * t2911;
  t20288 = t3138 * t221 * t20198;
  t20289 = t1769 * t20288;
  t20292 = 0.3e1 / 0.4e1 * t16353;
  t20297 = t20246 * t3660;
  t20300 = t20246 * t3685;
  t20303 = t20268 * t3508;
  t20313 = t247 * t20245 * t3643;
  t20326 = 0.3e1 * t16122;
  t20327 = 0.3e1 * t16125;
  t20328 = 0.2e1 * t16128;
  t20329 = t615 * t20245;
  t20330 = t20329 * t3415;
  t20333 = t69 * t20245;
  t20334 = t20333 * t3396;
  t20337 = t193 * t20245;
  t20338 = t20337 * t619;
  t20347 = 0.6e1 * t16170;
  t20348 = 0.6e1 * t16172;
  t20351 = t3375 * t2873;
  t20353 = t63 * t20167;
  t20354 = t819 * t20353;
  t20356 = t20326 - t20327 + t20328 + 0.6e1 * t20330 * t841 - 0.3e1 * t20334 * t3491 - 0.3e1 * t20338 * t234 + 0.1e2 / 0.3e1 * t20334 * t3476 - 0.4e1 * t20330 * t828 + t20334 * t3483 / 0.18e2 + t18042 - t16163 + t20347 - t20348 + 0.4e1 * t2866 * t2874 + t2870 * t20351 - t519 * t20354;
  t20357 = t63 * t20198;
  t20358 = t3430 * t20357;
  t20361 = t3409 * t2873;
  t20364 = 0.2e1 * t18069;
  t20365 = t60 * t20167;
  t20366 = t819 * t20365;
  t20371 = t20329 * t3416;
  t20374 = t20333 * t3399;
  t20377 = t3375 * t2883;
  t20382 = t3409 * t2883;
  t20389 = t60 * t20198;
  t20390 = t3430 * t20389;
  t20392 = t20337 * t3421;
  t20395 = 0.2e1 * t519 * t20358 - 0.6e1 * t2870 * t20361 - t20364 - t2138 + t519 * t20366 / 0.2e1 - 0.2e1 * t2866 * t2884 + 0.2e1 * t20371 * t816 - t20374 * t3449 / 0.9e1 - 0.2e1 * t2870 * t20377 + 0.6e1 * t20374 * t3406 + 0.3e1 * t2870 * t20382 - 0.12e2 * t20371 * t823 - 0.2e1 / 0.3e1 * t20374 * t3403 - t519 * t20390 + 0.6e1 * t20392 * t230 + t2119;
  t20396 = t20356 + t20395;
  t20397 = t59 * t20396;
  t20398 = t20397 * t95;
  t20401 = t246 * t20285 + t246 * t20289 / 0.2e1 + t20292 + t2839 * t1886 / 0.2e1 + t20262 * t752 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t20297 - 0.3e1 * t644 * t20300 - 0.3e1 * t246 * t20303 - 0.3e1 / 0.2e1 * t20252 * t3673 - 0.3e1 / 0.2e1 * t7462 * t2899 + 0.3e1 / 0.2e1 * t1891 * t2915 + 0.3e1 / 0.2e1 * t246 * t20313 + 0.3e1 / 0.4e1 * t14153 * t530 - t515 * t14148 / 0.4e1 - t2844 * t7441 / 0.4e1 - 0.5e1 / 0.36e2 * t20252 * t3602 - t2844 * t7453 / 0.2e1 - t30 * t20398 / 0.4e1;
  t20404 = my_piecewise3(t2, 0, t20143 + t20233 + t20284 + t20401);
  tv3tau30 = t3 * t20404;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  tv3tau31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 1] += tv3tau31;

  tv3tau32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 2] += tv3tau32;

  t20405 = t16376 / 0.2e1;
  t20406 = t16380 / 0.2e1;
  t20407 = t2954 * t2954;
  t20409 = t4706 * t348 * t20407;
  t20410 = t1940 * t20409;
  t20414 = t1948 * t2968 * t1045;
  t20417 = t167 * t20407;
  t20418 = t988 * t20417;
  t20419 = t4707 * t20418;
  t20431 = t8079 * t2955;
  t20432 = t987 * t20431;
  t20440 = t4206 * t2939;
  t20453 = 0.2e1 / 0.3e1 * t2981 * t1020 + t15337 - 0.4e1 * t989 * t2939 * t1045 + 0.4e1 / 0.3e1 * t20440 * t1035 - 0.2e1 * t14740 * t3014 + 0.4e1 * t20440 * t1094 - t15349 + 0.4e1 * t2984 * t349 + 0.2e1 * t561 * t3014 - 0.4e1 * t2981 * t1015;
  t20454 = t167 * t20453;
  t20455 = t988 * t20454;
  t20456 = t987 * t20455;
  t20459 = t4686 * t2956;
  t20466 = t16362 - t20405 + t20406 + t373 * t20410 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t20414 - t555 * t20419 / 0.6e1 + t2942 * t1950 / 0.2e1 - t2180 - t555 * t14976 / 0.4e1 + t2947 * t8509 - t2947 * t8524 / 0.2e1 - t555 * t14643 / 0.2e1 + t555 * t20432 / 0.4e1 + t555 * t20456 / 0.12e2 + t2947 * t20459 / 0.4e1 - t2947 * t8335 / 0.4e1 - t2942 * t2957 / 0.3e1;
  t20467 = t14987 * t3014;
  t20470 = t985 * t348 * t20453;
  t20471 = t1940 * t20470;
  t20475 = t14974 * t558 * t376;
  t20478 = t1019 * t2954;
  t20479 = t4161 * t20478;
  t20480 = t14967 * t20479;
  t20483 = t1948 * t2972;
  t20484 = t20483 * t1035;
  t20491 = 0.3e1 / 0.4e1 * t16417;
  t20492 = t2939 * t552;
  t20493 = t20492 * t4356;
  t20494 = t3512 * t20493;
  t20495 = t321 * t20494;
  t20498 = t20492 * t4333;
  t20499 = t616 * t20498;
  t20500 = t321 * t20499;
  t20515 = t583 * t2954;
  t20516 = t380 * t20515;
  t20517 = t4137 * t20516;
  t20520 = t373 * t20467 - t373 * t20471 / 0.4e1 + 0.3e1 / 0.4e1 * t373 * t20475 + 0.3e1 / 0.2e1 * t1030 * t20480 - 0.3e1 / 0.2e1 * t1030 * t20484 - 0.3e1 / 0.4e1 * t2030 * t3015 + 0.3e1 / 0.2e1 * t2030 * t3006 + t20491 + 0.7e1 / 0.3e1 * t20495 * t4505 + t20500 * t1016 + t20500 * t1090 / 0.2e1 + t2947 * t8196 - 0.3e1 / 0.2e1 * t20495 * t4405 - 0.2e1 * t20500 * t1023 - 0.11e2 / 0.18e2 * t20495 * t4365 + 0.23e2 / 0.36e2 * t20495 * t4370 - t20495 * t4414 / 0.2e1 + t8055 * t20517 / 0.4e1;
  t20522 = t16436 / 0.4e1;
  t20523 = t18284 / 0.6e1;
  t20524 = t2992 * t584;
  t20527 = t565 * t3036;
  t20530 = 0.1e1 / t1112;
  t20543 = 0.6e1 * t20530 * t156 + 0.102e3 * t4264 * t20530 + 0.156e3 * t4271 * t20530 - 0.18e3 * t4274 * t20530 - 0.45e3 * t4277 * t20530 - 0.21e3 * t4282 * t20530;
  t20544 = t380 * t20543;
  t20545 = t145 * t20544;
  t20548 = 0.3e1 / 0.4e1 * t16467;
  t20549 = t20483 * t1094;
  t20552 = t1014 * t2954;
  t20553 = t4161 * t20552;
  t20554 = t14967 * t20553;
  t20557 = t4162 * t2956;
  t20560 = t371 * t2955;
  t20561 = t4686 * t20560;
  t20563 = t18475 / 0.2e1;
  t20564 = t14713 * t3014;
  t20567 = t16543 / 0.4e1;
  t20568 = t4373 * t20492;
  t20569 = t20568 * t4397;
  t20576 = -t20522 + t20523 + t2251 - 0.3e1 / 0.4e1 * t110 * t20524 - 0.3e1 / 0.4e1 * t110 * t20527 - t110 * t20545 / 0.4e1 + t20548 + 0.3e1 / 0.2e1 * t373 * t20549 - 0.3e1 / 0.2e1 * t373 * t20554 + t2947 * t20557 / 0.2e1 - t2947 * t20561 - t20563 - 0.3e1 / 0.4e1 * t4145 * t20564 - t20567 + 0.3e1 / 0.2e1 * t4395 * t20569 + 0.3e1 / 0.4e1 * t14626 * t570 - t555 * t14621 / 0.4e1;
  t20585 = t20492 * t1007;
  t20586 = t194 * t20585;
  t20587 = t321 * t20586;
  t20590 = t20568 * t4377;
  t20593 = t1031 * t20492;
  t20594 = t20593 * t4339;
  t20597 = t20568 * t4409;
  t20604 = 0.3e1 / 0.2e1 * t16580;
  t20605 = t16582 / 0.4e1;
  t20606 = 0.3e1 / 0.2e1 * t16587;
  t20607 = 0.3e1 / 0.2e1 * t16590;
  t20609 = t374 * t20492 * t4426;
  t20612 = t20593 * t4335;
  t20617 = 0.2e1 * t18342;
  t20618 = t193 * t20492;
  t20619 = t20618 * t1007;
  t20622 = 0.3e1 * t16481;
  t20623 = t4549 * t2976;
  t20626 = 0.3e1 * t16484;
  t20627 = 0.2e1 * t16487;
  t20628 = t143 * t20453;
  t20629 = t1182 * t20628;
  t20633 = t4408 * t2976;
  t20635 = t143 * t20407;
  t20636 = t4543 * t20635;
  t20639 = 0.6e1 * t16504;
  t20640 = 0.6e1 * t16523;
  t20641 = t69 * t20492;
  t20642 = t20641 * t4356;
  t20645 = t615 * t20492;
  t20646 = t20645 * t4333;
  t20649 = t18329 - t20617 - 0.3e1 * t20619 * t361 + t20622 - 0.6e1 * t2973 * t20623 - t20626 + t20627 - t559 * t20629 + 0.4e1 * t2969 * t2977 + t2973 * t20633 + 0.2e1 * t559 * t20636 - t20639 - t16508 + t20640 + 0.1e2 / 0.3e1 * t20642 * t4625 - 0.4e1 * t20646 * t1191;
  t20656 = t140 * t20407;
  t20657 = t4543 * t20656;
  t20659 = t20618 * t4425;
  t20662 = t140 * t20453;
  t20663 = t1182 * t20662;
  t20666 = t4408 * t2986;
  t20669 = t20645 * t4334;
  t20672 = t20641 * t4375;
  t20681 = t4549 * t2986;
  t20686 = t20642 * t4634 / 0.18e2 + 0.6e1 * t20646 * t1204 - 0.3e1 * t20642 * t4621 - t559 * t20657 + 0.6e1 * t20659 * t357 + t559 * t20663 / 0.2e1 - 0.2e1 * t2973 * t20666 + 0.2e1 * t20669 * t1179 - t20672 * t4612 / 0.9e1 - 0.12e2 * t20669 * t1186 - 0.2e1 / 0.3e1 * t20672 * t4589 + 0.6e1 * t20672 * t4579 + 0.3e1 * t2973 * t20681 - 0.2e1 * t2969 * t2987 - t2229 + t2210;
  t20687 = t20649 + t20686;
  t20688 = t139 * t20687;
  t20689 = t20688 * t168;
  t20692 = -t2947 * t8192 / 0.2e1 - t2947 * t8165 / 0.4e1 - 0.5e1 / 0.36e2 * t20495 * t4467 + t2942 * t2025 / 0.2e1 - t20587 * t350 / 0.2e1 - 0.3e1 * t1030 * t20590 - 0.3e1 * t373 * t20594 + 0.3e1 / 0.2e1 * t373 * t20597 - 0.3e1 / 0.2e1 * t8201 * t3002 + 0.3e1 / 0.2e1 * t2030 * t3018 + t20604 - t20605 - t20606 - t20607 + 0.3e1 / 0.2e1 * t373 * t20609 + 0.3e1 * t1030 * t20612 - 0.3e1 / 0.2e1 * t2030 * t3010 - t110 * t20689 / 0.4e1;
  t20695 = my_piecewise3(t100, 0, t20466 + t20520 + t20576 + t20692);
  tv3tau33 = t3 * t20695;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 3] += tv3tau33;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t22, t23;
  double t24, t26, t27, t28, t29, t30, t31, t32;
  double t34, t35, t37, t38, t40, t41, t43, t44;
  double t47, t49, t53, t54, t55, t56, t57, t59;
  double t60, t62, t63, t64, t65, t66, t67, t68;
  double t69, t70, t71, t73, t74, t75, t76, t77;
  double t79, t80, t81, t82, t83, t86, t87, t88;
  double t90, t94, t95, t96, t99, t100, t101, t103;
  double t104, t105, t106, t108, t109, t110, t111, t112;
  double t114, t115, t117, t118, t120, t121, t123, t124;
  double t127, t129, t133, t134, t135, t136, t137, t139;
  double t140, t142, t143, t144, t145, t146, t147, t148;
  double t149, t150, t152, t153, t154, t155, t156, t159;
  double t160, t161, t163, t167, t168, t169, t172, tzk0;

  double t173, t174, t175, t177, t180, t181, t182, t185;
  double t186, t187, t188, t190, t191, t192, t193, t194;
  double t195, t200, t202, t206, t207, t208, t209, t210;
  double t211, t213, t214, t215, t217, t218, t219, t220;
  double t221, t222, t223, t226, t227, t228, t229, t230;
  double t232, t233, t234, t237, t238, t239, t242, t243;
  double t244, t245, t246, t247, t249, t250, t253, t254;
  double t257, t258, t261, t264, t265, t268, t272, t273;
  double t276, t277, t278, t282, t283, t285, t288, t289;
  double t290, t293, t294, t296, t298, tvrho0, t302, t305;
  double t306, t307, t311, t313, t316, t317, t318, t321;
  double t322, t327, t329, t333, t334, t335, t336, t337;
  double t338, t340, t341, t342, t344, t345, t346, t347;
  double t348, t349, t350, t353, t354, t355, t356, t357;
  double t359, t360, t361, t364, t365, t366, t369, t370;
  double t371, t372, t373, t374, t376, t377, t380, t381;
  double t384, t385, t388, t391, t392, t395, t399, t400;
  double t403, t404, t405, t409, tvrho1, t412, t414, t415;
  double t416, t417, t420, t421, t423, t426, t427, t428;
  double t432, t436, tvsigma0, tvsigma1, t437, t439, t440, t441;
  double t442, t445, t446, t448, t451, t452, t453, t457;
  double t461, tvsigma2, t463, t464, t465, t466, t469, t470;
  double t472, t475, t476, t477, t481, t485, tvlapl0, t487;
  double t488, t489, t490, t493, t494, t496, t499, t500;
  double t501, t505, t509, tvlapl1, t512, t513, t514, t515;
  double t518, t519, t521, t524, t525, t526, t530, t543;
  double t544, t545, t549, tvtau0, t552, t553, t554, t555;
  double t558, t559, t561, t564, t565, t566, t570, t583;
  double t584, t585, t589, tvtau1;

  double t592, t593, t594, t600, t602, t606, t607, t608;
  double t609, t612, t615, t616, t617, t618, t619, t620;
  double t621, t622, t623, t624, t625, t626, t627, t628;
  double t629, t630, t633, t634, t635, t636, t637, t641;
  double t642, t643, t644, t645, t646, t647, t648, t649;
  double t650, t653, t654, t655, t658, t659, t660, t661;
  double t662, t667, t668, t669, t670, t673, t674, t675;
  double t676, t679, t682, t685, t686, t688, t689, t692;
  double t697, t702, t707, t713, t714, t719, t720, t721;
  double t726, t728, t730, t731, t734, t736, t739, t740;
  double t741, t742, t743, t747, t748, t749, t752, t755;
  double t756, t757, t761, t764, t765, t768, t771, t772;
  double t775, t776, t777, t779, t780, t781, t782, t784;
  double t785, t786, t789, t790, t791, t794, t798, t799;
  double t800, t805, t807, t808, t810, t811, t814, t815;
  double t816, t819, t820, t821, t823, t826, t827, t828;
  double t831, t834, t836, t837, t840, t841, t843, t844;
  double t845, t848, t850, t851, t852, t853, t856, t859;
  double t863, t864, t865, t868, t869, t870, t872, t873;
  double t875, t877, tv2rho20, t880, t884, t888, t889, t890;
  double t893, t894, t895, t897, t898, t903, t913, t914;
  double t915, t919, t923, t924, t925, t928, t929, t930;
  double t933, t934, t937, t938, t939, t943, t945, t948;
  double t949, t953, t955, t956, tv2rho21, t961, t966, t970;
  double t971, t972, t977, t978, t980, t983, t984, t985;
  double t986, t987, t988, t989, t994, t995, t996, t997;
  double t1000, t1001, t1002, t1005, t1006, t1007, t1008, t1009;
  double t1010, t1011, t1012, t1013, t1014, t1015, t1016, t1019;
  double t1020, t1021, t1022, t1023, t1027, t1028, t1029, t1030;
  double t1031, t1032, t1033, t1034, t1035, t1036, t1042, t1043;
  double t1044, t1045, t1046, t1049, t1050, t1051, t1054, t1055;
  double t1056, t1063, t1065, t1069, t1071, t1074, t1075, t1078;
  double t1081, t1082, t1083, t1084, t1087, t1090, t1093, t1094;
  double t1095, t1098, t1099, t1100, t1101, t1105, t1108, t1111;
  double t1112, t1114, t1115, t1118, t1123, t1128, t1133, t1139;
  double t1140, t1145, t1146, t1147, t1154, t1159, t1163, t1164;
  double t1165, t1170, t1171, t1173, t1174, t1177, t1178, t1179;
  double t1182, t1183, t1184, t1186, t1189, t1190, t1191, t1194;
  double t1197, t1199, t1200, t1203, t1204, t1206, t1207, t1208;
  double t1211, t1213, tv2rho22, t1216, t1217, t1218, t1219, t1220;
  double t1221, t1222, t1223, t1226, t1227, t1228, t1229, t1232;
  double t1233, t1234, t1235, t1239, t1240, t1243, t1244, t1245;
  double t1246, t1247, t1250, t1251, t1255, t1258, t1259, t1260;
  double t1266, t1267, t1269, t1270, t1272, t1274, t1277, t1278;
  double t1281, t1282, t1283, t1288, t1291, t1292, t1293, t1300;
  double t1305, t1309, t1312, t1313, t1315, t1316, t1317, t1320;
  double t1321, t1322, t1326, t1329, t1330, t1333, t1336, t1340;
  double t1342, t1343, t1344, t1347, t1349, tv2rhosigma0, tv2rhosigma1, t1351;
  double t1354, t1356, t1360, t1364, t1366, tv2rhosigma2, t1368, t1376;
  double tv2rhosigma3, tv2rhosigma4, t1378, t1381, t1383, t1384, t1385, t1386;
  double t1389, t1390, t1391, t1392, t1393, t1394, t1395, t1396;
  double t1399, t1400, t1401, t1402, t1405, t1406, t1407, t1408;
  double t1412, t1413, t1416, t1417, t1419, t1420, t1423, t1424;
  double t1428, t1431, t1432, t1433, t1438, t1441, t1444, t1449;
  double t1452, t1453, t1454, t1462, t1467, t1468, t1470, t1471;
  double t1472, t1475, t1476, t1477, t1481, t1484, t1485, t1488;
  double t1491, t1495, t1497, t1498, t1499, t1502, t1504, tv2rhosigma5;
  double t1507, t1508, t1510, t1512, t1514, t1517, t1520, t1521;
  double t1522, t1527, t1530, t1531, t1532, t1539, t1540, t1541;
  double t1546, t1547, t1548, t1551, t1554, t1555, t1556, t1559;
  double t1560, t1564, t1567, t1568, t1577, t1581, t1584, t1585;
  double t1587, t1590, t1591, t1599, t1606, t1607, t1608, t1611;
  double t1613, tv2rholapl0, t1615, t1618, t1620, t1624, t1628, t1630;
  double tv2rholapl1, t1632, t1640, tv2rholapl2, t1642, t1643, t1644, t1649;
  double t1650, t1651, t1658, t1661, t1662, t1663, t1671, t1673;
  double t1676, t1677, t1680, t1681, t1682, t1685, t1692, t1693;
  double t1696, t1699, t1700, t1703, t1704, t1708, t1713, t1714;
  double t1716, t1719, t1720, t1728, t1735, t1736, t1737, t1740;
  double t1742, tv2rholapl3, t1746, t1747, t1748, t1757, t1758, t1761;
  double t1764, t1765, t1766, t1769, t1770, t1774, t1777, t1778;
  double t1779, t1783, t1786, t1787, t1791, t1792, t1795, t1798;
  double t1804, t1805, t1808, t1829, t1830, t1831, t1835, t1839;
  double t1840, t1841, t1843, t1846, t1847, t1855, t1862, t1863;
  double t1864, t1868, t1869, t1871, t1873, t1876, t1879, t1880;
  double t1881, t1886, t1889, t1890, t1891, t1898, t1900, tv2rhotau0;
  double t1902, t1905, t1907, t1911, t1915, t1919, t1921, tv2rhotau1;
  double t1923, t1933, tv2rhotau2, t1935, t1936, t1937, t1940, t1941;
  double t1945, t1948, t1949, t1950, t1954, t1957, t1958, t1963;
  double t1964, t1965, t1974, t1975, t1978, t1981, t1987, t1988;
  double t1991, t2012, t2013, t2014, t2017, t2018, t2025, t2028;
  double t2029, t2030, t2038, t2040, t2043, t2046, t2047, t2048;
  double t2053, t2054, t2056, t2059, t2060, t2068, t2075, t2076;
  double t2077, t2080, t2082, tv2rhotau3, t2084, t2085, t2086, t2087;
  double t2089, t2090, t2091, t2092, t2093, t2096, t2097, t2098;
  double t2105, t2106, t2107, t2108, t2117, t2118, t2119, t2120;
  double t2121, t2124, t2125, t2128, t2129, t2133, t2136, t2138;
  double t2139, t2141, t2142, t2146, t2147, t2148, t2153, t2154;
  double t2158, t2160, t2162, t2165, t2166, t2167, t2170, t2173;
  double t2174, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t2175, t2176;
  double t2177, t2178, t2180, t2181, t2182, t2183, t2184, t2187;
  double t2188, t2189, t2196, t2197, t2198, t2199, t2208, t2209;
  double t2210, t2211, t2212, t2215, t2216, t2219, t2220, t2224;
  double t2227, t2229, t2230, t2232, t2233, t2237, t2238, t2239;
  double t2244, t2245, t2249, t2251, t2253, t2256, t2257, t2258;
  double t2261, t2264, t2265, tv2sigma25, t2266, t2267, t2268, t2271;
  double t2276, t2281, t2282, t2287, t2288, t2291, t2295, t2298;
  double t2299, t2302, t2306, t2308, t2309, t2310, t2317, t2318;
  double t2319, t2322, t2323, t2324, t2327, t2330, t2331, t2332;
  double t2335, t2336, tv2sigmalapl0, tv2sigmalapl1, tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t2337;
  double t2338, t2339, t2342, t2347, t2352, t2353, t2358, t2359;
  double t2362, t2366, t2369, t2370, t2373, t2377, t2379, t2380;
  double t2381, t2388, t2389, t2390, t2393, t2394, t2395, t2398;
  double t2401, t2402, t2403, t2406, t2407, tv2sigmalapl5, t2435, t2436;
  double t2437, t2444, t2447, t2450, t2453, t2458, t2462, t2465;
  double t2466, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, t2494, t2495;
  double t2496, t2503, t2506, t2509, t2512, t2517, t2521, t2524;
  double t2525, tv2sigmatau5, t2526, t2527, t2528, t2529, t2532, t2533;
  double t2534, t2541, t2542, t2543, t2544, t2553, t2554, t2557;
  double t2558, t2561, t2562, t2566, t2569, t2571, t2572, t2576;
  double t2577, t2578, t2583, t2584, t2588, t2591, t2592, t2593;
  double t2596, t2599, t2600, tv2lapl20, tv2lapl21, t2601, t2602, t2603;
  double t2604, t2607, t2608, t2609, t2616, t2617, t2618, t2619;
  double t2628, t2629, t2632, t2633, t2636, t2637, t2641, t2644;
  double t2646, t2647, t2651, t2652, t2653, t2658, t2659, t2663;
  double t2666, t2667, t2668, t2671, t2674, t2675, tv2lapl22, t2676;
  double t2677, t2678, t2681, t2686, t2691, t2692, t2697, t2698;
  double t2701, t2705, t2708, t2709, t2712, t2716, t2718, t2719;
  double t2720, t2727, t2728, t2729, t2732, t2733, t2734, t2737;
  double t2740, t2741, t2742, t2747, t2751, t2754, t2755, tv2lapltau0;
  double tv2lapltau1, tv2lapltau2, t2756, t2757, t2758, t2761, t2766, t2771;
  double t2772, t2777, t2778, t2781, t2785, t2788, t2789, t2792;
  double t2796, t2798, t2799, t2800, t2807, t2808, t2809, t2812;
  double t2813, t2814, t2817, t2820, t2821, t2822, t2827, t2831;
  double t2834, t2835, tv2lapltau3, t2836, t2837, t2838, t2839, t2842;
  double t2843, t2844, t2851, t2852, t2853, t2854, t2865, t2866;
  double t2869, t2870, t2873, t2874, t2878, t2881, t2883, t2884;
  double t2888, t2889, t2890, t2895, t2898, t2899, t2903, t2907;
  double t2910, t2911, t2912, t2915, t2919, t2932, t2933, t2934;
  double t2937, t2938, tv2tau20, tv2tau21, t2939, t2940, t2941, t2942;
  double t2945, t2946, t2947, t2954, t2955, t2956, t2957, t2968;
  double t2969, t2972, t2973, t2976, t2977, t2981, t2984, t2986;
  double t2987, t2991, t2992, t2993, t2998, t3001, t3002, t3006;
  double t3010, t3013, t3014, t3015, t3018, t3022, t3035, t3036;
  double t3037, t3040, t3041, tv2tau22;

  double t3044, t3046, t3049, t3054, t3055, t3056, t3057, t3058;
  double t3061, t3064, t3065, t3066, t3069, t3072, t3075, t3080;
  double t3082, t3083, t3106, t3107, t3108, t3115, t3117, t3119;
  double t3121, t3122, t3123, t3124, t3125, t3126, t3129, t3130;
  double t3131, t3132, t3133, t3137, t3138, t3139, t3140, t3141;
  double t3142, t3143, t3146, t3148, t3150, t3152, t3155, t3157;
  double t3158, t3161, t3162, t3165, t3166, t3169, t3171, t3172;
  double t3173, t3176, t3179, t3180, t3181, t3182, t3185, t3186;
  double t3187, t3190, t3193, t3194, t3195, t3198, t3201, t3202;
  double t3207, t3215, t3216, t3227, t3228, t3231, t3244, t3246;
  double t3247, t3250, t3251, t3252, t3254, t3255, t3257, t3258;
  double t3259, t3260, t3261, t3262, t3267, t3268, t3269, t3272;
  double t3279, t3280, t3281, t3284, t3286, t3289, t3291, t3300;
  double t3301, t3304, t3305, t3308, t3313, t3314, t3318, t3319;
  double t3320, t3323, t3324, t3327, t3328, t3329, t3331, t3334;
  double t3335, t3336, t3338, t3340, t3341, t3342, t3344, t3346;
  double t3349, t3352, t3353, t3356, t3359, t3360, t3361, t3364;
  double t3368, t3369, t3370, t3375, t3376, t3378, t3379, t3381;
  double t3382, t3385, t3393, t3394, t3396, t3398, t3399, t3400;
  double t3401, t3402, t3403, t3406, t3409, t3410, t3413, t3415;
  double t3416, t3417, t3420, t3421, t3422, t3427, t3430, t3431;
  double t3432, t3435, t3436, t3439, t3447, t3448, t3449, t3452;
  double t3460, t3464, t3465, t3466, t3470, t3471, t3473, t3474;
  double t3475, t3476, t3479, t3482, t3483, t3486, t3491, t3494;
  double t3497, t3498, t3499, t3500, t3503, t3504, t3505, t3508;
  double t3509, t3512, t3513, t3514, t3515, t3516, t3517, t3520;
  double t3521, t3522, t3526, t3530, t3535, t3536, t3537, t3540;
  double t3543, t3544, t3545, t3548, t3549, t3551, t3553, t3556;
  double t3558, t3559, t3560, t3567, t3568, t3571, t3572, t3576;
  double t3577, t3582, t3585, t3588, t3590, t3599, t3602, t3605;
  double t3608, t3609, t3610, t3613, t3620, t3621, t3622, t3624;
  double t3625, t3627, t3628, t3629, t3631, t3632, t3634, t3635;
  double t3637, t3638, t3640, t3643, t3644, t3647, t3648, t3650;
  double t3651, t3653, t3654, t3655, t3658, t3659, t3660, t3661;
  double t3664, t3665, t3668, t3671, t3672, t3673, t3676, t3677;
  double t3678, t3679, t3680, t3681, t3682, t3685, t3686, t3691;
  double t3693, t3695, t3699, t3701, t3702, t3705, t3708, t3711;
  double t3715, t3716, t3717, t3720, t3721, t3722, t3724, t3725;
  double t3726, t3728, t3729, t3731, t3733, tv3rho30, t3736, t3737;
  double t3745, t3760, t3763, t3764, t3766, t3767, t3768, t3769;
  double t3771, t3774, t3779, t3780, t3782, t3786, t3787, t3788;
  double t3794, t3802, t3805, t3807, t3814, t3815, t3817, t3818;
  double t3820, t3821, t3824, t3825, t3830, t3835, t3838, t3845;
  double t3861, t3864, t3865, t3868, t3873, t3875, t3879, t3880;
  double t3881, t3884, t3885, t3887, t3888, t3889, t3890, t3894;
  double t3895, t3898, t3899, t3901, t3902, t3903, t3904, t3909;
  double t3910, t3912, t3915, t3917, t3918, t3919, t3924, t3925;
  double t3927, t3928, tv3rho31, t3931, t3936, t3940, t3944, t3945;
  double t3946, t3949, t3950, t3951, t3953, t3954, t3959, t3970;
  double t3971, t3977, t3987, t3989, t3991, t3995, t3997, t3998;
  double t4000, t4002, t4004, t4005, t4007, t4009, t4010, t4011;
  double t4013, t4014, t4016, t4017, t4019, t4020, t4022, t4023;
  double t4025, t4027, t4029, t4031, t4035, t4037, t4040, t4041;
  double t4045, t4046, t4049, t4052, t4055, t4058, t4065, t4073;
  double t4074, t4078, t4080, t4081, t4082, t4084, t4089, t4093;
  double t4097, t4098, t4099, t4108, t4111, tv3rho32, t4116, t4123;
  double t4127, t4128, t4129, t4135, t4136, t4137, t4138, t4139;
  double t4140, t4143, t4144, t4145, t4146, t4147, t4148, t4152;
  double t4153, t4156, t4160, t4161, t4162, t4163, t4166, t4169;
  double t4170, t4171, t4172, t4175, t4176, t4177, t4180, t4181;
  double t4182, t4185, t4188, t4189, t4194, t4195, t4206, t4207;
  double t4210, t4223, t4225, t4226, t4229, t4232, t4233, t4236;
  double t4243, t4244, t4245, t4246, t4247, t4248, t4256, t4261;
  double t4264, t4265, t4266, t4267, t4268, t4271, t4274, t4277;
  double t4280, t4281, t4282, t4287, t4289, t4290, t4313, t4314;
  double t4315, t4320, t4324, t4330, t4331, t4333, t4334, t4335;
  double t4336, t4339, t4340, t4343, t4344, t4345, t4347, t4349;
  double t4352, t4356, t4357, t4358, t4359, t4361, t4362, t4363;
  double t4364, t4365, t4368, t4369, t4370, t4373, t4374, t4375;
  double t4376, t4377, t4378, t4381, t4382, t4383, t4386, t4391;
  double t4392, t4393, t4394, t4395, t4396, t4397, t4398, t4403;
  double t4404, t4405, t4408, t4409, t4410, t4413, t4414, t4419;
  double t4420, t4421, t4425, t4426, t4427, t4432, t4437, t4438;
  double t4444, t4453, t4454, t4457, t4460, t4461, t4462, t4467;
  double t4475, t4479, t4480, t4481, t4482, t4487, t4490, t4494;
  double t4497, t4500, t4503, t4505, t4521, t4525, t4532, t4536;
  double t4537, t4538, t4543, t4544, t4545, t4546, t4549, t4550;
  double t4553, t4554, t4558, t4559, t4563, t4565, t4570, t4571;
  double t4573, t4574, t4577, t4578, t4579, t4582, t4585, t4586;
  double t4589, t4594, t4595, t4596, t4599, t4605, t4606, t4612;
  double t4617, t4620, t4621, t4624, t4625, t4628, t4633, t4634;
  double t4637, t4640, t4641, t4642, t4643, t4652, t4655, t4656;
  double t4658, t4659, t4660, t4661, t4662, t4667, t4668, t4673;
  double t4676, t4678, t4681, t4682, t4683, t4686, t4687, t4690;
  double t4691, t4697, t4698, t4699, t4706, t4707, t4708, t4709;
  double t4710, t4714, t4715, t4718, t4719, t4722, t4725, t4726;
  double t4730, t4734, tv3rho33, t4738, t4739, t4740, t4741, t4742;
  double t4743, t4746, t4747, t4748, t4749, t4750, t4751, t4753;
  double t4754, t4755, t4756, t4757, t4760, t4761, t4762, t4763;
  double t4765, t4766, t4767, t4770, t4771, t4772, t4775, t4776;
  double t4779, t4780, t4781, t4784, t4786, t4787, t4789, t4792;
  double t4793, t4796, t4797, t4800, t4801, t4803, t4806, t4809;
  double t4812, t4813, t4817, t4818, t4819, t4820, t4821, t4824;
  double t4825, t4826, t4829, t4830, t4831, t4832, t4833, t4834;
  double t4837, t4838, t4839, t4840, t4843, t4844, t4845, t4846;
  double t4849, t4850, t4851, t4854, t4855, t4857, t4858, t4859;
  double t4860, t4862, t4865, t4867, t4868, t4869, t4872, t4874;
  double t4878, t4879, t4882, t4884, t4887, t4888, t4891, t4894;
  double t4896, t4898, t4899, t4901, t4903, t4904, t4905, t4908;
  double t4912, t4915, t4917, t4920, t4923, t4924, t4925, t4928;
  double t4929, t4932, t4933, t4935, t4936, t4937, t4940, t4945;
  double t4946, t4951, t4957, t4960, t4961, t4966, t4967, t4968;
  double t4970, t4974, t4978, t4979, t4982, t4985, t4993, t5008;
  double t5009, t5012, t5017, t5022, t5029, t5032, t5037, t5044;
  double t5045, t5046, t5053, t5054, t5057, t5062, t5064, t5067;
  double t5068, t5071, t5072, t5073, t5076, t5078, t5084, t5086;
  double t5088, t5091, t5094, t5096, t5097, t5099, t5100, t5102;
  double t5105, t5108, t5113, t5114, t5115, t5122, t5124, t5125;
  double t5126, t5131, t5140, t5143, t5144, t5146, t5149, t5150;
  double t5152, t5160, t5161, t5163, t5164, t5165, t5166, t5167;
  double t5169, t5170, t5171, t5174, t5177, t5178, t5179, t5180;
  double t5183, t5184, t5187, t5190, t5191, t5194, t5195, t5198;
  double t5203, t5204, t5207, t5210, t5213, t5216, t5220, t5223;
  double t5228, t5231, t5232, t5235, t5236, t5239, t5244, t5245;
  double t5247, t5248, t5252, t5255, t5258, t5264, t5266, t5269;
  double t5275, t5278, t5279, t5280, t5281, t5288, t5290, t5294;
  double tv3rho2sigma0, tv3rho2sigma1, t5297, t5300, t5301, t5303, t5305, t5308;
  double t5311, t5314, t5317, t5319, tv3rho2sigma2, t5328, t5335, t5346;
  double t5362, t5364, t5366, t5367, t5371, t5374, t5379, t5389;
  double t5397, t5403, t5406, tv3rho2sigma3, tv3rho2sigma4, t5410, t5412, t5414;
  double t5415, t5417, t5419, t5426, t5427, t5429, t5431, t5432;
  double t5434, t5436, t5437, t5439, t5448, t5455, t5457, t5459;
  double t5464, t5465, t5467, t5469, t5471, t5473, t5475, t5477;
  double t5478, t5480, t5482, t5484, t5485, t5487, t5489, t5508;
  double t5513, t5516, tv3rho2sigma5, t5519, t5530, tv3rho2sigma6, tv3rho2sigma7, t5533;
  double t5534, t5535, t5536, t5537, t5538, t5540, t5541, t5542;
  double t5543, t5546, t5548, t5549, t5550, t5551, t5553, t5554;
  double t5555, t5556, t5559, t5560, t5561, t5562, t5563, t5564;
  double t5567, t5568, t5571, t5572, t5575, t5578, t5579, t5582;
  double t5583, t5587, t5588, t5591, t5592, t5595, t5596, t5599;
  double t5600, t5602, t5603, t5605, t5608, t5609, t5610, t5611;
  double t5612, t5615, t5616, t5617, t5620, t5621, t5622, t5623;
  double t5624, t5625, t5626, t5629, t5630, t5631, t5634, t5635;
  double t5636, t5639, t5640, t5641, t5642, t5645, t5646, t5647;
  double t5648, t5651, t5653, t5654, t5655, t5659, t5660, t5665;
  double t5668, t5669, t5672, t5673, t5674, t5681, t5683, t5686;
  double t5689, t5702, t5704, t5706, t5709, t5712, t5715, t5716;
  double t5717, t5724, t5725, t5726, t5733, t5746, t5749, t5752;
  double t5753, t5754, t5757, t5760, t5763, t5766, t5771, t5772;
  double t5775, t5776, t5777, t5785, t5786, t5790, t5793, t5796;
  double t5797, t5801, t5802, t5803, t5805, t5808, t5809, t5813;
  double t5814, t5819, t5823, t5828, t5833, t5834, t5843, t5844;
  double t5845, t5846, t5847, t5850, t5851, t5852, t5854, t5855;
  double t5856, t5857, t5860, t5861, t5864, t5867, t5868, t5871;
  double t5872, t5876, t5879, t5880, t5883, t5886, t5893, t5896;
  double t5899, t5902, t5905, t5906, t5909, t5912, t5913, t5916;
  double t5917, t5920, t5921, t5923, t5926, t5930, t5935, t5940;
  double t5946, t5949, t5952, t5955, t5958, t5959, t5960, t5961;
  double t5972, t5980, t5985, t5986, t5989, t5998, t6001, t6006;
  double t6007, t6008, t6013, t6016, t6017, t6020, t6027, t6028;
  double t6029, t6032, t6037, t6038, t6052, t6056, tv3rho2sigma8, t6059;
  double t6061, t6062, t6063, t6066, t6067, t6069, t6079, t6080;
  double t6081, t6084, t6088, t6091, t6092, t6095, t6096, t6097;
  double t6099, t6104, t6105, t6106, t6107, t6112, t6115, t6116;
  double t6120, t6122, t6129, t6133, t6136, t6137, t6140, t6149;
  double t6165, t6166, t6167, t6186, t6187, t6189, t6191, t6193;
  double t6194, t6197, t6199, t6203, t6206, t6208, t6209, t6214;
  double t6215, t6217, t6219, t6222, t6223, t6226, t6228, t6230;
  double t6231, t6234, t6236, t6241, t6247, t6250, t6255, t6256;
  double t6257, t6262, t6263, t6270, t6275, t6278, t6280, t6282;
  double t6283, t6284, t6286, t6289, t6290, t6293, t6294, t6295;
  double t6303, t6305, t6308, t6311, t6316, t6324, t6325, t6327;
  double t6331, t6333, t6334, t6335, t6338, t6339, t6340, t6344;
  double t6347, t6350, t6353, t6358, t6359, t6363, t6365, t6367;
  double t6378, t6379, t6381, t6384, t6389, t6390, t6393, t6413;
  double t6418, t6419, t6424, t6427, t6429, t6430, t6433, t6440;
  double t6467, t6469, t6470, t6471, t6472, t6475, t6476, t6479;
  double t6482, t6484, t6488, t6491, t6496, t6497, t6507, t6511;
  double tv3rho2lapl0, t6514, t6517, t6518, t6520, t6522, t6525, t6528;
  double t6531, t6534, t6536, tv3rho2lapl1, t6541, t6556, t6562, t6564;
  double t6565, t6567, t6570, t6575, t6582, t6596, t6597, t6609;
  double t6620, t6623, tv3rho2lapl2, t6625, t6627, t6629, t6631, t6632;
  double t6634, t6636, t6637, t6639, t6641, t6642, t6652, t6653;
  double t6656, t6659, t6664, t6666, t6674, t6677, t6679, t6680;
  double t6682, t6684, t6685, t6687, t6689, t6691, t6693, t6695;
  double t6697, t6699, t6701, t6702, t6709, t6726, t6730, t6733;
  double tv3rho2lapl3, t6736, t6747, tv3rho2lapl4, t6750, t6751, t6752, t6755;
  double t6758, t6759, t6760, t6773, t6774, t6775, t6779, t6784;
  double t6785, t6789, t6794, t6798, t6799, t6800, t6803, t6807;
  double t6812, t6816, t6819, t6824, t6827, t6830, t6837, t6839;
  double t6842, t6843, t6846, t6847, t6848, t6853, t6854, t6855;
  double t6870, t6873, t6876, t6884, t6886, t6889, t6890, t6893;
  double t6906, t6907, t6908, t6919, t6920, t6921, t6925, t6928;
  double t6929, t6932, t6935, t6936, t6939, t6942, t6943, t6946;
  double t6949, t6950, t6953, t6966, t6969, t6973, t6974, t6978;
  double t6980, t6981, t6984, t6987, t6988, t7005, t7009, t7010;
  double t7048, t7049, t7050, t7051, t7058, t7071, t7072, t7091;
  double t7093, t7094, t7099, t7100, t7116, t7117, t7120, t7121;
  double t7123, t7124, t7126, t7127, t7129, t7132, t7137, t7138;
  double t7139, t7146, t7151, t7161, t7164, t7168, tv3rho2lapl5, t7171;
  double t7174, t7175, t7178, t7179, t7182, t7185, t7186, t7187;
  double t7190, t7193, t7194, t7195, t7198, t7199, t7200, t7209;
  double t7210, t7213, t7216, t7228, t7229, t7232, t7233, t7234;
  double t7236, t7238, t7239, t7241, t7242, t7243, t7246, t7248;
  double t7249, t7250, t7253, t7255, t7256, t7259, t7262, t7264;
  double t7265, t7268, t7270, t7273, t7275, t7277, t7278, t7281;
  double t7285, t7288, t7290, t7293, t7296, t7299, t7300, t7304;
  double t7306, t7307, t7310, t7313, t7316, t7340, t7343, t7344;
  double t7345, t7348, t7351, t7352, t7354, t7366, t7368, t7369;
  double t7374, t7377, t7378, t7380, t7381, t7383, t7385, t7388;
  double t7389, t7390, t7393, t7396, t7402, t7403, t7404, t7405;
  double t7408, t7414, t7416, t7418, t7423, t7441, t7449, t7450;
  double t7452, t7453, t7456, t7457, t7460, t7461, t7462, t7465;
  double t7469, t7470, t7471, t7475, t7488, t7489, t7492, t7499;
  double t7500, t7502, t7512, t7516, t7519, t7523, t7525, t7533;
  double t7534, t7537, t7549, t7550, t7556, t7557, t7559, t7561;
  double t7563, t7564, t7567, t7570, t7573, t7581, t7584, t7586;
  double t7591, t7592, t7595, t7598, t7599, t7610, t7624, t7627;
  double t7629, t7631, t7632, t7666, t7667, t7668, t7669, t7676;
  double t7679, t7684, t7689, t7690, t7691, t7714, t7717, t7726;
  double t7727, t7728, t7731, t7740, t7743, t7746, t7751, t7752;
  double t7753, t7756, t7757, t7758, t7761, t7766, tv3rho2tau0, t7769;
  double t7772, t7773, t7775, t7777, t7780, t7783, t7786, t7789;
  double t7792, t7795, t7796, t7797, tv3rho2tau1, t7801, t7808, t7811;
  double t7824, t7827, t7829, t7830, t7832, t7834, t7854, t7870;
  double t7873, t7894, t7898, t7901, tv3rho2tau2, t7903, t7904, t7906;
  double t7908, t7923, t7925, t7927, t7929, t7930, t7932, t7936;
  double t7943, t7944, t7946, t7948, t7949, t7951, t7956, t7959;
  double t7963, t7965, t7967, t7971, t7978, t7980, t7982, t7984;
  double t7986, t7988, t7989, t7991, t7993, t7995, t7997, t7999;
  double t8002, t8011, t8013, t8015, t8025, t8029, t8032, tv3rho2tau3;
  double t8035, t8048, t8049, tv3rho2tau4, t8052, t8055, t8058, t8065;
  double t8066, t8067, t8070, t8071, t8074, t8075, t8076, t8079;
  double t8080, t8081, t8088, t8089, t8090, t8095, t8096, t8097;
  double t8099, t8102, t8103, t8104, t8106, t8109, t8110, t8115;
  double t8120, t8121, t8122, t8126, t8132, t8133, t8134, t8135;
  double t8139, t8142, t8146, t8165, t8170, t8179, t8182, t8183;
  double t8184, t8189, t8192, t8195, t8196, t8199, t8200, t8201;
  double t8220, t8223, t8226, t8227, t8230, t8231, t8234, t8235;
  double t8247, t8251, t8254, t8258, t8259, t8297, t8298, t8299;
  double t8300, t8303, t8312, t8314, t8317, t8318, t8321, t8330;
  double t8335, t8338, t8347, t8349, t8353, t8354, t8358, t8359;
  double t8360, t8368, t8371, t8374, t8375, t8381, t8382, t8383;
  double t8390, t8391, t8403, t8420, t8423, t8426, t8427, t8434;
  double t8435, t8438, t8444, t8445, t8450, t8455, t8477, t8478;
  double t8486, t8489, t8490, t8499, t8500, t8503, t8506, t8508;
  double t8509, t8512, t8513, t8516, t8519, t8524, t8527, t8534;
  double t8538, t8545, t8548, t8549, t8550, t8553, t8564, t8585;
  double t8586, t8587, t8590, t8595, t8601, t8606, tv3rho2tau5, t8608;
  double t8609, t8610, t8613, t8614, t8615, t8618, t8621, t8622;
  double t8625, t8626, t8627, t8630, t8631, t8634, t8635, t8636;
  double t8639, t8642, t8643, t8644, t8647, t8648, t8651, t8657;
  double t8658, t8659, t8660, t8661, t8662, t8665, t8666, t8667;
  double t8668, t8670, t8672, t8673, t8675, t8677, t8679, t8681;
  double t8682, t8683, t8685, t8687, t8689, t8690, t8691, t8692;
  double t8697, t8703, t8704, t8709, t8714, t8715, t8724, t8725;
  double t8726, t8728, t8729, t8730, t8733, t8734, t8739, t8740;
  double t8741, t8742, t8743, t8744, t8745, t8746, t8747, t8748;
  double t8750, t8751, t8752, t8753, t8754, t8758, t8759, t8760;
  double t8761, t8764, t8765, t8766, t8770, t8771, t8772, t8775;
  double t8776, t8777, t8778, t8779, t8780, t8781, t8782, t8783;
  double t8784, t8785, t8786, t8789, t8790, t8791, t8794, t8795;
  double t8798, t8809, t8810, t8813, t8819, t8822, t8825, t8832;
  double t8837, t8840, t8841, t8842, t8843, t8848, t8853, t8854;
  double t8855, t8856, t8857, t8860, t8861, t8862, t8865, t8868;
  double t8869, t8874, t8875, t8876, t8877, t8878, t8881, t8884;
  double t8887, t8888, t8891, t8892, t8893, t8896, t8899, t8900;
  double t8901, t8902, t8905, t8911, t8912, t8915, t8920, t8921;
  double t8923, t8925, t8926, t8929, t8930, t8939, t8944, t8947;
  double t8948, t8949, t8951, t8954, t8957, t8960, t8962, t8963;
  double t8965, t8966, t8967, t8972, t8974, t8975, t8976, t8978;
  double t8979, t8980, t8983, t8986, t8989, t8990, t8993, t8996;
  double t8999, t9001, t9008, t9012, t9013, t9017, t9019, t9021;
  double t9022, t9024, t9026, t9027, t9030, t9031, t9032, t9033;
  double t9034, t9037, t9038, t9039, t9042, t9043, t9044, t9045;
  double t9050, t9056, t9057, t9058, t9059, t9060, t9061, t9068;
  double t9069, t9070, t9087, t9098, t9101, t9104, t9105, t9109;
  double t9110, t9111, t9112, t9113, t9114, t9117, t9121, t9122;
  double t9124, t9125, t9128, t9132, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23;
  double tv3rhosigma24, t9139, t9143, t9145, t9148, t9151, t9154, t9156;
  double t9157, t9159, t9166, t9168, t9175, t9177, t9178, t9179;
  double t9180, t9182, t9184, t9186, t9187, t9188, t9190, t9192;
  double t9194, t9196, t9197, t9199, tv3rhosigma25, t9205, t9208, t9213;
  double t9215, t9216, t9226, t9233, t9235, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28;
  double tv3rhosigma29, tv3rhosigma210, t9237, t9238, t9239, t9242, t9243, t9246;
  double t9249, t9250, t9253, t9254, t9255, t9258, t9259, t9262;
  double t9263, t9264, t9267, t9270, t9271, t9272, t9275, t9278;
  double t9279, t9280, t9283, t9284, t9285, t9286, t9289, t9292;
  double t9295, t9296, t9297, t9300, t9301, t9304, t9305, t9306;
  double t9307, t9308, t9310, t9311, t9312, t9313, t9316, t9317;
  double t9318, t9321, t9322, t9323, t9324, t9325, t9326, t9327;
  double t9328, t9329, t9330, t9333, t9336, t9337, t9340, t9341;
  double t9344, t9345, t9349, t9350, t9351, t9352, t9353, t9354;
  double t9356, t9357, t9358, t9359, t9360, t9361, t9366, t9367;
  double t9370, t9376, t9379, t9382, t9389, t9394, t9397, t9398;
  double t9399, t9400, t9405, t9408, t9413, t9414, t9415, t9424;
  double t9426, t9427, t9434, t9439, t9440, t9441, t9442, t9447;
  double t9448, t9449, t9451, t9454, t9455, t9457, t9458, t9461;
  double t9462, t9463, t9464, t9466, t9469, t9476, t9480, t9481;
  double t9485, t9486, t9487, t9488, t9489, t9492, t9493, t9495;
  double t9497, t9500, t9503, t9504, t9505, t9506, t9507, t9510;
  double t9513, t9518, t9521, t9524, t9525, t9532, t9535, t9536;
  double t9537, t9540, t9541, t9544, t9545, t9548, t9551, t9556;
  double t9557, t9558, t9559, t9560, t9563, t9566, t9567, t9568;
  double t9569, t9570, t9571, t9574, t9584, t9585, t9586, t9587;
  double t9588, t9589, t9590, t9593, t9601, t9604, t9605, t9607;
  double t9608, t9612, t9616, t9617, t9619, t9622, t9623, t9626;
  double t9629, t9632, t9634, t9635, t9638, t9639, t9640, t9643;
  double t9646, t9649, t9650, t9651, t9652, t9655, t9657, t9658;
  double t9659, t9665, t9666, t9668, t9669, t9672, t9673, t9676;
  double t9679, t9701, t9702, t9703, t9704, t9705, t9708, t9709;
  double t9710, t9715, t9726, t9730, tv3rhosigma211, t9732, t9735, t9736;
  double t9737, t9740, t9741, t9744, t9747, t9748, t9749, t9752;
  double t9754, t9757, t9758, t9761, t9762, t9763, t9766, t9767;
  double t9770, t9771, t9781, t9783, t9786, t9789, t9790, t9793;
  double t9794, t9805, t9814, t9823, t9827, t9828, t9845, t9848;
  double t9855, t9858, t9861, t9864, t9867, t9868, t9871, t9872;
  double t9873, t9874, t9875, t9878, t9879, t9882, t9883, t9886;
  double t9887, t9888, t9891, t9907, t9908, t9923, t9926, t9929;
  double t9930, t9931, t9934, t9935, t9936, t9937, t9940, t9943;
  double t9944, t9945, t9948, t9951, t9952, t9953, t9962, t9963;
  double t9970, t9972, t9976, t9977, t9981, t9991, t9994, t9997;
  double t10000, t10001, t10005, t10012, t10015, t10018, t10020, t10021;
  double t10022, t10025, t10036, t10037, t10038, t10039, t10042, t10047;
  double t10048, t10055, t10058, t10059, t10062, t10063, t10066, t10067;
  double t10069, t10072, t10075, t10076, t10079, t10080, t10082, t10085;
  double t10088, t10091, t10094, t10097, t10098, t10101, t10102, t10109;
  double t10116, t10122, t10125, t10133, t10135, t10137, t10139, t10154;
  double t10155, t10158, t10159, t10160, t10173, t10176, t10180, t10182;
  double t10184, t10186, t10188, t10190, t10192, t10197, t10200, t10204;
  double tv3rhosigmalapl0, tv3rhosigmalapl1, tv3rhosigmalapl2, tv3rhosigmalapl3, tv3rhosigmalapl4, t10215, t10227, t10229;
  double t10231, t10233, t10237, t10238, t10240, t10242, t10244, t10246;
  double t10248, t10250, t10252, t10262, t10263, t10265, tv3rhosigmalapl5, t10291;
  double t10296, t10298, tv3rhosigmalapl6, tv3rhosigmalapl7, tv3rhosigmalapl8, tv3rhosigmalapl9, tv3rhosigmalapl10, t10312;
  double t10313, t10316, t10317, t10335, t10336, t10343, t10344, t10348;
  double t10351, t10352, t10355, t10358, t10363, t10373, t10375, t10379;
  double t10382, t10383, t10384, t10387, t10388, t10389, t10390, t10393;
  double t10396, t10401, t10404, t10407, t10408, t10409, t10414, t10417;
  double t10418, t10419, t10422, t10427, t10429, t10430, t10431, t10436;
  double t10439, t10442, t10447, t10448, t10451, t10452, t10453, t10454;
  double t10457, t10458, t10459, t10462, t10463, t10466, t10467, t10468;
  double t10471, t10480, t10485, t10486, t10489, t10491, t10492, t10497;
  double t10500, t10501, t10504, t10505, t10506, t10507, t10508, t10509;
  double t10512, t10514, t10517, t10520, t10521, t10524, t10525, t10526;
  double t10529, t10532, t10533, t10536, t10537, t10540, t10541, t10544;
  double t10549, t10552, t10553, t10556, t10557, t10558, t10561, t10582;
  double t10593, t10594, t10599, t10602, t10605, t10607, t10608, t10611;
  double t10614, t10615, t10618, t10621, t10624, t10627, t10630, t10631;
  double t10633, t10634, t10645, t10646, t10647, t10656, t10669, t10677;
  double t10678, t10687, t10694, t10695, t10698, t10701, t10708, t10711;
  double t10722, t10725, t10740, t10744, tv3rhosigmalapl11, t10754, t10761, t10764;
  double t10769, t10770, t10771, t10772, t10788, t10813, t10828, t10831;
  double t10836, t10841, t10846, t10857, t10859, t10860, t10861, t10866;
  double t10869, t10874, t10881, t10885, t10890, t10893, t10894, t10905;
  double t10922, t10929, t10934, t10937, t10942, t10952, t10954, t10965;
  double t10969, t10972, t10973, t10974, t10982, t10984, t10986, t10993;
  double t10997, t11000, t11001, t11008, t11019, t11036, t11038, t11040;
  double t11042, t11048, t11049, t11050, t11053, t11055, t11058, t11061;
  double t11064, t11067, t11070, t11073, t11075, t11077, t11086, t11100;
  double t11101, t11102, t11103, t11106, t11109, t11112, t11113, t11116;
  double t11117, t11120, t11121, t11122, t11125, t11128, t11131, t11134;
  double t11135, t11140, t11143, t11148, t11151, t11152, t11155, t11158;
  double t11159, t11172, t11177, t11181, t11183, t11185, t11187, t11189;
  double t11192, t11196, t11199, t11200, t11209, t11212, t11215, t11231;
  double t11234, t11239, tv3rhosigmatau0, tv3rhosigmatau1, tv3rhosigmatau2, tv3rhosigmatau3, tv3rhosigmatau4, t11246;
  double t11254, t11256, t11258, t11260, t11266, t11268, t11270, t11279;
  double t11281, t11283, t11285, t11287, t11289, t11291, t11293, t11295;
  double t11309, t11310, t11312, tv3rhosigmatau5, t11346, t11349, t11351, tv3rhosigmatau6;
  double tv3rhosigmatau7, tv3rhosigmatau8, tv3rhosigmatau9, tv3rhosigmatau10, t11355, t11358, t11361, t11369;
  double t11372, t11381, t11392, t11394, t11397, t11398, t11399, t11414;
  double t11431, t11436, t11437, t11438, t11441, t11444, t11445, t11448;
  double t11449, t11450, t11457, t11460, t11463, t11464, t11465, t11468;
  double t11469, t11472, t11475, t11477, t11478, t11479, t11482, t11495;
  double t11507, t11510, t11511, t11512, t11519, t11528, t11533, t11538;
  double t11541, t11546, t11563, t11589, t11606, t11608, t11609, t11610;
  double t11624, t11636, t11639, t11648, t11666, t11675, t11681, t11682;
  double t11687, t11698, t11699, t11706, t11709, t11712, t11715, t11718;
  double t11723, t11726, t11727, t11730, t11733, t11736, t11739, t11744;
  double t11747, t11753, t11754, t11759, t11761, t11762, t11765, t11768;
  double t11769, t11772, t11775, t11783, t11787, t11792, t11807, t11812;
  double tv3rhosigmatau11, t11814, t11818, t11819, t11820, t11821, t11824, t11827;
  double t11828, t11831, t11839, t11842, t11845, t11852, t11857, t11860;
  double t11861, t11862, t11864, t11865, t11868, t11869, t11872, t11875;
  double t11878, t11883, t11886, t11890, t11891, t11896, t11898, t11899;
  double t11901, t11904, t11911, t11912, t11917, t11918, t11931, t11932;
  double t11937, t11945, t11947, t11948, t11949, t11952, t11953, t11958;
  double t11959, t11960, t11965, t11966, t11967, t11973, t11974, t11975;
  double t11980, t11981, t11982, t11985, t11986, t11989, t12004, t12006;
  double t12008, t12010, t12011, t12014, t12016, t12017, t12018, t12019;
  double t12022, t12023, t12026, t12027, t12030, t12031, t12032, t12038;
  double t12041, t12046, t12055, t12066, t12067, t12071, t12073, t12074;
  double t12076, t12079, t12089, t12090, t12091, t12093, t12096, t12097;
  double t12099, t12102, t12103, t12104, t12107, t12110, t12111, t12112;
  double t12115, t12118, t12119, t12122, t12123, t12126, t12127, t12130;
  double t12139, t12140, t12143, t12144, t12145, t12148, t12155, t12161;
  double t12165, t12166, t12170, t12171, t12173, t12176, t12177, t12179;
  double t12180, t12183, t12184, t12188, t12192, t12194, t12195, t12200;
  double t12211, t12214, t12215, t12216, t12233, t12234, t12239, t12243;
  double tv3rholapl20, tv3rholapl21, t12246, t12248, t12252, t12254, t12260, t12261;
  double t12266, t12267, t12282, t12284, t12285, t12287, t12289, t12291;
  double t12293, t12295, t12297, t12298, t12300, tv3rholapl22, t12304, t12307;
  double t12312, t12329, t12331, tv3rholapl23, tv3rholapl24, t12335, t12336, t12337;
  double t12340, t12341, t12342, t12345, t12346, t12347, t12363, t12367;
  double t12370, t12371, t12372, t12375, t12378, t12379, t12384, t12385;
  double t12388, t12394, t12397, t12398, t12403, t12404, t12414, t12417;
  double t12420, t12427, t12432, t12435, t12436, t12437, t12440, t12447;
  double t12454, t12455, t12460, t12461, t12463, t12465, t12466, t12472;
  double t12480, t12481, t12483, t12486, t12491, t12494, t12496, t12498;
  double t12499, t12500, t12503, t12505, t12506, t12507, t12510, t12511;
  double t12514, t12515, t12518, t12519, t12520, t12524, t12525, t12527;
  double t12528, t12530, t12531, t12534, t12535, t12539, t12542, t12545;
  double t12546, t12547, t12548, t12551, t12554, t12555, t12556, t12559;
  double t12562, t12565, t12588, t12591, t12594, t12595, t12596, t12615;
  double t12616, t12619, t12620, t12623, t12630, t12631, t12632, t12635;
  double t12636, t12637, t12642, t12643, t12648, t12649, t12650, t12655;
  double t12658, t12659, t12670, t12671, t12676, t12679, t12695, t12699;
  double t12700, t12704, t12705, t12707, t12708, t12711, t12712, t12713;
  double t12715, t12718, t12720, t12723, t12732, t12736, tv3rholapl25, t12739;
  double t12741, t12743, t12745, t12747, t12749, t12751, t12753, t12760;
  double t12761, t12762, t12767, t12782, t12787, t12789, t12802, t12807;
  double t12810, t12811, t12814, t12815, t12824, t12825, t12828, t12829;
  double t12832, t12837, t12838, t12841, t12844, t12847, t12850, t12851;
  double t12854, t12859, t12860, t12861, t12866, t12867, t12868, t12875;
  double t12876, t12877, t12888, t12889, t12890, t12893, t12894, t12897;
  double t12900, t12903, t12906, t12914, t12921, t12923, t12927, t12928;
  double t12931, t12940, t12943, t12946, t12949, t12952, t12957, t12960;
  double t12971, t12973, t12974, t12975, t12978, t12984, t12987, t12988;
  double t12991, t12994, t12997, t13004, t13005, t13006, t13009, t13011;
  double t13014, t13015, t13018, t13021, t13030, t13034, t13045, t13049;
  double t13058, t13059, t13060, t13075, t13077, t13079, t13081, t13082;
  double t13086, t13097, t13103, t13122, t13123, t13124, t13127, t13130;
  double t13133, t13138, t13141, t13144, t13150, t13155, t13158, t13165;
  double t13168, t13175, t13179, t13182, t13186, t13187, t13190, t13191;
  double t13196, t13197, t13200, t13201, t13204, t13207, t13209, t13212;
  double t13227, t13228, t13230, t13231, t13234, t13237, t13240, t13243;
  double t13254, t13257, t13260, t13265, tv3rholapltau0, tv3rholapltau1, tv3rholapltau2, t13268;
  double t13272, t13274, t13276, t13278, t13280, t13288, t13290, t13296;
  double t13298, t13300, t13302, t13305, t13307, t13309, t13311, t13313;
  double t13315, t13336, t13338, tv3rholapltau3, t13352, t13375, t13377, tv3rholapltau4;
  double tv3rholapltau5, tv3rholapltau6, t13385, t13386, t13397, t13398, t13424, t13427;
  double t13429, t13432, t13445, t13448, t13455, t13456, t13464, t13467;
  double t13470, t13477, t13478, t13485, t13491, t13510, t13519, t13524;
  double t13527, t13530, t13533, t13534, t13537, t13538, t13541, t13543;
  double t13544, t13547, t13548, t13550, t13557, t13560, t13561, t13564;
  double t13567, t13568, t13571, t13572, t13573, t13576, t13579, t13580;
  double t13585, t13586, t13589, t13593, t13594, t13601, t13603, t13606;
  double t13609, t13612, t13615, t13616, t13619, t13633, t13640, t13656;
  double t13659, t13668, t13671, t13672, t13673, t13676, t13677, t13680;
  double t13683, t13684, t13687, t13690, t13691, t13694, t13697, t13698;
  double t13705, t13708, t13711, t13718, t13722, t13723, t13724, t13733;
  double t13734, t13735, t13742, t13745, t13746, t13749, t13752, t13757;
  double t13762, t13765, t13770, t13771, t13772, t13776, t13779, t13780;
  double t13794, t13798, t13805, t13810, t13813, t13816, t13823, t13830;
  double t13833, t13835, t13836, t13837, t13840, t13841, t13846, t13849;
  double t13852, t13853, t13856, t13859, t13862, t13864, t13867, t13872;
  double tv3rholapltau7, t13876, t13877, t13878, t13887, t13888, t13892, t13898;
  double t13901, t13904, t13911, t13916, t13919, t13920, t13921, t13922;
  double t13927, t13928, t13929, t13936, t13937, t13938, t13943, t13944;
  double t13951, t13952, t13957, t13971, t13976, t13977, t13982, t13983;
  double t13984, t13986, t13987, t13992, t13996, t13997, t14001, t14002;
  double t14004, t14005, t14008, t14009, t14014, t14019, t14023, t14024;
  double t14026, t14028, t14031, t14032, t14033, t14037, t14040, t14041;
  double t14045, t14051, t14053, t14055, t14057, t14058, t14059, t14062;
  double t14063, t14064, t14067, t14068, t14069, t14076, t14077, t14080;
  double t14095, t14099, t14101, t14102, t14106, t14107, t14109, t14111;
  double t14113, t14115, t14116, t14118, t14123, t14129, t14131, t14133;
  double t14136, t14145, t14148, t14151, t14152, t14153, t14176, t14177;
  double t14184, t14185, t14187, t14189, t14190, t14193, t14195, t14196;
  double t14199, t14200, t14201, t14206, t14211, t14214, t14215, t14218;
  double t14221, t14228, t14229, t14231, t14232, t14239, t14242, t14245;
  double t14246, t14249, t14252, t14253, t14254, t14257, t14258, t14259;
  double t14262, t14265, t14268, t14269, t14272, t14273, t14278, t14281;
  double t14282, t14288, t14289, t14292, t14293, t14296, t14297, t14299;
  double t14300, t14305, t14306, t14308, t14311, t14312, t14315, t14319;
  double t14324, t14331, t14336, t14342, t14343, t14356, t14358, t14359;
  double t14360, t14363, t14368, t14372, t14373, t14376, t14397, t14398;
  double t14399, t14402, t14407, t14410, t14414, tv3rhotau20, tv3rhotau21, t14419;
  double t14421, t14423, t14425, t14427, t14429, t14435, t14446, t14453;
  double t14456, t14460, t14462, t14463, t14465, t14467, t14469, t14470;
  double t14472, t14474, t14482, t14484, t14485, t14487, tv3rhotau22, t14507;
  double t14508, t14515, t14524, t14526, tv3rhotau23, tv3rhotau24, t14533, t14534;
  double t14535, t14540, t14541, t14542, t14550, t14551, t14554, t14555;
  double t14559, t14562, t14567, t14568, t14569, t14570, t14573, t14577;
  double t14578, t14579, t14582, t14583, t14586, t14605, t14608, t14621;
  double t14624, t14625, t14626, t14639, t14640, t14642, t14643, t14648;
  double t14649, t14650, t14652, t14655, t14679, t14680, t14681, t14684;
  double t14685, t14698, t14701, t14702, t14710, t14713, t14714, t14717;
  double t14718, t14723, t14724, t14728, t14734, t14737, t14740, t14747;
  double t14752, t14755, t14756, t14757, t14758, t14767, t14772, t14775;
  double t14776, t14779, t14780, t14781, t14784, t14787, t14790, t14791;
  double t14794, t14795, t14800, t14801, t14806, t14813, t14814, t14815;
  double t14818, t14823, t14826, t14832, t14836, t14837, t14839, t14840;
  double t14849, t14854, t14857, t14858, t14865, t14866, t14868, t14871;
  double t14876, t14878, t14880, t14881, t14882, t14885, t14889, t14891;
  double t14892, t14893, t14896, t14897, t14900, t14905, t14908, t14913;
  double t14917, t14918, t14921, t14942, t14943, t14944, t14947, t14950;
  double t14951, t14954, t14957, t14958, t14959, t14962, t14964, t14965;
  double t14967, t14968, t14970, t14971, t14974, t14975, t14976, t14980;
  double t14983, t14984, t14987, t14988, t14992, t14999, t15003, t15004;
  double t15008, t15009, t15011, t15013, t15021, t15025, t15030, t15034;
  double tv3rhotau25, t15036, t15039, t15040, t15042, t15044, t15045, t15048;
  double t15049, t15050, t15053, t15054, t15055, t15058, t15061, t15062;
  double t15069, t15073, t15081, t15088, t15089, t15090, t15091, t15096;
  double t15097, t15098, t15099, t15100, t15101, t15102, t15103, t15104;
  double t15107, t15108, t15111, t15112, t15115, t15116, t15117, t15118;
  double t15119, t15120, t15123, t15124, t15125, t15126, t15127, t15128;
  double t15129, t15130, t15133, t15134, t15139, t15140, t15142, t15143;
  double t15146, t15149, t15154, t15157, t15158, t15161, t15162, t15165;
  double t15168, t15169, t15170, t15171, t15172, t15173, t15178, t15179;
  double t15180, t15181, t15182, t15183, t15184, t15189, t15191, t15192;
  double t15194, t15195, t15196, t15199, t15206, t15207, t15208, t15209;
  double t15212, t15213, t15214, t15215, t15216, t15217, t15219, t15224;
  double t15230, t15231, t15234, t15237, t15238, t15239, t15245, t15246;
  double t15247, t15255, t15256, t15259, t15260, t15261, t15264, t15271;
  double t15272, t15279, t15280, t15283, t15286, t15291, t15294, tv3sigma30;
  double tv3sigma31, tv3sigma32, tv3sigma33, tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38;
  double t15295, t15296, t15297, t15298, t15299, t15300, t15303, t15304;
  double t15307, t15308, t15309, t15310, t15315, t15318, t15319, t15320;
  double t15322, t15323, t15328, t15337, t15341, t15349, t15356, t15357;
  double t15358, t15361, t15362, t15363, t15364, t15367, t15368, t15377;
  double t15378, t15379, t15380, t15382, t15383, t15384, t15385, t15386;
  double t15389, t15391, t15392, t15395, t15398, t15401, t15402, t15403;
  double t15404, t15407, t15410, t15411, t15414, t15415, t15416, t15417;
  double t15418, t15419, t15422, t15423, t15424, t15427, t15428, t15429;
  double t15433, t15441, t15442, t15445, t15446, t15447, t15450, t15451;
  double t15452, t15453, t15454, t15455, t15456, t15457, t15458, t15461;
  double t15464, t15465, t15467, t15468, t15469, t15470, t15471, t15472;
  double t15473, t15474, t15477, t15479, t15482, t15483, t15486, t15487;
  double t15488, t15500, t15501, t15504, t15505, t15514, t15515, t15518;
  double t15522, t15525, t15530, t15531, t15532, t15535, t15536, t15543;
  double t15544, t15547, t15548, t15549, t15550, t15553, tv3sigma39, t15554;
  double t15555, t15556, t15557, t15558, t15561, t15562, t15563, t15567;
  double t15568, t15571, t15572, t15573, t15576, t15577, t15580, t15581;
  double t15584, t15585, t15586, t15589, t15591, t15594, t15595, t15598;
  double t15599, t15600, t15601, t15602, t15603, t15604, t15607, t15610;
  double t15611, t15612, t15613, t15614, t15615, t15616, t15617, t15618;
  double t15619, t15620, t15621, t15624, t15625, t15627, t15630, t15631;
  double t15632, t15635, t15639, t15640, t15643, t15644, t15647, t15650;
  double t15655, t15657, t15660, t15661, t15662, t15663, t15670, t15671;
  double t15674, t15677, t15678, t15680, t15683, t15684, t15687, t15690;
  double t15692, t15695, t15696, t15697, t15698, t15699, t15702, t15705;
  double t15708, t15709, t15710, t15711, t15712, t15713, t15716, t15719;
  double t15723, t15724, t15727, t15730, t15733, t15734, t15735, t15736;
  double t15737, t15740, t15741, t15742, t15743, t15744, t15747, t15748;
  double t15749, t15750, t15754, t15757, t15762, t15765, t15766, t15767;
  double t15768, t15769, t15770, t15771, t15772, t15773, t15774, t15777;
  double t15778, t15783, t15784, t15787, t15791, t15792, t15793, t15794;
  double t15795, t15796, t15799, t15801, t15802, t15803, t15804, t15807;
  double t15808, t15811, t15812, t15834, t15837, tv3sigma2lapl0, tv3sigma2lapl1, tv3sigma2lapl2;
  double tv3sigma2lapl3, tv3sigma2lapl4, tv3sigma2lapl5, tv3sigma2lapl6, tv3sigma2lapl7, tv3sigma2lapl8, tv3sigma2lapl9, tv3sigma2lapl10;
  double t15838, t15839, t15840, t15841, t15844, t15845, t15848, t15849;
  double t15852, t15855, t15857, t15858, t15859, t15862, t15863, t15866;
  double t15869, t15872, t15875, t15880, t15881, t15884, t15887, t15888;
  double t15889, t15890, t15891, t15895, t15896, t15897, t15900, t15901;
  double t15902, t15903, t15904, t15905, t15906, t15909, t15912, t15915;
  double t15918, t15921, t15922, t15923, t15924, t15928, t15929, t15930;
  double t15931, t15932, t15933, t15934, t15935, t15936, t15937, t15938;
  double t15939, t15943, t15944, t15947, t15948, t15949, t15952, t15953;
  double t15954, t15957, t15958, t15959, t15962, t15963, t15964, t15967;
  double t15968, t15971, t15972, t15975, t15978, t15979, t15982, t15983;
  double t15984, t15985, t15986, t15987, t15988, t15989, t15990, t15991;
  double t15998, t16001, t16004, t16005, t16006, t16007, t16010, t16014;
  double t16015, t16016, t16017, t16019, t16020, t16021, t16022, t16023;
  double t16024, t16025, t16031, t16032, t16033, t16034, t16035, t16036;
  double t16039, t16043, t16046, t16047, t16050, t16051, t16052, t16055;
  double t16057, t16062, t16066, t16067, t16070, t16071, t16074, t16075;
  double t16076, t16081, t16082, t16099, t16100, t16102, t16105, t16106;
  double t16109, t16112, t16115, t16116, t16118, t16121, tv3sigma2lapl11, t16122;
  double t16125, t16128, t16129, t16154, t16163, t16164, t16170, t16171;
  double t16172, t16173, t16174, t16175, t16176, t16177, t16184, t16187;
  double t16188, t16189, t16190, t16191, t16192, t16193, t16194, t16195;
  double t16203, t16208, t16211, t16214, t16222, t16223, t16224, t16225;
  double t16226, t16230, t16242, t16246, t16247, t16250, t16253, t16256;
  double t16263, t16266, t16270, t16275, t16276, t16279, t16280, t16283;
  double t16284, t16287, t16288, t16298, t16299, t16305, t16308, t16309;
  double t16310, t16313, t16315, t16317, t16320, t16325, t16326, t16339;
  double t16342, t16353, t16354, t16357, t16361, tv3sigma2tau0, tv3sigma2tau1, tv3sigma2tau2;
  double tv3sigma2tau3, tv3sigma2tau4, tv3sigma2tau5, tv3sigma2tau6, tv3sigma2tau7, tv3sigma2tau8, tv3sigma2tau9, tv3sigma2tau10;
  double t16362, t16363, t16364, t16365, t16376, t16377, t16380, t16381;
  double t16391, t16392, t16399, t16402, t16403, t16404, t16407, t16409;
  double t16412, t16417, t16418, t16426, t16433, t16436, t16437, t16438;
  double t16445, t16448, t16451, t16454, t16466, t16467, t16468, t16469;
  double t16481, t16484, t16487, t16488, t16491, t16504, t16505, t16508;
  double t16509, t16523, t16524, t16525, t16526, t16527, t16528, t16543;
  double t16544, t16545, t16548, t16551, t16553, t16560, t16563, t16575;
  double t16578, t16579, t16580, t16581, t16582, t16583, t16586, t16587;
  double t16588, t16589, t16590, t16591, t16597, t16601, tv3sigma2tau11, t16602;
  double t16603, t16604, t16605, t16606, t16607, t16608, t16609, t16610;
  double t16611, t16614, t16615, t16616, t16619, t16620, t16623, t16624;
  double t16627, t16630, t16631, t16634, t16637, t16638, t16641, t16644;
  double t16645, t16646, t16647, t16648, t16649, t16652, t16653, t16656;
  double t16657, t16660, t16661, t16666, t16667, t16668, t16671, t16672;
  double t16673, t16680, t16681, t16684, t16685, t16704, t16705, t16706;
  double t16707, t16714, t16717, t16718, t16721, t16723, t16724, t16741;
  double t16742, t16743, t16745, t16746, t16749, t16752, t16759, t16765;
  double t16768, t16771, t16774, t16777, t16780, t16783, t16785, t16788;
  double t16791, t16793, t16808, t16813, t16816, t16819, t16820, t16822;
  double t16823, t16826, t16827, t16830, t16831, t16832, t16833, t16834;
  double t16835, t16836, t16837, t16838, t16839, t16840, t16841, t16843;
  double t16846, t16850, t16852, t16853, t16857, t16860, t16863, t16864;
  double t16865, t16868, t16869, t16876, t16881, t16887, t16888, t16889;
  double t16890, t16893, t16895, t16896, t16897, t16900, t16901, t16902;
  double t16906, tv3sigmalapl20, tv3sigmalapl21, tv3sigmalapl22, tv3sigmalapl23, tv3sigmalapl24, tv3sigmalapl25, tv3sigmalapl26;
  double tv3sigmalapl27, t16907, t16908, t16914, t16915, t16922, t16927, t16930;
  double t16931, t16932, t16933, t16952, t16953, t16954, t16955, t16964;
  double t16965, t16966, t16969, t16970, t16971, t16974, t16975, t16976;
  double t16979, t16980, t16983, t16986, t16987, t16990, t16993, t16994;
  double t16997, t17010, t17011, t17012, t17016, t17017, t17018, t17020;
  double t17021, t17024, t17027, t17030, t17032, t17035, t17037, t17038;
  double t17039, t17040, t17045, t17046, t17047, t17048, t17049, t17050;
  double t17051, t17054, t17057, t17058, t17061, t17064, t17073, t17074;
  double t17075, t17076, t17077, t17078, t17085, t17086, t17091, t17094;
  double t17096, t17099, t17102, t17103, t17104, t17105, t17106, t17109;
  double t17112, t17113, t17116, t17119, t17120, t17121, t17123, t17129;
  double t17130, t17131, t17132, t17135, t17138, t17145, t17147, t17148;
  double t17149, t17153, t17156, t17157, t17158, t17162, t17165, t17166;
  double t17167, t17168, t17170, t17171, t17172, t17175, t17179, t17180;
  double t17183, t17184, t17189, t17190, t17191, t17197, t17200, t17203;
  double t17206, t17207, t17211, tv3sigmalapl28, t17212, t17213, t17218, t17233;
  double t17236, t17237, t17246, t17263, t17268, t17272, t17275, t17276;
  double t17277, t17280, t17283, t17284, t17285, t17288, t17291, t17292;
  double t17297, t17300, t17305, t17306, t17309, t17312, t17317, t17320;
  double t17327, t17332, t17333, t17336, t17342, t17345, t17348, t17351;
  double t17354, t17355, t17358, t17361, t17364, t17366, t17367, t17369;
  double t17370, t17371, t17374, t17375, t17380, t17381, t17388, t17391;
  double t17392, t17397, t17400, t17405, t17406, t17409, t17412, t17415;
  double t17416, t17418, t17421, t17422, t17425, t17428, t17429, t17432;
  double t17433, t17436, t17439, t17441, t17445, t17448, t17450, t17451;
  double t17464, t17474, t17477, t17480, t17481, t17484, t17485, t17489;
  double t17492, t17494, t17495, t17498, t17499, t17502, t17505, t17512;
  double t17515, t17518, t17521, t17522, t17525, t17528, t17529, t17532;
  double t17536, tv3sigmalapltau0, tv3sigmalapltau1, tv3sigmalapltau2, tv3sigmalapltau3, tv3sigmalapltau4, tv3sigmalapltau5, tv3sigmalapltau6;
  double tv3sigmalapltau7, tv3sigmalapltau8, tv3sigmalapltau9, tv3sigmalapltau10, t17537, t17538, t17541, t17542;
  double t17553, t17554, t17557, t17558, t17561, t17570, t17575, t17588;
  double t17593, t17603, t17604, t17623, t17628, t17629, t17632, t17635;
  double t17638, t17639, t17640, t17645, t17646, t17649, t17652, t17654;
  double t17657, t17659, t17660, t17665, t17666, t17667, t17672, t17675;
  double t17678, t17679, t17681, t17682, t17683, t17686, t17687, t17690;
  double t17693, t17694, t17697, t17700, t17703, t17706, t17709, t17712;
  double t17715, t17718, t17721, t17723, t17724, t17727, t17729, t17730;
  double t17733, t17736, t17739, t17742, t17749, t17752, t17753, t17757;
  double t17761, t17764, t17765, t17768, t17769, t17778, t17779, t17782;
  double t17785, t17788, t17791, t17794, t17797, t17804, t17807, t17808;
  double t17811, t17812, t17815, t17818, t17820, t17824, t17827, t17830;
  double t17834, t17838, t17841, t17844, t17846, t17847, t17848, t17857;
  double t17861, tv3sigmalapltau11, t17864, t17865, t17866, t17883, t17885, t17886;
  double t17889, t17892, t17897, t17899, t17909, t17910, t17915, t17918;
  double t17919, t17921, t17924, t17930, t17942, t17945, t17946, t17947;
  double t17948, t17951, t17952, t17953, t17962, t17965, t17973, t17974;
  double t17977, t17978, t17979, t17990, t17992, t17994, t17995, t17998;
  double t17999, t18000, t18003, t18004, t18005, t18022, t18027, t18028;
  double t18031, t18034, t18037, t18038, t18042, t18043, t18044, t18045;
  double t18050, t18051, t18053, t18057, t18058, t18059, t18060, t18069;
  double t18070, t18071, t18073, t18078, t18080, t18081, t18083, t18085;
  double t18086, t18087, t18090, t18093, t18096, t18098, t18107, t18108;
  double t18109, t18112, t18115, t18117, t18118, t18121, t18122, t18125;
  double t18126, t18129, t18132, t18133, t18138, t18149, t18158, t18169;
  double t18173, tv3sigmatau20, tv3sigmatau21, tv3sigmatau22, tv3sigmatau23, tv3sigmatau24, tv3sigmatau25, tv3sigmatau26;
  double tv3sigmatau27, t18174, t18175, t18176, t18183, t18184, t18185, t18188;
  double t18189, t18190, t18197, t18198, t18201, t18206, t18208, t18209;
  double t18212, t18213, t18216, t18217, t18224, t18228, t18230, t18232;
  double t18235, t18236, t18239, t18242, t18243, t18256, t18265, t18281;
  double t18284, t18285, t18302, t18304, t18305, t18308, t18311, t18320;
  double t18323, t18329, t18330, t18331, t18332, t18341, t18342, t18343;
  double t18344, t18346, t18347, t18358, t18359, t18362, t18365, t18366;
  double t18369, t18372, t18373, t18375, t18376, t18377, t18385, t18387;
  double t18388, t18389, t18402, t18403, t18404, t18405, t18407, t18408;
  double t18409, t18412, t18415, t18416, t18429, t18435, t18436, t18439;
  double t18440, t18441, t18446, t18456, t18459, t18462, t18463, t18465;
  double t18469, t18474, t18475, t18476, t18477, t18480, t18481, t18485;
  double tv3sigmatau28, t18486, t18487, t18488, t18489, t18490, t18498, t18511;
  double t18512, t18513, t18514, t18517, t18522, t18523, t18524, t18527;
  double t18530, t18531, t18533, t18534, t18541, t18542, t18543, t18544;
  double t18551, t18552, t18553, t18558, t18559, t18562, t18565, t18566;
  double t18569, t18570, t18573, t18582, t18583, t18584, t18588, t18589;
  double t18592, t18594, t18595, t18597, t18600, t18603, t18608, t18609;
  double t18614, t18617, t18620, t18621, t18622, t18623, t18624, t18625;
  double t18626, t18627, t18628, t18629, t18632, t18633, t18634, t18635;
  double t18637, t18640, t18642, t18643, t18648, t18649, t18650, t18667;
  double t18668, t18669, t18670, t18671, t18676, t18679, t18682, t18688;
  double t18689, t18692, t18693, t18694, t18697, t18700, t18701, t18704;
  double t18705, t18706, t18711, t18714, tv3lapl30, tv3lapl31, tv3lapl32, t18717;
  double t18718, t18719, t18722, t18725, t18726, t18729, t18738, t18739;
  double t18740, t18742, t18743, t18751, t18764, t18765, t18766, t18769;
  double t18774, t18779, t18782, t18785, t18786, t18787, t18790, t18792;
  double t18793, t18795, t18796, t18799, t18802, t18803, t18804, t18805;
  double t18806, t18807, t18808, t18811, t18813, t18814, t18817, t18819;
  double t18820, t18821, t18827, t18828, t18831, t18832, t18833, t18836;
  double t18837, t18840, t18841, t18842, t18845, t18848, t18849, t18850;
  double t18853, t18854, t18857, t18858, t18860, t18863, t18864, t18867;
  double t18868, t18871, t18874, t18875, t18876, t18886, t18889, t18891;
  double t18892, t18893, t18909, t18910, t18911, t18912, t18913, t18914;
  double t18915, t18918, t18919, t18927, t18932, t18935, t18936, t18937;
  double t18940, t18943, tv3lapl33, t18944, t18945, t18948, t18951, t18952;
  double t18955, t18958, t18959, t18961, t18962, t18963, t18966, t18969;
  double t18972, t18973, t18978, t18979, t18982, t18985, t18988, t18991;
  double t18994, t18997, t18998, t19001, t19004, t19005, t19008, t19012;
  double t19017, t19020, t19021, t19022, t19024, t19027, t19030, t19033;
  double t19036, t19039, t19040, t19041, t19042, t19046, t19051, t19052;
  double t19055, t19056, t19059, t19062, t19063, t19064, t19069, t19090;
  double t19093, t19102, t19111, t19112, t19117, t19118, t19122, t19127;
  double t19132, t19133, t19134, t19137, t19139, t19140, t19143, t19146;
  double t19149, t19150, t19153, t19154, t19155, t19158, t19159, t19160;
  double t19163, t19165, t19168, t19172, t19173, t19176, t19177, t19180;
  double t19183, t19190, t19191, t19194, t19197, t19200, t19203, t19207;
  double tv3lapl2tau0, tv3lapl2tau1, tv3lapl2tau2, tv3lapl2tau3, tv3lapl2tau4, t19225, t19228, t19229;
  double t19232, t19233, t19236, t19241, t19245, t19246, t19249, t19250;
  double t19251, t19258, t19261, t19262, t19263, t19267, t19268, t19271;
  double t19272, t19273, t19277, t19281, t19282, t19283, t19292, t19297;
  double t19298, t19300, t19303, t19304, t19305, t19308, t19311, t19312;
  double t19313, t19316, t19317, t19323, t19327, t19328, t19331, t19332;
  double t19337, t19340, t19341, t19348, t19349, t19352, t19354, t19357;
  double t19359, t19362, t19365, t19368, t19369, t19372, t19375, t19378;
  double t19381, t19386, t19387, t19390, t19393, t19396, t19399, t19403;
  double t19406, t19407, t19409, t19412, t19416, t19417, t19420, t19423;
  double t19424, t19427, t19432, t19435, t19436, t19439, t19442, t19445;
  double t19448, t19449, t19450, t19451, t19454, t19455, t19457, t19458;
  double t19467, t19471, tv3lapl2tau5, t19472, t19473, t19476, t19479, t19480;
  double t19481, t19484, t19485, t19494, t19495, t19496, t19499, t19501;
  double t19503, t19505, t19526, t19531, t19533, t19538, t19539, t19540;
  double t19543, t19544, t19545, t19548, t19549, t19552, t19555, t19556;
  double t19559, t19560, t19563, t19564, t19567, t19572, t19575, t19579;
  double t19582, t19583, t19586, t19587, t19590, t19591, t19596, t19600;
  double t19602, t19623, t19625, t19626, t19629, t19632, t19635, t19636;
  double t19639, t19640, t19643, t19646, t19649, t19652, t19655, t19656;
  double t19660, t19661, t19663, t19664, t19676, t19679, t19684, t19687;
  double t19689, t19690, t19694, t19697, t19698, t19700, t19703, t19712;
  double t19714, t19715, t19716, t19725, t19730, t19732, t19737, t19738;
  double t19741, t19742, t19743, t19748, t19751, t19754, t19755, t19758;
  double t19761, t19762, t19765, t19768, t19769, t19770, t19776, t19779;
  double t19782, t19788, t19792, tv3lapltau20, tv3lapltau21, tv3lapltau22, tv3lapltau23, tv3lapltau24;
  double t19793, t19794, t19795, t19798, t19799, t19803, t19804, t19807;
  double t19808, t19813, t19816, t19819, t19822, t19823, t19827, t19831;
  double t19832, t19835, t19836, t19837, t19840, t19860, t19861, t19862;
  double t19863, t19866, t19867, t19872, t19877, t19893, t19898, t19901;
  double t19904, t19907, t19912, t19914, t19921, t19922, t19933, t19938;
  double t19939, t19940, t19943, t19945, t19946, t19947, t19950, t19951;
  double t19954, t19956, t19959, t19960, t19963, t19964, t19967, t19970;
  double t19973, t19976, t19979, t19982, t19983, t19984, t19987, t19988;
  double t19991, t19992, t19995, t19997, t20004, t20014, t20015, t20018;
  double t20022, t20025, t20026, t20029, t20032, t20033, t20036, t20039;
  double t20040, t20042, t20051, t20055, t20058, t20061, t20062, t20064;
  double t20065, t20070, t20072, t20074, t20075, t20086, t20089, t20092;
  double t20093, t20099, t20102, t20104, t20105, t20106, t20109, t20113;
  double tv3lapltau25, t20114, t20115, t20116, t20117, t20118, t20119, t20120;
  double t20122, t20125, t20126, t20127, t20130, t20131, t20143, t20144;
  double t20145, t20146, t20154, t20167, t20168, t20169, t20170, t20175;
  double t20176, t20181, t20186, t20189, t20190, t20191, t20195, t20198;
  double t20199, t20200, t20201, t20204, t20217, t20218, t20219, t20222;
  double t20225, t20228, t20229, t20230, t20233, t20235, t20238, t20241;
  double t20242, t20244, t20245, t20246, t20247, t20250, t20251, t20252;
  double t20260, t20261, t20262, t20268, t20269, t20274, t20275, t20276;
  double t20280, t20281, t20284, t20285, t20288, t20289, t20292, t20297;
  double t20300, t20303, t20313, t20326, t20327, t20328, t20329, t20330;
  double t20333, t20334, t20337, t20338, t20347, t20348, t20351, t20353;
  double t20354, t20356, t20357, t20358, t20361, t20364, t20365, t20366;
  double t20371, t20374, t20377, t20382, t20389, t20390, t20392, t20395;
  double t20396, t20397, t20398, t20401, t20404, tv3tau30, tv3tau31, tv3tau32;
  double t20405, t20406, t20407, t20409, t20410, t20414, t20417, t20418;
  double t20419, t20431, t20432, t20440, t20453, t20454, t20455, t20456;
  double t20459, t20466, t20467, t20470, t20471, t20475, t20478, t20479;
  double t20480, t20483, t20484, t20491, t20492, t20493, t20494, t20495;
  double t20498, t20499, t20500, t20515, t20516, t20517, t20520, t20522;
  double t20523, t20524, t20527, t20530, t20543, t20544, t20545, t20548;
  double t20549, t20552, t20553, t20554, t20557, t20560, t20561, t20563;
  double t20564, t20567, t20568, t20569, t20576, t20585, t20586, t20587;
  double t20590, t20593, t20594, t20597, t20604, t20605, t20606, t20607;
  double t20609, t20612, t20617, t20618, t20619, t20622, t20623, t20626;
  double t20627, t20628, t20629, t20633, t20635, t20636, t20639, t20640;
  double t20641, t20642, t20645, t20646, t20649, t20656, t20657, t20659;
  double t20662, t20663, t20666, t20669, t20672, t20681, t20686, t20687;
  double t20688, t20689, t20692, t20695, tv3tau33;

  double t20707, t20710, t20711, t20712, t20715, t20720, t20723, t20727;
  double t20728, t20729, t20730, t20732, t20741, t20743, t20748, t20752;
  double t20753, t20764, t20774, t20776, t20778, t20782, t20784, t20792;
  double t20794, t20799, t20810, t20816, t20817, t20818, t20819, t20820;
  double t20823, t20828, t20838, t20842, t20845, t20848, t20855, t20865;
  double t20871, t20876, t20881, t20883, t20886, t20889, t20890, t20891;
  double t20894, t20897, t20900, t20907, t20908, t20911, t20916, t20920;
  double t20921, t20930, t20932, t20937, t20938, t20942, t20944, t20946;
  double t20948, t20950, t20952, t20961, t20964, t20965, t20969, t20972;
  double t20975, t20980, t20983, t20986, t20993, t20995, t21002, t21027;
  double t21033, t21035, t21037, t21047, t21057, t21060, t21063, t21065;
  double t21067, t21068, t21069, t21070, t21075, t21079, t21081, t21085;
  double t21092, t21094, t21096, t21098, t21100, t21102, t21105, t21108;
  double t21112, t21115, t21118, t21125, t21129, t21141, t21148, t21155;
  double t21156, t21158, t21164, t21166, t21168, t21170, t21172, t21173;
  double t21174, t21179, t21181, t21182, t21183, t21184, t21185, t21188;
  double t21189, t21190, t21191, t21192, t21193, t21194, t21197, t21198;
  double t21199, t21203, t21206, t21207, t21208, t21209, t21210, t21211;
  double t21215, t21216, t21220, t21221, t21225, t21226, t21231, t21234;
  double t21235, t21237, t21240, t21244, t21247, t21249, t21251, t21252;
  double t21254, t21256, t21257, t21259, t21261, t21263, t21267, t21270;
  double t21273, t21277, t21280, t21290, t21294, t21302, t21305, t21307;
  double t21308, t21309, t21311, t21312, t21318, t21319, t21321, t21323;
  double t21328, t21331, t21343, t21344, t21348, t21353, t21357, t21361;
  double t21364, t21366, t21368, t21381, t21383, t21385, t21387, t21392;
  double t21395, t21397, t21399, t21401, t21402, t21403, t21407, t21411;
  double t21412, t21414, t21416, t21417, t21419, t21421, t21422, t21427;
  double t21428, t21432, t21437, t21458, t21461, t21462, t21472, t21483;
  double t21487, t21490, t21521, t21522, t21524, t21530, t21535, t21540;
  double t21547, t21550, t21551, t21554, t21557, t21559, t21563, t21564;
  double t21566, t21575, t21577, t21578, t21580, t21582, t21584, t21586;
  double t21593, t21594, t21596, t21598, t21601, t21604, t21607, t21609;
  double t21611, t21617, t21621, t21624, t21626, t21633, t21640, t21643;
  double t21644, t21653, t21655, t21656, t21657, t21661, t21662, t21674;
  double t21677, t21678, t21685, t21688, t21691, t21698, t21706, t21711;
  double t21716, t21719, t21722, t21725, t21727, t21729, t21730, t21731;
  double t21744, t21747, t21749, t21751, t21752, t21754, t21757, t21760;
  double t21763, t21772, t21776, t21778, t21784, t21785, t21787, t21791;
  double t21814, t21820, t21824, t21827, t21828, t21830, t21832, t21839;
  double t21854, t21859, t21862, t21870, t21875, t21878, t21879, t21881;
  double t21884, t21886, t21889, t21892, t21895, t21898, t21905, t21908;
  double t21911, t21916, t21917, t21918, t21920, t21922, t21927, t21928;
  double t21932, t21936, t21940, t21944, t21946, t21950, t21953, t21962;
  double t21964, t21967, t21971, t21977, t21982, t21984, t21989, t21991;
  double t22005, t22006, t22011, t22012, t22013, t22014, t22017, t22021;
  double t22022, t22025, t22026, t22031, t22035, t22047, t22051, t22052;
  double t22055, t22057, t22062, t22065, t22070, t22071, t22074, t22078;
  double t22081, t22086, t22087, t22088, t22091, t22094, t22100, t22103;
  double t22106, t22109, t22112, t22127, t22128, t22132, t22135, t22138;
  double t22143, t22146, t22151, t22157, t22165, t22172, t22177, t22178;
  double t22182, t22185, t22190, t22191, t22204, t22207, t22211, t22216;
  double t22219, t22222, t22225, t22233, t22239, t22242, t22251, t22254;
  double t22257, t22264, t22268, t22278, t22281, t22282, t22287, t22294;
  double t22297, t22298, t22300, t22301, t22302, t22304, t22306, t22308;
  double t22310, t22313, t22316, t22317, t22320, t22322, t22324, t22326;
  double t22327, t22333, t22339, t22340, t22343, t22347, t22357, t22359;
  double t22361, t22365, t22366, t22373, t22375, t22377, t22385, t22386;
  double t22388, t22390, t22396, t22399, t22401, t22402, t22405, t22408;
  double t22416, t22418, t22419, t22423, t22426, t22427, t22434, t22437;
  double t22440, t22449, t22455, t22461, t22462, t22464, t22465, t22471;
  double t22476, t22479, t22483, t22490, t22494, t22498, t22503, t22505;
  double tv4rho40, t22517, t22520, t22533, t22540, t22542, t22548, t22549;
  double t22556, t22558, t22562, t22588, t22615, t22633, t22649, t22670;
  double t22686, t22691, t22693, t22704, t22707, t22716, t22717, t22719;
  double t22720, t22722, t22731, t22732, t22741, t22751, t22754, t22759;
  double t22764, t22766, t22768, t22772, t22786, t22791, t22795, t22797;
  double t22798, t22815, t22816, t22818, t22822, t22831, t22833, t22837;
  double t22838, t22841, t22843, t22850, t22854, t22870, t22874, t22877;
  double t22878, t22879, t22881, t22883, t22884, t22885, t22886, t22887;
  double t22888, t22892, t22897, t22900, t22907, t22918, t22925, t22926;
  double t22928, t22941, t22954, t22959, t22960, t22964, t22965, t22966;
  double t22967, t22968, t22969, t22970, t22972, t22973, t22974, t22977;
  double t22978, t22980, t22983, t22985, t22986, t23010, t23012, t23016;
  double t23021, t23024, t23025, t23028, t23030, t23032, t23033, t23036;
  double t23041, t23043, t23044, t23045, t23047, t23049, tv4rho41, t23056;
  double t23085, t23087, t23094, t23097, t23103, t23107, t23111, t23120;
  double t23133, t23137, t23144, t23149, t23153, t23156, t23158, t23160;
  double t23161, t23168, t23185, t23198, t23213, t23225, t23229, t23237;
  double t23238, t23244, t23247, t23250, t23252, t23254, t23256, t23257;
  double t23268, t23270, t23272, t23274, t23276, t23278, t23282, t23297;
  double t23310, t23314, t23321, t23323, t23325, t23331, t23336, t23338;
  double t23342, t23348, t23357, t23358, t23359, t23361, t23364, t23366;
  double t23368, t23369, t23371, t23372, t23374, t23376, t23377, t23379;
  double t23381, t23382, t23384, t23386, t23387, t23389, t23391, t23392;
  double t23394, t23397, t23399, t23401, t23403, t23406, t23408, t23409;
  double t23411, t23423, t23429, t23431, t23433, t23436, t23438, t23440;
  double t23442, t23444, t23446, t23448, t23450, t23452, t23456, tv4rho42;
  double t23477, t23481, t23488, t23490, t23496, t23507, t23514, t23516;
  double t23528, t23531, t23534, t23536, t23537, t23541, t23543, t23565;
  double t23569, t23580, t23591, t23594, t23596, t23603, t23606, t23607;
  double t23623, t23629, t23631, t23632, t23633, t23635, t23636, t23637;
  double t23639, t23640, t23647, t23659, t23675, t23691, t23699, t23701;
  double t23703, t23706, t23708, t23710, t23711, t23713, t23715, t23717;
  double t23719, t23721, t23722, t23724, t23725, t23727, t23729, t23730;
  double t23732, t23733, t23734, t23736, t23737, t23739, t23741, t23744;
  double t23747, t23749, t23751, t23753, t23761, t23764, t23774, t23776;
  double t23778, t23780, t23783, t23785, t23787, t23789, t23791, t23793;
  double t23795, t23797, t23799, t23801, t23802, t23804, t23806, t23807;
  double t23809, t23811, t23813, t23815, t23817, t23819, t23821, t23823;
  double t23825, t23833, t23847, t23848, t23851, t23853, t23855, t23857;
  double t23858, t23859, t23861, t23863, t23864, t23866, t23868, t23870;
  double t23896, t23902, t23909, t23924, t23931, t23961, t23970, t23972;
  double t23975, t23977, t23979, t23981, t23983, t23985, t23987, t23988;
  double t23990, t23992, t23994, t23996, t23998, t24000, t24002, t24005;
  double t24007, t24009, t24011, t24013, t24015, t24017, t24019, t24020;
  double t24022, t24027, tv4rho43, t24032, t24037, t24044, t24048, t24057;
  double t24062, t24063, t24073, t24076, t24083, t24085, t24088, t24091;
  double t24103, t24116, t24124, t24126, t24127, t24131, t24134, t24145;
  double t24150, t24153, t24154, t24155, t24159, t24164, t24166, t24169;
  double t24174, t24181, t24182, t24189, t24192, t24195, t24197, t24200;
  double t24205, t24209, t24212, t24224, t24227, t24232, t24235, t24237;
  double t24238, t24242, t24246, t24251, t24254, t24256, t24259, t24271;
  double t24272, t24273, t24274, t24277, t24279, t24285, t24290, t24295;
  double t24297, t24301, t24306, t24307, t24308, t24310, t24315, t24319;
  double t24321, t24324, t24325, t24330, t24332, t24335, t24342, t24349;
  double t24350, t24352, t24355, t24356, t24359, t24363, t24366, t24369;
  double t24370, t24373, t24374, t24375, t24376, t24377, t24378, t24379;
  double t24382, t24386, t24396, t24406, t24410, t24418, t24428, t24432;
  double t24435, t24438, t24441, t24444, t24445, t24448, t24449, t24450;
  double t24453, t24459, t24460, t24466, t24471, t24478, t24499, t24506;
  double t24514, t24518, t24519, t24529, t24531, t24533, t24536, t24538;
  double t24540, t24543, t24546, t24547, t24566, t24572, t24581, t24584;
  double t24589, t24594, t24597, t24600, t24606, t24612, t24619, t24625;
  double t24634, t24637, t24654, t24656, t24661, t24664, t24677, t24682;
  double t24687, t24696, t24702, t24716, t24732, t24741, t24761, t24764;
  double t24765, t24779, t24780, t24782, t24784, t24789, t24790, t24791;
  double t24794, t24795, t24800, t24807, t24811, t24814, t24815, t24818;
  double t24823, t24824, t24829, t24832, t24837, t24840, t24842, t24845;
  double t24848, t24849, t24858, t24859, t24861, t24864, t24865, t24866;
  double t24870, t24873, t24874, t24877, t24880, t24881, t24884, t24889;
  double t24894, t24898, t24899, t24900, t24905, t24909, t24912, t24915;
  double t24922, t24923, t24924, t24925, t24930, t24931, t24934, t24940;
  double t24945, t24948, t24951, t24958, t24959, t24962, t24963, t24974;
  double t24977, t24980, t24987, t24988, t24989, t25000, t25011, t25014;
  double t25018, t25021, t25022, t25025, t25032, t25033, t25039, t25046;
  double t25059, t25066, t25071, t25078, t25083, t25084, t25085, t25089;
  double t25094, t25101, t25102, t25106, t25110, t25119, t25120, t25137;
  double t25151, t25167, t25176, t25181, t25188, t25192, t25199, t25204;
  double t25205, t25216, t25225, t25232, t25235, t25237, t25242, t25246;
  double t25247, t25251, t25252, t25255, t25258, t25262, t25269, t25274;
  double t25285, t25293, t25298, t25316, t25320, t25323, t25327, t25331;
  double t25333, t25336, t25337, t25343, t25349, t25358, t25367, t25368;
  double t25372, t25375, t25376, t25380, t25400, t25403, t25406, t25420;
  double t25423, t25424, t25428, t25431, t25434, t25437, t25442, t25447;
  double t25456, t25458, t25463, t25488, t25497, t25504, t25508, t25511;
  double t25516, t25536, t25542, t25543, t25546, t25564, t25569, t25578;
  double t25581, t25596, t25607, t25623, t25631, t25647, t25653, tv4rho44;
  double t25657, t25658, t25662, t25665, t25666, t25669, t25670, t25673;
  double t25678, t25683, t25684, t25685, t25686, t25689, t25690, t25691;
  double t25696, t25699, t25700, t25701, t25710, t25715, t25716, t25726;
  double t25730, t25733, t25734, t25735, t25739, t25740, t25741, t25750;
  double t25751, t25753, t25754, t25756, t25758, t25765, t25766, t25767;
  double t25770, t25771, t25777, t25784, t25785, t25787, t25790, t25791;
  double t25792, t25796, t25801, t25813, t25816, t25819, t25821, t25823;
  double t25824, t25826, t25829, t25850, t25853, t25855, t25857, t25863;
  double t25871, t25888, t25895, t25897, t25900, t25902, t25905, t25907;
  double t25909, t25911, t25917, t25925, t25926, t25931, t25936, t25939;
  double t25945, t25948, t25951, t25958, t25959, t25962, t25965, t25970;
  double t25972, t25976, t25980, t25981, t25988, t25992, t25995, t25998;
  double t26001, t26004, t26007, t26010, t26016, t26019, t26021, t26026;
  double t26027, t26028, t26033, t26034, t26037, t26038, t26039, t26042;
  double t26043, t26044, t26047, t26049, t26050, t26053, t26056, t26058;
  double t26061, t26062, t26065, t26067, t26069, t26070, t26071, t26072;
  double t26075, t26082, t26083, t26090, t26093, t26095, t26098, t26105;
  double t26106, t26107, t26110, t26111, t26115, t26119, t26122, t26124;
  double t26126, t26130, t26133, t26137, t26140, t26141, t26146, t26147;
  double t26149, t26150, t26152, t26157, t26159, t26160, t26165, t26171;
  double t26174, t26175, t26181, t26185, t26191, t26198, t26200, t26203;
  double t26205, t26208, t26210, t26212, t26214, t26221, t26223, t26227;
  double t26231, t26253, t26255, t26258, t26260, t26269, t26289, t26290;
  double t26293, t26294, t26296, t26307, t26309, t26314, t26316, t26318;
  double t26320, t26322, t26324, t26328, t26331, t26333, t26334, t26336;
  double t26337, t26341, t26344, t26346, t26348, t26349, t26352, t26354;
  double t26355, t26358, t26363, t26365, t26367, t26369, t26379, t26381;
  double t26383, t26385, t26387, t26397, t26406, t26408, t26413, t26418;
  double t26419, t26422, t26425, t26426, t26427, t26431, t26435, t26436;
  double t26439, t26440, t26443, t26446, t26447, t26450, t26451, t26454;
  double t26460, t26462, t26471, t26472, t26475, t26476, t26483, t26486;
  double t26489, t26492, t26497, t26500, t26502, t26505, t26508, t26511;
  double t26514, t26515, t26518, t26525, t26528, t26529, t26531, t26532;
  double t26535, t26536, t26538, t26539, t26542, t26543, t26544, t26549;
  double t26550, t26551, t26554, t26555, t26556, t26559, t26562, t26565;
  double t26566, t26569, t26572, t26575, t26578, t26582, t26583, t26584;
  double t26587, t26596, t26599, t26602, t26607, t26610, t26611, t26614;
  double t26617, t26620, t26623, t26626, t26629, t26632, t26635, t26640;
  double t26643, t26646, t26647, t26648, t26651, t26652, t26653, t26656;
  double t26661, t26666, t26669, t26680, t26683, t26687, t26688, t26690;
  double t26694, t26699, t26714, t26717, t26720, t26723, t26726, t26731;
  double t26738, t26741, t26744, t26747, t26752, t26763, t26772, t26777;
  double t26780, t26784, t26790, t26796, t26799, t26800, t26806, t26810;
  double t26814, t26829, t26831, t26832, t26835, t26839, t26849, t26853;
  double t26857, t26862, t26883, t26888, t26889, t26891, t26892, t26894;
  double t26895, t26899, t26903, t26904, t26905, t26906, t26910, t26913;
  double t26915, t26919, t26922, t26927, t26928, t26932, t26933, t26936;
  double t26939, t26947, t26948, t26956, t26963, t26965, t26970, t26973;
  double t26975, t26980, t26984, t26987, t26990, t26997, t27001, t27004;
  double t27006, t27008, t27009, t27013, t27014, t27016, t27019, t27020;
  double t27024, t27025, t27027, t27028, t27032, t27033, t27047, t27055;
  double t27057, t27059, t27066, t27067, t27069, t27071, t27073, t27089;
  double t27091, t27092, t27096, t27098, t27100, t27102, t27104, t27110;
  double t27112, t27113, t27114, t27116, t27117, t27119, t27123, t27129;
  double t27136, t27137, t27144, t27146, t27147, t27150, t27154, t27159;
  double t27161, t27163, t27166, t27168, t27171, t27173, t27177, t27179;
  double t27181, t27183, t27186, t27189, t27196, t27200, t27204, t27207;
  double t27208, t27210, t27211, t27213, t27214, t27217, t27220, t27223;
  double t27231, t27235, t27239, t27241, t27243, t27259, t27267, t27274;
  double t27283, t27292, t27300, t27310, t27314, t27334, t27344, t27359;
  double t27363, t27365, t27367, t27369, t27371, t27374, t27379, t27383;
  double t27387, t27390, t27392, t27395, t27398, t27403, t27405, t27412;
  double t27413, t27417, t27418, t27419, t27421, t27422, t27423, t27425;
  double t27429, t27436, t27440, t27441, t27446, t27447, t27449, t27457;
  double t27458, t27468, t27471, t27475, t27476, t27479, t27482, t27486;
  double t27488, t27490, t27493, t27495, t27497, t27500, t27501, t27504;
  double t27512, t27517, t27521, t27522, t27523, t27524, t27525, t27526;
  double t27534, t27536, t27537, t27541, t27544, t27547, t27552, t27555;
  double t27564, t27566, t27567, t27575, t27601, t27603, t27604, t27607;
  double t27610, t27613, t27615, t27618, t27625, t27627, t27630, t27633;
  double t27640, t27643, t27652, t27658, tv4rho3sigma0, tv4rho3sigma1, t27665, t27668;
  double t27672, t27675, t27677, t27680, t27683, t27685, t27688, t27689;
  double t27690, tv4rho3sigma2, t27692, t27710, t27714, t27719, t27723, t27735;
  double t27739, t27769, t27773, t27775, t27786, t27794, t27801, t27810;
  double t27812, t27815, t27818, t27821, t27823, t27825, t27827, t27832;
  double t27834, t27836, t27852, t27858, t27864, t27867, t27872, t27891;
  double t27900, t27903, t27915, t27916, t27932, t27950, t27959, t27962;
  double t27965, t27966, t27972, t27974, t27975, t27977, t27979, t27985;
  double t27986, t27988, t27998, t28009, t28011, t28020, t28032, t28054;
  double t28072, t28075, t28094, t28099, t28115, t28139, t28141, t28146;
  double tv4rho3sigma3, tv4rho3sigma4, t28148, t28153, t28170, t28171, t28173, t28175;
  double t28177, t28179, t28181, t28183, t28186, t28188, t28190, t28191;
  double t28194, t28196, t28197, t28198, t28200, t28202, t28204, t28210;
  double t28213, t28215, t28217, t28219, t28221, t28223, t28225, t28232;
  double t28234, t28238, t28239, t28241, t28244, t28246, t28248, t28250;
  double t28252, t28255, t28257, t28271, t28277, t28280, t28281, t28283;
  double t28284, t28293, t28294, t28297, t28299, t28301, t28302, t28304;
  double t28306, t28309, tv4rho3sigma5, t28315, t28345, t28348, t28361, t28363;
  double t28367, t28370, t28379, t28396, t28399, tv4rho3sigma6, tv4rho3sigma7, t28405;
  double t28407, t28408, t28410, t28412, t28413, t28415, t28416, t28418;
  double t28420, t28423, t28425, t28427, t28428, t28430, t28432, t28434;
  double t28436, t28437, t28439, t28440, t28442, t28443, t28445, t28449;
  double t28455, t28459, t28470, t28477, t28483, t28487, t28489, t28491;
  double t28493, t28495, t28497, t28499, t28501, t28502, t28504, t28506;
  double t28508, t28510, t28512, t28513, t28514, t28516, t28517, t28519;
  double t28521, t28523, t28525, t28533, t28544, t28565, t28567, t28568;
  double t28570, t28572, t28574, t28576, t28592, t28601, t28605, t28607;
  double t28609, t28611, t28613, t28615, t28617, t28619, t28621, t28622;
  double t28624, t28630, t28632, t28634, t28635, t28637, t28638, t28640;
  double t28642, t28644, t28646, t28648, t28674, t28696, t28698, t28700;
  double t28702, t28704, t28707, t28709, t28711, t28712, t28714, t28716;
  double t28718, t28720, t28722, t28724, t28726, t28728, t28730, t28732;
  double t28733, t28735, t28737, t28738, t28739, t28745, t28754, t28758;
  double t28760, t28768, t28769, t28771, t28773, t28775, t28777, t28779;
  double t28781, t28783, t28789, t28791, t28800, t28802, t28804, t28810;
  double t28813, t28815, t28816, t28819, t28821, t28823, t28825, t28826;
  double t28829, t28831, t28833, t28857, t28861, t28866, t28874, t28876;
  double t28880, t28882, t28884, t28886, t28887, t28890, t28892, t28913;
  double t28922, t28924, t28929, tv4rho3sigma8, t28945, t28946, tv4rho3sigma9, tv4rho3sigma10;
  double t28949, t28954, t28955, t28956, t28957, t28961, t28964, t28965;
  double t28983, t28984, t28987, t29000, t29004, t29008, t29009, t29010;
  double t29011, t29012, t29013, t29014, t29017, t29018, t29023, t29026;
  double t29029, t29030, t29035, t29038, t29041, t29044, t29052, t29061;
  double t29073, t29082, t29085, t29090, t29092, t29096, t29099, t29104;
  double t29107, t29109, t29110, t29111, t29112, t29113, t29120, t29121;
  double t29124, t29127, t29130, t29132, t29139, t29141, t29146, t29147;
  double t29152, t29157, t29158, t29161, t29162, t29167, t29180, t29186;
  double t29194, t29199, t29207, t29208, t29211, t29212, t29219, t29222;
  double t29225, t29237, t29243, t29252, t29273, t29293, t29311, t29314;
  double t29329, t29346, t29347, t29352, t29356, t29374, t29387, t29401;
  double t29424, t29427, t29431, t29437, t29438, t29442, t29443, t29444;
  double t29462, t29464, t29465, t29468, t29469, t29470, t29474, t29475;
  double t29479, t29480, t29489, t29498, t29499, t29500, t29501, t29504;
  double t29508, t29509, t29510, t29513, t29514, t29517, t29518, t29519;
  double t29522, t29525, t29528, t29531, t29538, t29541, t29550, t29555;
  double t29556, t29568, t29576, t29578, t29582, t29586, t29590, t29594;
  double t29595, t29602, t29606, t29610, t29614, t29617, t29622, t29625;
  double t29635, t29648, t29652, t29667, t29680, t29683, t29684, t29687;
  double t29690, t29695, t29698, t29701, t29704, t29710, t29714, t29740;
  double t29754, t29757, t29764, t29767, t29770, t29773, t29779, t29784;
  double t29786, t29791, t29792, t29795, t29796, t29799, t29800, t29801;
  double t29805, t29813, t29816, t29817, t29823, t29824, t29828, t29844;
  double t29852, t29868, t29869, t29877, t29886, t29896, t29899, t29903;
  double t29904, t29908, t29911, t29912, t29917, t29921, t29930, t29939;
  double t29944, t29946, t29950, t29968, t29976, t29980, t29981, t29982;
  double t29986, t29990, t29995, t29999, t30002, t30007, t30010, t30011;
  double t30017, t30021, t30030, t30040, t30045, t30048, t30053, t30060;
  double t30066, t30081, t30105, t30107, t30123, t30138, t30142, t30146;
  double t30152, t30157, t30159, t30160, t30164, t30168, t30175, t30184;
  double t30187, t30194, t30202, t30206, t30213, t30214, t30215, t30216;
  double t30217, t30220, t30224, t30229, t30232, t30233, t30236, t30237;
  double t30238, t30241, t30244, t30253, t30257, t30270, t30273, t30276;
  double t30279, t30282, t30285, t30288, t30291, t30293, t30295, t30296;
  double t30299, t30302, t30305, t30308, t30316, t30326, t30330, t30332;
  double t30341, t30346, t30347, t30351, t30352, t30353, t30356, t30359;
  double t30360, t30363, t30368, t30373, t30374, t30377, t30382, t30383;
  double t30384, t30387, t30388, t30393, t30394, t30397, t30403, t30406;
  double t30409, t30412, t30415, t30416, t30421, t30424, t30425, t30428;
  double t30430, t30436, t30441, t30451, t30454, t30457, t30460, t30463;
  double t30464, t30468, t30469, t30470, t30471, t30474, t30476, t30477;
  double t30480, t30483, t30484, t30487, t30488, t30490, t30491, t30494;
  double t30497, t30500, t30501, t30502, t30505, t30508, t30509, t30510;
  double t30513, t30516, t30517, t30520, t30521, t30522, t30525, t30529;
  double t30530, t30535, t30542, t30547, t30550, t30553, t30556, t30559;
  double t30562, t30565, t30568, t30569, t30572, t30577, t30580, t30583;
  double t30586, t30591, t30604, t30610, t30611, t30625, t30626, t30629;
  double t30638, t30641, t30643, t30646, t30651, t30658, t30661, t30664;
  double t30667, t30670, t30675, t30686, t30688, t30700, t30701, t30705;
  double t30708, t30713, t30720, t30730, t30734, t30738, t30750, t30753;
  double t30757, t30759, t30762, t30768, t30771, t30772, t30774, t30780;
  double tv4rho3sigma11, t30783, t30784, t30795, t30798, t30800, t30802, t30804;
  double t30808, t30811, t30815, t30818, t30820, t30824, t30827, t30828;
  double t30861, t30868, t30869, t30886, t30887, t30898, t30900, t30907;
  double t30908, t30912, t30915, t30916, t30919, t30937, t30949, t30951;
  double t30954, t30956, t30959, t30962, t30966, t30969, t30973, t30978;
  double t30979, t30984, t30988, t30991, t30998, t31003, t31005, t31010;
  double t31012, t31013, t31015, t31017, t31019, t31027, t31028, t31030;
  double t31031, t31037, t31038, t31040, t31044, t31050, t31053, t31059;
  double t31073, t31096, t31099, t31100, t31115, t31118, t31120, t31138;
  double t31146, t31149, t31159, t31163, t31165, t31167, t31169, t31171;
  double t31172, t31174, t31175, t31177, t31179, t31181, t31183, t31185;
  double t31187, t31189, t31191, t31192, t31198, t31200, t31202, t31204;
  double t31223, t31229, t31234, t31242, t31247, t31249, t31251, t31255;
  double t31257, t31259, t31261, t31268, t31281, t31284, t31295, t31297;
  double t31301, t31304, t31315, t31317, t31325, t31352, t31353, t31355;
  double t31356, t31362, t31364, t31366, t31407, t31414, t31427, t31430;
  double t31433, t31465, t31483, t31484, t31494, t31496, t31498, t31500;
  double t31505, t31513, t31514, t31526, t31534, t31538, t31539, t31540;
  double t31541, t31543, t31544, t31546, t31548, t31551, t31554, t31555;
  double t31557, t31558, t31560, t31561, t31563, t31567, t31575, t31576;
  double t31580, t31582, t31584, t31601, t31638, t31643, t31647, t31649;
  double t31650, t31655, t31660, t31662, t31664, t31691, t31707, t31711;
  double t31736, t31750, t31754, t31756, t31758, t31762, t31763, t31764;
  double t31766, t31770, t31774, t31785, t31795, t31802, t31809, t31823;
  double t31828, t31830, t31832, t31841, t31844, t31861, t31864, t31879;
  double t31890, t31895, t31898, t31901, t31906, t31923, t31925, t31928;
  double t31934, t31935, t31938, t31939, t31951, t31960, t31975, t31990;
  double t32014, t32021, t32028, t32037, t32051, t32074, t32081, t32110;
  double t32118, t32124, t32125, t32127, t32129, t32133, t32135, t32137;
  double t32139, t32147, t32149, t32151, t32153, t32161, t32172, t32184;
  double t32187, t32202, t32204, t32207, t32226, t32228, t32235, t32237;
  double t32248, t32253, t32257, t32265, t32274, t32276, t32278, t32280;
  double t32283, t32288, t32291, t32292, t32299, t32308, t32319, t32322;
  double t32332, t32336, t32337, t32338, t32339, t32341, t32343, t32345;
  double t32351, t32360, t32361, t32362, t32378, t32380, t32384, t32386;
  double t32388, t32403, t32407, t32408, t32409, t32411, t32420, t32421;
  double t32423, t32430, t32433, t32438, t32442, t32444, t32451, t32459;
  double t32462, t32465, t32466, t32471, t32476, t32482, tv4rho3lapl0, t32489;
  double t32492, t32496, t32499, t32501, t32504, t32507, t32509, t32512;
  double t32513, t32514, tv4rho3lapl1, t32516, t32534, t32551, t32574, t32604;
  double t32625, t32636, t32639, t32664, t32674, t32681, t32684, t32695;
  double t32698, t32709, t32711, t32713, t32714, t32715, t32717, t32719;
  double t32736, t32743, t32748, t32751, t32766, t32768, t32769, t32771;
  double t32773, t32776, t32778, t32780, t32782, t32784, t32788, t32791;
  double t32796, t32804, t32808, t32818, t32831, t32833, t32835, t32842;
  double t32848, t32850, t32852, t32856, t32866, t32890, t32891, t32893;
  double t32894, t32913, t32936, t32948, t32958, t32963, tv4rho3lapl2, t32965;
  double t32968, t32970, t32973, t32974, t32981, t32983, t32984, t32986;
  double t32988, t32990, t32991, t32993, t32995, t32997, t32999, t33000;
  double t33001, t33004, t33006, t33007, t33009, t33010, t33012, t33013;
  double t33015, t33017, t33019, t33021, t33023, t33025, t33027, t33031;
  double t33039, t33041, t33042, t33048, t33053, t33064, t33067, t33069;
  double t33074, t33080, t33083, t33086, t33089, t33092, t33094, t33096;
  double t33097, t33099, t33102, t33103, t33105, t33106, t33108, t33120;
  double t33123, t33126, tv4rho3lapl3, t33139, t33146, t33153, t33154, t33166;
  double t33184, t33201, t33209, t33211, t33213, t33216, tv4rho3lapl4, t33218;
  double t33220, t33222, t33223, t33225, t33227, t33229, t33231, t33232;
  double t33234, t33236, t33237, t33239, t33241, t33243, t33245, t33246;
  double t33248, t33249, t33251, t33253, t33255, t33257, t33258, t33262;
  double t33263, t33265, t33276, t33278, t33281, t33284, t33289, t33293;
  double t33295, t33298, t33300, t33302, t33304, t33307, t33309, t33311;
  double t33313, t33315, t33317, t33318, t33321, t33328, t33330, t33334;
  double t33337, t33348, t33349, t33351, t33353, t33355, t33357, t33359;
  double t33362, t33364, t33366, t33368, t33370, t33372, t33374, t33376;
  double t33378, t33380, t33382, t33384, t33386, t33392, t33393, t33395;
  double t33397, t33398, t33399, t33401, t33403, t33426, t33432, t33448;
  double t33457, t33464, t33466, t33468, t33477, t33514, t33515, t33516;
  double t33518, t33520, t33521, t33523, t33525, t33535, t33537, t33544;
  double t33547, t33559, t33561, t33563, t33578, t33585, t33587, t33589;
  double t33591, t33593, t33599, t33601, t33607, t33609, t33612, t33615;
  double t33617, t33619, t33622, t33625, t33627, t33629, t33631, t33633;
  double t33635, t33637, t33639, t33641, t33642, t33644, t33646, t33648;
  double t33650, t33651, t33653, t33654, t33656, t33658, t33660, t33669;
  double t33692, t33694, t33696, t33698, t33699, t33701, t33703, t33711;
  double t33712, t33714, t33716, t33722, t33724, t33727, t33729, t33731;
  double t33733, t33735, t33740, tv4rho3lapl5, t33756, t33757, tv4rho3lapl6, t33787;
  double t33789, t33792, t33806, t33826, t33829, t33831, t33837, t33843;
  double t33853, t33869, t33882, t33891, t33894, t33897, t33899, t33909;
  double t33910, t33928, t33937, t33943, t33947, t33952, t33963, t33978;
  double t33980, t33986, t33988, t33997, t34022, t34033, t34044, t34061;
  double t34091, t34101, t34105, t34109, t34113, t34122, t34124, t34125;
  double t34134, t34136, t34138, t34157, t34194, t34226, t34233, t34240;
  double t34255, t34279, t34283, t34294, t34309, t34319, t34337, t34351;
  double t34352, t34353, t34375, t34384, t34386, t34390, t34393, t34400;
  double t34424, t34435, t34436, t34440, t34443, t34450, t34459, t34466;
  double t34471, t34473, t34482, t34487, t34488, t34493, t34498, t34501;
  double t34508, t34510, t34511, t34518, t34538, t34541, t34548, t34561;
  double t34562, t34573, t34604, t34632, t34634, t34662, t34691, t34703;
  double t34712, t34713, t34726, t34735, t34771, t34793, t34795, t34798;
  double t34801, t34808, t34813, t34816, t34817, t34820, t34821, t34826;
  double t34837, t34853, t34862, t34865, t34900, t34918, t34940, t34945;
  double t34948, t34976, t34987, t34998, t35001, t35005, t35016, t35026;
  double t35030, t35056, t35066, t35072, t35079, t35091, t35105, t35118;
  double t35136, t35145, t35146, t35158, t35175, t35178, t35186, t35210;
  double t35232, t35247, t35252, t35270, t35290, t35296, tv4rho3lapl7, t35299;
  double t35302, t35304, t35311, t35313, t35317, t35323, t35325, t35327;
  double t35328, t35329, t35332, t35335, t35339, t35340, t35341, t35342;
  double t35344, t35346, t35347, t35358, t35360, t35362, t35369, t35371;
  double t35372, t35376, t35379, t35380, t35383, t35385, t35391, t35392;
  double t35396, t35408, t35410, t35416, t35430, t35433, t35434, t35436;
  double t35443, t35450, t35452, t35457, t35470, t35488, t35490, t35492;
  double t35495, t35498, t35501, t35502, t35508, t35515, t35517, t35521;
  double t35523, t35532, t35536, t35538, t35545, t35547, t35550, t35556;
  double t35564, t35569, t35570, t35573, t35579, t35581, t35583, t35590;
  double t35591, t35592, t35594, t35595, t35597, t35599, t35601, t35608;
  double t35612, t35614, t35617, t35620, t35624, t35626, t35628, t35634;
  double t35636, t35641, t35643, t35645, t35646, t35650, t35652, t35653;
  double t35655, t35660, t35662, t35671, t35673, t35675, t35679, t35682;
  double t35684, t35686, t35688, t35690, t35694, t35698, t35704, t35705;
  double t35707, t35708, t35710, t35712, t35714, t35717, t35719, t35728;
  double t35729, t35731, t35733, t35734, t35736, t35738, t35741, t35742;
  double t35743, t35745, t35747, t35748, t35750, t35758, t35759, t35761;
  double t35769, t35776, t35780, t35786, t35790, t35791, t35794, t35795;
  double t35796, t35797, t35798, t35799, t35800, t35805, t35807, t35814;
  double t35816, t35818, t35828, t35830, t35832, t35836, t35838, t35840;
  double t35854, t35863, t35868, t35869, t35882, t35890, t35893, t35903;
  double t35912, t35917, t35922, t35925, t35927, t35946, t35950, t35957;
  double t35965, t35970, t35972, t35990, t35996, t35998, t36000, t36001;
  double t36005, t36009, t36013, t36019, t36037, t36046, t36056, t36058;
  double t36062, t36065, t36088, t36106, t36109, t36114, t36124, t36126;
  double t36128, t36131, t36134, t36136, t36142, t36151, t36154, t36165;
  double t36172, t36180, t36185, t36189, t36191, t36192, t36194, t36198;
  double t36202, t36212, t36225, t36234, t36239, t36254, t36280, t36292;
  double t36303, t36304, t36310, t36319, t36321, t36323, t36325, t36327;
  double t36346, t36351, t36353, t36366, t36370, t36380, t36391, t36400;
  double t36409, t36413, t36420, t36427, t36447, t36458, t36465, t36474;
  double t36475, t36484, t36504, t36511, t36513, t36515, t36516, t36518;
  double t36520, t36522, t36525, t36528, t36531, t36534, t36545, t36547;
  double t36561, t36563, t36580, t36592, t36601, t36605, t36609, t36613;
  double t36616, t36618, t36620, t36622, t36632, t36634, t36635, t36645;
  double t36648, t36651, t36653, t36656, t36661, t36663, t36665, t36667;
  double t36669, t36671, t36673, t36676, t36678, t36679, t36681, t36682;
  double t36685, t36688, t36692, t36695, t36703, t36719, t36723, t36733;
  double t36751, t36758, t36763, t36765, t36773, t36782, t36784, t36786;
  double t36788, t36791, t36809, t36850, t36855, t36856, t36859, t36875;
  double t36878, t36888, t36900, t36901, t36910, t36916, t36921, t36922;
  double t36931, t36944, t36949, t36952, t36955, t36958, t36961, t36966;
  double t36989, t36995, t36996, t37021, t37040, t37051, t37080, t37092;
  double t37111, t37118, t37122, t37139, t37141, t37143, t37145, t37147;
  double t37149, t37152, t37154, t37170, t37175, t37187, t37190, t37194;
  double t37196, t37198, t37202, t37203, t37205, t37223, t37227, t37230;
  double t37233, t37238, t37239, t37241, t37243, t37251, t37255, t37262;
  double t37270, t37276, t37278, t37279, t37281, t37286, t37289, t37296;
  double t37297, t37298, t37303, t37306, t37309, t37314, t37319, t37322;
  double t37327, t37329, t37334, t37338, t37347, t37349, t37355, t37358;
  double t37361, t37366, t37390, t37409, t37419, t37420, t37422, t37424;
  double t37447, t37449, t37456, tv4rho3tau0, t37463, t37466, t37470, t37473;
  double t37475, t37478, t37481, t37483, t37486, t37489, t37491, t37494;
  double t37495, t37496, tv4rho3tau1, t37498, t37525, t37529, t37537, t37561;
  double t37563, t37587, t37590, t37592, t37594, t37601, t37603, t37605;
  double t37606, t37627, t37648, t37651, t37658, t37670, t37691, t37716;
  double t37721, t37723, t37757, t37761, t37769, t37783, t37785, t37787;
  double t37789, t37792, t37795, t37800, t37805, t37808, t37839, t37846;
  double t37853, t37855, t37871, t37873, t37875, t37879, t37881, t37886;
  double t37894, t37898, t37905, t37908, t37919, t37921, t37922, t37926;
  double t37928, t37936, t37951, t37957, t37982, t37985, t38005, t38017;
  double t38036, t38046, t38053, t38059, tv4rho3tau2, t38061, t38062, t38065;
  double t38067, t38068, t38070, t38072, t38073, t38075, t38076, t38081;
  double t38083, t38089, t38091, t38094, t38096, t38097, t38099, t38100;
  double t38102, t38104, t38106, t38108, t38110, t38114, t38116, t38117;
  double t38119, t38125, t38129, t38136, t38139, t38143, t38148, t38149;
  double t38153, t38156, t38168, t38178, t38180, t38182, t38184, t38196;
  double t38199, t38201, t38202, t38204, t38206, t38209, t38211, t38212;
  double t38214, t38216, t38218, t38219, t38221, t38223, t38225, t38228;
  double t38231, t38232, t38233, t38235, t38237, t38240, t38246, t38249;
  double t38250, t38252, t38254, t38256, t38258, t38262, tv4rho3tau3, t38274;
  double t38283, t38284, t38299, t38312, t38320, t38325, t38335, t38343;
  double t38347, t38350, t38352, t38360, t38362, t38374, t38378, tv4rho3tau4;
  double t38385, t38388, t38393, t38396, t38412, t38428, t38430, t38431;
  double t38433, t38435, t38436, t38439, t38441, t38443, t38445, t38447;
  double t38449, t38451, t38453, t38454, t38456, t38458, t38460, t38462;
  double t38495, t38497, t38498, t38500, t38501, t38503, t38505, t38507;
  double t38509, t38511, t38524, t38526, t38528, t38530, t38532, t38533;
  double t38535, t38540, t38550, t38553, t38554, t38556, t38557, t38578;
  double t38581, t38584, t38586, t38588, t38590, t38592, t38594, t38596;
  double t38598, t38600, t38602, t38607, t38610, t38612, t38619, t38624;
  double t38626, t38628, t38630, t38632, t38634, t38636, t38641, t38643;
  double t38645, t38649, t38650, t38652, t38654, t38656, t38662, t38683;
  double t38685, t38687, t38689, t38691, t38693, t38695, t38698, t38700;
  double t38702, t38707, t38711, t38716, t38739, t38740, t38742, t38744;
  double t38746, t38748, t38750, t38752, t38754, t38756, t38759, t38761;
  double t38763, t38765, t38767, t38769, t38771, t38773, t38775, t38779;
  double t38790, t38791, t38792, t38794, t38796, t38797, t38799, t38803;
  double t38805, t38807, t38809, t38811, t38813, t38815, t38825, t38832;
  double t38835, t38837, t38838, t38840, t38841, t38843, t38845, t38858;
  double t38868, t38886, t38890, t38892, t38899, t38901, t38903, t38917;
  double t38919, t38921, t38923, t38925, t38927, t38929, t38931, t38948;
  double t38950, t38952, t38955, t38957, t38959, t38961, t38963, t38975;
  double t38977, t38979, t38981, t38983, t38985, t38987, t38989, t38991;
  double t38993, t38995, t38997, t39000, t39002, t39004, t39006, t39007;
  double t39020, t39022, t39028, tv4rho3tau5, t39048, t39049, tv4rho3tau6, t39066;
  double t39076, t39077, t39081, t39091, t39101, t39103, t39106, t39122;
  double t39125, t39129, t39131, t39138, t39142, t39147, t39150, t39152;
  double t39159, t39165, t39177, t39178, t39182, t39183, t39184, t39187;
  double t39192, t39195, t39200, t39206, t39224, t39227, t39229, t39246;
  double t39249, t39255, t39262, t39285, t39310, t39321, t39322, t39325;
  double t39328, t39332, t39339, t39349, t39353, t39367, t39370, t39371;
  double t39383, t39392, t39408, t39422, t39436, t39444, t39463, t39492;
  double t39508, t39512, t39516, t39520, t39542, t39548, t39551, t39562;
  double t39572, t39579, t39588, t39596, t39601, t39626, t39650, t39653;
  double t39657, t39661, t39668, t39675, t39681, t39688, t39689, t39693;
  double t39694, t39697, t39708, t39722, t39725, t39733, t39751, t39766;
  double t39772, t39779, t39801, t39803, t39806, t39817, t39820, t39834;
  double t39838, t39856, t39863, t39868, t39870, t39874, t39887, t39908;
  double t39918, t39921, t39931, t39938, t39948, t39958, t39961, t39965;
  double t39972, t39975, t39977, t39980, t39982, t39983, t39991, t39994;
  double t39995, t40021, t40036, t40050, t40052, t40055, t40065, t40082;
  double t40106, t40122, t40132, t40137, t40146, t40149, t40150, t40153;
  double t40160, t40179, t40184, t40187, t40190, t40195, t40204, t40207;
  double t40212, t40217, t40224, t40235, t40236, t40239, t40241, t40247;
  double t40248, t40251, t40255, t40266, t40275, t40277, t40288, t40305;
  double t40336, t40365, t40394, t40422, t40430, t40435, t40438, t40446;
  double t40453, t40471, t40484, t40492, t40502, t40507, t40511, t40515;
  double t40518, t40520, t40523, t40529, t40557, t40572, t40592, t40596;
  double t40601, t40604, t40629, t40641, t40660, t40667, t40669, t40673;
  double t40689, t40704, t40716, t40719, t40734, t40752, t40755, t40756;
  double t40761, t40766, t40782, t40808, t40824, t40827, t40838, t40840;
  double t40844, t40866, t40874, t40896, t40899, t40902, t40905, t40929;
  double t40938, t40952, t40965, t40975, t40979, t40993, t41000, tv4rho3tau7;
  double t41004, t41006, t41007, t41009, t41011, t41012, t41014, t41016;
  double t41018, t41019, t41021, t41023, t41025, t41027, t41028, t41029;
  double t41030, t41032, t41033, t41034, t41035, t41036, t41041, t41043;
  double t41045, t41058, t41062, t41063, t41066, t41067, t41068, t41086;
  double t41089, t41091, t41093, t41095, t41096, t41100, t41103, t41104;
  double t41108, t41110, t41113, t41115, t41117, t41119, t41121, t41124;
  double t41127, t41129, t41131, t41137, t41139, t41140, t41144, t41145;
  double t41149, t41152, t41155, t41157, t41158, t41159, t41162, t41164;
  double t41170, t41188, t41189, t41191, t41199, t41211, t41214, t41217;
  double t41243, t41246, t41260, t41268, t41285, t41290, t41291, t41294;
  double t41304, t41305, t41308, t41310, t41313, t41321, t41322, t41327;
  double t41335, t41337, t41340, t41343, t41349, t41352, t41353, t41360;
  double t41364, t41368, t41369, t41371, t41372, t41375, t41377, t41379;
  double t41382, t41383, t41388, t41391, t41397, t41400, t41404, t41408;
  double t41409, t41413, t41415, t41419, t41420, t41424, t41427, t41429;
  double t41430, t41433, t41436, t41438, t41441, t41444, t41445, t41446;
  double t41449, t41451, t41454, t41455, t41459, t41462, t41465, t41472;
  double t41476, t41479, t41481, t41482, t41484, t41486, t41491, t41500;
  double t41502, t41503, t41505, t41507, t41513, t41515, t41516, t41517;
  double t41518, t41519, t41520, t41530, t41531, t41534, t41535, t41538;
  double t41539, t41542, t41547, t41558, t41560, t41570, t41571, t41575;
  double t41581, t41584, t41587, t41590, t41600, t41604, t41606, t41611;
  double t41612, t41623, t41625, t41631, t41636, t41641, t41642, t41643;
  double t41646, t41647, t41652, t41653, t41656, t41658, t41659, t41660;
  double t41666, t41668, t41672, t41675, t41680, t41681, t41684, t41685;
  double t41689, t41690, t41695, t41696, t41700, t41701, t41704, t41707;
  double t41710, t41713, t41716, t41719, t41722, t41726, t41727, t41728;
  double t41729, t41730, t41733, t41734, t41736, t41739, t41742, t41745;
  double t41746, t41749, t41750, t41753, t41755, t41756, t41761, t41762;
  double t41765, t41768, t41773, t41776, t41781, t41782, t41785, t41788;
  double t41789, t41792, t41793, t41794, t41796, t41799, t41807, t41808;
  double t41816, t41819, t41824, t41829, t41834, t41838, t41841, t41843;
  double t41844, t41846, t41847, t41850, t41855, t41859, t41867, t41870;
  double t41873, t41876, t41877, t41878, t41881, t41882, t41885, t41886;
  double t41891, t41898, t41900, t41901, t41903, t41904, t41907, t41913;
  double t41917, t41921, t41922, t41931, t41935, t41938, t41941, t41946;
  double t41949, t41952, t41957, t41960, t41963, t41966, t41968, t41971;
  double t41974, t41976, t41978, t41985, t41987, t41991, t41994, t41995;
  double t41998, t42001, t42004, t42006, t42011, t42015, t42019, t42023;
  double t42028, t42033, t42036, t42039, t42042, t42047, t42050, t42052;
  double t42053, t42057, t42063, t42064, t42065, t42066, t42067, t42070;
  double t42073, t42076, t42080, t42084, t42086, t42093, t42096, t42099;
  double t42100, t42103, t42108, t42112, t42113, t42115, t42121, t42138;
  double t42141, t42144, t42145, t42146, t42151, t42154, t42155, t42156;
  double t42161, t42163, t42164, t42167, t42171, t42174, t42182, t42183;
  double t42187, t42191, t42195, t42199, t42201, t42203, t42206, t42210;
  double t42211, t42215, t42218, t42223, t42226, t42227, t42228, t42231;
  double t42236, t42239, t42244, t42248, t42251, t42253, t42258, t42261;
  double t42264, t42267, t42270, t42273, t42278, t42282, t42284, t42285;
  double t42301, t42306, t42308, t42311, t42315, t42322, t42329, t42332;
  double t42337, t42339, t42341, t42343, t42344, t42346, t42350, t42355;
  double t42362, t42365, t42369, t42375, t42377, t42379, t42388, t42390;
  double t42393, t42394, t42396, t42397, t42399, t42400, t42404, t42405;
  double t42406, t42412, t42415, t42422, t42427, t42430, t42433, t42437;
  double t42440, t42448, t42456, t42459, t42462, t42468, t42469, t42470;
  double t42472, t42473, t42478, t42479, t42483, t42484, t42485, t42486;
  double t42487, t42488, t42491, t42499, t42500, t42509, t42519, t42533;
  double t42538, t42548, t42549, t42552, t42553, t42558, t42566, t42569;
  double t42571, t42572, t42574, t42575, t42579, t42581, t42583, t42584;
  double t42598, t42601, t42605, t42608, t42614, t42622, t42625, t42629;
  double t42632, t42633, t42634, t42635, t42640, t42647, t42651, t42656;
  double t42659, t42660, t42676, t42690, t42696, t42697, t42699, t42701;
  double t42705, t42707, t42710, t42713, t42714, t42715, t42716, t42717;
  double t42721, t42727, t42732, t42736, t42740, t42757, t42760, t42764;
  double t42768, t42772, t42780, t42784, t42791, t42795, t42798, t42801;
  double t42802, t42810, t42811, t42814, t42819, t42821, t42822, t42824;
  double t42826, t42842, t42850, t42853, t42857, t42859, t42861, t42863;
  double t42865, t42867, t42869, t42871, t42873, t42875, t42877, t42883;
  double t42884, t42888, t42892, t42895, t42904, t42908, t42912, t42913;
  double t42917, t42924, t42928, t42930, t42933, t42934, t42936, t42937;
  double t42947, t42950, t42955, t42957, t42963, t42967, t42974, t42977;
  double t42978, t42983, t42988, t42991, t42994, t42997, t43002, t43003;
  double t43006, t43008, t43014, t43015, t43018, t43019, t43020, t43025;
  double t43028, t43029, t43030, t43031, t43043, t43052, t43055, t43058;
  double t43061, t43064, t43066, t43075, t43085, t43086, t43089, t43094;
  double t43095, t43096, t43103, t43106, t43108, t43109, t43112, t43117;
  double t43118, t43119, t43120, t43122, t43124, t43128, t43131, t43132;
  double t43134, t43145, t43146, t43153, t43158, t43167, t43171, t43177;
  double t43183, t43186, t43189, t43192, t43195, t43196, t43201, t43204;
  double t43207, t43209, t43214, t43218, t43222, t43224, t43230, t43235;
  double t43243, t43253, t43254, t43255, t43256, t43257, t43259, t43264;
  double t43266, t43267, t43269, t43271, t43274, t43277, t43280, t43291;
  double t43293, t43295, t43298, t43302, t43310, t43311, t43313, t43314;
  double t43321, t43325, t43328, t43338, t43340, t43347, t43350, t43353;
  double t43356, t43361, t43365, t43368, t43370, t43372, t43375, t43379;
  double t43381, t43383, t43385, t43392, tv4rho2sigma20, tv4rho2sigma21, tv4rho2sigma22, tv4rho2sigma23;
  double tv4rho2sigma24, t43396, t43398, t43403, t43404, t43406, t43408, t43410;
  double t43412, t43414, t43416, t43419, t43421, t43424, t43428, t43440;
  double t43442, t43444, t43446, t43447, t43449, t43451, t43453, t43454;
  double t43455, t43458, t43459, t43460, t43463, t43473, t43475, t43477;
  double t43479, t43481, t43484, t43485, t43491, t43492, t43495, tv4rho2sigma25;
  double t43497, t43498, t43499, t43504, t43515, t43516, t43522, t43524;
  double t43526, t43527, t43529, t43544, t43546, t43552, t43553, t43556;
  double t43559, t43560, t43561, t43563, t43565, t43567, t43573, t43575;
  double t43585, t43598, t43605, t43609, t43622, t43636, t43641, t43658;
  double t43667, t43668, t43669, t43683, t43692, t43694, t43697, t43699;
  double t43703, t43705, t43707, t43708, t43709, t43711, t43713, t43733;
  double t43739, t43740, t43746, t43750, t43762, t43763, t43765, t43785;
  double t43812, t43814, t43815, t43816, t43818, t43820, t43823, t43830;
  double t43831, t43834, t43835, t43837, t43841, t43845, t43861, t43865;
  double t43866, t43878, t43883, tv4rho2sigma26, tv4rho2sigma27, tv4rho2sigma28, tv4rho2sigma29, tv4rho2sigma210;
  double t43886, t43908, t43911, t43918, t43935, t43939, t43942, t43943;
  double t43945, t43948, t43977, t43980, t43981, t43983, t43986, t43988;
  double t43991, t43992, t43994, t43996, t43998, t44000, t44003, t44005;
  double t44007, t44008, t44009, t44010, t44011, t44012, t44014, t44016;
  double t44018, t44025, t44028, t44032, t44034, t44035, t44037, t44038;
  double t44040, t44042, t44064, t44070, t44071, t44072, t44073, t44074;
  double t44075, t44076, t44077, t44079, t44081, t44083, t44089, t44094;
  double t44107, t44109, t44113, t44114, t44115, t44117, t44118, t44123;
  double t44125, t44127, t44129, t44131, t44133, t44135, t44137, t44139;
  double t44141, t44143, t44145, t44147, t44149, t44151, t44152, t44153;
  double t44154, t44156, t44165, t44167, t44168, t44170, t44171, t44172;
  double t44174, t44175, t44177, t44179, t44181, t44183, t44185, t44187;
  double t44191, t44193, t44195, t44196, t44198, t44200, t44202, t44203;
  double t44204, t44205, t44206, t44208, t44212, t44214, t44215, t44217;
  double t44218, t44219, t44221, t44223, t44225, t44227, t44229, t44230;
  double t44231, t44233, t44234, t44235, t44237, t44238, t44240, t44246;
  double t44250, t44252, t44254, t44256, t44258, t44260, t44262, t44264;
  double t44267, t44268, t44270, t44275, t44292, t44294, t44296, t44298;
  double t44300, t44302, t44304, t44306, t44308, t44315, t44317, t44319;
  double t44322, t44329, t44330, t44332, t44333, t44335, t44336, t44337;
  double t44339, t44341, t44343, t44345, t44352, t44357, t44359, t44364;
  double tv4rho2sigma211, t44370, t44379, t44387, t44395, t44404, t44410, t44416;
  double t44419, tv4rho2sigma212, tv4rho2sigma213, tv4rho2sigma214, tv4rho2sigma215, tv4rho2sigma216, t44422, t44425;
  double t44430, t44433, t44437, t44441, t44443, t44471, t44486, t44489;
  double t44494, t44503, t44508, t44516, t44518, t44520, t44523, t44528;
  double t44553, t44569, t44572, t44574, t44587, t44590, t44597, t44608;
  double t44613, t44627, t44629, t44630, t44632, t44634, t44642, t44651;
  double t44669, t44683, t44686, t44694, t44699, t44712, t44728, t44729;
  double t44731, t44736, t44738, t44742, t44759, t44767, t44770, t44772;
  double t44775, t44777, t44782, t44783, t44786, t44789, t44790, t44796;
  double t44799, t44800, t44803, t44804, t44807, t44808, t44811, t44815;
  double t44816, t44819, t44824, t44825, t44826, t44829, t44832, t44835;
  double t44837, t44840, t44843, t44847, t44850, t44853, t44861, t44862;
  double t44866, t44867, t44874, t44879, t44886, t44889, t44893, t44895;
  double t44897, t44920, t44923, t44936, t44938, t44942, t44945, t44953;
  double t44954, t44963, t44964, t44966, t44970, t44971, t44975, t44979;
  double t44981, t44986, t45001, t45004, t45006, t45008, t45009, t45010;
  double t45011, t45014, t45015, t45019, t45020, t45024, t45028, t45031;
  double t45033, t45039, t45043, t45047, t45051, t45055, t45059, t45063;
  double t45074, t45078, t45092, t45101, t45117, t45120, t45125, t45126;
  double t45128, t45131, t45134, t45137, t45138, t45143, t45148, t45149;
  double t45152, t45163, t45164, t45173, t45176, t45189, t45196, t45202;
  double t45203, t45207, t45214, t45215, t45217, t45219, t45220, t45221;
  double t45226, t45229, t45232, t45237, t45240, t45243, t45245, t45248;
  double t45251, t45257, t45263, t45270, t45273, t45275, t45277, t45278;
  double t45280, t45282, t45284, t45286, t45288, t45290, t45291, t45293;
  double t45296, t45315, t45316, t45319, t45320, t45322, t45325, t45328;
  double t45330, t45331, t45332, t45333, t45336, t45337, t45338, t45342;
  double t45344, t45345, t45346, t45349, t45352, t45353, t45357, t45364;
  double t45371, t45373, t45376, t45378, t45379, t45380, t45383, t45384;
  double t45387, t45388, t45391, t45394, t45397, t45406, t45407, t45410;
  double t45411, t45412, t45414, t45417, t45418, t45421, t45424, t45431;
  double t45434, t45439, t45440, t45443, t45448, t45452, t45454, t45459;
  double t45460, t45462, t45463, t45465, t45466, t45470, t45473, t45476;
  double t45479, t45482, t45485, t45491, t45498, t45500, t45501, t45506;
  double t45509, t45513, t45517, t45522, t45526, t45528, t45529, t45530;
  double t45533, t45534, t45537, t45540, t45543, t45553, t45554, t45557;
  double t45562, t45566, t45572, t45575, t45578, t45581, t45583, t45589;
  double t45591, t45594, t45598, t45599, t45600, t45601, t45604, t45609;
  double t45611, t45614, t45618, t45624, t45628, t45630, t45632, t45633;
  double t45636, t45637, t45641, t45642, t45646, t45652, t45653, t45654;
  double t45655, t45656, t45657, t45660, t45665, t45668, t45672, t45678;
  double t45681, t45682, t45683, t45686, t45687, t45695, t45697, t45700;
  double t45703, t45706, t45711, t45714, t45717, t45724, t45727, t45731;
  double t45734, t45737, t45740, t45743, t45746, t45747, t45749, t45752;
  double t45756, t45757, t45759, t45760, t45762, t45763, t45766, t45771;
  double t45781, t45782, t45794, t45796, t45799, t45810, t45815, t45818;
  double t45822, t45836, t45843, t45844, t45845, t45846, t45848, t45849;
  double t45851, t45852, t45856, t45857, t45864, t45876, t45877, t45881;
  double t45886, t45887, t45890, t45893, t45894, t45898, t45899, t45902;
  double t45908, t45912, t45914, t45915, t45918, t45919, t45923, t45924;
  double t45925, t45927, t45928, t45933, t45938, t45939, t45942, t45947;
  double t45950, t45955, t45959, t45964, t45965, t45966, t45971, t45974;
  double t45978, t45983, t45992, t45998, t46009, t46011, t46012, t46014;
  double t46015, t46020, t46024, t46025, t46029, t46031, t46040, t46043;
  double t46049, t46053, t46057, t46060, t46064, t46066, t46073, t46075;
  double t46078, t46079, t46085, t46087, t46089, t46091, t46092, t46095;
  double t46096, t46098, t46099, t46102, t46103, t46106, t46111, t46127;
  double t46134, t46135, t46142, t46148, t46149, t46163, t46165, t46167;
  double t46169, t46171, t46172, t46175, t46183, t46188, t46191, t46199;
  double t46209, t46210, t46216, t46224, t46227, t46239, t46240, t46241;
  double t46244, t46245, t46250, t46254, t46263, t46265, t46274, t46276;
  double t46287, t46290, t46293, t46294, t46301, t46305, t46307, t46308;
  double t46313, t46318, t46322, t46323, t46332, t46343, t46346, t46349;
  double t46352, t46355, t46359, t46362, t46367, t46384, t46394, t46401;
  double t46406, t46411, t46420, t46423, t46437, t46440, t46443, t46445;
  double t46451, t46456, t46463, t46466, t46469, t46474, t46485, t46489;
  double t46493, t46507, t46513, t46515, t46516, t46526, t46527, t46529;
  double t46538, t46540, t46543, t46545, t46547, t46548, t46563, t46566;
  double t46567, t46568, t46569, t46572, t46575, t46578, t46586, t46589;
  double t46592, t46596, t46604, t46607, t46609, t46612, t46617, t46620;
  double t46623, t46629, t46630, t46633, t46638, t46641, t46650, t46655;
  double t46663, t46670, tv4rho2sigma217, t46695, t46697, t46699, t46700, t46702;
  double t46704, t46706, t46723, t46725, t46726, t46736, t46739, t46744;
  double t46747, t46752, t46756, t46761, t46766, t46768, t46778, t46779;
  double t46781, t46783, t46787, t46788, t46792, t46794, t46797, t46799;
  double t46801, t46803, t46804, t46809, t46811, t46812, t46816, t46818;
  double t46822, t46823, t46824, t46830, t46832, t46833, t46839, t46845;
  double t46847, t46857, t46858, t46861, t46881, t46884, t46890, t46896;
  double t46899, t46900, t46903, t46906, t46913, t46916, t46921, t46923;
  double t46924, t46925, t46928, t46929, t46934, t46941, t46950, t46955;
  double t46961, t46965, t46982, t46984, t46988, t46993, t47018, t47025;
  double t47026, t47027, t47034, t47035, t47042, t47053, t47070, t47074;
  double t47078, t47080, t47104, t47105, t47107, t47109, t47110, t47112;
  double t47114, t47116, t47118, t47120, t47122, t47123, t47132, t47133;
  double t47138, t47142, t47146, t47156, t47161, t47165, t47170, t47174;
  double t47175, t47182, t47183, t47186, t47187, t47188, t47191, t47192;
  double t47194, t47195, t47196, t47199, t47208, t47210, t47214, t47219;
  double t47232, t47236, t47238, t47243, t47245, t47248, t47263, t47264;
  double t47265, t47270, t47271, t47276, t47277, t47280, t47289, t47296;
  double t47300, t47332, t47334, t47336, t47342, t47347, t47360, t47364;
  double t47365, t47368, t47370, t47371, t47377, t47379, t47381, t47383;
  double t47385, t47387, t47389, t47391, t47393, t47394, t47416, t47418;
  double t47422, t47427, t47428, t47430, t47434, t47436, t47443, t47447;
  double t47450, t47452, t47453, t47456, t47458, t47462, t47463, t47467;
  double t47468, t47471, t47472, t47475, t47480, t47485, t47491, t47494;
  double t47496, t47503, t47508, t47511, t47512, t47513, t47526, t47527;
  double t47530, t47533, t47534, t47550, t47554, t47558, t47560, t47563;
  double t47567, t47569, t47571, t47577, t47583, t47584, t47588, t47589;
  double t47592, t47593, t47603, t47606, t47609, t47612, t47635, t47643;
  double t47645, t47648, t47651, t47653, t47657, t47661, t47663, t47665;
  double t47666, t47668, t47671, t47675, t47681, t47687, t47695, t47698;
  double t47702, t47707, t47709, t47714, t47732, t47735, t47737, t47739;
  double t47745, t47747, t47749, t47751, t47757, t47764, t47768, t47771;
  double t47774, t47780, t47784, t47793, t47797, t47800, t47803, t47804;
  double t47807, t47812, t47815, t47817, t47825, t47828, t47830, t47832;
  double t47834, t47836, t47840, t47841, t47851, t47853, t47855, t47859;
  double t47868, t47870, t47872, t47874, t47888, t47891, t47894, t47897;
  double t47899, t47901, t47903, t47911, t47922, t47925, t47928, t47929;
  double t47944, t47950, t47955, t47958, t47959, t47962, t47963, t47964;
  double t47965, t47976, t47977, t47982, t47983, t47988, t47991, t47992;
  double t47995, t47996, t48003, t48014, t48019, t48020, t48023, t48025;
  double t48030, t48033, t48040, t48041, t48042, t48047, t48052, t48057;
  double t48060, t48063, t48070, t48074, t48075, t48078, t48084, t48095;
  double t48096, t48099, t48100, t48107, t48108, t48109, t48110, t48115;
  double t48122, t48129, t48145, t48148, t48149, t48164, t48167, t48174;
  double t48177, t48181, t48191, t48209, t48212, t48228, t48231, t48232;
  double t48235, t48238, t48241, t48250, t48253, t48260, t48263, t48268;
  double t48269, t48272, t48281, t48284, t48295, t48298, t48301, t48302;
  double t48305, t48306, t48307, t48316, t48323, t48328, t48339, t48343;
  double t48352, t48355, t48356, t48365, t48368, t48379, t48380, t48382;
  double t48384, t48388, t48391, t48395, t48398, t48403, t48428, t48430;
  double t48433, t48435, t48447, t48449, t48451, t48453, t48455, t48456;
  double t48458, t48460, t48464, t48467, t48474, t48477, t48480, t48483;
  double t48489, t48503, t48509, t48514, t48518, t48531, t48544, t48551;
  double t48555, t48560, t48565, t48571, t48580, t48581, t48602, t48615;
  double t48618, t48619, t48637, t48641, t48644, t48647, t48651, t48654;
  double t48657, t48659, t48661, t48664, t48669, t48671, t48672, t48674;
  double t48680, t48689, t48691, t48704, t48708, t48727, t48728, t48732;
  double t48734, t48736, t48738, t48756, t48759, t48765, t48771, t48772;
  double t48779, t48789, t48794, t48800, t48801, t48815, t48818, t48823;
  double t48836, t48839, t48843, t48850, t48851, t48864, t48878, t48888;
  double t48890, t48903, t48906, t48908, t48911, t48916, t48918, t48920;
  double t48923, t48930, t48937, tv4rho2sigmalapl0, tv4rho2sigmalapl1, tv4rho2sigmalapl2, tv4rho2sigmalapl3, tv4rho2sigmalapl4;
  double t48941, t48943, t48945, t48954, t48956, t48958, t48960, t48963;
  double t48964, t48965, t48967, t48977, t48983, t48985, t48987, t48989;
  double t48991, t48993, t48995, t49000, t49003, t49009, t49011, t49013;
  double t49015, t49017, t49019, t49021, t49023, t49025, t49026, t49028;
  double t49031, tv4rho2sigmalapl5, t49053, t49055, t49057, t49059, t49063, t49070;
  double t49085, t49093, t49095, t49100, t49104, t49121, t49157, t49191;
  double t49209, t49235, t49258, t49263, t49280, t49283, t49296, t49297;
  double t49304, t49313, t49315, t49317, t49319, t49321, t49322, t49324;
  double t49338, t49340, t49354, t49380, t49414, t49425, t49437, t49442;
  double tv4rho2sigmalapl6, tv4rho2sigmalapl7, tv4rho2sigmalapl8, tv4rho2sigmalapl9, tv4rho2sigmalapl10, t49454, t49473, t49475;
  double t49477, t49479, t49480, t49482, t49483, t49485, t49487, t49489;
  double t49491, t49493, t49495, t49497, t49499, t49501, t49507, t49509;
  double t49529, t49531, t49533, t49535, t49537, t49539, t49541, t49542;
  double t49544, t49546, t49547, t49549, t49551, t49553, t49555, t49557;
  double t49559, t49561, t49563, t49565, t49579, t49584, t49585, t49587;
  double t49589, t49591, t49593, t49599, t49601, t49603, t49605, t49607;
  double t49608, t49610, t49612, t49614, t49616, t49618, t49620, t49622;
  double t49624, t49626, t49632, t49636, t49638, t49640, t49653, t49665;
  double t49667, t49669, t49671, t49673, t49675, t49677, t49679, t49681;
  double t49683, t49685, t49687, t49689, t49691, t49693, t49695, t49697;
  double t49699, t49703, t49705, t49723, t49725, t49727, t49729, t49731;
  double t49733, t49768, t49770, t49784, t49786, t49788, t49790, t49792;
  double t49796, t49803, t49814, t49816, t49835, t49844, t49845, t49847;
  double t49849, t49850, t49852, t49854, t49856, t49858, t49860, t49861;
  double t49863, t49865, t49866, t49868, t49870, t49872, t49874, t49875;
  double t49877, t49879, t49885, t49887, t49908, t49913, t49925, t49928;
  double t49930, t49932, t49934, t49942, t49944, t49946, t49948, t49950;
  double t49952, t49957, tv4rho2sigmalapl11, t49972, t49987, t49999, t50006, t50009;
  double tv4rho2sigmalapl12, tv4rho2sigmalapl13, tv4rho2sigmalapl14, tv4rho2sigmalapl15, tv4rho2sigmalapl16, t50014, t50021, t50042;
  double t50051, t50055, t50068, t50073, t50076, t50078, t50103, t50116;
  double t50122, t50135, t50146, t50149, t50150, t50151, t50155, t50156;
  double t50157, t50160, t50161, t50162, t50165, t50174, t50177, t50182;
  double t50186, t50187, t50192, t50197, t50198, t50205, t50206, t50216;
  double t50222, t50223, t50229, t50230, t50235, t50236, t50244, t50247;
  double t50251, t50252, t50257, t50258, t50261, t50264, t50281, t50296;
  double t50299, t50326, t50333, t50342, t50370, t50381, t50382, t50393;
  double t50398, t50427, t50430, t50457, t50463, t50468, t50471, t50472;
  double t50473, t50477, t50481, t50491, t50493, t50497, t50503, t50504;
  double t50508, t50512, t50517, t50520, t50522, t50531, t50550, t50555;
  double t50563, t50566, t50567, t50568, t50578, t50585, t50588, t50593;
  double t50597, t50606, t50607, t50621, t50625, t50633, t50637, t50640;
  double t50645, t50657, t50661, t50664, t50666, t50679, t50683, t50686;
  double t50687, t50690, t50691, t50698, t50704, t50707, t50708, t50721;
  double t50730, t50731, t50738, t50751, t50752, t50755, t50756, t50757;
  double t50761, t50765, t50766, t50769, t50775, t50777, t50779, t50788;
  double t50805, t50810, t50815, t50834, t50841, t50848, t50855, t50857;
  double t50866, t50870, t50874, t50880, t50894, t50895, t50898, t50899;
  double t50902, t50903, t50904, t50905, t50908, t50921, t50924, t50925;
  double t50928, t50929, t50937, t50938, t50941, t50944, t50952, t50954;
  double t50958, t50961, t50974, t50975, t50976, t50981, t50982, t50983;
  double t50988, t50989, t50992, t50995, t50996, t50999, t51002, t51003;
  double t51004, t51007, t51010, t51013, t51016, t51017, t51018, t51021;
  double t51024, t51031, t51034, t51052, t51055, t51073, t51076, t51081;
  double t51084, t51085, t51088, t51091, t51100, t51103, t51104, t51113;
  double t51116, t51134, t51143, t51144, t51149, t51158, t51161, t51164;
  double t51167, t51172, t51175, t51185, t51188, t51204, t51215, t51232;
  double t51243, t51244, t51245, t51248, t51251, t51256, t51261, t51270;
  double t51273, t51276, t51283, t51288, t51291, t51304, t51315, t51318;
  double t51336, t51340, t51350, t51357, t51358, t51369, t51372, t51375;
  double t51382, t51400, t51408, t51410, t51418, t51437, t51441, t51444;
  double t51448, t51452, t51455, t51464, t51475, t51480, t51483, t51486;
  double t51496, t51500, t51501, t51525, t51537, t51552, t51563, t51571;
  double t51584, t51610, t51639, t51643, t51645, t51653, t51657, t51663;
  double t51664, t51668, t51672, t51681, t51685, t51690, t51691, t51694;
  double t51698, t51699, t51700, t51714, t51724, t51735, t51744, t51748;
  double t51752, t51762, t51769, t51782, t51790, t51799, t51802, t51804;
  double t51809, t51817, t51820, t51823, t51826, t51828, t51840, t51847;
  double t51851, t51859, t51862, t51876, t51879, t51885, t51890, t51895;
  double t51897, t51901, t51905, t51908, t51911, t51912, t51916, t51920;
  double t51922, t51925, t51930, t51932, t51937, t51940, t51945, t51947;
  double t51952, t51955, t51960, t51963, t51968, t51971, t51973, t51978;
  double t51982, t51986, t51987, t52008, t52024, t52033, t52046, t52050;
  double t52052, t52056, t52061, t52064, t52065, t52066, t52069, t52074;
  double t52078, t52080, t52086, t52093, t52112, t52135, t52142, tv4rho2sigmalapl17;
  double t52146, t52147, t52148, t52152, t52155, t52160, t52165, t52172;
  double t52174, t52176, t52178, t52180, t52182, t52183, t52187, t52188;
  double t52190, t52192, t52195, t52204, t52207, t52208, t52209, t52210;
  double t52226, t52230, t52242, t52243, t52255, t52267, t52282, t52283;
  double t52286, t52302, t52315, t52319, t52325, t52327, t52328, t52329;
  double t52333, t52373, t52375, t52380, t52383, t52384, t52393, t52405;
  double t52407, t52411, t52413, t52415, t52417, t52419, t52421, t52423;
  double t52425, t52427, t52430, t52432, t52442, t52443, t52444, t52445;
  double t52448, t52449, t52453, t52456, t52457, t52473, t52480, t52482;
  double t52488, t52492, t52495, t52517, t52519, t52521, t52522, t52524;
  double t52526, t52528, t52530, t52532, t52534, t52536, t52538, t52540;
  double t52542, t52544, t52546, t52551, t52552, t52553, t52554, t52557;
  double t52560, t52561, t52562, t52565, t52574, t52580, t52585, t52587;
  double t52591, t52601, t52607, t52610, t52637, t52644, t52647, t52648;
  double t52649, t52652, t52653, t52654, t52658, t52659, t52660, t52663;
  double t52669, t52671, t52674, t52680, t52684, t52687, t52689, t52700;
  double t52722, t52729, t52754, t52772, t52789, t52791, t52793, t52818;
  double t52820, t52824, t52830, t52832, t52836, t52842, t52845, t52850;
  double t52866, t52878, t52880, t52882, t52884, t52912, t52934, t52935;
  double t52945, t52978, t52982, t52986, t52987, t52989, t52991, t53013;
  double t53014, t53016, t53028, t53041, t53044, t53060, t53066, t53072;
  double t53073, t53103, t53118, t53119, t53126, t53127, t53144, t53151;
  double t53153, t53157, t53158, t53159, t53167, t53169, t53171, t53173;
  double t53175, t53179, t53192, t53193, t53207, t53213, t53223, t53239;
  double t53242, t53243, t53245, t53246, t53249, t53250, t53253, t53254;
  double t53270, t53272, t53275, t53277, t53283, t53288, t53305, t53308;
  double t53313, t53317, t53321, t53328, t53332, t53351, t53360, t53367;
  double t53378, t53380, t53382, t53383, t53385, t53388, t53390, t53400;
  double t53404, t53406, t53407, t53409, t53411, t53413, t53417, t53420;
  double t53435, t53438, t53443, t53458, t53465, t53471, t53491, t53515;
  double t53526, t53537, t53563, t53582, t53591, t53619, t53628, t53643;
  double t53647, t53658, t53682, t53703, t53721, t53746, t53757, t53768;
  double t53771, t53774, t53804, t53810, t53815, t53819, t53825, t53842;
  double t53863, t53868, t53875, t53881, t53885, t53889, t53891, t53892;
  double t53895, t53909, t53911, t53912, t53914, t53916, t53918, t53920;
  double t53922, t53924, t53926, t53928, t53929, t53931, t53937, t53947;
  double t53949, t53958, t53965, t53966, t53978, t53988, t53994, t53996;
  double t53998, t54002, t54004, t54006, t54012, t54014, t54036, t54039;
  double t54044, t54047, t54050, t54053, t54066, t54084, t54103, t54104;
  double t54107, t54123, t54124, t54127, t54129, t54144, t54149, t54160;
  double t54174, t54182, t54203, t54216, t54224, t54226, t54244, t54246;
  double t54250, t54253, t54267, t54269, t54270, t54276, t54277, t54279;
  double t54281, t54283, t54285, t54288, t54290, t54292, t54294, t54301;
  double t54343, t54347, t54358, t54360, t54364, t54366, t54369, t54373;
  double t54375, t54382, t54386, t54393, t54395, t54399, t54426, t54429;
  double t54432, t54436, t54441, t54453, t54474, t54476, t54479, t54507;
  double t54509, t54514, t54528, t54542, t54548, t54549, t54561, t54563;
  double t54565, t54573, t54580, tv4rho2sigmatau0, tv4rho2sigmatau1, tv4rho2sigmatau2, tv4rho2sigmatau3, tv4rho2sigmatau4;
  double t54585, t54587, t54589, t54592, t54594, t54596, t54598, t54605;
  double t54607, t54609, t54611, t54622, t54624, t54626, t54628, t54630;
  double t54632, t54634, t54636, t54638, t54640, t54655, t54657, t54658;
  double t54660, t54662, t54664, t54666, t54668, t54670, t54672, t54674;
  double t54676, t54679, t54682, t54683, t54686, t54689, t54692, tv4rho2sigmatau5;
  double t54702, t54704, t54706, t54708, t54711, t54734, t54744, t54752;
  double t54755, t54767, t54769, t54771, t54773, t54775, t54777, t54779;
  double t54781, t54783, t54785, t54787, t54789, t54807, t54830, t54877;
  double t54891, t54902, t54924, t54932, t54945, t54948, t54959, t54964;
  double t54997, t55007, t55017, t55035, t55046, t55062, t55072, t55085;
  double t55096, t55107, t55115, t55137, t55157, t55159, t55183, t55186;
  double t55198, t55204, tv4rho2sigmatau6, tv4rho2sigmatau7, tv4rho2sigmatau8, tv4rho2sigmatau9, tv4rho2sigmatau10, t55214;
  double t55236, t55238, t55240, t55241, t55243, t55245, t55247, t55249;
  double t55251, t55253, t55255, t55257, t55259, t55261, t55263, t55265;
  double t55270, t55280, t55305, t55326, t55328, t55350, t55363, t55364;
  double t55372, t55387, t55389, t55396, t55409, t55411, t55413, t55415;
  double t55417, t55419, t55421, t55423, t55425, t55427, t55429, t55431;
  double t55433, t55435, t55436, t55438, t55440, t55441, t55443, t55444;
  double t55446, t55447, t55449, t55451, t55453, t55455, t55458, t55459;
  double t55461, t55473, t55478, t55487, t55490, t55492, t55494, t55496;
  double t55498, t55500, t55502, t55504, t55505, t55509, t55511, t55513;
  double t55515, t55517, t55519, t55521, t55523, t55525, t55527, t55532;
  double t55534, t55536, t55538, t55540, t55542, t55544, t55547, t55549;
  double t55551, t55553, t55555, t55557, t55559, t55561, t55563, t55565;
  double t55567, t55569, t55571, t55573, t55575, t55577, t55591, t55598;
  double t55599, t55605, t55607, t55610, t55612, t55614, t55616, t55618;
  double t55620, t55622, t55624, t55626, t55628, t55629, t55631, t55633;
  double t55635, t55639, t55644, t55646, t55648, t55650, t55652, t55654;
  double t55656, t55658, t55660, t55664, t55666, t55667, t55669, t55671;
  double t55673, t55675, t55677, t55679, t55681, t55689, t55709, t55712;
  double t55714, t55716, t55732, t55734, t55736, t55737, t55739, t55741;
  double t55743, t55745, t55747, t55749, t55751, t55753, t55755, t55757;
  double t55759, t55762, t55764, t55766, t55768, t55770, t55782, t55791;
  double t55793, t55795, t55797, t55811, t55834, t55840, tv4rho2sigmatau11, t55858;
  double t55875, t55894, t55898, t55901, tv4rho2sigmatau12, tv4rho2sigmatau13, tv4rho2sigmatau14, tv4rho2sigmatau15;
  double tv4rho2sigmatau16, t55912, t55917, t55932, t55943, t55957, t55968, t55985;
  double t55998, t55999, t56006, t56010, t56015, t56016, t56024, t56028;
  double t56037, t56039, t56045, t56070, t56071, t56076, t56079, t56082;
  double t56111, t56115, t56118, t56119, t56120, t56131, t56132, t56137;
  double t56144, t56159, t56164, t56179, t56182, t56183, t56186, t56187;
  double t56189, t56192, t56196, t56200, t56210, t56214, t56217, t56218;
  double t56219, t56233, t56239, t56243, t56254, t56266, t56295, t56326;
  double t56358, t56375, t56381, t56392, t56413, t56416, t56423, t56424;
  double t56463, t56471, t56472, t56476, t56477, t56478, t56488, t56490;
  double t56491, t56512, t56515, t56538, t56539, t56541, t56543, t56544;
  double t56558, t56561, t56589, t56592, t56613, t56632, t56648, t56662;
  double t56671, t56672, t56675, t56679, t56686, t56695, t56701, t56704;
  double t56705, t56726, t56732, t56734, t56737, t56740, t56742, t56754;
  double t56766, t56770, t56773, t56788, t56811, t56812, t56816, t56817;
  double t56818, t56821, t56822, t56828, t56851, t56888, t56910, t56929;
  double t56932, t56935, t56952, t56967, t56983, t56984, t56987, t56988;
  double t56989, t56997, t56998, t57005, t57017, t57020, t57024, t57039;
  double t57074, t57109, t57113, t57122, t57124, t57132, t57150, t57153;
  double t57165, t57181, t57185, t57196, t57197, t57210, t57216, t57237;
  double t57256, t57263, t57264, t57288, t57316, t57344, t57357, t57360;
  double t57365, t57380, t57382, t57389, t57408, t57431, t57447, t57448;
  double t57459, t57462, t57484, t57495, t57517, t57524, t57549, t57555;
  double t57574, t57577, t57604, t57631, t57655, t57674, t57691, t57717;
  double t57725, t57731, t57753, t57760, t57763, t57791, t57822, t57849;
  double t57852, t57860, t57886, t57921, t57924, t57952, t57972, t57978;
  double t58002, t58037, t58044, t58045, t58048, t58053, t58056, t58075;
  double t58112, t58132, t58135, t58148, t58155, tv4rho2sigmatau17, t58158, t58159;
  double t58160, t58164, t58173, t58186, t58190, t58193, t58197, t58209;
  double t58213, t58217, t58219, t58221, t58224, t58228, t58232, t58233;
  double t58250, t58255, t58261, t58262, t58264, t58266, t58281, t58284;
  double t58286, t58288, t58290, t58300, t58303, t58311, t58313, t58315;
  double t58318, t58324, t58326, t58332, t58342, t58365, t58369, t58376;
  double t58381, t58387, t58389, t58390, t58395, t58400, t58409, t58418;
  double t58425, t58428, t58439, t58440, t58459, t58468, t58473, t58476;
  double t58479, t58484, t58485, t58488, t58491, t58493, t58504, t58511;
  double t58515, t58517, t58524, t58525, t58534, t58536, t58544, t58546;
  double t58548, t58549, t58552, t58553, t58556, t58558, t58570, t58573;
  double t58578, t58583, t58587, t58589, t58592, t58597, t58599, t58600;
  double t58602, t58604, t58606, t58607, t58613, t58618, t58627, t58632;
  double t58633, t58634, t58635, t58638, t58642, t58643, t58647, t58648;
  double t58649, t58652, t58654, t58661, t58664, t58665, t58668, t58669;
  double t58672, t58676, t58685, t58694, t58696, t58700, t58714, t58719;
  double t58722, t58724, t58726, t58728, t58730, t58734, t58738, t58745;
  double t58748, t58755, t58758, t58760, t58762, t58764, t58767, t58769;
  double t58772, t58774, t58776, t58780, t58782, t58786, t58792, t58797;
  double t58799, t58800, t58803, t58805, t58806, t58808, t58811, t58826;
  double t58830, t58833, t58842, t58845, t58854, t58856, t58858, t58864;
  double t58869, t58878, t58881, t58886, t58888, t58892, t58917, t58924;
  double t58938, t58940, t58943, t58950, t58965, t58969, t58973, t58974;
  double t58978, t58979, t58980, t58983, t58987, t58990, t58996, t59000;
  double t59004, t59007, t59011, t59026, t59038, t59041, t59048, t59050;
  double t59060, t59061, t59065, t59070, t59071, t59072, t59077, t59080;
  double t59091, t59097, t59098, t59103, t59104, t59112, t59116, t59118;
  double t59120, t59122, t59124, t59126, t59128, t59131, t59134, t59136;
  double t59138, t59143, t59145, t59146, t59148, t59149, t59151, t59153;
  double t59162, t59166, t59183, t59184, t59187, t59191, t59192, t59198;
  double t59200, t59216, t59239, t59243, t59246, t59248, t59250, t59256;
  double t59259, t59261, t59263, t59267, t59274, t59286, t59288, t59290;
  double t59294, t59298, t59300, t59302, t59305, t59306, t59311, t59314;
  double t59316, t59319, t59321, t59326, t59331, t59334, t59342, t59350;
  double t59361, t59363, t59365, t59370, t59376, t59379, t59380, t59382;
  double t59384, t59386, t59388, t59390, t59394, t59398, t59401, t59405;
  double t59411, t59419, t59435, t59437, t59438, t59445, t59448, t59459;
  double t59467, t59472, t59477, t59480, t59484, t59488, t59495, t59497;
  double t59500, t59503, t59506, t59514, t59519, t59522, t59528, t59531;
  double t59534, t59537, t59544, t59549, t59561, t59565, t59578, t59580;
  double t59583, t59585, t59589, t59594, t59597, t59602, t59613, t59624;
  double t59629, t59632, t59636, t59638, t59642, t59647, t59650, t59658;
  double t59671, t59675, t59682, t59685, t59688, t59692, t59704, t59708;
  double t59711, t59720, t59722, t59724, t59747, t59766, t59769, t59770;
  double t59775, t59780, t59788, t59789, t59798, t59799, t59802, t59803;
  double t59806, t59809, t59810, t59813, t59814, t59817, t59818, t59821;
  double t59824, t59841, t59842, t59843, t59846, t59847, t59850, t59851;
  double t59854, t59857, t59862, t59863, t59870, t59874, t59878, t59880;
  double t59883, t59897, t59899, t59903, t59905, t59908, t59911, t59912;
  double t59915, t59917, t59920, t59923, t59927, t59930, t59931, t59934;
  double t59935, t59938, t59939, t59947, t59951, t59954, t59964, t59965;
  double t59966, t59970, t59973, t59976, t59979, t59982, t59986, t59989;
  double t59992, t59995, t59998, t60001, t60006, t60009, t60015, t60019;
  double t60022, t60025, t60038, t60043, t60050, t60053, t60056, t60059;
  double t60062, t60067, t60072, t60085, t60090, t60093, t60096, t60101;
  double t60104, t60107, t60110, t60115, t60117, t60132, t60140, t60149;
  double t60162, t60169, tv4rho2lapl20, tv4rho2lapl21, t60174, t60177, t60179, t60182;
  double t60184, t60201, t60203, t60205, t60206, t60208, t60210, t60212;
  double t60215, t60218, t60220, t60222, t60224, t60226, t60236, t60237;
  double t60239, t60241, t60243, t60245, t60247, t60249, t60251, t60253;
  double t60254, t60257, tv4rho2lapl22, t60274, t60293, t60310, t60312, t60314;
  double t60332, t60339, t60362, t60374, t60392, t60407, t60417, t60444;
  double t60458, t60460, t60464, t60465, t60468, t60470, t60472, t60474;
  double t60476, t60478, t60480, t60482, t60488, t60512, t60515, t60527;
  double t60544, t60550, t60560, t60571, t60581, t60586, tv4rho2lapl23, tv4rho2lapl24;
  double t60590, t60592, t60594, t60595, t60597, t60599, t60601, t60605;
  double t60609, t60611, t60613, t60615, t60617, t60619, t60621, t60623;
  double t60630, t60637, t60651, t60656, t60658, t60660, t60670, t60677;
  double t60679, t60681, t60683, t60685, t60687, t60688, t60690, t60692;
  double t60694, t60696, t60697, t60698, t60700, t60703, t60705, t60707;
  double t60708, t60710, t60712, t60714, t60716, t60718, t60720, t60722;
  double t60723, t60725, t60727, t60729, t60731, t60737, t60739, t60741;
  double t60743, t60747, t60749, t60751, t60753, t60755, t60757, t60761;
  double t60763, t60764, t60765, t60767, t60769, t60771, t60773, t60775;
  double t60777, t60783, t60784, t60786, t60788, t60792, t60794, t60796;
  double t60798, t60800, t60802, t60804, t60806, t60808, t60810, t60816;
  double t60821, t60823, t60825, t60829, t60838, t60840, t60842, t60844;
  double t60846, t60848, t60868, t60870, t60872, t60874, t60878, t60900;
  double t60903, t60914, t60916, t60918, t60920, t60922, t60924, t60925;
  double t60927, t60929, t60935, t60957, t60965, t60994, t60999, tv4rho2lapl25;
  double t61008, t61026, t61044, t61047, tv4rho2lapl26, tv4rho2lapl27, t61077, t61089;
  double t61092, t61103, t61106, t61109, t61116, t61129, t61136, t61139;
  double t61144, t61150, t61153, t61170, t61171, t61174, t61178, t61181;
  double t61184, t61187, t61190, t61201, t61212, t61213, t61216, t61217;
  double t61218, t61221, t61224, t61235, t61238, t61241, t61242, t61251;
  double t61262, t61267, t61269, t61272, t61278, t61286, t61302, t61303;
  double t61305, t61315, t61316, t61321, t61325, t61334, t61338, t61359;
  double t61390, t61402, t61413, t61420, t61424, t61447, t61452, t61459;
  double t61460, t61463, t61464, t61467, t61470, t61471, t61472, t61478;
  double t61485, t61495, t61499, t61500, t61504, t61505, t61514, t61515;
  double t61518, t61519, t61522, t61524, t61526, t61529, t61531, t61543;
  double t61554, t61573, t61574, t61582, t61590, t61592, t61602, t61604;
  double t61607, t61609, t61612, t61616, t61618, t61620, t61623, t61624;
  double t61628, t61634, t61635, t61636, t61639, t61641, t61644, t61646;
  double t61650, t61654, t61659, t61663, t61664, t61667, t61670, t61691;
  double t61693, t61701, t61706, t61710, t61715, t61726, t61740, t61788;
  double t61804, t61808, t61812, t61813, t61827, t61847, t61850, t61854;
  double t61864, t61868, t61871, t61894, t61903, t61915, t61918, t61921;
  double t61924, t61928, t61930, t61933, t61936, t61938, t61943, t61947;
  double t61957, t61959, t61963, t61966, t61967, t61970, t61974, t61977;
  double t61981, t61984, t61990, t61993, t61998, t62001, t62002, t62014;
  double t62018, t62019, t62022, t62032, t62042, t62049, t62055, t62066;
  double t62070, t62073, t62077, t62081, t62084, t62089, t62104, t62109;
  double t62113, t62127, t62142, t62155, t62159, t62165, t62168, t62171;
  double t62176, t62179, t62182, t62185, t62192, t62206, t62213, t62214;
  double t62218, t62226, t62256, t62263, t62265, t62280, t62284, t62289;
  double t62290, t62298, t62304, t62336, t62340, t62345, t62349, t62352;
  double t62355, t62363, t62371, t62374, t62375, t62378, t62387, t62400;
  double t62408, t62412, t62438, t62444, t62463, t62466, t62469, t62472;
  double t62475, t62478, t62487, t62492, t62495, t62496, t62499, t62502;
  double t62503, t62506, t62507, t62510, t62516, t62521, t62522, t62523;
  double t62530, t62533, t62537, t62538, t62541, t62545, t62548, t62551;
  double t62561, t62564, t62567, t62570, t62573, t62574, t62579, t62582;
  double t62584, t62587, t62590, t62593, t62594, t62599, t62604, t62607;
  double t62610, t62611, t62614, t62617, t62618, t62627, t62628, t62631;
  double t62635, t62640, t62648, t62651, t62652, t62659, t62663, t62673;
  double t62679, t62684, t62687, t62688, t62693, t62698, t62699, t62706;
  double t62709, t62712, t62716, t62736, t62741, t62742, t62749, t62752;
  double t62755, t62757, t62764, t62768, t62771, t62774, t62777, t62780;
  double t62786, t62789, t62801, t62804, t62807, t62808, t62813, t62815;
  double t62819, t62822, t62831, t62837, t62845, t62847, t62854, t62857;
  double t62858, t62868, t62871, t62874, t62877, t62888, t62907, t62912;
  double t62915, t62918, t62921, t62928, t62935, t62942, tv4rho2lapl28, t62952;
  double t62953, t62971, t62972, t63000, t63002, t63003, t63008, t63035;
  double t63036, t63040, t63041, t63042, t63046, t63047, t63051, t63053;
  double t63055, t63079, t63084, t63085, t63086, t63090, t63091, t63104;
  double t63114, t63126, t63128, t63139, t63142, t63164, t63166, t63168;
  double t63170, t63172, t63175, t63176, t63178, t63195, t63198, t63208;
  double t63224, t63226, t63228, t63245, t63261, t63283, t63300, t63328;
  double t63335, t63340, t63342, t63351, t63352, t63363, t63366, t63369;
  double t63392, t63403, t63407, t63435, t63448, t63450, t63452, t63454;
  double t63456, t63458, t63460, t63484, t63500, t63502, t63507, t63511;
  double t63515, t63517, t63519, t63529, t63535, t63537, t63544, t63546;
  double t63548, t63550, t63552, t63554, t63560, t63562, t63577, t63579;
  double t63581, t63583, t63585, t63587, t63589, t63590, t63592, t63594;
  double t63602, t63623, t63634, t63635, t63636, t63646, t63652, t63672;
  double t63675, t63683, t63718, t63737, t63742, t63746, t63749, t63754;
  double t63759, t63764, t63765, t63768, t63779, t63781, t63785, t63787;
  double t63792, t63793, t63794, t63799, t63811, t63812, t63830, t63859;
  double t63861, t63862, t63893, t63895, t63910, t63913, t63922, t63929;
  double t63931, t63941, t63942, t63946, t63951, t63955, t63966, t63975;
  double t63977, t63980, t63982, t64009, t64010, t64020, t64029, t64034;
  double t64036, t64041, t64043, t64045, t64047, t64049, t64051, t64055;
  double t64062, t64068, t64082, t64089, t64091, t64106, t64108, t64115;
  double t64125, t64126, t64136, t64137, t64149, t64153, t64167, t64168;
  double t64186, t64190, t64194, t64199, t64206, t64209, t64211, t64213;
  double t64215, t64217, t64219, t64221, t64223, t64225, t64227, t64229;
  double t64231, t64233, t64240, t64260, t64285, t64294, t64296, t64313;
  double t64314, t64323, t64331, t64340, t64350, t64355, t64367, t64371;
  double t64373, t64378, t64379, t64381, t64385, t64387, t64389, t64394;
  double t64395, t64420, t64433, t64447, t64449, t64450, t64452, t64471;
  double t64472, t64478, t64486, t64504, t64506, t64521, t64532, t64546;
  double t64561, t64563, t64575, t64583, t64584, t64586, t64593, t64597;
  double t64600, t64617, t64618, t64620, t64626, t64630, t64631, t64639;
  double t64644, t64651, t64653, t64655, t64657, t64659, t64661, t64663;
  double t64664, t64666, t64668, t64670, t64672, t64684, t64686, t64688;
  double t64696, t64698, t64700, t64717, t64719, t64721, t64747, t64772;
  double t64802, t64805, t64819, t64833, t64850, t64876, t64882, t64888;
  double t64898, t64900, t64906, t64909, t64913, t64916, t64920, t64930;
  double t64934, t64943, t64952, t64956, t64967, t64969, t64971, t64973;
  double t64979, t64987, t64988, t65006, t65010, t65012, t65014, t65016;
  double t65037, t65071, t65078, t65096, t65107, t65111, t65127, t65137;
  double t65157, t65160, t65167, t65175, t65188, t65191, t65194, t65209;
  double t65227, t65234, t65238, t65254, t65282, t65298, t65304, t65323;
  double t65339, t65365, t65386, t65408, t65431, t65458, t65461, t65474;
  double t65481, tv4rho2lapltau0, tv4rho2lapltau1, tv4rho2lapltau2, t65485, t65487, t65488, t65493;
  double t65495, t65502, t65504, t65506, t65509, t65511, t65512, t65514;
  double t65516, t65518, t65520, t65534, t65536, t65537, t65539, t65541;
  double t65543, t65545, t65547, t65549, t65551, t65564, t65566, t65567;
  double t65569, t65571, t65572, t65574, t65577, t65581, t65582, t65586;
  double t65589, t65590, t65593, tv4rho2lapltau3, t65598, t65600, t65602, t65604;
  double t65623, t65628, t65630, t65634, t65641, t65642, t65658, t65664;
  double t65689, t65712, t65736, t65739, t65757, t65759, t65763, t65787;
  double t65798, t65809, t65819, t65834, t65838, t65840, t65842, t65848;
  double t65869, t65891, t65908, t65923, t65929, t65943, t65951, t65963;
  double t65972, t65995, t66006, t66010, t66025, t66044, t66053, t66077;
  double t66092, t66095, t66101, tv4rho2lapltau4, tv4rho2lapltau5, tv4rho2lapltau6, t66128, t66130;
  double t66132, t66134, t66136, t66138, t66140, t66142, t66146, t66154;
  double t66157, t66169, t66186, t66188, t66190, t66192, t66194, t66196;
  double t66198, t66200, t66202, t66204, t66206, t66208, t66210, t66212;
  double t66214, t66215, t66217, t66219, t66221, t66223, t66225, t66227;
  double t66229, t66231, t66233, t66235, t66237, t66241, t66243, t66245;
  double t66247, t66249, t66284, t66308, t66311, t66313, t66315, t66316;
  double t66330, t66337, t66339, t66341, t66343, t66345, t66347, t66349;
  double t66351, t66353, t66355, t66356, t66358, t66360, t66362, t66366;
  double t66368, t66370, t66372, t66374, t66378, t66382, t66402, t66425;
  double t66430, t66432, t66441, t66443, t66448, t66450, t66452, t66454;
  double t66456, t66458, t66460, t66462, t66464, t66466, t66468, t66470;
  double t66472, t66473, t66475, t66477, t66479, t66480, t66482, t66484;
  double t66486, t66487, t66489, t66491, t66504, t66506, t66508, t66510;
  double t66512, t66514, t66516, t66517, t66519, t66521, t66523, t66525;
  double t66527, t66531, t66546, t66548, t66550, t66552, t66554, t66555;
  double t66557, t66559, t66561, t66563, t66565, t66575, t66579, t66581;
  double t66583, t66585, t66587, t66589, t66591, t66594, t66614, t66620;
  double t66627, t66629, t66631, t66633, t66635, t66638, t66651, t66654;
  double t66656, t66658, t66660, t66662, t66665, t66667, t66669, t66671;
  double t66690, t66692, t66694, t66696, t66698, t66700, t66702, t66704;
  double t66706, t66718, t66720, t66722, t66723, t66725, t66731, tv4rho2lapltau7;
  double t66744, t66756, t66770, t66789, t66792, tv4rho2lapltau8, tv4rho2lapltau9, tv4rho2lapltau10;
  double t66799, t66803, t66819, t66836, t66837, t66838, t66843, t66850;
  double t66872, t66878, t66881, t66888, t66891, t66910, t66937, t66941;
  double t66957, t66974, t67006, t67040, t67075, t67093, t67094, t67095;
  double t67103, t67110, t67119, t67124, t67127, t67130, t67131, t67135;
  double t67163, t67167, t67174, t67175, t67181, t67207, t67208, t67212;
  double t67247, t67263, t67272, t67278, t67303, t67311, t67337, t67360;
  double t67363, t67365, t67368, t67372, t67398, t67411, t67420, t67423;
  double t67454, t67460, t67469, t67472, t67473, t67478, t67481, t67482;
  double t67504, t67514, t67515, t67530, t67535, t67547, t67568, t67598;
  double t67600, t67608, t67628, t67650, t67673, t67682, t67689, t67693;
  double t67705, t67708, t67719, t67745, t67780, t67803, t67824, t67847;
  double t67861, t67862, t67876, t67887, t67890, t67900, t67915, t67935;
  double t67956, t67963, t67993, t68025, t68054, t68066, t68097, t68105;
  double t68113, t68115, t68127, t68135, t68155, t68164, t68176, t68202;
  double t68222, t68236, t68253, t68274, t68299, t68300, t68304, t68333;
  double t68366, t68390, t68400, t68409, t68432, t68449, t68450, t68461;
  double t68466, t68467, t68472, t68477, t68481, t68499, t68536, t68545;
  double t68567, t68581, t68583, t68588, t68598, t68615, t68622, t68628;
  double t68635, t68639, t68656, t68685, t68696, t68699, t68700, t68706;
  double t68721, t68724, t68733, t68741, t68753, t68773, t68796, t68813;
  double t68817, t68821, t68827, t68833, t68847, t68854, t68871, t68884;
  double t68914, t68944, t68974, t69001, t69004, t69024, t69049, t69054;
  double t69075, t69088, t69105, t69123, t69143, t69151, t69153, t69160;
  double t69167, tv4rho2lapltau11, t69174, t69176, t69180, t69182, t69183, t69184;
  double t69188, t69190, t69192, t69201, t69203, t69207, t69208, t69220;
  double t69222, t69224, t69225, t69232, t69236, t69237, t69241, t69267;
  double t69268, t69270, t69271, t69273, t69277, t69282, t69287, t69291;
  double t69292, t69295, t69298, t69300, t69302, t69304, t69307, t69309;
  double t69311, t69313, t69314, t69316, t69318, t69320, t69322, t69326;
  double t69336, t69337, t69339, t69341, t69342, t69344, t69349, t69361;
  double t69362, t69366, t69367, t69371, t69372, t69381, t69386, t69388;
  double t69390, t69393, t69397, t69403, t69407, t69408, t69412, t69414;
  double t69416, t69417, t69419, t69424, t69427, t69428, t69432, t69436;
  double t69438, t69444, t69450, t69455, t69475, t69485, t69492, t69499;
  double t69503, t69508, t69514, t69521, t69524, t69533, t69554, t69556;
  double t69561, t69570, t69571, t69575, t69581, t69589, t69590, t69597;
  double t69604, t69615, t69617, t69632, t69634, t69635, t69645, t69646;
  double t69650, t69651, t69653, t69657, t69659, t69676, t69683, t69689;
  double t69698, t69703, t69705, t69718, t69723, t69724, t69743, t69759;
  double t69764, t69766, t69772, t69782, t69789, t69793, t69821, t69825;
  double t69849, t69857, t69861, t69877, t69900, t69904, t69906, t69907;
  double t69910, t69913, t69921, t69926, t69928, t69933, t69938, t69940;
  double t69942, t69957, t69975, t69987, t69988, t70008, t70024, t70036;
  double t70040, t70047, t70054, t70059, t70062, t70065, t70069, t70074;
  double t70076, t70090, t70093, t70107, t70113, t70118, t70119, t70125;
  double t70127, t70149, t70154, t70183, t70191, t70193, t70195, t70197;
  double t70200, t70204, t70209, t70210, t70215, t70216, t70218, t70223;
  double t70226, t70228, t70233, t70241, t70250, t70252, t70253, t70259;
  double t70264, t70272, t70277, t70282, t70286, t70289, t70291, t70305;
  double t70311, t70320, t70321, t70323, t70326, t70329, t70333, t70335;
  double t70337, t70351, t70388, t70396, t70400, t70416, t70438, t70440;
  double t70442, t70443, t70452, t70465, t70468, t70470, t70472, t70474;
  double t70477, t70488, t70491, t70495, t70496, t70501, t70505, t70510;
  double t70512, t70524, t70526, t70538, t70550, t70557, t70561, t70563;
  double t70567, t70580, t70588, t70595, t70601, t70608, t70610, t70612;
  double t70614, t70617, t70618, t70620, t70622, t70631, t70635, t70639;
  double t70641, t70660, t70667, t70673, t70694, t70698, t70700, t70703;
  double t70721, t70727, t70732, t70743, t70747, t70750, t70752, t70758;
  double t70759, t70761, t70763, t70779, t70791, t70805, t70817, t70820;
  double t70821, t70825, t70828, t70858, t70862, t70863, t70871, t70877;
  double t70879, t70881, t70883, t70886, t70897, t70899, t70906, t70926;
  double t70929, t70931, t70933, t70949, t70956, t70957, t70959, t70965;
  double t70976, t70987, t71003, t71018, t71020, t71021, t71023, t71049;
  double t71052, t71056, t71058, t71060, t71062, t71086, t71089, t71092;
  double t71098, t71100, t71111, t71123, t71129, t71133, t71143, t71155;
  double t71156, t71159, t71171, t71180, t71186, t71189, t71193, t71199;
  double t71210, t71219, t71220, t71223, t71233, t71240, t71244, t71259;
  double t71260, t71264, t71268, t71271, t71272, t71276, t71280, t71298;
  double t71304, t71324, t71330, t71345, t71346, t71371, t71425, t71434;
  double t71443, t71464, t71484, t71490, t71504, t71523, t71526, t71540;
  double t71557, t71588, t71589, t71608, t71625, t71631, t71633, t71634;
  double t71641, tv4rho2tau20, tv4rho2tau21, t71644, t71649, t71651, t71654, t71655;
  double t71658, t71660, t71662, t71663, t71665, t71666, t71672, t71674;
  double t71676, t71678, t71680, t71682, t71685, t71687, t71689, t71691;
  double t71693, t71695, t71697, t71699, t71700, t71702, t71704, t71706;
  double t71708, t71721, t71723, t71725, t71728, t71731, t71732, t71740;
  double t71748, t71750, t71753, tv4rho2tau22, t71772, t71796, t71813, t71829;
  double t71846, t71854, t71870, t71871, t71874, t71876, t71884, t71888;
  double t71897, t71906, t71908, t71910, t71916, t71944, t71946, t71952;
  double t71956, t71984, t71989, t72006, t72008, t72025, t72049, t72052;
  double t72074, t72106, t72108, t72110, t72112, t72114, t72116, t72118;
  double t72141, t72163, t72168, tv4rho2tau23, tv4rho2tau24, t72176, t72184, t72185;
  double t72187, t72189, t72191, t72192, t72194, t72196, t72198, t72200;
  double t72202, t72204, t72206, t72208, t72210, t72211, t72213, t72216;
  double t72218, t72220, t72222, t72224, t72226, t72228, t72230, t72241;
  double t72261, t72273, t72276, t72277, t72279, t72280, t72284, t72291;
  double t72293, t72295, t72297, t72299, t72301, t72303, t72305, t72307;
  double t72309, t72311, t72313, t72315, t72318, t72320, t72322, t72324;
  double t72326, t72328, t72330, t72332, t72334, t72336, t72338, t72340;
  double t72342, t72344, t72356, t72375, t72377, t72379, t72381, t72382;
  double t72384, t72386, t72388, t72390, t72392, t72394, t72396, t72398;
  double t72400, t72402, t72404, t72405, t72407, t72409, t72411, t72413;
  double t72415, t72417, t72419, t72424, t72427, t72431, t72433, t72437;
  double t72439, t72441, t72443, t72445, t72451, t72471, t72478, t72484;
  double t72493, t72505, t72507, t72514, t72516, t72523, t72534, t72536;
  double t72538, t72540, t72542, t72549, t72558, t72564, t72565, t72567;
  double t72575, t72577, t72579, t72581, t72582, t72584, t72586, t72599;
  double t72601, t72612, t72636, t72638, t72640, t72646, t72650, t72652;
  double t72654, t72656, t72658, t72660, t72662, t72664, t72666, t72668;
  double t72670, t72672, t72674, t72676, t72678, t72685, t72690, tv4rho2tau25;
  double t72700, t72701, t72722, t72736, t72747, t72750, tv4rho2tau26, tv4rho2tau27;
  double t72766, t72776, t72790, t72797, t72811, t72814, t72815, t72816;
  double t72817, t72818, t72825, t72830, t72835, t72838, t72841, t72854;
  double t72855, t72873, t72878, t72879, t72887, t72892, t72899, t72906;
  double t72909, t72911, t72915, t72918, t72933, t72940, t72943, t72946;
  double t72947, t72948, t72952, t72953, t72960, t72961, t72971, t72976;
  double t72978, t72981, t72988, t72992, t72996, t72998, t73012, t73017;
  double t73023, t73028, t73032, t73050, t73051, t73060, t73065, t73083;
  double t73089, t73097, t73107, t73128, t73131, t73132, t73139, t73151;
  double t73154, t73160, t73165, t73169, t73176, t73179, t73187, t73192;
  double t73196, t73204, t73214, t73225, t73234, t73238, t73241, t73242;
  double t73245, t73253, t73259, t73263, t73272, t73279, t73283, t73308;
  double t73328, t73343, t73352, t73369, t73374, t73381, t73422, t73433;
  double t73448, t73467, t73486, t73504, t73505, t73513, t73514, t73520;
  double t73525, t73532, t73536, t73539, t73545, t73560, t73565, t73574;
  double t73588, t73602, t73607, t73614, t73617, t73628, t73646, t73657;
  double t73661, t73672, t73693, t73706, t73718, t73720, t73723, t73740;
  double t73762, t73789, t73811, t73821, t73826, t73847, t73868, t73872;
  double t73893, t73903, t73916, t73930, t73948, t73954, t73955, t73958;
  double t73967, t73975, t73976, t73979, t73998, t74000, t74003, t74007;
  double t74014, t74017, t74020, t74024, t74027, t74039, t74045, t74052;
  double t74063, t74066, t74067, t74075, t74080, t74097, t74104, t74107;
  double t74108, t74112, t74116, t74117, t74121, t74125, t74129, t74142;
  double t74151, t74169, t74176, t74195, t74212, t74224, t74229, t74243;
  double t74247, t74251, t74257, t74260, t74270, t74297, t74303, t74326;
  double t74327, t74336, t74366, t74369, t74390, t74410, t74432, t74442;
  double t74465, t74491, t74495, t74498, t74508, t74523, t74534, t74539;
  double t74543, t74553, t74573, t74584, t74589, t74593, t74604, t74608;
  double t74615, t74618, t74647, t74648, t74654, t74660, t74664, t74671;
  double t74687, t74716, t74743, t74749, t74768, t74801, t74804, t74809;
  double t74837, t74843, t74867, t74899, t74903, t74916, t74926, t74945;
  double t74967, t74980, t75016, t75031, t75057, t75062, t75069, tv4rho2tau28;
  double t75073, t75074, t75075, t75076, t75079, t75082, t75084, t75089;
  double t75093, t75095, t75096, t75097, t75099, t75100, t75101, t75105;
  double t75106, t75113, t75114, t75116, t75118, t75120, t75124, t75125;
  double t75129, t75130, t75133, t75135, t75141, t75142, t75143, t75146;
  double t75151, t75156, t75158, t75164, t75165, t75166, t75170, t75174;
  double t75178, t75179, t75180, t75182, t75183, t75192, t75198, t75203;
  double t75205, t75207, t75208, t75212, t75214, t75217, t75232, t75238;
  double t75241, t75244, t75246, t75253, t75258, t75259, t75264, t75266;
  double t75270, t75271, t75277, t75281, t75283, t75286, t75290, t75294;
  double t75297, t75298, t75299, t75307, t75318, t75320, t75321, t75322;
  double t75323, t75325, t75326, t75327, t75332, t75337, t75340, t75343;
  double t75350, t75354, t75363, t75372, t75375, t75380, t75381, t75384;
  double t75387, t75390, t75393, t75396, t75399, t75400, t75401, t75402;
  double t75405, t75407, t75410, t75413, t75414, t75417, t75423, t75427;
  double t75431, t75433, t75445, t75449, t75450, t75451, t75453, t75454;
  double t75459, t75464, t75479, t75480, t75481, t75482, t75485, t75489;
  double t75491, t75495, t75497, t75500, t75503, t75506, t75512, t75526;
  double t75531, t75533, t75536, t75541, t75550, t75554, t75556, t75564;
  double t75567, t75569, t75570, t75573, t75582, t75586, t75588, t75590;
  double t75591, t75592, t75594, t75599, t75602, t75605, t75608, t75613;
  double t75627, t75628, t75634, t75635, t75637, t75639, t75641, t75643;
  double t75647, t75654, t75656, t75659, t75668, t75682, t75683, t75685;
  double t75687, t75688, t75690, t75691, t75692, t75694, t75696, t75698;
  double t75703, t75704, t75711, t75716, t75718, t75720, t75722, t75723;
  double t75726, t75728, t75731, t75737, t75739, t75743, t75744, t75745;
  double t75746, t75747, t75748, t75750, t75752, t75753, t75755, t75757;
  double t75762, t75763, t75766, t75768, t75772, t75773, t75775, t75781;
  double t75787, t75788, t75791, t75794, t75801, t75804, t75806, t75810;
  double t75811, t75815, t75817, t75818, t75821, t75826, t75830, t75833;
  double t75836, t75839, t75841, t75843, t75847, t75852, t75853, t75855;
  double t75858, t75859, t75867, t75871, t75877, t75880, t75883, t75896;
  double t75898, t75901, t75908, t75909, t75910, t75915, t75917, t75918;
  double t75920, t75922, t75924, t75925, t75930, t75935, t75954, t75955;
  double t75956, t75959, t75964, t75966, t75969, t75978, t75980, t75982;
  double t75983, t75997, t75998, t75999, t76002, t76004, t76006, t76008;
  double t76009, t76019, t76021, t76022, t76024, t76025, t76027, t76029;
  double t76030, t76031, t76034, t76044, t76046, t76047, t76050, t76056;
  double t76059, t76073, t76075, t76077, t76085, t76088, t76098, t76111;
  double t76113, t76116, t76121, t76132, t76140, t76151, t76156, t76163;
  double t76166, t76172, t76176, t76177, t76178, t76179, t76181, t76183;
  double t76184, t76185, t76187, t76189, t76190, t76191, t76192, t76193;
  double t76194, t76197, t76198, t76199, t76217, t76218, t76219, t76224;
  double t76226, t76231, t76235, t76238, t76242, t76250, t76255, t76257;
  double t76260, t76263, t76264, t76265, t76280, t76282, t76284, t76286;
  double t76288, t76294, t76297, t76299, t76301, t76324, t76325, t76330;
  double t76331, t76334, t76336, t76338, t76340, t76341, t76343, t76346;
  double t76354, t76361, t76362, t76365, t76368, t76371, t76373, t76375;
  double t76380, t76381, t76384, t76388, t76393, t76396, t76397, t76400;
  double t76403, t76408, t76415, t76420, t76426, t76431, t76434, t76439;
  double t76442, t76447, t76455, t76457, t76458, t76461, t76466, t76468;
  double t76470, t76471, t76472, t76473, t76474, t76475, t76476, t76478;
  double t76481, t76484, t76485, t76490, t76491, t76492, t76497, t76499;
  double t76500, t76502, t76503, t76504, t76507, t76508, t76516, t76517;
  double t76519, t76520, t76521, t76525, t76528, t76533, t76534, t76537;
  double t76540, t76541, t76542, t76547, t76550, t76553, t76556, t76560;
  double t76563, t76570, t76571, t76573, t76574, t76576, t76577, t76578;
  double t76582, t76587, t76590, t76592, t76595, t76598, t76607, t76610;
  double t76613, t76617, t76620, t76624, t76627, t76629, t76637, t76641;
  double t76645, t76648, t76651, t76653, t76655, t76656, t76658, t76659;
  double t76660, t76661, t76662, t76663, t76664, t76665, t76669, t76671;
  double t76673, t76675, t76678, t76681, t76684, t76688, t76691, t76700;
  double t76701, t76707, tv4rhosigma30, tv4rhosigma31, tv4rhosigma32, tv4rhosigma33, tv4rhosigma34, tv4rhosigma35;
  double tv4rhosigma36, tv4rhosigma37, tv4rhosigma38, t76709, t76711, t76712, t76716, t76717;
  double t76718, t76720, t76721, t76722, t76724, t76725, t76726, t76728;
  double t76729, t76732, t76734, t76735, t76736, t76737, t76738, t76739;
  double t76740, t76741, t76742, t76743, t76745, t76746, t76748, t76749;
  double t76751, t76753, t76754, t76758, t76761, t76763, t76764, t76766;
  double t76767, t76769, t76771, t76773, t76774, t76776, t76778, t76780;
  double t76787, t76788, t76790, t76791, t76793, t76799, t76800, t76801;
  double t76805, t76811, t76816, t76823, t76825, t76826, t76832, t76833;
  double t76834, t76836, t76838, t76840, t76842, t76844, t76846, t76847;
  double t76849, t76866, t76869, t76872, t76876, t76877, t76878, t76882;
  double t76889, t76890, t76891, t76892, t76901, t76912, t76915, t76917;
  double t76918, t76922, tv4rhosigma39, t76936, t76940, t76942, t76943, t76950;
  double t76959, t76961, t76963, t76964, t76965, t76969, t76986, t76987;
  double t76998, t77000, t77001, t77004, t77007, t77015, t77017, t77029;
  double t77031, t77033, t77037, tv4rhosigma310, tv4rhosigma311, tv4rhosigma312, tv4rhosigma313, tv4rhosigma314;
  double tv4rhosigma315, tv4rhosigma316, tv4rhosigma317, tv4rhosigma318, t77045, t77052, t77065, t77068;
  double t77069, t77071, t77082, t77086, t77090, t77092, t77095, t77099;
  double t77105, t77106, t77108, t77116, t77121, t77125, t77133, t77136;
  double t77139, t77152, t77155, t77157, t77158, t77159, t77161, t77162;
  double t77164, t77170, t77174, t77185, t77189, t77192, t77198, t77199;
  double t77201, t77210, t77215, t77217, t77219, t77237, t77239, t77242;
  double t77245, t77249, t77253, t77256, t77259, t77260, t77265, t77268;
  double t77270, t77272, t77274, t77285, t77289, t77290, t77292, t77294;
  double t77295, t77299, t77303, t77305, t77308, t77312, t77318, t77321;
  double t77326, t77330, t77331, t77332, t77333, t77335, t77336, t77347;
  double t77356, t77360, t77367, t77376, t77378, t77380, t77384, t77385;
  double t77391, t77395, t77396, t77399, t77406, t77411, t77417, t77418;
  double t77422, t77426, t77428, t77430, t77436, t77441, t77445, t77447;
  double t77450, t77451, t77452, t77456, t77472, t77482, t77484, t77485;
  double t77487, t77489, t77490, t77491, t77492, t77493, t77500, t77506;
  double t77510, t77512, t77514, t77523, t77524, t77529, t77532, t77535;
  double t77538, t77539, t77550, t77554, t77556, t77557, t77558, t77559;
  double t77561, t77569, t77578, t77581, t77582, t77585, t77588, t77591;
  double t77592, t77597, t77600, t77603, t77606, t77610, t77612, t77615;
  double t77619, t77621, t77622, t77625, t77627, t77631, t77632, t77633;
  double t77637, t77642, t77651, t77652, t77658, t77665, t77668, t77670;
  double t77674, t77677, t77680, t77689, t77695, t77698, t77700, t77709;
  double t77714, t77715, t77716, t77719, t77721, t77724, t77726, t77729;
  double t77734, t77737, t77740, t77745, t77750, t77759, t77767, t77772;
  double t77778, t77788, t77791, t77794, t77797, t77799, t77801, t77802;
  double t77803, t77805, t77806, t77807, t77809, t77810, t77813, t77815;
  double t77818, t77823, t77829, t77832, t77839, t77848, t77853, t77857;
  double t77867, t77868, t77871, t77874, t77877, t77882, t77883, t77885;
  double t77887, t77889, t77891, t77895, t77896, t77898, t77901, t77902;
  double t77904, t77905, t77906, t77908, t77909, t77915, t77917, t77918;
  double t77919, t77921, t77923, t77926, t77927, t77931, t77933, t77939;
  double t77942, t77943, t77945, t77946, t77947, t77949, t77951, t77955;
  double t77958, t77964, t77982, t77984, t77986, t77988, t77989, t77990;
  double t77991, t77992, t77994, t77996, t77997, t77999, t78000, t78001;
  double t78003, t78007, t78009, t78013, t78019, t78021, t78023, t78025;
  double t78031, t78038, t78040, t78043, t78046, t78049, t78062, t78077;
  double t78107, t78110, t78112, t78113, t78115, t78116, t78124, t78125;
  double t78126, t78130, t78131, t78132, t78135, t78137, t78138, t78139;
  double t78142, t78143, t78146, t78148, t78150, t78151, t78153, t78154;
  double t78155, t78156, t78157, t78160, t78165, t78168, t78171, t78173;
  double t78175, t78176, t78179, t78183, t78185, t78188, t78191, t78198;
  double t78204, t78209, t78215, t78220, t78224, t78233, t78236, t78238;
  double t78241, t78245, t78246, t78249, t78255, t78259, t78262, t78267;
  double t78272, t78273, t78274, t78278, t78281, t78284, t78287, t78292;
  double t78293, t78296, t78299, t78302, t78303, t78307, t78315, t78318;
  double t78323, t78327, t78331, t78334, t78337, t78341, t78344, t78347;
  double t78350, t78351, t78354, t78355, t78357, t78359, t78360, t78361;
  double t78363, t78366, t78374, t78376, t78379, t78381, t78384, t78387;
  double t78390, t78391, t78392, t78393, t78394, t78396, t78397, t78398;
  double t78400, t78402, t78404, t78407, t78409, t78411, t78414, t78417;
  double t78422, t78427, t78434, t78437, t78444, t78446, t78449, t78453;
  double t78470, t78486, t78491, t78492, t78499, t78512, t78515, t78517;
  double t78519, t78520, t78523, t78525, t78528, t78532, t78535, t78537;
  double t78545, t78548, t78550, t78552, t78564, t78566, t78569, t78575;
  double tv4rhosigma319, t78577, t78579, t78582, t78583, t78584, t78585, t78596;
  double t78599, t78604, t78606, t78607, t78608, t78609, t78612, t78613;
  double t78616, t78617, t78618, t78619, t78620, t78621, t78622, t78623;
  double t78624, t78626, t78629, t78634, t78638, t78642, t78644, t78646;
  double t78647, t78653, t78655, t78656, t78657, t78659, t78660, t78666;
  double t78667, t78668, t78675, t78679, t78683, t78686, t78689, t78690;
  double t78691, t78692, t78694, t78695, t78697, t78698, t78714, t78715;
  double t78716, t78717, t78718, t78721, t78722, t78725, t78726, t78730;
  double t78731, t78745, t78746, t78747, t78752, t78753, t78754, t78757;
  double t78759, t78760, t78761, t78762, t78764, t78765, t78767, t78768;
  double t78769, t78770, t78771, t78778, t78779, t78781, t78782, t78783;
  double t78784, t78785, t78786, t78788, t78789, t78790, t78791, t78792;
  double t78793, t78794, t78795, t78798, t78799, t78804, t78807, t78812;
  double t78822, t78826, t78833, t78834, t78837, t78838, t78842, t78845;
  double t78846, t78847, t78850, t78851, t78854, t78855, t78858, t78861;
  double t78862, t78865, t78867, t78874, t78877, t78879, t78881, t78884;
  double t78887, t78890, t78893, t78896, t78903, t78904, t78912, t78913;
  double t78915, t78918, t78919, t78920, t78921, t78922, t78927, t78932;
  double t78946, t78949, t78955, t78965, t78973, t78982, t78984, t78985;
  double t78990, t78992, t78993, t78995, t78996, t78997, t78999, t79000;
  double t79001, t79012, t79028, t79031, t79034, t79053, t79054, t79055;
  double t79056, t79058, t79060, t79061, t79075, t79081, t79082, t79083;
  double t79084, t79085, t79087, t79088, t79091, t79094, t79098, t79103;
  double t79107, t79117, t79124, t79127, t79131, t79134, t79149, t79152;
  double t79153, t79154, t79157, t79159, t79162, t79166, t79167, t79170;
  double t79171, t79174, t79177, t79181, t79182, t79183, t79186, t79189;
  double t79191, t79194, t79197, t79200, t79203, t79205, t79208, t79211;
  double t79213, t79217, t79222, t79225, t79228, t79231, t79232, t79234;
  double t79237, t79238, t79239, t79242, t79243, t79244, t79245, t79246;
  double t79247, t79248, t79249, t79257, t79266, t79272, t79274, t79276;
  double t79278, t79280, t79285, t79297, t79307, t79308, t79310, t79311;
  double t79315, t79320, t79323, t79326, t79332, t79333, t79335, t79337;
  double t79339, t79341, t79343, t79345, t79346, t79349, t79350, t79353;
  double t79356, t79359, t79363, t79366, t79367, t79368, t79369, t79370;
  double t79374, t79378, t79386, t79387, t79390, t79396, t79406, t79407;
  double t79411, t79412, t79414, t79415, t79416, t79417, t79418, t79419;
  double t79421, t79422, t79423, t79424, t79425, t79426, t79431, t79434;
  double t79441, t79444, t79445, t79446, t79451, t79452, t79453, t79454;
  double t79455, t79456, t79460, t79462, t79463, t79465, t79466, t79467;
  double t79468, t79471, t79472, t79475, t79479, t79482, t79485, t79486;
  double t79487, t79488, t79489, t79491, t79495, t79498, t79501, t79502;
  double t79503, t79504, t79505, t79506, t79507, t79508, t79509, t79510;
  double t79513, t79514, t79515, t79518, t79528, t79537, t79538, t79543;
  double t79545, t79546, t79547, t79551, t79552, t79553, t79557, t79561;
  double t79563, t79567, t79572, t79573, t79574, t79576, t79577, t79578;
  double t79579, t79580, t79581, t79584, t79585, t79586, t79588, t79589;
  double t79608, t79612, t79616, t79620, t79624, t79625, t79638, t79641;
  double t79643, t79644, t79657, t79660, t79663, t79664, t79665, t79668;
  double t79672, t79673, t79674, t79675, t79679, t79687, t79688, t79693;
  double t79698, t79699, t79700, t79701, t79702, t79706, t79711, t79715;
  double t79716, t79719, t79722, t79723, t79732, t79733, t79734, t79735;
  double t79741, t79743, t79744, t79745, t79747, t79750, t79763, t79773;
  double t79779, t79783, t79791, t79793, t79794, t79801, t79802, t79811;
  double t79812, t79813, t79816, t79823, t79828, t79831, t79832, t79833;
  double t79834, t79837, t79848, t79850, t79852, t79853, t79854, t79855;
  double t79862, t79867, t79874, t79877, t79880, t79881, t79882, t79883;
  double t79884, t79888, t79892, t79895, t79899, t79903, t79913, t79914;
  double t79915, t79916, t79917, t79918, t79919, t79920, t79921, t79924;
  double t79927, t79928, t79929, t79930, t79931, t79932, t79933, t79934;
  double t79937, t79938, t79941, t79942, t79945, t79948, t79949, t79950;
  double t79951, t79960, t79961, t79964, t79965, t79966, t79967, t79968;
  double t79969, t79970, t79971, t79976, t79980, t79981, t79982, t79987;
  double t79994, t79995, t79996, t79997, t80000, t80003, t80004, t80011;
  double t80016, t80019, t80022, t80025, t80028, t80031, t80034, t80037;
  double t80040, t80045, t80048, t80058, t80063, t80064, t80065, t80066;
  double t80069, t80072, t80073, t80076, t80079, t80080, t80081, t80082;
  double t80083, t80088, t80089, t80090, t80091, t80094, t80095, t80096;
  double t80099, t80102, t80109, t80112, t80113, t80114, t80115, t80116;
  double t80117, t80118, t80119, t80120, t80121, t80122, t80123, t80124;
  double t80127, t80130, t80133, t80136, t80145, t80148, t80154, t80159;
  double t80162, t80165, t80168, t80171, t80177, t80178, t80179, t80180;
  double t80183, t80184, t80185, t80186, t80187, t80188, t80189, t80190;
  double t80191, t80192, t80193, t80204, t80206, t80207, t80208, t80209;
  double t80210, t80211, t80217, t80220, t80223, t80226, t80227, t80228;
  double t80229, t80230, t80233, t80236, t80243, t80252, t80255, t80258;
  double t80263, t80269, t80270, t80271, t80274, t80275, t80279, t80291;
  double t80293, t80294, t80295, t80296, t80297, t80298, t80299, t80302;
  double t80305, t80306, t80307, t80308, t80309, t80310, t80311, t80312;
  double t80313, t80314, t80315, t80316, t80317, t80318, t80319, t80320;
  double t80323, t80333, t80336, t80337, t80338, t80339, t80341, t80343;
  double t80345, t80348, t80350, t80353, t80354, t80355, t80356, t80360;
  double t80364, t80374, t80375, t80381, t80392, t80400, t80403, t80405;
  double t80407, t80410, t80419, t80420, t80421, t80424, t80428, t80437;
  double t80438, t80440, t80441, t80450, t80451, t80452, t80453, t80454;
  double t80455, t80458, t80473, t80474, t80481, t80486, t80490, t80491;
  double t80496, t80499, t80502, t80503, t80506, t80508, t80509, t80512;
  double t80513, t80514, t80516, t80523, t80524, t80526, t80528, t80530;
  double t80531, t80532, t80533, t80534, t80539, t80540, t80543, t80550;
  double t80557, tv4rhosigma2lapl0, tv4rhosigma2lapl1, tv4rhosigma2lapl2, tv4rhosigma2lapl3, tv4rhosigma2lapl4, tv4rhosigma2lapl5, tv4rhosigma2lapl6;
  double tv4rhosigma2lapl7, tv4rhosigma2lapl8, tv4rhosigma2lapl9, tv4rhosigma2lapl10, t80560, t80562, t80564, t80566;
  double t80568, t80570, t80572, t80573, t80574, t80576, t80578, t80579;
  double t80580, t80581, t80586, t80592, t80593, t80604, t80605, t80606;
  double t80607, t80608, t80609, t80610, t80611, t80612, t80615, t80621;
  double t80622, t80628, t80629, t80630, t80631, t80632, t80633, t80634;
  double t80635, t80647, t80667, t80668, t80669, t80671, t80674, t80675;
  double t80682, t80685, t80687, t80691, t80693, t80695, t80696, t80697;
  double t80699, t80701, t80703, t80705, t80707, t80708, t80709, t80710;
  double t80711, t80713, t80715, t80717, t80720, t80727, t80728, t80734;
  double t80736, t80738, t80740, t80742, t80744, t80746, t80748, t80750;
  double t80752, t80756, t80759, t80761, t80763, t80764, t80766, t80767;
  double t80768, t80770, t80772, t80774, t80775, t80776, t80777, t80778;
  double t80779, t80780, t80782, t80784, t80786, t80787, t80790, t80793;
  double t80794, t80795, t80799, t80801, t80803, t80805, t80807, t80808;
  double t80812, t80816, tv4rhosigma2lapl11, t80818, t80819, t80837, t80838, t80842;
  double t80849, t80850, t80851, t80854, t80864, t80865, t80866, t80867;
  double t80870, t80891, t80892, t80893, t80900, t80901, t80902, t80903;
  double t80904, t80905, t80906, t80907, t80911, t80918, t80921, t80922;
  double t80939, t80946, t80947, t80951, tv4rhosigma2lapl12, tv4rhosigma2lapl13, tv4rhosigma2lapl14, tv4rhosigma2lapl15;
  double tv4rhosigma2lapl16, tv4rhosigma2lapl17, tv4rhosigma2lapl18, tv4rhosigma2lapl19, tv4rhosigma2lapl20, tv4rhosigma2lapl21, tv4rhosigma2lapl22, t80954;
  double t80960, t80961, t80962, t80963, t80965, t80969, t80972, t80973;
  double t80976, t80978, t80979, t80980, t80982, t80983, t80984, t80991;
  double t80995, t80996, t80998, t80999, t81000, t81002, t81003, t81004;
  double t81005, t81006, t81007, t81009, t81010, t81017, t81018, t81022;
  double t81023, t81026, t81029, t81030, t81031, t81036, t81037, t81044;
  double t81045, t81048, t81053, t81060, t81073, t81081, t81084, t81087;
  double t81091, t81105, t81108, t81109, t81116, t81126, t81127, t81131;
  double t81132, t81133, t81136, t81139, t81140, t81141, t81142, t81143;
  double t81146, t81149, t81152, t81159, t81164, t81180, t81181, t81183;
  double t81184, t81185, t81186, t81187, t81188, t81189, t81190, t81191;
  double t81192, t81193, t81194, t81195, t81196, t81197, t81198, t81199;
  double t81200, t81203, t81204, t81205, t81206, t81207, t81208, t81210;
  double t81211, t81212, t81213, t81214, t81215, t81216, t81219, t81220;
  double t81237, t81238, t81241, t81242, t81245, t81260, t81261, t81264;
  double t81267, t81270, t81271, t81272, t81276, t81277, t81280, t81283;
  double t81284, t81286, t81289, t81292, t81296, t81303, t81305, t81307;
  double t81310, t81313, t81316, t81319, t81321, t81324, t81327, t81328;
  double t81329, t81330, t81334, t81335, t81336, t81337, t81340, t81341;
  double t81350, t81353, t81354, t81359, t81364, t81371, t81372, t81375;
  double t81379, t81380, t81384, t81388, t81392, t81404, t81405, t81407;
  double t81412, t81414, t81417, t81420, t81423, t81428, t81431, t81432;
  double t81433, t81437, t81445, t81448, t81449, t81450, t81451, t81452;
  double t81455, t81456, t81459, t81462, t81463, t81464, t81466, t81477;
  double t81481, t81485, t81489, t81494, t81500, t81501, t81502, t81503;
  double t81504, t81507, t81509, t81510, t81511, t81512, t81514, t81515;
  double t81516, t81518, t81531, t81532, t81533, t81534, t81537, t81538;
  double t81545, t81547, t81550, t81557, t81563, t81565, t81566, t81573;
  double t81574, t81575, t81577, t81578, t81581, t81582, t81583, t81586;
  double t81589, t81603, t81606, t81610, t81613, t81616, t81617, t81618;
  double t81619, t81623, t81624, t81625, t81626, t81627, t81628, t81629;
  double t81630, t81631, t81632, t81635, t81637, t81640, t81642, t81645;
  double t81649, t81656, t81665, t81666, t81671, t81676, t81677, t81679;
  double t81680, t81681, t81682, t81683, t81684, t81686, t81687, t81688;
  double t81690, t81691, t81692, t81694, t81695, t81696, t81697, t81699;
  double t81700, t81701, t81709, t81712, t81721, t81724, t81739, t81740;
  double t81741, t81742, t81747, t81748, t81749, t81750, t81751, t81752;
  double t81753, t81754, t81755, t81756, t81761, t81764, t81767, t81768;
  double t81769, t81770, t81771, t81773, t81780, t81781, t81784, t81785;
  double t81794, t81799, t81800, t81803, t81804, t81811, t81814, t81815;
  double t81818, t81823, t81824, t81825, t81827, t81828, t81829, t81831;
  double t81832, t81833, t81838, t81839, t81840, t81842, t81843, t81844;
  double t81855, t81856, t81859, t81860, t81865, t81866, t81869, t81870;
  double t81871, t81872, t81873, t81874, t81875, t81876, t81881, t81882;
  double t81883, t81886, t81887, t81890, t81891, t81892, t81893, t81894;
  double t81895, t81896, t81898, t81899, t81900, t81903, t81904, t81907;
  double t81908, t81909, t81910, t81911, t81917, t81918, t81919, t81920;
  double t81921, t81922, t81923, t81924, t81925, t81926, t81927, t81932;
  double t81935, t81936, t81937, t81940, t81945, t81948, t81949, t81950;
  double t81951, t81952, t81953, t81954, t81955, t81956, t81961, t81964;
  double t81967, t81970, t81971, t81982, t81985, t81988, t81991, t81992;
  double t81997, t81998, t81999, t82000, t82001, t82015, t82017, t82019;
  double t82020, t82021, t82022, t82023, t82024, t82025, t82028, t82031;
  double t82036, t82039, t82042, t82043, t82045, t82050, t82053, t82056;
  double t82057, t82058, t82059, t82062, t82065, t82069, t82082, t82085;
  double t82088, t82091, t82094, t82097, t82100, t82101, t82104, t82109;
  double t82113, t82118, t82119, t82120, t82121, t82122, t82123, t82125;
  double t82128, t82129, t82130, t82131, t82136, t82139, t82142, t82145;
  double t82148, t82151, t82155, t82156, t82157, t82158, t82167, t82170;
  double t82171, t82172, t82173, t82174, t82175, t82176, t82177, t82178;
  double t82179, t82182, t82185, t82190, t82193, t82196, t82199, t82202;
  double t82207, t82210, t82213, t82214, t82215, t82218, t82221, t82222;
  double t82223, t82224, t82229, t82231, t82234, t82235, t82236, t82237;
  double t82242, t82243, t82244, t82245, t82246, t82247, t82248, t82249;
  double t82255, t82265, t82269, t82274, t82278, t82282, t82284, t82286;
  double t82297, t82306, t82310, t82328, t82329, t82337, t82340, t82345;
  double t82356, t82358, t82361, t82367, t82371, t82372, t82373, t82377;
  double t82381, t82387, t82391, t82392, t82393, t82394, t82395, t82396;
  double t82397, t82398, t82399, t82403, t82415, t82420, t82429, t82434;
  double t82445, t82448, t82449, t82452, t82455, t82456, t82460, t82463;
  double t82466, t82471, t82514, t82518, t82521, t82524, t82527, t82530;
  double t82533, t82536, t82539, t82547, t82548, t82550, t82551, t82552;
  double t82556, t82560, t82564, t82568, t82571, t82575, t82579, t82582;
  double t82588, t82589, t82590, t82594, t82599, t82610, t82614, t82617;
  double t82620, t82622, t82626, t82630, t82634, t82638, t82642, t82647;
  double t82654, t82661, t82677, t82690, t82699, t82707, t82711, t82712;
  double t82716, t82719, t82722, t82725, t82734, t82737, t82744, t82745;
  double t82746, t82747, t82748, t82751, t82755, t82756, t82758, t82759;
  double t82760, t82762, t82767, t82771, t82774, t82780, t82781, t82782;
  double t82783, t82784, t82786, t82787, t82789, t82790, t82801, t82804;
  double t82811, tv4rhosigma2lapl23, t82813, t82814, t82815, t82816, t82819, t82820;
  double t82821, t82822, t82823, t82824, t82825, t82826, t82828, t82830;
  double t82835, t82836, t82839, t82844, t82847, t82850, t82851, t82852;
  double t82853, t82854, t82856, t82857, t82879, t82881, t82883, t82884;
  double t82886, t82888, t82893, t82894, t82913, t82923, t82928, t82933;
  double t82948, t82954, t82955, t82958, t82959, t82987, t82988, t82989;
  double t82991, t82992, t82993, t82994, t82995, t82996, t83011, t83022;
  double t83023, t83024, t83025, t83026, t83027, t83031, t83032, t83033;
  double t83037, t83038, t83060, t83061, t83063, t83065, t83067, t83069;
  double t83071, t83073, t83074, t83077, t83080, t83081, t83084, t83087;
  double t83093, t83097, t83106, t83109, t83110, t83111, t83112, t83113;
  double t83114, t83126, t83140, t83141, t83142, t83143, t83145, t83146;
  double t83148, t83149, t83150, t83160, t83164, t83166, t83167, t83168;
  double t83170, t83172, t83173, t83174, t83188, t83189, t83190, t83191;
  double t83192, t83193, t83194, t83196, t83197, t83198, t83206, t83215;
  double t83223, t83224, t83226, t83233, t83234, t83235, t83236, t83237;
  double t83238, t83239, t83259, t83260, t83265, t83270, t83272, t83291;
  double t83294, t83296, t83297, t83299, t83300, t83316, t83318, t83319;
  double t83326, t83327, t83328, t83329, t83338, t83339, t83341, t83342;
  double t83344, t83345, t83346, t83347, t83348, t83350, t83352, t83354;
  double t83357, t83358, t83360, t83362, t83365, t83366, t83368, t83369;
  double t83371, t83372, t83390, t83402, t83403, t83405, t83406, t83409;
  double t83437, t83438, t83439, t83448, t83449, t83450, t83451, t83452;
  double t83453, t83454, t83464, t83470, t83472, t83478, t83482, t83483;
  double t83484, t83485, t83490, t83495, t83500, t83501, t83505, t83513;
  double t83514, t83516, t83517, t83519, t83520, t83532, t83533, t83536;
  double t83548, t83550, t83552, t83554, t83555, t83572, t83575, t83582;
  double t83587, t83592, t83593, t83596, t83600, t83601, t83610, t83616;
  double t83618, t83635, t83652, t83654, t83655, t83656, t83658, t83659;
  double t83660, t83661, t83679, t83680, t83681, t83683, t83690, t83701;
  double t83729, t83742, t83748, t83749, t83750, t83751, t83760, t83761;
  double t83762, t83763, t83764, t83765, t83766, t83768, t83772, t83779;
  double t83784, t83788, t83806, t83808, t83810, t83812, t83813, t83815;
  double t83816, t83818, t83819, t83845, t83866, t83869, t83874, t83884;
  double t83912, t83919, t83922, t83926, t83931, t83932, t83936, t83941;
  double t83948, t83950, t83952, t83956, t83961, t83962, t83963, t83964;
  double t83965, t83971, t83972, t83973, t83979, t83984, t83995, t83998;
  double t84002, t84006, t84008, t84010, t84012, t84013, t84014, t84016;
  double t84017, t84018, t84019, t84021, t84022, t84023, t84024, t84025;
  double t84026, t84027, t84050, t84075, t84096, t84101, t84104, t84106;
  double t84107, t84108, t84111, t84112, t84113, t84114, t84127, t84142;
  double t84143, t84148, t84151, t84152, t84160, t84174, t84176, t84191;
  double t84216, t84222, t84223, t84224, t84227, t84253, t84267, t84270;
  double t84279, t84281, t84283, t84294, t84303, t84304, t84305, t84306;
  double t84310, t84327, t84328, t84329, t84330, t84331, t84332, t84336;
  double t84338, t84341, t84349, t84350, t84355, t84356, t84357, t84358;
  double t84365, t84374, t84392, t84393, t84396, t84405, t84406, t84407;
  double t84408, t84409, t84410, t84411, t84412, t84420, t84423, t84424;
  double t84431, t84432, t84437, t84445, t84448, t84449, t84456, t84457;
  double t84459, t84463, t84464, t84465, t84466, t84479, t84480, t84483;
  double t84506, t84512, t84526, t84551, t84561, t84562, t84572, t84581;
  double t84584, t84585, t84588, t84589, t84592, t84593, t84594, t84601;
  double t84602, t84616, t84617, t84618, t84623, t84624, t84641, t84652;
  double t84655, t84656, t84657, t84659, t84660, t84663, t84664, t84675;
  double t84686, t84706, t84713, tv4rhosigma2tau0, tv4rhosigma2tau1, tv4rhosigma2tau2, tv4rhosigma2tau3, tv4rhosigma2tau4;
  double tv4rhosigma2tau5, tv4rhosigma2tau6, tv4rhosigma2tau7, tv4rhosigma2tau8, tv4rhosigma2tau9, tv4rhosigma2tau10, t84716, t84718;
  double t84720, t84722, t84723, t84724, t84725, t84732, t84739, t84743;
  double t84752, t84763, t84764, t84766, t84767, t84768, t84769, t84771;
  double t84772, t84773, t84776, t84777, t84778, t84779, t84783, t84784;
  double t84785, t84787, t84789, t84790, t84793, t84794, t84797, t84798;
  double t84800, t84801, t84803, t84805, t84809, t84821, t84844, t84846;
  double t84848, t84850, t84852, t84854, t84856, t84858, t84861, t84862;
  double t84864, t84866, t84867, t84872, t84874, t84875, t84876, t84877;
  double t84878, t84879, t84880, t84882, t84884, t84887, t84889, t84891;
  double t84893, t84895, t84897, t84899, t84907, t84908, t84912, t84913;
  double t84915, t84917, t84918, t84920, t84922, t84924, t84925, t84926;
  double t84928, t84929, t84931, t84934, t84935, t84938, t84939, t84947;
  double t84949, t84950, t84951, t84952, t84960, t84961, t84962, t84964;
  double t84966, t84968, t84969, t84970, t84982, t84983, t84984, t84985;
  double t84986, t84989, t84991, t84993, t84995, t85003, t85005, t85007;
  double t85010, t85016, t85023, t85024, t85029, tv4rhosigma2tau11, t85035, t85036;
  double t85040, t85041, t85044, t85045, t85056, t85061, t85064, t85065;
  double t85066, t85067, t85068, t85088, t85089, t85090, t85102, t85117;
  double t85136, t85137, t85140, t85141, t85150, t85159, t85160, t85163;
  double t85164, t85165, t85166, t85167, t85168, t85173, t85182, t85197;
  double t85202, tv4rhosigma2tau12, tv4rhosigma2tau13, tv4rhosigma2tau14, tv4rhosigma2tau15, tv4rhosigma2tau16, tv4rhosigma2tau17, tv4rhosigma2tau18;
  double tv4rhosigma2tau19, tv4rhosigma2tau20, tv4rhosigma2tau21, tv4rhosigma2tau22, t85204, t85205, t85206, t85207;
  double t85208, t85209, t85225, t85226, t85229, t85244, t85265, t85285;
  double t85290, t85291, t85294, t85314, t85319, t85322, t85323, t85324;
  double t85325, t85327, t85328, t85329, t85330, t85331, t85335, t85336;
  double t85347, t85353, t85354, t85355, t85356, t85373, t85374, t85375;
  double t85376, t85377, t85385, t85394, t85395, t85403, t85408, t85409;
  double t85416, t85417, t85418, t85419, t85420, t85447, t85450, t85457;
  double t85467, t85468, t85475, t85478, t85481, t85482, t85483, t85484;
  double t85487, t85498, t85501, t85502, t85508, t85513, t85515, t85524;
  double t85528, t85543, t85570, t85580, t85592, t85601, t85624, t85657;
  double t85661, t85662, t85663, t85668, t85687, t85692, t85696, t85701;
  double t85709, t85710, t85723, t85736, t85741, t85744, t85752, t85758;
  double t85764, t85771, t85773, t85774, t85778, t85794, t85795, t85796;
  double t85797, t85802, t85811, t85815, t85816, t85822, t85823, t85828;
  double t85831, t85832, t85833, t85834, t85840, t85841, t85842, t85843;
  double t85844, t85845, t85847, t85848, t85853, t85878, t85880, t85883;
  double t85884, t85886, t85887, t85895, t85917, t85947, t85950, t85952;
  double t85955, t85973, t86004, t86013, t86017, t86020, t86023, t86032;
  double t86033, t86034, t86035, t86036, t86037, t86038, t86052, t86057;
  double t86060, t86073, t86104, t86134, t86144, t86151, t86152, t86153;
  double t86154, t86155, t86156, t86157, t86158, t86159, t86164, t86175;
  double t86181, t86191, t86193, t86204, t86205, t86206, t86207, t86208;
  double t86209, t86210, t86211, t86212, t86213, t86216, t86220, t86221;
  double t86231, t86232, t86236, t86243, t86244, t86245, t86250, t86253;
  double t86254, t86262, t86263, t86264, t86273, t86274, t86275, t86276;
  double t86280, t86281, t86283, t86284, t86287, t86296, t86301, t86306;
  double t86337, t86364, t86385, t86388, t86393, t86396, t86397, t86398;
  double t86399, t86404, t86408, t86409, t86410, t86412, t86413, t86415;
  double t86416, t86417, t86418, t86419, t86420, t86421, t86438, t86439;
  double t86442, t86443, t86444, t86446, t86447, t86448, t86450, t86451;
  double t86452, t86461, t86465, t86468, t86469, t86471, t86472, t86474;
  double t86475, t86477, t86478, t86480, t86481, t86483, t86484, t86485;
  double t86486, t86487, t86493, t86497, t86499, t86500, t86502, t86503;
  double t86511, t86512, t86514, t86515, t86528, t86533, t86534, t86549;
  double t86551, t86552, t86553, t86554, t86555, t86573, t86579, t86582;
  double t86586, t86599, t86600, t86601, t86624, t86629, t86630, t86637;
  double t86642, t86643, t86652, t86653, t86658, t86659, t86660, t86661;
  double t86662, t86666, t86667, t86672, t86679, t86688, t86689, t86706;
  double t86713, t86714, t86721, t86737, t86738, t86739, t86740, t86741;
  double t86754, t86755, t86756, t86757, t86764, t86778, t86783, t86798;
  double t86799, t86800, t86801, t86802, t86812, t86813, t86814, t86815;
  double t86820, t86821, t86822, t86833, t86854, t86855, t86857, t86862;
  double t86863, t86868, t86869, t86874, t86885, t86886, t86893, t86894;
  double t86895, t86906, t86907, t86908, t86909, t86927, t86953, t86960;
  double tv4rhosigma2tau23, t86962, t86963, t86964, t86965, t86966, t86967, t86968;
  double t86971, t86972, t86973, t86976, t86977, t86978, t86981, t86982;
  double t86985, t86988, t86991, t86994, t86995, t86996, t86998, t87002;
  double t87004, t87005, t87008, t87028, t87030, t87031, t87034, t87035;
  double t87042, t87053, t87056, t87059, t87060, t87063, t87066, t87067;
  double t87070, t87075, t87076, t87086, t87087, t87088, t87091, t87092;
  double t87099, t87102, t87111, t87118, t87122, t87124, t87129, t87135;
  double t87143, t87144, t87145, t87150, t87151, t87156, t87158, t87159;
  double t87160, t87166, t87171, t87179, t87180, t87181, t87183, t87189;
  double t87197, t87198, t87199, t87200, t87201, t87202, t87203, t87204;
  double t87207, t87212, t87213, t87214, t87215, t87224, t87230, t87235;
  double t87236, t87238, t87259, t87271, t87294, t87316, t87318, t87321;
  double t87326, t87327, t87328, t87329, t87334, t87336, t87338, t87340;
  double t87342, t87344, t87346, t87347, t87348, t87354, t87355, t87358;
  double t87366, t87376, t87382, t87384, t87390, t87392, t87394, t87395;
  double t87397, t87399, t87402, t87406, t87411, t87412, t87428, t87434;
  double t87435, t87436, t87437, t87438, t87439, t87443, t87445, t87447;
  double t87448, t87449, t87454, t87455, t87464, t87466, t87473, t87478;
  double t87479, t87480, t87487, t87489, t87491, t87493, t87503, t87506;
  double t87512, t87513, t87516, t87518, t87521, t87524, t87526, t87529;
  double t87531, t87538, t87539, t87542, t87543, t87544, t87547, t87548;
  double t87549, t87554, t87555, t87558, t87561, t87562, t87563, t87566;
  double t87571, t87574, t87577, t87578, t87579, t87580, t87581, t87582;
  double t87585, t87587, t87590, t87593, t87601, t87604, t87608, t87621;
  double t87622, t87623, t87624, t87625, t87626, t87627, t87630, t87634;
  double t87653, t87658, t87668, t87672, t87682, t87685, t87688, t87691;
  double t87695, t87698, t87701, t87703, t87705, t87707, t87708, t87717;
  double t87733, t87741, t87754, t87756, t87758, t87759, t87761, t87763;
  double t87771, t87773, t87776, t87778, t87784, t87792, t87793, t87794;
  double t87796, t87797, t87798, t87800, t87801, t87802, t87806, t87810;
  double t87811, t87812, t87815, t87816, t87821, t87822, t87823, t87825;
  double t87830, t87831, t87832, t87833, t87834, t87838, t87842, t87848;
  double t87850, t87853, t87856, t87863, t87867, t87871, t87881, t87884;
  double t87892, t87901, t87904, t87905, t87906, t87907, t87913, t87919;
  double t87924, t87930, t87931, t87932, t87933, t87936, t87937, t87939;
  double t87940, t87941, t87944, t87945, t87946, t87951, t87954, t87955;
  double t87956, t87957, t87958, t87959, t87960, t87961, t87962, t87963;
  double t87974, t87977, t87999, t88005, t88007, t88008, t88010, t88012;
  double t88015, t88016, t88017, t88018, t88019, t88020, t88021, t88025;
  double t88029, t88031, t88032, t88033, t88034, t88035, t88036, t88037;
  double t88038, t88042, t88046, t88047, t88048, t88049, t88050, t88051;
  double t88052, t88053, t88054, t88055, t88060, t88061, t88064, t88067;
  double t88070, t88073, t88075, t88078, t88079, t88080, t88083, t88084;
  double t88085, t88086, t88089, t88094, t88097, t88100, t88101, t88102;
  double t88107, t88110, t88113, t88118, t88122, t88126, t88129, t88130;
  double t88132, t88133, t88134, t88135, t88136, t88137, t88140, t88141;
  double t88144, t88151, t88154, t88155, t88158, t88161, t88164, t88167;
  double t88170, t88173, t88176, t88177, t88180, t88185, t88188, t88189;
  double t88190, t88193, t88196, t88199, t88202, t88212, t88213, t88218;
  double t88219, t88224, t88229, t88234, t88237, t88240, t88243, t88244;
  double t88247, t88248, t88249, t88250, t88251, t88253, t88256, t88262;
  double t88263, t88264, t88265, t88266, t88275, t88280, t88285, t88290;
  double t88293, t88294, t88295, t88296, t88300, t88301, t88304, t88305;
  double t88308, t88309, t88310, t88314, t88315, t88316, t88317, t88320;
  double t88323, t88326, t88329, t88332, t88333, t88334, t88335, t88337;
  double t88341, t88342, t88347, t88348, t88351, t88352, t88353, t88354;
  double t88357, t88360, t88362, t88365, t88370, t88373, t88377, t88380;
  double t88385, t88388, t88391, t88396, t88397, t88398, t88399, t88400;
  double t88403, t88406, t88407, t88410, t88421, t88424, t88425, t88426;
  double t88427, t88428, t88429, t88430, t88431, t88432, t88433, t88434;
  double t88435, t88436, t88437, t88438, t88447, t88454, t88457, t88458;
  double t88463, t88468, t88474, t88475, t88479, t88481, t88483, t88491;
  double t88497, t88498, t88505, t88508, t88509, t88518, t88523, t88525;
  double t88534, t88535, t88536, t88540, t88545, t88549, t88554, t88558;
  double t88559, t88560, t88562, t88563, t88564, t88567, t88568, t88569;
  double t88573, t88576, t88577, t88578, t88581, t88585, t88596, t88605;
  double t88609, t88613, t88615, t88620, t88635, t88636, t88640, t88652;
  double t88653, t88657, t88661, t88662, t88663, t88664, t88665, t88668;
  double t88671, t88672, t88681, t88702, t88703, t88704, t88705, t88706;
  double t88708, t88709, t88713, t88717, t88719, t88720, t88724, t88733;
  double t88734, t88736, t88739, t88740, t88743, t88746, t88755, t88761;
  double t88762, t88765, t88768, t88776, t88779, t88780, t88796, t88798;
  double t88800, t88801, t88802, t88804, t88805, t88809, t88813, t88827;
  double t88830, t88833, t88834, t88837, t88843, t88847, t88851, t88854;
  double t88858, t88865, t88866, t88867, t88868, t88869, t88873, t88874;
  double t88879, t88888, t88891, t88892, t88893, t88894, t88895, t88896;
  double t88897, t88898, t88901, t88904, t88908, t88911, t88914, t88917;
  double t88918, t88922, t88925, t88933, t88934, t88935, t88936, t88937;
  double t88938, t88939, t88940, t88947, t88950, t88953, t88954, t88961;
  double t88962, t88965, t88968, t88971, t88972, t88973, t88977, t88984;
  double t88987, t88993, t88994, t88995, t89001, t89005, t89009, t89013;
  double t89014, t89015, t89016, t89017, t89018, t89019, t89035, t89042;
  double t89046, t89051, t89057, t89060, t89064, t89069, t89073, t89077;
  double t89080, t89081, t89084, t89085, t89086, t89087, t89091, t89097;
  double t89098, t89099, t89102, t89111, t89119, t89120, t89122, t89123;
  double t89124, t89128, t89135, t89138, t89141, t89143, t89144, t89145;
  double t89146, t89147, t89148, t89149, t89152, t89155, t89159, t89162;
  double t89165, t89169, t89170, t89171, t89175, t89180, t89184, t89185;
  double t89186, t89193, tv4rhosigmalapl20, tv4rhosigmalapl21, tv4rhosigmalapl22, tv4rhosigmalapl23, tv4rhosigmalapl24, tv4rhosigmalapl25;
  double tv4rhosigmalapl26, tv4rhosigmalapl27, t89195, t89197, t89198, t89199, t89201, t89203;
  double t89205, t89207, t89225, t89226, t89227, t89228, t89231, t89232;
  double t89233, t89240, t89241, t89244, t89245, t89262, t89263, t89265;
  double t89266, t89267, t89268, t89269, t89270, t89272, t89274, t89276;
  double t89277, t89278, t89280, t89282, t89284, t89290, t89292, t89294;
  double t89296, t89297, t89299, t89301, t89308, t89309, t89311, t89312;
  double t89314, t89315, t89316, t89318, t89320, t89322, t89324, t89326;
  double t89328, t89329, t89334, t89336, t89338, t89344, t89346, t89348;
  double t89355, t89357, t89359, t89360, t89361, t89363, t89365, t89372;
  double t89374, t89384, t89386, t89388, t89390, t89392, t89394, t89396;
  double t89398, t89400, t89402, t89409, t89410, t89411, t89413, t89414;
  double t89415, t89416, t89417, t89419, t89420, t89421, t89422, t89423;
  double t89424, t89425, t89442, t89446, t89448, t89450, t89451, t89452;
  double t89454, t89456, t89458, t89460, t89461, t89462, t89465, t89473;
  double t89478, tv4rhosigmalapl28, t89502, t89503, t89505, t89506, t89507, t89508;
  double t89515, t89516, t89525, t89562, t89572, t89573, t89574, t89579;
  double t89580, t89581, t89584, t89585, t89595, t89603, t89604, t89605;
  double t89606, t89607, t89608, t89609, t89621, t89622, t89623, t89628;
  double tv4rhosigmalapl29, tv4rhosigmalapl210, tv4rhosigmalapl211, tv4rhosigmalapl212, tv4rhosigmalapl213, tv4rhosigmalapl214, tv4rhosigmalapl215, tv4rhosigmalapl216;
  double t89630, t89632, t89636, t89643, t89647, t89651, t89653, t89657;
  double t89661, t89668, t89669, t89670, t89671, t89674, t89675, t89676;
  double t89678, t89679, t89682, t89685, t89692, t89693, t89699, t89704;
  double t89709, t89718, t89728, t89729, t89730, t89733, t89753, t89754;
  double t89763, t89779, t89790, t89792, t89797, t89798, t89800, t89801;
  double t89802, t89803, t89804, t89805, t89806, t89807, t89808, t89809;
  double t89810, t89811, t89812, t89813, t89814, t89815, t89819, t89820;
  double t89821, t89822, t89823, t89824, t89825, t89826, t89827, t89828;
  double t89829, t89830, t89831, t89840, t89841, t89856, t89882, t89902;
  double t89919, t89920, t89921, t89922, t89923, t89930, t89931, t89944;
  double t89945, t89949, t89953, t89956, t89957, t89962, t89967, t89968;
  double t89969, t89970, t89971, t89972, t89973, t89974, t89975, t89976;
  double t89981, t89984, t89986, t89991, t89996, t89999, t90004, t90005;
  double t90010, t90011, t90012, t90021, t90022, t90023, t90024, t90025;
  double t90026, t90027, t90028, t90031, t90034, t90039, t90042, t90044;
  double t90045, t90046, t90047, t90048, t90049, t90050, t90053, t90054;
  double t90055, t90056, t90061, t90065, t90066, t90073, t90088, t90089;
  double t90093, t90094, t90098, t90102, t90103, t90104, t90107, t90108;
  double t90112, t90114, t90117, t90118, t90121, t90122, t90127, t90130;
  double t90131, t90134, t90135, t90138, t90141, t90142, t90146, t90148;
  double t90151, t90153, t90157, t90163, t90167, t90171, t90175, t90179;
  double t90196, t90199, t90203, t90204, t90210, t90213, t90216, t90226;
  double t90235, t90236, t90252, t90253, t90262, t90263, t90267, t90268;
  double t90272, t90273, t90275, t90276, t90283, t90286, t90287, t90292;
  double t90294, t90297, t90300, t90303, t90306, t90309, t90310, t90311;
  double t90312, t90318, t90326, t90336, t90343, t90346, t90347, t90352;
  double t90355, t90358, t90361, t90363, t90364, t90367, t90370, t90373;
  double t90380, t90382, t90383, t90384, t90385, t90386, t90387, t90388;
  double t90389, t90390, t90392, t90399, t90403, t90407, t90410, t90411;
  double t90412, t90413, t90414, t90415, t90416, t90422, t90429, t90433;
  double t90437, t90440, t90443, t90444, t90447, t90448, t90452, t90456;
  double t90459, t90464, t90487, t90491, t90492, t90493, t90494, t90495;
  double t90496, t90497, t90498, t90499, t90500, t90501, t90502, t90507;
  double t90510, t90511, t90514, t90515, t90517, t90521, t90524, t90526;
  double t90529, t90533, t90535, t90542, t90548, t90554, t90559, t90562;
  double t90565, t90568, t90570, t90571, t90572, t90573, t90574, t90576;
  double t90577, t90578, t90579, t90580, t90581, t90584, t90585, t90586;
  double t90587, t90588, t90589, t90590, t90591, t90592, t90593, t90594;
  double t90595, t90596, t90600, t90601, t90602, t90603, t90604, t90605;
  double t90610, t90637, t90658, t90674, t90701, t90703, t90705, t90712;
  double t90713, t90716, t90718, t90722, t90723, t90726, t90736, t90740;
  double t90741, t90746, t90749, t90752, t90760, t90763, t90766, t90769;
  double t90777, t90786, t90791, t90792, t90793, t90796, t90799, t90802;
  double t90805, t90810, t90815, t90816, t90817, t90818, t90823, t90827;
  double t90832, t90836, t90854, t90857, t90859, t90863, t90870, t90873;
  double t90876, t90877, t90882, t90884, t90888, t90892, t90895, t90899;
  double t90907, t90910, t90914, t90924, t90928, t90936, t90938, t90944;
  double t90947, t90951, t90956, t90957, t90959, t90960, t90961, t90963;
  double t90964, t90965, t90968, t90974, t90981, t90982, t90983, t90990;
  double t90998, t91003, t91006, t91011, t91015, t91017, t91020, t91021;
  double t91024, t91027, t91034, t91039, t91060, t91061, t91062, t91063;
  double t91076, t91081, t91082, t91084, t91086, t91087, t91098, t91101;
  double t91106, t91107, t91108, t91109, t91112, t91118, t91121, t91126;
  double t91132, t91139, t91140, t91146, t91149, t91150, t91151, t91152;
  double t91155, t91156, t91165, t91168, t91175, t91178, t91185, t91189;
  double t91192, t91197, t91201, t91223, t91238, t91239, t91240, t91243;
  double t91246, t91249, t91250, t91253, t91258, t91261, t91268, t91269;
  double t91270, t91271, t91272, t91275, t91278, t91279, t91280, t91283;
  double t91284, t91287, t91288, t91291, t91294, t91297, t91300, t91301;
  double t91302, t91303, t91304, t91307, t91314, t91317, t91319, t91322;
  double t91325, t91326, t91331, t91344, t91349, t91352, t91355, t91358;
  double t91361, t91367, t91370, t91373, t91375, t91378, t91381, t91386;
  double t91389, t91392, t91395, t91396, t91397, t91398, t91399, t91400;
  double t91401, t91402, t91403, t91404, t91405, t91408, t91411, t91414;
  double t91415, t91424, t91427, t91431, t91435, t91440, t91444, t91447;
  double t91449, t91450, t91452, t91453, t91456, t91458, t91466, t91469;
  double t91470, t91473, t91474, t91475, t91476, t91477, t91478, t91479;
  double t91480, t91483, t91490, t91491, t91492, t91493, t91494, t91495;
  double t91496, t91497, t91498, t91499, t91500, t91504, t91505, t91508;
  double t91509, t91510, t91511, t91514, t91517, t91520, t91524, t91533;
  double t91536, t91539, t91542, t91543, t91544, t91547, t91550, t91555;
  double t91559, t91561, t91563, t91573, t91580, t91583, t91584, t91589;
  double t91592, t91597, t91602, t91604, t91606, t91607, t91614, t91616;
  double t91619, t91622, t91625, t91630, t91635, t91638, t91647, t91654;
  double t91657, t91660, t91661, t91662, t91663, t91664, t91665, t91666;
  double t91667, t91674, t91681, t91683, t91684, t91685, t91686, t91687;
  double t91688, t91689, t91690, t91691, t91692, t91693, t91694, t91695;
  double t91696, t91701, t91702, t91706, t91712, t91721, t91722, t91723;
  double t91730, tv4rhosigmalapl217, t91736, t91737, t91740, t91741, t91742, t91776;
  double t91805, t91825, t91826, t91829, t91837, t91839, t91841, t91842;
  double t91848, t91854, t91877, t91885, t91886, t91900, t91912, t91918;
  double t91921, t91945, t91948, t91951, t91954, t91964, t91965, t91975;
  double t91992, t91998, t92008, t92015, t92017, t92018, t92021, t92022;
  double t92033, t92042, t92061, t92083, t92084, t92097, t92119, t92154;
  double t92155, t92167, t92169, t92171, t92177, t92194, t92211, t92219;
  double t92220, t92221, t92223, t92248, t92256, t92257, t92263, t92264;
  double t92265, t92268, t92285, t92286, t92288, t92295, t92299, t92307;
  double t92315, t92324, t92327, t92332, t92358, t92366, t92397, t92399;
  double t92402, t92435, t92439, t92442, t92451, t92453, t92455, t92476;
  double t92484, t92494, t92496, t92498, t92500, t92503, t92505, t92507;
  double t92509, t92511, t92512, t92535, t92541, t92550, t92567, t92581;
  double t92583, t92602, t92614, t92626, t92643, t92647, t92648, t92649;
  double t92652, t92693, t92696, t92704, t92705, t92709, t92710, t92713;
  double t92714, t92718, t92719, t92725, t92734, t92739, t92748, t92754;
  double t92774, t92778, t92779, t92789, t92790, t92795, t92812, t92816;
  double t92839, t92851, t92856, t92858, t92860, t92865, t92898, t92902;
  double t92905, t92907, t92909, t92911, t92935, t92940, t92946, t92954;
  double t92961, t92969, t92991, t92992, t92998, t93007, t93010, t93011;
  double t93014, t93020, t93022, t93024, t93025, t93035, t93038, t93045;
  double t93051, t93052, t93071, t93089, t93094, t93096, t93107, t93112;
  double t93120, t93131, t93138, t93151, t93170, t93180, t93186, t93199;
  double t93201, t93207, t93209, t93211, t93213, t93215, t93220, t93221;
  double t93234, t93237, t93245, t93261, t93263, t93271, t93294, t93307;
  double t93327, t93331, t93336, t93339, t93342, t93382, t93391, t93393;
  double t93395, t93417, t93423, t93456, t93458, t93460, t93461, t93463;
  double t93465, t93470, t93489, t93495, t93499, t93516, t93518, t93532;
  double t93572, t93573, t93590, t93595, t93606, t93623, t93630, t93654;
  double t93666, t93675, t93678, t93681, t93695, t93698, t93703, t93708;
  double t93711, t93714, t93715, t93729, t93739, t93753, t93770, t93800;
  double t93820, t93866, t93887, t93896, t93902, t93918, t93920, t93934;
  double t93957, t93991, t94006, t94009, t94032, t94085, t94101, t94121;
  double t94146, t94147, t94149, t94153, t94155, t94179, t94182, t94187;
  double t94188, t94192, t94193, t94196, t94199, t94210, t94213, t94219;
  double t94224, t94226, t94228, t94229, t94236, tv4rhosigmalapltau0, tv4rhosigmalapltau1, tv4rhosigmalapltau2;
  double tv4rhosigmalapltau3, tv4rhosigmalapltau4, tv4rhosigmalapltau5, tv4rhosigmalapltau6, tv4rhosigmalapltau7, tv4rhosigmalapltau8, tv4rhosigmalapltau9, tv4rhosigmalapltau10;
  double t94239, t94241, t94243, t94245, t94247, t94264, t94266, t94272;
  double t94274, t94276, t94280, t94282, t94284, t94285, t94287, t94288;
  double t94291, t94293, t94295, t94297, t94306, t94314, t94316, t94318;
  double t94319, t94323, t94325, t94332, t94334, t94335, t94337, t94339;
  double t94343, t94366, t94369, t94371, t94373, t94375, t94377, t94382;
  double t94384, t94386, t94387, t94403, t94410, t94414, t94416, t94418;
  double t94420, t94422, t94424, t94433, t94447, t94449, t94451, t94453;
  double t94462, t94474, t94478, t94480, t94482, t94484, t94486, t94488;
  double t94489, t94493, t94499, t94501, t94502, t94506, t94508, t94514;
  double t94516, t94518, t94520, t94528, t94530, t94532, t94533, t94535;
  double t94537, t94543, t94545, t94555, t94557, t94559, t94561, t94563;
  double t94564, t94567, t94569, t94571, t94573, t94575, t94580, t94582;
  double t94583, t94586, t94591, tv4rhosigmalapltau11, t94608, t94615, t94631, t94643;
  double t94648, t94659, t94661, t94673, t94693, t94704, t94716, t94727;
  double t94740, t94749, t94775, t94780, t94785, tv4rhosigmalapltau12, tv4rhosigmalapltau13, tv4rhosigmalapltau14;
  double tv4rhosigmalapltau15, tv4rhosigmalapltau16, tv4rhosigmalapltau17, tv4rhosigmalapltau18, tv4rhosigmalapltau19, tv4rhosigmalapltau20, tv4rhosigmalapltau21, tv4rhosigmalapltau22;
  double t94801, t94804, t94805, t94847, t94851, t94855, t94856, t94879;
  double t94882, t94885, t94888, t94889, t94899, t94906, t94915, t94927;
  double t94931, t94956, t94982, t94983, t94999, t95009, t95033, t95048;
  double t95054, t95063, t95082, t95085, t95121, t95134, t95141, t95142;
  double t95163, t95168, t95170, t95189, t95215, t95233, t95241, t95248;
  double t95275, t95292, t95295, t95329, t95357, t95366, t95367, t95371;
  double t95373, t95399, t95402, t95403, t95414, t95422, t95447, t95454;
  double t95459, t95481, t95488, t95489, t95503, t95505, t95521, t95527;
  double t95529, t95538, t95542, t95575, t95582, t95583, t95586, t95591;
  double t95606, t95607, t95610, t95611, t95643, t95666, t95680, t95696;
  double t95700, t95706, t95712, t95718, t95719, t95733, t95768, t95799;
  double t95806, t95809, t95821, t95822, t95829, t95844, t95854, t95876;
  double t95877, t95880, t95883, t95887, t95894, t95915, t95951, t95957;
  double t95971, t95978, t95989, t95992, t96014, t96034, t96038, t96041;
  double t96044, t96047, t96058, t96060, t96073, t96102, t96109, t96117;
  double t96129, t96132, t96141, t96143, t96151, t96152, t96166, t96198;
  double t96236, t96245, t96259, t96263, t96271, t96275, t96277, t96280;
  double t96298, t96310, t96313, t96316, t96361, t96386, t96389, t96400;
  double t96404, t96407, t96419, t96435, t96452, t96460, t96461, t96478;
  double t96500, t96528, t96570, t96579, t96582, t96617, t96621, t96628;
  double t96632, t96637, t96650, t96657, t96660, t96672, t96686, t96711;
  double t96716, t96719, t96731, t96738, t96755, t96767, t96771, t96793;
  double t96828, t96835, t96851, t96886, t96912, t96936, t96955, t96965;
  double t96971, t96983, t96985, t97005, t97021, t97036, t97058, t97092;
  double t97100, t97103, t97110, tv4rhosigmalapltau23, t97112, t97113, t97114, t97115;
  double t97116, t97117, t97122, t97127, t97128, t97129, t97130, t97134;
  double t97136, t97138, t97149, t97154, t97156, t97158, t97160, t97168;
  double t97169, t97173, t97174, t97186, t97191, t97206, t97208, t97209;
  double t97214, t97226, t97240, t97253, t97255, t97256, t97258, t97260;
  double t97262, t97264, t97265, t97266, t97292, t97299, t97303, t97305;
  double t97312, t97324, t97325, t97326, t97327, t97346, t97385, t97401;
  double t97405, t97413, t97426, t97446, t97453, t97454, t97462, t97473;
  double t97474, t97483, t97498, t97499, t97508, t97509, t97511, t97521;
  double t97522, t97533, t97538, t97544, t97545, t97546, t97547, t97549;
  double t97551, t97553, t97555, t97556, t97558, t97560, t97562, t97566;
  double t97568, t97569, t97573, t97575, t97577, t97579, t97581, t97584;
  double t97585, t97596, t97597, t97602, t97603, t97604, t97633, t97644;
  double t97662, t97684, t97686, t97709, t97712, t97729, t97734, t97739;
  double t97742, t97752, t97753, t97755, t97757, t97758, t97759, t97760;
  double t97761, t97767, t97769, t97771, t97780, t97792, t97803, t97804;
  double t97808, t97811, t97812, t97813, t97817, t97833, t97838, t97870;
  double t97906, t97915, t97916, t97922, t97926, t97929, t97930, t97931;
  double t97932, t97933, t97934, t97935, t97936, t97937, t97938, t97939;
  double t97940, t97951, t97952, t97966, t97968, t97973, t97974, t97978;
  double t97979, t97983, t97984, t98005, t98022, t98050, t98051, t98052;
  double t98053, t98054, t98057, t98058, t98059, t98060, t98069, t98086;
  double t98100, t98101, t98102, t98107, t98108, t98109, t98113, t98116;
  double t98117, t98124, t98139, t98141, t98144, t98145, t98161, t98164;
  double t98166, t98167, t98168, t98169, t98170, t98176, t98177, t98179;
  double t98180, t98185, t98186, t98200, t98202, t98204, t98206, t98208;
  double t98209, t98211, t98213, t98214, t98215, t98217, t98226, t98243;
  double t98244, t98250, t98271, t98272, t98280, t98282, t98286, t98291;
  double t98299, t98306, t98307, t98308, t98309, t98317, t98320, t98325;
  double t98328, t98332, t98333, t98343, t98346, t98351, t98357, t98364;
  double t98382, t98411, t98422, t98426, t98429, t98435, t98439, t98462;
  double t98466, t98477, t98483, t98505, t98506, t98507, t98508, t98522;
  double t98524, t98525, t98553, t98560, t98561, t98562, t98563, t98564;
  double t98565, t98584, t98592, t98608, t98624, t98631, t98632, t98633;
  double t98634, t98635, t98636, t98637, t98650, t98658, t98659, t98660;
  double t98665, t98666, t98689, t98690, t98691, t98692, t98695, t98712;
  double t98717, t98724, t98726, t98727, t98728, t98729, t98730, t98731;
  double t98732, t98733, t98735, t98736, t98737, t98756, t98757, t98759;
  double t98780, t98781, t98783, t98784, t98789, t98803, t98804, t98805;
  double t98806, t98807, t98809, t98811, t98813, t98816, t98819, t98823;
  double t98825, t98827, t98828, t98829, t98838, t98847, t98877, t98902;
  double t98909, t98924, t98944, t98963, t98964, t98966, t98968, t98975;
  double t98990, t99004, t99047, t99088, t99089, t99092, t99109, t99115;
  double t99116, t99118, t99119, t99120, t99132, t99164, t99165, t99179;
  double t99193, t99197, t99200, t99201, t99203, t99216, t99220, t99255;
  double t99258, t99289, t99323, t99329, t99357, t99364, t99369, t99383;
  double t99386, t99403, t99407, t99428, t99431, t99432, t99436, t99438;
  double t99439, t99440, t99442, t99443, t99454, t99461, t99462, t99464;
  double t99472, t99491, t99498, tv4rhosigmatau20, tv4rhosigmatau21, tv4rhosigmatau22, tv4rhosigmatau23, tv4rhosigmatau24;
  double tv4rhosigmatau25, tv4rhosigmatau26, tv4rhosigmatau27, t99501, t99503, t99505, t99507, t99515;
  double t99517, t99519, t99520, t99521, t99523, t99524, t99526, t99528;
  double t99532, t99534, t99536, t99538, t99540, t99542, t99544, t99545;
  double t99552, t99553, t99554, t99555, t99556, t99558, t99559, t99561;
  double t99573, t99575, t99577, t99579, t99581, t99583, t99584, t99585;
  double t99588, t99589, t99606, t99614, t99618, t99620, t99621, t99622;
  double t99624, t99626, t99627, t99630, t99632, t99634, t99645, t99647;
  double t99649, t99654, t99655, t99656, t99657, t99661, t99674, t99678;
  double t99679, t99681, t99683, t99685, t99687, t99688, t99690, t99714;
  double t99717, t99719, t99720, t99721, t99730, t99738, t99739, t99741;
  double t99743, t99745, t99746, t99747, t99748, t99749, t99756, t99757;
  double t99761, t99763, t99765, t99767, t99769, t99771, t99775, t99780;
  double t99786, t99791, t99792, t99793, t99794, t99795, t99796, t99801;
  double t99805, t99811, t99813, t99814, t99815, t99816, t99820, t99822;
  double t99824, t99826, t99828, t99829, t99830, t99832, t99834, t99837;
  double t99842, tv4rhosigmatau28, t99854, t99855, t99864, t99874, t99875, t99878;
  double t99881, t99882, t99885, t99886, t99889, t99895, t99904, t99918;
  double t99919, t99928, t99934, t99935, t99936, t99955, t99961, t99964;
  double t99969, t99970, t99978, t99997, t100003, t100021, t100026, tv4rhosigmatau29;
  double tv4rhosigmatau210, tv4rhosigmatau211, tv4rhosigmatau212, tv4rhosigmatau213, tv4rhosigmatau214, tv4rhosigmatau215, tv4rhosigmatau216, t100028;
  double t100029, t100030, t100034, t100039, t100052, t100053, t100054, t100070;
  double t100078, t100090, t100093, t100099, t100105, t100121, t100126, t100127;
  double t100131, t100136, t100156, t100161, t100169, t100207, t100225, t100246;
  double t100266, t100268, t100280, t100281, t100285, t100286, t100290, t100296;
  double t100297, t100326, t100331, t100335, t100347, t100348, t100349, t100350;
  double t100351, t100360, t100361, t100362, t100363, t100367, t100371, t100372;
  double t100373, t100394, t100398, t100399, t100417, t100418, t100421, t100426;
  double t100427, t100444, t100445, t100448, t100451, t100454, t100466, t100467;
  double t100468, t100469, t100488, t100517, t100532, t100559, t100566, t100570;
  double t100571, t100572, t100577, t100595, t100608, t100613, t100628, t100641;
  double t100653, t100658, t100685, t100715, t100719, t100720, t100723, t100742;
  double t100748, t100772, t100776, t100777, t100800, t100813, t100820, t100841;
  double t100846, t100847, t100853, t100858, t100861, t100867, t100868, t100870;
  double t100871, t100872, t100908, t100914, t100915, t100916, t100917, t100918;
  double t100919, t100937, t100949, t100956, t100969, t100971, t100972, t100973;
  double t100975, t100976, t100996, t101006, t101021, t101022, t101027, t101036;
  double t101037, t101046, t101052, t101082, t101089, t101099, t101109, t101110;
  double t101111, t101112, t101113, t101121, t101124, t101125, t101126, t101127;
  double t101129, t101130, t101132, t101133, t101152, t101167, t101168, t101169;
  double t101193, t101207, t101208, t101209, t101210, t101211, t101218, t101238;
  double t101239, t101240, t101241, t101242, t101243, t101244, t101245, t101256;
  double t101278, t101279, t101280, t101281, t101292, t101311, t101312, t101319;
  double t101331, t101336, t101358, t101381, t101382, t101385, t101390, t101391;
  double t101392, t101393, t101394, t101395, t101396, t101397, t101398, t101399;
  double t101400, t101401, t101402, t101403, t101404, t101417, t101423, t101454;
  double t101477, t101490, t101491, t101498, t101527, t101555, t101560, t101561;
  double t101562, t101563, t101569, t101578, t101581, t101585, t101589, t101590;
  double t101591, t101592, t101596, t101609, t101613, t101617, t101627, t101628;
  double t101629, t101630, t101637, t101640, t101644, t101651, t101652, t101655;
  double t101658, t101670, t101671, t101672, t101676, t101679, t101680, t101692;
  double t101698, t101701, t101731, t101745, t101758, t101759, t101760, t101761;
  double t101764, t101765, t101766, t101769, t101770, t101771, t101774, t101782;
  double t101791, t101800, t101801, t101816, t101825, t101844, t101845, t101846;
  double t101847, t101868, t101874, t101879, t101887, t101904, t101924, t101955;
  double t101975, t101976, t101980, t101981, t101991, t101992, t101993, t101994;
  double t101995, t101996, t102025, t102028, t102033, t102036, t102037, t102056;
  double t102083, t102116, t102143, t102180, t102183, t102184, t102185, t102186;
  double t102187, t102209, t102238, t102257, t102264, tv4rhosigmatau217, t102278, t102288;
  double t102291, t102293, t102298, t102301, t102303, t102308, t102322, t102332;
  double t102335, t102340, t102341, t102345, t102349, t102354, t102356, t102359;
  double t102360, t102361, t102367, t102372, t102381, t102387, t102391, t102392;
  double t102396, t102397, t102400, t102402, t102414, t102417, t102418, t102419;
  double t102424, t102427, t102431, t102434, t102435, t102439, t102440, t102444;
  double t102453, t102456, t102462, t102472, t102475, t102479, t102481, t102484;
  double t102487, t102494, t102498, t102499, t102500, t102506, t102509, t102513;
  double t102515, t102518, t102519, t102520, t102521, t102522, t102524, t102526;
  double t102528, t102536, t102538, t102543, t102550, t102558, t102565, t102570;
  double t102578, t102581, t102582, t102583, t102586, t102594, t102608, t102611;
  double t102614, t102617, t102621, t102626, t102640, t102645, t102648, t102651;
  double t102658, t102661, t102668, t102670, t102673, t102689, t102708, t102715;
  double t102717, t102719, t102726, t102730, t102738, t102740, t102747, t102749;
  double t102751, t102753, t102755, t102757, t102759, t102761, t102763, t102765;
  double t102767, t102768, t102770, t102773, t102776, t102779, t102786, t102793;
  double t102795, t102796, t102797, t102802, t102804, t102805, t102806, t102809;
  double t102815, t102818, t102823, t102828, t102829, t102835, t102845, t102846;
  double t102852, t102865, t102867, t102880, t102884, t102888, t102890, t102900;
  double t102911, t102916, t102918, t102923, t102929, t102933, t102934, t102938;
  double t102954, t102955, t102957, t102959, t102960, t102967, t102968, t102979;
  double t102981, t102982, t102992, t103001, t103005, t103008, t103013, t103016;
  double t103019, t103022, t103025, t103029, t103042, t103060, t103063, t103089;
  double t103094, t103096, t103098, t103103, t103107, t103108, t103113, t103118;
  double t103127, t103130, t103134, t103136, t103138, t103145, t103150, t103156;
  double t103173, t103182, t103183, t103184, t103186, t103208, t103213, t103222;
  double t103224, t103234, t103236, t103237, t103238, t103239, t103243, t103247;
  double t103250, t103255, t103258, t103264, t103269, t103278, t103283, t103284;
  double t103291, t103300, t103304, t103307, t103309, t103312, t103313, t103316;
  double t103317, t103322, t103325, t103330, t103336, t103337, t103338, t103346;
  double t103347, t103352, t103359, t103363, t103368, t103369, t103372, t103379;
  double t103380, t103382, t103385, t103387, t103400, t103403, t103407, t103408;
  double t103415, t103418, t103423, t103426, t103431, t103434, t103437, t103441;
  double t103443, t103444, t103449, t103460, t103463, t103468, t103475, t103480;
  double t103484, t103491, t103492, t103499, t103504, t103515, t103518, t103521;
  double t103524, t103527, t103530, t103531, t103544, t103547, t103548, t103555;
  double t103561, t103562, t103563, t103574, t103576, t103584, t103587, t103591;
  double t103595, t103599, t103601, t103609, t103613, t103621, t103626, t103629;
  double t103641, t103647, t103648, t103655, t103658, t103664, tv4rholapl30, tv4rholapl31;
  double tv4rholapl32, t103666, t103667, t103669, t103670, t103679, t103680, t103682;
  double t103684, t103687, t103693, t103701, t103703, t103705, t103707, t103708;
  double t103720, t103722, t103724, t103726, t103727, t103729, t103730, t103732;
  double t103734, t103742, t103744, t103745, t103747, t103749, t103751, t103753;
  double t103755, t103757, t103764, t103765, t103769, t103773, t103775, t103777;
  double t103778, t103780, t103782, t103784, t103786, t103788, t103793, t103800;
  double t103802, t103804, t103806, t103812, t103814, t103815, t103817, t103818;
  double t103823, t103834, t103835, t103836, t103837, t103838, t103839, t103842;
  double t103853, t103857, tv4rholapl33, t103871, t103883, t103884, t103888, t103892;
  double t103893, t103909, t103912, t103926, t103938, t103940, t103957, t103961;
  double tv4rholapl34, tv4rholapl35, tv4rholapl36, t103966, t103967, t103970, t103971, t103987;
  double t103990, t103994, t103997, t104000, t104004, t104014, t104021, t104025;
  double t104046, t104049, t104050, t104053, t104055, t104060, t104063, t104087;
  double t104090, t104091, t104092, t104095, t104107, t104116, t104123, t104124;
  double t104127, t104130, t104141, t104153, t104156, t104159, t104172, t104183;
  double t104185, t104188, t104200, t104204, t104210, t104215, t104221, t104232;
  double t104240, t104243, t104246, t104249, t104252, t104256, t104258, t104259;
  double t104260, t104266, t104267, t104278, t104287, t104294, t104296, t104305;
  double t104306, t104307, t104310, t104314, t104318, t104322, t104330, t104332;
  double t104351, t104363, t104370, t104373, t104380, t104384, t104385, t104394;
  double t104396, t104401, t104406, t104410, t104414, t104417, t104430, t104431;
  double t104447, t104453, t104459, t104463, t104467, t104468, t104473, t104476;
  double t104494, t104498, t104502, t104505, t104509, t104517, t104520, t104523;
  double t104526, t104539, t104540, t104547, t104551, t104556, t104567, t104568;
  double t104569, t104570, t104576, t104583, t104601, t104616, t104627, t104630;
  double t104632, t104635, t104640, t104643, t104646, t104648, t104654, t104657;
  double t104659, t104662, t104665, t104669, t104674, t104677, t104679, t104685;
  double t104688, t104692, t104704, t104706, t104709, t104710, t104714, t104721;
  double t104727, t104731, t104755, t104770, t104771, t104775, t104779, t104792;
  double t104799, t104803, t104810, t104813, t104820, t104827, t104832, t104838;
  double t104842, t104854, t104887, t104903, t104908, t104919, t104921, t104922;
  double t104923, t104926, t104929, t104930, t104933, t104936, t104941, t104944;
  double t104947, t104948, t104949, t104952, t104953, t104954, t104959, t104962;
  double t104969, t104973, t104976, t104979, t104980, t104984, t104988, t104991;
  double t104994, t104997, t105002, t105016, t105019, t105022, t105033, t105034;
  double t105035, t105038, t105041, t105042, t105045, t105055, t105058, t105059;
  double t105064, t105065, t105066, t105068, t105069, t105072, t105080, t105083;
  double t105086, t105089, t105092, t105097, t105102, t105107, t105116, t105131;
  double t105134, t105137, t105142, t105155, t105157, t105163, t105165, t105169;
  double t105181, t105183, t105184, t105187, t105189, t105193, t105196, t105199;
  double t105208, t105217, t105222, t105230, t105237, t105238, t105254, t105260;
  double t105262, t105268, tv4rholapl37, t105270, t105286, t105287, t105290, t105294;
  double t105295, t105299, t105301, t105304, t105307, t105310, t105313, t105322;
  double t105328, t105329, t105334, t105336, t105338, t105340, t105355, t105359;
  double t105370, t105373, t105383, t105410, t105432, t105434, t105435, t105443;
  double t105461, t105465, t105475, t105478, t105493, t105495, t105497, t105499;
  double t105501, t105502, t105503, t105506, t105508, t105524, t105525, t105530;
  double t105536, t105538, t105540, t105542, t105558, t105579, t105588, t105593;
  double t105603, t105620, t105634, t105637, t105645, t105658, t105678, t105707;
  double t105721, t105722, t105735, t105743, t105747, t105758, t105766, t105771;
  double t105789, t105790, t105793, t105794, t105795, t105798, t105819, t105825;
  double t105839, t105846, t105854, t105862, t105872, t105891, t105893, t105894;
  double t105904, t105911, t105915, t105924, t105928, t105956, t105966, t105968;
  double t105970, t105972, t105975, t105993, t106005, t106010, t106027, t106037;
  double t106044, t106053, t106069, t106073, t106091, t106096, t106108, t106131;
  double t106132, t106138, t106156, t106158, t106174, t106179, t106184, t106189;
  double t106195, t106201, t106209, t106213, t106214, t106222, t106225, t106226;
  double t106229, t106232, t106241, t106242, t106257, t106264, t106285, t106290;
  double t106294, t106319, t106322, t106342, t106361, t106367, t106372, t106402;
  double t106408, t106414, t106435, t106450, t106457, t106458, t106469, t106474;
  double t106502, t106525, t106547, t106549, t106550, t106555, t106560, t106582;
  double t106586, t106615, t106623, t106641, t106663, t106664, t106667, t106669;
  double t106671, t106673, t106683, t106712, t106714, t106716, t106718, t106719;
  double t106725, t106727, t106729, t106731, t106732, t106751, t106762, t106763;
  double t106768, t106771, t106773, t106776, t106778, t106790, t106792, t106793;
  double t106795, t106809, t106811, t106813, t106814, t106818, t106826, t106844;
  double t106845, t106847, t106849, t106851, t106853, t106855, t106865, t106870;
  double t106880, t106893, t106895, t106907, t106919, t106928, t106929, t106930;
  double t106950, t106951, t106957, t106962, t106971, t106979, t106986, t106989;
  double t107013, t107043, t107060, t107076, t107106, t107113, tv4rholapl2tau0, tv4rholapl2tau1;
  double tv4rholapl2tau2, tv4rholapl2tau3, tv4rholapl2tau4, t107120, t107122, t107124, t107126, t107128;
  double t107130, t107132, t107135, t107137, t107143, t107145, t107147, t107152;
  double t107153, t107156, t107157, t107158, t107160, t107162, t107164, t107166;
  double t107168, t107174, t107178, t107180, t107192, t107195, t107199, t107203;
  double t107205, t107212, t107214, t107216, t107219, t107220, t107223, t107226;
  double t107238, t107240, t107242, t107245, t107273, t107275, t107277, t107279;
  double t107281, t107283, t107286, t107291, t107296, t107300, t107308, t107314;
  double t107318, t107320, t107322, t107329, t107331, t107333, t107337, t107339;
  double t107341, t107343, t107348, t107351, t107353, t107355, t107357, t107366;
  double t107368, t107370, t107375, t107377, t107380, t107385, tv4rholapl2tau5, t107396;
  double t107398, t107406, t107420, t107434, t107457, t107489, t107491, t107498;
  double t107520, t107524, t107531, t107536, tv4rholapl2tau6, tv4rholapl2tau7, tv4rholapl2tau8, tv4rholapl2tau9;
  double tv4rholapl2tau10, t107546, t107572, t107575, t107577, t107578, t107583, t107587;
  double t107588, t107604, t107613, t107627, t107632, t107640, t107642, t107646;
  double t107654, t107659, t107660, t107682, t107692, t107703, t107727, t107733;
  double t107750, t107756, t107761, t107762, t107763, t107773, t107774, t107778;
  double t107791, t107810, t107811, t107837, t107842, t107858, t107863, t107868;
  double t107881, t107894, t107918, t107923, t107924, t107927, t107930, t107956;
  double t107977, t107992, t107998, t107999, t108019, t108029, t108033, t108044;
  double t108058, t108089, t108096, t108097, t108106, t108119, t108151, t108168;
  double t108186, t108196, t108209, t108210, t108219, t108222, t108226, t108234;
  double t108239, t108252, t108253, t108261, t108275, t108276, t108282, t108285;
  double t108296, t108299, t108306, t108312, t108316, t108317, t108318, t108324;
  double t108333, t108337, t108362, t108367, t108378, t108381, t108387, t108402;
  double t108419, t108422, t108425, t108444, t108455, t108475, t108477, t108490;
  double t108494, t108501, t108529, t108555, t108562, t108586, t108606, t108610;
  double t108622, t108631, t108664, t108668, t108669, t108679, t108687, t108705;
  double t108707, t108716, t108717, t108718, t108723, t108729, t108734, t108742;
  double t108752, t108753, t108759, t108764, t108767, t108769, t108773, t108776;
  double t108786, t108815, t108826, t108853, t108863, t108867, t108871, t108876;
  double t108883, t108886, t108905, t108923, t108924, t108939, t108942, t108952;
  double t108956, t108963, t108976, t109010, t109026, t109041, t109055, t109067;
  double t109071, t109089, t109108, t109113, t109150, t109152, t109158, t109167;
  double t109171, t109172, t109173, t109174, t109181, t109187, t109206, t109231;
  double t109244, t109251, t109258, tv4rholapl2tau11, t109280, t109300, t109319, t109337;
  double t109364, t109366, t109374, t109379, t109383, t109384, t109388, t109392;
  double t109395, t109399, t109406, t109407, t109411, t109418, t109423, t109428;
  double t109436, t109453, t109460, t109465, t109474, t109475, t109478, t109482;
  double t109484, t109490, t109492, t109505, t109509, t109515, t109524, t109525;
  double t109529, t109530, t109535, t109536, t109539, t109550, t109555, t109562;
  double t109573, t109585, t109601, t109603, t109609, t109611, t109613, t109620;
  double t109626, t109637, t109653, t109657, t109658, t109665, t109669, t109678;
  double t109696, t109711, t109746, t109752, t109754, t109765, t109786, t109788;
  double t109795, t109799, t109805, t109829, t109839, t109840, t109842, t109846;
  double t109862, t109872, t109896, t109907, t109909, t109932, t109934, t109937;
  double t109943, t109960, t109961, t109982, t109987, t109989, t109990, t110000;
  double t110002, t110008, t110035, t110038, t110068, t110085, t110087, t110089;
  double t110094, t110095, t110103, t110104, t110105, t110113, t110115, t110116;
  double t110131, t110147, t110161, t110167, t110179, t110180, t110186, t110187;
  double t110211, t110213, t110214, t110231, t110235, t110261, t110274, t110299;
  double t110303, t110305, t110307, t110314, t110346, t110351, t110388, t110397;
  double t110399, t110418, t110424, t110426, t110440, t110442, t110444, t110445;
  double t110448, t110457, t110470, t110476, t110478, t110480, t110482, t110484;
  double t110486, t110489, t110490, t110495, t110510, t110512, t110517, t110519;
  double t110536, t110553, t110591, t110622, t110627, t110651, t110659, t110676;
  double t110678, t110680, t110682, t110691, t110705, t110715, t110721, t110723;
  double t110729, t110749, t110758, t110765, t110771, t110776, t110784, t110796;
  double t110817, t110819, t110821, t110823, t110830, t110836, t110838, t110856;
  double t110887, t110929, t110959, t110965, t110996, t111000, t111002, t111018;
  double t111037, t111080, t111085, t111099, t111111, t111122, t111123, t111140;
  double t111143, t111157, t111173, t111182, t111186, t111200, t111209, t111212;
  double t111215, t111220, t111226, t111244, t111281, t111322, t111362, t111370;
  double t111384, t111392, t111401, t111416, t111437, t111456, t111461, t111490;
  double t111500, t111505, t111515, t111516, t111518, t111520, t111536, t111542;
  double t111544, t111546, t111550, t111564, t111571, tv4rholapltau20, tv4rholapltau21, tv4rholapltau22;
  double tv4rholapltau23, tv4rholapltau24, t111583, t111585, t111586, t111588, t111590, t111592;
  double t111593, t111595, t111597, t111599, t111601, t111603, t111605, t111607;
  double t111609, t111611, t111615, t111617, t111620, t111625, t111627, t111629;
  double t111632, t111634, t111636, t111651, t111670, t111674, t111676, t111694;
  double t111708, t111710, t111715, t111717, t111728, t111732, t111734, t111736;
  double t111738, t111741, t111743, t111745, t111747, t111750, t111758, t111760;
  double t111771, t111773, t111774, t111777, t111779, t111780, t111782, t111786;
  double t111788, t111790, t111792, t111794, t111796, t111798, t111800, t111802;
  double t111804, t111805, t111809, t111811, t111813, t111815, t111817, t111824;
  double t111832, t111834, t111836, t111838, t111840, t111842, t111844, t111850;
  double t111857, t111859, t111861, t111863, t111865, t111867, t111869, t111871;
  double t111872, t111876, t111878, t111883, t111888, tv4rholapltau25, t111910, t111919;
  double t111936, t111949, t111961, t111982, t111984, t111990, t111994, t111995;
  double t112006, t112011, t112014, t112024, t112042, t112055, t112060, tv4rholapltau26;
  double tv4rholapltau27, tv4rholapltau28, tv4rholapltau29, tv4rholapltau210, t112075, t112089, t112094, t112095;
  double t112098, t112132, t112154, t112178, t112192, t112194, t112200, t112227;
  double t112242, t112250, t112254, t112258, t112259, t112260, t112263, t112267;
  double t112271, t112277, t112281, t112289, t112302, t112325, t112343, t112344;
  double t112348, t112349, t112361, t112364, t112399, t112405, t112409, t112423;
  double t112431, t112434, t112456, t112457, t112464, t112465, t112466, t112467;
  double t112497, t112502, t112522, t112532, t112546, t112564, t112571, t112572;
  double t112591, t112594, t112624, t112635, t112653, t112659, t112667, t112672;
  double t112673, t112691, t112705, t112719, t112732, t112758, t112765, t112766;
  double t112776, t112792, t112812, t112818, t112831, t112853, t112860, t112861;
  double t112888, t112902, t112906, t112910, t112917, t112920, t112921, t112926;
  double t112930, t112944, t112946, t112955, t112963, t112984, t112988, t113000;
  double t113032, t113057, t113079, t113091, t113103, t113113, t113123, t113147;
  double t113162, t113165, t113170, t113201, t113215, t113227, t113248, t113252;
  double t113279, t113286, t113291, t113295, t113300, t113321, t113336, t113363;
  double t113370, t113391, t113408, t113413, t113436, t113440, t113465, t113484;
  double t113493, t113495, t113515, t113539, t113551, t113567, t113604, t113622;
  double t113638, t113642, t113648, t113649, t113658, t113661, t113697, t113699;
  double t113700, t113713, t113731, t113737, t113753, t113754, t113770, t113774;
  double t113789, t113799, t113816, t113824, t113830, t113831, t113854, t113890;
  double t113912, t113940, t113968, t114000, t114019, t114028, t114045, t114069;
  double t114087, t114116, t114131, t114146, t114169, t114187, t114194, t114217;
  double t114224, tv4rholapltau211, t114226, t114227, t114235, t114248, t114250, t114265;
  double t114272, t114278, t114282, t114283, t114286, t114288, t114290, t114291;
  double t114293, t114295, t114297, t114299, t114318, t114343, t114345, t114350;
  double t114361, t114389, t114394, t114405, t114408, t114409, t114410, t114415;
  double t114438, t114453, t114454, t114466, t114467, t114471, t114493, t114495;
  double t114496, t114501, t114503, t114505, t114512, t114523, t114528, t114539;
  double t114543, t114545, t114549, t114556, t114560, t114570, t114573, t114574;
  double t114577, t114582, t114585, t114597, t114607, t114610, t114623, t114632;
  double t114647, t114649, t114673, t114685, t114690, t114694, t114714, t114727;
  double t114732, t114743, t114752, t114764, t114815, t114819, t114821, t114823;
  double t114825, t114840, t114855, t114862, t114863, t114864, t114881, t114882;
  double t114890, t114895, t114915, t114937, t114942, t114944, t114946, t114948;
  double t114950, t114954, t114955, t114959, t114960, t114968, t114988, t114995;
  double t115001, t115018, t115042, t115044, t115046, t115051, t115072, t115077;
  double t115081, t115087, t115123, t115127, t115128, t115129, t115136, t115179;
  double t115185, t115187, t115188, t115212, t115213, t115226, t115231, t115256;
  double t115259, t115271, t115273, t115292, t115298, t115305, t115337, t115364;
  double t115371, t115394, t115401, t115439, t115482, t115491, t115498, t115502;
  double t115512, t115514, t115523, t115524, t115532, t115544, t115547, t115555;
  double t115559, t115562, t115602, t115603, t115604, t115606, t115607, t115609;
  double t115612, t115615, t115626, t115639, t115643, t115664, t115682, t115687;
  double t115707, t115717, t115727, t115761, t115775, t115779, t115784, t115792;
  double t115794, t115843, t115846, t115851, t115865, t115904, t115914, t115915;
  double t115925, t115927, t115929, t115931, t115933, t115935, t115937, t115939;
  double t115940, t115943, t115945, t115952, t115953, t115968, t115970, t115972;
  double t115980, t115989, t115995, t116002, t116005, t116011, tv4rhotau30, tv4rhotau31;
  double tv4rhotau32, t116017, t116019, t116025, t116027, t116029, t116031, t116034;
  double t116037, t116038, t116044, t116048, t116049, t116051, t116053, t116055;
  double t116057, t116059, t116069, t116072, t116076, t116077, t116079, t116081;
  double t116083, t116085, t116089, t116091, t116093, t116095, t116097, t116099;
  double t116101, t116102, t116106, t116114, t116121, t116122, t116123, t116124;
  double t116126, t116128, t116130, t116132, t116139, t116145, t116147, t116150;
  double t116152, t116156, t116157, t116161, t116164, t116167, t116170, t116172;
  double t116174, t116178, t116180, t116183, t116185, t116187, t116189, t116191;
  double t116193, t116195, t116197, t116199, t116201, t116208, t116224, t116226;
  double t116244, t116248, t116251, t116254, t116256, t116258, t116265, t116266;
  double t116267, t116271, tv4rhotau33, t116283, t116296, t116305, t116309, t116331;
  double t116343, t116352, t116367, t116401, t116404, t116408, tv4rhotau34, tv4rhotau35;
  double tv4rhotau36, t116416, t116420, t116436, t116455, t116459, t116464, t116476;
  double t116498, t116502, t116542, t116574, t116589, t116597, t116602, t116607;
  double t116621, t116622, t116645, t116649, t116661, t116666, t116678, t116689;
  double t116690, t116691, t116701, t116708, t116710, t116715, t116719, t116720;
  double t116721, t116724, t116738, t116756, t116757, t116758, t116766, t116770;
  double t116774, t116777, t116793, t116794, t116811, t116820, t116830, t116842;
  double t116853, t116881, t116905, t116911, t116914, t116921, t116927, t116928;
  double t116942, t116943, t116952, t116965, t116969, t116971, t117008, t117023;
  double t117026, t117063, t117066, t117069, t117075, t117077, t117080, t117096;
  double t117107, t117112, t117115, t117126, t117141, t117143, t117153, t117185;
  double t117220, t117251, t117272, t117280, t117315, t117317, t117329, t117336;
  double t117345, t117349, t117365, t117381, t117388, t117389, t117390, t117425;
  double t117430, t117440, t117454, t117464, t117465, t117466, t117470, t117496;
  double t117509, t117519, t117552, t117574, t117620, t117657, t117659, t117662;
  double t117669, t117710, t117713, t117719, t117735, t117767, t117798, t117802;
  double t117817, t117832, t117849, t117874, t117878, t117899, t117904, t117926;
  double t117961, t117974, t117993, t117998, t118002, t118006, t118010, t118034;
  double t118049, t118055, t118075, t118081, tv4rhotau37, t118083, t118084, t118087;
  double t118090, t118098, t118102, t118117, t118126, t118142, t118146, t118175;
  double t118178, t118192, t118194, t118198, t118201, t118203, t118208, t118226;
  double t118237, t118242, t118244, t118248, t118252, t118254, t118257, t118258;
  double t118259, t118260, t118267, t118275, t118277, t118280, t118283, t118285;
  double t118287, t118288, t118292, t118294, t118297, t118299, t118301, t118307;
  double t118309, t118312, t118316, t118320, t118326, t118328, t118329, t118332;
  double t118335, t118341, t118353, t118359, t118361, t118362, t118363, t118364;
  double t118372, t118374, t118375, t118376, t118394, t118395, t118398, t118401;
  double t118408, t118409, t118414, t118415, t118417, t118422, t118426, t118429;
  double t118431, t118433, t118454, t118456, t118458, t118461, t118464, t118467;
  double t118471, t118475, t118478, t118480, t118482, t118488, t118491, t118493;
  double t118495, t118498, t118502, t118506, t118509, t118511, t118513, t118521;
  double t118526, t118529, t118533, t118536, t118537, t118539, t118540, t118542;
  double t118545, t118546, t118547, t118549, t118551, t118553, t118554, t118557;
  double t118560, t118564, t118566, t118568, t118569, t118574, t118578, t118581;
  double t118583, t118589, t118594, t118597, t118598, t118599, t118601, t118602;
  double t118605, t118606, t118611, t118612, t118619, t118626, t118629, t118630;
  double t118632, t118635, t118638, t118641, t118642, t118643, t118646, t118651;
  double t118652, t118655, t118658, t118660, t118662, t118665, t118669, t118672;
  double t118674, t118676, t118677, t118680, t118682, t118686, t118691, t118692;
  double t118693, t118696, t118697, t118698, t118699, t118703, t118707, t118709;
  double t118712, t118713, t118715, t118717, t118718, t118721, t118722, t118724;
  double t118726, t118729, t118732, t118735, t118740, t118742, t118743, t118744;
  double t118750, t118751, t118764, t118767, t118769, t118772, t118775, t118778;
  double t118779, t118781, t118784, t118787, t118791, t118792, t118793, t118795;
  double t118800, t118803, t118809, t118812, t118816, t118825, t118830, tv4sigma40;
  double tv4sigma41, tv4sigma42, tv4sigma43, tv4sigma44, tv4sigma45, tv4sigma46, tv4sigma47, tv4sigma48;
  double tv4sigma49, tv4sigma410, tv4sigma411, tv4sigma412, tv4sigma413, t118834, t118837, t118839;
  double t118841, t118843, t118846, t118867, t118875, t118878, t118888, t118891;
  double t118896, t118900, t118910, t118919, t118921, t118924, t118926, t118928;
  double t118930, t118933, t118936, t118938, t118940, t118942, t118943, t118944;
  double t118946, t118948, t118951, t118954, t118956, t118959, t118963, t118967;
  double t118973, t118977, t118990, t118995, t119002, t119009, t119012, t119013;
  double t119016, t119023, t119055, t119058, t119061, t119067, t119074, t119083;
  double t119085, t119104, t119105, t119112, t119116, t119120, t119127, t119132;
  double t119136, t119139, t119141, t119142, t119145, t119153, t119158, t119159;
  double t119163, t119168, t119169, t119172, t119174, t119175, t119185, t119188;
  double t119190, t119191, t119196, t119199, t119202, t119205, t119207, t119213;
  double t119217, t119219, t119222, t119223, t119231, t119245, t119247, t119250;
  double t119257, t119258, t119260, t119261, t119264, t119265, t119266, t119274;
  double t119286, t119290, t119291, t119293, t119296, t119297, t119304, t119306;
  double t119307, t119308, t119309, t119314, t119317, t119320, t119321, t119322;
  double t119323, t119324, t119330, t119333, t119335, t119338, t119341, t119344;
  double t119346, t119349, t119352, t119355, t119356, t119357, t119359, t119362;
  double t119366, t119369, t119371, t119372, t119375, t119377, t119381, t119384;
  double t119385, t119386, t119389, t119394, t119395, t119397, t119400, t119402;
  double t119404, t119408, t119410, t119413, t119415, t119416, t119419, t119421;
  double t119422, t119424, t119425, t119430, t119433, t119434, t119436, t119445;
  double t119452, t119460, t119461, t119463, t119465, t119468, t119471, t119474;
  double t119477, t119481, t119484, t119486, t119488, t119490, t119491, t119492;
  double t119494, t119496, t119498, t119506, t119507, t119509, t119515, t119518;
  double t119520, t119523, t119526, t119530, t119532, t119536, t119537, t119538;
  double t119539, t119542, t119546, t119549, t119550, t119554, t119557, t119561;
  double t119562, t119564, t119566, t119568, t119572, t119577, tv4sigma414, t119578;
  double t119579, t119584, t119588, t119590, t119591, t119594, t119595, t119596;
  double t119597, t119598, t119599, t119602, t119604, t119605, t119608, t119610;
  double t119612, t119624, t119629, t119630, t119634, t119635, t119656, t119664;
  double t119668, t119669, t119672, t119674, t119675, t119678, t119681, t119682;
  double t119688, t119690, t119693, t119694, t119695, t119696, t119708, t119709;
  double t119710, t119711, t119712, t119713, t119716, t119726, t119727, t119731;
  double t119734, t119737, t119738, t119741, t119742, t119743, t119744, t119748;
  double t119752, t119757, t119758, t119763, t119767, t119768, t119772, t119773;
  double t119774, t119775, t119776, t119777, t119784, t119785, t119786, t119788;
  double t119791, t119794, t119795, t119798, t119799, t119800, t119801, t119802;
  double t119803, t119804, t119805, t119806, t119807, t119808, t119809, t119810;
  double t119811, t119812, t119813, t119814, t119817, t119818, t119819, t119820;
  double t119823, t119827, t119830, t119833, t119834, t119837, t119841, t119854;
  double t119858, t119862, t119866, t119870, t119872, t119873, t119874, t119881;
  double t119882, t119883, t119890, t119894, t119896, t119897, t119898, t119902;
  double t119903, t119904, t119905, t119910, t119913, t119914, t119917, t119922;
  double t119923, t119929, t119930, t119931, t119937, t119940, t119941, t119942;
  double t119943, t119944, t119945, t119946, t119948, t119949, t119950, t119951;
  double t119952, t119953, t119954, t119955, t119956, t119957, t119961, t119964;
  double t119968, t119970, t119971, t119972, t119973, t119976, t119979, t119980;
  double t119982, t119985, t119986, t119987, t119990, t119994, t120000, t120009;
  double t120011, t120012, t120015, t120020, t120030, t120033, t120034, t120035;
  double t120036, t120039, t120040, t120041, t120042, t120043, t120046, t120049;
  double t120052, t120053, t120054, t120055, t120059, t120070, t120072, t120073;
  double t120076, t120079, t120082, t120085, t120089, t120090, t120091, t120092;
  double t120095, t120098, t120104, t120105, t120106, t120107, t120108, t120111;
  double t120112, t120113, t120114, t120115, t120116, t120117, t120119, t120120;
  double t120123, t120127, t120129, t120134, t120135, t120136, t120137, t120138;
  double t120139, t120140, t120143, t120144, t120145, t120146, t120147, t120148;
  double t120149, t120152, t120155, t120156, t120159, t120160, t120161, t120164;
  double t120165, t120168, t120171, t120174, t120175, t120180, t120181, t120183;
  double t120185, t120186, t120187, t120188, t120189, t120190, t120191, t120192;
  double t120193, t120194, t120196, t120197, t120198, t120199, t120200, t120203;
  double t120206, t120209, t120212, t120215, t120216, t120219, t120220, t120221;
  double t120222, t120223, t120224, t120225, t120226, t120227, t120230, t120233;
  double t120234, t120235, t120238, t120240, t120243, t120246, t120247, t120252;
  double t120255, t120260, t120263, t120266, t120269, t120272, t120273, t120274;
  double t120275, t120277, t120280, t120283, t120286, t120289, t120290, t120291;
  double t120292, t120293, t120296, t120299, t120301, t120302, t120305, t120308;
  double t120311, t120314, t120317, t120320, t120325, t120326, t120329, t120332;
  double t120335, t120338, t120339, t120340, t120341, t120342, t120343, t120344;
  double t120346, t120347, t120348, t120349, t120350, t120351, t120352, t120353;
  double t120354, t120355, t120356, t120357, t120360, t120370, t120375, tv4sigma3lapl0;
  double tv4sigma3lapl1, tv4sigma3lapl2, tv4sigma3lapl3, tv4sigma3lapl4, tv4sigma3lapl5, tv4sigma3lapl6, tv4sigma3lapl7, tv4sigma3lapl8;
  double tv4sigma3lapl9, tv4sigma3lapl10, tv4sigma3lapl11, tv4sigma3lapl12, tv4sigma3lapl13, tv4sigma3lapl14, tv4sigma3lapl15, tv4sigma3lapl16;
  double tv4sigma3lapl17, tv4sigma3lapl18, t120376, t120377, t120378, t120380, t120385, t120386;
  double t120389, t120390, t120397, t120400, t120401, t120405, t120406, t120410;
  double t120411, t120415, t120416, t120417, t120420, t120421, t120428, t120431;
  double t120432, t120433, t120434, t120435, t120438, t120441, t120444, t120447;
  double t120450, t120453, t120456, t120458, t120461, t120464, t120468, t120471;
  double t120473, t120474, t120475, t120476, t120477, t120490, t120491, t120499;
  double t120509, t120510, t120511, t120512, t120513, t120514, t120515, t120517;
  double t120521, t120524, t120527, t120534, t120538, t120551, t120554, t120555;
  double t120556, t120557, t120558, t120559, t120562, t120566, t120569, t120570;
  double t120575, t120577, t120588, t120591, t120594, t120595, t120596, t120600;
  double t120606, t120607, t120608, t120611, t120614, t120617, t120621, t120623;
  double t120624, t120625, t120629, t120631, t120632, t120633, t120634, t120635;
  double t120638, t120642, t120643, t120644, t120645, t120648, t120653, t120656;
  double t120657, t120658, t120659, t120660, t120661, t120662, t120666, t120671;
  double t120672, t120676, t120677, t120678, t120679, t120680, t120681, t120682;
  double t120683, t120684, t120688, t120689, t120690, t120691, t120694, t120695;
  double t120696, t120697, t120701, t120704, t120705, t120710, t120711, t120712;
  double t120713, t120714, t120715, t120718, t120719, t120726, t120740, t120744;
  double t120746, t120747, t120748, t120752, t120753, t120762, t120763, t120764;
  double t120765, t120769, t120771, t120777, t120781, t120790, t120796, t120801;
  double t120802, t120803, t120804, t120809, t120810, t120811, t120813, t120814;
  double t120815, t120816, t120818, t120820, t120822, t120826, t120828, t120829;
  double t120833, t120834, t120835, t120836, t120837, t120838, t120842, t120846;
  double t120847, t120848, t120849, t120854, t120856, t120857, t120858, t120859;
  double t120862, t120863, t120864, t120865, t120866, t120869, t120870, t120871;
  double t120872, t120873, t120874, t120877, t120878, t120881, t120882, t120884;
  double t120885, t120886, t120887, t120888, t120889, t120890, t120891, t120894;
  double t120897, t120900, t120902, t120903, t120906, t120909, t120912, t120915;
  double t120920, t120923, t120926, t120929, t120930, t120933, t120936, t120939;
  double t120940, t120943, t120944, t120947, t120950, t120951, t120952, t120953;
  double t120954, t120955, t120958, t120961, t120964, t120967, t120968, t120970;
  double t120971, t120972, t120973, t120974, t120977, t120978, t120979, t120980;
  double t120982, t120985, t120988, t120991, t120994, t120997, t121000, t121001;
  double t121004, t121005, t121006, t121007, t121008, t121013, t121014, t121015;
  double t121016, t121017, t121018, t121019, t121020, t121023, t121024, t121027;
  double t121028, t121029, t121030, t121031, t121032, t121033, t121036, t121039;
  double t121044, t121045, t121046, t121048, t121049, t121050, t121051, t121052;
  double t121053, t121054, t121055, t121058, t121059, t121060, t121061, t121064;
  double t121065, t121066, t121067, t121070, t121073, t121076, t121079, t121080;
  double t121081, t121084, t121087, t121098, t121101, t121102, t121103, t121107;
  double t121110, t121113, t121116, t121122, t121123, t121124, t121125, t121126;
  double t121127, t121133, t121135, t121138, t121141, t121144, t121145, t121146;
  double t121149, t121152, t121153, t121155, t121158, t121159, t121160, t121161;
  double t121164, t121167, t121168, t121169, t121170, t121175, tv4sigma3lapl19, t121180;
  double t121181, t121184, t121185, t121186, t121203, t121211, t121212, t121213;
  double t121214, t121219, t121220, t121221, t121222, t121223, t121228, t121229;
  double t121255, t121260, t121261, t121265, t121275, t121278, t121279, t121287;
  double t121288, t121289, t121290, t121295, t121296, t121302, t121304, t121305;
  double t121312, t121313, t121316, t121317, t121318, t121319, t121338, t121339;
  double t121340, t121343, t121344, t121346, t121350, t121351, t121357, t121358;
  double t121360, t121361, t121364, t121365, t121366, t121367, t121368, t121371;
  double t121372, t121377, t121398, t121400, t121428, t121429, t121430, t121431;
  double t121432, t121438, t121439, t121444, t121445, t121446, t121451, t121454;
  double t121455, t121457, t121460, t121461, t121466, t121467, t121468, t121469;
  double t121487, t121492, t121493, t121494, t121495, t121496, t121497, t121505;
  double t121506, t121507, t121508, t121509, t121510, t121511, t121519, t121521;
  double t121522, t121527, t121542, t121550, t121551, t121556, t121557, t121558;
  double t121561, t121562, t121573, t121582, t121583, t121584, t121588, t121589;
  double t121590, t121605, t121618, t121619, t121622, t121626, t121627, t121630;
  double t121637, t121638, t121639, t121640, t121645, t121646, t121647, t121657;
  double t121661, t121670, t121671, t121672, t121682, t121715, t121716, t121717;
  double t121723, t121726, t121729, t121740, t121742, t121743, t121744, t121745;
  double t121746, t121772, t121773, t121778, t121779, t121780, t121785, t121790;
  double t121791, t121794, t121795, t121800, t121806, t121822, t121823, t121827;
  double t121828, t121836, t121838, t121843, t121844, t121845, t121849, t121850;
  double t121851, t121888, t121893, tv4sigma3tau0, tv4sigma3tau1, tv4sigma3tau2, tv4sigma3tau3, tv4sigma3tau4;
  double tv4sigma3tau5, tv4sigma3tau6, tv4sigma3tau7, tv4sigma3tau8, tv4sigma3tau9, tv4sigma3tau10, tv4sigma3tau11, tv4sigma3tau12;
  double tv4sigma3tau13, tv4sigma3tau14, tv4sigma3tau15, tv4sigma3tau16, tv4sigma3tau17, tv4sigma3tau18, t121897, t121900;
  double t121910, t121911, t121922, t121923, t121926, t121927, t121928, t121931;
  double t121933, t121935, t121936, t121938, t121939, t121952, t121954, t121991;
  double t121992, t121996, t121998, t121999, t122002, t122003, t122012, t122013;
  double t122016, t122035, t122036, t122037, t122065, t122066, t122069, t122070;
  double t122071, t122072, t122074, t122075, t122078, t122081, t122082, t122094;
  double t122096, t122097, t122098, t122099, t122100, t122101, t122102, t122103;
  double t122104, t122105, t122108, t122110, t122111, t122116, t122133, t122134;
  double t122137, t122157, t122158, t122165, t122168, t122184, t122185, t122186;
  double t122187, t122190, t122197, t122198, t122214, t122216, t122217, t122222;
  double t122223, t122224, t122225, t122226, t122230, t122231, t122234, t122242;
  double t122243, t122244, t122245, t122246, t122251, t122252, t122253, t122254;
  double t122255, t122256, t122259, t122260, t122261, t122266, t122267, t122289;
  double t122305, t122311, t122315, t122339, t122340, t122347, t122350, t122351;
  double t122352, t122353, t122355, t122356, t122369, t122378, t122379, t122380;
  double t122384, t122385, t122386, t122387, t122388, t122393, t122406, t122407;
  double t122417, t122418, t122421, t122428, t122429, t122430, t122452, t122453;
  double t122458, t122459, t122460, t122464, t122465, t122479, t122485, t122486;
  double t122487, t122492, t122494, t122497, t122498, t122499, t122500, t122503;
  double t122504, t122505, t122510, t122511, t122518, t122519, t122537, t122541;
  double t122546, t122549, t122555, t122556, t122564, t122565, t122567, t122570;
  double t122575, t122576, t122578, t122584, t122585, t122589, t122599, t122600;
  double t122602, t122604, t122605, t122606, t122611, tv4sigma3tau19, t122612, t122613;
  double t122616, t122617, t122618, t122619, t122620, t122621, t122624, t122625;
  double t122627, t122633, t122634, t122646, t122649, t122650, t122651, t122654;
  double t122655, t122656, t122658, t122659, t122660, t122663, t122664, t122665;
  double t122669, t122674, t122678, t122680, t122681, t122691, t122695, t122701;
  double t122715, t122716, t122717, t122718, t122727, t122731, t122732, t122740;
  double t122741, t122746, t122748, t122749, t122754, t122757, t122759, t122762;
  double t122763, t122764, t122767, t122770, t122771, t122773, t122775, t122776;
  double t122777, t122780, t122783, t122784, t122786, t122789, t122791, t122794;
  double t122797, t122798, t122801, t122807, t122827, t122828, t122831, t122839;
  double t122842, t122845, t122848, t122849, t122850, t122851, t122857, t122862;
  double t122863, t122866, t122870, t122871, t122875, t122876, t122879, t122880;
  double t122889, t122890, t122897, t122898, t122900, t122903, t122909, t122910;
  double t122913, t122914, t122928, t122929, t122930, t122933, t122934, t122935;
  double t122936, t122938, t122944, t122946, t122949, t122951, t122954, t122955;
  double t122957, t122960, t122961, t122964, t122970, t122973, t122974, t122975;
  double t122978, t122981, t122982, t122983, t122984, t122987, t122990, t122991;
  double t122992, t122993, t122998, t123001, t123002, t123003, t123008, t123009;
  double t123014, t123015, t123016, t123017, t123018, t123019, t123020, t123021;
  double t123022, t123024, t123033, t123038, t123040, t123043, t123044, t123045;
  double t123054, t123055, t123056, t123059, t123062, t123069, t123078, t123079;
  double t123080, t123081, t123084, t123089, t123091, t123095, t123097, t123100;
  double t123105, t123107, t123110, t123112, t123116, t123118, t123121, t123122;
  double t123123, t123124, t123128, t123129, t123132, t123138, t123139, t123140;
  double t123142, t123143, t123144, t123150, t123151, t123152, t123157, t123158;
  double t123159, t123169, t123174, t123179, t123180, t123188, t123192, t123196;
  double t123201, t123204, t123206, t123225, t123229, t123230, t123233, t123235;
  double t123237, t123242, t123243, t123244, t123247, t123251, t123258, t123264;
  double t123269, t123273, t123275, t123279, t123286, t123293, t123294, t123297;
  double t123298, t123302, t123303, t123307, t123312, t123315, t123317, t123320;
  double t123326, t123327, t123330, t123331, t123332, t123333, t123342, t123346;
  double t123349, t123352, t123356, t123357, t123360, t123364, t123366, t123369;
  double t123370, t123371, t123378, t123385, t123386, t123387, t123388, t123391;
  double t123392, t123396, t123399, t123402, t123403, t123410, t123411, t123414;
  double t123417, t123421, t123424, t123425, t123429, t123432, t123435, t123436;
  double t123437, t123438, t123439, t123442, t123446, t123448, t123451, t123454;
  double t123458, t123461, t123462, t123465, t123466, t123467, t123468, t123473;
  double t123474, t123475, t123477, t123480, t123483, t123488, t123491, t123494;
  double t123495, t123496, t123498, t123499, t123501, t123504, t123505, t123506;
  double t123507, t123508, t123509, t123517, t123518, t123520, t123523, t123524;
  double t123527, t123528, t123529, t123530, t123531, t123532, t123533, t123534;
  double t123536, t123551, t123552, t123556, t123557, t123558, t123563, t123566;
  double t123569, t123570, t123571, t123574, t123577, t123578, t123579, t123580;
  double t123583, t123587, t123588, t123589, t123591, t123593, t123598, t123601;
  double t123608, t123609, t123610, t123613, t123617, t123621, t123622, t123623;
  double t123624, t123625, t123628, t123629, t123631, t123633, t123634, t123635;
  double t123640, t123641, t123642, t123646, t123647, t123648, t123651, t123655;
  double t123658, t123662, t123671, t123676, t123677, t123682, t123683, t123684;
  double t123685, t123692, t123696, t123697, t123698, t123699, t123700, t123701;
  double t123702, t123703, t123714, t123723, t123727, t123732, t123735, t123738;
  double t123739, t123740, t123744, t123759, t123765, tv4sigma2lapl20, tv4sigma2lapl21, tv4sigma2lapl22;
  double tv4sigma2lapl23, tv4sigma2lapl24, tv4sigma2lapl25, tv4sigma2lapl26, tv4sigma2lapl27, tv4sigma2lapl28, tv4sigma2lapl29, tv4sigma2lapl210;
  double tv4sigma2lapl211, tv4sigma2lapl212, tv4sigma2lapl213, tv4sigma2lapl214, tv4sigma2lapl215, tv4sigma2lapl216, t123766, t123767;
  double t123773, t123777, t123778, t123779, t123780, t123786, t123795, t123796;
  double t123800, t123808, t123809, t123810, t123820, t123821, t123823, t123824;
  double t123827, t123828, t123829, t123830, t123831, t123832, t123833, t123834;
  double t123839, t123844, t123849, t123864, t123865, t123868, t123869, t123870;
  double t123873, t123874, t123875, t123882, t123883, t123886, t123892, t123895;
  double t123899, t123904, t123911, t123919, t123921, t123928, t123933, t123934;
  double t123935, t123936, t123939, t123942, t123943, t123944, t123945, t123948;
  double t123954, t123959, t123960, t123963, t123964, t123965, t123968, t123971;
  double t123972, t123980, t123981, t124007, t124008, t124011, t124012, t124016;
  double t124017, t124018, t124026, t124027, t124028, t124029, t124030, t124033;
  double t124034, t124039, t124040, t124041, t124042, t124043, t124044, t124045;
  double t124048, t124054, t124055, t124056, t124057, t124060, t124068, t124071;
  double t124072, t124076, t124077, t124080, t124081, t124082, t124085, t124086;
  double t124087, t124090, t124091, t124092, t124094, t124095, t124096, t124099;
  double t124100, t124103, t124107, t124110, t124116, t124122, t124126, t124129;
  double t124136, t124137, t124142, t124145, t124147, t124149, t124152, t124155;
  double t124159, t124162, t124164, t124168, t124172, t124173, t124176, t124181;
  double t124182, t124188, t124190, t124191, t124192, t124193, t124194, t124195;
  double t124196, t124197, t124198, t124199, t124200, t124207, t124210, t124213;
  double t124216, t124220, t124224, t124226, t124231, t124232, t124235, t124237;
  double t124241, t124242, t124245, t124246, t124249, t124251, t124253, t124257;
  double t124274, t124284, t124288, t124295, t124296, t124298, t124301, t124302;
  double t124303, t124306, t124309, t124311, t124314, t124316, t124319, t124320;
  double t124323, t124324, t124331, t124337, t124343, t124344, t124350, t124357;
  double t124361, t124363, t124367, t124368, t124369, t124370, t124371, t124372;
  double t124377, t124378, t124382, t124385, t124388, t124392, t124393, t124400;
  double t124404, t124407, t124410, t124413, t124416, t124420, t124423, t124428;
  double t124431, t124434, t124435, t124436, t124437, t124438, t124439, t124440;
  double t124443, t124446, t124451, t124452, t124453, t124454, t124455, t124456;
  double t124457, t124458, t124459, t124460, t124463, t124464, t124465, t124466;
  double t124467, t124470, t124473, t124474, t124475, t124476, t124479, t124480;
  double t124481, t124482, t124483, t124486, t124489, t124490, t124492, t124496;
  double t124498, t124499, t124500, t124501, t124502, t124503, t124504, t124505;
  double t124507, t124510, t124512, t124513, t124518, t124523, t124524, t124526;
  double t124529, t124530, t124532, t124533, t124534, t124539, t124545, t124548;
  double t124549, t124553, t124555, t124567, t124568, t124569, t124578, t124581;
  double t124584, t124587, t124592, t124602, t124603, t124604, t124605, t124611;
  double t124614, t124627, t124631, t124633, t124634, t124637, t124642, t124643;
  double t124644, t124645, t124646, t124648, t124649, t124650, t124651, t124652;
  double t124656, t124659, t124663, t124664, t124667, t124668, t124669, t124672;
  double t124673, t124676, t124681, t124684, t124687, t124690, t124691, t124692;
  double t124695, t124696, t124697, t124712, t124715, t124717, t124719, t124723;
  double t124727, t124728, t124729, t124744, t124747, t124748, t124755, t124756;
  double t124757, t124764, t124769, t124772, t124775, t124779, t124780, t124781;
  double t124782, t124784, t124785, t124786, t124787, t124790, t124795, t124798;
  double t124801, t124809, t124813, t124817, t124820, t124823, t124828, t124829;
  double t124832, t124836, t124837, t124838, t124841, t124844, t124845, t124847;
  double t124848, t124851, t124852, t124853, t124854, t124863, t124866, t124868;
  double t124869, t124870, t124871, t124880, t124884, t124885, t124893, t124900;
  double t124905, t124911, tv4sigma2lapl217, t124912, t124913, t124914, t124917, t124921;
  double t124937, t124941, t124947, t124951, t124953, t124957, t124962, t124963;
  double t124964, t124967, t124969, t124973, t124974, t124979, t124982, t124986;
  double t124992, t124993, t124997, t124998, t125008, t125020, t125023, t125033;
  double t125034, t125035, t125036, t125037, t125040, t125046, t125049, t125066;
  double t125069, t125072, t125076, t125080, t125082, t125085, t125086, t125102;
  double t125111, t125113, t125124, t125127, t125134, t125135, t125136, t125137;
  double t125143, t125144, t125152, t125160, t125161, t125164, t125167, t125172;
  double t125173, t125177, t125182, t125185, t125199, t125212, t125213, t125218;
  double t125219, t125221, t125223, t125228, t125229, t125231, t125232, t125239;
  double t125245, t125247, t125251, t125254, t125262, t125264, t125291, t125294;
  double t125299, t125300, t125301, t125308, t125318, t125327, t125331, t125336;
  double t125339, t125340, t125352, t125358, t125368, t125370, t125371, t125372;
  double t125373, t125378, t125383, t125387, t125399, t125405, t125412, t125422;
  double t125427, t125429, t125437, t125441, t125449, t125453, t125454, t125456;
  double t125457, t125458, t125459, t125472, t125475, t125478, t125481, t125485;
  double t125487, t125490, t125492, t125495, t125499, t125500, t125508, t125512;
  double t125518, t125519, t125520, t125522, t125530, t125533, t125539, t125540;
  double t125552, t125570, t125583, t125584, t125590, t125591, t125594, t125600;
  double t125602, t125606, t125608, t125611, t125613, t125618, t125619, t125620;
  double t125621, t125622, t125623, t125626, t125630, t125634, t125635, t125636;
  double t125638, t125639, t125642, t125647, t125663, t125665, t125670, t125672;
  double t125677, t125679, t125681, t125691, t125692, t125693, t125694, t125702;
  double t125707, t125710, t125720, t125733, t125742, t125743, t125745, t125746;
  double t125747, t125748, t125749, t125750, t125751, t125758, t125759, t125760;
  double t125766, t125767, t125773, t125777, t125779, t125782, t125786, t125791;
  double t125796, t125811, t125818, t125823, t125826, t125830, t125832, t125842;
  double t125856, t125871, t125874, t125875, t125876, t125877, t125881, t125883;
  double t125888, t125895, t125904, t125905, t125906, t125907, t125908, t125909;
  double t125910, t125911, t125912, t125913, t125914, t125915, t125916, t125917;
  double t125918, t125929, t125947, t125959, t125961, t125967, t125968, t125969;
  double t125973, t125974, t125975, t125976, t125979, t125986, t125996, t126000;
  double t126006, t126015, t126023, t126038, t126045, t126060, t126062, t126072;
  double t126073, t126081, t126085, t126088, t126092, t126093, t126096, t126097;
  double t126098, t126103, t126104, t126110, t126123, t126128, t126129, t126138;
  double t126143, t126149, t126169, t126175, tv4sigma2lapltau0, tv4sigma2lapltau1, tv4sigma2lapltau2, tv4sigma2lapltau3;
  double tv4sigma2lapltau4, tv4sigma2lapltau5, tv4sigma2lapltau6, tv4sigma2lapltau7, tv4sigma2lapltau8, tv4sigma2lapltau9, tv4sigma2lapltau10, tv4sigma2lapltau11;
  double tv4sigma2lapltau12, tv4sigma2lapltau13, tv4sigma2lapltau14, tv4sigma2lapltau15, tv4sigma2lapltau16, tv4sigma2lapltau17, tv4sigma2lapltau18, tv4sigma2lapltau19;
  double tv4sigma2lapltau20, tv4sigma2lapltau21, tv4sigma2lapltau22, t126178, t126181, t126186, t126189, t126190;
  double t126191, t126194, t126200, t126205, t126206, t126209, t126210, t126215;
  double t126216, t126217, t126220, t126225, t126237, t126240, t126254, t126266;
  double t126267, t126268, t126275, t126284, t126285, t126286, t126287, t126294;
  double t126295, t126296, t126299, t126300, t126303, t126305, t126307, t126314;
  double t126316, t126317, t126320, t126322, t126326, t126327, t126335, t126341;
  double t126351, t126357, t126368, t126372, t126376, t126387, t126391, t126401;
  double t126415, t126419, t126425, t126441, t126443, t126450, t126451, t126454;
  double t126458, t126460, t126464, t126474, t126481, t126491, t126501, t126520;
  double t126521, t126522, t126523, t126528, t126531, t126537, t126538, t126541;
  double t126546, t126560, t126563, t126571, t126575, t126576, t126577, t126578;
  double t126579, t126580, t126581, t126582, t126583, t126584, t126588, t126591;
  double t126601, t126604, t126606, t126613, t126622, t126624, t126633, t126635;
  double t126636, t126638, t126641, t126648, t126654, t126655, t126667, t126668;
  double t126669, t126675, t126682, t126692, t126696, t126698, t126700, t126708;
  double t126717, t126719, t126721, t126722, t126723, t126724, t126726, t126727;
  double t126730, t126741, t126748, t126754, t126769, t126775, t126787, t126788;
  double t126789, t126790, t126791, t126792, t126793, t126796, t126798, t126807;
  double t126811, t126816, t126819, t126822, t126825, t126831, t126838, t126840;
  double t126841, t126842, t126843, t126846, t126848, t126850, t126853, t126854;
  double t126855, t126857, t126858, t126859, t126863, t126866, t126874, t126875;
  double t126886, t126889, t126894, t126902, t126903, t126904, t126905, t126913;
  double t126917, t126920, t126925, t126931, t126933, t126947, t126968, t126975;
  double t126980, t126981, t126982, t126994, t127009, t127023, t127031, t127034;
  double t127036, t127039, t127041, t127056, t127059, t127063, t127071, t127072;
  double t127077, t127079, t127081, t127083, t127091, t127094, t127102, t127106;
  double t127109, t127111, t127113, t127115, t127122, t127129, t127143, t127145;
  double t127146, t127147, t127148, t127156, t127160, t127167, t127179, t127184;
  double t127186, t127198, t127200, t127201, t127217, t127218, t127237, t127238;
  double t127239, t127243, t127248, t127251, t127268, t127270, t127271, t127272;
  double t127273, t127274, t127278, t127282, t127283, t127284, t127285, t127286;
  double t127289, t127290, t127291, t127294, t127303, t127310, t127316, t127321;
  double t127324, t127338, t127342, t127348, t127350, t127355, t127356, t127357;
  double t127358, t127359, t127361, t127378, t127381, t127383, t127386, t127387;
  double t127394, t127396, t127399, t127408, t127409, t127410, t127412, t127418;
  double t127420, t127426, tv4sigma2lapltau23, t127434, t127435, t127436, t127437, t127441;
  double t127442, t127449, t127450, t127451, t127468, t127469, t127470, t127471;
  double t127478, t127481, t127482, t127483, t127484, t127487, t127488, t127496;
  double t127497, t127502, t127503, t127506, t127507, t127516, t127517, t127529;
  double t127538, t127539, t127542, t127543, t127564, t127575, t127576, t127588;
  double t127590, t127613, t127617, t127620, t127621, t127622, t127623, t127625;
  double t127626, t127634, t127661, t127663, t127665, t127666, t127670, t127675;
  double t127678, t127679, t127684, t127686, t127687, t127689, t127690, t127698;
  double t127699, t127702, t127714, t127716, t127717, t127723, t127724, t127727;
  double t127760, t127789, t127796, t127818, t127819, t127832, t127847, t127848;
  double t127852, t127858, t127859, t127865, t127873, t127877, t127886, t127887;
  double t127899, t127909, t127914, t127918, t127919, t127922, t127941, t127952;
  double t127953, t127973, t127978, t127979, t127982, t127983, t127986, t127987;
  double t127993, t127994, t127997, t127998, t128002, t128003, t128009, t128018;
  double t128019, t128022, t128023, t128025, t128026, t128031, t128032, t128035;
  double t128036, t128039, t128052, t128053, t128054, t128055, t128072, t128073;
  double t128074, t128078, t128080, t128081, t128089, t128101, t128116, t128117;
  double t128118, t128132, t128133, t128139, t128140, t128142, t128143, t128144;
  double t128145, t128146, t128147, t128148, t128164, t128168, t128170, t128171;
  double t128172, t128185, t128186, t128194, t128195, t128200, t128201, t128204;
  double t128205, t128206, t128207, t128212, t128220, t128221, t128231, t128235;
  double t128236, t128240, t128241, t128244, t128245, t128246, t128247, t128248;
  double t128249, t128256, t128265, t128268, t128269, t128283, t128284, t128288;
  double t128304, t128305, t128317, t128318, t128319, t128325, t128326, t128347;
  double t128358, t128370, t128379, t128387, t128398, t128406, t128407, t128408;
  double t128420, t128421, t128423, t128424, t128425, t128426, t128427, t128430;
  double t128431, t128436, t128437, t128442, t128454, t128455, t128470, t128490;
  double t128502, t128505, t128514, t128532, t128534, t128535, t128539, t128563;
  double t128564, t128565, t128588, t128590, t128596, t128597, t128604, t128605;
  double t128610, t128611, t128617, t128623, tv4sigma2tau20, tv4sigma2tau21, tv4sigma2tau22, tv4sigma2tau23;
  double tv4sigma2tau24, tv4sigma2tau25, tv4sigma2tau26, tv4sigma2tau27, tv4sigma2tau28, tv4sigma2tau29, tv4sigma2tau210, tv4sigma2tau211;
  double tv4sigma2tau212, tv4sigma2tau213, tv4sigma2tau214, tv4sigma2tau215, tv4sigma2tau216, t128624, t128625, t128634;
  double t128635, t128645, t128650, t128655, t128659, t128660, t128663, t128669;
  double t128673, t128676, t128677, t128684, t128685, t128686, t128687, t128696;
  double t128697, t128698, t128702, t128707, t128712, t128713, t128718, t128722;
  double t128723, t128729, t128730, t128735, t128739, t128746, t128747, t128749;
  double t128756, t128757, t128766, t128767, t128783, t128784, t128787, t128788;
  double t128789, t128792, t128793, t128800, t128801, t128810, t128811, t128812;
  double t128813, t128837, t128841, t128842, t128857, t128858, t128863, t128867;
  double t128868, t128872, t128873, t128876, t128877, t128885, t128913, t128914;
  double t128920, t128923, t128924, t128927, t128928, t128952, t128954, t128955;
  double t128969, t128978, t128979, t128982, t128983, t128987, t128988, t128992;
  double t128994, t128995, t128999, t129024, t129027, t129028, t129034, t129043;
  double t129049, t129050, t129051, t129052, t129061, t129064, t129065, t129071;
  double t129072, t129080, t129081, t129089, t129114, t129115, t129116, t129118;
  double t129119, t129136, t129137, t129138, t129139, t129140, t129158, t129159;
  double t129168, t129181, t129182, t129191, t129197, t129199, t129205, t129206;
  double t129211, t129212, t129215, t129230, t129245, t129246, t129257, t129280;
  double t129281, t129284, t129287, t129290, t129291, t129308, t129309, t129310;
  double t129323, t129324, t129334, t129339, t129340, t129353, t129360, t129361;
  double t129362, t129383, t129387, t129388, t129393, t129394, t129395, t129396;
  double t129398, t129399, t129402, t129403, t129424, t129443, t129457, t129459;
  double t129460, t129461, t129465, t129467, t129468, t129475, t129476, t129481;
  double t129482, t129485, t129486, t129493, t129494, t129495, t129496, t129497;
  double t129498, t129515, t129556, t129558, t129559, t129565, t129566, t129575;
  double t129576, t129580, t129581, t129582, t129583, t129588, t129589, t129594;
  double t129595, t129599, t129608, t129609, t129612, t129614, t129621, t129622;
  double t129626, t129627, t129628, t129631, t129632, t129635, t129636, t129637;
  double t129644, t129658, t129663, t129674, t129675, t129678, t129693, t129694;
  double t129703, t129715, t129716, t129723, t129744, t129745, t129753, t129777;
  double t129784, t129805, t129806, t129811, t129817, tv4sigma2tau217, t129818, t129819;
  double t129820, t129824, t129825, t129828, t129835, t129836, t129843, t129847;
  double t129855, t129856, t129860, t129863, t129871, t129879, t129880, t129883;
  double t129890, t129895, t129898, t129901, t129906, t129910, t129920, t129921;
  double t129925, t129928, t129931, t129943, t129951, t129954, t129955, t129958;
  double t129965, t129970, t129987, t130000, t130002, t130003, t130006, t130009;
  double t130010, t130011, t130036, t130037, t130038, t130041, t130042, t130044;
  double t130047, t130053, t130056, t130060, t130063, t130068, t130073, t130081;
  double t130082, t130083, t130086, t130087, t130092, t130100, t130106, t130109;
  double t130127, t130131, t130135, t130142, t130143, t130146, t130148, t130161;
  double t130165, t130168, t130169, t130170, t130171, t130176, t130177, t130182;
  double t130187, t130193, t130206, t130218, t130223, t130229, t130232, t130239;
  double t130242, t130258, t130261, t130264, t130269, t130274, t130277, t130288;
  double t130291, t130295, t130296, t130297, t130298, t130300, t130304, t130308;
  double t130311, t130312, t130314, t130331, t130332, t130333, t130354, t130360;
  double t130361, t130362, t130363, t130364, t130365, t130366, t130367, t130368;
  double t130371, t130374, t130375, t130378, t130379, t130380, t130381, t130382;
  double t130391, t130393, t130396, t130399, t130401, t130404, t130407, t130410;
  double t130413, t130417, t130418, t130427, t130433, t130436, t130439, t130440;
  double t130448, t130455, t130456, t130460, t130464, t130467, t130470, t130475;
  double t130476, t130487, t130492, t130496, t130501, t130502, t130503, t130507;
  double t130509, t130510, t130511, t130515, t130520, t130523, t130524, t130527;
  double t130530, t130532, t130541, t130542, t130543, t130544, t130549, t130552;
  double t130556, t130565, t130569, t130574, t130577, t130580, t130587, t130588;
  double t130591, t130594, t130597, t130600, t130603, t130606, t130610, t130613;
  double t130618, t130623, t130626, t130628, t130631, t130639, t130644, t130653;
  double t130654, t130655, t130656, t130658, t130659, t130660, t130661, t130662;
  double t130665, t130667, t130681, t130682, t130684, t130694, t130699, tv4sigmalapl30;
  double tv4sigmalapl31, tv4sigmalapl32, tv4sigmalapl33, tv4sigmalapl34, tv4sigmalapl35, tv4sigmalapl36, tv4sigmalapl37, tv4sigmalapl38;
  double tv4sigmalapl39, tv4sigmalapl310, t130700, t130705, t130708, t130709, t130710, t130711;
  double t130712, t130715, t130721, t130737, t130741, t130743, t130747, t130751;
  double t130753, t130754, t130755, t130756, t130757, t130762, t130763, t130764;
  double t130766, t130769, t130775, t130779, t130782, t130785, t130800, t130801;
  double t130802, t130803, t130804, t130807, t130818, t130827, t130828, t130831;
  double t130832, t130833, t130838, t130842, t130843, t130844, t130845, t130846;
  double t130847, t130853, t130865, t130866, t130875, t130876, t130878, t130880;
  double t130901, t130904, t130905, t130907, t130912, t130933, t130936, t130940;
  double t130943, t130945, t130950, t130954, t130957, t130958, t130960, t130965;
  double t130970, t130973, t130974, t130982, t130984, t130995, t131005, t131008;
  double t131015, t131018, t131027, t131028, t131029, t131030, t131031, t131035;
  double t131042, t131049, t131054, t131058, t131059, t131062, t131065, t131067;
  double t131070, t131071, t131073, t131076, t131079, t131082, t131086, t131100;
  double t131103, t131106, t131109, t131111, t131114, t131117, t131124, t131128;
  double t131137, t131145, t131146, t131147, t131148, t131155, t131167, t131177;
  double t131178, t131184, t131185, t131188, t131191, t131206, t131213, t131218;
  double t131228, t131232, t131233, t131242, t131251, t131253, t131256, t131257;
  double t131258, t131260, t131263, t131268, t131271, t131274, t131275, t131279;
  double t131283, t131286, t131297, t131298, t131299, t131303, t131306, t131307;
  double t131312, t131318, t131319, t131320, t131323, t131326, t131327, t131330;
  double t131332, t131336, t131339, t131344, t131350, t131353, t131358, t131366;
  double t131369, t131372, t131373, t131374, t131375, t131376, t131377, t131379;
  double t131389, t131393, t131394, t131399, t131404, t131407, t131410, t131417;
  double t131422, t131425, t131428, t131430, t131432, t131434, t131436, t131438;
  double t131440, t131445, t131450, t131457, t131463, t131466, t131467, t131468;
  double t131469, t131471, t131472, t131485, t131488, t131493, t131496, t131509;
  double t131512, t131534, t131541, t131545, t131548, t131551, t131553, t131559;
  double t131565, t131579, t131584, tv4sigmalapl311, t131585, t131586, t131587, t131591;
  double t131592, t131593, t131597, t131600, t131613, t131646, t131658, t131661;
  double t131669, t131674, t131686, t131689, t131692, t131713, t131714, t131715;
  double t131718, t131736, t131737, t131742, t131745, t131757, t131759, t131784;
  double t131788, t131805, t131819, t131834, t131863, t131864, t131865, t131866;
  double t131876, t131884, t131905, t131911, t131931, t131939, t131942, t131951;
  double t131952, t131962, t131963, t131964, t131978, t131982, t131985, t131993;
  double t132002, t132005, t132006, t132011, t132017, t132033, t132057, t132058;
  double t132064, t132071, t132076, t132093, t132097, t132098, t132099, t132100;
  double t132101, t132106, t132108, t132137, t132140, t132141, t132165, t132166;
  double t132189, t132201, t132204, t132209, t132212, t132218, t132220, t132245;
  double t132246, t132247, t132254, t132271, t132283, t132284, t132304, t132305;
  double t132306, t132310, t132314, t132318, t132322, t132325, t132328, t132331;
  double t132332, t132340, t132348, t132355, t132376, t132380, t132381, t132394;
  double t132409, t132415, t132421, t132422, t132423, t132424, t132427, t132440;
  double t132452, t132453, t132454, t132464, t132476, t132477, t132496, t132499;
  double t132500, t132501, t132507, t132508, t132509, t132511, t132512, t132526;
  double t132533, t132536, t132545, t132556, t132563, t132572, t132606, t132618;
  double t132621, t132624, t132631, t132632, t132647, t132650, t132657, t132660;
  double t132666, t132680, t132687, t132697, t132700, t132735, t132744, t132745;
  double t132746, t132761, t132767, tv4sigmalapl2tau0, tv4sigmalapl2tau1, tv4sigmalapl2tau2, tv4sigmalapl2tau3, tv4sigmalapl2tau4;
  double tv4sigmalapl2tau5, tv4sigmalapl2tau6, tv4sigmalapl2tau7, tv4sigmalapl2tau8, tv4sigmalapl2tau9, tv4sigmalapl2tau10, tv4sigmalapl2tau11, tv4sigmalapl2tau12;
  double tv4sigmalapl2tau13, tv4sigmalapl2tau14, tv4sigmalapl2tau15, tv4sigmalapl2tau16, t132784, t132793, t132796, t132801;
  double t132805, t132815, t132818, t132820, t132845, t132846, t132858, t132859;
  double t132868, t132874, t132875, t132880, t132884, t132893, t132896, t132897;
  double t132900, t132903, t132919, t132938, t132943, t132947, t132958, t132964;
  double t132983, t132987, t132994, t132999, t133004, t133007, t133029, t133034;
  double t133037, t133065, t133066, t133072, t133074, t133075, t133076, t133103;
  double t133108, t133125, t133128, t133129, t133130, t133141, t133142, t133148;
  double t133151, t133156, t133159, t133163, t133188, t133192, t133203, t133221;
  double t133256, t133280, t133285, t133291, t133292, t133293, t133297, t133307;
  double t133308, t133311, t133312, t133313, t133320, t133326, t133346, t133356;
  double t133364, t133365, t133366, t133367, t133368, t133369, t133374, t133393;
  double t133410, t133418, t133419, t133420, t133421, t133422, t133424, t133425;
  double t133429, t133432, t133433, t133445, t133452, t133453, t133456, t133458;
  double t133460, t133462, t133463, t133487, t133488, t133490, t133493, t133507;
  double t133514, t133517, t133547, t133560, t133562, t133564, t133573, t133579;
  double t133580, t133581, t133582, t133583, t133584, t133585, t133606, t133615;
  double t133616, t133634, t133635, t133641, t133666, t133671, t133677, t133682;
  double t133686, t133700, t133714, t133724, t133732, t133747, t133753, t133764;
  double t133786, t133791, t133814, t133819, t133820, t133824, t133836, t133842;
  double t133852, t133853, t133863, t133881, t133882, t133914, t133915, t133916;
  double t133923, t133936, t133942, tv4sigmalapl2tau17, t133950, t133975, t133986, t133988;
  double t134008, t134009, t134014, t134020, t134046, t134050, t134077, t134082;
  double t134105, t134140, t134158, t134164, t134165, t134167, t134177, t134183;
  double t134197, t134198, t134202, t134203, t134208, t134209, t134213, t134216;
  double t134224, t134226, t134235, t134239, t134244, t134260, t134283, t134301;
  double t134311, t134329, t134337, t134346, t134350, t134375, t134408, t134419;
  double t134454, t134466, t134477, t134492, t134512, t134532, t134543, t134566;
  double t134583, t134584, t134593, t134625, t134626, t134627, t134634, t134649;
  double t134663, t134668, t134669, t134677, t134683, t134697, t134700, t134720;
  double t134743, t134770, t134773, t134778, t134796, t134806, t134812, t134840;
  double t134842, t134877, t134900, t134944, t134957, t134962, t134981, t135017;
  double t135024, t135026, t135065, t135073, t135078, t135104, t135105, t135107;
  double t135108, t135111, t135112, t135116, t135128, t135130, t135149, t135168;
  double t135173, t135178, t135187, t135207, t135227, t135247, t135259, t135285;
  double t135295, t135297, t135322, t135330, t135341, t135367, t135368, t135371;
  double t135378, t135390, t135399, t135405, tv4sigmalapltau20, tv4sigmalapltau21, tv4sigmalapltau22, tv4sigmalapltau23;
  double tv4sigmalapltau24, tv4sigmalapltau25, tv4sigmalapltau26, tv4sigmalapltau27, tv4sigmalapltau28, tv4sigmalapltau29, tv4sigmalapltau210, tv4sigmalapltau211;
  double tv4sigmalapltau212, tv4sigmalapltau213, tv4sigmalapltau214, tv4sigmalapltau215, tv4sigmalapltau216, t135410, t135415, t135428;
  double t135435, t135467, t135506, t135526, t135538, t135543, t135544, t135556;
  double t135557, t135558, t135562, t135567, t135589, t135625, t135651, t135655;
  double t135656, t135674, t135677, t135701, t135705, t135706, t135709, t135724;
  double t135746, t135750, t135751, t135766, t135770, t135775, t135811, t135815;
  double t135841, t135866, t135871, t135876, t135880, t135891, t135901, t135902;
  double t135912, t135915, t135946, t135975, t135987, t136006, t136012, t136023;
  double t136049, t136058, t136077, t136096, t136097, t136099, t136108, t136114;
  double t136117, t136119, t136128, t136130, t136132, t136137, t136140, t136176;
  double t136189, t136208, t136222, t136224, t136231, t136251, t136269, t136280;
  double t136281, t136290, t136306, t136315, t136327, t136329, t136354, t136356;
  double t136363, t136376, t136383, t136401, t136414, t136437, t136438, t136443;
  double t136464, t136481, t136484, t136490, t136519, t136555, t136556, t136566;
  double t136603, t136607, t136615, t136623, t136649, t136651, t136659, t136704;
  double t136721, t136731, t136734, t136763, t136774, t136776, t136801, t136821;
  double t136856, t136862, tv4sigmalapltau217, t136863, t136868, t136879, t136885, t136888;
  double t136896, t136918, t136923, t136924, t136925, t136926, t136927, t136935;
  double t136938, t136947, t136948, t136952, t136953, t136954, t136955, t136956;
  double t136960, t136978, t136979, t136986, t136987, t137009, t137010, t137011;
  double t137037, t137038, t137053, t137054, t137057, t137058, t137061, t137084;
  double t137109, t137114, t137117, t137118, t137119, t137129, t137131, t137136;
  double t137144, t137161, t137195, t137196, t137219, t137220, t137243, t137248;
  double t137249, t137260, t137274, t137275, t137281, t137282, t137283, t137288;
  double t137289, t137303, t137320, t137324, t137334, t137335, t137354, t137371;
  double t137383, t137396, t137397, t137398, t137415, t137434, t137436, t137437;
  double t137440, t137441, t137452, t137459, t137460, t137461, t137462, t137463;
  double t137464, t137466, t137481, t137503, t137504, t137509, t137521, t137529;
  double t137530, t137539, t137540, t137544, t137573, t137595, t137603, t137617;
  double t137618, t137619, t137620, t137644, t137652, t137658, t137659, t137674;
  double t137675, t137682, t137720, t137722, t137723, t137724, t137725, t137726;
  double t137727, t137736, t137737, t137738, t137739, t137740, t137745, t137762;
  double t137763, t137764, t137765, t137766, t137775, t137787, t137812, t137818;
  double t137825, t137827, t137833, t137844, t137845, t137862, t137863, t137877;
  double t137888, t137901, t137920, t137927, t137933, tv4sigmatau30, tv4sigmatau31, tv4sigmatau32;
  double tv4sigmatau33, tv4sigmatau34, tv4sigmatau35, tv4sigmatau36, tv4sigmatau37, tv4sigmatau38, tv4sigmatau39, tv4sigmatau310;
  double t137934, t137935, t137952, t137953, t137961, t137965, t137966, t137967;
  double t137978, t137994, t138000, t138001, t138006, t138007, t138026, t138027;
  double t138034, t138043, t138057, t138058, t138066, t138068, t138069, t138070;
  double t138075, t138076, t138077, t138092, t138093, t138094, t138096, t138103;
  double t138117, t138118, t138121, t138122, t138123, t138124, t138128, t138142;
  double t138162, t138165, t138166, t138167, t138179, t138197, t138206, t138223;
  double t138224, t138228, t138232, t138234, t138235, t138236, t138237, t138238;
  double t138239, t138258, t138263, t138266, t138297, t138304, t138326, t138335;
  double t138336, t138353, t138356, t138378, t138379, t138380, t138397, t138398;
  double t138412, t138413, t138430, t138433, t138462, t138463, t138464, t138484;
  double t138496, t138510, t138522, t138523, t138525, t138551, t138558, t138585;
  double t138586, t138595, t138596, t138597, t138607, t138621, t138625, t138637;
  double t138643, t138663, t138679, t138685, t138695, t138696, t138705, t138714;
  double t138715, t138737, t138745, t138766, t138767, t138774, t138775, t138776;
  double t138778, t138791, t138795, t138796, t138797, t138812, t138813, t138814;
  double t138815, t138816, t138817, t138818, t138819, t138836, t138837, t138839;
  double t138846, t138849, t138853, t138854, t138865, t138868, t138873, t138900;
  double t138932, t138942, t138943, t138946, t138957, t138962, t138963, t138966;
  double t138995, t139001, tv4sigmatau311, t139005, t139009, t139016, t139022, t139026;
  double t139039, t139044, t139047, t139050, t139074, t139075, t139081, t139101;
  double t139102, t139104, t139110, t139115, t139118, t139121, t139122, t139132;
  double t139136, t139148, t139152, t139155, t139161, t139164, t139172, t139180;
  double t139186, t139189, t139191, t139194, t139199, t139212, t139225, t139234;
  double t139247, t139256, t139260, t139272, t139275, t139279, t139290, t139293;
  double t139309, t139324, t139332, t139333, t139334, t139336, t139337, t139342;
  double t139348, t139377, t139393, t139398, t139401, t139402, t139405, t139406;
  double t139412, t139415, t139419, t139428, t139430, t139431, t139438, t139441;
  double t139445, t139448, t139453, t139454, t139462, t139466, t139470, t139474;
  double t139475, t139476, t139482, t139485, t139488, t139497, t139498, t139502;
  double t139505, t139516, t139521, t139526, t139529, t139538, t139541, t139544;
  double t139549, t139557, t139560, t139563, t139564, t139574, t139577, t139580;
  double t139584, t139587, t139604, t139609, tv4lapl40, tv4lapl41, tv4lapl42, tv4lapl43;
  double t139612, t139615, t139618, t139622, t139628, t139656, t139661, t139665;
  double t139669, t139672, t139692, t139698, t139713, t139723, t139724, t139725;
  double t139741, t139748, t139750, t139780, t139781, t139787, t139791, t139798;
  double t139811, t139812, t139814, t139819, t139823, t139826, t139829, t139835;
  double t139836, t139841, t139848, t139851, t139854, t139860, t139867, t139875;
  double t139880, t139883, t139886, t139891, t139893, t139897, t139910, t139911;
  double t139921, t139922, t139926, t139930, t139938, t139942, t139947, t139951;
  double t139952, t139955, t139958, t139960, t139963, t139964, t139969, t139972;
  double t139973, t139980, t139989, t139998, t140003, t140006, t140014, t140022;
  double t140023, t140024, t140026, t140029, t140032, t140036, t140039, t140042;
  double t140047, t140050, t140053, t140056, t140058, t140063, t140077, t140085;
  double t140086, t140087, t140096, t140099, t140103, t140107, t140116, t140120;
  double t140126, t140130, t140144, t140173, t140188, t140196, t140199, t140212;
  double t140217, tv4lapl44, t140218, t140224, t140238, t140243, t140246, t140250;
  double t140255, t140256, t140257, t140258, t140260, t140263, t140276, t140300;
  double t140305, t140338, t140341, t140344, t140349, t140350, t140375, t140379;
  double t140390, t140391, t140392, t140410, t140421, t140426, t140445, t140461;
  double t140473, t140480, t140489, t140501, t140503, t140506, t140517, t140534;
  double t140553, t140573, t140574, t140580, t140584, t140585, t140586, t140587;
  double t140588, t140589, t140590, t140591, t140593, t140594, t140597, t140598;
  double t140599, t140616, t140628, t140642, t140658, t140659, t140660, t140661;
  double t140669, t140679, t140714, t140719, t140745, t140747, t140748, t140749;
  double t140751, t140752, t140754, t140755, t140759, t140763, t140767, t140771;
  double t140772, t140779, t140785, t140794, t140801, t140802, t140803, t140824;
  double t140826, t140842, t140850, t140857, t140868, t140876, t140877, t140878;
  double t140879, t140880, t140881, t140882, t140884, t140886, t140887, t140904;
  double t140919, t140937, t140945, t140967, t140968, t140969, t140979, t140982;
  double t140987, tv4lapl3tau0, tv4lapl3tau1, tv4lapl3tau2, tv4lapl3tau3, tv4lapl3tau4, tv4lapl3tau5, tv4lapl3tau6;
  double t140993, t140996, t141004, t141010, t141017, t141026, t141036, t141037;
  double t141045, t141056, t141088, t141117, t141121, t141122, t141140, t141141;
  double t141142, t141143, t141144, t141145, t141146, t141150, t141154, t141170;
  double t141175, t141178, t141193, t141219, t141249, t141279, t141288, t141321;
  double t141322, t141323, t141324, t141329, t141330, t141353, t141354, t141365;
  double t141383, t141388, t141391, t141397, t141398, t141400, t141404, t141405;
  double t141406, t141407, t141408, t141409, t141415, t141416, t141426, t141429;
  double t141434, t141435, t141464, t141469, t141472, t141473, t141474, t141489;
  double t141490, t141494, t141495, t141496, t141498, t141507, t141510, t141517;
  double t141526, t141533, t141538, t141539, t141540, t141541, t141543, t141552;
  double t141556, t141569, t141589, t141600, t141605, t141614, t141621, t141635;
  double t141636, t141646, t141654, t141667, t141668, t141670, t141681, t141682;
  double t141683, t141684, t141686, t141695, t141719, t141720, t141721, t141722;
  double t141723, t141726, t141727, t141737, t141741, t141744, t141750, t141755;
  double tv4lapl3tau7, t141790, t141802, t141818, t141831, t141834, t141841, t141863;
  double t141880, t141881, t141883, t141884, t141893, t141898, t141906, t141907;
  double t141911, t141916, t141920, t141932, t141941, t141951, t141971, t141978;
  double t141982, t142006, t142031, t142053, t142054, t142070, t142077, t142079;
  double t142101, t142112, t142130, t142145, t142148, t142166, t142184, t142186;
  double t142200, t142217, t142231, t142236, t142262, t142270, t142287, t142321;
  double t142337, t142338, t142360, t142374, t142401, t142426, t142449, t142457;
  double t142486, t142508, t142519, t142534, t142541, t142555, t142556, t142557;
  double t142558, t142559, t142562, t142563, t142568, t142576, t142595, t142611;
  double t142615, t142648, t142670, t142700, t142701, t142704, t142706, t142727;
  double t142768, t142789, t142803, t142804, t142815, t142836, t142842, tv4lapl2tau20;
  double tv4lapl2tau21, tv4lapl2tau22, tv4lapl2tau23, tv4lapl2tau24, tv4lapl2tau25, tv4lapl2tau26, tv4lapl2tau27, t142857;
  double t142861, t142868, t142869, t142882, t142886, t142890, t142918, t142919;
  double t142938, t142959, t142967, t142972, t142980, t142994, t143022, t143055;
  double t143085, t143089, t143106, t143111, t143128, t143140, t143147, t143163;
  double t143170, t143178, t143205, t143227, t143228, t143251, t143276, t143299;
  double t143320, t143327, t143355, t143357, t143382, t143386, t143387, t143388;
  double t143389, t143395, t143398, t143408, t143412, t143413, t143429, t143436;
  double t143464, t143477, t143511, t143515, t143531, t143541, t143572, t143594;
  double t143610, t143619, t143634, t143635, t143638, t143651, t143657, t143681;
  double t143685, t143714, t143715, t143729, t143733, t143747, t143748, t143749;
  double t143754, t143776, t143804, t143813, t143816, t143817, t143846, t143871;
  double t143889, t143911, t143917, tv4lapl2tau28, t143924, t143936, t143942, t143946;
  double t143961, t143979, t143983, t143997, t144024, t144037, t144061, t144074;
  double t144088, t144101, t144103, t144132, t144155, t144175, t144201, t144204;
  double t144208, t144227, t144256, t144287, t144305, t144315, t144332, t144361;
  double t144372, t144374, t144379, t144405, t144410, t144429, t144433, t144437;
  double t144457, t144463, t144475, t144495, t144501, t144532, t144555, t144565;
  double t144568, t144610, t144641, t144670, t144675, t144697, t144713, t144738;
  double t144767, t144801, t144818, t144857, t144887, t144919, t144932, t144938;
  double tv4lapltau30, tv4lapltau31, tv4lapltau32, tv4lapltau33, tv4lapltau34, tv4lapltau35, tv4lapltau36, t144948;
  double t144975, t145002, t145026, t145055, t145056, t145062, t145066, t145071;
  double t145090, t145108, t145123, t145131, t145152, t145154, t145167, t145168;
  double t145169, t145185, t145204, t145228, t145233, t145257, t145277, t145284;
  double t145293, t145301, t145315, t145343, t145372, t145404, t145417, t145439;
  double t145464, t145477, t145488, t145497, t145517, t145536, t145562, t145572;
  double t145583, t145599, t145618, t145629, t145635, t145674, t145677, t145701;
  double t145730, t145754, t145776, t145793, t145813, t145853, t145866, t145905;
  double t145932, t145949, t145955, tv4lapltau37, t145985, t145994, t145995, t145998;
  double t146029, t146039, t146044, t146056, t146066, t146077, t146086, t146129;
  double t146147, t146159, t146164, t146166, t146184, t146202, t146221, t146231;
  double t146265, t146284, t146321, t146324, t146325, t146352, t146353, t146378;
  double t146382, t146383, t146404, t146421, t146423, t146424, t146427, t146428;
  double t146452, t146462, t146465, t146479, t146497, t146512, t146522, t146535;
  double t146564, t146622, t146648, t146685, t146707, t146733, t146738, tv4tau40;
  double tv4tau41, tv4tau42, tv4tau43, t146742, t146743, t146750, t146754, t146770;
  double t146774, t146796, t146803, t146818, t146842, t146843, t146849, t146873;
  double t146876, t146885, t146910, t146939, t146978, t147008, t147014, t147048;
  double t147071, t147076, t147115, t147132, t147160, t147187, t147219, t147220;
  double t147225, t147228, t147229, t147232, t147233, t147241, t147246, t147263;
  double t147286, t147305, t147313, t147316, t147332, t147347, t147355, t147397;
  double t147414, t147429, t147459, t147487, t147516, t147521, tv4tau44;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = POW_1_3(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = POW_1_3(t16);
  t22 = my_piecewise3(t17, t19, t20 * t16);
  t23 = POW_1_3(t3);
  t24 = t22 * t23;
  t26 = POW_1_3(0.1e1 / M_PI);
  t27 = 0.1e1 / t26;
  t28 = M_CBRT4;
  t29 = t27 * t28;
  t30 = t24 * t29;
  t31 = POW_1_3(rho[0]);
  t32 = t31 * t31;
  t34 = 0.1e1 / t32 / rho[0];
  t35 = lapl[0] * t34;
  t37 = tau[0] * params->gamma;
  t38 = t37 * t34;
  t40 = params->gamma * sigma[0];
  t41 = rho[0] * rho[0];
  t43 = 0.1e1 / t32 / t41;
  t44 = t40 * t43;
  t47 = fabs(t35 / 0.2e1 - 0.2e1 * t38 + t44 / 0.4e1);
  t49 = t47 / 0.3e1 < 0.5e-12;
  t53 = t35 / 0.6e1 - 0.2e1 / 0.3e1 * t38 + t44 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t49, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t34;
  t75 = t73 - t74;
  t76 = t73 + t74;
  t77 = 0.1e1 / t76;
  t79 = t75 * t75;
  t80 = t79 * t75;
  t81 = t76 * t76;
  t82 = t81 * t76;
  t83 = 0.1e1 / t82;
  t86 = t79 * t79;
  t87 = t86 * t75;
  t88 = t81 * t81;
  t90 = 0.1e1 / t88 / t76;
  t94 = 0.1e1 + params->at * (t75 * t77 - 0.2e1 * t80 * t83 + t87 * t90);
  t95 = t66 * t94;
  t96 = t65 * t95;
  t99 = my_piecewise3(t2, 0, -t30 * t96 / 0.4e1);
  t100 = rho[1] <= p->dens_threshold;
  t101 = -t13;
  t103 = my_piecewise5(t11, t8, t7, t12, t101 * t4);
  t104 = 0.1e1 + t103;
  t105 = t104 <= p->zeta_threshold;
  t106 = POW_1_3(t104);
  t108 = my_piecewise3(t105, t19, t106 * t104);
  t109 = t108 * t23;
  t110 = t109 * t29;
  t111 = POW_1_3(rho[1]);
  t112 = t111 * t111;
  t114 = 0.1e1 / t112 / rho[1];
  t115 = lapl[1] * t114;
  t117 = tau[1] * params->gamma;
  t118 = t117 * t114;
  t120 = params->gamma * sigma[2];
  t121 = rho[1] * rho[1];
  t123 = 0.1e1 / t112 / t121;
  t124 = t120 * t123;
  t127 = fabs(t115 / 0.2e1 - 0.2e1 * t118 + t124 / 0.4e1);
  t129 = t127 / 0.3e1 < 0.5e-12;
  t133 = t115 / 0.6e1 - 0.2e1 / 0.3e1 * t118 + t124 / 0.12e2;
  t134 = 0.e0 < t133;
  t135 = my_piecewise3(t134, 0.5e-12, -0.5e-12);
  t136 = my_piecewise3(t129, t135, t133);
  t137 = xc_mgga_x_br89_get_x(t136);
  t139 = exp(t137 / 0.3e1);
  t140 = exp(-t137);
  t142 = 0.1e1 + t137 / 0.2e1;
  t143 = t140 * t142;
  t144 = 0.1e1 - t143;
  t145 = t139 * t144;
  t146 = 0.1e1 / t137;
  t147 = tau[1] * t114;
  t148 = t73 - t147;
  t149 = t73 + t147;
  t150 = 0.1e1 / t149;
  t152 = t148 * t148;
  t153 = t152 * t148;
  t154 = t149 * t149;
  t155 = t154 * t149;
  t156 = 0.1e1 / t155;
  t159 = t152 * t152;
  t160 = t159 * t148;
  t161 = t154 * t154;
  t163 = 0.1e1 / t161 / t149;
  t167 = 0.1e1 + params->at * (t148 * t150 - 0.2e1 * t153 * t156 + t160 * t163);
  t168 = t146 * t167;
  t169 = t145 * t168;
  t172 = my_piecewise3(t100, 0, -t110 * t169 / 0.4e1);
  tzk0 = t99 + t172;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t173 = t3 * t3;
  t174 = 0.1e1 / t173;
  t175 = t13 * t174;
  t177 = my_piecewise5(t7, 0, t11, 0, t4 - t175);
  t180 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t177);
  t181 = t180 * t23;
  t182 = t181 * t29;
  t185 = t23 * t23;
  t186 = 0.1e1 / t185;
  t187 = t22 * t186;
  t188 = t187 * t29;
  t190 = t188 * t96 / 0.12e2;
  t191 = t24 * t27;
  t192 = M_CBRTPI;
  t193 = t192 * t192;
  t194 = t28 * t193;
  t195 = my_piecewise3(t54, 0, 0);
  t200 = t41 * rho[0];
  t202 = 0.1e1 / t32 / t200;
  t206 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * lapl[0] * t43 + 0.1e2 / 0.9e1 * t37 * t43 - 0.2e1 / 0.9e1 * t40 * t202);
  t207 = t56 * t56;
  t208 = 0.1e1 / t207;
  t209 = t206 * t208;
  t210 = t194 * t209;
  t211 = t191 * t210;
  t213 = exp(-0.2e1 / 0.3e1 * t57);
  t214 = 0.1e1 / t213;
  t215 = t57 * t57;
  t217 = t215 - 0.2e1 * t57 + 0.3e1;
  t218 = 0.1e1 / t217;
  t219 = t214 * t218;
  t220 = t57 - 0.2e1;
  t221 = t220 * t220;
  t222 = t219 * t221;
  t223 = t222 * t96;
  t226 = t193 * t206;
  t227 = t208 * t214;
  t228 = t226 * t227;
  t229 = t218 * t221;
  t230 = t229 * t63;
  t232 = t226 * t208;
  t233 = t221 * t60;
  t234 = t219 * t233;
  t237 = t228 * t230 - t232 * t234 / 0.2e1;
  t238 = t59 * t237;
  t239 = t238 * t95;
  t242 = t28 * t59;
  t243 = 0.1e1 / t215;
  t244 = t64 * t243;
  t245 = t242 * t244;
  t246 = t191 * t245;
  t247 = t94 * t193;
  t249 = t227 * t229;
  t250 = t247 * t206 * t249;
  t253 = t66 * params->at;
  t254 = tau[0] * t43;
  t257 = 0.1e1 / t81;
  t258 = t75 * t257;
  t261 = t79 * t83;
  t264 = 0.1e1 / t88;
  t265 = t80 * t264;
  t268 = t86 * t90;
  t272 = 0.1e1 / t88 / t81;
  t273 = t87 * t272;
  t276 = 0.5e1 / 0.3e1 * t254 * t77 + 0.5e1 / 0.3e1 * t258 * t254 - 0.1e2 * t261 * t254 - 0.1e2 * t265 * t254 + 0.25e2 / 0.3e1 * t268 * t254 + 0.25e2 / 0.3e1 * t273 * t254;
  t277 = t253 * t276;
  t278 = t65 * t277;
  t282 = my_piecewise3(t2, 0, -t182 * t96 / 0.4e1 - t190 - t211 * t223 / 0.12e2 - t30 * t239 / 0.4e1 + t246 * t250 / 0.4e1 - t30 * t278 / 0.4e1);
  t283 = t101 * t174;
  t285 = my_piecewise5(t11, 0, t7, 0, -t4 - t283);
  t288 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t285);
  t289 = t288 * t23;
  t290 = t289 * t29;
  t293 = t108 * t186;
  t294 = t293 * t29;
  t296 = t294 * t169 / 0.12e2;
  t298 = my_piecewise3(t100, 0, -t290 * t169 / 0.4e1 - t296);
  tvrho0 = t99 + t172 + t3 * (t282 + t298);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t302 = my_piecewise5(t7, 0, t11, 0, -t4 - t175);
  t305 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t302);
  t306 = t305 * t23;
  t307 = t306 * t29;
  t311 = my_piecewise3(t2, 0, -t307 * t96 / 0.4e1 - t190);
  t313 = my_piecewise5(t11, 0, t7, 0, t4 - t283);
  t316 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t313);
  t317 = t316 * t23;
  t318 = t317 * t29;
  t321 = t109 * t27;
  t322 = my_piecewise3(t134, 0, 0);
  t327 = t121 * rho[1];
  t329 = 0.1e1 / t112 / t327;
  t333 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * lapl[1] * t123 + 0.1e2 / 0.9e1 * t117 * t123 - 0.2e1 / 0.9e1 * t120 * t329);
  t334 = t136 * t136;
  t335 = 0.1e1 / t334;
  t336 = t333 * t335;
  t337 = t194 * t336;
  t338 = t321 * t337;
  t340 = exp(-0.2e1 / 0.3e1 * t137);
  t341 = 0.1e1 / t340;
  t342 = t137 * t137;
  t344 = t342 - 0.2e1 * t137 + 0.3e1;
  t345 = 0.1e1 / t344;
  t346 = t341 * t345;
  t347 = t137 - 0.2e1;
  t348 = t347 * t347;
  t349 = t346 * t348;
  t350 = t349 * t169;
  t353 = t193 * t333;
  t354 = t335 * t341;
  t355 = t353 * t354;
  t356 = t345 * t348;
  t357 = t356 * t143;
  t359 = t353 * t335;
  t360 = t348 * t140;
  t361 = t346 * t360;
  t364 = t355 * t357 - t359 * t361 / 0.2e1;
  t365 = t139 * t364;
  t366 = t365 * t168;
  t369 = t28 * t139;
  t370 = 0.1e1 / t342;
  t371 = t144 * t370;
  t372 = t369 * t371;
  t373 = t321 * t372;
  t374 = t167 * t193;
  t376 = t354 * t356;
  t377 = t374 * t333 * t376;
  t380 = t146 * params->at;
  t381 = tau[1] * t123;
  t384 = 0.1e1 / t154;
  t385 = t148 * t384;
  t388 = t152 * t156;
  t391 = 0.1e1 / t161;
  t392 = t153 * t391;
  t395 = t159 * t163;
  t399 = 0.1e1 / t161 / t154;
  t400 = t160 * t399;
  t403 = 0.5e1 / 0.3e1 * t381 * t150 + 0.5e1 / 0.3e1 * t385 * t381 - 0.1e2 * t388 * t381 - 0.1e2 * t392 * t381 + 0.25e2 / 0.3e1 * t395 * t381 + 0.25e2 / 0.3e1 * t400 * t381;
  t404 = t380 * t403;
  t405 = t145 * t404;
  t409 = my_piecewise3(t100, 0, -t318 * t169 / 0.4e1 - t296 - t338 * t350 / 0.12e2 - t110 * t366 / 0.4e1 + t373 * t377 / 0.4e1 - t110 * t405 / 0.4e1);
  tvrho1 = t99 + t172 + t3 * (t311 + t409);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t412 = params->gamma * t43;
  t414 = my_piecewise3(t49, t195, t412 / 0.12e2);
  t415 = t414 * t208;
  t416 = t194 * t415;
  t417 = t191 * t416;
  t420 = t193 * t414;
  t421 = t420 * t227;
  t423 = t420 * t208;
  t426 = t421 * t230 - t423 * t234 / 0.2e1;
  t427 = t59 * t426;
  t428 = t427 * t95;
  t432 = t247 * t414 * t249;
  t436 = my_piecewise3(t2, 0, -t417 * t223 / 0.12e2 - t30 * t428 / 0.4e1 + t246 * t432 / 0.4e1);
  tvsigma0 = t3 * t436;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t437 = params->gamma * t123;
  t439 = my_piecewise3(t129, t322, t437 / 0.12e2);
  t440 = t439 * t335;
  t441 = t194 * t440;
  t442 = t321 * t441;
  t445 = t193 * t439;
  t446 = t445 * t354;
  t448 = t445 * t335;
  t451 = t446 * t357 - t448 * t361 / 0.2e1;
  t452 = t139 * t451;
  t453 = t452 * t168;
  t457 = t374 * t439 * t376;
  t461 = my_piecewise3(t100, 0, -t442 * t350 / 0.12e2 - t110 * t453 / 0.4e1 + t373 * t457 / 0.4e1);
  tvsigma2 = t3 * t461;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t463 = my_piecewise3(t49, t195, t34 / 0.6e1);
  t464 = t463 * t208;
  t465 = t194 * t464;
  t466 = t191 * t465;
  t469 = t193 * t463;
  t470 = t469 * t227;
  t472 = t469 * t208;
  t475 = t470 * t230 - t472 * t234 / 0.2e1;
  t476 = t59 * t475;
  t477 = t476 * t95;
  t481 = t247 * t463 * t249;
  t485 = my_piecewise3(t2, 0, -t466 * t223 / 0.12e2 - t30 * t477 / 0.4e1 + t246 * t481 / 0.4e1);
  tvlapl0 = t3 * t485;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t487 = my_piecewise3(t129, t322, t114 / 0.6e1);
  t488 = t487 * t335;
  t489 = t194 * t488;
  t490 = t321 * t489;
  t493 = t193 * t487;
  t494 = t493 * t354;
  t496 = t493 * t335;
  t499 = t494 * t357 - t496 * t361 / 0.2e1;
  t500 = t139 * t499;
  t501 = t500 * t168;
  t505 = t374 * t487 * t376;
  t509 = my_piecewise3(t100, 0, -t490 * t350 / 0.12e2 - t110 * t501 / 0.4e1 + t373 * t505 / 0.4e1);
  tvlapl1 = t3 * t509;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t512 = my_piecewise3(t49, t195, -0.2e1 / 0.3e1 * params->gamma * t34);
  t513 = t512 * t208;
  t514 = t194 * t513;
  t515 = t191 * t514;
  t518 = t193 * t512;
  t519 = t518 * t227;
  t521 = t518 * t208;
  t524 = t519 * t230 - t521 * t234 / 0.2e1;
  t525 = t59 * t524;
  t526 = t525 * t95;
  t530 = t247 * t512 * t249;
  t543 = -t258 * t34 + 0.6e1 * t261 * t34 + 0.6e1 * t265 * t34 - 0.5e1 * t268 * t34 - 0.5e1 * t273 * t34 - t34 * t77;
  t544 = t253 * t543;
  t545 = t65 * t544;
  t549 = my_piecewise3(t2, 0, -t515 * t223 / 0.12e2 - t30 * t526 / 0.4e1 + t246 * t530 / 0.4e1 - t30 * t545 / 0.4e1);
  tvtau0 = t3 * t549;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t552 = my_piecewise3(t129, t322, -0.2e1 / 0.3e1 * params->gamma * t114);
  t553 = t552 * t335;
  t554 = t194 * t553;
  t555 = t321 * t554;
  t558 = t193 * t552;
  t559 = t558 * t354;
  t561 = t558 * t335;
  t564 = t559 * t357 - t561 * t361 / 0.2e1;
  t565 = t139 * t564;
  t566 = t565 * t168;
  t570 = t374 * t552 * t376;
  t583 = -t114 * t150 - t385 * t114 + 0.6e1 * t388 * t114 + 0.6e1 * t392 * t114 - 0.5e1 * t395 * t114 - 0.5e1 * t400 * t114;
  t584 = t380 * t583;
  t585 = t145 * t584;
  t589 = my_piecewise3(t100, 0, -t555 * t350 / 0.12e2 - t110 * t566 / 0.4e1 + t373 * t570 / 0.4e1 - t110 * t585 / 0.4e1);
  tvtau1 = t3 * t589;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t592 = t187 * t27;
  t593 = t592 * t245;
  t594 = t593 * t250;
  t600 = t41 * t41;
  t602 = 0.1e1 / t32 / t600;
  t606 = my_piecewise3(t49, t195, 0.2e2 / 0.27e2 * lapl[0] * t202 - 0.8e2 / 0.27e2 * t37 * t202 + 0.22e2 / 0.27e2 * t40 * t602);
  t607 = t606 * t208;
  t608 = t194 * t607;
  t609 = t191 * t608;
  t612 = t222 * t239;
  t615 = t192 * M_PI;
  t616 = t28 * t615;
  t617 = t206 * t206;
  t618 = t207 * t207;
  t619 = 0.1e1 / t618;
  t620 = t617 * t619;
  t621 = t616 * t620;
  t622 = t191 * t621;
  t623 = t213 * t213;
  t624 = 0.1e1 / t623;
  t625 = t217 * t217;
  t626 = 0.1e1 / t625;
  t627 = t624 * t626;
  t628 = t221 * t220;
  t629 = t627 * t628;
  t630 = t629 * t96;
  t633 = t221 * t221;
  t634 = t627 * t633;
  t635 = t243 * t94;
  t636 = t65 * t635;
  t637 = t634 * t636;
  t641 = 0.1e1 / t215 / t57;
  t642 = t64 * t641;
  t643 = t242 * t642;
  t644 = t191 * t643;
  t645 = t94 * t615;
  t646 = t645 * t617;
  t647 = t619 * t624;
  t648 = t626 * t633;
  t649 = t647 * t648;
  t650 = t646 * t649;
  t653 = t626 * t628;
  t654 = t647 * t653;
  t655 = t646 * t654;
  t658 = t214 * t626;
  t659 = t221 * t59;
  t660 = t658 * t659;
  t661 = t64 * t66;
  t662 = t57 * t193;
  t667 = 0.2e1 * t662 * t206 * t249 - 0.2e1 * t232 * t222;
  t668 = t94 * t667;
  t669 = t661 * t668;
  t670 = t660 * t669;
  t673 = t219 * t659;
  t674 = params->at * t276;
  t675 = t661 * t674;
  t676 = t673 * t675;
  t679 = t238 * t277;
  t682 = tau[0] * t202;
  t685 = tau[0] * tau[0];
  t686 = t600 * rho[0];
  t688 = 0.1e1 / t31 / t686;
  t689 = t685 * t688;
  t692 = t75 * t83;
  t697 = t79 * t264;
  t702 = t80 * t90;
  t707 = t86 * t272;
  t713 = 0.1e1 / t88 / t82;
  t714 = t87 * t713;
  t719 = -0.4e2 / 0.9e1 * t682 * t77 + 0.5e2 / 0.9e1 * t689 * t257 - 0.25e3 / 0.9e1 * t692 * t689 - 0.4e2 / 0.9e1 * t258 * t682 - 0.1e3 * t697 * t689 + 0.8e2 / 0.3e1 * t261 * t682 - 0.1e3 / 0.9e1 * t702 * t689 + 0.8e2 / 0.3e1 * t265 * t682 + 0.125e4 / 0.9e1 * t707 * t689 - 0.2e3 / 0.9e1 * t268 * t682 + 0.25e3 / 0.3e1 * t714 * t689 - 0.2e3 / 0.9e1 * t273 * t682;
  t720 = t253 * t719;
  t721 = t65 * t720;
  t726 = t188 * t278;
  t728 = t247 * t209;
  t730 = t658 * t221 * t667;
  t731 = t728 * t730;
  t734 = t594 / 0.6e1 - t609 * t223 / 0.12e2 - t211 * t612 / 0.6e1 - t622 * t630 / 0.6e1 + t622 * t637 / 0.3e1 - t644 * t650 / 0.2e1 + t246 * t655 / 0.2e1 + t211 * t670 / 0.12e2 - t211 * t676 / 0.6e1 - t30 * t679 / 0.2e1 - t30 * t721 / 0.4e1 - t182 * t278 / 0.2e1 - t726 / 0.6e1 - t246 * t731 / 0.4e1;
  t736 = t674 * t226 * t249;
  t739 = t207 * t56;
  t740 = 0.1e1 / t739;
  t741 = t617 * t740;
  t742 = t194 * t741;
  t743 = t191 * t742;
  t747 = t740 * t214;
  t748 = t747 * t229;
  t749 = t247 * t617 * t748;
  t752 = t634 * t96;
  t755 = t237 * t243;
  t756 = t242 * t755;
  t757 = t191 * t756;
  t761 = t247 * t606 * t249;
  t764 = t181 * t27;
  t765 = t764 * t210;
  t768 = t764 * t245;
  t771 = t592 * t210;
  t772 = t771 * t223;
  t775 = 0.1e1 / t185 / t3;
  t776 = t22 * t775;
  t777 = t776 * t29;
  t779 = t777 * t96 / 0.18e2;
  t780 = t180 * t186;
  t781 = t780 * t29;
  t782 = t781 * t96;
  t784 = t20 * t20;
  t785 = 0.1e1 / t784;
  t786 = t177 * t177;
  t789 = t173 * t3;
  t790 = 0.1e1 / t789;
  t791 = t13 * t790;
  t794 = my_piecewise5(t7, 0, t11, 0, -0.2e1 * t174 + 0.2e1 * t791);
  t798 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t785 * t786 + 0.4e1 / 0.3e1 * t20 * t794);
  t799 = t798 * t23;
  t800 = t799 * t29;
  t805 = t188 * t239;
  t807 = t193 * t606;
  t808 = t807 * t227;
  t810 = t193 * t617;
  t811 = t810 * t747;
  t814 = t615 * t617;
  t815 = t814 * t647;
  t816 = t648 * t63;
  t819 = t626 * t221;
  t820 = t63 * t667;
  t821 = t819 * t820;
  t823 = t653 * t63;
  t826 = t814 * t619;
  t827 = t633 * t60;
  t828 = t627 * t827;
  t831 = t807 * t208;
  t834 = t810 * t740;
  t836 = t60 * t667;
  t837 = t819 * t836;
  t840 = t628 * t60;
  t841 = t627 * t840;
  t843 = t808 * t230 - 0.2e1 * t811 * t230 - t815 * t816 / 0.3e1 - t228 * t821 + 0.2e1 * t815 * t823 + 0.2e1 / 0.3e1 * t826 * t828 - t831 * t234 / 0.2e1 + t834 * t234 + t228 * t837 / 0.2e1 - t826 * t841;
  t844 = t59 * t843;
  t845 = t844 * t95;
  t848 = t246 * t736 / 0.2e1 + t743 * t223 / 0.6e1 - t246 * t749 / 0.2e1 - t622 * t752 / 0.12e2 + t757 * t250 / 0.2e1 + t246 * t761 / 0.4e1 - t765 * t223 / 0.6e1 + t768 * t250 / 0.2e1 - t772 / 0.18e2 + t779 - t782 / 0.6e1 - t800 * t96 / 0.4e1 - t182 * t239 / 0.2e1 - t805 / 0.6e1 - t30 * t845 / 0.4e1;
  t850 = my_piecewise3(t2, 0, t734 + t848);
  t851 = t106 * t106;
  t852 = 0.1e1 / t851;
  t853 = t285 * t285;
  t856 = t101 * t790;
  t859 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t174 + 0.2e1 * t856);
  t863 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t853 + 0.4e1 / 0.3e1 * t106 * t859);
  t864 = t863 * t23;
  t865 = t864 * t29;
  t868 = t288 * t186;
  t869 = t868 * t29;
  t870 = t869 * t169;
  t872 = t108 * t775;
  t873 = t872 * t29;
  t875 = t873 * t169 / 0.18e2;
  t877 = my_piecewise3(t100, 0, -t865 * t169 / 0.4e1 - t870 / 0.6e1 + t875);
  tv2rho20 = 0.2e1 * t282 + 0.2e1 * t298 + t3 * (t850 + t877);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t880 = t785 * t302;
  t884 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t791);
  t888 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t880 * t177 + 0.4e1 / 0.3e1 * t20 * t884);
  t889 = t888 * t23;
  t890 = t889 * t29;
  t893 = t305 * t186;
  t894 = t893 * t29;
  t895 = t894 * t96;
  t897 = t306 * t27;
  t898 = t897 * t210;
  t903 = t897 * t245;
  t913 = -t890 * t96 / 0.4e1 - t895 / 0.12e2 - t898 * t223 / 0.12e2 - t307 * t239 / 0.4e1 + t903 * t250 / 0.4e1 - t307 * t278 / 0.4e1 - t782 / 0.12e2 + t779 - t772 / 0.36e2 - t805 / 0.12e2 + t594 / 0.12e2 - t726 / 0.12e2;
  t914 = my_piecewise3(t2, 0, t913);
  t915 = t852 * t313;
  t919 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t856);
  t923 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t915 * t285 + 0.4e1 / 0.3e1 * t106 * t919);
  t924 = t923 * t23;
  t925 = t924 * t29;
  t928 = t316 * t186;
  t929 = t928 * t29;
  t930 = t929 * t169;
  t933 = t289 * t27;
  t934 = t933 * t337;
  t937 = t293 * t27;
  t938 = t937 * t337;
  t939 = t938 * t350;
  t943 = t294 * t366;
  t945 = t933 * t372;
  t948 = t937 * t372;
  t949 = t948 * t377;
  t953 = t294 * t405;
  t955 = -t925 * t169 / 0.4e1 - t930 / 0.12e2 - t870 / 0.12e2 + t875 - t934 * t350 / 0.12e2 - t939 / 0.36e2 - t290 * t366 / 0.4e1 - t943 / 0.12e2 + t945 * t377 / 0.4e1 + t949 / 0.12e2 - t290 * t405 / 0.4e1 - t953 / 0.12e2;
  t956 = my_piecewise3(t100, 0, t955);
  tv2rho21 = t282 + t298 + t311 + t409 + t3 * (t914 + t956);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t961 = t302 * t302;
  t966 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t174 + 0.2e1 * t791);
  t970 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t785 * t961 + 0.4e1 / 0.3e1 * t20 * t966);
  t971 = t970 * t23;
  t972 = t971 * t29;
  t977 = my_piecewise3(t2, 0, -t972 * t96 / 0.4e1 - t895 / 0.6e1 + t779);
  t978 = params->at * t403;
  t980 = t978 * t353 * t376;
  t983 = t344 * t344;
  t984 = 0.1e1 / t983;
  t985 = t341 * t984;
  t986 = t348 * t139;
  t987 = t985 * t986;
  t988 = t144 * t146;
  t989 = t137 * t193;
  t994 = 0.2e1 * t989 * t333 * t376 - 0.2e1 * t359 * t349;
  t995 = t167 * t994;
  t996 = t988 * t995;
  t997 = t987 * t996;
  t1000 = t346 * t986;
  t1001 = t988 * t978;
  t1002 = t1000 * t1001;
  t1005 = t333 * t333;
  t1006 = t334 * t334;
  t1007 = 0.1e1 / t1006;
  t1008 = t1005 * t1007;
  t1009 = t616 * t1008;
  t1010 = t321 * t1009;
  t1011 = t340 * t340;
  t1012 = 0.1e1 / t1011;
  t1013 = t1012 * t984;
  t1014 = t348 * t347;
  t1015 = t1013 * t1014;
  t1016 = t1015 * t169;
  t1019 = t348 * t348;
  t1020 = t1013 * t1019;
  t1021 = t370 * t167;
  t1022 = t145 * t1021;
  t1023 = t1020 * t1022;
  t1027 = 0.1e1 / t342 / t137;
  t1028 = t144 * t1027;
  t1029 = t369 * t1028;
  t1030 = t321 * t1029;
  t1031 = t167 * t615;
  t1032 = t1031 * t1005;
  t1033 = t1007 * t1012;
  t1034 = t984 * t1019;
  t1035 = t1033 * t1034;
  t1036 = t1032 * t1035;
  t1042 = t334 * t136;
  t1043 = 0.1e1 / t1042;
  t1044 = t1043 * t341;
  t1045 = t1044 * t356;
  t1046 = t374 * t1005 * t1045;
  t1049 = t1005 * t1043;
  t1050 = t194 * t1049;
  t1051 = t321 * t1050;
  t1054 = t364 * t370;
  t1055 = t369 * t1054;
  t1056 = t321 * t1055;
  t1063 = t121 * t121;
  t1065 = 0.1e1 / t112 / t1063;
  t1069 = my_piecewise3(t129, t322, 0.2e2 / 0.27e2 * lapl[1] * t329 - 0.8e2 / 0.27e2 * t117 * t329 + 0.22e2 / 0.27e2 * t120 * t1065);
  t1071 = t374 * t1069 * t376;
  t1074 = t317 * t27;
  t1075 = t1074 * t337;
  t1078 = t1074 * t372;
  t1081 = t373 * t980 / 0.2e1 + t338 * t997 / 0.12e2 - t338 * t1002 / 0.6e1 - t1010 * t1016 / 0.6e1 + t1010 * t1023 / 0.3e1 - t1030 * t1036 / 0.2e1 - t939 / 0.18e2 + t949 / 0.6e1 - t373 * t1046 / 0.2e1 + t1051 * t350 / 0.6e1 + t1056 * t377 / 0.2e1 + t373 * t1071 / 0.4e1 - t1075 * t350 / 0.6e1 + t1078 * t377 / 0.2e1;
  t1082 = t1069 * t335;
  t1083 = t194 * t1082;
  t1084 = t321 * t1083;
  t1087 = t349 * t366;
  t1090 = t1020 * t169;
  t1093 = t984 * t1014;
  t1094 = t1033 * t1093;
  t1095 = t1032 * t1094;
  t1098 = t374 * t336;
  t1099 = t348 * t994;
  t1100 = t985 * t1099;
  t1101 = t1098 * t1100;
  t1105 = t365 * t404;
  t1108 = tau[1] * t329;
  t1111 = tau[1] * tau[1];
  t1112 = t1063 * rho[1];
  t1114 = 0.1e1 / t111 / t1112;
  t1115 = t1111 * t1114;
  t1118 = t148 * t156;
  t1123 = t152 * t391;
  t1128 = t153 * t163;
  t1133 = t159 * t399;
  t1139 = 0.1e1 / t161 / t155;
  t1140 = t160 * t1139;
  t1145 = -0.4e2 / 0.9e1 * t1108 * t150 + 0.5e2 / 0.9e1 * t1115 * t384 - 0.25e3 / 0.9e1 * t1118 * t1115 - 0.4e2 / 0.9e1 * t385 * t1108 - 0.1e3 * t1123 * t1115 + 0.8e2 / 0.3e1 * t388 * t1108 - 0.1e3 / 0.9e1 * t1128 * t1115 + 0.8e2 / 0.3e1 * t392 * t1108 + 0.125e4 / 0.9e1 * t1133 * t1115 - 0.2e3 / 0.9e1 * t395 * t1108 + 0.25e3 / 0.3e1 * t1140 * t1115 - 0.2e3 / 0.9e1 * t400 * t1108;
  t1146 = t380 * t1145;
  t1147 = t145 * t1146;
  t1154 = t313 * t313;
  t1159 = my_piecewise5(t11, 0, t7, 0, -0.2e1 * t174 + 0.2e1 * t856);
  t1163 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t1154 + 0.4e1 / 0.3e1 * t106 * t1159);
  t1164 = t1163 * t23;
  t1165 = t1164 * t29;
  t1170 = t193 * t1069;
  t1171 = t1170 * t354;
  t1173 = t193 * t1005;
  t1174 = t1173 * t1044;
  t1177 = t615 * t1005;
  t1178 = t1177 * t1033;
  t1179 = t1034 * t143;
  t1182 = t984 * t348;
  t1183 = t143 * t994;
  t1184 = t1182 * t1183;
  t1186 = t1093 * t143;
  t1189 = t1177 * t1007;
  t1190 = t1019 * t140;
  t1191 = t1013 * t1190;
  t1194 = t1170 * t335;
  t1197 = t1173 * t1043;
  t1199 = t140 * t994;
  t1200 = t1182 * t1199;
  t1203 = t1014 * t140;
  t1204 = t1013 * t1203;
  t1206 = t1171 * t357 - 0.2e1 * t1174 * t357 - t1178 * t1179 / 0.3e1 - t355 * t1184 + 0.2e1 * t1178 * t1186 + 0.2e1 / 0.3e1 * t1189 * t1191 - t1194 * t361 / 0.2e1 + t1197 * t361 + t355 * t1200 / 0.2e1 - t1189 * t1204;
  t1207 = t139 * t1206;
  t1208 = t1207 * t168;
  t1211 = -t1084 * t350 / 0.12e2 - t338 * t1087 / 0.6e1 - t1010 * t1090 / 0.12e2 + t373 * t1095 / 0.2e1 - t373 * t1101 / 0.4e1 - t953 / 0.6e1 - t110 * t1105 / 0.2e1 - t110 * t1147 / 0.4e1 - t318 * t405 / 0.2e1 + t875 - t930 / 0.6e1 - t943 / 0.6e1 - t1165 * t169 / 0.4e1 - t318 * t366 / 0.2e1 - t110 * t1208 / 0.4e1;
  t1213 = my_piecewise3(t100, 0, t1081 + t1211);
  tv2rho22 = 0.2e1 * t311 + 0.2e1 * t409 + t3 * (t977 + t1213);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t1216 = t414 * t619;
  t1217 = t616 * t1216;
  t1218 = t191 * t1217;
  t1219 = t628 * t59;
  t1220 = t627 * t1219;
  t1221 = t94 * t206;
  t1222 = t661 * t1221;
  t1223 = t1220 * t1222;
  t1226 = t633 * t59;
  t1227 = t627 * t1226;
  t1228 = t244 * t1221;
  t1229 = t1227 * t1228;
  t1232 = t645 * t1216;
  t1233 = t633 * t206;
  t1234 = t627 * t1233;
  t1235 = t1232 * t1234;
  t1239 = t627 * t628 * t206;
  t1240 = t1232 * t1239;
  t1243 = t414 * t740;
  t1244 = t247 * t1243;
  t1245 = t221 * t206;
  t1246 = t219 * t1245;
  t1247 = t1244 * t1246;
  t1250 = t247 * t415;
  t1251 = t1250 * t730;
  t1255 = t674 * t420 * t249;
  t1258 = t194 * t1243;
  t1259 = t191 * t1258;
  t1260 = t673 * t1222;
  t1266 = t593 * t432 / 0.12e2;
  t1267 = t592 * t416;
  t1269 = t1267 * t223 / 0.36e2;
  t1270 = params->gamma * t202;
  t1272 = my_piecewise3(t49, t195, -0.2e1 / 0.9e1 * t1270);
  t1274 = t247 * t1272 * t249;
  t1277 = -t1218 * t1223 / 0.6e1 + t1218 * t1229 / 0.3e1 - t644 * t1235 / 0.2e1 + t246 * t1240 / 0.2e1 - t246 * t1247 / 0.2e1 - t246 * t1251 / 0.4e1 + t246 * t1255 / 0.4e1 + t1259 * t1260 / 0.6e1 + t417 * t670 / 0.12e2 + t1266 - t1269 + t246 * t1274 / 0.4e1;
  t1278 = t764 * t416;
  t1281 = t1272 * t208;
  t1282 = t194 * t1281;
  t1283 = t191 * t1282;
  t1288 = t222 * t428;
  t1291 = t426 * t243;
  t1292 = t242 * t1291;
  t1293 = t191 * t1292;
  t1300 = t1227 * t1222;
  t1305 = t427 * t277;
  t1309 = t188 * t428 / 0.12e2;
  t1312 = t193 * t1272;
  t1313 = t1312 * t227;
  t1315 = t420 * t747;
  t1316 = t63 * t206;
  t1317 = t229 * t1316;
  t1320 = t615 * t414;
  t1321 = t1320 * t647;
  t1322 = t648 * t1316;
  t1326 = t653 * t1316;
  t1329 = t60 * t206;
  t1330 = t648 * t1329;
  t1333 = t1312 * t208;
  t1336 = t229 * t1329;
  t1340 = t653 * t1329;
  t1342 = t1313 * t230 - 0.2e1 * t1315 * t1317 - t1321 * t1322 / 0.3e1 - t421 * t821 + 0.2e1 * t1321 * t1326 + 0.2e1 / 0.3e1 * t1321 * t1330 - t1333 * t234 / 0.2e1 + t1315 * t1336 + t421 * t837 / 0.2e1 - t1321 * t1340;
  t1343 = t59 * t1342;
  t1344 = t1343 * t95;
  t1347 = -t1278 * t223 / 0.12e2 - t1283 * t223 / 0.12e2 - t417 * t612 / 0.12e2 - t211 * t1288 / 0.12e2 + t1293 * t250 / 0.4e1 + t768 * t432 / 0.4e1 + t757 * t432 / 0.4e1 - t1218 * t1300 / 0.12e2 - t417 * t676 / 0.12e2 - t30 * t1305 / 0.4e1 - t1309 - t182 * t428 / 0.4e1 - t30 * t1344 / 0.4e1;
  t1349 = my_piecewise3(t2, 0, t1277 + t1347);
  tv2rhosigma0 = t3 * t1349 + t436;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t1351 = t933 * t441;
  t1354 = t937 * t441;
  t1356 = t1354 * t350 / 0.36e2;
  t1360 = t294 * t453 / 0.12e2;
  t1364 = t948 * t457 / 0.12e2;
  t1366 = my_piecewise3(t100, 0, -t1351 * t350 / 0.12e2 - t1356 - t290 * t453 / 0.4e1 - t1360 + t945 * t457 / 0.4e1 + t1364);
  tv2rhosigma2 = t3 * t1366 + t461;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t1368 = t897 * t416;
  t1376 = my_piecewise3(t2, 0, -t1368 * t223 / 0.12e2 - t1269 - t307 * t428 / 0.4e1 - t1309 + t903 * t432 / 0.4e1 + t1266);
  tv2rhosigma3 = t3 * t1376 + t436;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t1378 = t1074 * t441;
  t1381 = params->gamma * t329;
  t1383 = my_piecewise3(t129, t322, -0.2e1 / 0.9e1 * t1381);
  t1384 = t1383 * t335;
  t1385 = t194 * t1384;
  t1386 = t321 * t1385;
  t1389 = t439 * t1007;
  t1390 = t616 * t1389;
  t1391 = t321 * t1390;
  t1392 = t1014 * t139;
  t1393 = t1013 * t1392;
  t1394 = t167 * t333;
  t1395 = t988 * t1394;
  t1396 = t1393 * t1395;
  t1399 = t1019 * t139;
  t1400 = t1013 * t1399;
  t1401 = t371 * t1394;
  t1402 = t1400 * t1401;
  t1405 = t1031 * t1389;
  t1406 = t1019 * t333;
  t1407 = t1013 * t1406;
  t1408 = t1405 * t1407;
  t1412 = t1013 * t1014 * t333;
  t1413 = t1405 * t1412;
  t1416 = t439 * t1043;
  t1417 = t374 * t1416;
  t1419 = t346 * t348 * t333;
  t1420 = t1417 * t1419;
  t1423 = t374 * t440;
  t1424 = t1423 * t1100;
  t1428 = t978 * t445 * t376;
  t1431 = t194 * t1416;
  t1432 = t321 * t1431;
  t1433 = t1000 * t1395;
  t1438 = t1400 * t1395;
  t1441 = -t1378 * t350 / 0.12e2 - t1386 * t350 / 0.12e2 - t1391 * t1396 / 0.6e1 + t1391 * t1402 / 0.3e1 - t1030 * t1408 / 0.2e1 + t373 * t1413 / 0.2e1 - t373 * t1420 / 0.2e1 - t373 * t1424 / 0.4e1 + t373 * t1428 / 0.4e1 + t1432 * t1433 / 0.6e1 + t442 * t997 / 0.12e2 - t1391 * t1438 / 0.12e2;
  t1444 = t452 * t404;
  t1449 = t349 * t453;
  t1452 = t451 * t370;
  t1453 = t369 * t1452;
  t1454 = t321 * t1453;
  t1462 = t374 * t1383 * t376;
  t1467 = t193 * t1383;
  t1468 = t1467 * t354;
  t1470 = t445 * t1044;
  t1471 = t143 * t333;
  t1472 = t356 * t1471;
  t1475 = t615 * t439;
  t1476 = t1475 * t1033;
  t1477 = t1034 * t1471;
  t1481 = t1093 * t1471;
  t1484 = t140 * t333;
  t1485 = t1034 * t1484;
  t1488 = t1467 * t335;
  t1491 = t356 * t1484;
  t1495 = t1093 * t1484;
  t1497 = t1468 * t357 - 0.2e1 * t1470 * t1472 - t1476 * t1477 / 0.3e1 - t446 * t1184 + 0.2e1 * t1476 * t1481 + 0.2e1 / 0.3e1 * t1476 * t1485 - t1488 * t361 / 0.2e1 + t1470 * t1491 + t446 * t1200 / 0.2e1 - t1476 * t1495;
  t1498 = t139 * t1497;
  t1499 = t1498 * t168;
  t1502 = -t442 * t1002 / 0.12e2 - t110 * t1444 / 0.4e1 - t1356 + t1364 - t442 * t1087 / 0.12e2 - t338 * t1449 / 0.12e2 + t1454 * t377 / 0.4e1 + t1078 * t457 / 0.4e1 + t1056 * t457 / 0.4e1 + t373 * t1462 / 0.4e1 - t1360 - t318 * t453 / 0.4e1 - t110 * t1499 / 0.4e1;
  t1504 = my_piecewise3(t100, 0, t1441 + t1502);
  tv2rhosigma5 = t3 * t1504 + t461;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t1507 = t593 * t481 / 0.12e2;
  t1508 = t592 * t465;
  t1510 = t1508 * t223 / 0.36e2;
  t1512 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * t43);
  t1514 = t247 * t1512 * t249;
  t1517 = t764 * t465;
  t1520 = t1512 * t208;
  t1521 = t194 * t1520;
  t1522 = t191 * t1521;
  t1527 = t222 * t477;
  t1530 = t475 * t243;
  t1531 = t242 * t1530;
  t1532 = t191 * t1531;
  t1539 = t463 * t619;
  t1540 = t616 * t1539;
  t1541 = t191 * t1540;
  t1546 = t1507 - t1510 + t246 * t1514 / 0.4e1 - t1517 * t223 / 0.12e2 - t1522 * t223 / 0.12e2 - t466 * t612 / 0.12e2 - t211 * t1527 / 0.12e2 + t1532 * t250 / 0.4e1 + t768 * t481 / 0.4e1 + t757 * t481 / 0.4e1 - t1541 * t1223 / 0.6e1 + t1541 * t1229 / 0.3e1;
  t1547 = t645 * t1539;
  t1548 = t1547 * t1234;
  t1551 = t1547 * t1239;
  t1554 = t463 * t740;
  t1555 = t247 * t1554;
  t1556 = t1555 * t1246;
  t1559 = t247 * t464;
  t1560 = t1559 * t730;
  t1564 = t674 * t469 * t249;
  t1567 = t194 * t1554;
  t1568 = t191 * t1567;
  t1577 = t476 * t277;
  t1581 = t188 * t477 / 0.12e2;
  t1584 = t193 * t1512;
  t1585 = t1584 * t227;
  t1587 = t469 * t747;
  t1590 = t615 * t463;
  t1591 = t1590 * t647;
  t1599 = t1584 * t208;
  t1606 = t1585 * t230 - 0.2e1 * t1587 * t1317 - t1591 * t1322 / 0.3e1 - t470 * t821 + 0.2e1 * t1591 * t1326 + 0.2e1 / 0.3e1 * t1591 * t1330 - t1599 * t234 / 0.2e1 + t1587 * t1336 + t470 * t837 / 0.2e1 - t1591 * t1340;
  t1607 = t59 * t1606;
  t1608 = t1607 * t95;
  t1611 = -t644 * t1548 / 0.2e1 + t246 * t1551 / 0.2e1 - t246 * t1556 / 0.2e1 - t246 * t1560 / 0.4e1 + t246 * t1564 / 0.4e1 + t1568 * t1260 / 0.6e1 + t466 * t670 / 0.12e2 - t1541 * t1300 / 0.12e2 - t466 * t676 / 0.12e2 - t30 * t1577 / 0.4e1 - t1581 - t182 * t477 / 0.4e1 - t30 * t1608 / 0.4e1;
  t1613 = my_piecewise3(t2, 0, t1546 + t1611);
  tv2rholapl0 = t3 * t1613 + t485;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t1615 = t933 * t489;
  t1618 = t937 * t489;
  t1620 = t1618 * t350 / 0.36e2;
  t1624 = t294 * t501 / 0.12e2;
  t1628 = t948 * t505 / 0.12e2;
  t1630 = my_piecewise3(t100, 0, -t1615 * t350 / 0.12e2 - t1620 - t290 * t501 / 0.4e1 - t1624 + t945 * t505 / 0.4e1 + t1628);
  tv2rholapl1 = t3 * t1630 + t509;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t1632 = t897 * t465;
  t1640 = my_piecewise3(t2, 0, -t1632 * t223 / 0.12e2 - t1510 - t307 * t477 / 0.4e1 - t1581 + t903 * t481 / 0.4e1 + t1507);
  tv2rholapl2 = t3 * t1640 + t485;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t1642 = t487 * t1043;
  t1643 = t194 * t1642;
  t1644 = t321 * t1643;
  t1649 = t487 * t1007;
  t1650 = t616 * t1649;
  t1651 = t321 * t1650;
  t1658 = t349 * t501;
  t1661 = t499 * t370;
  t1662 = t369 * t1661;
  t1663 = t321 * t1662;
  t1671 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * t123);
  t1673 = t374 * t1671 * t376;
  t1676 = -t1620 + t1644 * t1433 / 0.6e1 + t490 * t997 / 0.12e2 - t1651 * t1438 / 0.12e2 - t490 * t1002 / 0.12e2 + t1628 - t490 * t1087 / 0.12e2 - t338 * t1658 / 0.12e2 + t1663 * t377 / 0.4e1 + t1078 * t505 / 0.4e1 + t1056 * t505 / 0.4e1 + t373 * t1673 / 0.4e1;
  t1677 = t1074 * t489;
  t1680 = t1671 * t335;
  t1681 = t194 * t1680;
  t1682 = t321 * t1681;
  t1685 = t500 * t404;
  t1692 = t1031 * t1649;
  t1693 = t1692 * t1407;
  t1696 = t1692 * t1412;
  t1699 = t374 * t1642;
  t1700 = t1699 * t1419;
  t1703 = t374 * t488;
  t1704 = t1703 * t1100;
  t1708 = t978 * t493 * t376;
  t1713 = t193 * t1671;
  t1714 = t1713 * t354;
  t1716 = t493 * t1044;
  t1719 = t615 * t487;
  t1720 = t1719 * t1033;
  t1728 = t1713 * t335;
  t1735 = t1714 * t357 - 0.2e1 * t1716 * t1472 - t1720 * t1477 / 0.3e1 - t494 * t1184 + 0.2e1 * t1720 * t1481 + 0.2e1 / 0.3e1 * t1720 * t1485 - t1728 * t361 / 0.2e1 + t1716 * t1491 + t494 * t1200 / 0.2e1 - t1720 * t1495;
  t1736 = t139 * t1735;
  t1737 = t1736 * t168;
  t1740 = -t1677 * t350 / 0.12e2 - t1682 * t350 / 0.12e2 - t110 * t1685 / 0.4e1 - t1651 * t1396 / 0.6e1 + t1651 * t1402 / 0.3e1 - t1030 * t1693 / 0.2e1 + t373 * t1696 / 0.2e1 - t373 * t1700 / 0.2e1 - t373 * t1704 / 0.4e1 + t373 * t1708 / 0.4e1 - t1624 - t318 * t501 / 0.4e1 - t110 * t1737 / 0.4e1;
  t1742 = my_piecewise3(t100, 0, t1676 + t1740);
  tv2rholapl3 = t3 * t1742 + t509;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  t1746 = t512 * t619;
  t1747 = t616 * t1746;
  t1748 = t191 * t1747;
  t1757 = t645 * t1746;
  t1758 = t1757 * t1234;
  t1761 = t1757 * t1239;
  t1764 = t512 * t740;
  t1765 = t247 * t1764;
  t1766 = t1765 * t1246;
  t1769 = t247 * t513;
  t1770 = t1769 * t730;
  t1774 = t674 * t518 * t249;
  t1777 = params->at * t543;
  t1778 = t661 * t1777;
  t1779 = t673 * t1778;
  t1783 = t1777 * t226 * t249;
  t1786 = t194 * t1764;
  t1787 = t191 * t1786;
  t1791 = t593 * t530 / 0.12e2;
  t1792 = t525 * t277;
  t1795 = t515 * t670 / 0.12e2 - t1748 * t1300 / 0.12e2 - t515 * t676 / 0.12e2 - t1748 * t1223 / 0.6e1 + t1748 * t1229 / 0.3e1 - t644 * t1758 / 0.2e1 + t246 * t1761 / 0.2e1 - t246 * t1766 / 0.2e1 - t246 * t1770 / 0.4e1 + t246 * t1774 / 0.4e1 - t211 * t1779 / 0.12e2 + t246 * t1783 / 0.4e1 + t1787 * t1260 / 0.6e1 + t1791 - t30 * t1792 / 0.4e1;
  t1798 = t238 * t544;
  t1804 = 0.1e1 / t31 / t600;
  t1805 = t1804 * t257;
  t1808 = t1804 * tau[0];
  t1829 = 0.5e1 / 0.3e1 * t43 * t77 - 0.1e2 / 0.3e1 * t1805 * tau[0] + 0.5e2 / 0.3e1 * t692 * t1808 + 0.5e1 / 0.3e1 * t258 * t43 + 0.6e2 * t697 * t1808 - 0.1e2 * t261 * t43 + 0.2e2 / 0.3e1 * t702 * t1808 - 0.1e2 * t265 * t43 - 0.25e3 / 0.3e1 * t707 * t1808 + 0.25e2 / 0.3e1 * t268 * t43 - 0.5e2 * t714 * t1808 + 0.25e2 / 0.3e1 * t273 * t43;
  t1830 = t253 * t1829;
  t1831 = t65 * t1830;
  t1835 = t188 * t545 / 0.12e2;
  t1839 = my_piecewise3(t49, t195, 0.1e2 / 0.9e1 * t412);
  t1840 = t193 * t1839;
  t1841 = t1840 * t227;
  t1843 = t518 * t747;
  t1846 = t615 * t512;
  t1847 = t1846 * t647;
  t1855 = t1840 * t208;
  t1862 = t1841 * t230 - 0.2e1 * t1843 * t1317 - t1847 * t1322 / 0.3e1 - t519 * t821 + 0.2e1 * t1847 * t1326 + 0.2e1 / 0.3e1 * t1847 * t1330 - t1855 * t234 / 0.2e1 + t1843 * t1336 + t519 * t837 / 0.2e1 - t1847 * t1340;
  t1863 = t59 * t1862;
  t1864 = t1863 * t95;
  t1868 = t188 * t526 / 0.12e2;
  t1869 = t592 * t514;
  t1871 = t1869 * t223 / 0.36e2;
  t1873 = t247 * t1839 * t249;
  t1876 = t764 * t514;
  t1879 = t1839 * t208;
  t1880 = t194 * t1879;
  t1881 = t191 * t1880;
  t1886 = t222 * t526;
  t1889 = t524 * t243;
  t1890 = t242 * t1889;
  t1891 = t191 * t1890;
  t1898 = -t182 * t545 / 0.4e1 - t30 * t1798 / 0.4e1 - t30 * t1831 / 0.4e1 - t1835 - t182 * t526 / 0.4e1 - t30 * t1864 / 0.4e1 - t1868 - t1871 + t246 * t1873 / 0.4e1 - t1876 * t223 / 0.12e2 - t1881 * t223 / 0.12e2 - t515 * t612 / 0.12e2 - t211 * t1886 / 0.12e2 + t1891 * t250 / 0.4e1 + t768 * t530 / 0.4e1 + t757 * t530 / 0.4e1;
  t1900 = my_piecewise3(t2, 0, t1795 + t1898);
  tv2rhotau0 = t3 * t1900 + t549;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t1902 = t933 * t554;
  t1905 = t937 * t554;
  t1907 = t1905 * t350 / 0.36e2;
  t1911 = t294 * t566 / 0.12e2;
  t1915 = t948 * t570 / 0.12e2;
  t1919 = t294 * t585 / 0.12e2;
  t1921 = my_piecewise3(t100, 0, -t1902 * t350 / 0.12e2 - t1907 - t290 * t566 / 0.4e1 - t1911 + t945 * t570 / 0.4e1 + t1915 - t290 * t585 / 0.4e1 - t1919);
  tv2rhotau1 = t3 * t1921 + t589;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  t1923 = t897 * t514;
  t1933 = my_piecewise3(t2, 0, -t1923 * t223 / 0.12e2 - t1871 - t307 * t526 / 0.4e1 - t1868 + t903 * t530 / 0.4e1 + t1791 - t307 * t545 / 0.4e1 - t1835);
  tv2rhotau2 = t3 * t1933 + t549;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  t1935 = t552 * t1043;
  t1936 = t374 * t1935;
  t1937 = t1936 * t1419;
  t1940 = t374 * t553;
  t1941 = t1940 * t1100;
  t1945 = t978 * t558 * t376;
  t1948 = params->at * t583;
  t1949 = t988 * t1948;
  t1950 = t1000 * t1949;
  t1954 = t1948 * t353 * t376;
  t1957 = t194 * t1935;
  t1958 = t321 * t1957;
  t1963 = t552 * t1007;
  t1964 = t616 * t1963;
  t1965 = t321 * t1964;
  t1974 = t1031 * t1963;
  t1975 = t1974 * t1407;
  t1978 = t1974 * t1412;
  t1981 = t365 * t584;
  t1987 = 0.1e1 / t111 / t1063;
  t1988 = t1987 * t384;
  t1991 = t1987 * tau[1];
  t2012 = 0.5e1 / 0.3e1 * t123 * t150 - 0.1e2 / 0.3e1 * t1988 * tau[1] + 0.5e2 / 0.3e1 * t1118 * t1991 + 0.5e1 / 0.3e1 * t385 * t123 + 0.6e2 * t1123 * t1991 - 0.1e2 * t388 * t123 + 0.2e2 / 0.3e1 * t1128 * t1991 - 0.1e2 * t392 * t123 - 0.25e3 / 0.3e1 * t1133 * t1991 + 0.25e2 / 0.3e1 * t395 * t123 - 0.5e2 * t1140 * t1991 + 0.25e2 / 0.3e1 * t400 * t123;
  t2013 = t380 * t2012;
  t2014 = t145 * t2013;
  t2017 = -t373 * t1937 / 0.2e1 - t373 * t1941 / 0.4e1 + t373 * t1945 / 0.4e1 - t338 * t1950 / 0.12e2 + t373 * t1954 / 0.4e1 + t1958 * t1433 / 0.6e1 + t555 * t997 / 0.12e2 - t1965 * t1438 / 0.12e2 - t555 * t1002 / 0.12e2 - t1965 * t1396 / 0.6e1 + t1965 * t1402 / 0.3e1 - t1030 * t1975 / 0.2e1 + t373 * t1978 / 0.2e1 - t110 * t1981 / 0.4e1 - t110 * t2014 / 0.4e1;
  t2018 = t565 * t404;
  t2025 = t349 * t566;
  t2028 = t564 * t370;
  t2029 = t369 * t2028;
  t2030 = t321 * t2029;
  t2038 = my_piecewise3(t129, t322, 0.1e2 / 0.9e1 * t437);
  t2040 = t374 * t2038 * t376;
  t2043 = t1074 * t554;
  t2046 = t2038 * t335;
  t2047 = t194 * t2046;
  t2048 = t321 * t2047;
  t2053 = t193 * t2038;
  t2054 = t2053 * t354;
  t2056 = t558 * t1044;
  t2059 = t615 * t552;
  t2060 = t2059 * t1033;
  t2068 = t2053 * t335;
  t2075 = t2054 * t357 - 0.2e1 * t2056 * t1472 - t2060 * t1477 / 0.3e1 - t559 * t1184 + 0.2e1 * t2060 * t1481 + 0.2e1 / 0.3e1 * t2060 * t1485 - t2068 * t361 / 0.2e1 + t2056 * t1491 + t559 * t1200 / 0.2e1 - t2060 * t1495;
  t2076 = t139 * t2075;
  t2077 = t2076 * t168;
  t2080 = -t110 * t2018 / 0.4e1 - t318 * t585 / 0.4e1 - t1919 - t555 * t1087 / 0.12e2 - t338 * t2025 / 0.12e2 + t2030 * t377 / 0.4e1 + t1078 * t570 / 0.4e1 + t1056 * t570 / 0.4e1 + t373 * t2040 / 0.4e1 - t2043 * t350 / 0.12e2 - t2048 * t350 / 0.12e2 - t1911 - t318 * t566 / 0.4e1 - t110 * t2077 / 0.4e1 - t1907 + t1915;
  t2082 = my_piecewise3(t100, 0, t2017 + t2080);
  tv2rhotau3 = t3 * t2082 + t589;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t2084 = my_piecewise3(t49, t195, 0);
  t2085 = t2084 * t208;
  t2086 = t194 * t2085;
  t2087 = t191 * t2086;
  t2089 = t2087 * t223 / 0.12e2;
  t2090 = t414 * t414;
  t2091 = t2090 * t740;
  t2092 = t194 * t2091;
  t2093 = t191 * t2092;
  t2096 = t2090 * t619;
  t2097 = t616 * t2096;
  t2098 = t191 * t2097;
  t2105 = 0.2e1 * t662 * t414 * t249 - 0.2e1 * t423 * t222;
  t2106 = t94 * t2105;
  t2107 = t661 * t2106;
  t2108 = t660 * t2107;
  t2117 = t193 * t2084;
  t2118 = t2117 * t227;
  t2119 = t2118 * t230;
  t2120 = t193 * t2090;
  t2121 = t2120 * t747;
  t2124 = t615 * t2090;
  t2125 = t2124 * t647;
  t2128 = t63 * t2105;
  t2129 = t819 * t2128;
  t2133 = t2124 * t619;
  t2136 = t2117 * t208;
  t2138 = t2136 * t234 / 0.2e1;
  t2139 = t2120 * t740;
  t2141 = t60 * t2105;
  t2142 = t819 * t2141;
  t2146 = t2119 - 0.2e1 * t2121 * t230 - t2125 * t816 / 0.3e1 - t421 * t2129 + 0.2e1 * t2125 * t823 + 0.2e1 / 0.3e1 * t2133 * t828 - t2138 + t2139 * t234 + t421 * t2142 / 0.2e1 - t2133 * t841;
  t2147 = t59 * t2146;
  t2148 = t2147 * t95;
  t2153 = t645 * t2090;
  t2154 = t2153 * t649;
  t2158 = t247 * t2084 * t249;
  t2160 = t246 * t2158 / 0.4e1;
  t2162 = t247 * t2090 * t748;
  t2165 = t221 * t2105;
  t2166 = t658 * t2165;
  t2167 = t1250 * t2166;
  t2170 = t2153 * t654;
  t2173 = -t2089 + t2093 * t223 / 0.6e1 - t2098 * t752 / 0.12e2 + t417 * t2108 / 0.12e2 - t2098 * t630 / 0.6e1 - t417 * t1288 / 0.6e1 + t2098 * t637 / 0.3e1 - t30 * t2148 / 0.4e1 + t1293 * t432 / 0.2e1 - t644 * t2154 / 0.2e1 + t2160 - t246 * t2162 / 0.2e1 - t246 * t2167 / 0.4e1 + t246 * t2170 / 0.2e1;
  t2174 = my_piecewise3(t2, 0, t2173);
  tv2sigma20 = t3 * t2174;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t2175 = my_piecewise3(t129, t322, 0);
  t2176 = t2175 * t335;
  t2177 = t194 * t2176;
  t2178 = t321 * t2177;
  t2180 = t2178 * t350 / 0.12e2;
  t2181 = t439 * t439;
  t2182 = t2181 * t1043;
  t2183 = t194 * t2182;
  t2184 = t321 * t2183;
  t2187 = t2181 * t1007;
  t2188 = t616 * t2187;
  t2189 = t321 * t2188;
  t2196 = 0.2e1 * t989 * t439 * t376 - 0.2e1 * t448 * t349;
  t2197 = t167 * t2196;
  t2198 = t988 * t2197;
  t2199 = t987 * t2198;
  t2208 = t193 * t2175;
  t2209 = t2208 * t354;
  t2210 = t2209 * t357;
  t2211 = t193 * t2181;
  t2212 = t2211 * t1044;
  t2215 = t615 * t2181;
  t2216 = t2215 * t1033;
  t2219 = t143 * t2196;
  t2220 = t1182 * t2219;
  t2224 = t2215 * t1007;
  t2227 = t2208 * t335;
  t2229 = t2227 * t361 / 0.2e1;
  t2230 = t2211 * t1043;
  t2232 = t140 * t2196;
  t2233 = t1182 * t2232;
  t2237 = t2210 - 0.2e1 * t2212 * t357 - t2216 * t1179 / 0.3e1 - t446 * t2220 + 0.2e1 * t2216 * t1186 + 0.2e1 / 0.3e1 * t2224 * t1191 - t2229 + t2230 * t361 + t446 * t2233 / 0.2e1 - t2224 * t1204;
  t2238 = t139 * t2237;
  t2239 = t2238 * t168;
  t2244 = t1031 * t2181;
  t2245 = t2244 * t1035;
  t2249 = t374 * t2175 * t376;
  t2251 = t373 * t2249 / 0.4e1;
  t2253 = t374 * t2181 * t1045;
  t2256 = t348 * t2196;
  t2257 = t985 * t2256;
  t2258 = t1423 * t2257;
  t2261 = t2244 * t1094;
  t2264 = -t2180 + t2184 * t350 / 0.6e1 - t2189 * t1090 / 0.12e2 + t442 * t2199 / 0.12e2 - t2189 * t1016 / 0.6e1 - t442 * t1449 / 0.6e1 + t2189 * t1023 / 0.3e1 - t110 * t2239 / 0.4e1 + t1454 * t457 / 0.2e1 - t1030 * t2245 / 0.2e1 + t2251 - t373 * t2253 / 0.2e1 - t373 * t2258 / 0.4e1 + t373 * t2261 / 0.2e1;
  t2265 = my_piecewise3(t100, 0, t2264);
  tv2sigma25 = t3 * t2265;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t2266 = t94 * t414;
  t2267 = t661 * t2266;
  t2268 = t673 * t2267;
  t2271 = t1227 * t2267;
  t2276 = t1220 * t2267;
  t2281 = t244 * t2266;
  t2282 = t1227 * t2281;
  t2287 = t63 * t414;
  t2288 = t229 * t2287;
  t2291 = t648 * t2287;
  t2295 = t653 * t2287;
  t2298 = t60 * t414;
  t2299 = t648 * t2298;
  t2302 = t229 * t2298;
  t2306 = t653 * t2298;
  t2308 = t2119 - 0.2e1 * t1587 * t2288 - t1591 * t2291 / 0.3e1 - t470 * t2129 + 0.2e1 * t1591 * t2295 + 0.2e1 / 0.3e1 * t1591 * t2299 - t2138 + t1587 * t2302 + t470 * t2142 / 0.2e1 - t1591 * t2306;
  t2309 = t59 * t2308;
  t2310 = t2309 * t95;
  t2317 = t633 * t414;
  t2318 = t627 * t2317;
  t2319 = t1547 * t2318;
  t2322 = t221 * t414;
  t2323 = t219 * t2322;
  t2324 = t1555 * t2323;
  t2327 = t1559 * t2166;
  t2330 = t628 * t414;
  t2331 = t627 * t2330;
  t2332 = t1547 * t2331;
  t2335 = -t2089 + t1568 * t2268 / 0.6e1 - t1541 * t2271 / 0.12e2 + t466 * t2108 / 0.12e2 - t1541 * t2276 / 0.6e1 - t466 * t1288 / 0.12e2 + t1541 * t2282 / 0.3e1 - t417 * t1527 / 0.12e2 - t30 * t2310 / 0.4e1 + t1532 * t432 / 0.4e1 + t1293 * t481 / 0.4e1 - t644 * t2319 / 0.2e1 + t2160 - t246 * t2324 / 0.2e1 - t246 * t2327 / 0.4e1 + t246 * t2332 / 0.2e1;
  t2336 = my_piecewise3(t2, 0, t2335);
  tv2sigmalapl0 = t3 * t2336;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t2337 = t167 * t439;
  t2338 = t988 * t2337;
  t2339 = t1000 * t2338;
  t2342 = t1400 * t2338;
  t2347 = t1393 * t2338;
  t2352 = t371 * t2337;
  t2353 = t1400 * t2352;
  t2358 = t143 * t439;
  t2359 = t356 * t2358;
  t2362 = t1034 * t2358;
  t2366 = t1093 * t2358;
  t2369 = t140 * t439;
  t2370 = t1034 * t2369;
  t2373 = t356 * t2369;
  t2377 = t1093 * t2369;
  t2379 = t2210 - 0.2e1 * t1716 * t2359 - t1720 * t2362 / 0.3e1 - t494 * t2220 + 0.2e1 * t1720 * t2366 + 0.2e1 / 0.3e1 * t1720 * t2370 - t2229 + t1716 * t2373 + t494 * t2233 / 0.2e1 - t1720 * t2377;
  t2380 = t139 * t2379;
  t2381 = t2380 * t168;
  t2388 = t1019 * t439;
  t2389 = t1013 * t2388;
  t2390 = t1692 * t2389;
  t2393 = t348 * t439;
  t2394 = t346 * t2393;
  t2395 = t1699 * t2394;
  t2398 = t1703 * t2257;
  t2401 = t1014 * t439;
  t2402 = t1013 * t2401;
  t2403 = t1692 * t2402;
  t2406 = -t2180 + t1644 * t2339 / 0.6e1 - t1651 * t2342 / 0.12e2 + t490 * t2199 / 0.12e2 - t1651 * t2347 / 0.6e1 - t490 * t1449 / 0.12e2 + t1651 * t2353 / 0.3e1 - t442 * t1658 / 0.12e2 - t110 * t2381 / 0.4e1 + t1663 * t457 / 0.4e1 + t1454 * t505 / 0.4e1 - t1030 * t2390 / 0.2e1 + t2251 - t373 * t2395 / 0.2e1 - t373 * t2398 / 0.4e1 + t373 * t2403 / 0.2e1;
  t2407 = my_piecewise3(t100, 0, t2406);
  tv2sigmalapl5 = t3 * t2407;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  t2435 = t2119 - 0.2e1 * t1843 * t2288 - t1847 * t2291 / 0.3e1 - t519 * t2129 + 0.2e1 * t1847 * t2295 + 0.2e1 / 0.3e1 * t1847 * t2299 - t2138 + t1843 * t2302 + t519 * t2142 / 0.2e1 - t1847 * t2306;
  t2436 = t59 * t2435;
  t2437 = t2436 * t95;
  t2444 = t1757 * t2318;
  t2447 = t1765 * t2323;
  t2450 = t1769 * t2166;
  t2453 = t1757 * t2331;
  t2458 = t427 * t544;
  t2462 = t1777 * t420 * t249;
  t2465 = -t2089 + t1787 * t2268 / 0.6e1 - t1748 * t2271 / 0.12e2 + t515 * t2108 / 0.12e2 - t1748 * t2276 / 0.6e1 - t515 * t1288 / 0.12e2 + t1748 * t2282 / 0.3e1 - t417 * t1886 / 0.12e2 - t30 * t2437 / 0.4e1 + t1891 * t432 / 0.4e1 + t1293 * t530 / 0.4e1 - t644 * t2444 / 0.2e1 + t2160 - t246 * t2447 / 0.2e1 - t246 * t2450 / 0.4e1 + t246 * t2453 / 0.2e1 - t417 * t1779 / 0.12e2 - t30 * t2458 / 0.4e1 + t246 * t2462 / 0.4e1;
  t2466 = my_piecewise3(t2, 0, t2465);
  tv2sigmatau0 = t3 * t2466;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  t2494 = t2210 - 0.2e1 * t2056 * t2359 - t2060 * t2362 / 0.3e1 - t559 * t2220 + 0.2e1 * t2060 * t2366 + 0.2e1 / 0.3e1 * t2060 * t2370 - t2229 + t2056 * t2373 + t559 * t2233 / 0.2e1 - t2060 * t2377;
  t2495 = t139 * t2494;
  t2496 = t2495 * t168;
  t2503 = t1974 * t2389;
  t2506 = t1936 * t2394;
  t2509 = t1940 * t2257;
  t2512 = t1974 * t2402;
  t2517 = t452 * t584;
  t2521 = t1948 * t445 * t376;
  t2524 = -t2180 + t1958 * t2339 / 0.6e1 - t1965 * t2342 / 0.12e2 + t555 * t2199 / 0.12e2 - t1965 * t2347 / 0.6e1 - t555 * t1449 / 0.12e2 + t1965 * t2353 / 0.3e1 - t442 * t2025 / 0.12e2 - t110 * t2496 / 0.4e1 + t2030 * t457 / 0.4e1 + t1454 * t570 / 0.4e1 - t1030 * t2503 / 0.2e1 + t2251 - t373 * t2506 / 0.2e1 - t373 * t2509 / 0.4e1 + t373 * t2512 / 0.2e1 - t442 * t1950 / 0.12e2 - t110 * t2517 / 0.4e1 + t373 * t2521 / 0.4e1;
  t2525 = my_piecewise3(t100, 0, t2524);
  tv2sigmatau5 = t3 * t2525;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t2526 = t463 * t463;
  t2527 = t2526 * t740;
  t2528 = t194 * t2527;
  t2529 = t191 * t2528;
  t2532 = t2526 * t619;
  t2533 = t616 * t2532;
  t2534 = t191 * t2533;
  t2541 = 0.2e1 * t662 * t463 * t249 - 0.2e1 * t472 * t222;
  t2542 = t94 * t2541;
  t2543 = t661 * t2542;
  t2544 = t660 * t2543;
  t2553 = t193 * t2526;
  t2554 = t2553 * t747;
  t2557 = t615 * t2526;
  t2558 = t2557 * t647;
  t2561 = t63 * t2541;
  t2562 = t819 * t2561;
  t2566 = t2557 * t619;
  t2569 = t2553 * t740;
  t2571 = t60 * t2541;
  t2572 = t819 * t2571;
  t2576 = t2119 - 0.2e1 * t2554 * t230 - t2558 * t816 / 0.3e1 - t470 * t2562 + 0.2e1 * t2558 * t823 + 0.2e1 / 0.3e1 * t2566 * t828 - t2138 + t2569 * t234 + t470 * t2572 / 0.2e1 - t2566 * t841;
  t2577 = t59 * t2576;
  t2578 = t2577 * t95;
  t2583 = t645 * t2526;
  t2584 = t2583 * t649;
  t2588 = t247 * t2526 * t748;
  t2591 = t221 * t2541;
  t2592 = t658 * t2591;
  t2593 = t1559 * t2592;
  t2596 = t2583 * t654;
  t2599 = -t2089 + t2529 * t223 / 0.6e1 - t2534 * t752 / 0.12e2 + t466 * t2544 / 0.12e2 - t2534 * t630 / 0.6e1 - t466 * t1527 / 0.6e1 + t2534 * t637 / 0.3e1 - t30 * t2578 / 0.4e1 + t1532 * t481 / 0.2e1 - t644 * t2584 / 0.2e1 + t2160 - t246 * t2588 / 0.2e1 - t246 * t2593 / 0.4e1 + t246 * t2596 / 0.2e1;
  t2600 = my_piecewise3(t2, 0, t2599);
  tv2lapl20 = t3 * t2600;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t2601 = t487 * t487;
  t2602 = t2601 * t1043;
  t2603 = t194 * t2602;
  t2604 = t321 * t2603;
  t2607 = t2601 * t1007;
  t2608 = t616 * t2607;
  t2609 = t321 * t2608;
  t2616 = 0.2e1 * t989 * t487 * t376 - 0.2e1 * t496 * t349;
  t2617 = t167 * t2616;
  t2618 = t988 * t2617;
  t2619 = t987 * t2618;
  t2628 = t193 * t2601;
  t2629 = t2628 * t1044;
  t2632 = t615 * t2601;
  t2633 = t2632 * t1033;
  t2636 = t143 * t2616;
  t2637 = t1182 * t2636;
  t2641 = t2632 * t1007;
  t2644 = t2628 * t1043;
  t2646 = t140 * t2616;
  t2647 = t1182 * t2646;
  t2651 = t2210 - 0.2e1 * t2629 * t357 - t2633 * t1179 / 0.3e1 - t494 * t2637 + 0.2e1 * t2633 * t1186 + 0.2e1 / 0.3e1 * t2641 * t1191 - t2229 + t2644 * t361 + t494 * t2647 / 0.2e1 - t2641 * t1204;
  t2652 = t139 * t2651;
  t2653 = t2652 * t168;
  t2658 = t1031 * t2601;
  t2659 = t2658 * t1035;
  t2663 = t374 * t2601 * t1045;
  t2666 = t348 * t2616;
  t2667 = t985 * t2666;
  t2668 = t1703 * t2667;
  t2671 = t2658 * t1094;
  t2674 = -t2180 + t2604 * t350 / 0.6e1 - t2609 * t1090 / 0.12e2 + t490 * t2619 / 0.12e2 - t2609 * t1016 / 0.6e1 - t490 * t1658 / 0.6e1 + t2609 * t1023 / 0.3e1 - t110 * t2653 / 0.4e1 + t1663 * t505 / 0.2e1 - t1030 * t2659 / 0.2e1 + t2251 - t373 * t2663 / 0.2e1 - t373 * t2668 / 0.4e1 + t373 * t2671 / 0.2e1;
  t2675 = my_piecewise3(t100, 0, t2674);
  tv2lapl22 = t3 * t2675;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  t2676 = t94 * t463;
  t2677 = t661 * t2676;
  t2678 = t673 * t2677;
  t2681 = t1227 * t2677;
  t2686 = t1220 * t2677;
  t2691 = t244 * t2676;
  t2692 = t1227 * t2691;
  t2697 = t63 * t463;
  t2698 = t229 * t2697;
  t2701 = t648 * t2697;
  t2705 = t653 * t2697;
  t2708 = t60 * t463;
  t2709 = t648 * t2708;
  t2712 = t229 * t2708;
  t2716 = t653 * t2708;
  t2718 = t2119 - 0.2e1 * t1843 * t2698 - t1847 * t2701 / 0.3e1 - t519 * t2562 + 0.2e1 * t1847 * t2705 + 0.2e1 / 0.3e1 * t1847 * t2709 - t2138 + t1843 * t2712 + t519 * t2572 / 0.2e1 - t1847 * t2716;
  t2719 = t59 * t2718;
  t2720 = t2719 * t95;
  t2727 = t633 * t463;
  t2728 = t627 * t2727;
  t2729 = t1757 * t2728;
  t2732 = t221 * t463;
  t2733 = t219 * t2732;
  t2734 = t1765 * t2733;
  t2737 = t1769 * t2592;
  t2740 = t628 * t463;
  t2741 = t627 * t2740;
  t2742 = t1757 * t2741;
  t2747 = t476 * t544;
  t2751 = t1777 * t469 * t249;
  t2754 = -t2089 + t1787 * t2678 / 0.6e1 - t1748 * t2681 / 0.12e2 + t515 * t2544 / 0.12e2 - t1748 * t2686 / 0.6e1 - t515 * t1527 / 0.12e2 + t1748 * t2692 / 0.3e1 - t466 * t1886 / 0.12e2 - t30 * t2720 / 0.4e1 + t1891 * t481 / 0.4e1 + t1532 * t530 / 0.4e1 - t644 * t2729 / 0.2e1 + t2160 - t246 * t2734 / 0.2e1 - t246 * t2737 / 0.4e1 + t246 * t2742 / 0.2e1 - t466 * t1779 / 0.12e2 - t30 * t2747 / 0.4e1 + t246 * t2751 / 0.4e1;
  t2755 = my_piecewise3(t2, 0, t2754);
  tv2lapltau0 = t3 * t2755;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  t2756 = t167 * t487;
  t2757 = t988 * t2756;
  t2758 = t1000 * t2757;
  t2761 = t1400 * t2757;
  t2766 = t1393 * t2757;
  t2771 = t371 * t2756;
  t2772 = t1400 * t2771;
  t2777 = t143 * t487;
  t2778 = t356 * t2777;
  t2781 = t1034 * t2777;
  t2785 = t1093 * t2777;
  t2788 = t140 * t487;
  t2789 = t1034 * t2788;
  t2792 = t356 * t2788;
  t2796 = t1093 * t2788;
  t2798 = t2210 - 0.2e1 * t2056 * t2778 - t2060 * t2781 / 0.3e1 - t559 * t2637 + 0.2e1 * t2060 * t2785 + 0.2e1 / 0.3e1 * t2060 * t2789 - t2229 + t2056 * t2792 + t559 * t2647 / 0.2e1 - t2060 * t2796;
  t2799 = t139 * t2798;
  t2800 = t2799 * t168;
  t2807 = t1019 * t487;
  t2808 = t1013 * t2807;
  t2809 = t1974 * t2808;
  t2812 = t348 * t487;
  t2813 = t346 * t2812;
  t2814 = t1936 * t2813;
  t2817 = t1940 * t2667;
  t2820 = t1014 * t487;
  t2821 = t1013 * t2820;
  t2822 = t1974 * t2821;
  t2827 = t500 * t584;
  t2831 = t1948 * t493 * t376;
  t2834 = -t2180 + t1958 * t2758 / 0.6e1 - t1965 * t2761 / 0.12e2 + t555 * t2619 / 0.12e2 - t1965 * t2766 / 0.6e1 - t555 * t1658 / 0.12e2 + t1965 * t2772 / 0.3e1 - t490 * t2025 / 0.12e2 - t110 * t2800 / 0.4e1 + t2030 * t505 / 0.4e1 + t1663 * t570 / 0.4e1 - t1030 * t2809 / 0.2e1 + t2251 - t373 * t2814 / 0.2e1 - t373 * t2817 / 0.4e1 + t373 * t2822 / 0.2e1 - t490 * t1950 / 0.12e2 - t110 * t2827 / 0.4e1 + t373 * t2831 / 0.4e1;
  t2835 = my_piecewise3(t100, 0, t2834);
  tv2lapltau3 = t3 * t2835;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  t2836 = t512 * t512;
  t2837 = t2836 * t740;
  t2838 = t194 * t2837;
  t2839 = t191 * t2838;
  t2842 = t2836 * t619;
  t2843 = t616 * t2842;
  t2844 = t191 * t2843;
  t2851 = 0.2e1 * t662 * t512 * t249 - 0.2e1 * t521 * t222;
  t2852 = t94 * t2851;
  t2853 = t661 * t2852;
  t2854 = t660 * t2853;
  t2865 = t193 * t2836;
  t2866 = t2865 * t747;
  t2869 = t615 * t2836;
  t2870 = t2869 * t647;
  t2873 = t63 * t2851;
  t2874 = t819 * t2873;
  t2878 = t2869 * t619;
  t2881 = t2865 * t740;
  t2883 = t60 * t2851;
  t2884 = t819 * t2883;
  t2888 = t2119 - 0.2e1 * t2866 * t230 - t2870 * t816 / 0.3e1 - t519 * t2874 + 0.2e1 * t2870 * t823 + 0.2e1 / 0.3e1 * t2878 * t828 - t2138 + t2881 * t234 + t519 * t2884 / 0.2e1 - t2878 * t841;
  t2889 = t59 * t2888;
  t2890 = t2889 * t95;
  t2895 = t525 * t544;
  t2898 = t645 * t2836;
  t2899 = t2898 * t649;
  t2903 = t1777 * t518 * t249;
  t2907 = t247 * t2836 * t748;
  t2910 = t221 * t2851;
  t2911 = t658 * t2910;
  t2912 = t1769 * t2911;
  t2915 = t2898 * t654;
  t2919 = 0.1e1 / t31 / t200;
  t2932 = 0.2e1 * t2919 * t257 - 0.1e2 * t692 * t2919 - 0.36e2 * t697 * t2919 - 0.4e1 * t702 * t2919 + 0.5e2 * t707 * t2919 + 0.3e2 * t714 * t2919;
  t2933 = t253 * t2932;
  t2934 = t65 * t2933;
  t2937 = -t2089 + t2839 * t223 / 0.6e1 - t2844 * t752 / 0.12e2 + t515 * t2854 / 0.12e2 - t2844 * t630 / 0.6e1 - t515 * t1886 / 0.6e1 + t2844 * t637 / 0.3e1 - t515 * t1779 / 0.6e1 - t30 * t2890 / 0.4e1 + t1891 * t530 / 0.2e1 - t30 * t2895 / 0.2e1 - t644 * t2899 / 0.2e1 + t246 * t2903 / 0.2e1 + t2160 - t246 * t2907 / 0.2e1 - t246 * t2912 / 0.4e1 + t246 * t2915 / 0.2e1 - t30 * t2934 / 0.4e1;
  t2938 = my_piecewise3(t2, 0, t2937);
  tv2tau20 = t3 * t2938;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  t2939 = t552 * t552;
  t2940 = t2939 * t1043;
  t2941 = t194 * t2940;
  t2942 = t321 * t2941;
  t2945 = t2939 * t1007;
  t2946 = t616 * t2945;
  t2947 = t321 * t2946;
  t2954 = 0.2e1 * t989 * t552 * t376 - 0.2e1 * t561 * t349;
  t2955 = t167 * t2954;
  t2956 = t988 * t2955;
  t2957 = t987 * t2956;
  t2968 = t193 * t2939;
  t2969 = t2968 * t1044;
  t2972 = t615 * t2939;
  t2973 = t2972 * t1033;
  t2976 = t143 * t2954;
  t2977 = t1182 * t2976;
  t2981 = t2972 * t1007;
  t2984 = t2968 * t1043;
  t2986 = t140 * t2954;
  t2987 = t1182 * t2986;
  t2991 = t2210 - 0.2e1 * t2969 * t357 - t2973 * t1179 / 0.3e1 - t559 * t2977 + 0.2e1 * t2973 * t1186 + 0.2e1 / 0.3e1 * t2981 * t1191 - t2229 + t2984 * t361 + t559 * t2987 / 0.2e1 - t2981 * t1204;
  t2992 = t139 * t2991;
  t2993 = t2992 * t168;
  t2998 = t565 * t584;
  t3001 = t1031 * t2939;
  t3002 = t3001 * t1035;
  t3006 = t1948 * t558 * t376;
  t3010 = t374 * t2939 * t1045;
  t3013 = t348 * t2954;
  t3014 = t985 * t3013;
  t3015 = t1940 * t3014;
  t3018 = t3001 * t1094;
  t3022 = 0.1e1 / t111 / t327;
  t3035 = -0.1e2 * t1118 * t3022 - 0.36e2 * t1123 * t3022 - 0.4e1 * t1128 * t3022 + 0.5e2 * t1133 * t3022 + 0.3e2 * t1140 * t3022 + 0.2e1 * t3022 * t384;
  t3036 = t380 * t3035;
  t3037 = t145 * t3036;
  t3040 = -t2180 + t2942 * t350 / 0.6e1 - t2947 * t1090 / 0.12e2 + t555 * t2957 / 0.12e2 - t2947 * t1016 / 0.6e1 - t555 * t2025 / 0.6e1 + t2947 * t1023 / 0.3e1 - t555 * t1950 / 0.6e1 - t110 * t2993 / 0.4e1 + t2030 * t570 / 0.2e1 - t110 * t2998 / 0.2e1 - t1030 * t3002 / 0.2e1 + t373 * t3006 / 0.2e1 + t2251 - t373 * t3010 / 0.2e1 - t373 * t3015 / 0.4e1 + t373 * t3018 / 0.2e1 - t110 * t3037 / 0.4e1;
  t3041 = my_piecewise3(t100, 0, t3040);
  tv2tau22 = t3 * t3041;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

  t3044 = t777 * t278;
  t3046 = t844 * t277;
  t3049 = t238 * t720;
  t3054 = t80 * t272;
  t3055 = t685 * tau[0];
  t3056 = t600 * t600;
  t3057 = 0.1e1 / t3056;
  t3058 = t3055 * t3057;
  t3061 = t86 * t713;
  t3064 = t88 * t88;
  t3065 = 0.1e1 / t3064;
  t3066 = t87 * t3065;
  t3069 = tau[0] * t602;
  t3072 = t75 * t264;
  t3075 = t79 * t90;
  t3080 = t600 * t41;
  t3082 = 0.1e1 / t31 / t3080;
  t3083 = t685 * t3082;
  t3106 = 0.25e4 / 0.3e1 * t3054 * t3058 + 0.625e4 / 0.3e1 * t3061 * t3058 + 0.875e4 / 0.9e1 * t3066 * t3058 + 0.44e3 / 0.27e2 * t3069 * t77 - 0.425e4 / 0.9e1 * t3072 * t3058 - 0.65e4 / 0.9e1 * t3075 * t3058 + 0.22e4 / 0.27e2 * t273 * t3069 + 0.2e4 / 0.9e1 * t692 * t3083 + 0.44e3 / 0.27e2 * t258 * t3069 + 0.8e3 * t697 * t3083 - 0.88e3 / 0.9e1 * t261 * t3069 + 0.8e3 / 0.9e1 * t702 * t3083 - 0.88e3 / 0.9e1 * t265 * t3069 - 0.1e5 / 0.9e1 * t707 * t3083 + 0.22e4 / 0.27e2 * t268 * t3069 - 0.2e4 / 0.3e1 * t714 * t3083 - 0.4e3 / 0.9e1 * t3083 * t257 - 0.25e3 / 0.9e1 * t3058 * t83;
  t3107 = t253 * t3106;
  t3108 = t65 * t3107;
  t3115 = t188 * t721;
  t3117 = t781 * t278;
  t3119 = t188 * t679;
  t3121 = t243 * params->at;
  t3122 = t65 * t3121;
  t3123 = t30 * t3122;
  t3124 = t276 * t193;
  t3125 = t3124 * t209;
  t3126 = t3125 * t730;
  t3129 = t30 * t228;
  t3130 = t819 * t65;
  t3131 = t276 * t667;
  t3132 = t253 * t3131;
  t3133 = t3130 * t3132;
  t3137 = 0.1e1 / t625 / t217;
  t3138 = t214 * t3137;
  t3139 = t3138 * t659;
  t3140 = t667 * t667;
  t3141 = t94 * t3140;
  t3142 = t661 * t3141;
  t3143 = t3139 * t3142;
  t3146 = t771 * t676;
  t3148 = t593 * t736;
  t3150 = t3044 / 0.6e1 - 0.3e1 / 0.4e1 * t30 * t3046 - 0.3e1 / 0.4e1 * t30 * t3049 - 0.3e1 / 0.4e1 * t182 * t721 - t30 * t3108 / 0.4e1 - 0.3e1 / 0.4e1 * t800 * t278 - 0.3e1 / 0.2e1 * t182 * t679 - t3115 / 0.4e1 - t3117 / 0.2e1 - t3119 / 0.2e1 - 0.3e1 / 0.4e1 * t3123 * t3126 + t3129 * t3133 / 0.4e1 - t211 * t3143 / 0.6e1 - t3146 / 0.6e1 + t3148 / 0.2e1;
  t3152 = t674 * t810 * t748;
  t3155 = t771 * t670;
  t3157 = t247 * t741;
  t3158 = t3157 * t730;
  t3161 = t3138 * t221 * t3140;
  t3162 = t728 * t3161;
  t3165 = t674 * t814;
  t3166 = t3165 * t649;
  t3169 = t593 * t731;
  t3171 = t624 * t3137;
  t3172 = t3171 * t1219;
  t3173 = t3172 * t669;
  t3176 = t1220 * t675;
  t3179 = t645 * t620;
  t3180 = t633 * t667;
  t3181 = t3171 * t3180;
  t3182 = t3179 * t3181;
  t3185 = t628 * t667;
  t3186 = t3171 * t3185;
  t3187 = t3179 * t3186;
  t3190 = t3165 * t654;
  t3193 = t606 * t619;
  t3194 = t645 * t3193;
  t3195 = t3194 * t1234;
  t3198 = t3194 * t1239;
  t3201 = t616 * t3193;
  t3202 = t191 * t3201;
  t3207 = -0.3e1 / 0.2e1 * t246 * t3152 + t3155 / 0.12e2 + t246 * t3158 + t246 * t3162 / 0.2e1 - 0.3e1 / 0.2e1 * t644 * t3166 - t3169 / 0.4e1 + t622 * t3173 / 0.2e1 - t622 * t3176 / 0.2e1 + 0.3e1 / 0.2e1 * t644 * t3182 - 0.3e1 / 0.2e1 * t246 * t3187 + 0.3e1 / 0.2e1 * t246 * t3190 - 0.3e1 / 0.2e1 * t644 * t3195 + 0.3e1 / 0.2e1 * t246 * t3198 - t3202 * t1223 / 0.2e1 + 0.3e1 / 0.2e1 * t768 * t736;
  t3215 = t247 * t607;
  t3216 = t3215 * t730;
  t3227 = t57 * t615;
  t3228 = t3227 * t617;
  t3231 = t662 * t209;
  t3244 = 0.2e1 / 0.3e1 * t826 * t634 + 0.2e1 * t662 * t606 * t249 - 0.4e1 * t662 * t617 * t748 + 0.4e1 / 0.3e1 * t3228 * t649 - 0.2e1 * t3231 * t730 + 0.4e1 * t3228 * t654 - 0.2e1 * t831 * t222 + 0.4e1 * t834 * t222 + 0.2e1 * t232 * t730 - 0.4e1 * t826 * t629;
  t3246 = t658 * t221 * t3244;
  t3247 = t728 * t3246;
  t3250 = t3171 * t1226;
  t3251 = t244 * t668;
  t3252 = t3250 * t3251;
  t3254 = t244 * t674;
  t3255 = t1227 * t3254;
  t3257 = t206 * t740;
  t3258 = t194 * t3257;
  t3259 = t191 * t3258;
  t3260 = t94 * t606;
  t3261 = t661 * t3260;
  t3262 = t673 * t3261;
  t3267 = t94 * t3244;
  t3268 = t661 * t3267;
  t3269 = t660 * t3268;
  t3272 = t3250 * t669;
  t3279 = t237 * t66;
  t3280 = t3279 * t674;
  t3281 = t673 * t3280;
  t3284 = params->at * t719;
  t3286 = t3284 * t226 * t249;
  t3289 = 0.3e1 / 0.2e1 * t757 * t736 - 0.3e1 / 0.4e1 * t768 * t731 - 0.3e1 / 0.4e1 * t757 * t731 - t246 * t3216 / 0.2e1 - t246 * t3247 / 0.4e1 - t622 * t3252 + t622 * t3255 + t3259 * t3262 / 0.2e1 - t743 * t670 / 0.3e1 + t211 * t3269 / 0.12e2 + t622 * t3272 / 0.4e1 - t765 * t676 / 0.2e1 - t609 * t676 / 0.4e1 - t211 * t3281 / 0.2e1 + 0.3e1 / 0.4e1 * t246 * t3286;
  t3291 = t674 * t807 * t249;
  t3300 = t3279 * t668;
  t3301 = t660 * t3300;
  t3304 = t661 * t3284;
  t3305 = t673 * t3304;
  t3308 = t1227 * t675;
  t3313 = t219 * t221 * t606;
  t3314 = t247 * t3257 * t3313;
  t3318 = t616 * t206 * t619;
  t3319 = t191 * t3318;
  t3320 = t1227 * t3261;
  t3323 = t244 * t3260;
  t3324 = t1227 * t3323;
  t3327 = 0.1e1 / t185 / t173;
  t3328 = t22 * t3327;
  t3329 = t3328 * t29;
  t3331 = 0.5e1 / 0.54e2 * t3329 * t96;
  t3334 = t180 * t775;
  t3335 = t3334 * t29;
  t3336 = t3335 * t96;
  t3338 = t777 * t239;
  t3340 = t798 * t186;
  t3341 = t3340 * t29;
  t3342 = t3341 * t96;
  t3344 = t781 * t239;
  t3346 = 0.3e1 / 0.4e1 * t246 * t3291 + t743 * t676 / 0.2e1 + t765 * t670 / 0.4e1 + t609 * t670 / 0.6e1 + t211 * t3301 / 0.4e1 - t211 * t3305 / 0.4e1 - t622 * t3308 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t3314 - t3319 * t3320 / 0.4e1 + t3319 * t3324 - t3331 - 0.3e1 / 0.4e1 * t182 * t845 + t3336 / 0.6e1 + t3338 / 0.6e1 - t3342 / 0.4e1 - t3344 / 0.2e1;
  t3349 = t188 * t845;
  t3352 = 0.1e1 / t784 / t16;
  t3353 = t786 * t177;
  t3356 = t785 * t177;
  t3359 = t173 * t173;
  t3360 = 0.1e1 / t3359;
  t3361 = t13 * t3360;
  t3364 = my_piecewise5(t7, 0, t11, 0, 0.6e1 * t790 - 0.6e1 * t3361);
  t3368 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3352 * t3353 + 0.4e1 / 0.3e1 * t3356 * t794 + 0.4e1 / 0.3e1 * t20 * t3364);
  t3369 = t3368 * t23;
  t3370 = t3369 * t29;
  t3375 = t3137 * t633;
  t3376 = t3375 * t820;
  t3378 = t63 * t3244;
  t3379 = t819 * t3378;
  t3381 = t615 * t606;
  t3382 = t3381 * t647;
  t3385 = t807 * t747;
  t3393 = t617 * t206;
  t3394 = t69 * t3393;
  t3396 = 0.1e1 / t618 / t207;
  t3398 = 0.1e1 / t623 / t213;
  t3399 = t3396 * t3398;
  t3400 = t3394 * t3399;
  t3401 = t633 * t220;
  t3402 = t3137 * t3401;
  t3403 = t3402 * t63;
  t3406 = t3375 * t63;
  t3409 = t3137 * t628;
  t3410 = t3409 * t836;
  t3413 = t615 * t3393;
  t3415 = 0.1e1 / t618 / t56;
  t3416 = t3415 * t624;
  t3417 = t3413 * t3416;
  t3420 = t193 * t3393;
  t3421 = t619 * t214;
  t3422 = t3420 * t3421;
  t3427 = t3409 * t820;
  t3430 = t3137 * t221;
  t3431 = t63 * t3140;
  t3432 = t3430 * t3431;
  t3435 = t60 * t3244;
  t3436 = t819 * t3435;
  t3439 = t815 * t3376 - t228 * t3379 + 0.6e1 * t3382 * t1326 - 0.6e1 * t3385 * t1317 - 0.2e1 * t808 * t821 - t3382 * t1322 + 0.4e1 * t811 * t821 - 0.2e1 / 0.3e1 * t3400 * t3403 + 0.6e1 * t3400 * t3406 + 0.3e1 * t815 * t3410 - 0.12e2 * t3417 * t823 + 0.6e1 * t3422 * t230 - 0.3e1 * t3382 * t1340 - 0.6e1 * t815 * t3427 + 0.2e1 * t228 * t3432 + t228 * t3436 / 0.2e1;
  t3447 = t633 * t221;
  t3448 = t3137 * t3447;
  t3449 = t3448 * t63;
  t3452 = t3375 * t836;
  t3460 = 0.1e1 / t32 / t686;
  t3464 = my_piecewise3(t49, t195, -0.22e3 / 0.81e2 * lapl[0] * t602 + 0.88e3 / 0.81e2 * t37 * t602 - 0.308e3 / 0.81e2 * t40 * t3460);
  t3465 = t193 * t3464;
  t3466 = t3465 * t227;
  t3470 = t60 * t3140;
  t3471 = t3430 * t3470;
  t3473 = t3394 * t3396;
  t3474 = t3398 * t3137;
  t3475 = t3401 * t60;
  t3476 = t3474 * t3475;
  t3479 = t3465 * t208;
  t3482 = t3447 * t60;
  t3483 = t3474 * t3482;
  t3486 = t3413 * t3415;
  t3491 = t3474 * t827;
  t3494 = t3420 * t619;
  t3497 = 0.3e1 * t3385 * t1336 + t808 * t837 - 0.2e1 * t811 * t837 + 0.2e1 * t3417 * t816 - t3400 * t3449 / 0.9e1 - 0.2e1 * t815 * t3452 + t3466 * t230 + 0.2e1 * t3382 * t1330 - t228 * t3471 + 0.1e2 / 0.3e1 * t3473 * t3476 - t3479 * t234 / 0.2e1 + t3473 * t3483 / 0.18e2 - 0.4e1 * t3486 * t828 + 0.6e1 * t3486 * t841 - 0.3e1 * t3473 * t3491 - 0.3e1 * t3494 * t234;
  t3498 = t3439 + t3497;
  t3499 = t59 * t3498;
  t3500 = t3499 * t95;
  t3503 = t645 * t3393;
  t3504 = t3416 * t648;
  t3505 = t3503 * t3504;
  t3508 = t3416 * t653;
  t3509 = t3503 * t3508;
  t3512 = t28 * t69;
  t3513 = t3393 * t3396;
  t3514 = t3512 * t3513;
  t3515 = t191 * t3514;
  t3516 = t3474 * t3401;
  t3517 = t3516 * t96;
  t3520 = t3393 * t3415;
  t3521 = t616 * t3520;
  t3522 = t191 * t3521;
  t3526 = t764 * t621;
  t3530 = t764 * t643;
  t3535 = t237 * t641;
  t3536 = t242 * t3535;
  t3537 = t191 * t3536;
  t3540 = t629 * t239;
  t3543 = -t3349 / 0.4e1 - t3370 * t96 / 0.4e1 - 0.3e1 / 0.4e1 * t800 * t239 - t30 * t3500 / 0.4e1 + 0.3e1 * t644 * t3505 - 0.3e1 * t246 * t3509 - 0.11e2 / 0.18e2 * t3515 * t3517 + t3522 * t630 - 0.2e1 * t3522 * t637 - t3526 * t630 / 0.2e1 + t3526 * t637 - 0.3e1 / 0.2e1 * t3530 * t650 + 0.3e1 / 0.2e1 * t757 * t655 - 0.3e1 / 0.2e1 * t3537 * t650 - t622 * t3540 / 0.2e1;
  t3544 = t3474 * t3447;
  t3545 = t3544 * t636;
  t3548 = t592 * t643;
  t3549 = t3548 * t650;
  t3551 = t593 * t655;
  t3553 = t222 * t845;
  t3556 = t771 * t612;
  t3558 = t3464 * t208;
  t3559 = t194 * t3558;
  t3560 = t191 * t3559;
  t3567 = t799 * t27;
  t3568 = t3567 * t245;
  t3571 = t592 * t608;
  t3572 = t3571 * t223;
  t3576 = t238 * t635;
  t3577 = t634 * t3576;
  t3582 = t247 * t3464 * t249;
  t3585 = t3567 * t210;
  t3588 = 0.23e2 / 0.36e2 * t3515 * t3545 - t3549 / 0.2e1 + t3551 / 0.2e1 - t211 * t3553 / 0.4e1 - t3556 / 0.6e1 - t3560 * t223 / 0.12e2 - t609 * t612 / 0.4e1 - t765 * t612 / 0.2e1 + 0.3e1 / 0.4e1 * t3568 * t250 - t3572 / 0.12e2 + 0.3e1 / 0.4e1 * t757 * t761 + t622 * t3577 + 0.3e1 / 0.4e1 * t768 * t761 + t246 * t3582 / 0.4e1 - t3585 * t223 / 0.4e1;
  t3590 = t764 * t608;
  t3599 = t634 * t239;
  t3602 = t3544 * t96;
  t3605 = t764 * t756;
  t3608 = t843 * t243;
  t3609 = t242 * t3608;
  t3610 = t191 * t3609;
  t3613 = t764 * t742;
  t3620 = t776 * t27;
  t3621 = t3620 * t245;
  t3622 = t3621 * t250;
  t3624 = t3620 * t210;
  t3625 = t3624 * t223;
  t3627 = t780 * t27;
  t3628 = t3627 * t210;
  t3629 = t3628 * t223;
  t3631 = t3627 * t245;
  t3632 = t3631 * t250;
  t3634 = -t3590 * t223 / 0.4e1 - 0.3e1 / 0.2e1 * t768 * t749 - 0.3e1 / 0.2e1 * t757 * t749 - t3526 * t752 / 0.4e1 - t622 * t3599 / 0.4e1 - 0.5e1 / 0.36e2 * t3515 * t3602 + 0.3e1 / 0.2e1 * t3605 * t250 + 0.3e1 / 0.4e1 * t3610 * t250 + t3613 * t223 / 0.2e1 + t743 * t612 / 0.2e1 + t3522 * t752 / 0.2e1 - t3622 / 0.6e1 + t3625 / 0.18e2 - t3629 / 0.6e1 + t3632 / 0.2e1;
  t3635 = t593 * t761;
  t3637 = t592 * t756;
  t3638 = t3637 * t250;
  t3640 = t593 * t749;
  t3643 = t3421 * t229;
  t3644 = t247 * t3393 * t3643;
  t3647 = t592 * t621;
  t3648 = t3647 * t752;
  t3650 = t592 * t742;
  t3651 = t3650 * t223;
  t3653 = t3393 * t619;
  t3654 = t194 * t3653;
  t3655 = t191 * t3654;
  t3658 = t94 * t69;
  t3659 = t3658 * t3393;
  t3660 = t3399 * t3375;
  t3661 = t3659 * t3660;
  t3664 = t3474 * t633;
  t3665 = t3664 * t96;
  t3668 = t3516 * t636;
  t3671 = t641 * t94;
  t3672 = t65 * t3671;
  t3673 = t3544 * t3672;
  t3676 = t215 * t215;
  t3677 = 0.1e1 / t3676;
  t3678 = t64 * t3677;
  t3679 = t242 * t3678;
  t3680 = t191 * t3679;
  t3681 = t3399 * t3448;
  t3682 = t3659 * t3681;
  t3685 = t3399 * t3402;
  t3686 = t3659 * t3685;
  t3691 = t3647 * t630;
  t3693 = t3647 * t637;
  t3695 = t3635 / 0.4e1 + t3638 / 0.2e1 - t3640 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t3644 - t3648 / 0.12e2 + t3651 / 0.6e1 - t3655 * t223 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t3661 - t3515 * t3665 / 0.2e1 + 0.7e1 / 0.3e1 * t3515 * t3668 - 0.3e1 / 0.2e1 * t3515 * t3673 + 0.3e1 / 0.2e1 * t3680 * t3682 - 0.3e1 * t644 * t3686 + 0.3e1 / 0.2e1 * t768 * t655 - t3691 / 0.6e1 + t3693 / 0.3e1;
  t3699 = my_piecewise3(t2, 0, t3150 + t3207 + t3289 + t3346 + t3543 + t3588 + t3634 + t3695);
  t3701 = 0.1e1 / t851 / t104;
  t3702 = t853 * t285;
  t3705 = t852 * t285;
  t3708 = t101 * t3360;
  t3711 = my_piecewise5(t11, 0, t7, 0, -0.6e1 * t790 - 0.6e1 * t3708);
  t3715 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3701 * t3702 + 0.4e1 / 0.3e1 * t3705 * t859 + 0.4e1 / 0.3e1 * t106 * t3711);
  t3716 = t3715 * t23;
  t3717 = t3716 * t29;
  t3720 = t863 * t186;
  t3721 = t3720 * t29;
  t3722 = t3721 * t169;
  t3724 = t288 * t775;
  t3725 = t3724 * t29;
  t3726 = t3725 * t169;
  t3728 = t108 * t3327;
  t3729 = t3728 * t29;
  t3731 = 0.5e1 / 0.54e2 * t3729 * t169;
  t3733 = my_piecewise3(t100, 0, -t3717 * t169 / 0.4e1 - t3722 / 0.4e1 + t3726 / 0.6e1 - t3731);
  tv3rho30 = 0.3e1 * t850 + 0.3e1 * t877 + t3 * (t3699 + t3733);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t3736 = 0.2e1 * t914;
  t3737 = 0.2e1 * t956;
  t3745 = t894 * t278 / 0.6e1;
  t3760 = -t307 * t679 / 0.2e1 - t307 * t721 / 0.4e1 - t890 * t278 / 0.2e1 - t3745 + t3044 / 0.9e1 - t3115 / 0.12e2 - t3117 / 0.6e1 - t3119 / 0.6e1 + t898 * t670 / 0.12e2 - t898 * t676 / 0.6e1 - t903 * t731 / 0.4e1 - t3146 / 0.18e2 + t903 * t736 / 0.2e1 + t3148 / 0.6e1;
  t3763 = t888 * t186;
  t3764 = t3763 * t29;
  t3766 = t3764 * t96 / 0.6e1;
  t3767 = t305 * t775;
  t3768 = t3767 * t29;
  t3769 = t3768 * t96;
  t3771 = t3352 * t302;
  t3774 = t785 * t884;
  t3779 = 0.2e1 * t790;
  t3780 = 0.6e1 * t3361;
  t3782 = my_piecewise5(t7, 0, t11, 0, t3779 - t3780);
  t3786 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3771 * t786 + 0.8e1 / 0.9e1 * t3774 * t177 + 0.4e1 / 0.9e1 * t880 * t794 + 0.4e1 / 0.3e1 * t20 * t3782);
  t3787 = t3786 * t23;
  t3788 = t3787 * t29;
  t3794 = t894 * t239 / 0.6e1;
  t3802 = t897 * t643;
  t3805 = t3155 / 0.36e2 - t3169 / 0.12e2 - t3766 + t3769 / 0.18e2 - t3788 * t96 / 0.4e1 - t890 * t239 / 0.2e1 - t3794 - t307 * t845 / 0.4e1 - t3331 + t3336 / 0.9e1 + t3338 / 0.9e1 - t3342 / 0.12e2 - t3344 / 0.6e1 - t3349 / 0.12e2 - t3802 * t650 / 0.2e1;
  t3807 = t897 * t621;
  t3814 = t893 * t27;
  t3815 = t3814 * t210;
  t3817 = t3815 * t223 / 0.18e2;
  t3818 = t3814 * t245;
  t3820 = t3818 * t250 / 0.6e1;
  t3821 = t897 * t608;
  t3824 = t889 * t27;
  t3825 = t3824 * t245;
  t3830 = t3824 * t210;
  t3835 = t897 * t756;
  t3838 = t897 * t742;
  t3845 = t3807 * t637 / 0.3e1 - t3807 * t630 / 0.6e1 + t903 * t655 / 0.2e1 - t3817 + t3820 - t3821 * t223 / 0.12e2 + t3825 * t250 / 0.2e1 + t903 * t761 / 0.4e1 - t3830 * t223 / 0.6e1 - t3807 * t752 / 0.12e2 + t3835 * t250 / 0.2e1 + t3838 * t223 / 0.6e1 - t898 * t612 / 0.6e1 - t903 * t749 / 0.2e1;
  t3861 = -t3549 / 0.6e1 + t3551 / 0.6e1 - t3556 / 0.18e2 - t3572 / 0.36e2 - t3622 / 0.9e1 + t3625 / 0.27e2 - t3629 / 0.18e2 + t3632 / 0.6e1 + t3635 / 0.12e2 + t3638 / 0.6e1 - t3640 / 0.6e1 - t3648 / 0.36e2 + t3651 / 0.18e2 - t3691 / 0.18e2 + t3693 / 0.9e1;
  t3864 = my_piecewise3(t2, 0, t3760 + t3805 + t3845 + t3861);
  t3865 = t3701 * t313;
  t3868 = t852 * t919;
  t3873 = 0.6e1 * t3708;
  t3875 = my_piecewise5(t11, 0, t7, 0, -t3779 - t3873);
  t3879 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3865 * t853 + 0.8e1 / 0.9e1 * t3868 * t285 + 0.4e1 / 0.9e1 * t915 * t859 + 0.4e1 / 0.3e1 * t106 * t3875);
  t3880 = t3879 * t23;
  t3881 = t3880 * t29;
  t3884 = t923 * t186;
  t3885 = t3884 * t29;
  t3887 = t3885 * t169 / 0.6e1;
  t3888 = t316 * t775;
  t3889 = t3888 * t29;
  t3890 = t3889 * t169;
  t3894 = t864 * t27;
  t3895 = t3894 * t337;
  t3898 = t868 * t27;
  t3899 = t3898 * t337;
  t3901 = t3899 * t350 / 0.18e2;
  t3902 = t872 * t27;
  t3903 = t3902 * t337;
  t3904 = t3903 * t350;
  t3909 = t869 * t366 / 0.6e1;
  t3910 = t873 * t366;
  t3912 = t3894 * t372;
  t3915 = t3898 * t372;
  t3917 = t3915 * t377 / 0.6e1;
  t3918 = t3902 * t372;
  t3919 = t3918 * t377;
  t3924 = t869 * t405 / 0.6e1;
  t3925 = t873 * t405;
  t3927 = -t3881 * t169 / 0.4e1 - t3887 + t3890 / 0.18e2 - t3722 / 0.12e2 + t3726 / 0.9e1 - t3731 - t3895 * t350 / 0.12e2 - t3901 + t3904 / 0.54e2 - t865 * t366 / 0.4e1 - t3909 + t3910 / 0.18e2 + t3912 * t377 / 0.4e1 + t3917 - t3919 / 0.18e2 - t865 * t405 / 0.4e1 - t3924 + t3925 / 0.18e2;
  t3928 = my_piecewise3(t100, 0, t3927);
  tv3rho31 = t850 + t877 + t3736 + t3737 + t3 * (t3864 + t3928);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t3931 = t3352 * t961;
  t3936 = t785 * t966;
  t3940 = my_piecewise5(t7, 0, t11, 0, -t3779 - t3780);
  t3944 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3931 * t177 + 0.8e1 / 0.9e1 * t880 * t884 + 0.4e1 / 0.9e1 * t3936 * t177 + 0.4e1 / 0.3e1 * t20 * t3940);
  t3945 = t3944 * t23;
  t3946 = t3945 * t29;
  t3949 = t970 * t186;
  t3950 = t3949 * t29;
  t3951 = t3950 * t96;
  t3953 = t971 * t27;
  t3954 = t3953 * t210;
  t3959 = t3953 * t245;
  t3970 = -t3946 * t96 / 0.4e1 - t3951 / 0.12e2 - t3954 * t223 / 0.12e2 - t972 * t239 / 0.4e1 + t3959 * t250 / 0.4e1 - t972 * t278 / 0.4e1 - t3766 + t3769 / 0.9e1 - t3817 - t3794 + t3820 - t3745 + t3336 / 0.18e2 - t3331 + t3625 / 0.54e2 + t3338 / 0.18e2 - t3622 / 0.18e2 + t3044 / 0.18e2;
  t3971 = my_piecewise3(t2, 0, t3970);
  t3977 = t948 * t1101;
  t3987 = t948 * t980;
  t3989 = t938 * t1002;
  t3991 = t938 * t997;
  t3995 = t294 * t1147;
  t3997 = -t925 * t405 / 0.2e1 - t290 * t1105 / 0.2e1 - t3924 + t3925 / 0.9e1 - t3977 / 0.12e2 + t945 * t980 / 0.2e1 - t945 * t1101 / 0.4e1 + t934 * t997 / 0.12e2 - t934 * t1002 / 0.6e1 + t3987 / 0.6e1 - t3989 / 0.18e2 + t3991 / 0.36e2 - t290 * t1147 / 0.4e1 - t3995 / 0.12e2;
  t3998 = t929 * t405;
  t4000 = t294 * t1105;
  t4002 = t948 * t1046;
  t4004 = t937 * t1083;
  t4005 = t4004 * t350;
  t4007 = t948 * t1071;
  t4009 = t928 * t27;
  t4010 = t4009 * t337;
  t4011 = t4010 * t350;
  t4013 = t937 * t1055;
  t4014 = t4013 * t377;
  t4016 = t937 * t1050;
  t4017 = t4016 * t350;
  t4019 = t4009 * t372;
  t4020 = t4019 * t377;
  t4022 = t937 * t1009;
  t4023 = t4022 * t1090;
  t4025 = t948 * t1095;
  t4027 = t938 * t1087;
  t4029 = t4022 * t1023;
  t4031 = t4022 * t1016;
  t4035 = -t3998 / 0.6e1 - t4000 / 0.6e1 - t4002 / 0.6e1 - t4005 / 0.36e2 + t4007 / 0.12e2 - t4011 / 0.18e2 + t4014 / 0.6e1 + t4017 / 0.18e2 + t4020 / 0.6e1 - t4023 / 0.36e2 + t4025 / 0.6e1 - t4027 / 0.18e2 + t4029 / 0.9e1 - t4031 / 0.18e2 - t945 * t1046 / 0.2e1;
  t4037 = t933 * t1050;
  t4040 = t937 * t1029;
  t4041 = t4040 * t1036;
  t4045 = t924 * t27;
  t4046 = t4045 * t372;
  t4049 = t933 * t1083;
  t4052 = t933 * t1055;
  t4055 = t4045 * t337;
  t4058 = t933 * t1009;
  t4065 = t933 * t1029;
  t4073 = t4037 * t350 / 0.6e1 - t4041 / 0.6e1 + t945 * t1071 / 0.4e1 + t4046 * t377 / 0.2e1 - t4049 * t350 / 0.12e2 + t4052 * t377 / 0.2e1 - t4055 * t350 / 0.6e1 - t4058 * t1090 / 0.12e2 + t945 * t1095 / 0.2e1 + t4058 * t1023 / 0.3e1 - t4065 * t1036 / 0.2e1 - t934 * t1087 / 0.6e1 - t4058 * t1016 / 0.6e1 - t3919 / 0.9e1;
  t4074 = t929 * t366;
  t4078 = t294 * t1208;
  t4080 = t1163 * t186;
  t4081 = t4080 * t29;
  t4082 = t4081 * t169;
  t4084 = t3701 * t1154;
  t4089 = t852 * t1159;
  t4093 = my_piecewise5(t11, 0, t7, 0, t3779 - t3873);
  t4097 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t4084 * t285 + 0.8e1 / 0.9e1 * t915 * t919 + 0.4e1 / 0.9e1 * t4089 * t285 + 0.4e1 / 0.3e1 * t106 * t4093);
  t4098 = t4097 * t23;
  t4099 = t4098 * t29;
  t4108 = -t4074 / 0.6e1 - t290 * t1208 / 0.4e1 - t4078 / 0.12e2 - t4082 / 0.12e2 - t4099 * t169 / 0.4e1 - t925 * t366 / 0.2e1 - t3887 + t3890 / 0.9e1 - t3909 + t3910 / 0.9e1 + t3726 / 0.18e2 - t3731 + t3917 - t3901 + t3904 / 0.27e2;
  t4111 = my_piecewise3(t100, 0, t3997 + t4035 + t4073 + t4108);
  tv3rho32 = t3736 + t3737 + t977 + t1213 + t3 * (t3971 + t4111);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t4116 = t961 * t302;
  t4123 = my_piecewise5(t7, 0, t11, 0, -0.6e1 * t790 - 0.6e1 * t3361);
  t4127 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3352 * t4116 + 0.4e1 / 0.3e1 * t880 * t966 + 0.4e1 / 0.3e1 * t20 * t4123);
  t4128 = t4127 * t23;
  t4129 = t4128 * t29;
  t4135 = my_piecewise3(t2, 0, -t4129 * t96 / 0.4e1 - t3951 / 0.4e1 + t3769 / 0.6e1 - t3331);
  t4136 = t110 * t355;
  t4137 = t1182 * t145;
  t4138 = t403 * t994;
  t4139 = t380 * t4138;
  t4140 = t4137 * t4139;
  t4143 = t370 * params->at;
  t4144 = t145 * t4143;
  t4145 = t110 * t4144;
  t4146 = t403 * t193;
  t4147 = t4146 * t336;
  t4148 = t4147 * t1100;
  t4152 = t978 * t1177;
  t4153 = t4152 * t1035;
  t4156 = t4152 * t1094;
  t4160 = 0.1e1 / t983 / t344;
  t4161 = t1012 * t4160;
  t4162 = t4161 * t1392;
  t4163 = t4162 * t996;
  t4166 = t1393 * t1001;
  t4169 = t1031 * t1008;
  t4170 = t1019 * t994;
  t4171 = t4161 * t4170;
  t4172 = t4169 * t4171;
  t4175 = t1014 * t994;
  t4176 = t4161 * t4175;
  t4177 = t4169 * t4176;
  t4180 = t1069 * t1007;
  t4181 = t1031 * t4180;
  t4182 = t4181 * t1407;
  t4185 = t4181 * t1412;
  t4188 = t616 * t4180;
  t4189 = t321 * t4188;
  t4194 = t374 * t1082;
  t4195 = t4194 * t1100;
  t4206 = t137 * t615;
  t4207 = t4206 * t1005;
  t4210 = t989 * t336;
  t4223 = 0.2e1 / 0.3e1 * t1189 * t1020 + 0.2e1 * t989 * t1069 * t376 - 0.4e1 * t989 * t1005 * t1045 + 0.4e1 / 0.3e1 * t4207 * t1035 - 0.2e1 * t4210 * t1100 + 0.4e1 * t4207 * t1094 - 0.2e1 * t1194 * t349 + 0.4e1 * t1197 * t349 + 0.2e1 * t359 * t1100 - 0.4e1 * t1189 * t1015;
  t4225 = t985 * t348 * t4223;
  t4226 = t1098 * t4225;
  t4229 = t4136 * t4140 / 0.4e1 - 0.3e1 / 0.4e1 * t4145 * t4148 + t3925 / 0.6e1 - 0.3e1 / 0.2e1 * t1030 * t4153 + 0.3e1 / 0.2e1 * t373 * t4156 + t1010 * t4163 / 0.2e1 - t1010 * t4166 / 0.2e1 + 0.3e1 / 0.2e1 * t1030 * t4172 - 0.3e1 / 0.2e1 * t373 * t4177 - 0.3e1 / 0.2e1 * t1030 * t4182 + 0.3e1 / 0.2e1 * t373 * t4185 - t4189 * t1396 / 0.2e1 - 0.3e1 / 0.4e1 * t1056 * t1101 - t373 * t4195 / 0.2e1 - t373 * t4226 / 0.4e1;
  t4232 = t374 * t1049;
  t4233 = t4232 * t1100;
  t4236 = t978 * t1173 * t1045;
  t4243 = t333 * t1007;
  t4244 = t616 * t4243;
  t4245 = t321 * t4244;
  t4246 = t167 * t1069;
  t4247 = t371 * t4246;
  t4248 = t1400 * t4247;
  t4256 = t365 * t1146;
  t4261 = tau[1] * t1065;
  t4264 = t148 * t391;
  t4265 = t1111 * tau[1];
  t4266 = t1063 * t1063;
  t4267 = 0.1e1 / t4266;
  t4268 = t4265 * t4267;
  t4271 = t152 * t163;
  t4274 = t153 * t399;
  t4277 = t159 * t1139;
  t4280 = t161 * t161;
  t4281 = 0.1e1 / t4280;
  t4282 = t160 * t4281;
  t4287 = t1063 * t121;
  t4289 = 0.1e1 / t111 / t4287;
  t4290 = t1111 * t4289;
  t4313 = 0.44e3 / 0.27e2 * t4261 * t150 - 0.425e4 / 0.9e1 * t4264 * t4268 - 0.65e4 / 0.9e1 * t4271 * t4268 + 0.25e4 / 0.3e1 * t4274 * t4268 + 0.625e4 / 0.3e1 * t4277 * t4268 + 0.875e4 / 0.9e1 * t4282 * t4268 + 0.22e4 / 0.27e2 * t400 * t4261 + 0.2e4 / 0.9e1 * t1118 * t4290 + 0.44e3 / 0.27e2 * t385 * t4261 + 0.8e3 * t1123 * t4290 - 0.88e3 / 0.9e1 * t388 * t4261 + 0.8e3 / 0.9e1 * t1128 * t4290 - 0.88e3 / 0.9e1 * t392 * t4261 - 0.1e5 / 0.9e1 * t1133 * t4290 + 0.22e4 / 0.27e2 * t395 * t4261 - 0.2e4 / 0.3e1 * t1140 * t4290 - 0.4e3 / 0.9e1 * t4290 * t384 - 0.25e3 / 0.9e1 * t4268 * t156;
  t4314 = t380 * t4313;
  t4315 = t145 * t4314;
  t4320 = -0.3e1 / 0.4e1 * t1078 * t1101 + t373 * t4233 - 0.3e1 / 0.2e1 * t373 * t4236 - t1075 * t1002 / 0.2e1 - t1084 * t1002 / 0.4e1 + t4245 * t4248 - t4189 * t1438 / 0.4e1 - t3977 / 0.4e1 + t3987 / 0.2e1 - t3989 / 0.6e1 + t3991 / 0.12e2 - 0.3e1 / 0.4e1 * t110 * t4256 - 0.3e1 / 0.4e1 * t318 * t1147 - t110 * t4315 / 0.4e1 - 0.3e1 / 0.4e1 * t1165 * t405;
  t4324 = t1207 * t404;
  t4330 = t1005 * t333;
  t4331 = t1031 * t4330;
  t4333 = 0.1e1 / t1006 / t136;
  t4334 = t4333 * t1012;
  t4335 = t4334 * t1034;
  t4336 = t4331 * t4335;
  t4339 = t4334 * t1093;
  t4340 = t4331 * t4339;
  t4343 = t4330 * t4333;
  t4344 = t616 * t4343;
  t4345 = t321 * t4344;
  t4347 = t1074 * t1009;
  t4349 = t1074 * t1029;
  t4352 = t1015 * t366;
  t4356 = 0.1e1 / t1006 / t334;
  t4357 = t4330 * t4356;
  t4358 = t3512 * t4357;
  t4359 = t321 * t4358;
  t4361 = 0.1e1 / t1011 / t340;
  t4362 = t4361 * t4160;
  t4363 = t1019 * t347;
  t4364 = t4362 * t4363;
  t4365 = t4364 * t169;
  t4368 = t1019 * t348;
  t4369 = t4362 * t4368;
  t4370 = t4369 * t1022;
  t4373 = t167 * t69;
  t4374 = t4373 * t4330;
  t4375 = t4356 * t4361;
  t4376 = t4160 * t4363;
  t4377 = t4375 * t4376;
  t4378 = t4374 * t4377;
  t4381 = t364 * t1027;
  t4382 = t369 * t4381;
  t4383 = t321 * t4382;
  t4386 = -0.3e1 / 0.2e1 * t318 * t1105 - 0.3e1 / 0.4e1 * t110 * t4324 - t3995 / 0.4e1 - t3998 / 0.2e1 - t4000 / 0.2e1 + 0.3e1 * t1030 * t4336 - 0.3e1 * t373 * t4340 + t4345 * t1016 + t4347 * t1023 - 0.3e1 / 0.2e1 * t4349 * t1036 - t1010 * t4352 / 0.2e1 - 0.11e2 / 0.18e2 * t4359 * t4365 + 0.23e2 / 0.36e2 * t4359 * t4370 - 0.3e1 * t1030 * t4378 - 0.3e1 / 0.2e1 * t4383 * t1036;
  t4391 = t342 * t342;
  t4392 = 0.1e1 / t4391;
  t4393 = t144 * t4392;
  t4394 = t369 * t4393;
  t4395 = t321 * t4394;
  t4396 = t4160 * t4368;
  t4397 = t4375 * t4396;
  t4398 = t4374 * t4397;
  t4403 = t1027 * t167;
  t4404 = t145 * t4403;
  t4405 = t4369 * t4404;
  t4408 = t4160 * t1019;
  t4409 = t4375 * t4408;
  t4410 = t4374 * t4409;
  t4413 = t4362 * t1019;
  t4414 = t4413 * t169;
  t4419 = t4330 * t1007;
  t4420 = t194 * t4419;
  t4421 = t321 * t4420;
  t4425 = t1007 * t341;
  t4426 = t4425 * t356;
  t4427 = t374 * t4330 * t4426;
  t4432 = t1074 * t1050;
  t4437 = t365 * t1021;
  t4438 = t1020 * t4437;
  t4444 = 0.3e1 / 0.2e1 * t1056 * t1095 - t4347 * t1016 / 0.2e1 + 0.3e1 / 0.2e1 * t4395 * t4398 + 0.3e1 / 0.2e1 * t1078 * t1095 - 0.3e1 / 0.2e1 * t4359 * t4405 + 0.3e1 / 0.2e1 * t373 * t4410 - t4359 * t4414 / 0.2e1 + t4345 * t1090 / 0.2e1 - t4421 * t350 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t4427 - 0.2e1 * t4345 * t1023 + t4432 * t350 / 0.2e1 + t1051 * t1087 / 0.2e1 + t1010 * t4438 + 0.3e1 / 0.4e1 * t1078 * t1071 - 0.3e1 / 0.2e1 * t1078 * t1046;
  t4453 = t1164 * t27;
  t4454 = t4453 * t372;
  t4457 = t1074 * t1055;
  t4460 = t1206 * t370;
  t4461 = t369 * t4460;
  t4462 = t321 * t4461;
  t4467 = t4369 * t169;
  t4475 = 0.1e1 / t112 / t1112;
  t4479 = my_piecewise3(t129, t322, -0.22e3 / 0.81e2 * lapl[1] * t1065 + 0.88e3 / 0.81e2 * t117 * t1065 - 0.308e3 / 0.81e2 * t120 * t4475);
  t4480 = t4479 * t335;
  t4481 = t194 * t4480;
  t4482 = t321 * t4481;
  t4487 = t349 * t1208;
  t4490 = t1020 * t366;
  t4494 = t374 * t4479 * t376;
  t4497 = t4453 * t337;
  t4500 = t1074 * t1083;
  t4503 = -0.3e1 / 0.2e1 * t1056 * t1046 - t1075 * t1087 / 0.2e1 - t4347 * t1090 / 0.4e1 + 0.3e1 / 0.4e1 * t4454 * t377 + 0.3e1 / 0.2e1 * t4457 * t377 + 0.3e1 / 0.4e1 * t4462 * t377 + 0.3e1 / 0.4e1 * t1056 * t1071 - 0.5e1 / 0.36e2 * t4359 * t4467 - t4482 * t350 / 0.12e2 - t1084 * t1087 / 0.4e1 - t338 * t4487 / 0.4e1 - t1010 * t4490 / 0.4e1 + t373 * t4494 / 0.4e1 - t4497 * t350 / 0.4e1 - t4500 * t350 / 0.4e1;
  t4505 = t4364 * t1022;
  t4521 = -t4002 / 0.2e1 + 0.7e1 / 0.3e1 * t4359 * t4505 - t4005 / 0.12e2 + t4007 / 0.4e1 - t4011 / 0.6e1 + t4014 / 0.2e1 + t4017 / 0.6e1 + t4020 / 0.2e1 - t4023 / 0.12e2 + t4025 / 0.2e1 - t4027 / 0.6e1 + t4029 / 0.3e1 - t4031 / 0.6e1 - t4041 / 0.2e1 - t3919 / 0.6e1;
  t4525 = t1154 * t313;
  t4532 = my_piecewise5(t11, 0, t7, 0, 0.6e1 * t790 - 0.6e1 * t3708);
  t4536 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3701 * t4525 + 0.4e1 / 0.3e1 * t915 * t1159 + 0.4e1 / 0.3e1 * t106 * t4532);
  t4537 = t4536 * t23;
  t4538 = t4537 * t29;
  t4543 = t4160 * t348;
  t4544 = t994 * t994;
  t4545 = t143 * t4544;
  t4546 = t4543 * t4545;
  t4549 = t4160 * t1014;
  t4550 = t4549 * t1183;
  t4553 = t143 * t4223;
  t4554 = t1182 * t4553;
  t4558 = t615 * t1069;
  t4559 = t4558 * t1033;
  t4563 = t4408 * t1183;
  t4565 = t1170 * t1044;
  t4570 = t140 * t4544;
  t4571 = t4543 * t4570;
  t4573 = t193 * t4330;
  t4574 = t4573 * t4425;
  t4577 = t69 * t4330;
  t4578 = t4577 * t4375;
  t4579 = t4408 * t143;
  t4582 = t4549 * t1199;
  t4585 = t615 * t4330;
  t4586 = t4585 * t4334;
  t4589 = t4376 * t143;
  t4594 = 0.2e1 * t355 * t4546 - 0.6e1 * t1178 * t4550 - t355 * t4554 - 0.2e1 * t1171 * t1184 - t4559 * t1477 + 0.4e1 * t1174 * t1184 + t1178 * t4563 - 0.6e1 * t4565 * t1472 + 0.6e1 * t4559 * t1481 - t355 * t4571 + 0.6e1 * t4574 * t357 + 0.6e1 * t4578 * t4579 + 0.3e1 * t1178 * t4582 - 0.12e2 * t4586 * t1186 - 0.2e1 / 0.3e1 * t4578 * t4589 - 0.3e1 * t4559 * t1495;
  t4595 = t140 * t4223;
  t4596 = t1182 * t4595;
  t4599 = t4408 * t1199;
  t4605 = t193 * t4479;
  t4606 = t4605 * t354;
  t4612 = t4396 * t143;
  t4617 = t4585 * t4333;
  t4620 = t4577 * t4356;
  t4621 = t4362 * t1190;
  t4624 = t4363 * t140;
  t4625 = t4362 * t4624;
  t4628 = t4605 * t335;
  t4633 = t4368 * t140;
  t4634 = t4362 * t4633;
  t4637 = t4573 * t1007;
  t4640 = t355 * t4596 / 0.2e1 - 0.2e1 * t1178 * t4599 + 0.3e1 * t4565 * t1491 + t1171 * t1200 + t4606 * t357 + 0.2e1 * t4559 * t1485 + 0.2e1 * t4586 * t1179 - t4578 * t4612 / 0.9e1 - 0.2e1 * t1174 * t1200 + 0.6e1 * t4617 * t1204 - 0.3e1 * t4620 * t4621 + 0.1e2 / 0.3e1 * t4620 * t4625 - t4628 * t361 / 0.2e1 - 0.4e1 * t4617 * t1191 + t4620 * t4634 / 0.18e2 - 0.3e1 * t4637 * t361;
  t4641 = t4594 + t4640;
  t4642 = t139 * t4641;
  t4643 = t4642 * t168;
  t4652 = t978 * t1170 * t376;
  t4655 = t371 * t978;
  t4656 = t1400 * t4655;
  t4658 = t333 * t1043;
  t4659 = t194 * t4658;
  t4660 = t321 * t4659;
  t4661 = t988 * t4246;
  t4662 = t1000 * t4661;
  t4667 = t346 * t348 * t1069;
  t4668 = t374 * t4658 * t4667;
  t4673 = -0.3e1 / 0.4e1 * t318 * t1208 - t4538 * t169 / 0.4e1 - 0.3e1 / 0.4e1 * t1165 * t366 - t110 * t4643 / 0.4e1 - t4074 / 0.2e1 - t4078 / 0.4e1 - t4082 / 0.4e1 + t3890 / 0.6e1 + t3910 / 0.6e1 - t3731 + 0.3e1 / 0.4e1 * t373 * t4652 + t1010 * t4656 + t4660 * t4662 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t4668 + 0.3e1 / 0.2e1 * t1078 * t980;
  t4676 = params->at * t1145;
  t4678 = t4676 * t353 * t376;
  t4681 = t167 * t4223;
  t4682 = t988 * t4681;
  t4683 = t987 * t4682;
  t4686 = t4161 * t1399;
  t4687 = t4686 * t996;
  t4690 = t371 * t995;
  t4691 = t4686 * t4690;
  t4697 = t364 * t146;
  t4698 = t4697 * t995;
  t4699 = t987 * t4698;
  t4706 = t341 * t4160;
  t4707 = t4706 * t986;
  t4708 = t167 * t4544;
  t4709 = t988 * t4708;
  t4710 = t4707 * t4709;
  t4714 = t4706 * t348 * t4544;
  t4715 = t1098 * t4714;
  t4718 = t988 * t4676;
  t4719 = t1000 * t4718;
  t4722 = t1400 * t1001;
  t4725 = t4697 * t978;
  t4726 = t1000 * t4725;
  t4730 = 0.3e1 / 0.2e1 * t1056 * t980 + 0.3e1 / 0.4e1 * t373 * t4678 + t338 * t4683 / 0.12e2 + t1010 * t4687 / 0.4e1 - t1010 * t4691 + t1075 * t997 / 0.4e1 + t1084 * t997 / 0.6e1 + t338 * t4699 / 0.4e1 + t1051 * t1002 / 0.2e1 - t1051 * t997 / 0.3e1 - t338 * t4710 / 0.6e1 + t373 * t4715 / 0.2e1 - t338 * t4719 / 0.4e1 - t1010 * t4722 / 0.4e1 - t338 * t4726 / 0.2e1 + t3904 / 0.18e2;
  t4734 = my_piecewise3(t100, 0, t4229 + t4320 + t4386 + t4444 + t4503 + t4521 + t4673 + t4730);
  tv3rho33 = 0.3e1 * t977 + 0.3e1 * t1213 + t3 * (t4135 + t4734);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t4738 = t30 * t3672;
  t4739 = t615 * t206;
  t4740 = t4739 * t647;
  t4741 = t414 * t667;
  t4742 = t3375 * t4741;
  t4743 = t4740 * t4742;
  t4746 = t641 * params->at;
  t4747 = t65 * t4746;
  t4748 = t30 * t4747;
  t4749 = t276 * t615;
  t4750 = t4749 * t1216;
  t4751 = t4750 * t1234;
  t4753 = t30 * t1321;
  t4754 = t653 * t65;
  t4755 = t276 * t206;
  t4756 = t253 * t4755;
  t4757 = t4754 * t4756;
  t4760 = t3375 * t65;
  t4761 = t206 * t667;
  t4762 = t635 * t4761;
  t4763 = t4760 * t4762;
  t4765 = t648 * t65;
  t4766 = t3121 * t4755;
  t4767 = t4765 * t4766;
  t4770 = t3409 * t65;
  t4771 = t95 * t4761;
  t4772 = t4770 * t4771;
  t4775 = t3124 * t415;
  t4776 = t4775 * t730;
  t4779 = t30 * t636;
  t4780 = t3409 * t4761;
  t4781 = t1321 * t4780;
  t4784 = t4750 * t1239;
  t4786 = t819 * t4761;
  t4787 = t1315 * t4786;
  t4789 = t30 * t421;
  t4792 = t30 * t1315;
  t4793 = t3130 * t4771;
  t4796 = t229 * t65;
  t4797 = t4796 * t4756;
  t4800 = t3124 * t1243;
  t4801 = t4800 * t1246;
  t4803 = t4765 * t4756;
  t4806 = t4760 * t4771;
  t4809 = t427 * t720;
  t4812 = 0.3e1 / 0.2e1 * t4738 * t4743 - t4748 * t4751 - t4753 * t4757 / 0.3e1 - t4753 * t4763 + 0.2e1 / 0.3e1 * t4753 * t4767 + t4753 * t4772 / 0.2e1 - t3123 * t4776 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t4781 + t3123 * t4784 + t4779 * t4787 + t4789 * t3133 / 0.6e1 - t4792 * t4793 / 0.3e1 + t4792 * t4797 / 0.3e1 - t3123 * t4801 - t4753 * t4803 / 0.6e1 + t4753 * t4806 / 0.4e1 - t30 * t4809 / 0.4e1;
  t4813 = t188 * t1305;
  t4817 = t414 * t3396;
  t4818 = t3658 * t4817;
  t4819 = t633 * t617;
  t4820 = t3474 * t4819;
  t4821 = t4818 * t4820;
  t4824 = t3401 * t617;
  t4825 = t3474 * t4824;
  t4826 = t4818 * t4825;
  t4829 = t3512 * t4817;
  t4830 = t191 * t4829;
  t4831 = t3474 * t1226;
  t4832 = t94 * t617;
  t4833 = t661 * t4832;
  t4834 = t4831 * t4833;
  t4837 = t3401 * t59;
  t4838 = t3474 * t4837;
  t4839 = t244 * t4832;
  t4840 = t4838 * t4839;
  t4843 = t3447 * t59;
  t4844 = t3474 * t4843;
  t4845 = t642 * t4832;
  t4846 = t4844 * t4845;
  t4849 = t3447 * t617;
  t4850 = t3474 * t4849;
  t4851 = t4818 * t4850;
  t4854 = t592 * t1217;
  t4855 = t4854 * t1223;
  t4857 = t414 * t3415;
  t4858 = t616 * t4857;
  t4859 = t191 * t4858;
  t4860 = t1220 * t4833;
  t4862 = t1227 * t4839;
  t4865 = t4854 * t1229;
  t4867 = t645 * t4857;
  t4868 = t627 * t4819;
  t4869 = t4867 * t4868;
  t4872 = t593 * t1240;
  t4874 = t3548 * t1235;
  t4878 = t219 * t221 * t617;
  t4879 = t247 * t1216 * t4878;
  t4882 = t593 * t1247;
  t4884 = -t4813 / 0.6e1 - t182 * t1305 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t4821 - 0.3e1 * t644 * t4826 - t4830 * t4834 / 0.2e1 + 0.7e1 / 0.3e1 * t4830 * t4840 - 0.3e1 / 0.2e1 * t4830 * t4846 + 0.3e1 / 0.2e1 * t3680 * t4851 - t4855 / 0.9e1 + t4859 * t4860 - 0.2e1 * t4859 * t4862 + 0.2e1 / 0.9e1 * t4865 + 0.3e1 * t644 * t4869 + t4872 / 0.3e1 - t4874 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t4879 - t4882 / 0.3e1;
  t4887 = t627 * t628 * t617;
  t4888 = t4867 * t4887;
  t4891 = t1250 * t3161;
  t4894 = t593 * t1251;
  t4896 = t593 * t1255;
  t4898 = t592 * t1258;
  t4899 = t4898 * t1260;
  t4901 = t4854 * t1300;
  t4903 = t194 * t1216;
  t4904 = t191 * t4903;
  t4905 = t673 * t4833;
  t4908 = t1267 * t670;
  t4912 = t764 * t1217;
  t4915 = t1267 * t676;
  t4917 = t1220 * t3261;
  t4920 = t4838 * t4833;
  t4923 = t1272 * t619;
  t4924 = t616 * t4923;
  t4925 = t191 * t4924;
  t4928 = t3279 * t1221;
  t4929 = t1220 * t4928;
  t4932 = t645 * t4923;
  t4933 = t4932 * t1234;
  t4935 = t633 * t606;
  t4936 = t627 * t4935;
  t4937 = t1232 * t4936;
  t4940 = -0.3e1 * t246 * t4888 + t246 * t4891 / 0.2e1 - t4894 / 0.6e1 + t4896 / 0.6e1 + t4899 / 0.9e1 - t4901 / 0.18e2 - t4904 * t4905 / 0.2e1 + t4908 / 0.18e2 - t417 * t3143 / 0.6e1 + 0.2e1 / 0.3e1 * t4912 * t1229 - t4915 / 0.18e2 - t1218 * t4917 / 0.6e1 - 0.11e2 / 0.18e2 * t4830 * t4920 - t4925 * t1223 / 0.3e1 - t1218 * t4929 / 0.3e1 - t644 * t4933 - t644 * t4937 / 0.2e1;
  t4945 = t755 * t1221;
  t4946 = t1227 * t4945;
  t4951 = t4844 * t4839;
  t4957 = t4932 * t1239;
  t4960 = t627 * t628 * t606;
  t4961 = t1232 * t4960;
  t4966 = t1272 * t740;
  t4967 = t247 * t4966;
  t4968 = t4967 * t1246;
  t4970 = t1244 * t3313;
  t4974 = t674 * t1312 * t249;
  t4978 = t247 * t1281;
  t4979 = t4978 * t730;
  t4982 = t1250 * t3246;
  t4985 = -t4912 * t1223 / 0.3e1 + 0.2e1 / 0.3e1 * t4925 * t1229 + 0.2e1 / 0.3e1 * t1218 * t4946 + t1218 * t3324 / 0.3e1 + 0.23e2 / 0.36e2 * t4830 * t4951 - t3530 * t1235 - t3537 * t1235 + t757 * t1240 + t246 * t4957 + t246 * t4961 / 0.2e1 - t768 * t1247 - t757 * t1247 - t246 * t4968 - t246 * t4970 / 0.2e1 + t246 * t4974 / 0.2e1 + t768 * t1240 - t246 * t4979 / 0.2e1 - t246 * t4982 / 0.4e1;
  t4993 = t3284 * t420 * t249;
  t5008 = t194 * t4966;
  t5009 = t191 * t5008;
  t5012 = t673 * t4928;
  t5017 = t1227 * t4833;
  t5022 = t764 * t1258;
  t5029 = t768 * t1255 / 0.2e1 + t757 * t1255 / 0.2e1 + t246 * t4993 / 0.4e1 + t417 * t3269 / 0.12e2 - t768 * t1251 / 0.2e1 - t757 * t1251 / 0.2e1 + t1278 * t670 / 0.6e1 + t1283 * t670 / 0.6e1 + t417 * t3301 / 0.6e1 + t5009 * t1260 / 0.3e1 + t1259 * t5012 / 0.3e1 + t1259 * t3262 / 0.6e1 + t4859 * t5017 / 0.2e1 - t417 * t3305 / 0.12e2 + t5022 * t1260 / 0.3e1 - t1283 * t676 / 0.6e1 - t417 * t3281 / 0.6e1;
  t5032 = t1227 * t4928;
  t5037 = t4844 * t4833;
  t5044 = t426 * t66;
  t5045 = t5044 * t674;
  t5046 = t673 * t5045;
  t5053 = t5044 * t668;
  t5054 = t660 * t5053;
  t5057 = t1343 * t277;
  t5062 = t3631 * t432;
  t5064 = t629 * t428;
  t5067 = t427 * t635;
  t5068 = t634 * t5067;
  t5071 = t426 * t641;
  t5072 = t242 * t5071;
  t5073 = t191 * t5072;
  t5076 = t1267 * t612;
  t5078 = -t4925 * t1300 / 0.6e1 - t1218 * t5032 / 0.6e1 - t1218 * t3320 / 0.12e2 - 0.5e1 / 0.36e2 * t4830 * t5037 - t1278 * t676 / 0.6e1 - t4912 * t1300 / 0.6e1 - t211 * t5046 / 0.6e1 - t1293 * t731 / 0.4e1 + t1293 * t736 / 0.2e1 + t211 * t5054 / 0.12e2 - t30 * t5057 / 0.2e1 + t1293 * t655 / 0.2e1 + t5062 / 0.6e1 - t622 * t5064 / 0.6e1 + t622 * t5068 / 0.3e1 - t5073 * t650 / 0.2e1 - t5076 / 0.18e2;
  t5084 = params->gamma * t602;
  t5086 = my_piecewise3(t49, t195, 0.22e2 / 0.27e2 * t5084);
  t5088 = t247 * t5086 * t249;
  t5091 = t3567 * t416;
  t5094 = t593 * t1274;
  t5096 = t3627 * t416;
  t5097 = t5096 * t223;
  t5099 = t592 * t1282;
  t5100 = t5099 * t223;
  t5102 = t634 * t428;
  t5105 = t764 * t1292;
  t5108 = t764 * t1282;
  t5113 = t5086 * t208;
  t5114 = t194 * t5113;
  t5115 = t191 * t5114;
  t5122 = t3637 * t432;
  t5124 = t1342 * t243;
  t5125 = t242 * t5124;
  t5126 = t191 * t5125;
  t5131 = t768 * t1274 / 0.2e1 + t757 * t1274 / 0.2e1 + t246 * t5088 / 0.4e1 - t5091 * t223 / 0.12e2 + t5094 / 0.6e1 - t5097 / 0.18e2 - t5100 / 0.18e2 - t622 * t5102 / 0.12e2 + t5105 * t250 / 0.2e1 - t5108 * t223 / 0.6e1 - t1278 * t612 / 0.6e1 - t5115 * t223 / 0.12e2 - t1283 * t612 / 0.6e1 - t417 * t3553 / 0.12e2 + t5122 / 0.6e1 + t5126 * t250 / 0.2e1 + t1293 * t761 / 0.4e1;
  t5140 = t222 * t1344;
  t5143 = t592 * t1292;
  t5144 = t5143 * t250;
  t5146 = t771 * t1288;
  t5149 = t3621 * t432 / 0.18e2;
  t5150 = t3620 * t416;
  t5152 = t5150 * t223 / 0.54e2;
  t5160 = t777 * t428 / 0.18e2;
  t5161 = t188 * t1344;
  t5163 = t647 * t3137;
  t5164 = t1320 * t5163;
  t5165 = t62 * t206;
  t5166 = t5165 * t667;
  t5167 = t827 * t5166;
  t5169 = t747 * t626;
  t5170 = t420 * t5169;
  t5171 = t233 * t5166;
  t5174 = t840 * t5166;
  t5177 = t69 * t414;
  t5178 = t5177 * t3399;
  t5179 = t63 * t617;
  t5180 = t3375 * t5179;
  t5183 = t1320 * t3416;
  t5184 = t653 * t5179;
  t5187 = t3402 * t5179;
  t5190 = t1329 * t667;
  t5191 = t3375 * t5190;
  t5194 = t63 * t606;
  t5195 = t653 * t5194;
  t5198 = t819 * t5190;
  t5203 = t615 * t1272;
  t5204 = t5203 * t647;
  t5207 = t229 * t5194;
  t5210 = t648 * t5179;
  t5213 = t648 * t5194;
  t5216 = t3448 * t5179;
  t5220 = t1312 * t747;
  t5223 = t3409 * t5190;
  t5228 = t5164 * t5167 + 0.4e1 * t5170 * t5171 - 0.6e1 * t5164 * t5174 + 0.6e1 * t5178 * t5180 - 0.12e2 * t5183 * t5184 - 0.2e1 / 0.3e1 * t5178 * t5187 - 0.2e1 * t1321 * t5191 + 0.2e1 * t1321 * t5195 - 0.2e1 * t1315 * t5198 - 0.2e1 * t1313 * t821 - 0.2e1 / 0.3e1 * t5204 * t1322 - 0.2e1 * t1315 * t5207 + 0.2e1 * t5183 * t5210 - t1321 * t5213 / 0.3e1 - t5178 * t5216 / 0.9e1 - t421 * t3379 - 0.4e1 * t5220 * t1317 + 0.3e1 * t1321 * t5223 + 0.4e1 * t5204 * t1326;
  t5231 = t420 * t3421;
  t5232 = t229 * t5179;
  t5235 = t60 * t617;
  t5236 = t3375 * t5235;
  t5239 = t653 * t5235;
  t5244 = t60 * t606;
  t5245 = t229 * t5244;
  t5247 = t193 * t5086;
  t5248 = t5247 * t227;
  t5252 = t648 * t5235;
  t5255 = t3448 * t5235;
  t5258 = t229 * t5235;
  t5264 = t653 * t5244;
  t5266 = t3402 * t5235;
  t5269 = t648 * t5244;
  t5275 = t5247 * t208;
  t5278 = 0.2e1 * t421 * t3432 + 0.6e1 * t5231 * t5232 - 0.3e1 * t5178 * t5236 + 0.6e1 * t5183 * t5239 - 0.2e1 * t5204 * t1340 + t1315 * t5245 + t5248 * t230 + 0.4e1 / 0.3e1 * t5204 * t1330 - 0.4e1 * t5183 * t5252 + t5178 * t5255 / 0.18e2 - 0.3e1 * t5231 * t5258 - t421 * t3471 + t421 * t3436 / 0.2e1 - t1321 * t5264 + 0.1e2 / 0.3e1 * t5178 * t5266 + 0.2e1 / 0.3e1 * t1321 * t5269 + 0.2e1 * t5220 * t1336 + t1313 * t837 - t5275 * t234 / 0.2e1;
  t5279 = t5228 + t5278;
  t5280 = t59 * t5279;
  t5281 = t5280 * t95;
  t5288 = t781 * t428;
  t5290 = t3568 * t432 / 0.4e1 + t3605 * t432 / 0.2e1 - t765 * t1288 / 0.6e1 - t609 * t1288 / 0.12e2 - t211 * t5140 / 0.6e1 + t5144 / 0.6e1 - t5146 / 0.18e2 - t5149 + t5152 + t3610 * t432 / 0.4e1 - t1293 * t749 / 0.2e1 + t743 * t1288 / 0.6e1 + t5160 - t5161 / 0.6e1 - t30 * t5281 / 0.4e1 - t800 * t428 / 0.4e1 - t182 * t1344 / 0.2e1 - t5288 / 0.6e1;
  t5294 = my_piecewise3(t2, 0, t4812 + t4884 + t4940 + t4985 + t5029 + t5078 + t5131 + t5290);
  tv3rho2sigma0 = t3 * t5294 + 0.2e1 * t1349;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t5297 = t3894 * t441;
  t5300 = t3898 * t441;
  t5301 = t5300 * t350;
  t5303 = t3902 * t441;
  t5305 = t5303 * t350 / 0.54e2;
  t5308 = t869 * t453;
  t5311 = t873 * t453 / 0.18e2;
  t5314 = t3915 * t457;
  t5317 = t3918 * t457 / 0.18e2;
  t5319 = my_piecewise3(t100, 0, -t5297 * t350 / 0.12e2 - t5301 / 0.18e2 + t5305 - t865 * t453 / 0.4e1 - t5308 / 0.6e1 + t5311 + t3912 * t457 / 0.4e1 + t5314 / 0.6e1 - t5317);
  tv3rho2sigma2 = t3 * t5319 + 0.2e1 * t1366;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t5328 = t897 * t1217;
  t5335 = t897 * t1258;
  t5346 = -t4813 / 0.12e2 - t307 * t1305 / 0.4e1 - t3802 * t1235 / 0.2e1 + t903 * t1240 / 0.2e1 - t5328 * t1223 / 0.6e1 + t5328 * t1229 / 0.3e1 - t1368 * t676 / 0.12e2 + t5335 * t1260 / 0.6e1 + t1368 * t670 / 0.12e2 - t5328 * t1300 / 0.12e2 - t903 * t1247 / 0.2e1 - t903 * t1251 / 0.4e1;
  t5362 = t903 * t1255 / 0.4e1 - t4855 / 0.18e2 + t4865 / 0.9e1 + t4872 / 0.6e1 - t4874 / 0.6e1 - t4882 / 0.6e1 - t4894 / 0.12e2 + t4896 / 0.12e2 + t4899 / 0.18e2 - t4901 / 0.36e2 + t4908 / 0.36e2 - t4915 / 0.36e2 - t1368 * t612 / 0.12e2;
  t5364 = t3818 * t432;
  t5366 = t3814 * t416;
  t5367 = t5366 * t223;
  t5371 = t3824 * t416;
  t5374 = t897 * t1282;
  t5379 = t897 * t1292;
  t5389 = t5364 / 0.12e2 - t5367 / 0.36e2 + t903 * t1274 / 0.4e1 - t5371 * t223 / 0.12e2 - t5374 * t223 / 0.12e2 - t898 * t1288 / 0.12e2 + t5379 * t250 / 0.4e1 + t3825 * t432 / 0.4e1 + t3835 * t432 / 0.4e1 + t5062 / 0.12e2 - t5076 / 0.36e2 + t5094 / 0.12e2;
  t5397 = t894 * t428;
  t5403 = -t5097 / 0.36e2 - t5100 / 0.36e2 + t5122 / 0.12e2 + t5144 / 0.12e2 - t5146 / 0.36e2 - t5149 + t5152 - t307 * t1344 / 0.4e1 - t5397 / 0.12e2 - t890 * t428 / 0.4e1 + t5160 - t5161 / 0.12e2 - t5288 / 0.12e2;
  t5406 = my_piecewise3(t2, 0, t5346 + t5362 + t5389 + t5403);
  tv3rho2sigma3 = t3 * t5406 + t1349 + t1376;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t5410 = t294 * t1444;
  t5412 = t938 * t1449;
  t5414 = t937 * t1453;
  t5415 = t5414 * t377;
  t5417 = t1354 * t1087;
  t5419 = t933 * t1453;
  t5426 = t937 * t1385;
  t5427 = t5426 * t350;
  t5429 = t948 * t1462;
  t5431 = t4009 * t441;
  t5432 = t5431 * t350;
  t5434 = t4019 * t457;
  t5436 = -t290 * t1444 / 0.4e1 - t5410 / 0.12e2 - t5412 / 0.36e2 + t5415 / 0.12e2 - t5417 / 0.36e2 + t5419 * t377 / 0.4e1 + t4046 * t457 / 0.4e1 - t1351 * t1087 / 0.12e2 - t5427 / 0.36e2 + t5429 / 0.12e2 - t5432 / 0.36e2 + t5434 / 0.12e2;
  t5437 = t4013 * t457;
  t5439 = t933 * t1385;
  t5448 = t4045 * t441;
  t5455 = t929 * t453;
  t5457 = t294 * t1499;
  t5459 = t5437 / 0.12e2 - t5439 * t350 / 0.12e2 + t4052 * t457 / 0.4e1 + t945 * t1462 / 0.4e1 - t934 * t1449 / 0.12e2 - t5448 * t350 / 0.12e2 + t5314 / 0.12e2 - t5317 - t5301 / 0.36e2 + t5305 - t290 * t1499 / 0.4e1 - t5455 / 0.12e2 - t5457 / 0.12e2;
  t5464 = t937 * t1390;
  t5465 = t5464 * t1402;
  t5467 = t4040 * t1408;
  t5469 = t5464 * t1396;
  t5471 = t948 * t1424;
  t5473 = t948 * t1413;
  t5475 = t948 * t1420;
  t5477 = t937 * t1431;
  t5478 = t5477 * t1433;
  t5480 = t948 * t1428;
  t5482 = t5464 * t1438;
  t5484 = -t925 * t453 / 0.4e1 - t5308 / 0.12e2 + t5311 + t5465 / 0.9e1 - t5467 / 0.6e1 - t5469 / 0.18e2 - t5471 / 0.12e2 + t5473 / 0.6e1 - t5475 / 0.6e1 + t5478 / 0.18e2 + t5480 / 0.12e2 - t5482 / 0.36e2;
  t5485 = t1354 * t1002;
  t5487 = t1354 * t997;
  t5489 = t933 * t1390;
  t5508 = t933 * t1431;
  t5513 = -t5485 / 0.36e2 + t5487 / 0.36e2 - t5489 * t1396 / 0.6e1 - t4065 * t1408 / 0.2e1 - t945 * t1420 / 0.2e1 - t945 * t1424 / 0.4e1 + t5489 * t1402 / 0.3e1 - t1351 * t1002 / 0.12e2 + t1351 * t997 / 0.12e2 - t5489 * t1438 / 0.12e2 + t945 * t1428 / 0.4e1 + t5508 * t1433 / 0.6e1 + t945 * t1413 / 0.2e1;
  t5516 = my_piecewise3(t100, 0, t5436 + t5459 + t5484 + t5513);
  tv3rho2sigma5 = t3 * t5516 + t1366 + t1504;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t5519 = t3953 * t416;
  t5530 = my_piecewise3(t2, 0, -t5519 * t223 / 0.12e2 - t5367 / 0.18e2 + t5152 - t972 * t428 / 0.4e1 - t5397 / 0.6e1 + t5160 + t3959 * t432 / 0.4e1 + t5364 / 0.6e1 - t5149);
  tv3rho2sigma6 = t3 * t5530 + 0.2e1 * t1376;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t5533 = t1027 * params->at;
  t5534 = t145 * t5533;
  t5535 = t110 * t5534;
  t5536 = t403 * t615;
  t5537 = t5536 * t1389;
  t5538 = t5537 * t1407;
  t5540 = t110 * t1022;
  t5541 = t994 * t333;
  t5542 = t4549 * t5541;
  t5543 = t1476 * t5542;
  t5546 = t5537 * t1412;
  t5548 = t110 * t1476;
  t5549 = t4408 * t145;
  t5550 = t1021 * t5541;
  t5551 = t5549 * t5550;
  t5553 = t1034 * t145;
  t5554 = t403 * t333;
  t5555 = t4143 * t5554;
  t5556 = t5553 * t5555;
  t5559 = t110 * t4404;
  t5560 = t615 * t333;
  t5561 = t5560 * t1033;
  t5562 = t439 * t994;
  t5563 = t4408 * t5562;
  t5564 = t5561 * t5563;
  t5567 = t380 * t5554;
  t5568 = t5553 * t5567;
  t5571 = t168 * t5541;
  t5572 = t5549 * t5571;
  t5575 = t110 * t446;
  t5578 = t110 * t1470;
  t5579 = t4137 * t5571;
  t5582 = t356 * t145;
  t5583 = t5582 * t5567;
  t5587 = t4549 * t145;
  t5588 = t5587 * t5571;
  t5591 = t1093 * t145;
  t5592 = t5591 * t5567;
  t5595 = t4146 * t440;
  t5596 = t5595 * t1100;
  t5599 = t1182 * t5541;
  t5600 = t1470 * t5599;
  t5602 = t4146 * t1416;
  t5603 = t5602 * t1419;
  t5605 = -t5535 * t5538 - 0.3e1 / 0.2e1 * t5540 * t5543 + t4145 * t5546 - t5548 * t5551 + 0.2e1 / 0.3e1 * t5548 * t5556 + 0.3e1 / 0.2e1 * t5559 * t5564 - t5548 * t5568 / 0.6e1 + t5548 * t5572 / 0.4e1 + t5575 * t4140 / 0.6e1 - t5578 * t5579 / 0.3e1 + t5578 * t5583 / 0.3e1 - t5410 / 0.6e1 + t5548 * t5588 / 0.2e1 - t5548 * t5592 / 0.3e1 - t4145 * t5596 / 0.2e1 + t5540 * t5600 - t4145 * t5603;
  t5608 = t439 * t4356;
  t5609 = t4373 * t5608;
  t5610 = t4363 * t1005;
  t5611 = t4362 * t5610;
  t5612 = t5609 * t5611;
  t5615 = t1019 * t1005;
  t5616 = t4362 * t5615;
  t5617 = t5609 * t5616;
  t5620 = t3512 * t5608;
  t5621 = t321 * t5620;
  t5622 = t4368 * t139;
  t5623 = t4362 * t5622;
  t5624 = t167 * t1005;
  t5625 = t1028 * t5624;
  t5626 = t5623 * t5625;
  t5629 = t4368 * t1005;
  t5630 = t4362 * t5629;
  t5631 = t5609 * t5630;
  t5634 = t4362 * t1399;
  t5635 = t988 * t5624;
  t5636 = t5634 * t5635;
  t5639 = t4363 * t139;
  t5640 = t4362 * t5639;
  t5641 = t371 * t5624;
  t5642 = t5640 * t5641;
  t5645 = t439 * t4333;
  t5646 = t616 * t5645;
  t5647 = t321 * t5646;
  t5648 = t1400 * t5641;
  t5651 = t1393 * t5635;
  t5653 = t1031 * t5645;
  t5654 = t1013 * t5615;
  t5655 = t5653 * t5654;
  t5659 = t1013 * t1014 * t1005;
  t5660 = t5653 * t5659;
  t5665 = t1015 * t453;
  t5668 = t452 * t1021;
  t5669 = t1020 * t5668;
  t5672 = t451 * t1027;
  t5673 = t369 * t5672;
  t5674 = t321 * t5673;
  t5681 = -t318 * t1444 / 0.2e1 - 0.3e1 * t1030 * t5612 + 0.3e1 / 0.2e1 * t373 * t5617 - 0.3e1 / 0.2e1 * t5621 * t5626 + 0.3e1 / 0.2e1 * t4395 * t5631 - t5621 * t5636 / 0.2e1 + 0.7e1 / 0.3e1 * t5621 * t5642 - 0.2e1 * t5647 * t5648 + t5647 * t5651 + 0.3e1 * t1030 * t5655 - 0.3e1 * t373 * t5660 + t1454 * t1095 / 0.2e1 - t1010 * t5665 / 0.6e1 + t1010 * t5669 / 0.3e1 - t5674 * t1036 / 0.2e1 - t1386 * t1087 / 0.6e1 - t442 * t4487 / 0.12e2;
  t5683 = t349 * t1499;
  t5686 = t1020 * t453;
  t5689 = t1074 * t1453;
  t5702 = params->gamma * t1065;
  t5704 = my_piecewise3(t129, t322, 0.22e2 / 0.27e2 * t5702);
  t5706 = t374 * t5704 * t376;
  t5709 = t4453 * t441;
  t5712 = t1074 * t1385;
  t5715 = t1497 * t370;
  t5716 = t369 * t5715;
  t5717 = t321 * t5716;
  t5724 = t5704 * t335;
  t5725 = t194 * t5724;
  t5726 = t321 * t5725;
  t5733 = -t338 * t5683 / 0.6e1 - t1010 * t5686 / 0.12e2 + t5689 * t377 / 0.2e1 - t1378 * t1087 / 0.6e1 + t1078 * t1462 / 0.2e1 - t1075 * t1449 / 0.6e1 - t1084 * t1449 / 0.12e2 + t4457 * t457 / 0.2e1 + t373 * t5706 / 0.4e1 - t5709 * t350 / 0.12e2 - t5712 * t350 / 0.6e1 + t5717 * t377 / 0.2e1 + t1454 * t1071 / 0.4e1 + t4454 * t457 / 0.4e1 - t5726 * t350 / 0.12e2 + t4462 * t457 / 0.4e1 + t1056 * t1462 / 0.2e1;
  t5746 = t1498 * t404;
  t5749 = t452 * t1146;
  t5752 = t1383 * t1007;
  t5753 = t616 * t5752;
  t5754 = t321 * t5753;
  t5757 = t1393 * t4661;
  t5760 = t5640 * t5635;
  t5763 = t1074 * t1390;
  t5766 = -t1454 * t1046 / 0.2e1 + t1051 * t1449 / 0.6e1 - t5412 / 0.18e2 + t5415 / 0.6e1 - t5417 / 0.18e2 - t5427 / 0.18e2 + t5429 / 0.6e1 - t5432 / 0.18e2 + t5434 / 0.6e1 + t5437 / 0.6e1 - t5317 + t5305 - t110 * t5746 / 0.2e1 - t110 * t5749 / 0.4e1 + 0.2e1 / 0.3e1 * t5754 * t1402 - t1391 * t5757 / 0.6e1 - 0.11e2 / 0.18e2 * t5621 * t5760 + 0.2e1 / 0.3e1 * t5763 * t1402;
  t5771 = t4697 * t1394;
  t5772 = t1393 * t5771;
  t5775 = t1019 * t1069;
  t5776 = t1013 * t5775;
  t5777 = t1405 * t5776;
  t5785 = t1031 * t5752;
  t5786 = t5785 * t1407;
  t5790 = t5623 * t5641;
  t5793 = t1417 * t4667;
  t5796 = t1054 * t1394;
  t5797 = t1400 * t5796;
  t5801 = t1383 * t1043;
  t5802 = t374 * t5801;
  t5803 = t5802 * t1419;
  t5805 = t5785 * t1412;
  t5808 = t1013 * t1014 * t1069;
  t5809 = t1405 * t5808;
  t5813 = -t5754 * t1396 / 0.3e1 - t1391 * t5772 / 0.3e1 - t1030 * t5777 / 0.2e1 + t1078 * t1413 - t5763 * t1396 / 0.3e1 - t4349 * t1408 - t4383 * t1408 - t1030 * t5786 + t1391 * t4248 / 0.3e1 + 0.23e2 / 0.36e2 * t5621 * t5790 - t373 * t5793 / 0.2e1 + 0.2e1 / 0.3e1 * t1391 * t5797 - t1056 * t1420 - t373 * t5803 + t373 * t5805 + t373 * t5809 / 0.2e1 - t1078 * t1420;
  t5814 = t1074 * t1431;
  t5819 = t4676 * t445 * t376;
  t5823 = t978 * t1467 * t376;
  t5828 = t1423 * t4225;
  t5833 = t374 * t1384;
  t5834 = t5833 * t1100;
  t5843 = t1044 * t984;
  t5844 = t445 * t5843;
  t5845 = t142 * t333;
  t5846 = t5845 * t994;
  t5847 = t360 * t5846;
  t5850 = t1033 * t4160;
  t5851 = t1475 * t5850;
  t5852 = t1190 * t5846;
  t5854 = t69 * t439;
  t5855 = t5854 * t4375;
  t5856 = t143 * t1005;
  t5857 = t4408 * t5856;
  t5860 = t1475 * t4334;
  t5861 = t1093 * t5856;
  t5864 = t4376 * t5856;
  t5867 = t1199 * t333;
  t5868 = t4549 * t5867;
  t5871 = t615 * t1383;
  t5872 = t5871 * t1033;
  t5876 = t4408 * t5867;
  t5879 = t143 * t1069;
  t5880 = t1093 * t5879;
  t5883 = t1182 * t5867;
  t5886 = t1467 * t1044;
  t5893 = t356 * t5879;
  t5896 = t1034 * t5856;
  t5899 = t1034 * t5879;
  t5902 = t4396 * t5856;
  t5905 = t445 * t4425;
  t5906 = t356 * t5856;
  t5909 = 0.4e1 * t5844 * t5847 + t5851 * t5852 + 0.6e1 * t5855 * t5857 - 0.12e2 * t5860 * t5861 - 0.2e1 / 0.3e1 * t5855 * t5864 + 0.3e1 * t1476 * t5868 + 0.4e1 * t5872 * t1481 - t446 * t4554 - 0.2e1 * t1476 * t5876 + 0.2e1 * t1476 * t5880 - 0.2e1 * t1470 * t5883 - 0.4e1 * t5886 * t1472 - 0.2e1 * t1468 * t1184 - 0.2e1 / 0.3e1 * t5872 * t1477 - 0.2e1 * t1470 * t5893 + 0.2e1 * t5860 * t5896 - t1476 * t5899 / 0.3e1 - t5855 * t5902 / 0.9e1 + 0.6e1 * t5905 * t5906;
  t5912 = t140 * t1005;
  t5913 = t4376 * t5912;
  t5916 = t140 * t1069;
  t5917 = t1034 * t5916;
  t5920 = t193 * t5704;
  t5921 = t5920 * t354;
  t5923 = t4408 * t5912;
  t5926 = t1093 * t5912;
  t5930 = t356 * t5912;
  t5935 = t1093 * t5916;
  t5940 = t356 * t5916;
  t5946 = t1034 * t5912;
  t5949 = t4396 * t5912;
  t5952 = t5920 * t335;
  t5955 = t1203 * t5846;
  t5958 = 0.2e1 * t446 * t4546 + 0.1e2 / 0.3e1 * t5855 * t5913 + 0.2e1 / 0.3e1 * t1476 * t5917 + t5921 * t357 - 0.3e1 * t5855 * t5923 + 0.6e1 * t5860 * t5926 - t446 * t4571 - 0.3e1 * t5905 * t5930 - 0.2e1 * t5872 * t1495 - t1476 * t5935 + 0.2e1 * t5886 * t1491 + t1468 * t1200 + t1470 * t5940 + t446 * t4596 / 0.2e1 + 0.4e1 / 0.3e1 * t5872 * t1485 - 0.4e1 * t5860 * t5946 + t5855 * t5949 / 0.18e2 - t5952 * t361 / 0.2e1 - 0.6e1 * t5851 * t5955;
  t5959 = t5909 + t5958;
  t5960 = t139 * t5959;
  t5961 = t5960 * t168;
  t5972 = t5814 * t1433 / 0.3e1 + t1056 * t1413 + t373 * t5819 / 0.4e1 + t373 * t5823 / 0.2e1 + t1056 * t1428 / 0.2e1 - t373 * t5828 / 0.4e1 + t1078 * t1428 / 0.2e1 - t373 * t5834 / 0.2e1 - t1056 * t1424 / 0.2e1 - t5763 * t1438 / 0.6e1 - t1078 * t1424 / 0.2e1 - t110 * t5961 / 0.4e1 - t318 * t1499 / 0.2e1 - t1165 * t453 / 0.4e1 - t5455 / 0.6e1 - t5457 / 0.6e1 + t442 * t4683 / 0.12e2;
  t5980 = t1400 * t5635;
  t5985 = t194 * t5801;
  t5986 = t321 * t5985;
  t5989 = t1000 * t5771;
  t5998 = t1400 * t4661;
  t6001 = t5623 * t5635;
  t6006 = t451 * t146;
  t6007 = t6006 * t995;
  t6008 = t987 * t6007;
  t6013 = t1400 * t5771;
  t6016 = t6006 * t978;
  t6017 = t1000 * t6016;
  t6020 = t442 * t4699 / 0.6e1 + t1386 * t997 / 0.6e1 + t1432 * t4662 / 0.6e1 + t5647 * t5980 / 0.2e1 + t1378 * t997 / 0.6e1 + t5986 * t1433 / 0.3e1 + t1432 * t5989 / 0.3e1 - t1386 * t1002 / 0.6e1 - t442 * t4726 / 0.6e1 - t442 * t4719 / 0.12e2 - t1391 * t5998 / 0.12e2 - 0.5e1 / 0.36e2 * t5621 * t6001 - t1378 * t1002 / 0.6e1 + t338 * t6008 / 0.12e2 - t5754 * t1438 / 0.6e1 - t1391 * t6013 / 0.6e1 - t338 * t6017 / 0.6e1;
  t6027 = t194 * t1389;
  t6028 = t321 * t6027;
  t6029 = t1000 * t5635;
  t6032 = t1423 * t4714;
  t6037 = t346 * t348 * t1005;
  t6038 = t374 * t1389 * t6037;
  t6052 = -t1454 * t1101 / 0.4e1 + t1454 * t980 / 0.2e1 + t5311 - t442 * t4710 / 0.6e1 - t6028 * t6029 / 0.2e1 + t373 * t6032 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t6038 + 0.2e1 / 0.9e1 * t5465 - t5467 / 0.3e1 - t5469 / 0.9e1 - t5471 / 0.6e1 + t5473 / 0.3e1 - t5475 / 0.3e1 + t5478 / 0.9e1 + t5480 / 0.6e1 - t5482 / 0.18e2 - t5485 / 0.18e2 + t5487 / 0.18e2;
  t6056 = my_piecewise3(t100, 0, t5605 + t5681 + t5733 + t5766 + t5813 + t5972 + t6020 + t6052);
  tv3rho2sigma8 = t3 * t6056 + 0.2e1 * t1504;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t6059 = t188 * t1577;
  t6061 = t463 * t667;
  t6062 = t3375 * t6061;
  t6063 = t4740 * t6062;
  t6066 = t4749 * t1539;
  t6067 = t6066 * t1234;
  t6069 = t30 * t1591;
  t6079 = t1512 * t619;
  t6080 = t616 * t6079;
  t6081 = t191 * t6080;
  t6084 = t764 * t1540;
  t6088 = t1547 * t4936;
  t6091 = t645 * t6079;
  t6092 = t6091 * t1234;
  t6095 = t1512 * t740;
  t6096 = t247 * t6095;
  t6097 = t6096 * t1246;
  t6099 = t1555 * t3313;
  t6104 = -t6059 / 0.6e1 + 0.3e1 / 0.2e1 * t4738 * t6063 - t4748 * t6067 - t6069 * t4757 / 0.3e1 - t6069 * t4763 + 0.2e1 / 0.3e1 * t6069 * t4767 - t1541 * t4917 / 0.6e1 - t1541 * t4929 / 0.3e1 - t6081 * t1223 / 0.3e1 - t6084 * t1223 / 0.3e1 + t768 * t1551 - t644 * t6088 / 0.2e1 - t644 * t6092 - t757 * t1556 - t246 * t6097 - t246 * t6099 / 0.2e1 + t1541 * t3324 / 0.3e1;
  t6105 = t463 * t3396;
  t6106 = t3512 * t6105;
  t6107 = t191 * t6106;
  t6112 = t764 * t1567;
  t6115 = t194 * t6095;
  t6116 = t191 * t6115;
  t6120 = t6091 * t1239;
  t6122 = t1547 * t4960;
  t6129 = t3284 * t469 * t249;
  t6133 = t674 * t1584 * t249;
  t6136 = t247 * t1520;
  t6137 = t6136 * t730;
  t6140 = t1559 * t3246;
  t6149 = 0.23e2 / 0.36e2 * t6107 * t4951 - t3530 * t1548 - t3537 * t1548 + t6112 * t1260 / 0.3e1 + t6116 * t1260 / 0.3e1 + t757 * t1551 + t246 * t6120 + t246 * t6122 / 0.2e1 - t768 * t1556 + t757 * t1564 / 0.2e1 + t246 * t6129 / 0.4e1 + t246 * t6133 / 0.2e1 - t246 * t6137 / 0.2e1 - t246 * t6140 / 0.4e1 + t768 * t1564 / 0.2e1 - t6081 * t1300 / 0.6e1 - t768 * t1560 / 0.2e1;
  t6165 = t463 * t3415;
  t6166 = t616 * t6165;
  t6167 = t191 * t6166;
  t6186 = t592 * t1540;
  t6187 = t6186 * t1223;
  t6189 = -t757 * t1560 / 0.2e1 + t1522 * t670 / 0.6e1 + t466 * t3301 / 0.6e1 + t466 * t3269 / 0.12e2 - t6084 * t1300 / 0.6e1 + t1568 * t5012 / 0.3e1 + t1568 * t3262 / 0.6e1 + t6167 * t5017 / 0.2e1 + t1517 * t670 / 0.6e1 - t466 * t3281 / 0.6e1 - t466 * t3305 / 0.12e2 - t1522 * t676 / 0.6e1 - t1541 * t3320 / 0.12e2 - 0.5e1 / 0.36e2 * t6107 * t5037 - t1517 * t676 / 0.6e1 - t1541 * t5032 / 0.6e1 - t6187 / 0.9e1;
  t6191 = t3548 * t1548;
  t6193 = t645 * t6165;
  t6194 = t6193 * t4868;
  t6197 = t593 * t1551;
  t6199 = t6186 * t1229;
  t6203 = t6193 * t4887;
  t6206 = t593 * t1556;
  t6208 = t247 * t1539;
  t6209 = t6208 * t4878;
  t6214 = t592 * t1567;
  t6215 = t6214 * t1260;
  t6217 = t593 * t1560;
  t6219 = t1559 * t3161;
  t6222 = t194 * t1539;
  t6223 = t191 * t6222;
  t6226 = t1508 * t670;
  t6228 = t593 * t1564;
  t6230 = t3658 * t6105;
  t6231 = t6230 * t4825;
  t6234 = t1508 * t676;
  t6236 = t6167 * t4860 - t6191 / 0.3e1 + 0.3e1 * t644 * t6194 + t6197 / 0.3e1 + 0.2e1 / 0.9e1 * t6199 - 0.2e1 * t6167 * t4862 - 0.3e1 * t246 * t6203 - t6206 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t6209 + t6069 * t4772 / 0.2e1 + t6215 / 0.9e1 - t6217 / 0.6e1 + t246 * t6219 / 0.2e1 - t6223 * t4905 / 0.2e1 + t6226 / 0.18e2 + t6228 / 0.6e1 - 0.3e1 * t644 * t6231 - t6234 / 0.18e2;
  t6241 = t6186 * t1300;
  t6247 = t6230 * t4850;
  t6250 = t6230 * t4820;
  t6255 = t475 * t66;
  t6256 = t6255 * t674;
  t6257 = t673 * t6256;
  t6262 = t6255 * t668;
  t6263 = t660 * t6262;
  t6270 = t476 * t720;
  t6275 = t1607 * t277;
  t6278 = t3637 * t481;
  t6280 = t593 * t1514;
  t6282 = -t466 * t3143 / 0.6e1 - t6241 / 0.18e2 + 0.7e1 / 0.3e1 * t6107 * t4840 - 0.3e1 / 0.2e1 * t6107 * t4846 + 0.3e1 / 0.2e1 * t3680 * t6247 + 0.3e1 / 0.2e1 * t246 * t6250 - t6107 * t4834 / 0.2e1 - t211 * t6257 / 0.6e1 + t1532 * t736 / 0.2e1 + t211 * t6263 / 0.12e2 - t1532 * t731 / 0.4e1 - t6069 * t4803 / 0.6e1 - t30 * t6270 / 0.4e1 - t182 * t1577 / 0.2e1 - t30 * t6275 / 0.2e1 + t6278 / 0.6e1 + t6280 / 0.6e1;
  t6283 = t3627 * t465;
  t6284 = t6283 * t223;
  t6286 = t629 * t477;
  t6289 = t476 * t635;
  t6290 = t634 * t6289;
  t6293 = t475 * t641;
  t6294 = t242 * t6293;
  t6295 = t191 * t6294;
  t6303 = my_piecewise3(t49, t195, 0.2e2 / 0.27e2 * t202);
  t6305 = t247 * t6303 * t249;
  t6308 = t3567 * t465;
  t6311 = t764 * t1521;
  t6316 = t3631 * t481;
  t6324 = t592 * t1521;
  t6325 = t6324 * t223;
  t6327 = t1508 * t612;
  t6331 = -t6284 / 0.18e2 - t622 * t6286 / 0.6e1 + t622 * t6290 / 0.3e1 - t6295 * t650 / 0.2e1 + t1532 * t655 / 0.2e1 + t757 * t1514 / 0.2e1 + t246 * t6305 / 0.4e1 - t6308 * t223 / 0.12e2 - t6311 * t223 / 0.6e1 - t1517 * t612 / 0.6e1 + t6316 / 0.6e1 - t1522 * t612 / 0.6e1 - t466 * t3553 / 0.12e2 - t765 * t1527 / 0.6e1 - t6325 / 0.18e2 - t6327 / 0.18e2 + t768 * t1514 / 0.2e1;
  t6333 = t1606 * t243;
  t6334 = t242 * t6333;
  t6335 = t191 * t6334;
  t6338 = t6303 * t208;
  t6339 = t194 * t6338;
  t6340 = t191 * t6339;
  t6344 = t3621 * t481 / 0.18e2;
  t6347 = t222 * t1608;
  t6350 = t634 * t477;
  t6353 = t764 * t1531;
  t6358 = t592 * t1531;
  t6359 = t6358 * t250;
  t6363 = t771 * t1527;
  t6365 = t3620 * t465;
  t6367 = t6365 * t223 / 0.54e2;
  t6378 = t6335 * t250 / 0.2e1 - t6340 * t223 / 0.12e2 - t6344 - t609 * t1527 / 0.12e2 - t211 * t6347 / 0.6e1 - t622 * t6350 / 0.12e2 + t6353 * t250 / 0.2e1 + t743 * t1527 / 0.6e1 + t6359 / 0.6e1 - t1532 * t749 / 0.2e1 - t6363 / 0.18e2 + t6367 + t3610 * t481 / 0.4e1 + t1532 * t761 / 0.4e1 + t3568 * t481 / 0.4e1 + t3605 * t481 / 0.2e1 - t182 * t1608 / 0.2e1;
  t6379 = t781 * t477;
  t6381 = t188 * t1608;
  t6384 = t777 * t477 / 0.18e2;
  t6389 = t69 * t463;
  t6390 = t6389 * t3399;
  t6393 = t1590 * t3416;
  t6413 = t1584 * t747;
  t6418 = t615 * t1512;
  t6419 = t6418 * t647;
  t6424 = t469 * t3421;
  t6427 = t1590 * t5163;
  t6429 = t193 * t6303;
  t6430 = t6429 * t208;
  t6433 = 0.3e1 * t1591 * t5223 + 0.6e1 * t6390 * t5180 - 0.12e2 * t6393 * t5184 - 0.2e1 / 0.3e1 * t6390 * t5187 - 0.2e1 * t1587 * t5198 - 0.2e1 * t1587 * t5207 + 0.2e1 * t6393 * t5210 - t1591 * t5213 / 0.3e1 - t6390 * t5216 / 0.9e1 - t470 * t3379 - 0.2e1 * t1591 * t5191 + 0.2e1 * t1591 * t5195 - 0.4e1 * t6413 * t1317 - 0.2e1 * t1585 * t821 - 0.2e1 / 0.3e1 * t6419 * t1322 + 0.2e1 * t470 * t3432 + 0.6e1 * t6424 * t5232 + t6427 * t5167 - t6430 * t234 / 0.2e1;
  t6440 = t469 * t5169;
  t6467 = t6429 * t227;
  t6469 = -0.2e1 * t6419 * t1340 + 0.4e1 * t6419 * t1326 - 0.6e1 * t6427 * t5174 + 0.4e1 * t6440 * t5171 + 0.4e1 / 0.3e1 * t6419 * t1330 - 0.4e1 * t6393 * t5252 + t6390 * t5255 / 0.18e2 + 0.6e1 * t6393 * t5239 - 0.3e1 * t6390 * t5236 - 0.3e1 * t6424 * t5258 - t470 * t3471 + t1587 * t5245 + t470 * t3436 / 0.2e1 - t1591 * t5264 + 0.1e2 / 0.3e1 * t6390 * t5266 + 0.2e1 / 0.3e1 * t1591 * t5269 + 0.2e1 * t6413 * t1336 + t1585 * t837 + t6467 * t230;
  t6470 = t6433 + t6469;
  t6471 = t59 * t6470;
  t6472 = t6471 * t95;
  t6475 = t3124 * t464;
  t6476 = t6475 * t730;
  t6479 = t1591 * t4780;
  t6482 = t6066 * t1239;
  t6484 = t1587 * t4786;
  t6488 = t30 * t470;
  t6491 = t30 * t1587;
  t6496 = t3124 * t1554;
  t6497 = t6496 * t1246;
  t6507 = -t6379 / 0.6e1 - t6381 / 0.6e1 + t6384 - t800 * t477 / 0.4e1 - t30 * t6472 / 0.4e1 - t3123 * t6476 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t6479 + t3123 * t6482 + t4779 * t6484 + t6069 * t4806 / 0.4e1 + t6488 * t3133 / 0.6e1 - t6491 * t4793 / 0.3e1 + t6491 * t4797 / 0.3e1 - t3123 * t6497 + 0.2e1 / 0.3e1 * t1541 * t4946 + 0.2e1 / 0.3e1 * t6081 * t1229 + 0.2e1 / 0.3e1 * t6084 * t1229 - 0.11e2 / 0.18e2 * t6107 * t4920;
  t6511 = my_piecewise3(t2, 0, t6104 + t6149 + t6189 + t6236 + t6282 + t6331 + t6378 + t6507);
  tv3rho2lapl0 = t3 * t6511 + 0.2e1 * t1613;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t6514 = t3894 * t489;
  t6517 = t3898 * t489;
  t6518 = t6517 * t350;
  t6520 = t3902 * t489;
  t6522 = t6520 * t350 / 0.54e2;
  t6525 = t869 * t501;
  t6528 = t873 * t501 / 0.18e2;
  t6531 = t3915 * t505;
  t6534 = t3918 * t505 / 0.18e2;
  t6536 = my_piecewise3(t100, 0, -t6514 * t350 / 0.12e2 - t6518 / 0.18e2 + t6522 - t865 * t501 / 0.4e1 - t6525 / 0.6e1 + t6528 + t3912 * t505 / 0.4e1 + t6531 / 0.6e1 - t6534);
  tv3rho2lapl1 = t3 * t6536 + 0.2e1 * t1630;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 1] += tv3rho2lapl1;

  t6541 = t897 * t1540;
  t6556 = -t6059 / 0.12e2 - t307 * t1577 / 0.4e1 - t6541 * t1223 / 0.6e1 + t903 * t1551 / 0.2e1 + t6541 * t1229 / 0.3e1 - t3802 * t1548 / 0.2e1 - t6187 / 0.18e2 - t6191 / 0.6e1 + t6197 / 0.6e1 + t6199 / 0.9e1 - t6206 / 0.6e1 + t6215 / 0.18e2;
  t6562 = t3818 * t481;
  t6564 = t3814 * t465;
  t6565 = t6564 * t223;
  t6567 = t3824 * t465;
  t6570 = t897 * t1521;
  t6575 = t897 * t1531;
  t6582 = -t6217 / 0.12e2 + t6226 / 0.36e2 + t6228 / 0.12e2 - t6234 / 0.36e2 - t6241 / 0.36e2 + t6562 / 0.12e2 - t6565 / 0.36e2 - t6567 * t223 / 0.12e2 - t6570 * t223 / 0.12e2 - t898 * t1527 / 0.12e2 + t6575 * t250 / 0.4e1 + t3825 * t481 / 0.4e1 + t3835 * t481 / 0.4e1;
  t6596 = t903 * t1514 / 0.4e1 - t1632 * t612 / 0.12e2 + t6278 / 0.12e2 + t6280 / 0.12e2 - t6284 / 0.36e2 + t6316 / 0.12e2 - t6325 / 0.36e2 - t6327 / 0.36e2 - t6344 + t6359 / 0.12e2 - t6363 / 0.36e2 + t6367;
  t6597 = t894 * t477;
  t6609 = t897 * t1567;
  t6620 = -t6597 / 0.12e2 - t890 * t477 / 0.4e1 - t307 * t1608 / 0.4e1 - t6541 * t1300 / 0.12e2 - t1632 * t676 / 0.12e2 + t1632 * t670 / 0.12e2 + t6609 * t1260 / 0.6e1 - t6379 / 0.12e2 - t6381 / 0.12e2 + t6384 + t903 * t1564 / 0.4e1 - t903 * t1560 / 0.4e1 - t903 * t1556 / 0.2e1;
  t6623 = my_piecewise3(t2, 0, t6556 + t6582 + t6596 + t6620);
  tv3rho2lapl2 = t3 * t6623 + t1613 + t1640;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 2] += tv3rho2lapl2;

  t6625 = t938 * t1658;
  t6627 = t4019 * t505;
  t6629 = t4013 * t505;
  t6631 = t937 * t1662;
  t6632 = t6631 * t377;
  t6634 = t1618 * t1087;
  t6636 = t937 * t1681;
  t6637 = t6636 * t350;
  t6639 = t948 * t1673;
  t6641 = t4009 * t489;
  t6642 = t6641 * t350;
  t6652 = -t6625 / 0.36e2 + t6627 / 0.12e2 + t6629 / 0.12e2 + t6632 / 0.12e2 - t6634 / 0.36e2 - t6637 / 0.36e2 + t6639 / 0.12e2 - t6642 / 0.36e2 + t4046 * t505 / 0.4e1 - t1615 * t1087 / 0.12e2 - t934 * t1658 / 0.12e2 + t945 * t1673 / 0.4e1;
  t6653 = t4045 * t489;
  t6656 = t933 * t1662;
  t6659 = t933 * t1681;
  t6664 = t294 * t1737;
  t6666 = t929 * t501;
  t6674 = -t6653 * t350 / 0.12e2 + t6656 * t377 / 0.4e1 - t6659 * t350 / 0.12e2 + t4052 * t505 / 0.4e1 - t6664 / 0.12e2 - t6666 / 0.12e2 - t925 * t501 / 0.4e1 - t290 * t1737 / 0.4e1 - t6534 - t6518 / 0.36e2 + t6522 + t6531 / 0.12e2 + t6528;
  t6677 = t4040 * t1693;
  t6679 = t937 * t1650;
  t6680 = t6679 * t1396;
  t6682 = t6679 * t1402;
  t6684 = t937 * t1643;
  t6685 = t6684 * t1433;
  t6687 = t948 * t1704;
  t6689 = t948 * t1696;
  t6691 = t948 * t1700;
  t6693 = t6679 * t1438;
  t6695 = t948 * t1708;
  t6697 = t1618 * t1002;
  t6699 = t1618 * t997;
  t6701 = -t6525 / 0.12e2 - t6677 / 0.6e1 - t6680 / 0.18e2 + t6682 / 0.9e1 + t6685 / 0.18e2 - t6687 / 0.12e2 + t6689 / 0.6e1 - t6691 / 0.6e1 - t6693 / 0.36e2 + t6695 / 0.12e2 - t6697 / 0.36e2 + t6699 / 0.36e2;
  t6702 = t933 * t1650;
  t6709 = t933 * t1643;
  t6726 = t294 * t1685;
  t6730 = t6702 * t1402 / 0.3e1 + t945 * t1696 / 0.2e1 - t6702 * t1396 / 0.6e1 + t6709 * t1433 / 0.6e1 - t945 * t1700 / 0.2e1 - t945 * t1704 / 0.4e1 - t4065 * t1693 / 0.2e1 + t1615 * t997 / 0.12e2 - t6702 * t1438 / 0.12e2 - t1615 * t1002 / 0.12e2 + t945 * t1708 / 0.4e1 - t6726 / 0.12e2 - t290 * t1685 / 0.4e1;
  t6733 = my_piecewise3(t100, 0, t6652 + t6674 + t6701 + t6730);
  tv3rho2lapl3 = t3 * t6733 + t1630 + t1742;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 3] += tv3rho2lapl3;

  t6736 = t3953 * t465;
  t6747 = my_piecewise3(t2, 0, -t6736 * t223 / 0.12e2 - t6565 / 0.18e2 + t6367 - t972 * t477 / 0.4e1 - t6597 / 0.6e1 + t6384 + t3959 * t481 / 0.4e1 + t6562 / 0.6e1 - t6344);
  tv3rho2lapl4 = t3 * t6747 + 0.2e1 * t1640;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 4] += tv3rho2lapl4;

  t6750 = t487 * t4356;
  t6751 = t3512 * t6750;
  t6752 = t321 * t6751;
  t6755 = t1074 * t1650;
  t6758 = t1671 * t1007;
  t6759 = t616 * t6758;
  t6760 = t321 * t6759;
  t6773 = t499 * t146;
  t6774 = t6773 * t978;
  t6775 = t1000 * t6774;
  t6779 = t1692 * t5776;
  t6784 = t1031 * t6758;
  t6785 = t6784 * t1407;
  t6789 = t1699 * t4667;
  t6794 = -0.11e2 / 0.18e2 * t6752 * t5760 + 0.2e1 / 0.3e1 * t6755 * t1402 + 0.2e1 / 0.3e1 * t6760 * t1402 - t1651 * t5757 / 0.6e1 - t6760 * t1396 / 0.3e1 - t1651 * t5772 / 0.3e1 + t1663 * t980 / 0.2e1 - t6755 * t1396 / 0.3e1 - t338 * t6775 / 0.6e1 + t1078 * t1696 - t1030 * t6779 / 0.2e1 - t4349 * t1693 - t4383 * t1693 - t1030 * t6785 + 0.23e2 / 0.36e2 * t6752 * t5790 - t373 * t6789 / 0.2e1 + 0.2e1 / 0.3e1 * t1651 * t5797;
  t6798 = t1671 * t1043;
  t6799 = t374 * t6798;
  t6800 = t6799 * t1419;
  t6803 = t1692 * t5808;
  t6807 = t6784 * t1412;
  t6812 = t4676 * t493 * t376;
  t6816 = t978 * t1713 * t376;
  t6819 = t1074 * t1643;
  t6824 = t110 * t1720;
  t6827 = t110 * t494;
  t6830 = t110 * t1716;
  t6837 = t1651 * t4248 / 0.3e1 - t1056 * t1700 - t373 * t6800 - t1078 * t1700 + t373 * t6803 / 0.2e1 + t1056 * t1696 + t373 * t6807 + t1056 * t1708 / 0.2e1 + t373 * t6812 / 0.4e1 + t373 * t6816 / 0.2e1 + t6819 * t1433 / 0.3e1 + t1078 * t1708 / 0.2e1 + t6824 * t5572 / 0.4e1 + t6827 * t4140 / 0.6e1 - t6830 * t5579 / 0.3e1 + t6830 * t5583 / 0.3e1 - t6824 * t5568 / 0.6e1;
  t6839 = t1015 * t501;
  t6842 = t500 * t1021;
  t6843 = t1020 * t6842;
  t6846 = t499 * t1027;
  t6847 = t369 * t6846;
  t6848 = t321 * t6847;
  t6853 = t1735 * t370;
  t6854 = t369 * t6853;
  t6855 = t321 * t6854;
  t6870 = t349 * t1737;
  t6873 = t1020 * t501;
  t6876 = t1074 * t1662;
  t6884 = my_piecewise3(t129, t322, 0.2e2 / 0.27e2 * t329);
  t6886 = t374 * t6884 * t376;
  t6889 = -t1010 * t6839 / 0.6e1 + t1010 * t6843 / 0.3e1 - t6848 * t1036 / 0.2e1 + t1663 * t1095 / 0.2e1 + t6855 * t377 / 0.2e1 - t1677 * t1087 / 0.6e1 - t1682 * t1087 / 0.6e1 - t490 * t4487 / 0.12e2 + t1078 * t1673 / 0.2e1 - t1075 * t1658 / 0.6e1 - t1084 * t1658 / 0.12e2 - t338 * t6870 / 0.6e1 - t1010 * t6873 / 0.12e2 + t6876 * t377 / 0.2e1 + t4462 * t505 / 0.4e1 + t1056 * t1673 / 0.2e1 + t373 * t6886 / 0.4e1;
  t6890 = t4453 * t489;
  t6893 = t1074 * t1681;
  t6906 = t6884 * t335;
  t6907 = t194 * t6906;
  t6908 = t321 * t6907;
  t6919 = t487 * t4333;
  t6920 = t616 * t6919;
  t6921 = t321 * t6920;
  t6925 = -t6890 * t350 / 0.12e2 - t6893 * t350 / 0.6e1 + t1663 * t1071 / 0.4e1 + t4454 * t505 / 0.4e1 + t4457 * t505 / 0.2e1 - t1663 * t1046 / 0.2e1 + t1051 * t1658 / 0.6e1 - t6908 * t350 / 0.12e2 - t6625 / 0.18e2 + t6627 / 0.6e1 + t6629 / 0.6e1 + t6632 / 0.6e1 - t6634 / 0.18e2 - t6637 / 0.18e2 + t6639 / 0.6e1 - t6642 / 0.18e2 + t6921 * t5651 - 0.2e1 * t6921 * t5648;
  t6928 = t1031 * t6919;
  t6929 = t6928 * t5659;
  t6932 = t6928 * t5654;
  t6935 = t4373 * t6750;
  t6936 = t6935 * t5611;
  t6939 = t1703 * t4714;
  t6942 = t374 * t1649;
  t6943 = t6942 * t6037;
  t6946 = t6935 * t5616;
  t6949 = t374 * t1680;
  t6950 = t6949 * t1100;
  t6953 = t1703 * t4225;
  t6966 = t493 * t5843;
  t6969 = t1719 * t5850;
  t6973 = t193 * t6884;
  t6974 = t6973 * t335;
  t6978 = t6973 * t354;
  t6980 = t615 * t1671;
  t6981 = t6980 * t1033;
  t6984 = t1719 * t4334;
  t6987 = t69 * t487;
  t6988 = t6987 * t4375;
  t7005 = t1713 * t1044;
  t7009 = 0.4e1 * t6966 * t5847 + t6969 * t5852 - 0.6e1 * t6969 * t5955 - t6974 * t361 / 0.2e1 + t1716 * t5940 + t6978 * t357 + 0.4e1 / 0.3e1 * t6981 * t1485 - 0.4e1 * t6984 * t5946 + t6988 * t5949 / 0.18e2 - 0.2e1 * t6981 * t1495 + 0.6e1 * t6984 * t5926 - 0.3e1 * t6988 * t5923 - t494 * t4571 + t494 * t4596 / 0.2e1 - t1720 * t5935 + 0.1e2 / 0.3e1 * t6988 * t5913 + 0.2e1 / 0.3e1 * t1720 * t5917 + 0.2e1 * t7005 * t1491 + t1714 * t1200;
  t7010 = t493 * t4425;
  t7048 = -0.3e1 * t7010 * t5930 + 0.3e1 * t1720 * t5868 + 0.4e1 * t6981 * t1481 - 0.4e1 * t7005 * t1472 - 0.2e1 * t1714 * t1184 - 0.2e1 / 0.3e1 * t6981 * t1477 - 0.2e1 * t1716 * t5893 + 0.2e1 * t6984 * t5896 + 0.2e1 * t494 * t4546 + 0.6e1 * t7010 * t5906 - 0.2e1 * t1720 * t5876 + 0.2e1 * t1720 * t5880 - 0.12e2 * t6984 * t5861 - 0.2e1 / 0.3e1 * t6988 * t5864 + 0.6e1 * t6988 * t5857 - 0.2e1 * t1716 * t5883 - t1720 * t5899 / 0.3e1 - t6988 * t5902 / 0.9e1 - t494 * t4554;
  t7049 = t7009 + t7048;
  t7050 = t139 * t7049;
  t7051 = t7050 * t168;
  t7058 = -0.3e1 * t373 * t6929 + 0.3e1 * t1030 * t6932 - 0.3e1 * t1030 * t6936 + t373 * t6939 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t6943 + 0.3e1 / 0.2e1 * t373 * t6946 - t373 * t6950 / 0.2e1 - t373 * t6953 / 0.4e1 - t1078 * t1704 / 0.2e1 - t1056 * t1704 / 0.2e1 + t490 * t4683 / 0.12e2 - t6755 * t1438 / 0.6e1 - t318 * t1737 / 0.2e1 - t110 * t7051 / 0.4e1 - t1165 * t501 / 0.4e1 - t6664 / 0.6e1 - t6666 / 0.6e1;
  t7071 = t194 * t6798;
  t7072 = t321 * t7071;
  t7091 = t490 * t4699 / 0.6e1 + t1677 * t997 / 0.6e1 + t1682 * t997 / 0.6e1 - t6534 + t6522 + t6921 * t5980 / 0.2e1 + t1644 * t4662 / 0.6e1 - t490 * t4719 / 0.12e2 + t7072 * t1433 / 0.3e1 + t1644 * t5989 / 0.3e1 - t1682 * t1002 / 0.6e1 - t490 * t4726 / 0.6e1 - 0.5e1 / 0.36e2 * t6752 * t6001 - t1677 * t1002 / 0.6e1 - t1651 * t5998 / 0.12e2 - t6760 * t1438 / 0.6e1 - t1651 * t6013 / 0.6e1;
  t7093 = t6773 * t995;
  t7094 = t987 * t7093;
  t7099 = t194 * t1649;
  t7100 = t321 * t7099;
  t7116 = t4146 * t488;
  t7117 = t7116 * t1100;
  t7120 = t338 * t7094 / 0.12e2 - t490 * t4710 / 0.6e1 - t7100 * t6029 / 0.2e1 - t1663 * t1101 / 0.4e1 + t6528 - t6677 / 0.3e1 - t6680 / 0.9e1 + 0.2e1 / 0.9e1 * t6682 + t6685 / 0.9e1 - t6687 / 0.6e1 + t6689 / 0.3e1 - t6691 / 0.3e1 - t6693 / 0.18e2 + t6695 / 0.6e1 - t6697 / 0.18e2 + t6699 / 0.18e2 - t4145 * t7117 / 0.2e1;
  t7121 = t1716 * t5599;
  t7123 = t4146 * t1642;
  t7124 = t7123 * t1419;
  t7126 = t5536 * t1649;
  t7127 = t7126 * t1407;
  t7129 = t1720 * t5542;
  t7132 = t7126 * t1412;
  t7137 = t487 * t994;
  t7138 = t4408 * t7137;
  t7139 = t5561 * t7138;
  t7146 = t500 * t1146;
  t7151 = t1736 * t404;
  t7161 = t6935 * t5630;
  t7164 = t5540 * t7121 - t4145 * t7124 - t5535 * t7127 - 0.3e1 / 0.2e1 * t5540 * t7129 + t4145 * t7132 - t6824 * t5551 + 0.2e1 / 0.3e1 * t6824 * t5556 + 0.3e1 / 0.2e1 * t5559 * t7139 + t6824 * t5588 / 0.2e1 - t6824 * t5592 / 0.3e1 - t110 * t7146 / 0.4e1 - t318 * t1685 / 0.2e1 - t110 * t7151 / 0.2e1 - t6726 / 0.6e1 - t6752 * t5636 / 0.2e1 + 0.7e1 / 0.3e1 * t6752 * t5642 - 0.3e1 / 0.2e1 * t6752 * t5626 + 0.3e1 / 0.2e1 * t4395 * t7161;
  t7168 = my_piecewise3(t100, 0, t6794 + t6837 + t6889 + t6925 + t7058 + t7091 + t7120 + t7164);
  tv3rho2lapl5 = t3 * t7168 + 0.2e1 * t1742;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 5] += tv3rho2lapl5;

  t7171 = t1220 * t1778;
  t7174 = t244 * t1777;
  t7175 = t1227 * t7174;
  t7178 = t1777 * t814;
  t7179 = t7178 * t649;
  t7182 = t7178 * t654;
  t7185 = t512 * t3396;
  t7186 = t3512 * t7185;
  t7187 = t191 * t7186;
  t7190 = t764 * t1747;
  t7193 = t1839 * t619;
  t7194 = t616 * t7193;
  t7195 = t191 * t7194;
  t7198 = t524 * t66;
  t7199 = t7198 * t674;
  t7200 = t673 * t7199;
  t7209 = t3279 * t1777;
  t7210 = t673 * t7209;
  t7213 = t1847 * t4780;
  t7216 = t30 * t1847;
  t7228 = t3124 * t513;
  t7229 = t7228 * t730;
  t7232 = -t622 * t7171 / 0.6e1 + t622 * t7175 / 0.3e1 - t644 * t7179 / 0.2e1 + t246 * t7182 / 0.2e1 - 0.11e2 / 0.18e2 * t7187 * t4920 + 0.2e1 / 0.3e1 * t7190 * t1229 + 0.2e1 / 0.3e1 * t7195 * t1229 - t211 * t7200 / 0.6e1 + t1891 * t736 / 0.2e1 - t765 * t1779 / 0.6e1 + t768 * t1783 / 0.2e1 - t211 * t7210 / 0.6e1 - 0.3e1 / 0.2e1 * t4779 * t7213 - t7216 * t4763 + 0.2e1 / 0.3e1 * t7216 * t4767 + t7216 * t4772 / 0.2e1 - t7216 * t4757 / 0.3e1 + 0.7e1 / 0.3e1 * t7187 * t4840 - 0.3e1 / 0.2e1 * t7187 * t4846 - t3123 * t7229 / 0.2e1;
  t7233 = t4749 * t1746;
  t7234 = t7233 * t1239;
  t7236 = t1843 * t4786;
  t7238 = t3124 * t1764;
  t7239 = t7238 * t1246;
  t7241 = t512 * t667;
  t7242 = t3375 * t7241;
  t7243 = t4740 * t7242;
  t7246 = t7233 * t1234;
  t7248 = t512 * t3415;
  t7249 = t616 * t7248;
  t7250 = t191 * t7249;
  t7253 = t3548 * t1758;
  t7255 = t592 * t1747;
  t7256 = t7255 * t1223;
  t7259 = t7255 * t1229;
  t7262 = t593 * t1770;
  t7264 = t645 * t7248;
  t7265 = t7264 * t4868;
  t7268 = t593 * t1761;
  t7270 = t7264 * t4887;
  t7273 = t593 * t1774;
  t7275 = t593 * t1766;
  t7277 = t247 * t1746;
  t7278 = t7277 * t4878;
  t7281 = t771 * t1779;
  t7285 = t1769 * t3161;
  t7288 = t1869 * t670;
  t7290 = -t7262 / 0.6e1 + 0.3e1 * t644 * t7265 + t7268 / 0.3e1 - 0.3e1 * t246 * t7270 + t7273 / 0.6e1 - t7275 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t7278 - t7281 / 0.18e2 + t743 * t1779 / 0.6e1 + t246 * t7285 / 0.2e1 + t7288 / 0.18e2;
  t7293 = t593 * t1783;
  t7296 = t1777 * t810 * t748;
  t7299 = t592 * t1786;
  t7300 = t7299 * t1260;
  t7304 = t7255 * t1300;
  t7306 = t194 * t1746;
  t7307 = t191 * t7306;
  t7310 = t1869 * t676;
  t7313 = t1777 * t807 * t249;
  t7316 = t1227 * t1778;
  t7340 = t764 * t1786;
  t7343 = t1839 * t740;
  t7344 = t194 * t7343;
  t7345 = t191 * t7344;
  t7348 = t515 * t3301 / 0.6e1 + t515 * t3269 / 0.12e2 + t1876 * t670 / 0.6e1 + t1881 * t670 / 0.6e1 + t1787 * t5012 / 0.3e1 + t1787 * t3262 / 0.6e1 + t7250 * t5017 / 0.2e1 - t515 * t3281 / 0.6e1 - t515 * t3305 / 0.12e2 + t7340 * t1260 / 0.3e1 + t7345 * t1260 / 0.3e1;
  t7351 = t777 * t526 / 0.18e2;
  t7352 = t188 * t1864;
  t7354 = t781 * t526;
  t7366 = t771 * t1886;
  t7368 = t592 * t1890;
  t7369 = t7368 * t250;
  t7374 = t764 * t1890;
  t7377 = t3627 * t514;
  t7378 = t7377 * t223;
  t7380 = t592 * t1880;
  t7381 = t7380 * t223;
  t7383 = t1869 * t612;
  t7385 = t222 * t1864;
  t7388 = t1862 * t243;
  t7389 = t242 * t7388;
  t7390 = t191 * t7389;
  t7393 = t3567 * t514;
  t7396 = t764 * t1880;
  t7402 = my_piecewise3(t49, t195, -0.8e2 / 0.27e2 * t1270);
  t7403 = t7402 * t208;
  t7404 = t194 * t7403;
  t7405 = t191 * t7404;
  t7408 = -t765 * t1886 / 0.6e1 + t7374 * t250 / 0.2e1 - t7378 / 0.18e2 - t7381 / 0.18e2 - t7383 / 0.18e2 - t211 * t7385 / 0.6e1 + t7390 * t250 / 0.2e1 - t7393 * t223 / 0.12e2 - t7396 * t223 / 0.6e1 - t1876 * t612 / 0.6e1 - t7405 * t223 / 0.12e2;
  t7414 = t3631 * t530;
  t7416 = t3637 * t530;
  t7418 = t593 * t1873;
  t7423 = t247 * t7402 * t249;
  t7441 = t634 * t526;
  t7449 = t3621 * t530 / 0.18e2;
  t7450 = t3620 * t514;
  t7452 = t7450 * t223 / 0.54e2;
  t7453 = t629 * t526;
  t7456 = t525 * t635;
  t7457 = t634 * t7456;
  t7460 = t524 * t641;
  t7461 = t242 * t7460;
  t7462 = t191 * t7461;
  t7465 = t3568 * t530 / 0.4e1 + t3605 * t530 / 0.2e1 + t3610 * t530 / 0.4e1 - t622 * t7441 / 0.12e2 - t1891 * t749 / 0.2e1 + t743 * t1886 / 0.6e1 - t7449 + t7452 - t622 * t7453 / 0.6e1 + t622 * t7457 / 0.3e1 - t7462 * t650 / 0.2e1;
  t7469 = params->at * t1829;
  t7470 = t661 * t7469;
  t7471 = t673 * t7470;
  t7475 = t7469 * t226 * t249;
  t7488 = t645 * t7193;
  t7489 = t7488 * t1234;
  t7492 = t1757 * t4936;
  t7499 = t247 * t7343;
  t7500 = t7499 * t1246;
  t7502 = t1765 * t3313;
  t7512 = t3284 * t518 * t249;
  t7516 = t674 * t1840 * t249;
  t7519 = -t644 * t7492 / 0.2e1 + t768 * t1761 + t757 * t1783 / 0.2e1 - t757 * t1766 - t246 * t7500 - t246 * t7502 / 0.2e1 + 0.2e1 / 0.3e1 * t1748 * t4946 + t1748 * t3324 / 0.3e1 + 0.23e2 / 0.36e2 * t7187 * t4951 + t246 * t7512 / 0.4e1 + t246 * t7516 / 0.2e1;
  t7523 = t7488 * t1239;
  t7525 = t1757 * t4960;
  t7533 = t247 * t1879;
  t7534 = t7533 * t730;
  t7537 = t1769 * t3246;
  t7549 = t7198 * t668;
  t7550 = t660 * t7549;
  t7556 = t777 * t545 / 0.18e2;
  t7557 = t781 * t545;
  t7559 = t188 * t1798;
  t7561 = t188 * t1831;
  t7563 = t3658 * t7185;
  t7564 = t7563 * t4850;
  t7567 = t7563 * t4825;
  t7570 = t7563 * t4820;
  t7573 = -t7190 * t1300 / 0.6e1 - t7195 * t1300 / 0.6e1 + t211 * t7550 / 0.12e2 - t1891 * t731 / 0.4e1 + t7556 - t7557 / 0.6e1 - t7559 / 0.6e1 - t7561 / 0.6e1 + 0.3e1 / 0.2e1 * t3680 * t7564 - 0.3e1 * t644 * t7567 + 0.3e1 / 0.2e1 * t246 * t7570;
  t7581 = t30 * t519;
  t7584 = t1846 * t5163;
  t7586 = t518 * t5169;
  t7591 = t193 * t7402;
  t7592 = t7591 * t208;
  t7595 = t1846 * t3416;
  t7598 = t69 * t512;
  t7599 = t7598 * t3399;
  t7610 = t518 * t3421;
  t7624 = t1840 * t747;
  t7627 = t7584 * t5167 + 0.4e1 * t7586 * t5171 - 0.6e1 * t7584 * t5174 - t7592 * t234 / 0.2e1 + 0.6e1 * t7595 * t5239 - 0.3e1 * t7599 * t5236 + 0.6e1 * t7599 * t5180 - 0.12e2 * t7595 * t5184 - 0.2e1 / 0.3e1 * t7599 * t5187 + 0.2e1 * t519 * t3432 + 0.6e1 * t7610 * t5232 - 0.3e1 * t7610 * t5258 - t519 * t3471 + t1843 * t5245 + t519 * t3436 / 0.2e1 - t1847 * t5264 + 0.1e2 / 0.3e1 * t7599 * t5266 + 0.2e1 / 0.3e1 * t1847 * t5269 + 0.2e1 * t7624 * t1336;
  t7629 = t7591 * t227;
  t7631 = t615 * t1839;
  t7632 = t7631 * t647;
  t7666 = t1841 * t837 + t7629 * t230 + 0.4e1 / 0.3e1 * t7632 * t1330 - 0.4e1 * t7595 * t5252 + t7599 * t5255 / 0.18e2 - 0.2e1 * t7632 * t1340 + 0.2e1 * t1847 * t5195 - 0.2e1 * t1843 * t5198 - 0.2e1 * t1843 * t5207 + 0.2e1 * t7595 * t5210 - t1847 * t5213 / 0.3e1 - t7599 * t5216 / 0.9e1 - t519 * t3379 - 0.2e1 * t1847 * t5191 - 0.4e1 * t7624 * t1317 - 0.2e1 * t1841 * t821 - 0.2e1 / 0.3e1 * t7632 * t1322 + 0.3e1 * t1847 * t5223 + 0.4e1 * t7632 * t1326;
  t7667 = t7627 + t7666;
  t7668 = t59 * t7667;
  t7669 = t7668 * t95;
  t7676 = t1863 * t277;
  t7679 = t188 * t1792;
  t7684 = t688 * tau[0];
  t7689 = t600 * t200;
  t7690 = 0.1e1 / t7689;
  t7691 = t7690 * t685;
  t7714 = t688 * t257;
  t7717 = t7690 * t83;
  t7726 = 0.5e3 * t707 * t7684 + 0.3e3 * t714 * t7684 + 0.85e3 / 0.3e1 * t3072 * t7691 - 0.4e2 / 0.9e1 * t258 * t202 + 0.13e4 / 0.3e1 * t3075 * t7691 + 0.8e2 / 0.3e1 * t261 * t202 - 0.5e3 * t3054 * t7691 + 0.8e2 / 0.3e1 * t265 * t202 - 0.125e4 * t3061 * t7691 - 0.2e3 / 0.9e1 * t268 * t202 - 0.175e4 / 0.3e1 * t3066 * t7691 - 0.2e3 / 0.9e1 * t273 * t202 - 0.4e2 / 0.9e1 * t202 * t77 + 0.2e2 * t7714 * tau[0] + 0.5e2 / 0.3e1 * t7717 * t685 - 0.1e3 * t692 * t7684 - 0.36e3 * t697 * t7684 - 0.4e2 * t702 * t7684;
  t7727 = t253 * t7726;
  t7728 = t65 * t7727;
  t7731 = t525 * t720;
  t7740 = t844 * t544;
  t7743 = t238 * t1830;
  t7746 = t30 * t1843;
  t7751 = t543 * t193;
  t7752 = t7751 * t209;
  t7753 = t7752 * t730;
  t7756 = t543 * t667;
  t7757 = t253 * t7756;
  t7758 = t3130 * t7757;
  t7761 = -t30 * t7728 / 0.4e1 - t30 * t7731 / 0.4e1 - t800 * t545 / 0.4e1 - t182 * t1798 / 0.2e1 - t182 * t1831 / 0.2e1 - t30 * t7740 / 0.4e1 - t30 * t7743 / 0.2e1 - t7746 * t4793 / 0.3e1 + t7746 * t4797 / 0.3e1 - t3123 * t7753 / 0.4e1 + t3129 * t7758 / 0.12e2;
  t7766 = my_piecewise3(t2, 0, -t7216 * t4803 / 0.6e1 + t7216 * t4806 / 0.4e1 + t7581 * t3133 / 0.6e1 + t757 * t1761 + t757 * t1873 / 0.2e1 + t246 * t7423 / 0.4e1 + t1891 * t761 / 0.4e1 - t515 * t3553 / 0.12e2 - t609 * t1886 / 0.12e2 + t768 * t1873 / 0.2e1 - t1748 * t5032 / 0.6e1 - t182 * t1792 / 0.2e1 - t1748 * t3320 / 0.12e2 - 0.5e1 / 0.36e2 * t7187 * t5037 - t1876 * t676 / 0.6e1 - t1881 * t676 / 0.6e1 - t768 * t1770 / 0.2e1 - t757 * t1770 / 0.2e1 - t246 * t7534 / 0.2e1 - t246 * t7537 / 0.4e1 + t768 * t1774 / 0.2e1 + t757 * t1774 / 0.2e1 - t4748 * t7246 - 0.2e1 * t7250 * t4862 + t7250 * t4860 - t246 * t7296 / 0.2e1 - t515 * t3143 / 0.6e1 - t7307 * t4905 / 0.2e1 + t246 * t7313 / 0.4e1 - t622 * t7316 / 0.12e2 - t609 * t1779 / 0.12e2 - t7187 * t4834 / 0.2e1 + t1891 * t655 / 0.2e1 - t211 * t7471 / 0.6e1 + t3123 * t7234 + t4779 * t7236 - t3123 * t7239 + 0.3e1 / 0.2e1 * t4738 * t7243 - t1881 * t612 / 0.6e1 + t246 * t7475 / 0.2e1 - t7190 * t1223 / 0.3e1 - t7195 * t1223 / 0.3e1 - t1748 * t4929 / 0.3e1 - t1748 * t4917 / 0.6e1 - t3530 * t1758 - t3537 * t1758 - t644 * t7489 - t30 * t7669 / 0.4e1 - t800 * t526 / 0.4e1 - t182 * t1864 / 0.2e1 - t30 * t7676 / 0.2e1 + t246 * t7523 + t246 * t7525 / 0.2e1 - t768 * t1766 - t7253 / 0.3e1 - t7304 / 0.18e2 + t7232 + t7290 + t7293 / 0.6e1 + t7408 + t7761 + t7300 / 0.9e1 - t7256 / 0.9e1 + 0.2e1 / 0.9e1 * t7259 + t7465 - t7366 / 0.18e2 + t7369 / 0.6e1 + t7351 - t7352 / 0.6e1 + t7414 / 0.6e1 + t7519 + t7573 + t7416 / 0.6e1 + t7418 / 0.6e1 - t7679 / 0.6e1 + t7348 - t7354 / 0.6e1 - t7310 / 0.18e2);
  tv3rho2tau0 = t3 * t7766 + 0.2e1 * t1900;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t7769 = t3894 * t554;
  t7772 = t3898 * t554;
  t7773 = t7772 * t350;
  t7775 = t3902 * t554;
  t7777 = t7775 * t350 / 0.54e2;
  t7780 = t869 * t566;
  t7783 = t873 * t566 / 0.18e2;
  t7786 = t3915 * t570;
  t7789 = t3918 * t570 / 0.18e2;
  t7792 = t869 * t585;
  t7795 = t873 * t585 / 0.18e2;
  t7796 = -t7769 * t350 / 0.12e2 - t7773 / 0.18e2 + t7777 - t865 * t566 / 0.4e1 - t7780 / 0.6e1 + t7783 + t3912 * t570 / 0.4e1 + t7786 / 0.6e1 - t7789 - t865 * t585 / 0.4e1 - t7792 / 0.6e1 + t7795;
  t7797 = my_piecewise3(t100, 0, t7796);
  tv3rho2tau1 = t3 * t7797 + 0.2e1 * t1921;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 1] += tv3rho2tau1;

  t7801 = t897 * t1747;
  t7808 = t897 * t1880;
  t7811 = t3824 * t514;
  t7824 = t897 * t1890;
  t7827 = t3818 * t530;
  t7829 = t3814 * t514;
  t7830 = t7829 * t223;
  t7832 = t894 * t526;
  t7834 = t903 * t1761 / 0.2e1 - t7801 * t1223 / 0.6e1 - t898 * t1779 / 0.12e2 - t3802 * t1758 / 0.2e1 - t7808 * t223 / 0.12e2 - t7811 * t223 / 0.12e2 + t3825 * t530 / 0.4e1 + t3835 * t530 / 0.4e1 + t903 * t1873 / 0.4e1 - t1923 * t612 / 0.12e2 - t898 * t1886 / 0.12e2 + t7824 * t250 / 0.4e1 + t7827 / 0.12e2 - t7830 / 0.36e2 - t7832 / 0.12e2;
  t7854 = -t890 * t526 / 0.4e1 - t307 * t1864 / 0.4e1 + t7801 * t1229 / 0.3e1 - t7253 / 0.6e1 - t7256 / 0.18e2 + t7259 / 0.9e1 - t7262 / 0.12e2 + t7268 / 0.6e1 + t7273 / 0.12e2 - t7275 / 0.6e1 - t7281 / 0.36e2 + t7288 / 0.36e2 + t7293 / 0.12e2 + t7300 / 0.18e2 - t7304 / 0.36e2 - t7310 / 0.36e2;
  t7870 = t7351 - t7352 / 0.12e2 - t7354 / 0.12e2 - t7366 / 0.36e2 + t7369 / 0.12e2 - t7378 / 0.36e2 - t7381 / 0.36e2 - t7383 / 0.36e2 + t7414 / 0.12e2 + t7416 / 0.12e2 + t7418 / 0.12e2 - t7449 + t7452 + t903 * t1783 / 0.4e1 - t903 * t1766 / 0.2e1;
  t7873 = t894 * t545;
  t7894 = t897 * t1786;
  t7898 = -t903 * t1770 / 0.4e1 - t7873 / 0.12e2 - t890 * t545 / 0.4e1 - t307 * t1798 / 0.4e1 - t307 * t1831 / 0.4e1 - t307 * t1792 / 0.4e1 + t7556 - t7557 / 0.12e2 - t7559 / 0.12e2 - t7561 / 0.12e2 + t1923 * t670 / 0.12e2 - t7801 * t1300 / 0.12e2 - t1923 * t676 / 0.12e2 + t903 * t1774 / 0.4e1 + t7894 * t1260 / 0.6e1 - t7679 / 0.12e2;
  t7901 = my_piecewise3(t2, 0, t7834 + t7854 + t7870 + t7898);
  tv3rho2tau2 = t3 * t7901 + t1900 + t1933;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 2] += tv3rho2tau2;

  t7903 = t937 * t1964;
  t7904 = t7903 * t1438;
  t7906 = t1905 * t1002;
  t7908 = t933 * t1964;
  t7923 = t4019 * t570;
  t7925 = t4013 * t570;
  t7927 = t938 * t2025;
  t7929 = t937 * t2029;
  t7930 = t7929 * t377;
  t7932 = t1905 * t1087;
  t7936 = -t7904 / 0.36e2 - t7906 / 0.36e2 + t7908 * t1402 / 0.3e1 - t4065 * t1975 / 0.2e1 - t7908 * t1396 / 0.6e1 - t945 * t1941 / 0.4e1 - t934 * t1950 / 0.12e2 + t945 * t1978 / 0.2e1 - t945 * t1937 / 0.2e1 + t7923 / 0.12e2 + t7925 / 0.12e2 - t7927 / 0.36e2 + t7930 / 0.12e2 - t7932 / 0.36e2 + t4046 * t570 / 0.4e1;
  t7943 = t937 * t2047;
  t7944 = t7943 * t350;
  t7946 = t948 * t2040;
  t7948 = t4009 * t554;
  t7949 = t7948 * t350;
  t7951 = t933 * t2047;
  t7956 = t4045 * t554;
  t7959 = t933 * t2029;
  t7963 = t948 * t1978;
  t7965 = t929 * t566;
  t7967 = t294 * t2077;
  t7971 = t4052 * t570 / 0.4e1 - t1902 * t1087 / 0.12e2 - t934 * t2025 / 0.12e2 - t7944 / 0.36e2 + t7946 / 0.12e2 - t7949 / 0.36e2 - t7951 * t350 / 0.12e2 + t945 * t2040 / 0.4e1 - t7956 * t350 / 0.12e2 + t7959 * t377 / 0.4e1 + t7786 / 0.12e2 - t7789 + t7963 / 0.6e1 - t7965 / 0.12e2 - t7967 / 0.12e2 - t925 * t566 / 0.4e1;
  t7978 = t7903 * t1402;
  t7980 = t4040 * t1975;
  t7982 = t938 * t1950;
  t7984 = t948 * t1937;
  t7986 = t948 * t1941;
  t7988 = t937 * t1957;
  t7989 = t7988 * t1433;
  t7991 = t1905 * t997;
  t7993 = t948 * t1954;
  t7995 = t948 * t1945;
  t7997 = t7903 * t1396;
  t7999 = -t290 * t2077 / 0.4e1 + t7783 - t1902 * t1002 / 0.12e2 - t7773 / 0.36e2 + t7777 + t7978 / 0.9e1 - t7980 / 0.6e1 - t7982 / 0.36e2 - t7984 / 0.6e1 - t7986 / 0.12e2 + t7989 / 0.18e2 + t7991 / 0.36e2 + t7993 / 0.12e2 + t7995 / 0.12e2 - t7997 / 0.18e2;
  t8002 = t933 * t1957;
  t8011 = t294 * t2014;
  t8013 = t294 * t2018;
  t8015 = t929 * t585;
  t8025 = t294 * t1981;
  t8029 = t945 * t1954 / 0.4e1 + t8002 * t1433 / 0.6e1 + t945 * t1945 / 0.4e1 + t1902 * t997 / 0.12e2 - t7908 * t1438 / 0.12e2 - t8011 / 0.12e2 - t8013 / 0.12e2 - t8015 / 0.12e2 - t290 * t1981 / 0.4e1 - t290 * t2014 / 0.4e1 - t290 * t2018 / 0.4e1 - t925 * t585 / 0.4e1 - t8025 / 0.12e2 - t7792 / 0.12e2 + t7795 - t7780 / 0.12e2;
  t8032 = my_piecewise3(t100, 0, t7936 + t7971 + t7999 + t8029);
  tv3rho2tau3 = t3 * t8032 + t1921 + t2082;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 3] += tv3rho2tau3;

  t8035 = t3953 * t514;
  t8048 = -t8035 * t223 / 0.12e2 - t7830 / 0.18e2 + t7452 - t972 * t526 / 0.4e1 - t7832 / 0.6e1 + t7351 + t3959 * t530 / 0.4e1 + t7827 / 0.6e1 - t7449 - t972 * t545 / 0.4e1 - t7873 / 0.6e1 + t7556;
  t8049 = my_piecewise3(t2, 0, t8048);
  tv3rho2tau4 = t3 * t8049 + 0.2e1 * t1933;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 4] += tv3rho2tau4;

  t8052 = t110 * t2056;
  t8055 = t110 * t559;
  t8058 = t110 * t2060;
  t8065 = t583 * t193;
  t8066 = t8065 * t336;
  t8067 = t8066 * t1100;
  t8070 = t4146 * t553;
  t8071 = t8070 * t1100;
  t8074 = t583 * t994;
  t8075 = t380 * t8074;
  t8076 = t4137 * t8075;
  t8079 = t564 * t146;
  t8080 = t8079 * t978;
  t8081 = t1000 * t8080;
  t8088 = t552 * t4356;
  t8089 = t3512 * t8088;
  t8090 = t321 * t8089;
  t8095 = t2038 * t1007;
  t8096 = t1031 * t8095;
  t8097 = t8096 * t1407;
  t8099 = t1974 * t5776;
  t8102 = t2038 * t1043;
  t8103 = t374 * t8102;
  t8104 = t8103 * t1419;
  t8106 = t1074 * t1964;
  t8109 = t616 * t8095;
  t8110 = t321 * t8109;
  t8115 = -t8052 * t5579 / 0.3e1 + t8055 * t4140 / 0.6e1 - t8058 * t5568 / 0.6e1 + t8052 * t5583 / 0.3e1 + t8058 * t5572 / 0.4e1 - t4145 * t8067 / 0.4e1 - t4145 * t8071 / 0.2e1 + t4136 * t8076 / 0.12e2 - t338 * t8081 / 0.6e1 + t2030 * t980 / 0.2e1 + t1965 * t4248 / 0.3e1 + 0.23e2 / 0.36e2 * t8090 * t5790 - t4349 * t1975 - t4383 * t1975 - t1030 * t8097 - t1030 * t8099 / 0.2e1 - t373 * t8104 + 0.2e1 / 0.3e1 * t8106 * t1402 + 0.2e1 / 0.3e1 * t8110 * t1402 + 0.2e1 / 0.3e1 * t1965 * t5797;
  t8120 = params->at * t2012;
  t8121 = t988 * t8120;
  t8122 = t1000 * t8121;
  t8126 = t8120 * t353 * t376;
  t8132 = my_piecewise3(t129, t322, -0.8e2 / 0.27e2 * t1381);
  t8133 = t8132 * t335;
  t8134 = t194 * t8133;
  t8135 = t321 * t8134;
  t8139 = t374 * t8132 * t376;
  t8142 = t4453 * t554;
  t8146 = t1074 * t2047;
  t8165 = t1020 * t566;
  t8170 = -t8146 * t350 / 0.6e1 + t4462 * t570 / 0.4e1 + t1056 * t2040 / 0.2e1 + t4457 * t570 / 0.2e1 + t1078 * t2040 / 0.2e1 + t2030 * t1071 / 0.4e1 + t4454 * t570 / 0.4e1 + t1051 * t2025 / 0.6e1 - t2030 * t1046 / 0.2e1 - t1010 * t8165 / 0.12e2 - t2043 * t1087 / 0.6e1;
  t8179 = t349 * t2077;
  t8182 = t2075 * t370;
  t8183 = t369 * t8182;
  t8184 = t321 * t8183;
  t8189 = t1074 * t2029;
  t8192 = t1015 * t566;
  t8195 = t565 * t1021;
  t8196 = t1020 * t8195;
  t8199 = t564 * t1027;
  t8200 = t369 * t8199;
  t8201 = t321 * t8200;
  t8220 = t558 * t4425;
  t8223 = t2059 * t4334;
  t8226 = t69 * t552;
  t8227 = t8226 * t4375;
  t8230 = t615 * t2038;
  t8231 = t8230 * t1033;
  t8234 = t193 * t8132;
  t8235 = t8234 * t354;
  t8247 = t2053 * t1044;
  t8251 = t558 * t5843;
  t8254 = t2059 * t5850;
  t8258 = -t559 * t4571 + t2056 * t5940 + t559 * t4596 / 0.2e1 - t2060 * t5935 - 0.3e1 * t8220 * t5930 + 0.6e1 * t8223 * t5926 - 0.3e1 * t8227 * t5923 - 0.2e1 * t8231 * t1495 + t8235 * t357 + 0.4e1 / 0.3e1 * t8231 * t1485 - 0.4e1 * t8223 * t5946 + t8227 * t5949 / 0.18e2 + 0.1e2 / 0.3e1 * t8227 * t5913 + 0.2e1 / 0.3e1 * t2060 * t5917 + 0.2e1 * t8247 * t1491 + t2054 * t1200 + 0.4e1 * t8251 * t5847 + t8254 * t5852 - 0.6e1 * t8254 * t5955;
  t8259 = t8234 * t335;
  t8297 = -t8259 * t361 / 0.2e1 + 0.2e1 * t2060 * t5880 - 0.2e1 * t2056 * t5883 + 0.6e1 * t8227 * t5857 - 0.12e2 * t8223 * t5861 - 0.2e1 / 0.3e1 * t8227 * t5864 - 0.4e1 * t8247 * t1472 - 0.2e1 * t2054 * t1184 - 0.2e1 / 0.3e1 * t8231 * t1477 - 0.2e1 * t2056 * t5893 + 0.2e1 * t8223 * t5896 - t2060 * t5899 / 0.3e1 - t8227 * t5902 / 0.9e1 - t559 * t4554 - 0.2e1 * t2060 * t5876 + 0.3e1 * t2060 * t5868 + 0.4e1 * t8231 * t1481 + 0.6e1 * t8220 * t5906 + 0.2e1 * t559 * t4546;
  t8298 = t8258 + t8297;
  t8299 = t139 * t8298;
  t8300 = t8299 * t168;
  t8303 = t2030 * t1095 / 0.2e1 + t7923 / 0.6e1 + t7925 / 0.6e1 - t7927 / 0.18e2 + t7930 / 0.6e1 - t7932 / 0.18e2 - t7944 / 0.18e2 + t7946 / 0.6e1 - t7949 / 0.18e2 - t7789 - t110 * t8300 / 0.4e1;
  t8312 = t8096 * t1412;
  t8314 = t1974 * t5808;
  t8317 = t374 * t2046;
  t8318 = t8317 * t1100;
  t8321 = t1940 * t4225;
  t8330 = t4676 * t558 * t376;
  t8335 = t1400 * t1949;
  t8338 = t1936 * t4667;
  t8347 = t2056 * t5599;
  t8349 = t1056 * t1945 / 0.2e1 + t373 * t8330 / 0.4e1 - t1084 * t1950 / 0.12e2 - t1010 * t8335 / 0.12e2 - t373 * t8338 / 0.2e1 - t1078 * t1941 / 0.2e1 - t1056 * t1941 / 0.2e1 - t7965 / 0.6e1 - t7967 / 0.6e1 + t7783 + t5540 * t8347;
  t8353 = t4146 * t1935;
  t8354 = t8353 * t1419;
  t8358 = t552 * t4333;
  t8359 = t616 * t8358;
  t8360 = t321 * t8359;
  t8368 = t978 * t2053 * t376;
  t8371 = t2060 * t5542;
  t8374 = t5536 * t1963;
  t8375 = t8374 * t1412;
  t8381 = t552 * t994;
  t8382 = t4408 * t8381;
  t8383 = t5561 * t8382;
  t8390 = t1031 * t8358;
  t8391 = t8390 * t5654;
  t8403 = 0.2e1 / 0.3e1 * t8058 * t5556 + 0.3e1 / 0.2e1 * t5559 * t8383 + t8058 * t5588 / 0.2e1 - t8058 * t5592 / 0.3e1 + 0.3e1 * t1030 * t8391 + t8360 * t5651 - 0.2e1 * t8360 * t5648 + 0.2e1 / 0.9e1 * t7978 - t7980 / 0.3e1 - t8110 * t1396 / 0.3e1 + t1078 * t1954 / 0.2e1;
  t8420 = t1948 * t1170 * t376;
  t8423 = t1074 * t1957;
  t8426 = t194 * t8102;
  t8427 = t321 * t8426;
  t8434 = t374 * t1963;
  t8435 = t8434 * t6037;
  t8438 = t1940 * t4714;
  t8444 = t4697 * t1948;
  t8445 = t1000 * t8444;
  t8450 = t373 * t8420 / 0.4e1 + t8423 * t1433 / 0.3e1 + t8427 * t1433 / 0.3e1 + t1958 * t5989 / 0.3e1 + t1051 * t1950 / 0.6e1 + 0.3e1 / 0.2e1 * t373 * t8435 + t373 * t8438 / 0.2e1 - t7997 / 0.9e1 - 0.11e2 / 0.18e2 * t8090 * t5760 - t338 * t8445 / 0.6e1 - t1965 * t5772 / 0.3e1;
  t8455 = t8390 * t5659;
  t8477 = t8079 * t995;
  t8478 = t987 * t8477;
  t8486 = t1948 * t1173 * t1045;
  t8489 = t194 * t1963;
  t8490 = t321 * t8489;
  t8499 = t4373 * t8088;
  t8500 = t8499 * t5630;
  t8503 = t8499 * t5611;
  t8506 = t555 * t4683 / 0.12e2 + t338 * t8478 / 0.12e2 - t555 * t4726 / 0.6e1 - t555 * t4710 / 0.6e1 - t373 * t8486 / 0.2e1 - t8490 * t6029 / 0.2e1 - t2030 * t1101 / 0.4e1 + 0.7e1 / 0.3e1 * t8090 * t5642 - 0.3e1 / 0.2e1 * t8090 * t5626 + 0.3e1 / 0.2e1 * t4395 * t8500 - 0.3e1 * t1030 * t8503;
  t8508 = t371 * t1948;
  t8509 = t1400 * t8508;
  t8512 = t1948 * t1177;
  t8513 = t8512 * t1035;
  t8516 = t8512 * t1094;
  t8519 = t8499 * t5616;
  t8524 = t1393 * t1949;
  t8527 = t565 * t1146;
  t8534 = t1207 * t584;
  t8538 = t365 * t2013;
  t8545 = t1114 * t384;
  t8548 = t1063 * t327;
  t8549 = 0.1e1 / t8548;
  t8550 = t8549 * t156;
  t8553 = t1114 * tau[1];
  t8564 = t8549 * t1111;
  t8585 = -0.4e2 / 0.9e1 * t329 * t150 + 0.2e2 * t8545 * tau[1] + 0.5e2 / 0.3e1 * t8550 * t1111 - 0.1e3 * t1118 * t8553 - 0.36e3 * t1123 * t8553 - 0.4e2 * t1128 * t8553 + 0.5e3 * t1133 * t8553 + 0.3e3 * t1140 * t8553 + 0.85e3 / 0.3e1 * t4264 * t8564 - 0.4e2 / 0.9e1 * t385 * t329 + 0.13e4 / 0.3e1 * t4271 * t8564 + 0.8e2 / 0.3e1 * t388 * t329 - 0.5e3 * t4274 * t8564 + 0.8e2 / 0.3e1 * t392 * t329 - 0.125e4 * t4277 * t8564 - 0.2e3 / 0.9e1 * t395 * t329 - 0.175e4 / 0.3e1 * t4282 * t8564 - 0.2e3 / 0.9e1 * t400 * t329;
  t8586 = t380 * t8585;
  t8587 = t145 * t8586;
  t8590 = t2076 * t404;
  t8595 = t8374 * t1407;
  t8601 = -t110 * t8538 / 0.2e1 - t318 * t2014 / 0.2e1 - t110 * t8587 / 0.4e1 - t110 * t8590 / 0.2e1 - t318 * t2018 / 0.2e1 - t5535 * t8595 - t8011 / 0.6e1 - t8013 / 0.6e1 - t8015 / 0.6e1 - t8025 / 0.6e1 + t7795;
  t8606 = my_piecewise3(t100, 0, -t1056 * t1937 - t8135 * t350 / 0.12e2 + t373 * t8139 / 0.4e1 - t8142 * t350 / 0.12e2 - t373 * t8321 / 0.4e1 + t1078 * t1945 / 0.2e1 - t2048 * t1087 / 0.6e1 - t555 * t4487 / 0.12e2 - t1084 * t2025 / 0.12e2 - t338 * t8179 / 0.6e1 + t8184 * t377 / 0.2e1 - t1965 * t5757 / 0.6e1 - 0.3e1 * t373 * t8455 - t1965 * t5998 / 0.12e2 - t8106 * t1396 / 0.3e1 - t1075 * t1950 / 0.6e1 - t2048 * t1002 / 0.6e1 - 0.3e1 / 0.2e1 * t5540 * t8371 + t4145 * t8375 - t8058 * t5551 + t1010 * t8509 / 0.3e1 - t1075 * t2025 / 0.6e1 + t8189 * t377 / 0.2e1 - t1010 * t8192 / 0.6e1 + t1010 * t8196 / 0.3e1 - t8201 * t1036 / 0.2e1 - 0.5e1 / 0.36e2 * t8090 * t6001 - t2043 * t1002 / 0.6e1 - t8106 * t1438 / 0.6e1 - t8110 * t1438 / 0.6e1 - t1965 * t6013 / 0.6e1 - t555 * t4719 / 0.12e2 + t555 * t4699 / 0.6e1 + t373 * t8126 / 0.2e1 - t1078 * t1937 - t4145 * t8354 + t1958 * t4662 / 0.6e1 + t8360 * t5980 / 0.2e1 + t2043 * t997 / 0.6e1 + t2048 * t997 / 0.6e1 + t373 * t8368 / 0.2e1 - t1030 * t8513 / 0.2e1 + t373 * t8516 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t8519 - t8090 * t5636 / 0.2e1 - t1010 * t8524 / 0.6e1 - t110 * t8527 / 0.4e1 - t1165 * t585 / 0.4e1 - t318 * t1981 / 0.2e1 - t110 * t8534 / 0.4e1 - t1165 * t566 / 0.4e1 - t318 * t2077 / 0.2e1 + t1078 * t1978 + t1056 * t1978 + t373 * t8312 + t373 * t8314 / 0.2e1 - t373 * t8318 / 0.2e1 + t1056 * t1954 / 0.2e1 - t338 * t8122 / 0.6e1 + t8403 + t8506 - t7986 / 0.6e1 + t7989 / 0.9e1 + t8450 + t7991 / 0.18e2 + t7993 / 0.6e1 + t7995 / 0.6e1 - t7982 / 0.18e2 - t7984 / 0.3e1 + t8349 + t8115 + t8601 + t7777 - t7904 / 0.18e2 + t7963 / 0.3e1 + t8170 - t7906 / 0.18e2 + t8303);
  tv3rho2tau5 = t3 * t8606 + 0.2e1 * t2082;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 5] += tv3rho2tau5;

  t8608 = t2105 * t206;
  t8609 = t635 * t8608;
  t8610 = t4760 * t8609;
  t8613 = t414 * t2105;
  t8614 = t3375 * t8613;
  t8615 = t4740 * t8614;
  t8618 = t4775 * t2166;
  t8621 = t819 * t8608;
  t8622 = t1315 * t8621;
  t8625 = t2105 * t667;
  t8626 = t3430 * t8625;
  t8627 = t421 * t8626;
  t8630 = t95 * t8608;
  t8631 = t4760 * t8630;
  t8634 = t276 * t2105;
  t8635 = t253 * t8634;
  t8636 = t3130 * t8635;
  t8639 = t3130 * t8630;
  t8642 = t3430 * t65;
  t8643 = t95 * t8625;
  t8644 = t8642 * t8643;
  t8647 = t3409 * t8608;
  t8648 = t1321 * t8647;
  t8651 = t4770 * t8630;
  t8657 = t188 * t2148 / 0.12e2;
  t8658 = t768 * t2158;
  t8659 = t8658 / 0.4e1;
  t8660 = -t4753 * t8610 / 0.3e1 + t4738 * t8615 / 0.2e1 - t3123 * t8618 / 0.4e1 + t4779 * t8622 / 0.2e1 + t4779 * t8627 / 0.2e1 + t4753 * t8631 / 0.12e2 + t4789 * t8636 / 0.12e2 - t4792 * t8639 / 0.6e1 - t4789 * t8644 / 0.6e1 - t4779 * t8648 / 0.2e1 + t4753 * t8651 / 0.6e1 + t2160 - t182 * t2148 / 0.4e1 - t8657 + t8659;
  t8661 = t757 * t2158;
  t8662 = t8661 / 0.4e1;
  t8665 = t592 * t2086;
  t8666 = t8665 * t223;
  t8667 = t8666 / 0.36e2;
  t8668 = t592 * t2097;
  t8670 = t8668 * t630 / 0.18e2;
  t8672 = t8668 * t752 / 0.36e2;
  t8673 = t592 * t2092;
  t8675 = t8673 * t223 / 0.18e2;
  t8677 = t1267 * t1288 / 0.18e2;
  t8679 = t8668 * t637 / 0.9e1;
  t8681 = t593 * t2162 / 0.6e1;
  t8682 = t593 * t2158;
  t8683 = t8682 / 0.12e2;
  t8685 = t3548 * t2154 / 0.6e1;
  t8687 = t5143 * t432 / 0.6e1;
  t8689 = t593 * t2170 / 0.6e1;
  t8690 = t94 * t1272;
  t8691 = t661 * t8690;
  t8692 = t1220 * t8691;
  t8697 = t8662 + t757 * t2170 / 0.2e1 - t8667 - t8670 - t8672 + t8675 - t8677 + t8679 - t8681 + t8683 - t8685 + t8687 + t8689 - t1218 * t8692 / 0.3e1 + t2098 * t3173 / 0.3e1;
  t8703 = t5044 * t1221;
  t8704 = t673 * t8703;
  t8709 = t1227 * t8703;
  t8714 = t244 * t8690;
  t8715 = t1227 * t8714;
  t8724 = t633 * t1272;
  t8725 = t627 * t8724;
  t8726 = t1232 * t8725;
  t8728 = t2090 * t3415;
  t8729 = t645 * t8728;
  t8730 = t8729 * t1234;
  t8733 = t645 * t2096;
  t8734 = t8733 * t3181;
  t8739 = -t2098 * t3308 / 0.12e2 - t2098 * t3176 / 0.6e1 + t1259 * t8704 / 0.3e1 + t417 * t5054 / 0.6e1 - t1218 * t8709 / 0.6e1 - t417 * t5046 / 0.6e1 + 0.2e1 / 0.3e1 * t1218 * t8715 - 0.2e1 / 0.3e1 * t2098 * t3252 + t1293 * t1255 / 0.2e1 + t2098 * t3255 / 0.3e1 - t644 * t8726 + 0.3e1 * t644 * t8730 + t644 * t8734 - t1293 * t1247 - t1293 * t1251 / 0.2e1;
  t8740 = t2084 * t740;
  t8741 = t247 * t8740;
  t8742 = t8741 * t1246;
  t8743 = t246 * t8742;
  t8744 = t8743 / 0.2e1;
  t8745 = t247 * t2085;
  t8746 = t8745 * t730;
  t8747 = t246 * t8746;
  t8748 = t8747 / 0.4e1;
  t8750 = t674 * t2117 * t249;
  t8751 = t246 * t8750;
  t8752 = t8751 / 0.4e1;
  t8753 = t616 * t8728;
  t8754 = t191 * t8753;
  t8758 = t2090 * t3396;
  t8759 = t3512 * t8758;
  t8760 = t191 * t8759;
  t8761 = t4838 * t1222;
  t8764 = t3658 * t8758;
  t8765 = t3474 * t1233;
  t8766 = t8764 * t8765;
  t8770 = t3447 * t206;
  t8771 = t3474 * t8770;
  t8772 = t8764 * t8771;
  t8775 = t194 * t8740;
  t8776 = t191 * t8775;
  t8777 = t8776 * t1260;
  t8778 = t8777 / 0.6e1;
  t8779 = t2087 * t670;
  t8780 = t8779 / 0.12e2;
  t8781 = t2084 * t619;
  t8782 = t616 * t8781;
  t8783 = t191 * t8782;
  t8784 = t8783 * t1300;
  t8785 = t8784 / 0.12e2;
  t8786 = t4844 * t1222;
  t8789 = t2087 * t676;
  t8790 = t8789 / 0.12e2;
  t8791 = t673 * t8691;
  t8794 = t194 * t2096;
  t8795 = t191 * t8794;
  t8798 = -t8744 - t8748 + t8752 + t8754 * t1223 - 0.2e1 * t8754 * t1229 - 0.11e2 / 0.18e2 * t8760 * t8761 + 0.3e1 / 0.2e1 * t246 * t8766 + t1293 * t1240 + 0.3e1 / 0.2e1 * t3680 * t8772 + t8778 + t8780 - t8785 - 0.5e1 / 0.36e2 * t8760 * t8786 - t8790 + t1259 * t8791 / 0.3e1 - t8795 * t1260 / 0.2e1;
  t8809 = t3279 * t2106;
  t8810 = t660 * t8809;
  t8813 = t4739 * t619;
  t8819 = t662 * t1243;
  t8822 = t3227 * t1216;
  t8825 = t662 * t415;
  t8832 = t420 * t740;
  t8837 = t1320 * t619;
  t8840 = 0.2e1 / 0.3e1 * t8813 * t2318 + 0.2e1 * t662 * t1272 * t249 - 0.4e1 * t8819 * t1246 + 0.4e1 / 0.3e1 * t8822 * t1234 - 0.2e1 * t8825 * t730 + 0.4e1 * t8822 * t1239 - 0.2e1 * t1333 * t222 + 0.4e1 * t8832 * t1246 + 0.2e1 * t423 * t730 - 0.4e1 * t8837 * t1239;
  t8841 = t94 * t8840;
  t8842 = t661 * t8841;
  t8843 = t660 * t8842;
  t8848 = t1227 * t8691;
  t8853 = t615 * t2084;
  t8854 = t8853 * t647;
  t8855 = t8854 * t1330;
  t8856 = 0.2e1 / 0.3e1 * t8855;
  t8857 = t2124 * t3416;
  t8860 = t69 * t2090;
  t8861 = t8860 * t3399;
  t8862 = t3448 * t1329;
  t8865 = t3402 * t1329;
  t8868 = t60 * t1272;
  t8869 = t648 * t8868;
  t8874 = t2117 * t747;
  t8875 = t8874 * t1336;
  t8876 = t2118 * t837;
  t8877 = t8876 / 0.2e1;
  t8878 = t229 * t8868;
  t8881 = t2120 * t3421;
  t8884 = t3375 * t1329;
  t8887 = t8856 - 0.4e1 * t8857 * t1330 + t8861 * t8862 / 0.18e2 + 0.1e2 / 0.3e1 * t8861 * t8865 + 0.4e1 / 0.3e1 * t1321 * t8869 - 0.4e1 / 0.3e1 * t2125 * t3452 + t8875 + t8877 + 0.2e1 * t1315 * t8878 - 0.3e1 * t8881 * t1336 - 0.3e1 * t8861 * t8884;
  t8888 = t8854 * t1340;
  t8891 = t62 * t2105;
  t8892 = t8891 * t206;
  t8893 = t840 * t8892;
  t8896 = t233 * t8892;
  t8899 = t227 * t3137;
  t8900 = t420 * t8899;
  t8901 = t8891 * t667;
  t8902 = t233 * t8901;
  t8905 = t827 * t8892;
  t8911 = t60 * t8840;
  t8912 = t819 * t8911;
  t8915 = t653 * t8868;
  t8920 = t63 * t8840;
  t8921 = t819 * t8920;
  t8923 = -t8888 + 0.6e1 * t8857 * t1340 - 0.2e1 * t5164 * t8893 + 0.2e1 * t5170 * t8896 + 0.2e1 * t8900 * t8902 + t5164 * t8905 / 0.3e1 - t2121 * t837 + t1313 * t2142 / 0.2e1 + t421 * t8912 / 0.2e1 - 0.2e1 * t1321 * t8915 + 0.2e1 * t2125 * t3410 - t421 * t8921;
  t8925 = t1329 * t2105;
  t8926 = t3375 * t8925;
  t8929 = t63 * t1272;
  t8930 = t653 * t8929;
  t8939 = t648 * t8929;
  t8944 = t3448 * t1316;
  t8947 = t8874 * t1317;
  t8948 = 0.2e1 * t8947;
  t8949 = t2118 * t821;
  t8951 = -0.2e1 / 0.3e1 * t1321 * t8926 + 0.4e1 * t1321 * t8930 - 0.4e1 * t2125 * t3427 + 0.2e1 * t2121 * t821 + 0.2e1 * t8857 * t1322 - 0.2e1 / 0.3e1 * t1321 * t8939 + 0.2e1 / 0.3e1 * t2125 * t3376 - t8861 * t8944 / 0.9e1 - t8948 - t8949 - t1313 * t2129;
  t8954 = t3402 * t1316;
  t8957 = t3375 * t1316;
  t8960 = t819 * t8925;
  t8962 = t2141 * t667;
  t8963 = t3430 * t8962;
  t8965 = t8854 * t1322;
  t8966 = t8965 / 0.3e1;
  t8967 = t229 * t8929;
  t8972 = t3409 * t8925;
  t8974 = t8854 * t1326;
  t8975 = 0.2e1 * t8974;
  t8976 = -0.12e2 * t8857 * t1326 - 0.2e1 / 0.3e1 * t8861 * t8954 + 0.6e1 * t8861 * t8957 - t1315 * t8960 - t421 * t8963 - t8966 - 0.4e1 * t1315 * t8967 + 0.6e1 * t8881 * t1317 + t1321 * t8972 + t8975 - t2138 + t2119;
  t8978 = t8887 + t8923 + t8951 + t8976;
  t8979 = t59 * t8978;
  t8980 = t8979 * t95;
  t8983 = t4838 * t1228;
  t8986 = t1220 * t8703;
  t8989 = t1291 * t1221;
  t8990 = t1227 * t8989;
  t8993 = t4844 * t1228;
  t8996 = t4831 * t1222;
  t8999 = -t2093 * t670 / 0.6e1 + t8754 * t1300 / 0.2e1 + t1278 * t2108 / 0.12e2 + t1283 * t2108 / 0.12e2 + t417 * t8810 / 0.12e2 + t417 * t8843 / 0.12e2 + t2093 * t676 / 0.6e1 - t1218 * t8848 / 0.6e1 + t2098 * t3272 / 0.6e1 - t30 * t8980 / 0.4e1 + 0.7e1 / 0.3e1 * t8760 * t8983 - t1218 * t8986 / 0.3e1 + 0.2e1 / 0.3e1 * t1218 * t8990 + 0.23e2 / 0.36e2 * t8760 * t8993 - t8760 * t8996 / 0.2e1;
  t9001 = t674 * t2120 * t748;
  t9008 = t4978 * t2166;
  t9012 = t658 * t221 * t8840;
  t9013 = t1250 * t9012;
  t9017 = t593 * t2167 / 0.12e2;
  t9019 = t1267 * t2108 / 0.36e2;
  t9021 = t627 * t628 * t1272;
  t9022 = t1232 * t9021;
  t9024 = t8733 * t3186;
  t9026 = t674 * t2124;
  t9027 = t9026 * t654;
  t9030 = t645 * t8781;
  t9031 = t9030 * t1239;
  t9032 = t246 * t9031;
  t9033 = t9032 / 0.2e1;
  t9034 = t8729 * t1239;
  t9037 = t3401 * t206;
  t9038 = t3474 * t9037;
  t9039 = t8764 * t9038;
  t9042 = t9030 * t1234;
  t9043 = t644 * t9042;
  t9044 = t9043 / 0.2e1;
  t9045 = t764 * t2092;
  t9050 = -t246 * t9001 / 0.2e1 - t768 * t2167 / 0.4e1 - t757 * t2167 / 0.4e1 - t246 * t9008 / 0.4e1 - t246 * t9013 / 0.4e1 - t9017 + t9019 + t246 * t9022 - t246 * t9024 + t246 * t9027 / 0.2e1 + t9033 - 0.3e1 * t246 * t9034 - 0.3e1 * t644 * t9039 - t9044 + t9045 * t223 / 0.6e1 + t2093 * t612 / 0.6e1;
  t9056 = t764 * t2086;
  t9057 = t9056 * t223;
  t9058 = t9057 / 0.12e2;
  t9059 = t2087 * t612;
  t9060 = t9059 / 0.12e2;
  t9061 = t764 * t2097;
  t9068 = t2146 * t243;
  t9069 = t242 * t9068;
  t9070 = t191 * t9069;
  t9087 = -t2098 * t3540 / 0.6e1 - t1278 * t1288 / 0.6e1 - t9058 - t9060 - t9061 * t752 / 0.12e2 - t2098 * t3599 / 0.12e2 - t9061 * t630 / 0.6e1 + t9070 * t250 / 0.4e1 + t5105 * t432 / 0.2e1 - t1283 * t1288 / 0.6e1 - t417 * t5140 / 0.6e1 + t9061 * t637 / 0.3e1 + t2098 * t3577 / 0.3e1 - t768 * t2162 / 0.2e1 - t757 * t2162 / 0.2e1;
  t9098 = t222 * t2148;
  t9101 = t2147 * t277;
  t9104 = t642 * t1221;
  t9105 = t4844 * t9104;
  t9109 = t8783 * t1223;
  t9110 = t9109 / 0.6e1;
  t9111 = t8783 * t1229;
  t9112 = t9111 / 0.3e1;
  t9113 = t247 * t2091;
  t9114 = t9113 * t730;
  t9117 = t9026 * t649;
  t9121 = t219 * t221 * t1272;
  t9122 = t1244 * t9121;
  t9124 = t247 * t2096;
  t9125 = t9124 * t1246;
  t9128 = t768 * t2170 / 0.2e1 + t5126 * t432 / 0.2e1 + t1293 * t1274 / 0.2e1 - t3530 * t2154 / 0.2e1 - t3537 * t2154 / 0.2e1 - t211 * t9098 / 0.12e2 - t30 * t9101 / 0.4e1 - t2089 - 0.3e1 / 0.2e1 * t8760 * t9105 - t5073 * t1235 - t9110 + t9112 + t246 * t9114 / 0.2e1 - t644 * t9117 / 0.2e1 - t246 * t9122 + 0.3e1 / 0.2e1 * t246 * t9125;
  t9132 = my_piecewise3(t2, 0, t8660 + t8697 + t8739 + t8798 + t8999 + t9050 + t9087 + t9128);
  tv3rhosigma20 = t3 * t9132 + t2174;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t9139 = t294 * t2239 / 0.12e2;
  t9143 = t948 * t2258 / 0.12e2;
  t9145 = t1354 * t2199 / 0.36e2;
  t9148 = t933 * t2183;
  t9151 = t933 * t2188;
  t9154 = t933 * t2177;
  t9156 = t9154 * t350 / 0.12e2;
  t9157 = t937 * t2183;
  t9159 = t9157 * t350 / 0.18e2;
  t9166 = t1351 * t2199 / 0.12e2 - t290 * t2239 / 0.4e1 - t9139 - t945 * t2258 / 0.4e1 - t9143 + t9145 - t1351 * t1449 / 0.6e1 + t9148 * t350 / 0.6e1 - t9151 * t1090 / 0.12e2 - t9156 + t9159 - t945 * t2253 / 0.2e1 + t945 * t2261 / 0.2e1 - t4065 * t2245 / 0.2e1;
  t9168 = t945 * t2249 / 0.4e1;
  t9175 = t937 * t2188;
  t9177 = t9175 * t1090 / 0.36e2;
  t9178 = t937 * t2177;
  t9179 = t9178 * t350;
  t9180 = t9179 / 0.36e2;
  t9182 = t948 * t2261 / 0.6e1;
  t9184 = t948 * t2253 / 0.6e1;
  t9186 = t4040 * t2245 / 0.6e1;
  t9187 = t948 * t2249;
  t9188 = t9187 / 0.12e2;
  t9190 = t5414 * t457 / 0.6e1;
  t9192 = t9175 * t1023 / 0.9e1;
  t9194 = t9175 * t1016 / 0.18e2;
  t9196 = t1354 * t1449 / 0.18e2;
  t9197 = t9168 + t9151 * t1023 / 0.3e1 + t5419 * t457 / 0.2e1 - t9151 * t1016 / 0.6e1 - t9177 - t9180 + t9182 - t9184 - t9186 + t9188 + t9190 + t9192 - t9194 - t9196;
  t9199 = my_piecewise3(t100, 0, t9166 + t9197);
  tv3rhosigma25 = t3 * t9199 + t2265;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t9205 = -t8657 - t8667 - t8670 - t8672 + t8675 - t8677 + t8679 - t8681 + t8683 - t8685 + t8687 + t8689 - t903 * t2167 / 0.4e1 + t1368 * t2108 / 0.12e2;
  t9208 = t897 * t2097;
  t9213 = t897 * t2086;
  t9215 = t9213 * t223 / 0.12e2;
  t9216 = t897 * t2092;
  t9226 = t903 * t2158 / 0.4e1;
  t9233 = -t307 * t2148 / 0.4e1 - t9017 + t9019 - t9208 * t630 / 0.6e1 - t1368 * t1288 / 0.6e1 - t9215 + t9216 * t223 / 0.6e1 - t9208 * t752 / 0.12e2 + t903 * t2170 / 0.2e1 - t3802 * t2154 / 0.2e1 + t9226 - t903 * t2162 / 0.2e1 + t9208 * t637 / 0.3e1 + t5379 * t432 / 0.2e1;
  t9235 = my_piecewise3(t2, 0, t9205 + t9233);
  tv3rhosigma26 = t3 * t9235 + t2174;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t9237 = t2196 * t333;
  t9238 = t168 * t9237;
  t9239 = t4137 * t9238;
  t9242 = t4549 * t9237;
  t9243 = t1476 * t9242;
  t9246 = t5587 * t9238;
  t9249 = t1021 * t9237;
  t9250 = t5549 * t9249;
  t9253 = t439 * t2196;
  t9254 = t4408 * t9253;
  t9255 = t5561 * t9254;
  t9258 = t1182 * t9237;
  t9259 = t1470 * t9258;
  t9262 = t2196 * t994;
  t9263 = t4543 * t9262;
  t9264 = t446 * t9263;
  t9267 = t5595 * t2257;
  t9270 = t4543 * t145;
  t9271 = t168 * t9262;
  t9272 = t9270 * t9271;
  t9275 = t5549 * t9238;
  t9278 = t403 * t2196;
  t9279 = t380 * t9278;
  t9280 = t4137 * t9279;
  t9283 = t2181 * t4356;
  t9284 = t3512 * t9283;
  t9285 = t321 * t9284;
  t9286 = t5623 * t1401;
  t9289 = t5634 * t1395;
  t9292 = t5640 * t1401;
  t9295 = -t5578 * t9239 / 0.6e1 - t5540 * t9243 / 0.2e1 + t5548 * t9246 / 0.6e1 - t5548 * t9250 / 0.3e1 + t5559 * t9255 / 0.2e1 + t5540 * t9259 / 0.2e1 + t5540 * t9264 / 0.2e1 - t4145 * t9267 / 0.4e1 - t5575 * t9272 / 0.6e1 + t5548 * t9275 / 0.12e2 + t5575 * t9280 / 0.12e2 - t2180 + 0.23e2 / 0.36e2 * t9285 * t9286 - t9285 * t9289 / 0.2e1 + 0.7e1 / 0.3e1 * t9285 * t9292;
  t9296 = t6006 * t1394;
  t9297 = t1393 * t9296;
  t9300 = t1452 * t1394;
  t9301 = t1400 * t9300;
  t9304 = t2175 * t1007;
  t9305 = t616 * t9304;
  t9306 = t321 * t9305;
  t9307 = t9306 * t1396;
  t9308 = t9307 / 0.6e1;
  t9310 = t4373 * t9283;
  t9311 = t4368 * t333;
  t9312 = t4362 * t9311;
  t9313 = t9310 * t9312;
  t9316 = t4363 * t333;
  t9317 = t4362 * t9316;
  t9318 = t9310 * t9317;
  t9321 = t1031 * t9304;
  t9322 = t9321 * t1407;
  t9323 = t1030 * t9322;
  t9324 = t9323 / 0.2e1;
  t9325 = t9321 * t1412;
  t9326 = t373 * t9325;
  t9327 = t9326 / 0.2e1;
  t9328 = t2181 * t4333;
  t9329 = t616 * t9328;
  t9330 = t321 * t9329;
  t9333 = t5640 * t1395;
  t9336 = t1031 * t9328;
  t9337 = t9336 * t1412;
  t9340 = t4362 * t1406;
  t9341 = t9310 * t9340;
  t9344 = t1028 * t1394;
  t9345 = t5623 * t9344;
  t9349 = t2175 * t1043;
  t9350 = t194 * t9349;
  t9351 = t321 * t9350;
  t9352 = t9351 * t1433;
  t9353 = t9352 / 0.6e1;
  t9354 = -t1391 * t9297 / 0.3e1 + 0.2e1 / 0.3e1 * t1391 * t9301 - t9308 + t1454 * t1413 + 0.3e1 / 0.2e1 * t4395 * t9313 - 0.3e1 * t1030 * t9318 - t9324 + t9327 - 0.2e1 * t9330 * t1402 - 0.11e2 / 0.18e2 * t9285 * t9333 - 0.3e1 * t373 * t9337 + 0.3e1 / 0.2e1 * t373 * t9341 - 0.3e1 / 0.2e1 * t9285 * t9345 - t5674 * t1408 + t9353;
  t9356 = t2178 * t997;
  t9357 = t9356 / 0.12e2;
  t9358 = t9306 * t1438;
  t9359 = t9358 / 0.12e2;
  t9360 = t2178 * t1002;
  t9361 = t9360 / 0.12e2;
  t9366 = t4697 * t2197;
  t9367 = t987 * t9366;
  t9370 = t5560 * t1007;
  t9376 = t989 * t1416;
  t9379 = t4206 * t1389;
  t9382 = t989 * t440;
  t9389 = t445 * t1043;
  t9394 = t1475 * t1007;
  t9397 = 0.2e1 / 0.3e1 * t9370 * t2389 + 0.2e1 * t989 * t1383 * t376 - 0.4e1 * t9376 * t1419 + 0.4e1 / 0.3e1 * t9379 * t1407 - 0.2e1 * t9382 * t1100 + 0.4e1 * t9379 * t1412 - 0.2e1 * t1488 * t349 + 0.4e1 * t9389 * t1419 + 0.2e1 * t448 * t1100 - 0.4e1 * t9394 * t1412;
  t9398 = t167 * t9397;
  t9399 = t988 * t9398;
  t9400 = t987 * t9399;
  t9405 = t5623 * t1395;
  t9408 = t1400 * t9296;
  t9413 = t167 * t1383;
  t9414 = t988 * t9413;
  t9415 = t1393 * t9414;
  t9424 = t9357 - t9359 - t9361 + t1378 * t2199 / 0.12e2 + t1386 * t2199 / 0.12e2 + t442 * t9367 / 0.12e2 + t442 * t9400 / 0.12e2 + t2189 * t4687 / 0.6e1 - 0.5e1 / 0.36e2 * t9285 * t9405 - t1391 * t9408 / 0.6e1 - t442 * t6017 / 0.6e1 - t1391 * t9415 / 0.3e1 + t2189 * t4163 / 0.3e1 - t2189 * t4166 / 0.6e1 - t2189 * t4722 / 0.12e2;
  t9426 = t371 * t9413;
  t9427 = t1400 * t9426;
  t9434 = t1000 * t9296;
  t9439 = t374 * t2176;
  t9440 = t9439 * t1100;
  t9441 = t373 * t9440;
  t9442 = t9441 / 0.4e1;
  t9447 = t1019 * t1383;
  t9448 = t1013 * t9447;
  t9449 = t1405 * t9448;
  t9451 = t9336 * t1407;
  t9454 = t1031 * t2187;
  t9455 = t9454 * t4171;
  t9457 = t978 * t2215;
  t9458 = t9457 * t1035;
  t9461 = t374 * t9349;
  t9462 = t9461 * t1419;
  t9463 = t373 * t9462;
  t9464 = t9463 / 0.2e1;
  t9466 = t978 * t2211 * t1045;
  t9469 = -t1454 * t1420 + 0.2e1 / 0.3e1 * t1391 * t9427 - 0.2e1 / 0.3e1 * t2189 * t4691 + t2189 * t4656 / 0.3e1 + t1432 * t9434 / 0.3e1 + t442 * t6008 / 0.6e1 - t9442 - t1454 * t1424 / 0.2e1 + t1454 * t1428 / 0.2e1 - t1030 * t9449 + 0.3e1 * t1030 * t9451 + t1030 * t9455 + t2251 - t1030 * t9458 / 0.2e1 - t9464 - t373 * t9466 / 0.2e1;
  t9476 = t5833 * t2257;
  t9480 = t985 * t348 * t9397;
  t9481 = t1423 * t9480;
  t9485 = t978 * t2208 * t376;
  t9486 = t373 * t9485;
  t9487 = t9486 / 0.4e1;
  t9488 = t9306 * t1402;
  t9489 = t9488 / 0.3e1;
  t9492 = t1013 * t1014 * t1383;
  t9493 = t1405 * t9492;
  t9495 = t9454 * t4176;
  t9497 = t9457 * t1094;
  t9500 = t1074 * t2183;
  t9503 = t1074 * t2177;
  t9504 = t9503 * t350;
  t9505 = t9504 / 0.12e2;
  t9506 = t2178 * t1087;
  t9507 = t9506 / 0.12e2;
  t9510 = t1074 * t2188;
  t9513 = -t1078 * t2258 / 0.4e1 - t1056 * t2258 / 0.4e1 - t373 * t9476 / 0.4e1 - t373 * t9481 / 0.4e1 + t9487 + t9489 + t9330 * t1396 + t373 * t9493 - t373 * t9495 + t373 * t9497 / 0.2e1 + t9500 * t350 / 0.6e1 - t9505 - t9507 - t2189 * t4490 / 0.12e2 - t9510 * t1016 / 0.6e1;
  t9518 = t1400 * t9414;
  t9521 = t1000 * t9414;
  t9524 = t194 * t2187;
  t9525 = t321 * t9524;
  t9532 = t2215 * t4334;
  t9535 = t69 * t2181;
  t9536 = t9535 * t4375;
  t9537 = t4396 * t1484;
  t9540 = t140 * t9397;
  t9541 = t1182 * t9540;
  t9544 = t140 * t1383;
  t9545 = t1093 * t9544;
  t9548 = t4376 * t1484;
  t9551 = t1034 * t9544;
  t9556 = t2208 * t1044;
  t9557 = t9556 * t1491;
  t9558 = t2209 * t1200;
  t9559 = t9558 / 0.2e1;
  t9560 = t356 * t9544;
  t9563 = t2211 * t4425;
  t9566 = -0.4e1 * t9532 * t1485 + t9536 * t9537 / 0.18e2 + t446 * t9541 / 0.2e1 - 0.2e1 * t1476 * t9545 + 0.1e2 / 0.3e1 * t9536 * t9548 + 0.4e1 / 0.3e1 * t1476 * t9551 - 0.4e1 / 0.3e1 * t2216 * t4599 + t9557 + t9559 + 0.2e1 * t1470 * t9560 - 0.3e1 * t9563 * t1491;
  t9567 = t615 * t2175;
  t9568 = t9567 * t1033;
  t9569 = t9568 * t1485;
  t9570 = 0.2e1 / 0.3e1 * t9569;
  t9571 = t4408 * t1484;
  t9574 = t9568 * t1495;
  t9584 = t9556 * t1472;
  t9585 = 0.2e1 * t9584;
  t9586 = t2209 * t1184;
  t9587 = t9568 * t1477;
  t9588 = t9587 / 0.3e1;
  t9589 = t143 * t1383;
  t9590 = t356 * t9589;
  t9593 = t9570 - 0.3e1 * t9536 * t9571 - t9574 + 0.6e1 * t9532 * t1495 + 0.2e1 * t2216 * t4582 - t2212 * t1200 + t1468 * t2233 / 0.2e1 - 0.4e1 * t2216 * t4550 - t9585 - t9586 - t9588 - 0.4e1 * t1470 * t9590;
  t9601 = t1034 * t9589;
  t9604 = t2232 * t333;
  t9605 = t1182 * t9604;
  t9607 = t2232 * t994;
  t9608 = t4543 * t9607;
  t9612 = t4396 * t1471;
  t9616 = t143 * t9397;
  t9617 = t1182 * t9616;
  t9619 = t4408 * t9604;
  t9622 = 0.6e1 * t9563 * t1472 + 0.2e1 * t2212 * t1184 + 0.2e1 * t9532 * t1477 - 0.2e1 / 0.3e1 * t1476 * t9601 - t1470 * t9605 - t446 * t9608 + 0.2e1 / 0.3e1 * t2216 * t4563 - t9536 * t9612 / 0.9e1 - t1468 * t2220 - t446 * t9617 - 0.2e1 / 0.3e1 * t1476 * t9619;
  t9623 = t1093 * t9589;
  t9626 = t4376 * t1471;
  t9629 = t4408 * t1471;
  t9632 = t4549 * t9604;
  t9634 = t9568 * t1481;
  t9635 = 0.2e1 * t9634;
  t9638 = t142 * t2196;
  t9639 = t9638 * t333;
  t9640 = t1190 * t9639;
  t9643 = t1203 * t9639;
  t9646 = t360 * t9639;
  t9649 = t354 * t4160;
  t9650 = t445 * t9649;
  t9651 = t9638 * t994;
  t9652 = t360 * t9651;
  t9655 = 0.4e1 * t1476 * t9623 - 0.2e1 / 0.3e1 * t9536 * t9626 + 0.6e1 * t9536 * t9629 + t1476 * t9632 + t9635 - 0.12e2 * t9532 * t1481 + t5851 * t9640 / 0.3e1 - 0.2e1 * t5851 * t9643 + 0.2e1 * t5844 * t9646 + 0.2e1 * t9650 * t9652 - t2229 + t2210;
  t9657 = t9566 + t9593 + t9622 + t9655;
  t9658 = t139 * t9657;
  t9659 = t9658 * t168;
  t9665 = t346 * t348 * t1383;
  t9666 = t1417 * t9665;
  t9668 = t374 * t2187;
  t9669 = t9668 * t1419;
  t9672 = t374 * t2182;
  t9673 = t9672 * t1100;
  t9676 = t2238 * t404;
  t9679 = -t2189 * t4352 / 0.6e1 - t9139 + t2184 * t1002 / 0.6e1 - t1391 * t9518 / 0.6e1 + t1432 * t9521 / 0.3e1 - t9525 * t1433 / 0.2e1 - t2184 * t997 / 0.6e1 + t9330 * t1438 / 0.2e1 - t9143 + t9145 - t110 * t9659 / 0.4e1 - t318 * t2239 / 0.4e1 - t373 * t9666 + 0.3e1 / 0.2e1 * t373 * t9669 + t373 * t9673 / 0.2e1 - t110 * t9676 / 0.4e1;
  t9701 = t1078 * t2249;
  t9702 = t9701 / 0.4e1;
  t9703 = t1056 * t2249;
  t9704 = t9703 / 0.4e1;
  t9705 = t349 * t2239;
  t9708 = t2237 * t370;
  t9709 = t369 * t9708;
  t9710 = t321 * t9709;
  t9715 = t9510 * t1023 / 0.3e1 + t2184 * t1087 / 0.6e1 - t9510 * t1090 / 0.12e2 + t5689 * t457 / 0.2e1 + t5717 * t457 / 0.2e1 + t2189 * t4438 / 0.3e1 - t1378 * t1449 / 0.6e1 - t1386 * t1449 / 0.6e1 - t442 * t5683 / 0.6e1 - t4383 * t2245 / 0.2e1 + t9702 + t9704 - t338 * t9705 / 0.12e2 + t9710 * t377 / 0.4e1 - t1056 * t2253 / 0.2e1;
  t9726 = t1078 * t2261 / 0.2e1 + t1056 * t2261 / 0.2e1 + t1454 * t1462 / 0.2e1 - t4349 * t2245 / 0.2e1 - t1078 * t2253 / 0.2e1 + t9159 - t9177 - t9180 + t9182 - t9184 - t9186 + t9188 + t9190 + t9192 - t9194 - t9196;
  t9730 = my_piecewise3(t100, 0, t9295 + t9354 + t9424 + t9469 + t9513 + t9679 + t9715 + t9726);
  tv3rhosigma211 = t3 * t9730 + t2265;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t9732 = t6475 * t2166;
  t9735 = t414 * t206;
  t9736 = t229 * t9735;
  t9737 = t6424 * t9736;
  t9740 = t819 * t4741;
  t9741 = t1587 * t9740;
  t9744 = t6496 * t2323;
  t9747 = t463 * t206;
  t9748 = t648 * t9747;
  t9749 = t5183 * t9748;
  t9752 = t1321 * t6062;
  t9754 = t6066 * t2318;
  t9757 = t635 * t4741;
  t9758 = t4760 * t9757;
  t9761 = t276 * t414;
  t9762 = t3121 * t9761;
  t9763 = t4765 * t9762;
  t9766 = t95 * t4741;
  t9767 = t4770 * t9766;
  t9770 = t253 * t9761;
  t9771 = t4754 * t9770;
  t9781 = t593 * t2332 / 0.6e1;
  t9783 = t593 * t2324 / 0.6e1;
  t9786 = -t3123 * t9732 / 0.4e1 + 0.3e1 / 0.2e1 * t4779 * t9737 + t4779 * t9741 / 0.2e1 - t3123 * t9744 / 0.2e1 + 0.3e1 * t4738 * t9749 + t4738 * t9752 - t4748 * t9754 / 0.2e1 - 0.2e1 / 0.3e1 * t6069 * t9758 + t6069 * t9763 / 0.3e1 + t6069 * t9767 / 0.3e1 - t6069 * t9771 / 0.6e1 + t2160 + t1293 * t1564 / 0.4e1 - t1293 * t1560 / 0.4e1 - t1293 * t1556 / 0.2e1 + t9781 - t9783 - t1541 * t8986 / 0.6e1;
  t9789 = t6255 * t1221;
  t9790 = t1220 * t9789;
  t9793 = t1530 * t1221;
  t9794 = t1227 * t9793;
  t9805 = t673 * t9789;
  t9814 = t1227 * t9789;
  t9823 = t1541 * t8990 / 0.3e1 - t1218 * t9790 / 0.6e1 + t1218 * t9794 / 0.3e1 - t6295 * t1235 / 0.2e1 + t1532 * t1240 / 0.2e1 - t5073 * t1548 / 0.2e1 + t1293 * t1551 / 0.2e1 + t8659 + t8662 - t8667 + t1259 * t9805 / 0.6e1 + t417 * t6263 / 0.12e2 + t8683 - t1532 * t1247 / 0.2e1 - t1532 * t1251 / 0.4e1 - t1218 * t9814 / 0.12e2 + t1517 * t2108 / 0.12e2 + t1522 * t2108 / 0.12e2 + t466 * t8810 / 0.12e2;
  t9827 = t3279 * t2266;
  t9828 = t673 * t9827;
  t9845 = t1555 * t9121;
  t9848 = t6096 * t2323;
  t9855 = t6091 * t2331;
  t9858 = t1547 * t9021;
  t9861 = t6116 * t2268 / 0.6e1 + t1568 * t9828 / 0.6e1 + t466 * t8843 / 0.12e2 + t6112 * t2268 / 0.6e1 + t1568 * t8791 / 0.6e1 + t466 * t5054 / 0.12e2 - t8744 - t8748 + t8752 + t1568 * t8704 / 0.6e1 - t3530 * t2319 / 0.2e1 - t3537 * t2319 / 0.2e1 - t246 * t9845 / 0.2e1 - t246 * t9848 / 0.2e1 - t768 * t2324 / 0.2e1 - t757 * t2324 / 0.2e1 + t246 * t9855 / 0.2e1 + t246 * t9858 / 0.2e1;
  t9864 = t1591 * t8647;
  t9867 = t3375 * t9735;
  t9868 = t6390 * t9867;
  t9871 = t3677 * t94;
  t9872 = t65 * t9871;
  t9873 = t30 * t9872;
  t9874 = t3448 * t9747;
  t9875 = t5178 * t9874;
  t9878 = t3402 * t9747;
  t9879 = t5178 * t9878;
  t9882 = t653 * t9735;
  t9883 = t6393 * t9882;
  t9886 = t463 * t2105;
  t9887 = t3375 * t9886;
  t9888 = t4740 * t9887;
  t9891 = t1227 * t9827;
  t9907 = t188 * t2310 / 0.12e2;
  t9908 = t8778 + t8780 - t8785 - t8790 + t1541 * t8715 / 0.3e1 - t4779 * t9864 / 0.2e1 + 0.3e1 / 0.2e1 * t4779 * t9868 + 0.3e1 / 0.2e1 * t9873 * t9875 - 0.3e1 * t4738 * t9879 - 0.3e1 * t4779 * t9883 + t4738 * t9888 / 0.2e1 - t1541 * t9891 / 0.12e2 - t1541 * t8848 / 0.12e2 - t417 * t6257 / 0.12e2 - t1541 * t8709 / 0.12e2 - t466 * t5046 / 0.12e2 - t6081 * t2271 / 0.12e2 - t6084 * t2271 / 0.12e2 - t9907;
  t9923 = t469 * t8899;
  t9926 = t8856 + t8875 + t8877 - t8888 + 0.2e1 / 0.3e1 * t1591 * t8869 + t6413 * t2302 + t1587 * t8878 + t1585 * t2142 / 0.2e1 + t470 * t8912 / 0.2e1 - t6419 * t2306 - t1591 * t8915 + 0.2e1 / 0.3e1 * t6419 * t2299 + 0.2e1 * t9923 * t8902;
  t9929 = t62 * t414;
  t9930 = t9929 * t667;
  t9931 = t840 * t9930;
  t9934 = t3421 * t218;
  t9935 = t469 * t9934;
  t9936 = t9929 * t206;
  t9937 = t233 * t9936;
  t9940 = t233 * t9930;
  t9943 = t3416 * t626;
  t9944 = t1590 * t9943;
  t9945 = t827 * t9936;
  t9948 = t827 * t9930;
  t9951 = t3399 * t3137;
  t9952 = t6389 * t9951;
  t9953 = t3482 * t9936;
  t9962 = t1329 * t414;
  t9963 = t648 * t9962;
  t9970 = t6427 * t8905 / 0.3e1 - 0.4e1 * t6427 * t9931 + 0.6e1 * t9935 * t9937 + 0.2e1 * t6440 * t9940 + 0.2e1 * t9944 * t9945 + 0.2e1 / 0.3e1 * t6427 * t9948 - t9952 * t9953 / 0.9e1 + 0.2e1 * t6440 * t8896 - 0.2e1 * t6413 * t2288 - 0.2e1 * t1587 * t8967 - 0.4e1 * t6393 * t9963 - t6419 * t2291 / 0.3e1 - t1591 * t8939 / 0.3e1;
  t9972 = t3448 * t9962;
  t9976 = t2298 * t667;
  t9977 = t819 * t9976;
  t9981 = t3409 * t9976;
  t9991 = t3402 * t9962;
  t9994 = t3375 * t9976;
  t9997 = t229 * t9962;
  t10000 = t6390 * t9972 / 0.18e2 - t1585 * t2129 - t1587 * t9977 - t1587 * t8960 - t470 * t8963 + 0.2e1 * t1591 * t9981 - t470 * t8921 - 0.2e1 / 0.3e1 * t1591 * t8926 + 0.2e1 * t6419 * t2295 + 0.2e1 * t1591 * t8930 + 0.1e2 / 0.3e1 * t6390 * t9991 - 0.4e1 / 0.3e1 * t1591 * t9994 - 0.3e1 * t6424 * t9997;
  t10001 = t653 * t9962;
  t10005 = t3375 * t9962;
  t10012 = t840 * t9936;
  t10015 = t3475 * t9936;
  t10018 = 0.6e1 * t6393 * t10001 + t1591 * t8972 - 0.3e1 * t6390 * t10005 - t8948 - t8949 - t8966 + t8975 - 0.2e1 * t6427 * t8893 + 0.6e1 * t9952 * t9945 - 0.12e2 * t9944 * t10012 - 0.2e1 / 0.3e1 * t9952 * t10015 - t2138 + t2119;
  t10020 = t9926 + t9970 + t10000 + t10018;
  t10021 = t59 * t10020;
  t10022 = t10021 * t95;
  t10025 = t6091 * t2318;
  t10036 = t30 * t6390;
  t10037 = t3448 * t65;
  t10038 = t95 * t9735;
  t10039 = t10037 * t10038;
  t10042 = t4765 * t9770;
  t10047 = t635 * t9735;
  t10048 = t10037 * t10047;
  t10055 = t4760 * t10038;
  t10058 = t3402 * t65;
  t10059 = t10058 * t10047;
  t10062 = t3671 * t9735;
  t10063 = t10037 * t10062;
  t10066 = t30 * t6393;
  t10067 = t4754 * t10038;
  t10069 = t4765 * t10047;
  t10072 = t10058 * t10038;
  t10075 = -t30 * t10022 / 0.4e1 - t644 * t10025 / 0.2e1 - t182 * t2310 / 0.4e1 - t6488 * t8644 / 0.6e1 + t6069 * t8631 / 0.12e2 + t6488 * t8636 / 0.12e2 - 0.5e1 / 0.36e2 * t10036 * t10039 - t6069 * t10042 / 0.12e2 - t6491 * t8639 / 0.6e1 + 0.23e2 / 0.36e2 * t10036 * t10048 + t6069 * t8651 / 0.6e1 - t6069 * t8610 / 0.3e1 - t10036 * t10055 / 0.2e1 + 0.7e1 / 0.3e1 * t10036 * t10059 - 0.3e1 / 0.2e1 * t10036 * t10063 + t10066 * t10067 - 0.2e1 * t10066 * t10069 - 0.11e2 / 0.18e2 * t10036 * t10072;
  t10076 = t6066 * t2331;
  t10079 = t3409 * t4741;
  t10080 = t1591 * t10079;
  t10082 = t1587 * t8621;
  t10085 = t470 * t8626;
  t10088 = t2309 * t277;
  t10091 = t3130 * t9766;
  t10094 = t4765 * t10038;
  t10097 = t30 * t6424;
  t10098 = t4796 * t10038;
  t10101 = t755 * t2266;
  t10102 = t1227 * t10101;
  t10109 = t1547 * t8725;
  t10116 = t3123 * t10076 / 0.2e1 - t4779 * t10080 + t4779 * t10082 / 0.2e1 + t4779 * t10085 / 0.2e1 - t30 * t10088 / 0.4e1 - t6491 * t10091 / 0.6e1 + t10066 * t10094 / 0.2e1 - t10097 * t10098 / 0.2e1 + t9033 - t9044 + t1541 * t10102 / 0.3e1 + t6081 * t2282 / 0.3e1 + t6084 * t2282 / 0.3e1 - t644 * t10109 / 0.2e1 + t1532 * t1255 / 0.4e1 - t1541 * t8692 / 0.6e1 - t9058 - t9060 - t2089;
  t10122 = t1220 * t9827;
  t10125 = t1559 * t9012;
  t10133 = t5143 * t481 / 0.12e2;
  t10135 = t6358 * t432 / 0.12e2;
  t10137 = t1267 * t1527 / 0.36e2;
  t10139 = t1508 * t1288 / 0.36e2;
  t10154 = -t6084 * t2276 / 0.6e1 - t6081 * t2276 / 0.6e1 - t1541 * t10122 / 0.6e1 - t9110 + t9112 - t246 * t10125 / 0.4e1 + t768 * t2332 / 0.2e1 + t757 * t2332 / 0.2e1 + t10133 + t10135 - t10137 - t10139 + t1532 * t1274 / 0.4e1 + t5105 * t481 / 0.4e1 - t1522 * t1288 / 0.12e2 - t466 * t5140 / 0.12e2 - t1278 * t1527 / 0.12e2 + t5126 * t481 / 0.4e1 + t1293 * t1514 / 0.4e1;
  t10155 = t222 * t2310;
  t10158 = t2308 * t243;
  t10159 = t242 * t10158;
  t10160 = t191 * t10159;
  t10173 = t4796 * t9770;
  t10176 = t4760 * t9766;
  t10180 = t593 * t2327 / 0.12e2;
  t10182 = t3548 * t2319 / 0.6e1;
  t10184 = t6186 * t2282 / 0.9e1;
  t10186 = t6186 * t2276 / 0.18e2;
  t10188 = t1508 * t2108 / 0.36e2;
  t10190 = t6186 * t2271 / 0.36e2;
  t10192 = t6214 * t2268 / 0.18e2;
  t10197 = t6136 * t2166;
  t10200 = -t211 * t10155 / 0.12e2 + t10160 * t250 / 0.4e1 + t6353 * t432 / 0.4e1 + t6335 * t432 / 0.4e1 - t1283 * t1527 / 0.12e2 - t417 * t6347 / 0.12e2 - t1517 * t1288 / 0.12e2 + t6491 * t10173 / 0.6e1 + t6069 * t10176 / 0.6e1 - t10180 - t10182 + t10184 - t10186 + t10188 - t10190 + t10192 - t768 * t2327 / 0.4e1 - t757 * t2327 / 0.4e1 - t246 * t10197 / 0.4e1;
  t10204 = my_piecewise3(t2, 0, t9786 + t9823 + t9861 + t9908 + t10075 + t10116 + t10154 + t10200);
  tv3rhosigmalapl0 = t3 * t10204 + t2336;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  tv3rhosigmalapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 1] += tv3rhosigmalapl1;

  tv3rhosigmalapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 2] += tv3rhosigmalapl2;

  tv3rhosigmalapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 3] += tv3rhosigmalapl3;

  tv3rhosigmalapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 4] += tv3rhosigmalapl4;

  t10215 = t294 * t2381 / 0.12e2;
  t10227 = t6684 * t2339 / 0.18e2;
  t10229 = t948 * t2395 / 0.6e1;
  t10231 = t948 * t2398 / 0.12e2;
  t10233 = t948 * t2403 / 0.6e1;
  t10237 = t4040 * t2390 / 0.6e1;
  t10238 = -t945 * t2398 / 0.4e1 + t945 * t2403 / 0.2e1 - t945 * t2395 / 0.2e1 - t290 * t2381 / 0.4e1 - t10215 + t6702 * t2353 / 0.3e1 + t1615 * t2199 / 0.12e2 - t6702 * t2347 / 0.6e1 + t6709 * t2339 / 0.6e1 - t4065 * t2390 / 0.2e1 + t10227 - t10229 - t10231 + t10233 - t6702 * t2342 / 0.12e2 - t10237;
  t10240 = t6679 * t2353 / 0.9e1;
  t10242 = t6679 * t2347 / 0.18e2;
  t10244 = t1618 * t2199 / 0.36e2;
  t10246 = t6679 * t2342 / 0.36e2;
  t10248 = t6631 * t457 / 0.12e2;
  t10250 = t1354 * t1658 / 0.36e2;
  t10252 = t1618 * t1449 / 0.36e2;
  t10262 = t5414 * t505 / 0.12e2;
  t10263 = t10240 - t10242 + t10244 - t10246 - t9156 + t9168 - t9180 + t9188 + t10248 - t10250 - t10252 + t5419 * t505 / 0.4e1 - t1351 * t1658 / 0.12e2 + t6656 * t457 / 0.4e1 - t1615 * t1449 / 0.12e2 + t10262;
  t10265 = my_piecewise3(t100, 0, t10238 + t10263);
  tv3rhosigmalapl5 = t3 * t10265 + t2407;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 5] += tv3rhosigmalapl5;

  t10291 = t9781 - t9783 - t8667 + t8683 - t903 * t2327 / 0.4e1 + t903 * t2332 / 0.2e1 - t307 * t2310 / 0.4e1 + t6541 * t2282 / 0.3e1 + t1632 * t2108 / 0.12e2 - t6541 * t2276 / 0.6e1 + t6609 * t2268 / 0.6e1 - t6541 * t2271 / 0.12e2 - t903 * t2324 / 0.2e1 - t3802 * t2319 / 0.2e1 + t5379 * t481 / 0.4e1 - t1632 * t1288 / 0.12e2;
  t10296 = -t1368 * t1527 / 0.12e2 - t9907 - t9215 + t9226 + t6575 * t432 / 0.4e1 + t10133 + t10135 - t10137 - t10139 - t10180 - t10182 + t10184 - t10186 + t10188 - t10190 + t10192;
  t10298 = my_piecewise3(t2, 0, t10291 + t10296);
  tv3rhosigmalapl6 = t3 * t10298 + t2336;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 6] += tv3rhosigmalapl6;

  tv3rhosigmalapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 7] += tv3rhosigmalapl7;

  tv3rhosigmalapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 8] += tv3rhosigmalapl8;

  tv3rhosigmalapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 9] += tv3rhosigmalapl9;

  tv3rhosigmalapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 10] += tv3rhosigmalapl10;

  t10312 = t6773 * t1394;
  t10313 = t1393 * t10312;
  t10316 = t1661 * t1394;
  t10317 = t1400 * t10316;
  t10335 = t1484 * t439;
  t10336 = t1034 * t10335;
  t10343 = t494 * t9541 / 0.2e1 + 0.2e1 / 0.3e1 * t6981 * t2370 - t6981 * t2377 - t1720 * t9545 + 0.2e1 / 0.3e1 * t1720 * t9551 + t7005 * t2373 + t1716 * t9560 + t1714 * t2233 / 0.2e1 - t494 * t9617 - 0.2e1 * t1716 * t9590 - 0.4e1 * t6984 * t10336 - t6981 * t2362 / 0.3e1 - t1720 * t9601 / 0.3e1;
  t10344 = t4396 * t10335;
  t10348 = t4376 * t10335;
  t10351 = t2369 * t994;
  t10352 = t4408 * t10351;
  t10355 = t356 * t10335;
  t10358 = t1182 * t10351;
  t10363 = t4549 * t10351;
  t10373 = t6988 * t10344 / 0.18e2 - t1714 * t2220 + 0.1e2 / 0.3e1 * t6988 * t10348 - 0.4e1 / 0.3e1 * t1720 * t10352 - 0.3e1 * t7010 * t10355 - t1716 * t10358 - 0.2e1 * t7005 * t2359 - t494 * t9608 + 0.2e1 * t1720 * t10363 - 0.2e1 / 0.3e1 * t1720 * t9619 + 0.2e1 * t6981 * t2366 + 0.2e1 * t1720 * t9623 - t1716 * t9605;
  t10375 = t1093 * t10335;
  t10379 = t4408 * t10335;
  t10382 = t142 * t439;
  t10383 = t10382 * t994;
  t10384 = t1190 * t10383;
  t10387 = t4375 * t4160;
  t10388 = t6987 * t10387;
  t10389 = t10382 * t333;
  t10390 = t4633 * t10389;
  t10393 = 0.6e1 * t6984 * t10375 + t1720 * t9632 - 0.3e1 * t6988 * t10379 + t9557 + t9559 + t9570 - t9574 - t9585 - t9586 - t9588 + t9635 + 0.2e1 / 0.3e1 * t6969 * t10384 - t10388 * t10390 / 0.9e1;
  t10396 = t493 * t9649;
  t10401 = t4624 * t10389;
  t10404 = t1190 * t10389;
  t10407 = t4334 * t984;
  t10408 = t1719 * t10407;
  t10409 = t1203 * t10389;
  t10414 = t1203 * t10383;
  t10417 = t4425 * t345;
  t10418 = t493 * t10417;
  t10419 = t360 * t10389;
  t10422 = t360 * t10383;
  t10427 = 0.2e1 * t6966 * t9646 + 0.2e1 * t10396 * t9652 + t6969 * t9640 / 0.3e1 - 0.2e1 / 0.3e1 * t10388 * t10401 + 0.6e1 * t10388 * t10404 - 0.12e2 * t10408 * t10409 - 0.2e1 * t6969 * t9643 - 0.4e1 * t6969 * t10414 + 0.6e1 * t10418 * t10419 + 0.2e1 * t6966 * t10422 + 0.2e1 * t10408 * t10404 - t2229 + t2210;
  t10429 = t10343 + t10373 + t10393 + t10427;
  t10430 = t139 * t10429;
  t10431 = t10430 * t168;
  t10436 = -t2180 - t6848 * t1408 / 0.2e1 + t1663 * t1413 / 0.2e1 - t5674 * t1693 / 0.2e1 + t1454 * t1696 / 0.2e1 - t1651 * t9297 / 0.6e1 + t1651 * t9301 / 0.3e1 - t1391 * t10313 / 0.6e1 + t1391 * t10317 / 0.3e1 - t9308 - t9324 + t9327 + t9353 + t9357 - t9359 - t9361 - t110 * t10431 / 0.4e1 - t318 * t2381 / 0.4e1;
  t10439 = t6784 * t2402;
  t10442 = t1692 * t9492;
  t10447 = t168 * t5562;
  t10448 = t4137 * t10447;
  t10451 = t110 * t6984;
  t10452 = t439 * t333;
  t10453 = t168 * t10452;
  t10454 = t5553 * t10453;
  t10457 = t110 * t6988;
  t10458 = t4396 * t145;
  t10459 = t10458 * t10453;
  t10462 = t110 * t7010;
  t10463 = t5582 * t10453;
  t10466 = t403 * t439;
  t10467 = t380 * t10466;
  t10468 = t5582 * t10467;
  t10471 = t5549 * t10447;
  t10480 = t5553 * t10467;
  t10485 = t4376 * t145;
  t10486 = t10485 * t10453;
  t10489 = t1056 * t2403 / 0.2e1 + t373 * t10439 / 0.2e1 + t373 * t10442 / 0.2e1 - t1056 * t2395 / 0.2e1 - t9442 + t2251 - t10215 - t6830 * t10448 / 0.6e1 + t10451 * t10454 / 0.2e1 - 0.5e1 / 0.36e2 * t10457 * t10459 - t10462 * t10463 / 0.2e1 + t6830 * t10468 / 0.6e1 + t6824 * t10471 / 0.6e1 - t6827 * t9272 / 0.6e1 + t6824 * t9275 / 0.12e2 - t6824 * t9250 / 0.3e1 - t6824 * t10480 / 0.12e2 - t6830 * t9239 / 0.6e1 - 0.11e2 / 0.18e2 * t10457 * t10486;
  t10491 = t1021 * t10452;
  t10492 = t10458 * t10491;
  t10497 = t5553 * t10491;
  t10500 = t4403 * t10452;
  t10501 = t10458 * t10500;
  t10504 = t4392 * t167;
  t10505 = t145 * t10504;
  t10506 = t110 * t10505;
  t10507 = t487 * t333;
  t10508 = t4396 * t10507;
  t10509 = t5855 * t10508;
  t10512 = t5591 * t10453;
  t10514 = t5549 * t10453;
  t10517 = t10485 * t10491;
  t10520 = t1093 * t10452;
  t10521 = t6984 * t10520;
  t10524 = t487 * t2196;
  t10525 = t4408 * t10524;
  t10526 = t5561 * t10525;
  t10529 = t1720 * t9242;
  t10532 = t4408 * t10452;
  t10533 = t6988 * t10532;
  t10536 = t1021 * t5562;
  t10537 = t5549 * t10536;
  t10540 = t4143 * t10466;
  t10541 = t5553 * t10540;
  t10544 = t5591 * t10467;
  t10549 = t5587 * t10447;
  t10552 = t4376 * t10507;
  t10553 = t5855 * t10552;
  t10556 = 0.23e2 / 0.36e2 * t10457 * t10492 + t6824 * t9246 / 0.6e1 - 0.2e1 * t10451 * t10497 - 0.3e1 / 0.2e1 * t10457 * t10501 + 0.3e1 / 0.2e1 * t10506 * t10509 + t10451 * t10512 - t10457 * t10514 / 0.2e1 + 0.7e1 / 0.3e1 * t10457 * t10517 - 0.3e1 * t5540 * t10521 + t5559 * t10526 / 0.2e1 - t5540 * t10529 / 0.2e1 + 0.3e1 / 0.2e1 * t5540 * t10533 - 0.2e1 / 0.3e1 * t6824 * t10537 + t6824 * t10541 / 0.3e1 - t6824 * t10544 / 0.6e1 + t6827 * t9280 / 0.12e2 + t6824 * t10549 / 0.3e1 - 0.3e1 * t5559 * t10553;
  t10557 = t1034 * t10507;
  t10558 = t5860 * t10557;
  t10561 = t7126 * t2389;
  t10582 = t1400 * t10312;
  t10593 = t1054 * t2337;
  t10594 = t1400 * t10593;
  t10599 = t1000 * t10312;
  t10602 = 0.3e1 * t5559 * t10558 - t5535 * t10561 / 0.2e1 - t1651 * t9415 / 0.6e1 + t1644 * t9434 / 0.6e1 + t490 * t6008 / 0.12e2 - t1651 * t9408 / 0.12e2 - t1651 * t9518 / 0.12e2 + t1677 * t2199 / 0.12e2 + t1682 * t2199 / 0.12e2 + t490 * t9367 / 0.12e2 + t442 * t7094 / 0.12e2 - t1391 * t10582 / 0.12e2 - t442 * t6775 / 0.12e2 - t490 * t6017 / 0.12e2 + t6755 * t2353 / 0.3e1 + t6760 * t2353 / 0.3e1 + t1651 * t10594 / 0.3e1 + t1651 * t9427 / 0.3e1 + t1432 * t10599 / 0.6e1;
  t10605 = t1476 * t7138;
  t10607 = t1182 * t5562;
  t10608 = t1716 * t10607;
  t10611 = t7123 * t2394;
  t10614 = t356 * t10452;
  t10615 = t7010 * t10614;
  t10618 = t494 * t9263;
  t10621 = t7116 * t2257;
  t10624 = t1716 * t9258;
  t10627 = t7126 * t2402;
  t10630 = t4549 * t5562;
  t10631 = t1720 * t10630;
  t10633 = -t9464 + t9487 + t9489 + t10227 - t9505 - t9507 + t5559 * t10605 + t5540 * t10608 / 0.2e1 - t4145 * t10611 / 0.2e1 + 0.3e1 / 0.2e1 * t5540 * t10615 + t5540 * t10618 / 0.2e1 - t4145 * t10621 / 0.4e1 + t5540 * t10624 / 0.2e1 + t4145 * t10627 / 0.2e1 - t5540 * t10631 - t10229 - t10231 + t10233;
  t10634 = t2380 * t404;
  t10645 = t2379 * t370;
  t10646 = t369 * t10645;
  t10647 = t321 * t10646;
  t10656 = t349 * t2381;
  t10669 = -t110 * t10634 / 0.4e1 - t1378 * t1658 / 0.12e2 - t1677 * t1449 / 0.12e2 - t1682 * t1449 / 0.12e2 - t490 * t5683 / 0.12e2 + t10647 * t377 / 0.4e1 - t1386 * t1658 / 0.12e2 - t442 * t6870 / 0.12e2 + t5717 * t505 / 0.4e1 - t338 * t10656 / 0.12e2 + t6855 * t457 / 0.4e1 + t1663 * t1462 / 0.4e1 + t5689 * t505 / 0.4e1 + t1454 * t1673 / 0.4e1 + t6876 * t457 / 0.4e1 - t10237 + t10240 - t10242 + t10244;
  t10677 = t4697 * t2337;
  t10678 = t1400 * t10677;
  t10687 = t1393 * t10677;
  t10694 = -t10246 + t9702 + t9704 - t9180 + t9188 + t10248 - t10250 - t10252 + t10262 + t1644 * t9521 / 0.6e1 - t6755 * t2342 / 0.12e2 - t6760 * t2342 / 0.12e2 - t1651 * t10678 / 0.12e2 + t490 * t9400 / 0.12e2 - t6755 * t2347 / 0.6e1 - t6760 * t2347 / 0.6e1 - t1651 * t10687 / 0.6e1 + t6819 * t2339 / 0.6e1 + t7072 * t2339 / 0.6e1;
  t10695 = t1000 * t10677;
  t10698 = t6799 * t2394;
  t10701 = t1699 * t9665;
  t10708 = t6949 * t2257;
  t10711 = t1703 * t9480;
  t10722 = t6784 * t2389;
  t10725 = t1692 * t9448;
  t10740 = t1644 * t10695 / 0.6e1 - t373 * t10698 / 0.2e1 - t373 * t10701 / 0.2e1 - t1078 * t2398 / 0.4e1 - t1056 * t2398 / 0.4e1 - t373 * t10708 / 0.4e1 - t373 * t10711 / 0.4e1 + t1078 * t2403 / 0.2e1 - t1078 * t2395 / 0.2e1 - t4349 * t2390 / 0.2e1 - t4383 * t2390 / 0.2e1 - t1030 * t10722 / 0.2e1 - t1030 * t10725 / 0.2e1 - t1454 * t1700 / 0.2e1 - t1454 * t1704 / 0.4e1 + t1454 * t1708 / 0.4e1 + t1663 * t1428 / 0.4e1 - t1663 * t1420 / 0.2e1 - t1663 * t1424 / 0.4e1;
  t10744 = my_piecewise3(t100, 0, t10436 + t10489 + t10556 + t10602 + t10633 + t10669 + t10694 + t10740);
  tv3rhosigmalapl11 = t3 * t10744 + t2407;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 11] += tv3rhosigmalapl11;

  t10754 = t1769 * t9012;
  t10761 = t7488 * t2331;
  t10764 = t1757 * t9021;
  t10769 = t188 * t2437 / 0.12e2;
  t10770 = t543 * t206;
  t10771 = t253 * t10770;
  t10772 = t4765 * t10771;
  t10788 = t8856 + t8875 + t8877 - t8888 + t519 * t8912 / 0.2e1 - t7632 * t2306 - t1847 * t8915 + 0.2e1 / 0.3e1 * t7632 * t2299 + 0.2e1 / 0.3e1 * t1847 * t8869 + t7624 * t2302 + t1843 * t8878 + t1841 * t2142 / 0.2e1 - t519 * t8921;
  t10813 = -0.2e1 / 0.3e1 * t1847 * t8926 + 0.2e1 * t7632 * t2295 - t1841 * t2129 - 0.4e1 * t7595 * t9963 - t7632 * t2291 / 0.3e1 - t1847 * t8939 / 0.3e1 + t7599 * t9972 / 0.18e2 - t1843 * t9977 - 0.2e1 * t7624 * t2288 - 0.2e1 * t1843 * t8967 + 0.2e1 * t1847 * t9981 + 0.2e1 * t1847 * t8930 + 0.1e2 / 0.3e1 * t7599 * t9991;
  t10828 = t518 * t8899;
  t10831 = -0.4e1 / 0.3e1 * t1847 * t9994 - 0.3e1 * t7610 * t9997 - 0.3e1 * t7599 * t10005 - t1843 * t8960 - t519 * t8963 + 0.6e1 * t7595 * t10001 + t1847 * t8972 - t8948 - t8949 - t8966 + t8975 + 0.2e1 * t7586 * t8896 + 0.2e1 * t10828 * t8902;
  t10836 = t518 * t9934;
  t10841 = t1846 * t9943;
  t10846 = t7598 * t9951;
  t10857 = t7584 * t8905 / 0.3e1 - 0.4e1 * t7584 * t9931 + 0.6e1 * t10836 * t9937 + 0.2e1 * t7586 * t9940 + 0.2e1 * t10841 * t9945 + 0.2e1 / 0.3e1 * t7584 * t9948 - t10846 * t9953 / 0.9e1 - 0.12e2 * t10841 * t10012 - 0.2e1 / 0.3e1 * t10846 * t10015 - 0.2e1 * t7584 * t8893 + 0.6e1 * t10846 * t9945 - t2138 + t2119;
  t10859 = t10788 + t10813 + t10831 + t10857;
  t10860 = t59 * t10859;
  t10861 = t10860 * t95;
  t10866 = t7499 * t2323;
  t10869 = t1765 * t9121;
  t10874 = -t10769 - t4753 * t10772 / 0.12e2 + t8659 + t8662 - t8667 + t8683 - t30 * t10861 / 0.4e1 - t182 * t2437 / 0.4e1 - t246 * t10866 / 0.2e1 - t246 * t10869 / 0.2e1 - t768 * t2450 / 0.4e1;
  t10881 = t7469 * t420 * t249;
  t10885 = t1777 * t1312 * t249;
  t10890 = t7533 * t2166;
  t10893 = t5044 * t1777;
  t10894 = t673 * t10893;
  t10905 = -t3530 * t2444 / 0.2e1 + t757 * t2462 / 0.4e1 + t246 * t10881 / 0.4e1 + t246 * t10885 / 0.4e1 - t757 * t2450 / 0.4e1 - t246 * t10890 / 0.4e1 - t211 * t10894 / 0.12e2 + t1293 * t1783 / 0.4e1 + t768 * t2462 / 0.4e1 - t417 * t7210 / 0.12e2 - t417 * t7471 / 0.12e2;
  t10922 = -t8744 - t8748 + t8752 + t1881 * t2108 / 0.12e2 + t515 * t8810 / 0.12e2 + t7345 * t2268 / 0.6e1 - t1748 * t8848 / 0.12e2 + t1876 * t2108 / 0.12e2 + t515 * t8843 / 0.12e2 - t7190 * t2276 / 0.6e1 - t7195 * t2276 / 0.6e1;
  t10929 = t2436 * t277;
  t10934 = t1343 * t544;
  t10937 = t427 * t1830;
  t10942 = -t1748 * t10122 / 0.6e1 - t1748 * t9891 / 0.12e2 + t8778 + t8780 - t8785 - t8790 - t30 * t10929 / 0.4e1 - t182 * t2458 / 0.4e1 - t30 * t10934 / 0.4e1 - t30 * t10937 / 0.4e1 + t1787 * t8704 / 0.6e1;
  t10952 = t593 * t2462 / 0.12e2;
  t10954 = t1267 * t1779 / 0.36e2;
  t10965 = t417 * t7550 / 0.12e2 + t515 * t5054 / 0.12e2 - t1748 * t8709 / 0.12e2 - t1748 * t8692 / 0.6e1 + t10952 - t10954 - t515 * t5140 / 0.12e2 - t1278 * t1886 / 0.12e2 - t1283 * t1886 / 0.12e2 - t417 * t7385 / 0.12e2 - t1876 * t1288 / 0.12e2;
  t10969 = t222 * t2437;
  t10972 = t2435 * t243;
  t10973 = t242 * t10972;
  t10974 = t191 * t10973;
  t10982 = t7368 * t432 / 0.12e2;
  t10984 = t1267 * t1886 / 0.36e2;
  t10986 = t1869 * t1288 / 0.36e2;
  t10993 = -t1881 * t1288 / 0.12e2 - t211 * t10969 / 0.12e2 + t10974 * t250 / 0.4e1 + t7374 * t432 / 0.4e1 + t7390 * t432 / 0.4e1 + t10982 - t10984 - t10986 + t5126 * t530 / 0.4e1 + t1293 * t1873 / 0.4e1 + t1891 * t1274 / 0.4e1;
  t10997 = t5143 * t530 / 0.12e2;
  t11000 = t7198 * t1221;
  t11001 = t673 * t11000;
  t11008 = t30 * t7599;
  t11019 = t5105 * t530 / 0.4e1 + t10997 + t1748 * t8715 / 0.3e1 + t1259 * t11001 / 0.6e1 + t7746 * t10173 / 0.6e1 + t7216 * t10176 / 0.6e1 - 0.5e1 / 0.36e2 * t11008 * t10039 - t7216 * t10042 / 0.12e2 - t7746 * t8639 / 0.6e1 + t7216 * t8631 / 0.12e2 + t7581 * t8636 / 0.12e2;
  t11036 = t7255 * t2276 / 0.18e2;
  t11038 = t1869 * t2108 / 0.36e2;
  t11040 = t7255 * t2271 / 0.36e2;
  t11042 = t7299 * t2268 / 0.18e2;
  t11048 = t512 * t206;
  t11049 = t648 * t11048;
  t11050 = t5183 * t11049;
  t11053 = t1321 * t7242;
  t11055 = t7610 * t9736;
  t11058 = t1843 * t9740;
  t11061 = t519 * t8626;
  t11064 = t7233 * t2318;
  t11067 = t1843 * t8621;
  t11070 = t7238 * t2323;
  t11073 = t1847 * t10079;
  t11075 = -0.2e1 / 0.3e1 * t7216 * t9758 + t7216 * t9763 / 0.3e1 + 0.3e1 * t4738 * t11050 + t4738 * t11053 + 0.3e1 / 0.2e1 * t4779 * t11055 + t4779 * t11058 / 0.2e1 + t4779 * t11061 / 0.2e1 - t4748 * t11064 / 0.2e1 + t4779 * t11067 / 0.2e1 - t3123 * t11070 / 0.2e1 - t4779 * t11073;
  t11077 = t7228 * t2166;
  t11086 = t30 * t7595;
  t11100 = -t3123 * t11077 / 0.4e1 + t4789 * t7758 / 0.12e2 + 0.23e2 / 0.36e2 * t11008 * t10048 + t7216 * t8651 / 0.6e1 - 0.2e1 * t11086 * t10069 - 0.11e2 / 0.18e2 * t11008 * t10072 + t11086 * t10067 - t11008 * t10055 / 0.2e1 + 0.7e1 / 0.3e1 * t11008 * t10059 - 0.3e1 / 0.2e1 * t11008 * t10063 - t7216 * t8610 / 0.3e1;
  t11101 = t512 * t2105;
  t11102 = t3375 * t11101;
  t11103 = t4740 * t11102;
  t11106 = t1847 * t8647;
  t11109 = t7595 * t9882;
  t11112 = t3448 * t11048;
  t11113 = t5178 * t11112;
  t11116 = t3402 * t11048;
  t11117 = t5178 * t11116;
  t11120 = t543 * t615;
  t11121 = t11120 * t1216;
  t11122 = t11121 * t1234;
  t11125 = t11121 * t1239;
  t11128 = t7599 * t9867;
  t11131 = t4754 * t10771;
  t11134 = t3121 * t10770;
  t11135 = t4765 * t11134;
  t11140 = t4738 * t11103 / 0.2e1 - t4779 * t11106 / 0.2e1 - 0.3e1 * t4779 * t11109 + 0.3e1 / 0.2e1 * t9873 * t11113 - 0.3e1 * t4738 * t11117 - t4748 * t11122 / 0.2e1 + t3123 * t11125 / 0.2e1 + 0.3e1 / 0.2e1 * t4779 * t11128 - t4753 * t11131 / 0.6e1 + t4753 * t11135 / 0.3e1 + t11086 * t10094 / 0.2e1;
  t11143 = t30 * t7610;
  t11148 = t4796 * t10771;
  t11151 = t7751 * t415;
  t11152 = t11151 * t730;
  t11155 = t7233 * t2331;
  t11158 = t7751 * t1243;
  t11159 = t11158 * t1246;
  t11172 = -t11143 * t10098 / 0.2e1 - t7746 * t10091 / 0.6e1 + t4792 * t11148 / 0.6e1 - t3123 * t11152 / 0.4e1 + t3123 * t11155 / 0.2e1 - t3123 * t11159 / 0.2e1 - t7190 * t2271 / 0.12e2 - t7195 * t2271 / 0.12e2 + t7340 * t2268 / 0.6e1 + t1787 * t9828 / 0.6e1 + t1787 * t8791 / 0.6e1;
  t11177 = t1227 * t11000;
  t11181 = t593 * t2453 / 0.6e1;
  t11183 = t593 * t2450 / 0.12e2;
  t11185 = t593 * t2447 / 0.6e1;
  t11187 = t3548 * t2444 / 0.6e1;
  t11189 = t7255 * t2282 / 0.9e1;
  t11192 = -t417 * t7200 / 0.12e2 - t515 * t5046 / 0.12e2 - t1218 * t11177 / 0.12e2 + t11181 - t11183 - t11185 - t11187 + t11189 + t9033 - t9044 - t1748 * t8986 / 0.6e1;
  t11196 = t1220 * t11000;
  t11199 = t1889 * t1221;
  t11200 = t1227 * t11199;
  t11209 = t1748 * t8990 / 0.3e1 - t1218 * t11196 / 0.6e1 + t1218 * t11200 / 0.3e1 - t7462 * t1235 / 0.2e1 + t1891 * t1240 / 0.2e1 - t5073 * t1758 / 0.2e1 - t9058 - t9060 - t2089 - t9110 + t9112;
  t11212 = t7488 * t2318;
  t11215 = t1757 * t8725;
  t11231 = t188 * t2458 / 0.12e2;
  t11234 = -t3537 * t2444 / 0.2e1 - t644 * t11212 / 0.2e1 - t644 * t11215 / 0.2e1 - t1293 * t1766 / 0.2e1 - t1293 * t1770 / 0.4e1 + t1293 * t1774 / 0.4e1 - t1891 * t1247 / 0.2e1 - t1891 * t1251 / 0.4e1 + t1891 * t1255 / 0.4e1 - t11231 + t1293 * t1761 / 0.2e1;
  t11239 = my_piecewise3(t2, 0, t757 * t2453 / 0.2e1 + t246 * t10761 / 0.2e1 + t246 * t10764 / 0.2e1 - t1278 * t1779 / 0.12e2 - t1283 * t1779 / 0.12e2 - t768 * t2447 / 0.2e1 - t757 * t2447 / 0.2e1 - t7581 * t8644 / 0.6e1 + t7216 * t9767 / 0.3e1 - t7216 * t9771 / 0.6e1 + t7190 * t2282 / 0.3e1 + t7195 * t2282 / 0.3e1 + t1748 * t10102 / 0.3e1 - t246 * t10754 / 0.4e1 + t768 * t2453 / 0.2e1 + t2160 + t11100 - t11036 + t11038 + t10905 + t11234 + t11140 + t11192 + t10942 + t11172 + t11019 + t10874 + t10922 + t10993 + t10965 + t11209 + t11075 - t11040 + t11042);
  tv3rhosigmatau0 = t3 * t11239 + t2466;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  tv3rhosigmatau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 1] += tv3rhosigmatau1;

  tv3rhosigmatau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 2] += tv3rhosigmatau2;

  tv3rhosigmatau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 3] += tv3rhosigmatau3;

  tv3rhosigmatau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 4] += tv3rhosigmatau4;

  t11246 = t1905 * t1449 / 0.36e2;
  t11254 = t294 * t2496 / 0.12e2;
  t11256 = t5414 * t570 / 0.12e2;
  t11258 = t1354 * t2025 / 0.36e2;
  t11260 = t7929 * t457 / 0.12e2;
  t11266 = t7903 * t2347 / 0.18e2;
  t11268 = t7903 * t2342 / 0.36e2;
  t11270 = t7988 * t2339 / 0.18e2;
  t11279 = -t290 * t2496 / 0.4e1 - t1902 * t1449 / 0.12e2 - t11246 + t5419 * t570 / 0.4e1 - t1351 * t2025 / 0.12e2 + t7959 * t457 / 0.4e1 - t11254 + t11256 - t11258 + t11260 - t945 * t2509 / 0.4e1 - t4065 * t2503 / 0.2e1 - t11266 - t11268 + t11270 + t945 * t2521 / 0.4e1 + t945 * t2512 / 0.2e1 - t1351 * t1950 / 0.12e2 - t945 * t2506 / 0.2e1;
  t11281 = t1354 * t1950 / 0.36e2;
  t11283 = t948 * t2506 / 0.6e1;
  t11285 = t948 * t2509 / 0.12e2;
  t11287 = t4040 * t2503 / 0.6e1;
  t11289 = t7903 * t2353 / 0.9e1;
  t11291 = t1905 * t2199 / 0.36e2;
  t11293 = t948 * t2521 / 0.12e2;
  t11295 = t948 * t2512 / 0.6e1;
  t11309 = t294 * t2517 / 0.12e2;
  t11310 = -t11281 - t11283 - t11285 - t11287 + t11289 + t11291 + t11293 + t11295 - t9156 + t9168 - t9180 + t9188 + t1902 * t2199 / 0.12e2 - t7908 * t2347 / 0.6e1 + t8002 * t2339 / 0.6e1 - t7908 * t2342 / 0.12e2 + t7908 * t2353 / 0.3e1 - t290 * t2517 / 0.4e1 - t11309;
  t11312 = my_piecewise3(t100, 0, t11279 + t11310);
  tv3rhosigmatau5 = t3 * t11312 + t2525;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 5] += tv3rhosigmatau5;

  t11346 = -t10769 - t8667 + t8683 + t903 * t2453 / 0.2e1 - t1368 * t1779 / 0.12e2 - t903 * t2450 / 0.4e1 + t903 * t2462 / 0.4e1 + t7894 * t2268 / 0.6e1 + t7824 * t432 / 0.4e1 + t5379 * t530 / 0.4e1 - t1923 * t1288 / 0.12e2 - t1368 * t1886 / 0.12e2 + t1923 * t2108 / 0.12e2 - t7801 * t2271 / 0.12e2 - t3802 * t2444 / 0.2e1 + t7801 * t2282 / 0.3e1 - t7801 * t2276 / 0.6e1 - t903 * t2447 / 0.2e1 - t307 * t2437 / 0.4e1;
  t11349 = t10952 - t10954 + t10982 - t10984 - t10986 + t10997 - t11036 + t11038 - t11040 + t11042 + t11181 - t11183 - t11185 - t11187 + t11189 - t9215 + t9226 - t11231 - t307 * t2458 / 0.4e1;
  t11351 = my_piecewise3(t2, 0, t11346 + t11349);
  tv3rhosigmatau6 = t3 * t11351 + t2466;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 6] += tv3rhosigmatau6;

  tv3rhosigmatau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 7] += tv3rhosigmatau7;

  tv3rhosigmatau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 8] += tv3rhosigmatau8;

  tv3rhosigmatau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 9] += tv3rhosigmatau9;

  tv3rhosigmatau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 10] += tv3rhosigmatau10;

  t11355 = t1498 * t584;
  t11358 = t452 * t2013;
  t11361 = t2495 * t404;
  t11369 = t110 * t8223;
  t11372 = t110 * t8220;
  t11381 = t110 * t8227;
  t11392 = t11369 * t10454 / 0.2e1 - t11372 * t10463 / 0.2e1 - t8055 * t9272 / 0.6e1 - t8052 * t9239 / 0.6e1 - t8058 * t10480 / 0.12e2 - 0.5e1 / 0.36e2 * t11381 * t10459 + t8058 * t10471 / 0.6e1 + t8058 * t10549 / 0.3e1 + t8058 * t9275 / 0.12e2 + t8055 * t9280 / 0.12e2 + t9353;
  t11394 = t2060 * t9242;
  t11397 = t552 * t2196;
  t11398 = t4408 * t11397;
  t11399 = t5561 * t11398;
  t11414 = t9357 - t9359 - t9361 - t5540 * t11394 / 0.2e1 + t5559 * t11399 / 0.2e1 - t1965 * t9518 / 0.12e2 + t2043 * t2199 / 0.12e2 + t2048 * t2199 / 0.12e2 + t555 * t9367 / 0.12e2 + t8423 * t2339 / 0.6e1 + t8427 * t2339 / 0.6e1;
  t11431 = t8223 * t10520;
  t11436 = t552 * t333;
  t11437 = t4376 * t11436;
  t11438 = t5855 * t11437;
  t11441 = t1958 * t10695 / 0.6e1 - t1965 * t9415 / 0.6e1 + t1958 * t9434 / 0.6e1 + t555 * t6008 / 0.12e2 + t1958 * t9521 / 0.6e1 - t8106 * t2342 / 0.12e2 - t8110 * t2342 / 0.12e2 - t1965 * t10678 / 0.12e2 - 0.3e1 * t5540 * t11431 - 0.2e1 / 0.3e1 * t8058 * t10537 - 0.3e1 * t5559 * t11438;
  t11444 = t4396 * t11436;
  t11445 = t5855 * t11444;
  t11448 = t583 * t615;
  t11449 = t11448 * t1389;
  t11450 = t11449 * t1412;
  t11457 = t8374 * t2389;
  t11460 = t11449 * t1407;
  t11463 = t583 * t333;
  t11464 = t4143 * t11463;
  t11465 = t5553 * t11464;
  t11468 = t380 * t11463;
  t11469 = t5591 * t11468;
  t11472 = t8227 * t10532;
  t11475 = t1476 * t8382;
  t11477 = 0.3e1 / 0.2e1 * t10506 * t11445 + t4145 * t11450 / 0.2e1 - t8058 * t10544 / 0.6e1 + t8058 * t10541 / 0.3e1 - t5535 * t11457 / 0.2e1 - t5535 * t11460 / 0.2e1 + t5548 * t11465 / 0.3e1 - t5548 * t11469 / 0.6e1 + 0.3e1 / 0.2e1 * t5540 * t11472 - t9442 + t5559 * t11475;
  t11478 = t1034 * t11436;
  t11479 = t5860 * t11478;
  t11482 = t8353 * t2394;
  t11495 = 0.3e1 * t5559 * t11479 - t4145 * t11482 / 0.2e1 + t2251 - t9464 + t9487 + t9489 + t2030 * t1462 / 0.4e1 - t2043 * t1449 / 0.12e2 - t2048 * t1449 / 0.12e2 - t555 * t5683 / 0.12e2 - t1378 * t2025 / 0.12e2;
  t11507 = t349 * t2496;
  t11510 = t2494 * t370;
  t11511 = t369 * t11510;
  t11512 = t321 * t11511;
  t11519 = -t1386 * t2025 / 0.12e2 - t442 * t8179 / 0.12e2 + t5689 * t570 / 0.4e1 + t5717 * t570 / 0.4e1 + t1454 * t2040 / 0.4e1 - t338 * t11507 / 0.12e2 + t11512 * t377 / 0.4e1 + t8189 * t457 / 0.4e1 + t8184 * t457 / 0.4e1 - t9505 - t9507;
  t11528 = t558 * t9649;
  t11533 = t2059 * t10407;
  t11538 = t8226 * t10387;
  t11541 = t558 * t10417;
  t11546 = t8254 * t9640 / 0.3e1 + 0.2e1 * t8251 * t9646 + 0.2e1 * t11528 * t9652 + 0.2e1 * t8251 * t10422 + 0.2e1 * t11533 * t10404 + 0.2e1 / 0.3e1 * t8254 * t10384 - t11538 * t10390 / 0.9e1 + 0.6e1 * t11541 * t10419 - 0.4e1 * t8254 * t10414 + t9557 + t9559 + t9570 - t9574;
  t11563 = t559 * t9541 / 0.2e1 - t8231 * t2377 + 0.2e1 / 0.3e1 * t8231 * t2370 + 0.2e1 / 0.3e1 * t2060 * t9551 - t9585 - t9586 - t9588 + t9635 - 0.12e2 * t11533 * t10409 - 0.2e1 / 0.3e1 * t11538 * t10401 - 0.2e1 * t8254 * t9643 + 0.6e1 * t11538 * t10404 - t2060 * t9545;
  t11589 = t8247 * t2373 + t2056 * t9560 + t2054 * t2233 / 0.2e1 - t8231 * t2362 / 0.3e1 - t2060 * t9601 / 0.3e1 + t8227 * t10344 / 0.18e2 - 0.2e1 / 0.3e1 * t2060 * t9619 + 0.2e1 * t8231 * t2366 + 0.2e1 * t2060 * t9623 + 0.1e2 / 0.3e1 * t8227 * t10348 - 0.4e1 / 0.3e1 * t2060 * t10352 - 0.2e1 * t8247 * t2359 - 0.2e1 * t2056 * t9590;
  t11606 = -0.4e1 * t8223 * t10336 - 0.3e1 * t8220 * t10355 - t2056 * t10358 + 0.2e1 * t2060 * t10363 + 0.6e1 * t8223 * t10375 - 0.3e1 * t8227 * t10379 - t2054 * t2220 - t2056 * t9605 + t2060 * t9632 - t559 * t9608 - t559 * t9617 + t2210 - t2229;
  t11608 = t11546 + t11563 + t11589 + t11606;
  t11609 = t139 * t11608;
  t11610 = t11609 * t168;
  t11624 = -t11246 - 0.11e2 / 0.18e2 * t11381 * t10486 + 0.23e2 / 0.36e2 * t11381 * t10492 - t11254 - t110 * t11610 / 0.4e1 + t11369 * t10512 - 0.2e1 * t11369 * t10497 - t11381 * t10514 / 0.2e1 + 0.7e1 / 0.3e1 * t11381 * t10517 - 0.3e1 / 0.2e1 * t11381 * t10501 - t1078 * t2506 / 0.2e1;
  t11636 = t8096 * t2389;
  t11639 = t1940 * t9480;
  t11648 = t8317 * t2257;
  t11666 = t1974 * t9448;
  t11675 = t8110 * t2353 / 0.3e1 + t1965 * t10594 / 0.3e1 + t1965 * t9427 / 0.3e1 + t555 * t9400 / 0.12e2 - t8106 * t2347 / 0.6e1 - t8110 * t2347 / 0.6e1 - t1965 * t10687 / 0.6e1 - t1030 * t11666 / 0.2e1 + t2030 * t1428 / 0.4e1 - t1454 * t1937 / 0.2e1 - t1454 * t1941 / 0.4e1;
  t11681 = t8079 * t1394;
  t11682 = t1000 * t11681;
  t11687 = t1400 * t11681;
  t11698 = -t2030 * t1420 / 0.2e1 - t2030 * t1424 / 0.4e1 + t1432 * t11682 / 0.6e1 + t442 * t8478 / 0.12e2 - t1391 * t11687 / 0.12e2 - t442 * t8081 / 0.12e2 - t1965 * t9408 / 0.12e2 - t555 * t6017 / 0.12e2 + t8106 * t2353 / 0.3e1 + t11256 - t11258;
  t11699 = t11260 - t11266 - t11268 + t11270 - t11281 - t11283 - t11285 - t11287 + t11289 + t11291 + t11293;
  t11706 = t8103 * t2394;
  t11709 = t1936 * t9665;
  t11712 = t2056 * t10607;
  t11715 = t8220 * t10614;
  t11718 = t8070 * t2257;
  t11723 = t1393 * t11681;
  t11726 = t2028 * t1394;
  t11727 = t1400 * t11726;
  t11730 = t11295 - t1078 * t2509 / 0.4e1 + t1078 * t2521 / 0.4e1 - t373 * t11706 / 0.2e1 - t373 * t11709 / 0.2e1 + t5540 * t11712 / 0.2e1 + 0.3e1 / 0.2e1 * t5540 * t11715 - t4145 * t11718 / 0.4e1 + t1965 * t9301 / 0.3e1 - t1391 * t11723 / 0.6e1 + t1391 * t11727 / 0.3e1;
  t11733 = t559 * t9263;
  t11736 = t2056 * t9258;
  t11739 = t5582 * t11468;
  t11744 = t8374 * t2402;
  t11747 = t2060 * t10630;
  t11753 = t6006 * t1948;
  t11754 = t1000 * t11753;
  t11759 = -t8201 * t1408 / 0.2e1 + t5540 * t11733 / 0.2e1 + t5540 * t11736 / 0.2e1 + t5578 * t11739 / 0.6e1 + t5575 * t8076 / 0.12e2 + t4145 * t11744 / 0.2e1 - t5540 * t11747 - t442 * t8445 / 0.12e2 - t442 * t8122 / 0.12e2 - t338 * t11754 / 0.12e2 + t1454 * t1954 / 0.4e1;
  t11761 = t8065 * t440;
  t11762 = t11761 * t1100;
  t11765 = t5553 * t11468;
  t11768 = t8065 * t1416;
  t11769 = t11768 * t1419;
  t11772 = t8096 * t2402;
  t11775 = t1974 * t9492;
  t11783 = t8120 * t445 * t376;
  t11787 = t1948 * t1467 * t376;
  t11792 = -t4145 * t11762 / 0.4e1 - t5548 * t11765 / 0.12e2 - t4145 * t11769 / 0.2e1 + t373 * t11772 / 0.2e1 + t373 * t11775 / 0.2e1 - t1378 * t1950 / 0.12e2 - t1386 * t1950 / 0.12e2 + t373 * t11783 / 0.4e1 + t373 * t11787 / 0.4e1 + t1056 * t2521 / 0.4e1 + t9702;
  t11807 = t9704 - t9180 + t9188 + t8058 * t9246 / 0.6e1 - t318 * t2496 / 0.4e1 - t8058 * t9250 / 0.3e1 + t2030 * t1413 / 0.2e1 - t5674 * t1975 / 0.2e1 + t1454 * t1978 / 0.2e1 - t1965 * t9297 / 0.6e1 - t11309;
  t11812 = my_piecewise3(t100, 0, -t1030 * t11636 / 0.2e1 - t373 * t11639 / 0.4e1 + t1078 * t2512 / 0.2e1 + t1056 * t2512 / 0.2e1 - t1056 * t2509 / 0.4e1 - t373 * t11648 / 0.4e1 - t318 * t2517 / 0.4e1 - t110 * t11355 / 0.4e1 - t110 * t11358 / 0.4e1 - t110 * t11361 / 0.4e1 + t8052 * t10468 / 0.6e1 - t8052 * t10448 / 0.6e1 - t1056 * t2506 / 0.2e1 + t1454 * t1945 / 0.4e1 - t4349 * t2503 / 0.2e1 - t4383 * t2503 / 0.2e1 + t11392 + t11519 - t9324 + t9327 + t11477 + t11807 + t11624 + t11759 + t11675 + t11441 + t11414 + t11698 + t11699 + t11792 - t2180 + t11495 + t11730 - t9308);
  tv3rhosigmatau11 = t3 * t11812 + t2525;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 11] += tv3rhosigmatau11;

  t11814 = t2577 * t277;
  t11818 = t188 * t2578 / 0.12e2;
  t11819 = t62 * t2541;
  t11820 = t11819 * t206;
  t11821 = t840 * t11820;
  t11824 = t233 * t11820;
  t11827 = t11819 * t667;
  t11828 = t233 * t11827;
  t11831 = t827 * t11820;
  t11839 = t662 * t1554;
  t11842 = t3227 * t1539;
  t11845 = t662 * t464;
  t11852 = t469 * t740;
  t11857 = t1590 * t619;
  t11860 = 0.2e1 / 0.3e1 * t8813 * t2728 + 0.2e1 * t662 * t1512 * t249 - 0.4e1 * t11839 * t1246 + 0.4e1 / 0.3e1 * t11842 * t1234 - 0.2e1 * t11845 * t730 + 0.4e1 * t11842 * t1239 - 0.2e1 * t1599 * t222 + 0.4e1 * t11852 * t1246 + 0.2e1 * t472 * t730 - 0.4e1 * t11857 * t1239;
  t11861 = t63 * t11860;
  t11862 = t819 * t11861;
  t11864 = t1329 * t2541;
  t11865 = t3375 * t11864;
  t11868 = t63 * t1512;
  t11869 = t653 * t11868;
  t11872 = t8856 + t8875 + t8877 - t8888 - 0.2e1 * t6427 * t11821 + 0.2e1 * t6440 * t11824 + 0.2e1 * t9923 * t11828 + t6427 * t11831 / 0.3e1 - t470 * t11862 - 0.2e1 / 0.3e1 * t1591 * t11865 + 0.4e1 * t1591 * t11869;
  t11875 = t229 * t11868;
  t11878 = t2553 * t3421;
  t11883 = t2557 * t3416;
  t11886 = t3409 * t11864;
  t11890 = t69 * t2526;
  t11891 = t11890 * t3399;
  t11896 = t819 * t11864;
  t11898 = t2571 * t667;
  t11899 = t3430 * t11898;
  t11901 = t648 * t11868;
  t11904 = -0.4e1 * t2558 * t3427 - 0.4e1 * t1587 * t11875 + 0.6e1 * t11878 * t1317 + 0.2e1 * t2554 * t821 + 0.2e1 * t11883 * t1322 + t1591 * t11886 - 0.12e2 * t11883 * t1326 - 0.2e1 / 0.3e1 * t11891 * t8954 + 0.6e1 * t11891 * t8957 - t1587 * t11896 - t470 * t11899 - 0.2e1 / 0.3e1 * t1591 * t11901;
  t11911 = t60 * t11860;
  t11912 = t819 * t11911;
  t11917 = t60 * t1512;
  t11918 = t648 * t11917;
  t11931 = 0.2e1 / 0.3e1 * t2558 * t3376 - t11891 * t8944 / 0.9e1 - t1585 * t2562 + t470 * t11912 / 0.2e1 + 0.1e2 / 0.3e1 * t11891 * t8865 + 0.4e1 / 0.3e1 * t1591 * t11918 - 0.4e1 / 0.3e1 * t2558 * t3452 + 0.6e1 * t11883 * t1340 - 0.3e1 * t11891 * t8884 - 0.4e1 * t11883 * t1330 + t11891 * t8862 / 0.18e2;
  t11932 = t653 * t11917;
  t11937 = t229 * t11917;
  t11945 = -t8948 - t8949 - t8966 + t8975 - 0.2e1 * t1591 * t11932 + 0.2e1 * t2558 * t3410 + 0.2e1 * t1587 * t11937 - 0.3e1 * t11878 * t1336 - t2554 * t837 + t1585 * t2572 / 0.2e1 - t2138 + t2119;
  t11947 = t11872 + t11904 + t11931 + t11945;
  t11948 = t59 * t11947;
  t11949 = t11948 * t95;
  t11952 = t194 * t2532;
  t11953 = t191 * t11952;
  t11958 = t2526 * t3415;
  t11959 = t616 * t11958;
  t11960 = t191 * t11959;
  t11965 = t2526 * t3396;
  t11966 = t3658 * t11965;
  t11967 = t11966 * t8771;
  t11973 = t2160 - t30 * t11814 / 0.4e1 - t11818 - t30 * t11949 / 0.4e1 + t8659 + t8662 - t8667 + t8683 - t11953 * t1260 / 0.2e1 - t2529 * t670 / 0.6e1 + t11960 * t1300 / 0.2e1 + t2529 * t676 / 0.6e1 + 0.3e1 / 0.2e1 * t3680 * t11967 + t11960 * t1223 - 0.2e1 * t11960 * t1229;
  t11974 = t3512 * t11965;
  t11975 = t191 * t11974;
  t11980 = t94 * t1512;
  t11981 = t661 * t11980;
  t11982 = t673 * t11981;
  t11985 = t645 * t11958;
  t11986 = t11985 * t1239;
  t11989 = t11966 * t8765;
  t12004 = t592 * t2533;
  t12006 = t12004 * t752 / 0.36e2;
  t12008 = t1508 * t1527 / 0.18e2;
  t12010 = t12004 * t630 / 0.18e2;
  t12011 = -0.11e2 / 0.18e2 * t11975 * t8761 + 0.23e2 / 0.36e2 * t11975 * t8993 + t1568 * t11982 / 0.3e1 - 0.3e1 * t246 * t11986 + 0.3e1 / 0.2e1 * t246 * t11989 - t11975 * t8996 / 0.2e1 + 0.7e1 / 0.3e1 * t11975 * t8983 - t1541 * t9790 / 0.3e1 + 0.2e1 / 0.3e1 * t1541 * t9794 - 0.3e1 / 0.2e1 * t11975 * t9105 - t6295 * t1548 + t1532 * t1551 - t12006 - t12008 - t12010;
  t12014 = t3548 * t2584 / 0.6e1;
  t12016 = t12004 * t637 / 0.9e1;
  t12017 = t2541 * t206;
  t12018 = t635 * t12017;
  t12019 = t4760 * t12018;
  t12022 = t95 * t12017;
  t12023 = t4770 * t12022;
  t12026 = t3409 * t12017;
  t12027 = t1591 * t12026;
  t12030 = t463 * t2541;
  t12031 = t3375 * t12030;
  t12032 = t4740 * t12031;
  t12038 = t6358 * t481 / 0.6e1;
  t12041 = t764 * t2533;
  t12046 = t764 * t2528;
  t12055 = -t12014 + t12016 - t6069 * t12019 / 0.3e1 + t6069 * t12023 / 0.6e1 - t4779 * t12027 / 0.2e1 + t4738 * t12032 / 0.2e1 - t2534 * t3540 / 0.6e1 + t12038 - t2534 * t3599 / 0.12e2 - t12041 * t630 / 0.6e1 + t2534 * t3577 / 0.3e1 + t12046 * t223 / 0.6e1 + t2529 * t612 / 0.6e1 - t12041 * t752 / 0.12e2 + t12041 * t637 / 0.3e1;
  t12066 = t674 * t2557;
  t12067 = t12066 * t654;
  t12071 = t593 * t2596 / 0.6e1;
  t12073 = t593 * t2588 / 0.6e1;
  t12074 = t592 * t2528;
  t12076 = t12074 * t223 / 0.18e2;
  t12079 = t6353 * t481 / 0.2e1 + t6335 * t481 / 0.2e1 - t1517 * t1527 / 0.6e1 - t1522 * t1527 / 0.6e1 - t466 * t6347 / 0.6e1 - t8744 - t8748 + t8752 + t246 * t12067 / 0.2e1 + t12071 - t12073 + t12076 - t768 * t2588 / 0.2e1 + t8778 + t8780 - t8785;
  t12089 = t633 * t1512;
  t12090 = t627 * t12089;
  t12091 = t1547 * t12090;
  t12093 = t11985 * t1234;
  t12096 = t645 * t2532;
  t12097 = t12096 * t3181;
  t12099 = t12066 * t649;
  t12102 = t2541 * t667;
  t12103 = t95 * t12102;
  t12104 = t8642 * t12103;
  t12107 = t4760 * t12022;
  t12110 = t276 * t2541;
  t12111 = t253 * t12110;
  t12112 = t3130 * t12111;
  t12115 = t3130 * t12022;
  t12118 = t819 * t12017;
  t12119 = t1587 * t12118;
  t12122 = t3430 * t12102;
  t12123 = t470 * t12122;
  t12126 = -t8790 - t1532 * t1556 - t1532 * t1560 / 0.2e1 + t1532 * t1564 / 0.2e1 + t2534 * t3255 / 0.3e1 - t644 * t12091 + 0.3e1 * t644 * t12093 + t644 * t12097 - t644 * t12099 / 0.2e1 - t6488 * t12104 / 0.6e1 + t6069 * t12107 / 0.12e2 + t6488 * t12112 / 0.12e2 - t6491 * t12115 / 0.6e1 + t4779 * t12119 / 0.2e1 + t4779 * t12123 / 0.2e1;
  t12127 = t6475 * t2592;
  t12130 = t1227 * t11981;
  t12139 = t3279 * t2542;
  t12140 = t660 * t12139;
  t12143 = t94 * t11860;
  t12144 = t661 * t12143;
  t12145 = t660 * t12144;
  t12148 = t1220 * t11981;
  t12155 = -t3123 * t12127 / 0.4e1 + t9033 - t9044 - t1541 * t12130 / 0.6e1 + t2534 * t3272 / 0.6e1 - 0.5e1 / 0.36e2 * t11975 * t8786 - t2534 * t3308 / 0.12e2 - t9058 - t9060 + t466 * t12140 / 0.12e2 + t466 * t12145 / 0.12e2 - t1541 * t12148 / 0.3e1 + t2534 * t3173 / 0.3e1 - t2089 - t182 * t2578 / 0.4e1 - t9110;
  t12161 = t6136 * t2592;
  t12165 = t658 * t221 * t11860;
  t12166 = t1559 * t12165;
  t12170 = t627 * t628 * t1512;
  t12171 = t1547 * t12170;
  t12173 = t12096 * t3186;
  t12176 = t219 * t221 * t1512;
  t12177 = t1555 * t12176;
  t12179 = t247 * t2532;
  t12180 = t12179 * t1246;
  t12183 = t247 * t2527;
  t12184 = t12183 * t730;
  t12188 = t674 * t2553 * t748;
  t12192 = t593 * t2593 / 0.12e2;
  t12194 = t1508 * t2544 / 0.36e2;
  t12195 = t11966 * t9038;
  t12200 = t9112 - t768 * t2593 / 0.4e1 - t757 * t2593 / 0.4e1 - t246 * t12161 / 0.4e1 - t246 * t12166 / 0.4e1 + t246 * t12171 - t246 * t12173 - t246 * t12177 + 0.3e1 / 0.2e1 * t246 * t12180 + t246 * t12184 / 0.2e1 - t246 * t12188 / 0.2e1 - t12192 + t12194 - 0.3e1 * t644 * t12195 - t757 * t2588 / 0.2e1;
  t12211 = t222 * t2578;
  t12214 = t2576 * t243;
  t12215 = t242 * t12214;
  t12216 = t191 * t12215;
  t12233 = t244 * t11980;
  t12234 = t1227 * t12233;
  t12239 = t768 * t2596 / 0.2e1 + t757 * t2596 / 0.2e1 + t1532 * t1514 / 0.2e1 - t3530 * t2584 / 0.2e1 - t3537 * t2584 / 0.2e1 - t211 * t12211 / 0.12e2 + t12216 * t250 / 0.4e1 - t2534 * t3176 / 0.6e1 + t1568 * t9805 / 0.3e1 + t466 * t6263 / 0.6e1 + t1517 * t2544 / 0.12e2 + t1522 * t2544 / 0.12e2 - t1541 * t9814 / 0.6e1 - t466 * t6257 / 0.6e1 + 0.2e1 / 0.3e1 * t1541 * t12234 - 0.2e1 / 0.3e1 * t2534 * t3252;
  t12243 = my_piecewise3(t2, 0, t11973 + t12011 + t12055 + t12079 + t12126 + t12155 + t12200 + t12239);
  tv3rholapl20 = t3 * t12243 + t2600;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  tv3rholapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 1] += tv3rholapl21;

  t12246 = t948 * t2671 / 0.6e1;
  t12248 = t948 * t2663 / 0.6e1;
  t12252 = t948 * t2668 / 0.12e2;
  t12254 = t1618 * t2619 / 0.36e2;
  t12260 = t294 * t2653 / 0.12e2;
  t12261 = t933 * t2603;
  t12266 = t12246 - t12248 + t1615 * t2619 / 0.12e2 - t12252 + t12254 - t945 * t2668 / 0.4e1 - t290 * t2653 / 0.4e1 - t12260 + t12261 * t350 / 0.6e1 - t9156 + t9168 - t9180 + t9188 - t4065 * t2659 / 0.2e1;
  t12267 = t933 * t2608;
  t12282 = t937 * t2608;
  t12284 = t12282 * t1090 / 0.36e2;
  t12285 = t937 * t2603;
  t12287 = t12285 * t350 / 0.18e2;
  t12289 = t4040 * t2659 / 0.6e1;
  t12291 = t12282 * t1023 / 0.9e1;
  t12293 = t6631 * t505 / 0.6e1;
  t12295 = t12282 * t1016 / 0.18e2;
  t12297 = t1618 * t1658 / 0.18e2;
  t12298 = -t12267 * t1090 / 0.12e2 - t12267 * t1016 / 0.6e1 - t1615 * t1658 / 0.6e1 - t945 * t2663 / 0.2e1 + t945 * t2671 / 0.2e1 + t12267 * t1023 / 0.3e1 + t6656 * t505 / 0.2e1 - t12284 + t12287 - t12289 + t12291 + t12293 - t12295 - t12297;
  t12300 = my_piecewise3(t100, 0, t12266 + t12298);
  tv3rholapl22 = t3 * t12300 + t2675;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 2] += tv3rholapl22;

  t12304 = t897 * t2533;
  t12307 = -t11818 - t8667 + t8683 - t12006 - t12008 - t12010 - t12014 + t12016 + t12038 + t12071 - t12073 + t12076 - t307 * t2578 / 0.4e1 - t12304 * t752 / 0.12e2;
  t12312 = t897 * t2528;
  t12329 = -t1632 * t1527 / 0.6e1 + t12304 * t637 / 0.3e1 + t12312 * t223 / 0.6e1 + t6575 * t481 / 0.2e1 - t3802 * t2584 / 0.2e1 - t12304 * t630 / 0.6e1 - t903 * t2588 / 0.2e1 + t903 * t2596 / 0.2e1 - t9215 + t9226 + t1632 * t2544 / 0.12e2 - t903 * t2593 / 0.4e1 - t12192 + t12194;
  t12331 = my_piecewise3(t2, 0, t12307 + t12329);
  tv3rholapl23 = t3 * t12331 + t2600;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 3] += tv3rholapl23;

  tv3rholapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 4] += tv3rholapl24;

  t12335 = t2601 * t4356;
  t12336 = t4373 * t12335;
  t12337 = t12336 * t9317;
  t12340 = t2601 * t4333;
  t12341 = t1031 * t12340;
  t12342 = t12341 * t1412;
  t12345 = -t2180 - t9308 - t9324 + t9327 + t9353 + t9357 - t9359 - t9361 + t12246 - t12248 - t318 * t2653 / 0.4e1 - t9442 + t2251 - 0.3e1 * t1030 * t12337 - 0.3e1 * t373 * t12342;
  t12346 = t3512 * t12335;
  t12347 = t321 * t12346;
  t12363 = t12336 * t9340;
  t12367 = t12336 * t9312;
  t12370 = t142 * t2616;
  t12371 = t12370 * t333;
  t12372 = t1190 * t12371;
  t12375 = t360 * t12371;
  t12378 = t12370 * t994;
  t12379 = t360 * t12378;
  t12384 = t140 * t1671;
  t12385 = t356 * t12384;
  t12388 = t2628 * t4425;
  t12394 = t2632 * t4334;
  t12397 = t69 * t2601;
  t12398 = t12397 * t4375;
  t12403 = t6969 * t12372 / 0.3e1 + 0.2e1 * t6966 * t12375 + 0.2e1 * t10396 * t12379 + 0.2e1 * t2633 * t4582 + 0.2e1 * t1716 * t12385 - 0.3e1 * t12388 * t1491 - t2629 * t1200 + t1714 * t2647 / 0.2e1 - 0.4e1 * t12394 * t1485 + t12398 * t9537 / 0.18e2 + 0.1e2 / 0.3e1 * t12398 * t9548;
  t12404 = t1034 * t12384;
  t12414 = t989 * t1642;
  t12417 = t4206 * t1649;
  t12420 = t989 * t488;
  t12427 = t493 * t1043;
  t12432 = t1719 * t1007;
  t12435 = 0.2e1 / 0.3e1 * t9370 * t2808 + 0.2e1 * t989 * t1671 * t376 - 0.4e1 * t12414 * t1419 + 0.4e1 / 0.3e1 * t12417 * t1407 - 0.2e1 * t12420 * t1100 + 0.4e1 * t12417 * t1412 - 0.2e1 * t1728 * t349 + 0.4e1 * t12427 * t1419 + 0.2e1 * t496 * t1100 - 0.4e1 * t12432 * t1412;
  t12436 = t140 * t12435;
  t12437 = t1182 * t12436;
  t12440 = t1093 * t12384;
  t12447 = t1203 * t12371;
  t12454 = t143 * t1671;
  t12455 = t1093 * t12454;
  t12460 = t2646 * t333;
  t12461 = t1182 * t12460;
  t12463 = 0.4e1 / 0.3e1 * t1720 * t12404 - 0.4e1 / 0.3e1 * t2633 * t4599 + t494 * t12437 / 0.2e1 - 0.2e1 * t1720 * t12440 + 0.6e1 * t12394 * t1495 - 0.3e1 * t12398 * t9571 - 0.2e1 * t6969 * t12447 - 0.12e2 * t12394 * t1481 - 0.2e1 / 0.3e1 * t12398 * t9626 + 0.4e1 * t1720 * t12455 - 0.4e1 * t2633 * t4550 - t1716 * t12461;
  t12465 = t2646 * t994;
  t12466 = t4543 * t12465;
  t12472 = t1034 * t12454;
  t12480 = t143 * t12435;
  t12481 = t1182 * t12480;
  t12483 = t4408 * t12460;
  t12486 = t356 * t12454;
  t12491 = -t494 * t12466 + 0.2e1 * t2629 * t1184 + 0.2e1 * t12394 * t1477 - 0.2e1 / 0.3e1 * t1720 * t12472 + 0.2e1 / 0.3e1 * t2633 * t4563 - t12398 * t9612 / 0.9e1 - t1714 * t2637 - t494 * t12481 - 0.2e1 / 0.3e1 * t1720 * t12483 - 0.4e1 * t1716 * t12486 + 0.6e1 * t12388 * t1472;
  t12494 = t4549 * t12460;
  t12496 = 0.6e1 * t12398 * t9629 + t1720 * t12494 + t2210 - t2229 + t9557 + t9559 + t9570 - t9574 - t9585 - t9586 - t9588 + t9635;
  t12498 = t12403 + t12463 + t12491 + t12496;
  t12499 = t139 * t12498;
  t12500 = t12499 * t168;
  t12503 = -0.11e2 / 0.18e2 * t12347 * t9333 + 0.23e2 / 0.36e2 * t12347 * t9286 - t12347 * t9289 / 0.2e1 + 0.7e1 / 0.3e1 * t12347 * t9292 - t1651 * t10313 / 0.3e1 + 0.2e1 / 0.3e1 * t1651 * t10317 - 0.3e1 / 0.2e1 * t12347 * t9345 - t6848 * t1693 + 0.3e1 / 0.2e1 * t373 * t12363 + t1663 * t1696 + 0.3e1 / 0.2e1 * t4395 * t12367 - t110 * t12500 / 0.4e1 - t9464 - t12252 + t12254;
  t12505 = t2616 * t333;
  t12506 = t4549 * t12505;
  t12507 = t1720 * t12506;
  t12510 = t168 * t12505;
  t12511 = t5587 * t12510;
  t12514 = t1021 * t12505;
  t12515 = t5549 * t12514;
  t12518 = t487 * t2616;
  t12519 = t4408 * t12518;
  t12520 = t5561 * t12519;
  t12524 = t1013 * t1014 * t1671;
  t12525 = t1692 * t12524;
  t12527 = t1031 * t2607;
  t12528 = t12527 * t4176;
  t12530 = t978 * t2632;
  t12531 = t12530 * t1094;
  t12534 = t374 * t2602;
  t12535 = t12534 * t1100;
  t12539 = t978 * t2628 * t1045;
  t12542 = t4137 * t12510;
  t12545 = -t5540 * t12507 / 0.2e1 + t6824 * t12511 / 0.6e1 - t6824 * t12515 / 0.3e1 + t5559 * t12520 / 0.2e1 + t9487 + t9489 - t9505 - t9507 + t373 * t12525 - t373 * t12528 + t373 * t12531 / 0.2e1 + t373 * t12535 / 0.2e1 - t373 * t12539 / 0.2e1 - t12260 - t6830 * t12542 / 0.6e1;
  t12546 = t2616 * t994;
  t12547 = t168 * t12546;
  t12548 = t9270 * t12547;
  t12551 = t5549 * t12510;
  t12554 = t403 * t2616;
  t12555 = t380 * t12554;
  t12556 = t4137 * t12555;
  t12559 = t2652 * t404;
  t12562 = t1074 * t2603;
  t12565 = t1074 * t2608;
  t12588 = -t6827 * t12548 / 0.6e1 + t6824 * t12551 / 0.12e2 + t6827 * t12556 / 0.12e2 - t110 * t12559 / 0.4e1 + t12562 * t350 / 0.6e1 + t12565 * t1023 / 0.3e1 + t2604 * t1087 / 0.6e1 - t12565 * t1090 / 0.12e2 - t2609 * t4490 / 0.12e2 - t12565 * t1016 / 0.6e1 - t2609 * t4352 / 0.6e1 + t2609 * t4438 / 0.3e1 - t1677 * t1658 / 0.6e1 - t1682 * t1658 / 0.6e1 - t490 * t6870 / 0.6e1 - t4383 * t2659 / 0.2e1;
  t12591 = t349 * t2653;
  t12594 = t2651 * t370;
  t12595 = t369 * t12594;
  t12596 = t321 * t12595;
  t12615 = t1182 * t12505;
  t12616 = t1716 * t12615;
  t12619 = t4543 * t12546;
  t12620 = t494 * t12619;
  t12623 = t7116 * t2667;
  t12630 = -t338 * t12591 / 0.12e2 + t12596 * t377 / 0.4e1 + t6876 * t505 / 0.2e1 + t6855 * t505 / 0.2e1 + t1663 * t1673 / 0.2e1 - t4349 * t2659 / 0.2e1 - t1078 * t2663 / 0.2e1 - t1056 * t2663 / 0.2e1 + t1078 * t2671 / 0.2e1 + t1056 * t2671 / 0.2e1 + t5540 * t12616 / 0.2e1 + t5540 * t12620 / 0.2e1 - t4145 * t12623 / 0.4e1 + t1677 * t2619 / 0.12e2 + t1682 * t2619 / 0.12e2;
  t12631 = t4697 * t2617;
  t12632 = t987 * t12631;
  t12635 = t167 * t12435;
  t12636 = t988 * t12635;
  t12637 = t987 * t12636;
  t12642 = t616 * t12340;
  t12643 = t321 * t12642;
  t12648 = t167 * t1671;
  t12649 = t988 * t12648;
  t12650 = t1400 * t12649;
  t12655 = t1000 * t12649;
  t12658 = t194 * t2607;
  t12659 = t321 * t12658;
  t12670 = t371 * t12648;
  t12671 = t1400 * t12670;
  t12676 = t1393 * t12649;
  t12679 = t490 * t12632 / 0.12e2 + t490 * t12637 / 0.12e2 - t2604 * t997 / 0.6e1 + t12643 * t1438 / 0.2e1 + t2604 * t1002 / 0.6e1 - t1651 * t12650 / 0.6e1 + t2609 * t4687 / 0.6e1 + t1644 * t12655 / 0.3e1 - t12659 * t1433 / 0.2e1 + t2609 * t4656 / 0.3e1 + t490 * t7094 / 0.6e1 - t1651 * t10582 / 0.6e1 - t490 * t6775 / 0.6e1 + 0.2e1 / 0.3e1 * t1651 * t12671 - 0.2e1 / 0.3e1 * t2609 * t4691 - t1651 * t12676 / 0.3e1;
  t12695 = t6949 * t2667;
  t12699 = t985 * t348 * t12435;
  t12700 = t1703 * t12699;
  t12704 = t346 * t348 * t1671;
  t12705 = t1699 * t12704;
  t12707 = t374 * t2607;
  t12708 = t12707 * t1419;
  t12711 = t1019 * t1671;
  t12712 = t1013 * t12711;
  t12713 = t1692 * t12712;
  t12715 = t12341 * t1407;
  t12718 = t12527 * t4171;
  t12720 = t12530 * t1035;
  t12723 = t2609 * t4163 / 0.3e1 - t2609 * t4166 / 0.6e1 + t1644 * t10599 / 0.3e1 - 0.5e1 / 0.36e2 * t12347 * t9405 - t2609 * t4722 / 0.12e2 - t1078 * t2668 / 0.4e1 - t1056 * t2668 / 0.4e1 - t373 * t12695 / 0.4e1 - t373 * t12700 / 0.4e1 - t373 * t12705 + 0.3e1 / 0.2e1 * t373 * t12708 - t1030 * t12713 + 0.3e1 * t1030 * t12715 + t1030 * t12718 - t1030 * t12720 / 0.2e1;
  t12732 = -t1663 * t1700 - t1663 * t1704 / 0.2e1 + t1663 * t1708 / 0.2e1 + t9702 + t9704 - t9180 + t9188 - t12284 + t12287 - t12289 + t12291 + t12293 - t12295 - t12297 + t12643 * t1396 - 0.2e1 * t12643 * t1402;
  t12736 = my_piecewise3(t100, 0, t12345 + t12503 + t12545 + t12588 + t12630 + t12679 + t12723 + t12732);
  tv3rholapl25 = t3 * t12736 + t2675;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 5] += tv3rholapl25;

  t12739 = t7255 * t2692 / 0.9e1;
  t12741 = t7255 * t2686 / 0.18e2;
  t12743 = t7255 * t2681 / 0.36e2;
  t12745 = t593 * t2737 / 0.12e2;
  t12747 = t593 * t2734 / 0.6e1;
  t12749 = t3548 * t2729 / 0.6e1;
  t12751 = t593 * t2742 / 0.6e1;
  t12753 = t1508 * t1779 / 0.36e2;
  t12760 = t593 * t2751 / 0.12e2;
  t12761 = t3279 * t2676;
  t12762 = t673 * t12761;
  t12767 = t1220 * t12761;
  t12782 = t12760 + t1787 * t12762 / 0.6e1 + t1787 * t11982 / 0.6e1 - t1748 * t12767 / 0.6e1 + t7340 * t2678 / 0.6e1 + t7345 * t2678 / 0.6e1 + t2160 + t1532 * t1761 / 0.2e1 + t1541 * t11200 / 0.3e1 - t7462 * t1548 / 0.2e1 + t1891 * t1551 / 0.2e1;
  t12787 = t1869 * t2544 / 0.36e2;
  t12789 = t7299 * t2678 / 0.18e2;
  t12802 = t1227 * t12761;
  t12807 = -t6295 * t1758 / 0.2e1 + t12787 + t12789 - t1748 * t9790 / 0.6e1 + t1748 * t9794 / 0.3e1 - t1541 * t11196 / 0.6e1 + t515 * t6263 / 0.12e2 - t1748 * t9814 / 0.12e2 - t515 * t6257 / 0.12e2 - t1748 * t12802 / 0.12e2 - t1748 * t12130 / 0.12e2;
  t12810 = t95 * t6061;
  t12811 = t4760 * t12810;
  t12814 = t95 * t9747;
  t12815 = t10037 * t12814;
  t12824 = t229 * t9747;
  t12825 = t7610 * t12824;
  t12828 = t819 * t6061;
  t12829 = t1843 * t12828;
  t12832 = t7233 * t2728;
  t12837 = t11120 * t1539;
  t12838 = t12837 * t1234;
  t12841 = t1876 * t2544 / 0.12e2 + t7216 * t12811 / 0.6e1 - 0.5e1 / 0.36e2 * t11008 * t12815 - t7581 * t12104 / 0.6e1 + t7216 * t12107 / 0.12e2 + t7581 * t12112 / 0.12e2 + 0.3e1 / 0.2e1 * t4779 * t12825 + t4779 * t12829 / 0.2e1 - t4748 * t12832 / 0.2e1 - t182 * t2720 / 0.4e1 - t4748 * t12838 / 0.2e1;
  t12844 = t12837 * t1239;
  t12847 = t1847 * t12026;
  t12850 = t3375 * t9747;
  t12851 = t7599 * t12850;
  t12854 = t6393 * t11049;
  t12859 = t276 * t463;
  t12860 = t253 * t12859;
  t12861 = t4765 * t12860;
  t12866 = t8659 + t8662 - t8667 + t8683 + t3123 * t12844 / 0.2e1 - t4779 * t12847 / 0.2e1 + 0.3e1 / 0.2e1 * t4779 * t12851 + 0.3e1 * t4738 * t12854 + t1881 * t2544 / 0.12e2 - t7216 * t12861 / 0.12e2 - t466 * t7471 / 0.12e2;
  t12867 = t6255 * t1777;
  t12868 = t673 * t12867;
  t12875 = t62 * t463;
  t12876 = t12875 * t206;
  t12877 = t840 * t12876;
  t12888 = t8856 + t8875 + t8877 - t8888 + t7624 * t2712 + t1843 * t11937 + t1841 * t2572 / 0.2e1 - 0.12e2 * t10841 * t12877 + t519 * t11912 / 0.2e1 - t7632 * t2716 - t1847 * t11932 + 0.2e1 / 0.3e1 * t7632 * t2709 + 0.2e1 / 0.3e1 * t1847 * t11918;
  t12889 = t2708 * t206;
  t12890 = t3375 * t12889;
  t12893 = t2708 * t667;
  t12894 = t3409 * t12893;
  t12897 = t3402 * t12889;
  t12900 = t3375 * t12893;
  t12903 = t229 * t12889;
  t12906 = t819 * t12893;
  t12914 = t648 * t12889;
  t12921 = -0.3e1 * t7599 * t12890 + 0.2e1 * t1847 * t12894 + 0.1e2 / 0.3e1 * t7599 * t12897 - 0.4e1 / 0.3e1 * t1847 * t12900 - 0.3e1 * t7610 * t12903 - t1843 * t12906 - t1843 * t11896 - t519 * t11899 - 0.2e1 * t7624 * t2698 - 0.2e1 * t1843 * t11875 - 0.4e1 * t7595 * t12914 - t7632 * t2701 / 0.3e1 - t1847 * t11901 / 0.3e1;
  t12923 = t3448 * t12889;
  t12927 = t12875 * t667;
  t12928 = t827 * t12927;
  t12931 = t3482 * t12876;
  t12940 = t840 * t12927;
  t12943 = t233 * t12876;
  t12946 = t233 * t12927;
  t12949 = t827 * t12876;
  t12952 = t3475 * t12876;
  t12957 = t7599 * t12923 / 0.18e2 - t1841 * t2562 + 0.2e1 / 0.3e1 * t7584 * t12928 - t10846 * t12931 / 0.9e1 + 0.2e1 * t7586 * t11824 + 0.2e1 * t10828 * t11828 + t7584 * t11831 / 0.3e1 - 0.4e1 * t7584 * t12940 + 0.6e1 * t10836 * t12943 + 0.2e1 * t7586 * t12946 + 0.2e1 * t10841 * t12949 - 0.2e1 / 0.3e1 * t10846 * t12952 - 0.2e1 * t7584 * t11821;
  t12960 = t653 * t12889;
  t12971 = 0.6e1 * t10846 * t12949 + 0.6e1 * t7595 * t12960 + t1847 * t11886 - t519 * t11862 - 0.2e1 / 0.3e1 * t1847 * t11865 + 0.2e1 * t7632 * t2705 + 0.2e1 * t1847 * t11869 - t8948 - t8949 - t8966 + t8975 - t2138 + t2119;
  t12973 = t12888 + t12921 + t12957 + t12971;
  t12974 = t59 * t12973;
  t12975 = t12974 * t95;
  t12978 = t3671 * t9747;
  t12984 = t4760 * t12814;
  t12987 = t635 * t9747;
  t12988 = t10058 * t12987;
  t12991 = t10058 * t12814;
  t12994 = t10037 * t12987;
  t12997 = -t211 * t12868 / 0.12e2 - t30 * t12975 / 0.4e1 - t8744 - t8748 + t8752 - 0.3e1 / 0.2e1 * t11008 * t10037 * t12978 - t7216 * t12019 / 0.3e1 - t11008 * t12984 / 0.2e1 + 0.7e1 / 0.3e1 * t11008 * t12988 - 0.11e2 / 0.18e2 * t11008 * t12991 + 0.23e2 / 0.36e2 * t11008 * t12994;
  t13004 = t512 * t2541;
  t13005 = t3375 * t13004;
  t13006 = t4740 * t13005;
  t13009 = t4754 * t12814;
  t13011 = t6390 * t11116;
  t13014 = t653 * t9747;
  t13015 = t7595 * t13014;
  t13018 = t7238 * t2733;
  t13021 = t6390 * t11112;
  t13030 = t7216 * t12023 / 0.6e1 - 0.2e1 * t11086 * t4765 * t12987 + t4738 * t13006 / 0.2e1 + t11086 * t13009 - 0.3e1 * t4738 * t13011 - 0.3e1 * t4779 * t13015 - t3123 * t13018 / 0.2e1 + 0.3e1 / 0.2e1 * t9873 * t13021 - t7195 * t2686 / 0.6e1 + t515 * t12140 / 0.12e2 + t515 * t12145 / 0.12e2;
  t13034 = t188 * t2720 / 0.12e2;
  t13045 = -t7190 * t2686 / 0.6e1 - t13034 + t8778 + t8780 - t8785 - t8790 - t7746 * t12115 / 0.6e1 - t466 * t7385 / 0.12e2 - t1876 * t1527 / 0.12e2 - t1881 * t1527 / 0.12e2 - t515 * t6347 / 0.12e2;
  t13049 = t222 * t2720;
  t13058 = t2718 * t243;
  t13059 = t242 * t13058;
  t13060 = t191 * t13059;
  t13075 = t6358 * t530 / 0.12e2;
  t13077 = t7368 * t481 / 0.12e2;
  t13079 = t1508 * t1886 / 0.36e2;
  t13081 = t1869 * t1527 / 0.36e2;
  t13082 = t2719 * t277;
  t13086 = t188 * t2747 / 0.12e2;
  t13097 = t13075 + t13077 - t13079 - t13081 - t30 * t13082 / 0.4e1 - t13086 - t6069 * t10772 / 0.12e2 + t6488 * t7758 / 0.12e2 - t1517 * t1779 / 0.12e2 - t1522 * t1779 / 0.12e2 - t466 * t7210 / 0.12e2;
  t13103 = t7499 * t2733;
  t13122 = -t768 * t2734 / 0.2e1 - t757 * t2734 / 0.2e1 - t246 * t13103 / 0.2e1 + t1748 * t12234 / 0.3e1 + t1568 * t11001 / 0.6e1 + t466 * t7550 / 0.12e2 - t1748 * t12148 / 0.6e1 + t1787 * t9805 / 0.6e1 - t466 * t7200 / 0.12e2 + t7190 * t2692 / 0.3e1 + t7195 * t2692 / 0.3e1;
  t13123 = t755 * t2676;
  t13124 = t1227 * t13123;
  t13127 = t4770 * t12810;
  t13130 = t4754 * t12860;
  t13133 = t7228 * t2592;
  t13138 = t1607 * t544;
  t13141 = t476 * t1830;
  t13144 = t1748 * t13124 / 0.3e1 + t7216 * t13127 / 0.3e1 - t7216 * t13130 / 0.6e1 - t3123 * t13133 / 0.4e1 + t9033 - t9044 + t6069 * t11135 / 0.3e1 - t9058 - t9060 - t30 * t13138 / 0.4e1 - t30 * t13141 / 0.4e1;
  t13150 = t1777 * t1584 * t249;
  t13155 = t7533 * t2592;
  t13158 = t1769 * t12165;
  t13165 = t7488 * t2741;
  t13168 = t1757 * t12170;
  t13175 = -t182 * t2747 / 0.4e1 + t246 * t13150 / 0.4e1 - t757 * t2737 / 0.4e1 - t246 * t13155 / 0.4e1 - t246 * t13158 / 0.4e1 + t768 * t2742 / 0.2e1 + t757 * t2742 / 0.2e1 + t246 * t13165 / 0.2e1 + t246 * t13168 / 0.2e1 + t1532 * t1783 / 0.4e1 + t768 * t2751 / 0.4e1;
  t13179 = t7469 * t469 * t249;
  t13182 = t1591 * t7242;
  t13186 = t7751 * t1554;
  t13187 = t13186 * t1246;
  t13190 = t7751 * t464;
  t13191 = t13190 * t730;
  t13196 = t635 * t6061;
  t13197 = t4760 * t13196;
  t13200 = t3121 * t12859;
  t13201 = t4765 * t13200;
  t13204 = t4796 * t12814;
  t13207 = t757 * t2751 / 0.4e1 + t246 * t13179 / 0.4e1 + t4738 * t13182 + t6491 * t11148 / 0.6e1 - t3123 * t13187 / 0.2e1 - t3123 * t13191 / 0.4e1 - t6069 * t11131 / 0.6e1 - t2089 - 0.2e1 / 0.3e1 * t7216 * t13197 + t7216 * t13201 / 0.3e1 - t11143 * t13204 / 0.2e1;
  t13209 = t3130 * t12810;
  t13212 = t519 * t12122;
  t13227 = t3409 * t6061;
  t13228 = t1847 * t13227;
  t13230 = -t7746 * t13209 / 0.6e1 + t4779 * t13212 / 0.2e1 - t9110 + t9112 + t1891 * t1564 / 0.4e1 - t1532 * t1766 / 0.2e1 - t1532 * t1770 / 0.4e1 - t1891 * t1556 / 0.2e1 - t1891 * t1560 / 0.4e1 - t1541 * t11177 / 0.12e2 - t4779 * t13228;
  t13231 = t7233 * t2741;
  t13234 = t1843 * t12118;
  t13237 = t4765 * t12814;
  t13240 = t4796 * t12860;
  t13243 = t1765 * t12176;
  t13254 = t7488 * t2728;
  t13257 = t1757 * t12090;
  t13260 = t3123 * t13231 / 0.2e1 + t4779 * t13234 / 0.2e1 + t11086 * t13237 / 0.2e1 + t7746 * t13240 / 0.6e1 - t246 * t13243 / 0.2e1 - t768 * t2737 / 0.4e1 + t1532 * t1774 / 0.4e1 - t3530 * t2729 / 0.2e1 - t3537 * t2729 / 0.2e1 - t644 * t13254 / 0.2e1 - t644 * t13257 / 0.2e1;
  t13265 = my_piecewise3(t2, 0, t13122 + t12739 - t12741 + t12751 - t12753 + t13045 + t12997 + t12866 + t12782 + t13207 + t13144 - t12743 - t12745 + t13030 - t12747 - t12749 + t13230 + t13260 + t12807 + t12841 + t13097 + t13175 + t6353 * t530 / 0.4e1 + t6335 * t530 / 0.4e1 - t211 * t13049 / 0.12e2 - t1517 * t1886 / 0.12e2 - t1522 * t1886 / 0.12e2 + t1532 * t1873 / 0.4e1 + t13060 * t250 / 0.4e1 + t7374 * t481 / 0.4e1 + t7390 * t481 / 0.4e1 + t1891 * t1514 / 0.4e1 - t7190 * t2681 / 0.12e2 - t7195 * t2681 / 0.12e2);
  tv3rholapltau0 = t3 * t13265 + t2755;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  tv3rholapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 1] += tv3rholapltau1;

  tv3rholapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 2] += tv3rholapltau2;

  t13268 = t294 * t2800 / 0.12e2;
  t13272 = t1618 * t1950 / 0.36e2;
  t13274 = t948 * t2817 / 0.12e2;
  t13276 = t4040 * t2809 / 0.6e1;
  t13278 = t948 * t2814 / 0.6e1;
  t13280 = t7903 * t2772 / 0.9e1;
  t13288 = t948 * t2831 / 0.12e2;
  t13290 = t948 * t2822 / 0.6e1;
  t13296 = t6631 * t570 / 0.12e2;
  t13298 = t1618 * t2025 / 0.36e2;
  t13300 = t7929 * t505 / 0.12e2;
  t13302 = t1905 * t1658 / 0.36e2;
  t13305 = -t13268 - t290 * t2800 / 0.4e1 - t13272 - t13274 - t13276 - t13278 + t13280 - t7908 * t2766 / 0.6e1 + t8002 * t2758 / 0.6e1 - t7908 * t2761 / 0.12e2 + t13288 + t13290 + t7908 * t2772 / 0.3e1 + t1902 * t2619 / 0.12e2 + t13296 - t13298 + t13300 - t13302 - t290 * t2827 / 0.4e1;
  t13307 = t294 * t2827 / 0.12e2;
  t13309 = t7903 * t2766 / 0.18e2;
  t13311 = t7903 * t2761 / 0.36e2;
  t13313 = t7988 * t2758 / 0.18e2;
  t13315 = t1905 * t2619 / 0.36e2;
  t13336 = -t13307 - t13309 - t13311 + t13313 + t13315 + t6656 * t570 / 0.4e1 - t1902 * t1658 / 0.12e2 - t1615 * t2025 / 0.12e2 + t7959 * t505 / 0.4e1 - t1615 * t1950 / 0.12e2 + t945 * t2831 / 0.4e1 - t945 * t2817 / 0.4e1 + t945 * t2822 / 0.2e1 - t9156 + t9168 - t9180 + t9188 - t4065 * t2809 / 0.2e1 - t945 * t2814 / 0.2e1;
  t13338 = my_piecewise3(t100, 0, t13305 + t13336);
  tv3rholapltau3 = t3 * t13338 + t2835;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 3] += tv3rholapltau3;

  t13352 = t12739 - t12741 - t12743 - t12745 - t12747 - t12749 + t12751 - t12753 + t12760 + t12787 + t12789 - t8667 + t8683 - t307 * t2720 / 0.4e1 - t903 * t2737 / 0.4e1 + t903 * t2742 / 0.2e1 - t903 * t2734 / 0.2e1 - t3802 * t2729 / 0.2e1 + t7801 * t2692 / 0.3e1;
  t13375 = t1923 * t2544 / 0.12e2 - t7801 * t2686 / 0.6e1 - t1632 * t1779 / 0.12e2 + t903 * t2751 / 0.4e1 + t7894 * t2678 / 0.6e1 - t7801 * t2681 / 0.12e2 - t13034 + t13075 + t13077 - t13079 - t13081 - t307 * t2747 / 0.4e1 - t13086 - t1923 * t1527 / 0.12e2 + t6575 * t530 / 0.4e1 - t1632 * t1886 / 0.12e2 + t7824 * t481 / 0.4e1 - t9215 + t9226;
  t13377 = my_piecewise3(t2, 0, t13352 + t13375);
  tv3rholapltau4 = t3 * t13377 + t2755;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 4] += tv3rholapltau4;

  tv3rholapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 5] += tv3rholapltau5;

  tv3rholapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 6] += tv3rholapltau6;

  t13385 = t1054 * t2756;
  t13386 = t1400 * t13385;
  t13397 = t4697 * t2756;
  t13398 = t1393 * t13397;
  t13424 = t8096 * t2808;
  t13427 = -t2030 * t1704 / 0.4e1 + t2030 * t1708 / 0.4e1 - t1663 * t1937 / 0.2e1 + t490 * t8478 / 0.12e2 - t1651 * t11687 / 0.12e2 - t490 * t8081 / 0.12e2 - t1965 * t10582 / 0.12e2 + t1663 * t1945 / 0.4e1 - t4349 * t2809 / 0.2e1 - t4383 * t2809 / 0.2e1 - t1030 * t13424 / 0.2e1;
  t13429 = t1974 * t12712;
  t13432 = t1974 * t12524;
  t13445 = t8317 * t2667;
  t13448 = t1940 * t12699;
  t13455 = -t1030 * t13429 / 0.2e1 + t373 * t13432 / 0.2e1 - t1078 * t2814 / 0.2e1 - t1056 * t2814 / 0.2e1 - t1663 * t1941 / 0.4e1 - t1078 * t2817 / 0.4e1 - t1056 * t2817 / 0.4e1 - t373 * t13445 / 0.4e1 - t373 * t13448 / 0.4e1 + t1078 * t2822 / 0.2e1 + t1056 * t2822 / 0.2e1;
  t13456 = t8096 * t2821;
  t13464 = t8120 * t493 * t376;
  t13467 = t8103 * t2813;
  t13470 = t1936 * t12704;
  t13477 = t6773 * t1948;
  t13478 = t1000 * t13477;
  t13485 = t373 * t13456 / 0.2e1 + t1078 * t2831 / 0.4e1 + t1056 * t2831 / 0.4e1 + t373 * t13464 / 0.4e1 - t373 * t13467 / 0.2e1 - t373 * t13470 / 0.2e1 - t490 * t8445 / 0.12e2 - t490 * t8122 / 0.12e2 - t338 * t13478 / 0.12e2 + t1663 * t1954 / 0.4e1 - t1677 * t1950 / 0.12e2;
  t13491 = t1948 * t1713 * t376;
  t13510 = -t1682 * t1950 / 0.12e2 + t373 * t13491 / 0.4e1 + t2030 * t1696 / 0.2e1 - t6848 * t1975 / 0.2e1 + t1663 * t1978 / 0.2e1 - t1965 * t10313 / 0.6e1 + t1965 * t10317 / 0.3e1 - t1651 * t11723 / 0.6e1 + t1651 * t11727 / 0.3e1 - t8201 * t1693 / 0.2e1 - t2180;
  t13519 = t1000 * t13397;
  t13524 = t2056 * t12615;
  t13527 = t559 * t12619;
  t13530 = t8070 * t2667;
  t13533 = t356 * t10507;
  t13534 = t8220 * t13533;
  t13537 = t8065 * t1642;
  t13538 = t13537 * t1419;
  t13541 = t555 * t12632 / 0.12e2 + t555 * t12637 / 0.12e2 + t8423 * t2758 / 0.6e1 + t8427 * t2758 / 0.6e1 + t1958 * t13519 / 0.6e1 + t6827 * t8076 / 0.12e2 + t5540 * t13524 / 0.2e1 + t5540 * t13527 / 0.2e1 - t4145 * t13530 / 0.4e1 + 0.3e1 / 0.2e1 * t5540 * t13534 - t4145 * t13538 / 0.2e1;
  t13543 = t8065 * t488;
  t13544 = t13543 * t1100;
  t13547 = t4549 * t7137;
  t13548 = t2060 * t13547;
  t13550 = t8374 * t2821;
  t13557 = -t4145 * t13544 / 0.4e1 - t5540 * t13548 + t4145 * t13550 / 0.2e1 + t6830 * t11739 / 0.6e1 - t9308 - t9324 + t9327 - t6824 * t11765 / 0.12e2 + t9353 + t9357 - t9359;
  t13560 = t11448 * t1649;
  t13561 = t13560 * t1407;
  t13564 = t13560 * t1412;
  t13567 = t1093 * t10507;
  t13568 = t8223 * t13567;
  t13571 = t552 * t2616;
  t13572 = t4408 * t13571;
  t13573 = t5561 * t13572;
  t13576 = t2060 * t12506;
  t13579 = t4408 * t10507;
  t13580 = t8227 * t13579;
  t13585 = t168 * t10507;
  t13586 = t10485 * t13585;
  t13589 = -t9361 - t13268 + t6824 * t11465 / 0.3e1 - t5535 * t13561 / 0.2e1 + t4145 * t13564 / 0.2e1 - 0.3e1 * t5540 * t13568 + t5559 * t13573 / 0.2e1 - t5540 * t13576 / 0.2e1 + 0.3e1 / 0.2e1 * t5540 * t13580 - t6824 * t11469 / 0.6e1 - 0.11e2 / 0.18e2 * t11381 * t13586;
  t13593 = t1021 * t10507;
  t13594 = t10458 * t13593;
  t13601 = t5591 * t13585;
  t13603 = t5553 * t13593;
  t13606 = t6988 * t11437;
  t13609 = t5549 * t13585;
  t13612 = t10485 * t13593;
  t13615 = t4403 * t10507;
  t13616 = t10458 * t13615;
  t13619 = t6988 * t11444;
  t13633 = t349 * t2800;
  t13640 = -t9442 + t2251 - t9464 - t2048 * t1658 / 0.12e2 - t2043 * t1658 / 0.12e2 - t1682 * t2025 / 0.12e2 - t490 * t8179 / 0.12e2 + t2030 * t1673 / 0.4e1 - t338 * t13633 / 0.12e2 - t555 * t6870 / 0.12e2 - t1677 * t2025 / 0.12e2;
  t13656 = t8189 * t505 / 0.4e1 + t8184 * t505 / 0.4e1 + t9487 + t9489 - t9505 - t9507 - t1965 * t12676 / 0.6e1 + t1958 * t10599 / 0.6e1 + t555 * t7094 / 0.12e2 + t1958 * t12655 / 0.6e1 - t8106 * t2761 / 0.12e2;
  t13659 = t1400 * t13397;
  t13668 = -t8110 * t2761 / 0.12e2 - t1965 * t13659 / 0.12e2 - t1965 * t12650 / 0.12e2 + t2043 * t2619 / 0.12e2 + t2048 * t2619 / 0.12e2 - t13272 - t13274 - t13276 - t13278 + t13280 + t13288;
  t13671 = t403 * t487;
  t13672 = t4143 * t13671;
  t13673 = t5553 * t13672;
  t13676 = t380 * t13671;
  t13677 = t5591 * t13676;
  t13680 = t5582 * t13585;
  t13683 = t168 * t7137;
  t13684 = t4137 * t13683;
  t13687 = t5553 * t13585;
  t13690 = t13290 + t13296 - t13298 + t13300 - t13302 - t13307 + t8058 * t13673 / 0.3e1 - t8058 * t13677 / 0.6e1 - t11372 * t13680 / 0.2e1 - t8052 * t13684 / 0.6e1 + t11369 * t13687 / 0.2e1;
  t13691 = t5582 * t13676;
  t13694 = t5549 * t13683;
  t13697 = t1021 * t7137;
  t13698 = t5549 * t13697;
  t13705 = t5587 * t13683;
  t13708 = t10458 * t13585;
  t13711 = t5553 * t13676;
  t13718 = t8052 * t13691 / 0.6e1 + t8058 * t13694 / 0.6e1 - 0.2e1 / 0.3e1 * t8058 * t13698 + t8058 * t12551 / 0.12e2 + t8055 * t12556 / 0.12e2 + t8058 * t13705 / 0.3e1 - 0.5e1 / 0.36e2 * t11381 * t13708 - t8058 * t13711 / 0.12e2 - t8052 * t12542 / 0.6e1 - t8055 * t12548 / 0.6e1 - t13309;
  t13722 = t2798 * t370;
  t13723 = t369 * t13722;
  t13724 = t321 * t13723;
  t13733 = t142 * t487;
  t13734 = t13733 * t333;
  t13735 = t4633 * t13734;
  t13742 = t360 * t13734;
  t13745 = t13733 * t994;
  t13746 = t360 * t13745;
  t13749 = t1190 * t13734;
  t13752 = t1190 * t13745;
  t13757 = t1203 * t13745;
  t13762 = t1203 * t13734;
  t13765 = t4624 * t13734;
  t13770 = -t11538 * t13735 / 0.9e1 + 0.2e1 * t8251 * t12375 + 0.2e1 * t11528 * t12379 + 0.6e1 * t11541 * t13742 + 0.2e1 * t8251 * t13746 + 0.2e1 * t11533 * t13749 + 0.2e1 / 0.3e1 * t8254 * t13752 + t8254 * t12372 / 0.3e1 - 0.4e1 * t8254 * t13757 + 0.6e1 * t11538 * t13749 - 0.12e2 * t11533 * t13762 - 0.2e1 / 0.3e1 * t11538 * t13765 - 0.2e1 * t8254 * t12447;
  t13771 = t2788 * t333;
  t13772 = t1093 * t13771;
  t13776 = t4408 * t13771;
  t13779 = t2788 * t994;
  t13780 = t1182 * t13779;
  t13794 = 0.6e1 * t8223 * t13772 + t2060 * t12494 - 0.3e1 * t8227 * t13776 - t2056 * t13780 - t2056 * t12461 - t559 * t12466 + t559 * t12437 / 0.2e1 - t8231 * t2796 - t2060 * t12440 + 0.2e1 / 0.3e1 * t8231 * t2789 + 0.2e1 / 0.3e1 * t2060 * t12404 + t8247 * t2792 + t2056 * t12385;
  t13798 = t4549 * t13779;
  t13805 = t2054 * t2647 / 0.2e1 + t9557 + t9559 + t9570 - t9574 - t9585 - t9586 - t9588 + t9635 + 0.2e1 * t2060 * t13798 - t2054 * t2637 - t559 * t12481 - 0.2e1 / 0.3e1 * t2060 * t12483;
  t13810 = t4376 * t13771;
  t13813 = t4408 * t13779;
  t13816 = t356 * t13771;
  t13823 = t1034 * t13771;
  t13830 = t4396 * t13771;
  t13833 = 0.2e1 * t8231 * t2785 + 0.2e1 * t2060 * t12455 + 0.1e2 / 0.3e1 * t8227 * t13810 - 0.4e1 / 0.3e1 * t2060 * t13813 - 0.3e1 * t8220 * t13816 - 0.2e1 * t8247 * t2778 - 0.2e1 * t2056 * t12486 - 0.4e1 * t8223 * t13823 - t8231 * t2781 / 0.3e1 - t2060 * t12472 / 0.3e1 + t8227 * t13830 / 0.18e2 - t2229 + t2210;
  t13835 = t13770 + t13794 + t13805 + t13833;
  t13836 = t139 * t13835;
  t13837 = t13836 * t168;
  t13840 = -t13311 + t13313 + t13315 + t6876 * t570 / 0.4e1 + t13724 * t377 / 0.4e1 + t6855 * t570 / 0.4e1 + t1663 * t2040 / 0.4e1 - t318 * t2800 / 0.4e1 - t110 * t13837 / 0.4e1 + t9702 + t9704;
  t13841 = t2799 * t404;
  t13846 = t1736 * t584;
  t13849 = t500 * t2013;
  t13852 = t1182 * t7137;
  t13853 = t2056 * t13852;
  t13856 = t8353 * t2813;
  t13859 = t6984 * t11478;
  t13862 = t1720 * t8382;
  t13864 = t8374 * t2808;
  t13867 = -t9180 + t9188 - t110 * t13841 / 0.4e1 - t318 * t2827 / 0.4e1 - t110 * t13846 / 0.4e1 - t110 * t13849 / 0.4e1 + t5540 * t13853 / 0.2e1 - t4145 * t13856 / 0.2e1 + 0.3e1 * t5559 * t13859 + t5559 * t13862 - t5535 * t13864 / 0.2e1;
  t13872 = my_piecewise3(t100, 0, t13510 + t13455 + t13541 + t13840 + t13668 + t13557 + t13867 + t13718 + t13640 + t13427 + t13656 + t13690 + t13485 + t13589 + 0.3e1 / 0.2e1 * t10506 * t13619 - t555 * t6775 / 0.12e2 + t8106 * t2772 / 0.3e1 + t8110 * t2772 / 0.3e1 + t1965 * t13386 / 0.3e1 + t1965 * t12671 / 0.3e1 + t1644 * t11682 / 0.6e1 - t8106 * t2766 / 0.6e1 - t8110 * t2766 / 0.6e1 - 0.3e1 / 0.2e1 * t11381 * t13616 + 0.23e2 / 0.36e2 * t11381 * t13594 + t8058 * t12511 / 0.6e1 - t8058 * t12515 / 0.3e1 + t11369 * t13601 - 0.2e1 * t11369 * t13603 - 0.3e1 * t5559 * t13606 - t1965 * t13398 / 0.6e1 - t2030 * t1700 / 0.2e1 - t11381 * t13609 / 0.2e1 + 0.7e1 / 0.3e1 * t11381 * t13612);
  tv3rholapltau7 = t3 * t13872 + t2835;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 7] += tv3rholapltau7;

  t13876 = t2836 * t3396;
  t13877 = t3512 * t13876;
  t13878 = t191 * t13877;
  t13887 = t3279 * t2852;
  t13888 = t660 * t13887;
  t13892 = t627 * t633 * t512;
  t13898 = t662 * t1764;
  t13901 = t3227 * t1746;
  t13904 = t662 * t513;
  t13911 = t518 * t740;
  t13916 = t1846 * t619;
  t13919 = 0.2e1 / 0.3e1 * t8813 * t13892 + 0.2e1 * t662 * t1839 * t249 - 0.4e1 * t13898 * t1246 + 0.4e1 / 0.3e1 * t13901 * t1234 - 0.2e1 * t13904 * t730 + 0.4e1 * t13901 * t1239 - 0.2e1 * t1855 * t222 + 0.4e1 * t13911 * t1246 + 0.2e1 * t521 * t730 - 0.4e1 * t13916 * t1239;
  t13920 = t94 * t13919;
  t13921 = t661 * t13920;
  t13922 = t660 * t13921;
  t13927 = t2836 * t3415;
  t13928 = t616 * t13927;
  t13929 = t191 * t13928;
  t13936 = t94 * t1839;
  t13937 = t244 * t13936;
  t13938 = t1227 * t13937;
  t13943 = t661 * t13936;
  t13944 = t1220 * t13943;
  t13951 = t645 * t2842;
  t13952 = t13951 * t3181;
  t13957 = t1787 * t11001 / 0.3e1 - 0.5e1 / 0.36e2 * t13878 * t8786 - t2844 * t3308 / 0.12e2 + t1876 * t2854 / 0.12e2 + t1881 * t2854 / 0.12e2 + t515 * t13888 / 0.12e2 + t515 * t13922 / 0.12e2 - t2839 * t670 / 0.6e1 + t13929 * t1300 / 0.2e1 - t1748 * t11177 / 0.6e1 - t515 * t7200 / 0.6e1 + 0.2e1 / 0.3e1 * t1748 * t13938 - 0.2e1 / 0.3e1 * t2844 * t3252 - t1748 * t13944 / 0.3e1 + t2844 * t3173 / 0.3e1 - t2844 * t3176 / 0.6e1 + t644 * t13952 - t1891 * t1766 - t1891 * t1770 / 0.2e1;
  t13971 = t1777 * t1840 * t249;
  t13976 = t7198 * t1777;
  t13977 = t673 * t13976;
  t13982 = t633 * t1839;
  t13983 = t627 * t13982;
  t13984 = t1757 * t13983;
  t13986 = t645 * t13927;
  t13987 = t13986 * t1234;
  t13992 = t7533 * t2911;
  t13996 = t658 * t221 * t13919;
  t13997 = t1769 * t13996;
  t14001 = t219 * t221 * t1839;
  t14002 = t1765 * t14001;
  t14004 = t247 * t2842;
  t14005 = t14004 * t1246;
  t14008 = t674 * t2869;
  t14009 = t14008 * t649;
  t14014 = t2844 * t3255 / 0.3e1 - t1876 * t1779 / 0.6e1 - t1881 * t1779 / 0.6e1 - t515 * t7210 / 0.6e1 - t515 * t7471 / 0.6e1 + t515 * t7550 / 0.6e1 + t246 * t13971 / 0.2e1 + t1891 * t1774 / 0.2e1 - t211 * t13977 / 0.6e1 + t1891 * t1783 / 0.2e1 - t644 * t13984 + 0.3e1 * t644 * t13987 - t757 * t2912 / 0.4e1 - t246 * t13992 / 0.4e1 - t246 * t13997 / 0.4e1 - t246 * t14002 + 0.3e1 / 0.2e1 * t246 * t14005 - t644 * t14009 / 0.2e1 + t768 * t2903 / 0.2e1;
  t14019 = t7469 * t518 * t249;
  t14023 = t627 * t628 * t1839;
  t14024 = t1757 * t14023;
  t14026 = t13951 * t3186;
  t14028 = t14008 * t654;
  t14031 = params->at * t2932;
  t14032 = t661 * t14031;
  t14033 = t673 * t14032;
  t14037 = t14031 * t226 * t249;
  t14040 = t247 * t2837;
  t14041 = t14040 * t730;
  t14045 = t674 * t2865 * t748;
  t14051 = t593 * t2912 / 0.12e2;
  t14053 = t593 * t2903 / 0.6e1;
  t14055 = t1869 * t1779 / 0.18e2;
  t14057 = t1869 * t2854 / 0.36e2;
  t14058 = t757 * t2903 / 0.2e1 + t246 * t14019 / 0.2e1 + t246 * t14024 - t246 * t14026 + t246 * t14028 / 0.2e1 - t211 * t14033 / 0.12e2 + t246 * t14037 / 0.4e1 + t246 * t14041 / 0.2e1 - t246 * t14045 / 0.2e1 - t768 * t2912 / 0.4e1 - t14051 + t14053 - t14055 + t14057 + t2160 + t8659 + t8662 - t8667 + t8683;
  t14059 = t7228 * t2911;
  t14062 = t2851 * t206;
  t14063 = t819 * t14062;
  t14064 = t1843 * t14063;
  t14067 = t2851 * t667;
  t14068 = t3430 * t14067;
  t14069 = t519 * t14068;
  t14076 = t3658 * t13876;
  t14077 = t14076 * t8771;
  t14080 = t14076 * t9038;
  t14095 = t188 * t2890 / 0.12e2;
  t14099 = t188 * t2895 / 0.6e1;
  t14101 = t188 * t2934 / 0.12e2;
  t14102 = -t3123 * t14059 / 0.4e1 + t4779 * t14064 / 0.2e1 + t4779 * t14069 / 0.2e1 - 0.3e1 / 0.2e1 * t13878 * t9105 - t7462 * t1758 + t1891 * t1761 + 0.3e1 / 0.2e1 * t3680 * t14077 - 0.3e1 * t644 * t14080 + t13929 * t1223 - 0.2e1 * t13929 * t1229 - 0.11e2 / 0.18e2 * t13878 * t8761 + 0.23e2 / 0.36e2 * t13878 * t8993 - t13878 * t8996 / 0.2e1 + 0.7e1 / 0.3e1 * t13878 * t8983 - t14095 - t182 * t2890 / 0.4e1 - t14099 - t14101 - t8744 - t8748;
  t14106 = t7368 * t530 / 0.6e1;
  t14107 = t592 * t2843;
  t14109 = t14107 * t637 / 0.9e1;
  t14111 = t1869 * t1886 / 0.18e2;
  t14113 = t14107 * t630 / 0.18e2;
  t14115 = t14107 * t752 / 0.36e2;
  t14116 = t592 * t2838;
  t14118 = t14116 * t223 / 0.18e2;
  t14123 = t764 * t2838;
  t14129 = t593 * t2915 / 0.6e1;
  t14131 = t593 * t2907 / 0.6e1;
  t14133 = t3548 * t2899 / 0.6e1;
  t14136 = t764 * t2843;
  t14145 = t8752 + t14106 + t14109 - t14111 - t14113 - t14115 + t14118 - t1881 * t1886 / 0.6e1 - t515 * t7385 / 0.6e1 + t14123 * t223 / 0.6e1 + t2839 * t612 / 0.6e1 + t14129 - t14131 - t14133 + t2844 * t3577 / 0.3e1 - t14136 * t752 / 0.12e2 - t2844 * t3599 / 0.12e2 - t14136 * t630 / 0.6e1 - t2844 * t3540 / 0.6e1;
  t14148 = t222 * t2890;
  t14151 = t2888 * t243;
  t14152 = t242 * t14151;
  t14153 = t191 * t14152;
  t14176 = t3409 * t14062;
  t14177 = t1847 * t14176;
  t14184 = t11120 * t1746;
  t14185 = t14184 * t1234;
  t14187 = t14184 * t1239;
  t14189 = t95 * t14062;
  t14190 = t4770 * t14189;
  t14193 = -t1876 * t1886 / 0.6e1 - t211 * t14148 / 0.12e2 + t14153 * t250 / 0.4e1 + t7374 * t530 / 0.2e1 + t7390 * t530 / 0.2e1 + t14136 * t637 / 0.3e1 - t757 * t2907 / 0.2e1 + t768 * t2915 / 0.2e1 + t757 * t2915 / 0.2e1 + t1891 * t1873 / 0.2e1 - t3530 * t2899 / 0.2e1 - t3537 * t2899 / 0.2e1 - t768 * t2907 / 0.2e1 - t4779 * t14177 / 0.2e1 - t7216 * t11131 / 0.3e1 + 0.2e1 / 0.3e1 * t7216 * t11135 - t4748 * t14185 + t3123 * t14187 + t7216 * t14190 / 0.6e1;
  t14195 = t635 * t14062;
  t14196 = t4760 * t14195;
  t14199 = t512 * t2851;
  t14200 = t3375 * t14199;
  t14201 = t4740 * t14200;
  t14206 = t1227 * t13943;
  t14211 = t673 * t13943;
  t14214 = t194 * t2842;
  t14215 = t191 * t14214;
  t14218 = t13986 * t1239;
  t14221 = t14076 * t8765;
  t14228 = t7751 * t1764;
  t14229 = t14228 * t1246;
  t14231 = t7751 * t513;
  t14232 = t14231 * t730;
  t14239 = -t7216 * t14196 / 0.3e1 + t4738 * t14201 / 0.2e1 + t8778 + t8780 - t8785 - t8790 + t2839 * t676 / 0.6e1 - t1748 * t14206 / 0.6e1 + t2844 * t3272 / 0.6e1 + t1787 * t14211 / 0.3e1 - t14215 * t1260 / 0.2e1 - 0.3e1 * t246 * t14218 + 0.3e1 / 0.2e1 * t246 * t14221 - t1748 * t11196 / 0.3e1 + 0.2e1 / 0.3e1 * t1748 * t11200 - t3123 * t14229 - t3123 * t14232 / 0.2e1 + t7746 * t11148 / 0.3e1 + t7581 * t7758 / 0.6e1;
  t14242 = t3130 * t14189;
  t14245 = t95 * t14067;
  t14246 = t8642 * t14245;
  t14249 = t4760 * t14189;
  t14252 = t276 * t2851;
  t14253 = t253 * t14252;
  t14254 = t3130 * t14253;
  t14257 = t62 * t2851;
  t14258 = t14257 * t206;
  t14259 = t827 * t14258;
  t14262 = t233 * t14258;
  t14265 = t840 * t14258;
  t14268 = t14257 * t667;
  t14269 = t233 * t14268;
  t14272 = t60 * t1839;
  t14273 = t653 * t14272;
  t14278 = t229 * t14272;
  t14281 = t7584 * t14259 / 0.3e1 + 0.2e1 * t7586 * t14262 - 0.2e1 * t7584 * t14265 + 0.2e1 * t10828 * t14269 + t8856 + t8875 + t8877 - t8888 - 0.2e1 * t1847 * t14273 + 0.2e1 * t2870 * t3410 + 0.2e1 * t1843 * t14278;
  t14282 = t2865 * t3421;
  t14288 = t60 * t13919;
  t14289 = t819 * t14288;
  t14292 = t69 * t2836;
  t14293 = t14292 * t3399;
  t14296 = t2883 * t206;
  t14297 = t819 * t14296;
  t14299 = t2883 * t667;
  t14300 = t3430 * t14299;
  t14305 = t63 * t13919;
  t14306 = t819 * t14305;
  t14308 = t3375 * t14296;
  t14311 = t63 * t1839;
  t14312 = t653 * t14311;
  t14315 = -0.3e1 * t14282 * t1336 - t2866 * t837 + t1841 * t2884 / 0.2e1 + t519 * t14289 / 0.2e1 + 0.1e2 / 0.3e1 * t14293 * t8865 - t1843 * t14297 - t519 * t14300 - t14293 * t8944 / 0.9e1 - t1841 * t2874 - t519 * t14306 - 0.2e1 / 0.3e1 * t1847 * t14308 + 0.4e1 * t1847 * t14312;
  t14319 = t648 * t14311;
  t14324 = t229 * t14311;
  t14331 = t2869 * t3416;
  t14336 = t3409 * t14296;
  t14342 = -0.4e1 * t2870 * t3427 - 0.2e1 / 0.3e1 * t1847 * t14319 + 0.2e1 / 0.3e1 * t2870 * t3376 - 0.4e1 * t1843 * t14324 + 0.6e1 * t14282 * t1317 + 0.2e1 * t2866 * t821 + 0.2e1 * t14331 * t1322 + 0.6e1 * t14293 * t8957 + t1847 * t14336 - 0.12e2 * t14331 * t1326 - 0.2e1 / 0.3e1 * t14293 * t8954;
  t14343 = t648 * t14272;
  t14356 = 0.4e1 / 0.3e1 * t1847 * t14343 - 0.4e1 / 0.3e1 * t2870 * t3452 - 0.4e1 * t14331 * t1330 + t14293 * t8862 / 0.18e2 - 0.3e1 * t14293 * t8884 + 0.6e1 * t14331 * t1340 - t8948 - t8949 - t8966 + t8975 - t2138 + t2119;
  t14358 = t14281 + t14315 + t14342 + t14356;
  t14359 = t59 * t14358;
  t14360 = t14359 * t95;
  t14363 = t525 * t1830;
  t14368 = t238 * t2933;
  t14372 = 0.1e1 / t3080;
  t14373 = t14372 * t83;
  t14376 = t14372 * tau[0];
  t14397 = -0.2e2 / 0.3e1 * t1805 - 0.1e2 * t14373 * tau[0] - 0.17e3 * t3072 * t14376 + 0.1e3 / 0.3e1 * t692 * t1804 - 0.26e3 * t3075 * t14376 + 0.12e3 * t697 * t1804 + 0.3e3 * t3054 * t14376 + 0.4e2 / 0.3e1 * t702 * t1804 + 0.75e3 * t3061 * t14376 - 0.5e3 / 0.3e1 * t707 * t1804 + 0.35e3 * t3066 * t14376 - 0.1e3 * t714 * t1804;
  t14398 = t253 * t14397;
  t14399 = t65 * t14398;
  t14402 = t2889 * t277;
  t14407 = t1863 * t544;
  t14410 = -t7216 * t10772 / 0.6e1 - t7746 * t14242 / 0.6e1 - t7581 * t14246 / 0.6e1 + t7216 * t14249 / 0.12e2 + t7581 * t14254 / 0.12e2 + t9033 - t9044 - t30 * t14360 / 0.4e1 - t9058 - t9060 - t2089 - t9110 + t9112 - t30 * t14363 / 0.2e1 - t182 * t2934 / 0.4e1 - t30 * t14368 / 0.4e1 - t30 * t14399 / 0.4e1 - t30 * t14402 / 0.4e1 - t182 * t2895 / 0.2e1 - t30 * t14407 / 0.2e1;
  t14414 = my_piecewise3(t2, 0, t13957 + t14014 + t14058 + t14102 + t14145 + t14193 + t14239 + t14410);
  tv3rhotau20 = t3 * t14414 + t2938;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  tv3rhotau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 1] += tv3rhotau21;

  t14419 = t948 * t3015 / 0.12e2;
  t14421 = t948 * t3006 / 0.6e1;
  t14423 = t1905 * t1950 / 0.18e2;
  t14425 = t1905 * t2957 / 0.36e2;
  t14427 = t294 * t2998 / 0.6e1;
  t14429 = t294 * t3037 / 0.12e2;
  t14435 = t294 * t2993 / 0.12e2;
  t14446 = t933 * t2946;
  t14453 = t1902 * t2957 / 0.12e2 - t14419 + t14421 - t14423 + t14425 - t14427 - t14429 - t290 * t2998 / 0.2e1 - t290 * t3037 / 0.4e1 - t14435 - t290 * t2993 / 0.4e1 - t945 * t3015 / 0.4e1 + t945 * t3006 / 0.2e1 - t1902 * t1950 / 0.6e1 - t4065 * t3002 / 0.2e1 - t14446 * t1090 / 0.12e2 - t14446 * t1016 / 0.6e1 - t1902 * t2025 / 0.6e1;
  t14456 = t933 * t2941;
  t14460 = t7929 * t570 / 0.6e1;
  t14462 = t4040 * t3002 / 0.6e1;
  t14463 = t937 * t2946;
  t14465 = t14463 * t1023 / 0.9e1;
  t14467 = t1905 * t2025 / 0.18e2;
  t14469 = t14463 * t1016 / 0.18e2;
  t14470 = t937 * t2941;
  t14472 = t14470 * t350 / 0.18e2;
  t14474 = t14463 * t1090 / 0.36e2;
  t14482 = t948 * t3018 / 0.6e1;
  t14484 = t948 * t3010 / 0.6e1;
  t14485 = t14446 * t1023 / 0.3e1 + t14456 * t350 / 0.6e1 + t14460 - t14462 + t14465 - t14467 - t14469 + t14472 - t14474 - t945 * t3010 / 0.2e1 + t945 * t3018 / 0.2e1 + t7959 * t570 / 0.2e1 + t14482 - t14484 - t9156 + t9168 - t9180 + t9188;
  t14487 = my_piecewise3(t100, 0, t14453 + t14485);
  tv3rhotau22 = t3 * t14487 + t3041;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 2] += tv3rhotau22;

  t14507 = -t14051 + t14053 - t14055 + t14057 - t8667 + t8683 - t307 * t2934 / 0.4e1 - t307 * t2895 / 0.2e1 - t14095 - t903 * t2912 / 0.4e1 + t903 * t2903 / 0.2e1 - t1923 * t1779 / 0.6e1 + t1923 * t2854 / 0.12e2 - t14099 - t14101 + t903 * t2915 / 0.2e1 + t7824 * t530 / 0.2e1 - t3802 * t2899 / 0.2e1;
  t14508 = t897 * t2843;
  t14515 = t897 * t2838;
  t14524 = -t14508 * t630 / 0.6e1 - t1923 * t1886 / 0.6e1 + t14508 * t637 / 0.3e1 + t14515 * t223 / 0.6e1 - t14508 * t752 / 0.12e2 - t903 * t2907 / 0.2e1 + t14106 + t14109 - t14111 - t14113 - t14115 + t14118 + t14129 - t14131 - t14133 - t307 * t2890 / 0.4e1 - t9215 + t9226;
  t14526 = my_piecewise3(t2, 0, t14507 + t14524);
  tv3rhotau23 = t3 * t14526 + t2938;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 3] += tv3rhotau23;

  tv3rhotau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 4] += tv3rhotau24;

  t14533 = t2939 * t4356;
  t14534 = t3512 * t14533;
  t14535 = t321 * t14534;
  t14540 = t2939 * t4333;
  t14541 = t616 * t14540;
  t14542 = t321 * t14541;
  t14550 = t1031 * t14540;
  t14551 = t14550 * t1412;
  t14554 = t4373 * t14533;
  t14555 = t14554 * t9340;
  t14559 = t14554 * t9312;
  t14562 = t14554 * t9317;
  t14567 = -t14419 + t14421 - t14423 + t14425 - t8201 * t1975 - t1965 * t11723 / 0.3e1 + 0.2e1 / 0.3e1 * t1965 * t11727 - t14535 * t9289 / 0.2e1 + 0.7e1 / 0.3e1 * t14535 * t9292 - 0.2e1 * t14542 * t1402 - 0.11e2 / 0.18e2 * t14535 * t9333 + 0.23e2 / 0.36e2 * t14535 * t9286 + t14542 * t1396 - 0.3e1 * t373 * t14551 + 0.3e1 / 0.2e1 * t373 * t14555 + t2030 * t1978 + 0.3e1 / 0.2e1 * t4395 * t14559 - 0.3e1 * t1030 * t14562 - 0.3e1 / 0.2e1 * t14535 * t9345;
  t14568 = t2954 * t994;
  t14569 = t4543 * t14568;
  t14570 = t559 * t14569;
  t14573 = -t2180 - t9308 - t9324 + t9327 + t9353 + t9357 - t9359 - t9361 - t14427 - t14429 - t14435 - t9442 + t5540 * t14570 / 0.2e1 + t2251 + t14460 - t14462 + t14465 - t14467 - t14469;
  t14577 = t2954 * t333;
  t14578 = t168 * t14577;
  t14579 = t5587 * t14578;
  t14582 = t1021 * t14577;
  t14583 = t5549 * t14582;
  t14586 = t1074 * t2946;
  t14605 = t14472 - t14474 + t14482 - t14484 - t9464 + t9487 + t9489 - t8058 * t11469 / 0.3e1 + t8058 * t14579 / 0.6e1 - t8058 * t14583 / 0.3e1 - t14586 * t1090 / 0.12e2 + t8184 * t570 / 0.2e1 + t14586 * t1023 / 0.3e1 + t2947 * t4438 / 0.3e1 - t2947 * t4490 / 0.12e2 - t14586 * t1016 / 0.6e1 - t2947 * t4352 / 0.6e1 - t2043 * t2025 / 0.6e1 - t2048 * t2025 / 0.6e1;
  t14608 = t1074 * t2941;
  t14621 = t349 * t2993;
  t14624 = t2991 * t370;
  t14625 = t369 * t14624;
  t14626 = t321 * t14625;
  t14639 = t11448 * t1963;
  t14640 = t14639 * t1407;
  t14642 = t8079 * t1948;
  t14643 = t1000 * t14642;
  t14648 = t1019 * t2038;
  t14649 = t1013 * t14648;
  t14650 = t1974 * t14649;
  t14652 = -t555 * t8179 / 0.6e1 + t14608 * t350 / 0.6e1 + t2942 * t1087 / 0.6e1 + t1056 * t3018 / 0.2e1 + t2030 * t2040 / 0.2e1 - t4349 * t3002 / 0.2e1 - t4383 * t3002 / 0.2e1 - t338 * t14621 / 0.12e2 + t14626 * t377 / 0.4e1 + t8189 * t570 / 0.2e1 - t1078 * t3010 / 0.2e1 - t1056 * t3010 / 0.2e1 + t1078 * t3018 / 0.2e1 - t9505 - t9507 + 0.2e1 / 0.3e1 * t8058 * t11465 - t5535 * t14640 - t338 * t14643 / 0.6e1 + t2030 * t1954 / 0.2e1 - t1030 * t14650;
  t14655 = t14550 * t1407;
  t14679 = t167 * t2038;
  t14680 = t371 * t14679;
  t14681 = t1400 * t14680;
  t14684 = t988 * t14679;
  t14685 = t1393 * t14684;
  t14698 = 0.3e1 * t1030 * t14655 - t2030 * t1937 - t2030 * t1941 / 0.2e1 - 0.2e1 / 0.3e1 * t2947 * t4691 + t2947 * t4656 / 0.3e1 - t2043 * t1950 / 0.6e1 - t2048 * t1950 / 0.6e1 - t555 * t8445 / 0.6e1 - t555 * t8122 / 0.6e1 + t555 * t8478 / 0.6e1 - t1965 * t11687 / 0.6e1 - t555 * t8081 / 0.6e1 + 0.2e1 / 0.3e1 * t1965 * t14681 - t1965 * t14685 / 0.3e1 + t2947 * t4163 / 0.3e1 - t2947 * t4166 / 0.6e1 + t1958 * t11682 / 0.3e1 - 0.5e1 / 0.36e2 * t14535 * t9405 - t2947 * t4722 / 0.12e2;
  t14701 = t8065 * t1935;
  t14702 = t14701 * t1419;
  t14710 = t8070 * t3014;
  t14713 = t8065 * t553;
  t14714 = t14713 * t1100;
  t14717 = t1182 * t14577;
  t14718 = t2056 * t14717;
  t14723 = t4697 * t2955;
  t14724 = t987 * t14723;
  t14728 = t1013 * t1019 * t552;
  t14734 = t989 * t1935;
  t14737 = t4206 * t1963;
  t14740 = t989 * t553;
  t14747 = t558 * t1043;
  t14752 = t2059 * t1007;
  t14755 = 0.2e1 / 0.3e1 * t9370 * t14728 + 0.2e1 * t989 * t2038 * t376 - 0.4e1 * t14734 * t1419 + 0.4e1 / 0.3e1 * t14737 * t1407 - 0.2e1 * t14740 * t1100 + 0.4e1 * t14737 * t1412 - 0.2e1 * t2068 * t349 + 0.4e1 * t14747 * t1419 + 0.2e1 * t561 * t1100 - 0.4e1 * t14752 * t1412;
  t14756 = t167 * t14755;
  t14757 = t988 * t14756;
  t14758 = t987 * t14757;
  t14767 = t1400 * t14684;
  t14772 = t1000 * t14684;
  t14775 = t194 * t2945;
  t14776 = t321 * t14775;
  t14779 = t142 * t2954;
  t14780 = t14779 * t333;
  t14781 = t1203 * t14780;
  t14784 = t1190 * t14780;
  t14787 = t360 * t14780;
  t14790 = t14779 * t994;
  t14791 = t360 * t14790;
  t14794 = t69 * t2939;
  t14795 = t14794 * t4375;
  t14800 = t140 * t2038;
  t14801 = t1034 * t14800;
  t14806 = t2972 * t4334;
  t14813 = -0.2e1 * t8254 * t14781 + t8254 * t14784 / 0.3e1 + 0.2e1 * t8251 * t14787 + 0.2e1 * t11528 * t14791 + t14795 * t9537 / 0.18e2 + 0.1e2 / 0.3e1 * t14795 * t9548 + 0.4e1 / 0.3e1 * t2060 * t14801 - 0.4e1 / 0.3e1 * t2973 * t4599 - 0.4e1 * t14806 * t1485 + 0.6e1 * t14806 * t1495 - 0.3e1 * t14795 * t9571;
  t14814 = t140 * t14755;
  t14815 = t1182 * t14814;
  t14818 = t1093 * t14800;
  t14823 = t356 * t14800;
  t14826 = t2968 * t4425;
  t14832 = t559 * t14815 / 0.2e1 - 0.2e1 * t2060 * t14818 + 0.2e1 * t2973 * t4582 + 0.2e1 * t2056 * t14823 - 0.3e1 * t14826 * t1491 - t2969 * t1200 + t2054 * t2987 / 0.2e1 + t9557 + t9559 + t9570 - t9574 - t9585;
  t14836 = t2986 * t994;
  t14837 = t4543 * t14836;
  t14839 = t143 * t2038;
  t14840 = t356 * t14839;
  t14849 = t1034 * t14839;
  t14854 = -t9586 - t9588 + t9635 + 0.6e1 * t14795 * t9629 - t559 * t14837 - 0.4e1 * t2056 * t14840 + 0.6e1 * t14826 * t1472 + 0.2e1 * t2969 * t1184 + 0.2e1 * t14806 * t1477 - 0.2e1 / 0.3e1 * t2060 * t14849 + 0.2e1 / 0.3e1 * t2973 * t4563;
  t14857 = t2986 * t333;
  t14858 = t4549 * t14857;
  t14865 = t143 * t14755;
  t14866 = t1182 * t14865;
  t14868 = t4408 * t14857;
  t14871 = t1093 * t14839;
  t14876 = t1182 * t14857;
  t14878 = -t14795 * t9612 / 0.9e1 + t2060 * t14858 - 0.12e2 * t14806 * t1481 - 0.2e1 / 0.3e1 * t14795 * t9626 - t2054 * t2977 - t559 * t14866 - 0.2e1 / 0.3e1 * t2060 * t14868 + 0.4e1 * t2060 * t14871 - 0.4e1 * t2973 * t4550 - t2056 * t14876 - t2229 + t2210;
  t14880 = t14813 + t14832 + t14854 + t14878;
  t14881 = t139 * t14880;
  t14882 = t14881 * t168;
  t14885 = t2043 * t2957 / 0.12e2 - t4145 * t14702 + t8052 * t11739 / 0.3e1 + t8055 * t8076 / 0.6e1 - t8058 * t11765 / 0.6e1 - t4145 * t14710 / 0.4e1 - t4145 * t14714 / 0.2e1 + t5540 * t14718 / 0.2e1 + t2048 * t2957 / 0.12e2 + t555 * t14724 / 0.12e2 + t555 * t14758 / 0.12e2 - t2942 * t997 / 0.6e1 + t14542 * t1438 / 0.2e1 + t2942 * t1002 / 0.6e1 - t1965 * t14767 / 0.6e1 + t2947 * t4687 / 0.6e1 + t1958 * t14772 / 0.3e1 - t14776 * t1433 / 0.2e1 - t110 * t14882 / 0.4e1;
  t14889 = t14639 * t1412;
  t14891 = t552 * t2954;
  t14892 = t4408 * t14891;
  t14893 = t5561 * t14892;
  t14896 = t4549 * t14577;
  t14897 = t2060 * t14896;
  t14900 = t2992 * t404;
  t14905 = t2076 * t584;
  t14908 = t565 * t2013;
  t14913 = t365 * t3036;
  t14917 = 0.1e1 / t4287;
  t14918 = t14917 * t156;
  t14921 = t14917 * tau[1];
  t14942 = -0.2e2 / 0.3e1 * t1988 - 0.1e2 * t14918 * tau[1] - 0.17e3 * t4264 * t14921 + 0.1e3 / 0.3e1 * t1118 * t1987 - 0.26e3 * t4271 * t14921 + 0.12e3 * t1123 * t1987 + 0.3e3 * t4274 * t14921 + 0.4e2 / 0.3e1 * t1128 * t1987 + 0.75e3 * t4277 * t14921 - 0.5e3 / 0.3e1 * t1133 * t1987 + 0.35e3 * t4282 * t14921 - 0.1e3 * t1140 * t1987;
  t14943 = t380 * t14942;
  t14944 = t145 * t14943;
  t14947 = t4137 * t14578;
  t14950 = t168 * t14568;
  t14951 = t9270 * t14950;
  t14954 = t5549 * t14578;
  t14957 = t403 * t2954;
  t14958 = t380 * t14957;
  t14959 = t4137 * t14958;
  t14962 = -t318 * t2993 / 0.4e1 + t9702 + t9704 - t9180 + t9188 + t4145 * t14889 + t5559 * t14893 / 0.2e1 - t5540 * t14897 / 0.2e1 - t110 * t14900 / 0.4e1 - t318 * t2998 / 0.2e1 - t110 * t14905 / 0.2e1 - t110 * t14908 / 0.2e1 - t318 * t3037 / 0.4e1 - t110 * t14913 / 0.4e1 - t110 * t14944 / 0.4e1 - t8052 * t14947 / 0.6e1 - t8055 * t14951 / 0.6e1 + t8058 * t14954 / 0.12e2 + t8055 * t14959 / 0.12e2;
  t14964 = t1013 * t1014 * t2038;
  t14965 = t1974 * t14964;
  t14967 = t1031 * t2945;
  t14968 = t14967 * t4176;
  t14970 = t978 * t2972;
  t14971 = t14970 * t1094;
  t14974 = params->at * t3035;
  t14975 = t988 * t14974;
  t14976 = t1000 * t14975;
  t14980 = t14974 * t353 * t376;
  t14983 = t374 * t2945;
  t14984 = t14983 * t1419;
  t14987 = t374 * t2940;
  t14988 = t14987 * t1100;
  t14992 = t978 * t2968 * t1045;
  t14999 = t8317 * t3014;
  t15003 = t985 * t348 * t14755;
  t15004 = t1940 * t15003;
  t15008 = t346 * t348 * t2038;
  t15009 = t1936 * t15008;
  t15011 = t14967 * t4171;
  t15013 = t14970 * t1035;
  t15021 = t8120 * t558 * t376;
  t15025 = t1948 * t2053 * t376;
  t15030 = t373 * t14965 - t373 * t14968 + t373 * t14971 / 0.2e1 - t338 * t14976 / 0.12e2 + t373 * t14980 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t14984 + t373 * t14988 / 0.2e1 - t373 * t14992 / 0.2e1 - t1078 * t3015 / 0.4e1 - t1056 * t3015 / 0.4e1 - t373 * t14999 / 0.4e1 - t373 * t15004 / 0.4e1 - t373 * t15009 + t1030 * t15011 - t1030 * t15013 / 0.2e1 + t1078 * t3006 / 0.2e1 + t1056 * t3006 / 0.2e1 + t373 * t15021 / 0.2e1 + t373 * t15025 / 0.2e1 + t2030 * t1945 / 0.2e1;
  t15034 = my_piecewise3(t100, 0, t14567 + t14573 + t14605 + t14652 + t14698 + t14885 + t14962 + t15030);
  tv3rhotau25 = t3 * t15034 + t3041;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 5] += tv3rhotau25;

  t15036 = t3172 * t2107;
  t15039 = t244 * t2106;
  t15040 = t3250 * t15039;
  t15042 = t2105 * t2105;
  t15044 = t3138 * t221 * t15042;
  t15045 = t1250 * t15044;
  t15048 = t94 * t15042;
  t15049 = t661 * t15048;
  t15050 = t3139 * t15049;
  t15053 = t633 * t2105;
  t15054 = t3171 * t15053;
  t15055 = t8733 * t15054;
  t15058 = t3250 * t2107;
  t15061 = t5044 * t2106;
  t15062 = t660 * t15061;
  t15069 = 0.2e1 * t662 * t2084 * t249;
  t15073 = t3227 * t2090;
  t15081 = 0.2e1 * t2136 * t222;
  t15088 = 0.2e1 / 0.3e1 * t2133 * t634 + t15069 - 0.4e1 * t662 * t2090 * t748 + 0.4e1 / 0.3e1 * t15073 * t649 - 0.2e1 * t8825 * t2166 + 0.4e1 * t15073 * t654 - t15081 + 0.4e1 * t2139 * t222 + 0.2e1 * t423 * t2166 - 0.4e1 * t2133 * t629;
  t15089 = t94 * t15088;
  t15090 = t661 * t15089;
  t15091 = t660 * t15090;
  t15096 = t8776 * t2268;
  t15097 = t15096 / 0.2e1;
  t15098 = t2087 * t2108;
  t15099 = t15098 / 0.6e1;
  t15100 = t8783 * t2271;
  t15101 = t15100 / 0.4e1;
  t15102 = t628 * t2105;
  t15103 = t3171 * t15102;
  t15104 = t8733 * t15103;
  t15107 = t2098 * t15036 / 0.2e1 - t2098 * t15040 + t246 * t15045 / 0.2e1 - t417 * t15050 / 0.6e1 + 0.3e1 / 0.2e1 * t644 * t15055 + t2098 * t15058 / 0.4e1 + t417 * t15062 / 0.4e1 + t417 * t15091 / 0.12e2 - t2093 * t2108 / 0.3e1 + t15097 + t15099 - t15101 - 0.3e1 / 0.2e1 * t246 * t15104;
  t15108 = t9113 * t2166;
  t15111 = t658 * t221 * t15088;
  t15112 = t1250 * t15111;
  t15115 = t8741 * t2323;
  t15116 = t246 * t15115;
  t15117 = 0.3e1 / 0.2e1 * t15116;
  t15118 = t8745 * t2166;
  t15119 = t246 * t15118;
  t15120 = t15119 / 0.2e1;
  t15123 = t633 * t2084;
  t15124 = t627 * t15123;
  t15125 = t1232 * t15124;
  t15126 = t644 * t15125;
  t15127 = 0.3e1 / 0.2e1 * t15126;
  t15128 = t2090 * t414;
  t15129 = t69 * t15128;
  t15130 = t15129 * t3396;
  t15133 = t615 * t15128;
  t15134 = t15133 * t3415;
  t15139 = t60 * t15042;
  t15140 = t3430 * t15139;
  t15142 = t193 * t15128;
  t15143 = t15142 * t3421;
  t15146 = t15133 * t3416;
  t15149 = t15129 * t3399;
  t15154 = t3409 * t2141;
  t15157 = t8854 * t2306;
  t15158 = 0.3e1 * t15157;
  t15161 = t60 * t15088;
  t15162 = t819 * t15161;
  t15165 = t3375 * t2141;
  t15168 = t8874 * t2302;
  t15169 = 0.3e1 * t15168;
  t15170 = t2118 * t2142;
  t15171 = t8854 * t2299;
  t15172 = 0.2e1 * t15171;
  t15173 = 0.1e2 / 0.3e1 * t15130 * t3476 + 0.6e1 * t15134 * t841 - 0.3e1 * t15130 * t3491 - t421 * t15140 + 0.6e1 * t15143 * t230 - 0.12e2 * t15146 * t823 - 0.2e1 / 0.3e1 * t15149 * t3403 + 0.6e1 * t15149 * t3406 + 0.3e1 * t2125 * t15154 - t15158 - 0.2e1 * t2121 * t2142 + t421 * t15162 / 0.2e1 - 0.2e1 * t2125 * t15165 + t15169 + t15170 + t15172;
  t15178 = t2118 * t2129;
  t15179 = 0.2e1 * t15178;
  t15180 = t8854 * t2291;
  t15181 = t8854 * t2295;
  t15182 = 0.6e1 * t15181;
  t15183 = t63 * t15042;
  t15184 = t3430 * t15183;
  t15189 = t3375 * t2128;
  t15191 = t63 * t15088;
  t15192 = t819 * t15191;
  t15194 = t8874 * t2288;
  t15195 = 0.6e1 * t15194;
  t15196 = t3409 * t2128;
  t15199 = t15142 * t619;
  t15206 = 0.2e1 * t15146 * t816 - t15149 * t3449 / 0.9e1 - t15179 - t15180 + t15182 + 0.2e1 * t421 * t15184 + 0.4e1 * t2121 * t2129 + t2125 * t15189 - t421 * t15192 - t15195 - 0.6e1 * t2125 * t15196 - 0.3e1 * t15199 * t234 - 0.4e1 * t15134 * t828 + t15130 * t3483 / 0.18e2 - t2138 + t2119;
  t15207 = t15173 + t15206;
  t15208 = t59 * t15207;
  t15209 = t15208 * t95;
  t15212 = t8783 * t2276;
  t15213 = t15212 / 0.2e1;
  t15214 = t8783 * t2282;
  t15215 = t9030 * t2331;
  t15216 = t246 * t15215;
  t15217 = 0.3e1 / 0.2e1 * t15216;
  t15219 = t247 * t15128 * t3643;
  t15224 = t246 * t15108 - t246 * t15112 / 0.4e1 - t15117 - t15120 - 0.3e1 / 0.4e1 * t1293 * t2167 - t15127 + t2160 - t30 * t15209 / 0.4e1 - t15213 + t15214 + t15217 + 0.3e1 / 0.2e1 * t246 * t15219 - 0.3e1 / 0.2e1 * t1293 * t2162;
  t15230 = t3658 * t15128;
  t15231 = t15230 * t3681;
  t15234 = t15230 * t3685;
  t15237 = t15128 * t3396;
  t15238 = t3512 * t15237;
  t15239 = t191 * t15238;
  t15245 = t15128 * t3415;
  t15246 = t616 * t15245;
  t15247 = t191 * t15246;
  t15255 = t645 * t15128;
  t15256 = t15255 * t3504;
  t15259 = t15128 * t619;
  t15260 = t194 * t15259;
  t15261 = t191 * t15260;
  t15264 = -0.3e1 / 0.2e1 * t5073 * t2154 + 0.3e1 / 0.2e1 * t1293 * t2170 + 0.3e1 / 0.2e1 * t3680 * t15231 - 0.3e1 * t644 * t15234 - t15239 * t3665 / 0.2e1 + 0.7e1 / 0.3e1 * t15239 * t3668 + t2098 * t5068 - 0.2e1 * t15247 * t637 - 0.11e2 / 0.18e2 * t15239 * t3517 + 0.23e2 / 0.36e2 * t15239 * t3545 + t15247 * t630 + 0.3e1 * t644 * t15256 - t15261 * t223 / 0.2e1;
  t15271 = t2087 * t1288;
  t15272 = t15271 / 0.4e1;
  t15279 = t1293 * t2158;
  t15280 = 0.3e1 / 0.4e1 * t15279;
  t15283 = t15255 * t3508;
  t15286 = t15230 * t3660;
  t15291 = -0.5e1 / 0.36e2 * t15239 * t3602 - t2098 * t5064 / 0.2e1 - t417 * t9098 / 0.4e1 - t15272 + t2093 * t1288 / 0.2e1 + t15247 * t752 / 0.2e1 - t2098 * t5102 / 0.4e1 + t15280 + 0.3e1 / 0.4e1 * t9070 * t432 - 0.3e1 * t246 * t15283 + 0.3e1 / 0.2e1 * t246 * t15286 - 0.3e1 / 0.2e1 * t15239 * t3673 - t2089;
  t15294 = my_piecewise3(t2, 0, t15107 + t15224 + t15264 + t15291);
  tv3sigma30 = t3 * t15294;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t15295 = t9306 * t2347;
  t15296 = t15295 / 0.2e1;
  t15297 = t9306 * t2353;
  t15298 = t2181 * t439;
  t15299 = t615 * t15298;
  t15300 = t15299 * t4334;
  t15303 = t69 * t15298;
  t15304 = t15303 * t4375;
  t15307 = t9568 * t2377;
  t15308 = 0.3e1 * t15307;
  t15309 = t9568 * t2370;
  t15310 = 0.2e1 * t15309;
  t15315 = t4408 * t2232;
  t15318 = t2196 * t2196;
  t15319 = t140 * t15318;
  t15320 = t4543 * t15319;
  t15322 = t193 * t15298;
  t15323 = t15322 * t4425;
  t15328 = t4549 * t2232;
  t15337 = 0.2e1 * t989 * t2175 * t376;
  t15341 = t4206 * t2181;
  t15349 = 0.2e1 * t2227 * t349;
  t15356 = 0.2e1 / 0.3e1 * t2224 * t1020 + t15337 - 0.4e1 * t989 * t2181 * t1045 + 0.4e1 / 0.3e1 * t15341 * t1035 - 0.2e1 * t9382 * t2257 + 0.4e1 * t15341 * t1094 - t15349 + 0.4e1 * t2230 * t349 + 0.2e1 * t448 * t2257 - 0.4e1 * t2224 * t1015;
  t15357 = t140 * t15356;
  t15358 = t1182 * t15357;
  t15361 = t9556 * t2373;
  t15362 = 0.3e1 * t15361;
  t15363 = t2209 * t2233;
  t15364 = t15299 * t4333;
  t15367 = -0.12e2 * t15300 * t1186 - 0.2e1 / 0.3e1 * t15304 * t4589 - t15308 + t15310 + 0.2e1 * t15300 * t1179 - t15304 * t4612 / 0.9e1 - 0.2e1 * t2216 * t15315 - t446 * t15320 + 0.6e1 * t15323 * t357 + 0.6e1 * t15304 * t4579 + 0.3e1 * t2216 * t15328 - 0.2e1 * t2212 * t2233 + t446 * t15358 / 0.2e1 + t15362 + t15363 + 0.6e1 * t15364 * t1204;
  t15368 = t15303 * t4356;
  t15377 = t9568 * t2366;
  t15378 = 0.6e1 * t15377;
  t15379 = t143 * t15356;
  t15380 = t1182 * t15379;
  t15382 = t9556 * t2359;
  t15383 = 0.6e1 * t15382;
  t15384 = t2209 * t2220;
  t15385 = 0.2e1 * t15384;
  t15386 = t9568 * t2362;
  t15389 = t4408 * t2219;
  t15391 = t143 * t15318;
  t15392 = t4543 * t15391;
  t15395 = t15322 * t1007;
  t15398 = t4549 * t2219;
  t15401 = -0.3e1 * t15368 * t4621 - 0.4e1 * t15364 * t1191 + t15368 * t4634 / 0.18e2 + 0.1e2 / 0.3e1 * t15368 * t4625 + t15378 - t446 * t15380 - t15383 - t15385 - t15386 + 0.4e1 * t2212 * t2220 + t2216 * t15389 + 0.2e1 * t446 * t15392 - 0.3e1 * t15395 * t361 - 0.6e1 * t2216 * t15398 - t2229 + t2210;
  t15402 = t15367 + t15401;
  t15403 = t139 * t15402;
  t15404 = t15403 * t168;
  t15407 = t9672 * t2257;
  t15410 = t985 * t348 * t15356;
  t15411 = t1423 * t15410;
  t15414 = t9461 * t2394;
  t15415 = t373 * t15414;
  t15416 = 0.3e1 / 0.2e1 * t15415;
  t15417 = t9439 * t2257;
  t15418 = t373 * t15417;
  t15419 = t15418 / 0.2e1;
  t15422 = t15298 * t4356;
  t15423 = t3512 * t15422;
  t15424 = t321 * t15423;
  t15427 = t15298 * t4333;
  t15428 = t616 * t15427;
  t15429 = t321 * t15428;
  t15433 = -t15296 + t15297 - t110 * t15404 / 0.4e1 - t2180 + t373 * t15407 - t373 * t15411 / 0.4e1 - t15416 - t15419 - 0.3e1 / 0.4e1 * t1454 * t2258 + t2251 + 0.7e1 / 0.3e1 * t15424 * t4505 + t15429 * t1016 - 0.2e1 * t15429 * t1023;
  t15441 = t4706 * t348 * t15318;
  t15442 = t1423 * t15441;
  t15445 = t167 * t15318;
  t15446 = t988 * t15445;
  t15447 = t4707 * t15446;
  t15450 = t9351 * t2339;
  t15451 = t15450 / 0.2e1;
  t15452 = t2178 * t2199;
  t15453 = t15452 / 0.6e1;
  t15454 = t9306 * t2342;
  t15455 = t15454 / 0.4e1;
  t15456 = t1014 * t2196;
  t15457 = t4161 * t15456;
  t15458 = t9454 * t15457;
  t15461 = t4162 * t2198;
  t15464 = t371 * t2197;
  t15465 = t4686 * t15464;
  t15467 = t1019 * t2175;
  t15468 = t1013 * t15467;
  t15469 = t1405 * t15468;
  t15470 = t1030 * t15469;
  t15471 = 0.3e1 / 0.2e1 * t15470;
  t15472 = t1019 * t2196;
  t15473 = t4161 * t15472;
  t15474 = t9454 * t15473;
  t15477 = -0.11e2 / 0.18e2 * t15424 * t4365 + 0.23e2 / 0.36e2 * t15424 * t4370 - t15424 * t4414 / 0.2e1 + t373 * t15442 / 0.2e1 - t442 * t15447 / 0.6e1 + t15451 + t15453 - t15455 - 0.3e1 / 0.2e1 * t373 * t15458 + t2189 * t15461 / 0.2e1 - t2189 * t15465 - t15471 + 0.3e1 / 0.2e1 * t1030 * t15474;
  t15479 = t4686 * t2198;
  t15482 = t6006 * t2197;
  t15483 = t987 * t15482;
  t15486 = t167 * t15356;
  t15487 = t988 * t15486;
  t15488 = t987 * t15487;
  t15500 = t4373 * t15298;
  t15501 = t15500 * t4377;
  t15504 = t1031 * t15298;
  t15505 = t15504 * t4339;
  t15514 = t2189 * t15479 / 0.4e1 + t442 * t15483 / 0.4e1 + t442 * t15488 / 0.12e2 - t2184 * t2199 / 0.3e1 + t2189 * t5669 - 0.3e1 / 0.2e1 * t15424 * t4405 - 0.3e1 / 0.2e1 * t5674 * t2245 + 0.3e1 / 0.2e1 * t1454 * t2261 - 0.3e1 * t1030 * t15501 - 0.3e1 * t373 * t15505 + t15429 * t1090 / 0.2e1 - t2189 * t5686 / 0.4e1 - 0.5e1 / 0.36e2 * t15424 * t4467;
  t15515 = t15500 * t4409;
  t15518 = t15500 * t4397;
  t15522 = t374 * t15298 * t4426;
  t15525 = t15504 * t4335;
  t15530 = t15298 * t1007;
  t15531 = t194 * t15530;
  t15532 = t321 * t15531;
  t15535 = t1454 * t2249;
  t15536 = 0.3e1 / 0.4e1 * t15535;
  t15543 = t2178 * t1449;
  t15544 = t15543 / 0.4e1;
  t15547 = t9321 * t2402;
  t15548 = t373 * t15547;
  t15549 = 0.3e1 / 0.2e1 * t15548;
  t15550 = 0.3e1 / 0.2e1 * t373 * t15515 + 0.3e1 / 0.2e1 * t4395 * t15518 + 0.3e1 / 0.2e1 * t373 * t15522 + 0.3e1 * t1030 * t15525 - 0.3e1 / 0.2e1 * t1454 * t2253 - t15532 * t350 / 0.2e1 + t15536 + 0.3e1 / 0.4e1 * t9710 * t457 - t2189 * t5665 / 0.2e1 - t442 * t9705 / 0.4e1 - t15544 + t2184 * t1449 / 0.2e1 + t15549;
  t15553 = my_piecewise3(t100, 0, t15433 + t15477 + t15514 + t15550);
  tv3sigma39 = t3 * t15553;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t15554 = t15096 / 0.3e1;
  t15555 = t15100 / 0.6e1;
  t15556 = t633 * t2090;
  t15557 = t3474 * t15556;
  t15558 = t6230 * t15557;
  t15561 = t3401 * t2090;
  t15562 = t3474 * t15561;
  t15563 = t6230 * t15562;
  t15567 = t627 * t628 * t2090;
  t15568 = t6193 * t15567;
  t15571 = t94 * t2090;
  t15572 = t661 * t15571;
  t15573 = t4831 * t15572;
  t15576 = t244 * t15571;
  t15577 = t4838 * t15576;
  t15580 = t642 * t15571;
  t15581 = t4844 * t15580;
  t15584 = t3447 * t2090;
  t15585 = t3474 * t15584;
  t15586 = t6230 * t15585;
  t15589 = t1220 * t15572;
  t15591 = t1227 * t15576;
  t15594 = t5044 * t2266;
  t15595 = t673 * t15594;
  t15598 = t94 * t2084;
  t15599 = t661 * t15598;
  t15600 = t673 * t15599;
  t15601 = t1568 * t15600;
  t15602 = t15601 / 0.6e1;
  t15603 = t15554 + t15099 - t15555 - t15116 - t15120 - t15126 + t2160 + 0.3e1 / 0.2e1 * t246 * t15558 - 0.3e1 * t644 * t15563 - 0.3e1 * t246 * t15568 - t6107 * t15573 / 0.2e1 + 0.7e1 / 0.3e1 * t6107 * t15577 - 0.3e1 / 0.2e1 * t6107 * t15581 + 0.3e1 / 0.2e1 * t3680 * t15586 + t6167 * t15589 - 0.2e1 * t6167 * t15591 + t1568 * t15595 / 0.3e1 + t15602;
  t15604 = t1227 * t15572;
  t15607 = t1227 * t15594;
  t15610 = t1547 * t15124;
  t15611 = t644 * t15610;
  t15612 = t15611 / 0.2e1;
  t15613 = t1220 * t15599;
  t15614 = t1541 * t15613;
  t15615 = t15614 / 0.6e1;
  t15616 = t244 * t15598;
  t15617 = t1227 * t15616;
  t15618 = t1541 * t15617;
  t15619 = t15618 / 0.3e1;
  t15620 = t6255 * t2106;
  t15621 = t660 * t15620;
  t15624 = t819 * t8613;
  t15625 = t1587 * t15624;
  t15627 = t1321 * t9887;
  t15630 = t15212 / 0.3e1;
  t15631 = 0.2e1 / 0.3e1 * t15214;
  t15632 = t1220 * t15594;
  t15635 = t1559 * t15044;
  t15639 = t219 * t221 * t2090;
  t15640 = t6208 * t15639;
  t15643 = t627 * t15556;
  t15644 = t6193 * t15643;
  t15647 = t4838 * t15572;
  t15650 = t4844 * t15576;
  t15655 = t6167 * t15604 / 0.2e1 - t1541 * t15607 / 0.6e1 - t15612 - t15615 + t15619 + t417 * t15621 / 0.12e2 + t4779 * t15625 + 0.3e1 / 0.2e1 * t4738 * t15627 - t15630 + t15631 - t1541 * t15632 / 0.3e1 + t246 * t15635 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t15640 + 0.3e1 * t644 * t15644 + t15216 - 0.11e2 / 0.18e2 * t6107 * t15647 + 0.23e2 / 0.36e2 * t6107 * t15650 - t466 * t15050 / 0.6e1;
  t15657 = t673 * t15572;
  t15660 = t1227 * t15599;
  t15661 = t1541 * t15660;
  t15662 = t15661 / 0.12e2;
  t15663 = t4844 * t15572;
  t15670 = t95 * t8613;
  t15671 = t3130 * t15670;
  t15674 = t4770 * t15670;
  t15677 = t635 * t8613;
  t15678 = t4760 * t15677;
  t15680 = t4760 * t15670;
  t15683 = t8891 * t414;
  t15684 = t840 * t15683;
  t15687 = t233 * t15683;
  t15690 = t827 * t15683;
  t15692 = 0.2e1 * t15157;
  t15695 = t60 * t2084;
  t15696 = t653 * t15695;
  t15697 = t1591 * t15696;
  t15698 = t60 * t2090;
  t15699 = t653 * t15698;
  t15702 = t3375 * t15698;
  t15705 = t3402 * t15698;
  t15708 = t648 * t15695;
  t15709 = t1591 * t15708;
  t15710 = 0.2e1 / 0.3e1 * t15709;
  t15711 = t229 * t15695;
  t15712 = t1587 * t15711;
  t15713 = t648 * t15698;
  t15716 = t3448 * t15698;
  t15719 = t229 * t15698;
  t15723 = t63 * t2090;
  t15724 = t653 * t15723;
  t15727 = t3402 * t15723;
  t15730 = t3375 * t15723;
  t15733 = 0.2e1 * t15168;
  t15734 = -0.6e1 * t6427 * t15684 + 0.4e1 * t6440 * t15687 + t6427 * t15690 - t15692 + t470 * t15162 / 0.2e1 - t15697 + 0.6e1 * t6393 * t15699 - 0.3e1 * t6390 * t15702 + 0.1e2 / 0.3e1 * t6390 * t15705 + t15710 + t15712 - 0.4e1 * t6393 * t15713 + t6390 * t15716 / 0.18e2 - 0.3e1 * t6424 * t15719 - t470 * t15140 - 0.12e2 * t6393 * t15724 - 0.2e1 / 0.3e1 * t6390 * t15727 + 0.6e1 * t6390 * t15730 + t15733;
  t15735 = 0.4e1 / 0.3e1 * t15171;
  t15736 = t2298 * t2105;
  t15737 = t819 * t15736;
  t15740 = t63 * t2084;
  t15741 = t229 * t15740;
  t15742 = t1587 * t15741;
  t15743 = 0.2e1 * t15742;
  t15744 = t648 * t15723;
  t15747 = t648 * t15740;
  t15748 = t1591 * t15747;
  t15749 = t15748 / 0.3e1;
  t15750 = t3448 * t15723;
  t15754 = t3375 * t15736;
  t15757 = t229 * t15723;
  t15762 = t3409 * t15736;
  t15765 = t653 * t15740;
  t15766 = t1591 * t15765;
  t15767 = 0.2e1 * t15766;
  t15768 = 0.2e1 / 0.3e1 * t15180;
  t15769 = 0.4e1 * t15181;
  t15770 = 0.4e1 * t15194;
  t15771 = t15170 + t15735 - 0.2e1 * t1587 * t15737 - t15743 + 0.2e1 * t6393 * t15744 - t15749 - t6390 * t15750 / 0.9e1 - t470 * t15192 - 0.2e1 * t1591 * t15754 + 0.6e1 * t6424 * t15757 + 0.2e1 * t470 * t15184 + 0.3e1 * t1591 * t15762 + t15767 - t15179 - t15768 + t15769 - t15770 - t2138 + t2119;
  t15772 = t15734 + t15771;
  t15773 = t59 * t15772;
  t15774 = t15773 * t95;
  t15777 = t1532 * t2158;
  t15778 = t15777 / 0.4e1;
  t15783 = t2087 * t1527;
  t15784 = t15783 / 0.12e2;
  t15787 = t1559 * t15111;
  t15791 = t627 * t628 * t2084;
  t15792 = t1547 * t15791;
  t15793 = t246 * t15792;
  t15794 = t15793 / 0.2e1;
  t15795 = t3409 * t8613;
  t15796 = t1591 * t15795;
  t15799 = -t6223 * t15657 / 0.2e1 - t15662 - 0.5e1 / 0.36e2 * t6107 * t15663 + t466 * t15062 / 0.6e1 + t466 * t15091 / 0.12e2 - t6491 * t15671 / 0.3e1 + t6069 * t15674 / 0.2e1 - t6069 * t15678 + t6069 * t15680 / 0.4e1 - t30 * t15774 / 0.4e1 + t15778 + t9070 * t481 / 0.4e1 + t10160 * t432 / 0.2e1 - t15784 - t417 * t10155 / 0.6e1 - t246 * t15787 / 0.4e1 + t15794 - 0.3e1 / 0.2e1 * t4779 * t15796;
  t15801 = t219 * t221 * t2084;
  t15802 = t1555 * t15801;
  t15803 = t246 * t15802;
  t15804 = t15803 / 0.2e1;
  t15807 = t1291 * t2266;
  t15808 = t1227 * t15807;
  t15811 = t15271 / 0.6e1;
  t15812 = t15279 / 0.2e1;
  t15834 = -t15804 - t5073 * t2319 + t1293 * t2332 + 0.2e1 / 0.3e1 * t1541 * t15808 - t15811 + t15812 - t2089 + t2093 * t1527 / 0.6e1 - t1532 * t2162 / 0.2e1 - t2098 * t6350 / 0.12e2 - t466 * t9098 / 0.12e2 + t1532 * t2170 / 0.2e1 - t2098 * t6286 / 0.6e1 + t2098 * t6290 / 0.3e1 - t6295 * t2154 / 0.2e1 - t1532 * t2167 / 0.4e1 - t1293 * t2324 - t1293 * t2327 / 0.2e1;
  t15837 = my_piecewise3(t2, 0, t15603 + t15655 + t15799 + t15834);
  tv3sigma2lapl0 = t3 * t15837;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  tv3sigma2lapl1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 1] += tv3sigma2lapl1;

  tv3sigma2lapl2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 2] += tv3sigma2lapl2;

  tv3sigma2lapl3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 3] += tv3sigma2lapl3;

  tv3sigma2lapl4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 4] += tv3sigma2lapl4;

  tv3sigma2lapl5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 5] += tv3sigma2lapl5;

  tv3sigma2lapl6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 6] += tv3sigma2lapl6;

  tv3sigma2lapl7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 7] += tv3sigma2lapl7;

  tv3sigma2lapl8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 8] += tv3sigma2lapl8;

  tv3sigma2lapl9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 9] += tv3sigma2lapl9;

  tv3sigma2lapl10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 10] += tv3sigma2lapl10;

  t15838 = t15295 / 0.3e1;
  t15839 = 0.2e1 / 0.3e1 * t15297;
  t15840 = t6006 * t2337;
  t15841 = t1400 * t15840;
  t15844 = t1452 * t2337;
  t15845 = t1400 * t15844;
  t15848 = t10382 * t2196;
  t15849 = t360 * t15848;
  t15852 = t1203 * t15848;
  t15855 = t1190 * t15848;
  t15857 = 0.2e1 * t15307;
  t15858 = 0.4e1 / 0.3e1 * t15309;
  t15859 = 0.2e1 * t15361;
  t15862 = t140 * t2181;
  t15863 = t1034 * t15862;
  t15866 = t4396 * t15862;
  t15869 = t4376 * t15862;
  t15872 = t4408 * t15862;
  t15875 = t1093 * t15862;
  t15880 = t143 * t2181;
  t15881 = t356 * t15880;
  t15884 = t1034 * t15880;
  t15887 = t143 * t2175;
  t15888 = t1034 * t15887;
  t15889 = t1720 * t15888;
  t15890 = t15889 / 0.3e1;
  t15891 = t4396 * t15880;
  t15895 = 0.4e1 * t6966 * t15849 - 0.6e1 * t6969 * t15852 + t6969 * t15855 - t15857 + t15858 + t15859 + t15363 + t494 * t15358 / 0.2e1 - 0.4e1 * t6984 * t15863 + t6988 * t15866 / 0.18e2 + 0.1e2 / 0.3e1 * t6988 * t15869 - 0.3e1 * t6988 * t15872 + 0.6e1 * t6984 * t15875 + 0.2e1 * t494 * t15392 + 0.6e1 * t7010 * t15881 + 0.2e1 * t6984 * t15884 - t15890 - t6988 * t15891 / 0.9e1 - t494 * t15380;
  t15896 = t2369 * t2196;
  t15897 = t4408 * t15896;
  t15900 = t1093 * t15887;
  t15901 = t1720 * t15900;
  t15902 = 0.2e1 * t15901;
  t15903 = t356 * t15887;
  t15904 = t1716 * t15903;
  t15905 = 0.2e1 * t15904;
  t15906 = t1182 * t15896;
  t15909 = t4549 * t15896;
  t15912 = t1093 * t15880;
  t15915 = t4376 * t15880;
  t15918 = t4408 * t15880;
  t15921 = 0.4e1 * t15377;
  t15922 = 0.4e1 * t15382;
  t15923 = 0.2e1 / 0.3e1 * t15386;
  t15924 = t356 * t15862;
  t15928 = t140 * t2175;
  t15929 = t1093 * t15928;
  t15930 = t1720 * t15929;
  t15931 = t1034 * t15928;
  t15932 = t1720 * t15931;
  t15933 = 0.2e1 / 0.3e1 * t15932;
  t15934 = t356 * t15928;
  t15935 = t1716 * t15934;
  t15936 = -0.2e1 * t1720 * t15897 + t15902 - t15905 - 0.2e1 * t1716 * t15906 + 0.3e1 * t1720 * t15909 - 0.12e2 * t6984 * t15912 - 0.2e1 / 0.3e1 * t6988 * t15915 + 0.6e1 * t6988 * t15918 + t15921 - t15922 - t15385 - t15923 - 0.3e1 * t7010 * t15924 - t494 * t15320 - t15930 + t15933 + t15935 - t2229 + t2210;
  t15937 = t15895 + t15936;
  t15938 = t139 * t15937;
  t15939 = t15938 * t168;
  t15943 = t1013 * t1014 * t2181;
  t15944 = t6928 * t15943;
  t15947 = t1019 * t2181;
  t15948 = t4362 * t15947;
  t15949 = t6935 * t15948;
  t15952 = t167 * t2181;
  t15953 = t1028 * t15952;
  t15954 = t5623 * t15953;
  t15957 = t4368 * t2181;
  t15958 = t4362 * t15957;
  t15959 = t6935 * t15958;
  t15962 = t4363 * t2181;
  t15963 = t4362 * t15962;
  t15964 = t6935 * t15963;
  t15967 = t988 * t15952;
  t15968 = t5640 * t15967;
  t15971 = t371 * t15952;
  t15972 = t5623 * t15971;
  t15975 = t5634 * t15967;
  t15978 = t6773 * t2197;
  t15979 = t987 * t15978;
  t15982 = t167 * t2175;
  t15983 = t988 * t15982;
  t15984 = t1393 * t15983;
  t15985 = t1651 * t15984;
  t15986 = t15985 / 0.6e1;
  t15987 = -t15838 + t15839 - t2180 - t1651 * t15841 / 0.6e1 + 0.2e1 / 0.3e1 * t1651 * t15845 - t110 * t15939 / 0.4e1 - t15415 - t15419 - 0.3e1 * t373 * t15944 + 0.3e1 / 0.2e1 * t373 * t15949 - 0.3e1 / 0.2e1 * t6752 * t15954 + 0.3e1 / 0.2e1 * t4395 * t15959 - 0.3e1 * t1030 * t15964 - 0.11e2 / 0.18e2 * t6752 * t15968 + 0.23e2 / 0.36e2 * t6752 * t15972 - t6752 * t15975 / 0.2e1 + t442 * t15979 / 0.12e2 - t15986;
  t15988 = t1400 * t15983;
  t15989 = t1651 * t15988;
  t15990 = t15989 / 0.12e2;
  t15991 = t5623 * t15967;
  t15998 = t1393 * t15840;
  t16001 = t1000 * t15840;
  t16004 = t1000 * t15983;
  t16005 = t1644 * t16004;
  t16006 = t16005 / 0.6e1;
  t16007 = t1400 * t15967;
  t16010 = t1703 * t15410;
  t16014 = t1013 * t1014 * t2175;
  t16015 = t1692 * t16014;
  t16016 = t373 * t16015;
  t16017 = t16016 / 0.2e1;
  t16019 = t346 * t348 * t2175;
  t16020 = t1699 * t16019;
  t16021 = t373 * t16020;
  t16022 = t16021 / 0.2e1;
  t16023 = t1692 * t15468;
  t16024 = t1030 * t16023;
  t16025 = t16024 / 0.2e1;
  t16031 = t371 * t15982;
  t16032 = t1400 * t16031;
  t16033 = t1651 * t16032;
  t16034 = t16033 / 0.3e1;
  t16035 = t1013 * t15947;
  t16036 = t6928 * t16035;
  t16039 = -t15990 - 0.5e1 / 0.36e2 * t6752 * t15991 + t490 * t15483 / 0.6e1 + t490 * t15488 / 0.12e2 - t1651 * t15998 / 0.3e1 + t1644 * t16001 / 0.3e1 + t16006 + t6921 * t16007 / 0.2e1 - t373 * t16010 / 0.4e1 + t16017 - t16022 - t16025 - t1454 * t2395 - t1454 * t2398 / 0.2e1 - t1663 * t2258 / 0.4e1 + t16034 + t2251 + 0.3e1 * t1030 * t16036;
  t16043 = t1000 * t15967;
  t16046 = t4549 * t9253;
  t16047 = t1720 * t16046;
  t16050 = t15450 / 0.3e1;
  t16051 = t15454 / 0.6e1;
  t16052 = t5640 * t15971;
  t16055 = t1393 * t15967;
  t16057 = t1400 * t15971;
  t16062 = t1703 * t15441;
  t16066 = t346 * t348 * t2181;
  t16067 = t6942 * t16066;
  t16070 = t15535 / 0.2e1;
  t16071 = t15543 / 0.6e1;
  t16074 = t1663 * t2249;
  t16075 = t16074 / 0.4e1;
  t16076 = -t490 * t15447 / 0.6e1 - t7100 * t16043 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t16047 + t16050 + t15453 - t16051 - t15470 + 0.7e1 / 0.3e1 * t6752 * t16052 + t6921 * t16055 - 0.2e1 * t6921 * t16057 - t5674 * t2390 + t1454 * t2403 + t373 * t16062 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t16067 + t16070 - t16071 + t10647 * t457 / 0.2e1 + t16075;
  t16081 = t2178 * t1658;
  t16082 = t16081 / 0.12e2;
  t16099 = t1182 * t9253;
  t16100 = t1716 * t16099;
  t16102 = t1476 * t10525;
  t16105 = t168 * t9253;
  t16106 = t5549 * t16105;
  t16109 = t4137 * t16105;
  t16112 = t5587 * t16105;
  t16115 = t1021 * t9253;
  t16116 = t5549 * t16115;
  t16118 = -t2189 * t6873 / 0.12e2 - t490 * t9705 / 0.12e2 - t16082 + t1663 * t2261 / 0.2e1 + t9710 * t505 / 0.4e1 + t15548 + t2189 * t6843 / 0.3e1 - t6848 * t2245 / 0.2e1 - t442 * t10656 / 0.6e1 - t1663 * t2253 / 0.2e1 + t2184 * t1658 / 0.6e1 - t2189 * t6839 / 0.6e1 + t5540 * t16100 + 0.3e1 / 0.2e1 * t5559 * t16102 + t6824 * t16106 / 0.4e1 - t6830 * t16109 / 0.3e1 + t6824 * t16112 / 0.2e1 - t6824 * t16116;
  t16121 = my_piecewise3(t100, 0, t15987 + t16039 + t16076 + t16118);
  tv3sigma2lapl11 = t3 * t16121;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 11] += tv3sigma2lapl11;

  t16122 = t1843 * t15711;
  t16125 = t1847 * t15696;
  t16128 = t1847 * t15708;
  t16129 = 0.2e1 / 0.3e1 * t16128;
  t16154 = t16122 + t519 * t15162 / 0.2e1 - t16125 + 0.1e2 / 0.3e1 * t7599 * t15705 + t16129 - 0.4e1 * t7595 * t15713 + t7599 * t15716 / 0.18e2 + 0.6e1 * t7595 * t15699 - 0.3e1 * t7599 * t15702 - 0.3e1 * t7610 * t15719 - t519 * t15140 - t15692 + 0.4e1 * t7586 * t15687 + t7584 * t15690 - 0.6e1 * t7584 * t15684 + 0.6e1 * t7610 * t15757 + 0.2e1 * t519 * t15184 + 0.6e1 * t7599 * t15730 - 0.12e2 * t7595 * t15724;
  t16163 = t1847 * t15747;
  t16164 = t16163 / 0.3e1;
  t16170 = t1847 * t15765;
  t16171 = 0.2e1 * t16170;
  t16172 = t1843 * t15741;
  t16173 = 0.2e1 * t16172;
  t16174 = -0.2e1 / 0.3e1 * t7599 * t15727 + 0.3e1 * t1847 * t15762 - 0.2e1 * t1843 * t15737 + 0.2e1 * t7595 * t15744 - t16164 - t7599 * t15750 / 0.9e1 - t519 * t15192 - 0.2e1 * t1847 * t15754 + t16171 - t16173 + t15733 + t15170 + t15735 - t15179 - t15768 + t15769 - t15770 - t2138 + t2119;
  t16175 = t16154 + t16174;
  t16176 = t59 * t16175;
  t16177 = t16176 * t95;
  t16184 = t1769 * t15111;
  t16187 = t1757 * t15791;
  t16188 = t246 * t16187;
  t16189 = t16188 / 0.2e1;
  t16190 = t1765 * t15801;
  t16191 = t246 * t16190;
  t16192 = t16191 / 0.2e1;
  t16193 = t1757 * t15124;
  t16194 = t644 * t16193;
  t16195 = t16194 / 0.2e1;
  t16203 = t1777 * t2120 * t748;
  t16208 = t1769 * t15044;
  t16211 = t7277 * t15639;
  t16214 = t7264 * t15643;
  t16222 = t1777 * t2117 * t249;
  t16223 = t246 * t16222;
  t16224 = t16223 / 0.4e1;
  t16225 = t2087 * t1779;
  t16226 = t16225 / 0.12e2;
  t16230 = -t246 * t16203 / 0.2e1 + t2093 * t1779 / 0.6e1 + t246 * t16208 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t16211 + 0.3e1 * t644 * t16214 - t515 * t15050 / 0.6e1 - t7307 * t15657 / 0.2e1 + t16224 - t16226 - t417 * t10894 / 0.6e1 - t5073 * t2444;
  t16242 = t15554 + t15099 - t15555 - t15116 - t15120 - t15126 - 0.2e1 * t7250 * t15591 - 0.11e2 / 0.18e2 * t7187 * t15647 + 0.23e2 / 0.36e2 * t7187 * t15650 - t7187 * t15573 / 0.2e1 + 0.7e1 / 0.3e1 * t7187 * t15577;
  t16246 = t1777 * t2124;
  t16247 = t16246 * t649;
  t16250 = t16246 * t654;
  t16253 = t7264 * t15567;
  t16256 = t7563 * t15557;
  t16263 = t7563 * t15585;
  t16266 = t7563 * t15562;
  t16270 = t1293 * t2453 + 0.2e1 / 0.3e1 * t1748 * t15808 - t644 * t16247 / 0.2e1 + t246 * t16250 / 0.2e1 - 0.3e1 * t246 * t16253 + 0.3e1 / 0.2e1 * t246 * t16256 - t2098 * t7171 / 0.6e1 - 0.3e1 / 0.2e1 * t7187 * t15581 + 0.3e1 / 0.2e1 * t3680 * t16263 - 0.3e1 * t644 * t16266 + t7250 * t15589;
  t16275 = t7198 * t2106;
  t16276 = t660 * t16275;
  t16279 = t1748 * t15617;
  t16280 = t16279 / 0.3e1;
  t16283 = t1748 * t15613;
  t16284 = t16283 / 0.6e1;
  t16287 = t1748 * t15660;
  t16288 = t16287 / 0.12e2;
  t16298 = t1787 * t15600;
  t16299 = t16298 / 0.6e1;
  t16305 = t1321 * t11102;
  t16308 = t543 * t2105;
  t16309 = t253 * t16308;
  t16310 = t3130 * t16309;
  t16313 = t1843 * t15624;
  t16315 = t515 * t15091 / 0.12e2 + t1787 * t15595 / 0.3e1 + t16299 + t7250 * t15604 / 0.2e1 - t15630 + t15631 + t7216 * t15674 / 0.2e1 - t7216 * t15678 + 0.3e1 / 0.2e1 * t4738 * t16305 + t4789 * t16310 / 0.12e2 + t4779 * t16313;
  t16317 = t11151 * t2166;
  t16320 = t1847 * t15795;
  t16325 = t2087 * t1886;
  t16326 = t16325 / 0.12e2;
  t16339 = -t3123 * t16317 / 0.4e1 - 0.3e1 / 0.2e1 * t4779 * t16320 + t15216 + t10974 * t432 / 0.2e1 - t16326 - t417 * t10969 / 0.6e1 - t2098 * t7441 / 0.12e2 - t515 * t9098 / 0.12e2 - t1891 * t2162 / 0.2e1 + t2093 * t1886 / 0.6e1 - t7746 * t15671 / 0.3e1;
  t16342 = t2147 * t544;
  t16353 = t1891 * t2158;
  t16354 = t16353 / 0.4e1;
  t16357 = t7216 * t15680 / 0.4e1 - t30 * t16342 / 0.4e1 - t15811 + t15812 - t2089 - t2098 * t7453 / 0.6e1 + t2098 * t7457 / 0.3e1 - t7462 * t2154 / 0.2e1 + t1891 * t2170 / 0.2e1 + t16354 + t9070 * t530 / 0.4e1;
  t16361 = my_piecewise3(t2, 0, t2160 + t16315 + t16242 - t1748 * t15607 / 0.6e1 - 0.5e1 / 0.36e2 * t7187 * t15663 + t515 * t15062 / 0.6e1 + t2098 * t7175 / 0.3e1 - t16288 - t16192 - t16195 + t16357 + t16230 + t417 * t16276 / 0.12e2 - t1748 * t15632 / 0.3e1 - t30 * t16177 / 0.4e1 - t2098 * t7316 / 0.12e2 + t1293 * t2462 / 0.2e1 - t246 * t16184 / 0.4e1 - t1891 * t2167 / 0.4e1 - t1293 * t2447 - t1293 * t2450 / 0.2e1 + t16270 + t16280 + t16189 + t16339 - t16284);
  tv3sigma2tau0 = t3 * t16361;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  tv3sigma2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 1] += tv3sigma2tau1;

  tv3sigma2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 2] += tv3sigma2tau2;

  tv3sigma2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 3] += tv3sigma2tau3;

  tv3sigma2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 4] += tv3sigma2tau4;

  tv3sigma2tau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 5] += tv3sigma2tau5;

  tv3sigma2tau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 6] += tv3sigma2tau6;

  tv3sigma2tau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 7] += tv3sigma2tau7;

  tv3sigma2tau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 8] += tv3sigma2tau8;

  tv3sigma2tau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 9] += tv3sigma2tau9;

  tv3sigma2tau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 10] += tv3sigma2tau10;

  t16362 = t1965 * t16032;
  t16363 = t16362 / 0.3e1;
  t16364 = t8079 * t2197;
  t16365 = t987 * t16364;
  t16376 = t1965 * t15984;
  t16377 = t16376 / 0.6e1;
  t16380 = t1958 * t16004;
  t16381 = t16380 / 0.6e1;
  t16391 = t1948 * t2215;
  t16392 = t16391 * t1035;
  t16399 = t1476 * t11398;
  t16402 = t583 * t2196;
  t16403 = t380 * t16402;
  t16404 = t4137 * t16403;
  t16407 = -t1965 * t15841 / 0.6e1 - t15838 + t15839 - t2189 * t8524 / 0.6e1 + t2189 * t8509 / 0.3e1 - t1030 * t16392 / 0.2e1 - t2180 - t8052 * t16109 / 0.3e1 + t8058 * t16106 / 0.4e1 + 0.3e1 / 0.2e1 * t5559 * t16399 + t5575 * t16404 / 0.12e2;
  t16409 = t11761 * t2257;
  t16412 = t2056 * t16099;
  t16417 = t2030 * t2249;
  t16418 = t16417 / 0.4e1;
  t16426 = -t4145 * t16409 / 0.4e1 + t5540 * t16412 + t8058 * t16112 / 0.2e1 - t8058 * t16116 + t16418 - t442 * t11507 / 0.6e1 - t2189 * t8165 / 0.12e2 + t11512 * t457 / 0.2e1 - t15415 - t15419 + t1454 * t2512;
  t16433 = t1948 * t2211 * t1045;
  t16436 = t1965 * t15988;
  t16437 = t16436 / 0.12e2;
  t16438 = t2060 * t16046;
  t16445 = t1940 * t15441;
  t16448 = t8390 * t16035;
  t16451 = 0.2e1 / 0.3e1 * t1965 * t15845 - t5674 * t2503 + t2184 * t1950 / 0.6e1 - t373 * t16433 / 0.2e1 - t16437 - 0.3e1 / 0.2e1 * t5540 * t16438 + t2251 + t2184 * t2025 / 0.6e1 + t9710 * t570 / 0.4e1 + t373 * t16445 / 0.2e1 + 0.3e1 * t1030 * t16448;
  t16454 = t8434 * t16066;
  t16466 = t1948 * t2208 * t376;
  t16467 = t373 * t16466;
  t16468 = t16467 / 0.4e1;
  t16469 = t1940 * t15410;
  t16481 = t2056 * t15934;
  t16484 = t2060 * t15929;
  t16487 = t2060 * t15931;
  t16488 = 0.2e1 / 0.3e1 * t16487;
  t16491 = -t15857 + t15858 + t15859 + t15363 + t8254 * t15855 + 0.4e1 * t8251 * t15849 - 0.6e1 * t8254 * t15852 - 0.3e1 * t8220 * t15924 - t559 * t15320 + t16481 + t15921 - t15922 - t15385 - t15923 + t559 * t15358 / 0.2e1 - t16484 + 0.1e2 / 0.3e1 * t8227 * t15869 + t16488 - 0.4e1 * t8223 * t15863;
  t16504 = t2056 * t15903;
  t16505 = 0.2e1 * t16504;
  t16508 = t2060 * t15888;
  t16509 = t16508 / 0.3e1;
  t16523 = t2060 * t15900;
  t16524 = 0.2e1 * t16523;
  t16525 = t8227 * t15866 / 0.18e2 - 0.3e1 * t8227 * t15872 + 0.6e1 * t8223 * t15875 + 0.3e1 * t2060 * t15909 + 0.6e1 * t8220 * t15881 - 0.2e1 * t2056 * t15906 - t16505 + 0.2e1 * t8223 * t15884 - t16509 - t8227 * t15891 / 0.9e1 - t559 * t15380 + 0.2e1 * t559 * t15392 - 0.12e2 * t8223 * t15912 - 0.2e1 / 0.3e1 * t8227 * t15915 + 0.6e1 * t8227 * t15918 - 0.2e1 * t2060 * t15897 + t16524 - t2229 + t2210;
  t16526 = t16491 + t16525;
  t16527 = t139 * t16526;
  t16528 = t16527 * t168;
  t16543 = t2178 * t2025;
  t16544 = t16543 / 0.12e2;
  t16545 = t16391 * t1094;
  t16548 = t8390 * t15943;
  t16551 = -t15470 - t110 * t16528 / 0.4e1 - t2189 * t8192 / 0.6e1 + t2189 * t8196 / 0.3e1 - t8201 * t2245 / 0.2e1 + t2030 * t2261 / 0.2e1 - t2030 * t2253 / 0.2e1 - t555 * t9705 / 0.12e2 - t16544 + t373 * t16545 / 0.2e1 - 0.3e1 * t373 * t16548;
  t16553 = t8499 * t15948;
  t16560 = t8499 * t15958;
  t16563 = t8499 * t15963;
  t16575 = t2238 * t584;
  t16578 = 0.3e1 / 0.2e1 * t373 * t16553 + 0.7e1 / 0.3e1 * t8090 * t16052 - 0.3e1 / 0.2e1 * t8090 * t15954 + 0.3e1 / 0.2e1 * t4395 * t16560 - 0.3e1 * t1030 * t16563 + t8360 * t16055 - 0.2e1 * t8360 * t16057 - 0.11e2 / 0.18e2 * t8090 * t15968 + 0.23e2 / 0.36e2 * t8090 * t15972 - t8090 * t15975 / 0.2e1 - t110 * t16575 / 0.4e1;
  t16579 = t1974 * t16014;
  t16580 = t373 * t16579;
  t16581 = t16580 / 0.2e1;
  t16582 = t2178 * t1950;
  t16583 = t16582 / 0.12e2;
  t16586 = t1936 * t16019;
  t16587 = t373 * t16586;
  t16588 = t16587 / 0.2e1;
  t16589 = t1974 * t15468;
  t16590 = t1030 * t16589;
  t16591 = t16590 / 0.2e1;
  t16597 = t16070 - t16071 + t16581 - t16583 - t442 * t11754 / 0.6e1 - t16588 - t16591 - t1454 * t2506 - t1454 * t2509 / 0.2e1 - t2030 * t2258 / 0.4e1 + t15548;
  t16601 = my_piecewise3(t100, 0, t16363 - t16377 + t16468 + t16597 + t16578 + t16551 + t16426 + t16407 - t8490 * t16043 / 0.2e1 - t2189 * t8335 / 0.12e2 + t1454 * t2521 / 0.2e1 + t442 * t16365 / 0.12e2 - 0.5e1 / 0.36e2 * t8090 * t15991 + t555 * t15483 / 0.6e1 + t555 * t15488 / 0.12e2 - t1965 * t15998 / 0.3e1 + t1958 * t16001 / 0.3e1 + t8360 * t16007 / 0.2e1 - t373 * t16469 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t16454 - t555 * t15447 / 0.6e1 + t16050 - t16051 + t15453 + t16381 + t16451);
  tv3sigma2tau11 = t3 * t16601;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 11] += tv3sigma2tau11;

  t16602 = t15096 / 0.6e1;
  t16603 = t15098 / 0.12e2;
  t16604 = t15100 / 0.12e2;
  t16605 = t15116 / 0.2e1;
  t16606 = t15119 / 0.4e1;
  t16607 = t15126 / 0.2e1;
  t16608 = t15601 / 0.3e1;
  t16609 = t2541 * t414;
  t16610 = t819 * t16609;
  t16611 = t1587 * t16610;
  t16614 = t2541 * t2105;
  t16615 = t95 * t16614;
  t16616 = t8642 * t16615;
  t16619 = t95 * t16609;
  t16620 = t4760 * t16619;
  t16623 = t3430 * t16614;
  t16624 = t470 * t16623;
  t16627 = t3130 * t16619;
  t16630 = t3409 * t16609;
  t16631 = t1591 * t16630;
  t16634 = t4770 * t16619;
  t16637 = t635 * t16609;
  t16638 = t4760 * t16637;
  t16641 = t1321 * t12031;
  t16644 = t15614 / 0.3e1;
  t16645 = 0.2e1 / 0.3e1 * t15618;
  t16646 = t16602 + t16603 - t16604 - t16605 - t16606 - t16607 + t2160 + t16608 + t4779 * t16611 / 0.2e1 - t6488 * t16616 / 0.6e1 + t6069 * t16620 / 0.12e2 + t4779 * t16624 / 0.2e1 - t6491 * t16627 / 0.6e1 - t4779 * t16631 / 0.2e1 + t6069 * t16634 / 0.6e1 - t6069 * t16638 / 0.3e1 + t4738 * t16641 / 0.2e1 - t15611 - t16644 + t16645;
  t16647 = t15212 / 0.6e1;
  t16648 = t15214 / 0.3e1;
  t16649 = t11985 * t2331;
  t16652 = t3474 * t2317;
  t16653 = t11966 * t16652;
  t16656 = t1530 * t2266;
  t16657 = t1227 * t16656;
  t16660 = t642 * t2266;
  t16661 = t4844 * t16660;
  t16666 = t3447 * t414;
  t16667 = t3474 * t16666;
  t16668 = t11966 * t16667;
  t16671 = t3401 * t414;
  t16672 = t3474 * t16671;
  t16673 = t11966 * t16672;
  t16680 = t6255 * t2266;
  t16681 = t1227 * t16680;
  t16684 = t5044 * t2542;
  t16685 = t660 * t16684;
  t16704 = 0.2e1 / 0.3e1 * t8837 * t2728 + t15069 - 0.4e1 * t11839 * t2323 + 0.4e1 / 0.3e1 * t11842 * t2318 - 0.2e1 * t11845 * t2166 + 0.4e1 * t11842 * t2331 - t15081 + 0.4e1 * t11852 * t2323 + 0.2e1 * t472 * t2166 - 0.4e1 * t11857 * t2331;
  t16705 = t94 * t16704;
  t16706 = t661 * t16705;
  t16707 = t660 * t16706;
  t16714 = t4844 * t2267;
  t16717 = t2087 * t2544;
  t16718 = t16717 / 0.12e2;
  t16721 = -t16647 + t16648 - 0.3e1 * t246 * t16649 + 0.3e1 / 0.2e1 * t246 * t16653 + 0.2e1 / 0.3e1 * t1541 * t16657 - 0.3e1 / 0.2e1 * t11975 * t16661 - t6295 * t2319 + t1532 * t2332 + 0.3e1 / 0.2e1 * t3680 * t16668 - 0.3e1 * t644 * t16673 - t2529 * t2108 / 0.6e1 + t11960 * t2271 / 0.2e1 - t1541 * t16681 / 0.6e1 + t466 * t16685 / 0.12e2 + t466 * t16707 / 0.12e2 + t2534 * t15036 / 0.3e1 + t2534 * t15058 / 0.6e1 - 0.5e1 / 0.36e2 * t11975 * t16714 + t16718 - t11953 * t2268 / 0.2e1;
  t16723 = t15216 / 0.2e1;
  t16724 = t15661 / 0.6e1;
  t16741 = t8745 * t2592;
  t16742 = t246 * t16741;
  t16743 = t16742 / 0.4e1;
  t16745 = t658 * t221 * t16704;
  t16746 = t1559 * t16745;
  t16749 = t11985 * t2318;
  t16752 = t12096 * t15054;
  t16759 = t673 * t16680;
  t16765 = t16723 - t16724 - t417 * t12211 / 0.12e2 + t12216 * t432 / 0.4e1 + t2529 * t1288 / 0.6e1 - t2534 * t5102 / 0.12e2 - t2534 * t5064 / 0.6e1 - t466 * t10155 / 0.6e1 + t2534 * t5068 / 0.3e1 - t1293 * t2593 / 0.4e1 - t16743 - t246 * t16746 / 0.4e1 + 0.3e1 * t644 * t16749 + t644 * t16752 - t1532 * t2324 - t1532 * t2327 / 0.2e1 - 0.2e1 / 0.3e1 * t2534 * t15040 + t1568 * t16759 / 0.3e1 + t466 * t15621 / 0.6e1 + t11960 * t2276;
  t16768 = t4838 * t2267;
  t16771 = t4844 * t2281;
  t16774 = t4831 * t2267;
  t16777 = t4838 * t2281;
  t16780 = t1220 * t16680;
  t16783 = t12096 * t15103;
  t16785 = t12179 * t2323;
  t16788 = t12183 * t2166;
  t16791 = t15777 / 0.2e1;
  t16793 = t15783 / 0.6e1;
  t16808 = t3448 * t2287;
  t16813 = t3402 * t2287;
  t16816 = t3375 * t2287;
  t16819 = t2571 * t414;
  t16820 = t3409 * t16819;
  t16822 = t11819 * t414;
  t16823 = t233 * t16822;
  t16826 = t11819 * t2105;
  t16827 = t233 * t16826;
  t16830 = 0.2e1 * t2554 * t2129 + 0.2e1 * t11883 * t2291 + 0.2e1 / 0.3e1 * t2558 * t15189 - t11891 * t16808 / 0.9e1 - 0.12e2 * t11883 * t2295 - 0.2e1 / 0.3e1 * t11891 * t16813 + 0.6e1 * t11891 * t16816 + t1591 * t16820 - t15157 + 0.2e1 * t6440 * t16823 + 0.2e1 * t9923 * t16827;
  t16831 = 0.2e1 * t15697;
  t16832 = 0.4e1 / 0.3e1 * t15709;
  t16833 = 0.2e1 * t15712;
  t16834 = t15170 / 0.2e1;
  t16835 = 0.2e1 / 0.3e1 * t15171;
  t16836 = 0.4e1 * t15742;
  t16837 = 0.2e1 / 0.3e1 * t15748;
  t16838 = 0.4e1 * t15766;
  t16839 = t2118 * t2562;
  t16840 = t63 * t16704;
  t16841 = t819 * t16840;
  t16843 = t3375 * t16819;
  t16846 = -t16831 + t16832 + t16833 + t15168 + t16834 + t16835 - t16836 - t16837 + t16838 - t16839 - t470 * t16841 - 0.2e1 / 0.3e1 * t1591 * t16843;
  t16850 = t819 * t16819;
  t16852 = t2571 * t2105;
  t16853 = t3430 * t16852;
  t16857 = t840 * t16822;
  t16860 = t827 * t16822;
  t16863 = t15180 / 0.3e1;
  t16864 = 0.2e1 * t15181;
  t16865 = 0.2e1 * t15194;
  t16868 = -0.4e1 * t2558 * t15196 - t1587 * t16850 - t470 * t16853 + 0.6e1 * t11878 * t2288 - 0.2e1 * t6427 * t16857 + t6427 * t16860 / 0.3e1 - t15178 - t16863 + t16864 - t16865 + 0.2e1 * t2558 * t15154;
  t16869 = t3402 * t2298;
  t16876 = t3448 * t2298;
  t16881 = t3375 * t2298;
  t16887 = t2118 * t2572;
  t16888 = t16887 / 0.2e1;
  t16889 = t60 * t16704;
  t16890 = t819 * t16889;
  t16893 = 0.1e2 / 0.3e1 * t11891 * t16869 - 0.4e1 / 0.3e1 * t2558 * t15165 - 0.4e1 * t11883 * t2299 + t11891 * t16876 / 0.18e2 + 0.6e1 * t11883 * t2306 - 0.3e1 * t11891 * t16881 - t2138 + t2119 - 0.3e1 * t11878 * t2302 - t2554 * t2142 + t16888 + t470 * t16890 / 0.2e1;
  t16895 = t16830 + t16846 + t16868 + t16893;
  t16896 = t59 * t16895;
  t16897 = t16896 * t95;
  t16900 = t15271 / 0.12e2;
  t16901 = t15279 / 0.4e1;
  t16902 = -t16793 + t15793 - t1293 * t2588 / 0.2e1 + t1293 * t2596 / 0.2e1 + t10160 * t481 / 0.2e1 - t5073 * t2584 / 0.2e1 - t15803 - t30 * t16897 / 0.4e1 - t16900 + t16901 - t2089;
  t16906 = my_piecewise3(t2, 0, t16646 + t16721 + t16765 - 0.2e1 * t11960 * t2282 - 0.11e2 / 0.18e2 * t11975 * t16768 + 0.23e2 / 0.36e2 * t11975 * t16771 - t11975 * t16774 / 0.2e1 + 0.7e1 / 0.3e1 * t11975 * t16777 - t1541 * t16780 / 0.3e1 - t246 * t16783 + 0.3e1 / 0.2e1 * t246 * t16785 + t246 * t16788 / 0.2e1 + t16791 + t16902);
  tv3sigmalapl20 = t3 * t16906;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  tv3sigmalapl21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 1] += tv3sigmalapl21;

  tv3sigmalapl22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 2] += tv3sigmalapl22;

  tv3sigmalapl23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 3] += tv3sigmalapl23;

  tv3sigmalapl24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 4] += tv3sigmalapl24;

  tv3sigmalapl25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 5] += tv3sigmalapl25;

  tv3sigmalapl26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 6] += tv3sigmalapl26;

  tv3sigmalapl27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 7] += tv3sigmalapl27;

  t16907 = t15295 / 0.6e1;
  t16908 = t15297 / 0.3e1;
  t16914 = t6773 * t2337;
  t16915 = t1400 * t16914;
  t16922 = t1000 * t16914;
  t16927 = t5623 * t2338;
  t16930 = t2178 * t2619;
  t16931 = t16930 / 0.12e2;
  t16932 = t6006 * t2617;
  t16933 = t987 * t16932;
  t16952 = 0.2e1 / 0.3e1 * t9394 * t2808 + t15337 - 0.4e1 * t12414 * t2394 + 0.4e1 / 0.3e1 * t12417 * t2389 - 0.2e1 * t12420 * t2257 + 0.4e1 * t12417 * t2402 - t15349 + 0.4e1 * t12427 * t2394 + 0.2e1 * t496 * t2257 - 0.4e1 * t12432 * t2402;
  t16953 = t167 * t16952;
  t16954 = t988 * t16953;
  t16955 = t987 * t16954;
  t16964 = t2616 * t2196;
  t16965 = t168 * t16964;
  t16966 = t9270 * t16965;
  t16969 = t2616 * t439;
  t16970 = t168 * t16969;
  t16971 = t5549 * t16970;
  t16974 = -t16907 + t16908 - t1663 * t2395 - t1663 * t2398 / 0.2e1 + t490 * t15979 / 0.6e1 - t1651 * t16915 / 0.6e1 - 0.2e1 / 0.3e1 * t2609 * t15465 + t2609 * t15461 / 0.3e1 + t1644 * t16922 / 0.3e1 + t2609 * t15479 / 0.6e1 - 0.5e1 / 0.36e2 * t12347 * t16927 + t16931 + t490 * t16933 / 0.12e2 + t490 * t16955 / 0.12e2 - t12659 * t2339 / 0.2e1 - t2604 * t2199 / 0.6e1 + t12643 * t2342 / 0.2e1 - t2180 - t6827 * t16966 / 0.6e1 + t6824 * t16971 / 0.12e2;
  t16975 = t1182 * t16969;
  t16976 = t1716 * t16975;
  t16979 = t4543 * t16964;
  t16980 = t494 * t16979;
  t16983 = t4137 * t16970;
  t16986 = t4549 * t16969;
  t16987 = t1720 * t16986;
  t16990 = t5587 * t16970;
  t16993 = t1021 * t16969;
  t16994 = t5549 * t16993;
  t16997 = t1476 * t12519;
  t17010 = t15415 / 0.2e1;
  t17011 = t15418 / 0.4e1;
  t17012 = t12527 * t15457;
  t17016 = t9439 * t2667;
  t17017 = t373 * t17016;
  t17018 = t17017 / 0.4e1;
  t17020 = t985 * t348 * t16952;
  t17021 = t1703 * t17020;
  t17024 = t12707 * t2394;
  t17027 = t12534 * t2257;
  t17030 = t5540 * t16976 / 0.2e1 + t5540 * t16980 / 0.2e1 - t6830 * t16983 / 0.6e1 - t5540 * t16987 / 0.2e1 + t6824 * t16990 / 0.6e1 - t6824 * t16994 / 0.3e1 + t5559 * t16997 / 0.2e1 - t5674 * t2659 / 0.2e1 - t442 * t12591 / 0.12e2 + t12596 * t457 / 0.4e1 + t10647 * t505 / 0.2e1 + t2609 * t5669 / 0.3e1 - t17010 - t17011 - t373 * t17012 - t1454 * t2668 / 0.4e1 - t17018 - t373 * t17021 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t17024 + t373 * t17027 / 0.2e1;
  t17032 = t12341 * t2389;
  t17035 = t12527 * t15473;
  t17037 = t15985 / 0.3e1;
  t17038 = t15989 / 0.6e1;
  t17039 = t16005 / 0.3e1;
  t17040 = 0.2e1 / 0.3e1 * t16033;
  t17045 = t15450 / 0.6e1;
  t17046 = t15452 / 0.12e2;
  t17047 = t15454 / 0.12e2;
  t17048 = t15470 / 0.2e1;
  t17049 = t4363 * t439;
  t17050 = t4362 * t17049;
  t17051 = t12336 * t17050;
  t17054 = t12341 * t2402;
  t17057 = t4362 * t2388;
  t17058 = t12336 * t17057;
  t17061 = t5640 * t2352;
  t17064 = 0.3e1 * t1030 * t17032 + t1030 * t17035 - t17037 - t17038 + t17039 + t16016 - t16021 - t16024 + t17040 + t2251 - t1454 * t2663 / 0.2e1 + t1454 * t2671 / 0.2e1 + t17045 + t17046 - t17047 - t17048 - 0.3e1 * t1030 * t17051 - 0.3e1 * t373 * t17054 + 0.3e1 / 0.2e1 * t373 * t17058 + 0.7e1 / 0.3e1 * t12347 * t17061;
  t17073 = t15535 / 0.4e1;
  t17074 = t15543 / 0.12e2;
  t17075 = t16074 / 0.2e1;
  t17076 = t16081 / 0.6e1;
  t17077 = 0.2e1 / 0.3e1 * t15309;
  t17078 = t15363 / 0.2e1;
  t17085 = t2369 * t2616;
  t17086 = t4408 * t17085;
  t17091 = t4408 * t2358;
  t17094 = t4549 * t17085;
  t17096 = -t15307 + t17077 + t15361 + t17078 + 0.6e1 * t12388 * t2359 + 0.2e1 * t2629 * t2220 + 0.2e1 * t12394 * t2362 - 0.2e1 / 0.3e1 * t1720 * t17086 - 0.4e1 * t2633 * t15398 + 0.6e1 * t12398 * t17091 + t1720 * t17094;
  t17099 = t4376 * t2358;
  t17102 = 0.2e1 / 0.3e1 * t15889;
  t17103 = 0.4e1 * t15901;
  t17104 = 0.4e1 * t15904;
  t17105 = t12370 * t439;
  t17106 = t1203 * t17105;
  t17109 = t360 * t17105;
  t17112 = t12370 * t2196;
  t17113 = t360 * t17112;
  t17116 = t1190 * t17105;
  t17119 = 0.2e1 * t15377;
  t17120 = 0.2e1 * t15382;
  t17121 = -0.12e2 * t12394 * t2366 - 0.2e1 / 0.3e1 * t12398 * t17099 - t17102 + t17103 - t17104 - 0.2e1 * t6969 * t17106 + 0.2e1 * t6966 * t17109 + 0.2e1 * t10396 * t17113 + t6969 * t17116 / 0.3e1 + t17119 - t17120 - t15384;
  t17123 = t15386 / 0.3e1;
  t17129 = t2209 * t2647;
  t17130 = t17129 / 0.2e1;
  t17131 = t140 * t16952;
  t17132 = t1182 * t17131;
  t17135 = t4396 * t2369;
  t17138 = t4376 * t2369;
  t17145 = t1182 * t17085;
  t17147 = -t17123 + 0.2e1 * t2633 * t15328 - 0.3e1 * t12388 * t2373 - t2629 * t2233 + t17130 + t494 * t17132 / 0.2e1 + t12398 * t17135 / 0.18e2 + 0.1e2 / 0.3e1 * t12398 * t17138 - 0.4e1 / 0.3e1 * t2633 * t15315 - 0.4e1 * t12394 * t2370 - t1716 * t17145;
  t17148 = t2646 * t2196;
  t17149 = t4543 * t17148;
  t17153 = t4396 * t2358;
  t17156 = t2209 * t2637;
  t17157 = t143 * t16952;
  t17158 = t1182 * t17157;
  t17162 = t4408 * t2369;
  t17165 = 0.2e1 * t15930;
  t17166 = 0.4e1 / 0.3e1 * t15932;
  t17167 = 0.2e1 * t15935;
  t17168 = -t494 * t17149 + 0.2e1 / 0.3e1 * t2633 * t15389 - t12398 * t17153 / 0.9e1 - t17156 - t494 * t17158 + 0.6e1 * t12394 * t2377 - 0.3e1 * t12398 * t17162 - t17165 + t17166 + t17167 - t2229 + t2210;
  t17170 = t17096 + t17121 + t17147 + t17168;
  t17171 = t139 * t17170;
  t17172 = t17171 * t168;
  t17175 = t1393 * t16914;
  t17179 = t1661 * t2337;
  t17180 = t1400 * t17179;
  t17183 = t1028 * t2337;
  t17184 = t5623 * t17183;
  t17189 = t4368 * t439;
  t17190 = t4362 * t17189;
  t17191 = t12336 * t17190;
  t17197 = t5640 * t2338;
  t17200 = t5623 * t2352;
  t17203 = t5634 * t2338;
  t17206 = t15548 / 0.2e1;
  t17207 = 0.2e1 / 0.3e1 * t1651 * t17180 - 0.3e1 / 0.2e1 * t12347 * t17184 - t6848 * t2390 + t1663 * t2403 + 0.3e1 / 0.2e1 * t4395 * t17191 + t12643 * t2347 - 0.2e1 * t12643 * t2353 - 0.11e2 / 0.18e2 * t12347 * t17197 + 0.23e2 / 0.36e2 * t12347 * t17200 - t12347 * t17203 / 0.2e1 + t17206;
  t17211 = my_piecewise3(t100, 0, t16974 + t17030 + t17064 - t2609 * t5686 / 0.12e2 - t2609 * t5665 / 0.6e1 - t490 * t10656 / 0.6e1 + t2604 * t1449 / 0.6e1 + t17073 - t17074 + t17075 - t17076 - t110 * t17172 / 0.4e1 - t1651 * t17175 / 0.3e1 + t17207);
  tv3sigmalapl28 = t3 * t17211;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 8] += tv3sigmalapl28;

  t17212 = t7198 * t2266;
  t17213 = t673 * t17212;
  t17218 = t1227 * t17212;
  t17233 = t1220 * t17212;
  t17236 = t1889 * t2266;
  t17237 = t1227 * t17236;
  t17246 = t1568 * t17213 / 0.6e1 + t466 * t16276 / 0.12e2 - t1541 * t17218 / 0.12e2 + t515 * t15621 / 0.12e2 - t1532 * t2447 / 0.2e1 - t1532 * t2450 / 0.4e1 - t5073 * t2729 / 0.2e1 - t1891 * t2324 / 0.2e1 - t1891 * t2327 / 0.4e1 - t1541 * t17233 / 0.6e1 + t1541 * t17237 / 0.3e1 - t7462 * t2319 / 0.2e1 + t1891 * t2332 / 0.2e1 - t6295 * t2444 / 0.2e1;
  t17263 = t1769 * t16745;
  t17268 = t1532 * t2453 / 0.2e1 - t1748 * t16780 / 0.6e1 + t1748 * t16657 / 0.3e1 + t16189 - t16192 - t16195 + t16224 - t16226 - t466 * t10894 / 0.12e2 - t417 * t12868 / 0.12e2 + t1532 * t2462 / 0.4e1 + t1293 * t2751 / 0.4e1 - t1293 * t2737 / 0.4e1 - t246 * t17263 / 0.4e1 + t1293 * t2742 / 0.2e1;
  t17272 = t12837 * t2331;
  t17275 = t463 * t414;
  t17276 = t653 * t17275;
  t17277 = t7595 * t17276;
  t17280 = t1321 * t13005;
  t17283 = t543 * t414;
  t17284 = t3121 * t17283;
  t17285 = t4765 * t17284;
  t17288 = t12837 * t2318;
  t17291 = t12875 * t414;
  t17292 = t3475 * t17291;
  t17297 = t827 * t17291;
  t17300 = t840 * t17291;
  t17305 = t12875 * t2105;
  t17306 = t840 * t17305;
  t17309 = t233 * t17291;
  t17312 = t233 * t17305;
  t17317 = t827 * t17305;
  t17320 = t3482 * t17291;
  t17327 = -0.2e1 / 0.3e1 * t10846 * t17292 - 0.2e1 * t7584 * t16857 + 0.6e1 * t10846 * t17297 - 0.12e2 * t10841 * t17300 + t7584 * t16860 / 0.3e1 - 0.4e1 * t7584 * t17306 + 0.6e1 * t10836 * t17309 + 0.2e1 * t7586 * t17312 + 0.2e1 * t10841 * t17297 + 0.2e1 / 0.3e1 * t7584 * t17317 - t10846 * t17320 / 0.9e1 + 0.2e1 * t7586 * t16823 + 0.2e1 * t10828 * t16827;
  t17332 = t2298 * t463;
  t17333 = t648 * t17332;
  t17336 = t3448 * t17332;
  t17342 = t3402 * t17332;
  t17345 = t653 * t17332;
  t17348 = t16122 - t16125 + t16129 + t519 * t16890 / 0.2e1 - t15157 - t1843 * t16850 - t519 * t16853 - 0.4e1 * t7595 * t17333 + t7599 * t17336 / 0.18e2 - t519 * t16841 - 0.2e1 / 0.3e1 * t1847 * t16843 + 0.1e2 / 0.3e1 * t7599 * t17342 + 0.6e1 * t7595 * t17345;
  t17351 = t3375 * t17332;
  t17354 = t2708 * t2105;
  t17355 = t3409 * t17354;
  t17358 = t3375 * t17354;
  t17361 = t229 * t17332;
  t17364 = t819 * t17354;
  t17366 = t1847 * t16820 - 0.3e1 * t7599 * t17351 + 0.2e1 * t1847 * t17355 - 0.4e1 / 0.3e1 * t1847 * t17358 - 0.3e1 * t7610 * t17361 - t1843 * t17364 - t15697 + t15710 + t15712 - t16164 + t16171 - t16173 + t15168;
  t17367 = t16834 + t16835 - t15743 - t15749 + t15767 - t16839 - t15178 - t16863 + t16864 - t16865 - t2138 + t2119 + t16888;
  t17369 = t17327 + t17348 + t17366 + t17367;
  t17370 = t59 * t17369;
  t17371 = t17370 * t95;
  t17374 = -t1293 * t2734 / 0.2e1 + t16602 + t16603 - t16604 - t16605 - t16606 - t16607 + t2160 + t3123 * t17272 / 0.2e1 - 0.3e1 * t4779 * t17277 + t4738 * t17280 / 0.2e1 + t6069 * t17285 / 0.3e1 - t4748 * t17288 / 0.2e1 - t30 * t17371 / 0.4e1;
  t17375 = t2309 * t544;
  t17380 = t1291 * t2676;
  t17381 = t1227 * t17380;
  t17388 = t16280 - t16284 - t16288 + t16299 + t15602 - t15612 - t15615 + t15619 - t30 * t17375 / 0.4e1 - t16647 + t16648 - t1748 * t16681 / 0.12e2 + t1748 * t17381 / 0.3e1 + t515 * t16685 / 0.12e2 + t515 * t16707 / 0.12e2;
  t17391 = t5044 * t2676;
  t17392 = t1220 * t17391;
  t17397 = t673 * t17391;
  t17400 = t1227 * t17391;
  t17405 = t253 * t17283;
  t17406 = t4765 * t17405;
  t17409 = t13186 * t2323;
  t17412 = t13190 * t2166;
  t17415 = t3409 * t9886;
  t17416 = t1847 * t17415;
  t17418 = t4796 * t17405;
  t17421 = t95 * t17275;
  t17422 = t10037 * t17421;
  t17425 = t4796 * t17421;
  t17428 = t95 * t9886;
  t17429 = t3130 * t17428;
  t17432 = -t1748 * t17392 / 0.6e1 + t1787 * t16759 / 0.6e1 + t1787 * t17397 / 0.6e1 - t1748 * t17400 / 0.12e2 + t16718 + t6488 * t16310 / 0.12e2 - t6069 * t17406 / 0.12e2 - t3123 * t17409 / 0.2e1 - t3123 * t17412 / 0.4e1 - t4779 * t17416 + t6491 * t17418 / 0.6e1 - 0.5e1 / 0.36e2 * t11008 * t17422 - t11143 * t17425 / 0.2e1 - t7746 * t17429 / 0.6e1;
  t17433 = t4765 * t17421;
  t17436 = t4760 * t17428;
  t17439 = t512 * t414;
  t17441 = t6390 * t3448 * t17439;
  t17445 = t6390 * t3402 * t17439;
  t17448 = t4754 * t17421;
  t17450 = t635 * t17275;
  t17451 = t4765 * t17450;
  t17464 = t11086 * t17433 / 0.2e1 + t7216 * t17436 / 0.6e1 + t16723 + 0.3e1 / 0.2e1 * t9873 * t17441 - 0.3e1 * t4738 * t17445 + t11086 * t17448 - 0.2e1 * t11086 * t17451 - t15662 - t16326 + t13060 * t432 / 0.4e1 - t515 * t10155 / 0.12e2 - t466 * t10969 / 0.12e2 - t16743 + t10974 * t481 / 0.4e1 + t10160 * t530 / 0.4e1;
  t17474 = t1843 * t16610;
  t17477 = t519 * t16623;
  t17480 = t229 * t17275;
  t17481 = t7610 * t17480;
  t17484 = t819 * t9886;
  t17485 = t1843 * t17484;
  t17489 = t6393 * t648 * t17439;
  t17492 = t1591 * t11102;
  t17494 = t635 * t9886;
  t17495 = t4760 * t17494;
  t17498 = -t417 * t13049 / 0.12e2 + t15778 - t15784 + t15794 - t15804 - t7746 * t16627 / 0.6e1 - t7581 * t16616 / 0.6e1 + t7216 * t16620 / 0.12e2 + t4779 * t17474 / 0.2e1 + t4779 * t17477 / 0.2e1 + 0.3e1 / 0.2e1 * t4779 * t17481 + t4779 * t17485 / 0.2e1 + 0.3e1 * t4738 * t17489 + t4738 * t17492 - 0.2e1 / 0.3e1 * t7216 * t17495;
  t17499 = t4770 * t17428;
  t17502 = t10058 * t17421;
  t17505 = t10037 * t17450;
  t17512 = t4760 * t17421;
  t17515 = t10058 * t17450;
  t17518 = t1847 * t16630;
  t17521 = t3375 * t17275;
  t17522 = t7599 * t17521;
  t17525 = t4754 * t17405;
  t17528 = t3671 * t17275;
  t17529 = t10037 * t17528;
  t17532 = t7216 * t17499 / 0.3e1 - 0.11e2 / 0.18e2 * t11008 * t17502 + 0.23e2 / 0.36e2 * t11008 * t17505 + t7216 * t16634 / 0.6e1 - t7216 * t16638 / 0.3e1 - t11008 * t17512 / 0.2e1 + 0.7e1 / 0.3e1 * t11008 * t17515 - t4779 * t17518 / 0.2e1 + 0.3e1 / 0.2e1 * t4779 * t17522 - t6069 * t17525 / 0.6e1 - 0.3e1 / 0.2e1 * t11008 * t17529 - t16900 + t16901 - t2089 + t16354;
  t17536 = my_piecewise3(t2, 0, t17246 + t17268 + t17374 + t17388 + t17432 + t17464 + t17498 + t17532);
  tv3sigmalapltau0 = t3 * t17536;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  tv3sigmalapltau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 1] += tv3sigmalapltau1;

  tv3sigmalapltau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 2] += tv3sigmalapltau2;

  tv3sigmalapltau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 3] += tv3sigmalapltau3;

  tv3sigmalapltau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 4] += tv3sigmalapltau4;

  tv3sigmalapltau5 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 5] += tv3sigmalapltau5;

  tv3sigmalapltau6 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 6] += tv3sigmalapltau6;

  tv3sigmalapltau7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 7] += tv3sigmalapltau7;

  tv3sigmalapltau8 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 8] += tv3sigmalapltau8;

  tv3sigmalapltau9 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 9] += tv3sigmalapltau9;

  tv3sigmalapltau10 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 10] += tv3sigmalapltau10;

  t17537 = t8079 * t2337;
  t17538 = t1393 * t17537;
  t17541 = t2028 * t2337;
  t17542 = t1400 * t17541;
  t17553 = t6006 * t2756;
  t17554 = t1393 * t17553;
  t17557 = t16363 - t16377 + t16381 - t16907 + t16908 + t16931 - t2180 - t1651 * t17538 / 0.6e1 + t1651 * t17542 / 0.3e1 - t8201 * t2390 / 0.2e1 + t2030 * t2403 / 0.2e1 - t6848 * t2503 / 0.2e1 + t555 * t16955 / 0.12e2 - t1965 * t17554 / 0.6e1;
  t17558 = t1000 * t17553;
  t17561 = t1400 * t17553;
  t17570 = t1000 * t17537;
  t17575 = t1400 * t17537;
  t17588 = t1940 * t17020;
  t17593 = t1958 * t17558 / 0.6e1 - t1965 * t17561 / 0.12e2 + t1663 * t2512 / 0.2e1 - t1965 * t17175 / 0.6e1 + t1965 * t17180 / 0.3e1 + t1644 * t17570 / 0.6e1 + t490 * t16365 / 0.12e2 - t1651 * t17575 / 0.12e2 + t1958 * t16922 / 0.6e1 + t555 * t15979 / 0.12e2 - t1965 * t16915 / 0.12e2 + t555 * t16933 / 0.12e2 - t1454 * t2817 / 0.4e1 - t373 * t17588 / 0.4e1 - t1663 * t2506 / 0.2e1;
  t17603 = t1452 * t2756;
  t17604 = t1400 * t17603;
  t17623 = -t1663 * t2509 / 0.4e1 - t5674 * t2809 / 0.2e1 - t2030 * t2395 / 0.2e1 - t2030 * t2398 / 0.4e1 + t1965 * t17604 / 0.3e1 + t1454 * t2831 / 0.4e1 + t1454 * t2822 / 0.2e1 - t490 * t11754 / 0.12e2 - t442 * t13478 / 0.12e2 + t1663 * t2521 / 0.4e1 - t1454 * t2814 / 0.2e1 + t16418 + t11512 * t505 / 0.4e1 - t490 * t11507 / 0.12e2;
  t17628 = t168 * t10524;
  t17629 = t5587 * t17628;
  t17632 = -t555 * t10656 / 0.12e2 - t17010 - t17011 - t17018 - t16437 - t15986 - t15990 + t16006 + t16017 - t16022 - t16025 + t16034 + t2251 + t8058 * t16971 / 0.12e2 + t8058 * t17629 / 0.3e1;
  t17635 = t5549 * t17628;
  t17638 = t487 * t439;
  t17639 = t168 * t17638;
  t17640 = t10458 * t17639;
  t17645 = t1182 * t10524;
  t17646 = t2056 * t17645;
  t17649 = t2056 * t16975;
  t17652 = t552 * t439;
  t17654 = t6984 * t1034 * t17652;
  t17657 = t1720 * t11398;
  t17659 = t1021 * t10524;
  t17660 = t5549 * t17659;
  t17665 = t583 * t439;
  t17666 = t380 * t17665;
  t17667 = t5582 * t17666;
  t17672 = t5553 * t17666;
  t17675 = t559 * t16979;
  t17678 = t4549 * t10524;
  t17679 = t2060 * t17678;
  t17681 = t8058 * t17635 / 0.6e1 - 0.5e1 / 0.36e2 * t11381 * t17640 - t8052 * t16983 / 0.6e1 + t5540 * t17646 / 0.2e1 + t5540 * t17649 / 0.2e1 + 0.3e1 * t5559 * t17654 + t5559 * t17657 - 0.2e1 / 0.3e1 * t8058 * t17660 - t8055 * t16966 / 0.6e1 + t6830 * t17667 / 0.6e1 + t6827 * t16404 / 0.12e2 - t6824 * t17672 / 0.12e2 + t5540 * t17675 / 0.2e1 - t5540 * t17679;
  t17682 = t356 * t17638;
  t17683 = t8220 * t17682;
  t17686 = t4408 * t17638;
  t17687 = t8227 * t17686;
  t17690 = t5591 * t17666;
  t17693 = t4143 * t17665;
  t17694 = t5553 * t17693;
  t17697 = t13560 * t2389;
  t17700 = t13560 * t2402;
  t17703 = t13537 * t2394;
  t17706 = t13543 * t2257;
  t17709 = t2380 * t584;
  t17712 = t5582 * t17639;
  t17715 = t4137 * t17628;
  t17718 = t5553 * t17639;
  t17721 = 0.3e1 / 0.2e1 * t5540 * t17683 + 0.3e1 / 0.2e1 * t5540 * t17687 - t6824 * t17690 / 0.6e1 + t6824 * t17694 / 0.3e1 - t5535 * t17697 / 0.2e1 + t4145 * t17700 / 0.2e1 - t4145 * t17703 / 0.2e1 - t4145 * t17706 / 0.4e1 - t110 * t17709 / 0.4e1 + t16468 - t11372 * t17712 / 0.2e1 - t8052 * t17715 / 0.6e1 + t11369 * t17718 / 0.2e1 + t17045 + t17046;
  t17723 = t4403 * t17638;
  t17724 = t10458 * t17723;
  t17727 = t5591 * t17639;
  t17729 = t1021 * t17638;
  t17730 = t5553 * t17729;
  t17733 = t10485 * t17639;
  t17736 = t10458 * t17729;
  t17739 = t1476 * t13572;
  t17742 = t2060 * t16986;
  t17749 = t5549 * t17639;
  t17752 = -t17047 - t17048 - t16544 - 0.3e1 / 0.2e1 * t11381 * t17724 + t11369 * t17727 - 0.2e1 * t11369 * t17730 - 0.11e2 / 0.18e2 * t11381 * t17733 + 0.23e2 / 0.36e2 * t11381 * t17736 + t17073 - t17074 + t5559 * t17739 / 0.2e1 - t5540 * t17742 / 0.2e1 + t8058 * t16990 / 0.6e1 - t8058 * t16994 / 0.3e1 - t11381 * t17749 / 0.2e1;
  t17753 = t10485 * t17729;
  t17757 = t6988 * t4396 * t17652;
  t17761 = t6988 * t4376 * t17652;
  t17764 = t1093 * t17638;
  t17765 = t8223 * t17764;
  t17768 = t13733 * t439;
  t17769 = t4633 * t17768;
  t17778 = t13733 * t2196;
  t17779 = t1203 * t17778;
  t17782 = t360 * t17768;
  t17785 = t360 * t17778;
  t17788 = t1190 * t17768;
  t17791 = t1190 * t17778;
  t17794 = t1203 * t17768;
  t17797 = t4624 * t17768;
  t17804 = -t11538 * t17769 / 0.9e1 + 0.2e1 * t8251 * t17109 + 0.2e1 * t11528 * t17113 + t8254 * t17116 / 0.3e1 - 0.4e1 * t8254 * t17779 + 0.6e1 * t11541 * t17782 + 0.2e1 * t8251 * t17785 + 0.2e1 * t11533 * t17788 + 0.2e1 / 0.3e1 * t8254 * t17791 - 0.12e2 * t11533 * t17794 - 0.2e1 / 0.3e1 * t11538 * t17797 - 0.2e1 * t8254 * t17106 + 0.6e1 * t11538 * t17788;
  t17807 = t2369 * t487;
  t17808 = t4376 * t17807;
  t17811 = t2788 * t2196;
  t17812 = t4408 * t17811;
  t17815 = t356 * t17807;
  t17818 = t1182 * t17811;
  t17820 = -t15307 + t17077 + t15361 + t17078 - t15890 + t15902 - t15905 + t16481 - 0.2e1 / 0.3e1 * t2060 * t17086 + 0.1e2 / 0.3e1 * t8227 * t17808 - 0.4e1 / 0.3e1 * t2060 * t17812 - 0.3e1 * t8220 * t17815 - t2056 * t17818;
  t17824 = t4549 * t17811;
  t17827 = t1034 * t17807;
  t17830 = t4396 * t17807;
  t17834 = t1093 * t17807;
  t17838 = t4408 * t17807;
  t17841 = -t2056 * t17145 - t559 * t17149 + 0.2e1 * t2060 * t17824 - 0.4e1 * t8223 * t17827 + t8227 * t17830 / 0.18e2 - t559 * t17158 + t17119 - t17120 - t15384 - t17123 + 0.6e1 * t8223 * t17834 + t2060 * t17094 - 0.3e1 * t8227 * t17838;
  t17844 = t17130 - t17156 - t16484 + t16488 - t16505 - t16509 + t16524 + t559 * t17132 / 0.2e1 - t15930 + t15933 + t15935 - t2229 + t2210;
  t17846 = t17804 + t17820 + t17841 + t17844;
  t17847 = t139 * t17846;
  t17848 = t17847 * t168;
  t17857 = 0.7e1 / 0.3e1 * t11381 * t17753 + 0.3e1 / 0.2e1 * t10506 * t17757 - 0.3e1 * t5559 * t17761 - 0.3e1 * t5540 * t17765 - t110 * t17848 / 0.4e1 + t16075 - t16082 + t16581 - t16583 - t16588 - t16591 + t10647 * t570 / 0.4e1 - t442 * t13633 / 0.12e2 + t13724 * t457 / 0.4e1 + t17206;
  t17861 = my_piecewise3(t100, 0, t17557 + t17593 + t17623 + t17632 + t17681 + t17721 + t17752 + t17857);
  tv3sigmalapltau11 = t3 * t17861;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 11] += tv3sigmalapltau11;

  t17864 = t8745 * t2911;
  t17865 = t246 * t17864;
  t17866 = t17865 / 0.4e1;
  t17883 = 0.2e1 / 0.3e1 * t8837 * t13892 + t15069 - 0.4e1 * t13898 * t2323 + 0.4e1 / 0.3e1 * t13901 * t2318 - 0.2e1 * t13904 * t2166 + 0.4e1 * t13901 * t2331 - t15081 + 0.4e1 * t13911 * t2323 + 0.2e1 * t521 * t2166 - 0.4e1 * t13916 * t2331;
  t17885 = t658 * t221 * t17883;
  t17886 = t1769 * t17885;
  t17889 = t14004 * t2323;
  t17892 = t14040 * t2166;
  t17897 = t13951 * t15054;
  t17899 = t13986 * t2318;
  t17909 = -t1293 * t2912 / 0.4e1 - t17866 - t246 * t17886 / 0.4e1 + 0.3e1 / 0.2e1 * t246 * t17889 + t246 * t17892 / 0.2e1 + t1293 * t2903 / 0.2e1 + t644 * t17897 + 0.3e1 * t644 * t17899 - t417 * t13977 / 0.6e1 + t1891 * t2462 / 0.2e1 - t1891 * t2447 - t1891 * t2450 / 0.2e1;
  t17910 = t13951 * t15103;
  t17915 = t14031 * t420 * t249;
  t17918 = t16223 / 0.2e1;
  t17919 = t16225 / 0.6e1;
  t17921 = t14076 * t16667;
  t17924 = t14076 * t16672;
  t17930 = -t246 * t17910 - t417 * t14033 / 0.12e2 + t246 * t17915 / 0.4e1 + t16188 - t16191 - t16194 + t17918 - t17919 + t1891 * t2453 + 0.3e1 / 0.2e1 * t3680 * t17921 - 0.3e1 * t644 * t17924 + t13929 * t2276 - 0.2e1 * t13929 * t2282;
  t17942 = -0.11e2 / 0.18e2 * t13878 * t16768 + 0.23e2 / 0.36e2 * t13878 * t16771 - t13878 * t16774 / 0.2e1 + 0.7e1 / 0.3e1 * t13878 * t16777 - t1748 * t17233 / 0.3e1 + t16602 + t16603 - t16604 - t16605 - t16606 - t16607 + t2160;
  t17945 = t2087 * t2854;
  t17946 = t17945 / 0.12e2;
  t17947 = t5044 * t2852;
  t17948 = t660 * t17947;
  t17951 = t94 * t17883;
  t17952 = t661 * t17951;
  t17953 = t660 * t17952;
  t17962 = t13986 * t2331;
  t17965 = t14076 * t16652;
  t17973 = 0.2e1 / 0.3e1 * t16279;
  t17974 = -0.5e1 / 0.36e2 * t13878 * t16714 + t17946 + t515 * t17948 / 0.12e2 + t515 * t17953 / 0.12e2 - t14215 * t2268 / 0.2e1 - t2839 * t2108 / 0.6e1 + t13929 * t2271 / 0.2e1 - 0.3e1 * t246 * t17962 + 0.3e1 / 0.2e1 * t246 * t17965 + 0.2e1 / 0.3e1 * t1748 * t17237 - 0.3e1 / 0.2e1 * t13878 * t16661 - t7462 * t2444 + t17973;
  t17977 = t16283 / 0.3e1;
  t17978 = t16287 / 0.6e1;
  t17979 = t16298 / 0.3e1;
  t17990 = t14184 * t2318;
  t17992 = t14184 * t2331;
  t17994 = -t17977 - t17978 + t17979 - t515 * t10894 / 0.6e1 + t515 * t16276 / 0.6e1 - t1748 * t17218 / 0.6e1 - 0.2e1 / 0.3e1 * t2844 * t15040 - t16647 + t16648 + 0.2e1 / 0.3e1 * t7216 * t17285 - t4748 * t17990 + t3123 * t17992;
  t17995 = t1321 * t14200;
  t17998 = t2851 * t414;
  t17999 = t95 * t17998;
  t18000 = t3130 * t17999;
  t18003 = 0.2e1 * t16122;
  t18004 = 0.2e1 * t16125;
  t18005 = 0.4e1 / 0.3e1 * t16128;
  t18022 = t18003 - t18004 + t18005 + 0.6e1 * t14331 * t2306 - 0.3e1 * t14293 * t16881 - 0.12e2 * t14331 * t2295 - 0.2e1 / 0.3e1 * t14293 * t16813 + 0.6e1 * t14293 * t16816 - 0.4e1 * t14331 * t2299 + t14293 * t16876 / 0.18e2 + 0.1e2 / 0.3e1 * t14293 * t16869;
  t18027 = t14257 * t414;
  t18028 = t840 * t18027;
  t18031 = t827 * t18027;
  t18034 = t233 * t18027;
  t18037 = t14257 * t2105;
  t18038 = t233 * t18037;
  t18042 = t2118 * t2884;
  t18043 = t18042 / 0.2e1;
  t18044 = t60 * t17883;
  t18045 = t819 * t18044;
  t18050 = t2883 * t414;
  t18051 = t3409 * t18050;
  t18053 = -0.4e1 / 0.3e1 * t2870 * t15165 - 0.3e1 * t14282 * t2302 - t15157 - 0.2e1 * t7584 * t18028 + t7584 * t18031 / 0.3e1 + 0.2e1 * t7586 * t18034 + 0.2e1 * t10828 * t18038 - t2866 * t2142 + t18043 + t519 * t18045 / 0.2e1 + 0.2e1 * t2870 * t15154 + t1847 * t18051;
  t18057 = 0.2e1 / 0.3e1 * t16163;
  t18058 = 0.4e1 * t16170;
  t18059 = 0.4e1 * t16172;
  t18060 = 0.6e1 * t14282 * t2288 + t15168 - t15178 + t16834 + t16835 - t16863 + t16864 - t16865 - t18057 + t18058 - t18059;
  t18069 = t2118 * t2874;
  t18070 = t63 * t17883;
  t18071 = t819 * t18070;
  t18073 = t3375 * t18050;
  t18078 = t819 * t18050;
  t18080 = t2883 * t2105;
  t18081 = t3430 * t18080;
  t18083 = 0.2e1 * t2866 * t2129 + 0.2e1 * t14331 * t2291 + 0.2e1 / 0.3e1 * t2870 * t15189 - t14293 * t16808 / 0.9e1 - t18069 - t519 * t18071 - 0.2e1 / 0.3e1 * t1847 * t18073 - 0.4e1 * t2870 * t15196 - t1843 * t18078 - t519 * t18081 - t2138 + t2119;
  t18085 = t18022 + t18053 + t18060 + t18083;
  t18086 = t59 * t18085;
  t18087 = t18086 * t95;
  t18090 = t2436 * t544;
  t18093 = t427 * t2933;
  t18096 = t14228 * t2323;
  t18098 = t14231 * t2166;
  t18107 = t2851 * t2105;
  t18108 = t95 * t18107;
  t18109 = t8642 * t18108;
  t18112 = t4760 * t17999;
  t18115 = t4738 * t17995 / 0.2e1 - t7746 * t18000 / 0.6e1 - t30 * t18087 / 0.4e1 + t16723 - t30 * t18090 / 0.2e1 - t30 * t18093 / 0.4e1 - t3123 * t18096 - t3123 * t18098 / 0.2e1 + t7746 * t17418 / 0.3e1 + t7581 * t16310 / 0.6e1 - t7216 * t17406 / 0.6e1 - t7581 * t18109 / 0.6e1 + t7216 * t18112 / 0.12e2;
  t18117 = t819 * t17998;
  t18118 = t1843 * t18117;
  t18121 = t3430 * t18107;
  t18122 = t519 * t18121;
  t18125 = t3409 * t17998;
  t18126 = t1847 * t18125;
  t18129 = t4770 * t17999;
  t18132 = t635 * t17998;
  t18133 = t4760 * t18132;
  t18138 = t16325 / 0.6e1;
  t18149 = t4779 * t18118 / 0.2e1 + t4779 * t18122 / 0.2e1 - t4779 * t18126 / 0.2e1 + t7216 * t18129 / 0.6e1 - t7216 * t18133 / 0.3e1 - t7216 * t17525 / 0.3e1 - t18138 + t2844 * t15036 / 0.3e1 + t1787 * t17213 / 0.3e1 + t2844 * t15058 / 0.6e1 - t2844 * t5064 / 0.6e1 + t10974 * t530 / 0.2e1;
  t18158 = t16353 / 0.2e1;
  t18169 = -t515 * t10969 / 0.6e1 + t2844 * t5068 / 0.3e1 + t2839 * t1288 / 0.6e1 - t2844 * t5102 / 0.12e2 - t16900 + t16901 - t2089 + t18158 + t1293 * t2915 / 0.2e1 - t5073 * t2899 / 0.2e1 - t1293 * t2907 / 0.2e1 - t417 * t14148 / 0.12e2 + t14153 * t432 / 0.4e1;
  t18173 = my_piecewise3(t2, 0, t17909 + t17930 + t17942 + t17974 + t17994 + t18115 + t18149 + t18169);
  tv3sigmatau20 = t3 * t18173;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  tv3sigmatau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 1] += tv3sigmatau21;

  tv3sigmatau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 2] += tv3sigmatau22;

  tv3sigmatau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 3] += tv3sigmatau23;

  tv3sigmatau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 4] += tv3sigmatau24;

  tv3sigmatau25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 5] += tv3sigmatau25;

  tv3sigmatau26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 6] += tv3sigmatau26;

  tv3sigmatau27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 7] += tv3sigmatau27;

  t18174 = 0.2e1 / 0.3e1 * t16362;
  t18175 = t16376 / 0.3e1;
  t18176 = t16380 / 0.3e1;
  t18183 = t2954 * t439;
  t18184 = t168 * t18183;
  t18185 = t4137 * t18184;
  t18188 = t2954 * t2196;
  t18189 = t168 * t18188;
  t18190 = t9270 * t18189;
  t18197 = t18174 - t18175 + t18176 - t16907 + t16908 - 0.11e2 / 0.18e2 * t14535 * t17197 + 0.23e2 / 0.36e2 * t14535 * t17200 - t14535 * t17203 / 0.2e1 - t8052 * t18185 / 0.6e1 - t8055 * t18190 / 0.6e1 + t8055 * t16404 / 0.6e1 - t8058 * t17672 / 0.6e1;
  t18198 = t5549 * t18184;
  t18201 = t14713 * t2257;
  t18206 = t14701 * t2394;
  t18208 = t1182 * t18183;
  t18209 = t2056 * t18208;
  t18212 = t4543 * t18188;
  t18213 = t559 * t18212;
  t18216 = t16417 / 0.2e1;
  t18217 = t14554 * t17050;
  t18224 = t8058 * t18198 / 0.12e2 - t4145 * t18201 / 0.2e1 + t8052 * t17667 / 0.3e1 - t4145 * t18206 + t5540 * t18209 / 0.2e1 + t5540 * t18213 / 0.2e1 - t2180 + t18216 - 0.3e1 * t1030 * t18217 + t1454 * t3018 / 0.2e1 - t1454 * t3010 / 0.2e1 - t17010 - t17011;
  t18228 = t14639 * t2389;
  t18230 = t14639 * t2402;
  t18232 = t1476 * t14892;
  t18235 = t4549 * t18183;
  t18236 = t2060 * t18235;
  t18239 = t5587 * t18184;
  t18242 = t1021 * t18183;
  t18243 = t5549 * t18242;
  t18256 = 0.2e1 / 0.3e1 * t8058 * t17694 - t5535 * t18228 + t4145 * t18230 + t5559 * t18232 / 0.2e1 - t5540 * t18236 / 0.2e1 + t8058 * t18239 / 0.6e1 - t8058 * t18243 / 0.3e1 - t5674 * t3002 / 0.2e1 - t442 * t14621 / 0.12e2 + t14626 * t457 / 0.4e1 + t11512 * t570 / 0.2e1 + t2947 * t5669 / 0.3e1;
  t18265 = t16436 / 0.6e1;
  t18281 = -t555 * t11507 / 0.6e1 - t2947 * t5686 / 0.12e2 - t2947 * t5665 / 0.6e1 + t2942 * t1449 / 0.6e1 - t18265 - t2030 * t2506 - t2030 * t2509 / 0.2e1 - t555 * t11754 / 0.6e1 - 0.2e1 / 0.3e1 * t2947 * t15465 + t555 * t16365 / 0.6e1 - t1965 * t17575 / 0.6e1 + t2947 * t15461 / 0.3e1 + t1958 * t17570 / 0.3e1;
  t18284 = t2178 * t2957;
  t18285 = t18284 / 0.12e2;
  t18302 = 0.2e1 / 0.3e1 * t9394 * t14728 + t15337 - 0.4e1 * t14734 * t2394 + 0.4e1 / 0.3e1 * t14737 * t2389 - 0.2e1 * t14740 * t2257 + 0.4e1 * t14737 * t2402 - t15349 + 0.4e1 * t14747 * t2394 + 0.2e1 * t561 * t2257 - 0.4e1 * t14752 * t2402;
  t18304 = t985 * t348 * t18302;
  t18305 = t1940 * t18304;
  t18308 = t14983 * t2394;
  t18311 = t14987 * t2257;
  t18320 = t14550 * t2389;
  t18323 = t14967 * t15473;
  t18329 = t2209 * t2987;
  t18330 = t18329 / 0.2e1;
  t18331 = t140 * t18302;
  t18332 = t1182 * t18331;
  t18341 = 0.6e1 * t14806 * t2377 - 0.3e1 * t14795 * t17162 + t18330 + t559 * t18332 / 0.2e1 + 0.2e1 * t2973 * t15328 + 0.1e2 / 0.3e1 * t14795 * t17138 - t15307 + t17077 + t15361 + t17078 - t14795 * t17153 / 0.9e1;
  t18342 = t2209 * t2977;
  t18343 = t143 * t18302;
  t18344 = t1182 * t18343;
  t18346 = t2369 * t2954;
  t18347 = t4408 * t18346;
  t18358 = t14779 * t439;
  t18359 = t1203 * t18358;
  t18362 = t360 * t18358;
  t18365 = t14779 * t2196;
  t18366 = t360 * t18365;
  t18369 = t1190 * t18358;
  t18372 = 0.2e1 * t16481;
  t18373 = -t18342 - t559 * t18344 - 0.2e1 / 0.3e1 * t2060 * t18347 - 0.4e1 * t2973 * t15398 + 0.6e1 * t14826 * t2359 + 0.2e1 * t2969 * t2220 + 0.2e1 * t14806 * t2362 - 0.2e1 * t8254 * t18359 + 0.2e1 * t8251 * t18362 + 0.2e1 * t11528 * t18366 + t8254 * t18369 / 0.3e1 + t18372;
  t18375 = 0.2e1 * t16484;
  t18376 = 0.4e1 / 0.3e1 * t16487;
  t18377 = t4549 * t18346;
  t18385 = t1182 * t18346;
  t18387 = t17119 - t17120 - t15384 - t17123 - t18375 + t18376 + t2060 * t18377 - 0.12e2 * t14806 * t2366 - 0.2e1 / 0.3e1 * t14795 * t17099 + 0.6e1 * t14795 * t17091 - t2056 * t18385;
  t18388 = t2986 * t2196;
  t18389 = t4543 * t18388;
  t18402 = 0.4e1 * t16504;
  t18403 = 0.2e1 / 0.3e1 * t16508;
  t18404 = 0.4e1 * t16523;
  t18405 = -t559 * t18389 + 0.2e1 / 0.3e1 * t2973 * t15389 - 0.4e1 / 0.3e1 * t2973 * t15315 - 0.3e1 * t14826 * t2373 - t2969 * t2233 - 0.4e1 * t14806 * t2370 + t14795 * t17135 / 0.18e2 - t18402 - t18403 + t18404 - t2229 + t2210;
  t18407 = t18341 + t18373 + t18387 + t18405;
  t18408 = t139 * t18407;
  t18409 = t18408 * t168;
  t18412 = t14550 * t2402;
  t18415 = t18285 - t373 * t18305 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t18308 + t373 * t18311 / 0.2e1 + t1454 * t3006 / 0.2e1 - t442 * t14643 / 0.6e1 + t2030 * t2521 / 0.2e1 + 0.3e1 * t1030 * t18320 + t1030 * t18323 + t2251 - t110 * t18409 / 0.4e1 - 0.3e1 * t373 * t18412;
  t18416 = t14554 * t17057;
  t18429 = t14554 * t17190;
  t18435 = t6006 * t2955;
  t18436 = t987 * t18435;
  t18439 = t167 * t18302;
  t18440 = t988 * t18439;
  t18441 = t987 * t18440;
  t18446 = 0.3e1 / 0.2e1 * t373 * t18416 + 0.7e1 / 0.3e1 * t14535 * t17061 - t1965 * t17538 / 0.3e1 + 0.2e1 / 0.3e1 * t1965 * t17542 - 0.3e1 / 0.2e1 * t14535 * t17184 - t8201 * t2503 + t2030 * t2512 + 0.3e1 / 0.2e1 * t4395 * t18429 + t14542 * t2347 - 0.2e1 * t14542 * t2353 + t555 * t18436 / 0.12e2 + t555 * t18441 / 0.12e2 + t2947 * t15479 / 0.6e1;
  t18456 = t2495 * t584;
  t18459 = t452 * t3036;
  t18462 = t16467 / 0.2e1;
  t18463 = t14967 * t15457;
  t18465 = -0.5e1 / 0.36e2 * t14535 * t16927 - t14776 * t2339 / 0.2e1 - t2942 * t2199 / 0.6e1 + t14542 * t2342 / 0.2e1 - t110 * t18456 / 0.2e1 - t110 * t18459 / 0.4e1 + t18462 + t17045 + t17046 - t17047 - t17048 - t373 * t18463;
  t18469 = t14974 * t445 * t376;
  t18474 = t9439 * t3014;
  t18475 = t373 * t18474;
  t18476 = t18475 / 0.4e1;
  t18477 = t16543 / 0.6e1;
  t18480 = t16582 / 0.6e1;
  t18481 = -t442 * t14976 / 0.12e2 + t373 * t18469 / 0.4e1 - t1454 * t3015 / 0.4e1 - t18476 - t18477 - t8058 * t17690 / 0.3e1 + t17073 - t17074 + t16580 - t18480 - t16587 - t16590 + t17206;
  t18485 = my_piecewise3(t100, 0, t18197 + t18224 + t18256 + t18281 + t18415 + t18446 + t18465 + t18481);
  tv3sigmatau28 = t3 * t18485;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 8] += tv3sigmatau28;

  t18486 = t15601 / 0.2e1;
  t18487 = 0.3e1 / 0.2e1 * t15611;
  t18488 = t15614 / 0.2e1;
  t18489 = t6255 * t2542;
  t18490 = t660 * t18489;
  t18498 = t3227 * t2526;
  t18511 = 0.2e1 / 0.3e1 * t2566 * t634 + t15069 - 0.4e1 * t662 * t2526 * t748 + 0.4e1 / 0.3e1 * t18498 * t649 - 0.2e1 * t11845 * t2592 + 0.4e1 * t18498 * t654 - t15081 + 0.4e1 * t2569 * t222 + 0.2e1 * t472 * t2592 - 0.4e1 * t2566 * t629;
  t18512 = t94 * t18511;
  t18513 = t661 * t18512;
  t18514 = t660 * t18513;
  t18517 = t3250 * t2543;
  t18522 = t628 * t2541;
  t18523 = t3171 * t18522;
  t18524 = t12096 * t18523;
  t18527 = t3172 * t2543;
  t18530 = t244 * t2542;
  t18531 = t3250 * t18530;
  t18533 = t16717 / 0.6e1;
  t18534 = t2160 + t18486 - t18487 - t18488 + t15618 + t466 * t18490 / 0.4e1 + t466 * t18514 / 0.12e2 + t2534 * t18517 / 0.4e1 - t2529 * t2544 / 0.3e1 - 0.3e1 / 0.2e1 * t246 * t18524 + t2534 * t18527 / 0.2e1 - t2534 * t18531 + t18533;
  t18541 = t2526 * t463;
  t18542 = t18541 * t3396;
  t18543 = t3512 * t18542;
  t18544 = t191 * t18543;
  t18551 = t18541 * t3415;
  t18552 = t616 * t18551;
  t18553 = t191 * t18552;
  t18558 = t60 * t18511;
  t18559 = t819 * t18558;
  t18562 = t3375 * t2571;
  t18565 = t615 * t18541;
  t18566 = t18565 * t3416;
  t18569 = t69 * t18541;
  t18570 = t18569 * t3399;
  t18573 = t3409 * t2571;
  t18582 = t2541 * t2541;
  t18583 = t60 * t18582;
  t18584 = t3430 * t18583;
  t18588 = t63 * t18582;
  t18589 = t3430 * t18588;
  t18592 = t3375 * t2561;
  t18594 = t63 * t18511;
  t18595 = t819 * t18594;
  t18597 = t18565 * t3415;
  t18600 = t18569 * t3396;
  t18603 = -0.2e1 * t2554 * t2572 + t470 * t18559 / 0.2e1 - 0.2e1 * t2558 * t18562 + 0.2e1 * t18566 * t816 - t18570 * t3449 / 0.9e1 + 0.3e1 * t2558 * t18573 - 0.12e2 * t18566 * t823 - 0.2e1 / 0.3e1 * t18570 * t3403 + 0.6e1 * t18570 * t3406 - t470 * t18584 + 0.4e1 * t2554 * t2562 + 0.2e1 * t470 * t18589 + t2558 * t18592 - t470 * t18595 - 0.4e1 * t18597 * t828 + t18600 * t3483 / 0.18e2;
  t18608 = t193 * t18541;
  t18609 = t18608 * t619;
  t18614 = t18608 * t3421;
  t18617 = t3409 * t2561;
  t18620 = 0.3e1 * t15697;
  t18621 = 0.2e1 * t15709;
  t18622 = 0.3e1 * t15712;
  t18623 = 0.6e1 * t15742;
  t18624 = 0.6e1 * t15766;
  t18625 = 0.2e1 * t16839;
  t18626 = 0.6e1 * t18597 * t841 - 0.3e1 * t18600 * t3491 - 0.3e1 * t18609 * t234 + 0.1e2 / 0.3e1 * t18600 * t3476 + 0.6e1 * t18614 * t230 - 0.6e1 * t2558 * t18617 - t18620 + t18621 + t18622 - t18623 - t15748 + t18624 - t18625 - t2138 + t2119 + t16887;
  t18627 = t18603 + t18626;
  t18628 = t59 * t18627;
  t18629 = t18628 * t95;
  t18632 = t15661 / 0.4e1;
  t18633 = t16742 / 0.2e1;
  t18634 = 0.3e1 / 0.4e1 * t15777;
  t18635 = t15783 / 0.4e1;
  t18637 = t247 * t18541 * t3643;
  t18640 = 0.3e1 / 0.4e1 * t12216 * t481 - t466 * t12211 / 0.4e1 - t2534 * t6350 / 0.4e1 - 0.5e1 / 0.36e2 * t18544 * t3602 - t2534 * t6286 / 0.2e1 + t2529 * t1527 / 0.2e1 + t18553 * t752 / 0.2e1 - t30 * t18629 / 0.4e1 - t18632 - t18633 + t18634 - t18635 + 0.3e1 / 0.2e1 * t246 * t18637;
  t18642 = t645 * t18541;
  t18643 = t18642 * t3504;
  t18648 = t18541 * t619;
  t18649 = t194 * t18648;
  t18650 = t191 * t18649;
  t18667 = 0.3e1 / 0.2e1 * t15793;
  t18668 = 0.3e1 / 0.2e1 * t15803;
  t18669 = 0.3e1 * t644 * t18643 - 0.3e1 / 0.2e1 * t1532 * t2588 - t18650 * t223 / 0.2e1 - t18544 * t3665 / 0.2e1 + 0.7e1 / 0.3e1 * t18544 * t3668 + t2534 * t6290 - 0.3e1 / 0.2e1 * t18544 * t3673 - 0.3e1 / 0.2e1 * t6295 * t2584 + t18553 * t630 - 0.2e1 * t18553 * t637 - 0.11e2 / 0.18e2 * t18544 * t3517 + t18667 - t18668;
  t18670 = t3658 * t18541;
  t18671 = t18670 * t3660;
  t18676 = t18670 * t3681;
  t18679 = t18670 * t3685;
  t18682 = t18642 * t3508;
  t18688 = t3138 * t221 * t18582;
  t18689 = t1559 * t18688;
  t18692 = t94 * t18582;
  t18693 = t661 * t18692;
  t18694 = t3139 * t18693;
  t18697 = t12183 * t2592;
  t18700 = t658 * t221 * t18511;
  t18701 = t1559 * t18700;
  t18704 = t633 * t2541;
  t18705 = t3171 * t18704;
  t18706 = t12096 * t18705;
  t18711 = -t2089 + 0.3e1 / 0.2e1 * t246 * t18671 + 0.3e1 / 0.2e1 * t1532 * t2596 + 0.3e1 / 0.2e1 * t3680 * t18676 - 0.3e1 * t644 * t18679 - 0.3e1 * t246 * t18682 + 0.23e2 / 0.36e2 * t18544 * t3545 + t246 * t18689 / 0.2e1 - t466 * t18694 / 0.6e1 + t246 * t18697 - t246 * t18701 / 0.4e1 + 0.3e1 / 0.2e1 * t644 * t18706 - 0.3e1 / 0.4e1 * t1532 * t2593;
  t18714 = my_piecewise3(t2, 0, t18534 + t18640 + t18669 + t18711);
  tv3lapl30 = t3 * t18714;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  tv3lapl31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 1] += tv3lapl31;

  tv3lapl32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 2] += tv3lapl32;

  t18717 = t2601 * t487;
  t18718 = t69 * t18717;
  t18719 = t18718 * t4375;
  t18722 = t4408 * t2646;
  t18725 = t615 * t18717;
  t18726 = t18725 * t4334;
  t18729 = t4549 * t2646;
  t18738 = t2616 * t2616;
  t18739 = t140 * t18738;
  t18740 = t4543 * t18739;
  t18742 = t193 * t18717;
  t18743 = t18742 * t4425;
  t18751 = t4206 * t2601;
  t18764 = 0.2e1 / 0.3e1 * t2641 * t1020 + t15337 - 0.4e1 * t989 * t2601 * t1045 + 0.4e1 / 0.3e1 * t18751 * t1035 - 0.2e1 * t12420 * t2667 + 0.4e1 * t18751 * t1094 - t15349 + 0.4e1 * t2644 * t349 + 0.2e1 * t496 * t2667 - 0.4e1 * t2641 * t1015;
  t18765 = t140 * t18764;
  t18766 = t1182 * t18765;
  t18769 = t18718 * t4356;
  t18774 = t18725 * t4333;
  t18779 = t18742 * t1007;
  t18782 = -0.2e1 * t2629 * t2647 - t18719 * t4612 / 0.9e1 - 0.2e1 * t2633 * t18722 + 0.2e1 * t18726 * t1179 + 0.3e1 * t2633 * t18729 - 0.12e2 * t18726 * t1186 - 0.2e1 / 0.3e1 * t18719 * t4589 + 0.6e1 * t18719 * t4579 - t494 * t18740 + 0.6e1 * t18743 * t357 + t494 * t18766 / 0.2e1 - 0.3e1 * t18769 * t4621 + 0.1e2 / 0.3e1 * t18769 * t4625 - 0.4e1 * t18774 * t1191 + t18769 * t4634 / 0.18e2 - 0.3e1 * t18779 * t361;
  t18785 = 0.6e1 * t15901;
  t18786 = 0.6e1 * t15904;
  t18787 = 0.2e1 * t17156;
  t18790 = t4408 * t2636;
  t18792 = t143 * t18764;
  t18793 = t1182 * t18792;
  t18795 = t143 * t18738;
  t18796 = t4543 * t18795;
  t18799 = t4549 * t2636;
  t18802 = 0.3e1 * t15930;
  t18803 = 0.2e1 * t15932;
  t18804 = 0.3e1 * t15935;
  t18805 = 0.6e1 * t18774 * t1204 + t2633 * t18790 - t494 * t18793 + 0.2e1 * t494 * t18796 - 0.6e1 * t2633 * t18799 + 0.4e1 * t2629 * t2637 - t15889 + t17129 + t18785 - t18786 - t18787 - t18802 + t18803 + t18804 + t2210 - t2229;
  t18806 = t18782 + t18805;
  t18807 = t139 * t18806;
  t18808 = t18807 * t168;
  t18811 = t16930 / 0.6e1;
  t18813 = t985 * t348 * t18764;
  t18814 = t1703 * t18813;
  t18817 = t12534 * t2667;
  t18819 = t1019 * t2616;
  t18820 = t4161 * t18819;
  t18821 = t12527 * t18820;
  t18827 = t4706 * t348 * t18738;
  t18828 = t1703 * t18827;
  t18831 = t167 * t18738;
  t18832 = t988 * t18831;
  t18833 = t4707 * t18832;
  t18836 = t6773 * t2617;
  t18837 = t987 * t18836;
  t18840 = t167 * t18764;
  t18841 = t988 * t18840;
  t18842 = t987 * t18841;
  t18845 = t4686 * t2618;
  t18848 = t1014 * t2616;
  t18849 = t4161 * t18848;
  t18850 = t12527 * t18849;
  t18853 = -t110 * t18808 / 0.4e1 + t18811 - t2180 - t373 * t18814 / 0.4e1 + t373 * t18817 + 0.3e1 / 0.2e1 * t1030 * t18821 - 0.3e1 / 0.4e1 * t1663 * t2668 + t373 * t18828 / 0.2e1 - t490 * t18833 / 0.6e1 + t490 * t18837 / 0.4e1 + t490 * t18842 / 0.12e2 + t2609 * t18845 / 0.4e1 - 0.3e1 / 0.2e1 * t373 * t18850;
  t18854 = t4162 * t2618;
  t18857 = t371 * t2617;
  t18858 = t4686 * t18857;
  t18860 = t17017 / 0.2e1;
  t18863 = t4373 * t18717;
  t18864 = t18863 * t4377;
  t18867 = t1031 * t18717;
  t18868 = t18867 * t4339;
  t18871 = t18863 * t4409;
  t18874 = t18717 * t4356;
  t18875 = t3512 * t18874;
  t18876 = t321 * t18875;
  t18886 = t18863 * t4397;
  t18889 = t2609 * t18854 / 0.2e1 - t2609 * t18858 - t18860 - t2604 * t2619 / 0.3e1 - 0.3e1 * t1030 * t18864 - 0.3e1 * t373 * t18868 + 0.3e1 / 0.2e1 * t373 * t18871 + 0.7e1 / 0.3e1 * t18876 * t4505 + t2609 * t6843 - 0.3e1 / 0.2e1 * t18876 * t4405 - 0.3e1 / 0.2e1 * t6848 * t2659 + 0.3e1 / 0.2e1 * t1663 * t2671 + 0.3e1 / 0.2e1 * t4395 * t18886;
  t18891 = t18717 * t4333;
  t18892 = t616 * t18891;
  t18893 = t321 * t18892;
  t18909 = t15985 / 0.2e1;
  t18910 = t15989 / 0.4e1;
  t18911 = t16005 / 0.2e1;
  t18912 = 0.3e1 / 0.2e1 * t16016;
  t18913 = 0.3e1 / 0.2e1 * t16021;
  t18914 = t18893 * t1016 - 0.2e1 * t18893 * t1023 + 0.3e1 / 0.4e1 * t12596 * t505 - t490 * t12591 / 0.4e1 - 0.5e1 / 0.36e2 * t18876 * t4467 - t2609 * t6839 / 0.2e1 + t2604 * t1658 / 0.2e1 + t18893 * t1090 / 0.2e1 - t18909 - t18910 + t18911 + t18912 - t18913;
  t18915 = 0.3e1 / 0.2e1 * t16024;
  t18918 = 0.3e1 / 0.4e1 * t16074;
  t18919 = t16081 / 0.4e1;
  t18927 = t374 * t18717 * t4426;
  t18932 = t18867 * t4335;
  t18935 = t18717 * t1007;
  t18936 = t194 * t18935;
  t18937 = t321 * t18936;
  t18940 = -t18915 + t16033 + t2251 - t2609 * t6873 / 0.4e1 + t18918 - t18919 - 0.11e2 / 0.18e2 * t18876 * t4365 + 0.23e2 / 0.36e2 * t18876 * t4370 - t18876 * t4414 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t18927 - 0.3e1 / 0.2e1 * t1663 * t2663 + 0.3e1 * t1030 * t18932 - t18937 * t350 / 0.2e1;
  t18943 = my_piecewise3(t100, 0, t18853 + t18889 + t18914 + t18940);
  tv3lapl33 = t3 * t18943;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 3] += tv3lapl33;

  t18944 = t3409 * t12030;
  t18945 = t1847 * t18944;
  t18948 = t1591 * t13005;
  t18951 = t95 * t12030;
  t18952 = t4760 * t18951;
  t18955 = t3130 * t18951;
  t18958 = t819 * t12030;
  t18959 = t1843 * t18958;
  t18961 = t543 * t2541;
  t18962 = t253 * t18961;
  t18963 = t3130 * t18962;
  t18966 = t13190 * t2592;
  t18969 = t4770 * t18951;
  t18972 = t635 * t12030;
  t18973 = t4760 * t18972;
  t18978 = t60 * t2526;
  t18979 = t3402 * t18978;
  t18982 = t648 * t18978;
  t18985 = t3448 * t18978;
  t18988 = t653 * t18978;
  t18991 = t3375 * t18978;
  t18994 = t229 * t18978;
  t18997 = t2571 * t463;
  t18998 = t3409 * t18997;
  t19001 = t819 * t18997;
  t19004 = t63 * t2526;
  t19005 = t648 * t19004;
  t19008 = t3448 * t19004;
  t19012 = t3375 * t18997;
  t19017 = t229 * t19004;
  t19020 = t16122 - t16125 + t16129 - t519 * t18584 + t519 * t18559 / 0.2e1 + 0.1e2 / 0.3e1 * t7599 * t18979 - 0.4e1 * t7595 * t18982 + t7599 * t18985 / 0.18e2 + 0.6e1 * t7595 * t18988 - 0.3e1 * t7599 * t18991 - 0.3e1 * t7610 * t18994 + 0.3e1 * t1847 * t18998 - 0.2e1 * t1843 * t19001 + 0.2e1 * t7595 * t19005 - t7599 * t19008 / 0.9e1 - t519 * t18595 - 0.2e1 * t1847 * t19012 + 0.2e1 * t519 * t18589 + 0.6e1 * t7610 * t19017;
  t19021 = t12875 * t2541;
  t19022 = t827 * t19021;
  t19024 = t233 * t19021;
  t19027 = t840 * t19021;
  t19030 = t3402 * t19004;
  t19033 = t3375 * t19004;
  t19036 = t653 * t19004;
  t19039 = t7584 * t19022 + 0.4e1 * t7586 * t19024 - t16831 + t16832 + t16833 - t16164 + t16171 - t16173 - 0.6e1 * t7584 * t19027 - t16836 - t16837 + t16838 - t18625 - 0.2e1 / 0.3e1 * t7599 * t19030 + 0.6e1 * t7599 * t19033 - 0.12e2 * t7595 * t19036 - t2138 + t2119 + t16887;
  t19040 = t19020 + t19039;
  t19041 = t59 * t19040;
  t19042 = t19041 * t95;
  t19046 = t16189 - t16192 - t16195 + t16224 - t16226 + t2160 + t16280 - t16284 - t16288 + t16299 + t16608;
  t19051 = t627 * t628 * t2526;
  t19052 = t7264 * t19051;
  t19055 = t1777 * t2557;
  t19056 = t19055 * t649;
  t19059 = t19055 * t654;
  t19062 = t633 * t2526;
  t19063 = t3474 * t19062;
  t19064 = t7563 * t19063;
  t19069 = -t15611 - t16644 + t16645 + t18533 + t2534 * t7175 / 0.3e1 - 0.3e1 * t246 * t19052 - t644 * t19056 / 0.2e1 + t246 * t19059 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t19064 - t2534 * t7171 / 0.6e1 - t16724;
  t19090 = -t16326 + t2534 * t7457 / 0.3e1 - t7462 * t2584 / 0.2e1 + t1891 * t2596 / 0.2e1 - t1891 * t2588 / 0.2e1 + t2529 * t1886 / 0.6e1 + t12216 * t530 / 0.4e1 + t13060 * t481 / 0.2e1 - t466 * t13049 / 0.6e1 - t2534 * t7441 / 0.12e2 - t515 * t12211 / 0.12e2;
  t19093 = t2577 * t544;
  t19102 = t1769 * t18700;
  t19111 = t7198 * t2542;
  t19112 = t660 * t19111;
  t19117 = t1530 * t2676;
  t19118 = t1227 * t19117;
  t19122 = t1777 * t2553 * t748;
  t19127 = t1769 * t18688;
  t19132 = t94 * t2526;
  t19133 = t661 * t19132;
  t19134 = t4838 * t19133;
  t19137 = -t1891 * t2593 / 0.4e1 + t466 * t19112 / 0.12e2 - t6295 * t2729 + t1532 * t2742 + 0.2e1 / 0.3e1 * t1748 * t19118 - t246 * t19122 / 0.2e1 + t2529 * t1779 / 0.6e1 + t246 * t19127 / 0.2e1 - t2534 * t7453 / 0.6e1 + t15793 - 0.11e2 / 0.18e2 * t7187 * t19134;
  t19139 = t244 * t19132;
  t19140 = t4844 * t19139;
  t19143 = t4831 * t19133;
  t19146 = t4838 * t19139;
  t19149 = t642 * t19132;
  t19150 = t4844 * t19149;
  t19153 = t3447 * t2526;
  t19154 = t3474 * t19153;
  t19155 = t7563 * t19154;
  t19158 = t3401 * t2526;
  t19159 = t3474 * t19158;
  t19160 = t7563 * t19159;
  t19163 = t1220 * t19133;
  t19165 = t1227 * t19139;
  t19168 = t1227 * t19133;
  t19172 = t219 * t221 * t2526;
  t19173 = t7277 * t19172;
  t19176 = t627 * t19062;
  t19177 = t7264 * t19176;
  t19180 = 0.23e2 / 0.36e2 * t7187 * t19140 - t7187 * t19143 / 0.2e1 + 0.7e1 / 0.3e1 * t7187 * t19146 - 0.3e1 / 0.2e1 * t7187 * t19150 + 0.3e1 / 0.2e1 * t3680 * t19155 - 0.3e1 * t644 * t19160 + t7250 * t19163 - 0.2e1 * t7250 * t19165 + t7250 * t19168 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t19173 + 0.3e1 * t644 * t19177;
  t19183 = t673 * t19133;
  t19190 = t6255 * t2676;
  t19191 = t1220 * t19190;
  t19194 = t1227 * t19190;
  t19197 = t4844 * t19133;
  t19200 = t673 * t19190;
  t19203 = -t515 * t18694 / 0.6e1 - t7307 * t19183 / 0.2e1 - t15803 - t2089 + t515 * t18490 / 0.6e1 + t515 * t18514 / 0.12e2 - t1748 * t19191 / 0.3e1 - t1748 * t19194 / 0.6e1 - 0.5e1 / 0.36e2 * t7187 * t19197 + t1787 * t19200 / 0.3e1 + t16354;
  t19207 = my_piecewise3(t2, 0, -t246 * t19102 / 0.4e1 - t1532 * t2734 - t1532 * t2737 / 0.2e1 - t30 * t19042 / 0.4e1 + t7216 * t18969 / 0.2e1 - t7216 * t18973 + 0.3e1 / 0.2e1 * t4738 * t18948 + t7216 * t18952 / 0.4e1 - t7746 * t18955 / 0.3e1 + t4779 * t18959 + t6488 * t18963 / 0.12e2 - t3123 * t18966 / 0.4e1 - 0.3e1 / 0.2e1 * t4779 * t18945 - t30 * t19093 / 0.4e1 - t2534 * t7316 / 0.12e2 + t1532 * t2751 / 0.2e1 - t466 * t12868 / 0.6e1 + t19090 + t19180 - t18633 + t16791 + t19137 + t19069 + t19046 - t16793 + t19203);
  tv3lapl2tau0 = t3 * t19207;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  tv3lapl2tau1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 1] += tv3lapl2tau1;

  tv3lapl2tau2 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 2] += tv3lapl2tau2;

  tv3lapl2tau3 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 3] += tv3lapl2tau3;

  tv3lapl2tau4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 4] += tv3lapl2tau4;

  t19225 = t13543 * t2667;
  t19228 = t4549 * t12518;
  t19229 = t2060 * t19228;
  t19232 = t168 * t12518;
  t19233 = t4137 * t19232;
  t19236 = t5549 * t19232;
  t19241 = t13724 * t505 / 0.2e1 - t2609 * t8165 / 0.12e2 - t555 * t12591 / 0.12e2 - t490 * t13633 / 0.6e1 - t4145 * t19225 / 0.4e1 - 0.3e1 / 0.2e1 * t5540 * t19229 - t18860 - t8052 * t19233 / 0.3e1 + t8058 * t19236 / 0.4e1 - t16437 - t1663 * t2817 / 0.2e1;
  t19245 = t1948 * t2632;
  t19246 = t19245 * t1094;
  t19249 = t1019 * t2601;
  t19250 = t4362 * t19249;
  t19251 = t8499 * t19250;
  t19258 = t19245 * t1035;
  t19261 = t4363 * t2601;
  t19262 = t4362 * t19261;
  t19263 = t8499 * t19262;
  t19267 = t1013 * t1014 * t2601;
  t19268 = t8390 * t19267;
  t19271 = t4368 * t2601;
  t19272 = t4362 * t19271;
  t19273 = t8499 * t19272;
  t19277 = t1948 * t2628 * t1045;
  t19281 = -t2030 * t2668 / 0.4e1 + t373 * t19246 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t19251 - t2609 * t8524 / 0.6e1 + t2609 * t8509 / 0.3e1 - t1030 * t19258 / 0.2e1 - 0.3e1 * t1030 * t19263 - 0.3e1 * t373 * t19268 + 0.3e1 / 0.2e1 * t4395 * t19273 - t373 * t19277 / 0.2e1 + t1663 * t2822;
  t19282 = t1661 * t2756;
  t19283 = t1400 * t19282;
  t19292 = t1940 * t18813;
  t19297 = t1182 * t12518;
  t19298 = t2056 * t19297;
  t19300 = t1720 * t13572;
  t19303 = t583 * t2616;
  t19304 = t380 * t19303;
  t19305 = t4137 * t19304;
  t19308 = 0.2e1 / 0.3e1 * t1965 * t19283 + t1663 * t2831 / 0.2e1 - t490 * t13478 / 0.6e1 - t2609 * t8335 / 0.12e2 - t373 * t19292 / 0.4e1 - t1663 * t2814 - t6848 * t2809 + t5540 * t19298 + 0.3e1 / 0.2e1 * t5559 * t19300 + t6827 * t19305 / 0.12e2 - t17037;
  t19311 = t167 * t2601;
  t19312 = t1028 * t19311;
  t19313 = t5623 * t19312;
  t19316 = t988 * t19311;
  t19317 = t5634 * t19316;
  t19323 = t1940 * t18827;
  t19327 = t346 * t348 * t2601;
  t19328 = t8434 * t19327;
  t19331 = t1013 * t19249;
  t19332 = t8390 * t19331;
  t19337 = t1000 * t19316;
  t19340 = t8079 * t2617;
  t19341 = t987 * t19340;
  t19348 = t371 * t19311;
  t19349 = t5640 * t19348;
  t19352 = t1393 * t19316;
  t19354 = t1400 * t19348;
  t19357 = t373 * t19323 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t19328 + 0.3e1 * t1030 * t19332 - t555 * t18833 / 0.6e1 - t8490 * t19337 / 0.2e1 + t490 * t19341 / 0.12e2 + t555 * t18837 / 0.6e1 + t555 * t18842 / 0.12e2 + 0.7e1 / 0.3e1 * t8090 * t19349 + t8360 * t19352 - 0.2e1 * t8360 * t19354;
  t19359 = t5640 * t19316;
  t19362 = t5623 * t19348;
  t19365 = t2652 * t584;
  t19368 = t6773 * t2756;
  t19369 = t1393 * t19368;
  t19372 = t1400 * t19368;
  t19375 = t5623 * t19316;
  t19378 = t1000 * t19368;
  t19381 = t1400 * t19316;
  t19386 = t140 * t2601;
  t19387 = t4376 * t19386;
  t19390 = t1034 * t19386;
  t19393 = t4396 * t19386;
  t19396 = t4408 * t19386;
  t19399 = t1093 * t19386;
  t19403 = t356 * t19386;
  t19406 = t13733 * t2616;
  t19407 = t1190 * t19406;
  t19409 = t360 * t19406;
  t19412 = t1203 * t19406;
  t19416 = t2788 * t2616;
  t19417 = t4408 * t19416;
  t19420 = t1182 * t19416;
  t19423 = t143 * t2601;
  t19424 = t1034 * t19423;
  t19427 = t4396 * t19423;
  t19432 = t356 * t19423;
  t19435 = t559 * t18766 / 0.2e1 + 0.1e2 / 0.3e1 * t8227 * t19387 - 0.4e1 * t8223 * t19390 + t8227 * t19393 / 0.18e2 - 0.3e1 * t8227 * t19396 + 0.6e1 * t8223 * t19399 - t559 * t18740 - 0.3e1 * t8220 * t19403 + t8254 * t19407 + 0.4e1 * t8251 * t19409 - 0.6e1 * t8254 * t19412 - t559 * t18793 - 0.2e1 * t2060 * t19417 - 0.2e1 * t2056 * t19420 + 0.2e1 * t8223 * t19424 - t8227 * t19427 / 0.9e1 + 0.2e1 * t559 * t18796 + 0.6e1 * t8220 * t19432 - t17102;
  t19436 = t4408 * t19423;
  t19439 = t1093 * t19423;
  t19442 = t4376 * t19423;
  t19445 = t4549 * t19416;
  t19448 = t17103 - t17104 + t16481 + 0.6e1 * t8227 * t19436 - 0.12e2 * t8223 * t19439 - 0.2e1 / 0.3e1 * t8227 * t19442 + 0.3e1 * t2060 * t19445 + t17129 - t18787 - t16484 + t16488 - t16505 - t16509 + t16524 - t17165 + t17166 + t17167 - t2229 + t2210;
  t19449 = t19435 + t19448;
  t19450 = t139 * t19449;
  t19451 = t19450 * t168;
  t19454 = t1021 * t12518;
  t19455 = t5549 * t19454;
  t19457 = -0.11e2 / 0.18e2 * t8090 * t19359 + 0.23e2 / 0.36e2 * t8090 * t19362 - t110 * t19365 / 0.4e1 - t1965 * t19369 / 0.3e1 - t1965 * t19372 / 0.6e1 - 0.5e1 / 0.36e2 * t8090 * t19375 + t1958 * t19378 / 0.3e1 + t8360 * t19381 / 0.2e1 + t16468 - t110 * t19451 / 0.4e1 - t8058 * t19455;
  t19458 = t5587 * t19232;
  t19467 = t8058 * t19458 / 0.2e1 - t16544 + t2030 * t2671 / 0.2e1 - t2609 * t8192 / 0.6e1 + t2609 * t8196 / 0.3e1 + t17075 - t17076 + t16581 - t16583 - t16588 - t16591;
  t19471 = my_piecewise3(t100, 0, t2604 * t2025 / 0.6e1 + t12596 * t570 / 0.4e1 - 0.3e1 / 0.2e1 * t8090 * t19313 - t8090 * t19317 / 0.2e1 + t2604 * t1950 / 0.6e1 - t8201 * t2659 / 0.2e1 - t2030 * t2663 / 0.2e1 + t18811 + t17040 + t2251 + t16016 + t19281 + t16363 - t16377 + t19241 + t19467 - t2180 - t16021 - t16024 + t16418 + t19357 + t19457 + t19308 - t17038 + t17039 + t16381);
  tv3lapl2tau5 = t3 * t19471;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 5] += tv3lapl2tau5;

  t19472 = t3474 * t2727;
  t19473 = t14076 * t19472;
  t19476 = t13986 * t2741;
  t19479 = t3401 * t463;
  t19480 = t3474 * t19479;
  t19481 = t14076 * t19480;
  t19484 = 0.3e1 / 0.2e1 * t246 * t19473 - 0.3e1 * t246 * t19476 - 0.3e1 * t644 * t19481 - t17866 + t16188 - t16191 - t16194 + t17918 - t17919 + t2160 + t17946 + t17973;
  t19485 = t4844 * t2677;
  t19494 = t2851 * t463;
  t19495 = t3409 * t19494;
  t19496 = t1847 * t19495;
  t19499 = t14184 * t2728;
  t19501 = -t17977 - t17978 + t17979 + t15602 - 0.5e1 / 0.36e2 * t13878 * t19485 - t14215 * t2678 / 0.2e1 - t2839 * t2544 / 0.6e1 + t13929 * t2681 / 0.2e1 - t15612 - t15615 + t15619 - t4779 * t19496 / 0.2e1 - t4748 * t19499;
  t19503 = t14184 * t2741;
  t19505 = t1591 * t14200;
  t19526 = t3123 * t19503 + t4738 * t19505 / 0.2e1 + t16718 + t1532 * t2915 / 0.2e1 - t6295 * t2899 / 0.2e1 - t1532 * t2907 / 0.2e1 + t13060 * t530 / 0.2e1 - t466 * t14148 / 0.12e2 + t14153 * t481 / 0.4e1 + t2844 * t6290 / 0.3e1 - t2844 * t6286 / 0.6e1 - t515 * t13049 / 0.6e1;
  t19531 = t14228 * t2733;
  t19533 = t14231 * t2592;
  t19538 = t543 * t463;
  t19539 = t253 * t19538;
  t19540 = t4765 * t19539;
  t19543 = t2851 * t2541;
  t19544 = t3430 * t19543;
  t19545 = t519 * t19544;
  t19548 = t819 * t19494;
  t19549 = t1843 * t19548;
  t19552 = t4754 * t19539;
  t19555 = t3121 * t19538;
  t19556 = t4765 * t19555;
  t19559 = t95 * t19494;
  t19560 = t4770 * t19559;
  t19563 = t635 * t19494;
  t19564 = t4760 * t19563;
  t19567 = t2839 * t1527 / 0.6e1 - t2844 * t6350 / 0.12e2 - t3123 * t19531 - t3123 * t19533 / 0.2e1 + t7581 * t18963 / 0.6e1 - t7216 * t19540 / 0.6e1 + t4779 * t19545 / 0.2e1 + t4779 * t19549 / 0.2e1 - t15662 - t7216 * t19552 / 0.3e1 + 0.2e1 / 0.3e1 * t7216 * t19556 + t7216 * t19560 / 0.6e1 - t7216 * t19564 / 0.3e1;
  t19572 = t13986 * t2728;
  t19575 = t13951 * t18705;
  t19579 = t4838 * t2691;
  t19582 = t7198 * t2676;
  t19583 = t1220 * t19582;
  t19586 = t1889 * t2676;
  t19587 = t1227 * t19586;
  t19590 = t642 * t2676;
  t19591 = t4844 * t19590;
  t19596 = t13951 * t18523;
  t19600 = t1532 * t2903 / 0.2e1 + 0.3e1 * t644 * t19572 + t644 * t19575 + t1891 * t2751 / 0.2e1 + 0.7e1 / 0.3e1 * t13878 * t19579 - t1748 * t19583 / 0.3e1 + 0.2e1 / 0.3e1 * t1748 * t19587 - 0.3e1 / 0.2e1 * t13878 * t19591 - t7462 * t2729 + t1891 * t2742 - t246 * t19596 - t466 * t14033 / 0.12e2;
  t19602 = t14031 * t469 * t249;
  t19623 = 0.2e1 / 0.3e1 * t11857 * t13892 + t15069 - 0.4e1 * t13898 * t2733 + 0.4e1 / 0.3e1 * t13901 * t2728 - 0.2e1 * t13904 * t2592 + 0.4e1 * t13901 * t2741 - t15081 + 0.4e1 * t13911 * t2733 + 0.2e1 * t521 * t2592 - 0.4e1 * t13916 * t2741;
  t19625 = t658 * t221 * t19623;
  t19626 = t1769 * t19625;
  t19629 = t14004 * t2733;
  t19632 = t14040 * t2592;
  t19635 = t14257 * t463;
  t19636 = t233 * t19635;
  t19639 = t14257 * t2541;
  t19640 = t233 * t19639;
  t19643 = t827 * t19635;
  t19646 = t840 * t19635;
  t19649 = t3402 * t2697;
  t19652 = t3375 * t2697;
  t19655 = t2883 * t463;
  t19656 = t3409 * t19655;
  t19660 = t18003 - t18004 + t18005 + 0.2e1 * t7586 * t19636 + 0.2e1 * t10828 * t19640 + t7584 * t19643 / 0.3e1 - 0.2e1 * t7584 * t19646 - 0.2e1 / 0.3e1 * t14293 * t19649 + 0.6e1 * t14293 * t19652 + t1847 * t19656 - 0.12e2 * t14331 * t2705;
  t19661 = t819 * t19655;
  t19663 = t60 * t19623;
  t19664 = t819 * t19663;
  t19676 = t3448 * t2708;
  t19679 = t3402 * t2708;
  t19684 = t3375 * t2708;
  t19687 = -t1843 * t19661 + t18043 + t519 * t19664 / 0.2e1 + 0.2e1 * t2870 * t18573 - 0.4e1 / 0.3e1 * t2870 * t18562 - 0.3e1 * t14282 * t2712 - t2866 * t2572 - 0.4e1 * t14331 * t2709 + t14293 * t19676 / 0.18e2 + 0.1e2 / 0.3e1 * t14293 * t19679 + 0.6e1 * t14331 * t2716 - 0.3e1 * t14293 * t19684;
  t19689 = t2883 * t2541;
  t19690 = t3430 * t19689;
  t19694 = t3448 * t2697;
  t19697 = t63 * t19623;
  t19698 = t819 * t19697;
  t19700 = t3375 * t19655;
  t19703 = -t15697 + t15710 + t15712 - t18057 + t18058 - t18059 - t519 * t19690 + 0.2e1 / 0.3e1 * t2870 * t18592 - t14293 * t19694 / 0.9e1 - t519 * t19698 - 0.2e1 / 0.3e1 * t1847 * t19700;
  t19712 = 0.6e1 * t14282 * t2698 + 0.2e1 * t14331 * t2701 - 0.4e1 * t2870 * t18617 + 0.2e1 * t2866 * t2562 - t15743 - t15749 + t15767 - t16839 + t16888 - t18069 + t2119 - t2138;
  t19714 = t19660 + t19687 + t19703 + t19712;
  t19715 = t59 * t19714;
  t19716 = t19715 * t95;
  t19725 = t673 * t19582;
  t19730 = t246 * t19602 / 0.4e1 - t1532 * t2912 / 0.4e1 - t246 * t19626 / 0.4e1 + 0.3e1 / 0.2e1 * t246 * t19629 + t246 * t19632 / 0.2e1 - t18138 - t16743 - t30 * t19716 / 0.4e1 - t466 * t13977 / 0.6e1 - t515 * t12868 / 0.6e1 - 0.2e1 / 0.3e1 * t2844 * t18531 + t1787 * t19725 / 0.3e1 + t515 * t19112 / 0.6e1;
  t19732 = t1227 * t19582;
  t19737 = t6255 * t2852;
  t19738 = t660 * t19737;
  t19741 = t94 * t19623;
  t19742 = t661 * t19741;
  t19743 = t660 * t19742;
  t19748 = t4796 * t19539;
  t19751 = t3130 * t19559;
  t19754 = t95 * t19543;
  t19755 = t8642 * t19754;
  t19758 = t4760 * t19559;
  t19761 = -t1748 * t19732 / 0.6e1 + t2844 * t18527 / 0.3e1 + t515 * t19738 / 0.12e2 + t515 * t19743 / 0.12e2 + t2844 * t18517 / 0.6e1 + t15778 - t15784 + t7746 * t19748 / 0.3e1 - t7746 * t19751 / 0.6e1 - t7581 * t19755 / 0.6e1 + t7216 * t19758 / 0.12e2 + t15794;
  t19762 = t2719 * t544;
  t19765 = t476 * t2933;
  t19768 = t3447 * t463;
  t19769 = t3474 * t19768;
  t19770 = t14076 * t19769;
  t19776 = t4838 * t2677;
  t19779 = t4844 * t2691;
  t19782 = t4831 * t2677;
  t19788 = -t15804 - t2089 - t30 * t19762 / 0.2e1 - t30 * t19765 / 0.4e1 + 0.3e1 / 0.2e1 * t3680 * t19770 + t13929 * t2686 - 0.2e1 * t13929 * t2692 - 0.11e2 / 0.18e2 * t13878 * t19776 + 0.23e2 / 0.36e2 * t13878 * t19779 - t13878 * t19782 / 0.2e1 - t1891 * t2734 - t1891 * t2737 / 0.2e1 + t18158;
  t19792 = my_piecewise3(t2, 0, t19484 + t19501 + t19526 + t19567 + t19600 + t19730 + t19761 + t19788);
  tv3lapltau20 = t3 * t19792;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  tv3lapltau21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 1] += tv3lapltau21;

  tv3lapltau22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 2] += tv3lapltau22;

  tv3lapltau23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 3] += tv3lapltau23;

  tv3lapltau24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 4] += tv3lapltau24;

  t19793 = t4368 * t487;
  t19794 = t4362 * t19793;
  t19795 = t14554 * t19794;
  t19798 = t1028 * t2756;
  t19799 = t5623 * t19798;
  t19803 = t8079 * t2756;
  t19804 = t1393 * t19803;
  t19807 = t2028 * t2756;
  t19808 = t1400 * t19807;
  t19813 = t5640 * t2757;
  t19816 = t5623 * t2771;
  t19819 = t5634 * t2757;
  t19822 = t18174 - t18175 + t18176 + 0.3e1 / 0.2e1 * t4395 * t19795 - 0.3e1 / 0.2e1 * t14535 * t19799 - t8201 * t2809 - t1965 * t19804 / 0.3e1 + 0.2e1 / 0.3e1 * t1965 * t19808 - 0.2e1 * t14542 * t2772 - 0.11e2 / 0.18e2 * t14535 * t19813 + 0.23e2 / 0.36e2 * t14535 * t19816 - t14535 * t19819 / 0.2e1;
  t19823 = t5640 * t2771;
  t19827 = t14967 * t18849;
  t19831 = t4362 * t2807;
  t19832 = t14554 * t19831;
  t19835 = t4363 * t487;
  t19836 = t4362 * t19835;
  t19837 = t14554 * t19836;
  t19840 = t14550 * t2821;
  t19860 = 0.2e1 / 0.3e1 * t12432 * t14728 + t15337 - 0.4e1 * t14734 * t2813 + 0.4e1 / 0.3e1 * t14737 * t2808 - 0.2e1 * t14740 * t2667 + 0.4e1 * t14737 * t2821 - t15349 + 0.4e1 * t14747 * t2813 + 0.2e1 * t561 * t2667 - 0.4e1 * t14752 * t2821;
  t19861 = t167 * t19860;
  t19862 = t988 * t19861;
  t19863 = t987 * t19862;
  t19866 = t6773 * t2955;
  t19867 = t987 * t19866;
  t19872 = t5623 * t2757;
  t19877 = 0.7e1 / 0.3e1 * t14535 * t19823 + t14542 * t2766 - t373 * t19827 - t490 * t14976 / 0.12e2 + 0.3e1 / 0.2e1 * t373 * t19832 - 0.3e1 * t1030 * t19837 - 0.3e1 * t373 * t19840 + t2030 * t2822 + t555 * t19863 / 0.12e2 + t555 * t19867 / 0.12e2 + t2947 * t18845 / 0.6e1 - 0.5e1 / 0.36e2 * t14535 * t19872 - t2942 * t2619 / 0.6e1;
  t19893 = t1400 * t19803;
  t19898 = t1000 * t19803;
  t19901 = t14983 * t2813;
  t19904 = t14987 * t2667;
  t19907 = t14542 * t2761 / 0.2e1 - t14776 * t2758 / 0.2e1 - t490 * t14643 / 0.6e1 + t2030 * t2831 / 0.2e1 - t555 * t13478 / 0.6e1 - 0.2e1 / 0.3e1 * t2947 * t18858 + t555 * t19341 / 0.6e1 - t1965 * t19893 / 0.6e1 + t2947 * t18854 / 0.3e1 + t1958 * t19898 / 0.3e1 + 0.3e1 / 0.2e1 * t373 * t19901 + t373 * t19904 / 0.2e1;
  t19912 = t14967 * t18820;
  t19914 = t14550 * t2808;
  t19921 = t985 * t348 * t19860;
  t19922 = t1940 * t19921;
  t19933 = -t1663 * t3015 / 0.4e1 + t1663 * t3006 / 0.2e1 + t1030 * t19912 + 0.3e1 * t1030 * t19914 - t2030 * t2814 - t2030 * t2817 / 0.2e1 - t373 * t19922 / 0.4e1 + t16931 - t2180 + t2947 * t6843 / 0.3e1 - t2947 * t6873 / 0.12e2 - t2947 * t6839 / 0.6e1 - t555 * t13633 / 0.6e1;
  t19938 = t583 * t487;
  t19939 = t4143 * t19938;
  t19940 = t5553 * t19939;
  t19943 = t14639 * t2808;
  t19945 = t2954 * t487;
  t19946 = t168 * t19945;
  t19947 = t5587 * t19946;
  t19950 = t1021 * t19945;
  t19951 = t5549 * t19950;
  t19954 = t14639 * t2821;
  t19956 = t1720 * t14892;
  t19959 = t4549 * t19945;
  t19960 = t2060 * t19959;
  t19963 = t380 * t19938;
  t19964 = t5591 * t19963;
  t19967 = t5582 * t19963;
  t19970 = t2942 * t1658 / 0.6e1 + t18216 - t17018 + 0.2e1 / 0.3e1 * t8058 * t19940 - t5535 * t19943 + t8058 * t19947 / 0.6e1 - t8058 * t19951 / 0.3e1 + t4145 * t19954 + t5559 * t19956 / 0.2e1 - t5540 * t19960 / 0.2e1 - t8058 * t19964 / 0.3e1 + t8052 * t19967 / 0.3e1;
  t19973 = t5553 * t19963;
  t19976 = t5549 * t19946;
  t19979 = t4137 * t19946;
  t19982 = t2954 * t2616;
  t19983 = t168 * t19982;
  t19984 = t9270 * t19983;
  t19987 = t1182 * t19945;
  t19988 = t2056 * t19987;
  t19991 = t4543 * t19982;
  t19992 = t559 * t19991;
  t19995 = t14701 * t2813;
  t19997 = t14713 * t2667;
  t20004 = t8055 * t19305 / 0.6e1 - t8058 * t19973 / 0.6e1 + t8058 * t19976 / 0.12e2 - t8052 * t19979 / 0.6e1 - t8055 * t19984 / 0.6e1 - t18265 + t5540 * t19988 / 0.2e1 + t5540 * t19992 / 0.2e1 - t4145 * t19995 - t4145 * t19997 / 0.2e1 + t18285 - t1663 * t3010 / 0.2e1 + t1663 * t3018 / 0.2e1;
  t20014 = -t6848 * t3002 / 0.2e1 + t13724 * t570 / 0.2e1 - t490 * t14621 / 0.12e2 + t14626 * t505 / 0.4e1 - t15986 - t15990 + t16006 + t16017 - t16022 - t16025 + t16034 + t2251;
  t20015 = t2799 * t584;
  t20018 = t500 * t3036;
  t20022 = t14974 * t493 * t376;
  t20025 = t14779 * t487;
  t20026 = t1203 * t20025;
  t20029 = t360 * t20025;
  t20032 = t14779 * t2616;
  t20033 = t360 * t20032;
  t20036 = t1190 * t20025;
  t20039 = t2986 * t2616;
  t20040 = t4543 * t20039;
  t20042 = t18330 - 0.2e1 * t8254 * t20026 + 0.2e1 * t8251 * t20029 + 0.2e1 * t11528 * t20033 + t8254 * t20036 / 0.3e1 - t18342 - t15890 + t15902 - t15905 + t18372 - t559 * t20040;
  t20051 = t4396 * t2777;
  t20055 = t4376 * t2777;
  t20058 = t4408 * t2777;
  t20061 = t143 * t19860;
  t20062 = t1182 * t20061;
  t20064 = t2788 * t2954;
  t20065 = t4408 * t20064;
  t20070 = t1182 * t20064;
  t20072 = 0.6e1 * t14826 * t2778 + 0.2e1 * t2969 * t2637 + 0.2e1 * t14806 * t2781 + 0.2e1 / 0.3e1 * t2973 * t18790 - t14795 * t20051 / 0.9e1 - t2969 * t2647 - 0.2e1 / 0.3e1 * t14795 * t20055 + 0.6e1 * t14795 * t20058 - t559 * t20062 - 0.2e1 / 0.3e1 * t2060 * t20065 - 0.4e1 * t2973 * t18799 - t2056 * t20070;
  t20074 = t140 * t19860;
  t20075 = t1182 * t20074;
  t20086 = t4396 * t2788;
  t20089 = t4376 * t2788;
  t20092 = t17130 - t17156 - t18375 + t18376 + t559 * t20075 / 0.2e1 + 0.2e1 * t2973 * t18729 - 0.4e1 / 0.3e1 * t2973 * t18722 - 0.3e1 * t14826 * t2792 - 0.4e1 * t14806 * t2789 + t14795 * t20086 / 0.18e2 + 0.1e2 / 0.3e1 * t14795 * t20089;
  t20093 = t4549 * t20064;
  t20099 = t4408 * t2788;
  t20102 = -0.3e1 * t14795 * t20099 - 0.12e2 * t14806 * t2785 + 0.6e1 * t14806 * t2796 + t2060 * t20093 - t15930 + t15933 + t15935 - t18402 - t18403 + t18404 + t2210 - t2229;
  t20104 = t20042 + t20072 + t20092 + t20102;
  t20105 = t139 * t20104;
  t20106 = t20105 * t168;
  t20109 = t18462 - t18476 - t110 * t20015 / 0.2e1 - t18477 - t110 * t20018 / 0.4e1 + t16075 - t16082 + t373 * t20022 / 0.4e1 + t16580 - t18480 - t16587 - t16590 - t110 * t20106 / 0.4e1;
  t20113 = my_piecewise3(t100, 0, t19822 + t19877 + t19907 + t19933 + t19970 + t20004 + t20014 + t20109);
  tv3lapltau25 = t3 * t20113;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 5] += tv3lapltau25;

  t20114 = t17865 / 0.2e1;
  t20115 = 0.3e1 / 0.2e1 * t16188;
  t20116 = 0.3e1 / 0.2e1 * t16191;
  t20117 = 0.3e1 / 0.2e1 * t16194;
  t20118 = 0.3e1 / 0.4e1 * t16223;
  t20119 = t16225 / 0.4e1;
  t20120 = t17945 / 0.6e1;
  t20122 = t14031 * t518 * t249;
  t20125 = t633 * t2851;
  t20126 = t3171 * t20125;
  t20127 = t13951 * t20126;
  t20130 = t1777 * t2869;
  t20131 = t20130 * t649;
  t20143 = -t20114 + t20115 - t20116 - t20117 + t20118 - t20119 + t2160 + t20120 + 0.3e1 / 0.4e1 * t246 * t20122 + 0.3e1 / 0.2e1 * t644 * t20127 - 0.3e1 / 0.2e1 * t644 * t20131 - 0.3e1 / 0.4e1 * t1891 * t2912 + 0.3e1 / 0.2e1 * t1891 * t2903 - t515 * t14033 / 0.4e1 + t2844 * t7175 - t515 * t13977 / 0.2e1 + t16279;
  t20144 = t16283 / 0.2e1;
  t20145 = t16287 / 0.4e1;
  t20146 = t16298 / 0.2e1;
  t20154 = t3227 * t2836;
  t20167 = 0.2e1 / 0.3e1 * t2878 * t634 + t15069 - 0.4e1 * t662 * t2836 * t748 + 0.4e1 / 0.3e1 * t20154 * t649 - 0.2e1 * t13904 * t2911 + 0.4e1 * t20154 * t654 - t15081 + 0.4e1 * t2881 * t222 + 0.2e1 * t521 * t2911 - 0.4e1 * t2878 * t629;
  t20168 = t94 * t20167;
  t20169 = t661 * t20168;
  t20170 = t660 * t20169;
  t20175 = t7198 * t2852;
  t20176 = t660 * t20175;
  t20181 = t3250 * t2853;
  t20186 = t14231 * t2911;
  t20189 = t543 * t2851;
  t20190 = t253 * t20189;
  t20191 = t3130 * t20190;
  t20195 = t1777 * t2865 * t748;
  t20198 = t2851 * t2851;
  t20199 = t94 * t20198;
  t20200 = t661 * t20199;
  t20201 = t3139 * t20200;
  t20204 = 0.1e1 / t686;
  t20217 = -0.18e3 * t3054 * t20204 - 0.45e3 * t3061 * t20204 - 0.21e3 * t3066 * t20204 + 0.102e3 * t3072 * t20204 + 0.156e3 * t3075 * t20204 + 0.6e1 * t20204 * t83;
  t20218 = t253 * t20217;
  t20219 = t65 * t20218;
  t20222 = t525 * t2933;
  t20225 = t2889 * t544;
  t20228 = t628 * t2851;
  t20229 = t3171 * t20228;
  t20230 = t13951 * t20229;
  t20233 = -t20144 - t20145 + t20146 - t2844 * t7171 / 0.2e1 + t515 * t20170 / 0.12e2 - t2844 * t7316 / 0.4e1 + t515 * t20176 / 0.4e1 + t2839 * t1779 / 0.2e1 + t2844 * t20181 / 0.4e1 - t2839 * t2854 / 0.3e1 - 0.3e1 / 0.4e1 * t3123 * t20186 + t7581 * t20191 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t20195 - t515 * t20201 / 0.6e1 - t30 * t20219 / 0.4e1 - 0.3e1 / 0.4e1 * t30 * t20222 - 0.3e1 / 0.4e1 * t30 * t20225 - 0.3e1 / 0.2e1 * t246 * t20230;
  t20235 = t20130 * t654;
  t20238 = t3172 * t2853;
  t20241 = t244 * t2852;
  t20242 = t3250 * t20241;
  t20244 = t16325 / 0.4e1;
  t20245 = t2836 * t512;
  t20246 = t3658 * t20245;
  t20247 = t20246 * t3681;
  t20250 = t20245 * t3396;
  t20251 = t3512 * t20250;
  t20252 = t191 * t20251;
  t20260 = t20245 * t3415;
  t20261 = t616 * t20260;
  t20262 = t191 * t20261;
  t20268 = t645 * t20245;
  t20269 = t20268 * t3504;
  t20274 = t20245 * t619;
  t20275 = t194 * t20274;
  t20276 = t191 * t20275;
  t20280 = t658 * t221 * t20167;
  t20281 = t1769 * t20280;
  t20284 = 0.3e1 / 0.2e1 * t246 * t20235 + t2844 * t20238 / 0.2e1 - t2844 * t20242 - t20244 + 0.3e1 / 0.2e1 * t3680 * t20247 + 0.7e1 / 0.3e1 * t20252 * t3668 + t2844 * t7457 + 0.23e2 / 0.36e2 * t20252 * t3545 - t20252 * t3665 / 0.2e1 - 0.2e1 * t20262 * t637 - 0.11e2 / 0.18e2 * t20252 * t3517 + t20262 * t630 + 0.3e1 * t644 * t20269 - 0.3e1 / 0.2e1 * t1891 * t2907 - t20276 * t223 / 0.2e1 - t2089 - t246 * t20281 / 0.4e1;
  t20285 = t14040 * t2911;
  t20288 = t3138 * t221 * t20198;
  t20289 = t1769 * t20288;
  t20292 = 0.3e1 / 0.4e1 * t16353;
  t20297 = t20246 * t3660;
  t20300 = t20246 * t3685;
  t20303 = t20268 * t3508;
  t20313 = t247 * t20245 * t3643;
  t20326 = 0.3e1 * t16122;
  t20327 = 0.3e1 * t16125;
  t20328 = 0.2e1 * t16128;
  t20329 = t615 * t20245;
  t20330 = t20329 * t3415;
  t20333 = t69 * t20245;
  t20334 = t20333 * t3396;
  t20337 = t193 * t20245;
  t20338 = t20337 * t619;
  t20347 = 0.6e1 * t16170;
  t20348 = 0.6e1 * t16172;
  t20351 = t3375 * t2873;
  t20353 = t63 * t20167;
  t20354 = t819 * t20353;
  t20356 = t20326 - t20327 + t20328 + 0.6e1 * t20330 * t841 - 0.3e1 * t20334 * t3491 - 0.3e1 * t20338 * t234 + 0.1e2 / 0.3e1 * t20334 * t3476 - 0.4e1 * t20330 * t828 + t20334 * t3483 / 0.18e2 + t18042 - t16163 + t20347 - t20348 + 0.4e1 * t2866 * t2874 + t2870 * t20351 - t519 * t20354;
  t20357 = t63 * t20198;
  t20358 = t3430 * t20357;
  t20361 = t3409 * t2873;
  t20364 = 0.2e1 * t18069;
  t20365 = t60 * t20167;
  t20366 = t819 * t20365;
  t20371 = t20329 * t3416;
  t20374 = t20333 * t3399;
  t20377 = t3375 * t2883;
  t20382 = t3409 * t2883;
  t20389 = t60 * t20198;
  t20390 = t3430 * t20389;
  t20392 = t20337 * t3421;
  t20395 = 0.2e1 * t519 * t20358 - 0.6e1 * t2870 * t20361 - t20364 - t2138 + t519 * t20366 / 0.2e1 - 0.2e1 * t2866 * t2884 + 0.2e1 * t20371 * t816 - t20374 * t3449 / 0.9e1 - 0.2e1 * t2870 * t20377 + 0.6e1 * t20374 * t3406 + 0.3e1 * t2870 * t20382 - 0.12e2 * t20371 * t823 - 0.2e1 / 0.3e1 * t20374 * t3403 - t519 * t20390 + 0.6e1 * t20392 * t230 + t2119;
  t20396 = t20356 + t20395;
  t20397 = t59 * t20396;
  t20398 = t20397 * t95;
  t20401 = t246 * t20285 + t246 * t20289 / 0.2e1 + t20292 + t2839 * t1886 / 0.2e1 + t20262 * t752 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t20297 - 0.3e1 * t644 * t20300 - 0.3e1 * t246 * t20303 - 0.3e1 / 0.2e1 * t20252 * t3673 - 0.3e1 / 0.2e1 * t7462 * t2899 + 0.3e1 / 0.2e1 * t1891 * t2915 + 0.3e1 / 0.2e1 * t246 * t20313 + 0.3e1 / 0.4e1 * t14153 * t530 - t515 * t14148 / 0.4e1 - t2844 * t7441 / 0.4e1 - 0.5e1 / 0.36e2 * t20252 * t3602 - t2844 * t7453 / 0.2e1 - t30 * t20398 / 0.4e1;
  t20404 = my_piecewise3(t2, 0, t20143 + t20233 + t20284 + t20401);
  tv3tau30 = t3 * t20404;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  tv3tau31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 1] += tv3tau31;

  tv3tau32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 2] += tv3tau32;

  t20405 = t16376 / 0.2e1;
  t20406 = t16380 / 0.2e1;
  t20407 = t2954 * t2954;
  t20409 = t4706 * t348 * t20407;
  t20410 = t1940 * t20409;
  t20414 = t1948 * t2968 * t1045;
  t20417 = t167 * t20407;
  t20418 = t988 * t20417;
  t20419 = t4707 * t20418;
  t20431 = t8079 * t2955;
  t20432 = t987 * t20431;
  t20440 = t4206 * t2939;
  t20453 = 0.2e1 / 0.3e1 * t2981 * t1020 + t15337 - 0.4e1 * t989 * t2939 * t1045 + 0.4e1 / 0.3e1 * t20440 * t1035 - 0.2e1 * t14740 * t3014 + 0.4e1 * t20440 * t1094 - t15349 + 0.4e1 * t2984 * t349 + 0.2e1 * t561 * t3014 - 0.4e1 * t2981 * t1015;
  t20454 = t167 * t20453;
  t20455 = t988 * t20454;
  t20456 = t987 * t20455;
  t20459 = t4686 * t2956;
  t20466 = t16362 - t20405 + t20406 + t373 * t20410 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t20414 - t555 * t20419 / 0.6e1 + t2942 * t1950 / 0.2e1 - t2180 - t555 * t14976 / 0.4e1 + t2947 * t8509 - t2947 * t8524 / 0.2e1 - t555 * t14643 / 0.2e1 + t555 * t20432 / 0.4e1 + t555 * t20456 / 0.12e2 + t2947 * t20459 / 0.4e1 - t2947 * t8335 / 0.4e1 - t2942 * t2957 / 0.3e1;
  t20467 = t14987 * t3014;
  t20470 = t985 * t348 * t20453;
  t20471 = t1940 * t20470;
  t20475 = t14974 * t558 * t376;
  t20478 = t1019 * t2954;
  t20479 = t4161 * t20478;
  t20480 = t14967 * t20479;
  t20483 = t1948 * t2972;
  t20484 = t20483 * t1035;
  t20491 = 0.3e1 / 0.4e1 * t16417;
  t20492 = t2939 * t552;
  t20493 = t20492 * t4356;
  t20494 = t3512 * t20493;
  t20495 = t321 * t20494;
  t20498 = t20492 * t4333;
  t20499 = t616 * t20498;
  t20500 = t321 * t20499;
  t20515 = t583 * t2954;
  t20516 = t380 * t20515;
  t20517 = t4137 * t20516;
  t20520 = t373 * t20467 - t373 * t20471 / 0.4e1 + 0.3e1 / 0.4e1 * t373 * t20475 + 0.3e1 / 0.2e1 * t1030 * t20480 - 0.3e1 / 0.2e1 * t1030 * t20484 - 0.3e1 / 0.4e1 * t2030 * t3015 + 0.3e1 / 0.2e1 * t2030 * t3006 + t20491 + 0.7e1 / 0.3e1 * t20495 * t4505 + t20500 * t1016 + t20500 * t1090 / 0.2e1 + t2947 * t8196 - 0.3e1 / 0.2e1 * t20495 * t4405 - 0.2e1 * t20500 * t1023 - 0.11e2 / 0.18e2 * t20495 * t4365 + 0.23e2 / 0.36e2 * t20495 * t4370 - t20495 * t4414 / 0.2e1 + t8055 * t20517 / 0.4e1;
  t20522 = t16436 / 0.4e1;
  t20523 = t18284 / 0.6e1;
  t20524 = t2992 * t584;
  t20527 = t565 * t3036;
  t20530 = 0.1e1 / t1112;
  t20543 = 0.6e1 * t20530 * t156 + 0.102e3 * t4264 * t20530 + 0.156e3 * t4271 * t20530 - 0.18e3 * t4274 * t20530 - 0.45e3 * t4277 * t20530 - 0.21e3 * t4282 * t20530;
  t20544 = t380 * t20543;
  t20545 = t145 * t20544;
  t20548 = 0.3e1 / 0.4e1 * t16467;
  t20549 = t20483 * t1094;
  t20552 = t1014 * t2954;
  t20553 = t4161 * t20552;
  t20554 = t14967 * t20553;
  t20557 = t4162 * t2956;
  t20560 = t371 * t2955;
  t20561 = t4686 * t20560;
  t20563 = t18475 / 0.2e1;
  t20564 = t14713 * t3014;
  t20567 = t16543 / 0.4e1;
  t20568 = t4373 * t20492;
  t20569 = t20568 * t4397;
  t20576 = -t20522 + t20523 + t2251 - 0.3e1 / 0.4e1 * t110 * t20524 - 0.3e1 / 0.4e1 * t110 * t20527 - t110 * t20545 / 0.4e1 + t20548 + 0.3e1 / 0.2e1 * t373 * t20549 - 0.3e1 / 0.2e1 * t373 * t20554 + t2947 * t20557 / 0.2e1 - t2947 * t20561 - t20563 - 0.3e1 / 0.4e1 * t4145 * t20564 - t20567 + 0.3e1 / 0.2e1 * t4395 * t20569 + 0.3e1 / 0.4e1 * t14626 * t570 - t555 * t14621 / 0.4e1;
  t20585 = t20492 * t1007;
  t20586 = t194 * t20585;
  t20587 = t321 * t20586;
  t20590 = t20568 * t4377;
  t20593 = t1031 * t20492;
  t20594 = t20593 * t4339;
  t20597 = t20568 * t4409;
  t20604 = 0.3e1 / 0.2e1 * t16580;
  t20605 = t16582 / 0.4e1;
  t20606 = 0.3e1 / 0.2e1 * t16587;
  t20607 = 0.3e1 / 0.2e1 * t16590;
  t20609 = t374 * t20492 * t4426;
  t20612 = t20593 * t4335;
  t20617 = 0.2e1 * t18342;
  t20618 = t193 * t20492;
  t20619 = t20618 * t1007;
  t20622 = 0.3e1 * t16481;
  t20623 = t4549 * t2976;
  t20626 = 0.3e1 * t16484;
  t20627 = 0.2e1 * t16487;
  t20628 = t143 * t20453;
  t20629 = t1182 * t20628;
  t20633 = t4408 * t2976;
  t20635 = t143 * t20407;
  t20636 = t4543 * t20635;
  t20639 = 0.6e1 * t16504;
  t20640 = 0.6e1 * t16523;
  t20641 = t69 * t20492;
  t20642 = t20641 * t4356;
  t20645 = t615 * t20492;
  t20646 = t20645 * t4333;
  t20649 = t18329 - t20617 - 0.3e1 * t20619 * t361 + t20622 - 0.6e1 * t2973 * t20623 - t20626 + t20627 - t559 * t20629 + 0.4e1 * t2969 * t2977 + t2973 * t20633 + 0.2e1 * t559 * t20636 - t20639 - t16508 + t20640 + 0.1e2 / 0.3e1 * t20642 * t4625 - 0.4e1 * t20646 * t1191;
  t20656 = t140 * t20407;
  t20657 = t4543 * t20656;
  t20659 = t20618 * t4425;
  t20662 = t140 * t20453;
  t20663 = t1182 * t20662;
  t20666 = t4408 * t2986;
  t20669 = t20645 * t4334;
  t20672 = t20641 * t4375;
  t20681 = t4549 * t2986;
  t20686 = t20642 * t4634 / 0.18e2 + 0.6e1 * t20646 * t1204 - 0.3e1 * t20642 * t4621 - t559 * t20657 + 0.6e1 * t20659 * t357 + t559 * t20663 / 0.2e1 - 0.2e1 * t2973 * t20666 + 0.2e1 * t20669 * t1179 - t20672 * t4612 / 0.9e1 - 0.12e2 * t20669 * t1186 - 0.2e1 / 0.3e1 * t20672 * t4589 + 0.6e1 * t20672 * t4579 + 0.3e1 * t2973 * t20681 - 0.2e1 * t2969 * t2987 - t2229 + t2210;
  t20687 = t20649 + t20686;
  t20688 = t139 * t20687;
  t20689 = t20688 * t168;
  t20692 = -t2947 * t8192 / 0.2e1 - t2947 * t8165 / 0.4e1 - 0.5e1 / 0.36e2 * t20495 * t4467 + t2942 * t2025 / 0.2e1 - t20587 * t350 / 0.2e1 - 0.3e1 * t1030 * t20590 - 0.3e1 * t373 * t20594 + 0.3e1 / 0.2e1 * t373 * t20597 - 0.3e1 / 0.2e1 * t8201 * t3002 + 0.3e1 / 0.2e1 * t2030 * t3018 + t20604 - t20605 - t20606 - t20607 + 0.3e1 / 0.2e1 * t373 * t20609 + 0.3e1 * t1030 * t20612 - 0.3e1 / 0.2e1 * t2030 * t3010 - t110 * t20689 / 0.4e1;
  t20695 = my_piecewise3(t100, 0, t20466 + t20520 + t20576 + t20692);
  tv3tau33 = t3 * t20695;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 3] += tv3tau33;

  t20707 = t4844 * t642 * t674;
  t20710 = t617 * t3415;
  t20711 = t616 * t20710;
  t20712 = t191 * t20711;
  t20715 = t4838 * t3254;
  t20720 = t1220 * t3280;
  t20723 = t3284 * t814;
  t20727 = t625 * t625;
  t20728 = 0.1e1 / t20727;
  t20729 = t3398 * t20728;
  t20730 = t20729 * t4843;
  t20732 = t20730 * t642 * t668;
  t20741 = 0.6e1 * t3530 * t3182 - 0.6e1 * t768 * t3187 + 0.6e1 * t3537 * t3182 - 0.6e1 * t757 * t3187 - 0.6e1 * t3515 * t20707 + 0.6e1 * t20712 * t4917 + 0.28e2 / 0.3e1 * t3515 * t20715 + 0.4e1 * t3526 * t3255 - 0.2e1 * t622 * t20720 - 0.3e1 * t644 * t20723 * t649 + 0.9e1 * t3515 * t20732 - 0.6e1 * t3530 * t3166 + 0.6e1 * t768 * t3190 - 0.6e1 * t3537 * t3166;
  t20743 = t3171 * t633 * t3244;
  t20748 = t3171 * t628 * t3244;
  t20752 = t20729 * t4837;
  t20753 = t20752 * t3251;
  t20764 = t3647 * t3272;
  t20774 = t593 * t3152;
  t20776 = t593 * t3158;
  t20778 = t3637 * t736;
  t20782 = 0.2e1 * t644 * t3179 * t20743 - 0.2e1 * t246 * t3179 * t20748 - 0.14e2 * t3515 * t20753 - 0.14e2 / 0.3e1 * t3522 * t3173 + 0.28e2 / 0.3e1 * t3522 * t3252 + t609 * t3269 / 0.4e1 + t765 * t3269 / 0.3e1 + t20764 / 0.3e1 - 0.9e1 / 0.2e1 * t246 * t247 * t3653 * t730 + 0.6e1 * t246 * t674 * t3420 * t3643 - 0.2e1 * t20774 + 0.4e1 / 0.3e1 * t20776 + 0.2e1 * t20778 - t609 * t3305 / 0.2e1;
  t20784 = t3650 * t676;
  t20792 = t3647 * t3308;
  t20794 = t771 * t3305;
  t20799 = t593 * t3247;
  t20810 = t3647 * t3255;
  t20816 = 0.2e1 / 0.3e1 * t20784 - 0.2e1 * t3655 * t676 + 0.9e1 * t246 * t247 * t620 * t3313 - t20792 / 0.3e1 - t20794 / 0.3e1 + t743 * t3305 - 0.12e2 * t20712 * t3324 - t20799 / 0.3e1 + 0.2e1 * t757 * t3162 + 0.2e1 * t768 * t3162 + t743 * t3143 - 0.3e1 * t191 * t194 * t620 * t3262 + 0.4e1 / 0.3e1 * t20810 - 0.3e1 * t246 * t3284 * t810 * t748;
  t20817 = t593 * t3286;
  t20818 = t624 * t20728;
  t20819 = t20818 * t1226;
  t20820 = t20819 * t3142;
  t20823 = t771 * t3269;
  t20828 = t3139 * t3279 * t3141;
  t20838 = t3172 * t3268;
  t20842 = t3250 * t244 * t3267;
  t20845 = t20752 * t669;
  t20848 = t20730 * t3251;
  t20855 = t20817 - 0.11e2 / 0.12e2 * t622 * t20820 + t20823 / 0.9e1 - t743 * t3269 / 0.2e1 - 0.2e1 / 0.3e1 * t211 * t20828 - t609 * t3143 / 0.2e1 - 0.2e1 / 0.3e1 * t765 * t3143 + 0.3e1 * t246 * t20723 * t654 + 0.2e1 / 0.3e1 * t622 * t20838 - 0.4e1 / 0.3e1 * t622 * t20842 + 0.11e2 / 0.3e1 * t3515 * t20845 - 0.23e2 / 0.6e1 * t3515 * t20848 - 0.2e1 * t3526 * t3176 + 0.4e1 * t3522 * t3176;
  t20865 = t20819 * t244 * t3141;
  t20871 = t3647 * t3252;
  t20876 = t3464 * t740;
  t20881 = t843 * t66;
  t20883 = t673 * t20881 * t674;
  t20886 = t660 * t20881 * t668;
  t20889 = t214 * t20728;
  t20890 = t20889 * t659;
  t20891 = t3140 * t667;
  t20894 = t20890 * t661 * t94 * t20891;
  t20897 = t771 * t3143;
  t20900 = t20889 * t221 * t20891;
  t20907 = -0.8e1 * t3522 * t3255 + 0.2e1 * t3526 * t3173 - 0.4e1 * t3526 * t3252 + 0.11e2 / 0.3e1 * t622 * t20865 + 0.3e1 / 0.2e1 * t246 * t3157 * t3246 - 0.4e1 / 0.3e1 * t20871 + 0.3e1 / 0.2e1 * t246 * t3215 * t3161 + 0.2e1 / 0.3e1 * t191 * t194 * t20876 * t1260 - t211 * t20883 + t211 * t20886 / 0.2e1 + t211 * t20894 / 0.2e1 - 0.2e1 / 0.9e1 * t20897 - 0.3e1 / 0.2e1 * t246 * t728 * t20900 - 0.3e1 * t246 * t3157 * t3161;
  t20908 = t593 * t3162;
  t20911 = t20818 * t628 * t3140;
  t20916 = t20818 * t633 * t3140;
  t20920 = t20818 * t1219;
  t20921 = t20920 * t3142;
  t20930 = t3464 * t619;
  t20932 = t191 * t616 * t20930;
  t20937 = t606 * t740;
  t20938 = t194 * t20937;
  t20942 = t771 * t3301;
  t20944 = t771 * t3281;
  t20946 = t3335 * t278;
  t20948 = 0.2e1 / 0.3e1 * t20908 + 0.11e2 / 0.2e1 * t246 * t3179 * t20911 - 0.11e2 / 0.2e1 * t644 * t3179 * t20916 - 0.11e2 / 0.6e1 * t622 * t20921 + 0.2e1 / 0.3e1 * t609 * t3301 - t3202 * t5032 - t609 * t3281 + t3560 * t670 / 0.4e1 - t20932 * t1300 / 0.3e1 - t3560 * t676 / 0.3e1 + 0.2e1 * t191 * t20938 * t5012 + t20942 / 0.3e1 - 0.2e1 / 0.3e1 * t20944 + 0.2e1 / 0.3e1 * t20946;
  t20950 = t3329 * t278;
  t20952 = t777 * t721;
  t20961 = t685 / t31 / t7689;
  t20964 = t79 * t272;
  t20965 = t685 * t685;
  t20969 = t20965 / t32 / t3056 / t41;
  t20972 = t80 * t713;
  t20975 = t86 * t3065;
  t20980 = t87 / t3064 / t76;
  t20983 = tau[0] * t3460;
  t20986 = t75 * t90;
  t20993 = t3056 * rho[0];
  t20995 = t3055 / t20993;
  t21002 = 0.136e6 / 0.27e2 * t714 * t20961 - 0.5e5 / 0.27e2 * t20964 * t20969 + 0.2e6 / 0.9e1 * t20972 * t20969 + 0.875e6 / 0.27e2 * t20975 * t20969 + 0.35e6 / 0.27e2 * t20980 * t20969 - 0.616e4 / 0.81e2 * t20983 * t77 - 0.5e5 / 0.9e1 * t20986 * t20969 + 0.68e6 / 0.81e2 * t707 * t20961 - 0.308e5 / 0.81e2 * t268 * t20983 - 0.4e5 / 0.3e1 * t3054 * t20995 - 0.1e6 / 0.3e1 * t3061 * t20995 - 0.14e6 / 0.9e1 * t3066 * t20995;
  t21027 = 0.68e5 / 0.9e1 * t3072 * t20995 + 0.104e6 / 0.9e1 * t3075 * t20995 - 0.308e5 / 0.81e2 * t273 * t20983 - 0.136e6 / 0.81e2 * t692 * t20961 - 0.616e4 / 0.81e2 * t258 * t20983 - 0.544e5 / 0.9e1 * t697 * t20961 + 0.1232e5 / 0.27e2 * t261 * t20983 - 0.544e5 / 0.81e2 * t702 * t20961 + 0.1232e5 / 0.27e2 * t265 * t20983 + 0.272e5 / 0.81e2 * t20961 * t257 - 0.25e5 / 0.27e2 * t20969 * t264 + 0.4e4 / 0.9e1 * t20995 * t83;
  t21033 = t781 * t679;
  t21035 = t777 * t679;
  t21037 = t3341 * t278;
  t21047 = -0.1e2 / 0.27e2 * t20950 + t20952 / 0.3e1 - t30 * t238 * t3107 - 0.3e1 / 0.2e1 * t800 * t721 - t182 * t3108 - t30 * t65 * t253 * (t21002 + t21027) / 0.4e1 - 0.2e1 * t21033 + 0.2e1 / 0.3e1 * t21035 - t21037 - 0.3e1 * t182 * t3046 - 0.6e1 * t757 * t3152 - 0.6e1 * t768 * t3152 + 0.4e1 * t757 * t3158 - t3590 * t676;
  t21057 = t20730 * t669;
  t21060 = t4844 * t675;
  t21063 = t3250 * t3300;
  t21065 = t1227 * t3280;
  t21067 = t617 * t3396;
  t21068 = t3512 * t21067;
  t21069 = t191 * t21068;
  t21070 = t4844 * t3261;
  t21075 = t674 * t3394;
  t21079 = t3658 * t3513;
  t21081 = t20729 * t3447 * t667;
  t21085 = 0.4e1 * t768 * t3158 + t3585 * t670 / 0.2e1 - t3585 * t676 - 0.3e1 * t3605 * t731 + 0.6e1 * t3605 * t736 + 0.5e1 / 0.6e1 * t3515 * t21057 - 0.5e1 / 0.9e1 * t3515 * t21060 + t622 * t21063 - t622 * t21065 - 0.5e1 / 0.6e1 * t21069 * t21070 + t3526 * t3272 - t3526 * t3308 - 0.12e2 * t644 * t21075 * t3685 - 0.9e1 * t3680 * t21079 * t21081;
  t21092 = t593 * t3187;
  t21094 = t593 * t3190;
  t21096 = t3548 * t3182;
  t21098 = t3548 * t3166;
  t21100 = t3647 * t3173;
  t21102 = t3647 * t3176;
  t21105 = t660 * t3279 * t3267;
  t21108 = t4838 * t3323;
  t21112 = t4844 * t642 * t3260;
  t21115 = t4838 * t3261;
  t21118 = t674 * t3413;
  t21125 = t645 * t3520;
  t21129 = 0.6e1 * t3680 * t21075 * t3681 - 0.2e1 * t21092 + 0.2e1 * t21094 + 0.2e1 * t21096 - 0.2e1 * t21098 + 0.2e1 / 0.3e1 * t21100 - 0.2e1 / 0.3e1 * t21102 + t211 * t21105 / 0.3e1 + 0.14e2 * t21069 * t21108 - 0.9e1 * t21069 * t21112 - 0.11e2 / 0.3e1 * t21069 * t21115 - 0.12e2 * t246 * t21118 * t3508 + 0.12e2 * t644 * t21118 * t3504 + 0.14e2 * t246 * t21125 * t3186;
  t21141 = t764 * t3201;
  t21148 = t645 * t20930;
  t21155 = t592 * t3201;
  t21156 = t21155 * t1223;
  t21158 = t21155 * t1229;
  t21164 = -0.14e2 * t644 * t21125 * t3181 + 0.4e1 * t3202 * t4946 - 0.2e1 / 0.3e1 * t20932 * t1223 + 0.4e1 / 0.3e1 * t20932 * t1229 - 0.2e1 * t3202 * t4929 - 0.2e1 * t21141 * t1223 - 0.6e1 * t3530 * t3195 + 0.6e1 * t768 * t3198 - 0.2e1 * t644 * t21148 * t1234 + 0.2e1 * t246 * t21148 * t1239 - 0.2e1 / 0.3e1 * t21156 + 0.4e1 / 0.3e1 * t21158 - 0.6e1 * t3537 * t3195 + 0.6e1 * t757 * t3198;
  t21166 = t3548 * t3195;
  t21168 = t593 * t3198;
  t21170 = t771 * t3553;
  t21172 = t592 * t3609;
  t21173 = t21172 * t250;
  t21174 = t222 * t3500;
  t21179 = t191 * t242 * t3498 * t243;
  t21181 = t193 * t69;
  t21182 = t28 * t21181;
  t21183 = t617 * t617;
  t21184 = t618 * t618;
  t21185 = 0.1e1 / t21184;
  t21188 = t191 * t21182 * t21183 * t21185;
  t21189 = t623 * t623;
  t21190 = 0.1e1 / t21189;
  t21191 = t21190 * t20728;
  t21192 = t633 * t628;
  t21193 = t21191 * t21192;
  t21194 = t21193 * t3672;
  t21197 = t633 * t633;
  t21198 = t21191 * t21197;
  t21199 = t21198 * t9872;
  t21203 = 0.1e1 / t3676 / t57;
  t21206 = t191 * t242 * t64 * t21203;
  t21207 = t94 * t21181;
  t21208 = t21207 * t21183;
  t21209 = t21185 * t21190;
  t21210 = t20728 * t21197;
  t21211 = t21209 * t21210;
  t21215 = t20728 * t21192;
  t21216 = t21209 * t21215;
  t21220 = t20728 * t3447;
  t21221 = t21209 * t21220;
  t21225 = t20728 * t3401;
  t21226 = t21209 * t21225;
  t21231 = t21191 * t3401 * t96;
  t21234 = t592 * t3521;
  t21235 = t21234 * t630;
  t21237 = -0.2e1 * t21166 + 0.2e1 * t21168 - t21170 / 0.3e1 + t21173 - t211 * t21174 / 0.3e1 + t21179 * t250 - 0.62e2 / 0.3e1 * t21188 * t21194 + 0.8e1 * t21188 * t21199 - 0.6e1 * t21206 * t21208 * t21211 + 0.18e2 * t3680 * t21208 * t21216 - 0.18e2 * t644 * t21208 * t21221 + 0.6e1 * t246 * t21208 * t21226 - 0.2e1 * t21188 * t21231 + 0.4e1 / 0.3e1 * t21235;
  t21240 = t191 * t616 * t21183 * t3396;
  t21244 = t764 * t3609;
  t21247 = t3334 * t27;
  t21249 = t21247 * t210 * t223;
  t21251 = t21247 * t245;
  t21252 = t21251 * t250;
  t21254 = t3624 * t612;
  t21256 = t3620 * t756;
  t21257 = t21256 * t250;
  t21259 = t3340 * t27;
  t21261 = t21259 * t210 * t223;
  t21263 = t3369 * t27;
  t21267 = t21263 * t245;
  t21270 = t3567 * t756;
  t21273 = t3567 * t621;
  t21277 = -0.6e1 * t21240 * t630 - t765 * t3553 + 0.3e1 * t21244 * t250 + 0.2e1 / 0.9e1 * t21249 - 0.2e1 / 0.3e1 * t21252 + 0.2e1 / 0.9e1 * t21254 - 0.2e1 / 0.3e1 * t21257 - t21261 / 0.3e1 - t21263 * t210 * t223 / 0.3e1 + t21267 * t250 - t3585 * t612 + 0.3e1 * t21270 * t250 + 0.2e1 * t21273 * t637 - t3590 * t612;
  t21280 = t3647 * t3599;
  t21290 = 0.1e1 / t32 / t3080;
  t21294 = my_piecewise3(t49, t195, 0.308e4 / 0.243e3 * lapl[0] * t3460 - 0.1232e5 / 0.243e3 * t37 * t3460 + 0.5236e4 / 0.243e3 * t40 * t21290);
  t21302 = t634 * t845;
  t21305 = t3571 * t612;
  t21307 = t21259 * t245;
  t21308 = t21307 * t250;
  t21309 = t3628 * t612;
  t21311 = t3627 * t756;
  t21312 = t21311 * t250;
  t21318 = t3631 * t761;
  t21319 = t3637 * t761;
  t21321 = t3620 * t608 * t223;
  t21323 = -t21280 / 0.3e1 - t764 * t3559 * t223 / 0.3e1 - t191 * t194 * t21294 * t208 * t223 / 0.12e2 - t3560 * t612 / 0.3e1 - t622 * t21302 / 0.2e1 - t21305 / 0.3e1 + t21308 - 0.2e1 / 0.3e1 * t21309 + 0.2e1 * t21312 - t609 * t3553 / 0.2e1 - 0.8e1 * t3522 * t3577 + t21318 + t21319 + t21321 / 0.9e1;
  t21328 = t3650 * t612;
  t21331 = t592 * t3559 * t223;
  t21343 = t3415 * t214;
  t21344 = t21343 * t229;
  t21348 = t606 * t606;
  t21353 = t593 * t3644;
  t21357 = t191 * t616 * t21348 * t619;
  t21361 = -0.3e1 * t3568 * t749 + 0.2e1 * t3613 * t612 + 0.2e1 / 0.3e1 * t21328 - t21331 / 0.9e1 + t743 * t3553 - t3526 * t3599 + 0.3e1 / 0.2e1 * t3568 * t761 - 0.3e1 / 0.2e1 * t30 * t844 * t720 - 0.3e1 * t182 * t3049 - 0.6e1 * t246 * t247 * t21183 * t21344 - 0.3e1 / 0.2e1 * t246 * t247 * t21348 * t748 + 0.2e1 * t21353 - t21357 * t752 / 0.4e1 + t21357 * t637;
  t21364 = t3620 * t742 * t223;
  t21366 = t3621 * t749;
  t21368 = t21234 * t752;
  t21381 = t592 * t20938 * t1260;
  t21383 = t3571 * t670;
  t21385 = t21155 * t1300;
  t21387 = t3571 * t676;
  t21392 = -0.2e1 / 0.9e1 * t21364 + 0.2e1 / 0.3e1 * t21366 + 0.2e1 / 0.3e1 * t21368 - 0.3e1 * t21240 * t752 - 0.6e1 * t757 * t3314 - 0.2e1 * t757 * t3216 + 0.3e1 * t757 * t3291 + 0.3e1 * t3568 * t736 + 0.2e1 / 0.3e1 * t21381 + 0.2e1 / 0.9e1 * t21383 - t21385 / 0.3e1 - t21387 / 0.3e1 + t765 * t3301 - 0.2e1 * t765 * t3281;
  t21395 = t3637 * t655;
  t21397 = t3548 * t3505;
  t21399 = t593 * t3509;
  t21401 = t645 * t21183;
  t21402 = t3396 * t624;
  t21403 = t21402 * t648;
  t21407 = t21402 * t653;
  t21411 = t592 * t3514;
  t21412 = t21411 * t3517;
  t21414 = t21411 * t3545;
  t21416 = t3627 * t643;
  t21417 = t21416 * t650;
  t21419 = t3631 * t655;
  t21421 = t592 * t3536;
  t21422 = t21421 * t650;
  t21427 = t3658 * t21067;
  t21428 = t3474 * t4935;
  t21432 = -0.3e1 / 0.2e1 * t3568 * t731 + 0.2e1 * t21395 + 0.4e1 * t21397 - 0.4e1 * t21399 - 0.18e2 * t644 * t21401 * t21403 + 0.18e2 * t246 * t21401 * t21407 - 0.22e2 / 0.27e2 * t21412 + 0.23e2 / 0.27e2 * t21414 - 0.2e1 * t21417 + 0.2e1 * t21419 - 0.2e1 * t21422 - t768 * t3247 + 0.3e1 / 0.2e1 * t3655 * t670 + 0.9e1 * t246 * t21427 * t21428;
  t21437 = t20729 * t3180;
  t21458 = t3227 * t3393;
  t21461 = t57 * t69;
  t21462 = t21461 * t3393;
  t21472 = t3381 * t619;
  t21483 = 0.2e1 * t232 * t3246 + 0.12e2 * t807 * t740 * t1246 + 0.4e1 * t831 * t730 - 0.8e1 * t834 * t730 - 0.4e1 * t232 * t3161 + 0.12e2 * t662 * t3393 * t3643 - 0.8e1 * t21458 * t3504 + 0.16e2 / 0.9e1 * t21462 * t3681 + 0.2e1 * t8813 * t4936 - 0.2e1 * t826 * t3181 + 0.2e1 * t662 * t3464 * t249 - 0.12e2 * t21472 * t1239 + 0.12e2 * t21462 * t3660 + 0.12e2 * t826 * t3186 - 0.24e2 * t21458 * t3508 + 0.32e2 / 0.3e1 * t21462 * t3685;
  t21487 = t3227 * t620;
  t21490 = t3227 * t3193;
  t21521 = 0.8e1 * t662 * t741 * t730 - 0.4e1 * t21487 * t3181 + 0.12e2 * t21490 * t1239 + 0.4e1 * t3231 * t3161 - 0.2e1 * t3231 * t3246 - 0.12e2 * t662 * t20937 * t1246 - 0.4e1 * t662 * t607 * t730 + 0.4e1 * t21490 * t1234 - 0.12e2 * t21487 * t3186 + 0.4e1 / 0.3e1 * t3473 * t3516 - 0.12e2 * t3494 * t222 - 0.2e1 * t3479 * t222 + 0.2e2 / 0.9e1 * t3473 * t3544 - 0.4e1 * t3486 * t634 + 0.24e2 * t3486 * t629 - 0.12e2 * t3473 * t3664;
  t21522 = t21483 + t21521;
  t21524 = t658 * t221 * t21522;
  t21530 = t3474 * t3401 * t606;
  t21535 = t20729 * t3401 * t667;
  t21540 = t3474 * t3447 * t606;
  t21547 = t4831 * t3261;
  t21550 = t20729 * t1226;
  t21551 = t21550 * t669;
  t21554 = t4831 * t675;
  t21557 = t3647 * t3540;
  t21559 = t3647 * t3577;
  t21563 = -0.9e1 * t246 * t21079 * t21437 - 0.3e1 / 0.4e1 * t246 * t3215 * t3246 - t246 * t728 * t21524 / 0.4e1 - t757 * t3247 - 0.18e2 * t644 * t21427 * t21530 + 0.18e2 * t644 * t21079 * t21535 + 0.9e1 * t3680 * t21427 * t21540 + 0.6e1 * t246 * t21075 * t3660 - 0.3e1 * t21069 * t21547 + 0.3e1 * t3515 * t21551 - 0.2e1 * t3515 * t21554 - 0.2e1 / 0.3e1 * t21557 + 0.4e1 / 0.3e1 * t21559 + 0.12e2 * t21240 * t637;
  t21564 = t21234 * t637;
  t21566 = t645 * t21348;
  t21575 = t3621 * t761;
  t21577 = t3620 * t621;
  t21578 = t21577 * t637;
  t21580 = t21577 * t752;
  t21582 = t3328 * t27;
  t21584 = t21582 * t210 * t223;
  t21586 = t3375 * t4761;
  t21593 = t819 * t238;
  t21594 = t21593 * t3132;
  t21596 = t3244 * t667;
  t21598 = t8642 * t95 * t21596;
  t21601 = t30 * t3385;
  t21604 = t30 * t808;
  t21607 = -0.8e1 / 0.3e1 * t21564 + 0.3e1 / 0.2e1 * t246 * t21566 * t654 - 0.3e1 / 0.2e1 * t644 * t21566 * t649 - t21357 * t630 / 0.2e1 - t21575 / 0.3e1 - 0.4e1 / 0.9e1 * t21578 + t21580 / 0.9e1 - 0.1e2 / 0.81e2 * t21584 + 0.7e1 * t4738 * t3382 * t21586 - 0.7e1 * t4779 * t3382 * t4780 + t3129 * t21594 - t3129 * t21598 / 0.2e1 - 0.3e1 / 0.2e1 * t21601 * t4793 + 0.2e1 / 0.3e1 * t21604 * t3133;
  t21609 = t182 * t228;
  t21611 = t3430 * t21596;
  t21617 = t182 * t3122;
  t21621 = t30 * t238 * t3121;
  t21624 = t30 * t815;
  t21626 = t4760 * t3121 * t3131;
  t21633 = t719 * t193;
  t21640 = t3130 * t253 * t276 * t3244;
  t21643 = t21191 * t3447;
  t21644 = t21643 * t96;
  t21653 = t592 * t3654 * t223;
  t21655 = t188 * t3122;
  t21656 = t21655 * t3126;
  t21657 = t4749 * t620;
  t21661 = t21609 * t3133 + 0.3e1 / 0.2e1 * t4779 * t228 * t21611 - t3123 * t3125 * t3246 - 0.3e1 * t21617 * t3126 - 0.3e1 * t21621 * t3126 - 0.4e1 * t21624 * t21626 - 0.2e1 * t3123 * t3124 * t607 * t730 - 0.3e1 / 0.2e1 * t3123 * t21633 * t209 * t730 + t3129 * t21640 / 0.3e1 - 0.38e2 / 0.9e1 * t21188 * t21644 + t191 * t194 * t21348 * t740 * t223 / 0.2e1 - 0.2e1 / 0.3e1 * t21653 - t21656 + 0.6e1 * t4748 * t21657 * t3181;
  t21662 = t4770 * t3132;
  t21674 = t3516 * t3576;
  t21677 = t238 * t3671;
  t21678 = t3544 * t21677;
  t21685 = t3567 * t643;
  t21688 = t629 * t845;
  t21691 = t634 * t844 * t635;
  t21698 = 0.2e1 * t21624 * t21662 - 0.6e1 * t3123 * t21657 * t3186 - 0.12e2 * t768 * t3509 + 0.12e2 * t3537 * t3505 + 0.3e1 * t3568 * t655 + 0.28e2 / 0.3e1 * t3515 * t21674 - 0.6e1 * t3515 * t21678 - 0.2e1 * t3526 * t3540 + 0.4e1 * t3526 * t3577 - 0.3e1 * t21685 * t650 - t622 * t21688 + 0.2e1 * t622 * t21691 + 0.3e1 * t3605 * t761 + 0.3e1 / 0.2e1 * t3610 * t761;
  t21706 = t764 * t3679;
  t21711 = t191 * t242 * t237 * t3677;
  t21716 = t21411 * t3665;
  t21719 = 0.1e1 / t618 / t739;
  t21722 = t191 * t3512 * t21183 * t21719;
  t21725 = t21411 * t3668;
  t21727 = t593 * t3661;
  t21729 = t3658 * t21183;
  t21730 = t21719 * t3398;
  t21731 = t21730 * t3375;
  t21744 = t3544 * t3576;
  t21747 = 0.2e1 * t191 * t194 * t21183 * t3415 * t223 + 0.6e1 * t21706 * t3682 + 0.6e1 * t21711 * t3682 - 0.12e2 * t3530 * t3686 - 0.2e1 / 0.3e1 * t21716 + 0.6e1 * t21722 * t3665 + 0.28e2 / 0.9e1 * t21725 + 0.2e1 * t21727 - 0.18e2 * t246 * t21729 * t21731 + t768 * t3582 + t246 * t247 * t21294 * t249 / 0.4e1 - t3567 * t608 * t223 / 0.2e1 + t757 * t3582 + 0.23e2 / 0.9e1 * t3515 * t21744;
  t21749 = t3627 * t608 * t223;
  t21751 = t21582 * t245;
  t21752 = t21751 * t250;
  t21754 = t3544 * t239;
  t21757 = t21198 * t96;
  t21760 = t764 * t3514;
  t21763 = t764 * t3521;
  t21772 = t21730 * t3448;
  t21776 = t3548 * t3686;
  t21778 = t21730 * t3402;
  t21784 = t592 * t3679;
  t21785 = t21784 * t3682;
  t21787 = -t21749 / 0.3e1 + 0.1e2 / 0.27e2 * t21752 - 0.5e1 / 0.9e1 * t3515 * t21754 - 0.35e2 / 0.108e3 * t21188 * t21757 - 0.5e1 / 0.9e1 * t21760 * t3602 - 0.8e1 * t21763 * t637 - 0.3e1 * t3610 * t749 - t21273 * t752 / 0.2e1 - 0.6e1 * t3605 * t749 - 0.18e2 * t3680 * t21729 * t21772 - 0.4e1 * t21776 + 0.36e2 * t644 * t21729 * t21778 + 0.18e2 * t21722 * t3673 + 0.2e1 * t21785;
  t21791 = t21411 * t3673;
  t21814 = t764 * t3318;
  t21820 = t3250 * t755 * t668;
  t21824 = t1227 * t755 * t674;
  t21827 = -0.28e2 * t21722 * t3668 - 0.2e1 * t21791 + 0.2e1 * t764 * t20938 * t1260 + 0.2e1 / 0.3e1 * t3590 * t670 - t21141 * t1300 - 0.2e1 * t246 * t247 * t20876 * t1246 - 0.3e1 / 0.4e1 * t246 * t247 * t3558 * t730 + t246 * t674 * t3465 * t249 - 0.6e1 * t768 * t3314 - 0.2e1 * t768 * t3216 + 0.4e1 * t21814 * t3324 + 0.3e1 * t768 * t3291 - 0.4e1 * t622 * t21820 + 0.4e1 * t622 * t21824;
  t21828 = t3624 * t670;
  t21830 = params->at * t3106;
  t21832 = t673 * t661 * t21830;
  t21839 = t673 * t3279 * t3284;
  t21854 = t21643 * t636;
  t21859 = t3664 * t239;
  t21862 = -t21828 / 0.9e1 - t211 * t21832 / 0.3e1 + t246 * t21830 * t226 * t249 - t211 * t21839 + 0.3e1 * t757 * t3286 - t765 * t3305 + 0.3e1 * t768 * t3286 - 0.7e1 / 0.3e1 * t3522 * t3272 + 0.2e1 * t3522 * t3308 + 0.6e1 * t768 * t3661 + 0.6e1 * t757 * t3661 + 0.47e2 / 0.3e1 * t21188 * t21854 - 0.2e1 * t21760 * t3665 - 0.2e1 * t3515 * t21859;
  t21870 = t21193 * t636;
  t21875 = t21198 * t3672;
  t21878 = t30 * t4740;
  t21879 = t606 * t667;
  t21881 = t4760 * t635 * t21879;
  t21884 = t276 * t606;
  t21886 = t4765 * t3121 * t21884;
  t21889 = t3172 * t3300;
  t21892 = t4838 * t675;
  t21895 = t4844 * t3254;
  t21898 = t645 * t20710;
  t21905 = t1220 * t3304;
  t21908 = t1227 * t244 * t3284;
  t21911 = -0.12e2 * t3537 * t3686 + 0.28e2 / 0.3e1 * t21760 * t3668 + 0.89e2 / 0.9e1 * t21188 * t21870 - 0.6e1 * t21760 * t3673 - 0.43e2 / 0.9e1 * t21188 * t21875 - 0.14e2 / 0.3e1 * t21878 * t21881 + 0.4e1 * t21878 * t21886 + 0.2e1 * t622 * t21889 - 0.22e2 / 0.9e1 * t3515 * t21892 + 0.23e2 / 0.9e1 * t3515 * t21895 + 0.18e2 * t644 * t21898 * t4936 - 0.18e2 * t246 * t21898 * t4960 - t622 * t21905 + 0.2e1 * t622 * t21908;
  t21916 = t188 * t3049;
  t21917 = t781 * t721;
  t21918 = t188 * t3108;
  t21920 = t188 * t3500;
  t21922 = t30 * t3382;
  t21927 = t3627 * t621;
  t21928 = t21927 * t752;
  t21932 = t3637 * t749;
  t21936 = t3631 * t749;
  t21940 = 0.3e1 * t3610 * t736 - 0.3e1 / 0.2e1 * t3610 * t731 - t21916 - t21917 - t21918 / 0.3e1 - t21920 / 0.3e1 + 0.7e1 / 0.3e1 * t21922 * t4772 - 0.2e1 * t21922 * t4757 - t21928 / 0.3e1 + 0.2e1 * t21763 * t752 - 0.2e1 * t21932 + 0.6e1 * t757 * t3644 - 0.2e1 * t21936 + 0.6e1 * t768 * t3644;
  t21944 = t593 * t3582;
  t21946 = t3650 * t670;
  t21950 = t660 * t661 * t94 * t21522;
  t21953 = t3250 * t3268;
  t21962 = t180 * t3327 * t29 * t96;
  t21964 = t3329 * t239;
  t21967 = 0.1e1 / t185 / t789;
  t21971 = 0.2e2 / 0.81e2 * t22 * t21967 * t29 * t96;
  t21977 = t3627 * t742 * t223;
  t21982 = t21411 * t3602;
  t21984 = t3567 * t742 * t223 + t21944 / 0.3e1 - 0.4e1 / 0.9e1 * t21946 + t211 * t21950 / 0.12e2 + t622 * t21953 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t3284 * t807 * t249 - 0.1e2 / 0.27e2 * t21962 - 0.1e2 / 0.27e2 * t21964 + t21971 - t30 * t3499 * t277 - 0.2e1 * t3655 * t612 + 0.2e1 / 0.3e1 * t21977 - 0.2e1 * t764 * t3654 * t223 - 0.5e1 / 0.27e2 * t21982;
  t21989 = t3624 * t676;
  t21991 = t3621 * t736;
  t22005 = t615 * t21348;
  t22006 = t22005 * t619;
  t22011 = t21181 * t21183;
  t22012 = t22011 * t21185;
  t22013 = t21192 * t60;
  t22014 = t21191 * t22013;
  t22017 = t193 * t21294;
  t22021 = t69 * t21183;
  t22022 = t22021 * t21719;
  t22025 = t615 * t21183;
  t22026 = t22025 * t3396;
  t22031 = t193 * t21183;
  t22035 = t193 * t21348;
  t22047 = t819 * t63 * t21522;
  t22051 = t20728 * t628;
  t22052 = t22051 * t3431;
  t22055 = t20728 * t221;
  t22057 = t22055 * t63 * t20891;
  t22062 = t3381 * t3416;
  t22065 = t807 * t3421;
  t22070 = t20728 * t633;
  t22071 = t22070 * t3431;
  t22074 = -0.9e1 * t3385 * t5198 - 0.3e1 * t808 * t3379 - t228 * t22047 - 0.12e2 * t811 * t3432 + 0.22e2 * t815 * t22052 - 0.6e1 * t228 * t22057 + 0.6e1 * t808 * t3432 - 0.72e2 * t22062 * t5184 + 0.36e2 * t22065 * t5232 - 0.28e2 / 0.3e1 * t3417 * t3376 - 0.11e2 / 0.3e1 * t815 * t22071;
  t22078 = t21225 * t820;
  t22081 = t3409 * t3378;
  t22086 = t69 * t617;
  t22087 = t22086 * t3399;
  t22088 = t3375 * t5194;
  t22091 = t22070 * t820;
  t22094 = t3465 * t747;
  t22100 = t615 * t3464 * t647;
  t22103 = t3402 * t5194;
  t22106 = t3448 * t5194;
  t22109 = 0.14e2 * t3382 * t5223 + 0.4e1 * t3400 * t22078 - 0.8e1 * t815 * t22081 + 0.56e2 * t3417 * t3427 + 0.36e2 * t22087 * t22088 - 0.36e2 * t3400 * t22091 - 0.8e1 * t22094 * t1317 - 0.3e1 * t3466 * t821 - 0.4e1 / 0.3e1 * t22100 * t1322 - 0.4e1 * t22087 * t22103 - 0.2e1 / 0.3e1 * t22087 * t22106;
  t22112 = t814 * t3416;
  t22127 = t62 * t667 * t606;
  t22128 = t827 * t22127;
  t22132 = t3430 * t836 * t3244;
  t22135 = t3375 * t3378;
  t22138 = t21220 * t820;
  t22143 = -0.28e2 / 0.3e1 * t3382 * t5191 + 0.12e2 * t22112 * t5213 + 0.8e1 * t22100 * t1326 - 0.18e2 * t3422 * t821 + 0.18e2 * t807 * t5169 * t5171 - 0.28e2 * t3381 * t5163 * t5174 + 0.14e2 / 0.3e1 * t4739 * t5163 * t22128 - 0.3e1 * t228 * t22132 + 0.4e1 / 0.3e1 * t815 * t22135 + 0.2e1 / 0.3e1 * t3400 * t22138 + 0.36e2 * t22022 * t3491;
  t22146 = t21191 * t3475;
  t22151 = t21191 * t3482;
  t22157 = t233 * t62 * t3244 * t667;
  t22165 = t22055 * t60 * t20891;
  t22172 = t21220 * t836;
  t22177 = -0.12e2 * t22012 * t22146 - 0.36e2 * t22026 * t841 + 0.5e2 / 0.3e1 * t22012 * t22151 + 0.6e1 * t226 * t8899 * t22157 - 0.3e1 * t811 * t3436 + 0.6e1 * t811 * t3471 + 0.3e1 * t228 * t22165 - 0.4e1 * t22100 * t1340 - 0.18e2 * t22065 * t5258 - t3400 * t22172 / 0.3e1 - 0.3e1 * t808 * t3471;
  t22178 = t22070 * t3470;
  t22182 = t819 * t60 * t21522;
  t22185 = t3375 * t3435;
  t22190 = t22011 * t21209;
  t22191 = t21210 * t63;
  t22204 = t3402 * t5244;
  t22207 = 0.22e2 / 0.3e1 * t815 * t22178 + t228 * t22182 / 0.2e1 - 0.8e1 / 0.3e1 * t815 * t22185 + 0.3e1 / 0.2e1 * t808 * t3436 - t22190 * t22191 / 0.9e1 + 0.9e1 * t3422 * t837 + 0.4e1 * t22094 * t1336 - 0.24e2 * t22062 * t5252 + 0.3e1 / 0.2e1 * t3466 * t837 + t22017 * t227 * t230 + 0.2e2 * t22087 * t22204;
  t22211 = t3448 * t5244;
  t22216 = t22021 * t21730;
  t22219 = t21225 * t836;
  t22222 = t22051 * t3470;
  t22225 = t3409 * t3435;
  t22233 = t22025 * t21402;
  t22239 = 0.8e1 / 0.3e1 * t22100 * t1330 + t22087 * t22211 / 0.3e1 + 0.56e2 / 0.3e1 * t3417 * t3452 + 0.4e1 / 0.3e1 * t22216 * t3449 - 0.2e2 * t3400 * t22219 - 0.11e2 * t815 * t22222 + 0.4e1 * t815 * t22225 + 0.36e2 * t22062 * t5239 - 0.24e2 * t22031 * t21343 * t230 + 0.72e2 * t22233 * t823 - 0.6e1 * t22035 * t747 * t230;
  t22242 = t22005 * t647;
  t22251 = t21220 * t63;
  t22254 = t21225 * t63;
  t22257 = t22070 * t836;
  t22264 = t21215 * t63;
  t22268 = -0.72e2 * t22216 * t3406 + 0.6e1 * t22242 * t823 - 0.12e2 * t22233 * t816 - 0.18e2 * t69 * t606 * t3399 * t5236 + 0.8e1 / 0.3e1 * t22190 * t22251 + 0.24e2 * t22190 * t22254 + 0.18e2 * t3400 * t22257 - 0.28e2 * t3417 * t3410 + 0.8e1 * t22216 * t3403 - 0.4e1 / 0.3e1 * t22190 * t22264 - t22242 * t816;
  t22278 = t8642 * t253 * t276 * t3140;
  t22281 = t188 * t228;
  t22282 = t22281 * t3133;
  t22287 = 0.5e1 / 0.3e1 * t21722 * t3602 + 0.2e1 * t3522 * t3599 + 0.2e1 / 0.9e1 * t21989 - 0.2e1 / 0.3e1 * t21991 + 0.2e1 * t743 * t3281 + 0.3e1 * t20712 * t3320 - 0.4e1 / 0.3e1 * t3613 * t670 + 0.2e1 * t3613 * t676 - 0.4e1 / 0.3e1 * t743 * t3301 + 0.6e1 * t757 * t3190 - t30 * t59 * (-0.3e1 * t22006 * t841 + 0.2e1 * t22006 * t828 + 0.1e2 / 0.3e1 * t22012 * t22014 - t22017 * t208 * t234 / 0.2e1 - 0.2e1 / 0.3e1 * t22022 * t3483 + 0.24e2 * t22026 * t828 - 0.4e2 * t22022 * t3476 + 0.12e2 * t22031 * t3415 * t234 + 0.3e1 * t22035 * t740 * t234 + 0.6e1 * t811 * t3379 + t22074 + t22109 + t22143 + t22177 + t22207 + t22239 + t22268) * t95 / 0.4e1 - 0.2e1 / 0.3e1 * t3129 * t22278 + t22282 / 0.3e1 + 0.2e1 * t3123 * t3125 * t3161;
  t22294 = t1227 * t3304;
  t22297 = t3637 * t731;
  t22298 = t593 * t3216;
  t22300 = t593 * t3291;
  t22301 = t3631 * t731;
  t22302 = t3631 * t736;
  t22304 = t593 * t3314;
  t22306 = t3628 * t670;
  t22308 = t3628 * t676;
  t22310 = t4844 * t3323;
  t22313 = t3621 * t731;
  t22316 = t781 * t845;
  t22317 = 0.4e1 * t3123 * t3124 * t741 * t730 - t622 * t22294 / 0.2e1 - t22297 - 0.2e1 / 0.3e1 * t22298 + t22300 - t22301 + 0.2e1 * t22302 - 0.2e1 * t22304 + t22306 / 0.3e1 - 0.2e1 / 0.3e1 * t22308 + 0.23e2 / 0.6e1 * t21069 * t22310 + t22313 / 0.3e1 - t182 * t3500 - t22316;
  t22320 = t798 * t775 * t29 * t96;
  t22322 = t3335 * t239;
  t22324 = t16 * t16;
  t22326 = 0.1e1 / t784 / t22324;
  t22327 = t786 * t786;
  t22333 = t794 * t794;
  t22339 = 0.1e1 / t3359 / t3;
  t22340 = t13 * t22339;
  t22343 = my_piecewise5(t7, 0, t11, 0, -0.24e2 * t3360 + 0.24e2 * t22340);
  t22347 = my_piecewise3(t17, 0, 0.4e2 / 0.81e2 * t22326 * t22327 - 0.16e2 / 0.9e1 * t3352 * t786 * t794 + 0.4e1 / 0.3e1 * t785 * t22333 + 0.16e2 / 0.9e1 * t3356 * t3364 + 0.4e1 / 0.3e1 * t20 * t22343);
  t22357 = t3368 * t186 * t29 * t96;
  t22359 = t777 * t845;
  t22361 = t3341 * t239;
  t22365 = t188 * t3046;
  t22366 = t4749 * t3193;
  t22373 = t21927 * t630;
  t22375 = t22320 / 0.3e1 + 0.2e1 / 0.3e1 * t22322 - t22347 * t23 * t29 * t96 / 0.4e1 - t3370 * t239 - 0.3e1 / 0.2e1 * t800 * t845 - t22357 / 0.3e1 + t22359 / 0.3e1 - t22361 - t3370 * t278 - 0.3e1 * t800 * t679 - t22365 - 0.6e1 * t4748 * t22366 * t1234 + 0.6e1 * t3123 * t22366 * t1239 - 0.2e1 / 0.3e1 * t22373;
  t22377 = t21927 * t637;
  t22385 = t3620 * t643;
  t22386 = t22385 * t650;
  t22388 = t3621 * t655;
  t22390 = t21577 * t630;
  t22396 = t191 * t242 * t843 * t641;
  t22399 = t226 * t747;
  t22401 = t253 * t21884;
  t22402 = t4796 * t22401;
  t22405 = t30 * t811;
  t22408 = t819 * t21879;
  t22416 = t4760 * t3132;
  t22418 = 0.4e1 / 0.3e1 * t22377 + 0.4e1 * t3522 * t3540 + 0.22e2 / 0.3e1 * t21722 * t3517 - 0.23e2 / 0.3e1 * t21722 * t3545 + 0.2e1 / 0.3e1 * t22386 - 0.2e1 / 0.3e1 * t22388 + 0.2e1 / 0.9e1 * t22390 + 0.6e1 * t3605 * t655 - 0.3e1 * t22396 * t650 + 0.2e1 * t30 * t22399 * t22402 - 0.4e1 / 0.3e1 * t22405 * t3133 + 0.9e1 / 0.2e1 * t4779 * t22399 * t22408 - 0.6e1 * t3123 * t3124 * t3257 * t3313 + t21624 * t22416;
  t22419 = t4765 * t22401;
  t22423 = t3130 * t253 * t719 * t667;
  t22426 = t95 * t21879;
  t22427 = t4760 * t22426;
  t22434 = t21193 * t96;
  t22437 = t21198 * t636;
  t22440 = t764 * t3536;
  t22449 = t3516 * t239;
  t22455 = -t21878 * t22419 + t3129 * t22423 / 0.2e1 + 0.7e1 / 0.6e1 * t21878 * t22427 + 0.3e1 * t3610 * t655 + 0.4e1 * t21763 * t630 - 0.61e2 / 0.27e2 * t21188 * t22434 + 0.44e2 / 0.27e2 * t21188 * t22437 - 0.6e1 * t22440 * t650 - 0.12e2 * t757 * t3509 - 0.22e2 / 0.9e1 * t21760 * t3517 + 0.23e2 / 0.9e1 * t21760 * t3545 - 0.22e2 / 0.9e1 * t3515 * t22449 - t21273 * t630 + 0.12e2 * t3530 * t3505;
  t22461 = my_piecewise3(t2, 0, t21787 + t21661 + t21827 + t21862 + t20855 + t21323 + t21164 + t22455 + t20948 + t20741 + t21984 + t21563 + t21432 + t21047 + t21911 + t20816 + t21085 + t20782 + t21237 + t21698 + t21607 + t22287 + t21940 + t20907 + t21392 + t22418 + t22317 + t21277 + t21747 + t22375 + t21129 + t21361);
  t22462 = t104 * t104;
  t22464 = 0.1e1 / t851 / t22462;
  t22465 = t853 * t853;
  t22471 = t859 * t859;
  t22476 = t101 * t22339;
  t22479 = my_piecewise5(t11, 0, t7, 0, 0.24e2 * t3360 + 0.24e2 * t22476);
  t22483 = my_piecewise3(t105, 0, 0.4e2 / 0.81e2 * t22464 * t22465 - 0.16e2 / 0.9e1 * t3701 * t853 * t859 + 0.4e1 / 0.3e1 * t852 * t22471 + 0.16e2 / 0.9e1 * t3705 * t3711 + 0.4e1 / 0.3e1 * t106 * t22479);
  t22490 = t3715 * t186 * t29 * t169;
  t22494 = t863 * t775 * t29 * t169;
  t22498 = t288 * t3327 * t29 * t169;
  t22503 = 0.2e2 / 0.81e2 * t108 * t21967 * t29 * t169;
  t22505 = my_piecewise3(t100, 0, -t22483 * t23 * t29 * t169 / 0.4e1 - t22490 / 0.3e1 + t22494 / 0.3e1 - 0.1e2 / 0.27e2 * t22498 + t22503);
  tv4rho40 = 0.4e1 * t3699 + 0.4e1 * t3733 + t3 * (t22461 + t22505);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t22517 = t307 * t228;
  t22520 = t307 * t3122;
  t22533 = t3807 * t3272 / 0.4e1 - t897 * t3201 * t1223 / 0.2e1 + 0.3e1 / 0.2e1 * t903 * t3198 + t22517 * t3133 / 0.4e1 - 0.3e1 / 0.4e1 * t22520 * t3126 + t20764 / 0.12e2 - t20774 / 0.2e1 + t20776 / 0.3e1 + t20778 / 0.2e1 + t20784 / 0.6e1 - t20792 / 0.12e2 - t20794 / 0.12e2 - t20799 / 0.12e2 + t20810 / 0.3e1 + t20817 / 0.4e1;
  t22540 = t894 * t721;
  t22542 = t894 * t679;
  t22548 = t3768 * t278;
  t22549 = t22548 / 0.6e1;
  t22556 = t3764 * t278;
  t22558 = t20823 / 0.36e2 - t20871 / 0.3e1 - t20897 / 0.18e2 + t20908 / 0.6e1 + t20942 / 0.12e2 - t20944 / 0.6e1 - t22540 / 0.4e1 - t22542 / 0.2e1 - 0.3e1 / 0.2e1 * t890 * t679 - 0.3e1 / 0.4e1 * t307 * t3046 + t22549 - 0.3e1 / 0.4e1 * t307 * t3049 - 0.3e1 / 0.4e1 * t890 * t721 - t307 * t3108 / 0.4e1 - t22556 / 0.2e1;
  t22562 = t897 * t3318;
  t22588 = -0.3e1 / 0.4e1 * t3788 * t278 - t22562 * t3320 / 0.4e1 + t897 * t3258 * t3262 / 0.2e1 + t903 * t3158 - 0.3e1 / 0.4e1 * t3825 * t731 - 0.3e1 / 0.4e1 * t3835 * t731 - t903 * t3216 / 0.2e1 - t903 * t3247 / 0.4e1 - t3830 * t676 / 0.2e1 - t3821 * t676 / 0.4e1 - t898 * t3281 / 0.2e1 - t898 * t3305 / 0.4e1 + t20946 / 0.3e1 - 0.5e1 / 0.18e2 * t20950 + t20952 / 0.6e1;
  t22615 = -t21033 / 0.2e1 + t21035 / 0.3e1 - t21037 / 0.4e1 - t3807 * t3308 / 0.4e1 - 0.3e1 / 0.2e1 * t903 * t3314 + 0.3e1 / 0.2e1 * t3825 * t736 + 0.3e1 / 0.2e1 * t3835 * t736 + 0.3e1 / 0.4e1 * t903 * t3286 + 0.3e1 / 0.4e1 * t903 * t3291 + t3807 * t3255 + t3830 * t670 / 0.4e1 + t3821 * t670 / 0.6e1 + t898 * t3301 / 0.4e1 + t898 * t3269 / 0.12e2 - t21092 / 0.2e1 + t21094 / 0.2e1;
  t22633 = t21096 / 0.2e1 - t21098 / 0.2e1 + t21100 / 0.6e1 - t21102 / 0.6e1 - t21156 / 0.6e1 + t21158 / 0.3e1 - t21166 / 0.2e1 + t21168 / 0.2e1 + t22562 * t3324 - t21170 / 0.12e2 + t21173 / 0.4e1 + t21235 / 0.3e1 + t21249 / 0.9e1 - t21252 / 0.3e1 + t21254 / 0.9e1;
  t22649 = -t21257 / 0.3e1 - t21261 / 0.12e2 - t21280 / 0.12e2 - t21305 / 0.12e2 + t21308 / 0.4e1 - t21309 / 0.6e1 + t21312 / 0.2e1 + t21318 / 0.4e1 + t21319 / 0.4e1 + t21321 / 0.18e2 + t21328 / 0.6e1 - t21331 / 0.36e2 + t21353 / 0.2e1 - t21364 / 0.9e1 + t21366 / 0.3e1;
  t22670 = t21368 / 0.6e1 + t21381 / 0.6e1 + t21383 / 0.18e2 - t21385 / 0.12e2 - t21387 / 0.12e2 + 0.3e1 / 0.2e1 * t3802 * t3182 - 0.3e1 / 0.2e1 * t903 * t3187 + 0.3e1 / 0.2e1 * t903 * t3190 + t3807 * t3173 / 0.2e1 - t3807 * t3252 - t3807 * t3176 / 0.2e1 - 0.3e1 / 0.2e1 * t3802 * t3166 + t21395 / 0.2e1 + t21397 - t21399;
  t22686 = t3818 * t731;
  t22691 = t3814 * t608 * t223;
  t22693 = -0.11e2 / 0.54e2 * t21412 + 0.23e2 / 0.108e3 * t21414 - t21417 / 0.2e1 + t21419 / 0.2e1 - t21422 / 0.2e1 - t897 * t3559 * t223 / 0.12e2 - t21557 / 0.6e1 + t21559 / 0.3e1 - 0.2e1 / 0.3e1 * t21564 - t21575 / 0.6e1 - 0.2e1 / 0.9e1 * t21578 + t21580 / 0.18e2 - 0.5e1 / 0.54e2 * t21584 - t22686 / 0.4e1 + t903 * t3162 / 0.2e1 - t22691 / 0.12e2;
  t22704 = t3824 * t621;
  t22707 = t897 * t3514;
  t22716 = t3814 * t621;
  t22717 = t22716 * t637;
  t22719 = t3814 * t643;
  t22720 = t22719 * t650;
  t22722 = t897 * t3521;
  t22731 = 0.3e1 / 0.4e1 * t3825 * t761 + t903 * t3582 / 0.4e1 - t3824 * t608 * t223 / 0.4e1 - t22704 * t752 / 0.4e1 - 0.5e1 / 0.36e2 * t22707 * t3602 + 0.3e1 / 0.4e1 * t3835 * t761 - t3821 * t612 / 0.4e1 - t3807 * t3599 / 0.4e1 + t22717 / 0.3e1 - t22720 / 0.2e1 + t22722 * t630 - t3807 * t3540 / 0.2e1 + t3807 * t3577 - 0.11e2 / 0.18e2 * t22707 * t3517 + 0.23e2 / 0.36e2 * t22707 * t3545;
  t22732 = t897 * t3536;
  t22741 = t3818 * t749;
  t22751 = t897 * t3679;
  t22754 = t3818 * t655;
  t22759 = t3824 * t643;
  t22764 = -0.3e1 / 0.2e1 * t22732 * t650 + 0.3e1 / 0.2e1 * t3835 * t655 + 0.3e1 * t3802 * t3505 - 0.3e1 * t903 * t3509 - t22741 / 0.2e1 - 0.3e1 * t3802 * t3686 + 0.3e1 / 0.2e1 * t903 * t3661 - t22707 * t3665 / 0.2e1 - 0.3e1 / 0.2e1 * t22707 * t3673 + 0.3e1 / 0.2e1 * t22751 * t3682 + t22754 / 0.2e1 - t22704 * t630 / 0.2e1 + t22704 * t637 - 0.3e1 / 0.2e1 * t22759 * t650 + 0.3e1 / 0.2e1 * t3825 * t655;
  t22766 = t22716 * t630;
  t22768 = t3815 * t676;
  t22772 = t3815 * t670;
  t22786 = -t22766 / 0.6e1 - t22768 / 0.6e1 + t3838 * t676 / 0.2e1 + t22772 / 0.12e2 - t3838 * t670 / 0.3e1 - t898 * t3143 / 0.6e1 - t21653 / 0.6e1 - t21656 / 0.4e1 - t21716 / 0.6e1 + 0.7e1 / 0.9e1 * t21725 + t21727 / 0.2e1 - t21749 / 0.12e2 + 0.5e1 / 0.18e2 * t21752 - t21776 + t21785 / 0.2e1;
  t22791 = t305 * t3327 * t29 * t96;
  t22795 = t894 * t845;
  t22797 = t3768 * t239;
  t22798 = t22797 / 0.6e1;
  t22815 = 0.12e2 * t3360;
  t22816 = 0.24e2 * t22340;
  t22818 = my_piecewise5(t7, 0, t11, 0, -t22815 + t22816);
  t22822 = my_piecewise3(t17, 0, 0.4e2 / 0.81e2 * t22326 * t302 * t3353 - 0.8e1 / 0.9e1 * t3352 * t884 * t786 - 0.8e1 / 0.9e1 * t3771 * t177 * t794 + 0.4e1 / 0.3e1 * t785 * t3782 * t177 + 0.4e1 / 0.3e1 * t3774 * t794 + 0.4e1 / 0.9e1 * t880 * t3364 + 0.4e1 / 0.3e1 * t20 * t22818);
  t22831 = t3786 * t186 * t29 * t96;
  t22833 = t3764 * t239;
  t22837 = t888 * t775 * t29 * t96;
  t22838 = t22837 / 0.6e1;
  t22841 = t3818 * t761;
  t22843 = t22716 * t752;
  t22850 = -t21791 / 0.2e1 - t21828 / 0.18e2 - 0.5e1 / 0.54e2 * t22791 - 0.3e1 / 0.4e1 * t890 * t845 - t22795 / 0.4e1 + t22798 - t22822 * t23 * t29 * t96 / 0.4e1 - 0.3e1 / 0.4e1 * t3788 * t239 - t22831 / 0.4e1 - t22833 / 0.2e1 + t22838 + 0.7e1 / 0.3e1 * t22707 * t3668 + t22841 / 0.4e1 - t22843 / 0.12e2 - t897 * t3654 * t223 / 0.2e1 + 0.3e1 / 0.2e1 * t903 * t3644;
  t22854 = t3814 * t742 * t223;
  t22870 = t22854 / 0.6e1 - t307 * t3500 / 0.4e1 - t21916 / 0.4e1 - t21917 / 0.4e1 - t21918 / 0.12e2 - t21920 / 0.12e2 - t21928 / 0.12e2 - t21932 / 0.2e1 - t21936 / 0.2e1 + t21944 / 0.12e2 - t21946 / 0.9e1 - 0.5e1 / 0.18e2 * t21962 - 0.5e1 / 0.18e2 * t21964 + t21971 + t21977 / 0.6e1;
  t22874 = t897 * t3609;
  t22877 = t3763 * t27;
  t22878 = t22877 * t245;
  t22879 = t22878 * t250;
  t22881 = t3767 * t27;
  t22883 = t22881 * t210 * t223;
  t22884 = t22883 / 0.18e2;
  t22885 = t22881 * t245;
  t22886 = t22885 * t250;
  t22887 = t22886 / 0.6e1;
  t22888 = t3787 * t27;
  t22892 = t22888 * t245;
  t22897 = t3824 * t756;
  t22900 = t3815 * t612;
  t22907 = -0.5e1 / 0.108e3 * t21982 - t898 * t3553 / 0.4e1 + 0.3e1 / 0.4e1 * t22874 * t250 + t22879 / 0.2e1 + t22884 - t22887 - t22888 * t210 * t223 / 0.4e1 + 0.3e1 / 0.4e1 * t22892 * t250 - t3830 * t612 / 0.2e1 + 0.3e1 / 0.2e1 * t22897 * t250 - t22900 / 0.6e1 + t21989 / 0.9e1 - t21991 / 0.3e1 - 0.3e1 / 0.2e1 * t3802 * t3195 + t22282 / 0.12e2;
  t22918 = t3818 * t736;
  t22925 = t3814 * t756;
  t22926 = t22925 * t250;
  t22928 = -t22297 / 0.4e1 - t22298 / 0.6e1 + t22300 / 0.4e1 - t22301 / 0.4e1 + t22302 / 0.2e1 - t22304 / 0.2e1 + t22306 / 0.12e2 - t22308 / 0.6e1 + t22313 / 0.6e1 + t22918 / 0.2e1 - 0.3e1 / 0.2e1 * t903 * t3152 - t22316 / 0.4e1 + t22320 / 0.6e1 + t22322 / 0.3e1 + t22926 / 0.2e1;
  t22941 = t22877 * t210 * t223;
  t22954 = -0.3e1 / 0.2e1 * t3835 * t749 - 0.2e1 * t22722 * t637 + t3824 * t742 * t223 / 0.2e1 + t3838 * t612 / 0.2e1 + t22722 * t752 / 0.2e1 - t22941 / 0.6e1 - 0.3e1 / 0.2e1 * t3825 * t749 - t22357 / 0.12e2 + t22359 / 0.6e1 - t22361 / 0.4e1 - t22365 / 0.4e1 - t22373 / 0.6e1 + t22377 / 0.3e1 + t22386 / 0.3e1 - t22388 / 0.3e1 + t22390 / 0.9e1;
  t22959 = my_piecewise3(t2, 0, t22533 + t22558 + t22588 + t22615 + t22633 + t22649 + t22670 + t22693 + t22731 + t22764 + t22786 + t22850 + t22870 + t22907 + t22928 + t22954);
  t22960 = t3729 * t366;
  t22964 = t3724 * t27;
  t22965 = t22964 * t372;
  t22966 = t22965 * t377;
  t22967 = t22966 / 0.6e1;
  t22968 = t3728 * t27;
  t22969 = t22968 * t372;
  t22970 = t22969 * t377;
  t22972 = t3720 * t27;
  t22973 = t22972 * t372;
  t22974 = t22973 * t377;
  t22977 = t22964 * t337 * t350;
  t22978 = t22977 / 0.18e2;
  t22980 = t22968 * t337 * t350;
  t22983 = t22972 * t337 * t350;
  t22985 = t3716 * t27;
  t22986 = t22985 * t372;
  t23010 = 0.24e2 * t22476;
  t23012 = my_piecewise5(t11, 0, t7, 0, t22815 + t23010);
  t23016 = my_piecewise3(t105, 0, 0.4e2 / 0.81e2 * t22464 * t313 * t3702 - 0.8e1 / 0.9e1 * t3701 * t919 * t853 - 0.8e1 / 0.9e1 * t3865 * t285 * t859 + 0.4e1 / 0.3e1 * t852 * t3875 * t285 + 0.4e1 / 0.3e1 * t3868 * t859 + 0.4e1 / 0.9e1 * t915 * t3711 + 0.4e1 / 0.3e1 * t106 * t23012);
  t23021 = -0.5e1 / 0.54e2 * t22960 - t3717 * t405 / 0.4e1 - t22967 + 0.5e1 / 0.54e2 * t22970 + t22974 / 0.4e1 + t22978 - 0.5e1 / 0.162e3 * t22980 - t22983 / 0.12e2 + t22986 * t377 / 0.4e1 - t22985 * t337 * t350 / 0.12e2 - t3717 * t366 / 0.4e1 - t23016 * t23 * t29 * t169 / 0.4e1;
  t23024 = t923 * t775 * t29 * t169;
  t23025 = t23024 / 0.6e1;
  t23028 = t316 * t3327 * t29 * t169;
  t23030 = t3721 * t366;
  t23032 = t3725 * t366;
  t23033 = t23032 / 0.6e1;
  t23036 = t3879 * t186 * t29 * t169;
  t23041 = t3721 * t405;
  t23043 = t3725 * t405;
  t23044 = t23043 / 0.6e1;
  t23045 = t3729 * t405;
  t23047 = t23025 - 0.5e1 / 0.54e2 * t23028 - t23030 / 0.4e1 + t23033 - t23036 / 0.4e1 + t22503 - t22490 / 0.12e2 + t22494 / 0.6e1 - 0.5e1 / 0.18e2 * t22498 - t23041 / 0.4e1 + t23044 - 0.5e1 / 0.54e2 * t23045;
  t23049 = my_piecewise3(t100, 0, t23021 + t23047);
  tv4rho41 = t3699 + t3733 + 0.3e1 * t3864 + 0.3e1 * t3928 + t3 * (t22959 + t23049);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 1] += tv4rho41;

  t23056 = t3950 * t278;
  t23085 = t20952 / 0.18e2 + t21035 / 0.9e1 + t21249 / 0.27e2 - t21252 / 0.9e1 + t21254 / 0.27e2 - t21257 / 0.9e1 + t21321 / 0.54e2 - t21364 / 0.27e2 + t21366 / 0.9e1 + t3953 * t742 * t223 / 0.6e1 - t3959 * t749 / 0.2e1;
  t23087 = t3953 * t756;
  t23094 = t3953 * t621;
  t23097 = t3953 * t643;
  t23103 = t3944 * t186 * t29 * t96;
  t23107 = t970 * t775 * t29 * t96;
  t23111 = t23087 * t250 / 0.2e1 - t21575 / 0.18e2 - 0.2e1 / 0.27e2 * t21578 + t21580 / 0.54e2 - 0.5e1 / 0.81e2 * t21584 + t23094 * t637 / 0.3e1 - t23097 * t650 / 0.2e1 - t22686 / 0.6e1 - t23103 / 0.6e1 + t23107 / 0.18e2 - t972 * t845 / 0.4e1;
  t23120 = t884 * t884;
  t23133 = my_piecewise5(t7, 0, t11, 0, t22816);
  t23137 = my_piecewise3(t17, 0, 0.4e2 / 0.81e2 * t22326 * t961 * t786 - 0.32e2 / 0.27e2 * t3771 * t177 * t884 - 0.8e1 / 0.27e2 * t3931 * t794 + 0.8e1 / 0.9e1 * t785 * t23120 + 0.8e1 / 0.9e1 * t880 * t3782 - 0.8e1 / 0.27e2 * t3352 * t966 * t786 + 0.8e1 / 0.9e1 * t785 * t3940 * t177 + 0.4e1 / 0.9e1 * t3936 * t794 + 0.4e1 / 0.3e1 * t20 * t23133);
  t23144 = t3950 * t239;
  t23149 = t3945 * t27;
  t23153 = t23149 * t245;
  t23156 = t3949 * t27;
  t23158 = t23156 * t210 * t223;
  t23160 = t23156 * t245;
  t23161 = t23160 * t250;
  t23168 = -t23137 * t23 * t29 * t96 / 0.4e1 - t3946 * t239 / 0.2e1 - t23144 / 0.6e1 - t22691 / 0.18e2 + t3959 * t761 / 0.4e1 - t23149 * t210 * t223 / 0.6e1 + t23153 * t250 / 0.2e1 - t23158 / 0.18e2 + t23161 / 0.6e1 - t3953 * t608 * t223 / 0.12e2 - t3954 * t612 / 0.6e1;
  t23185 = -t23094 * t752 / 0.12e2 + t3959 * t655 / 0.2e1 - t23094 * t630 / 0.6e1 + 0.2e1 / 0.9e1 * t22717 - t22720 / 0.3e1 - t22741 / 0.3e1 + t22754 / 0.3e1 - t22766 / 0.9e1 - t22768 / 0.9e1 + t22772 / 0.18e2 + 0.5e1 / 0.27e2 * t21752;
  t23198 = -t21828 / 0.54e2 - 0.5e1 / 0.27e2 * t22791 - t22795 / 0.6e1 + 0.2e1 / 0.9e1 * t22797 - t22831 / 0.6e1 - t22833 / 0.3e1 + 0.2e1 / 0.9e1 * t22837 + t22841 / 0.6e1 - t22843 / 0.18e2 + t22854 / 0.9e1 - t3959 * t731 / 0.4e1;
  t23213 = t3959 * t736 / 0.2e1 + t3954 * t670 / 0.12e2 - t3954 * t676 / 0.6e1 - 0.5e1 / 0.27e2 * t21962 - 0.5e1 / 0.27e2 * t21964 + t21971 + t22879 / 0.3e1 + 0.2e1 / 0.27e2 * t22883 - 0.2e1 / 0.9e1 * t22886 - t22900 / 0.9e1 + t21989 / 0.27e2;
  t23225 = -t21991 / 0.9e1 + t22313 / 0.18e2 + t22918 / 0.3e1 + t22320 / 0.18e2 + t22322 / 0.9e1 + t22926 / 0.3e1 - t22941 / 0.9e1 + t22359 / 0.18e2 + t22386 / 0.9e1 - t22388 / 0.9e1 + t22390 / 0.27e2;
  t23229 = my_piecewise3(t2, 0, -t23056 / 0.6e1 - t972 * t679 / 0.2e1 - t972 * t721 / 0.4e1 - t3946 * t278 / 0.2e1 - t22540 / 0.6e1 - t22542 / 0.3e1 + 0.2e1 / 0.9e1 * t22548 - t22556 / 0.3e1 + t20946 / 0.9e1 - 0.5e1 / 0.27e2 * t20950 + t23085 + t23111 + t23168 + t23185 + t23198 + t23213 + t23225);
  t23237 = t3880 * t27;
  t23238 = t23237 * t372;
  t23244 = t3894 * t1055;
  t23247 = t3918 * t1046;
  t23250 = t3902 * t1050 * t350;
  t23252 = t3888 * t27;
  t23254 = t23252 * t337 * t350;
  t23256 = t3902 * t1055;
  t23257 = t23256 * t377;
  t23268 = t3889 * t405;
  t23270 = t873 * t1105;
  t23272 = t3885 * t405;
  t23274 = t869 * t1105;
  t23276 = t869 * t1147;
  t23278 = t873 * t1147;
  t23282 = -t3912 * t1101 / 0.4e1 + t3912 * t980 / 0.2e1 - t3881 * t405 / 0.2e1 - t865 * t1105 / 0.2e1 + t23268 / 0.9e1 + t23270 / 0.9e1 - t23272 / 0.3e1 - t23274 / 0.3e1 - t23276 / 0.6e1 + t23278 / 0.18e2 - t865 * t1147 / 0.4e1;
  t23297 = t919 * t919;
  t23310 = my_piecewise5(t11, 0, t7, 0, t23010);
  t23314 = my_piecewise3(t105, 0, 0.4e2 / 0.81e2 * t22464 * t1154 * t853 - 0.32e2 / 0.27e2 * t3865 * t285 * t919 - 0.8e1 / 0.27e2 * t4084 * t859 + 0.8e1 / 0.9e1 * t852 * t23297 + 0.8e1 / 0.9e1 * t915 * t3875 - 0.8e1 / 0.27e2 * t3701 * t1159 * t853 + 0.8e1 / 0.9e1 * t852 * t4093 * t285 + 0.4e1 / 0.9e1 * t4089 * t859 + 0.4e1 / 0.3e1 * t106 * t23310);
  t23321 = t4097 * t186 * t29 * t169;
  t23323 = t3885 * t366;
  t23325 = t3889 * t366;
  t23331 = -t23041 / 0.6e1 + 0.2e1 / 0.9e1 * t23043 - 0.5e1 / 0.27e2 * t23045 - t865 * t1208 / 0.4e1 - t23314 * t23 * t29 * t169 / 0.4e1 - t23321 / 0.6e1 - t23323 / 0.3e1 + t23325 / 0.9e1 - t3881 * t366 / 0.2e1 - 0.2e1 / 0.9e1 * t22966 + 0.5e1 / 0.27e2 * t22970;
  t23336 = t869 * t1208;
  t23338 = t873 * t1208;
  t23342 = t1163 * t775 * t29 * t169;
  t23348 = t22974 / 0.6e1 + 0.2e1 / 0.27e2 * t22977 - 0.5e1 / 0.81e2 * t22980 - t22983 / 0.18e2 - t23336 / 0.6e1 + t23338 / 0.18e2 + t23342 / 0.18e2 + 0.2e1 / 0.9e1 * t23032 - t23036 / 0.6e1 - 0.5e1 / 0.27e2 * t22960 + 0.2e1 / 0.9e1 * t23024;
  t23357 = t3884 * t27;
  t23358 = t23357 * t372;
  t23359 = t23358 * t377;
  t23361 = t3915 * t1095;
  t23364 = t23357 * t337 * t350;
  t23366 = t3899 * t1087;
  t23368 = t3898 * t1009;
  t23369 = t23368 * t1090;
  t23371 = t3898 * t1029;
  t23372 = t23371 * t1036;
  t23374 = t23368 * t1016;
  t23376 = -0.5e1 / 0.27e2 * t23028 - t23030 / 0.6e1 + t3895 * t997 / 0.12e2 - t3895 * t1002 / 0.6e1 + t23359 / 0.3e1 + t23361 / 0.3e1 - t23364 / 0.9e1 - t23366 / 0.9e1 - t23369 / 0.18e2 - t23372 / 0.3e1 - t23374 / 0.9e1;
  t23377 = t23368 * t1023;
  t23379 = t3903 * t1087;
  t23381 = t23252 * t372;
  t23382 = t23381 * t377;
  t23384 = t3918 * t1095;
  t23386 = t3902 * t1009;
  t23387 = t23386 * t1023;
  t23389 = t23386 * t1090;
  t23391 = t3902 * t1029;
  t23392 = t23391 * t1036;
  t23394 = t23386 * t1016;
  t23397 = t3898 * t1050 * t350;
  t23399 = t3915 * t1071;
  t23401 = t3915 * t1046;
  t23403 = 0.2e1 / 0.9e1 * t23377 + t23379 / 0.27e2 - t23382 / 0.9e1 - t23384 / 0.9e1 - 0.2e1 / 0.27e2 * t23387 + t23389 / 0.54e2 + t23392 / 0.9e1 + t23394 / 0.27e2 + t23397 / 0.9e1 + t23399 / 0.6e1 - t23401 / 0.3e1;
  t23406 = t3898 * t1083 * t350;
  t23408 = t3898 * t1055;
  t23409 = t23408 * t377;
  t23411 = t3894 * t1009;
  t23423 = t3894 * t1029;
  t23429 = t3902 * t1083 * t350;
  t23431 = t3918 * t1071;
  t23433 = -t23406 / 0.18e2 + t23409 / 0.3e1 - t23411 * t1090 / 0.12e2 + t3912 * t1095 / 0.2e1 - t23237 * t337 * t350 / 0.6e1 - t23411 * t1016 / 0.6e1 + t23411 * t1023 / 0.3e1 - t23423 * t1036 / 0.2e1 - t3895 * t1087 / 0.6e1 + t23429 / 0.54e2 - t23431 / 0.18e2;
  t23436 = t3915 * t1101;
  t23438 = t3903 * t1002;
  t23440 = t3918 * t1101;
  t23442 = t3918 * t980;
  t23444 = t3903 * t997;
  t23446 = t3915 * t980;
  t23448 = t3899 * t997;
  t23450 = t3899 * t1002;
  t23452 = t22503 + t22494 / 0.18e2 - 0.5e1 / 0.27e2 * t22498 - t23436 / 0.6e1 + t23438 / 0.27e2 + t23440 / 0.18e2 - t23442 / 0.9e1 - t23444 / 0.54e2 + t23446 / 0.3e1 + t23448 / 0.18e2 - t23450 / 0.9e1;
  t23456 = my_piecewise3(t100, 0, t3912 * t1071 / 0.4e1 - t3912 * t1046 / 0.2e1 + t3894 * t1050 * t350 / 0.6e1 + t23238 * t377 / 0.2e1 - t3894 * t1083 * t350 / 0.12e2 + t23244 * t377 / 0.2e1 + t23247 / 0.9e1 - t23250 / 0.27e2 + t23254 / 0.27e2 - t23257 / 0.9e1 + t23282 + t23331 + t23348 + t23376 + t23403 + t23433 + t23452);
  tv4rho42 = 0.2e1 * t3864 + 0.2e1 * t3928 + 0.2e1 * t3971 + 0.2e1 * t4111 + t3 * (t23229 + t23456);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 2] += tv4rho42;

  t23477 = my_piecewise5(t7, 0, t11, 0, t22815 + t22816);
  t23481 = my_piecewise3(t17, 0, 0.4e2 / 0.81e2 * t22326 * t4116 * t177 - 0.8e1 / 0.9e1 * t3931 * t884 - 0.8e1 / 0.9e1 * t3771 * t966 * t177 + 0.4e1 / 0.3e1 * t3774 * t966 + 0.4e1 / 0.3e1 * t880 * t3940 + 0.4e1 / 0.9e1 * t785 * t4123 * t177 + 0.4e1 / 0.3e1 * t20 * t23477);
  t23488 = t4127 * t186 * t29 * t96;
  t23490 = t4128 * t27;
  t23496 = t23490 * t245;
  t23507 = -t23481 * t23 * t29 * t96 / 0.4e1 - t23488 / 0.12e2 - t23490 * t210 * t223 / 0.12e2 - t4129 * t239 / 0.4e1 + t23496 * t250 / 0.4e1 - t4129 * t278 / 0.4e1 - t23103 / 0.4e1 + t23107 / 0.6e1 - t23158 / 0.12e2 - t23144 / 0.4e1 + t23161 / 0.4e1 - t23056 / 0.4e1;
  t23514 = t22838 - 0.5e1 / 0.18e2 * t22791 + t22884 + t22798 - t22887 + t22549 - 0.5e1 / 0.54e2 * t21962 + t21971 - 0.5e1 / 0.162e3 * t21584 - 0.5e1 / 0.54e2 * t21964 + 0.5e1 / 0.54e2 * t21752 - 0.5e1 / 0.54e2 * t20950;
  t23516 = my_piecewise3(t2, 0, t23507 + t23514);
  t23528 = t290 * t355;
  t23531 = t290 * t4144;
  t23534 = t294 * t4643;
  t23536 = t23247 / 0.3e1 - t23250 / 0.9e1 + t23254 / 0.9e1 - t23257 / 0.3e1 + t23268 / 0.3e1 + t23270 / 0.3e1 - t23272 / 0.2e1 - t23274 / 0.2e1 - t23276 / 0.4e1 + t23278 / 0.6e1 + t23044 - 0.5e1 / 0.18e2 * t23045 + t23528 * t4140 / 0.4e1 - 0.3e1 / 0.4e1 * t23531 * t4148 - t23534 / 0.12e2;
  t23537 = t929 * t1208;
  t23541 = t4536 * t186 * t29 * t169;
  t23543 = t4081 * t366;
  t23565 = my_piecewise5(t11, 0, t7, 0, -t22815 + t23010);
  t23569 = my_piecewise3(t105, 0, 0.4e2 / 0.81e2 * t22464 * t4525 * t285 - 0.8e1 / 0.9e1 * t4084 * t919 - 0.8e1 / 0.9e1 * t3865 * t1159 * t285 + 0.4e1 / 0.3e1 * t3868 * t1159 + 0.4e1 / 0.3e1 * t915 * t4093 + 0.4e1 / 0.9e1 * t852 * t4532 * t285 + 0.4e1 / 0.3e1 * t106 * t23565);
  t23580 = t933 * t4344;
  t23591 = t4045 * t1055;
  t23594 = -t23537 / 0.4e1 - t23541 / 0.12e2 - t23543 / 0.4e1 - 0.3e1 / 0.4e1 * t925 * t1208 - t290 * t4643 / 0.4e1 - t23569 * t23 * t29 * t169 / 0.4e1 - 0.3e1 / 0.4e1 * t4099 * t366 + 0.3e1 / 0.2e1 * t945 * t4427 - 0.3e1 / 0.2e1 * t4052 * t1046 - 0.2e1 * t23580 * t1023 + t4045 * t1050 * t350 / 0.2e1 + t4058 * t4438 + 0.3e1 / 0.4e1 * t4046 * t1071 - 0.3e1 / 0.2e1 * t4046 * t1046 + 0.3e1 / 0.2e1 * t23591 * t377;
  t23596 = t933 * t4461;
  t23603 = t4045 * t1009;
  t23606 = t4098 * t27;
  t23607 = t23606 * t372;
  t23623 = 0.3e1 / 0.4e1 * t23596 * t377 + 0.3e1 / 0.4e1 * t4052 * t1071 - t4055 * t1087 / 0.2e1 - t23603 * t1090 / 0.4e1 + 0.3e1 / 0.4e1 * t23607 * t377 + t945 * t4494 / 0.4e1 - t23606 * t337 * t350 / 0.4e1 - t4045 * t1083 * t350 / 0.4e1 - t23321 / 0.4e1 - t23323 / 0.2e1 + t23325 / 0.3e1 - t22967 + 0.5e1 / 0.18e2 * t22970 + t22978 - 0.5e1 / 0.54e2 * t22980;
  t23629 = t948 * t4427;
  t23631 = t948 * t4340;
  t23632 = t937 * t4344;
  t23633 = t23632 * t1016;
  t23635 = t4040 * t4336;
  t23636 = t4009 * t1009;
  t23637 = t23636 * t1023;
  t23639 = t4009 * t1029;
  t23640 = t23639 * t1036;
  t23647 = -t23336 / 0.4e1 + t23338 / 0.6e1 + t23342 / 0.6e1 + t23033 - 0.5e1 / 0.18e2 * t22960 + t23025 - 0.5e1 / 0.18e2 * t23028 + t23629 / 0.2e1 - t23631 + t23633 / 0.3e1 + t23635 + t23637 / 0.3e1 - t23640 / 0.2e1 + 0.3e1 * t4065 * t4336 - 0.3e1 * t945 * t4340 + t23580 * t1016;
  t23659 = t933 * t4188;
  t23675 = 0.3e1 / 0.2e1 * t4052 * t1095 - t23603 * t1016 / 0.2e1 + t23603 * t1023 - 0.3e1 / 0.2e1 * t4065 * t4182 + 0.3e1 / 0.2e1 * t945 * t4185 - t23659 * t1396 / 0.2e1 - 0.3e1 / 0.4e1 * t290 * t4256 - 0.3e1 / 0.4e1 * t925 * t1147 - t290 * t4315 / 0.4e1 - 0.3e1 / 0.4e1 * t4099 * t405 + t23359 / 0.2e1 + t23361 / 0.2e1 - t23364 / 0.6e1 - t23366 / 0.6e1 - t23369 / 0.12e2;
  t23691 = -t23372 / 0.2e1 - t23374 / 0.6e1 + t23377 / 0.3e1 + t23379 / 0.9e1 - t23382 / 0.3e1 - t23384 / 0.3e1 - 0.2e1 / 0.9e1 * t23387 + t23389 / 0.18e2 + t23392 / 0.3e1 + t23394 / 0.9e1 + t23397 / 0.6e1 + t23399 / 0.4e1 - t23401 / 0.2e1 - t23406 / 0.12e2 + t23409 / 0.2e1;
  t23699 = t4081 * t405;
  t23701 = t929 * t1105;
  t23703 = t294 * t4324;
  t23706 = t937 * t4481 * t350;
  t23708 = t4004 * t1087;
  t23710 = t937 * t4358;
  t23711 = t23710 * t4467;
  t23713 = t23710 * t4505;
  t23715 = t948 * t4410;
  t23717 = t23710 * t4414;
  t23719 = t23710 * t4405;
  t23721 = t937 * t4394;
  t23722 = t23721 * t4398;
  t23724 = t23429 / 0.18e2 - t23431 / 0.6e1 - 0.3e1 / 0.2e1 * t925 * t1105 - 0.3e1 / 0.4e1 * t290 * t4324 - t23699 / 0.4e1 - t23701 / 0.2e1 - t23703 / 0.4e1 - t23706 / 0.36e2 - t23708 / 0.12e2 - 0.5e1 / 0.108e3 * t23711 + 0.7e1 / 0.9e1 * t23713 + t23715 / 0.2e1 - t23717 / 0.6e1 - t23719 / 0.2e1 + t23722 / 0.2e1;
  t23725 = t4019 * t1095;
  t23727 = t4022 * t4438;
  t23729 = t937 * t4461;
  t23730 = t23729 * t377;
  t23732 = t4080 * t27;
  t23733 = t23732 * t372;
  t23734 = t23733 * t377;
  t23736 = t4009 * t1055;
  t23737 = t23736 * t377;
  t23739 = t4010 * t1087;
  t23741 = t23636 * t1090;
  t23744 = t23732 * t337 * t350;
  t23747 = t4009 * t1083 * t350;
  t23749 = t948 * t4494;
  t23751 = t938 * t4487;
  t23753 = t4022 * t4490;
  t23761 = t933 * t4358;
  t23764 = t23725 / 0.2e1 + t23727 / 0.3e1 + t23730 / 0.4e1 + t23734 / 0.4e1 + t23737 / 0.2e1 - t23739 / 0.6e1 - t23741 / 0.12e2 - t23744 / 0.12e2 - t23747 / 0.12e2 + t23749 / 0.12e2 - t23751 / 0.12e2 - t23753 / 0.12e2 - t4049 * t1087 / 0.4e1 - t934 * t4487 / 0.4e1 - t4058 * t4490 / 0.4e1 + 0.7e1 / 0.3e1 * t23761 * t4505;
  t23774 = t937 * t4420 * t350;
  t23776 = t4016 * t1087;
  t23778 = t23632 * t1090;
  t23780 = t23632 * t1023;
  t23783 = t4009 * t1050 * t350;
  t23785 = t4013 * t1046;
  t23787 = t4019 * t1071;
  t23789 = t4019 * t1046;
  t23791 = t4013 * t1071;
  t23793 = t948 * t4233;
  t23795 = t4013 * t1101;
  t23797 = t948 * t4236;
  t23799 = t948 * t4668;
  t23801 = -0.5e1 / 0.36e2 * t23761 * t4467 - t933 * t4481 * t350 / 0.12e2 - t23774 / 0.6e1 + t23776 / 0.6e1 + t23778 / 0.6e1 - 0.2e1 / 0.3e1 * t23780 + t23783 / 0.6e1 - t23785 / 0.2e1 + t23787 / 0.4e1 - t23789 / 0.2e1 + t23791 / 0.4e1 + t23793 / 0.3e1 - t23795 / 0.4e1 - t23797 / 0.2e1 - t23799 / 0.2e1;
  t23802 = t4019 * t1101;
  t23804 = t948 * t4195;
  t23806 = t937 * t4188;
  t23807 = t23806 * t1396;
  t23809 = t948 * t4226;
  t23811 = t4040 * t4182;
  t23813 = t948 * t4185;
  t23815 = t4022 * t4166;
  t23817 = t948 * t4156;
  t23819 = t4022 * t4163;
  t23821 = t4040 * t4153;
  t23823 = t4040 * t4172;
  t23825 = t948 * t4177;
  t23833 = -t23802 / 0.4e1 - t23804 / 0.6e1 - t23807 / 0.6e1 - t23809 / 0.12e2 - t23811 / 0.2e1 + t23813 / 0.2e1 - t23815 / 0.6e1 + t23817 / 0.2e1 + t23819 / 0.6e1 - t23821 / 0.2e1 + t23823 / 0.2e1 - t23825 / 0.2e1 - t934 * t4726 / 0.2e1 + t933 * t4244 * t4248 - t4055 * t1002 / 0.2e1;
  t23847 = t294 * t355;
  t23848 = t23847 * t4140;
  t23851 = t4022 * t4352;
  t23853 = t23710 * t4365;
  t23855 = t23710 * t4370;
  t23857 = t4040 * t4378;
  t23858 = t937 * t4382;
  t23859 = t23858 * t1036;
  t23861 = t4013 * t1095;
  t23863 = -t23659 * t1438 / 0.4e1 - t4058 * t4722 / 0.4e1 - t934 * t4710 / 0.6e1 - t4049 * t1002 / 0.4e1 - t934 * t4719 / 0.4e1 + t945 * t4715 / 0.2e1 + t23848 / 0.12e2 + t22503 - 0.5e1 / 0.54e2 * t22498 - t23851 / 0.6e1 - 0.11e2 / 0.54e2 * t23853 + 0.23e2 / 0.108e3 * t23855 - t23857 - t23859 / 0.2e1 + t23861 / 0.2e1;
  t23864 = t23636 * t1016;
  t23866 = t294 * t4256;
  t23868 = t929 * t1147;
  t23870 = t294 * t4315;
  t23896 = -t23864 / 0.6e1 - t23866 / 0.4e1 - t23868 / 0.4e1 - t23870 / 0.12e2 + t4055 * t997 / 0.4e1 - t4037 * t997 / 0.3e1 + t4037 * t1002 / 0.2e1 + t934 * t4699 / 0.4e1 + 0.3e1 / 0.2e1 * t4052 * t980 + t934 * t4683 / 0.12e2 + t4058 * t4687 / 0.4e1 + t4049 * t997 / 0.6e1 + t4058 * t4656 + t933 * t4659 * t4662 / 0.2e1 + 0.3e1 / 0.4e1 * t945 * t4678 + 0.3e1 / 0.4e1 * t945 * t4652;
  t23902 = t4045 * t1029;
  t23909 = t933 * t4382;
  t23924 = t933 * t4394;
  t23931 = -t4058 * t4691 + 0.3e1 / 0.2e1 * t4046 * t980 - 0.3e1 / 0.2e1 * t23902 * t1036 + 0.23e2 / 0.36e2 * t23761 * t4370 - 0.3e1 * t4065 * t4378 - 0.3e1 / 0.2e1 * t23909 * t1036 + 0.3e1 / 0.2e1 * t4046 * t1095 - t4058 * t4352 / 0.2e1 - 0.11e2 / 0.18e2 * t23761 * t4365 + 0.3e1 / 0.2e1 * t945 * t4410 - t23761 * t4414 / 0.2e1 - 0.3e1 / 0.2e1 * t23761 * t4405 + 0.3e1 / 0.2e1 * t23924 * t4398 + t4037 * t1087 / 0.2e1 + t23580 * t1090 / 0.2e1;
  t23961 = -t933 * t4420 * t350 / 0.2e1 + 0.3e1 / 0.2e1 * t4065 * t4172 + t4058 * t4163 / 0.2e1 - 0.3e1 / 0.2e1 * t945 * t4177 - 0.3e1 / 0.2e1 * t4065 * t4153 + 0.3e1 / 0.2e1 * t945 * t4156 - t4058 * t4166 / 0.2e1 - 0.3e1 / 0.2e1 * t945 * t4668 - 0.3e1 / 0.2e1 * t945 * t4236 - 0.3e1 / 0.4e1 * t4046 * t1101 - t945 * t4195 / 0.2e1 + t945 * t4233 - t945 * t4226 / 0.4e1 - 0.3e1 / 0.4e1 * t4052 * t1101 - t23436 / 0.4e1;
  t23970 = t23806 * t1438;
  t23972 = t938 * t4726;
  t23975 = t937 * t4244 * t4248;
  t23977 = t4010 * t1002;
  t23979 = t938 * t4719;
  t23981 = t4004 * t1002;
  t23983 = t938 * t4710;
  t23985 = t948 * t4715;
  t23987 = t23438 / 0.9e1 + t23440 / 0.6e1 - t23442 / 0.3e1 - t23444 / 0.18e2 + t23446 / 0.2e1 + t23448 / 0.12e2 - t23450 / 0.6e1 - t23970 / 0.12e2 - t23972 / 0.6e1 + t23975 / 0.3e1 - t23977 / 0.6e1 - t23979 / 0.12e2 - t23981 / 0.12e2 - t23983 / 0.18e2 + t23985 / 0.6e1;
  t23988 = t4022 * t4722;
  t23990 = t4016 * t997;
  t23992 = t4016 * t1002;
  t23994 = t4010 * t997;
  t23996 = t4004 * t997;
  t23998 = t4022 * t4691;
  t24000 = t938 * t4699;
  t24002 = t938 * t4683;
  t24005 = t937 * t4659 * t4662;
  t24007 = t948 * t4652;
  t24009 = t4022 * t4656;
  t24011 = t4013 * t980;
  t24013 = t948 * t4678;
  t24015 = t4019 * t980;
  t24017 = t4022 * t4687;
  t24019 = t294 * t4144;
  t24020 = t24019 * t4148;
  t24022 = -t23988 / 0.12e2 - t23990 / 0.9e1 + t23992 / 0.6e1 + t23994 / 0.12e2 + t23996 / 0.18e2 - t23998 / 0.3e1 + t24000 / 0.12e2 + t24002 / 0.36e2 + t24005 / 0.6e1 + t24007 / 0.4e1 + t24009 / 0.3e1 + t24011 / 0.2e1 + t24013 / 0.4e1 + t24015 / 0.2e1 + t24017 / 0.12e2 - t24020 / 0.4e1;
  t24027 = my_piecewise3(t100, 0, t23536 + t23594 + t23623 + t23647 + t23675 + t23691 + t23724 + t23764 + t23801 + t23833 + t23863 + t23896 + t23931 + t23961 + t23987 + t24022);
  tv4rho43 = 0.3e1 * t3971 + 0.3e1 * t4111 + t4135 + t4734 + t3 * (t23516 + t24027);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 3] += tv4rho43;

  t24032 = t961 * t961;
  t24037 = t966 * t966;
  t24044 = my_piecewise5(t7, 0, t11, 0, 0.24e2 * t3360 + 0.24e2 * t22340);
  t24048 = my_piecewise3(t17, 0, 0.4e2 / 0.81e2 * t22326 * t24032 - 0.16e2 / 0.9e1 * t3931 * t966 + 0.4e1 / 0.3e1 * t785 * t24037 + 0.16e2 / 0.9e1 * t880 * t4123 + 0.4e1 / 0.3e1 * t20 * t24044);
  t24057 = my_piecewise3(t2, 0, -t24048 * t23 * t29 * t96 / 0.4e1 - t23488 / 0.3e1 + t23107 / 0.3e1 - 0.1e2 / 0.27e2 * t22791 + t21971);
  t24062 = t994 * t4223;
  t24063 = t4543 * t24062;
  t24073 = t1069 * t1069;
  t24076 = t321 * t616 * t24073 * t1007;
  t24083 = t1005 * t1005;
  t24085 = 0.1e1 / t1006 / t1042;
  t24088 = t321 * t3512 * t24083 * t24085;
  t24091 = 0.2e1 / 0.3e1 * t23247 - 0.2e1 / 0.9e1 * t23250 + 0.2e1 / 0.9e1 * t23254 - 0.2e1 / 0.3e1 * t23257 + 0.3e1 / 0.2e1 * t5540 * t355 * t24063 + 0.2e1 * t4145 * t4147 * t4714 + 0.2e1 / 0.3e1 * t23268 + 0.2e1 / 0.3e1 * t23270 + t23278 / 0.3e1 + t24076 * t1023 - t24076 * t1090 / 0.4e1 + 0.2e1 * t4345 * t4490 + t1051 * t4487 - 0.28e2 * t24088 * t4505;
  t24103 = t321 * t616 * t24083 * t4356;
  t24116 = t1074 * t4344;
  t24124 = 0.5e1 / 0.3e1 * t24088 * t4467 - 0.2e1 * t4421 * t1087 - 0.2e1 * t1074 * t4420 * t350 + 0.6e1 * t1056 * t4427 + 0.12e2 * t24103 * t1023 + 0.6e1 * t1078 * t4427 - 0.8e1 * t4345 * t4438 - 0.3e1 * t4462 * t1046 - 0.3e1 * t4454 * t1046 - 0.6e1 * t4457 * t1046 + 0.2e1 * t24116 * t1090 + 0.2e1 * t4432 * t1087 + t4453 * t1050 * t350 - 0.1e2 / 0.27e2 * t23045;
  t24126 = t110 * t1178;
  t24127 = t5587 * t4139;
  t24131 = t5549 * t4143 * t4138;
  t24134 = t5536 * t1008;
  t24145 = t110 * t1174;
  t24150 = t9270 * t380 * t403 * t4544;
  t24153 = t353 * t1044;
  t24154 = t1069 * t994;
  t24155 = t1182 * t24154;
  t24159 = t1069 * t1043;
  t24164 = t110 * t5561;
  t24166 = t5549 * t1021 * t24154;
  t24169 = t110 * t4559;
  t24174 = t5536 * t4180;
  t24181 = 0.2e1 * t24126 * t24127 - 0.4e1 * t24126 * t24131 + 0.6e1 * t5535 * t24134 * t4171 - 0.6e1 * t4145 * t24134 * t4176 + 0.4e1 * t4145 * t4146 * t1049 * t1100 - 0.4e1 / 0.3e1 * t24145 * t4140 - 0.2e1 / 0.3e1 * t4136 * t24150 + 0.9e1 / 0.2e1 * t5540 * t24153 * t24155 - 0.6e1 * t4145 * t4146 * t24159 * t1419 - 0.14e2 / 0.3e1 * t24164 * t24166 - 0.2e1 * t24169 * t5592 + 0.7e1 / 0.3e1 * t24169 * t5588 - 0.6e1 * t5535 * t24174 * t1407 + 0.6e1 * t4145 * t24174 * t1412;
  t24182 = t4408 * t5541;
  t24189 = t110 * t4565;
  t24192 = t110 * t1171;
  t24195 = t403 * t1069;
  t24197 = t5553 * t4143 * t24195;
  t24200 = t318 * t355;
  t24205 = t318 * t4144;
  t24209 = t110 * t365 * t4143;
  t24212 = t1145 * t193;
  t24224 = t9270 * t168 * t24062;
  t24227 = 0.7e1 * t5559 * t4559 * t24182 - 0.7e1 * t5540 * t4559 * t5542 + 0.2e1 * t24189 * t5583 + 0.2e1 / 0.3e1 * t24192 * t4140 + 0.4e1 * t24164 * t24197 + t24200 * t4140 + 0.7e1 / 0.6e1 * t24169 * t5572 - t24169 * t5568 - 0.3e1 * t24205 * t4148 - 0.3e1 * t24209 * t4148 - 0.3e1 / 0.2e1 * t4145 * t24212 * t336 * t1100 - 0.2e1 * t4145 * t4146 * t1082 * t1100 - t4145 * t4147 * t4225 - t4136 * t24224 / 0.2e1;
  t24232 = t4137 * t380 * t403 * t4223;
  t24235 = t5549 * t4139;
  t24237 = t1182 * t365;
  t24238 = t24237 * t4139;
  t24242 = t4137 * t380 * t1145 * t994;
  t24246 = t4686 * t1054 * t995;
  t24251 = t1074 * t4188;
  t24254 = t4479 * t1007;
  t24256 = t321 * t616 * t24254;
  t24259 = t1031 * t24254;
  t24271 = t1005 * t4356;
  t24272 = t3512 * t24271;
  t24273 = t321 * t24272;
  t24274 = t5640 * t4247;
  t24277 = t4136 * t24232 / 0.3e1 + t24126 * t24235 + t4136 * t24238 + t4136 * t24242 / 0.2e1 - 0.4e1 * t1010 * t24246 - 0.3e1 / 0.2e1 * t4462 * t1101 - 0.2e1 * t24251 * t1396 - 0.2e1 / 0.3e1 * t24256 * t1396 + 0.2e1 * t373 * t24259 * t1412 - 0.6e1 * t4383 * t4182 - 0.6e1 * t4349 * t4182 + 0.6e1 * t1078 * t4185 + 0.6e1 * t1056 * t4185 + 0.14e2 * t24273 * t24274;
  t24279 = t5623 * t1028 * t4246;
  t24285 = t1400 * t371 * t4676;
  t24290 = t321 * t3512 * t1069 * t4356;
  t24295 = t1393 * t4718;
  t24297 = t1393 * t4725;
  t24301 = t1400 * t1054 * t978;
  t24306 = t983 * t983;
  t24307 = 0.1e1 / t24306;
  t24308 = t1012 * t24307;
  t24310 = t24308 * t1019 * t4544;
  t24315 = t24308 * t1014 * t4544;
  t24319 = t24308 * t1399;
  t24321 = t24319 * t371 * t4708;
  t24324 = t24308 * t1392;
  t24325 = t24324 * t4709;
  t24330 = -0.9e1 * t24273 * t24279 - 0.2e1 * t4347 * t4166 + 0.2e1 * t1010 * t24285 - 0.11e2 / 0.3e1 * t24290 * t5760 + 0.23e2 / 0.6e1 * t24290 * t5790 - t1010 * t24295 - 0.2e1 * t1010 * t24297 + 0.4e1 * t1010 * t24301 + 0.4e1 * t4347 * t4656 - 0.11e2 / 0.2e1 * t1030 * t4169 * t24310 + 0.11e2 / 0.2e1 * t373 * t4169 * t24315 + 0.11e2 / 0.3e1 * t1010 * t24321 - 0.11e2 / 0.6e1 * t1010 * t24325 - 0.14e2 / 0.3e1 * t4345 * t4163;
  t24332 = t5640 * t1001;
  t24335 = t5623 * t4655;
  t24342 = t4162 * t4698;
  t24349 = t4361 * t24307;
  t24350 = t24349 * t5622;
  t24352 = t24350 * t1028 * t995;
  t24355 = t24349 * t5639;
  t24356 = t24355 * t996;
  t24359 = t24350 * t4690;
  t24363 = t4686 * t371 * t4681;
  t24366 = t4162 * t4682;
  t24369 = t1006 * t1006;
  t24370 = 0.1e1 / t24369;
  t24373 = t321 * t21182 * t24083 * t24370;
  t24374 = t1011 * t1011;
  t24375 = 0.1e1 / t24374;
  t24376 = t24375 * t24307;
  t24377 = t1019 * t1019;
  t24378 = t24376 * t24377;
  t24379 = t24378 * t1022;
  t24382 = t1031 * t24073;
  t24386 = -0.22e2 / 0.9e1 * t4359 * t24332 + 0.23e2 / 0.9e1 * t4359 * t24335 + 0.2e1 * t4347 * t4163 - 0.4e1 * t4347 * t4691 + 0.2e1 * t1010 * t24342 - 0.6e1 * t4349 * t4153 + 0.4e1 * t4345 * t4166 + 0.9e1 * t4359 * t24352 + 0.11e2 / 0.3e1 * t4359 * t24356 - 0.23e2 / 0.6e1 * t4359 * t24359 - 0.4e1 / 0.3e1 * t1010 * t24363 + 0.2e1 / 0.3e1 * t1010 * t24366 + 0.44e2 / 0.27e2 * t24373 * t24379 + 0.3e1 / 0.2e1 * t373 * t24382 * t1094;
  t24396 = t4453 * t1009;
  t24406 = 0.1e1 / t112 / t4287;
  t24410 = my_piecewise3(t129, t322, 0.308e4 / 0.243e3 * lapl[1] * t4475 - 0.1232e5 / 0.243e3 * t117 * t4475 + 0.5236e4 / 0.243e3 * t120 * t24406);
  t24418 = t1020 * t1208;
  t24428 = -0.3e1 / 0.2e1 * t1030 * t24382 * t1035 + 0.3e1 / 0.2e1 * t4462 * t1071 + 0.3e1 / 0.2e1 * t4454 * t1071 + 0.3e1 * t4457 * t1071 - t24396 * t1090 / 0.2e1 + t1078 * t4494 + t1056 * t4494 + t373 * t374 * t24410 * t376 / 0.4e1 - t4453 * t1083 * t350 / 0.2e1 - t1010 * t24418 / 0.2e1 - t24396 * t1016 + 0.2e1 * t24396 * t1023 - 0.2e1 * t4347 * t4352 + 0.4e1 * t4347 * t4438;
  t24432 = t1015 * t1208;
  t24435 = t1020 * t1207 * t1021;
  t24438 = t4364 * t366;
  t24441 = t4369 * t4437;
  t24444 = t24376 * t4368;
  t24445 = t24444 * t1022;
  t24448 = t1019 * t1014;
  t24449 = t24376 * t24448;
  t24450 = t24449 * t4404;
  t24453 = t24449 * t169;
  t24459 = t168 * t24154;
  t24460 = t4137 * t24459;
  t24466 = t4479 * t1043;
  t24471 = -t1010 * t24432 + 0.2e1 * t1010 * t24435 - 0.22e2 / 0.9e1 * t4359 * t24438 + 0.23e2 / 0.9e1 * t4359 * t24441 + 0.47e2 / 0.3e1 * t24373 * t24445 - 0.62e2 / 0.3e1 * t24373 * t24450 - 0.61e2 / 0.27e2 * t24373 * t24453 - t23534 / 0.3e1 - t23537 - t23541 / 0.3e1 - t23543 - 0.3e1 / 0.2e1 * t110 * t24153 * t24460 + t373 * t978 * t4605 * t376 - 0.2e1 * t373 * t374 * t24466 * t1419;
  t24478 = t194 * t24159;
  t24499 = t4676 * t1177;
  t24506 = -0.3e1 / 0.4e1 * t373 * t374 * t4480 * t1100 + t4497 * t997 / 0.2e1 + 0.2e1 * t1074 * t24478 * t1433 + 0.2e1 / 0.3e1 * t4500 * t997 + t1075 * t4699 + t4347 * t4687 - 0.3e1 / 0.2e1 * t4454 * t1101 - 0.3e1 * t4457 * t1101 - 0.6e1 * t1056 * t4668 - t110 * t4642 * t404 - 0.3e1 * t318 * t4256 - 0.3e1 / 0.2e1 * t110 * t1207 * t1146 + 0.3e1 * t373 * t24499 * t1094 - 0.3e1 * t1030 * t24499 * t1035;
  t24514 = t1031 * t4343;
  t24518 = t1005 * t4333;
  t24519 = t1031 * t24518;
  t24529 = t1400 * t4725;
  t24531 = t1206 * t146;
  t24533 = t1000 * t24531 * t978;
  t24536 = t1000 * t4697 * t4676;
  t24538 = params->at * t4313;
  t24540 = t1000 * t988 * t24538;
  t24543 = t1400 * t4718;
  t24546 = 0.6e1 * t1056 * t4156 - 0.6e1 * t4383 * t4153 + 0.6e1 * t1078 * t4156 - 0.14e2 * t1030 * t24514 * t4171 - 0.18e2 * t373 * t24519 * t5808 + 0.18e2 * t1030 * t24519 * t5776 + 0.2e1 / 0.3e1 * t23325 + 0.1e2 / 0.27e2 * t22970 - 0.1e2 / 0.81e2 * t22980 - t1010 * t24529 - t338 * t24533 - t338 * t24536 - t338 * t24540 / 0.3e1 - t1010 * t24543 / 0.2e1;
  t24547 = t5623 * t1001;
  t24566 = t24319 * t4709;
  t24572 = t4707 * t4697 * t4708;
  t24581 = -0.5e1 / 0.9e1 * t4359 * t24547 - t4482 * t1002 / 0.3e1 - t1084 * t4726 - t1084 * t4719 / 0.2e1 + 0.3e1 * t4454 * t980 + 0.6e1 * t4457 * t980 + 0.3e1 * t1078 * t4678 + t373 * t24538 * t353 * t376 + 0.3e1 * t1056 * t4678 - 0.11e2 / 0.12e2 * t1010 * t24566 - t1084 * t4710 / 0.2e1 - 0.2e1 / 0.3e1 * t338 * t24572 + 0.6e1 * t373 * t978 * t4573 * t4426 - 0.12e2 * t4383 * t4378;
  t24584 = t1074 * t4394;
  t24589 = t321 * t369 * t364 * t4392;
  t24594 = t1074 * t4358;
  t24597 = t4413 * t366;
  t24600 = t24444 * t169;
  t24606 = t321 * t616 * t24518;
  t24612 = t5623 * t1028 * t978;
  t24619 = t978 * t4585;
  t24625 = 0.6e1 * t24584 * t4398 + 0.6e1 * t24589 * t4398 + 0.6e1 * t1056 * t4410 - 0.2e1 * t24594 * t4414 - 0.2e1 * t4359 * t24597 - 0.38e2 / 0.9e1 * t24373 * t24600 - 0.6e1 * t24594 * t4405 + 0.6e1 * t24606 * t5757 - 0.6e1 * t1056 * t4177 - 0.6e1 * t4359 * t24612 + 0.6e1 * t4383 * t4172 - 0.6e1 * t1078 * t4177 - 0.12e2 * t373 * t24619 * t4339 + 0.6e1 * t4349 * t4172;
  t24634 = t4369 * t366;
  t24637 = t24378 * t169;
  t24654 = 0.12e2 * t1030 * t24619 * t4335 + t23338 / 0.3e1 + t23342 / 0.3e1 - 0.1e2 / 0.27e2 * t22960 - 0.1e2 / 0.27e2 * t23028 - t4347 * t4490 - 0.5e1 / 0.9e1 * t4359 * t24634 - 0.35e2 / 0.108e3 * t24373 * t24637 - t1074 * t4481 * t350 / 0.3e1 - t321 * t194 * t24410 * t335 * t350 / 0.12e2 - t4482 * t1087 / 0.3e1 - t4500 * t1087 - t1084 * t4487 / 0.2e1 - t1075 * t4487;
  t24656 = t1074 * t4461;
  t24661 = t4364 * t4437;
  t24664 = t24449 * t1022;
  t24677 = t4161 * t1019 * t4223;
  t24682 = t4161 * t1014 * t4223;
  t24687 = 0.3e1 * t24656 * t377 + 0.28e2 / 0.3e1 * t24594 * t4505 + 0.28e2 / 0.3e1 * t4359 * t24661 + 0.89e2 / 0.9e1 * t24373 * t24664 + 0.2e1 * t23629 - 0.4e1 * t23631 + 0.4e1 / 0.3e1 * t23633 + 0.4e1 * t23635 + 0.4e1 / 0.3e1 * t23637 - 0.2e1 * t23640 + 0.14e2 * t373 * t24514 * t4176 + 0.2e1 * t1030 * t4169 * t24677 - 0.2e1 * t373 * t4169 * t24682 + 0.2e1 / 0.9e1 * t23379;
  t24696 = t193 * t24083;
  t24702 = t4558 * t1007;
  t24716 = t4206 * t4180;
  t24732 = t4206 * t1008;
  t24741 = -0.12e2 * t24702 * t1412 - 0.4e1 * t359 * t4714 + 0.12e2 * t989 * t4330 * t4426 + 0.24e2 * t4617 * t1015 - 0.12e2 * t4620 * t4413 + 0.4e1 / 0.3e1 * t4620 * t4364 + 0.12e2 * t24716 * t1412 + 0.4e1 * t4210 * t4714 - 0.12e2 * t989 * t24159 * t1419 - 0.4e1 * t989 * t1082 * t1100 + 0.4e1 * t24716 * t1407 + 0.8e1 * t989 * t1049 * t1100 - 0.4e1 * t24732 * t4171 - 0.2e1 * t4210 * t4225 - 0.12e2 * t24732 * t4176 + 0.2e2 / 0.9e1 * t4620 * t4369;
  t24761 = t4206 * t4330;
  t24764 = t137 * t69;
  t24765 = t24764 * t4330;
  t24779 = -0.2e1 * t4628 * t349 - 0.12e2 * t4637 * t349 - 0.4e1 * t4617 * t1020 + 0.2e1 * t9370 * t5776 + 0.4e1 * t1194 * t1100 - 0.8e1 * t1197 * t1100 + 0.2e1 * t359 * t4225 - 0.2e1 * t1189 * t4171 + 0.2e1 * t989 * t4479 * t376 - 0.8e1 * t24761 * t4335 + 0.16e2 / 0.9e1 * t24765 * t4397 + 0.12e2 * t24765 * t4409 + 0.12e2 * t1189 * t4176 - 0.24e2 * t24761 * t4339 + 0.32e2 / 0.3e1 * t24765 * t4377 + 0.12e2 * t1170 * t1043 * t1419;
  t24780 = t24741 + t24779;
  t24782 = t1182 * t143 * t24780;
  t24784 = t1177 * t4334;
  t24789 = t69 * t1005;
  t24790 = t24789 * t4375;
  t24791 = t4396 * t5879;
  t24794 = t24307 * t4368;
  t24795 = t24794 * t1183;
  t24800 = t4605 * t1044;
  t24807 = t615 * t4479 * t1033;
  t24811 = t4543 * t4595 * t994;
  t24814 = t1199 * t1069;
  t24815 = t4408 * t24814;
  t24818 = t1182 * t24814;
  t24823 = t24307 * t1019;
  t24824 = t24823 * t4570;
  t24829 = t4408 * t5879;
  t24832 = t1173 * t4425;
  t24837 = t4408 * t4553;
  t24840 = -0.4e1 / 0.3e1 * t24807 * t1477 - 0.3e1 * t355 * t24811 - 0.28e2 / 0.3e1 * t5561 * t24815 - 0.9e1 * t24153 * t24818 - 0.3e1 * t1171 * t4571 + 0.22e2 / 0.3e1 * t1178 * t24824 + 0.6e1 * t1174 * t4571 + 0.36e2 * t24790 * t24829 + 0.36e2 * t24832 * t5893 - 0.18e2 * t4574 * t1184 + 0.4e1 / 0.3e1 * t1178 * t24837;
  t24842 = t24823 * t4545;
  t24845 = t4549 * t4553;
  t24848 = t24307 * t4363;
  t24849 = t24848 * t1183;
  t24858 = t24307 * t348;
  t24859 = t4544 * t994;
  t24861 = t24858 * t143 * t24859;
  t24864 = t615 * t24083;
  t24865 = t4356 * t1012;
  t24866 = t24864 * t24865;
  t24870 = t24858 * t140 * t24859;
  t24873 = t615 * t24073;
  t24874 = t24873 * t1033;
  t24877 = t69 * t1069 * t4375;
  t24880 = -0.11e2 / 0.3e1 * t1178 * t24842 - 0.8e1 * t1178 * t24845 + 0.4e1 * t4578 * t24849 + 0.56e2 * t4586 * t4550 + 0.6e1 * t1174 * t4554 - 0.12e2 * t1174 * t4546 - 0.6e1 * t355 * t24861 - 0.12e2 * t24866 * t1179 + 0.3e1 * t355 * t24870 - t24874 * t1179 + t24877 * t5949 / 0.3e1;
  t24881 = t4408 * t4595;
  t24884 = t24794 * t1199;
  t24889 = t4558 * t4334;
  t24894 = t193 * t24073;
  t24898 = t69 * t24083;
  t24899 = t24085 * t4361;
  t24900 = t24898 * t24899;
  t24905 = t4333 * t341;
  t24909 = t4549 * t4595;
  t24912 = t24848 * t1199;
  t24915 = -0.8e1 / 0.3e1 * t1178 * t24881 - t4578 * t24884 / 0.3e1 + 0.4e1 * t24800 * t1491 - 0.24e2 * t24889 * t5946 + 0.3e1 / 0.2e1 * t4606 * t1200 - 0.6e1 * t24894 * t1044 * t357 - 0.72e2 * t24900 * t4579 + 0.6e1 * t24874 * t1186 - 0.24e2 * t24696 * t24905 * t357 + 0.4e1 * t1178 * t24909 - 0.2e2 * t4578 * t24912;
  t24922 = t21181 * t24083;
  t24923 = t24370 * t24375;
  t24924 = t24922 * t24923;
  t24925 = t24794 * t143;
  t24930 = t24307 * t24377;
  t24931 = t24930 * t143;
  t24934 = t193 * t24410;
  t24940 = t1182 * t140 * t24780;
  t24945 = t24848 * t143;
  t24948 = t24823 * t1199;
  t24951 = 0.36e2 * t24889 * t5926 - 0.4e1 * t24807 * t1495 + 0.8e1 / 0.3e1 * t24924 * t24925 + 0.4e1 / 0.3e1 * t24900 * t4612 - t24924 * t24931 / 0.9e1 + t24934 * t354 * t357 + 0.8e1 / 0.3e1 * t24807 * t1485 + t355 * t24940 / 0.2e1 - 0.18e2 * t24832 * t5940 + 0.24e2 * t24924 * t24945 + 0.18e2 * t4578 * t24948;
  t24958 = t24307 * t24448;
  t24959 = t24958 * t143;
  t24962 = t24307 * t1014;
  t24963 = t24962 * t4570;
  t24974 = t24962 * t4545;
  t24977 = t24823 * t1183;
  t24980 = -0.18e2 * t24877 * t5923 + 0.2e2 * t24877 * t5913 + 0.8e1 * t24900 * t4589 - 0.4e1 / 0.3e1 * t24924 * t24959 - 0.11e2 * t1178 * t24963 + 0.72e2 * t24866 * t1186 - 0.28e2 * t4586 * t4582 + 0.14e2 * t4559 * t5868 + 0.8e1 * t24807 * t1481 + 0.22e2 * t1178 * t24974 - 0.36e2 * t4578 * t24977;
  t24987 = t142 * t994;
  t24988 = t24987 * t1069;
  t24989 = t1203 * t24988;
  t25000 = t360 * t24987 * t4223;
  t25011 = t24864 * t4356;
  t25014 = -0.4e1 * t24877 * t5864 - 0.72e2 * t24889 * t5861 - 0.28e2 * t5560 * t5850 * t24989 + 0.18e2 * t1170 * t5843 * t5847 + 0.14e2 / 0.3e1 * t4558 * t5850 * t5852 + 0.6e1 * t353 * t9649 * t25000 + 0.3e1 / 0.2e1 * t1171 * t4596 + 0.9e1 * t4574 * t1200 - 0.3e1 * t1174 * t4596 + 0.56e2 / 0.3e1 * t4586 * t4599 + 0.24e2 * t25011 * t1191;
  t25018 = t24898 * t24085;
  t25021 = t24922 * t24370;
  t25022 = t24376 * t4624;
  t25025 = t24376 * t4633;
  t25032 = t24448 * t140;
  t25033 = t24376 * t25032;
  t25039 = t24873 * t1007;
  t25046 = 0.3e1 * t24894 * t1043 * t361 + 0.36e2 * t25018 * t4621 - 0.12e2 * t25021 * t25022 + 0.5e2 / 0.3e1 * t25021 * t25025 - 0.36e2 * t25011 * t1204 - 0.2e1 / 0.3e1 * t25018 * t4634 + 0.1e2 / 0.3e1 * t25021 * t25033 - t24934 * t335 * t361 / 0.2e1 - 0.3e1 * t25039 * t1204 - 0.4e2 * t25018 * t4625 + 0.2e1 * t25039 * t1191;
  t25059 = -0.2e1 / 0.3e1 * t23382 - 0.2e1 / 0.3e1 * t23384 - 0.4e1 / 0.9e1 * t23387 + t23389 / 0.9e1 + 0.2e1 / 0.3e1 * t23392 + 0.2e1 / 0.9e1 * t23394 + t23429 / 0.9e1 - t23431 / 0.3e1 - t110 * t139 * (0.12e2 * t24696 * t4333 * t361 - 0.3e1 * t1171 * t4554 - t355 * t24782 + 0.12e2 * t24784 * t5899 - 0.28e2 / 0.3e1 * t4586 * t4563 - 0.2e1 / 0.3e1 * t24790 * t24791 + 0.2e1 / 0.3e1 * t4578 * t24795 + 0.6e1 * t1171 * t4546 - 0.8e1 * t24800 * t1472 - 0.3e1 * t4606 * t1184 + t24840 + t24880 + t24915 + t24951 + t24980 + t25014 + t25046) * t168 / 0.4e1 - t23699 - 0.2e1 * t23701 - t23703 + 0.12e2 * t4383 * t4336 - 0.22e2 / 0.9e1 * t24594 * t4365;
  t25066 = t4453 * t1029;
  t25071 = t1074 * t4382;
  t25078 = t321 * t369 * t1206 * t1027;
  t25083 = t167 * t21181;
  t25084 = t25083 * t24083;
  t25085 = t24923 * t24794;
  t25089 = t24923 * t24848;
  t25094 = t24376 * t4363 * t169;
  t25101 = t1031 * t24083;
  t25102 = t24865 * t1034;
  t25106 = t24865 * t1093;
  t25110 = 0.23e2 / 0.9e1 * t24594 * t4370 - 0.3e1 * t25066 * t1036 + 0.3e1 * t4454 * t1095 - 0.6e1 * t25071 * t1036 + 0.6e1 * t4457 * t1095 - 0.3e1 * t25078 * t1036 + 0.3e1 * t4462 * t1095 - 0.18e2 * t1030 * t25084 * t25085 + 0.6e1 * t373 * t25084 * t25089 - 0.2e1 * t24373 * t25094 + 0.22e2 / 0.3e1 * t24088 * t4365 - 0.6e1 * t24103 * t1016 - 0.18e2 * t1030 * t25101 * t25102 + 0.18e2 * t373 * t25101 * t25106;
  t25119 = t365 * t4403;
  t25120 = t4369 * t25119;
  t25137 = -0.12e2 * t1056 * t4340 + 0.18e2 * t24088 * t4405 + 0.4e1 * t24116 * t1016 + 0.4e1 * t4345 * t4352 - 0.6e1 * t4359 * t25120 + 0.12e2 * t4349 * t4336 - 0.12e2 * t1078 * t4340 - 0.3e1 / 0.4e1 * t373 * t4194 * t4225 - t1078 * t4226 - 0.3e1 / 0.2e1 * t1165 * t1208 - t23706 / 0.9e1 - t23708 / 0.3e1 - 0.5e1 / 0.27e2 * t23711 + 0.28e2 / 0.9e1 * t23713;
  t25151 = 0.2e1 * t23715 - 0.2e1 / 0.3e1 * t23717 - 0.2e1 * t23719 + 0.2e1 * t23722 + 0.2e1 * t23725 + 0.4e1 / 0.3e1 * t23727 + t23730 + t23734 + 0.2e1 * t23737 - 0.2e1 / 0.3e1 * t23739 - t23741 / 0.3e1 - t23744 / 0.3e1 - t23747 / 0.3e1 + t23749 / 0.3e1;
  t25167 = -t23751 / 0.3e1 - t23753 / 0.3e1 - 0.2e1 / 0.3e1 * t23774 + 0.2e1 / 0.3e1 * t23776 + 0.2e1 / 0.3e1 * t23778 - 0.8e1 / 0.3e1 * t23780 + 0.2e1 / 0.3e1 * t23783 - 0.2e1 * t23785 + t23787 - 0.2e1 * t23789 + t23791 + 0.3e1 * t1056 * t4652 + 0.3e1 * t1078 * t4652 - 0.2e1 * t1056 * t4195;
  t25176 = t1154 * t1154;
  t25181 = t1159 * t1159;
  t25188 = my_piecewise5(t11, 0, t7, 0, -0.24e2 * t3360 + 0.24e2 * t22476);
  t25192 = my_piecewise3(t105, 0, 0.4e2 / 0.81e2 * t22464 * t25176 - 0.16e2 / 0.9e1 * t4084 * t1159 + 0.4e1 / 0.3e1 * t852 * t25181 + 0.16e2 / 0.9e1 * t915 * t4532 + 0.4e1 / 0.3e1 * t106 * t25188);
  t25199 = t985 * t348 * t24780;
  t25204 = t4373 * t4357;
  t25205 = t24349 * t4170;
  t25216 = -0.2e1 * t1078 * t4195 - 0.6e1 * t1078 * t4668 - 0.6e1 * t1078 * t4236 - t25192 * t23 * t29 * t169 / 0.4e1 - t4538 * t366 - t373 * t1098 * t25199 / 0.4e1 - t1056 * t4226 - 0.9e1 * t373 * t25204 * t25205 + 0.4e1 * t1078 * t4233 - 0.6e1 * t1056 * t4236 + 0.4e1 / 0.3e1 * t23793 - t23795 - 0.2e1 * t23797 - 0.2e1 * t23799;
  t25225 = t1074 * t4244;
  t25232 = t1400 * t1054 * t4246;
  t25235 = t167 * t4479;
  t25237 = t1400 * t371 * t25235;
  t25242 = -t23802 - 0.2e1 / 0.3e1 * t23804 - 0.2e1 * t4189 * t5772 - t24256 * t1438 / 0.3e1 - t4189 * t6013 - 0.5e1 / 0.6e1 * t24290 * t6001 + 0.4e1 * t25225 * t4248 - t1075 * t4719 - t4347 * t4722 - t24251 * t1438 + 0.4e1 * t4245 * t25232 + 0.4e1 / 0.3e1 * t4245 * t25237 - t4497 * t1002 - t4500 * t1002;
  t25246 = t4373 * t24271;
  t25247 = t4362 * t5775;
  t25251 = t24349 * t1399;
  t25252 = t25251 * t996;
  t25255 = t5634 * t1001;
  t25258 = t978 * t4577;
  t25262 = t5634 * t4661;
  t25269 = t4362 * t4368 * t1069;
  t25274 = t24349 * t4368 * t994;
  t25285 = -0.2e1 * t1075 * t4726 + 0.9e1 * t373 * t25246 * t25247 + 0.3e1 * t4359 * t25252 - 0.2e1 * t4359 * t25255 + 0.6e1 * t373 * t25258 * t4409 - 0.3e1 * t24273 * t25262 + 0.6e1 * t4395 * t25258 * t4397 + 0.9e1 * t4395 * t25246 * t25269 - 0.9e1 * t4395 * t25204 * t25274 - 0.12e2 * t1030 * t25258 * t4377 - 0.2e1 / 0.3e1 * t23807 - t23809 / 0.3e1 - 0.2e1 * t23811 + 0.2e1 * t23813;
  t25293 = t24349 * t4363 * t994;
  t25298 = t4362 * t4363 * t1069;
  t25316 = -0.2e1 / 0.3e1 * t23815 + 0.2e1 * t23817 + 0.2e1 / 0.3e1 * t23819 - 0.2e1 * t23821 + 0.2e1 * t23823 - 0.2e1 * t23825 + 0.18e2 * t1030 * t25204 * t25293 - 0.18e2 * t1030 * t25246 * t25298 + 0.9e1 * t373 * t374 * t1008 * t4667 - 0.3e1 * t373 * t4676 * t1173 * t1045 + t23848 / 0.3e1 + 0.4e1 * t1056 * t4233 - 0.5e1 / 0.9e1 * t24594 * t4467 - t4497 * t1087;
  t25320 = t4453 * t1055;
  t25323 = t4537 * t27;
  t25327 = t25323 * t372;
  t25331 = t321 * t369 * t4641 * t370;
  t25333 = t349 * t4643;
  t25336 = t4373 * t24083;
  t25337 = t24899 * t4376;
  t25343 = t24899 * t4396;
  t25349 = t24899 * t4408;
  t25358 = t24905 * t356;
  t25367 = 0.3e1 * t25320 * t377 - t25323 * t337 * t350 / 0.3e1 + t25327 * t377 + t25331 * t377 - t338 * t25333 / 0.3e1 + 0.36e2 * t1030 * t25336 * t25337 - t24076 * t1016 / 0.2e1 - 0.18e2 * t4395 * t25336 * t25343 + 0.6e1 * t24088 * t4414 - 0.18e2 * t373 * t25336 * t25349 - 0.3e1 / 0.2e1 * t373 * t374 * t24073 * t1045 - 0.6e1 * t373 * t374 * t24083 * t25358 + t321 * t194 * t24073 * t1043 * t350 / 0.2e1 + t22503;
  t25368 = t24378 * t10505;
  t25372 = 0.1e1 / t4391 / t137;
  t25375 = t321 * t369 * t144 * t25372;
  t25376 = t24923 * t24930;
  t25380 = t24923 * t24958;
  t25400 = 0.8e1 * t24373 * t25368 - 0.6e1 * t25375 * t25084 * t25376 + 0.18e2 * t4395 * t25084 * t25380 - 0.12e2 * t4349 * t4378 - 0.2e1 / 0.3e1 * t23851 - 0.22e2 / 0.27e2 * t23853 + 0.23e2 / 0.27e2 * t23855 - 0.4e1 * t23857 - 0.2e1 * t23859 + 0.2e1 * t23861 - 0.2e1 / 0.3e1 * t23864 + 0.3e1 / 0.2e1 * t373 * t4194 * t4714 + 0.3e1 * t4462 * t980 - 0.2e1 / 0.3e1 * t1075 * t4710;
  t25403 = t24355 * t4690;
  t25406 = t5640 * t4655;
  t25420 = tau[1] * t4475;
  t25423 = t148 * t163;
  t25424 = t1111 * t1111;
  t25428 = t25424 / t112 / t4266 / t121;
  t25431 = t152 * t399;
  t25434 = t153 * t1139;
  t25437 = t159 * t4281;
  t25442 = t160 / t4280 / t149;
  t25447 = t1111 / t111 / t8548;
  t25456 = t4266 * rho[1];
  t25458 = t4265 / t25456;
  t25463 = -0.616e4 / 0.81e2 * t25420 * t150 - 0.5e5 / 0.9e1 * t25423 * t25428 - 0.5e5 / 0.27e2 * t25431 * t25428 + 0.2e6 / 0.9e1 * t25434 * t25428 + 0.875e6 / 0.27e2 * t25437 * t25428 + 0.35e6 / 0.27e2 * t25442 * t25428 + 0.68e6 / 0.81e2 * t1133 * t25447 + 0.136e6 / 0.27e2 * t1140 * t25447 + 0.272e5 / 0.81e2 * t25447 * t384 - 0.25e5 / 0.27e2 * t25428 * t391 + 0.4e4 / 0.9e1 * t25458 * t156 - 0.616e4 / 0.81e2 * t385 * t25420;
  t25488 = -0.544e5 / 0.9e1 * t1123 * t25447 + 0.1232e5 / 0.27e2 * t388 * t25420 - 0.544e5 / 0.81e2 * t1128 * t25447 + 0.1232e5 / 0.27e2 * t392 * t25420 - 0.308e5 / 0.81e2 * t395 * t25420 + 0.68e5 / 0.9e1 * t4264 * t25458 + 0.104e6 / 0.9e1 * t4271 * t25458 - 0.4e5 / 0.3e1 * t4274 * t25458 - 0.1e6 / 0.3e1 * t4277 * t25458 - 0.14e6 / 0.9e1 * t4282 * t25458 - 0.308e5 / 0.81e2 * t400 * t25420 - 0.136e6 / 0.81e2 * t1118 * t25447;
  t25497 = -t23866 - t23868 - t23870 / 0.3e1 - 0.14e2 * t4359 * t25403 + 0.28e2 / 0.3e1 * t4359 * t25406 + 0.2e1 * t1078 * t4715 + 0.2e1 * t1056 * t4715 - 0.3e1 * t318 * t4324 - t110 * t365 * t4314 - 0.3e1 / 0.2e1 * t1165 * t1147 - t318 * t4315 - t110 * t145 * t380 * (t25463 + t25488) / 0.4e1 - t4538 * t405 - 0.3e1 * t1165 * t1105;
  t25504 = t24350 * t996;
  t25508 = t987 * t24531 * t995;
  t25511 = t321 * t24478;
  t25516 = t4686 * t4698;
  t25536 = 0.2e1 / 0.3e1 * t321 * t194 * t24466 * t1433 + t4482 * t997 / 0.4e1 + 0.5e1 / 0.6e1 * t4359 * t25504 + t338 * t25508 / 0.2e1 + 0.2e1 * t25511 * t5989 + 0.2e1 / 0.3e1 * t1084 * t4699 + t1010 * t25516 - 0.4e1 / 0.3e1 * t4432 * t997 + 0.3e1 * t321 * t616 * t1069 * t4333 * t5980 - 0.12e2 * t24606 * t4248 + t1075 * t4683 / 0.3e1 + 0.2e1 * t4432 * t1002 + 0.2e1 * t1051 * t4726 - 0.3e1 * t373 * t4232 * t4714;
  t25542 = t341 * t24307;
  t25543 = t25542 * t986;
  t25546 = t25543 * t988 * t167 * t24859;
  t25564 = t987 * t4697 * t4681;
  t25569 = t4686 * t4682;
  t25578 = t987 * t988 * t167 * t24780;
  t25581 = 0.2e1 * t4345 * t4722 + t1051 * t4719 + t338 * t25546 / 0.2e1 - 0.8e1 * t4345 * t4656 + 0.28e2 / 0.3e1 * t4345 * t4691 - 0.4e1 / 0.3e1 * t1051 * t4699 - 0.7e1 / 0.3e1 * t4345 * t4687 - 0.3e1 * t321 * t194 * t1008 * t4662 - t1051 * t4683 / 0.2e1 + t338 * t25564 / 0.3e1 + t1084 * t4683 / 0.4e1 + t1010 * t25569 / 0.3e1 + 0.3e1 / 0.2e1 * t373 * t4676 * t1170 * t376 + t338 * t25578 / 0.12e2;
  t25596 = t25542 * t348 * t24859;
  t25607 = -0.9e1 / 0.2e1 * t373 * t374 * t4419 * t1100 - 0.2e1 * t4421 * t1002 + 0.3e1 / 0.2e1 * t4421 * t997 + 0.2e1 / 0.9e1 * t23438 + t23440 / 0.3e1 - 0.2e1 / 0.3e1 * t23442 - t23444 / 0.9e1 + t1051 * t4710 - 0.3e1 / 0.2e1 * t373 * t1098 * t25596 + 0.3e1 / 0.2e1 * t373 * t4232 * t4225 - t318 * t4643 - t23970 / 0.3e1 - 0.2e1 / 0.3e1 * t23972 + 0.4e1 / 0.3e1 * t23975;
  t25623 = -0.2e1 / 0.3e1 * t23977 - t23979 / 0.3e1 - t23981 / 0.3e1 - 0.2e1 / 0.9e1 * t23983 + 0.2e1 / 0.3e1 * t23985 - t23988 / 0.3e1 - 0.4e1 / 0.9e1 * t23990 + 0.2e1 / 0.3e1 * t23992 + t23994 / 0.3e1 + 0.2e1 / 0.9e1 * t23996 - 0.4e1 / 0.3e1 * t23998 + t24000 / 0.3e1 + t24002 / 0.9e1 + 0.2e1 / 0.3e1 * t24005;
  t25631 = t24378 * t4404;
  t25647 = t24007 + 0.4e1 / 0.3e1 * t24009 + 0.2e1 * t24011 + t24013 + 0.2e1 * t24015 + t24017 / 0.3e1 - t24020 - 0.2e1 * t1030 * t24259 * t1407 - 0.43e2 / 0.9e1 * t24373 * t25631 + 0.6e1 * t1078 * t4410 - 0.23e2 / 0.3e1 * t24088 * t4370 - 0.8e1 * t24116 * t1023 - 0.3e1 * t24103 * t1090 + 0.2e1 * t321 * t194 * t24083 * t4333 * t350;
  t25653 = my_piecewise3(t100, 0, t24687 + t25607 + t24625 + t25242 + t24124 + t25167 + t25581 + t25367 + t25110 + t25059 + t24330 + t24581 + t25536 + t24471 + t25216 + t24506 + t24386 + t24546 + t24227 + t24654 + t24181 + t25623 + t25647 + t24091 + t25497 + t24277 + t25316 + t25400 + t25137 + t25151 + t24428 + t25285);
  tv4rho44 = 0.4e1 * t4135 + 0.4e1 * t4734 + t3 * (t24057 + t25653);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 4] += tv4rho44;

  t25657 = t819 * t427;
  t25658 = t25657 * t3132;
  t25662 = t30 * t427 * t3121;
  t25665 = t648 * t238;
  t25666 = t25665 * t4756;
  t25669 = t3375 * t238;
  t25670 = t25669 * t4771;
  t25673 = t30 * t5204;
  t25678 = t182 * t1321;
  t25683 = t30 * t5183;
  t25684 = t617 * t667;
  t25685 = t95 * t25684;
  t25686 = t4760 * t25685;
  t25689 = t276 * t617;
  t25690 = t253 * t25689;
  t25691 = t4765 * t25690;
  t25696 = t182 * t636;
  t25699 = t3244 * t206;
  t25700 = t95 * t25699;
  t25701 = t3130 * t25700;
  t25710 = t4760 * t25700;
  t25715 = t3129 * t25658 / 0.4e1 - 0.3e1 / 0.4e1 * t25662 * t3126 - t4753 * t25666 / 0.2e1 + 0.3e1 / 0.4e1 * t4753 * t25670 + 0.3e1 / 0.4e1 * t25673 * t4806 - t25673 * t4803 / 0.2e1 + 0.3e1 / 0.4e1 * t25678 * t4806 - t25678 * t4803 / 0.2e1 - 0.7e1 / 0.3e1 * t25683 * t25686 + 0.3e1 / 0.2e1 * t25683 * t25691 + t4792 * t22402 / 0.2e1 + 0.3e1 * t25696 * t4787 - t4792 * t25701 / 0.2e1 - t4789 * t21598 / 0.2e1 - 0.3e1 / 0.2e1 * t21621 * t4776 - 0.3e1 / 0.2e1 * t21617 * t4776 + t4753 * t25710 / 0.3e1 + t4789 * t21640 / 0.4e1;
  t25716 = t819 * t25699;
  t25726 = t3124 * t1281;
  t25730 = t30 * t3576;
  t25733 = t30 * t5178;
  t25734 = t3121 * t25689;
  t25735 = t10037 * t25734;
  t25739 = t21220 * t65;
  t25740 = t635 * t25684;
  t25741 = t25739 * t25740;
  t25750 = t188 * t1315;
  t25751 = t25750 * t4793;
  t25753 = t188 * t1321;
  t25754 = t25753 * t4806;
  t25756 = t25753 * t4803;
  t25758 = t3375 * t21879;
  t25765 = t606 * t206;
  t25766 = t95 * t25765;
  t25767 = t10058 * t25766;
  t25770 = t635 * t25765;
  t25771 = t10037 * t25770;
  t25777 = 0.3e1 / 0.2e1 * t4779 * t1315 * t25716 + 0.3e1 / 0.2e1 * t4779 * t421 * t21611 + 0.3e1 * t4779 * t5220 * t4786 - 0.3e1 / 0.2e1 * t3123 * t25726 * t730 + 0.3e1 * t25730 * t4787 + 0.23e2 / 0.12e2 * t25733 * t25735 + t4753 * t21886 - 0.23e2 / 0.6e1 * t25733 * t25741 - 0.5e1 / 0.3e1 * t4753 * t21881 + 0.9e1 / 0.2e1 * t3123 * t3124 * t1216 * t4878 - t25751 / 0.3e1 + t25754 / 0.4e1 - t25756 / 0.6e1 + 0.5e1 / 0.2e1 * t4738 * t1321 * t25758 - 0.3e1 / 0.2e1 * t4748 * t4750 * t4936 - 0.11e2 / 0.6e1 * t25733 * t25767 + 0.23e2 / 0.12e2 * t25733 * t25771 - t25678 * t4757 + 0.2e1 * t25678 * t4767;
  t25784 = t653 * t238;
  t25785 = t25784 * t4756;
  t25787 = t25665 * t4766;
  t25790 = t719 * t206;
  t25791 = t253 * t25790;
  t25792 = t4754 * t25791;
  t25796 = t4765 * t3121 * t25790;
  t25801 = t634 * t1343 * t635;
  t25813 = t3621 * t1274;
  t25816 = t21247 * t416 * t223;
  t25819 = t3620 * t1282 * t223;
  t25821 = t5150 * t612;
  t25823 = -t25673 * t4757 + 0.2e1 * t25673 * t4767 + 0.3e1 / 0.2e1 * t25678 * t4772 - t4753 * t25785 + 0.2e1 * t4753 * t25787 - t4753 * t25792 / 0.2e1 + t4753 * t25796 + 0.3e1 / 0.4e1 * t5126 * t761 + t622 * t25801 + 0.3e1 / 0.4e1 * t5105 * t761 + t1293 * t3582 / 0.4e1 + 0.3e1 / 0.4e1 * t3610 * t1274 + 0.3e1 / 0.4e1 * t21244 * t432 + t21179 * t432 / 0.4e1 - t25813 / 0.6e1 + t25816 / 0.18e2 + t25819 / 0.18e2 + t25821 / 0.18e2;
  t25824 = t3647 * t5102;
  t25826 = t3544 * t428;
  t25829 = t634 * t1344;
  t25850 = t593 * t5088;
  t25853 = t21259 * t416 * t223;
  t25855 = t3637 * t1274;
  t25857 = t3631 * t1274;
  t25863 = my_piecewise3(t49, t195, -0.308e3 / 0.81e2 * params->gamma * t3460);
  t25871 = -t25824 / 0.12e2 - 0.5e1 / 0.36e2 * t3515 * t25826 - t622 * t25829 / 0.4e1 - t3560 * t1288 / 0.12e2 - t609 * t5140 / 0.4e1 - t3590 * t1288 / 0.4e1 - t3526 * t5102 / 0.4e1 + t21267 * t432 / 0.4e1 + 0.3e1 / 0.4e1 * t21270 * t432 + 0.3e1 / 0.4e1 * t3568 * t1274 + 0.3e1 / 0.2e1 * t3605 * t1274 + 0.3e1 / 0.4e1 * t768 * t5088 + t25850 / 0.4e1 - t25853 / 0.12e2 + t25855 / 0.2e1 + t25857 / 0.2e1 - t417 * t21174 / 0.12e2 - t191 * t194 * t25863 * t208 * t223 / 0.12e2 - t5115 * t612 / 0.4e1;
  t25888 = t764 * t5072;
  t25895 = t1267 * t3553;
  t25897 = t5099 * t612;
  t25900 = t592 * t5114 * t223;
  t25902 = t5096 * t612;
  t25905 = t3627 * t1282 * t223;
  t25907 = t21311 * t432;
  t25909 = t21307 * t432;
  t25911 = t21172 * t432;
  t25917 = -t1283 * t3553 / 0.4e1 - t1278 * t3553 / 0.4e1 - t3567 * t1282 * t223 / 0.4e1 - t764 * t5114 * t223 / 0.4e1 - t5108 * t612 / 0.2e1 - t5091 * t612 / 0.4e1 - 0.3e1 / 0.2e1 * t25888 * t650 - t3526 * t5064 / 0.2e1 + 0.3e1 / 0.2e1 * t5126 * t655 - t25895 / 0.12e2 - t25897 / 0.6e1 - t25900 / 0.12e2 - t25902 / 0.6e1 - t25905 / 0.6e1 + t25907 / 0.2e1 + t25909 / 0.4e1 + t25911 / 0.4e1 + t246 * t247 * t25863 * t249 / 0.4e1;
  t25925 = t427 * t3671;
  t25926 = t3544 * t25925;
  t25931 = t191 * t242 * t426 * t3677;
  t25936 = t3664 * t428;
  t25939 = t3516 * t5067;
  t25945 = t629 * t1344;
  t25948 = t3516 * t428;
  t25951 = t3544 * t5067;
  t25958 = t3409 * t238;
  t25959 = t25958 * t4771;
  t25962 = t25669 * t4762;
  t25965 = t4765 * t25766;
  t25970 = -t21263 * t416 * t223 / 0.12e2 + 0.3e1 / 0.4e1 * t757 * t5088 + 0.3e1 / 0.2e1 * t1293 * t3661 - 0.3e1 / 0.2e1 * t3515 * t25926 + 0.3e1 / 0.2e1 * t25931 * t3682 - 0.3e1 * t5073 * t3686 - t3515 * t25936 / 0.2e1 + 0.7e1 / 0.3e1 * t3515 * t25939 + 0.3e1 / 0.2e1 * t5105 * t655 + t3526 * t5068 - t622 * t25945 / 0.2e1 - 0.11e2 / 0.18e2 * t3515 * t25948 + 0.23e2 / 0.36e2 * t3515 * t25951 + 0.3e1 / 0.2e1 * t25673 * t4772 - 0.3e1 * t25673 * t4763 + 0.3e1 / 0.2e1 * t4753 * t25959 - 0.3e1 * t4753 * t25962 + 0.3e1 / 0.2e1 * t25683 * t25965 + 0.5e1 / 0.12e2 * t4753 * t22427;
  t25972 = t4749 * t4857;
  t25976 = t22070 * t25684;
  t25980 = t276 * t69;
  t25981 = t25980 * t4817;
  t25988 = t3375 * t25684;
  t25992 = t4770 * t25685;
  t25995 = t4760 * t25740;
  t25998 = t4754 * t25690;
  t26001 = t4765 * t25734;
  t26004 = t25739 * t25685;
  t26007 = t10037 * t25690;
  t26010 = t10037 * t25766;
  t26016 = t3139 * t5044 * t3141;
  t26019 = t188 * t5057;
  t26021 = t781 * t1305;
  t26026 = 0.9e1 * t4748 * t25972 * t4868 - 0.9e1 * t4779 * t5178 * t25976 - 0.9e1 * t4748 * t25981 * t4825 + 0.9e1 / 0.2e1 * t3123 * t25981 * t4820 - 0.14e2 * t4738 * t5183 * t25988 - 0.14e2 / 0.3e1 * t25683 * t25992 + 0.28e2 / 0.3e1 * t25683 * t25995 + 0.3e1 * t25683 * t25998 - 0.6e1 * t25683 * t26001 + 0.5e1 / 0.6e1 * t25733 * t26004 - 0.5e1 / 0.12e2 * t25733 * t26007 - 0.5e1 / 0.12e2 * t25733 * t26010 - t4753 * t22419 / 0.4e1 - t211 * t26016 / 0.6e1 - t26019 / 0.2e1 - t26021 / 0.2e1 + t5009 * t5012 + t5009 * t3262 / 0.2e1;
  t26027 = t20881 * t1221;
  t26028 = t673 * t26027;
  t26033 = t3279 * t3260;
  t26034 = t673 * t26033;
  t26037 = t94 * t3464;
  t26038 = t661 * t26037;
  t26039 = t673 * t26038;
  t26042 = t4755 * t667;
  t26043 = t253 * t26042;
  t26044 = t4760 * t26043;
  t26047 = t3130 * t26043;
  t26049 = t755 * t4832;
  t26050 = t4844 * t26049;
  t26053 = t3172 * t5053;
  t26056 = t1272 * t3396;
  t26058 = t191 * t3512 * t26056;
  t26061 = t3279 * t4832;
  t26062 = t4838 * t26061;
  t26065 = t414 * t21185;
  t26067 = t191 * t21182 * t26065;
  t26069 = t21191 * t21197 * t59;
  t26070 = t94 * t3393;
  t26071 = t244 * t26070;
  t26072 = t26069 * t26071;
  t26075 = t764 * t4829;
  t26082 = t22070 * t65;
  t26083 = t26082 * t25685;
  t26090 = t764 * t4858;
  t26093 = t1272 * t3415;
  t26095 = t191 * t616 * t26093;
  t26098 = t1259 * t26028 / 0.2e1 + t1278 * t3301 / 0.2e1 + t1259 * t26034 / 0.2e1 + t1259 * t26039 / 0.6e1 + 0.3e1 / 0.4e1 * t4753 * t26044 - t4792 * t26047 + 0.23e2 / 0.12e2 * t4830 * t26050 + t622 * t26053 / 0.2e1 + 0.23e2 / 0.12e2 * t26058 * t4951 - 0.11e2 / 0.6e1 * t4830 * t26062 + 0.44e2 / 0.27e2 * t26067 * t26072 - 0.11e2 / 0.6e1 * t26075 * t4920 + 0.23e2 / 0.12e2 * t26075 * t4951 - 0.11e2 / 0.6e1 * t26058 * t4920 + 0.3e1 * t25733 * t26083 - 0.9e1 * t757 * t4888 - 0.9e1 * t768 * t4888 - 0.6e1 * t26090 * t4862 + 0.3e1 * t26095 * t4860;
  t26105 = t21191 * t21192 * t59;
  t26106 = t661 * t26070;
  t26107 = t26105 * t26106;
  t26110 = t3620 * t3318;
  t26111 = t26110 * t2282;
  t26115 = t627 * t633 * t3464;
  t26119 = t3567 * t1217;
  t26122 = t764 * t4924;
  t26124 = t30 * t22087;
  t26126 = t10037 * t4746 * t9761;
  t26130 = t25739 * t3671 * t4741;
  t26133 = t819 * t25684;
  t26137 = t10058 * t9762;
  t26140 = t21225 * t65;
  t26141 = t26140 * t9757;
  t26146 = t592 * t4924;
  t26147 = t26146 * t1300;
  t26149 = t3627 * t1217;
  t26150 = t26149 * t1300;
  t26152 = t771 * t5046;
  t26157 = t4854 * t3320;
  t26159 = -0.6e1 * t26095 * t4862 - 0.61e2 / 0.27e2 * t26067 * t26107 - 0.2e1 / 0.9e1 * t26111 - t4912 * t4929 - t644 * t1232 * t26115 / 0.2e1 - t26119 * t1223 / 0.2e1 - t26122 * t1223 - 0.9e1 / 0.2e1 * t26124 * t26126 + 0.9e1 * t26124 * t26130 - 0.9e1 / 0.2e1 * t4779 * t5231 * t26133 + 0.7e1 * t26124 * t26137 - 0.14e2 * t26124 * t26141 + 0.3e1 / 0.2e1 * t26090 * t5017 - t26147 / 0.6e1 - t26150 / 0.6e1 - t26152 / 0.6e1 + 0.3e1 / 0.2e1 * t246 * t4932 * t4960 - t26157 / 0.12e2;
  t26160 = t1227 * t26061;
  t26165 = t4854 * t5032;
  t26171 = t4838 * t10101;
  t26174 = t5086 * t619;
  t26175 = t645 * t26174;
  t26181 = t4838 * t8714;
  t26185 = t627 * t628 * t3464;
  t26191 = t764 * t21068;
  t26198 = t30 * t5220;
  t26200 = t30 * t1313;
  t26203 = t182 * t1315;
  t26205 = t182 * t421;
  t26208 = t593 * t4888;
  t26210 = 0.3e1 / 0.2e1 * t4859 * t26160 + 0.3e1 / 0.2e1 * t26095 * t5017 - t26165 / 0.6e1 + 0.3e1 * t757 * t4957 + 0.3e1 / 0.2e1 * t757 * t4961 + 0.7e1 * t21069 * t26171 + 0.3e1 / 0.2e1 * t246 * t26175 * t1239 - 0.3e1 / 0.2e1 * t3610 * t1247 + 0.7e1 * t21069 * t26181 + t246 * t1232 * t26185 / 0.2e1 - 0.3e1 / 0.2e1 * t3568 * t1247 + 0.7e1 * t26191 * t16777 - t3370 * t428 / 0.4e1 - 0.3e1 / 0.4e1 * t800 * t1344 + t26198 * t4797 + t26200 * t3133 / 0.2e1 + t26203 * t4797 + t26205 * t3133 / 0.2e1 - 0.3e1 * t26208;
  t26212 = t645 * t4817;
  t26214 = t627 * t628 * t3393;
  t26221 = t593 * t4891;
  t26223 = t593 * t4993;
  t26227 = t219 * t221 * t3393;
  t26231 = t593 * t4879;
  t26253 = t4898 * t5012;
  t26255 = t673 * t26061;
  t26258 = 0.18e2 * t246 * t26212 * t26214 - 0.3e1 / 0.2e1 * t246 * t1250 * t20900 + t26221 / 0.2e1 + t26223 / 0.4e1 - 0.6e1 * t246 * t247 * t4857 * t26227 + 0.3e1 / 0.2e1 * t26231 + t417 * t21105 / 0.4e1 + t1278 * t3269 / 0.4e1 + t5115 * t670 / 0.4e1 + t1283 * t3301 / 0.2e1 + t5091 * t670 / 0.4e1 + t5108 * t670 / 0.2e1 - 0.3e1 / 0.4e1 * t3568 * t1251 - 0.3e1 / 0.2e1 * t3605 * t1251 + t1283 * t3269 / 0.4e1 + t417 * t20886 / 0.4e1 + t26253 / 0.3e1 - 0.3e1 / 0.2e1 * t4904 * t26255;
  t26260 = t592 * t5008 * t1260;
  t26269 = t229 * t25765;
  t26289 = t191 * t616 * t4817;
  t26290 = t1227 * t26106;
  t26293 = t592 * t4858;
  t26294 = t26293 * t5017;
  t26296 = t4898 * t3262;
  t26307 = t5099 * t670;
  t26309 = t26260 / 0.3e1 - 0.3e1 / 0.2e1 * t191 * t194 * t4923 * t4905 - 0.3e1 / 0.2e1 * t3123 * t4800 * t3313 + 0.9e1 / 0.2e1 * t4779 * t5231 * t26269 + 0.3e1 / 0.2e1 * t4779 * t1315 * t22408 - t609 * t5046 / 0.4e1 - t743 * t5054 / 0.3e1 + t743 * t5046 / 0.2e1 + t765 * t5054 / 0.4e1 + t609 * t5054 / 0.6e1 - t1278 * t3143 / 0.2e1 - 0.3e1 * t26289 * t26290 + t26294 / 0.2e1 + t26296 / 0.6e1 + 0.3e1 / 0.4e1 * t3610 * t1255 + 0.3e1 / 0.4e1 * t757 * t4993 - t246 * t1250 * t21524 / 0.4e1 - t417 * t20828 / 0.2e1 + t26307 / 0.6e1;
  t26314 = t5096 * t670;
  t26316 = t3631 * t1251;
  t26318 = t1267 * t3269;
  t26320 = t1267 * t3301;
  t26322 = t1342 * t66;
  t26324 = t673 * t26322 * t674;
  t26328 = t673 * t5044 * t3284;
  t26331 = t3621 * t1251;
  t26333 = t3631 * t1240;
  t26334 = t593 * t4974;
  t26336 = t592 * t21068;
  t26337 = t26336 * t16777;
  t26341 = t191 * t3512 * t3393 * t21719;
  t26344 = t5099 * t676;
  t26346 = t414 * t21719;
  t26348 = t191 * t3512 * t26346;
  t26349 = t4844 * t26106;
  t26352 = t5096 * t676;
  t26354 = t592 * t4829;
  t26355 = t26354 * t5037;
  t26358 = t1227 * t1291 * t3260;
  t26363 = -t1283 * t3143 / 0.2e1 + t26314 / 0.6e1 - t26316 / 0.2e1 + t26318 / 0.12e2 + t26320 / 0.6e1 - t211 * t26324 / 0.2e1 - t211 * t26328 / 0.4e1 + t26331 / 0.6e1 + t26333 + t26334 / 0.2e1 + 0.7e1 / 0.3e1 * t26337 + 0.18e2 * t26341 * t16661 - t26344 / 0.6e1 + 0.5e1 / 0.3e1 * t26348 * t26349 - t26352 / 0.6e1 - 0.5e1 / 0.36e2 * t26355 + t3319 * t26358 - 0.3e1 / 0.2e1 * t764 * t4903 * t4905;
  t26365 = t3627 * t1258 * t1260;
  t26367 = t1267 * t3305;
  t26369 = t1267 * t3281;
  t26379 = t781 * t1344;
  t26381 = t777 * t1344;
  t26383 = t3335 * t428;
  t26385 = t3548 * t4826;
  t26387 = t21784 * t4851;
  t26397 = t247 * t5113;
  t26406 = t26365 / 0.3e1 - t26367 / 0.12e2 - t26369 / 0.6e1 - t417 * t20883 / 0.4e1 - t417 * t21839 / 0.4e1 - t1283 * t3305 / 0.4e1 - t1278 * t3281 / 0.2e1 - t26379 / 0.2e1 + t26381 / 0.6e1 + t26383 / 0.6e1 - 0.3e1 * t26385 + 0.3e1 / 0.2e1 * t26387 - 0.3e1 / 0.4e1 * t768 * t4982 - 0.3e1 / 0.4e1 * t3610 * t1251 + 0.3e1 / 0.4e1 * t3568 * t1255 + 0.3e1 / 0.2e1 * t3605 * t1255 - 0.3e1 / 0.4e1 * t246 * t26397 * t730 - 0.3e1 / 0.4e1 * t246 * t4978 * t3246 - 0.3e1 / 0.2e1 * t768 * t4979;
  t26408 = t593 * t4821;
  t26413 = 0.5e1 / 0.54e2 * t3329 * t428;
  t26418 = t1329 * t3140;
  t26419 = t22070 * t26418;
  t26422 = t1312 * t3421;
  t26425 = t1320 * t21402;
  t26426 = t63 * t3393;
  t26427 = t648 * t26426;
  t26431 = t69 * t1272 * t3399;
  t26435 = t21181 * t414 * t21209;
  t26436 = t21220 * t26426;
  t26439 = t5235 * t667;
  t26440 = t3375 * t26439;
  t26443 = t21220 * t26439;
  t26446 = t5244 * t206;
  t26447 = t229 * t26446;
  t26450 = t5244 * t667;
  t26451 = t819 * t26450;
  t26454 = t5247 * t747;
  t26460 = t615 * t5086 * t647;
  t26462 = 0.6e1 * t1313 * t3432 + 0.22e2 / 0.3e1 * t1321 * t26419 + 0.18e2 * t26422 * t5232 - 0.12e2 * t26425 * t26427 + 0.18e2 * t26431 * t5180 + 0.8e1 / 0.3e1 * t26435 * t26436 + 0.56e2 / 0.3e1 * t5183 * t26440 - t5178 * t26443 / 0.3e1 - 0.9e1 * t5231 * t26447 - 0.3e1 * t1315 * t26451 - 0.6e1 * t26454 * t1317 - 0.3e1 * t5248 * t821 - t26460 * t1322;
  t26471 = t63 * t3464;
  t26472 = t229 * t26471;
  t26475 = t5177 * t21730;
  t26476 = t3448 * t26426;
  t26483 = t653 * t26471;
  t26486 = t819 * t26439;
  t26489 = t5203 * t3416;
  t26492 = t3402 * t26426;
  t26497 = t21215 * t26426;
  t26500 = -0.6e1 * t5220 * t5198 - 0.6e1 * t5204 * t5191 - t26431 * t5216 / 0.3e1 - 0.6e1 * t5220 * t5207 - 0.2e1 * t1315 * t26472 + 0.4e1 / 0.3e1 * t26475 * t26476 - 0.3e1 * t1313 * t3379 + 0.6e1 * t5204 * t5195 + 0.2e1 * t1321 * t26483 + 0.9e1 * t5231 * t26486 - 0.36e2 * t26489 * t5184 + 0.8e1 * t26475 * t26492 - 0.2e1 * t26431 * t5187 - 0.4e1 / 0.3e1 * t26435 * t26497;
  t26502 = t3409 * t26439;
  t26505 = t653 * t26426;
  t26508 = t21225 * t26426;
  t26511 = t22051 * t26418;
  t26514 = t5165 * t3244;
  t26515 = t233 * t26514;
  t26518 = t5203 * t5163;
  t26525 = t827 * t26514;
  t26528 = t3399 * t20728;
  t26529 = t5177 * t26528;
  t26531 = t62 * t617 * t667;
  t26532 = t3482 * t26531;
  t26535 = t747 * t3137;
  t26536 = t420 * t26535;
  t26538 = t62 * t3140 * t206;
  t26539 = t233 * t26538;
  t26542 = t1320 * t9943;
  t26543 = t5165 * t606;
  t26544 = t840 * t26543;
  t26549 = t3421 * t626;
  t26550 = t420 * t26549;
  t26551 = t233 * t26531;
  t26554 = -0.28e2 * t5183 * t26502 + 0.72e2 * t26425 * t26505 + 0.24e2 * t26435 * t26508 - 0.11e2 * t1321 * t26511 + 0.6e1 * t5170 * t26515 - 0.18e2 * t26518 * t5174 + 0.3e1 * t26518 * t5167 + 0.5e1 / 0.3e1 * t5164 * t22128 + 0.4e1 / 0.3e1 * t5164 * t26525 + 0.2e1 / 0.3e1 * t26529 * t26532 - 0.12e2 * t26536 * t26539 - 0.36e2 * t26542 * t26544 + 0.6e1 * t8900 * t22157 - 0.18e2 * t26550 * t26551;
  t26555 = t420 * t9934;
  t26556 = t233 * t26543;
  t26559 = t1312 * t5169;
  t26562 = t233 * t22127;
  t26565 = t5177 * t9951;
  t26566 = t3475 * t26543;
  t26569 = t840 * t26514;
  t26572 = t840 * t22127;
  t26575 = t827 * t26543;
  t26578 = t193 * t25863;
  t26582 = t420 * t21343;
  t26583 = t60 * t3393;
  t26584 = t229 * t26583;
  t26587 = t648 * t26583;
  t26596 = t3375 * t26426;
  t26599 = 0.18e2 * t26555 * t26556 + 0.12e2 * t26559 * t5171 + 0.6e1 * t5170 * t26562 - 0.2e1 * t26565 * t26566 - 0.8e1 * t5164 * t26569 - 0.1e2 * t5164 * t26572 + 0.18e2 * t26565 * t26575 - t26578 * t208 * t234 / 0.2e1 + 0.12e2 * t26582 * t26584 + 0.24e2 * t26425 * t26587 - 0.9e1 * t26422 * t5258 - 0.3e1 * t1313 * t3471 + 0.3e1 * t421 * t22165 - 0.72e2 * t26475 * t26596;
  t26602 = t229 * t26426;
  t26607 = t22070 * t26439;
  t26610 = t3435 * t206;
  t26611 = t3375 * t26610;
  t26614 = t653 * t26446;
  t26617 = t3409 * t26450;
  t26620 = t3402 * t26446;
  t26623 = t21225 * t26439;
  t26626 = t648 * t26446;
  t26629 = t3375 * t26450;
  t26632 = t3448 * t26446;
  t26635 = t819 * t26610;
  t26640 = t3430 * t26418;
  t26643 = -0.24e2 * t26582 * t26602 - 0.6e1 * t421 * t22057 + 0.18e2 * t5178 * t26607 - 0.8e1 / 0.3e1 * t1321 * t26611 + 0.18e2 * t5183 * t26614 + 0.5e1 * t1321 * t26617 + 0.1e2 * t5178 * t26620 - 0.2e2 * t5178 * t26623 - 0.12e2 * t5183 * t26626 - 0.1e2 / 0.3e1 * t1321 * t26629 + t5178 * t26632 / 0.6e1 - 0.3e1 * t1315 * t26635 - 0.3e1 * t421 * t22132 + 0.6e1 * t1315 * t26640;
  t26646 = t3416 * t3137;
  t26647 = t1320 * t26646;
  t26648 = t827 * t26531;
  t26651 = t647 * t20728;
  t26652 = t1320 * t26651;
  t26653 = t827 * t26538;
  t26656 = t840 * t26531;
  t26661 = t3475 * t26531;
  t26666 = t3482 * t26543;
  t26669 = t840 * t26538;
  t26680 = t3448 * t26583;
  t26683 = 0.6e1 * t26489 * t5210 - 0.28e2 / 0.3e1 * t26647 * t26648 - 0.11e2 / 0.3e1 * t26652 * t26653 + 0.56e2 * t26647 * t26656 - 0.36e2 * t26529 * t26648 + 0.4e1 * t26529 * t26661 + 0.6e1 * t26542 * t26575 - t26565 * t26666 / 0.3e1 + 0.22e2 * t26652 * t26669 + 0.3e1 / 0.2e1 * t1313 * t3436 - 0.9e1 * t26431 * t5236 + t26578 * t227 * t230 + t26431 * t5255 / 0.6e1 - 0.2e1 / 0.3e1 * t26475 * t26680;
  t26687 = t60 * t3464;
  t26688 = t229 * t26687;
  t26690 = t653 * t26687;
  t26694 = t21215 * t26583;
  t26699 = t648 * t26687;
  t26714 = t3402 * t26583;
  t26717 = -0.12e2 * t26489 * t5252 + t1315 * t26688 - t1321 * t26690 + 0.1e2 * t26431 * t5266 + 0.1e2 / 0.3e1 * t26435 * t26694 + 0.2e1 * t5204 * t5269 + 0.2e1 / 0.3e1 * t1321 * t26699 + 0.3e1 * t5220 * t5245 - 0.3e1 * t5204 * t5264 + 0.3e1 * t26454 * t1336 + 0.3e1 / 0.2e1 * t5248 * t837 + 0.2e1 * t26460 * t1330 - 0.3e1 * t26460 * t1340 - 0.4e2 * t26475 * t26714;
  t26720 = t653 * t26583;
  t26723 = t21225 * t26583;
  t26726 = t21220 * t26583;
  t26731 = t3375 * t26583;
  t26738 = t3409 * t26610;
  t26741 = t3375 * t26446;
  t26744 = t648 * t26471;
  t26747 = t21210 * t26426;
  t26752 = t421 * t22182 / 0.2e1 - 0.36e2 * t26425 * t26720 - 0.12e2 * t26435 * t26723 + 0.5e2 / 0.3e1 * t26435 * t26726 + 0.18e2 * t26489 * t5239 + 0.36e2 * t26475 * t26731 + 0.9e1 * t5204 * t5223 + 0.6e1 * t26460 * t1326 + 0.4e1 * t1321 * t26738 - 0.9e1 * t5178 * t26741 - t1321 * t26744 / 0.3e1 - t26435 * t26747 / 0.9e1 - t421 * t22047 - t5204 * t5213;
  t26763 = t3375 * t25699;
  t26772 = t182 * t3672;
  t26777 = t30 * t21677;
  t26780 = t4770 * t25700;
  t26784 = t4760 * t635 * t25699;
  t26790 = t21225 * t25684;
  t26796 = t4760 * t25690;
  t26799 = 0.3e1 / 0.2e1 * t26408 + t1293 * t3162 / 0.2e1 - t26413 - 0.3e1 / 0.4e1 * t182 * t5281 - t30 * t59 * (t26462 + t26500 + t26554 + t26599 + t26643 + t26683 + t26717 + t26752) * t95 / 0.4e1 - 0.9e1 / 0.2e1 * t4779 * t5204 * t4780 + 0.2e1 * t4738 * t1321 * t26763 + 0.9e1 / 0.2e1 * t4738 * t5204 * t21586 - 0.9e1 / 0.2e1 * t25730 * t4781 + 0.9e1 / 0.2e1 * t26772 * t4743 - 0.9e1 / 0.2e1 * t25696 * t4781 + 0.9e1 / 0.2e1 * t26777 * t4743 + 0.2e1 / 0.3e1 * t4753 * t26780 - 0.4e1 / 0.3e1 * t4753 * t26784 - 0.9e1 * t3123 * t25972 * t4887 + 0.18e2 * t4738 * t5178 * t26790 - 0.3e1 * t25678 * t4763 - 0.3e1 / 0.2e1 * t25733 * t26796;
  t26800 = t21220 * t25684;
  t26806 = t30 * t65 * t3677 * params->at;
  t26810 = t3409 * t25699;
  t26814 = t182 * t4747;
  t26829 = t26354 * t4834;
  t26831 = t21191 * t4837;
  t26832 = t26831 * t26106;
  t26835 = t21191 * t4843;
  t26839 = t5143 * t731;
  t26849 = t3375 * t25765;
  t26853 = t3402 * t25765;
  t26857 = -0.9e1 * t9873 * t5178 * t26800 + 0.9e1 / 0.2e1 * t26806 * t25981 * t4850 - 0.2e1 * t4779 * t1321 * t26810 - 0.3e1 * t26814 * t4751 - 0.3e1 / 0.4e1 * t5126 * t731 - 0.3e1 / 0.2e1 * t1293 * t3314 + 0.3e1 / 0.4e1 * t246 * t3284 * t1312 * t249 - 0.3e1 / 0.2e1 * t5073 * t3166 + 0.3e1 / 0.2e1 * t1293 * t3190 - t26829 / 0.2e1 - 0.2e1 * t26067 * t26832 + 0.47e2 / 0.3e1 * t26067 * t26835 * t26071 - t26839 / 0.4e1 - 0.3e1 * t3605 * t1247 - 0.3e1 * t768 * t4968 - 0.3e1 / 0.2e1 * t768 * t4970 - 0.3e1 / 0.4e1 * t182 * t4809 + 0.9e1 / 0.2e1 * t4779 * t5178 * t26849 - 0.9e1 * t4738 * t5178 * t26853;
  t26862 = t4749 * t4923;
  t26883 = t3250 * t5053;
  t26888 = t188 * t3672;
  t26889 = t26888 * t4743;
  t26891 = t188 * t636;
  t26892 = t26891 * t4781;
  t26894 = t3140 * t206;
  t26895 = t22070 * t26894;
  t26899 = t22051 * t26894;
  t26903 = t188 * t4747;
  t26904 = t26903 * t4751;
  t26905 = t21655 * t4784;
  t26906 = t1227 * t5045;
  t26910 = t660 * t26322 * t668;
  t26913 = 0.3e1 * t3123 * t26862 * t1239 - 0.3e1 * t4748 * t26862 * t1234 + 0.3e1 * t768 * t4957 + 0.3e1 / 0.2e1 * t768 * t4961 + t246 * t21830 * t420 * t249 / 0.4e1 - 0.3e1 / 0.2e1 * t757 * t4979 - 0.3e1 / 0.4e1 * t757 * t4982 + t417 * t21950 / 0.12e2 + t622 * t26883 / 0.4e1 - t765 * t5046 / 0.2e1 + 0.3e1 / 0.2e1 * t26889 - 0.3e1 / 0.2e1 * t26892 - 0.11e2 / 0.2e1 * t4738 * t1321 * t26895 + 0.11e2 / 0.2e1 * t4779 * t1321 * t26899 - t26904 + t26905 - t622 * t26906 / 0.4e1 + t211 * t26910 / 0.4e1;
  t26915 = t660 * t5044 * t3267;
  t26919 = t4765 * t25791;
  t26922 = t4796 * t25791;
  t26927 = t229 * t238;
  t26928 = t26927 * t4756;
  t26932 = t30 * t5231;
  t26933 = t4796 * t25766;
  t26936 = t3130 * t22426;
  t26939 = t21593 * t4771;
  t26947 = t642 * t26070;
  t26948 = t26069 * t26947;
  t26956 = t4844 * t3535 * t4832;
  t26963 = t211 * t26915 / 0.12e2 - t26203 * t4793 - t4753 * t26919 / 0.4e1 + t4792 * t26922 / 0.2e1 + t4789 * t22423 / 0.4e1 + t4792 * t26928 + t4789 * t21594 / 0.2e1 - 0.3e1 / 0.2e1 * t26932 * t26933 - t4792 * t26936 / 0.2e1 - t4792 * t26939 - t26198 * t4793 - t4912 * t4917 / 0.2e1 - 0.3e1 / 0.2e1 * t644 * t26175 * t1234 - 0.43e2 / 0.9e1 * t26067 * t26948 + 0.9e1 / 0.2e1 * t21706 * t4851 + 0.9e1 / 0.2e1 * t21711 * t4851 - 0.9e1 / 0.2e1 * t4830 * t26956 - 0.9e1 / 0.2e1 * t26058 * t4846 + 0.9e1 * t3537 * t4869;
  t26965 = t645 * t26093;
  t26970 = t26069 * t3678 * t26070;
  t26973 = t21207 * t26065;
  t26975 = t21191 * t21197 * t3393;
  t26980 = t21191 * t21192 * t3393;
  t26984 = t1227 * t26071;
  t26987 = t26835 * t26106;
  t26990 = t4831 * t26061;
  t26997 = t3658 * t26056;
  t27001 = t26105 * t26071;
  t27004 = t26354 * t4951;
  t27006 = t4854 * t3324;
  t27008 = t633 * t3393;
  t27009 = t627 * t27008;
  t27013 = t26293 * t4860;
  t27014 = t26293 * t4862;
  t27016 = t1220 * t26106;
  t27019 = t3658 * t26346;
  t27020 = t3474 * t27008;
  t27024 = 0.9e1 * t644 * t26965 * t4868 + 0.8e1 * t26067 * t26970 - 0.6e1 * t21206 * t26973 * t26975 + 0.18e2 * t3680 * t26973 * t26980 + 0.12e2 * t26289 * t26984 - 0.38e2 / 0.9e1 * t26067 * t26987 - 0.3e1 / 0.2e1 * t4830 * t26990 - 0.3e1 / 0.2e1 * t26075 * t4834 - 0.3e1 / 0.2e1 * t26058 * t4834 + 0.9e1 / 0.2e1 * t3680 * t26997 * t4850 + 0.89e2 / 0.9e1 * t26067 * t27001 + 0.23e2 / 0.36e2 * t27004 + t27006 / 0.3e1 - 0.18e2 * t644 * t26212 * t27009 + t27013 - 0.2e1 * t27014 - 0.6e1 * t26289 * t27016 - 0.18e2 * t246 * t27019 * t27020;
  t27025 = t3548 * t4869;
  t27027 = t3447 * t3393;
  t27028 = t3474 * t27027;
  t27032 = t3401 * t3393;
  t27033 = t3474 * t27032;
  t27047 = t5143 * t736;
  t27055 = t3341 * t428;
  t27057 = t5150 * t676;
  t27059 = t1227 * t26027;
  t27066 = t592 * t5072;
  t27067 = t27066 * t650;
  t27069 = t5143 * t655;
  t27071 = t3647 * t5064;
  t27073 = 0.3e1 * t27025 - 0.18e2 * t3680 * t27019 * t27028 + 0.36e2 * t644 * t27019 * t27033 + 0.3e1 / 0.2e1 * t3610 * t1240 + 0.3e1 / 0.4e1 * t246 * t674 * t5247 * t249 + 0.3e1 / 0.2e1 * t3568 * t1240 + 0.3e1 * t3605 * t1240 + t27047 / 0.2e1 + 0.3e1 / 0.2e1 * t757 * t4974 + 0.3e1 / 0.4e1 * t768 * t4993 + 0.3e1 / 0.2e1 * t768 * t4974 - t27055 / 0.4e1 + t27057 / 0.18e2 - t1218 * t27059 / 0.4e1 - t4912 * t5032 / 0.2e1 - t4912 * t3320 / 0.4e1 - t27067 / 0.2e1 + t27069 / 0.2e1 - t27071 / 0.6e1;
  t27089 = t771 * t5140;
  t27091 = t592 * t5125;
  t27092 = t27091 * t250;
  t27096 = t21251 * t432;
  t27098 = t21256 * t432;
  t27100 = t3571 * t1288;
  t27102 = t5143 * t761;
  t27104 = t3647 * t5068;
  t27110 = 0.5e1 / 0.162e3 * t21582 * t416 * t223;
  t27112 = 0.5e1 / 0.54e2 * t21751 * t432;
  t27113 = -0.3e1 * t1293 * t3509 + t3522 * t5064 + 0.3e1 * t5073 * t3505 + t3613 * t1288 / 0.2e1 + t743 * t5140 / 0.2e1 - 0.3e1 / 0.2e1 * t5126 * t749 - 0.2e1 * t3522 * t5068 - t27089 / 0.6e1 + t27092 / 0.2e1 - 0.3e1 / 0.2e1 * t5105 * t749 - t27096 / 0.6e1 - t27098 / 0.6e1 - t27100 / 0.12e2 + t27102 / 0.4e1 + t27104 / 0.3e1 + t3522 * t5102 / 0.2e1 - t27110 + t27112;
  t27114 = t3624 * t1288;
  t27116 = t3620 * t1292;
  t27117 = t27116 * t250;
  t27119 = t3650 * t1288;
  t27123 = t5143 * t749;
  t27129 = t191 * t242 * t1342 * t641;
  t27136 = t3620 * t1217;
  t27137 = t27136 * t1300;
  t27144 = t1227 * t1291 * t674;
  t27146 = t5044 * t3260;
  t27147 = t673 * t27146;
  t27150 = t27136 * t1223;
  t27154 = t673 * t26106;
  t27159 = t1267 * t3143;
  t27161 = t26149 * t1229;
  t27163 = t27114 / 0.18e2 - t27117 / 0.6e1 + t27119 / 0.6e1 - t3655 * t1288 / 0.2e1 - t27123 / 0.2e1 + 0.3e1 / 0.2e1 * t1293 * t3644 - 0.3e1 / 0.2e1 * t27129 * t650 - t1293 * t3216 / 0.2e1 - t1293 * t3247 / 0.4e1 + t27137 / 0.18e2 + 0.3e1 / 0.4e1 * t1293 * t3286 + 0.3e1 / 0.4e1 * t1293 * t3291 + t622 * t27144 + t3259 * t27147 / 0.2e1 + t27150 / 0.9e1 + 0.2e1 * t191 * t194 * t4857 * t27154 + t417 * t20894 / 0.2e1 - t27159 / 0.6e1 + 0.2e1 / 0.3e1 * t27161;
  t27166 = t592 * t4903 * t4905;
  t27168 = t3621 * t1255;
  t27171 = t3620 * t1258 * t1260;
  t27173 = t3621 * t1247;
  t27177 = t26146 * t1223;
  t27179 = t26149 * t1223;
  t27181 = t4854 * t4929;
  t27183 = t4754 * t25766;
  t27186 = t4765 * t25770;
  t27189 = t1220 * t5045;
  t27196 = t21191 * t27027;
  t27200 = t21191 * t27032;
  t27204 = t26105 * t26947;
  t27207 = t188 * t421;
  t27208 = t27207 * t3133;
  t27210 = t95 * t26894;
  t27211 = t8642 * t27210;
  t27213 = -t27166 / 0.2e1 - t27168 / 0.6e1 - t27171 / 0.9e1 + t27173 / 0.3e1 - t3202 * t8709 / 0.4e1 - t27177 / 0.3e1 - t27179 / 0.3e1 - t27181 / 0.3e1 + 0.3e1 * t25683 * t27183 - 0.6e1 * t25683 * t27186 - t622 * t27189 / 0.2e1 + 0.3e1 / 0.2e1 * t5073 * t3182 - 0.3e1 / 0.2e1 * t1293 * t3187 - 0.18e2 * t644 * t26973 * t27196 + 0.6e1 * t246 * t26973 * t27200 - 0.62e2 / 0.3e1 * t26067 * t27204 + t27208 / 0.6e1 + t4792 * t27211;
  t27214 = t26140 * t25685;
  t27217 = t10058 * t25690;
  t27220 = t4770 * t22426;
  t27223 = t4754 * t22401;
  t27231 = t593 * t4979;
  t27235 = t3637 * t1251;
  t27239 = t3637 * t1255;
  t27241 = t3631 * t1255;
  t27243 = t593 * t4982;
  t27259 = 0.11e2 / 0.3e1 * t25733 * t27214 - 0.11e2 / 0.6e1 * t25733 * t27217 + 0.5e1 / 0.6e1 * t4753 * t27220 - t4753 * t27223 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t4978 * t3161 + 0.3e1 / 0.2e1 * t757 * t4891 - t27231 / 0.2e1 + 0.3e1 / 0.2e1 * t768 * t4891 - t27235 / 0.2e1 - 0.9e1 * t3537 * t4826 + t27239 / 0.2e1 + t27241 / 0.2e1 - t27243 / 0.4e1 + 0.9e1 * t3530 * t4869 + 0.9e1 / 0.2e1 * t757 * t4821 - 0.9e1 * t644 * t26997 * t4825 + 0.9e1 / 0.2e1 * t246 * t26997 * t4820 - 0.9e1 * t3530 * t4826 + 0.9e1 / 0.2e1 * t768 * t4821;
  t27267 = t219 * t221 * t3464;
  t27274 = t191 * t616 * t26174;
  t27283 = t5086 * t740;
  t27292 = t653 * t25765;
  t27300 = t21633 * t415;
  t27310 = t5150 * t670;
  t27314 = 0.2e1 * t4925 * t4946 + t4925 * t3324 - t246 * t1244 * t27267 / 0.2e1 + 0.2e1 * t26122 * t1229 + t27274 * t1229 - 0.3e1 / 0.2e1 * t246 * t4967 * t3313 - 0.3e1 * t757 * t4968 - 0.3e1 / 0.2e1 * t757 * t4970 - 0.3e1 / 0.2e1 * t246 * t247 * t27283 * t1246 - t26119 * t1300 / 0.4e1 - t26122 * t1300 / 0.2e1 - 0.9e1 * t4779 * t5183 * t27292 - 0.3e1 * t3123 * t3124 * t4966 * t1246 - 0.3e1 / 0.4e1 * t3123 * t27300 * t730 - 0.3e1 / 0.2e1 * t3123 * t21633 * t1243 * t1246 - 0.5e1 / 0.12e2 * t26075 * t5037 - t27310 / 0.18e2 - t417 * t21832 / 0.12e2;
  t27334 = t1227 * t244 * t26037;
  t27344 = t1227 * t755 * t3260;
  t27359 = t3567 * t1258 * t1260 / 0.2e1 + t764 * t5008 * t1260 + t5022 * t5012 + t5022 * t3262 / 0.2e1 + t191 * t194 * t27283 * t1260 / 0.2e1 - 0.3e1 * t3530 * t4933 - 0.3e1 / 0.2e1 * t3530 * t4937 - 0.9e1 / 0.2e1 * t26191 * t16661 + t1218 * t27334 / 0.3e1 + t4912 * t3324 + 0.2e1 * t4912 * t4946 + t1218 * t1227 * t3608 * t1221 + t1218 * t27344 - 0.3e1 * t3537 * t4933 - 0.3e1 / 0.2e1 * t3537 * t4937 - 0.3e1 / 0.2e1 * t21685 * t1235 - 0.3e1 * t22440 * t1235 - 0.3e1 / 0.2e1 * t644 * t4932 * t4936 - 0.3e1 / 0.2e1 * t22396 * t1235;
  t27363 = t4854 * t4946;
  t27365 = t26146 * t1229;
  t27367 = t593 * t4970;
  t27369 = t188 * t4809;
  t27371 = t777 * t1305;
  t27374 = t3171 * t3180 * t206;
  t27379 = t3171 * t3185 * t206;
  t27383 = t4770 * t26043;
  t27387 = t4760 * t3121 * t26042;
  t27390 = t21655 * t4776;
  t27392 = t4796 * t25690;
  t27395 = t3130 * t25685;
  t27398 = t26082 * t27210;
  t27403 = t25750 * t4797;
  t27405 = t3409 * t25684;
  t27412 = -0.3e1 / 0.2e1 * t182 * t5057 + 0.2e1 / 0.3e1 * t27363 + 0.2e1 / 0.3e1 * t27365 - t27367 / 0.2e1 - t27369 / 0.4e1 + t27371 / 0.6e1 + 0.9e1 / 0.2e1 * t4748 * t4750 * t27374 - 0.9e1 / 0.2e1 * t3123 * t4750 * t27379 + 0.3e1 / 0.2e1 * t4753 * t27383 - 0.3e1 * t4753 * t27387 - t27390 / 0.2e1 - 0.3e1 / 0.2e1 * t26932 * t27392 + 0.3e1 / 0.2e1 * t26932 * t27395 - 0.11e2 / 0.12e2 * t4753 * t27398 - t4789 * t22278 / 0.2e1 + t27403 / 0.3e1 + 0.14e2 * t4779 * t5183 * t27405 + 0.3e1 / 0.2e1 * t3123 * t4775 * t3161;
  t27413 = t3430 * t26894;
  t27417 = t26891 * t4787;
  t27418 = t21655 * t4801;
  t27419 = t771 * t5054;
  t27421 = t21421 * t1235;
  t27422 = t21416 * t1235;
  t27423 = t3548 * t4937;
  t27425 = t3548 * t4933;
  t27429 = t658 * t1245 * t667;
  t27436 = t3250 * t1291 * t668;
  t27440 = t593 * t4957;
  t27441 = t3637 * t1240;
  t27446 = t3631 * t1247;
  t27447 = t593 * t4961;
  t27449 = -0.3e1 * t4779 * t1315 * t27413 + t27417 - t27418 + t27419 / 0.12e2 - t27421 - t27422 - t27423 / 0.2e1 - t27425 - 0.5e1 / 0.12e2 * t26058 * t5037 + 0.3e1 * t3123 * t4800 * t27429 + 0.3e1 / 0.2e1 * t5126 * t736 - t622 * t27436 + 0.3e1 / 0.2e1 * t5105 * t736 + t27440 + t27441 + 0.3e1 / 0.2e1 * t1293 * t3198 + 0.9e1 / 0.2e1 * t768 * t4879 - t27446 + t27447 / 0.2e1;
  t27457 = t593 * t4968;
  t27458 = t3637 * t1247;
  t27468 = t10037 * t3671 * t25765;
  t27471 = t648 * t25765;
  t27475 = t22051 * t65;
  t27476 = t27475 * t27210;
  t27479 = t4760 * t25766;
  t27482 = t3448 * t25765;
  t27486 = t25753 * t4772;
  t27488 = t25753 * t4763;
  t27490 = t26082 * t635 * t26894;
  t27493 = t25753 * t4757;
  t27495 = t25753 * t4767;
  t27497 = t1220 * t26038;
  t27500 = -0.9e1 * t246 * t26965 * t4887 + 0.9e1 / 0.2e1 * t757 * t4879 - t27457 - t27458 - 0.3e1 / 0.2e1 * t5073 * t3195 - t3202 * t8986 / 0.2e1 + 0.9e1 / 0.2e1 * t246 * t247 * t4923 * t4878 - 0.9e1 / 0.2e1 * t25733 * t27468 + 0.9e1 * t4738 * t5183 * t27471 - 0.11e2 / 0.6e1 * t4753 * t27476 - 0.3e1 / 0.2e1 * t25733 * t27479 + 0.9e1 / 0.2e1 * t9873 * t5178 * t27482 + t27486 / 0.2e1 - t27488 + 0.11e2 / 0.3e1 * t4753 * t27490 - t27493 / 0.3e1 + 0.2e1 / 0.3e1 * t27495 - t1218 * t27497 / 0.6e1;
  t27501 = t1220 * t26027;
  t27504 = t1220 * t26033;
  t27512 = t26336 * t16661;
  t27517 = t3409 * t21879;
  t27521 = t69 * t206;
  t27522 = t27521 * t3399;
  t27523 = t30 * t27522;
  t27524 = t414 * t606;
  t27525 = t635 * t27524;
  t27526 = t10058 * t27525;
  t27534 = t3628 * t1288;
  t27536 = t3627 * t1292;
  t27537 = t27536 * t250;
  t27541 = t764 * t5125;
  t27544 = t3567 * t1292;
  t27547 = t222 * t5281;
  t27552 = t191 * t242 * t5279 * t243;
  t27555 = -t1218 * t27501 / 0.2e1 - t1218 * t27504 / 0.2e1 - t27274 * t1223 / 0.2e1 - t4925 * t4929 - t4925 * t4917 / 0.2e1 - 0.3e1 / 0.2e1 * t27512 - 0.28e2 * t26341 * t16777 + t26119 * t1229 - 0.5e1 / 0.2e1 * t4779 * t1321 * t27517 + 0.7e1 * t27523 * t27526 + 0.3e1 / 0.2e1 * t3123 * t4750 * t4960 + 0.3e1 * t26090 * t4860 - t27534 / 0.6e1 + t27537 / 0.2e1 - t765 * t5140 / 0.2e1 + 0.3e1 / 0.2e1 * t27541 * t250 + 0.3e1 / 0.4e1 * t27544 * t250 - t211 * t27547 / 0.4e1 + 0.3e1 / 0.4e1 * t27552 * t250;
  t27564 = t188 * t5281;
  t27566 = t719 * t615;
  t27567 = t27566 * t1216;
  t27575 = t30 * t238 * t4746;
  t27601 = t3621 * t1240;
  t27603 = -t3585 * t1288 / 0.4e1 + t1293 * t3158 - 0.3e1 / 0.2e1 * t1293 * t3152 - 0.3e1 / 0.4e1 * t5105 * t731 - t27564 / 0.4e1 - 0.3e1 / 0.2e1 * t4748 * t27567 * t1234 + 0.3e1 / 0.2e1 * t3123 * t27567 * t1239 - 0.3e1 * t27575 * t4751 + 0.3e1 * t21621 * t4784 + 0.3e1 * t21617 * t4784 - 0.3e1 * t21621 * t4801 - 0.3e1 * t21617 * t4801 - 0.3e1 / 0.4e1 * t3123 * t4775 * t3246 - t1278 * t3305 / 0.4e1 - t5115 * t676 / 0.4e1 - t1283 * t3281 / 0.2e1 - 0.3e1 / 0.4e1 * t30 * t1343 * t720 - t30 * t427 * t3107 / 0.4e1 - t27601 / 0.3e1;
  t27604 = t1227 * t26049;
  t27607 = t4838 * t26106;
  t27610 = t4844 * t26071;
  t27613 = t26354 * t4920;
  t27615 = t1220 * t26061;
  t27618 = t22385 * t1235;
  t27625 = t4854 * t4917;
  t27627 = t4831 * t26106;
  t27630 = t1227 * t26038;
  t27633 = t26069 * t26106;
  t27640 = t1227 * t26033;
  t27643 = t4844 * t26061;
  t27652 = -0.6e1 * t4859 * t27604 + 0.22e2 / 0.3e1 * t26348 * t27607 - 0.23e2 / 0.3e1 * t26348 * t27610 - 0.11e2 / 0.18e2 * t27613 + 0.3e1 * t4859 * t27615 + t27618 / 0.3e1 - 0.3e1 / 0.4e1 * t30 * t5280 * t277 - 0.3e1 / 0.4e1 * t800 * t1305 - t27625 / 0.6e1 + 0.6e1 * t26348 * t27627 - t1218 * t27630 / 0.12e2 - 0.35e2 / 0.108e3 * t26067 * t27633 - t5091 * t676 / 0.4e1 - t5108 * t676 / 0.2e1 - t1218 * t27640 / 0.4e1 - 0.5e1 / 0.12e2 * t4830 * t27643 - t27274 * t1300 / 0.4e1 - t4925 * t5032 / 0.2e1 - t4925 * t3320 / 0.4e1;
  t27658 = my_piecewise3(t2, 0, t26258 + t26210 + t27073 + t25823 + t27359 + t25917 + t25970 + t27652 + t27555 + t27603 + t27113 + t27163 + t25715 + t27412 + t25871 + t26406 + t26309 + t27259 + t26098 + t26799 + t26159 + t26857 + t26913 + t26963 + t27314 + t27024 + t27500 + t25777 + t26026 + t27213 + t26363 + t27449);
  tv4rho3sigma0 = t3 * t27658 + 0.3e1 * t5294;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  tv4rho3sigma1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 1] += tv4rho3sigma1;

  t27665 = t22972 * t441 * t350;
  t27668 = t22964 * t441 * t350;
  t27672 = 0.5e1 / 0.162e3 * t22968 * t441 * t350;
  t27675 = t3721 * t453;
  t27677 = t3725 * t453;
  t27680 = 0.5e1 / 0.54e2 * t3729 * t453;
  t27683 = t22973 * t457;
  t27685 = t22965 * t457;
  t27688 = 0.5e1 / 0.54e2 * t22969 * t457;
  t27689 = -t22985 * t441 * t350 / 0.12e2 - t27665 / 0.12e2 + t27668 / 0.18e2 - t27672 - t3717 * t453 / 0.4e1 - t27675 / 0.4e1 + t27677 / 0.6e1 - t27680 + t22986 * t457 / 0.4e1 + t27683 / 0.4e1 - t27685 / 0.6e1 + t27688;
  t27690 = my_piecewise3(t100, 0, t27689);
  tv4rho3sigma2 = t3 * t27690 + 0.3e1 * t5319;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 2] += tv4rho3sigma2;

  t27692 = 0.2e1 * t5406;
  t27710 = -t25751 / 0.9e1 + t25754 / 0.12e2 - t25756 / 0.18e2 - t25813 / 0.9e1 + t25816 / 0.27e2 + t25819 / 0.27e2 + t25821 / 0.27e2 - t25824 / 0.36e2 + t25850 / 0.12e2 - t25853 / 0.36e2 + t25855 / 0.6e1 + t25857 / 0.6e1 - t25895 / 0.36e2 - t25897 / 0.18e2 - t25900 / 0.36e2 - t25902 / 0.18e2 - t25905 / 0.18e2;
  t27714 = t307 * t1321;
  t27719 = t307 * t4740;
  t27723 = t307 * t636;
  t27735 = t25907 / 0.6e1 + t25909 / 0.12e2 + t25911 / 0.12e2 - t27714 * t4757 / 0.3e1 - t307 * t5281 / 0.4e1 - t27719 * t9758 - t22520 * t4776 / 0.2e1 + t27723 * t4787 - t26019 / 0.6e1 - t26021 / 0.6e1 - 0.4e1 / 0.27e2 * t26111 - t26147 / 0.18e2 - t26150 / 0.18e2 - t26152 / 0.18e2 - t26157 / 0.36e2 - t26165 / 0.18e2 - t3788 * t428 / 0.4e1;
  t27739 = t3824 * t3318;
  t27769 = -t890 * t1344 / 0.2e1 + 0.2e1 / 0.3e1 * t27739 * t2282 - t5379 * t731 / 0.4e1 + t5379 * t736 / 0.2e1 + t898 * t5054 / 0.12e2 - t898 * t5046 / 0.6e1 + 0.2e1 / 0.3e1 * t22562 * t10102 + t3835 * t1255 / 0.2e1 + t3825 * t1255 / 0.2e1 - t3825 * t1247 - t3825 * t1251 / 0.2e1 - t5371 * t676 / 0.6e1 - t903 * t4968 - t903 * t4979 / 0.2e1 + 0.2e1 / 0.3e1 * t22562 * t8715 + t903 * t4974 / 0.2e1 - t3835 * t1247;
  t27773 = t894 * t1344 / 0.6e1;
  t27775 = t3764 * t428 / 0.6e1;
  t27786 = t3824 * t1217;
  t27794 = t897 * t4924;
  t27801 = -t3835 * t1251 / 0.2e1 - t27773 - t27775 - t26208 + t26221 / 0.6e1 + t26223 / 0.12e2 + t26231 / 0.2e1 + t26253 / 0.9e1 + t26260 / 0.9e1 + t3824 * t1258 * t1260 / 0.3e1 + t5371 * t670 / 0.6e1 - t27786 * t1300 / 0.6e1 + t897 * t5008 * t1260 / 0.3e1 + t5374 * t670 / 0.6e1 - t27794 * t1300 / 0.6e1 - t5374 * t676 / 0.6e1 + t26294 / 0.6e1 + t26296 / 0.18e2;
  t27810 = t22881 * t416 * t223;
  t27812 = t22885 * t432;
  t27815 = t5366 * t612 / 0.18e2;
  t27818 = t22877 * t416 * t223 / 0.18e2;
  t27821 = t3814 * t1282 * t223 / 0.18e2;
  t27823 = t3818 * t1274 / 0.6e1;
  t27825 = t22925 * t432 / 0.6e1;
  t27827 = t22878 * t432 / 0.6e1;
  t27832 = t3814 * t1292;
  t27834 = t27832 * t250 / 0.6e1;
  t27836 = t26307 / 0.18e2 + t26314 / 0.18e2 - t26316 / 0.6e1 + t26318 / 0.36e2 + t26320 / 0.18e2 + t27810 / 0.54e2 - t27812 / 0.18e2 - t27815 - t27818 - t27821 + t27823 + t27825 + t27827 - t5379 * t749 / 0.2e1 + t3838 * t1288 / 0.6e1 + t27834 + t26331 / 0.9e1;
  t27852 = t307 * t421;
  t27858 = t26333 / 0.3e1 + t26334 / 0.6e1 + 0.7e1 / 0.9e1 * t26337 - t26344 / 0.18e2 - t26352 / 0.18e2 - 0.5e1 / 0.108e3 * t26355 + t26365 / 0.9e1 - t26367 / 0.36e2 - t26369 / 0.18e2 - 0.3e1 * t3802 * t4826 - t27714 * t4803 / 0.6e1 + t27714 * t4806 / 0.4e1 + t27852 * t3133 / 0.6e1 - t26379 / 0.6e1 + t26381 / 0.9e1 + t26383 / 0.9e1 - t26385;
  t27864 = t307 * t4747;
  t27867 = t307 * t3672;
  t27872 = t307 * t1315;
  t27891 = t26387 / 0.2e1 + t26408 / 0.2e1 + t27714 * t4772 / 0.2e1 - t27864 * t4751 + t22520 * t4784 + 0.3e1 / 0.2e1 * t27867 * t4743 - 0.3e1 / 0.2e1 * t27723 * t4781 - t27872 * t4793 / 0.3e1 + t27872 * t4797 / 0.3e1 + 0.2e1 / 0.3e1 * t27719 * t9763 - t22520 * t4801 - t26413 - t1368 * t3143 / 0.6e1 - t898 * t5140 / 0.6e1 + t903 * t5088 / 0.4e1 - t22888 * t416 * t223 / 0.12e2 + t22897 * t432 / 0.2e1;
  t27900 = t3824 * t1292;
  t27903 = t897 * t5125;
  t27915 = t3815 * t1288 / 0.18e2;
  t27916 = t897 * t5072;
  t27932 = t3825 * t1274 / 0.2e1 + t22874 * t432 / 0.4e1 + t3835 * t1274 / 0.2e1 - t3807 * t5102 / 0.12e2 + t27900 * t250 / 0.2e1 + t27903 * t250 / 0.2e1 + t5379 * t761 / 0.4e1 + t22892 * t432 / 0.4e1 - t3830 * t1288 / 0.6e1 - t3821 * t1288 / 0.12e2 - t27915 - t27916 * t650 / 0.2e1 + t5379 * t655 / 0.2e1 - t3807 * t5064 / 0.6e1 + t3807 * t5068 / 0.3e1 - t1368 * t3553 / 0.12e2 - t897 * t5114 * t223 / 0.12e2 - t5374 * t612 / 0.6e1;
  t27950 = t897 * t4829;
  t27959 = t897 * t4858;
  t27962 = t5366 * t670 / 0.18e2;
  t27965 = -t3824 * t1282 * t223 / 0.6e1 - t5371 * t612 / 0.6e1 - t26829 / 0.6e1 - t26839 / 0.12e2 + t26889 / 0.2e1 - t26892 / 0.2e1 - t26904 / 0.3e1 + t26905 / 0.3e1 - t22759 * t1235 + 0.3e1 / 0.2e1 * t903 * t4821 - t27950 * t4834 / 0.2e1 + 0.7e1 / 0.3e1 * t27950 * t4840 + 0.23e2 / 0.36e2 * t27950 * t4951 - 0.11e2 / 0.18e2 * t27950 * t4920 + t27959 * t4860 + t27962 - t903 * t4970 / 0.2e1;
  t27966 = t897 * t20711;
  t27972 = t3818 * t1247 / 0.3e1;
  t27974 = t3818 * t1251 / 0.6e1;
  t27975 = t3814 * t3318;
  t27977 = 0.2e1 / 0.9e1 * t27975 * t2282;
  t27979 = t3818 * t1255 / 0.6e1;
  t27985 = t3818 * t1240 / 0.3e1;
  t27986 = t3814 * t1217;
  t27988 = t27986 * t1223 / 0.9e1;
  t27998 = -0.2e1 * t27966 * t2282 - t903 * t4982 / 0.4e1 - t27972 - t27974 + t27977 + t27979 + t5335 * t5012 / 0.3e1 + t1368 * t3301 / 0.6e1 + t27985 - t27988 - t27794 * t1223 / 0.3e1 - t5328 * t4929 / 0.3e1 - t3802 * t4933 + 0.23e2 / 0.108e3 * t27004 + t27006 / 0.9e1 + t27013 / 0.3e1 - 0.2e1 / 0.3e1 * t27014;
  t28009 = t27986 * t1300 / 0.18e2;
  t28011 = t5366 * t676 / 0.18e2;
  t28020 = t3814 * t1258 * t1260 / 0.9e1;
  t28032 = t27025 + t27047 / 0.6e1 - t27055 / 0.12e2 + t1368 * t3269 / 0.12e2 - t5328 * t3320 / 0.12e2 - 0.5e1 / 0.36e2 * t27950 * t5037 - t28009 - t28011 + t5335 * t3262 / 0.6e1 + t27959 * t5017 / 0.2e1 + t903 * t4993 / 0.4e1 + t28020 + 0.3e1 * t3802 * t4869 - 0.3e1 * t903 * t4888 - t897 * t4903 * t4905 / 0.2e1 + t903 * t4891 / 0.2e1 + 0.3e1 / 0.2e1 * t903 * t4879;
  t28054 = -t5328 * t4917 / 0.6e1 + t903 * t4961 / 0.2e1 - t3802 * t4937 / 0.2e1 + t5328 * t3324 / 0.3e1 - t1368 * t3305 / 0.12e2 + t27057 / 0.27e2 - t27067 / 0.6e1 + t27069 / 0.6e1 - t27071 / 0.18e2 - t27089 / 0.18e2 + t27092 / 0.6e1 - t27096 / 0.9e1 - t27098 / 0.9e1 - t27100 / 0.36e2 + t27102 / 0.12e2 + t27104 / 0.9e1 - t27110 + t27112;
  t28072 = t3768 * t428;
  t28075 = t27114 / 0.27e2 - t27117 / 0.9e1 + t27119 / 0.18e2 - t27123 / 0.6e1 + t27137 / 0.27e2 + 0.2e1 / 0.27e2 * t27150 - t27159 / 0.18e2 + 0.2e1 / 0.9e1 * t27161 - t27166 / 0.6e1 - t27168 / 0.9e1 - 0.2e1 / 0.27e2 * t27171 + 0.2e1 / 0.9e1 * t27173 - t27177 / 0.9e1 - t27179 / 0.9e1 - t27181 / 0.9e1 + t28072 / 0.18e2 + t27208 / 0.18e2;
  t28094 = -t27231 / 0.6e1 - t27235 / 0.6e1 + t27239 / 0.6e1 + t27241 / 0.6e1 - t27243 / 0.12e2 - t27310 / 0.27e2 + 0.2e1 / 0.9e1 * t27363 + 0.2e1 / 0.9e1 * t27365 - t27367 / 0.6e1 - t27369 / 0.12e2 + t27371 / 0.9e1 - t27390 / 0.6e1 + t27403 / 0.9e1 + t27417 / 0.3e1 - t27418 / 0.3e1 + t27419 / 0.36e2 - 0.3e1 / 0.2e1 * t27950 * t4846;
  t28099 = t22719 * t1235 / 0.3e1;
  t28115 = 0.3e1 / 0.2e1 * t22751 * t4851 - t28099 - t27421 / 0.3e1 - t27422 / 0.3e1 - t27423 / 0.6e1 - t27425 / 0.3e1 + t27440 / 0.3e1 + t27441 / 0.3e1 - t27446 / 0.3e1 + t27447 / 0.6e1 - t27457 / 0.3e1 - t27458 / 0.3e1 + t27486 / 0.6e1 - t27488 / 0.3e1 - t27493 / 0.9e1 + 0.2e1 / 0.9e1 * t27495 - t27512 / 0.2e1;
  t28139 = t894 * t1305 / 0.6e1;
  t28141 = -t27534 / 0.18e2 + t27537 / 0.6e1 + t903 * t4957 - t27786 * t1223 / 0.3e1 - t22732 * t1235 + t3835 * t1240 + t3825 * t1240 - t27564 / 0.12e2 - 0.2e1 / 0.9e1 * t27601 - 0.11e2 / 0.54e2 * t27613 - t5328 * t5032 / 0.6e1 - t1368 * t3281 / 0.6e1 + 0.2e1 / 0.9e1 * t27618 - t890 * t1305 / 0.2e1 - t307 * t5057 / 0.2e1 - t307 * t4809 / 0.4e1 - t28139 - t27625 / 0.18e2;
  t28146 = my_piecewise3(t2, 0, t27710 + t27735 + t27769 + t27801 + t27836 + t27858 + t27891 + t27932 + t27965 + t27998 + t28032 + t28054 + t28075 + t28094 + t28115 + t28141);
  tv4rho3sigma3 = t3 * t28146 + t27692 + t5294;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 3] += tv4rho3sigma3;

  tv4rho3sigma4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 4] += tv4rho3sigma4;

  t28148 = 0.2e1 * t5516;
  t28153 = t3894 * t1390;
  t28170 = t3899 * t1449 / 0.18e2;
  t28171 = t3898 * t1453;
  t28173 = t28171 * t377 / 0.6e1;
  t28175 = t23358 * t457 / 0.6e1;
  t28177 = t5300 * t1087 / 0.18e2;
  t28179 = t3902 * t1385 * t350;
  t28181 = t3903 * t1449;
  t28183 = t23256 * t457;
  t28186 = t23252 * t441 * t350;
  t28188 = t23381 * t457;
  t28190 = t3912 * t1428 / 0.4e1 + t5297 * t997 / 0.12e2 + t28153 * t1402 / 0.3e1 - t3912 * t1424 / 0.4e1 + t3912 * t1413 / 0.2e1 - t3912 * t1420 / 0.2e1 + t3894 * t1431 * t1433 / 0.6e1 - t865 * t1499 / 0.4e1 - t3881 * t453 / 0.4e1 - t28170 + t28173 + t28175 - t28177 + t28179 / 0.54e2 + t28181 / 0.54e2 - t28183 / 0.18e2 + t28186 / 0.54e2 - t28188 / 0.18e2;
  t28191 = t3918 * t1462;
  t28194 = t23408 * t457 / 0.6e1;
  t28196 = t3915 * t1462 / 0.6e1;
  t28197 = t3902 * t1390;
  t28198 = t28197 * t1396;
  t28200 = t23391 * t1408;
  t28202 = t3918 * t1420;
  t28204 = t28197 * t1402;
  t28210 = t3918 * t1413;
  t28213 = t3902 * t1431 * t1433;
  t28215 = t3918 * t1424;
  t28217 = t3918 * t1428;
  t28219 = t5303 * t997;
  t28221 = t3898 * t1390;
  t28223 = t28221 * t1438 / 0.18e2;
  t28225 = t5300 * t1002 / 0.18e2;
  t28232 = -t28191 / 0.18e2 + t28194 + t28196 + t28198 / 0.27e2 + t28200 / 0.9e1 + t28202 / 0.9e1 - 0.2e1 / 0.27e2 * t28204 - t28153 * t1438 / 0.12e2 - t5297 * t1002 / 0.12e2 - t28210 / 0.9e1 - t28213 / 0.27e2 + t28215 / 0.18e2 - t28217 / 0.18e2 - t28219 / 0.54e2 - t28223 - t28225 - t23423 * t1408 / 0.2e1 - t28153 * t1396 / 0.6e1 - t5297 * t1087 / 0.12e2;
  t28234 = t3894 * t1453;
  t28238 = t3885 * t453 / 0.6e1;
  t28239 = t28197 * t1438;
  t28241 = t5303 * t1002;
  t28244 = t28221 * t1396 / 0.9e1;
  t28246 = t23371 * t1408 / 0.3e1;
  t28248 = t3915 * t1424 / 0.6e1;
  t28250 = 0.2e1 / 0.9e1 * t28221 * t1402;
  t28252 = t3915 * t1420 / 0.3e1;
  t28255 = t3898 * t1431 * t1433 / 0.9e1;
  t28257 = t3915 * t1413 / 0.3e1;
  t28271 = t28234 * t377 / 0.4e1 - t28238 + t28239 / 0.54e2 + t28241 / 0.54e2 - t28244 - t28246 - t28248 + t28250 - t28252 + t28255 + t28257 - t27675 / 0.12e2 + t27677 / 0.9e1 - t27680 + t23238 * t457 / 0.4e1 + t3912 * t1462 / 0.4e1 - t3895 * t1449 / 0.12e2 - t3894 * t1385 * t350 / 0.12e2 + t23244 * t457 / 0.4e1;
  t28277 = t23357 * t441 * t350 / 0.18e2;
  t28280 = t3898 * t1385 * t350 / 0.18e2;
  t28281 = t5303 * t1087;
  t28283 = t3902 * t1453;
  t28284 = t28283 * t377;
  t28293 = t869 * t1444 / 0.6e1;
  t28294 = t873 * t1444;
  t28297 = t3915 * t1428 / 0.6e1;
  t28299 = t5300 * t997 / 0.18e2;
  t28301 = t869 * t1499 / 0.6e1;
  t28302 = t3889 * t453;
  t28304 = t873 * t1499;
  t28306 = -t23237 * t441 * t350 / 0.12e2 - t28277 - t28280 + t28281 / 0.54e2 - t28284 / 0.18e2 - t27665 / 0.36e2 + t27668 / 0.27e2 - t27672 + t27683 / 0.12e2 - t27685 / 0.9e1 + t27688 - t865 * t1444 / 0.4e1 - t28293 + t28294 / 0.18e2 + t28297 + t28299 - t28301 + t28302 / 0.18e2 + t28304 / 0.18e2;
  t28309 = my_piecewise3(t100, 0, t28190 + t28232 + t28271 + t28306);
  tv4rho3sigma5 = t3 * t28309 + t28148 + t5319;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 5] += tv4rho3sigma5;

  t28315 = t3953 * t1217;
  t28345 = -t25813 / 0.18e2 + t25816 / 0.54e2 + t25819 / 0.54e2 + t25821 / 0.54e2 - t28315 * t1300 / 0.12e2 + t28315 * t1229 / 0.3e1 - t3959 * t1247 / 0.2e1 - t3959 * t1251 / 0.4e1 + t3959 * t1255 / 0.4e1 - t5519 * t676 / 0.12e2 + t3953 * t1258 * t1260 / 0.6e1 + t5519 * t670 / 0.12e2 + t3959 * t1240 / 0.2e1 - t23097 * t1235 / 0.2e1 - t28315 * t1223 / 0.6e1 + t3959 * t1274 / 0.4e1 + t23153 * t432 / 0.4e1 + t23087 * t432 / 0.4e1;
  t28348 = t3953 * t1292;
  t28361 = t23156 * t416 * t223;
  t28363 = t23160 * t432;
  t28367 = -t3954 * t1288 / 0.12e2 + t28348 * t250 / 0.4e1 - t23149 * t416 * t223 / 0.12e2 - t3953 * t1282 * t223 / 0.12e2 - t5519 * t612 / 0.12e2 - 0.2e1 / 0.27e2 * t26111 - t28361 / 0.36e2 + t28363 / 0.12e2 - t27773 - t27775 + t27810 / 0.27e2 - t27812 / 0.9e1 - t27815 - t27818 - t27821 + t27823 + t27825 + t27827 + t27834;
  t28370 = t3950 * t428;
  t28379 = t26331 / 0.18e2 - t28370 / 0.12e2 - t3946 * t428 / 0.4e1 + t26381 / 0.18e2 + t26383 / 0.18e2 - t26413 - t27915 + t27962 - t27972 - t27974 + t27977 + t27979 - t972 * t1344 / 0.4e1 + t27985 - t27988 - t28009 - t28011 + t28020 + t27057 / 0.54e2;
  t28396 = -t27096 / 0.18e2 - t27098 / 0.18e2 - t27110 + t27112 + t27114 / 0.54e2 - t27117 / 0.18e2 + t27137 / 0.54e2 + t27150 / 0.27e2 - t27168 / 0.18e2 - t27171 / 0.27e2 + t27173 / 0.9e1 + t28072 / 0.9e1 - t27310 / 0.54e2 + t27371 / 0.18e2 - t28099 - t972 * t1305 / 0.4e1 - t27601 / 0.9e1 + t27618 / 0.9e1 - t28139;
  t28399 = my_piecewise3(t2, 0, t28345 + t28367 + t28379 + t28396);
  tv4rho3sigma6 = t3 * t28399 + t27692 + t5530;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 6] += tv4rho3sigma6;

  tv4rho3sigma7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 7] += tv4rho3sigma7;

  t28405 = t24019 * t5596;
  t28407 = t294 * t1470;
  t28408 = t28407 * t5579;
  t28410 = t28407 * t5583;
  t28412 = t294 * t446;
  t28413 = t28412 * t4140;
  t28415 = t294 * t1476;
  t28416 = t28415 * t5568;
  t28418 = t28415 * t5572;
  t28420 = t290 * t1476;
  t28423 = t28415 * t5588;
  t28425 = t28415 * t5592;
  t28427 = t294 * t4404;
  t28428 = t28427 * t5564;
  t28430 = t28415 * t5551;
  t28432 = t28415 * t5556;
  t28434 = t24019 * t5546;
  t28436 = t294 * t5534;
  t28437 = t28436 * t5538;
  t28439 = t294 * t1022;
  t28440 = t28439 * t5543;
  t28442 = -t4099 * t453 / 0.4e1 - t925 * t1499 / 0.2e1 - t28405 / 0.6e1 - t28408 / 0.9e1 + t28410 / 0.9e1 + t28413 / 0.18e2 - t28416 / 0.18e2 + t28418 / 0.12e2 - t28420 * t5592 / 0.3e1 + t28423 / 0.6e1 - t28425 / 0.9e1 + t28428 / 0.2e1 - t28430 / 0.3e1 + 0.2e1 / 0.9e1 * t28432 + t28434 / 0.3e1 - t28437 / 0.3e1 - t28440 / 0.2e1;
  t28443 = t28439 * t5600;
  t28445 = t24019 * t5603;
  t28449 = t290 * t1470;
  t28455 = t290 * t1022;
  t28459 = t290 * t446;
  t28470 = t933 * t5620;
  t28477 = t28443 / 0.3e1 - t28445 / 0.3e1 - t23531 * t5596 / 0.2e1 - t28449 * t5579 / 0.3e1 + t28449 * t5583 / 0.3e1 - t23531 * t5603 + t28455 * t5600 + t28420 * t5572 / 0.4e1 + t28459 * t4140 / 0.6e1 - t28420 * t5568 / 0.6e1 - t4065 * t5777 / 0.2e1 - t23902 * t1408 - t23909 * t1408 + t5489 * t4248 / 0.3e1 + 0.23e2 / 0.36e2 * t28470 * t5790 - t945 * t5793 / 0.2e1 + 0.2e1 / 0.3e1 * t5489 * t5797;
  t28483 = t4045 * t1390;
  t28487 = t4081 * t453;
  t28489 = t929 * t1499;
  t28491 = t5464 * t5797;
  t28493 = t5464 * t4248;
  t28495 = t948 * t5803;
  t28497 = t948 * t5793;
  t28499 = t23858 * t1408;
  t28501 = t937 * t5620;
  t28502 = t28501 * t5790;
  t28504 = t4019 * t1413;
  t28506 = t4040 * t5786;
  t28508 = t4040 * t5777;
  t28510 = t23639 * t1408;
  t28512 = -t4052 * t1420 - t5489 * t5772 / 0.3e1 + t4046 * t1413 - t28483 * t1396 / 0.3e1 - t4065 * t5786 - t28487 / 0.12e2 - t28489 / 0.6e1 + 0.2e1 / 0.9e1 * t28491 + t28493 / 0.9e1 - t28495 / 0.3e1 - t28497 / 0.6e1 - t28499 / 0.3e1 + 0.23e2 / 0.108e3 * t28502 + t28504 / 0.3e1 - t28506 / 0.3e1 - t28508 / 0.6e1 - t28510 / 0.3e1;
  t28513 = t4009 * t1390;
  t28514 = t28513 * t1396;
  t28516 = t937 * t5753;
  t28517 = t28516 * t1396;
  t28519 = t28516 * t1402;
  t28521 = t28501 * t5760;
  t28523 = t5464 * t5772;
  t28525 = t5464 * t5757;
  t28533 = -t28514 / 0.9e1 - t28517 / 0.9e1 + 0.2e1 / 0.9e1 * t28519 - 0.11e2 / 0.54e2 * t28521 - t28523 / 0.9e1 - t28525 / 0.18e2 - t28170 + t28173 + t28175 - t28177 + t28179 / 0.27e2 + t28181 / 0.27e2 - t28183 / 0.9e1 + t28186 / 0.27e2 - t28188 / 0.9e1 - t28191 / 0.9e1 + t28194 + t28196;
  t28544 = t4045 * t1453;
  t28565 = t4013 * t1424;
  t28567 = 0.2e1 / 0.27e2 * t28198 + 0.2e1 / 0.9e1 * t28200 + 0.2e1 / 0.9e1 * t28202 - 0.4e1 / 0.27e2 * t28204 - t934 * t5683 / 0.6e1 - t4058 * t5686 / 0.12e2 + t28544 * t377 / 0.2e1 - t4049 * t1449 / 0.12e2 + t4046 * t1462 / 0.2e1 - t4055 * t1449 / 0.6e1 + t23591 * t457 / 0.2e1 - t28470 * t5636 / 0.2e1 - 0.3e1 * t4065 * t5612 + 0.3e1 / 0.2e1 * t945 * t5617 - 0.3e1 / 0.2e1 * t28470 * t5626 + 0.3e1 / 0.2e1 * t23924 * t5631 - t28565 / 0.6e1;
  t28568 = t948 * t5834;
  t28570 = t28513 * t1438;
  t28572 = t4019 * t1424;
  t28574 = t1354 * t4683;
  t28576 = t5426 * t997;
  t28592 = t933 * t5753;
  t28601 = -t28568 / 0.6e1 - t28570 / 0.18e2 - t28572 / 0.6e1 + t28574 / 0.36e2 + t28576 / 0.18e2 - t5439 * t1002 / 0.6e1 - t1351 * t4726 / 0.6e1 - t1351 * t4719 / 0.12e2 - 0.5e1 / 0.36e2 * t28470 * t6001 - t5448 * t1002 / 0.6e1 - t5489 * t6013 / 0.6e1 - 0.2e1 / 0.9e1 * t28210 - 0.2e1 / 0.27e2 * t28213 + 0.2e1 / 0.3e1 * t28592 * t1402 - t5489 * t5757 / 0.6e1 - 0.11e2 / 0.18e2 * t28470 * t5760 + 0.2e1 / 0.3e1 * t28483 * t1402;
  t28605 = t948 * t6032;
  t28607 = t1354 * t4719;
  t28609 = t1354 * t4726;
  t28611 = t5431 * t1002;
  t28613 = t5426 * t1002;
  t28615 = t28501 * t6001;
  t28617 = t948 * t5617;
  t28619 = t23721 * t5631;
  t28621 = t4040 * t5612;
  t28622 = t28501 * t5626;
  t28624 = t28501 * t5636;
  t28630 = t5414 * t1095;
  t28632 = t4022 * t5669;
  t28634 = t937 * t5673;
  t28635 = t28634 * t1036;
  t28637 = -t28592 * t1396 / 0.3e1 + t28605 / 0.6e1 - t28607 / 0.36e2 - t28609 / 0.18e2 - t28611 / 0.18e2 - t28613 / 0.18e2 - 0.5e1 / 0.108e3 * t28615 + t28617 / 0.2e1 + t28619 / 0.2e1 - t28621 - t28622 / 0.2e1 - t28624 / 0.6e1 - t4058 * t5665 / 0.6e1 + t4058 * t5669 / 0.3e1 + t28630 / 0.6e1 + t28632 / 0.9e1 - t28635 / 0.6e1;
  t28638 = t4022 * t5665;
  t28640 = t1354 * t4487;
  t28642 = t5431 * t1087;
  t28644 = t5426 * t1087;
  t28646 = t5464 * t6013;
  t28648 = t5464 * t5998;
  t28674 = -t28638 / 0.18e2 - t28640 / 0.36e2 - t28642 / 0.18e2 - t28644 / 0.18e2 - t28646 / 0.18e2 - t28648 / 0.36e2 - t290 * t5961 / 0.4e1 + t4045 * t1431 * t1433 / 0.3e1 + t4052 * t1428 / 0.2e1 + t945 * t5819 / 0.4e1 - t945 * t5828 / 0.4e1 + t4046 * t1428 / 0.2e1 - t4052 * t1424 / 0.2e1 - t945 * t5834 / 0.2e1 - t28483 * t1438 / 0.6e1 - t4046 * t1424 / 0.2e1 + t1351 * t4699 / 0.6e1 - t945 * t5803;
  t28696 = t938 * t6008;
  t28698 = t5414 * t980;
  t28700 = t938 * t6017;
  t28702 = t5414 * t1101;
  t28704 = t948 * t6038;
  t28707 = t4009 * t1431 * t1433;
  t28709 = t948 * t5819;
  t28711 = t945 * t5809 / 0.2e1 - t4046 * t1420 + t4052 * t1413 + t945 * t5805 + t945 * t5823 / 0.2e1 - t934 * t6017 / 0.6e1 + 0.3e1 / 0.2e1 * t945 * t6038 - t1351 * t4710 / 0.6e1 - t933 * t6027 * t6029 / 0.2e1 + t945 * t6032 / 0.2e1 + t28696 / 0.36e2 + t28698 / 0.6e1 - t28700 / 0.18e2 - t28702 / 0.12e2 + t28704 / 0.2e1 + t28707 / 0.9e1 + t28709 / 0.12e2;
  t28712 = t948 * t5823;
  t28714 = t4019 * t1428;
  t28716 = t4013 * t1428;
  t28718 = t948 * t5828;
  t28720 = t4013 * t1420;
  t28722 = t948 * t5809;
  t28724 = t4019 * t1420;
  t28726 = t4013 * t1413;
  t28728 = t948 * t5805;
  t28730 = t28501 * t5642;
  t28732 = t937 * t5646;
  t28733 = t28732 * t5648;
  t28735 = t28732 * t5651;
  t28737 = t4040 * t5655;
  t28738 = t948 * t5660;
  t28739 = t28513 * t1402;
  t28745 = t28712 / 0.6e1 + t28714 / 0.6e1 + t28716 / 0.6e1 - t28718 / 0.12e2 - t28720 / 0.3e1 + t28722 / 0.6e1 - t28724 / 0.3e1 + t28726 / 0.3e1 + t28728 / 0.3e1 + 0.7e1 / 0.9e1 * t28730 - 0.2e1 / 0.3e1 * t28733 + t28735 / 0.3e1 + t28737 - t28738 + 0.2e1 / 0.9e1 * t28739 - t5448 * t1087 / 0.6e1 - t5439 * t1087 / 0.6e1;
  t28754 = t294 * t5961;
  t28758 = -t1351 * t4487 / 0.12e2 + t28215 / 0.9e1 - t28217 / 0.9e1 - t28219 / 0.27e2 + 0.7e1 / 0.3e1 * t28470 * t5642 - t28223 - t28225 - t28754 / 0.12e2 - t28238 + t28239 / 0.27e2 + t28241 / 0.27e2 - t28244 - t28246 - t28248 + t28250 - t28252 + t28255;
  t28760 = t933 * t5646;
  t28768 = t4009 * t1453;
  t28769 = t28768 * t377;
  t28771 = t938 * t5683;
  t28773 = t4022 * t5686;
  t28775 = t4004 * t1449;
  t28777 = t4019 * t1462;
  t28779 = t4010 * t1449;
  t28781 = t23733 * t457;
  t28783 = t23736 * t457;
  t28789 = t28516 * t1438;
  t28791 = t28257 + t27677 / 0.18e2 - t27680 + t28760 * t5651 - 0.2e1 * t28760 * t5648 - 0.3e1 * t945 * t5660 + 0.3e1 * t4065 * t5655 + t28769 / 0.6e1 - t28771 / 0.18e2 - t28773 / 0.36e2 - t28775 / 0.36e2 + t28777 / 0.6e1 - t28779 / 0.18e2 + t28781 / 0.12e2 + t28783 / 0.6e1 + t5419 * t980 / 0.2e1 - t5419 * t1101 / 0.4e1 - t28789 / 0.18e2;
  t28800 = t294 * t5749;
  t28802 = t294 * t5746;
  t28804 = t929 * t1444;
  t28810 = t5414 * t1071;
  t28813 = t4009 * t1385 * t350;
  t28815 = t937 * t5716;
  t28816 = t28815 * t377;
  t28819 = t23732 * t441 * t350;
  t28821 = t4013 * t1462;
  t28823 = t948 * t5706;
  t28825 = t934 * t6008 / 0.12e2 - t28592 * t1438 / 0.6e1 - t28277 - t28280 + t28281 / 0.27e2 - t28284 / 0.9e1 - t28800 / 0.12e2 - t28802 / 0.6e1 - t28804 / 0.6e1 - t290 * t5746 / 0.2e1 - t290 * t5749 / 0.4e1 + t28810 / 0.12e2 - t28813 / 0.18e2 + t28816 / 0.6e1 - t28819 / 0.36e2 + t28821 / 0.6e1 + t28823 / 0.12e2;
  t28826 = t23729 * t457;
  t28829 = t937 * t5725 * t350;
  t28831 = t4016 * t1449;
  t28833 = t933 * t5716;
  t28857 = t5414 * t1046;
  t28861 = t933 * t5673;
  t28866 = t28826 / 0.12e2 - t28829 / 0.36e2 + t28831 / 0.18e2 + t28833 * t377 / 0.2e1 + t5419 * t1071 / 0.4e1 + t23607 * t457 / 0.4e1 - t23606 * t441 * t350 / 0.12e2 - t4045 * t1385 * t350 / 0.6e1 + t4052 * t1462 / 0.2e1 + t945 * t5706 / 0.4e1 + t4037 * t1449 / 0.6e1 - t933 * t5725 * t350 / 0.12e2 + t23596 * t457 / 0.4e1 - t28857 / 0.6e1 - t5419 * t1046 / 0.2e1 - t28861 * t1036 / 0.2e1 + t5419 * t1095 / 0.2e1;
  t28874 = t937 * t6027 * t6029;
  t28876 = t1354 * t4710;
  t28880 = t1354 * t4699;
  t28882 = t5431 * t997;
  t28884 = t5477 * t4662;
  t28886 = -t925 * t1444 / 0.2e1 + t27668 / 0.54e2 - t27672 - t27685 / 0.18e2 + t27688 - t28293 + t28294 / 0.9e1 + t28297 + t28299 - t28874 / 0.6e1 - t28876 / 0.18e2 - t28301 + t28302 / 0.9e1 + t28304 / 0.9e1 + t28880 / 0.18e2 + t28882 / 0.18e2 + t28884 / 0.18e2;
  t28887 = t28732 * t5980;
  t28890 = t937 * t5985 * t1433;
  t28892 = t5477 * t5989;
  t28913 = t290 * t4404;
  t28922 = t290 * t5534;
  t28924 = t28887 / 0.6e1 + t28890 / 0.9e1 + t28892 / 0.9e1 - t5489 * t5998 / 0.12e2 + t1351 * t4683 / 0.12e2 + t5448 * t997 / 0.6e1 + t5439 * t997 / 0.6e1 + t5508 * t4662 / 0.6e1 + t28760 * t5980 / 0.2e1 + t933 * t5985 * t1433 / 0.3e1 + t5508 * t5989 / 0.3e1 + t28420 * t5588 / 0.2e1 + 0.3e1 / 0.2e1 * t28913 * t5564 + 0.2e1 / 0.3e1 * t28420 * t5556 + t23531 * t5546 - t28420 * t5551 - 0.3e1 / 0.2e1 * t28455 * t5543 - t28922 * t5538;
  t28929 = my_piecewise3(t100, 0, t28442 + t28477 + t28512 + t28533 + t28567 + t28601 + t28637 + t28674 + t28711 + t28745 + t28758 + t28791 + t28825 + t28866 + t28886 + t28924);
  tv4rho3sigma8 = t3 * t28929 + t28148 + t6056;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 8] += tv4rho3sigma8;

  t28945 = -t23490 * t416 * t223 / 0.12e2 - t28361 / 0.12e2 + t27810 / 0.18e2 - t27110 - t4129 * t428 / 0.4e1 - t28370 / 0.4e1 + t28072 / 0.6e1 - t26413 + t23496 * t432 / 0.4e1 + t28363 / 0.4e1 - t27812 / 0.6e1 + t27112;
  t28946 = my_piecewise3(t2, 0, t28945);
  tv4rho3sigma9 = t3 * t28946 + 0.3e1 * t5530;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 9] += tv4rho3sigma9;

  tv4rho3sigma10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 10] += tv4rho3sigma10;

  t28949 = t1074 * t5646;
  t28954 = t110 * t5855;
  t28955 = t1069 * t333;
  t28956 = t168 * t28955;
  t28957 = t10458 * t28956;
  t28961 = t110 * t452 * t4143;
  t28964 = t1182 * t452;
  t28965 = t28964 * t4139;
  t28983 = t380 * t24195;
  t28984 = t5591 * t28983;
  t28987 = t4408 * t24154;
  t29000 = t1093 * t28955;
  t29004 = t4549 * t24154;
  t29008 = 0.3e1 * t28949 * t5651 + 0.3e1 / 0.2e1 * t1454 * t4185 - 0.5e1 / 0.12e2 * t28954 * t28957 - 0.3e1 / 0.4e1 * t28961 * t4148 + t4136 * t28965 / 0.4e1 - 0.3e1 * t24205 * t5603 - 0.3e1 * t24209 * t5603 - 0.3e1 / 0.2e1 * t4145 * t24212 * t1416 * t1419 - 0.3e1 * t4145 * t4146 * t5801 * t1419 - 0.3e1 / 0.2e1 * t4145 * t5602 * t4667 - t5548 * t28984 / 0.2e1 + 0.5e1 / 0.2e1 * t5559 * t1476 * t28987 - 0.3e1 / 0.2e1 * t5535 * t5537 * t5776 - 0.5e1 / 0.3e1 * t5548 * t24166 + t5548 * t24197 + 0.3e1 / 0.2e1 * t4145 * t5537 * t5808 - 0.9e1 * t5540 * t5860 * t29000 - 0.5e1 / 0.2e1 * t5540 * t1476 * t29004;
  t29009 = t69 * t333;
  t29010 = t29009 * t4375;
  t29011 = t110 * t29010;
  t29012 = t439 * t1069;
  t29013 = t1021 * t29012;
  t29014 = t10485 * t29013;
  t29017 = t110 * t5860;
  t29018 = t5553 * t28956;
  t29023 = t4413 * t453;
  t29026 = t4364 * t5668;
  t29029 = t452 * t4403;
  t29030 = t4369 * t29029;
  t29035 = t1015 * t1499;
  t29038 = t4364 * t453;
  t29041 = t4369 * t5668;
  t29044 = t1074 * t5673;
  t29052 = t321 * t369 * t1497 * t1027;
  t29061 = 0.7e1 * t29011 * t29014 + 0.3e1 / 0.2e1 * t29017 * t29018 + 0.3e1 / 0.2e1 * t1454 * t4410 - t4359 * t29023 / 0.2e1 + 0.7e1 / 0.3e1 * t4359 * t29026 - 0.3e1 / 0.2e1 * t4359 * t29030 + 0.3e1 / 0.2e1 * t5689 * t1095 - t1010 * t29035 / 0.2e1 - 0.11e2 / 0.18e2 * t4359 * t29038 + 0.23e2 / 0.36e2 * t4359 * t29041 - 0.3e1 / 0.2e1 * t29044 * t1036 - t4347 * t5665 / 0.2e1 + t4347 * t5669 - 0.3e1 / 0.2e1 * t29052 * t1036 + 0.3e1 / 0.2e1 * t5717 * t1095 - t28405 / 0.2e1 - t28408 / 0.3e1 + t28410 / 0.3e1 + t28413 / 0.6e1;
  t29073 = t346 * t348 * t4479;
  t29082 = t1400 * t4460 * t1394;
  t29085 = -t28416 / 0.6e1 + t28418 / 0.4e1 + t28423 / 0.2e1 - t28425 / 0.3e1 + 0.3e1 / 0.2e1 * t28428 - t28430 + 0.2e1 / 0.3e1 * t28432 + t28434 - t28437 - 0.3e1 / 0.2e1 * t28440 + t28443 - t28445 + t1391 * t25237 / 0.3e1 - t373 * t1417 * t29073 / 0.2e1 + 0.2e1 * t5763 * t5797 + 0.2e1 * t5754 * t5797 + t1391 * t29082 + t1391 * t25232;
  t29090 = t1497 * t146;
  t29092 = t987 * t29090 * t995;
  t29096 = t987 * t6006 * t4681;
  t29099 = t4686 * t6007;
  t29104 = t321 * t3512 * t4330 * t24085;
  t29107 = t439 * t24370;
  t29109 = t321 * t21182 * t29107;
  t29110 = t24376 * t5622;
  t29111 = t167 * t4330;
  t29112 = t988 * t29111;
  t29113 = t29110 * t29112;
  t29120 = t988 * t25235;
  t29121 = t1400 * t29120;
  t29124 = t1074 * t5620;
  t29127 = t1074 * t5753;
  t29130 = t5704 * t1007;
  t29132 = t321 * t616 * t29130;
  t29139 = t1383 * t4356;
  t29141 = t321 * t3512 * t29139;
  t29146 = t24531 * t1394;
  t29147 = t1400 * t29146;
  t29152 = -t4189 * t9297 / 0.2e1 + t1084 * t6008 / 0.6e1 + t338 * t29092 / 0.4e1 + t338 * t29096 / 0.12e2 + t1010 * t29099 / 0.4e1 - 0.28e2 * t29104 * t17061 - 0.38e2 / 0.9e1 * t29109 * t29113 + 0.18e2 * t29104 * t17184 - t5763 * t5998 / 0.4e1 - t1391 * t29121 / 0.12e2 - 0.5e1 / 0.12e2 * t29124 * t6001 - t29127 * t1438 / 0.2e1 - t29132 * t1438 / 0.4e1 - t5754 * t6013 / 0.2e1 - t5754 * t5998 / 0.4e1 - 0.5e1 / 0.12e2 * t29141 * t6001 - t5763 * t6013 / 0.2e1 - t1391 * t29147 / 0.4e1 - t1051 * t6008 / 0.3e1;
  t29157 = t4697 * t4246;
  t29158 = t1400 * t29157;
  t29161 = t4697 * t5624;
  t29162 = t5623 * t29161;
  t29167 = t1074 * t24272;
  t29180 = t4453 * t1390;
  t29186 = t1031 * t29130;
  t29194 = t5623 * t1028 * t9413;
  t29199 = t1075 * t6008 / 0.4e1 - t1391 * t29158 / 0.4e1 - 0.5e1 / 0.12e2 * t5621 * t29162 - 0.3e1 / 0.2e1 * t4349 * t5777 - 0.9e1 / 0.2e1 * t29167 * t17184 - 0.3e1 / 0.2e1 * t25078 * t1408 - 0.3e1 * t4383 * t5786 + t5763 * t4248 + t5754 * t4248 + 0.3e1 / 0.2e1 * t4454 * t1413 + 0.7e1 * t29167 * t17061 - t29180 * t1396 / 0.2e1 - t29127 * t1396 - 0.3e1 / 0.2e1 * t4383 * t5777 - 0.3e1 / 0.2e1 * t1030 * t29186 * t1407 - 0.3e1 / 0.2e1 * t1030 * t5785 * t5776 - 0.9e1 / 0.2e1 * t24273 * t29194 - 0.3e1 / 0.2e1 * t25066 * t1408;
  t29207 = t321 * t616 * t5608;
  t29208 = t1393 * t29112;
  t29211 = t371 * t29111;
  t29212 = t1400 * t29211;
  t29219 = t1393 * t29146;
  t29222 = t1393 * t29157;
  t29225 = t1393 * t29120;
  t29237 = t1013 * t1019 * t4479;
  t29243 = -0.3e1 * t25071 * t1408 - 0.3e1 * t4349 * t5786 - t28487 / 0.4e1 - t28489 / 0.2e1 - 0.6e1 * t29207 * t29208 + 0.12e2 * t29207 * t29212 + t29132 * t1402 + t29180 * t1402 + 0.2e1 * t29127 * t1402 - t1391 * t29219 / 0.2e1 - t1391 * t29222 / 0.2e1 - t1391 * t29225 / 0.6e1 - t5763 * t5772 - t5763 * t5757 / 0.2e1 - t29132 * t1396 / 0.2e1 - t5754 * t5772 - t5754 * t5757 / 0.2e1 - t1030 * t1405 * t29237 / 0.2e1 + 0.3e1 / 0.4e1 * t1056 * t5706;
  t29252 = my_piecewise3(t129, t322, -0.308e3 / 0.81e2 * params->gamma * t4475);
  t29273 = t1020 * t1498 * t1021;
  t29293 = 0.3e1 / 0.4e1 * t1078 * t5706 - t1074 * t5725 * t350 / 0.4e1 - t321 * t194 * t29252 * t335 * t350 / 0.12e2 - t5726 * t1087 / 0.4e1 + 0.3e1 / 0.4e1 * t24656 * t457 + t25331 * t457 / 0.4e1 + t25327 * t457 / 0.4e1 + 0.3e1 / 0.4e1 * t25320 * t457 + 0.3e1 / 0.4e1 * t4454 * t1462 + 0.3e1 / 0.4e1 * t5717 * t1071 + t1010 * t29273 + 0.3e1 / 0.4e1 * t5689 * t1071 - t5712 * t1087 / 0.2e1 + t373 * t374 * t29252 * t376 / 0.4e1 - t25323 * t441 * t350 / 0.12e2 - t4453 * t1385 * t350 / 0.4e1 - t5709 * t1087 / 0.4e1 + 0.3e1 / 0.4e1 * t4462 * t1462;
  t29311 = t4369 * t453;
  t29314 = t1020 * t1499;
  t29329 = 0.3e1 / 0.2e1 * t4457 * t1462 + t4345 * t5665 + 0.3e1 * t5674 * t4336 - 0.3e1 * t1454 * t4340 - t4421 * t1449 / 0.2e1 + 0.3e1 / 0.2e1 * t1454 * t4427 - t1386 * t4487 / 0.4e1 - t442 * t25333 / 0.12e2 - t1378 * t4487 / 0.4e1 - 0.5e1 / 0.36e2 * t4359 * t29311 - t1010 * t29314 / 0.4e1 - t4482 * t1449 / 0.12e2 - t1084 * t5683 / 0.4e1 - t4500 * t1449 / 0.4e1 - t4347 * t5686 / 0.4e1 + t1454 * t4494 / 0.4e1 + 0.2e1 / 0.3e1 * t28491 + t28493 / 0.3e1 - t28495;
  t29346 = t1383 * t4333;
  t29347 = t1031 * t29346;
  t29352 = t5623 * t4381 * t5624;
  t29356 = -t28497 / 0.2e1 - t28499 + 0.23e2 / 0.36e2 * t28502 + t28504 - t28506 - t28508 / 0.2e1 - t28510 - t28514 / 0.3e1 - t28517 / 0.3e1 + 0.2e1 / 0.3e1 * t28519 - 0.11e2 / 0.18e2 * t28521 - t28523 / 0.3e1 - t28525 / 0.6e1 - 0.9e1 * t4349 * t5612 + 0.9e1 / 0.2e1 * t24589 * t5631 + 0.9e1 * t1030 * t29347 * t5654 - 0.9e1 / 0.2e1 * t5621 * t29352 + t28179 / 0.18e2;
  t29374 = t1000 * t29120;
  t29387 = t28181 / 0.18e2 - t28183 / 0.6e1 + t28186 / 0.18e2 - t28188 / 0.6e1 - t28191 / 0.6e1 + t28198 / 0.9e1 + t28200 / 0.3e1 + t28202 / 0.3e1 - 0.2e1 / 0.9e1 * t28204 + t5726 * t997 / 0.4e1 + t1386 * t4699 / 0.2e1 + t1386 * t4683 / 0.4e1 + t5814 * t4662 / 0.2e1 + t1432 * t29374 / 0.6e1 + 0.3e1 / 0.2e1 * t28949 * t5980 + t442 * t25564 / 0.4e1 + t442 * t25578 / 0.12e2 - t29180 * t1438 / 0.4e1 + t5709 * t997 / 0.4e1;
  t29401 = t374 * t5724;
  t29424 = t5634 * t29161;
  t29427 = t4373 * t29139;
  t29431 = t5712 * t997 / 0.2e1 + t1378 * t4699 / 0.2e1 + t1378 * t4683 / 0.4e1 - 0.3e1 / 0.4e1 * t4462 * t1424 - 0.3e1 / 0.2e1 * t1056 * t5834 - 0.3e1 / 0.4e1 * t1056 * t5828 - 0.3e1 / 0.4e1 * t373 * t29401 * t1100 - 0.3e1 / 0.4e1 * t373 * t5833 * t4225 - 0.3e1 / 0.4e1 * t4454 * t1424 - 0.3e1 / 0.2e1 * t4457 * t1424 - 0.3e1 / 0.2e1 * t1078 * t5834 - 0.3e1 / 0.4e1 * t1078 * t5828 + t442 * t25508 / 0.4e1 + 0.3e1 / 0.4e1 * t1078 * t5819 + 0.3e1 / 0.2e1 * t1078 * t5823 + 0.3e1 / 0.4e1 * t4462 * t1428 - 0.3e1 / 0.2e1 * t5621 * t29424 + 0.9e1 / 0.2e1 * t4395 * t29427 * t5630;
  t29437 = t24376 * t24448 * t139;
  t29438 = t29437 * t29211;
  t29442 = t24376 * t24377 * t139;
  t29443 = t1028 * t29111;
  t29444 = t29442 * t29443;
  t29462 = t439 * t24085;
  t29464 = t321 * t3512 * t29462;
  t29465 = t5634 * t29112;
  t29468 = t4373 * t29462;
  t29469 = t4363 * t4330;
  t29470 = t4362 * t29469;
  t29474 = t1019 * t4330;
  t29475 = t4362 * t29474;
  t29479 = t4368 * t4330;
  t29480 = t4362 * t29479;
  t29489 = 0.9e1 / 0.2e1 * t1078 * t5617 - 0.3e1 / 0.2e1 * t29124 * t5636 + 0.89e2 / 0.9e1 * t29109 * t29438 - 0.43e2 / 0.9e1 * t29109 * t29444 + 0.9e1 / 0.2e1 * t24584 * t5631 - 0.3e1 / 0.2e1 * t29141 * t5636 + 0.3e1 / 0.4e1 * t373 * t4676 * t1467 * t376 - t373 * t1423 * t25199 / 0.4e1 + 0.3e1 / 0.4e1 * t4454 * t1428 + 0.3e1 / 0.2e1 * t4457 * t1428 + 0.6e1 * t29464 * t29465 + 0.36e2 * t1030 * t29468 * t29470 - 0.18e2 * t373 * t29468 * t29475 - 0.18e2 * t4395 * t29468 * t29480 - t28565 / 0.2e1 - t28568 / 0.2e1 - t28570 / 0.6e1 - t28572 / 0.2e1 + t28574 / 0.12e2;
  t29498 = t24794 * t145;
  t29499 = t994 * t1005;
  t29500 = t1021 * t29499;
  t29501 = t29498 * t29500;
  t29504 = t4408 * t29499;
  t29508 = t403 * t1005;
  t29509 = t380 * t29508;
  t29510 = t10485 * t29509;
  t29513 = t4143 * t29508;
  t29514 = t10458 * t29513;
  t29517 = t24848 * t145;
  t29518 = t168 * t29499;
  t29519 = t29517 * t29518;
  t29522 = t5553 * t29513;
  t29525 = t5591 * t29509;
  t29528 = t5549 * t29500;
  t29531 = t5587 * t29518;
  t29538 = t1000 * t29161;
  t29541 = t1400 * t29112;
  t29550 = t28576 / 0.6e1 - 0.3e1 / 0.4e1 * t110 * t1498 * t1146 - 0.3e1 / 0.4e1 * t318 * t5749 - 0.23e2 / 0.6e1 * t28954 * t29501 - 0.14e2 * t5559 * t5860 * t29504 - 0.11e2 / 0.6e1 * t28954 * t29510 + 0.23e2 / 0.12e2 * t28954 * t29514 + 0.11e2 / 0.3e1 * t28954 * t29519 - 0.6e1 * t29017 * t29522 + 0.3e1 * t29017 * t29525 + 0.28e2 / 0.3e1 * t29017 * t29528 - 0.14e2 / 0.3e1 * t29017 * t29531 - 0.3e1 / 0.2e1 * t321 * t194 * t5752 * t6029 - 0.3e1 / 0.2e1 * t6028 * t29538 - 0.3e1 * t29207 * t29541 + 0.3e1 / 0.2e1 * t1078 * t6032 + 0.3e1 / 0.2e1 * t1056 * t6032 - t1378 * t4710 / 0.2e1;
  t29555 = t24376 * t5639;
  t29556 = t29555 * t29112;
  t29568 = t1000 * t29090 * t978;
  t29576 = t1031 * t5608;
  t29578 = t1013 * t1014 * t4330;
  t29582 = t1393 * t6016;
  t29586 = t1400 * t1452 * t978;
  t29590 = t1013 * t29474;
  t29594 = t25083 * t29107;
  t29595 = t24376 * t29469;
  t29602 = t29437 * t29443;
  t29606 = t29442 * t4393 * t29111;
  t29610 = t24376 * t24377 * t4330;
  t29614 = -t1386 * t4710 / 0.2e1 - t442 * t24572 / 0.2e1 - 0.2e1 * t29109 * t29556 + 0.9e1 / 0.2e1 * t373 * t374 * t5752 * t6037 - t1075 * t6017 / 0.2e1 - t1084 * t6017 / 0.4e1 - t338 * t29568 / 0.2e1 - 0.3e1 / 0.2e1 * t1074 * t6027 * t6029 - 0.3e1 / 0.2e1 * t5674 * t4153 + 0.18e2 * t373 * t29576 * t29578 - t1010 * t29582 / 0.2e1 + t1010 * t29586 + 0.3e1 / 0.2e1 * t5674 * t4172 - 0.18e2 * t1030 * t29576 * t29590 + 0.6e1 * t373 * t29594 * t29595 + 0.47e2 / 0.3e1 * t29109 * t29110 * t29211 - 0.62e2 / 0.3e1 * t29109 * t29602 + 0.8e1 * t29109 * t29606 - 0.6e1 * t25375 * t29594 * t29610;
  t29617 = t24376 * t24448 * t4330;
  t29622 = t1000 * t6006 * t4676;
  t29625 = t24376 * t29479;
  t29635 = t5704 * t1043;
  t29648 = t5623 * t29112;
  t29652 = t321 * t616 * t29346;
  t29667 = 0.18e2 * t4395 * t29594 * t29617 - t338 * t29622 / 0.4e1 - 0.18e2 * t1030 * t29594 * t29625 - 0.3e1 / 0.2e1 * t4462 * t1420 - 0.3e1 * t1056 * t5803 - 0.3e1 / 0.2e1 * t1056 * t5793 - 0.3e1 / 0.2e1 * t373 * t374 * t29635 * t1419 - 0.3e1 / 0.2e1 * t373 * t5802 * t4667 - 0.9e1 * t1056 * t5660 - 0.9e1 * t373 * t29347 * t5659 + 0.5e1 / 0.3e1 * t29464 * t29648 + 0.3e1 / 0.2e1 * t29652 * t5980 - 0.9e1 * t1030 * t29427 * t5611 + 0.9e1 / 0.2e1 * t373 * t29427 * t5616 + 0.9e1 * t4349 * t5655 - 0.9e1 * t1078 * t5660 - t28210 / 0.3e1 - t28213 / 0.9e1;
  t29680 = t1393 * t29161;
  t29683 = t1054 * t5624;
  t29684 = t1400 * t29683;
  t29687 = t5640 * t29112;
  t29690 = t5623 * t29211;
  t29695 = t5640 * t29161;
  t29698 = t5623 * t29683;
  t29701 = t29437 * t29112;
  t29704 = t29442 * t29211;
  t29710 = t1400 * t1452 * t4246;
  t29714 = -0.6e1 * t28949 * t5648 - 0.9e1 * t4383 * t5612 + 0.9e1 / 0.2e1 * t1056 * t5617 - 0.11e2 / 0.6e1 * t29124 * t5760 + 0.23e2 / 0.12e2 * t29124 * t5790 - 0.6e1 * t29652 * t5648 + 0.3e1 * t5647 * t29680 - 0.6e1 * t5647 * t29684 + 0.22e2 / 0.3e1 * t29464 * t29687 - 0.23e2 / 0.3e1 * t29464 * t29690 + 0.3e1 * t29652 * t5651 - 0.11e2 / 0.6e1 * t5621 * t29695 + 0.23e2 / 0.12e2 * t5621 * t29698 - 0.61e2 / 0.27e2 * t29109 * t29701 + 0.44e2 / 0.27e2 * t29109 * t29704 - t4189 * t9408 / 0.4e1 + t4245 * t29710 + t28605 / 0.2e1 - t28607 / 0.12e2;
  t29740 = -t28609 / 0.6e1 - t28611 / 0.6e1 - t28613 / 0.6e1 - 0.5e1 / 0.36e2 * t28615 + 0.3e1 / 0.2e1 * t28617 + 0.3e1 / 0.2e1 * t28619 - 0.3e1 * t28621 - 0.3e1 / 0.2e1 * t28622 - t28624 / 0.2e1 + t4345 * t5686 / 0.2e1 + t4432 * t1449 / 0.2e1 + t1051 * t5683 / 0.2e1 + t28630 / 0.2e1 + t28632 / 0.3e1 - t28635 / 0.2e1 - t28638 / 0.6e1 - t28640 / 0.12e2 - t28642 / 0.6e1;
  t29754 = t1000 * t29146;
  t29757 = t1000 * t29157;
  t29764 = t318 * t4404;
  t29767 = t318 * t1022;
  t29770 = t110 * t25119;
  t29773 = t110 * t4437;
  t29779 = t318 * t1476;
  t29784 = -t28644 / 0.6e1 - t28646 / 0.6e1 - t28648 / 0.12e2 + t1074 * t5985 * t1433 + t321 * t194 * t29635 * t1433 / 0.2e1 + t5986 * t5989 + t5986 * t4662 / 0.2e1 + t5814 * t5989 + t1432 * t29754 / 0.2e1 + t1432 * t29757 / 0.2e1 - t442 * t24533 / 0.4e1 - t442 * t24536 / 0.4e1 + 0.9e1 / 0.2e1 * t29764 * t5564 - 0.9e1 / 0.2e1 * t29767 * t5543 + 0.9e1 / 0.2e1 * t29770 * t5564 - 0.9e1 / 0.2e1 * t29773 * t5543 + 0.9e1 / 0.2e1 * t5559 * t5872 * t24182 + 0.3e1 / 0.2e1 * t29779 * t5588 - 0.3e1 * t29779 * t5551;
  t29786 = t110 * t5872;
  t29791 = t4549 * t365;
  t29792 = t29791 * t5571;
  t29795 = t4408 * t365;
  t29796 = t29795 * t5550;
  t29799 = t4223 * t333;
  t29800 = t168 * t29799;
  t29801 = t5587 * t29800;
  t29805 = t5549 * t1021 * t29799;
  t29813 = t5591 * t28956;
  t29816 = t1021 * t28955;
  t29817 = t5553 * t29816;
  t29823 = t1093 * t365;
  t29824 = t29823 * t5567;
  t29828 = 0.3e1 / 0.2e1 * t29786 * t5588 - 0.3e1 * t29786 * t5551 + 0.3e1 / 0.2e1 * t5548 * t29792 - 0.3e1 * t5548 * t29796 + 0.2e1 / 0.3e1 * t5548 * t29801 - 0.4e1 / 0.3e1 * t5548 * t29805 + t28696 / 0.12e2 + t28698 / 0.2e1 - t28700 / 0.6e1 - t28702 / 0.4e1 + 0.3e1 / 0.2e1 * t28704 + 0.3e1 * t29017 * t29813 - 0.6e1 * t29017 * t29817 - t29786 * t5592 + 0.2e1 * t29786 * t5556 - t5548 * t29824 + t28707 / 0.3e1 + t28709 / 0.4e1;
  t29844 = t28712 / 0.2e1 + t28714 / 0.2e1 + t28716 / 0.2e1 - t28718 / 0.4e1 - t28720 + t28722 / 0.2e1 - t28724 + t28726 + t28728 + 0.7e1 / 0.3e1 * t28730 - 0.2e1 * t28733 + t28735 + 0.3e1 * t28737 - 0.3e1 * t28738 + 0.2e1 / 0.3e1 * t28739 + t28215 / 0.6e1 - t28217 / 0.6e1 - t28219 / 0.18e2 - 0.3e1 / 0.4e1 * t5717 * t1101;
  t29852 = t4686 * t1452 * t995;
  t29868 = t6006 * t4246;
  t29869 = t1000 * t29868;
  t29877 = t29442 * t29112;
  t29886 = -t1454 * t4195 / 0.2e1 - t1454 * t4226 / 0.4e1 - t1010 * t29852 + 0.3e1 / 0.2e1 * t5689 * t980 + 0.3e1 / 0.2e1 * t5717 * t980 + 0.3e1 / 0.4e1 * t1454 * t4678 + 0.3e1 / 0.4e1 * t1454 * t4652 + t1454 * t4233 - 0.3e1 / 0.2e1 * t1454 * t4236 - 0.3e1 / 0.4e1 * t5689 * t1101 - t28754 / 0.4e1 + t4660 * t29869 / 0.2e1 - t110 * t452 * t4314 / 0.4e1 - t442 * t24540 / 0.12e2 - 0.35e2 / 0.108e3 * t29109 * t29877 - t5709 * t1002 / 0.4e1 - t5712 * t1002 / 0.2e1 - t1378 * t4726 / 0.2e1;
  t29896 = t29498 * t4403 * t29499;
  t29899 = t24794 * t29499;
  t29903 = t403 * t69;
  t29904 = t29903 * t5608;
  t29908 = t5549 * t29509;
  t29911 = t24823 * t145;
  t29912 = t29911 * t29518;
  t29917 = t1400 * t29161;
  t29921 = t4707 * t6006 * t4708;
  t29930 = t346 * t348 * t4330;
  t29939 = t1000 * t29112;
  t29944 = -t1378 * t4719 / 0.4e1 - t5726 * t1002 / 0.4e1 - t1386 * t4726 / 0.2e1 - t1386 * t4719 / 0.4e1 + 0.9e1 * t28954 * t29896 - 0.9e1 * t10506 * t5855 * t29899 + 0.9e1 / 0.2e1 * t4145 * t29904 * t5616 - 0.3e1 / 0.2e1 * t28954 * t29908 + 0.3e1 * t28954 * t29912 + t28239 / 0.18e2 + t28241 / 0.18e2 + 0.3e1 / 0.2e1 * t5647 * t29917 - t338 * t29921 / 0.6e1 + t1454 * t4715 / 0.2e1 + t1051 * t6017 / 0.2e1 - 0.6e1 * t373 * t374 * t5645 * t29930 - 0.3e1 / 0.2e1 * t373 * t1423 * t25596 + 0.2e1 * t321 * t194 * t5645 * t29939 + t442 * t25546 / 0.2e1;
  t29946 = t1182 * t29499;
  t29950 = t356 * t28955;
  t29968 = t1182 * t29799;
  t29976 = t24212 * t440;
  t29980 = t4138 * t333;
  t29981 = t380 * t29980;
  t29982 = t5587 * t29981;
  t29986 = t5549 * t4143 * t29980;
  t29990 = t4161 * t4170 * t333;
  t29995 = t4161 * t4175 * t333;
  t29999 = t5549 * t28956;
  t30002 = t4396 * t28955;
  t30007 = t10458 * t4403 * t28955;
  t30010 = -0.9e1 / 0.2e1 * t5540 * t5905 * t29946 + 0.9e1 / 0.2e1 * t5540 * t5905 * t29950 + 0.9e1 / 0.2e1 * t4145 * t4146 * t1389 * t6037 + 0.3e1 * t29767 * t5600 + 0.3e1 * t29773 * t5600 + 0.3e1 * t5540 * t5886 * t5599 + 0.3e1 / 0.2e1 * t5540 * t1470 * t24155 + 0.3e1 / 0.2e1 * t5540 * t1470 * t29968 - 0.3e1 / 0.2e1 * t24205 * t5596 - 0.3e1 / 0.2e1 * t24209 * t5596 - 0.3e1 / 0.4e1 * t4145 * t29976 * t1100 + 0.3e1 / 0.2e1 * t5548 * t29982 - 0.3e1 * t5548 * t29986 + 0.9e1 / 0.2e1 * t5535 * t5537 * t29990 - 0.9e1 / 0.2e1 * t4145 * t5537 * t29995 - 0.3e1 / 0.2e1 * t28954 * t29999 + 0.9e1 / 0.2e1 * t10506 * t5855 * t30002 - 0.9e1 / 0.2e1 * t28954 * t30007;
  t30011 = t1034 * t28955;
  t30017 = t24848 * t29499;
  t30021 = t24823 * t29499;
  t30030 = t110 * t145 * t4392 * params->at;
  t30040 = t349 * t5961;
  t30045 = t321 * t369 * t5959 * t370;
  t30048 = t1074 * t5716;
  t30053 = t4453 * t1453;
  t30060 = t321 * t369 * t451 * t4392;
  t30066 = 0.9e1 * t5559 * t5860 * t30011 - 0.3e1 / 0.2e1 * t5674 * t4182 - t27680 + 0.18e2 * t5559 * t5855 * t30017 - 0.9e1 * t5540 * t5855 * t30021 - 0.9e1 * t5535 * t29904 * t5611 + 0.9e1 / 0.2e1 * t30030 * t29904 * t5630 - 0.3e1 / 0.2e1 * t5689 * t1046 - 0.3e1 / 0.2e1 * t5717 * t1046 - 0.2e1 * t4345 * t5669 - t338 * t30040 / 0.4e1 + 0.3e1 / 0.4e1 * t30045 * t377 + 0.3e1 / 0.2e1 * t30048 * t377 - t4497 * t1449 / 0.4e1 + 0.3e1 / 0.4e1 * t30053 * t377 - t1075 * t5683 / 0.2e1 + 0.3e1 / 0.2e1 * t30060 * t4398 - 0.3e1 * t5674 * t4378 + t28769 / 0.2e1;
  t30081 = t5640 * t9426;
  t30105 = -t28771 / 0.6e1 - t28773 / 0.12e2 - t28775 / 0.12e2 + t28777 / 0.2e1 - t28779 / 0.6e1 + t28781 / 0.4e1 + t28783 / 0.2e1 - t28789 / 0.6e1 + 0.3e1 / 0.2e1 * t373 * t5785 * t5808 + 0.7e1 * t24273 * t30081 + 0.3e1 / 0.2e1 * t1078 * t5809 + 0.3e1 / 0.4e1 * t373 * t978 * t5920 * t376 + t4453 * t1431 * t1433 / 0.2e1 + 0.3e1 * t4457 * t1413 + 0.3e1 / 0.2e1 * t4462 * t1413 + 0.3e1 / 0.4e1 * t1056 * t5819 + 0.3e1 / 0.2e1 * t1056 * t5823 + t373 * t24538 * t445 * t376 / 0.4e1;
  t30107 = t1013 * t1014 * t4479;
  t30123 = t5640 * t10593;
  t30138 = t4408 * t29799;
  t30142 = t4549 * t29799;
  t30146 = t318 * t5534;
  t30152 = t110 * t365 * t5533;
  t30157 = t373 * t1405 * t30107 / 0.2e1 - 0.3e1 / 0.2e1 * t4454 * t1420 - 0.3e1 * t4457 * t1420 - 0.3e1 * t1078 * t5803 - 0.3e1 / 0.2e1 * t1078 * t5793 + 0.3e1 * t1056 * t5805 + 0.3e1 / 0.2e1 * t1056 * t5809 + 0.7e1 * t24273 * t30123 + 0.3e1 * t1078 * t5805 + 0.3e1 / 0.2e1 * t373 * t29186 * t1412 - 0.3e1 / 0.2e1 * t318 * t5746 - 0.3e1 / 0.4e1 * t1165 * t1444 - 0.9e1 / 0.2e1 * t5540 * t5872 * t5542 + 0.2e1 * t5559 * t1476 * t30138 - 0.2e1 * t5540 * t1476 * t30142 - 0.3e1 * t30146 * t5538 + 0.3e1 * t24205 * t5546 - 0.3e1 * t30152 * t5538 + 0.3e1 * t24209 * t5546;
  t30159 = t1145 * t615;
  t30160 = t30159 * t1389;
  t30164 = t4376 * t28955;
  t30168 = t4408 * t28955;
  t30175 = t5536 * t5752;
  t30184 = t5553 * t29509;
  t30187 = t5549 * t29518;
  t30194 = t4162 * t6007;
  t30202 = t5536 * t5645;
  t30206 = t4549 * t29499;
  t30213 = -0.3e1 / 0.2e1 * t5535 * t30160 * t1407 - 0.9e1 * t5559 * t5855 * t30164 + 0.9e1 / 0.2e1 * t5540 * t5855 * t30168 + 0.3e1 / 0.2e1 * t4145 * t30160 * t1412 - 0.3e1 * t5535 * t30175 * t1407 + 0.3e1 * t4145 * t30175 * t1412 + t28281 / 0.18e2 - t28284 / 0.6e1 + 0.3e1 / 0.2e1 * t29017 * t30184 - 0.7e1 / 0.3e1 * t29017 * t30187 + 0.23e2 / 0.12e2 * t29141 * t5790 + 0.3e1 / 0.2e1 * t1454 * t4156 + t1010 * t30194 / 0.2e1 - 0.11e2 / 0.6e1 * t29141 * t5760 - 0.3e1 / 0.4e1 * t110 * t5960 * t404 - 0.9e1 * t4145 * t30202 * t5659 + 0.14e2 * t5540 * t5860 * t30206 + 0.9e1 * t5535 * t30202 * t5654;
  t30214 = t24962 * t145;
  t30215 = t4544 * t333;
  t30216 = t168 * t30215;
  t30217 = t30214 * t30216;
  t30220 = t24823 * t30215;
  t30224 = t24962 * t30215;
  t30229 = t29911 * t1021 * t30215;
  t30232 = t1034 * t365;
  t30233 = t30232 * t5567;
  t30236 = t1145 * t333;
  t30237 = t380 * t30236;
  t30238 = t5553 * t30237;
  t30241 = t5553 * t28983;
  t30244 = t10458 * t29509;
  t30253 = t9270 * t30216;
  t30257 = t29911 * t30216;
  t30270 = -0.11e2 / 0.6e1 * t5548 * t30217 - 0.11e2 / 0.2e1 * t5559 * t1476 * t30220 + 0.11e2 / 0.2e1 * t5540 * t1476 * t30224 + 0.11e2 / 0.3e1 * t5548 * t30229 - t5548 * t30233 / 0.2e1 - t5548 * t30238 / 0.4e1 - t5548 * t30241 / 0.4e1 - 0.5e1 / 0.12e2 * t28954 * t30244 + 0.3e1 / 0.4e1 * t29786 * t5572 - t29779 * t5568 / 0.2e1 - t29786 * t5568 / 0.2e1 + t5578 * t30253 - t5575 * t24224 / 0.2e1 - 0.11e2 / 0.12e2 * t5548 * t30257 - t5575 * t24150 / 0.2e1 + 0.3e1 / 0.4e1 * t29779 * t5572 + t5575 * t24232 / 0.4e1 + t5575 * t24238 / 0.2e1 + t5575 * t24242 / 0.4e1;
  t30273 = t29498 * t29518;
  t30276 = t318 * t446;
  t30279 = t110 * t1468;
  t30282 = t5549 * t29800;
  t30285 = t5549 * t24459;
  t30288 = t29795 * t5571;
  t30291 = t110 * t5886;
  t30293 = t318 * t1470;
  t30295 = t110 * t5905;
  t30296 = t5582 * t29509;
  t30299 = t5582 * t28983;
  t30302 = t4137 * t29518;
  t30305 = t5582 * t28956;
  t30308 = t5582 * t30237;
  t30316 = 0.5e1 / 0.6e1 * t28954 * t30273 + t30276 * t4140 / 0.2e1 + t30279 * t4140 / 0.2e1 + t5548 * t30282 / 0.3e1 + 0.5e1 / 0.12e2 * t5548 * t30285 + 0.3e1 / 0.4e1 * t5548 * t30288 - t30291 * t5579 - t30293 * t5579 - 0.3e1 / 0.2e1 * t30295 * t30296 + t5578 * t30299 / 0.2e1 + 0.3e1 / 0.2e1 * t30295 * t30302 - 0.3e1 / 0.2e1 * t30295 * t30305 + t5578 * t30308 / 0.2e1 - t28800 / 0.4e1 - t28802 / 0.2e1 - t28804 / 0.2e1 + t28810 / 0.4e1 - t28813 / 0.6e1;
  t30326 = t985 * t1099 * t333;
  t30330 = t4137 * t29981;
  t30332 = t5549 * t29981;
  t30341 = t1467 * t4425;
  t30346 = t1199 * t1005;
  t30347 = t24823 * t30346;
  t30351 = t21181 * t439 * t24923;
  t30352 = t143 * t4330;
  t30353 = t24848 * t30352;
  t30356 = t24794 * t30346;
  t30359 = t1484 * t1069;
  t30360 = t4396 * t30359;
  t30363 = t24848 * t30346;
  t30368 = t5920 * t1044;
  t30373 = t4595 * t333;
  t30374 = t4408 * t30373;
  t30377 = t4408 * t30346;
  t30382 = 0.18e2 * t30341 * t5906 + 0.6e1 * t1468 * t4546 + 0.18e2 * t5855 * t30347 + 0.24e2 * t30351 * t30353 - t5855 * t30356 / 0.3e1 + t5855 * t30360 / 0.6e1 - 0.2e2 * t5855 * t30363 - 0.1e2 / 0.3e1 * t1476 * t24815 - 0.6e1 * t30368 * t1472 - 0.3e1 * t5921 * t1184 - 0.8e1 / 0.3e1 * t1476 * t30374 + 0.56e2 / 0.3e1 * t5860 * t30377 - 0.6e1 * t446 * t24861;
  t30383 = t445 * t24905;
  t30384 = t356 * t30352;
  t30387 = t1475 * t24865;
  t30388 = t1034 * t30352;
  t30393 = t4570 * t333;
  t30394 = t4543 * t30393;
  t30397 = t24823 * t30393;
  t30403 = t615 * t5704 * t1033;
  t30406 = t69 * t1383 * t4375;
  t30409 = t24794 * t30352;
  t30412 = t5871 * t4334;
  t30415 = t5854 * t24899;
  t30416 = t4376 * t30352;
  t30421 = t24958 * t30352;
  t30424 = t143 * t4479;
  t30425 = t1093 * t30424;
  t30428 = -0.24e2 * t30383 * t30384 - 0.12e2 * t30387 * t30388 + 0.6e1 * t5872 * t5880 + 0.6e1 * t1470 * t30394 + 0.22e2 / 0.3e1 * t1476 * t30397 - 0.3e1 * t1468 * t4554 - t30403 * t1477 + 0.18e2 * t30406 * t5857 + 0.8e1 / 0.3e1 * t30351 * t30409 - 0.36e2 * t30412 * t5861 + 0.8e1 * t30415 * t30416 - 0.2e1 * t30406 * t5864 - 0.4e1 / 0.3e1 * t30351 * t30421 + 0.2e1 * t1476 * t30425;
  t30430 = t1182 * t30346;
  t30436 = t4408 * t30359;
  t30441 = t4549 * t30373;
  t30451 = t356 * t30424;
  t30454 = t4396 * t30352;
  t30457 = t1034 * t30424;
  t30460 = t24930 * t30352;
  t30463 = 0.9e1 * t5905 * t30430 - t446 * t24782 + 0.6e1 * t30403 * t1481 - 0.9e1 * t5855 * t30436 + 0.9e1 * t5872 * t5868 + 0.4e1 * t1476 * t30441 - 0.6e1 * t5886 * t5893 + 0.6e1 * t30412 * t5896 - t5872 * t5899 - t30406 * t5902 / 0.3e1 - 0.2e1 * t1470 * t30451 + 0.4e1 / 0.3e1 * t30415 * t30454 - t1476 * t30457 / 0.3e1 - t30351 * t30460 / 0.9e1;
  t30464 = t193 * t29252;
  t30468 = t1044 * t4160;
  t30469 = t445 * t30468;
  t30470 = t5845 * t4544;
  t30471 = t360 * t30470;
  t30474 = t445 * t10417;
  t30476 = t142 * t1069 * t333;
  t30477 = t360 * t30476;
  t30480 = t360 * t24988;
  t30483 = t1475 * t10407;
  t30484 = t1190 * t30476;
  t30487 = t4334 * t4160;
  t30488 = t1475 * t30487;
  t30490 = t142 * t1005 * t994;
  t30491 = t1190 * t30490;
  t30494 = t1467 * t5843;
  t30497 = t5871 * t5850;
  t30500 = t1033 * t24307;
  t30501 = t1475 * t30500;
  t30502 = t1190 * t30470;
  t30505 = t1203 * t30470;
  t30508 = t4425 * t984;
  t30509 = t445 * t30508;
  t30510 = t360 * t30490;
  t30513 = t1190 * t24988;
  t30516 = t5854 * t10387;
  t30517 = t4633 * t30476;
  t30520 = t4375 * t24307;
  t30521 = t5854 * t30520;
  t30522 = t4633 * t30490;
  t30525 = -t30464 * t335 * t361 / 0.2e1 - 0.12e2 * t30469 * t30471 + 0.18e2 * t30474 * t30477 + 0.6e1 * t5844 * t30480 + 0.6e1 * t30483 * t30484 - 0.28e2 / 0.3e1 * t30488 * t30491 + 0.12e2 * t30494 * t5847 + 0.3e1 * t30497 * t5852 - 0.11e2 / 0.3e1 * t30501 * t30502 + 0.22e2 * t30501 * t30505 - 0.18e2 * t30509 * t30510 + 0.5e1 / 0.3e1 * t5851 * t30513 - t30516 * t30517 / 0.3e1 + 0.2e1 / 0.3e1 * t30521 * t30522;
  t30529 = t142 * t4223 * t333;
  t30530 = t1190 * t30529;
  t30535 = t4376 * t30359;
  t30542 = t356 * t30359;
  t30547 = t1034 * t30359;
  t30550 = t1182 * t30373;
  t30553 = t4549 * t30346;
  t30556 = t24962 * t30393;
  t30559 = t1093 * t30352;
  t30562 = t4408 * t30352;
  t30565 = t1093 * t30359;
  t30568 = 0.4e1 / 0.3e1 * t5851 * t30530 - 0.3e1 * t446 * t24811 + 0.1e2 * t5855 * t30535 - 0.6e1 * t5886 * t5883 - 0.6e1 * t5872 * t5876 - 0.9e1 * t5905 * t30542 - 0.3e1 * t1470 * t24818 - 0.12e2 * t5860 * t30547 - 0.3e1 * t1470 * t30550 - 0.28e2 * t5860 * t30553 - 0.11e2 * t1476 * t30556 + 0.72e2 * t30387 * t30559 - 0.72e2 * t30415 * t30562 + 0.18e2 * t5860 * t30565;
  t30569 = t4549 * t24814;
  t30572 = t360 * t30529;
  t30577 = t1203 * t30490;
  t30580 = t1203 * t30476;
  t30583 = t4624 * t30490;
  t30586 = t4624 * t30476;
  t30591 = t1203 * t30529;
  t30604 = -0.3e1 * t1468 * t4571 + 0.5e1 * t1476 * t30569 - 0.1e2 * t5851 * t24989 + 0.6e1 * t9650 * t25000 - 0.9e1 * t30341 * t5930 - 0.36e2 * t30483 * t30580 + 0.18e2 * t30516 * t30484 + 0.56e2 * t30488 * t30577 - 0.36e2 * t30521 * t30491 - 0.18e2 * t30497 * t5955 - 0.2e1 * t30516 * t30586 + 0.4e1 * t30521 * t30583 + 0.6e1 * t5844 * t30572 - 0.8e1 * t5851 * t30591;
  t30610 = t140 * t4479;
  t30611 = t1093 * t30610;
  t30625 = t140 * t4330;
  t30626 = t4396 * t30625;
  t30629 = t1034 * t30610;
  t30638 = t446 * t24940 / 0.2e1 - 0.3e1 * t5872 * t5935 - t1476 * t30611 + 0.3e1 * t30368 * t1491 + 0.3e1 * t5886 * t5940 - 0.12e2 * t30412 * t5946 + 0.3e1 / 0.2e1 * t5921 * t1200 + 0.3e1 / 0.2e1 * t1468 * t4596 - 0.9e1 * t30406 * t5923 - 0.2e1 / 0.3e1 * t30415 * t30626 + 0.2e1 / 0.3e1 * t1476 * t30629 + t30464 * t354 * t357 + 0.2e1 * t30403 * t1485 + 0.2e1 * t5872 * t5917;
  t30641 = t356 * t30610;
  t30643 = t1034 * t30625;
  t30646 = t4408 * t30625;
  t30651 = t1093 * t30625;
  t30658 = t356 * t30625;
  t30661 = t4376 * t30625;
  t30664 = t24958 * t30625;
  t30667 = t24794 * t30625;
  t30670 = t24848 * t30625;
  t30675 = t30406 * t5949 / 0.6e1 + t1470 * t30641 + 0.24e2 * t30387 * t30643 + 0.36e2 * t30415 * t30646 - 0.3e1 * t30403 * t1495 - 0.36e2 * t30387 * t30651 + 0.3e1 * t446 * t24870 + 0.1e2 * t30406 * t5913 + 0.12e2 * t30383 * t30658 - 0.4e2 * t30415 * t30661 + 0.1e2 / 0.3e1 * t30351 * t30664 + 0.5e2 / 0.3e1 * t30351 * t30667 - 0.12e2 * t30351 * t30670 + 0.18e2 * t30412 * t5926;
  t30686 = t28816 / 0.2e1 - t28819 / 0.12e2 + t28821 / 0.2e1 + t28823 / 0.4e1 + t28826 / 0.4e1 - t28829 / 0.12e2 + t28831 / 0.6e1 - t28857 / 0.2e1 + 0.3e1 * t4145 * t5602 * t30326 - t5578 * t30330 + 0.3e1 / 0.4e1 * t5548 * t30332 - 0.3e1 / 0.4e1 * t318 * t5961 - t4538 * t453 / 0.4e1 - 0.3e1 / 0.4e1 * t1165 * t1499 - t110 * t139 * (t30382 + t30428 + t30463 + t30525 + t30568 + t30604 + t30638 + t30675) * t168 / 0.4e1 - t27672 + t27688 + t28294 / 0.6e1 + 0.9e1 * t4383 * t5655;
  t30688 = t1400 * t6016;
  t30700 = t110 * t24790;
  t30701 = t10485 * t10540;
  t30705 = t10458 * t5533 * t10466;
  t30708 = t29517 * t10536;
  t30713 = t4146 * t1384;
  t30720 = t4543 * t30215;
  t30730 = t24237 * t5571;
  t30734 = t4137 * t29800;
  t30738 = -t1010 * t30688 / 0.4e1 - 0.3e1 / 0.2e1 * t1454 * t4668 + 0.3e1 / 0.2e1 * t373 * t5833 * t4714 + 0.9e1 / 0.2e1 * t1078 * t6038 + 0.9e1 / 0.2e1 * t1056 * t6038 + 0.7e1 * t30700 * t30701 - 0.9e1 / 0.2e1 * t30700 * t30705 - 0.14e2 * t30700 * t30708 - t28874 / 0.2e1 - t28876 / 0.6e1 - 0.3e1 / 0.2e1 * t4145 * t30713 * t1100 - 0.3e1 / 0.4e1 * t4145 * t5595 * t4225 - 0.3e1 * t5540 * t1470 * t30720 + 0.3e1 / 0.2e1 * t5540 * t446 * t24063 + 0.3e1 / 0.2e1 * t4145 * t5595 * t4714 - t5578 * t30730 - t5578 * t24460 / 0.2e1 - t5578 * t30734 / 0.2e1 + t30293 * t5583;
  t30750 = t30232 * t5555;
  t30753 = t5591 * t30237;
  t30757 = t5553 * t4143 * t30236;
  t30759 = t10485 * t28956;
  t30762 = t10458 * t29816;
  t30768 = t5587 * t24459;
  t30771 = t356 * t365;
  t30772 = t30771 * t5567;
  t30774 = t30291 * t5583 + t28302 / 0.6e1 + t28304 / 0.6e1 - 0.3e1 / 0.2e1 * t1454 * t4177 + t28880 / 0.6e1 + t28882 / 0.6e1 + t28884 / 0.6e1 + t28887 / 0.2e1 + t28890 / 0.3e1 + t28892 / 0.3e1 + 0.2e1 * t5548 * t30750 - t5548 * t30753 / 0.2e1 + t5548 * t30757 - 0.11e2 / 0.6e1 * t28954 * t30759 + 0.23e2 / 0.12e2 * t28954 * t30762 - t29779 * t5592 + 0.2e1 * t29779 * t5556 + 0.5e1 / 0.6e1 * t5548 * t30768 + t5578 * t30772;
  t30780 = my_piecewise3(t100, 0, t30774 + t30738 + t30686 + t29886 + t29387 + t30157 + t29550 + t29714 + t30316 + t29828 + t29293 + t30213 + t29844 + t29667 + t30270 + t29944 + t29061 + t29008 + t29152 + t29489 + t30066 + t29243 + t29784 + t29614 + t29085 + t29329 + t29199 + t30105 + t30010 + t29740 + t29431 + t29356);
  tv4rho3sigma11 = t3 * t30780 + 0.3e1 * t6056;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 11] += tv4rho3sigma11;

  t30783 = t592 * t6334;
  t30784 = t30783 * t250;
  t30795 = t21247 * t465 * t223;
  t30798 = t3620 * t1521 * t223;
  t30800 = t6365 * t612;
  t30802 = t771 * t6347;
  t30804 = t3571 * t1527;
  t30808 = t764 * t6334;
  t30811 = t3628 * t1527;
  t30815 = t3567 * t1531;
  t30818 = t3624 * t1527;
  t30820 = t3647 * t6290;
  t30824 = t30784 / 0.2e1 + t3613 * t1527 / 0.2e1 + t743 * t6347 / 0.2e1 + t3522 * t6350 / 0.2e1 + 0.3e1 / 0.4e1 * t3610 * t1514 + t30795 / 0.18e2 + t30798 / 0.18e2 + t30800 / 0.18e2 - t30802 / 0.6e1 - t30804 / 0.12e2 - t765 * t6347 / 0.2e1 + 0.3e1 / 0.2e1 * t30808 * t250 - t30811 / 0.6e1 - t3585 * t1527 / 0.4e1 + 0.3e1 / 0.4e1 * t30815 * t250 + t30818 / 0.18e2 + t30820 / 0.3e1 - 0.3e1 / 0.2e1 * t6353 * t749;
  t30827 = t3627 * t1531;
  t30828 = t30827 * t250;
  t30861 = -0.3e1 / 0.2e1 * t6335 * t749 + t30828 / 0.2e1 - t1522 * t3281 / 0.2e1 - t1522 * t3305 / 0.4e1 - t466 * t20883 / 0.4e1 + t6311 * t670 / 0.2e1 + t1517 * t3301 / 0.2e1 + t6112 * t5012 + t6116 * t5012 + t1568 * t26028 / 0.2e1 + t1568 * t26034 / 0.2e1 + t6112 * t3262 / 0.2e1 + t6116 * t3262 / 0.2e1 - t466 * t21832 / 0.12e2 - t6340 * t676 / 0.4e1 - 0.3e1 / 0.2e1 * t3530 * t6088 - t246 * t1555 * t27267 / 0.2e1 + t6084 * t3324 + t6081 * t3324;
  t30868 = t6303 * t740;
  t30869 = t247 * t30868;
  t30886 = t6303 * t619;
  t30887 = t645 * t30886;
  t30898 = t463 * t21185;
  t30900 = t191 * t21182 * t30898;
  t30907 = t1512 * t3396;
  t30908 = t3658 * t30907;
  t30912 = t1541 * t27344 + t1541 * t27334 / 0.3e1 - 0.3e1 / 0.2e1 * t757 * t6099 - 0.3e1 / 0.2e1 * t246 * t30869 * t1246 - 0.3e1 / 0.2e1 * t246 * t6096 * t3313 - 0.3e1 * t768 * t6097 - t3202 * t9790 / 0.2e1 + 0.3e1 / 0.2e1 * t3610 * t1551 - 0.3e1 * t3537 * t6092 - 0.3e1 / 0.2e1 * t3537 * t6088 - 0.3e1 / 0.2e1 * t644 * t30887 * t1234 - 0.3e1 / 0.2e1 * t644 * t6091 * t4936 - 0.3e1 * t3530 * t6092 - 0.9e1 / 0.2e1 * t6107 * t26956 - 0.43e2 / 0.9e1 * t30900 * t26948 + 0.9e1 / 0.2e1 * t768 * t6250 + 0.9e1 / 0.2e1 * t757 * t6250 + 0.9e1 / 0.2e1 * t246 * t30908 * t4820;
  t30915 = t191 * t21182 * t3393 * t21185;
  t30916 = t26835 * t2691;
  t30919 = t764 * t6106;
  t30937 = t191 * t3512 * t30907;
  t30949 = t463 * t21719;
  t30951 = t191 * t3512 * t30949;
  t30954 = t593 * t6250;
  t30956 = t771 * t6263;
  t30959 = t3139 * t6255 * t3141;
  t30962 = t771 * t6257;
  t30966 = 0.47e2 / 0.3e1 * t30915 * t30916 - 0.3e1 / 0.2e1 * t30919 * t4834 + 0.9e1 / 0.2e1 * t21711 * t6247 + 0.9e1 / 0.2e1 * t3680 * t30908 * t4850 - 0.9e1 * t3530 * t6231 - 0.9e1 * t3537 * t6231 - 0.9e1 * t644 * t30908 * t4825 + 0.7e1 * t30919 * t4840 + 0.7e1 * t30937 * t4840 + 0.7e1 * t6107 * t4838 * t26049 + 0.89e2 / 0.9e1 * t30900 * t27001 - 0.9e1 / 0.2e1 * t30919 * t4846 - 0.9e1 / 0.2e1 * t30937 * t4846 + 0.6e1 * t30951 * t27627 + 0.3e1 / 0.2e1 * t30954 + t30956 / 0.12e2 - t211 * t30959 / 0.6e1 - t30962 / 0.6e1 + t1532 * t3162 / 0.2e1;
  t30969 = t6358 * t736;
  t30973 = t6358 * t731;
  t30978 = t592 * t6106;
  t30979 = t30978 * t4840;
  t30984 = t3658 * t30949;
  t30988 = t30978 * t4834;
  t30991 = t1227 * t1530 * t3260;
  t30998 = t21784 * t6247;
  t31003 = t3548 * t6231;
  t31005 = t30978 * t4846;
  t31010 = t6324 * t670;
  t31012 = t30969 / 0.2e1 - 0.3e1 / 0.2e1 * t1532 * t3152 - t30973 / 0.4e1 + t1532 * t3158 + 0.9e1 / 0.2e1 * t21706 * t6247 + 0.7e1 / 0.3e1 * t30979 - 0.28e2 * t30951 * t4838 * t26071 - 0.18e2 * t246 * t30984 * t27020 - t30988 / 0.2e1 + t3319 * t30991 + 0.3e1 / 0.4e1 * t1532 * t3291 + 0.36e2 * t644 * t30984 * t27033 + 0.3e1 / 0.2e1 * t30998 - 0.18e2 * t3680 * t30984 * t27028 - 0.3e1 * t31003 - 0.3e1 / 0.2e1 * t31005 + 0.18e2 * t30951 * t4844 * t26947 + t31010 / 0.6e1;
  t31013 = t6283 * t676;
  t31015 = t6324 * t676;
  t31017 = t1508 * t3281;
  t31019 = t1508 * t3305;
  t31027 = t3627 * t1540;
  t31028 = t31027 * t1300;
  t31030 = t592 * t6080;
  t31031 = t31030 * t1300;
  t31037 = t3620 * t1540;
  t31038 = t31037 * t1223;
  t31040 = t764 * t6222;
  t31044 = t191 * t194 * t6079;
  t31050 = t191 * t616 * t6105;
  t31053 = t6283 * t670;
  t31059 = -t31013 / 0.6e1 - t31015 / 0.6e1 - t31017 / 0.6e1 - t31019 / 0.12e2 - t1517 * t3143 / 0.2e1 - t1522 * t3143 / 0.2e1 - t466 * t20828 / 0.2e1 - t31028 / 0.6e1 - t31031 / 0.6e1 + 0.5e1 / 0.3e1 * t30951 * t26349 + 0.3e1 / 0.2e1 * t6167 * t26160 + t31038 / 0.9e1 - 0.3e1 / 0.2e1 * t31040 * t4905 - 0.3e1 / 0.2e1 * t31044 * t4905 - 0.3e1 / 0.2e1 * t6223 * t26255 - 0.3e1 * t31050 * t26290 + t31053 / 0.6e1 + 0.3e1 / 0.4e1 * t21244 * t481 + 0.3e1 / 0.2e1 * t3605 * t1514;
  t31073 = t222 * t6472;
  t31096 = t3567 * t1540;
  t31099 = t21179 * t481 / 0.4e1 + 0.3e1 / 0.4e1 * t6335 * t761 + t1532 * t3582 / 0.4e1 + t21267 * t481 / 0.4e1 + 0.3e1 / 0.4e1 * t21270 * t481 + 0.3e1 / 0.4e1 * t3568 * t1514 - t211 * t31073 / 0.4e1 + 0.2e1 * t21814 * t13124 + 0.3e1 / 0.2e1 * t3605 * t1564 - 0.3e1 / 0.2e1 * t3568 * t1556 - t1532 * t3216 / 0.2e1 - 0.3e1 / 0.2e1 * t1532 * t3314 - 0.3e1 / 0.2e1 * t22396 * t1548 - 0.3e1 / 0.2e1 * t6295 * t3195 - 0.3e1 * t22440 * t1548 + 0.3e1 * t3605 * t1551 + t466 * t21950 / 0.12e2 - t31096 * t1300 / 0.4e1;
  t31100 = t764 * t6080;
  t31115 = t764 * t6166;
  t31118 = t1512 * t3415;
  t31120 = t191 * t616 * t31118;
  t31138 = t247 * t6338;
  t31146 = t191 * t616 * t30886;
  t31149 = -t31100 * t1300 / 0.2e1 + t1517 * t3269 / 0.4e1 + t6340 * t670 / 0.4e1 + t1522 * t3301 / 0.2e1 + t1522 * t3269 / 0.4e1 + t466 * t20886 / 0.4e1 + t1568 * t26039 / 0.6e1 + 0.3e1 / 0.2e1 * t31115 * t5017 + 0.3e1 / 0.2e1 * t31120 * t5017 + t6308 * t670 / 0.4e1 - t246 * t1559 * t21524 / 0.4e1 + 0.3e1 / 0.4e1 * t768 * t6129 + 0.3e1 / 0.2e1 * t768 * t6133 - 0.3e1 / 0.4e1 * t768 * t6140 - 0.3e1 / 0.2e1 * t757 * t6137 - 0.3e1 / 0.4e1 * t757 * t6140 - 0.3e1 / 0.4e1 * t246 * t31138 * t730 - 0.3e1 / 0.4e1 * t246 * t6136 * t3246 - t31146 * t1300 / 0.4e1;
  t31159 = t3567 * t3318;
  t31163 = t3631 * t1564;
  t31165 = t3637 * t1564;
  t31167 = t593 * t6129;
  t31169 = t593 * t6133;
  t31171 = t3627 * t1567;
  t31172 = t31171 * t1260;
  t31174 = t592 * t6115;
  t31175 = t31174 * t1260;
  t31177 = t6214 * t5012;
  t31179 = t6186 * t5032;
  t31181 = t6186 * t3320;
  t31183 = t30978 * t5037;
  t31185 = t3631 * t1560;
  t31187 = t3637 * t1560;
  t31189 = t593 * t6137;
  t31191 = -0.3e1 / 0.2e1 * t768 * t6137 + t466 * t21105 / 0.4e1 - 0.3e1 / 0.4e1 * t3568 * t1560 + t31159 * t2692 + 0.3e1 / 0.4e1 * t3568 * t1564 + t31163 / 0.2e1 + t31165 / 0.2e1 + t31167 / 0.4e1 + t31169 / 0.2e1 + t31172 / 0.3e1 + t31175 / 0.3e1 + t31177 / 0.3e1 - t31179 / 0.6e1 - t31181 / 0.12e2 - 0.5e1 / 0.36e2 * t31183 - t31185 / 0.2e1 - t31187 / 0.2e1 - t31189 / 0.2e1;
  t31192 = t593 * t6140;
  t31198 = t1508 * t3301;
  t31200 = t1508 * t3269;
  t31202 = t593 * t6099;
  t31204 = t6214 * t3262;
  t31223 = t4749 * t6079;
  t31229 = t27566 * t1539;
  t31234 = -t31192 / 0.4e1 + 0.3e1 / 0.2e1 * t768 * t6219 + 0.3e1 / 0.2e1 * t757 * t6219 + t31198 / 0.6e1 + t31200 / 0.12e2 - t31202 / 0.2e1 + t31204 / 0.6e1 + 0.11e2 / 0.3e1 * t10036 * t27214 + 0.23e2 / 0.12e2 * t10036 * t25735 - 0.6e1 * t10066 * t26001 - 0.11e2 / 0.6e1 * t10036 * t27217 + 0.3e1 * t10066 * t25998 - 0.14e2 / 0.3e1 * t10066 * t25992 + 0.28e2 / 0.3e1 * t10066 * t25995 + 0.18e2 * t4738 * t6390 * t26790 - 0.3e1 * t4748 * t31223 * t1234 - 0.3e1 * t27575 * t6067 - 0.3e1 / 0.2e1 * t4748 * t31229 * t1234 - t6069 * t25785;
  t31242 = t30 * t6419;
  t31247 = t3621 * t1551;
  t31249 = t22385 * t1548;
  t31251 = t247 * t6165;
  t31255 = t3621 * t1556;
  t31257 = t593 * t6209;
  t31259 = t593 * t6203;
  t31261 = t645 * t6105;
  t31268 = t3621 * t1560;
  t31281 = -t6069 * t25792 / 0.2e1 - t6069 * t27223 / 0.2e1 - 0.3e1 * t26814 * t6067 - t31242 * t4757 + 0.3e1 / 0.2e1 * t4779 * t470 * t21611 - t31247 / 0.3e1 + t31249 / 0.3e1 - 0.6e1 * t246 * t31251 * t26227 + t31255 / 0.3e1 + 0.3e1 / 0.2e1 * t31257 - 0.3e1 * t31259 + 0.18e2 * t246 * t31261 * t26214 - 0.3e1 / 0.2e1 * t246 * t1559 * t20900 + t31268 / 0.6e1 - 0.3e1 * t4779 * t1587 * t27413 + 0.14e2 * t4779 * t6393 * t27405 - 0.3e1 / 0.4e1 * t3123 * t6475 * t3246 - 0.5e1 / 0.3e1 * t6069 * t21881;
  t31284 = t182 * t1591;
  t31295 = t1606 * t66;
  t31297 = t660 * t31295 * t668;
  t31301 = t660 * t6255 * t3267;
  t31304 = t3250 * t6262;
  t31315 = t777 * t1608;
  t31317 = t3335 * t477;
  t31325 = -0.4e1 / 0.3e1 * t6069 * t26784 + 0.2e1 * t31284 * t4767 + 0.2e1 * t31242 * t4767 + 0.2e1 * t6069 * t25787 + t765 * t6263 / 0.4e1 + t609 * t6263 / 0.6e1 + t211 * t31297 / 0.4e1 + t211 * t31301 / 0.12e2 + t622 * t31304 / 0.4e1 - t765 * t6257 / 0.2e1 - t609 * t6257 / 0.4e1 + 0.3e1 / 0.2e1 * t31284 * t4772 + 0.3e1 / 0.2e1 * t31242 * t4772 + t31315 / 0.6e1 + t31317 / 0.6e1 - t31284 * t4757 - t1541 * t27501 / 0.2e1 - t31146 * t1223 / 0.2e1 - t6081 * t4929;
  t31352 = t188 * t470;
  t31353 = t31352 * t3133;
  t31355 = t188 * t1587;
  t31356 = t31355 * t4797;
  t31362 = t182 * t1587;
  t31364 = t30 * t6413;
  t31366 = -t6081 * t4917 / 0.2e1 - t466 * t21839 / 0.4e1 - 0.5e1 / 0.12e2 * t30919 * t5037 - 0.5e1 / 0.12e2 * t30937 * t5037 - 0.35e2 / 0.108e3 * t30900 * t27633 - t6308 * t676 / 0.4e1 - t6311 * t676 / 0.2e1 - t1517 * t3281 / 0.2e1 - t1517 * t3305 / 0.4e1 - t6084 * t5032 / 0.2e1 - t6081 * t5032 / 0.2e1 - 0.5e1 / 0.12e2 * t10036 * t26007 + t31353 / 0.6e1 + t31356 / 0.3e1 + t6488 * t22423 / 0.4e1 + t6488 * t21640 / 0.4e1 - t31362 * t4793 - t31364 * t4793;
  t31407 = t25980 * t6105;
  t31414 = -0.3e1 / 0.2e1 * t10097 * t27392 - t1541 * t27059 / 0.4e1 - t1541 * t27640 / 0.4e1 - 0.5e1 / 0.12e2 * t6107 * t27643 - t6084 * t3320 / 0.4e1 - t6081 * t3320 / 0.4e1 - t1541 * t27630 / 0.12e2 + 0.3e1 * t31120 * t4860 - 0.11e2 / 0.6e1 * t10036 * t25767 - 0.14e2 * t10036 * t26140 * t25740 + 0.3e1 * t10036 * t26083 - 0.3e1 / 0.2e1 * t10036 * t27479 - 0.3e1 / 0.2e1 * t10036 * t26796 - 0.9e1 / 0.2e1 * t10036 * t27468 - 0.9e1 / 0.2e1 * t10036 * t10037 * t4746 * t25689 + 0.9e1 * t10036 * t25739 * t3671 * t25684 + 0.7e1 * t10036 * t10058 * t25734 + 0.9e1 / 0.2e1 * t26806 * t31407 * t4850 + 0.7e1 * t10036 * t10058 * t25770;
  t31427 = t3567 * t1567;
  t31430 = t764 * t6115;
  t31433 = t191 * t194 * t30868;
  t31465 = t246 * t1547 * t26185 / 0.2e1 + 0.3e1 * t757 * t6120 + 0.3e1 / 0.2e1 * t757 * t6122 + 0.3e1 / 0.4e1 * t246 * t674 * t6429 * t249 + t31427 * t1260 / 0.2e1 + t31430 * t1260 + t31433 * t1260 / 0.2e1 + 0.3e1 / 0.4e1 * t757 * t6129 + 0.3e1 / 0.2e1 * t757 * t6133 + t246 * t21830 * t469 * t249 / 0.4e1 + 0.3e1 / 0.4e1 * t246 * t3284 * t1584 * t249 - 0.3e1 / 0.2e1 * t768 * t6099 - 0.3e1 * t757 * t6097 + 0.3e1 * t768 * t6120 + 0.3e1 / 0.2e1 * t246 * t30887 * t1239 + 0.3e1 / 0.2e1 * t246 * t6091 * t4960 + 0.3e1 / 0.2e1 * t768 * t6122 - 0.9e1 * t9873 * t6390 * t26800;
  t31483 = t593 * t6120;
  t31484 = t593 * t6122;
  t31494 = t31027 * t1223;
  t31496 = t31030 * t1223;
  t31498 = t6186 * t4929;
  t31500 = t6186 * t4917;
  t31505 = 0.9e1 / 0.2e1 * t9873 * t6390 * t27482 - t6069 * t25666 / 0.2e1 - t31242 * t4803 / 0.2e1 - t31284 * t4803 / 0.2e1 - 0.9e1 * t4748 * t31407 * t4825 - t6491 * t26936 / 0.2e1 - t6491 * t26939 + 0.3e1 * t31115 * t4860 + t31483 + t31484 / 0.2e1 + 0.3e1 * t6167 * t27615 + 0.22e2 / 0.3e1 * t30951 * t27607 - 0.6e1 * t6167 * t27604 - 0.23e2 / 0.3e1 * t30951 * t27610 - t31494 / 0.3e1 - t31496 / 0.3e1 - t31498 / 0.3e1 - t31500 / 0.6e1 - 0.9e1 * t4738 * t6390 * t26853;
  t31513 = t819 * t476;
  t31514 = t31513 * t3132;
  t31526 = t3548 * t6092;
  t31534 = t645 * t31118;
  t31538 = t3631 * t1556;
  t31539 = t3637 * t1556;
  t31540 = t593 * t6097;
  t31541 = t593 * t6219;
  t31543 = t3620 * t1567;
  t31544 = t31543 * t1260;
  t31546 = t6365 * t670;
  t31548 = t3621 * t1564;
  t31551 = t191 * t194 * t6165;
  t31554 = 0.3e1 / 0.2e1 * t3123 * t6066 * t4960 + t3129 * t31514 / 0.4e1 - 0.9e1 * t4779 * t6390 * t25976 + 0.9e1 / 0.2e1 * t4779 * t6390 * t26849 + 0.9e1 / 0.2e1 * t3123 * t31407 * t4820 - t31526 + 0.3e1 / 0.2e1 * t246 * t6136 * t3161 - 0.9e1 * t768 * t6203 - 0.9e1 * t757 * t6203 - 0.9e1 * t246 * t31534 * t4887 - t31538 - t31539 - t31540 + t31541 / 0.2e1 - t31544 / 0.9e1 - t31546 / 0.18e2 - t31548 / 0.6e1 + 0.2e1 * t31551 * t27154;
  t31555 = t31037 * t1300;
  t31557 = t592 * t6166;
  t31558 = t31557 * t5017;
  t31560 = t592 * t6222;
  t31561 = t31560 * t4905;
  t31563 = t1508 * t3143;
  t31567 = t6365 * t676;
  t31575 = t188 * t1591;
  t31576 = t31575 * t4803;
  t31580 = t31355 * t4793;
  t31582 = t31575 * t4806;
  t31584 = t3124 * t1539;
  t31601 = t31555 / 0.18e2 + t31558 / 0.2e1 - t31561 / 0.2e1 - t31563 / 0.6e1 + t466 * t20894 / 0.2e1 + t31567 / 0.18e2 - 0.5e1 / 0.12e2 * t10036 * t26010 + 0.3e1 / 0.2e1 * t10066 * t25965 + 0.3e1 / 0.2e1 * t10066 * t25691 - t31576 / 0.6e1 - 0.7e1 / 0.3e1 * t10066 * t25686 - t31580 / 0.3e1 + t31582 / 0.4e1 + 0.9e1 / 0.2e1 * t3123 * t31584 * t4878 + 0.3e1 * t3123 * t31223 * t1239 + 0.3e1 * t21617 * t6482 + 0.3e1 * t21621 * t6482 + 0.3e1 / 0.2e1 * t3123 * t31229 * t1239 - 0.9e1 / 0.2e1 * t4779 * t6424 * t26133;
  t31638 = t4749 * t6165;
  t31643 = t673 * t31295 * t674;
  t31647 = t1227 * t1530 * t674;
  t31649 = t6255 * t3260;
  t31650 = t673 * t31649;
  t31655 = 0.9e1 / 0.2e1 * t4779 * t6424 * t26269 + 0.3e1 * t4779 * t6413 * t4786 + 0.3e1 / 0.2e1 * t4779 * t1587 * t22408 + 0.3e1 / 0.2e1 * t4779 * t1587 * t25716 + 0.3e1 * t25696 * t6484 + 0.3e1 * t25730 * t6484 + 0.2e1 * t4738 * t1591 * t26763 + 0.9e1 / 0.2e1 * t26777 * t6063 + 0.9e1 / 0.2e1 * t4738 * t6419 * t21586 + 0.5e1 / 0.2e1 * t4738 * t1591 * t25758 + 0.9e1 * t4738 * t6393 * t27471 + 0.9e1 / 0.2e1 * t26772 * t6063 - 0.3e1 / 0.2e1 * t4748 * t6066 * t4936 - 0.9e1 * t3123 * t31638 * t4887 - t211 * t31643 / 0.2e1 + t622 * t31647 + t3259 * t31650 / 0.2e1 - t743 * t6263 / 0.3e1;
  t31660 = t781 * t1608;
  t31662 = t3341 * t477;
  t31664 = t777 * t1577;
  t31691 = t743 * t6257 / 0.2e1 - 0.3e1 / 0.4e1 * t6335 * t731 - t31660 / 0.2e1 - t31662 / 0.4e1 + t31664 / 0.6e1 - 0.3e1 / 0.4e1 * t800 * t1608 - t3370 * t477 / 0.4e1 + 0.5e1 / 0.6e1 * t6069 * t27220 - 0.23e2 / 0.6e1 * t10036 * t25741 + 0.3e1 / 0.2e1 * t10097 * t27395 - 0.3e1 / 0.2e1 * t10097 * t26933 + t6491 * t26922 / 0.2e1 + t6491 * t22402 / 0.2e1 + t31364 * t4797 + t6491 * t26928 - t6491 * t25701 / 0.2e1 + t31362 * t4797 - 0.3e1 / 0.2e1 * t21685 * t1548 + 0.3e1 / 0.2e1 * t3568 * t1551;
  t31707 = t21633 * t464;
  t31711 = t3124 * t1520;
  t31736 = -t3202 * t9814 / 0.4e1 + t31146 * t1229 + 0.2e1 * t6081 * t4946 + 0.2e1 * t31100 * t1229 - t1541 * t27497 / 0.6e1 - t1541 * t27504 / 0.2e1 - 0.3e1 / 0.2e1 * t21621 * t6476 - 0.3e1 / 0.4e1 * t3123 * t31707 * t730 - 0.3e1 / 0.2e1 * t3123 * t31711 * t730 - 0.2e1 * t4779 * t1591 * t26810 - 0.3e1 / 0.2e1 * t21617 * t6476 - 0.14e2 * t4738 * t6393 * t25988 + 0.9e1 * t4748 * t31638 * t4868 + t6069 * t21886 - t6069 * t22419 / 0.4e1 - t6488 * t22278 / 0.2e1 - t6069 * t26919 / 0.4e1 + 0.9e1 / 0.2e1 * t4748 * t6066 * t27374;
  t31750 = t188 * t6472;
  t31754 = t26888 * t6063;
  t31756 = t31575 * t4757;
  t31758 = t31575 * t4767;
  t31762 = t26903 * t6067;
  t31763 = t21655 * t6482;
  t31764 = t31575 * t4772;
  t31766 = t31575 * t4763;
  t31770 = t3250 * t1530 * t668;
  t31774 = -0.9e1 / 0.2e1 * t3123 * t6066 * t27379 + 0.3e1 / 0.2e1 * t6069 * t27383 - 0.3e1 * t6069 * t27387 + 0.3e1 * t3123 * t6496 * t27429 - t6491 * t26047 + 0.3e1 / 0.4e1 * t6069 * t26044 - t31750 / 0.4e1 + 0.11e2 / 0.3e1 * t6069 * t27490 + 0.3e1 / 0.2e1 * t31754 - t31756 / 0.3e1 + 0.2e1 / 0.3e1 * t31758 - 0.11e2 / 0.6e1 * t6069 * t27476 - t31762 + t31763 + t31764 / 0.2e1 - t31766 - t1532 * t3247 / 0.4e1 - t622 * t31770 + 0.3e1 / 0.2e1 * t6353 * t736;
  t31785 = t1227 * t3608 * t2676;
  t31795 = t3544 * t477;
  t31802 = my_piecewise3(t49, t195, -0.22e3 / 0.81e2 * t602);
  t31809 = t634 * t1608;
  t31823 = 0.3e1 / 0.2e1 * t6335 * t736 + 0.3e1 / 0.4e1 * t1532 * t3286 - 0.3e1 / 0.2e1 * t3610 * t1556 - 0.3e1 / 0.4e1 * t3610 * t1560 + t3319 * t31785 + 0.3e1 / 0.4e1 * t3610 * t1564 - 0.3e1 / 0.4e1 * t6353 * t731 - 0.3e1 * t3605 * t1556 - 0.3e1 / 0.2e1 * t3605 * t1560 - 0.5e1 / 0.36e2 * t3515 * t31795 - t764 * t6339 * t223 / 0.4e1 - t191 * t194 * t31802 * t208 * t223 / 0.12e2 + t3526 * t6290 - t622 * t31809 / 0.4e1 - t3526 * t6350 / 0.4e1 - 0.9e1 / 0.2e1 * t4779 * t6419 * t4780 - 0.5e1 / 0.2e1 * t4779 * t1591 * t27517 - 0.9e1 * t4779 * t6393 * t27292;
  t31828 = t188 * t6270;
  t31830 = t781 * t1577;
  t31832 = t188 * t6275;
  t31841 = t182 * t470;
  t31844 = t30 * t1585;
  t31861 = t6418 * t5163;
  t31864 = t6389 * t26528;
  t31879 = t1590 * t26646;
  t31890 = -0.18e2 * t31861 * t5174 - 0.36e2 * t31864 * t26648 + 0.18e2 * t9952 * t26575 + 0.6e1 * t6440 * t26515 + 0.6e1 * t9923 * t22157 + 0.18e2 * t9935 * t26556 + 0.6e1 * t6440 * t26562 + 0.6e1 * t9944 * t26575 - 0.28e2 / 0.3e1 * t31879 * t26648 + 0.56e2 * t31879 * t26656 - 0.36e2 * t9944 * t26544 + 0.4e1 * t31864 * t26661 - 0.2e1 * t9952 * t26566;
  t31895 = t1590 * t26651;
  t31898 = t469 * t26549;
  t31901 = t1584 * t5169;
  t31906 = t469 * t26535;
  t31923 = -0.8e1 * t6427 * t26569 - 0.1e2 * t6427 * t26572 - 0.11e2 / 0.3e1 * t31895 * t26653 - 0.18e2 * t31898 * t26551 + 0.12e2 * t31901 * t5171 + 0.3e1 * t31861 * t5167 - 0.12e2 * t31906 * t26539 + 0.4e1 / 0.3e1 * t6427 * t26525 + 0.5e1 / 0.3e1 * t6427 * t22128 - t9952 * t26666 / 0.3e1 + 0.2e1 / 0.3e1 * t31864 * t26532 + 0.22e2 * t31895 * t26669 + 0.2e1 * t1591 * t26483 - 0.2e1 * t1587 * t26472;
  t31925 = t6418 * t3416;
  t31928 = t6389 * t21730;
  t31934 = t69 * t1512;
  t31935 = t31934 * t3399;
  t31938 = t21181 * t463;
  t31939 = t31938 * t21209;
  t31951 = t615 * t6303 * t647;
  t31960 = 0.6e1 * t31925 * t5210 + 0.4e1 / 0.3e1 * t31928 * t26476 - t6419 * t5213 - t1591 * t26744 / 0.3e1 - t31935 * t5216 / 0.3e1 - t31939 * t26747 / 0.9e1 - 0.12e2 * t6393 * t26626 - 0.3e1 * t1587 * t26635 - 0.3e1 * t470 * t22132 + 0.9e1 * t6419 * t5223 + 0.6e1 * t31951 * t1326 + 0.18e2 * t6393 * t26614 + 0.4e1 * t1591 * t26738 - 0.9e1 * t6390 * t26741;
  t31975 = t6429 * t747;
  t31990 = 0.8e1 / 0.3e1 * t31939 * t26436 + 0.8e1 * t31928 * t26492 - 0.4e1 / 0.3e1 * t31939 * t26497 - 0.1e2 / 0.3e1 * t1591 * t26629 + t6390 * t26632 / 0.6e1 - 0.6e1 * t6413 * t5198 - 0.6e1 * t6419 * t5191 - 0.6e1 * t31975 * t1317 - 0.8e1 / 0.3e1 * t1591 * t26611 + 0.5e1 * t1591 * t26617 + 0.1e2 * t6390 * t26620 - 0.2e2 * t6390 * t26623 - 0.9e1 * t6424 * t26447 - 0.3e1 * t1587 * t26451;
  t32014 = t469 * t21343;
  t32021 = 0.24e2 * t31939 * t26508 + 0.6e1 * t6419 * t5195 - 0.2e1 * t31935 * t5187 - 0.28e2 * t6393 * t26502 - 0.3e1 * t6467 * t821 - t31951 * t1322 + 0.56e2 / 0.3e1 * t6393 * t26440 - t6390 * t26443 / 0.3e1 + 0.18e2 * t31935 * t5180 + 0.18e2 * t6390 * t26607 + 0.3e1 * t470 * t22165 + 0.12e2 * t32014 * t26584 - 0.3e1 * t31951 * t1340 + 0.36e2 * t31928 * t26731;
  t32028 = t1584 * t3421;
  t32037 = t1590 * t21402;
  t32051 = -0.12e2 * t31939 * t26723 + 0.5e2 / 0.3e1 * t31939 * t26726 + 0.18e2 * t31925 * t5239 - 0.9e1 * t32028 * t5258 - 0.3e1 * t1585 * t3471 - 0.4e2 * t31928 * t26714 + t470 * t22182 / 0.2e1 - 0.36e2 * t32037 * t26720 + 0.24e2 * t32037 * t26587 + 0.3e1 / 0.2e1 * t1585 * t3436 - 0.3e1 * t6419 * t5264 - t1591 * t26690 + 0.1e2 * t31935 * t5266 + 0.1e2 / 0.3e1 * t31939 * t26694;
  t32074 = t193 * t31802;
  t32081 = 0.3e1 * t6413 * t5245 + t1587 * t26688 - 0.9e1 * t31935 * t5236 + 0.2e1 * t31951 * t1330 + t31935 * t5255 / 0.6e1 - 0.2e1 / 0.3e1 * t31928 * t26680 + 0.2e1 * t6419 * t5269 + 0.2e1 / 0.3e1 * t1591 * t26699 + 0.3e1 * t31975 * t1336 - 0.12e2 * t31925 * t5252 + 0.3e1 / 0.2e1 * t6467 * t837 + t32074 * t227 * t230 - 0.11e2 * t1591 * t26511 - 0.72e2 * t31928 * t26596;
  t32110 = 0.6e1 * t1587 * t26640 - 0.12e2 * t32037 * t26427 + 0.72e2 * t32037 * t26505 - 0.36e2 * t31925 * t5184 - 0.6e1 * t470 * t22057 - 0.24e2 * t32014 * t26602 + 0.6e1 * t1585 * t3432 + 0.18e2 * t32028 * t5232 - t32074 * t208 * t234 / 0.2e1 - 0.3e1 * t1585 * t3379 - t470 * t22047 + 0.9e1 * t6424 * t26486 + 0.22e2 / 0.3e1 * t1591 * t26419 - 0.6e1 * t6413 * t5207;
  t32118 = -0.9e1 / 0.2e1 * t25696 * t6479 - 0.9e1 / 0.2e1 * t25730 * t6479 - t31828 / 0.4e1 - t31830 / 0.2e1 - t31832 / 0.2e1 + 0.3e1 / 0.2e1 * t1532 * t3198 - t6488 * t21598 / 0.2e1 - 0.11e2 / 0.12e2 * t6069 * t27398 + t6491 * t27211 + t31841 * t3133 / 0.2e1 + t31844 * t3133 / 0.2e1 + t6488 * t21594 / 0.2e1 + 0.3e1 / 0.4e1 * t31242 * t4806 + 0.3e1 / 0.4e1 * t6069 * t25670 + t6069 * t25710 / 0.3e1 + 0.5e1 / 0.12e2 * t6069 * t22427 + 0.5e1 / 0.6e1 * t10036 * t26004 + 0.3e1 / 0.4e1 * t31284 * t4806 - t30 * t59 * (t31890 + t31923 + t31960 + t31990 + t32021 + t32051 + t32081 + t32110) * t95 / 0.4e1;
  t32124 = t3620 * t1531;
  t32125 = t32124 * t250;
  t32127 = t6358 * t749;
  t32129 = t3650 * t1527;
  t32133 = t21172 * t481;
  t32135 = t21311 * t481;
  t32137 = t6358 * t761;
  t32139 = t21307 * t481;
  t32147 = t21251 * t481;
  t32149 = t21256 * t481;
  t32151 = t3621 * t1514;
  t32153 = t3647 * t6350;
  t32161 = 0.3e1 / 0.2e1 * t1532 * t3644 - t32125 / 0.6e1 - t32127 / 0.2e1 + t32129 / 0.6e1 - t3655 * t1527 / 0.2e1 + t32133 / 0.4e1 + t32135 / 0.2e1 + t32137 / 0.4e1 + t32139 / 0.4e1 - t3560 * t1527 / 0.12e2 - t609 * t6347 / 0.4e1 - t3590 * t1527 / 0.4e1 - t32147 / 0.6e1 - t32149 / 0.6e1 - t32151 / 0.6e1 - t32153 / 0.12e2 - 0.11e2 / 0.2e1 * t4738 * t1591 * t26895 + 0.11e2 / 0.2e1 * t4779 * t1591 * t26899;
  t32172 = t26891 * t6479;
  t32184 = t6283 * t612;
  t32187 = t3627 * t1521 * t223;
  t32202 = t6324 * t612;
  t32204 = -0.6e1 * t10066 * t27186 - 0.3e1 * t31284 * t4763 - 0.3e1 * t31242 * t4763 - 0.3e1 * t6069 * t25962 + 0.23e2 / 0.12e2 * t10036 * t25771 - 0.3e1 / 0.2e1 * t32172 - t1522 * t3553 / 0.4e1 - t6340 * t612 / 0.4e1 - t6311 * t612 / 0.2e1 - t466 * t21174 / 0.12e2 - t1517 * t3553 / 0.4e1 - t32184 / 0.6e1 - t32187 / 0.6e1 - t21263 * t465 * t223 / 0.12e2 + 0.3e1 / 0.4e1 * t757 * t6305 + 0.3e1 / 0.4e1 * t768 * t6305 - t6308 * t612 / 0.4e1 + t246 * t247 * t31802 * t249 / 0.4e1 - t32202 / 0.6e1;
  t32207 = t592 * t6339 * t223;
  t32226 = t21655 * t6476;
  t32228 = t21655 * t6497;
  t32235 = t31037 * t1229;
  t32237 = t3548 * t6194;
  t32248 = -t32207 / 0.12e2 - t3567 * t1521 * t223 / 0.4e1 - 0.3e1 / 0.4e1 * t800 * t1577 - 0.3e1 / 0.2e1 * t182 * t6275 - 0.3e1 / 0.4e1 * t182 * t6270 - 0.3e1 / 0.4e1 * t30 * t1607 * t720 - t30 * t476 * t3107 / 0.4e1 + 0.3e1 / 0.2e1 * t6069 * t25959 - t32226 / 0.2e1 - t32228 - 0.3e1 / 0.2e1 * t3123 * t6496 * t3313 - t644 * t1547 * t26115 / 0.2e1 - 0.2e1 / 0.9e1 * t32235 + 0.3e1 * t32237 - 0.11e2 / 0.6e1 * t6107 * t26062 + 0.23e2 / 0.12e2 * t6107 * t26050 - 0.18e2 * t644 * t31261 * t27009 + 0.44e2 / 0.27e2 * t30900 * t26072;
  t32253 = t3124 * t6095;
  t32257 = t21633 * t1554;
  t32265 = t26891 * t6484;
  t32274 = t593 * t6305;
  t32276 = t3637 * t1514;
  t32278 = t3631 * t1514;
  t32280 = t1508 * t3553;
  t32283 = t21259 * t465 * t223;
  t32288 = 0.5e1 / 0.54e2 * t21751 * t481;
  t32291 = 0.5e1 / 0.162e3 * t21582 * t465 * t223;
  t32292 = -0.61e2 / 0.27e2 * t30900 * t26107 - 0.3e1 / 0.4e1 * t182 * t6472 - 0.3e1 * t3123 * t32253 * t1246 - 0.3e1 / 0.2e1 * t3123 * t32257 * t1246 - 0.3e1 * t21617 * t6497 - 0.3e1 * t21621 * t6497 + t32265 + 0.3e1 / 0.2e1 * t3123 * t6475 * t3161 + 0.3e1 * t10066 * t27183 + t6069 * t25796 + 0.2e1 / 0.3e1 * t6069 * t26780 + t32274 / 0.4e1 + t32276 / 0.2e1 + t32278 / 0.2e1 - t32280 / 0.12e2 - t32283 / 0.12e2 - 0.3e1 * t1532 * t3509 + t32288 - t32291;
  t32299 = t3172 * t6262;
  t32308 = t21207 * t30898;
  t32319 = t673 * t6255 * t3284;
  t32322 = t1227 * t6256;
  t32332 = t247 * t6079;
  t32336 = t21416 * t1548;
  t32337 = t21421 * t1548;
  t32338 = -0.3e1 / 0.2e1 * t6295 * t3166 + 0.3e1 / 0.2e1 * t1532 * t3190 + t622 * t32299 / 0.2e1 - 0.3e1 / 0.2e1 * t1532 * t3187 - 0.2e1 * t30900 * t26832 + 0.3e1 / 0.2e1 * t6295 * t3182 + 0.6e1 * t246 * t32308 * t27200 - 0.3e1 / 0.2e1 * t30937 * t4834 - 0.3e1 / 0.2e1 * t6107 * t26990 - 0.38e2 / 0.9e1 * t30900 * t26987 - t211 * t32319 / 0.4e1 - t622 * t32322 / 0.4e1 - 0.3e1 / 0.4e1 * t30 * t6471 * t277 + 0.9e1 / 0.2e1 * t768 * t6209 + 0.9e1 / 0.2e1 * t757 * t6209 + 0.9e1 / 0.2e1 * t246 * t32332 * t4878 - t32336 - t32337;
  t32339 = t31027 * t1229;
  t32341 = t31030 * t1229;
  t32343 = t6186 * t4946;
  t32345 = t6186 * t3324;
  t32351 = t3548 * t6088;
  t32360 = t3631 * t1551;
  t32361 = t3637 * t1551;
  t32362 = t1220 * t6256;
  t32378 = t30978 * t4951;
  t32380 = 0.2e1 / 0.3e1 * t32339 + 0.2e1 / 0.3e1 * t32341 + 0.2e1 / 0.3e1 * t32343 + t32345 / 0.3e1 - 0.6e1 * t31115 * t4862 - 0.6e1 * t31120 * t4862 - t32351 / 0.2e1 + 0.9e1 * t3530 * t6194 + 0.9e1 * t3537 * t6194 + 0.9e1 * t644 * t31534 * t4868 + t32360 + t32361 - t622 * t32362 / 0.2e1 - 0.18e2 * t644 * t32308 * t27196 + 0.18e2 * t3680 * t32308 * t26980 - 0.6e1 * t21206 * t32308 * t26975 + 0.8e1 * t30900 * t26970 - 0.62e2 / 0.3e1 * t30900 * t27204 + 0.23e2 / 0.36e2 * t32378;
  t32384 = t30978 * t4920;
  t32386 = t31557 * t4862;
  t32388 = t31557 * t4860;
  t32403 = t30 * t476 * t3121;
  t32407 = 0.5e1 / 0.54e2 * t3329 * t477;
  t32408 = t592 * t6294;
  t32409 = t32408 * t650;
  t32411 = t6358 * t655;
  t32420 = -0.6e1 * t31050 * t27016 - 0.11e2 / 0.18e2 * t32384 - 0.2e1 * t32386 + t32388 + 0.23e2 / 0.12e2 * t30937 * t4951 + 0.12e2 * t31050 * t26984 + 0.23e2 / 0.12e2 * t30919 * t4951 - 0.11e2 / 0.6e1 * t30937 * t4920 - 0.11e2 / 0.6e1 * t30919 * t4920 - t6084 * t4917 / 0.2e1 - t6084 * t4929 - 0.3e1 / 0.4e1 * t32403 * t3126 - t32407 - t32409 / 0.2e1 + t32411 / 0.2e1 + 0.3e1 * t6295 * t3505 - 0.2e1 * t3522 * t6290 + t3522 * t6286 + 0.3e1 / 0.2e1 * t6335 * t655;
  t32421 = t3647 * t6286;
  t32423 = t764 * t6294;
  t32430 = t191 * t242 * t1606 * t641;
  t32433 = t3544 * t6289;
  t32438 = t629 * t1608;
  t32442 = t634 * t1607 * t635;
  t32444 = t3516 * t477;
  t32451 = t191 * t242 * t6470 * t243;
  t32459 = t3664 * t477;
  t32462 = t3516 * t6289;
  t32465 = t476 * t3671;
  t32466 = t3544 * t32465;
  t32471 = t191 * t242 * t475 * t3677;
  t32476 = -t32421 / 0.6e1 - 0.3e1 / 0.2e1 * t32423 * t650 + 0.3e1 / 0.2e1 * t6353 * t655 - 0.3e1 / 0.2e1 * t32430 * t650 + 0.23e2 / 0.36e2 * t3515 * t32433 - t3526 * t6286 / 0.2e1 - t622 * t32438 / 0.2e1 + t622 * t32442 - 0.11e2 / 0.18e2 * t3515 * t32444 + 0.3e1 / 0.2e1 * t1532 * t3661 + 0.3e1 / 0.4e1 * t32451 * t250 - t31096 * t1223 / 0.2e1 - t31100 * t1223 + 0.3e1 / 0.4e1 * t6353 * t761 - t3515 * t32459 / 0.2e1 + 0.7e1 / 0.3e1 * t3515 * t32462 - 0.3e1 / 0.2e1 * t3515 * t32466 + 0.3e1 / 0.2e1 * t32471 * t3682 - 0.3e1 * t6295 * t3686;
  t32482 = my_piecewise3(t2, 0, t32476 + t32420 + t32380 + t32338 + t32292 + t32248 + t32204 + t32161 + t32118 + t31823 + t31774 + t31736 + t31691 + t31655 + t31601 + t31554 + t31505 + t31465 + t31414 + t31366 + t31325 + t31281 + t31234 + t31191 + t31149 + t31099 + t31059 + t31012 + t30966 + t30912 + t30861 + t30824);
  tv4rho3lapl0 = t3 * t32482 + 0.3e1 * t6511;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 0] += tv4rho3lapl0;

  t32489 = t22972 * t489 * t350;
  t32492 = t22964 * t489 * t350;
  t32496 = 0.5e1 / 0.162e3 * t22968 * t489 * t350;
  t32499 = t3721 * t501;
  t32501 = t3725 * t501;
  t32504 = 0.5e1 / 0.54e2 * t3729 * t501;
  t32507 = t22973 * t505;
  t32509 = t22965 * t505;
  t32512 = 0.5e1 / 0.54e2 * t22969 * t505;
  t32513 = -t22985 * t489 * t350 / 0.12e2 - t32489 / 0.12e2 + t32492 / 0.18e2 - t32496 - t3717 * t501 / 0.4e1 - t32499 / 0.4e1 + t32501 / 0.6e1 - t32504 + t22986 * t505 / 0.4e1 + t32507 / 0.4e1 - t32509 / 0.6e1 + t32512;
  t32514 = my_piecewise3(t100, 0, t32513);
  tv4rho3lapl1 = t3 * t32514 + 0.3e1 * t6536;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 1] += tv4rho3lapl1;

  t32516 = 0.2e1 * t6623;
  t32534 = t30784 / 0.6e1 + t30795 / 0.27e2 + t30798 / 0.27e2 + t30800 / 0.27e2 - t30802 / 0.18e2 - t30804 / 0.36e2 - t30811 / 0.18e2 + t30818 / 0.27e2 + t30820 / 0.9e1 + t30828 / 0.6e1 + t30954 / 0.2e1 + t30956 / 0.36e2 - t30962 / 0.18e2 + t30969 / 0.6e1 - t30973 / 0.12e2 + 0.7e1 / 0.9e1 * t30979 - t30988 / 0.6e1;
  t32551 = t30998 / 0.2e1 - t31003 - t31005 / 0.2e1 + t31010 / 0.18e2 - t31013 / 0.18e2 - t31015 / 0.18e2 - t31017 / 0.18e2 - t31019 / 0.36e2 - t31028 / 0.18e2 - t31031 / 0.18e2 + 0.2e1 / 0.27e2 * t31038 + t31053 / 0.18e2 + t31163 / 0.6e1 + t31165 / 0.6e1 + t31167 / 0.12e2 + t31169 / 0.6e1 + t31172 / 0.9e1;
  t32574 = t31175 / 0.9e1 + t31177 / 0.9e1 - t31179 / 0.18e2 - t31181 / 0.36e2 - 0.5e1 / 0.108e3 * t31183 - t31185 / 0.6e1 - t31187 / 0.6e1 - t31189 / 0.6e1 - t31192 / 0.12e2 + t31198 / 0.18e2 + t31200 / 0.36e2 - t31202 / 0.6e1 + t31204 / 0.18e2 + t903 * t6122 / 0.2e1 + t3825 * t1564 / 0.2e1 + 0.2e1 / 0.3e1 * t27739 * t2692 - t3835 * t1560 / 0.2e1;
  t32604 = 0.2e1 / 0.3e1 * t22562 * t13124 - t3825 * t1556 - t3825 * t1560 / 0.2e1 - t3835 * t1556 - t903 * t6137 / 0.2e1 - t903 * t6097 + t1632 * t3301 / 0.6e1 + t3835 * t1564 / 0.2e1 + t6609 * t5012 / 0.3e1 + t903 * t6133 / 0.2e1 + 0.2e1 / 0.3e1 * t22562 * t12234 - t6541 * t5032 / 0.6e1 - t1632 * t3281 / 0.6e1 + t898 * t6263 / 0.12e2 - 0.2e1 / 0.9e1 * t31247 + 0.2e1 / 0.9e1 * t31249 + 0.2e1 / 0.9e1 * t31255 + t31257 / 0.2e1;
  t32625 = t3824 * t1531;
  t32636 = -t31259 + t31268 / 0.9e1 - t27719 * t13197 - t22520 * t6476 / 0.2e1 - t898 * t6257 / 0.6e1 + t31315 / 0.9e1 + t31317 / 0.9e1 - t3802 * t6088 / 0.2e1 + t6541 * t3324 / 0.3e1 + t22897 * t481 / 0.2e1 + t3825 * t1514 / 0.2e1 - t3830 * t1527 / 0.6e1 + t32625 * t250 / 0.2e1 + t22892 * t481 / 0.4e1 - t1632 * t3553 / 0.12e2 + t22874 * t481 / 0.4e1 + t3835 * t1514 / 0.2e1;
  t32639 = t897 * t6334;
  t32664 = t894 * t1577 / 0.6e1;
  t32674 = -t898 * t6347 / 0.6e1 + t32639 * t250 / 0.2e1 - t6567 * t612 / 0.6e1 - t6570 * t612 / 0.6e1 - t22888 * t465 * t223 / 0.12e2 - t3824 * t1521 * t223 / 0.6e1 - t3807 * t6350 / 0.12e2 - t3821 * t1527 / 0.12e2 + t903 * t6305 / 0.4e1 - t897 * t6339 * t223 / 0.12e2 + t6575 * t761 / 0.4e1 - t32664 - t307 * t6275 / 0.2e1 - t890 * t1577 / 0.2e1 - t307 * t6270 / 0.4e1 - t6541 * t4917 / 0.6e1 + t31353 / 0.18e2;
  t32681 = t3824 * t1567;
  t32684 = t3824 * t1540;
  t32695 = t897 * t6080;
  t32698 = t897 * t6115;
  t32709 = t3814 * t1540;
  t32711 = t32709 * t1300 / 0.18e2;
  t32713 = 0.2e1 / 0.9e1 * t27975 * t2692;
  t32714 = t31356 / 0.9e1 - t6575 * t731 / 0.4e1 + t6575 * t736 / 0.2e1 + t32681 * t1260 / 0.3e1 - t32684 * t1300 / 0.6e1 - t6570 * t676 / 0.6e1 - t6567 * t676 / 0.6e1 + t6567 * t670 / 0.6e1 + t6570 * t670 / 0.6e1 - t32695 * t1300 / 0.6e1 + t32698 * t1260 / 0.3e1 - 0.2e1 * t27966 * t2692 - t903 * t6099 / 0.2e1 + t903 * t6129 / 0.4e1 - t903 * t6140 / 0.4e1 - t32711 + t32713;
  t32715 = t3814 * t1567;
  t32717 = t32715 * t1260 / 0.9e1;
  t32719 = t6564 * t670 / 0.18e2;
  t32736 = t32717 + t32719 + t31483 / 0.3e1 + t31484 / 0.6e1 - t31494 / 0.9e1 - t31496 / 0.9e1 - t31498 / 0.9e1 - t31500 / 0.18e2 - t31526 / 0.3e1 - t31538 / 0.3e1 - t31539 / 0.3e1 - t31540 / 0.3e1 + t31541 / 0.6e1 - 0.2e1 / 0.27e2 * t31544 - t31546 / 0.27e2 - t31548 / 0.9e1 + t31555 / 0.27e2 + t31558 / 0.6e1;
  t32743 = t307 * t1591;
  t32748 = t307 * t470;
  t32751 = t307 * t1587;
  t32766 = t6564 * t612 / 0.18e2;
  t32768 = t3818 * t1514 / 0.6e1;
  t32769 = -t31561 / 0.6e1 - t31563 / 0.18e2 + t31567 / 0.27e2 - t32743 * t4803 / 0.6e1 + t32743 * t4806 / 0.4e1 + t32748 * t3133 / 0.6e1 - t32751 * t4793 / 0.3e1 + t32751 * t4797 / 0.3e1 + 0.2e1 / 0.3e1 * t27719 * t13201 - t31576 / 0.18e2 - t31580 / 0.9e1 + t31582 / 0.12e2 - t31660 / 0.6e1 - t31662 / 0.12e2 + t3838 * t1527 / 0.6e1 - t32766 + t32768;
  t32771 = t22925 * t481 / 0.6e1;
  t32773 = t22878 * t481 / 0.6e1;
  t32776 = t3814 * t1531;
  t32778 = t32776 * t250 / 0.6e1;
  t32780 = t3815 * t1527 / 0.18e2;
  t32782 = t22881 * t465 * t223;
  t32784 = t22885 * t481;
  t32788 = t3814 * t1521 * t223 / 0.18e2;
  t32791 = t22877 * t465 * t223 / 0.18e2;
  t32796 = t897 * t6294;
  t32804 = t897 * t6106;
  t32808 = t32771 + t32773 - t6575 * t749 / 0.2e1 + t32778 - t32780 + t32782 / 0.54e2 - t32784 / 0.18e2 - t32788 - t32791 + t6575 * t655 / 0.2e1 + t3807 * t6290 / 0.3e1 - t32796 * t650 / 0.2e1 - t3807 * t6286 / 0.6e1 + t31664 / 0.9e1 - t6541 * t3320 / 0.12e2 - 0.5e1 / 0.36e2 * t32804 * t5037 - t22759 * t1548;
  t32818 = t22719 * t1548 / 0.3e1;
  t32831 = t903 * t6120 - t6541 * t4929 / 0.3e1 - t3802 * t6092 + t3835 * t1551 - t22732 * t1548 + t3825 * t1551 - t32818 - t32695 * t1223 / 0.3e1 - t32684 * t1223 / 0.3e1 - t31750 / 0.12e2 + t31754 / 0.2e1 - t31756 / 0.9e1 + 0.2e1 / 0.9e1 * t31758 - t31762 / 0.3e1 + t31763 / 0.3e1 + t31764 / 0.6e1 - t31766 / 0.3e1;
  t32833 = t3818 * t1551 / 0.3e1;
  t32835 = t32709 * t1223 / 0.9e1;
  t32842 = t897 * t6222;
  t32848 = t3818 * t1564 / 0.6e1;
  t32850 = t3818 * t1560 / 0.6e1;
  t32852 = t3818 * t1556 / 0.3e1;
  t32856 = t897 * t6166;
  t32866 = t32833 - t32835 - t1632 * t3305 / 0.12e2 + 0.3e1 / 0.2e1 * t903 * t6209 - t1632 * t3143 / 0.6e1 - t32842 * t4905 / 0.2e1 + t903 * t6219 / 0.2e1 + t32848 - t32850 - t32852 - t31828 / 0.12e2 - t31830 / 0.6e1 - t31832 / 0.6e1 + t32856 * t4860 - 0.3e1 * t903 * t6203 + 0.3e1 * t3802 * t6194 - 0.11e2 / 0.18e2 * t32804 * t4920 + 0.23e2 / 0.36e2 * t32804 * t4951;
  t32890 = t894 * t1608 / 0.6e1;
  t32891 = -0.3e1 / 0.2e1 * t32804 * t4846 + 0.3e1 / 0.2e1 * t22751 * t6247 - 0.3e1 * t3802 * t6231 + 0.7e1 / 0.3e1 * t32804 * t4840 - t32125 / 0.9e1 - t32127 / 0.6e1 + t32129 / 0.18e2 + t32133 / 0.12e2 + t32135 / 0.6e1 + t32137 / 0.12e2 + t32139 / 0.12e2 - t32147 / 0.9e1 - t32149 / 0.9e1 - t32151 / 0.9e1 - t32153 / 0.36e2 - t32172 / 0.2e1 - t32890;
  t32893 = t3764 * t477 / 0.6e1;
  t32894 = t3768 * t477;
  t32913 = -t32893 + t32894 / 0.18e2 - t890 * t1608 / 0.2e1 - t32184 / 0.18e2 - t32187 / 0.18e2 - t32202 / 0.18e2 - t32207 / 0.36e2 - t32226 / 0.6e1 - t32228 / 0.3e1 + 0.3e1 / 0.2e1 * t903 * t6250 - t32804 * t4834 / 0.2e1 - 0.4e1 / 0.27e2 * t32235 + t32237 + t32265 / 0.3e1 + t27723 * t6484 - t22520 * t6497 + t32274 / 0.12e2;
  t32936 = t32276 / 0.6e1 + t32278 / 0.6e1 - t32280 / 0.36e2 - t32283 / 0.36e2 + t32288 - t32291 - t32743 * t4757 / 0.3e1 + t32743 * t4772 / 0.2e1 - 0.3e1 / 0.2e1 * t27723 * t6479 - t27864 * t6067 + t22520 * t6482 + 0.3e1 / 0.2e1 * t27867 * t6063 - t307 * t6472 / 0.4e1 - t3788 * t477 / 0.4e1 - t32336 / 0.3e1 - t32337 / 0.3e1 + 0.2e1 / 0.9e1 * t32339;
  t32948 = t6564 * t676 / 0.18e2;
  t32958 = 0.2e1 / 0.9e1 * t32341 + 0.2e1 / 0.9e1 * t32343 + t32345 / 0.9e1 - t32351 / 0.6e1 + t32360 / 0.3e1 + t32361 / 0.3e1 + 0.23e2 / 0.108e3 * t32378 - 0.11e2 / 0.54e2 * t32384 - 0.2e1 / 0.3e1 * t32386 + t32388 / 0.3e1 - t32948 - t32407 + t1632 * t3269 / 0.12e2 + t6609 * t3262 / 0.6e1 + t32856 * t5017 / 0.2e1 - t32409 / 0.6e1 + t32411 / 0.6e1 - t32421 / 0.18e2;
  t32963 = my_piecewise3(t2, 0, t32534 + t32551 + t32574 + t32604 + t32636 + t32674 + t32714 + t32736 + t32769 + t32808 + t32831 + t32866 + t32891 + t32913 + t32936 + t32958);
  tv4rho3lapl2 = t3 * t32963 + t32516 + t6511;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 2] += tv4rho3lapl2;

  t32965 = 0.2e1 * t6733;
  t32968 = t6520 * t1087;
  t32970 = t3903 * t1658;
  t32973 = t869 * t1685 / 0.6e1;
  t32974 = t873 * t1685;
  t32981 = t6517 * t1002 / 0.18e2;
  t32983 = t6517 * t997 / 0.18e2;
  t32984 = t3898 * t1643;
  t32986 = t32984 * t1433 / 0.9e1;
  t32988 = t3915 * t1700 / 0.3e1;
  t32990 = t3915 * t1708 / 0.6e1;
  t32991 = t3898 * t1650;
  t32993 = t32991 * t1438 / 0.18e2;
  t32995 = t23371 * t1693 / 0.3e1;
  t32997 = t3915 * t1696 / 0.3e1;
  t32999 = t3915 * t1704 / 0.6e1;
  t33000 = -t32499 / 0.12e2 + t32501 / 0.9e1 - t32504 + t32968 / 0.54e2 + t32970 / 0.54e2 - t32973 + t32974 / 0.18e2 - t865 * t1685 / 0.4e1 + t3912 * t1696 / 0.2e1 - t32981 + t32983 + t32986 - t32988 + t32990 - t32993 - t32995 + t32997 - t32999;
  t33001 = t6520 * t997;
  t33004 = 0.2e1 / 0.9e1 * t32991 * t1402;
  t33006 = t32991 * t1396 / 0.9e1;
  t33007 = t3918 * t1708;
  t33009 = t3902 * t1643;
  t33010 = t33009 * t1433;
  t33012 = t3902 * t1650;
  t33013 = t33012 * t1438;
  t33015 = t6520 * t1002;
  t33017 = t3918 * t1696;
  t33019 = t3918 * t1704;
  t33021 = t3918 * t1700;
  t33023 = t33012 * t1402;
  t33025 = t33012 * t1396;
  t33027 = t23391 * t1693;
  t33031 = t3898 * t1681 * t350 / 0.18e2;
  t33039 = t3915 * t1673 / 0.6e1;
  t33041 = t23408 * t505 / 0.6e1;
  t33042 = -t33001 / 0.54e2 + t33004 - t33006 - t33007 / 0.18e2 - t33010 / 0.27e2 + t33013 / 0.54e2 + t33015 / 0.54e2 - t33017 / 0.9e1 + t33019 / 0.18e2 + t33021 / 0.9e1 - 0.2e1 / 0.27e2 * t33023 + t33025 / 0.27e2 + t33027 / 0.9e1 - t33031 - t6514 * t1087 / 0.12e2 - t3895 * t1658 / 0.12e2 + t23238 * t505 / 0.4e1 + t33039 + t33041;
  t33048 = t3894 * t1643;
  t33053 = t3894 * t1650;
  t33064 = t873 * t1737;
  t33067 = t3885 * t501 / 0.6e1;
  t33069 = t869 * t1737 / 0.6e1;
  t33074 = t3889 * t501;
  t33080 = -t6514 * t1002 / 0.12e2 + t6514 * t997 / 0.12e2 + t33048 * t1433 / 0.6e1 + t3912 * t1708 / 0.4e1 - t33053 * t1438 / 0.12e2 - t3912 * t1700 / 0.2e1 - t3912 * t1704 / 0.4e1 - t33053 * t1396 / 0.6e1 - t23423 * t1693 / 0.2e1 + t33064 / 0.18e2 - t33067 - t33069 + t33053 * t1402 / 0.3e1 - t865 * t1737 / 0.4e1 + t33074 / 0.18e2 - t3881 * t501 / 0.4e1 - t32509 / 0.9e1 + t32512 + t32507 / 0.12e2;
  t33083 = t3918 * t1673;
  t33086 = t23252 * t489 * t350;
  t33089 = t3902 * t1681 * t350;
  t33092 = t6517 * t1087 / 0.18e2;
  t33094 = t3899 * t1658 / 0.18e2;
  t33096 = t23358 * t505 / 0.6e1;
  t33097 = t3898 * t1662;
  t33099 = t33097 * t377 / 0.6e1;
  t33102 = t23357 * t489 * t350 / 0.18e2;
  t33103 = t23256 * t505;
  t33105 = t3902 * t1662;
  t33106 = t33105 * t377;
  t33108 = t23381 * t505;
  t33120 = t3894 * t1662;
  t33123 = -t32489 / 0.36e2 + t32492 / 0.27e2 - t32496 - t33083 / 0.18e2 + t33086 / 0.54e2 + t33089 / 0.54e2 - t33092 - t33094 + t33096 + t33099 - t33102 - t33103 / 0.18e2 - t33106 / 0.18e2 - t33108 / 0.18e2 - t3894 * t1681 * t350 / 0.12e2 + t3912 * t1673 / 0.4e1 + t23244 * t505 / 0.4e1 - t23237 * t489 * t350 / 0.12e2 + t33120 * t377 / 0.4e1;
  t33126 = my_piecewise3(t100, 0, t33000 + t33042 + t33080 + t33123);
  tv4rho3lapl3 = t3 * t33126 + t32965 + t6536;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 3] += tv4rho3lapl3;

  t33139 = t3953 * t1540;
  t33146 = t3953 * t1567;
  t33153 = t30795 / 0.54e2 + t30798 / 0.54e2 + t30800 / 0.54e2 + t30818 / 0.54e2 + t31038 / 0.27e2 - t31247 / 0.9e1 + t31249 / 0.9e1 + t31255 / 0.9e1 + t31268 / 0.18e2 + t31315 / 0.18e2 + t31317 / 0.18e2 + t33139 * t1229 / 0.3e1 - t972 * t1577 / 0.4e1 - t32664 - t6736 * t676 / 0.12e2 + t33146 * t1260 / 0.6e1 + t6736 * t670 / 0.12e2 - t33139 * t1300 / 0.12e2;
  t33154 = t3950 * t477;
  t33166 = -t32711 + t32713 + t32717 + t32719 - t33154 / 0.12e2 - t3946 * t477 / 0.4e1 - t972 * t1608 / 0.4e1 - t31544 / 0.27e2 - t31546 / 0.54e2 - t31548 / 0.18e2 + t31555 / 0.54e2 + t31567 / 0.54e2 - t32766 + t32768 + t32771 + t32773 + t32778 - t32780 + t32782 / 0.27e2;
  t33184 = t3953 * t1531;
  t33201 = -t32784 / 0.9e1 - t32788 - t32791 + t31664 / 0.18e2 + t3959 * t1564 / 0.4e1 - t3959 * t1556 / 0.2e1 - t3959 * t1560 / 0.4e1 - t23097 * t1548 / 0.2e1 + t3959 * t1551 / 0.2e1 - t33139 * t1223 / 0.6e1 - t32818 - t6736 * t612 / 0.12e2 + t33184 * t250 / 0.4e1 - t23149 * t465 * t223 / 0.12e2 - t3953 * t1521 * t223 / 0.12e2 + t23087 * t481 / 0.4e1 + t3959 * t1514 / 0.4e1 + t23153 * t481 / 0.4e1 - t3954 * t1527 / 0.12e2;
  t33209 = t23156 * t465 * t223;
  t33211 = t23160 * t481;
  t33213 = t32833 - t32835 + t32848 - t32850 - t32852 - t32125 / 0.18e2 - t32147 / 0.18e2 - t32149 / 0.18e2 - t32151 / 0.18e2 - t32890 - t32893 + t32894 / 0.9e1 - 0.2e1 / 0.27e2 * t32235 + t32288 - t32291 - t33209 / 0.36e2 - t32948 - t32407 + t33211 / 0.12e2;
  t33216 = my_piecewise3(t2, 0, t33153 + t33166 + t33201 + t33213);
  tv4rho3lapl4 = t3 * t33216 + t32516 + t6747;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 4] += tv4rho3lapl4;

  t33218 = t6679 * t6013;
  t33220 = t1618 * t4719;
  t33222 = t937 * t7071;
  t33223 = t33222 * t1433;
  t33225 = t1618 * t4726;
  t33227 = t6641 * t1002;
  t33229 = t6636 * t1002;
  t33231 = t937 * t6751;
  t33232 = t33231 * t6001;
  t33234 = t6679 * t5998;
  t33236 = t937 * t6759;
  t33237 = t33236 * t1438;
  t33239 = t6684 * t5989;
  t33241 = t6641 * t997;
  t33243 = t6684 * t4662;
  t33245 = t937 * t6920;
  t33246 = t33245 * t5980;
  t33248 = t4009 * t1650;
  t33249 = t33248 * t1438;
  t33251 = t4019 * t1704;
  t33253 = t1618 * t4683;
  t33255 = t6636 * t997;
  t33257 = -t33218 / 0.18e2 - t33220 / 0.36e2 + t33223 / 0.9e1 - t33225 / 0.18e2 - t33227 / 0.18e2 - t33229 / 0.18e2 - 0.5e1 / 0.108e3 * t33232 - t33234 / 0.36e2 - t33237 / 0.18e2 + t33239 / 0.9e1 + t33241 / 0.18e2 + t33243 / 0.18e2 + t33246 / 0.6e1 - t33249 / 0.18e2 - t33251 / 0.6e1 + t33253 / 0.36e2 + t33255 / 0.18e2;
  t33258 = t1618 * t4699;
  t33262 = t294 * t1720;
  t33263 = t33262 * t5568;
  t33265 = t33262 * t5572;
  t33276 = t948 * t6816;
  t33278 = t290 * t1716;
  t33281 = t290 * t494;
  t33284 = t290 * t1720;
  t33289 = t33258 / 0.18e2 + t6709 * t4662 / 0.6e1 - t33263 / 0.18e2 + t33265 / 0.12e2 - t23531 * t7117 / 0.2e1 - t28922 * t7127 + t28455 * t7121 - 0.3e1 / 0.2e1 * t28455 * t7129 + t23531 * t7132 - t23531 * t7124 + t32501 / 0.18e2 - t32504 + t33276 / 0.6e1 + t33278 * t5583 / 0.3e1 + t33281 * t4140 / 0.6e1 + t33284 * t5572 / 0.4e1 - t33284 * t5568 / 0.6e1;
  t33293 = t938 * t6775;
  t33295 = t933 * t6751;
  t33298 = t6631 * t980;
  t33300 = t33248 * t1396;
  t33302 = t6679 * t5772;
  t33304 = t33236 * t1396;
  t33307 = t33262 * t5592;
  t33309 = t28427 * t7139;
  t33311 = t33231 * t5760;
  t33313 = t6679 * t5757;
  t33315 = t33236 * t1402;
  t33317 = t937 * t6847;
  t33318 = t33317 * t1036;
  t33321 = t32968 / 0.27e2 + t32970 / 0.27e2 - t33293 / 0.18e2 + 0.7e1 / 0.3e1 * t33295 * t5642 + t33298 / 0.6e1 - t33300 / 0.9e1 - t33302 / 0.9e1 - t33304 / 0.9e1 - t32973 + t32974 / 0.9e1 - t33307 / 0.9e1 + t33309 / 0.2e1 - 0.11e2 / 0.54e2 * t33311 - t33313 / 0.18e2 + 0.2e1 / 0.9e1 * t33315 - t33318 / 0.6e1 - t33284 * t5551;
  t33328 = t33262 * t5556;
  t33330 = t33262 * t5551;
  t33334 = t933 * t7099;
  t33337 = t4045 * t1650;
  t33348 = t948 * t6929;
  t33349 = t948 * t6943;
  t33351 = t948 * t6939;
  t33353 = t6679 * t5797;
  t33355 = t948 * t6800;
  t33357 = t948 * t6789;
  t33359 = 0.3e1 / 0.2e1 * t28913 * t7139 - t33284 * t5592 / 0.3e1 + t33284 * t5588 / 0.2e1 + 0.2e1 / 0.9e1 * t33328 - t33330 / 0.3e1 - t6656 * t1101 / 0.4e1 - t33334 * t6029 / 0.2e1 - t33337 * t1438 / 0.6e1 - t4046 * t1704 / 0.2e1 + t1615 * t4699 / 0.6e1 + t1615 * t4683 / 0.12e2 + t6659 * t997 / 0.6e1 - t33348 + t33349 / 0.2e1 + t33351 / 0.6e1 + 0.2e1 / 0.9e1 * t33353 - t33355 / 0.3e1 - t33357 / 0.6e1;
  t33362 = t4013 * t1700;
  t33364 = t23639 * t1693;
  t33366 = t6679 * t4248;
  t33368 = t33231 * t5790;
  t33370 = t33262 * t5588;
  t33372 = t4013 * t1704;
  t33374 = t4040 * t6785;
  t33376 = t4040 * t6779;
  t33378 = t23858 * t1693;
  t33380 = t294 * t7051;
  t33382 = t4081 * t501;
  t33384 = t929 * t1737;
  t33386 = t4019 * t1696;
  t33392 = t937 * t7099;
  t33393 = t33392 * t6029;
  t33395 = t1618 * t4710;
  t33397 = -t33362 / 0.3e1 - t33364 / 0.3e1 + t33366 / 0.9e1 + 0.23e2 / 0.108e3 * t33368 + t33370 / 0.6e1 - t33372 / 0.6e1 - t33374 / 0.3e1 - t33376 / 0.6e1 - t33378 / 0.3e1 - t33380 / 0.12e2 - t33382 / 0.12e2 - t33384 / 0.6e1 + t33386 / 0.3e1 - t1615 * t4710 / 0.6e1 + 0.2e1 / 0.3e1 * t33284 * t5556 - t33393 / 0.6e1 - t33395 / 0.18e2;
  t33398 = t4040 * t6932;
  t33399 = t938 * t7094;
  t33401 = t6631 * t1101;
  t33403 = t933 * t6759;
  t33426 = t4045 * t1643;
  t33432 = t33398 + t33399 / 0.36e2 - t33401 / 0.12e2 + 0.2e1 / 0.3e1 * t33403 * t1402 - 0.11e2 / 0.18e2 * t33295 * t5760 + 0.2e1 / 0.3e1 * t33337 * t1402 - t6702 * t5772 / 0.3e1 - t6702 * t5757 / 0.6e1 - t33337 * t1396 / 0.3e1 - t33403 * t1396 / 0.3e1 - t290 * t7051 / 0.4e1 - t4099 * t501 / 0.4e1 - t925 * t1737 / 0.2e1 + t945 * t6803 / 0.2e1 + t33426 * t1433 / 0.3e1 + t4052 * t1696 + t945 * t6816 / 0.2e1;
  t33448 = t933 * t7071;
  t33457 = t4046 * t1708 / 0.2e1 + t4052 * t1708 / 0.2e1 + t945 * t6812 / 0.4e1 - t945 * t6950 / 0.2e1 - t945 * t6953 / 0.4e1 - t4052 * t1704 / 0.2e1 - t1615 * t4719 / 0.12e2 + t33448 * t1433 / 0.3e1 - t6659 * t1002 / 0.6e1 - t1615 * t4726 / 0.6e1 - 0.5e1 / 0.36e2 * t33295 * t6001 - t32981 + t32983 + t32986 - t32988 + t32990 - t32993;
  t33464 = t33231 * t5642;
  t33466 = t33231 * t5636;
  t33468 = t948 * t6946;
  t33477 = -t290 * t7151 / 0.2e1 - t290 * t7146 / 0.4e1 - t925 * t1685 / 0.2e1 + 0.7e1 / 0.9e1 * t33464 - t33466 / 0.6e1 + t33468 / 0.2e1 - t32995 + t32997 - t32999 - t33001 / 0.27e2 + t33004 - t33006 - t33007 / 0.9e1 - 0.2e1 / 0.27e2 * t33010 + t33013 / 0.27e2 + t33015 / 0.27e2 - 0.2e1 / 0.9e1 * t33017 + t33019 / 0.9e1;
  t33514 = 0.2e1 / 0.9e1 * t33021 - 0.4e1 / 0.27e2 * t33023 + 0.2e1 / 0.27e2 * t33025 + 0.2e1 / 0.9e1 * t33027 - t4045 * t1681 * t350 / 0.6e1 + t4052 * t1673 / 0.2e1 + t945 * t6886 / 0.4e1 - t933 * t6907 * t350 / 0.12e2 + t23596 * t505 / 0.4e1 - t6656 * t1046 / 0.2e1 + t4037 * t1658 / 0.6e1 - t4049 * t1658 / 0.12e2 + t4046 * t1673 / 0.2e1 + t23591 * t505 / 0.2e1 + t6656 * t1071 / 0.4e1 + t23607 * t505 / 0.4e1 - t23606 * t489 * t350 / 0.12e2;
  t33515 = t294 * t1716;
  t33516 = t33515 * t5579;
  t33518 = t33515 * t5583;
  t33520 = t294 * t494;
  t33521 = t33520 * t4140;
  t33523 = t28439 * t7129;
  t33525 = t24019 * t7132;
  t33535 = t33248 * t1402;
  t33537 = t4045 * t1662;
  t33544 = t933 * t6854;
  t33547 = -t33516 / 0.9e1 + t33518 / 0.9e1 + t33521 / 0.18e2 - t33523 / 0.2e1 + t33525 / 0.3e1 - t33031 + t33039 + t33041 - t4058 * t6873 / 0.12e2 - t4055 * t1658 / 0.6e1 - t33403 * t1438 / 0.6e1 - t33278 * t5579 / 0.3e1 + 0.2e1 / 0.9e1 * t33535 + t33537 * t377 / 0.2e1 - t934 * t6870 / 0.6e1 - t1615 * t4487 / 0.12e2 + t33544 * t377 / 0.2e1;
  t33559 = t4016 * t1658;
  t33561 = t6631 * t1046;
  t33563 = t933 * t6847;
  t33578 = -t6653 * t1087 / 0.6e1 - t6659 * t1087 / 0.6e1 + t6656 * t1095 / 0.2e1 - t4058 * t6839 / 0.6e1 + t4058 * t6843 / 0.3e1 + t33559 / 0.18e2 - t33561 / 0.6e1 - t33563 * t1036 / 0.2e1 - t6653 * t1002 / 0.6e1 - t6702 * t6013 / 0.6e1 - t6702 * t5998 / 0.12e2 + t934 * t7094 / 0.12e2 + t33064 / 0.9e1 - t33067 - t33069 + t33074 / 0.9e1 - 0.3e1 / 0.2e1 * t33295 * t5626;
  t33585 = t4013 * t1708;
  t33587 = t948 * t6812;
  t33589 = t4019 * t1708;
  t33591 = t948 * t6950;
  t33593 = t948 * t6953;
  t33599 = t948 * t6803;
  t33601 = t4019 * t1700;
  t33607 = t33231 * t5626;
  t33609 = 0.3e1 / 0.2e1 * t945 * t6946 - t33295 * t5636 / 0.2e1 - t32509 / 0.18e2 + t32512 + t32492 / 0.54e2 - t32496 + t33585 / 0.6e1 + t33587 / 0.12e2 + t33589 / 0.6e1 - t33591 / 0.6e1 - t33593 / 0.12e2 + t6653 * t997 / 0.6e1 + t6709 * t5989 / 0.3e1 + t33599 / 0.6e1 - t33601 / 0.3e1 + 0.3e1 / 0.2e1 * t23924 * t7161 - 0.3e1 * t4065 * t6936 - t33607 / 0.2e1;
  t33612 = t23729 * t505;
  t33615 = t937 * t6907 * t350;
  t33617 = t948 * t6886;
  t33619 = t6631 * t1071;
  t33622 = t23732 * t489 * t350;
  t33625 = t4009 * t1681 * t350;
  t33627 = t4013 * t1673;
  t33629 = t4019 * t1673;
  t33631 = t23733 * t505;
  t33633 = t23736 * t505;
  t33635 = t4010 * t1658;
  t33637 = t4004 * t1658;
  t33639 = t4022 * t6873;
  t33641 = t4009 * t1662;
  t33642 = t33641 * t377;
  t33644 = t938 * t6870;
  t33646 = t6636 * t1087;
  t33648 = t1618 * t4487;
  t33650 = t33612 / 0.12e2 - t33615 / 0.36e2 + t33617 / 0.12e2 + t33619 / 0.12e2 - t33622 / 0.36e2 - t33625 / 0.18e2 + t33627 / 0.6e1 + t33629 / 0.6e1 + t33631 / 0.12e2 + t33633 / 0.6e1 - t33635 / 0.18e2 - t33637 / 0.36e2 - t33639 / 0.36e2 + t33642 / 0.6e1 - t33644 / 0.18e2 - t33646 / 0.18e2 - t33648 / 0.36e2;
  t33651 = t6641 * t1087;
  t33653 = t937 * t6854;
  t33654 = t33653 * t377;
  t33656 = t6631 * t1095;
  t33658 = t4022 * t6843;
  t33660 = t4022 * t6839;
  t33669 = -t33651 / 0.18e2 + t33654 / 0.6e1 + t33656 / 0.6e1 + t33658 / 0.9e1 - t33660 / 0.18e2 - t33083 / 0.9e1 + t33086 / 0.27e2 + t33089 / 0.27e2 - t33092 - t33094 + t33096 + t33099 - t33102 - t33103 / 0.9e1 - t33106 / 0.9e1 - t33108 / 0.9e1 - t23909 * t1693;
  t33692 = t33245 * t5648;
  t33694 = t33245 * t5651;
  t33696 = t23721 * t7161;
  t33698 = t6702 * t4248 / 0.3e1 - t945 * t6789 / 0.2e1 + 0.2e1 / 0.3e1 * t6702 * t5797 - t4052 * t1700 - t945 * t6800 - t4046 * t1700 + t945 * t6807 + t6656 * t980 / 0.2e1 + t4046 * t1696 - t934 * t6775 / 0.6e1 - t4065 * t6785 - t4065 * t6779 / 0.2e1 + 0.23e2 / 0.36e2 * t33295 * t5790 - t23902 * t1693 - 0.2e1 / 0.3e1 * t33692 + t33694 / 0.3e1 + t33696 / 0.2e1;
  t33699 = t294 * t7146;
  t33701 = t929 * t1685;
  t33703 = t933 * t6920;
  t33711 = t4009 * t1643;
  t33712 = t33711 * t1433;
  t33714 = t4013 * t1696;
  t33716 = t948 * t6807;
  t33722 = t294 * t7151;
  t33724 = t4040 * t6936;
  t33727 = t24019 * t7117;
  t33729 = t28436 * t7127;
  t33731 = t28439 * t7121;
  t33733 = t24019 * t7124;
  t33735 = -t33699 / 0.12e2 - t33701 / 0.6e1 - 0.2e1 * t33703 * t5648 - 0.3e1 * t945 * t6929 + 0.3e1 * t4065 * t6932 + t33703 * t5651 + t33712 / 0.9e1 + t33714 / 0.3e1 + t33716 / 0.3e1 + t945 * t6939 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t6943 - t33722 / 0.6e1 - t33724 + t33703 * t5980 / 0.2e1 - t33727 / 0.6e1 - t33729 / 0.3e1 + t33731 / 0.3e1 - t33733 / 0.3e1;
  t33740 = my_piecewise3(t100, 0, t33257 + t33289 + t33321 + t33359 + t33397 + t33432 + t33457 + t33477 + t33514 + t33547 + t33578 + t33609 + t33650 + t33669 + t33698 + t33735);
  tv4rho3lapl5 = t3 * t33740 + t32965 + t7168;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 5] += tv4rho3lapl5;

  t33756 = -t23490 * t465 * t223 / 0.12e2 - t33209 / 0.12e2 + t32782 / 0.18e2 - t32291 - t4129 * t477 / 0.4e1 - t33154 / 0.4e1 + t32894 / 0.6e1 - t32407 + t23496 * t481 / 0.4e1 + t33211 / 0.4e1 - t32784 / 0.6e1 + t32288;
  t33757 = my_piecewise3(t2, 0, t33756);
  tv4rho3lapl6 = t3 * t33757 + 0.3e1 * t6747;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 6] += tv4rho3lapl6;

  t33787 = t1671 * t4333;
  t33789 = t321 * t616 * t33787;
  t33792 = t5536 * t6919;
  t33806 = -t4189 * t10313 / 0.2e1 - 0.3e1 / 0.2e1 * t6848 * t4182 + 0.3e1 / 0.2e1 * t1663 * t4185 + t490 * t25546 / 0.2e1 + 0.3e1 / 0.2e1 * t6824 * t29982 - 0.3e1 * t6824 * t29986 + 0.3e1 * t4145 * t7123 * t30326 + 0.9e1 / 0.2e1 * t5535 * t7126 * t29990 - 0.9e1 / 0.2e1 * t4145 * t7126 * t29995 - t6830 * t30330 + 0.3e1 / 0.4e1 * t6824 * t30332 - t110 * t500 * t4314 / 0.4e1 + 0.3e1 / 0.2e1 * t33789 * t5980 + 0.9e1 * t5535 * t33792 * t5654 - 0.9e1 * t4145 * t33792 * t5659 + 0.14e2 * t5540 * t6984 * t30206 + 0.28e2 / 0.3e1 * t10451 * t29528 - 0.11e2 / 0.6e1 * t10457 * t29510;
  t33826 = t321 * t194 * t6919;
  t33829 = t487 * t24085;
  t33831 = t321 * t3512 * t33829;
  t33837 = t321 * t194 * t6758;
  t33843 = t321 * t616 * t6750;
  t33853 = 0.23e2 / 0.12e2 * t10457 * t29514 - 0.6e1 * t10451 * t29522 + 0.11e2 / 0.3e1 * t10457 * t29519 - 0.23e2 / 0.6e1 * t10457 * t29501 - 0.14e2 / 0.3e1 * t10451 * t29531 + 0.3e1 * t10451 * t29525 - 0.6e1 * t6921 * t29684 + 0.3e1 * t33789 * t5651 - 0.6e1 * t33789 * t5648 + 0.2e1 * t33826 * t29939 + 0.5e1 / 0.3e1 * t33831 * t29648 + 0.3e1 / 0.2e1 * t6921 * t29917 - 0.3e1 / 0.2e1 * t33837 * t6029 - 0.3e1 / 0.2e1 * t7100 * t29538 - 0.3e1 * t33843 * t29541 - 0.3e1 / 0.2e1 * t1663 * t4668 + t1663 * t4233 - 0.3e1 / 0.2e1 * t1663 * t4236 - 0.3e1 / 0.4e1 * t6876 * t1101;
  t33869 = t1074 * t7099;
  t33882 = t1074 * t6920;
  t33891 = t1074 * t6751;
  t33894 = -0.3e1 / 0.4e1 * t6855 * t1101 - t1663 * t4195 / 0.2e1 - t1663 * t4226 / 0.4e1 - 0.3e1 / 0.2e1 * t6752 * t29424 - t1677 * t4710 / 0.2e1 - t1682 * t4710 / 0.2e1 - t490 * t24572 / 0.2e1 - 0.3e1 / 0.2e1 * t33869 * t6029 - 0.23e2 / 0.3e1 * t33831 * t29690 + 0.22e2 / 0.3e1 * t33831 * t29687 + 0.3e1 * t6921 * t29680 - 0.9e1 * t1078 * t6929 + 0.9e1 * t4383 * t6932 + 0.3e1 * t33882 * t5651 - 0.6e1 * t33882 * t5648 - 0.9e1 * t4383 * t6936 + 0.9e1 / 0.2e1 * t1056 * t6946 - 0.11e2 / 0.6e1 * t33891 * t5760;
  t33897 = t487 * t24370;
  t33899 = t321 * t21182 * t33897;
  t33909 = t1671 * t4356;
  t33910 = t4373 * t33909;
  t33928 = t4453 * t1650;
  t33937 = t374 * t6906;
  t33943 = 0.23e2 / 0.12e2 * t33891 * t5790 - 0.38e2 / 0.9e1 * t33899 * t29113 + 0.3e1 / 0.2e1 * t1056 * t6939 + 0.3e1 / 0.2e1 * t373 * t6949 * t4714 + 0.3e1 / 0.2e1 * t1078 * t6939 - 0.9e1 * t1030 * t33910 * t5611 + 0.9e1 / 0.2e1 * t373 * t33910 * t5616 + 0.9e1 * t4349 * t6932 - t33218 / 0.6e1 - 0.3e1 / 0.2e1 * t4457 * t1704 - 0.3e1 / 0.2e1 * t1078 * t6950 - 0.3e1 / 0.4e1 * t1078 * t6953 + t490 * t25578 / 0.12e2 - t33928 * t1438 / 0.4e1 + t490 * t25508 / 0.4e1 + t490 * t25564 / 0.4e1 - 0.3e1 / 0.4e1 * t1056 * t6953 - 0.3e1 / 0.4e1 * t373 * t33937 * t1100 - 0.3e1 / 0.4e1 * t4454 * t1704;
  t33947 = t4707 * t6773 * t4708;
  t33952 = t4373 * t33829;
  t33963 = t1400 * t1661 * t978;
  t33978 = t110 * t7005;
  t33980 = -t338 * t33947 / 0.6e1 + t1663 * t4715 / 0.2e1 + 0.36e2 * t1030 * t33952 * t29470 - 0.3e1 / 0.2e1 * t373 * t1703 * t25596 - 0.18e2 * t4395 * t33952 * t29480 + t1010 * t33963 - t33220 / 0.12e2 + t33223 / 0.3e1 - t33225 / 0.6e1 - t33227 / 0.6e1 - t33229 / 0.6e1 - 0.5e1 / 0.36e2 * t33232 - t33234 / 0.12e2 - t33237 / 0.6e1 + t33239 / 0.3e1 + t6830 * t30308 / 0.2e1 + t6830 * t30299 / 0.2e1 + t33978 * t5583;
  t33986 = t318 * t1716;
  t33988 = t318 * t1720;
  t33997 = t110 * t6981;
  t34022 = t6830 * t30772 - t6830 * t24460 / 0.2e1 - t6830 * t30734 / 0.2e1 + t33986 * t5583 + 0.3e1 / 0.2e1 * t33988 * t5588 + 0.3e1 * t10451 * t29813 - 0.6e1 * t10451 * t29817 - 0.3e1 * t33988 * t5551 + 0.3e1 / 0.2e1 * t33997 * t5588 - 0.3e1 * t33997 * t5551 + 0.9e1 / 0.2e1 * t29764 * t7139 + 0.2e1 / 0.3e1 * t6824 * t29801 - 0.4e1 / 0.3e1 * t6824 * t29805 + 0.3e1 / 0.2e1 * t6824 * t29792 - 0.3e1 * t6824 * t29796 - 0.9e1 / 0.2e1 * t5540 * t6981 * t5542 + 0.2e1 * t5559 * t1720 * t30138 + 0.9e1 / 0.2e1 * t29770 * t7139 - 0.9e1 / 0.2e1 * t29773 * t7129;
  t34033 = t5536 * t6758;
  t34044 = t30159 * t1649;
  t34061 = 0.9e1 / 0.2e1 * t5559 * t6981 * t24182 - 0.3e1 * t30146 * t7127 + 0.3e1 * t24205 * t7132 - 0.9e1 / 0.2e1 * t29767 * t7129 - 0.3e1 * t5535 * t34033 * t1407 - 0.2e1 * t5540 * t1720 * t30142 - 0.3e1 * t30152 * t7127 + 0.3e1 * t24209 * t7132 - 0.3e1 / 0.2e1 * t5535 * t34044 * t1407 + 0.3e1 / 0.2e1 * t4145 * t34044 * t1412 + 0.3e1 * t4145 * t34033 * t1412 + t33241 / 0.6e1 + t33243 / 0.6e1 + t33246 / 0.2e1 - t33249 / 0.6e1 - t33251 / 0.2e1 + t33253 / 0.12e2 + t33255 / 0.6e1;
  t34091 = t4146 * t1680;
  t34101 = t24212 * t1642;
  t34105 = t24212 * t488;
  t34109 = t4146 * t6798;
  t34113 = t33258 / 0.6e1 + 0.3e1 / 0.4e1 * t4454 * t1708 - 0.3e1 / 0.4e1 * t4462 * t1704 - 0.3e1 / 0.2e1 * t1056 * t6950 + 0.9e1 / 0.2e1 * t5540 * t6988 * t30168 - 0.9e1 * t5559 * t6988 * t30164 - 0.3e1 / 0.2e1 * t24205 * t7117 + 0.3e1 * t29773 * t7121 - 0.3e1 / 0.2e1 * t24209 * t7117 + 0.3e1 * t5540 * t7005 * t5599 + 0.3e1 * t29767 * t7121 - 0.3e1 / 0.4e1 * t4145 * t7116 * t4225 - 0.3e1 * t24205 * t7124 - 0.3e1 / 0.2e1 * t4145 * t34091 * t1100 + 0.3e1 / 0.2e1 * t5540 * t1716 * t29968 + 0.3e1 / 0.2e1 * t5540 * t494 * t24063 - 0.3e1 / 0.2e1 * t4145 * t34101 * t1419 - 0.3e1 / 0.4e1 * t4145 * t34105 * t1100 - 0.3e1 * t4145 * t34109 * t1419;
  t34122 = t4686 * t1661 * t995;
  t34124 = t6773 * t4246;
  t34125 = t1000 * t34124;
  t34134 = t1074 * t7071;
  t34136 = t6884 * t1043;
  t34138 = t321 * t194 * t34136;
  t34157 = -0.3e1 * t24209 * t7124 - t33263 / 0.6e1 + t33265 / 0.4e1 - t1010 * t34122 + t4660 * t34125 / 0.2e1 - t1051 * t7094 / 0.3e1 + t1051 * t6775 / 0.2e1 - t490 * t24540 / 0.12e2 + t34134 * t1433 + t34138 * t1433 / 0.2e1 + t7072 * t5989 + t7072 * t4662 / 0.2e1 + t6819 * t5989 - t32504 + 0.3e1 / 0.2e1 * t1078 * t6816 + 0.3e1 * t4457 * t1696 + t373 * t24538 * t493 * t376 / 0.4e1 + 0.3e1 / 0.4e1 * t373 * t4676 * t1713 * t376;
  t34194 = 0.3e1 / 0.2e1 * t4457 * t1708 + 0.3e1 / 0.4e1 * t1078 * t6812 + 0.3e1 / 0.2e1 * t10462 * t30302 - 0.3e1 / 0.2e1 * t10462 * t30305 - 0.3e1 / 0.2e1 * t10462 * t30296 - t33986 * t5579 - t33978 * t5579 - t6830 * t30730 + 0.18e2 * t33831 * t5623 * t29443 - 0.28e2 * t33831 * t5640 * t29211 + t1644 * t29754 / 0.2e1 + t1644 * t29757 / 0.2e1 + t6819 * t4662 / 0.2e1 + t1644 * t29374 / 0.6e1 + t33276 / 0.2e1 + 0.3e1 / 0.2e1 * t1056 * t6816 - 0.3e1 / 0.2e1 * t318 * t7151 - 0.3e1 / 0.4e1 * t1165 * t1685 + t6827 * t24232 / 0.4e1;
  t34226 = t321 * t3512 * t33909;
  t34233 = -t6827 * t24224 / 0.2e1 - 0.11e2 / 0.12e2 * t6824 * t30257 - t6827 * t24150 / 0.2e1 + 0.3e1 / 0.4e1 * t33988 * t5572 + 0.3e1 / 0.4e1 * t33997 * t5572 - 0.3e1 / 0.4e1 * t318 * t7146 - 0.3e1 / 0.4e1 * t110 * t1736 * t1146 - t1682 * t4726 / 0.2e1 - t1682 * t4719 / 0.4e1 - t6755 * t5998 / 0.4e1 - t1651 * t29121 / 0.12e2 - 0.5e1 / 0.12e2 * t33891 * t6001 - 0.35e2 / 0.108e3 * t33899 * t29877 - t6760 * t5998 / 0.4e1 - 0.5e1 / 0.12e2 * t34226 * t6001 - t6755 * t6013 / 0.2e1 + t32968 / 0.18e2 + t32970 / 0.18e2;
  t34240 = t25083 * t33897;
  t34255 = t29903 * t6750;
  t34279 = -t33293 / 0.6e1 + t33298 / 0.2e1 - t33300 / 0.3e1 - t33302 / 0.3e1 - t33304 / 0.3e1 + t32974 / 0.6e1 + 0.18e2 * t4395 * t34240 * t29617 - 0.18e2 * t1030 * t34240 * t29625 + 0.6e1 * t373 * t34240 * t29595 - 0.2e1 * t33899 * t29556 - 0.9e1 * t10506 * t6988 * t29899 + 0.9e1 / 0.2e1 * t30030 * t34255 * t5630 + 0.7e1 * t10457 * t10485 * t29513 + 0.9e1 * t10457 * t29896 - 0.9e1 / 0.2e1 * t10457 * t10458 * t5533 * t29508 - 0.3e1 / 0.2e1 * t10457 * t29908 + 0.18e2 * t5559 * t6988 * t30017 - 0.9e1 * t5535 * t34255 * t5611 - 0.3e1 * t5540 * t1716 * t30720;
  t34283 = t110 * t500 * t4143;
  t34294 = t1393 * t6774;
  t34309 = -0.3e1 / 0.4e1 * t34283 * t4148 - t33307 / 0.3e1 + 0.3e1 / 0.2e1 * t33309 - 0.11e2 / 0.18e2 * t33311 - t33313 / 0.6e1 + 0.2e1 / 0.3e1 * t33315 - t33318 / 0.2e1 + 0.9e1 / 0.2e1 * t1078 * t6946 - t1010 * t34294 / 0.2e1 + 0.2e1 / 0.3e1 * t33328 - t33330 - 0.3e1 * t33348 + 0.3e1 / 0.2e1 * t33349 + t33351 / 0.2e1 - t490 * t24533 / 0.4e1 - t490 * t24536 / 0.4e1 - t6890 * t1002 / 0.4e1 - t6893 * t1002 / 0.2e1;
  t34319 = t1400 * t1661 * t4246;
  t34337 = -t1677 * t4726 / 0.2e1 - t1677 * t4719 / 0.4e1 - t6908 * t1002 / 0.4e1 - t4189 * t10582 / 0.4e1 + t4245 * t34319 - 0.9e1 * t4349 * t6936 + 0.9e1 / 0.2e1 * t24589 * t7161 + 0.9e1 / 0.2e1 * t4395 * t33910 * t5630 + 0.2e1 / 0.3e1 * t33353 - t33355 - t33357 / 0.2e1 - t33362 - t33364 + t33366 / 0.3e1 + 0.23e2 / 0.36e2 * t33368 + t33370 / 0.2e1 - t33372 / 0.2e1 + t6824 * t24197 - 0.5e1 / 0.3e1 * t6824 * t24166;
  t34351 = t487 * t1069;
  t34352 = t1021 * t34351;
  t34353 = t10485 * t34352;
  t34375 = 0.9e1 / 0.2e1 * t5540 * t7010 * t29950 + 0.3e1 / 0.2e1 * t5540 * t1716 * t24155 - 0.3e1 / 0.2e1 * t4145 * t7123 * t4667 - 0.5e1 / 0.2e1 * t5540 * t1720 * t29004 + 0.7e1 * t29011 * t34353 - 0.14e2 * t10457 * t29517 * t29500 - 0.14e2 * t5559 * t6984 * t29504 + 0.9e1 * t5559 * t6984 * t30011 - t33374 - t33376 / 0.2e1 - t33378 - t33380 / 0.4e1 - t33382 / 0.4e1 - t33384 / 0.2e1 + t33386 - 0.3e1 / 0.2e1 * t6848 * t4153 + 0.3e1 / 0.2e1 * t1663 * t4156 - 0.3e1 / 0.2e1 * t33891 * t5636;
  t34384 = t1735 * t146;
  t34386 = t1000 * t34384 * t978;
  t34390 = t1000 * t6773 * t4676;
  t34393 = t1400 * t6774;
  t34400 = t5623 * t1028 * t12648;
  t34424 = -0.3e1 / 0.2e1 * t34226 * t5636 + 0.3e1 / 0.2e1 * t4454 * t1696 - 0.3e1 / 0.2e1 * t25078 * t1693 - 0.3e1 * t4383 * t6785 - t338 * t34386 / 0.2e1 - t338 * t34390 / 0.4e1 - t1010 * t34393 / 0.4e1 - 0.3e1 / 0.2e1 * t1030 * t6784 * t5776 - 0.9e1 / 0.2e1 * t24273 * t34400 - t1030 * t1692 * t29237 / 0.2e1 + 0.3e1 / 0.4e1 * t1663 * t4678 + 0.3e1 / 0.4e1 * t1663 * t4652 + 0.7e1 * t29167 * t19823 - t1075 * t6775 / 0.2e1 - t1084 * t6775 / 0.4e1 + t373 * t1692 * t30107 / 0.2e1 - 0.3e1 / 0.2e1 * t4454 * t1700 - 0.3e1 * t4457 * t1700 - t33393 / 0.2e1;
  t34435 = t6884 * t1007;
  t34436 = t1031 * t34435;
  t34440 = t6980 * t5850;
  t34443 = t1719 * t30487;
  t34450 = t6987 * t30520;
  t34459 = t1719 * t30500;
  t34466 = t6973 * t1044;
  t34471 = -0.18e2 * t34440 * t5955 + 0.56e2 * t34443 * t30577 - 0.36e2 * t10408 * t30580 - 0.1e2 * t6969 * t24989 + 0.2e1 / 0.3e1 * t34450 * t30522 + 0.6e1 * t6966 * t30572 + 0.4e1 * t34450 * t30583 - 0.2e1 * t10388 * t30586 + 0.22e2 * t34459 * t30505 - 0.36e2 * t34450 * t30491 + t494 * t24940 / 0.2e1 + 0.3e1 * t34466 * t1491 + 0.3e1 / 0.2e1 * t6978 * t1200;
  t34473 = t615 * t6884 * t1033;
  t34482 = t6980 * t4334;
  t34487 = t21181 * t487;
  t34488 = t34487 * t24923;
  t34493 = t6987 * t24899;
  t34498 = t1713 * t4425;
  t34501 = t1719 * t24865;
  t34508 = 0.2e1 * t34473 * t1485 + 0.3e1 / 0.2e1 * t1714 * t4596 - 0.2e1 * t1716 * t30451 - 0.6e1 * t7005 * t5893 + 0.6e1 * t34482 * t5896 - 0.28e2 * t6984 * t30553 - 0.4e1 / 0.3e1 * t34488 * t30421 + 0.9e1 * t7010 * t30430 - 0.4e2 * t34493 * t30661 + 0.3e1 * t494 * t24870 - 0.9e1 * t34498 * t5930 + 0.24e2 * t34501 * t30643 - 0.3e1 * t1714 * t4571 - 0.3e1 * t34473 * t1495;
  t34510 = t69 * t1671;
  t34511 = t34510 * t4375;
  t34518 = t493 * t24905;
  t34538 = t493 * t30508;
  t34541 = -0.9e1 * t34511 * t5923 + 0.36e2 * t34493 * t30646 - 0.12e2 * t34488 * t30670 + 0.12e2 * t34518 * t30658 - t494 * t24782 - 0.8e1 / 0.3e1 * t1720 * t30374 - 0.6e1 * t6981 * t5876 - 0.1e2 / 0.3e1 * t1720 * t24815 - t6988 * t30356 / 0.3e1 + 0.6e1 * t6981 * t5880 + 0.2e1 * t1720 * t30425 + 0.1e2 * t6988 * t30535 - 0.2e2 * t6988 * t30363 - 0.18e2 * t34538 * t30510;
  t34548 = t1713 * t5843;
  t34561 = my_piecewise3(t129, t322, -0.22e3 / 0.81e2 * t1065);
  t34562 = t193 * t34561;
  t34573 = 0.18e2 * t10418 * t30477 + 0.6e1 * t6966 * t30480 - 0.28e2 / 0.3e1 * t34443 * t30491 + 0.12e2 * t34548 * t5847 + 0.3e1 * t34440 * t5852 + 0.5e2 / 0.3e1 * t34488 * t30667 + 0.18e2 * t34482 * t5926 - 0.36e2 * t34501 * t30651 + t1716 * t30641 + t34562 * t354 * t357 + t34511 * t5949 / 0.6e1 - 0.2e1 / 0.3e1 * t34493 * t30626 + 0.2e1 * t6981 * t5917 + 0.2e1 / 0.3e1 * t1720 * t30629;
  t34604 = 0.3e1 * t7005 * t5940 - 0.12e2 * t34482 * t5946 - 0.3e1 * t6981 * t5935 - t1720 * t30611 + 0.1e2 * t34511 * t5913 + 0.1e2 / 0.3e1 * t34488 * t30664 - 0.9e1 * t7010 * t30542 - 0.6e1 * t7005 * t5883 - 0.3e1 * t1716 * t24818 - 0.3e1 * t1716 * t30550 + 0.56e2 / 0.3e1 * t6984 * t30377 - 0.11e2 * t1720 * t30556 - t34562 * t335 * t361 / 0.2e1 - 0.72e2 * t34493 * t30562;
  t34632 = 0.8e1 / 0.3e1 * t34488 * t30409 + 0.24e2 * t34488 * t30353 + 0.18e2 * t6988 * t30347 + 0.18e2 * t6984 * t30565 + 0.5e1 * t1720 * t30569 - 0.12e2 * t6984 * t30547 - 0.6e1 * t34466 * t1472 - 0.3e1 * t6978 * t1184 - t34473 * t1477 + 0.6e1 * t10396 * t25000 + 0.4e1 / 0.3e1 * t6969 * t30530 + 0.6e1 * t10408 * t30484 + 0.5e1 / 0.3e1 * t6969 * t30513 - t10388 * t30517 / 0.3e1;
  t34634 = t493 * t30468;
  t34662 = -0.12e2 * t34634 * t30471 - 0.11e2 / 0.3e1 * t34459 * t30502 + 0.9e1 * t6981 * t5868 + 0.6e1 * t34473 * t1481 + 0.4e1 * t1720 * t30441 - 0.9e1 * t6988 * t30436 - 0.8e1 * t6969 * t30591 + 0.18e2 * t10388 * t30484 + 0.8e1 * t34493 * t30416 - 0.2e1 * t34511 * t5864 + 0.18e2 * t34511 * t5857 - 0.3e1 * t494 * t24811 + 0.22e2 / 0.3e1 * t1720 * t30397 - t6981 * t5899;
  t34691 = -t1720 * t30457 / 0.3e1 + t6988 * t30360 / 0.6e1 - t34511 * t5902 / 0.3e1 - t34488 * t30460 / 0.9e1 - 0.3e1 * t1714 * t4554 + 0.6e1 * t1716 * t30394 + 0.4e1 / 0.3e1 * t34493 * t30454 - 0.6e1 * t494 * t24861 - 0.24e2 * t34518 * t30384 - 0.12e2 * t34501 * t30388 + 0.18e2 * t34498 * t5906 + 0.6e1 * t1714 * t4546 - 0.36e2 * t34482 * t5861 + 0.72e2 * t34501 * t30559;
  t34703 = t4162 * t7093;
  t34712 = t321 * t21182 * t4330 * t24370;
  t34713 = t29110 * t2771;
  t34726 = -t33395 / 0.6e1 + 0.3e1 * t33398 + t33399 / 0.12e2 - t33401 / 0.4e1 - 0.3e1 / 0.2e1 * t4383 * t6779 - 0.3e1 / 0.2e1 * t1030 * t34436 * t1407 - t110 * t139 * (t34471 + t34508 + t34541 + t34573 + t34604 + t34632 + t34662 + t34691) * t168 / 0.4e1 + 0.3e1 / 0.2e1 * t6848 * t4172 - 0.3e1 / 0.2e1 * t1663 * t4177 + t1010 * t34703 / 0.2e1 - 0.6e1 * t33843 * t29208 + 0.12e2 * t33843 * t29212 + 0.47e2 / 0.3e1 * t34712 * t34713 + 0.6e1 * t33831 * t29465 - 0.61e2 / 0.27e2 * t33899 * t29701 + 0.44e2 / 0.27e2 * t33899 * t29704 - 0.11e2 / 0.6e1 * t34226 * t5760 + 0.23e2 / 0.12e2 * t34226 * t5790;
  t34735 = t374 * t6919;
  t34771 = -0.11e2 / 0.6e1 * t6752 * t29695 + 0.23e2 / 0.12e2 * t6752 * t29698 - 0.62e2 / 0.3e1 * t33899 * t29602 - 0.3e1 / 0.4e1 * t318 * t7051 - 0.6e1 * t373 * t34735 * t29930 - 0.3e1 / 0.2e1 * t10457 * t29999 + 0.8e1 * t33899 * t29606 - 0.6e1 * t25375 * t34240 * t29610 + 0.3e1 / 0.4e1 * t25320 * t505 + 0.3e1 / 0.4e1 * t4454 * t1673 + 0.3e1 / 0.4e1 * t6855 * t1071 + t1663 * t4494 / 0.4e1 - t6890 * t1087 / 0.4e1 - t6893 * t1087 / 0.2e1 + 0.3e1 / 0.4e1 * t6876 * t1071 + 0.3e1 / 0.4e1 * t1056 * t6886 + 0.3e1 / 0.4e1 * t1078 * t6886 + t373 * t374 * t34561 * t376 / 0.4e1 - t25323 * t489 * t350 / 0.12e2;
  t34793 = t1020 * t1736 * t1021;
  t34795 = t4364 * t501;
  t34798 = t4369 * t6842;
  t34801 = t1074 * t6847;
  t34808 = t321 * t369 * t1735 * t1027;
  t34813 = t1015 * t1737;
  t34816 = -t4453 * t1681 * t350 / 0.4e1 + 0.3e1 / 0.4e1 * t4462 * t1673 + 0.3e1 / 0.2e1 * t4457 * t1673 - 0.3e1 * t1663 * t4340 + t4345 * t6839 + t25327 * t505 / 0.4e1 + 0.3e1 / 0.2e1 * t6855 * t1095 - t4347 * t6839 / 0.2e1 + t4347 * t6843 + 0.3e1 * t6848 * t4336 + t1010 * t34793 - 0.11e2 / 0.18e2 * t4359 * t34795 + 0.23e2 / 0.36e2 * t4359 * t34798 - 0.3e1 / 0.2e1 * t34801 * t1036 + 0.3e1 / 0.2e1 * t6876 * t1095 - 0.3e1 / 0.2e1 * t34808 * t1036 - 0.3e1 * t6848 * t4378 - t1010 * t34813 / 0.2e1;
  t34817 = t4364 * t6842;
  t34820 = t500 * t4403;
  t34821 = t4369 * t34820;
  t34826 = t321 * t369 * t499 * t4392;
  t34837 = t4413 * t501;
  t34853 = t4453 * t1643;
  t34862 = t5640 * t13385;
  t34865 = 0.7e1 / 0.3e1 * t4359 * t34817 - 0.3e1 / 0.2e1 * t4359 * t34821 + 0.3e1 / 0.2e1 * t34826 * t4398 - t4482 * t1658 / 0.12e2 - t1084 * t6870 / 0.4e1 - t4500 * t1658 / 0.4e1 + 0.3e1 / 0.2e1 * t1663 * t4410 - t4359 * t34837 / 0.2e1 + 0.7e1 / 0.3e1 * t33464 - t33466 / 0.2e1 + 0.3e1 / 0.2e1 * t33468 + 0.3e1 / 0.2e1 * t373 * t34436 * t1412 + 0.3e1 / 0.2e1 * t373 * t6784 * t5808 + 0.3e1 / 0.4e1 * t373 * t978 * t6973 * t376 + t34853 * t1433 / 0.2e1 + 0.3e1 / 0.2e1 * t4462 * t1696 + 0.3e1 * t1056 * t6807 + 0.3e1 / 0.2e1 * t1056 * t6803 + 0.7e1 * t24273 * t34862;
  t34900 = 0.3e1 * t1078 * t6807 + t1682 * t4683 / 0.4e1 + 0.3e1 / 0.2e1 * t33882 * t5980 + t6890 * t997 / 0.4e1 + t6893 * t997 / 0.2e1 + t1677 * t4699 / 0.2e1 + t1677 * t4683 / 0.4e1 - t33001 / 0.18e2 - t33007 / 0.6e1 - t33010 / 0.9e1 + t33013 / 0.18e2 + t33015 / 0.18e2 - t33017 / 0.3e1 + t33019 / 0.6e1 - 0.9e1 / 0.2e1 * t10457 * t30007 + 0.9e1 / 0.2e1 * t10506 * t6988 * t30002 - 0.3e1 / 0.4e1 * t373 * t6949 * t4225 - t373 * t1703 * t25199 / 0.4e1;
  t34918 = t1074 * t6854;
  t34940 = t33021 / 0.3e1 - 0.2e1 / 0.9e1 * t33023 + t33025 / 0.9e1 + t33027 / 0.3e1 - 0.3e1 / 0.4e1 * t110 * t7050 * t404 + t4432 * t1658 / 0.2e1 + t1051 * t6870 / 0.2e1 + t4345 * t6873 / 0.2e1 - 0.2e1 * t4345 * t6843 - t1075 * t6870 / 0.2e1 + 0.3e1 / 0.2e1 * t34918 * t377 - 0.3e1 / 0.2e1 * t6876 * t1046 - 0.3e1 / 0.2e1 * t6855 * t1046 - t321 * t194 * t34561 * t335 * t350 / 0.12e2 - t6908 * t1087 / 0.4e1 + 0.3e1 / 0.4e1 * t24656 * t505 + t25331 * t505 / 0.4e1 - t1074 * t6907 * t350 / 0.4e1 - t33516 / 0.3e1;
  t34945 = t318 * t494;
  t34948 = t110 * t1714;
  t34976 = t33518 / 0.3e1 + t33521 / 0.6e1 - 0.3e1 / 0.2e1 * t33523 + t33525 + t34945 * t4140 / 0.2e1 + t34948 * t4140 / 0.2e1 + t6827 * t24238 / 0.2e1 + t6827 * t24242 / 0.4e1 - t6824 * t28984 / 0.2e1 + 0.5e1 / 0.6e1 * t6824 * t30768 + 0.5e1 / 0.2e1 * t5559 * t1720 * t28987 - 0.3e1 / 0.2e1 * t5535 * t7126 * t5776 - 0.3e1 / 0.2e1 * t25066 * t1693 - 0.3e1 * t25071 * t1693 - 0.3e1 * t4349 * t6785 - 0.3e1 / 0.2e1 * t4349 * t6779 - 0.9e1 / 0.2e1 * t29167 * t19799 + t6755 * t4248;
  t34987 = t4453 * t1662;
  t34998 = t4686 * t7093;
  t35001 = t1074 * t6759;
  t35005 = t321 * t616 * t34435;
  t35016 = t6760 * t4248 + t1651 * t25237 / 0.3e1 - t373 * t1699 * t29073 / 0.2e1 + 0.2e1 * t6755 * t5797 - t4497 * t1658 / 0.4e1 + 0.3e1 / 0.4e1 * t34987 * t377 - 0.9e1 / 0.2e1 * t6752 * t29352 + 0.89e2 / 0.9e1 * t33899 * t29438 - 0.43e2 / 0.9e1 * t33899 * t29444 - t6760 * t6013 / 0.2e1 + t1010 * t34998 / 0.4e1 - t35001 * t1438 / 0.2e1 - t35005 * t1438 / 0.4e1 + 0.2e1 / 0.3e1 * t33535 + t6908 * t997 / 0.4e1 + t1682 * t4699 / 0.2e1 + t33559 / 0.6e1 - t33561 / 0.2e1 + t33064 / 0.6e1;
  t35026 = t987 * t34384 * t995;
  t35030 = t987 * t6773 * t4681;
  t35056 = t33074 / 0.6e1 + t1075 * t7094 / 0.4e1 + t1084 * t7094 / 0.6e1 + t338 * t35026 / 0.4e1 + t338 * t35030 / 0.12e2 - t1651 * t29147 / 0.4e1 - t1651 * t29158 / 0.4e1 - 0.5e1 / 0.12e2 * t6752 * t29162 + t33928 * t1402 + 0.2e1 * t35001 * t1402 - t1651 * t29225 / 0.6e1 - t6760 * t5757 / 0.2e1 - 0.11e2 / 0.6e1 * t10457 * t30759 + 0.23e2 / 0.12e2 * t10457 * t30762 - 0.11e2 / 0.6e1 * t6824 * t30217 - t33988 * t5592 + 0.2e1 * t33988 * t5556 - t33997 * t5592;
  t35066 = t1031 * t33787;
  t35072 = t1031 * t6750;
  t35079 = t374 * t6758;
  t35091 = t32512 - t32496 + t33585 / 0.2e1 + t33587 / 0.4e1 + t33589 / 0.2e1 - t33591 / 0.2e1 - t33593 / 0.4e1 + 0.9e1 / 0.2e1 * t1056 * t6943 + 0.9e1 / 0.2e1 * t1078 * t6943 - 0.9e1 * t373 * t35066 * t5659 - 0.9e1 * t1056 * t6929 - 0.18e2 * t1030 * t35072 * t29590 + 0.18e2 * t373 * t35072 * t29578 + 0.9e1 / 0.2e1 * t373 * t35079 * t6037 + 0.2e1 * t6824 * t30750 - t6824 * t30753 / 0.2e1 + t6824 * t30757 + 0.2e1 * t33997 * t5556 - t6824 * t29824;
  t35105 = t4369 * t501;
  t35118 = t1020 * t1737;
  t35136 = -0.11e2 / 0.2e1 * t5559 * t1720 * t30220 + 0.11e2 / 0.2e1 * t5540 * t1720 * t30224 + 0.3e1 / 0.2e1 * t4145 * t7126 * t5808 - 0.9e1 * t5540 * t6984 * t29000 - 0.5e1 / 0.36e2 * t4359 * t35105 - t4347 * t6873 / 0.4e1 - 0.9e1 * t5540 * t6988 * t30021 + 0.9e1 / 0.2e1 * t4145 * t34255 * t5616 + 0.3e1 * t10457 * t29912 - t1010 * t35118 / 0.4e1 - t1677 * t4487 / 0.4e1 - t490 * t25333 / 0.12e2 - t1682 * t4487 / 0.4e1 - t33988 * t5568 / 0.2e1 - t33997 * t5568 / 0.2e1 - t6824 * t30233 / 0.2e1 - t6824 * t30238 / 0.4e1 + t33599 / 0.2e1;
  t35145 = t1182 * t500;
  t35146 = t35145 * t4139;
  t35158 = t374 * t34136;
  t35175 = t5640 * t12670;
  t35178 = -t33601 - 0.18e2 * t373 * t33952 * t29475 + 0.9e1 / 0.2e1 * t24584 * t7161 + 0.9e1 * t1030 * t35066 * t5654 + t4136 * t35146 / 0.4e1 - t6824 * t30241 / 0.4e1 - 0.5e1 / 0.12e2 * t10457 * t30244 + t6830 * t30253 + 0.2e1 * t6760 * t5797 + t1651 * t29082 + t1651 * t25232 - 0.3e1 / 0.2e1 * t373 * t35158 * t1419 - 0.3e1 / 0.2e1 * t373 * t6799 * t4667 - 0.3e1 * t1078 * t6800 - 0.3e1 / 0.2e1 * t1078 * t6789 - 0.3e1 / 0.2e1 * t4462 * t1700 - 0.3e1 * t1056 * t6800 - 0.3e1 / 0.2e1 * t1056 * t6789 + 0.7e1 * t24273 * t35175;
  t35186 = t4146 * t1649;
  t35210 = 0.3e1 / 0.2e1 * t1078 * t6803 - 0.9e1 / 0.2e1 * t5540 * t7010 * t29946 + 0.9e1 / 0.2e1 * t4145 * t35186 * t6037 + 0.3e1 / 0.2e1 * t4145 * t7116 * t4714 - 0.7e1 / 0.3e1 * t10451 * t30187 + 0.3e1 / 0.2e1 * t10451 * t30184 - 0.3e1 / 0.2e1 * t33607 - 0.5e1 / 0.12e2 * t10457 * t28957 + t33612 / 0.4e1 - t33615 / 0.12e2 + t33617 / 0.4e1 + t33619 / 0.4e1 - t33622 / 0.12e2 - t33625 / 0.6e1 + t33627 / 0.2e1 + t33629 / 0.2e1 + t33631 / 0.4e1 + t33633 / 0.2e1;
  t35232 = -t33635 / 0.6e1 - t33637 / 0.12e2 - t33639 / 0.12e2 + t33642 / 0.2e1 - t33644 / 0.6e1 - t33646 / 0.6e1 - t33648 / 0.12e2 - t33651 / 0.6e1 + t33654 / 0.2e1 + t33656 / 0.2e1 + t33658 / 0.3e1 - t33660 / 0.6e1 + 0.3e1 / 0.2e1 * t1663 * t4427 - t4421 * t1658 / 0.2e1 - t33083 / 0.6e1 + t33086 / 0.18e2 + t33089 / 0.18e2 - t33103 / 0.6e1 - t33106 / 0.6e1;
  t35247 = t349 * t7051;
  t35252 = t321 * t369 * t7049 * t370;
  t35270 = -t33108 / 0.6e1 + 0.11e2 / 0.3e1 * t6824 * t30229 + 0.3e1 / 0.4e1 * t6824 * t30288 + t6824 * t30282 / 0.3e1 + 0.5e1 / 0.12e2 * t6824 * t30285 + 0.5e1 / 0.6e1 * t10457 * t30273 + 0.3e1 / 0.2e1 * t10451 * t29018 - t338 * t35247 / 0.4e1 + 0.3e1 / 0.4e1 * t35252 * t377 + 0.3e1 / 0.4e1 * t4462 * t1708 + 0.3e1 / 0.4e1 * t1056 * t6812 - 0.2e1 * t33692 + t33694 - t1651 * t29219 / 0.2e1 - t1651 * t29222 / 0.2e1 - t33928 * t1396 / 0.2e1 - t35001 * t1396 - t6755 * t5772 - t6755 * t5757 / 0.2e1;
  t35290 = -t35005 * t1396 / 0.2e1 - t6760 * t5772 + 0.3e1 / 0.2e1 * t6876 * t980 + 0.3e1 / 0.2e1 * t6855 * t980 + 0.3e1 / 0.2e1 * t33696 - t4538 * t501 / 0.4e1 - 0.3e1 / 0.4e1 * t1165 * t1737 - t33699 / 0.4e1 - t33701 / 0.2e1 + t35005 * t1402 + t33712 / 0.3e1 + t33714 + t33716 - t33722 / 0.2e1 - 0.3e1 * t33724 - t33727 / 0.2e1 - t33729 + t33731 - t33733;
  t35296 = my_piecewise3(t100, 0, t35290 + t35270 + t35232 + t35210 + t35178 + t35136 + t35091 + t35056 + t35016 + t34976 + t34940 + t34900 + t34865 + t34816 + t34771 + t34726 + t34424 + t34375 + t34337 + t34309 + t34279 + t34233 + t34194 + t34157 + t34113 + t34061 + t34022 + t33980 + t33943 + t33894 + t33853 + t33806);
  tv4rho3lapl7 = t3 * t35296 + 0.3e1 * t7168;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 7] += tv4rho3lapl7;

  t35299 = t1220 * t7199;
  t35302 = t593 * t7278;
  t35304 = t247 * t7248;
  t35311 = t593 * t7285;
  t35313 = t3650 * t1779;
  t35317 = t3624 * t1779;
  t35323 = t3621 * t1783;
  t35325 = t593 * t7296;
  t35327 = -t622 * t35299 / 0.2e1 + 0.3e1 / 0.2e1 * t35302 - 0.6e1 * t246 * t35304 * t26227 - 0.3e1 / 0.2e1 * t246 * t1769 * t20900 + t35311 / 0.2e1 + t35313 / 0.6e1 - t3655 * t1779 / 0.2e1 + t35317 / 0.18e2 + 0.3e1 / 0.2e1 * t246 * t1777 * t3420 * t3643 - t35323 / 0.6e1 - t35325 / 0.2e1;
  t35328 = t592 * t7306;
  t35329 = t35328 * t4905;
  t35332 = t191 * t194 * t7248;
  t35335 = t1869 * t3143;
  t35339 = t94 * t512;
  t35340 = t244 * t35339;
  t35341 = t1227 * t35340;
  t35342 = t26110 * t35341;
  t35344 = t3621 * t1774;
  t35346 = t7198 * t3260;
  t35347 = t673 * t35346;
  t35358 = -t35329 / 0.2e1 + 0.2e1 * t35332 * t27154 - t35335 / 0.6e1 - 0.3e1 / 0.4e1 * t182 * t7669 - 0.2e1 / 0.9e1 * t35342 - t35344 / 0.6e1 + t3259 * t35347 / 0.2e1 - t743 * t7550 / 0.3e1 + t743 * t7200 / 0.2e1 + t765 * t7550 / 0.4e1 + t609 * t7550 / 0.6e1;
  t35360 = t1862 * t66;
  t35362 = t660 * t35360 * t668;
  t35369 = t7255 * t4917;
  t35371 = t1839 * t3415;
  t35372 = t645 * t35371;
  t35376 = t4838 * t35340;
  t35379 = t642 * t35339;
  t35380 = t4844 * t35379;
  t35383 = t593 * t7525;
  t35385 = t26336 * t35376;
  t35391 = t211 * t35362 / 0.4e1 - 0.3e1 / 0.2e1 * t1891 * t3152 - 0.3e1 / 0.4e1 * t7374 * t731 - t35369 / 0.6e1 - 0.9e1 * t246 * t35372 * t4887 - 0.28e2 * t26341 * t35376 + 0.18e2 * t26341 * t35380 + t35383 / 0.2e1 + 0.7e1 / 0.3e1 * t35385 - 0.9e1 * t768 * t7270 - 0.9e1 * t757 * t7270;
  t35392 = t247 * t7193;
  t35396 = t593 * t7537;
  t35408 = t593 * t7512;
  t35410 = t593 * t7502;
  t35416 = 0.9e1 / 0.2e1 * t246 * t35392 * t4878 - t35396 / 0.4e1 + 0.9e1 * t3530 * t7265 + 0.9e1 * t3537 * t7265 - 0.3e1 / 0.2e1 * t11143 * t26933 - t7746 * t26939 + 0.9e1 * t644 * t35372 * t4868 + t35408 / 0.4e1 - t35410 / 0.2e1 + 0.9e1 / 0.2e1 * t768 * t7278 + 0.9e1 / 0.2e1 * t757 * t7278;
  t35430 = t3341 * t526;
  t35433 = 0.5e1 / 0.54e2 * t3329 * t545;
  t35434 = t182 * t1843;
  t35436 = t182 * t519;
  t35443 = t743 * t7210 / 0.2e1 + t743 * t7471 / 0.2e1 + 0.3e1 / 0.2e1 * t768 * t7285 + 0.3e1 / 0.2e1 * t757 * t7285 + 0.3e1 / 0.2e1 * t246 * t7533 * t3161 - t35430 / 0.4e1 - t35433 + t35434 * t4797 + t35436 * t3133 / 0.2e1 - 0.5e1 / 0.12e2 * t11008 * t26010 - t7216 * t22419 / 0.4e1;
  t35450 = t30 * t7624;
  t35452 = t30 * t1841;
  t35457 = t4838 * t13937;
  t35470 = 0.5e1 / 0.6e1 * t11008 * t26004 + t7581 * t21594 / 0.2e1 + t7746 * t26922 / 0.2e1 + t35450 * t4797 + t35452 * t3133 / 0.2e1 - 0.5e1 / 0.12e2 * t11008 * t26007 + 0.7e1 * t21069 * t35457 + 0.3e1 / 0.2e1 * t768 * t7525 + 0.3e1 / 0.4e1 * t246 * t3284 * t1840 * t249 + 0.3e1 / 0.2e1 * t757 * t7525 + 0.3e1 / 0.4e1 * t768 * t7512;
  t35488 = t7255 * t3324;
  t35490 = t3548 * t7492;
  t35492 = t26336 * t35380;
  t35495 = t660 * t7198 * t3267;
  t35498 = t3250 * t7549;
  t35501 = 0.3e1 / 0.4e1 * t757 * t7512 + t246 * t21830 * t518 * t249 / 0.4e1 - 0.3e1 / 0.4e1 * t246 * t7533 * t3246 - t246 * t1769 * t21524 / 0.4e1 - 0.3e1 / 0.4e1 * t768 * t7537 - 0.3e1 / 0.4e1 * t757 * t7537 + t35488 / 0.3e1 - t35490 / 0.2e1 - 0.3e1 / 0.2e1 * t35492 + t211 * t35495 / 0.12e2 + t622 * t35498 / 0.4e1;
  t35502 = t3621 * t1766;
  t35508 = t3621 * t1770;
  t35515 = t188 * t7669;
  t35517 = t3335 * t526;
  t35521 = t1839 * t3396;
  t35523 = t191 * t3512 * t35521;
  t35532 = t35502 / 0.3e1 - 0.3e1 / 0.4e1 * t800 * t1864 - t3370 * t526 / 0.4e1 + t35508 / 0.6e1 + 0.7e1 * t27523 * t10058 * t635 * t512 * t606 - t35515 / 0.4e1 + t35517 / 0.6e1 - 0.6e1 * t7250 * t27604 - 0.11e2 / 0.6e1 * t35523 * t4920 + 0.23e2 / 0.12e2 * t35523 * t4951 - 0.11e2 / 0.6e1 * t7187 * t26062 + 0.23e2 / 0.12e2 * t7187 * t26050;
  t35536 = t512 * t21185;
  t35538 = t191 * t21182 * t35536;
  t35545 = t512 * t21719;
  t35547 = t191 * t3512 * t35545;
  t35550 = t764 * t7249;
  t35556 = t191 * t616 * t35371;
  t35564 = t191 * t616 * t7185;
  t35569 = -0.61e2 / 0.27e2 * t35538 * t26107 + 0.44e2 / 0.27e2 * t35538 * t26072 - 0.3e1 * t757 * t7500 - 0.23e2 / 0.3e1 * t35547 * t27610 + 0.3e1 * t35550 * t4860 - 0.6e1 * t35550 * t4862 + 0.3e1 * t35556 * t4860 - 0.6e1 * t35556 * t4862 + 0.3e1 * t7250 * t27615 - 0.6e1 * t35564 * t27016 + 0.12e2 * t35564 * t26984;
  t35570 = t4844 * t7174;
  t35573 = t4838 * t1778;
  t35579 = t3548 * t7179;
  t35581 = t593 * t7182;
  t35583 = t1777 * t3413;
  t35590 = t592 * t7249;
  t35591 = t35590 * t4860;
  t35592 = t35590 * t4862;
  t35594 = t592 * t7186;
  t35595 = t35594 * t4920;
  t35597 = 0.23e2 / 0.36e2 * t3515 * t35570 - 0.11e2 / 0.18e2 * t3515 * t35573 + 0.22e2 / 0.3e1 * t35547 * t27607 + t3522 * t7171 - t35579 / 0.2e1 + t35581 / 0.2e1 + 0.3e1 * t644 * t35583 * t3504 - 0.3e1 * t246 * t35583 * t3508 + t35591 - 0.2e1 * t35592 - 0.11e2 / 0.18e2 * t35595;
  t35599 = t35594 * t4951;
  t35601 = t645 * t7185;
  t35608 = t3658 * t35545;
  t35612 = t3647 * t7171;
  t35614 = t771 * t7550;
  t35617 = t3139 * t7198 * t3141;
  t35620 = t7368 * t731;
  t35624 = t21784 * t7564;
  t35626 = t35594 * t4834;
  t35628 = 0.23e2 / 0.36e2 * t35599 - 0.18e2 * t644 * t35601 * t27009 + 0.18e2 * t246 * t35601 * t26214 - 0.18e2 * t3680 * t35608 * t27028 - t35612 / 0.6e1 + t35614 / 0.12e2 - t211 * t35617 / 0.6e1 - t35620 / 0.4e1 + t1891 * t3162 / 0.2e1 + 0.3e1 / 0.2e1 * t35624 - t35626 / 0.2e1;
  t35634 = t3548 * t7567;
  t35636 = t593 * t7570;
  t35641 = t3548 * t7265;
  t35643 = t593 * t7270;
  t35645 = t592 * t7194;
  t35646 = t35645 * t1300;
  t35650 = t7255 * t5032;
  t35652 = t3627 * t1747;
  t35653 = t35652 * t1300;
  t35655 = 0.6e1 * t35547 * t27627 + 0.36e2 * t644 * t35608 * t27033 - 0.3e1 * t35634 + 0.3e1 / 0.2e1 * t35636 - 0.18e2 * t246 * t35608 * t27020 + 0.3e1 * t35641 - 0.3e1 * t35643 - t35646 / 0.6e1 + 0.3e1 / 0.2e1 * t35556 * t5017 - t35650 / 0.6e1 - t35653 / 0.6e1;
  t35660 = t781 * t1864;
  t35662 = t777 * t1864;
  t35671 = t7377 * t670;
  t35673 = t1869 * t3269;
  t35675 = t7380 * t670;
  t35679 = 0.3e1 / 0.2e1 * t35550 * t5017 - t35660 / 0.2e1 + t35662 / 0.6e1 - t3526 * t7171 / 0.2e1 + t3526 * t7175 - 0.3e1 / 0.2e1 * t3530 * t7179 - t1876 * t3143 / 0.2e1 + t35671 / 0.6e1 + t35673 / 0.12e2 + t35675 / 0.6e1 - t1881 * t3143 / 0.2e1;
  t35682 = t1869 * t3301;
  t35684 = t3571 * t1779;
  t35686 = t593 * t7475;
  t35688 = t3637 * t1783;
  t35690 = t4749 * t7248;
  t35694 = t21655 * t7229;
  t35698 = t8642 * t253 * t543 * t3140;
  t35704 = t188 * t1843;
  t35705 = t35704 * t4793;
  t35707 = t188 * t1847;
  t35708 = t35707 * t4806;
  t35710 = -t515 * t20828 / 0.2e1 + t35682 / 0.6e1 - t35684 / 0.12e2 + t35686 / 0.2e1 + t35688 / 0.2e1 - 0.9e1 * t3123 * t35690 * t4887 - t35694 / 0.2e1 - t3129 * t35698 / 0.6e1 + t3123 * t7752 * t3161 / 0.2e1 - t35705 / 0.3e1 + t35708 / 0.4e1;
  t35712 = t35707 * t4803;
  t35714 = t764 * t7186;
  t35717 = t7402 * t619;
  t35719 = t191 * t616 * t35717;
  t35728 = t3620 * t1786;
  t35729 = t35728 * t1260;
  t35731 = t7450 * t670;
  t35733 = t3620 * t1747;
  t35734 = t35733 * t1300;
  t35736 = t7450 * t676;
  t35738 = t3567 * t1747;
  t35741 = -t35712 / 0.6e1 - 0.5e1 / 0.12e2 * t35714 * t5037 - t35719 * t1300 / 0.4e1 - t7195 * t5032 / 0.2e1 - t7195 * t3320 / 0.4e1 - 0.5e1 / 0.12e2 * t35523 * t5037 - t35729 / 0.9e1 - t35731 / 0.18e2 + t35734 / 0.18e2 + t35736 / 0.18e2 - t35738 * t1300 / 0.4e1;
  t35742 = t3620 * t1890;
  t35743 = t35742 * t250;
  t35745 = t3624 * t1886;
  t35747 = t592 * t7389;
  t35748 = t35747 * t250;
  t35750 = t771 * t7385;
  t35758 = t26903 * t7246;
  t35759 = t7450 * t612;
  t35761 = t21251 * t530;
  t35769 = -t35743 / 0.6e1 + t35745 / 0.18e2 + t35748 / 0.2e1 - t35750 / 0.6e1 - 0.11e2 / 0.2e1 * t4738 * t1847 * t26895 + 0.11e2 / 0.2e1 * t4779 * t1847 * t26899 - t35758 + t35759 / 0.18e2 - t35761 / 0.6e1 - t609 * t7385 / 0.4e1 - t1876 * t3553 / 0.4e1 - t1881 * t3553 / 0.4e1;
  t35776 = t3650 * t1886;
  t35780 = t7368 * t749;
  t35786 = t7368 * t655;
  t35790 = t592 * t7461;
  t35791 = t35790 * t650;
  t35794 = 0.5e1 / 0.54e2 * t21751 * t530;
  t35795 = t21421 * t1758;
  t35796 = -t3655 * t1886 / 0.2e1 + t35776 / 0.6e1 - 0.3e1 * t1891 * t3509 - t35780 / 0.2e1 + 0.3e1 / 0.2e1 * t1891 * t3644 + 0.3e1 * t7462 * t3505 + t35786 / 0.2e1 - 0.2e1 * t3522 * t7457 - t35791 / 0.2e1 + t35794 - t35795;
  t35797 = t3637 * t1761;
  t35798 = t3548 * t7489;
  t35799 = t593 * t7523;
  t35800 = t35652 * t1223;
  t35805 = t593 * t7534;
  t35807 = t593 * t7500;
  t35814 = t35797 - t35798 + t35799 - t35800 / 0.3e1 - t35719 * t1223 / 0.2e1 - t7195 * t4929 - t35805 / 0.2e1 - t35807 + t1881 * t3301 / 0.2e1 + t1881 * t3269 / 0.4e1 + t1787 * t26039 / 0.6e1;
  t35816 = t7402 * t740;
  t35818 = t191 * t194 * t35816;
  t35828 = t3335 * t545;
  t35830 = t777 * t1798;
  t35832 = t777 * t1831;
  t35836 = t593 * t7313;
  t35838 = t3647 * t7316;
  t35840 = t35818 * t1260 / 0.2e1 + t7345 * t5012 + t7345 * t3262 / 0.2e1 + t1787 * t26028 / 0.2e1 + t1787 * t26034 / 0.2e1 + t35828 / 0.6e1 + t35830 / 0.6e1 + t35832 / 0.6e1 + t515 * t20894 / 0.2e1 + t35836 / 0.4e1 - t35838 / 0.12e2;
  t35854 = t1227 * t35346;
  t35863 = t3522 * t7316 / 0.2e1 + t7581 * t22423 / 0.4e1 - t7216 * t26919 / 0.4e1 - t35434 * t4793 + t7746 * t26928 + t3319 * t1227 * t3608 * t35339 + 0.3e1 / 0.4e1 * t3610 * t1774 - t3319 * t35854 / 0.4e1 - 0.3e1 / 0.2e1 * t3610 * t1766 - 0.3e1 / 0.4e1 * t3610 * t1770 - 0.3e1 * t3605 * t1766;
  t35868 = t755 * t35339;
  t35869 = t1227 * t35868;
  t35882 = t1227 * t7199;
  t35890 = t1227 * t755 * t13936;
  t35893 = -0.3e1 / 0.2e1 * t3605 * t1770 + 0.2e1 * t21814 * t35869 + 0.3e1 / 0.2e1 * t3605 * t1774 + 0.3e1 / 0.4e1 * t757 * t7313 - 0.3e1 / 0.2e1 * t768 * t7534 + 0.2e1 * t21814 * t13938 + 0.3e1 / 0.2e1 * t768 * t7516 - t622 * t35882 / 0.4e1 + 0.3e1 / 0.4e1 * t1891 * t3291 - 0.3e1 / 0.2e1 * t757 * t7534 + 0.2e1 * t3319 * t35890;
  t35903 = t26835 * t35340;
  t35912 = t21593 * t7757;
  t35917 = t3130 * t253 * t1829 * t667;
  t35922 = t3130 * t253 * t543 * t3244;
  t35925 = t22281 * t7758;
  t35927 = 0.3e1 / 0.2e1 * t757 * t7516 - t609 * t7200 / 0.4e1 - 0.3e1 * t768 * t7500 - 0.62e2 / 0.3e1 * t30915 * t26105 * t35379 + 0.47e2 / 0.3e1 * t30915 * t35903 + 0.8e1 * t30915 * t26069 * t3678 * t35339 + t21609 * t7758 / 0.4e1 + t3129 * t35912 / 0.4e1 + t3129 * t35917 / 0.4e1 + t3129 * t35922 / 0.12e2 + t35925 / 0.12e2;
  t35946 = t27566 * t1746;
  t35950 = t4749 * t7193;
  t35957 = t276 * t512;
  t35965 = 0.9e1 / 0.2e1 * t4738 * t7632 * t21586 + 0.5e1 / 0.2e1 * t4738 * t1847 * t25758 + 0.2e1 * t4738 * t1847 * t26763 + 0.9e1 * t26124 * t25739 * t3671 * t7241 - 0.3e1 * t21617 * t7239 - 0.3e1 * t21621 * t7239 - 0.3e1 / 0.2e1 * t4748 * t35946 * t1234 - 0.3e1 * t4748 * t35950 * t1234 - 0.3e1 / 0.2e1 * t4748 * t7233 * t4936 - 0.9e1 / 0.2e1 * t26124 * t10037 * t4746 * t35957 + 0.9e1 * t4738 * t7595 * t27471;
  t35970 = t21256 * t530;
  t35972 = t3621 * t1873;
  t35990 = 0.9e1 / 0.2e1 * t26772 * t7243 + 0.9e1 / 0.2e1 * t26777 * t7243 - t35970 / 0.6e1 - t35972 / 0.6e1 + t3613 * t1886 / 0.2e1 + t743 * t7385 / 0.2e1 + t3522 * t7441 / 0.2e1 - 0.3e1 / 0.2e1 * t7390 * t749 - t7216 * t25792 / 0.2e1 + 0.3e1 / 0.4e1 * t7216 * t25670 - t7216 * t25666 / 0.2e1 + 0.3e1 / 0.2e1 * t11086 * t25965;
  t35996 = t35645 * t1223;
  t35998 = t7255 * t4929;
  t36000 = t21416 * t1758;
  t36001 = t3631 * t1761;
  t36005 = t182 * t1847;
  t36009 = t30 * t7632;
  t36013 = 0.5e1 / 0.12e2 * t7216 * t22427 - t35996 / 0.3e1 - t35998 / 0.3e1 - t36000 + t36001 - t7216 * t25785 + 0.2e1 * t7216 * t25787 - t36005 * t4757 + 0.2e1 * t36005 * t4767 - t36009 * t4757 + 0.2e1 * t36009 * t4767;
  t36019 = t3631 * t1783;
  t36037 = 0.3e1 / 0.2e1 * t36009 * t4772 - 0.3e1 * t36009 * t4763 + t7216 * t25796 + t36019 / 0.2e1 - 0.2e1 * t3522 * t7175 - 0.3e1 / 0.2e1 * t246 * t7469 * t810 * t748 - 0.3e1 / 0.2e1 * t757 * t7296 - 0.3e1 / 0.2e1 * t768 * t7296 + 0.3e1 * t11086 * t27183 - 0.6e1 * t11086 * t27186 + 0.3e1 / 0.2e1 * t36005 * t4772;
  t36046 = t11120 * t3193;
  t36056 = t777 * t1792;
  t36058 = t781 * t1792;
  t36062 = -0.3e1 * t36005 * t4763 - 0.4e1 / 0.3e1 * t7216 * t26784 - t21922 * t11131 / 0.2e1 + t21922 * t11135 + 0.3e1 / 0.2e1 * t3123 * t36046 * t1239 + 0.3e1 / 0.2e1 * t7216 * t25959 - 0.3e1 * t7216 * t25962 + 0.2e1 / 0.3e1 * t7216 * t26780 + t36056 / 0.6e1 - t36058 / 0.2e1 - 0.3e1 / 0.4e1 * t800 * t1792;
  t36065 = t634 * t1864;
  t36088 = -0.3e1 / 0.2e1 * t182 * t7676 - t622 * t36065 / 0.4e1 + 0.11e2 / 0.3e1 * t11008 * t27214 - 0.23e2 / 0.6e1 * t11008 * t25741 - 0.14e2 / 0.3e1 * t11086 * t25992 + 0.28e2 / 0.3e1 * t11086 * t25995 - 0.11e2 / 0.6e1 * t11008 * t27217 + 0.3e1 / 0.2e1 * t7390 * t655 - 0.3e1 / 0.2e1 * t7374 * t749 - t765 * t7385 / 0.2e1 + 0.23e2 / 0.12e2 * t11008 * t25735 + t1891 * t3582 / 0.4e1;
  t36106 = t3567 * t1786;
  t36109 = t764 * t7344;
  t36114 = 0.3e1 / 0.4e1 * t3610 * t1873 + 0.3e1 / 0.2e1 * t7374 * t655 - t22405 * t7758 / 0.3e1 + t3123 * t7751 * t741 * t730 - 0.3e1 / 0.4e1 * t21617 * t7753 - 0.3e1 / 0.4e1 * t21621 * t7753 - t515 * t21832 / 0.12e2 + t36106 * t1260 / 0.2e1 + t36109 * t1260 + t7340 * t5012 + t7340 * t3262 / 0.2e1;
  t36124 = t592 * t7404 * t223;
  t36126 = t7380 * t612;
  t36128 = t7377 * t612;
  t36131 = t3627 * t1880 * t223;
  t36134 = t21259 * t514 * t223;
  t36136 = t3544 * t7456;
  t36142 = -t7405 * t676 / 0.4e1 - t1881 * t3281 / 0.2e1 - t1881 * t3305 / 0.4e1 - t515 * t20883 / 0.4e1 - t36124 / 0.12e2 - t36126 / 0.6e1 - t36128 / 0.6e1 - t36131 / 0.6e1 - t36134 / 0.12e2 + 0.23e2 / 0.36e2 * t3515 * t36136 + 0.3e1 * t3123 * t7238 * t27429;
  t36151 = t4770 * t7757;
  t36154 = t25980 * t7185;
  t36165 = t11120 * t620;
  t36172 = -t7746 * t26047 + 0.3e1 / 0.4e1 * t7216 * t26044 + 0.3e1 / 0.2e1 * t7216 * t27383 - 0.3e1 * t7216 * t27387 + t21624 * t36151 / 0.2e1 - 0.9e1 * t4748 * t36154 * t4825 + 0.9e1 / 0.2e1 * t3123 * t36154 * t4820 + 0.3e1 * t11086 * t25998 - 0.6e1 * t11086 * t26001 + 0.3e1 / 0.2e1 * t4748 * t36165 * t3181 - 0.3e1 / 0.2e1 * t3123 * t36165 * t3186;
  t36180 = 0.5e1 / 0.54e2 * t3329 * t526;
  t36185 = t21207 * t35536;
  t36189 = t3637 * t1774;
  t36191 = t592 * t3318;
  t36192 = t36191 * t35869;
  t36194 = t3647 * t7441;
  t36198 = t35733 * t1223;
  t36202 = 0.9e1 / 0.2e1 * t4748 * t7233 * t27374 - 0.9e1 / 0.2e1 * t3123 * t7233 * t27379 - t36180 - t7746 * t25701 / 0.2e1 - t7581 * t21598 / 0.2e1 + 0.6e1 * t246 * t36185 * t27200 + t36189 / 0.2e1 + 0.2e1 / 0.3e1 * t36192 - t36194 / 0.12e2 + t21267 * t530 / 0.4e1 + t36198 / 0.9e1 - 0.3e1 * t22440 * t1758;
  t36212 = t3516 * t7456;
  t36225 = t3057 * t685;
  t36234 = 0.1e1 / t32 / t20993 * t3055;
  t36239 = t3082 * tau[0];
  t36254 = 0.65e4 * t3054 * t36225 + 0.1625e5 * t3061 * t36225 + 0.2275e5 / 0.3e1 * t3066 * t36225 + 0.1e5 / 0.3e1 * t20986 * t36234 + 0.44e3 / 0.27e2 * t258 * t602 + 0.164e5 / 0.27e2 * t692 * t36239 + 0.1e5 / 0.9e1 * t20964 * t36234 - 0.88e3 / 0.9e1 * t261 * t602 + 0.656e4 / 0.3e1 * t697 * t36239 - 0.4e5 / 0.3e1 * t20972 * t36234 - 0.88e3 / 0.9e1 * t265 * t602 + 0.656e4 / 0.27e2 * t702 * t36239;
  t36280 = -0.175e6 / 0.9e1 * t20975 * t36234 + 0.22e4 / 0.27e2 * t268 * t602 - 0.7e5 / 0.9e1 * t20980 * t36234 + 0.22e4 / 0.27e2 * t273 * t602 + 0.5e4 / 0.9e1 * t36234 * t264 - 0.328e4 / 0.27e2 * t36239 * t257 + 0.44e3 / 0.27e2 * t602 * t77 - 0.65e3 / 0.3e1 * t3057 * t83 * t685 - 0.169e5 / 0.3e1 * t3075 * t36225 - 0.82e5 / 0.27e2 * t707 * t36239 - 0.164e5 / 0.9e1 * t714 * t36239 - 0.1105e5 / 0.3e1 * t3072 * t36225;
  t36292 = 0.3e1 / 0.2e1 * t3568 * t1761 + 0.3e1 * t3605 * t1761 + 0.7e1 / 0.3e1 * t3515 * t36212 - 0.3e1 / 0.2e1 * t182 * t7743 - 0.3e1 / 0.4e1 * t30 * t844 * t1830 - 0.3e1 / 0.4e1 * t30 * t238 * t7727 - 0.3e1 / 0.4e1 * t182 * t7728 - t30 * t65 * t253 * (t36254 + t36280) / 0.4e1 - 0.3e1 / 0.4e1 * t182 * t7731 - 0.3e1 / 0.2e1 * t11008 * t27479 - 0.38e2 / 0.9e1 * t35538 * t26987;
  t36303 = t819 * t525;
  t36304 = t36303 * t3132;
  t36310 = t30 * t525 * t3121;
  t36319 = -0.5e1 / 0.3e1 * t7216 * t21881 + t7216 * t21886 - 0.9e1 * t4779 * t7595 * t27292 - 0.9e1 / 0.2e1 * t25696 * t7213 - 0.9e1 / 0.2e1 * t25730 * t7213 + t3129 * t36304 / 0.4e1 + 0.3e1 / 0.4e1 * t36005 * t4806 - 0.3e1 / 0.4e1 * t36310 * t3126 + 0.3e1 / 0.4e1 * t36009 * t4806 - t36009 * t4803 / 0.2e1 - t36005 * t4803 / 0.2e1;
  t36321 = t7368 * t761;
  t36323 = t1869 * t3553;
  t36325 = t781 * t1798;
  t36327 = t188 * t7743;
  t36346 = t36321 / 0.4e1 - t36323 / 0.12e2 - t36325 / 0.2e1 - t36327 / 0.2e1 - 0.3e1 / 0.4e1 * t30 * t1863 * t720 - t30 * t525 * t3107 / 0.4e1 - t3370 * t545 / 0.4e1 - 0.3e1 / 0.4e1 * t800 * t1798 - 0.3e1 / 0.4e1 * t800 * t1831 - 0.3e1 / 0.4e1 * t182 * t7740 - 0.18e2 * t644 * t36185 * t27196;
  t36351 = t3647 * t7175;
  t36353 = t7255 * t3320;
  t36366 = t3637 * t1770;
  t36370 = 0.23e2 / 0.12e2 * t35714 * t4951 - 0.11e2 / 0.6e1 * t35714 * t4920 + t36351 / 0.3e1 - t36353 / 0.12e2 + 0.3e1 / 0.2e1 * t7250 * t26160 + t7746 * t22402 / 0.2e1 - 0.7e1 / 0.3e1 * t11086 * t25686 - 0.9e1 * t4738 * t7599 * t26853 - t7746 * t26936 / 0.2e1 - t36366 / 0.2e1 - t1748 * t27497 / 0.6e1;
  t36380 = t1227 * t755 * t1777;
  t36391 = t4844 * t642 * t13936;
  t36400 = -t7195 * t4917 / 0.2e1 - t1748 * t27504 / 0.2e1 - t7190 * t4917 / 0.2e1 + t622 * t36380 - t644 * t1757 * t26115 / 0.2e1 + 0.7e1 * t26191 * t35376 - 0.3e1 / 0.2e1 * t644 * t7488 * t4936 - 0.9e1 / 0.2e1 * t21069 * t36391 - 0.3e1 / 0.2e1 * t3530 * t7492 - 0.9e1 / 0.2e1 * t26191 * t35380 - 0.3e1 / 0.2e1 * t3537 * t7492;
  t36409 = t21633 * t513;
  t36413 = t3124 * t1879;
  t36420 = t21655 * t7239;
  t36427 = t7190 * t3324 + t7195 * t3324 + t1748 * t27334 / 0.3e1 + 0.3e1 / 0.4e1 * t7374 * t761 + 0.3e1 / 0.4e1 * t7390 * t761 - 0.3e1 / 0.4e1 * t3123 * t36409 * t730 - 0.3e1 / 0.2e1 * t3123 * t36413 * t730 - 0.3e1 / 0.4e1 * t3123 * t7228 * t3246 - t36420 - 0.3e1 * t4779 * t1843 * t27413 + 0.3e1 / 0.2e1 * t4779 * t519 * t21611;
  t36447 = t3121 * t35957;
  t36458 = 0.3e1 / 0.2e1 * t3123 * t7228 * t3161 - 0.3e1 / 0.2e1 * t21617 * t7229 + 0.3e1 * t21617 * t7234 + 0.3e1 * t21621 * t7234 + 0.3e1 / 0.2e1 * t3123 * t35946 * t1239 + 0.3e1 * t3123 * t35950 * t1239 + 0.3e1 / 0.2e1 * t3123 * t7233 * t4960 + 0.7e1 * t26124 * t10058 * t36447 - 0.3e1 / 0.2e1 * t21621 * t7229 + 0.3e1 * t25730 * t7236 + 0.3e1 * t4779 * t7624 * t4786;
  t36465 = t26891 * t7236;
  t36474 = t21655 * t7234;
  t36475 = t35707 * t4757;
  t36484 = 0.3e1 / 0.2e1 * t4779 * t1843 * t22408 + 0.3e1 / 0.2e1 * t4779 * t1843 * t25716 + t36465 + t21179 * t530 / 0.4e1 + 0.3e1 / 0.4e1 * t3568 * t1873 + 0.3e1 / 0.4e1 * t21244 * t530 + 0.3e1 / 0.2e1 * t3605 * t1873 + t36474 - t36475 / 0.3e1 - 0.3e1 / 0.2e1 * t4748 * t36046 * t1234 - t246 * t1765 * t27267 / 0.2e1 + t1748 * t27344;
  t36504 = t35707 * t4767;
  t36511 = t188 * t7676;
  t36513 = t781 * t1831;
  t36515 = -0.3e1 / 0.2e1 * t757 * t7502 - 0.3e1 / 0.2e1 * t246 * t7499 * t3313 + t246 * t1757 * t26185 / 0.2e1 - 0.3e1 / 0.2e1 * t768 * t7502 + 0.7e1 * t21069 * t4838 * t35868 + 0.3e1 / 0.2e1 * t246 * t7488 * t4960 + 0.2e1 / 0.3e1 * t36504 - 0.11e2 / 0.6e1 * t7216 * t27476 - t30 * t3499 * t544 / 0.4e1 - t36511 / 0.2e1 - t36513 / 0.2e1;
  t36516 = t188 * t7740;
  t36518 = t188 * t7728;
  t36520 = t188 * t7731;
  t36522 = t3341 * t545;
  t36525 = t4844 * t642 * t1777;
  t36528 = t4838 * t7174;
  t36531 = t4831 * t1778;
  t36534 = t1220 * t7209;
  t36545 = -t36516 / 0.4e1 - t36518 / 0.4e1 - t36520 / 0.4e1 - t36522 / 0.4e1 - 0.3e1 / 0.2e1 * t3515 * t36525 + 0.7e1 / 0.3e1 * t3515 * t36528 - t3515 * t36531 / 0.2e1 - t622 * t36534 / 0.2e1 + 0.3e1 / 0.2e1 * t768 * t7182 + 0.18e2 * t3680 * t36185 * t26980 - 0.6e1 * t21206 * t36185 * t26975;
  t36547 = t1777 * t3394;
  t36561 = t94 * t7402;
  t36563 = t1227 * t244 * t36561;
  t36580 = 0.3e1 / 0.2e1 * t3680 * t36547 * t3681 - 0.3e1 * t644 * t36547 * t3685 + 0.3e1 / 0.2e1 * t246 * t36547 * t3660 + 0.3e1 / 0.4e1 * t246 * t674 * t7591 * t249 + t3319 * t36563 + 0.3e1 / 0.4e1 * t246 * t7469 * t807 * t249 + t246 * t1777 * t3465 * t249 / 0.4e1 - 0.3e1 / 0.2e1 * t3568 * t1766 - 0.3e1 / 0.4e1 * t3568 * t1770 + t31159 * t35341 + 0.3e1 / 0.4e1 * t3568 * t1774;
  t36592 = t3637 * t1766;
  t36601 = t247 * t7403;
  t36605 = t247 * t35816;
  t36609 = -t3560 * t1779 / 0.12e2 - t609 * t7210 / 0.4e1 - t609 * t7471 / 0.4e1 - t3526 * t7316 / 0.4e1 - 0.3e1 / 0.4e1 * t30 * t7668 * t277 - t36592 + 0.5e1 / 0.6e1 * t7216 * t27220 - 0.11e2 / 0.6e1 * t11008 * t25767 + 0.23e2 / 0.12e2 * t11008 * t25771 - t7216 * t27223 / 0.2e1 - 0.3e1 / 0.4e1 * t246 * t36601 * t730 - 0.3e1 / 0.2e1 * t246 * t36605 * t1246;
  t36613 = t673 * t35360 * t674;
  t36616 = t36191 * t13938;
  t36618 = t593 * t7516;
  t36620 = t771 * t7200;
  t36622 = t7368 * t736;
  t36632 = t35707 * t4772;
  t36634 = t35707 * t4763;
  t36635 = -t211 * t36613 / 0.2e1 + 0.2e1 / 0.3e1 * t36616 + t36618 / 0.2e1 - t36620 / 0.6e1 + t36622 / 0.2e1 + 0.3e1 / 0.2e1 * t7390 * t736 + 0.3e1 / 0.4e1 * t3568 * t1783 - t765 * t7200 / 0.2e1 + 0.11e2 / 0.3e1 * t7216 * t27490 + t36632 / 0.2e1 - t36634;
  t36645 = t1227 * t1889 * t3260;
  t36648 = t3250 * t1889 * t668;
  t36651 = t1227 * t1889 * t674;
  t36653 = t1220 * t35346;
  t36656 = t3172 * t7549;
  t36661 = t7377 * t676;
  t36663 = -0.3e1 / 0.2e1 * t7462 * t3195 + 0.3e1 / 0.2e1 * t7462 * t3182 - 0.3e1 / 0.2e1 * t7462 * t3166 + 0.3e1 / 0.2e1 * t1891 * t3198 + t3319 * t36645 - t622 * t36648 + t622 * t36651 - t3319 * t36653 / 0.2e1 + t622 * t36656 / 0.2e1 + 0.5e1 / 0.3e1 * t35547 * t26349 - t36661 / 0.6e1;
  t36665 = t35594 * t5037;
  t36667 = t1869 * t3281;
  t36669 = t7380 * t676;
  t36671 = t1869 * t3305;
  t36673 = t764 * t7306;
  t36676 = t7299 * t5012;
  t36678 = t3627 * t1786;
  t36679 = t36678 * t1260;
  t36681 = t592 * t7344;
  t36682 = t36681 * t1260;
  t36685 = t191 * t194 * t7193;
  t36688 = t35590 * t5017;
  t36692 = -0.5e1 / 0.36e2 * t36665 - t36667 / 0.6e1 - t36669 / 0.6e1 - t36671 / 0.12e2 - 0.3e1 / 0.2e1 * t36673 * t4905 + t36676 / 0.3e1 + t36679 / 0.3e1 + t36682 / 0.3e1 - 0.3e1 / 0.2e1 * t36685 * t4905 + t36688 / 0.2e1 - 0.3e1 * t35564 * t26290;
  t36695 = t7299 * t3262;
  t36703 = t3658 * t35521;
  t36719 = t7469 * t814;
  t36723 = -0.3e1 / 0.2e1 * t7307 * t26255 + t36695 / 0.6e1 - 0.43e2 / 0.9e1 * t35538 * t26948 - 0.9e1 * t3537 * t7567 + 0.9e1 / 0.2e1 * t757 * t7570 - 0.9e1 * t644 * t36703 * t4825 + 0.9e1 / 0.2e1 * t246 * t36703 * t4820 + 0.89e2 / 0.9e1 * t35538 * t27001 + 0.9e1 / 0.2e1 * t21711 * t7564 + 0.9e1 / 0.2e1 * t3680 * t36703 * t4850 - 0.9e1 / 0.2e1 * t7187 * t26956 - 0.3e1 / 0.2e1 * t644 * t36719 * t649;
  t36733 = t1227 * t244 * t7469;
  t36751 = 0.9e1 / 0.2e1 * t21706 * t7564 - 0.9e1 * t3530 * t7567 + t622 * t36733 + t7216 * t25710 / 0.3e1 + t7581 * t21640 / 0.4e1 + 0.3e1 / 0.2e1 * t11086 * t25691 - 0.3e1 / 0.4e1 * t7390 * t731 - t1891 * t3216 / 0.2e1 - t1891 * t3247 / 0.4e1 - 0.3e1 / 0.2e1 * t1891 * t3187 + 0.3e1 / 0.2e1 * t1891 * t3190;
  t36758 = t673 * t7198 * t3284;
  t36763 = params->at * t7726;
  t36765 = t673 * t661 * t36763;
  t36773 = t673 * t3279 * t7469;
  t36782 = -0.3e1 / 0.2e1 * t1891 * t3314 + t1891 * t3158 - t3585 * t1779 / 0.4e1 - t211 * t36758 / 0.4e1 + 0.3e1 / 0.4e1 * t1891 * t3286 - t211 * t36765 / 0.4e1 + 0.3e1 / 0.4e1 * t246 * t36763 * t226 * t249 - t211 * t36773 / 0.2e1 + 0.3e1 / 0.2e1 * t757 * t7475 + t3613 * t1779 / 0.2e1 + 0.3e1 / 0.2e1 * t7374 * t736;
  t36784 = t771 * t7210;
  t36786 = t771 * t7471;
  t36788 = t3628 * t1779;
  t36791 = t3647 * t7457;
  t36809 = -t36784 / 0.6e1 - t36786 / 0.6e1 - t36788 / 0.6e1 + t3522 * t7453 + t36791 / 0.3e1 - t3590 * t1886 / 0.4e1 - t3560 * t1886 / 0.12e2 - 0.14e2 * t4738 * t7595 * t25988 + 0.14e2 * t4779 * t7595 * t27405 + 0.9e1 * t4748 * t35690 * t4868 - 0.9e1 * t9873 * t7599 * t26800;
  t36850 = t615 * t7402 * t647;
  t36855 = t69 * t1839;
  t36856 = t36855 * t3399;
  t36859 = -0.3e1 * t1843 * t26451 - 0.3e1 * t1843 * t26635 + 0.56e2 / 0.3e1 * t7595 * t26440 - 0.3e1 * t519 * t22132 + 0.18e2 * t7595 * t26614 + 0.9e1 * t7632 * t5223 + 0.4e1 * t1847 * t26738 + 0.5e1 * t1847 * t26617 - 0.2e2 * t7599 * t26623 - 0.9e1 * t7599 * t26741 + 0.6e1 * t36850 * t1326 + 0.6e1 * t7632 * t5195 - 0.2e1 * t36856 * t5187;
  t36875 = t7631 * t3416;
  t36878 = t7598 * t21730;
  t36888 = -t519 * t22047 - 0.8e1 / 0.3e1 * t1847 * t26611 - 0.6e1 * t7632 * t5191 - 0.1e2 / 0.3e1 * t1847 * t26629 + 0.22e2 / 0.3e1 * t1847 * t26419 - 0.6e1 * t7624 * t5207 - 0.2e1 * t1843 * t26472 - 0.12e2 * t7595 * t26626 + 0.6e1 * t36875 * t5210 + 0.4e1 / 0.3e1 * t36878 * t26476 - t7632 * t5213 - t1847 * t26744 / 0.3e1 + t7599 * t26632 / 0.6e1 - t36856 * t5216 / 0.3e1;
  t36900 = t21181 * t512;
  t36901 = t36900 * t21209;
  t36910 = t7591 * t747;
  t36916 = t1840 * t3421;
  t36921 = 0.2e1 * t1847 * t26483 + 0.1e2 * t7599 * t26620 + 0.9e1 * t7610 * t26486 - 0.9e1 * t7610 * t26447 - 0.6e1 * t7624 * t5198 + 0.8e1 / 0.3e1 * t36901 * t26436 + 0.24e2 * t36901 * t26508 - t36901 * t26747 / 0.9e1 - 0.3e1 * t1841 * t3379 - 0.6e1 * t36910 * t1317 - 0.3e1 * t7629 * t821 - t36850 * t1322 + 0.18e2 * t36916 * t5232 + 0.6e1 * t1841 * t3432;
  t36922 = t1846 * t21402;
  t36931 = t518 * t21343;
  t36944 = t7631 * t5163;
  t36949 = t518 * t26549;
  t36952 = t518 * t26535;
  t36955 = -0.12e2 * t36922 * t26427 + 0.6e1 * t1843 * t26640 - 0.11e2 * t1847 * t26511 - 0.36e2 * t36875 * t5184 - 0.24e2 * t36931 * t26602 - 0.6e1 * t519 * t22057 - 0.72e2 * t36878 * t26596 + 0.72e2 * t36922 * t26505 - t7599 * t26443 / 0.3e1 + 0.6e1 * t10841 * t26575 - 0.18e2 * t36944 * t5174 - 0.36e2 * t10841 * t26544 - 0.18e2 * t36949 * t26551 - 0.12e2 * t36952 * t26539;
  t36958 = t7598 * t26528;
  t36961 = t1846 * t26646;
  t36966 = t1840 * t5169;
  t36989 = -0.36e2 * t36958 * t26648 + 0.56e2 * t36961 * t26656 + 0.4e1 * t36958 * t26661 + 0.12e2 * t36966 * t5171 + 0.3e1 * t36944 * t5167 + 0.2e1 / 0.3e1 * t36958 * t26532 + 0.6e1 * t7586 * t26515 + 0.6e1 * t10828 * t22157 + 0.4e1 / 0.3e1 * t7584 * t26525 - 0.28e2 / 0.3e1 * t36961 * t26648 + 0.5e1 / 0.3e1 * t7584 * t22128 - t10846 * t26666 / 0.3e1 - 0.1e2 * t7584 * t26572 - 0.2e1 * t10846 * t26566;
  t36995 = my_piecewise3(t49, t195, 0.88e3 / 0.81e2 * t5084);
  t36996 = t193 * t36995;
  t37021 = 0.18e2 * t10836 * t26556 + 0.6e1 * t7586 * t26562 - t36996 * t208 * t234 / 0.2e1 - 0.8e1 * t7584 * t26569 + 0.18e2 * t10846 * t26575 + t36996 * t227 * t230 - 0.3e1 * t7632 * t5264 - t1847 * t26690 + 0.1e2 / 0.3e1 * t36901 * t26694 + 0.2e1 * t7632 * t5269 + 0.2e1 / 0.3e1 * t1847 * t26699 + t36856 * t5255 / 0.6e1 + 0.3e1 * t36910 * t1336 + 0.3e1 / 0.2e1 * t7629 * t837;
  t37040 = t1846 * t26651;
  t37051 = 0.2e1 * t36850 * t1330 + 0.3e1 * t7624 * t5245 + t1843 * t26688 + 0.3e1 / 0.2e1 * t1841 * t3436 - 0.28e2 * t7595 * t26502 - 0.4e1 / 0.3e1 * t36901 * t26497 + 0.18e2 * t36856 * t5180 + 0.8e1 * t36878 * t26492 + 0.18e2 * t7599 * t26607 - 0.11e2 / 0.3e1 * t37040 * t26653 + 0.22e2 * t37040 * t26669 + 0.36e2 * t36878 * t26731 - 0.12e2 * t36901 * t26723 - 0.36e2 * t36922 * t26720;
  t37080 = t519 * t22182 / 0.2e1 - 0.12e2 * t36875 * t5252 - 0.2e1 / 0.3e1 * t36878 * t26680 + 0.24e2 * t36922 * t26587 - 0.3e1 * t1841 * t3471 - 0.4e2 * t36878 * t26714 - 0.9e1 * t36856 * t5236 + 0.5e2 / 0.3e1 * t36901 * t26726 + 0.1e2 * t36856 * t5266 - 0.9e1 * t36916 * t5258 - 0.3e1 * t36850 * t1340 + 0.18e2 * t36875 * t5239 + 0.3e1 * t519 * t22165 + 0.12e2 * t36931 * t26584;
  t37092 = t21601 * t11148 / 0.2e1 + t21604 * t7758 / 0.6e1 - t21922 * t10772 / 0.4e1 - 0.3e1 / 0.2e1 * t11008 * t26796 + 0.3e1 * t11008 * t26083 + 0.18e2 * t4738 * t7599 * t26790 + 0.9e1 / 0.2e1 * t26806 * t36154 * t4850 - 0.9e1 * t4779 * t7599 * t25976 - t30 * t59 * (t36859 + t36888 + t36921 + t36955 + t36989 + t37021 + t37051 + t37080) * t95 / 0.4e1 - t515 * t21839 / 0.4e1 - t1748 * t27630 / 0.12e2;
  t37111 = t764 * t7194;
  t37118 = -0.35e2 / 0.108e3 * t35538 * t27633 - t7393 * t676 / 0.4e1 - t7396 * t676 / 0.2e1 - t1876 * t3281 / 0.2e1 - t1876 * t3305 / 0.4e1 - t1748 * t27059 / 0.4e1 - t1748 * t27640 / 0.4e1 - 0.5e1 / 0.12e2 * t7187 * t27643 - t37111 * t1300 / 0.2e1 - t7190 * t5032 / 0.2e1 - t7190 * t3320 / 0.4e1;
  t37122 = t673 * t20881 * t1777;
  t37139 = t593 * t7423;
  t37141 = t3631 * t1873;
  t37143 = 0.3e1 / 0.2e1 * t768 * t7475 - t211 * t37122 / 0.4e1 + 0.3e1 / 0.4e1 * t3610 * t1783 - t765 * t7471 / 0.2e1 - 0.3e1 / 0.2e1 * t22396 * t1758 - t765 * t7210 / 0.2e1 + 0.3e1 / 0.2e1 * t3605 * t1783 - t1748 * t27501 / 0.2e1 + 0.3e1 / 0.2e1 * t3610 * t1761 + t37139 / 0.4e1 + t37141 / 0.2e1;
  t37145 = t3637 * t1873;
  t37147 = t3571 * t1886;
  t37149 = t3631 * t1774;
  t37152 = t3627 * t3318 * t35341;
  t37154 = t3631 * t1770;
  t37170 = t37145 / 0.2e1 - t37147 / 0.12e2 + t37149 / 0.2e1 + 0.2e1 / 0.3e1 * t37152 - t37154 / 0.2e1 + 0.9e1 / 0.2e1 * t9873 * t7599 * t27482 - 0.9e1 / 0.2e1 * t11008 * t27468 + 0.9e1 / 0.2e1 * t4779 * t7599 * t26849 + 0.3e1 * t757 * t7523 - 0.3e1 * t3537 * t7489 + 0.3e1 * t768 * t7523;
  t37175 = t645 * t35717;
  t37187 = t21247 * t514 * t223;
  t37190 = t3620 * t1880 * t223;
  t37194 = t26888 * t7243;
  t37196 = t26891 * t7213;
  t37198 = -0.3e1 * t3530 * t7489 - t35738 * t1223 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t37175 * t1239 - t7190 * t4929 - 0.3e1 / 0.2e1 * t644 * t37175 * t1234 - t37111 * t1223 + 0.3e1 / 0.4e1 * t21270 * t530 + t37187 / 0.18e2 + t37190 / 0.18e2 - 0.2e1 * t35538 * t26832 + 0.3e1 / 0.2e1 * t37194 - 0.3e1 / 0.2e1 * t37196;
  t37202 = t188 * t519;
  t37203 = t37202 * t3133;
  t37205 = t4760 * t7757;
  t37223 = t35704 * t4797;
  t37227 = t3544 * t526;
  t37230 = t37203 / 0.6e1 + t21624 * t37205 / 0.4e1 - 0.3e1 / 0.2e1 * t3123 * t7751 * t20937 * t1246 - t3123 * t7751 * t607 * t730 / 0.2e1 - 0.3e1 / 0.2e1 * t11143 * t27392 - t7581 * t22278 / 0.2e1 + t7746 * t27211 - 0.11e2 / 0.12e2 * t7216 * t27398 + t37223 / 0.3e1 - t515 * t21174 / 0.12e2 - 0.5e1 / 0.36e2 * t3515 * t37227;
  t37233 = t1220 * t7470;
  t37238 = 0.5e1 / 0.162e3 * t21582 * t514 * t223;
  t37239 = t21311 * t530;
  t37241 = t21172 * t530;
  t37243 = t21307 * t530;
  t37251 = t21633 * t1764;
  t37255 = t3124 * t7343;
  t37262 = 0.3e1 / 0.2e1 * t757 * t7182 - t622 * t37233 / 0.2e1 - t37238 + t37239 / 0.2e1 + t37241 / 0.4e1 + t37243 / 0.4e1 + 0.3e1 / 0.4e1 * t757 * t7423 + t246 * t247 * t36995 * t249 / 0.4e1 - 0.3e1 / 0.2e1 * t3123 * t37251 * t1246 - 0.3e1 * t3123 * t37255 * t1246 - 0.3e1 / 0.2e1 * t3123 * t7238 * t3313;
  t37270 = t3124 * t1746;
  t37276 = t3628 * t1886;
  t37278 = t3627 * t1890;
  t37279 = t37278 * t250;
  t37281 = t764 * t7389;
  t37286 = t191 * t242 * t7667 * t243;
  t37289 = t222 * t7669;
  t37296 = -0.9e1 / 0.2e1 * t4779 * t7610 * t26133 + 0.9e1 / 0.2e1 * t4779 * t7610 * t26269 + 0.9e1 / 0.2e1 * t3123 * t37270 * t4878 + 0.3e1 * t25696 * t7236 - t37276 / 0.6e1 + t37279 / 0.2e1 + 0.3e1 / 0.2e1 * t37281 * t250 + 0.3e1 / 0.4e1 * t37286 * t250 - t211 * t37289 / 0.4e1 + 0.3e1 / 0.2e1 * t1891 * t3661 - 0.3e1 * t7462 * t3686;
  t37297 = t525 * t3671;
  t37298 = t3544 * t37297;
  t37303 = t191 * t242 * t524 * t3677;
  t37306 = t3664 * t526;
  t37309 = t764 * t7461;
  t37314 = t191 * t242 * t1862 * t641;
  t37319 = t629 * t1864;
  t37322 = t3516 * t526;
  t37327 = t634 * t1863 * t635;
  t37329 = t3567 * t1890;
  t37334 = -0.3e1 / 0.2e1 * t3515 * t37298 + 0.3e1 / 0.2e1 * t37303 * t3682 - t3515 * t37306 / 0.2e1 - 0.3e1 / 0.2e1 * t37309 * t650 - 0.3e1 / 0.2e1 * t37314 * t650 - t3526 * t7453 / 0.2e1 - t622 * t37319 / 0.2e1 - 0.11e2 / 0.18e2 * t3515 * t37322 + t3526 * t7457 + t622 * t37327 + 0.3e1 / 0.4e1 * t37329 * t250 - t3585 * t1886 / 0.4e1;
  t37338 = t1829 * t193;
  t37347 = t4760 * t3121 * t7756;
  t37349 = t21655 * t7753;
  t37355 = t1227 * t7209;
  t37358 = t1227 * t7470;
  t37361 = t4844 * t1778;
  t37366 = -t35450 * t4793 - 0.3e1 / 0.4e1 * t3123 * t37338 * t209 * t730 - t3123 * t7752 * t3246 / 0.4e1 - t21624 * t37347 - t37349 / 0.4e1 + 0.3e1 / 0.2e1 * t11143 * t27395 - t3526 * t7441 / 0.4e1 - t622 * t37355 / 0.4e1 - t622 * t37358 / 0.4e1 - 0.5e1 / 0.36e2 * t3515 * t37361 + 0.3e1 / 0.4e1 * t768 * t7313;
  t37390 = t515 * t20886 / 0.4e1 + t515 * t21105 / 0.4e1 + t515 * t21950 / 0.12e2 - t3590 * t1779 / 0.4e1 + t7393 * t670 / 0.4e1 + t7396 * t670 / 0.2e1 + t1876 * t3301 / 0.2e1 + t1876 * t3269 / 0.4e1 + t7405 * t670 / 0.4e1 + 0.3e1 / 0.2e1 * t246 * t36719 * t654 - 0.3e1 / 0.2e1 * t35714 * t4834;
  t37409 = t635 * t7241;
  t37419 = -0.3e1 / 0.2e1 * t35523 * t4834 - 0.3e1 / 0.2e1 * t7187 * t26990 + 0.9e1 / 0.2e1 * t768 * t7570 - 0.3e1 / 0.2e1 * t3537 * t7179 - 0.9e1 / 0.2e1 * t4779 * t7632 * t4780 - 0.5e1 / 0.2e1 * t4779 * t1847 * t27517 - 0.2e1 * t4779 * t1847 * t26810 - 0.14e2 * t26124 * t26140 * t37409 - 0.3e1 * t26814 * t7246 - 0.3e1 * t27575 * t7246 - 0.3e1 / 0.2e1 * t21685 * t1758;
  t37420 = t22385 * t1758;
  t37422 = t3621 * t1761;
  t37424 = t3631 * t1766;
  t37447 = t3647 * t7453;
  t37449 = t37420 / 0.3e1 - t37422 / 0.3e1 - t37424 - t191 * t194 * t36995 * t208 * t223 / 0.12e2 - t7405 * t612 / 0.4e1 - t21263 * t514 * t223 / 0.12e2 - t3567 * t1880 * t223 / 0.4e1 - t7393 * t612 / 0.4e1 - t764 * t7404 * t223 / 0.4e1 - t7396 * t612 / 0.2e1 + 0.3e1 / 0.4e1 * t768 * t7423 - t37447 / 0.6e1;
  t37456 = my_piecewise3(t2, 0, t35391 + t35358 + t35327 + t37092 + t37366 + t37143 + t37296 + t37170 + t37419 + t36809 + t37262 + t36782 + t36370 + t36545 + t36427 + t36346 + t36580 + t37230 + t36692 + t36319 + t37118 + t36484 + t36292 + t36458 + t36723 + t37334 + t37449 + t37198 + t36751 + t36635 + t36202 + t37390 + t36172 + t36515 + t36142 + t36400 + t36114 + t36088 + t36062 + t36037 + t36013 + t35990 + t35965 + t35927 + t35893 + t35863 + t35840 + t35814 + t35796 + t35769 + t35741 + t35710 + t35679 + t36663 + t35655 + t35628 + t35597 + t35569 + t35532 + t35501 + t35416 + t36609 + t35443 + t35470);
  tv4rho3tau0 = t3 * t37456 + 0.3e1 * t7766;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 0] += tv4rho3tau0;

  t37463 = t22972 * t554 * t350;
  t37466 = t22964 * t554 * t350;
  t37470 = 0.5e1 / 0.162e3 * t22968 * t554 * t350;
  t37473 = t3721 * t566;
  t37475 = t3725 * t566;
  t37478 = 0.5e1 / 0.54e2 * t3729 * t566;
  t37481 = t22973 * t570;
  t37483 = t22965 * t570;
  t37486 = 0.5e1 / 0.54e2 * t22969 * t570;
  t37489 = t3721 * t585;
  t37491 = t3725 * t585;
  t37494 = 0.5e1 / 0.54e2 * t3729 * t585;
  t37495 = -t22985 * t554 * t350 / 0.12e2 - t37463 / 0.12e2 + t37466 / 0.18e2 - t37470 - t3717 * t566 / 0.4e1 - t37473 / 0.4e1 + t37475 / 0.6e1 - t37478 + t22986 * t570 / 0.4e1 + t37481 / 0.4e1 - t37483 / 0.6e1 + t37486 - t3717 * t585 / 0.4e1 - t37489 / 0.4e1 + t37491 / 0.6e1 - t37494;
  t37496 = my_piecewise3(t100, 0, t37495);
  tv4rho3tau1 = t3 * t37496 + 0.3e1 * t7797;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 1] += tv4rho3tau1;

  t37498 = 0.2e1 * t7901;
  t37525 = t307 * t1843;
  t37529 = t35302 / 0.2e1 + t35311 / 0.6e1 + t35313 / 0.18e2 + t35317 / 0.27e2 - t35323 / 0.9e1 - t35325 / 0.6e1 - t35329 / 0.6e1 - t35335 / 0.18e2 + t903 * t7516 / 0.2e1 - t7811 * t612 / 0.6e1 - t7808 * t612 / 0.6e1 - t1923 * t3553 / 0.12e2 + t3835 * t1873 / 0.2e1 + t22892 * t530 / 0.4e1 + t22897 * t530 / 0.2e1 + t3825 * t1873 / 0.2e1 - 0.4e1 / 0.27e2 * t35342 - t35344 / 0.9e1 - t37525 * t4793 / 0.3e1 - t35369 / 0.18e2;
  t37537 = t897 * t7186;
  t37561 = t307 * t1847;
  t37563 = -t35433 - t1923 * t3305 / 0.12e2 + t898 * t7550 / 0.12e2 - t898 * t7200 / 0.6e1 - t7808 * t676 / 0.6e1 - t1923 * t3281 / 0.6e1 - t890 * t1864 / 0.2e1 + t35488 / 0.9e1 - t35490 / 0.6e1 - t35492 / 0.2e1 - t37561 * t4763;
  t37587 = t3768 * t545;
  t37590 = t894 * t1831 / 0.6e1;
  t37592 = t3764 * t545 / 0.6e1;
  t37594 = t894 * t1798 / 0.6e1;
  t37601 = t3814 * t1747;
  t37603 = t37601 * t1300 / 0.18e2;
  t37605 = t7829 * t676 / 0.18e2;
  t37606 = -t22520 * t7753 / 0.4e1 + 0.2e1 / 0.9e1 * t35502 + t37587 / 0.18e2 - t37590 - t37592 - t37594 - t307 * t7669 / 0.4e1 - t3788 * t526 / 0.4e1 - t1923 * t3143 / 0.6e1 - t37603 - t37605;
  t37627 = -t35612 / 0.18e2 + t35614 / 0.36e2 - t35620 / 0.12e2 + t35624 / 0.2e1 - t35626 / 0.6e1 - t35634 + t35636 / 0.2e1 + t35641 - t35643 - t35646 / 0.18e2 - t35650 / 0.18e2;
  t37648 = t3824 * t1747;
  t37651 = t897 * t7194;
  t37658 = t35686 / 0.6e1 + t35688 / 0.6e1 - t22759 * t1758 - t22732 * t1758 - t3802 * t7489 + 0.2e1 / 0.3e1 * t37648 * t1229 + 0.2e1 / 0.3e1 * t37651 * t1229 - t35694 / 0.6e1 - t35705 / 0.9e1 + t35708 / 0.12e2 - t35712 / 0.18e2;
  t37670 = t897 * t7249;
  t37691 = t3835 * t1774 / 0.2e1 + t903 * t7512 / 0.4e1 - t35743 / 0.9e1 + t35745 / 0.27e2 + t35748 / 0.6e1 - t35750 / 0.18e2 - t35758 / 0.3e1 + t35759 / 0.27e2 - t35761 / 0.9e1 + t35776 / 0.18e2 - t35780 / 0.6e1;
  t37716 = t3815 * t1779 / 0.18e2;
  t37721 = -t37648 * t1300 / 0.6e1 - t37651 * t1300 / 0.6e1 + t35828 / 0.9e1 + t35830 / 0.9e1 + t35832 / 0.9e1 + t1923 * t3269 / 0.12e2 + t35836 / 0.12e2 - t35838 / 0.36e2 - t37716 - t3807 * t7453 / 0.6e1 + t3807 * t7457 / 0.3e1;
  t37723 = t897 * t7461;
  t37757 = t37601 * t1223 / 0.9e1;
  t37761 = -t35970 / 0.9e1 - t35972 / 0.9e1 - t35996 / 0.9e1 - t35998 / 0.9e1 - t36000 / 0.3e1 + t36001 / 0.3e1 - t3802 * t7179 / 0.2e1 + t36019 / 0.6e1 - t37757 + t37670 * t4860 + 0.3e1 * t3802 * t7265;
  t37769 = t3818 * t1783 / 0.6e1;
  t37783 = t7829 * t612 / 0.18e2;
  t37785 = t22878 * t530 / 0.6e1;
  t37787 = t22925 * t530 / 0.6e1;
  t37789 = t3818 * t1873 / 0.6e1;
  t37792 = t22877 * t514 * t223 / 0.18e2;
  t37795 = t3814 * t1880 * t223 / 0.18e2;
  t37800 = t897 * t7389;
  t37805 = t3824 * t1890;
  t37808 = t3838 * t1779 / 0.6e1 + t37769 + t36056 / 0.9e1 - t36058 / 0.6e1 + t7824 * t736 / 0.2e1 - t7824 * t731 / 0.4e1 + 0.2e1 / 0.3e1 * t7801 * t4946 + t7801 * t3324 / 0.3e1 + 0.23e2 / 0.36e2 * t37537 * t4951 - t37783 + t37785 + t37787 + t37789 - t37792 - t37795 + t22874 * t530 / 0.4e1 - t898 * t7385 / 0.6e1 + t37800 * t250 / 0.2e1 - t3830 * t1886 / 0.6e1 + t37805 * t250 / 0.2e1;
  t37839 = t897 * t7306;
  t37846 = t3807 * t7175 / 0.3e1 + t903 * t7182 / 0.2e1 - 0.3e1 * t3802 * t7567 + 0.3e1 / 0.2e1 * t903 * t7570 + t7811 * t670 / 0.6e1 + t7808 * t670 / 0.6e1 + t1923 * t3301 / 0.6e1 - t37839 * t4905 / 0.2e1 - t3802 * t7492 / 0.2e1 + t3825 * t1761 + t3835 * t1761;
  t37853 = t3764 * t526 / 0.6e1;
  t37855 = t894 * t1864 / 0.6e1;
  t37871 = t3814 * t1890;
  t37873 = t37871 * t250 / 0.6e1;
  t37875 = t3815 * t1886 / 0.18e2;
  t37879 = t22881 * t514 * t223;
  t37881 = t22885 * t530;
  t37886 = t36189 / 0.6e1 + 0.2e1 / 0.9e1 * t36192 - t7824 * t749 / 0.2e1 + t37873 - t37875 + t3838 * t1886 / 0.6e1 + t37879 / 0.54e2 - t37881 / 0.18e2 - t36194 / 0.36e2 + 0.2e1 / 0.27e2 * t36198 + t36321 / 0.12e2;
  t37894 = t3818 * t1761 / 0.3e1;
  t37898 = 0.2e1 / 0.9e1 * t37601 * t1229;
  t37905 = t3824 * t1786;
  t37908 = t897 * t7344;
  t37919 = t7829 * t670 / 0.18e2;
  t37921 = t3818 * t1774 / 0.6e1;
  t37922 = t36465 / 0.3e1 + t7894 * t3262 / 0.6e1 + t37905 * t1260 / 0.3e1 + t37908 * t1260 / 0.3e1 + t7894 * t5012 / 0.3e1 + t36474 / 0.3e1 - t36475 / 0.9e1 + 0.2e1 / 0.9e1 * t36504 - t903 * t7534 / 0.2e1 + t37919 + t37921;
  t37926 = t3814 * t1786;
  t37928 = t37926 * t1260 / 0.9e1;
  t37936 = t22719 * t1758 / 0.3e1;
  t37951 = t3768 * t526;
  t37957 = t36618 / 0.6e1 - t36620 / 0.18e2 + t36622 / 0.6e1 + 0.7e1 / 0.3e1 * t37537 * t4840 - 0.3e1 / 0.2e1 * t37537 * t4846 + 0.3e1 / 0.2e1 * t22751 * t7564 + t36632 / 0.6e1 - t36634 / 0.3e1 + t37951 / 0.18e2 + t3825 * t1783 / 0.2e1 + t3835 * t1783 / 0.2e1;
  t37982 = t307 * t519;
  t37985 = -t36784 / 0.18e2 - t36786 / 0.18e2 - t36788 / 0.18e2 + t36791 / 0.9e1 - 0.11e2 / 0.18e2 * t37537 * t4920 + t37139 / 0.12e2 + t37141 / 0.6e1 + t37145 / 0.6e1 - t37147 / 0.36e2 + t37561 * t4806 / 0.4e1 + t37982 * t3133 / 0.6e1;
  t38005 = t894 * t1792 / 0.6e1;
  t38017 = -t307 * t7731 / 0.4e1 - t307 * t7728 / 0.4e1 - t38005 - t890 * t1798 / 0.2e1 - t890 * t1831 / 0.2e1 - t37238 + t37239 / 0.6e1 + t37241 / 0.12e2 + t37243 / 0.12e2 + t903 * t7475 / 0.2e1 + t903 * t7313 / 0.4e1;
  t38036 = t3818 * t1766 / 0.3e1;
  t38046 = t3818 * t1770 / 0.6e1;
  t38053 = 0.3e1 / 0.2e1 * t903 * t7278 - t37276 / 0.18e2 + t37279 / 0.6e1 - 0.2e1 * t37670 * t4862 - t37349 / 0.12e2 - t38046 + t903 * t7285 / 0.2e1 + 0.2e1 / 0.9e1 * t37420 - 0.2e1 / 0.9e1 * t37422 - t37424 / 0.3e1 - t37447 / 0.18e2;
  t38059 = my_piecewise3(t2, 0, -t7811 * t676 / 0.6e1 - 0.5e1 / 0.36e2 * t37537 * t5037 - t7801 * t5032 / 0.6e1 - t7801 * t3320 / 0.12e2 - t3825 * t1770 / 0.2e1 - t3835 * t1770 / 0.2e1 - t37537 * t4834 / 0.2e1 - t3807 * t7171 / 0.6e1 + t7824 * t761 / 0.4e1 - t3807 * t7441 / 0.12e2 - t3821 * t1886 / 0.12e2 + t903 * t7423 / 0.4e1 - t37723 * t650 / 0.2e1 + t7824 * t655 / 0.2e1 + t37670 * t5017 / 0.2e1 - t903 * t7537 / 0.4e1 + t3825 * t1774 / 0.2e1 - t898 * t7210 / 0.6e1 - t898 * t7471 / 0.6e1 - t3807 * t7316 / 0.12e2 - t903 * t7500 - t22520 * t7239 + t37525 * t4797 / 0.3e1 + t27723 * t7236 - t37561 * t4757 / 0.3e1 + t22517 * t7758 / 0.12e2 - t22520 * t7229 / 0.2e1 + 0.2e1 / 0.3e1 * t37561 * t4767 - 0.3e1 / 0.2e1 * t27723 * t7213 + t22520 * t7234 + t37561 * t4772 / 0.2e1 + 0.3e1 / 0.2e1 * t27867 * t7243 - t27864 * t7246 - t7801 * t4929 / 0.3e1 - t7801 * t4917 / 0.6e1 - t903 * t7296 / 0.2e1 - t3825 * t1766 - t3835 * t1766 - t3830 * t1779 / 0.6e1 - t3821 * t1779 / 0.12e2 - t37648 * t1223 / 0.3e1 - t37651 * t1223 / 0.3e1 - t37561 * t4803 / 0.6e1 - 0.3e1 * t903 * t7270 - t307 * t7676 / 0.2e1 - t890 * t1792 / 0.2e1 + t903 * t7523 + t903 * t7525 / 0.2e1 - t307 * t7740 / 0.4e1 - t307 * t7743 / 0.2e1 - t3788 * t545 / 0.4e1 - t903 * t7502 / 0.2e1 - t897 * t7404 * t223 / 0.12e2 - t22888 * t514 * t223 / 0.12e2 - t3824 * t1880 * t223 / 0.6e1 + t35408 / 0.12e2 - t35396 / 0.12e2 + t35383 / 0.6e1 + 0.7e1 / 0.9e1 * t35385 + t37985 - t38036 + t37957 + t37190 / 0.27e2 + t37187 / 0.27e2 + t37658 + 0.2e1 / 0.9e1 * t37152 - t37154 / 0.6e1 + t37761 + t37606 + t37223 / 0.9e1 + t37898 - t37853 - t37855 - t37936 + t37203 / 0.18e2 + t37894 + t37563 + t37846 - t36366 / 0.6e1 - t36669 / 0.18e2 - t36671 / 0.36e2 + 0.2e1 / 0.9e1 * t36616 + t36351 / 0.9e1 - t36353 / 0.36e2 + t38053 + t37194 / 0.2e1 + t36676 / 0.9e1 + t36688 / 0.6e1 - t36327 / 0.6e1 - t36323 / 0.36e2 - t36325 / 0.6e1 + t37529 + t36679 / 0.9e1 - t36420 / 0.3e1 + t37808 - t36511 / 0.6e1 - t36513 / 0.6e1 + t37149 / 0.6e1 + t37886 - t37196 / 0.2e1 + t37627 - t36592 / 0.3e1 - t36522 / 0.12e2 + t37922 + t37721 - t36180 + t36695 / 0.18e2 + t37691 - t36516 / 0.12e2 - t36661 / 0.18e2 - t36134 / 0.36e2 - t36128 / 0.18e2 - t36131 / 0.18e2 - t36126 / 0.18e2 - t36124 / 0.36e2 + t38017 - t36518 / 0.12e2 - t36520 / 0.12e2 + t35925 / 0.36e2 - 0.5e1 / 0.108e3 * t36665 - t36667 / 0.18e2 - t35805 / 0.6e1 - t35807 / 0.3e1 - t35798 / 0.3e1 + t35799 / 0.3e1 - t35800 / 0.9e1 + t35794 - t35795 / 0.3e1 + t35797 / 0.3e1 - t35791 / 0.6e1 + t35786 / 0.6e1 + t35736 / 0.27e2 - t35731 / 0.27e2 + t35734 / 0.27e2 - 0.2e1 / 0.27e2 * t35729 - t35684 / 0.36e2 + t35682 / 0.18e2 + t35675 / 0.18e2 + t35671 / 0.18e2 + t35673 / 0.36e2 + t35662 / 0.9e1 - t35660 / 0.6e1 - t35653 / 0.18e2 + 0.23e2 / 0.108e3 * t35599 - 0.11e2 / 0.54e2 * t35595 - 0.2e1 / 0.3e1 * t35592 + t35591 / 0.3e1 - t35579 / 0.6e1 + t35581 / 0.6e1 + t35517 / 0.9e1 - t35515 / 0.12e2 + t35508 / 0.9e1 - t35410 / 0.6e1 + t37928 - t35430 / 0.12e2 + t36682 / 0.9e1);
  tv4rho3tau2 = t3 * t38059 + t37498 + t7766;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 2] += tv4rho3tau2;

  t38061 = 0.2e1 * t8032;
  t38062 = t873 * t2077;
  t38065 = t3885 * t566 / 0.6e1;
  t38067 = t869 * t2077 / 0.6e1;
  t38068 = t3889 * t566;
  t38070 = t7775 * t1002;
  t38072 = t3902 * t1957;
  t38073 = t38072 * t1433;
  t38075 = t3902 * t1964;
  t38076 = t38075 * t1438;
  t38081 = t38062 / 0.18e2 - t38065 - t38067 + t38068 / 0.18e2 + t38070 / 0.54e2 - t38073 / 0.27e2 + t38076 / 0.54e2 + t37481 / 0.12e2 - t37483 / 0.9e1 + t37486 - t37473 / 0.12e2;
  t38083 = t3918 * t1954;
  t38089 = t23391 * t1975;
  t38091 = t38075 * t1396;
  t38094 = t3899 * t1950 / 0.18e2;
  t38096 = t3915 * t1945 / 0.6e1;
  t38097 = t3898 * t1957;
  t38099 = t38097 * t1433 / 0.9e1;
  t38100 = t37475 / 0.9e1 - t37478 - t38083 / 0.18e2 - t37489 / 0.12e2 + t37491 / 0.9e1 - t37494 - t7769 * t1002 / 0.12e2 + t38089 / 0.9e1 + t38091 / 0.27e2 - t38094 + t38096 + t38099;
  t38102 = t3898 * t1964;
  t38104 = 0.2e1 / 0.9e1 * t38102 * t1402;
  t38106 = t3915 * t1941 / 0.6e1;
  t38108 = t3915 * t1937 / 0.3e1;
  t38110 = t3915 * t1978 / 0.3e1;
  t38114 = t38102 * t1396 / 0.9e1;
  t38116 = t23371 * t1975 / 0.3e1;
  t38117 = t3918 * t1945;
  t38119 = t7775 * t997;
  t38125 = t38104 - t38106 - t38108 + t38110 + t3912 * t1954 / 0.4e1 - t38114 - t38116 - t38117 / 0.18e2 - t38119 / 0.54e2 - t865 * t2014 / 0.4e1 - t865 * t2018 / 0.4e1;
  t38129 = t3885 * t585 / 0.6e1;
  t38136 = t3894 * t1957;
  t38139 = t3894 * t1964;
  t38143 = t3915 * t1954 / 0.6e1;
  t38148 = t23357 * t554 * t350 / 0.18e2;
  t38149 = -t3881 * t585 / 0.4e1 - t38129 - t3895 * t1950 / 0.12e2 + t3912 * t1978 / 0.2e1 + t3912 * t1945 / 0.4e1 + t38136 * t1433 / 0.6e1 - t38139 * t1438 / 0.12e2 + t38143 - t37463 / 0.36e2 + t37466 / 0.27e2 - t37470 - t38148;
  t38153 = t3915 * t2040 / 0.6e1;
  t38156 = t3898 * t2047 * t350 / 0.18e2;
  t38168 = t3894 * t2029;
  t38178 = t38153 - t38156 - t3895 * t2025 / 0.12e2 - t7769 * t1087 / 0.12e2 + t23238 * t570 / 0.4e1 + t23244 * t570 / 0.4e1 - t23237 * t554 * t350 / 0.12e2 + t38168 * t377 / 0.4e1 + t3912 * t2040 / 0.4e1 - t3894 * t2047 * t350 / 0.12e2 - t865 * t1981 / 0.4e1;
  t38180 = t869 * t1981 / 0.6e1;
  t38182 = t869 * t2014 / 0.6e1;
  t38184 = t869 * t2018 / 0.6e1;
  t38196 = t7772 * t997 / 0.18e2;
  t38199 = t7775 * t1087;
  t38201 = t3902 * t2029;
  t38202 = t38201 * t377;
  t38204 = -t38180 - t38182 - t38184 + t38139 * t1402 / 0.3e1 - t3912 * t1941 / 0.4e1 - t3912 * t1937 / 0.2e1 - t38139 * t1396 / 0.6e1 - t23423 * t1975 / 0.2e1 + t38196 + t7769 * t997 / 0.12e2 + t38199 / 0.54e2 - t38202 / 0.18e2;
  t38206 = t3903 * t2025;
  t38209 = t7772 * t1087 / 0.18e2;
  t38211 = t23408 * t570 / 0.6e1;
  t38212 = t3898 * t2029;
  t38214 = t38212 * t377 / 0.6e1;
  t38216 = t23358 * t570 / 0.6e1;
  t38218 = t38102 * t1438 / 0.18e2;
  t38219 = t873 * t2014;
  t38221 = t873 * t2018;
  t38223 = t3889 * t585;
  t38225 = t873 * t1981;
  t38228 = t3902 * t2047 * t350;
  t38231 = t3899 * t2025 / 0.18e2;
  t38232 = t38206 / 0.54e2 - t38209 + t38211 + t38214 + t38216 - t38218 + t38219 / 0.18e2 + t38221 / 0.18e2 + t38223 / 0.18e2 + t38225 / 0.18e2 + t38228 / 0.54e2 - t38231;
  t38233 = t23256 * t570;
  t38235 = t23381 * t570;
  t38237 = t3918 * t2040;
  t38240 = t23252 * t554 * t350;
  t38246 = t3918 * t1937;
  t38249 = t7772 * t1002 / 0.18e2;
  t38250 = t38075 * t1402;
  t38252 = t3918 * t1978;
  t38254 = t3918 * t1941;
  t38256 = t3903 * t1950;
  t38258 = -t38233 / 0.18e2 - t38235 / 0.18e2 - t38237 / 0.18e2 + t38240 / 0.54e2 - t3881 * t566 / 0.4e1 - t865 * t2077 / 0.4e1 + t38246 / 0.9e1 - t38249 - 0.2e1 / 0.27e2 * t38250 - t38252 / 0.9e1 + t38254 / 0.18e2 + t38256 / 0.54e2;
  t38262 = my_piecewise3(t100, 0, t38081 + t38100 + t38125 + t38149 + t38178 + t38204 + t38232 + t38258);
  tv4rho3tau3 = t3 * t38262 + t38061 + t7797;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 3] += tv4rho3tau3;

  t38274 = t3953 * t1890;
  t38283 = t35317 / 0.54e2 - t35323 / 0.18e2 - 0.2e1 / 0.27e2 * t35342 - t35344 / 0.18e2 - t8035 * t612 / 0.12e2 + t3959 * t1873 / 0.4e1 - t3954 * t1886 / 0.12e2 + t38274 * t250 / 0.4e1 - t23149 * t514 * t223 / 0.12e2 - t3953 * t1880 * t223 / 0.12e2 - t35433;
  t38284 = t3953 * t1747;
  t38299 = -t38284 * t1300 / 0.12e2 - t3959 * t1766 / 0.2e1 - t3959 * t1770 / 0.4e1 + t3959 * t1774 / 0.4e1 - t3954 * t1779 / 0.12e2 + t3959 * t1783 / 0.4e1 + t35502 / 0.9e1 + t37587 / 0.9e1 - t37590 - t37592 - t37594 - t37603;
  t38312 = -t37605 + t35508 / 0.18e2 + t35517 / 0.18e2 - t8035 * t676 / 0.12e2 + t35662 / 0.18e2 - t35729 / 0.27e2 - t35731 / 0.54e2 + t35734 / 0.54e2 + t35736 / 0.54e2 - t35743 / 0.18e2 + t35745 / 0.54e2;
  t38320 = t3953 * t1786;
  t38325 = t35759 / 0.54e2 - t35761 / 0.18e2 + t35794 + t35828 / 0.18e2 + t35830 / 0.18e2 + t35832 / 0.18e2 + t8035 * t670 / 0.12e2 + t38320 * t1260 / 0.6e1 - t37716 - t35970 / 0.18e2 - t35972 / 0.18e2 - t37757;
  t38335 = t37769 + t36056 / 0.18e2 - t37783 + t37785 + t37787 + t37789 - t37792 - t37795 - t3946 * t545 / 0.4e1 - t972 * t1798 / 0.4e1 - t972 * t1831 / 0.4e1;
  t38343 = -t972 * t1792 / 0.4e1 - t37853 - t37855 - t36180 + t37873 - t37875 + t37879 / 0.27e2 - t37881 / 0.9e1 + t36198 / 0.27e2 + t37894 + t37898 - t38284 * t1223 / 0.6e1;
  t38347 = t23160 * t530;
  t38350 = t23156 * t514 * t223;
  t38352 = t3950 * t545;
  t38360 = t38284 * t1229 / 0.3e1 + t38347 / 0.12e2 - t38350 / 0.36e2 + t37919 + t37921 + t37928 - t37936 - t38352 / 0.12e2 + t37951 / 0.9e1 - t23097 * t1758 / 0.2e1 + t3959 * t1761 / 0.2e1 + t37187 / 0.54e2;
  t38362 = t3950 * t526;
  t38374 = t37190 / 0.54e2 - t38005 - t37238 - t38036 - t38046 - t38362 / 0.12e2 - t972 * t1864 / 0.4e1 - t3946 * t526 / 0.4e1 + t37420 / 0.9e1 - t37422 / 0.9e1 + t23153 * t530 / 0.4e1 + t23087 * t530 / 0.4e1;
  t38378 = my_piecewise3(t2, 0, t38283 + t38299 + t38312 + t38325 + t38335 + t38343 + t38360 + t38374);
  tv4rho3tau4 = t3 * t38378 + t37498 + t8049;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 4] += tv4rho3tau4;

  t38385 = t933 * t8089;
  t38388 = t933 * t8109;
  t38393 = t4045 * t1964;
  t38396 = t290 * t2060;
  t38412 = -t934 * t8445 / 0.6e1 + t38062 / 0.9e1 - t38065 - t38067 + t38068 / 0.9e1 + t38070 / 0.27e2 + 0.23e2 / 0.36e2 * t38385 * t5790 + 0.2e1 / 0.3e1 * t38388 * t1402 + 0.2e1 / 0.3e1 * t7908 * t5797 + 0.2e1 / 0.3e1 * t38393 * t1402 - t38396 * t5551 - 0.3e1 / 0.2e1 * t28455 * t8371 - t28922 * t8595 + 0.3e1 / 0.2e1 * t28913 * t8383 + 0.2e1 / 0.3e1 * t38396 * t5556 + t23531 * t8375 - t38396 * t5592 / 0.3e1 + t38396 * t5588 / 0.2e1 - 0.2e1 / 0.27e2 * t38073 + t38076 / 0.27e2;
  t38428 = t4016 * t2025;
  t38430 = t4009 * t2029;
  t38431 = t38430 * t377;
  t38433 = t4010 * t2025;
  t38435 = t937 * t8183;
  t38436 = t38435 * t377;
  t38439 = t938 * t8179;
  t38441 = t4004 * t2025;
  t38443 = t1905 * t4487;
  t38445 = t7943 * t1087;
  t38447 = t7948 * t1087;
  t38449 = t4022 * t8165;
  t38451 = t7929 * t1095;
  t38453 = t937 * t8200;
  t38454 = t38453 * t1036;
  t38456 = t4022 * t8196;
  t38458 = t4022 * t8192;
  t38460 = t7929 * t1046;
  t38462 = -t38439 / 0.18e2 - t38441 / 0.36e2 - t38443 / 0.36e2 - t38445 / 0.18e2 - t38447 / 0.18e2 - t38449 / 0.36e2 + t38451 / 0.6e1 - t38454 / 0.6e1 + t38456 / 0.9e1 - t38458 / 0.18e2 - t38460 / 0.6e1;
  t38495 = t7903 * t5772;
  t38497 = t937 * t8109;
  t38498 = t38497 * t1396;
  t38500 = t937 * t8089;
  t38501 = t38500 * t5760;
  t38503 = t938 * t8445;
  t38505 = t7903 * t5757;
  t38507 = t4046 * t1945 / 0.2e1 + t4052 * t1945 / 0.2e1 - t945 * t8321 / 0.4e1 - t945 * t8318 / 0.2e1 - t4046 * t1941 / 0.2e1 - t4052 * t1941 / 0.2e1 - t38495 / 0.9e1 - t38498 / 0.9e1 - 0.11e2 / 0.54e2 * t38501 - t38503 / 0.18e2 - t38505 / 0.18e2;
  t38509 = t38500 * t5636;
  t38511 = t948 * t8519;
  t38524 = t23847 * t8076;
  t38526 = t24019 * t8071;
  t38528 = t24019 * t8354;
  t38530 = t28439 * t8347;
  t38532 = t294 * t559;
  t38533 = t38532 * t4140;
  t38535 = t290 * t2056;
  t38540 = -t23909 * t1975 + t7908 * t4248 / 0.3e1 + 0.2e1 / 0.9e1 * t38089 + 0.2e1 / 0.27e2 * t38091 + t38524 / 0.36e2 - t38526 / 0.6e1 - t38528 / 0.3e1 + t38530 / 0.3e1 + t38533 / 0.18e2 - t38535 * t5579 / 0.3e1 - t23531 * t8067 / 0.4e1;
  t38550 = t290 * t559;
  t38553 = t294 * t2056;
  t38554 = t38553 * t5583;
  t38556 = t294 * t2060;
  t38557 = t38556 * t5568;
  t38578 = t4009 * t2047 * t350;
  t38581 = t937 * t8134 * t350;
  t38584 = t23732 * t554 * t350;
  t38586 = t948 * t8139;
  t38588 = t4013 * t2040;
  t38590 = t4019 * t2040;
  t38592 = -t4055 * t1950 / 0.6e1 + t4046 * t1954 / 0.2e1 + t7959 * t980 / 0.2e1 - t4065 * t8099 / 0.2e1 - t934 * t8081 / 0.6e1 - t38578 / 0.18e2 - t38581 / 0.36e2 - t38584 / 0.36e2 + t38586 / 0.12e2 + t38588 / 0.6e1 + t38590 / 0.6e1;
  t38594 = t294 * t8590;
  t38596 = t929 * t1981;
  t38598 = t294 * t8534;
  t38600 = t24019 * t8067;
  t38602 = t933 * t8426;
  t38607 = t4045 * t1957;
  t38610 = t4016 * t1950;
  t38612 = t948 * t8438;
  t38619 = t38096 + t38099 + t38104 - t38106 - t38108 + t38110 - t38114 - t38116 - t7908 * t5757 / 0.6e1 - t38117 / 0.9e1 - t38119 / 0.27e2;
  t38624 = t948 * t8126;
  t38626 = t4013 * t1954;
  t38628 = t23729 * t570;
  t38630 = t23736 * t570;
  t38632 = t23733 * t570;
  t38634 = t7929 * t1071;
  t38636 = t38556 * t5588;
  t38641 = t4010 * t1950;
  t38643 = t4019 * t1954;
  t38645 = t7929 * t980;
  t38649 = t4009 * t1964;
  t38650 = t38649 * t1396;
  t38652 = t38553 * t5579;
  t38654 = t38556 * t5572;
  t38656 = t1905 * t4710;
  t38662 = -t38641 / 0.18e2 + t38643 / 0.6e1 + t38645 / 0.6e1 - t7951 * t1002 / 0.6e1 - t38650 / 0.9e1 - t38652 / 0.9e1 + t38654 / 0.12e2 + t38143 - t38656 / 0.18e2 + t945 * t8420 / 0.4e1 + t1902 * t4699 / 0.6e1;
  t38683 = t4040 * t8097;
  t38685 = t23858 * t1975;
  t38687 = t938 * t8081;
  t38689 = t4040 * t8099;
  t38691 = t38500 * t5626;
  t38693 = t23721 * t8500;
  t38695 = t38500 * t5642;
  t38698 = t4013 * t1941;
  t38700 = t948 * t8338;
  t38702 = -t38683 / 0.3e1 - t38685 / 0.3e1 - t38687 / 0.18e2 - t38689 / 0.6e1 - t38691 / 0.2e1 + t38693 / 0.2e1 + 0.7e1 / 0.9e1 * t38695 + t37466 / 0.54e2 - t37470 - t38698 / 0.6e1 - t38700 / 0.6e1;
  t38707 = t4019 * t1941;
  t38711 = t4045 * t2029;
  t38716 = t933 * t8183;
  t38739 = -t38707 / 0.6e1 - t38148 + t38153 - t38156 - t7959 * t1046 / 0.2e1 + t38711 * t377 / 0.2e1 + t4037 * t2025 / 0.6e1 + t38716 * t377 / 0.2e1 - t4055 * t2025 / 0.6e1 - t4049 * t2025 / 0.12e2 - t934 * t8179 / 0.6e1 - t7951 * t1087 / 0.6e1 + t4052 * t2040 / 0.2e1 + t23591 * t570 / 0.2e1 + t4046 * t2040 / 0.2e1 + t23596 * t570 / 0.4e1 + t7959 * t1071 / 0.4e1 + t23607 * t570 / 0.4e1 - t38180 - t38182;
  t38740 = t7943 * t1002;
  t38742 = t7948 * t1002;
  t38744 = t7903 * t5998;
  t38746 = t4022 * t8335;
  t38748 = t948 * t8368;
  t38750 = t4004 * t1950;
  t38752 = t7943 * t997;
  t38754 = t7948 * t997;
  t38756 = t7988 * t4662;
  t38759 = t38556 * t5592;
  t38761 = t948 * t8435;
  t38763 = t938 * t8122;
  t38765 = t38497 * t1402;
  t38767 = t38649 * t1402;
  t38769 = t948 * t8104;
  t38771 = t4019 * t1937;
  t38773 = t4013 * t1937;
  t38775 = t948 * t8314;
  t38779 = -t38759 / 0.9e1 + t38761 / 0.2e1 - t38763 / 0.18e2 + 0.2e1 / 0.9e1 * t38765 + 0.2e1 / 0.9e1 * t38767 - t38769 / 0.3e1 - t38771 / 0.3e1 - t38773 / 0.3e1 + t38775 / 0.6e1 + t38196 + t7956 * t997 / 0.6e1;
  t38790 = t948 * t8455;
  t38791 = t937 * t8359;
  t38792 = t38791 * t5648;
  t38794 = t38791 * t5651;
  t38796 = t4040 * t8391;
  t38797 = t4022 * t8524;
  t38799 = t4040 * t8513;
  t38803 = t294 * t8538;
  t38805 = t929 * t2014;
  t38807 = t294 * t8587;
  t38809 = t294 * t8527;
  t38811 = -t38790 - 0.2e1 / 0.3e1 * t38792 + t38794 / 0.3e1 + t38796 - t38797 / 0.18e2 - t38799 / 0.6e1 + t4058 * t8509 / 0.3e1 - t38803 / 0.6e1 - t38805 / 0.6e1 - t38807 / 0.12e2 - t38809 / 0.12e2;
  t38813 = t4081 * t585;
  t38815 = t929 * t2018;
  t38825 = t933 * t8200;
  t38832 = t38791 * t5980;
  t38835 = t7988 * t5989;
  t38837 = t4009 * t1957;
  t38838 = t38837 * t1433;
  t38840 = t937 * t8426;
  t38841 = t38840 * t1433;
  t38843 = t948 * t8420;
  t38845 = t4040 * t8503;
  t38858 = t38835 / 0.9e1 + t38838 / 0.9e1 + t38841 / 0.9e1 + t38843 / 0.12e2 - t38845 - t290 * t8590 / 0.2e1 - t925 * t1981 / 0.2e1 - t290 * t8534 / 0.4e1 - t290 * t8538 / 0.2e1 + 0.3e1 / 0.2e1 * t23924 * t8500 - t945 * t8486 / 0.2e1;
  t38868 = t933 * t8489;
  t38886 = t948 * t8486;
  t38890 = t23639 * t1975;
  t38892 = -t38235 / 0.9e1 - t38237 / 0.9e1 + t38240 / 0.27e2 - t4099 * t585 / 0.4e1 - t925 * t2014 / 0.2e1 - t290 * t8587 / 0.4e1 - t290 * t8527 / 0.4e1 - t4052 * t1937 - t38886 / 0.6e1 - t7959 * t1101 / 0.4e1 - t38890 / 0.3e1;
  t38899 = t4022 * t8509;
  t38901 = t948 * t8516;
  t38903 = t933 * t8359;
  t38917 = t7903 * t5797;
  t38919 = t28427 * t8383;
  t38921 = t38556 * t5551;
  t38923 = t38556 * t5556;
  t38925 = t24019 * t8375;
  t38927 = t28436 * t8595;
  t38929 = t28439 * t8371;
  t38931 = -0.2e1 / 0.9e1 * t38252 + t38254 / 0.9e1 + t38256 / 0.27e2 + t945 * t8368 / 0.2e1 + 0.2e1 / 0.9e1 * t38917 + t38919 / 0.2e1 - t38921 / 0.3e1 + 0.2e1 / 0.9e1 * t38923 + t38925 / 0.3e1 - t38927 / 0.3e1 - t38929 / 0.2e1;
  t38948 = t4019 * t1945;
  t38950 = t948 * t8318;
  t38952 = t948 * t8312;
  t38955 = t4013 * t1978;
  t38957 = t948 * t8330;
  t38959 = t4019 * t1978;
  t38961 = t4013 * t1945;
  t38963 = t948 * t8321;
  t38975 = t4081 * t566;
  t38977 = t38955 / 0.3e1 + t38957 / 0.12e2 + t38959 / 0.3e1 + t38961 / 0.6e1 - t38963 / 0.12e2 + 0.7e1 / 0.3e1 * t38385 * t5642 + t23528 * t8076 / 0.12e2 - t290 * t8300 / 0.4e1 - t4099 * t566 / 0.4e1 - t925 * t2077 / 0.2e1 - t38975 / 0.12e2;
  t38979 = t294 * t8300;
  t38981 = t38500 * t5790;
  t38983 = t7903 * t4248;
  t38985 = t38500 * t6001;
  t38987 = t7903 * t6013;
  t38989 = t38497 * t1438;
  t38991 = t1905 * t4683;
  t38993 = t38649 * t1438;
  t38995 = t1905 * t4699;
  t38997 = t1905 * t4719;
  t39000 = t1905 * t4726;
  t39002 = t7929 * t1101;
  t39004 = t938 * t8478;
  t39006 = t937 * t8489;
  t39007 = t39006 * t6029;
  t39020 = t929 * t2077;
  t39022 = -t39000 / 0.18e2 - t39002 / 0.12e2 + t39004 / 0.36e2 - t39007 / 0.6e1 - t4065 * t8513 / 0.2e1 - t4058 * t8524 / 0.6e1 - 0.2e1 * t38903 * t5648 + 0.3e1 * t4065 * t8391 + t38903 * t5651 - 0.3e1 * t945 * t8455 - t39020 / 0.6e1;
  t39028 = my_piecewise3(t100, 0, -t38388 * t1396 / 0.3e1 - t7908 * t5772 / 0.3e1 - t38393 * t1396 / 0.3e1 + t38396 * t5572 / 0.4e1 + t38535 * t5583 / 0.3e1 - t38396 * t5568 / 0.6e1 + t38550 * t4140 / 0.6e1 - t23902 * t1975 - t934 * t8122 / 0.6e1 - t945 * t8338 / 0.2e1 - t4058 * t8335 / 0.12e2 - t4049 * t1950 / 0.12e2 + t7951 * t997 / 0.6e1 + t945 * t8312 + t945 * t8314 / 0.2e1 + t4046 * t1978 + t4052 * t1978 + t945 * t8330 / 0.4e1 + t945 * t8126 / 0.2e1 + t4052 * t1954 / 0.2e1 + t945 * t8139 / 0.4e1 - 0.3e1 * t4065 * t8503 - t1902 * t4726 / 0.6e1 + t934 * t8478 / 0.12e2 - t1902 * t4710 / 0.6e1 - t38868 * t6029 / 0.2e1 + t4058 * t8196 / 0.3e1 - t38825 * t1036 / 0.2e1 + t7959 * t1095 / 0.2e1 - t4058 * t8192 / 0.6e1 - t1902 * t4487 / 0.12e2 - t4058 * t8165 / 0.12e2 - t7956 * t1087 / 0.6e1 + t8002 * t4662 / 0.6e1 - t945 * t8104 - t4046 * t1937 + t1902 * t4683 / 0.12e2 - t38393 * t1438 / 0.6e1 - t38388 * t1438 / 0.6e1 - t7908 * t6013 / 0.6e1 - t7908 * t5998 / 0.12e2 - 0.5e1 / 0.36e2 * t38385 * t6001 - t7956 * t1002 / 0.6e1 - t23531 * t8071 / 0.2e1 - t23531 * t8354 + t28455 * t8347 - t1902 * t4719 / 0.12e2 + t38607 * t1433 / 0.3e1 - t925 * t2018 / 0.2e1 + t38602 * t1433 / 0.3e1 + t8002 * t5989 / 0.3e1 - t4065 * t8097 + t945 * t8438 / 0.2e1 + t4037 * t1950 / 0.6e1 + 0.3e1 / 0.2e1 * t945 * t8435 - t38385 * t5636 / 0.2e1 + t945 * t8516 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t8519 - 0.3e1 / 0.2e1 * t38385 * t5626 + t38903 * t5980 / 0.2e1 - 0.11e2 / 0.18e2 * t38385 * t5760 - t933 * t8134 * t350 / 0.12e2 - t4045 * t2047 * t350 / 0.6e1 - t23606 * t554 * t350 / 0.12e2 + t38739 - t38740 / 0.18e2 - t38249 - 0.4e1 / 0.27e2 * t38250 - t38750 / 0.36e2 + t38624 / 0.6e1 - t38094 + t38977 - t38979 / 0.12e2 - 0.5e1 / 0.108e3 * t38985 - t38987 / 0.18e2 + t38436 / 0.6e1 - t38950 / 0.6e1 + t38952 / 0.3e1 - t38742 / 0.18e2 - t38744 / 0.36e2 + t38702 + t38779 - t38209 + t38211 + t38630 / 0.6e1 + t38632 / 0.12e2 + t38507 + t38412 - t38202 / 0.9e1 - t38989 / 0.18e2 + t38991 / 0.36e2 + t38662 - t38815 / 0.6e1 + t38832 / 0.6e1 - t38997 / 0.36e2 + t38228 / 0.27e2 - t38218 + t38219 / 0.9e1 + t38221 / 0.9e1 + t38199 / 0.27e2 + 0.23e2 / 0.108e3 * t38981 + t38983 / 0.9e1 + 0.2e1 / 0.9e1 * t38246 - t38993 / 0.18e2 + t38995 / 0.18e2 - t37494 + t38752 / 0.18e2 + t38754 / 0.18e2 + t39022 + t38540 + t38554 / 0.9e1 - t38509 / 0.6e1 + t38511 / 0.2e1 + t38214 + t38216 - t38433 / 0.18e2 + t38756 / 0.18e2 + t38223 / 0.9e1 + t38225 / 0.9e1 - t38231 - t38233 / 0.9e1 - t38594 / 0.6e1 - t38596 / 0.6e1 + t38610 / 0.18e2 + t38612 / 0.6e1 - t37478 + t38892 - t38557 / 0.18e2 + t37475 / 0.18e2 - t38598 / 0.12e2 - t38600 / 0.12e2 + t38931 + t37486 + t38634 / 0.12e2 + t38636 / 0.6e1 - t38129 - t38184 + t38858 + t38206 / 0.27e2 - t37483 / 0.18e2 - t38083 / 0.9e1 + t38811 - t38813 / 0.12e2 + t38899 / 0.9e1 + t38901 / 0.6e1 + t38948 / 0.6e1 - t38746 / 0.36e2 + t38748 / 0.6e1 + t38462 + t38592 + t38619 + t38626 / 0.6e1 + t38628 / 0.12e2 + t38428 / 0.18e2 + t38431 / 0.6e1 + t37491 / 0.18e2);
  tv4rho3tau5 = t3 * t39028 + t38061 + t8606;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 5] += tv4rho3tau5;

  t39048 = -t23490 * t514 * t223 / 0.12e2 - t38350 / 0.12e2 + t37879 / 0.18e2 - t37238 - t4129 * t526 / 0.4e1 - t38362 / 0.4e1 + t37951 / 0.6e1 - t36180 + t23496 * t530 / 0.4e1 + t38347 / 0.4e1 - t37881 / 0.6e1 + t35794 - t4129 * t545 / 0.4e1 - t38352 / 0.4e1 + t37587 / 0.6e1 - t35433;
  t39049 = my_piecewise3(t2, 0, t39048);
  tv4rho3tau6 = t3 * t39049 + 0.3e1 * t8049;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 6] += tv4rho3tau6;

  t39066 = t1000 * t8079 * t4676;
  t39076 = t8132 * t1007;
  t39077 = t1031 * t39076;
  t39081 = 0.9e1 / 0.2e1 * t1078 * t8435 + 0.9e1 / 0.2e1 * t1056 * t8435 + 0.3e1 / 0.4e1 * t4454 * t1954 + 0.3e1 / 0.4e1 * t2030 * t4678 + 0.3e1 / 0.4e1 * t2030 * t4652 - t1030 * t1974 * t29237 / 0.2e1 - t338 * t39066 / 0.4e1 - 0.3e1 / 0.2e1 * t1030 * t8096 * t5776 - 0.3e1 * t4383 * t8097 - 0.3e1 / 0.2e1 * t4383 * t8099 - 0.3e1 / 0.2e1 * t1030 * t39077 * t1407;
  t39091 = t374 * t8095;
  t39101 = t8132 * t1043;
  t39103 = t321 * t194 * t39101;
  t39106 = -t8106 * t5772 + 0.2e1 * t8106 * t5797 - t8110 * t5772 + 0.2e1 * t8110 * t5797 - t1965 * t29219 / 0.2e1 + t1965 * t29082 + 0.9e1 / 0.2e1 * t373 * t39091 * t6037 + t1958 * t29374 / 0.6e1 + t1958 * t29757 / 0.2e1 + t8423 * t4662 / 0.2e1 + t39103 * t1433 / 0.2e1;
  t39122 = t4453 * t1957;
  t39125 = t1074 * t8426;
  t39129 = t552 * t24370;
  t39131 = t321 * t21182 * t39129;
  t39138 = t8427 * t4662 / 0.2e1 + 0.3e1 / 0.4e1 * t1078 * t8420 + 0.3e1 / 0.4e1 * t1056 * t8420 + 0.3e1 / 0.4e1 * t373 * t8120 * t1170 * t376 + t373 * t1948 * t4605 * t376 / 0.4e1 + t39122 * t1433 / 0.2e1 + t39125 * t1433 - t8135 * t1002 / 0.4e1 - 0.35e2 / 0.108e3 * t39131 * t29877 - t8142 * t1002 / 0.4e1 - t8146 * t1002 / 0.2e1;
  t39142 = t5640 * t1949;
  t39147 = t1400 * t1054 * t1948;
  t39150 = t1400 * t371 * t8120;
  t39152 = t5623 * t8508;
  t39159 = t8120 * t1177;
  t39165 = -t1965 * t29121 / 0.12e2 + t38062 / 0.6e1 - 0.11e2 / 0.18e2 * t4359 * t39142 + t4347 * t8509 + t1010 * t39147 + t1010 * t39150 + 0.23e2 / 0.36e2 * t4359 * t39152 - 0.3e1 / 0.2e1 * t4349 * t8513 - 0.3e1 / 0.2e1 * t4383 * t8513 - 0.3e1 / 0.2e1 * t1030 * t39159 * t1035 + 0.3e1 / 0.2e1 * t1078 * t8516;
  t39177 = t2038 * t4356;
  t39178 = t4373 * t39177;
  t39182 = t167 * t552;
  t39183 = t371 * t39182;
  t39184 = t29110 * t39183;
  t39187 = t1074 * t8089;
  t39192 = t318 * t559;
  t39195 = t110 * t2054;
  t39200 = 0.3e1 / 0.2e1 * t1056 * t8516 + 0.3e1 / 0.2e1 * t373 * t39159 * t1094 + 0.9e1 / 0.2e1 * t1078 * t8519 + 0.9e1 / 0.2e1 * t1056 * t8519 + 0.9e1 / 0.2e1 * t373 * t39178 * t5616 + 0.47e2 / 0.3e1 * t34712 * t39184 - 0.3e1 / 0.2e1 * t39187 * t5636 + t4432 * t1950 / 0.2e1 + t39192 * t4140 / 0.2e1 + t39195 * t4140 / 0.2e1 + t8055 * t24238 / 0.2e1;
  t39206 = t4137 * t380 * t583 * t4223;
  t39224 = t318 * t2060;
  t39227 = 0.9e1 / 0.2e1 * t10506 * t8227 * t30002 + t4136 * t39206 / 0.12e2 - t24145 * t8076 / 0.3e1 + 0.3e1 / 0.2e1 * t4145 * t8070 * t4714 + t8052 * t30772 + t8052 * t30308 / 0.2e1 + t8052 * t30299 / 0.2e1 + t8052 * t30253 + t8055 * t24242 / 0.4e1 + t8055 * t24232 / 0.4e1 - t39224 * t5568 / 0.2e1;
  t39229 = t110 * t8231;
  t39246 = t4707 * t8079 * t4708;
  t39249 = t1948 * t4585;
  t39255 = -t39229 * t5568 / 0.2e1 - t8058 * t30233 / 0.2e1 - t8058 * t30238 / 0.4e1 - t8058 * t30241 / 0.4e1 - 0.5e1 / 0.12e2 * t11381 * t30244 - 0.9e1 * t5559 * t8227 * t30164 + t38068 / 0.6e1 + t38070 / 0.18e2 - t338 * t39246 / 0.6e1 + 0.3e1 * t1030 * t39249 * t4335 - 0.2e1 * t4345 * t8509;
  t39262 = t321 * t616 * t8088;
  t39285 = t4345 * t8524 - t2030 * t4195 / 0.2e1 - t2030 * t4226 / 0.4e1 + 0.12e2 * t39262 * t29212 + 0.9e1 * t5559 * t8223 * t30011 + 0.9e1 / 0.2e1 * t29764 * t8383 + 0.9e1 / 0.2e1 * t29770 * t8383 + 0.9e1 / 0.2e1 * t5559 * t8231 * t24182 + 0.5e1 / 0.2e1 * t5559 * t2060 * t28987 + 0.2e1 * t5559 * t2060 * t30138 + 0.2e1 * t8058 * t30750 + 0.11e2 / 0.3e1 * t11381 * t29519;
  t39310 = -t39224 * t5592 - t39229 * t5592 - 0.14e2 / 0.3e1 * t11369 * t29531 + 0.3e1 * t11369 * t29813 - 0.14e2 * t5559 * t8223 * t29504 - t8058 * t28984 / 0.2e1 - 0.11e2 / 0.6e1 * t11381 * t29510 + 0.3e1 * t11369 * t29525 + 0.3e1 / 0.2e1 * t39224 * t5588 + 0.3e1 / 0.2e1 * t39229 * t5588 + 0.3e1 / 0.2e1 * t8058 * t29792;
  t39321 = t8079 * t4246;
  t39322 = t1400 * t39321;
  t39325 = t4686 * t8477;
  t39328 = t1400 * t8080;
  t39332 = t987 * t8079 * t4681;
  t39339 = 0.5e1 / 0.6e1 * t8058 * t30768 + 0.2e1 / 0.3e1 * t8058 * t29801 + t2043 * t4699 / 0.2e1 - t8106 * t6013 / 0.2e1 - t2043 * t4726 / 0.2e1 - t4245 * t39322 / 0.4e1 + t1010 * t39325 / 0.4e1 - t1010 * t39328 / 0.4e1 + t338 * t39332 / 0.12e2 - t1051 * t8478 / 0.3e1 + t1051 * t8081 / 0.2e1;
  t39349 = t374 * t8358;
  t39353 = t25083 * t39129;
  t39367 = t5623 * t1028 * t1948;
  t39370 = 0.3e1 / 0.2e1 * t2030 * t4156 + 0.3e1 / 0.2e1 * t8201 * t4172 - 0.3e1 / 0.2e1 * t8201 * t4153 + 0.3e1 / 0.2e1 * t2030 * t4185 - 0.6e1 * t373 * t39349 * t29930 + 0.18e2 * t4395 * t39353 * t29617 - 0.2e1 * t39131 * t29556 - 0.62e2 / 0.3e1 * t39131 * t29602 + 0.8e1 * t39131 * t29606 - 0.6e1 * t25375 * t39353 * t29610 - 0.3e1 / 0.2e1 * t4359 * t39367;
  t39371 = t1948 * t4577;
  t39383 = t4146 * t1963;
  t39392 = 0.3e1 / 0.2e1 * t4395 * t39371 * t4397 - 0.3e1 * t1030 * t39371 * t4377 - t38073 / 0.9e1 + t38076 / 0.18e2 - 0.9e1 / 0.2e1 * t5540 * t8220 * t29946 + 0.9e1 / 0.2e1 * t4145 * t39383 * t6037 + t38428 / 0.6e1 + t38431 / 0.2e1 - t38433 / 0.6e1 + t38436 / 0.2e1 - t38439 / 0.6e1;
  t39408 = -t38441 / 0.12e2 - t38443 / 0.12e2 - t38445 / 0.6e1 - t38447 / 0.6e1 - t38449 / 0.12e2 + t38451 / 0.2e1 - t38454 / 0.2e1 + t38456 / 0.3e1 - t38458 / 0.6e1 + 0.3e1 / 0.2e1 * t4454 * t1978 + 0.3e1 * t4457 * t1978;
  t39422 = t374 * t8133;
  t39436 = -t373 * t1940 * t25199 / 0.4e1 + 0.3e1 / 0.4e1 * t4454 * t1945 + 0.3e1 / 0.2e1 * t4457 * t1945 + 0.3e1 / 0.4e1 * t1078 * t8330 + 0.3e1 / 0.4e1 * t4462 * t1945 - 0.3e1 / 0.4e1 * t1056 * t8321 - 0.3e1 / 0.4e1 * t373 * t39422 * t1100 - 0.3e1 / 0.4e1 * t373 * t8317 * t4225 - t373 * t1936 * t29073 / 0.2e1 - 0.3e1 / 0.4e1 * t4454 * t1941 - 0.3e1 / 0.2e1 * t4457 * t1941;
  t39444 = t1074 * t8109;
  t39463 = -0.3e1 / 0.2e1 * t1078 * t8318 - 0.3e1 / 0.4e1 * t1078 * t8321 - 0.3e1 / 0.4e1 * t4462 * t1941 + 0.2e1 * t39444 * t1402 - 0.3e1 / 0.2e1 * t4462 * t1937 - 0.3e1 * t1056 * t8104 + t373 * t1974 * t30107 / 0.2e1 - 0.3e1 / 0.2e1 * t4454 * t1937 - 0.3e1 * t4457 * t1937 - 0.3e1 * t1078 * t8104 + 0.3e1 / 0.2e1 * t373 * t39077 * t1412;
  t39492 = 0.3e1 / 0.2e1 * t373 * t8096 * t5808 + 0.3e1 * t1078 * t8312 + 0.3e1 / 0.2e1 * t1078 * t8314 + 0.3e1 / 0.2e1 * t4462 * t1978 + 0.3e1 * t1056 * t8312 + 0.3e1 / 0.2e1 * t1056 * t8314 + 0.3e1 / 0.4e1 * t1056 * t8330 + t373 * t24538 * t558 * t376 / 0.4e1 - t38460 / 0.2e1 + 0.3e1 / 0.2e1 * t5540 * t2056 * t29968 - 0.3e1 / 0.2e1 * t24209 * t8071 + 0.3e1 * t5540 * t8247 * t5599;
  t39508 = t29903 * t8088;
  t39512 = -0.3e1 / 0.2e1 * t24205 * t8071 - 0.3e1 / 0.4e1 * t318 * t8527 - t38495 / 0.3e1 - t38498 / 0.3e1 - 0.11e2 / 0.18e2 * t38501 - t38503 / 0.6e1 - t38505 / 0.6e1 - t38509 / 0.2e1 + 0.3e1 / 0.2e1 * t38511 + t37486 + 0.9e1 / 0.2e1 * t4145 * t39508 * t5616;
  t39516 = t11448 * t4243;
  t39520 = t11448 * t1008;
  t39542 = 0.9e1 / 0.2e1 * t30030 * t39508 * t5630 + 0.3e1 / 0.2e1 * t4145 * t39516 * t5808 - 0.3e1 / 0.2e1 * t4145 * t39520 * t4176 - 0.3e1 / 0.2e1 * t11381 * t29908 + 0.9e1 * t11381 * t29896 - 0.9e1 * t10506 * t8227 * t29899 + 0.3e1 * t11381 * t29912 - 0.9e1 * t5535 * t39508 * t5611 + 0.18e2 * t5559 * t8227 * t30017 - 0.9e1 * t5540 * t8227 * t30021 - t37478;
  t39548 = t4369 * t8195;
  t39551 = t1074 * t8200;
  t39562 = -0.3e1 * t5540 * t2056 * t30720 - t38083 / 0.6e1 + 0.23e2 / 0.36e2 * t4359 * t39548 - 0.3e1 / 0.2e1 * t39551 * t1036 - 0.3e1 / 0.2e1 * t8189 * t1046 - 0.3e1 / 0.2e1 * t8184 * t1046 - t37494 + t38089 / 0.3e1 + t38091 / 0.9e1 + t38524 / 0.12e2 - t38526 / 0.2e1;
  t39572 = -t38528 + t38530 + t38533 / 0.6e1 + t38554 / 0.3e1 - t38557 / 0.6e1 - t38578 / 0.6e1 - t38581 / 0.12e2 - t38584 / 0.12e2 + t38586 / 0.4e1 + t38588 / 0.2e1 + t38590 / 0.2e1;
  t39579 = my_piecewise3(t129, t322, 0.88e3 / 0.81e2 * t5702);
  t39588 = t321 * t369 * t2075 * t1027;
  t39596 = t321 * t3512 * t39177;
  t39601 = -t38594 / 0.2e1 - t38596 / 0.2e1 - t38598 / 0.4e1 - t321 * t194 * t39579 * t335 * t350 / 0.12e2 - t38600 / 0.4e1 - 0.3e1 / 0.2e1 * t39588 * t1036 + 0.3e1 / 0.2e1 * t2030 * t4410 + t38610 / 0.6e1 + t38612 / 0.2e1 - 0.3e1 / 0.2e1 * t39596 * t5636 - 0.3e1 / 0.2e1 * t8090 * t29424;
  t39626 = -0.38e2 / 0.9e1 * t39131 * t29113 + 0.7e1 * t39187 * t5642 + 0.7e1 * t39596 * t5642 + 0.7e1 * t8090 * t5640 * t29683 + 0.89e2 / 0.9e1 * t39131 * t29438 - 0.9e1 / 0.2e1 * t39187 * t5626 - 0.9e1 / 0.2e1 * t39596 * t5626 - 0.9e1 / 0.2e1 * t8090 * t29352 - 0.43e2 / 0.9e1 * t39131 * t29444 + 0.9e1 / 0.2e1 * t24584 * t8500 - 0.9e1 / 0.2e1 * t4145 * t8374 * t29995;
  t39650 = 0.9e1 / 0.2e1 * t5535 * t8374 * t29990 + 0.3e1 / 0.4e1 * t8058 * t30332 - t8052 * t30330 - 0.61e2 / 0.27e2 * t39131 * t29701 + 0.44e2 / 0.27e2 * t39131 * t29704 - 0.11e2 / 0.6e1 * t8090 * t29695 + 0.23e2 / 0.12e2 * t8090 * t29698 - 0.11e2 / 0.6e1 * t39596 * t5760 + 0.23e2 / 0.12e2 * t39596 * t5790 - 0.11e2 / 0.6e1 * t39187 * t5760 + 0.23e2 / 0.12e2 * t39187 * t5790;
  t39653 = t321 * t616 * t39076;
  t39657 = t374 * t39101;
  t39661 = t4453 * t1964;
  t39668 = t5549 * t8075;
  t39675 = t1965 * t25232 + t39653 * t1402 + t8110 * t4248 + t8106 * t4248 - 0.3e1 / 0.2e1 * t373 * t39657 * t1419 + t39661 * t1402 + 0.3e1 / 0.2e1 * t5540 * t2056 * t24155 - t24169 * t11765 / 0.4e1 + t24126 * t39668 / 0.4e1 - t38117 / 0.6e1 - t38119 / 0.18e2 - 0.11e2 / 0.6e1 * t11381 * t30759;
  t39681 = t5640 * t39183;
  t39688 = t2038 * t4333;
  t39689 = t1031 * t39688;
  t39693 = t1028 * t39182;
  t39694 = t5623 * t39693;
  t39697 = t1074 * t8359;
  t39708 = 0.23e2 / 0.12e2 * t11381 * t30762 - 0.28e2 * t29104 * t39681 + 0.9e1 * t4349 * t8391 + 0.9e1 * t4383 * t8391 + 0.9e1 * t1030 * t39689 * t5654 + 0.18e2 * t29104 * t39694 + 0.3e1 * t39697 * t5651 - 0.3e1 / 0.4e1 * t8189 * t1101 + 0.3e1 / 0.2e1 * t8189 * t980 - 0.9e1 * t1078 * t8455 - 0.9e1 * t1056 * t8455;
  t39722 = t349 * t8300;
  t39725 = -t1075 * t8081 / 0.2e1 - 0.3e1 / 0.4e1 * t8184 * t1101 + 0.3e1 / 0.2e1 * t8184 * t980 + t38624 / 0.2e1 + t38626 / 0.2e1 + t38628 / 0.4e1 + t38630 / 0.2e1 + t38632 / 0.4e1 + t38634 / 0.4e1 + t38636 / 0.2e1 - t338 * t39722 / 0.4e1;
  t39733 = t2012 * t193;
  t39751 = -t1075 * t8179 / 0.2e1 - t38641 / 0.6e1 + t38643 / 0.2e1 + t38645 / 0.2e1 - t38650 / 0.3e1 - 0.3e1 / 0.4e1 * t4145 * t39733 * t336 * t1100 - t4145 * t8065 * t1082 * t1100 / 0.2e1 - t4145 * t8066 * t4225 / 0.4e1 + 0.3e1 / 0.4e1 * t8058 * t30288 + t8058 * t30282 / 0.3e1 + 0.5e1 / 0.12e2 * t8058 * t30285;
  t39766 = t1000 * t4697 * t8120;
  t39772 = t1000 * t24531 * t1948;
  t39779 = -t38652 / 0.3e1 + t38654 / 0.4e1 + 0.3e1 / 0.2e1 * t1056 * t8438 + 0.3e1 / 0.2e1 * t373 * t8317 * t4714 + 0.3e1 / 0.2e1 * t1078 * t8438 + t4345 * t8335 / 0.2e1 + 0.3e1 / 0.2e1 * t1056 * t8126 - t338 * t39766 / 0.2e1 + 0.3e1 / 0.4e1 * t4462 * t1954 - t338 * t39772 / 0.4e1 - t1965 * t29222 / 0.2e1 - t1965 * t29225 / 0.6e1;
  t39801 = params->at * t8585;
  t39803 = t1000 * t988 * t39801;
  t39806 = -t8110 * t5757 / 0.2e1 - t39444 * t1396 - t8106 * t5757 / 0.2e1 - t39653 * t1396 / 0.2e1 + 0.3e1 / 0.2e1 * t4457 * t1954 + 0.3e1 / 0.2e1 * t1078 * t8126 - t39661 * t1396 / 0.2e1 - t4497 * t1950 / 0.4e1 - t1075 * t8445 / 0.2e1 - t1075 * t8122 / 0.2e1 - t338 * t39803 / 0.4e1;
  t39817 = t4137 * t380 * t2012 * t994;
  t39820 = t24237 * t8075;
  t39834 = t5536 * t8358;
  t39838 = 0.3e1 / 0.4e1 * t373 * t39801 * t353 * t376 - t38656 / 0.6e1 + t4145 * t8066 * t4714 / 0.2e1 + t4136 * t39817 / 0.4e1 + t4136 * t39820 / 0.4e1 - 0.7e1 / 0.3e1 * t11369 * t30187 - 0.3e1 / 0.2e1 * t11372 * t30296 + 0.3e1 / 0.2e1 * t11369 * t30184 - t8055 * t24150 / 0.2e1 + 0.11e2 / 0.2e1 * t5540 * t2060 * t30224 + 0.9e1 * t5535 * t39834 * t5654;
  t39856 = t1020 * t2077;
  t39863 = 0.3e1 / 0.2e1 * t4457 * t2040 + 0.3e1 / 0.4e1 * t1078 * t8139 + t25331 * t570 / 0.4e1 + t2030 * t4494 / 0.4e1 + t25327 * t570 / 0.4e1 + 0.3e1 / 0.4e1 * t25320 * t570 + 0.3e1 / 0.4e1 * t4454 * t2040 - t4347 * t8165 / 0.4e1 - t1010 * t39856 / 0.4e1 + 0.3e1 / 0.2e1 * t8189 * t1095 + 0.3e1 / 0.2e1 * t8184 * t1095;
  t39868 = t2075 * t146;
  t39870 = t1000 * t39868 * t978;
  t39874 = t987 * t39868 * t995;
  t39887 = -t38683 - t38685 - t38687 / 0.6e1 - t38689 / 0.2e1 + t1075 * t8478 / 0.4e1 - t338 * t39870 / 0.2e1 + t338 * t39874 / 0.4e1 + t1084 * t8478 / 0.6e1 - t1084 * t8081 / 0.4e1 - t1965 * t29147 / 0.4e1 - t555 * t24533 / 0.4e1 + t25511 * t11682 / 0.2e1;
  t39908 = t1958 * t29754 / 0.2e1 + t555 * t25508 / 0.4e1 + t8427 * t5989 + t2048 * t4699 / 0.2e1 - t8110 * t6013 / 0.2e1 - t2048 * t4726 / 0.2e1 + t8423 * t5989 - 0.3e1 / 0.2e1 * t38691 + 0.3e1 / 0.2e1 * t38693 + 0.7e1 / 0.3e1 * t38695 - t37470;
  t39918 = t1393 * t8444;
  t39921 = t1393 * t8121;
  t39931 = -0.3e1 * t8058 * t29986 + 0.3e1 / 0.2e1 * t8058 * t29982 - t38698 / 0.2e1 - t38700 / 0.2e1 - t38707 / 0.2e1 - t4347 * t8524 / 0.2e1 - t1010 * t39918 / 0.2e1 - t1010 * t39921 / 0.2e1 + 0.3e1 * t29773 * t8347 - 0.3e1 / 0.2e1 * t4145 * t8353 * t4667 + 0.3e1 * t29767 * t8347;
  t39938 = t4453 * t2029;
  t39948 = t110 * t565 * t4143;
  t39958 = 0.9e1 / 0.2e1 * t5540 * t8220 * t29950 + 0.3e1 / 0.4e1 * t8189 * t1071 + 0.3e1 / 0.4e1 * t39938 * t377 + 0.3e1 / 0.4e1 * t8184 * t1071 - t4497 * t2025 / 0.4e1 + t24200 * t8076 / 0.4e1 - 0.3e1 / 0.4e1 * t39948 * t4148 - t8052 * t30730 - t8052 * t24460 / 0.2e1 - t8052 * t30734 / 0.2e1 + t24189 * t11739 / 0.2e1;
  t39961 = t4146 * t8102;
  t39965 = t4146 * t2046;
  t39972 = t5587 * t8075;
  t39975 = t583 * t1069;
  t39977 = t5553 * t4143 * t39975;
  t39980 = t5549 * t4143 * t8074;
  t39982 = t380 * t39975;
  t39983 = t5591 * t39982;
  t39991 = t24192 * t8076 / 0.6e1 - 0.3e1 * t4145 * t39961 * t1419 - 0.3e1 / 0.2e1 * t4145 * t39965 * t1100 + 0.3e1 / 0.2e1 * t5535 * t39520 * t4171 + t24126 * t39972 / 0.2e1 + t24164 * t39977 - t24126 * t39980 - t24164 * t39983 / 0.2e1 - 0.6e1 * t11369 * t29817 - t8058 * t29824 - t8058 * t30753 / 0.2e1;
  t39994 = t1182 * t565;
  t39995 = t39994 * t4139;
  t40021 = t4136 * t39995 / 0.4e1 - 0.3e1 / 0.2e1 * t5535 * t39516 * t5776 - 0.3e1 / 0.2e1 * t25066 * t1975 - 0.3e1 * t25071 * t1975 - 0.3e1 * t4349 * t8097 - 0.3e1 / 0.2e1 * t4349 * t8099 - 0.3e1 / 0.2e1 * t25078 * t1975 + t1965 * t25237 / 0.3e1 - 0.3e1 / 0.4e1 * t110 * t8299 * t404 - t110 * t565 * t4314 / 0.4e1 - t4538 * t585 / 0.4e1;
  t40036 = -0.3e1 / 0.4e1 * t110 * t365 * t8586 - t38740 / 0.6e1 - t38742 / 0.6e1 - t38744 / 0.12e2 - t38746 / 0.12e2 + t38748 / 0.2e1 - t38750 / 0.12e2 + t38752 / 0.6e1 + t38754 / 0.6e1 + t38756 / 0.6e1 + 0.5e1 / 0.6e1 * t11381 * t30273;
  t40050 = t318 * t2056;
  t40052 = t110 * t8247;
  t40055 = t1020 * t2076 * t1021;
  t40065 = -0.3e1 / 0.2e1 * t4145 * t8065 * t4658 * t4667 - t8055 * t24224 / 0.2e1 - 0.11e2 / 0.12e2 * t8058 * t30257 + 0.3e1 / 0.4e1 * t39224 * t5572 + 0.3e1 / 0.4e1 * t39229 * t5572 + t40050 * t5583 + t40052 * t5583 + t1010 * t40055 + 0.3e1 / 0.2e1 * t2030 * t4427 - t4453 * t2047 * t350 / 0.4e1 - t1074 * t8134 * t350 / 0.4e1;
  t40082 = 0.3e1 / 0.4e1 * t1056 * t8139 + t373 * t374 * t39579 * t376 / 0.4e1 - t25323 * t554 * t350 / 0.12e2 + 0.3e1 / 0.4e1 * t4462 * t2040 - t38759 / 0.3e1 + 0.3e1 / 0.2e1 * t38761 - t38763 / 0.6e1 + 0.2e1 / 0.3e1 * t38765 + 0.2e1 / 0.3e1 * t38767 - t38769 - t38771 - t38773;
  t40106 = t38775 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t1948 * t4573 * t4426 + t555 * t25546 / 0.2e1 - t4421 * t1950 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t1940 * t25596 - 0.3e1 * t373 * t39249 * t4339 + t38199 / 0.18e2 - t38202 / 0.6e1 + t38206 / 0.18e2 - 0.3e1 * t38790 - 0.2e1 * t38792;
  t40122 = t38794 + 0.3e1 * t38796 - t38797 / 0.6e1 - t38799 / 0.2e1 - 0.5e1 / 0.12e2 * t11381 * t28957 + 0.3e1 / 0.2e1 * t11369 * t29018 - 0.3e1 / 0.4e1 * t318 * t8300 - t4538 * t566 / 0.4e1 - 0.3e1 / 0.4e1 * t1165 * t2077 - t38803 / 0.2e1 - t38805 / 0.2e1;
  t40132 = t1074 * t8183;
  t40137 = t321 * t369 * t8298 * t370;
  t40146 = t9270 * t380 * t583 * t4544;
  t40149 = -t38807 / 0.4e1 - t38809 / 0.4e1 - t38813 / 0.4e1 - t38815 / 0.2e1 - t1084 * t8179 / 0.4e1 - t4482 * t2025 / 0.12e2 + 0.3e1 / 0.2e1 * t40132 * t377 + 0.3e1 / 0.4e1 * t40137 * t377 - t4500 * t2025 / 0.4e1 - t8142 * t1087 / 0.4e1 - t4136 * t40146 / 0.6e1;
  t40150 = t4364 * t8195;
  t40153 = t5536 * t8095;
  t40160 = t403 * t552;
  t40179 = t2059 * t30500;
  t40184 = t558 * t30468;
  t40187 = t2059 * t30487;
  t40190 = t8226 * t30520;
  t40195 = t8230 * t5850;
  t40204 = 0.6e1 * t11533 * t30484 - t11538 * t30517 / 0.3e1 - 0.2e1 * t11538 * t30586 + 0.22e2 * t40179 * t30505 - 0.11e2 / 0.3e1 * t40179 * t30502 - 0.12e2 * t40184 * t30471 + 0.56e2 * t40187 * t30577 + 0.4e1 * t40190 * t30583 - 0.36e2 * t40190 * t30491 + 0.3e1 * t40195 * t5852 + 0.5e1 / 0.3e1 * t8254 * t30513 + 0.4e1 / 0.3e1 * t8254 * t30530 + 0.2e1 / 0.3e1 * t40190 * t30522;
  t40207 = t558 * t30508;
  t40212 = t2053 * t5843;
  t40217 = t2059 * t24865;
  t40224 = t8234 * t1044;
  t40235 = t69 * t2038;
  t40236 = t40235 * t4375;
  t40239 = 0.6e1 * t11528 * t25000 - 0.18e2 * t40207 * t30510 + 0.18e2 * t11541 * t30477 + 0.12e2 * t40212 * t5847 + 0.6e1 * t8251 * t30480 - 0.36e2 * t40217 * t30651 + t559 * t24940 / 0.2e1 + 0.2e1 / 0.3e1 * t2060 * t30629 + 0.3e1 * t40224 * t1491 + 0.3e1 * t8247 * t5940 + 0.3e1 / 0.2e1 * t8235 * t1200 + 0.3e1 / 0.2e1 * t2054 * t4596 + 0.2e1 * t8231 * t5917 + t40236 * t5949 / 0.6e1;
  t40241 = t8226 * t24899;
  t40247 = t21181 * t552;
  t40248 = t40247 * t24923;
  t40251 = t193 * t39579;
  t40255 = t615 * t8132 * t1033;
  t40266 = t8230 * t4334;
  t40275 = -0.2e1 / 0.3e1 * t40241 * t30626 + t2056 * t30641 + 0.36e2 * t40241 * t30646 - 0.12e2 * t40248 * t30670 + t40251 * t354 * t357 + 0.2e1 * t40255 * t1485 + 0.1e2 * t40236 * t5913 - 0.3e1 * t40255 * t1495 - 0.3e1 * t8231 * t5935 + 0.24e2 * t40217 * t30643 + 0.18e2 * t40266 * t5926 - 0.4e2 * t40241 * t30661 - 0.9e1 * t40236 * t5923 + 0.5e2 / 0.3e1 * t40248 * t30667;
  t40277 = t2053 * t4425;
  t40288 = t558 * t24905;
  t40305 = -t2060 * t30611 - 0.9e1 * t40277 * t5930 - 0.3e1 * t2054 * t4571 - 0.12e2 * t40266 * t5946 + 0.1e2 / 0.3e1 * t40248 * t30664 + 0.3e1 * t559 * t24870 + 0.12e2 * t40288 * t30658 + 0.18e2 * t11538 * t30484 - 0.36e2 * t11533 * t30580 + 0.4e1 * t2060 * t30441 + 0.5e1 * t2060 * t30569 - 0.2e2 * t8227 * t30363 - 0.6e1 * t559 * t24861 - 0.24e2 * t40288 * t30384;
  t40336 = 0.6e1 * t40255 * t1481 + 0.6e1 * t2056 * t30394 - 0.11e2 * t2060 * t30556 + 0.18e2 * t8227 * t30347 + 0.24e2 * t40248 * t30353 - 0.28e2 * t8223 * t30553 + 0.72e2 * t40217 * t30559 - 0.72e2 * t40241 * t30562 + 0.18e2 * t8223 * t30565 + 0.18e2 * t40236 * t5857 - 0.36e2 * t40266 * t5861 + 0.18e2 * t40277 * t5906 + 0.9e1 * t8231 * t5868 + 0.6e1 * t8231 * t5880;
  t40365 = -0.2e1 * t40236 * t5864 + 0.22e2 / 0.3e1 * t2060 * t30397 - 0.6e1 * t40224 * t1472 - 0.3e1 * t8235 * t1184 - t40255 * t1477 - 0.9e1 * t8227 * t30436 - 0.12e2 * t40217 * t30388 + 0.56e2 / 0.3e1 * t8223 * t30377 - t8227 * t30356 / 0.3e1 + 0.6e1 * t2054 * t4546 - 0.6e1 * t8231 * t5876 - 0.12e2 * t8223 * t30547 - t40251 * t335 * t361 / 0.2e1 - 0.8e1 * t8254 * t30591;
  t40394 = -0.1e2 * t8254 * t24989 + 0.6e1 * t8251 * t30572 - 0.28e2 / 0.3e1 * t40187 * t30491 - 0.18e2 * t40195 * t5955 - 0.8e1 / 0.3e1 * t2060 * t30374 - 0.6e1 * t8247 * t5883 - 0.9e1 * t8220 * t30542 + t8227 * t30360 / 0.6e1 + 0.1e2 * t8227 * t30535 - 0.1e2 / 0.3e1 * t2060 * t24815 - t2060 * t30457 / 0.3e1 - t40248 * t30460 / 0.9e1 - 0.3e1 * t2054 * t4554 - t8231 * t5899;
  t40422 = -t40236 * t5902 / 0.3e1 - 0.2e1 * t2056 * t30451 + 0.8e1 * t40241 * t30416 - 0.4e1 / 0.3e1 * t40248 * t30421 - 0.6e1 * t8247 * t5893 + 0.6e1 * t40266 * t5896 + 0.8e1 / 0.3e1 * t40248 * t30409 - 0.3e1 * t2056 * t24818 - 0.3e1 * t2056 * t30550 - 0.3e1 * t559 * t24811 - t559 * t24782 + 0.4e1 / 0.3e1 * t40241 * t30454 + 0.9e1 * t8220 * t30430 + 0.2e1 * t2060 * t30425;
  t40430 = 0.7e1 / 0.3e1 * t4359 * t40150 - 0.3e1 * t5535 * t40153 * t1407 - 0.3e1 / 0.2e1 * t5535 * t8374 * t5776 - 0.9e1 / 0.2e1 * t30700 * t10458 * t5533 * t40160 - 0.3e1 * t30146 * t8595 + t38832 / 0.2e1 + t38835 / 0.3e1 + t38838 / 0.3e1 + t38841 / 0.3e1 + t38843 / 0.4e1 - 0.3e1 * t38845 - t110 * t139 * (t40204 + t40239 + t40275 + t40305 + t40336 + t40365 + t40394 + t40422) * t168 / 0.4e1;
  t40435 = t1015 * t2077;
  t40438 = t4364 * t566;
  t40446 = t4369 * t566;
  t40453 = -t4347 * t8192 / 0.2e1 - t1010 * t40435 / 0.2e1 - 0.11e2 / 0.18e2 * t4359 * t40438 + t4347 * t8196 + t38219 / 0.6e1 + t38221 / 0.6e1 + t38223 / 0.6e1 + t38225 / 0.6e1 - 0.5e1 / 0.36e2 * t4359 * t40446 - t8135 * t1087 / 0.4e1 - t2048 * t4487 / 0.4e1;
  t40471 = -t8146 * t1087 / 0.2e1 - t2043 * t4487 / 0.4e1 + 0.3e1 / 0.4e1 * t24656 * t570 - t555 * t25333 / 0.12e2 + t38228 / 0.18e2 - t38233 / 0.6e1 - t38235 / 0.6e1 - t38237 / 0.6e1 + t38240 / 0.18e2 - 0.3e1 * t8058 * t29796 - 0.5e1 / 0.3e1 * t8058 * t24166;
  t40484 = t1021 * t8381;
  t40492 = t30159 * t1963;
  t40502 = -0.4e1 / 0.3e1 * t8058 * t29805 - 0.23e2 / 0.6e1 * t11381 * t29501 + 0.2e1 * t39224 * t5556 + 0.2e1 * t39229 * t5556 - 0.2e1 * t5540 * t2060 * t30142 - 0.14e2 * t30700 * t29517 * t40484 + 0.3e1 * t24205 * t8375 + 0.3e1 * t24209 * t8375 + 0.3e1 / 0.2e1 * t4145 * t40492 * t1412 + 0.3e1 * t4145 * t40153 * t1412 + 0.3e1 / 0.2e1 * t4145 * t8374 * t5808;
  t40507 = t1400 * t2028 * t978;
  t40511 = t1393 * t8080;
  t40515 = t1400 * t2028 * t4246;
  t40518 = t4686 * t2028 * t995;
  t40520 = t1393 * t39321;
  t40523 = t4162 * t8477;
  t40529 = -t38886 / 0.2e1 - 0.3e1 / 0.2e1 * t2030 * t4177 + t1010 * t40507 - 0.3e1 / 0.2e1 * t8201 * t4182 - t1010 * t40511 / 0.2e1 + t4245 * t40515 - t1010 * t40518 - t4245 * t40520 / 0.2e1 + t1010 * t40523 / 0.2e1 - t38890 - 0.2e1 * t4345 * t8196 + t4345 * t8192;
  t40557 = -0.3e1 * t2030 * t4340 + 0.3e1 * t8201 * t4336 + t4345 * t8165 / 0.2e1 - t4421 * t2025 / 0.2e1 + t4432 * t2025 / 0.2e1 + t1051 * t8179 / 0.2e1 - 0.11e2 / 0.6e1 * t8058 * t30217 - 0.11e2 / 0.2e1 * t5559 * t2060 * t30220 + 0.28e2 / 0.3e1 * t11369 * t29528 + 0.11e2 / 0.3e1 * t8058 * t30229 - 0.6e1 * t11369 * t29522;
  t40572 = t4289 * tau[1];
  t40592 = 0.1e1 / t112 / t25456;
  t40596 = t40592 * t4265;
  t40601 = t4267 * t1111;
  t40604 = -0.164e5 / 0.9e1 * t1140 * t40572 + 0.164e5 / 0.27e2 * t1118 * t40572 + 0.656e4 / 0.3e1 * t1123 * t40572 + 0.656e4 / 0.27e2 * t1128 * t40572 - 0.82e5 / 0.27e2 * t1133 * t40572 + 0.44e3 / 0.27e2 * t1065 * t150 - 0.328e4 / 0.27e2 * t4289 * t384 * tau[1] - 0.65e3 / 0.3e1 * t4267 * t156 * t1111 + 0.5e4 / 0.9e1 * t40592 * t391 * t4265 - 0.7e5 / 0.9e1 * t25442 * t40596 + 0.22e4 / 0.27e2 * t400 * t1065 - 0.1105e5 / 0.3e1 * t4264 * t40601;
  t40629 = -0.169e5 / 0.3e1 * t4271 * t40601 + 0.65e4 * t4274 * t40601 + 0.1625e5 * t4277 * t40601 + 0.2275e5 / 0.3e1 * t4282 * t40601 + 0.1e5 / 0.3e1 * t25423 * t40596 + 0.44e3 / 0.27e2 * t385 * t1065 + 0.1e5 / 0.9e1 * t25431 * t40596 - 0.88e3 / 0.9e1 * t388 * t1065 - 0.4e5 / 0.3e1 * t25434 * t40596 - 0.88e3 / 0.9e1 * t392 * t1065 - 0.175e6 / 0.9e1 * t25437 * t40596 + 0.22e4 / 0.27e2 * t395 * t1065;
  t40641 = -0.9e1 / 0.2e1 * t11381 * t30007 + 0.7e1 * t11381 * t10485 * t29816 - 0.3e1 / 0.2e1 * t11381 * t29999 + 0.9e1 / 0.2e1 * t5540 * t8227 * t30168 - 0.3e1 / 0.4e1 * t1165 * t2014 - 0.3e1 / 0.4e1 * t318 * t8587 - t110 * t145 * t380 * (t40604 + t40629) / 0.4e1 - 0.3e1 / 0.4e1 * t110 * t1207 * t2013 + t38246 / 0.3e1 + t38899 / 0.3e1 + t38901 / 0.2e1;
  t40660 = 0.3e1 / 0.2e1 * t11372 * t30302 + t4145 * t8065 * t1049 * t1100 - 0.3e1 / 0.4e1 * t24205 * t8067 - 0.3e1 / 0.4e1 * t24209 * t8067 - 0.3e1 / 0.2e1 * t11372 * t30305 - t40050 * t5579 - t40052 * t5579 - 0.2e1 / 0.9e1 * t38250 - t38252 / 0.3e1 + t38254 / 0.6e1 + t38256 / 0.18e2;
  t40667 = t552 * t24085;
  t40669 = t321 * t3512 * t40667;
  t40673 = t321 * t616 * t39688;
  t40689 = -t555 * t24540 / 0.12e2 - 0.3e1 / 0.2e1 * t2030 * t4236 - 0.3e1 / 0.2e1 * t2030 * t4668 - 0.23e2 / 0.3e1 * t40669 * t29690 + 0.3e1 * t40673 * t5651 + 0.3e1 * t8360 * t29680 + 0.22e2 / 0.3e1 * t40669 * t29687 - 0.6e1 * t39697 * t5648 - 0.6e1 * t40673 * t5648 - 0.6e1 * t8360 * t29684 - 0.9e1 * t373 * t39689 * t5659;
  t40704 = -0.3e1 / 0.2e1 * t318 * t8590 - 0.3e1 / 0.4e1 * t1165 * t2018 + 0.3e1 * t4145 * t8353 * t30326 + 0.2e1 / 0.3e1 * t38917 + 0.3e1 / 0.2e1 * t38919 - t38921 + 0.2e1 / 0.3e1 * t38923 + t38925 - t38927 - 0.3e1 / 0.2e1 * t38929 + t2030 * t4233;
  t40716 = t321 * t194 * t8358;
  t40719 = t4143 * t40160;
  t40734 = t2030 * t4715 / 0.2e1 + 0.5e1 / 0.3e1 * t40669 * t29648 + 0.3e1 / 0.2e1 * t8360 * t29917 + 0.3e1 / 0.2e1 * t40673 * t5980 + 0.3e1 / 0.2e1 * t39697 * t5980 + 0.2e1 * t40716 * t29939 + 0.7e1 * t30700 * t10485 * t40719 + 0.14e2 * t5540 * t8223 * t30206 - 0.9e1 * t5540 * t8223 * t29000 - 0.9e1 * t4145 * t39834 * t5659 - 0.9e1 / 0.2e1 * t29767 * t8371;
  t40752 = -0.9e1 / 0.2e1 * t29773 * t8371 - 0.9e1 / 0.2e1 * t5540 * t8231 * t5542 - 0.5e1 / 0.2e1 * t5540 * t2060 * t29004 - 0.3e1 * t30152 * t8595 - 0.3e1 / 0.2e1 * t5535 * t40492 * t1407 + t38948 / 0.2e1 - t38950 / 0.2e1 + t38952 + t38955 + t38957 / 0.4e1 + t38959;
  t40755 = t565 * t4403;
  t40756 = t4369 * t40755;
  t40761 = t321 * t369 * t564 * t4392;
  t40766 = t4413 * t566;
  t40782 = t38961 / 0.2e1 - t38963 / 0.4e1 - 0.3e1 / 0.2e1 * t4359 * t40756 + 0.3e1 / 0.2e1 * t40761 * t4398 - 0.3e1 * t8201 * t4378 - t4359 * t40766 / 0.2e1 - 0.3e1 / 0.4e1 * t318 * t8534 - 0.3e1 / 0.2e1 * t318 * t8538 - 0.3e1 / 0.4e1 * t110 * t2076 * t1146 - 0.3e1 / 0.4e1 * t1165 * t1981 - t1965 * t29158 / 0.4e1 - 0.5e1 / 0.12e2 * t8090 * t29162;
  t40808 = -t8110 * t5998 / 0.4e1 - 0.5e1 / 0.12e2 * t39596 * t6001 - t8106 * t5998 / 0.4e1 - 0.5e1 / 0.12e2 * t39187 * t6001 - t39653 * t1438 / 0.4e1 + t2048 * t4683 / 0.4e1 + t555 * t25578 / 0.12e2 - t39661 * t1438 / 0.4e1 - t39444 * t1438 / 0.2e1 + t555 * t25564 / 0.4e1 + t2043 * t4683 / 0.4e1;
  t40824 = t5634 * t1949;
  t40827 = t5640 * t8508;
  t40838 = -t555 * t24536 / 0.4e1 - t2043 * t4719 / 0.4e1 - t2048 * t4719 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t39371 * t4409 - 0.18e2 * t1030 * t39353 * t29625 + 0.6e1 * t373 * t39353 * t29595 - t4359 * t40824 / 0.2e1 + 0.7e1 / 0.3e1 * t4359 * t40827 - 0.3e1 / 0.2e1 * t8490 * t29538 - 0.3e1 * t39262 * t29541 - 0.3e1 / 0.2e1 * t373 * t8120 * t1173 * t1045;
  t40840 = t1074 * t8489;
  t40844 = t321 * t194 * t8095;
  t40866 = -0.3e1 / 0.2e1 * t40840 * t6029 - 0.3e1 / 0.2e1 * t40844 * t6029 - t2043 * t4710 / 0.2e1 - t2048 * t4710 / 0.2e1 - t555 * t24572 / 0.2e1 - 0.3e1 / 0.2e1 * t1078 * t8486 - 0.3e1 / 0.2e1 * t1056 * t8486 - 0.9e1 * t4349 * t8503 - 0.9e1 * t4383 * t8503 - 0.9e1 * t1030 * t39178 * t5611 + 0.9e1 / 0.2e1 * t24589 * t8500;
  t40874 = t4373 * t40667;
  t40896 = 0.9e1 / 0.2e1 * t4395 * t39178 * t5630 + t1051 * t8122 / 0.2e1 + t1051 * t8445 / 0.2e1 + 0.36e2 * t1030 * t40874 * t29470 - 0.18e2 * t373 * t40874 * t29475 - 0.18e2 * t4395 * t40874 * t29480 + 0.6e1 * t40669 * t29465 + t8142 * t997 / 0.4e1 + t8146 * t997 / 0.2e1 + t8135 * t997 / 0.4e1 - 0.3e1 / 0.2e1 * t1056 * t8318 - t4347 * t8335 / 0.4e1;
  t40899 = t1400 * t8444;
  t40902 = t1400 * t8121;
  t40905 = t5623 * t1949;
  t40929 = -t1010 * t40899 / 0.4e1 - t1010 * t40902 / 0.4e1 - 0.5e1 / 0.36e2 * t4359 * t40905 - 0.3e1 / 0.2e1 * t1078 * t8338 - 0.3e1 / 0.2e1 * t1056 * t8338 - 0.3e1 / 0.2e1 * t373 * t8103 * t4667 + 0.3e1 / 0.2e1 * t1078 * t8368 + 0.3e1 / 0.2e1 * t1056 * t8368 + 0.3e1 / 0.4e1 * t373 * t4676 * t2053 * t376 + 0.3e1 / 0.4e1 * t373 * t978 * t8234 * t376 - t4500 * t1950 / 0.4e1;
  t40938 = t1031 * t8088;
  t40952 = -t4482 * t1950 / 0.12e2 - t1084 * t8445 / 0.4e1 - t1084 * t8122 / 0.4e1 - 0.6e1 * t39262 * t29208 - 0.18e2 * t1030 * t40938 * t29590 + 0.18e2 * t373 * t40938 * t29578 - t38975 / 0.4e1 - t38979 / 0.4e1 - t110 * t4642 * t584 / 0.4e1 + 0.23e2 / 0.36e2 * t38981 + t38983 / 0.3e1;
  t40965 = -0.5e1 / 0.36e2 * t38985 - t38987 / 0.6e1 - t38989 / 0.6e1 + t38991 / 0.12e2 - t38993 / 0.6e1 + t38995 / 0.6e1 - t38997 / 0.12e2 - t39000 / 0.6e1 - t39002 / 0.4e1 + t39004 / 0.12e2 - t39007 / 0.2e1;
  t40975 = t24212 * t1935;
  t40979 = t24212 * t553;
  t40993 = t8058 * t30757 + t8058 * t24197 + 0.23e2 / 0.12e2 * t11381 * t29514 - 0.3e1 * t39224 * t5551 - 0.3e1 * t39229 * t5551 - t39020 / 0.2e1 - 0.3e1 / 0.2e1 * t4145 * t40975 * t1419 - 0.3e1 / 0.4e1 * t4145 * t40979 * t1100 - 0.3e1 * t24209 * t8354 + 0.3e1 / 0.2e1 * t5540 * t559 * t24063 - 0.3e1 / 0.4e1 * t4145 * t8070 * t4225 - 0.3e1 * t24205 * t8354;
  t41000 = my_piecewise3(t100, 0, t40082 + t39863 + t39675 + t39081 + t39200 + t39339 + t40660 + t39542 + t39408 + t40122 + t39436 + t40782 + t39285 + t39106 + t39138 + t39601 + t40808 + t39650 + t39492 + t40838 + t40952 + t40929 + t39626 + t39255 + t39958 + t40471 + t39751 + t39392 + t40149 + t39725 + t39572 + t40557 + t40430 + t40965 + t39779 + t39887 + t39562 + t40993 + t39838 + t40036 + t40704 + t39512 + t40453 + t40529 + t40734 + t39806 + t39931 + t39310 + t39463 + t40106 + t40896 + t40065 + t40689 + t39370 + t40021 + t39165 + t39908 + t39991 + t40866 + t40641 + t39227 + t39708 + t40502 + t40752);
  tv4rho3tau7 = t3 * t41000 + 0.3e1 * t8606;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 7] += tv4rho3tau7;

  t41004 = t8783 * t5032 / 0.6e1;
  t41006 = t8783 * t3320 / 0.12e2;
  t41007 = t2084 * t3396;
  t41009 = t191 * t3512 * t41007;
  t41011 = 0.5e1 / 0.36e2 * t41009 * t5037;
  t41012 = t764 * t8775;
  t41014 = t41012 * t1260 / 0.3e1;
  t41016 = t8776 * t5012 / 0.3e1;
  t41018 = t8776 * t3262 / 0.6e1;
  t41019 = t2084 * t3415;
  t41021 = t191 * t616 * t41019;
  t41023 = t41021 * t5017 / 0.2e1;
  t41025 = t9056 * t670 / 0.6e1;
  t41027 = t2087 * t3301 / 0.6e1;
  t41028 = t592 * t8775;
  t41029 = t41028 * t1260;
  t41030 = t41029 / 0.9e1;
  t41032 = t8665 * t670;
  t41033 = t41032 / 0.18e2;
  t41034 = t592 * t8782;
  t41035 = t41034 * t1300;
  t41036 = t41035 / 0.18e2;
  t41041 = t3548 * t8726;
  t41043 = t2146 * t66;
  t41045 = t660 * t41043 * t668;
  t41058 = t41033 - t41036 - t9045 * t670 / 0.3e1 + 0.3e1 * t21706 * t8772 - 0.2e1 / 0.3e1 * t41041 + t211 * t41045 / 0.12e2 - t2098 * t21065 / 0.6e1 - t2098 * t22294 / 0.12e2 + t5091 * t2108 / 0.12e2 + t5108 * t2108 / 0.6e1 + t1278 * t8810 / 0.6e1;
  t41062 = t3279 * t8690;
  t41063 = t1220 * t41062;
  t41066 = t94 * t5086;
  t41067 = t661 * t41066;
  t41068 = t1220 * t41067;
  t41086 = t8673 * t676;
  t41089 = t8668 * t3308;
  t41091 = t8668 * t3173;
  t41093 = t4854 * t8692;
  t41095 = t2090 * t21719;
  t41096 = t3658 * t41095;
  t41100 = t593 * t8766;
  t41103 = t5044 * t4832;
  t41104 = t673 * t41103;
  t41108 = t8668 * t3176;
  t41110 = t41086 / 0.9e1 - t2098 * t20921 - t41089 / 0.18e2 + 0.2e1 / 0.9e1 * t41091 - 0.2e1 / 0.9e1 * t41093 - 0.18e2 * t246 * t41096 * t4820 + t41100 - t417 * t26016 / 0.3e1 - t4904 * t41104 + 0.2e1 * t2098 * t20865 - t41108 / 0.9e1;
  t41113 = t1267 * t5046;
  t41115 = t5143 * t1255;
  t41117 = t8668 * t3255;
  t41119 = t3537 * t9042;
  t41121 = t191 * t616 * t8758;
  t41124 = t4898 * t8791;
  t41127 = t592 * t8794 * t1260;
  t41129 = t8673 * t670;
  t41131 = t4844 * t4928;
  t41137 = t2090 * t21185;
  t41139 = t191 * t21182 * t41137;
  t41140 = t26069 * t4833;
  t41144 = t9056 * t676 / 0.6e1;
  t41145 = t30 * t8861;
  t41149 = t25739 * t4762;
  t41152 = t10037 * t4766;
  t41155 = t4760 * t4756;
  t41157 = t206 * t1272;
  t41158 = t635 * t41157;
  t41159 = t10058 * t41158;
  t41162 = t4854 * t8715;
  t41164 = t8668 * t3252;
  t41170 = -0.35e2 / 0.108e3 * t41139 * t41140 - t41144 - 0.35e2 / 0.3e1 * t41145 * t26140 * t4762 - 0.115e3 / 0.36e2 * t41145 * t41149 + 0.23e2 / 0.18e2 * t41145 * t41152 - t41145 * t41155 + 0.28e2 / 0.3e1 * t25733 * t41159 + 0.4e1 / 0.9e1 * t41162 - 0.4e1 / 0.9e1 * t41164 - t1278 * t5046 / 0.3e1 - t1283 * t5046 / 0.3e1;
  t41188 = t592 * t8759;
  t41189 = t41188 * t8786;
  t41191 = -t417 * t26324 / 0.3e1 - t417 * t26328 / 0.6e1 + 0.2e1 / 0.3e1 * t2098 * t21824 + t2098 * t21908 / 0.3e1 - t1293 * t4979 - t1293 * t4982 / 0.2e1 + t5105 * t1255 + t5126 * t1255 + t1293 * t4993 / 0.2e1 + t1293 * t4974 - 0.5e1 / 0.54e2 * t41189;
  t41199 = t660 * t3279 * t8841;
  t41211 = t3227 * t4923;
  t41214 = t3227 * t4857;
  t41217 = t21461 * t4817;
  t41243 = -0.2e1 * t5275 * t222 - 0.12e2 * t8822 * t27379 - 0.4e1 * t8822 * t27374 + 0.8e1 * t8819 * t27429 + 0.12e2 * t4781 + 0.8e1 * t41211 * t1239 - 0.24e2 * t41214 * t4887 + 0.32e2 / 0.3e1 * t41217 * t4825 + 0.12e2 * t41217 * t4820 + 0.4e1 * t8825 * t3161 + 0.12e2 * t662 * t1216 * t4878 - 0.4e1 * t8819 * t3313 - 0.8e1 * t41214 * t4868 + 0.4e1 / 0.3e1 * t8822 * t4936 + 0.16e2 / 0.9e1 * t41217 * t4850 + 0.4e1 * t1333 * t730 + 0.4e1 * t8832 * t3313 + 0.2e1 * t423 * t3246 + 0.2e1 / 0.3e1 * t21472 * t2318;
  t41246 = t22086 * t3396;
  t41260 = t5203 * t619;
  t41268 = t814 * t3415;
  t41285 = t662 * t1281;
  t41290 = 0.4e1 / 0.3e1 * t8813 * t8725 + 0.2e2 / 0.9e1 * t41246 * t16667 + 0.2e1 * t662 * t5086 * t249 + 0.24e2 * t1320 * t3415 * t4887 - 0.12e2 * t5177 * t3396 * t4820 + 0.4e1 / 0.3e1 * t41246 * t16672 - 0.8e1 * t41260 * t1239 - 0.4e1 * t423 * t3161 - 0.12e2 * t420 * t619 * t4878 - 0.4e1 * t41268 * t2318 - 0.4e1 * t8837 * t4960 + 0.8e1 * t1312 * t740 * t1246 - 0.2e1 * t8825 * t3246 + 0.4e1 * t8822 * t4960 - 0.8e1 * t4787 - 0.2e1 * t4743 - 0.8e1 * t662 * t4966 * t1246 - 0.4e1 * t41285 * t730 + 0.8e1 / 0.3e1 * t41211 * t1234;
  t41291 = t41243 + t41290;
  t41294 = t660 * t661 * t94 * t41291;
  t41304 = t1291 * t4832;
  t41305 = t1227 * t41304;
  t41308 = t41188 * t9105;
  t41310 = t191 * t3512 * t41095;
  t41313 = t9045 * t676 / 0.3e1 + t2093 * t3281 / 0.3e1 + t2093 * t3305 / 0.6e1 + t417 * t41199 / 0.6e1 + t417 * t41294 / 0.12e2 + 0.2e1 * t3123 * t4750 * t9021 + t2093 * t3143 / 0.3e1 + 0.6e1 * t5073 * t4869 - 0.4e1 * t4859 * t41305 - t41308 + 0.18e2 * t41310 * t4846;
  t41321 = t26322 * t1221;
  t41322 = t673 * t41321;
  t41327 = t1227 * t41103;
  t41335 = t4898 * t8704;
  t41337 = t1267 * t5054;
  t41340 = t4854 * t8709;
  t41343 = t1227 * t244 * t41066;
  t41349 = t5150 * t1288 / 0.27e2;
  t41352 = t1272 * t667;
  t41353 = t3375 * t41352;
  t41360 = t648 * t41157;
  t41364 = t4749 * t8728;
  t41368 = t3530 * t9042;
  t41369 = -t41340 / 0.9e1 + 0.2e1 / 0.3e1 * t1218 * t41343 - 0.6e1 * t757 * t9034 + t41349 + 0.5e1 / 0.3e1 * t41310 * t5037 + 0.4e1 * t4738 * t1321 * t41353 - 0.11e2 * t4738 * t8857 * t21586 + 0.12e2 * t4738 * t5183 * t41360 + 0.6e1 * t4748 * t41364 * t1234 - t41368 + t2160;
  t41371 = t768 * t8742;
  t41372 = t757 * t8742;
  t41375 = t246 * t8741 * t3313 / 0.2e1;
  t41377 = t768 * t8746 / 0.2e1;
  t41379 = t757 * t8746 / 0.2e1;
  t41382 = t246 * t8745 * t3246 / 0.4e1;
  t41383 = t645 * t8758;
  t41388 = t41009 * t4834 / 0.2e1;
  t41391 = t4831 * t41103;
  t41397 = t1272 * t1272;
  t41400 = t191 * t616 * t41397 * t619;
  t41404 = 0.23e2 / 0.36e2 * t41009 * t4951;
  t41408 = t2105 * t617;
  t41409 = t3375 * t41408;
  t41413 = t26888 * t8615;
  t41415 = t25753 * t8631;
  t41419 = t2105 * t3140;
  t41420 = t22055 * t41419;
  t41424 = -t21685 * t2154 / 0.2e1 + t27541 * t432 - t41400 * t630 / 0.3e1 + t41404 - t8795 * t5012 - t8795 * t3262 / 0.2e1 - 0.3e1 * t4738 * t5183 * t41409 + t41413 / 0.3e1 + t41415 / 0.18e2 - 0.6e1 * t768 * t9034 - 0.3e1 / 0.2e1 * t4779 * t421 * t41420;
  t41427 = t41188 * t8983;
  t41429 = t95 * t41352;
  t41430 = t4770 * t41429;
  t41433 = t10037 * t4756;
  t41436 = t30 * t8857;
  t41438 = t30 * t2125;
  t41441 = t30 * t2121;
  t41444 = t276 * t1272;
  t41445 = t253 * t41444;
  t41446 = t4765 * t41445;
  t41449 = t30 * t8881;
  t41451 = t4796 * t41445;
  t41454 = t95 * t41157;
  t41455 = t10037 * t41454;
  t41459 = t4760 * t41429;
  t41462 = t4765 * t41454;
  t41465 = t25739 * t4771;
  t41472 = t25980 * t8758;
  t41476 = t30 * t5067;
  t41479 = t30 * t8854;
  t41481 = t41479 * t4803 / 0.6e1;
  t41482 = t30 * t2118;
  t41484 = t41482 * t3133 / 0.6e1;
  t41486 = t1227 * t5124 * t1221;
  t41491 = 0.2e1 / 0.3e1 * t4753 * t41459 + 0.2e1 * t25683 * t41462 + 0.25e2 / 0.36e2 * t41145 * t41465 - 0.11e2 / 0.6e1 * t41436 * t4806 + 0.2e1 * t25662 * t4784 + 0.3e1 * t3123 * t41472 * t8765 - 0.3e1 * t41476 * t4781 - t41481 + t41484 + 0.4e1 / 0.3e1 * t1218 * t41486 + 0.2e1 / 0.3e1 * t1218 * t26358;
  t41500 = t8783 * t4917 / 0.6e1;
  t41502 = 0.11e2 / 0.18e2 * t41009 * t4920;
  t41503 = t764 * t8782;
  t41505 = 0.2e1 / 0.3e1 * t41503 * t1229;
  t41507 = t4844 * t3535 * t1221;
  t41513 = t41503 * t1223 / 0.3e1;
  t41515 = t8783 * t4929 / 0.3e1;
  t41516 = t8658 / 0.2e1;
  t41517 = -0.2e1 * t25888 * t1235 - 0.2e1 * t27129 * t1235 + 0.4e1 / 0.3e1 * t4925 * t8990 - t41500 - t41502 + t41505 - 0.3e1 * t8760 * t41507 - 0.3e1 / 0.2e1 * t8760 * t21112 - t41513 - t41515 + t41516;
  t41518 = t8661 / 0.2e1;
  t41519 = t8666 / 0.18e2;
  t41520 = t8682 / 0.6e1;
  t41530 = t592 * t9069;
  t41531 = t41530 * t250;
  t41534 = t3621 * t2170 / 0.9e1;
  t41535 = t645 * t41397;
  t41538 = t95 * t41408;
  t41539 = t4760 * t41538;
  t41542 = t41518 - t41519 + t41520 + t3567 * t2092 * t223 / 0.6e1 + t9045 * t612 / 0.3e1 + t2093 * t3553 / 0.6e1 - t9070 * t749 / 0.2e1 + t41531 / 0.6e1 - t41534 + t246 * t41535 * t654 - t25683 * t41539 / 0.2e1;
  t41547 = t819 * t41408;
  t41558 = t191 * t21182 * t617 * t21185;
  t41560 = t26069 * t3678 * t15571;
  t41570 = t768 * t9031;
  t41571 = t757 * t9031;
  t41575 = t246 * t9030 * t4960 / 0.2e1;
  t41581 = t191 * t3512 * t617 * t21719;
  t41584 = t764 * t8759;
  t41587 = t21655 * t8618;
  t41590 = t10037 * t3671 * t41157;
  t41600 = t2087 * t3143 / 0.6e1;
  t41604 = t3548 * t9039;
  t41606 = t41575 - 0.3e1 * t246 * t8729 * t4960 - 0.28e2 * t41581 * t15577 + 0.23e2 / 0.18e2 * t41584 * t8993 - t41587 / 0.6e1 - 0.6e1 * t25733 * t41590 + 0.3e1 / 0.2e1 * t246 * t8764 * t21428 + 0.47e2 / 0.3e1 * t41558 * t26835 * t15576 - t41600 - 0.18e2 * t3680 * t41096 * t4850 - 0.2e1 * t41604;
  t41611 = t191 * t194 * t8781 * t4905 / 0.2e1;
  t41612 = t4838 * t4928;
  t41623 = t2087 * t3269 / 0.12e2;
  t41625 = t41503 * t1300 / 0.6e1;
  t41631 = t3568 * t2158 / 0.4e1;
  t41636 = t3621 * t2158 / 0.18e2;
  t41641 = t3621 * t2162 / 0.9e1;
  t41642 = t3375 * t427;
  t41643 = t41642 * t4762;
  t41646 = t648 * t427;
  t41647 = t41646 * t4766;
  t41652 = t8608 * t667;
  t41653 = t840 * t41652;
  t41656 = t8853 * t5163;
  t41658 = 0.6e1 * t41656 * t5174;
  t41659 = t5165 * t1272;
  t41660 = t840 * t41659;
  t41666 = t62 * t8840;
  t41668 = t233 * t41666 * t667;
  t41672 = t233 * t8891 * t3244;
  t41675 = t827 * t41652;
  t41680 = t41666 * t206;
  t41681 = t827 * t41680;
  t41684 = t8891 * t606;
  t41685 = t827 * t41684;
  t41689 = t8891 * t617;
  t41690 = t3482 * t41689;
  t41695 = t41656 * t5167;
  t41696 = t233 * t41659;
  t41700 = t62 * t1272 * t667;
  t41701 = t233 * t41700;
  t41704 = t827 * t41659;
  t41707 = t8860 * t26528;
  t41710 = t233 * t41652;
  t41713 = t2124 * t26646;
  t41716 = t3475 * t41659;
  t41719 = t3475 * t5166;
  t41722 = t26529 * t41690 / 0.9e1 - 0.4e1 * t26518 * t8893 + t41695 + 0.24e2 * t26555 * t41696 + 0.8e1 * t5170 * t41701 + 0.8e1 * t26542 * t41704 - 0.3e2 * t41707 * t5167 + 0.4e1 * t26536 * t41710 + 0.44e2 * t41713 * t5174 - 0.8e1 / 0.3e1 * t26565 * t41716 + 0.1e2 / 0.3e1 * t41707 * t41719;
  t41726 = 0.4e1 / 0.3e1 * t8855;
  t41727 = 0.2e1 * t8875;
  t41728 = 0.2e1 * t8888;
  t41729 = t615 * t41397;
  t41730 = t41729 * t647;
  t41733 = t227 * t20728;
  t41734 = t420 * t41733;
  t41736 = t233 * t8891 * t3140;
  t41739 = t840 * t41689;
  t41742 = t233 * t41689;
  t41745 = t8868 * t667;
  t41746 = t3409 * t41745;
  t41749 = t8868 * t206;
  t41750 = t229 * t41749;
  t41753 = 0.24e2 * t26565 * t41704 + t41726 + t41727 + t8876 - t41728 - 0.2e1 / 0.3e1 * t41730 * t816 - 0.6e1 * t41734 * t41736 + 0.12e2 * t26647 * t41739 - 0.6e1 * t26550 * t41742 + 0.8e1 * t1321 * t41746 - 0.12e2 * t5231 * t41750;
  t41755 = 0.3e1 * t8854 * t5223;
  t41756 = t653 * t41749;
  t41761 = t5235 * t2105;
  t41762 = t21225 * t41761;
  t41765 = t3375 * t41749;
  t41768 = t22070 * t5190;
  t41773 = t3375 * t41761;
  t41776 = t21220 * t41761;
  t41781 = t8911 * t206;
  t41782 = t3409 * t41781;
  t41785 = t41755 + 0.24e2 * t5183 * t41756 - 0.22e2 * t8857 * t5223 - 0.1e2 / 0.3e1 * t5178 * t41762 - 0.12e2 * t5178 * t41765 + 0.15e2 * t8861 * t41768 + 0.12e2 * t2125 * t22052 + 0.4e1 * t5183 * t41773 - t5178 * t41776 / 0.18e2 + 0.2e1 * t5204 * t8972 + 0.2e1 * t1321 * t41782;
  t41788 = t2141 * t606;
  t41789 = t3409 * t41788;
  t41792 = 0.2e1 * t8854 * t5195;
  t41793 = t69 * t2084;
  t41794 = t41793 * t3399;
  t41796 = 0.2e1 / 0.3e1 * t41794 * t5187;
  t41799 = t8860 * t21730;
  t41807 = t21181 * t2090 * t21209;
  t41808 = t21215 * t5179;
  t41816 = t819 * t41781;
  t41819 = t819 * t41788;
  t41824 = t3430 * t8911 * t667;
  t41829 = t21220 * t5190;
  t41834 = t21210 * t5179;
  t41838 = t3430 * t2141 * t3244;
  t41841 = t8854 * t5213 / 0.3e1;
  t41843 = t41794 * t5216 / 0.9e1;
  t41844 = -0.2e1 * t1315 * t41816 - t1315 * t41819 - 0.2e1 * t1313 * t8963 - 0.2e1 * t421 * t41824 + 0.2e1 / 0.3e1 * t2125 * t22135 - 0.5e1 / 0.18e2 * t8861 * t41829 - t8861 * t22106 / 0.9e1 - t41807 * t41834 / 0.9e1 - t421 * t41838 - t41841 - t41843;
  t41846 = t63 * t5086;
  t41847 = t229 * t41846;
  t41850 = t648 * t41749;
  t41855 = t2124 * t21402;
  t41859 = t819 * t63 * t41291;
  t41867 = t648 * t41846;
  t41870 = t3448 * t41749;
  t41873 = t41729 * t619;
  t41876 = -0.4e1 * t1315 * t41847 - 0.16e2 * t5183 * t41850 + 0.6e1 * t8881 * t5207 - 0.12e2 * t41855 * t5210 - t421 * t41859 + 0.44e2 / 0.3e1 * t8857 * t5191 + 0.2e1 * t8857 * t5213 + 0.4e1 / 0.3e1 * t41799 * t5216 - 0.2e1 / 0.3e1 * t1321 * t41867 + 0.2e1 / 0.9e1 * t5178 * t41870 - 0.2e1 * t41873 * t841;
  t41877 = t233 * t62;
  t41878 = t41877 * t41652;
  t41881 = t827 * t62;
  t41882 = t41881 * t41652;
  t41885 = t840 * t62;
  t41886 = t41885 * t41652;
  t41891 = t2120 * t21343;
  t41898 = t2117 * t3421;
  t41900 = 0.3e1 * t41898 * t5258;
  t41901 = t2118 * t3471;
  t41903 = t60 * t5086;
  t41904 = t648 * t41903;
  t41907 = -0.8e1 * t26536 * t41878 - 0.5e1 / 0.3e1 * t26652 * t41882 + 0.1e2 * t26652 * t41886 + 0.4e1 / 0.3e1 * t41873 * t828 + 0.12e2 * t41891 * t5258 + 0.2e1 * t2121 * t3471 + 0.4e1 * t2125 * t22178 - t41900 - t41901 - t2121 * t3436 + 0.4e1 / 0.3e1 * t1321 * t41904;
  t41913 = t8874 * t5245;
  t41917 = t819 * t60 * t41291;
  t41921 = t2118 * t3436 / 0.2e1;
  t41922 = t229 * t41903;
  t41931 = t653 * t41903;
  t41935 = t827 * t41700;
  t41938 = t3482 * t41659;
  t41941 = t2120 * t26549;
  t41946 = t840 * t41680;
  t41949 = t840 * t41684;
  t41952 = t3475 * t41689;
  t41957 = t233 * t41680;
  t41960 = t233 * t41684;
  t41963 = t827 * t41689;
  t41966 = 0.8e1 / 0.3e1 * t5164 * t41935 - 0.4e1 / 0.9e1 * t26565 * t41938 - 0.12e2 * t41941 * t5171 - 0.22e2 / 0.3e1 * t41713 * t5167 - 0.4e1 * t5164 * t41946 - 0.2e1 * t5164 * t41949 + 0.2e1 / 0.3e1 * t26529 * t41952 + 0.4e1 * t26559 * t8896 + 0.4e1 * t5170 * t41957 + 0.2e1 * t5170 * t41960 - 0.2e1 * t26647 * t41963;
  t41968 = t840 * t41700;
  t41971 = t3482 * t5166;
  t41974 = t2117 * t5169;
  t41976 = 0.4e1 * t41974 * t5171;
  t41978 = 0.2e1 / 0.3e1 * t8854 * t5269;
  t41985 = t8853 * t3416;
  t41987 = 0.4e1 * t41985 * t5252;
  t41991 = t41794 * t5255 / 0.18e2;
  t41994 = -0.16e2 * t5164 * t41968 + 0.5e1 / 0.9e1 * t41707 * t41971 + t41976 + t41978 - 0.4e1 * t8857 * t5269 + t8861 * t22211 / 0.18e2 + 0.1e2 / 0.3e1 * t8861 * t22204 - t41987 - 0.2e1 / 0.3e1 * t41799 * t5255 + t41991 + 0.24e2 * t41855 * t5252;
  t41995 = t21215 * t5235;
  t41998 = t3375 * t5244;
  t42001 = t21220 * t5235;
  t42004 = t8854 * t5264;
  t42006 = 0.1e2 / 0.3e1 * t41794 * t5266;
  t42011 = t21225 * t5235;
  t42015 = 0.3e1 * t41794 * t5236;
  t42019 = 0.1e2 / 0.3e1 * t41807 * t41995 - 0.3e1 * t8861 * t41998 + 0.5e2 / 0.3e1 * t41807 * t42001 - t42004 + t42006 + 0.6e1 * t8857 * t5264 - 0.4e2 * t41799 * t5266 - 0.12e2 * t41807 * t42011 - t42015 + t5248 * t2142 / 0.2e1 + t1313 * t8912;
  t42023 = 0.6e1 * t41985 * t5239;
  t42028 = t193 * t41397;
  t42033 = 0.2e1 * t41985 * t5210;
  t42036 = t21220 * t5179;
  t42039 = t21225 * t5179;
  t42042 = t819 * t41745;
  t42047 = t3375 * t41745;
  t42050 = t42023 - 0.36e2 * t41855 * t5239 + 0.36e2 * t41799 * t5236 - 0.4e1 * t42028 * t747 * t230 + t42033 - 0.72e2 * t41799 * t5180 + 0.8e1 / 0.3e1 * t41807 * t42036 + 0.24e2 * t41807 * t42039 - 0.4e1 * t1315 * t42042 + 0.6e1 * t8881 * t5198 - 0.16e2 / 0.3e1 * t1321 * t42047;
  t42052 = 0.2e1 * t8874 * t5198;
  t42053 = t22070 * t41761;
  t42057 = 0.6e1 * t41794 * t5180;
  t42063 = 0.4e1 * t8947;
  t42064 = 0.2e1 * t8949;
  t42065 = 0.2e1 / 0.3e1 * t8965;
  t42066 = 0.4e1 * t8974;
  t42067 = t819 * t41761;
  t42070 = 0.2e1 * t42028 * t740 * t234 - 0.6e1 * t26529 * t41963 + 0.3e1 * t5178 * t42053 + 0.3e1 * t5231 * t42067 - t2138 - t42052 + t42057 - t42063 - t42064 - t42065 + t42066;
  t42073 = t22055 * t2141 * t3140;
  t42076 = t3409 * t41761;
  t42080 = 0.12e2 * t41985 * t5184;
  t42084 = 0.2e1 * t2118 * t3432;
  t42086 = 0.6e1 * t41898 * t5232;
  t42093 = t3375 * t41781;
  t42096 = t3375 * t41788;
  t42099 = 0.3e1 * t421 * t42073 - 0.6e1 * t5183 * t42076 - t42080 + 0.72e2 * t41855 * t5184 + t42084 + t42086 - 0.2e1 * t2125 * t22071 - 0.24e2 * t41891 * t5232 - 0.4e1 * t2121 * t3432 - 0.4e1 / 0.3e1 * t1321 * t42093 - 0.2e1 / 0.3e1 * t1321 * t42096;
  t42100 = t653 * t41846;
  t42103 = t3402 * t41749;
  t42108 = t21225 * t5190;
  t42112 = 0.2e1 * t8874 * t5207;
  t42113 = t2118 * t3379;
  t42115 = 0.2e1 * t8854 * t5191;
  t42121 = 0.4e1 * t1321 * t42100 + 0.4e2 / 0.3e1 * t5178 * t42103 - 0.4e1 * t2125 * t22081 - 0.5e2 / 0.3e1 * t8861 * t42108 - t42112 - t42113 - t42115 - t5248 * t2129 - 0.2e1 * t1313 * t8921 - 0.4e1 / 0.3e1 * t5204 * t8926 + t2119;
  t42138 = -t41636 - t246 * t247 * t41397 * t748 + t41641 - 0.2e1 * t4753 * t41643 + 0.4e1 / 0.3e1 * t4753 * t41647 + 0.4e1 / 0.3e1 * t4912 * t8990 - t30 * t59 * (0.1e2 / 0.3e1 * t26652 * t41675 + 0.2e1 / 0.3e1 * t26518 * t8905 - 0.48e2 * t26542 * t41660 - 0.12e2 * t8857 * t5195 + 0.8e1 * t41799 * t5187 + 0.2e1 * t2121 * t3379 - 0.2e1 / 0.3e1 * t8861 * t22103 + t1321 * t41789 - 0.4e1 / 0.3e1 * t41807 * t41808 + 0.6e1 * t8861 * t22088 - 0.2e1 * t5220 * t8960 - 0.5e1 * t26652 * t41653 + t421 * t41917 / 0.2e1 + 0.2e1 * t1315 * t41922 - 0.3e1 * t8881 * t5245 + 0.2e1 * t2125 * t22225 + 0.4e1 * t41730 * t823 - 0.2e1 * t1321 * t41931 - 0.4e1 / 0.3e1 * t2125 * t22185 - 0.6e1 * t2125 * t22222 + 0.2e1 / 0.3e1 * t5164 * t41681 + t5164 * t41685 / 0.3e1 + 0.4e1 * t8900 * t41668 + 0.2e1 * t8900 * t41672 + 0.4e1 * t1312 * t8899 * t8902 + t42019 + t41753 + t41785 - t41658 - t41796 + t41722 + t41921 + t41792 + t41844 + t41913 + t41876 + t42121 + t41966 + t42050 + t41907 + t42099 + t41994 + t42070) * t95 / 0.4e1 - 0.2e1 * t8754 * t3324 - 0.4e1 * t8754 * t4946 + 0.3e1 * t768 * t8766 + 0.3e1 * t757 * t8766;
  t42141 = t21593 * t8635;
  t42144 = t2105 * t606;
  t42145 = t95 * t42144;
  t42146 = t3130 * t42145;
  t42151 = t21593 * t8630;
  t42154 = t8840 * t206;
  t42155 = t95 * t42154;
  t42156 = t3130 * t42155;
  t42161 = t30 * t8874;
  t42163 = t42161 * t4797 / 0.3e1;
  t42164 = t4796 * t41454;
  t42167 = t3130 * t41429;
  t42171 = t42161 * t4793 / 0.3e1;
  t42174 = t21220 * t4761;
  t42182 = t41479 * t4806 / 0.4e1;
  t42183 = t3448 * t41157;
  t42187 = t30 * t25925;
  t42191 = t10037 * t4746 * t4755;
  t42195 = t25739 * t3671 * t4761;
  t42199 = t41479 * t4772 / 0.2e1;
  t42201 = t41479 * t4757 / 0.3e1;
  t42203 = t30 * t427 * t4746;
  t42206 = t41449 * t4793 - 0.15e2 / 0.2e1 * t9873 * t8861 * t42174 + 0.3e1 * t26806 * t41472 * t8771 + t42182 + 0.6e1 * t9873 * t5178 * t42183 + 0.3e1 * t42187 * t4743 - 0.3e1 * t41145 * t42191 + 0.15e2 / 0.2e1 * t41145 * t42195 + t42199 - t42201 - 0.2e1 * t42203 * t4751;
  t42210 = t95 * t41652;
  t42211 = t27475 * t42210;
  t42215 = t26082 * t635 * t41652;
  t42218 = t22051 * t41652;
  t42223 = t3171 * t15102 * t206;
  t42226 = t8634 * t206;
  t42227 = t253 * t42226;
  t42228 = t4770 * t42227;
  t42231 = t22070 * t41652;
  t42236 = t3171 * t15053 * t206;
  t42239 = t3430 * t41652;
  t42244 = t658 * t2165 * t206;
  t42248 = t3138 * t2165 * t667;
  t42251 = -t26203 * t8639 / 0.3e1 - 0.5e1 / 0.6e1 * t4753 * t42211 + 0.5e1 / 0.3e1 * t4753 * t42215 + 0.5e1 / 0.2e1 * t4779 * t1321 * t42218 - t3123 * t4750 * t42223 + t4753 * t42228 / 0.3e1 - 0.5e1 / 0.2e1 * t4738 * t1321 * t42231 + t4748 * t4750 * t42236 - 0.2e1 * t4779 * t1315 * t42239 + t3123 * t4800 * t42244 + t3123 * t4775 * t42248;
  t42253 = t4760 * t3121 * t42226;
  t42258 = t8642 * t253 * t8634 * t667;
  t42261 = t8642 * t42210;
  t42264 = t26082 * t42210;
  t42267 = t4760 * t42227;
  t42270 = t3130 * t42227;
  t42273 = t4844 * t4945;
  t42278 = t26069 * t4839;
  t42282 = 0.2e1 / 0.3e1 * t8783 * t4946;
  t42284 = t8783 * t3324 / 0.3e1;
  t42285 = -0.2e1 / 0.3e1 * t4753 * t42253 - t4789 * t42258 / 0.3e1 + 0.2e1 / 0.3e1 * t4792 * t42261 - 0.5e1 / 0.12e2 * t4753 * t42264 + t4753 * t42267 / 0.6e1 - t4792 * t42270 / 0.3e1 + 0.23e2 / 0.18e2 * t8760 * t42273 + 0.23e2 / 0.36e2 * t8760 * t22310 + 0.44e2 / 0.27e2 * t41139 * t42278 + t42282 + t42284;
  t42301 = t593 * t9034;
  t42306 = t41188 * t8993;
  t42308 = t3548 * t8730;
  t42311 = t4749 * t2096;
  t42315 = t3124 * t2091;
  t42322 = t764 * t8753;
  t42329 = t673 * t41062;
  t42332 = t673 * t41067;
  t42337 = -0.2e1 * t3123 * t42311 * t3186 + t3123 * t42315 * t730 - t2093 * t3301 / 0.3e1 - t2093 * t3269 / 0.6e1 + t42322 * t1300 + t8754 * t5032 + t8754 * t3320 / 0.2e1 + 0.2e1 / 0.3e1 * t5022 * t8791 + 0.2e1 / 0.3e1 * t1259 * t42329 + t1259 * t42332 / 0.3e1 - t764 * t8794 * t1260;
  t42339 = t3620 * t2097;
  t42341 = 0.2e1 / 0.27e2 * t42339 * t637;
  t42343 = t27116 * t432 / 0.9e1;
  t42344 = t25750 * t8639;
  t42346 = t27207 * t8644;
  t42350 = t3130 * t253 * t719 * t2105;
  t42355 = t3130 * t253 * t276 * t8840;
  t42362 = t1220 * t41321;
  t42365 = t1220 * t27146;
  t42369 = t4838 * t41103;
  t42375 = t5099 * t2108;
  t42377 = t5096 * t2108;
  t42379 = t593 * t9013;
  t42388 = t593 * t9122;
  t42390 = -0.11e2 / 0.9e1 * t4830 * t42369 + t5105 * t1274 + t1293 * t5088 / 0.2e1 + t42375 / 0.18e2 + t42377 / 0.18e2 - t42379 / 0.6e1 - t246 * t8733 * t20748 + t768 * t9027 + 0.3e1 * t768 * t9125 + 0.3e1 * t757 * t9125 - 0.2e1 / 0.3e1 * t42388;
  t42393 = t593 * t9125;
  t42394 = t593 * t9114;
  t42396 = t8747 / 0.2e1;
  t42397 = t8751 / 0.2e1;
  t42399 = t5150 * t2108 / 0.54e2;
  t42400 = t4754 * t41454;
  t42404 = 0.2e1 / 0.3e1 * t41479 * t4767;
  t42405 = t41479 * t4763;
  t42406 = t4765 * t41158;
  t42412 = t26140 * t4771;
  t42415 = t10058 * t4756;
  t42422 = t10058 * t41454;
  t42427 = t25958 * t8630;
  t42430 = t3409 * t42154;
  t42433 = t3409 * t42144;
  t42437 = t26140 * t15677;
  t42440 = 0.2e1 * t41436 * t4757 + 0.55e2 / 0.18e2 * t41145 * t42412 - 0.11e2 / 0.9e1 * t41145 * t42415 - 0.11e2 / 0.3e1 * t41436 * t4772 - 0.4e1 * t41436 * t4767 - 0.22e2 / 0.9e1 * t25733 * t42422 + t25673 * t8651 / 0.3e1 + t4753 * t42427 / 0.3e1 - t4779 * t1321 * t42430 - t4779 * t1321 * t42433 / 0.2e1 - 0.7e1 / 0.3e1 * t26124 * t42437;
  t42448 = t3375 * t42144;
  t42456 = t1227 * t41321;
  t42459 = t1227 * t27146;
  t42462 = t4844 * t41103;
  t42468 = t3621 * t2167 / 0.18e2;
  t42469 = t25678 * t8651 / 0.3e1 - t182 * t9101 / 0.2e1 + 0.14e2 / 0.3e1 * t41584 * t8983 + t4738 * t1321 * t42448 / 0.2e1 - t21617 * t8618 / 0.2e1 - t4925 * t8709 / 0.3e1 - t1218 * t42456 / 0.3e1 - t1218 * t42459 / 0.6e1 - 0.5e1 / 0.18e2 * t4830 * t42462 - 0.2e1 / 0.3e1 * t4912 * t8692 + t42468;
  t42470 = t41188 * t8761;
  t42472 = t592 * t8753;
  t42473 = t42472 * t1229;
  t42478 = 0.2e1 * t41021 * t4862;
  t42479 = t42472 * t1223;
  t42483 = t41034 * t1223;
  t42484 = t42483 / 0.9e1;
  t42485 = t41021 * t4860;
  t42486 = t41034 * t1229;
  t42487 = 0.2e1 / 0.9e1 * t42486;
  t42488 = t27066 * t1235;
  t42491 = -0.11e2 / 0.27e2 * t42470 - 0.4e1 / 0.3e1 * t42473 + 0.12e2 * t41121 * t4862 - t42478 + 0.2e1 / 0.3e1 * t42479 - 0.6e1 * t41121 * t4860 - t42484 + t42485 + t42487 - 0.2e1 / 0.3e1 * t42488 - t25730 * t8648;
  t42499 = t635 * t41408;
  t42500 = t25739 * t42499;
  t42509 = t1227 * t755 * t8690;
  t42519 = t660 * t20881 * t2106;
  t42533 = t634 * t2147 * t635;
  t42538 = t191 * t242 * t2146 * t641;
  t42548 = t42339 * t752 / 0.54e2;
  t42549 = -t757 * t9013 / 0.2e1 + t757 * t9027 - t757 * t9008 / 0.2e1 - t768 * t9013 / 0.2e1 - t3610 * t2167 / 0.4e1 + t622 * t42533 / 0.3e1 - t42538 * t650 / 0.2e1 + t9070 * t655 / 0.2e1 + 0.2e1 / 0.3e1 * t41400 * t637 - t41400 * t752 / 0.6e1 + t42548;
  t42552 = t42339 * t630 / 0.27e2;
  t42553 = t629 * t2148;
  t42558 = t3620 * t2092 * t223 / 0.27e2;
  t42566 = t819 * t42154;
  t42569 = t593 * t9001;
  t42571 = t8777 / 0.3e1;
  t42572 = t8779 / 0.6e1;
  t42574 = t8784 / 0.6e1;
  t42575 = t8789 / 0.6e1;
  t42579 = t246 * t3284 * t2117 * t249 / 0.4e1;
  t42581 = t757 * t8750 / 0.2e1;
  t42583 = t768 * t8750 / 0.2e1;
  t42584 = t41188 * t8996;
  t42598 = t627 * t628 * t5086;
  t42601 = -t42574 - t42575 + t42579 + t42581 + t42583 - t42584 / 0.3e1 + 0.6e1 * t41310 * t4834 + 0.3e1 * t3123 * t3124 * t2096 * t1246 - 0.2e1 * t3123 * t4800 * t9121 + 0.2e1 * t757 * t9022 + t246 * t1232 * t42598;
  t42605 = t4760 * t635 * t42144;
  t42608 = t3375 * t42154;
  t42614 = t781 * t2148;
  t42622 = t3631 * t2162;
  t42625 = t3375 * t8608;
  t42629 = t10037 * t41158;
  t42632 = t8665 * t676;
  t42633 = t42632 / 0.18e2;
  t42634 = t21784 * t8772;
  t42635 = t5143 * t1240;
  t42640 = t4779 * t8874 * t4786;
  t42647 = t819 * t41352;
  t42651 = t4738 * t5204 * t42625 + t26777 * t8615 + 0.23e2 / 0.9e1 * t25733 * t42629 - t42633 + t42634 + 0.2e1 / 0.3e1 * t42635 - 0.6e1 * t1293 * t4888 + t42640 - 0.2e1 * t4748 * t4750 * t8725 + 0.2e1 * t4748 * t42311 * t3181 + 0.2e1 * t4779 * t1315 * t42647;
  t42656 = t3124 * t2085;
  t42659 = t3123 * t42656 * t730 / 0.2e1;
  t42660 = t4854 * t8990;
  t42676 = -0.3e1 * t4779 * t8881 * t4786 - t42659 + 0.4e1 / 0.9e1 * t42660 - t30 * t2147 * t720 / 0.4e1 + 0.2e1 / 0.3e1 * t9061 * t3255 - 0.2e1 * t5105 * t1247 - 0.2e1 * t5126 * t1247 - 0.2e1 * t1293 * t4968 - t1293 * t4970 - t5105 * t1251 - t5126 * t1251;
  t42690 = t3548 * t8734;
  t42696 = t3627 * t2097;
  t42697 = t42696 * t630;
  t42699 = t8668 * t3540;
  t42701 = 0.6e1 * t3530 * t8730 + 0.6e1 * t3537 * t8730 + 0.3e1 * t644 * t8729 * t4936 + 0.2e1 * t3530 * t8734 + 0.2e1 * t3537 * t8734 + t644 * t8733 * t20743 + 0.2e1 / 0.3e1 * t42690 - 0.2e1 * t3530 * t8726 - 0.2e1 * t3537 * t8726 - t42697 / 0.9e1 - t42699 / 0.9e1;
  t42705 = t42696 * t752;
  t42707 = t8668 * t3599;
  t42710 = t3627 * t2092 * t223;
  t42713 = t3627 * t2086 * t223;
  t42714 = t42713 / 0.18e2;
  t42715 = t8665 * t612;
  t42716 = t42715 / 0.18e2;
  t42717 = t8673 * t612;
  t42721 = t3620 * t2086 * t223 / 0.54e2;
  t42727 = t764 * t9069;
  t42732 = t191 * t242 * t8978 * t243;
  t42736 = t771 * t9098;
  t42740 = t634 * t2148;
  t42757 = t4838 * t4945;
  t42760 = -t42736 / 0.18e2 + t27544 * t432 / 0.2e1 - t622 * t42740 / 0.12e2 - t1283 * t5140 / 0.3e1 - t1278 * t5140 / 0.3e1 + t9070 * t761 / 0.4e1 - t5108 * t1288 / 0.3e1 - t5115 * t1288 / 0.6e1 + t2098 * t21691 / 0.3e1 - t417 * t27547 / 0.6e1 + 0.14e2 / 0.3e1 * t8760 * t42757;
  t42764 = t22070 * t41408;
  t42768 = t21225 * t41408;
  t42772 = t21220 * t41408;
  t42780 = t22070 * t4761;
  t42784 = t25739 * t41538;
  t42791 = t25669 * t8630;
  t42795 = t4760 * t42155;
  t42798 = t4760 * t42145;
  t42801 = t2105 * t3244;
  t42802 = t3430 * t42801;
  t42810 = t8840 * t667;
  t42811 = t3430 * t42810;
  t42814 = t1220 * t41103;
  t42819 = t4838 * t15616;
  t42821 = 0.7e1 / 0.3e1 * t21069 * t42819;
  t42822 = t26891 * t8622;
  t42824 = t26891 * t8627;
  t42826 = t4753 * t42795 / 0.6e1 + t4753 * t42798 / 0.12e2 + t4779 * t421 * t42802 / 0.2e1 + t25678 * t8631 / 0.6e1 + t4779 * t1313 * t8626 + t4779 * t421 * t42811 + 0.2e1 * t4859 * t42814 - 0.23e2 / 0.3e1 * t41310 * t4951 + t42821 + t42822 / 0.3e1 + t42824 / 0.3e1;
  t42842 = t4854 * t8986;
  t42850 = t673 * t41043 * t674;
  t42853 = t3375 * t41157;
  t42857 = t21421 * t2154;
  t42859 = t3637 * t2170;
  t42861 = t5143 * t1274;
  t42863 = t42696 * t637;
  t42865 = t8668 * t3577;
  t42867 = t5096 * t1288;
  t42869 = t5099 * t1288;
  t42871 = t1267 * t5140;
  t42873 = t9070 * t736 / 0.2e1 - t211 * t42850 / 0.6e1 + 0.6e1 * t4779 * t5178 * t42853 - t42857 / 0.3e1 + t42859 / 0.3e1 + t42861 / 0.3e1 + 0.2e1 / 0.9e1 * t42863 + 0.2e1 / 0.9e1 * t42865 - t42867 / 0.9e1 - t42869 / 0.9e1 - t42871 / 0.9e1;
  t42875 = t27536 * t432;
  t42877 = t27091 * t432;
  t42883 = t3430 * t238;
  t42884 = t42883 * t8643;
  t42888 = t8642 * t95 * t42810;
  t42892 = t8642 * t95 * t42801;
  t42895 = t3409 * t41352;
  t42904 = t42875 / 0.3e1 + t42877 / 0.3e1 - t26205 * t8644 / 0.3e1 - t26200 * t8644 / 0.3e1 - t4789 * t42884 / 0.3e1 - t4789 * t42888 / 0.3e1 - t4789 * t42892 / 0.6e1 - 0.4e1 * t4779 * t1321 * t42895 + t3568 * t2170 / 0.2e1 + t743 * t9098 / 0.6e1 - t22440 * t2154;
  t42908 = t593 * t9027;
  t42912 = 0.3e1 / 0.2e1 * t4779 * t8854 * t4780;
  t42913 = t3402 * t41157;
  t42917 = t21225 * t4761;
  t42924 = t229 * t41157;
  t42928 = t3124 * t8740;
  t42930 = t3123 * t42928 * t1246;
  t42933 = 0.3e1 / 0.2e1 * t4738 * t8854 * t21586;
  t42934 = t4749 * t8781;
  t42936 = t4748 * t42934 * t1234;
  t42937 = -t22396 * t2154 / 0.2e1 + t5126 * t1274 + t42908 / 0.3e1 - t42912 - 0.12e2 * t4738 * t5178 * t42913 + 0.15e2 * t4738 * t8861 * t42917 - 0.6e1 * t4748 * t41472 * t9038 + 0.6e1 * t4779 * t5231 * t42924 - t42930 + t42933 - t42936;
  t42947 = t26105 * t15580;
  t42950 = t4838 * t15807;
  t42955 = t22055 * t65;
  t42957 = t42955 * t95 * t41419;
  t42963 = t41646 * t4756;
  t42967 = t4765 * t3121 * t41444;
  t42974 = t4760 * t635 * t41352;
  t42977 = t229 * t427;
  t42978 = t42977 * t4756;
  t42983 = t4754 * t41445;
  t42988 = t41642 * t4771;
  t42991 = t26082 * t41538;
  t42994 = t25657 * t4771;
  t42997 = t3130 * t41538;
  t43002 = t644 * t9030 * t4936 / 0.2e1;
  t43003 = -0.4e1 / 0.3e1 * t41438 * t21626 - 0.8e1 / 0.3e1 * t4753 * t42974 + 0.2e1 / 0.3e1 * t4792 * t42978 + t4789 * t25658 / 0.3e1 - 0.2e1 / 0.3e1 * t4753 * t42983 + 0.2e1 / 0.3e1 * t41438 * t21662 + t4753 * t42988 / 0.2e1 + t25733 * t42991 / 0.2e1 - 0.2e1 / 0.3e1 * t4792 * t42994 + t26932 * t42997 / 0.2e1 - t43002;
  t43006 = t4844 * t642 * t15598;
  t43008 = 0.3e1 / 0.2e1 * t21069 * t43006;
  t43014 = t777 * t2148 / 0.18e2;
  t43015 = t645 * t41019;
  t43018 = 0.3e1 * t644 * t43015 * t4868;
  t43019 = t3548 * t9042;
  t43020 = t43019 / 0.3e1;
  t43025 = t627 * t633 * t5086;
  t43028 = t593 * t8742;
  t43029 = t43028 / 0.3e1;
  t43030 = t593 * t8746;
  t43031 = t43030 / 0.6e1;
  t43043 = t3284 * t2124;
  t43052 = t219 * t221 * t5086;
  t43055 = t26082 * t4771;
  t43058 = 0.3e1 / 0.2e1 * t246 * t9124 * t3313 + t768 * t9114 + t757 * t9114 + t246 * t9113 * t3246 / 0.2e1 - t3530 * t9117 - t3537 * t9117 - t644 * t43043 * t649 / 0.2e1 - 0.2e1 * t768 * t9122 - 0.2e1 * t757 * t9122 - t246 * t1244 * t43052 + 0.5e1 / 0.2e1 * t41145 * t43055;
  t43061 = t4760 * t41454;
  t43064 = t188 * t9101;
  t43066 = t188 * t8980;
  t43075 = t819 * t42144;
  t43085 = t593 * t9031;
  t43086 = t43085 / 0.3e1;
  t43089 = 0.3e1 * t246 * t43015 * t4887;
  t43094 = t593 * t8750;
  t43095 = t43094 / 0.6e1;
  t43096 = t3548 * t9117;
  t43103 = 0.3e1 / 0.2e1 * t246 * t247 * t8781 * t4878;
  t43106 = t246 * t8745 * t3161 / 0.2e1;
  t43108 = t3605 * t2158 / 0.2e1;
  t43109 = t9032 - t9043 + t43086 - t43089 - 0.6e1 * t246 * t247 * t8728 * t4878 + t43095 - t43096 / 0.3e1 - t246 * t9113 * t3161 + t43103 + t43106 + t43108;
  t43112 = t3610 * t2158 / 0.4e1;
  t43117 = t22385 * t2154 / 0.9e1;
  t43118 = t9057 / 0.6e1;
  t43119 = t9059 / 0.6e1;
  t43120 = t593 * t9008;
  t43122 = t3631 * t2167;
  t43124 = t3637 * t2167;
  t43128 = t26105 * t4833;
  t43131 = t43112 + t3605 * t2170 + t3610 * t2170 / 0.2e1 + t43117 - t43118 - t43119 - t43120 / 0.6e1 - t43122 / 0.6e1 - t43124 / 0.6e1 + 0.2e1 * t768 * t9022 - 0.61e2 / 0.27e2 * t41139 * t43128;
  t43132 = t1267 * t8843;
  t43134 = t653 * t41157;
  t43145 = t3123 * t42934 * t1239;
  t43146 = t26835 * t4833;
  t43153 = t3567 * t2097;
  t43158 = t43132 / 0.18e2 - 0.12e2 * t4779 * t5183 * t43134 + 0.11e2 * t4779 * t8857 * t4780 - 0.6e1 * t3123 * t41364 * t1239 + t43145 - 0.38e2 / 0.9e1 * t41139 * t43146 - t2089 - t9061 * t3599 / 0.6e1 - t2098 * t21302 / 0.12e2 + t43153 * t637 / 0.3e1 + 0.2e1 / 0.3e1 * t9061 * t3577;
  t43167 = t4831 * t4928;
  t43171 = t5143 * t1251;
  t43177 = t5143 * t1247;
  t43183 = t4844 * t5071 * t4832;
  t43186 = t26069 * t4845;
  t43189 = t26831 * t4833;
  t43192 = t3658 * t41007;
  t43195 = 0.3e1 / 0.2e1 * t246 * t43192 * t4820;
  t43196 = t26105 * t4839;
  t43201 = 0.3e1 / 0.2e1 * t3680 * t43192 * t4850;
  t43204 = 0.3e1 * t644 * t43192 * t4825;
  t43207 = t21207 * t41137;
  t43209 = t21191 * t21197 * t617;
  t43214 = t21191 * t21192 * t617;
  t43218 = t21191 * t4849;
  t43222 = -0.3e1 * t4830 * t43183 - 0.43e2 / 0.9e1 * t41139 * t43186 - 0.2e1 * t41139 * t43189 + t43195 + 0.89e2 / 0.9e1 * t41139 * t43196 + t43201 - t43204 + 0.3e1 * t1293 * t4821 - 0.6e1 * t21206 * t43207 * t43209 + 0.18e2 * t3680 * t43207 * t43214 - 0.18e2 * t644 * t43207 * t43218;
  t43224 = t21191 * t4824;
  t43230 = t593 * t9024;
  t43235 = t593 * t9022;
  t43243 = t658 * t221 * t41291;
  t43253 = t3631 * t2158;
  t43254 = t43253 / 0.6e1;
  t43255 = t3637 * t2158;
  t43256 = t43255 / 0.6e1;
  t43257 = t25753 * t8610;
  t43259 = t4844 * t41304;
  t43264 = t3637 * t2162;
  t43266 = t9109 / 0.3e1;
  t43267 = 0.2e1 / 0.3e1 * t9111;
  t43269 = t2087 * t3281 / 0.6e1;
  t43271 = t2087 * t3305 / 0.12e2;
  t43274 = t43254 + t43256 - 0.2e1 / 0.9e1 * t43257 + 0.23e2 / 0.18e2 * t4830 * t43259 - 0.3e1 * t41584 * t9105 - t43264 / 0.3e1 - t43266 + t43267 - t43269 - t43271 - t4912 * t8848 / 0.3e1;
  t43277 = t1227 * t41062;
  t43280 = t1227 * t41067;
  t43291 = t4854 * t8848;
  t43293 = t42472 * t1300;
  t43295 = t8668 * t3272;
  t43298 = t2087 * t3553 / 0.12e2;
  t43302 = t3567 * t2086 * t223 / 0.12e2;
  t43310 = t3409 * t427;
  t43311 = t43310 * t4771;
  t43313 = t653 * t427;
  t43314 = t43313 * t4756;
  t43321 = t222 * t8980;
  t43325 = t9056 * t612 / 0.6e1;
  t43328 = -t43302 - t768 * t9001 + t246 * t43043 * t654 / 0.2e1 + 0.14e2 / 0.3e1 * t41145 * t10058 * t4766 + t4753 * t43311 - 0.2e1 / 0.3e1 * t4753 * t43314 - t765 * t9098 / 0.6e1 - t609 * t9098 / 0.12e2 - t211 * t43321 / 0.6e1 - t43325 - t2098 * t21688 / 0.6e1;
  t43338 = t21416 * t2154;
  t43340 = t3631 * t2170;
  t43347 = t4770 * t42155;
  t43350 = t4770 * t42145;
  t43353 = t26140 * t41538;
  t43356 = -t5091 * t1288 / 0.6e1 - t43153 * t630 / 0.6e1 + 0.2e1 * t42322 * t1223 - 0.2e1 * t5073 * t4933 - t43338 / 0.3e1 + t43340 / 0.3e1 - t21621 * t8618 / 0.2e1 - t3123 * t27300 * t2166 / 0.4e1 + t4753 * t43347 / 0.3e1 + t4753 * t43350 / 0.6e1 + 0.11e2 / 0.18e2 * t25733 * t43353;
  t43361 = t25669 * t8609;
  t43365 = t4760 * t635 * t42154;
  t43368 = t4770 * t41538;
  t43370 = t26891 * t8648;
  t43372 = t4760 * t42499;
  t43375 = t3409 * t41408;
  t43379 = t25753 * t8651;
  t43381 = t1267 * t8810;
  t43383 = t27207 * t8636;
  t43385 = -0.2e1 / 0.3e1 * t25678 * t8610 - 0.2e1 / 0.3e1 * t25673 * t8610 - 0.2e1 / 0.3e1 * t4753 * t43361 - 0.2e1 / 0.3e1 * t4753 * t43365 - t25683 * t43368 - t43370 / 0.3e1 + 0.2e1 * t25683 * t43372 + 0.3e1 * t4779 * t5183 * t43375 + t43379 / 0.9e1 + t43381 / 0.18e2 + t43383 / 0.18e2;
  t43392 = my_piecewise3(t2, 0, -0.4e1 / 0.3e1 * t9061 * t3252 - 0.4e1 / 0.3e1 * t2098 * t21820 - 0.2e1 / 0.3e1 * t2098 * t20842 - t9061 * t3176 / 0.3e1 - t2098 * t20720 / 0.3e1 - t9061 * t3540 / 0.3e1 - t43153 * t752 / 0.12e2 - t41584 * t8996 - t8760 * t43167 - t8760 * t21547 / 0.2e1 + t1293 * t4891 - 0.6e1 * t5073 * t4826 - t768 * t9008 / 0.2e1 + 0.2e1 / 0.3e1 * t2098 * t21889 + t2098 * t20838 / 0.3e1 - t9061 * t3308 / 0.6e1 + t417 * t26915 / 0.6e1 + t1278 * t8843 / 0.6e1 - 0.4e1 * t42322 * t1229 - 0.62e2 / 0.3e1 * t41558 * t42947 + 0.14e2 / 0.3e1 * t21069 * t42950 + 0.2e1 * t41476 * t4787 + t417 * t42519 / 0.12e2 + t41436 * t4803 + t41438 * t22416 / 0.3e1 - t41441 * t3133 / 0.3e1 - t4753 * t41446 / 0.3e1 - t41449 * t4797 + 0.2e1 / 0.3e1 * t4792 * t41451 - 0.5e1 / 0.9e1 * t25733 * t41455 - 0.11e2 / 0.9e1 * t8760 * t41612 + t25696 * t8627 + t25730 * t8627 + t26205 * t8636 / 0.6e1 + t25673 * t8631 / 0.6e1 + t4753 * t42791 / 0.6e1 - 0.2e1 / 0.3e1 * t4912 * t8986 - 0.2e1 / 0.3e1 * t4925 * t8986 - 0.2e1 / 0.3e1 * t1218 * t42362 - t1218 * t42365 / 0.3e1 - 0.3e1 * t41121 * t5017 + 0.3e1 * t25931 * t4851 - t4830 * t41391 + t4789 * t42957 / 0.2e1 - 0.2e1 * t25662 * t4801 - t25662 * t4776 - t4753 * t42963 / 0.3e1 + 0.4e1 / 0.3e1 * t4753 * t42967 - 0.2e1 * t768 * t9024 - 0.2e1 * t757 * t9024 + t42732 * t250 / 0.2e1 - t1218 * t43280 / 0.6e1 + t9061 * t3272 / 0.3e1 + t2098 * t21063 / 0.3e1 + t2098 * t21953 / 0.6e1 - 0.5e1 / 0.18e2 * t41584 * t8786 + t4789 * t42350 / 0.12e2 + t4789 * t42355 / 0.6e1 - t3605 * t2167 / 0.2e1 - 0.2e1 / 0.3e1 * t1218 * t41063 - t1218 * t41068 / 0.3e1 + 0.2e1 / 0.3e1 * t9061 * t3173 - 0.5e1 / 0.18e2 * t41145 * t41433 + t4789 * t42141 / 0.6e1 - t4792 * t42146 / 0.6e1 + t26200 * t8636 / 0.6e1 - t4792 * t42151 / 0.3e1 - t4792 * t42156 / 0.3e1 - t26198 * t8639 / 0.3e1 - 0.2e1 * t26932 * t42164 - 0.2e1 / 0.3e1 * t4792 * t42167 + t42727 * t250 / 0.2e1 + t26772 * t8615 - t3568 * t2162 / 0.2e1 - t3605 * t2162 - t3610 * t2162 / 0.2e1 + t8754 * t4917 + 0.22e2 / 0.3e1 * t41310 * t4920 + 0.3e1 * t21711 * t8772 + 0.8e1 * t41558 * t41560 + 0.2e1 * t5105 * t1240 + 0.2e1 * t5126 * t1240 + 0.2e1 * t1293 * t4957 + t1293 * t4961 - t800 * t2148 / 0.4e1 + t25730 * t8622 + t25696 * t8622 - 0.5e1 / 0.18e2 * t8760 * t41131 - 0.5e1 / 0.36e2 * t8760 * t21070 + 0.4e1 * t25683 * t42400 - 0.8e1 * t25683 * t42406 + 0.2e1 / 0.3e1 * t1259 * t41322 + t1259 * t27147 / 0.3e1 + t4859 * t41327 + t1278 * t5054 / 0.3e1 + t1283 * t5054 / 0.3e1 + t417 * t26910 / 0.3e1 + 0.2e1 / 0.3e1 * t5022 * t8704 + 0.2e1 / 0.3e1 * t5009 * t8704 - t2098 * t21905 / 0.6e1 + 0.5e1 / 0.36e2 * t25733 * t42784 - t622 * t42553 / 0.6e1 - t3568 * t2167 / 0.4e1 - t757 * t9001 - t4912 * t8709 / 0.3e1 - t2098 * t20820 / 0.2e1 + 0.4e1 / 0.3e1 * t4753 * t41430 - 0.6e1 * t3537 * t9039 - t1218 * t43277 / 0.3e1 - 0.23e2 / 0.36e2 * t25733 * t42500 - t25696 * t8648 + 0.22e2 / 0.3e1 * t41436 * t4763 + 0.4e1 / 0.3e1 * t4912 * t8715 + 0.4e1 / 0.3e1 * t1218 * t42509 + t5115 * t2108 / 0.12e2 + t1283 * t8810 / 0.6e1 + t1283 * t8843 / 0.6e1 - 0.11e2 / 0.18e2 * t8760 * t21115 + 0.2e1 * t8754 * t4929 - t9070 * t731 / 0.4e1 - t4753 * t42605 / 0.3e1 - t5073 * t4937 - t182 * t8980 / 0.2e1 + 0.7e1 / 0.3e1 * t8760 * t21108 - 0.2e1 * t25733 * t43061 + t27552 * t432 / 0.2e1 - 0.11e2 / 0.9e1 * t41584 * t8761 + 0.3e1 * t1293 * t4879 - 0.6e1 * t3530 * t9039 + 0.18e2 * t246 * t41383 * t4887 - t4779 * t5204 * t8647 + t4779 * t1315 * t42566 + t4738 * t1321 * t42608 + t4779 * t5220 * t8621 - 0.3e1 / 0.2e1 * t4779 * t5178 * t42764 + 0.3e1 * t4738 * t5178 * t42768 - 0.3e1 / 0.2e1 * t9873 * t5178 * t42772 - 0.15e2 / 0.2e1 * t4779 * t8861 * t42780 - 0.3e1 * t644 * t8764 * t21530 + 0.36e2 * t644 * t41096 * t4825 - t644 * t1232 * t43025 - t3123 * t4775 * t9012 / 0.2e1 + t4779 * t1315 * t43075 / 0.2e1 - t3123 * t25726 * t2166 / 0.2e1 - 0.3e1 * t644 * t8733 * t20916 - 0.18e2 * t644 * t41383 * t4868 - 0.3e1 / 0.2e1 * t4779 * t5231 * t41547 + 0.3e1 / 0.2e1 * t3680 * t8764 * t21540 - t30 * t8979 * t277 / 0.2e1 - t644 * t41535 * t649 + 0.6e1 * t246 * t43207 * t43224 + 0.3e1 * t246 * t8733 * t20911 - t246 * t4978 * t9012 / 0.2e1 - t246 * t1250 * t43243 / 0.4e1 - t246 * t26397 * t2166 / 0.4e1 + t191 * t194 * t41397 * t740 * t223 / 0.3e1 + t41313 + t41542 - t42405 + t43222 - t42705 / 0.18e2 - t43064 / 0.6e1 - t43066 / 0.6e1 + 0.14e2 / 0.9e1 * t41427 + t41170 - t42341 + t41517 - t43029 - t43031 - t41127 / 0.3e1 - t43171 / 0.3e1 + t43274 + t42390 - t42171 - t42558 + t42397 - t42399 + t43014 - t42714 - t42716 + t42717 / 0.9e1 - t43291 / 0.9e1 + t43293 / 0.3e1 + t42937 - t41004 + t41491 + t43109 + t43018 - t43020 + 0.23e2 / 0.54e2 * t42306 + 0.2e1 * t42308 - t41371 - t41372 + t41058 + t43131 - 0.2e1 / 0.3e1 * t43177 - t42346 / 0.9e1 - t41388 + t43295 / 0.9e1 - t43298 + t42721 - t42707 / 0.18e2 + t41023 + t41025 + t42404 + t41191 + t42138 + t41018 + t42440 - t42569 / 0.3e1 + t42571 + t42572 + t42760 + t41623 - t41379 + t42285 - 0.2e1 * t42301 + 0.2e1 / 0.9e1 * t41335 + t41337 / 0.9e1 + t41631 + t41027 + t41030 + t42251 + t43356 + t42701 + t42469 + 0.2e1 * t191 * t194 * t8728 * t4905 - t246 * t3284 * t2120 * t748 / 0.2e1 + 0.3e1 / 0.2e1 * t25733 * t25739 * t3671 * t41408 + t43158 - t41006 + t42549 - t43008 + t42206 + t42651 + t41110 + t43003 + t42337 + 0.2e1 / 0.9e1 * t41117 - t41119 - t41625 + t42826 - t41382 + t41606 + t41424 - t41611 + t41570 + t41571 + t42393 + t42394 / 0.3e1 - t42396 - t8743 + t42163 + t42904 + t43385 + t42552 + t42710 / 0.9e1 + t42873 - t42614 / 0.6e1 - t42343 - t42344 / 0.9e1 + 0.2e1 / 0.9e1 * t41124 - t41129 / 0.9e1 - t41375 - t41377 + t42601 + t42491 + t43328 + t42676 - t41113 / 0.9e1 + t41115 / 0.3e1 + t43058 + 0.2e1 / 0.3e1 * t43235 - 0.2e1 / 0.3e1 * t43230 + t41014 + t41016 - t42622 / 0.3e1 + t41369 - t41011 - 0.2e1 / 0.9e1 * t42842);
  tv4rho2sigma20 = t3 * t43392 + 0.2e1 * t9132;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  tv4rho2sigma21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 1] += tv4rho2sigma21;

  tv4rho2sigma22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 2] += tv4rho2sigma22;

  tv4rho2sigma23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 3] += tv4rho2sigma23;

  tv4rho2sigma24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 4] += tv4rho2sigma24;

  t43396 = t5303 * t2199 / 0.54e2;
  t43398 = t3918 * t2258 / 0.18e2;
  t43403 = t3902 * t2177 * t350 / 0.54e2;
  t43404 = t3902 * t2188;
  t43406 = t43404 * t1090 / 0.54e2;
  t43408 = t5303 * t1449 / 0.27e2;
  t43410 = t43404 * t1016 / 0.27e2;
  t43412 = 0.2e1 / 0.27e2 * t43404 * t1023;
  t43414 = t28283 * t457 / 0.9e1;
  t43416 = t3918 * t2249 / 0.18e2;
  t43419 = t23391 * t2245 / 0.9e1;
  t43421 = t3918 * t2253 / 0.9e1;
  t43424 = t3894 * t2177 * t350 / 0.12e2;
  t43428 = t3894 * t2188;
  t43440 = t3918 * t2261 / 0.9e1;
  t43442 = t3898 * t2183 * t350;
  t43444 = t43419 + t43421 - t43424 + t3894 * t2183 * t350 / 0.6e1 - t43428 * t1090 / 0.12e2 - t5297 * t1449 / 0.6e1 - t43428 * t1016 / 0.6e1 + t28234 * t457 / 0.2e1 + t43428 * t1023 / 0.3e1 - t43440 + t43442 / 0.9e1;
  t43446 = t3898 * t2188;
  t43447 = t43446 * t1016;
  t43449 = t28171 * t457;
  t43451 = t43446 * t1023;
  t43453 = t3915 * t2249;
  t43454 = t43453 / 0.6e1;
  t43455 = t43446 * t1090;
  t43458 = t3898 * t2177 * t350;
  t43459 = t43458 / 0.18e2;
  t43460 = t5300 * t1449;
  t43463 = t3912 * t2249 / 0.4e1;
  t43473 = t3915 * t2258;
  t43475 = t5300 * t2199;
  t43477 = t3915 * t2253;
  t43479 = t3915 * t2261;
  t43481 = t23371 * t2245;
  t43484 = t873 * t2239 / 0.18e2;
  t43485 = t869 * t2239;
  t43491 = t3902 * t2183 * t350 / 0.27e2;
  t43492 = -t3912 * t2253 / 0.2e1 - t3912 * t2258 / 0.4e1 - t43473 / 0.6e1 + t43475 / 0.18e2 - t43477 / 0.3e1 + t43479 / 0.3e1 - t43481 / 0.3e1 + t43484 - t43485 / 0.6e1 - t865 * t2239 / 0.4e1 - t43491;
  t43495 = my_piecewise3(t100, 0, -t43396 + t43398 + t5297 * t2199 / 0.12e2 + t43403 + t43406 + t43408 + t43410 - t43412 - t43414 - t43416 + t43444 - t43447 / 0.9e1 + t43449 / 0.3e1 + 0.2e1 / 0.9e1 * t43451 + t43454 - t43455 / 0.18e2 - t43459 - t43460 / 0.9e1 + t43463 + t3912 * t2261 / 0.2e1 - t23423 * t2245 / 0.2e1 + t43492);
  tv4rho2sigma25 = t3 * t43495 + 0.2e1 * t9199;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 5] += tv4rho2sigma25;

  t43497 = t41029 / 0.18e2;
  t43498 = t41032 / 0.36e2;
  t43499 = t41035 / 0.36e2;
  t43504 = t897 * t8759;
  t43515 = t616 * t206 * t3415;
  t43516 = t897 * t43515;
  t43522 = t903 * t8742 / 0.2e1;
  t43524 = t903 * t8746 / 0.4e1;
  t43526 = t22562 * t15617 / 0.3e1;
  t43527 = t43497 + t43498 - t43499 + 0.2e1 / 0.3e1 * t5328 * t8715 - 0.2e1 / 0.3e1 * t9208 * t3252 + 0.23e2 / 0.36e2 * t43504 * t8993 + t9208 * t3255 / 0.3e1 - t903 * t9122 + 0.3e1 / 0.2e1 * t903 * t9125 + t903 * t9114 / 0.2e1 - 0.2e1 * t43516 * t15591 - t903 * t9001 / 0.2e1 - t43522 - t43524 + t43526;
  t43529 = t903 * t8750 / 0.4e1;
  t43544 = t43529 - t3802 * t8726 - t41041 / 0.3e1 + t41086 / 0.18e2 - t41089 / 0.36e2 + t41091 / 0.9e1 - t41093 / 0.9e1 + t41100 / 0.2e1 - t41108 / 0.18e2 - t41113 / 0.18e2 + t41115 / 0.6e1 + t41117 / 0.9e1 + t41124 / 0.9e1 - t41127 / 0.6e1 - t41129 / 0.18e2;
  t43546 = t3824 * t2097;
  t43552 = t3814 * t2097;
  t43553 = t43552 * t752;
  t43556 = t3814 * t2092 * t223;
  t43559 = t3814 * t2086 * t223;
  t43560 = t43559 / 0.36e2;
  t43561 = t5366 * t1288;
  t43563 = t43552 * t630;
  t43565 = t27832 * t432;
  t43567 = t43552 * t637;
  t43573 = t43546 * t637 / 0.3e1 + 0.2e1 / 0.9e1 * t41162 - 0.2e1 / 0.9e1 * t41164 - 0.5e1 / 0.108e3 * t41189 - t43553 / 0.36e2 + t43556 / 0.18e2 - t43560 - t43561 / 0.18e2 - t43563 / 0.18e2 + t43565 / 0.6e1 + t43567 / 0.9e1 - t41308 / 0.2e1 + t41335 / 0.9e1 + t41337 / 0.18e2 - t41340 / 0.18e2;
  t43575 = t3835 * t2158 / 0.4e1;
  t43585 = t3825 * t2158 / 0.4e1;
  t43598 = t3824 * t2086 * t223 / 0.12e2;
  t43605 = t41349 + t43575 - t3825 * t2162 / 0.2e1 + t3835 * t2170 / 0.2e1 - t22759 * t2154 / 0.2e1 - t22732 * t2154 / 0.2e1 + t43585 + t3825 * t2170 / 0.2e1 + t9208 * t3577 / 0.3e1 - t5371 * t1288 / 0.6e1 - t5374 * t1288 / 0.6e1 - t1368 * t5140 / 0.6e1 - t43598 + t5379 * t1274 / 0.2e1 + 0.3e1 / 0.2e1 * t903 * t8766 + 0.3e1 / 0.2e1 * t22751 * t8772;
  t43609 = t3802 * t9042 / 0.2e1;
  t43622 = t897 * t8753;
  t43636 = -t43609 - 0.3e1 * t3802 * t9039 - t1368 * t5046 / 0.6e1 + t5335 * t8704 / 0.3e1 + t1368 * t5054 / 0.6e1 - t9208 * t3176 / 0.6e1 - t5328 * t8692 / 0.3e1 + t43622 * t1223 + t9208 * t3173 / 0.3e1 - 0.11e2 / 0.18e2 * t43504 * t8761 - t5379 * t1251 / 0.2e1 + 0.2e1 / 0.3e1 * t22562 * t15808 + t5379 * t1255 / 0.2e1 - t5379 * t1247 + t41413 / 0.6e1;
  t43641 = t903 * t9031 / 0.2e1;
  t43658 = t27714 * t8631 / 0.12e2 + t41415 / 0.36e2 + t43641 - t27916 * t1235 + t5379 * t1240 + 0.7e1 / 0.9e1 * t41427 - t8667 + t8683 + t41531 / 0.12e2 - t41534 - t3835 * t2167 / 0.4e1 - t903 * t9008 / 0.4e1 - t903 * t9013 / 0.4e1 + t5371 * t2108 / 0.12e2 + t5374 * t2108 / 0.12e2 + t1368 * t8810 / 0.12e2;
  t43667 = t206 * t3396;
  t43668 = t3512 * t43667;
  t43669 = t897 * t43668;
  t43683 = t1368 * t8843 / 0.12e2 - t3825 * t2167 / 0.4e1 + 0.3e1 * t3802 * t8730 + t3802 * t8734 - 0.3e1 / 0.2e1 * t43669 * t15581 - t3802 * t9117 / 0.2e1 + 0.7e1 / 0.3e1 * t43669 * t15577 + t903 * t9027 / 0.2e1 + t903 * t9022 - 0.3e1 * t903 * t9034 - t903 * t9024 - t41587 / 0.12e2 - t41604 - t41636 + t41641;
  t43692 = t897 * t8782;
  t43694 = t43692 * t1223 / 0.6e1;
  t43697 = t5366 * t2108;
  t43699 = t3818 * t2167;
  t43703 = t894 * t2148;
  t43705 = t3818 * t2162;
  t43707 = t3818 * t2158;
  t43708 = t43707 / 0.12e2;
  t43709 = t22719 * t2154;
  t43711 = t3818 * t2170;
  t43713 = -t890 * t2148 / 0.4e1 + t3824 * t2092 * t223 / 0.6e1 + t9216 * t612 / 0.6e1 - t42301 + 0.23e2 / 0.108e3 * t42306 + t42308 - t43694 - t5328 * t8986 / 0.3e1 + t43697 / 0.36e2 - t43699 / 0.12e2 - t43504 * t8996 / 0.2e1 - t43703 / 0.12e2 - t43705 / 0.6e1 + t43708 - t43709 / 0.6e1 + t43711 / 0.6e1;
  t43733 = -t42341 - t42343 - t42344 / 0.18e2 - t42346 / 0.18e2 + t42375 / 0.36e2 + t42377 / 0.36e2 - t42379 / 0.12e2 - t42388 / 0.3e1 + t42393 / 0.2e1 + t42394 / 0.6e1 - t43546 * t630 / 0.6e1 + t27900 * t432 / 0.2e1 + t27903 * t432 / 0.2e1 - t42399 - t27852 * t8644 / 0.6e1;
  t43739 = t42483 / 0.18e2;
  t43740 = t42486 / 0.9e1;
  t43746 = t27714 * t8651 / 0.6e1 + t42468 - 0.11e2 / 0.54e2 * t42470 - 0.2e1 / 0.3e1 * t42473 + t42479 / 0.3e1 - t43739 + t43740 - t42488 / 0.3e1 + t42548 + t42552 - t42558 - t42569 / 0.6e1 - t42584 / 0.6e1 - t42614 / 0.12e2 - t42622 / 0.6e1;
  t43750 = t42632 / 0.36e2;
  t43762 = t42713 / 0.36e2;
  t43763 = t42715 / 0.36e2;
  t43765 = -t307 * t8980 / 0.4e1 - t43750 + t42634 / 0.2e1 + t42635 / 0.3e1 + 0.2e1 / 0.9e1 * t42660 - t307 * t9101 / 0.4e1 + t42690 / 0.3e1 - t42697 / 0.18e2 - t42699 / 0.18e2 - t42705 / 0.36e2 - t42707 / 0.36e2 + t42710 / 0.18e2 - t43762 - t43763 + t42717 / 0.18e2;
  t43785 = t42721 - t42736 / 0.36e2 - t3835 * t2162 / 0.2e1 - t43546 * t752 / 0.12e2 - t9208 * t3599 / 0.12e2 - t9208 * t3540 / 0.6e1 + t42822 / 0.6e1 + t42824 / 0.6e1 - t42842 / 0.9e1 - t42857 / 0.6e1 + t42859 / 0.6e1 + t42861 / 0.6e1 + t42863 / 0.9e1 + t42865 / 0.9e1 - t42867 / 0.18e2 - t42869 / 0.18e2;
  t43812 = t43692 * t1300 / 0.12e2;
  t43814 = t9213 * t676 / 0.12e2;
  t43815 = -t42871 / 0.18e2 + t42875 / 0.6e1 + t42877 / 0.6e1 + t42908 / 0.6e1 - t9208 * t3308 / 0.12e2 + t9208 * t3272 / 0.6e1 - 0.5e1 / 0.36e2 * t43504 * t8786 - t5328 * t8848 / 0.6e1 + t9216 * t676 / 0.6e1 + t43622 * t1300 / 0.2e1 + t5335 * t8791 / 0.3e1 - t897 * t8794 * t1260 / 0.2e1 - t9216 * t670 / 0.6e1 - t43812 - t43814;
  t43816 = t897 * t8775;
  t43818 = t43816 * t1260 / 0.6e1;
  t43820 = t9213 * t670 / 0.12e2;
  t43823 = t43019 / 0.6e1;
  t43830 = t43028 / 0.6e1;
  t43831 = t43030 / 0.12e2;
  t43834 = t43085 / 0.6e1;
  t43835 = t43094 / 0.12e2;
  t43837 = t43818 + t43820 - t5328 * t8709 / 0.6e1 + t43014 - t43823 + t27867 * t8615 / 0.2e1 - t27723 * t8648 / 0.2e1 - t27872 * t8639 / 0.6e1 - t43830 - t43831 - t43064 / 0.12e2 - t43066 / 0.12e2 + t43834 + t43835 - t43096 / 0.6e1 + t43117;
  t43841 = t897 * t9069;
  t43845 = t9213 * t612 / 0.12e2;
  t43861 = -t898 * t9098 / 0.12e2 + t43841 * t250 / 0.4e1 - t43845 - t9215 + t9226 - t22520 * t8618 / 0.4e1 + t27723 * t8627 / 0.2e1 - t27719 * t15678 / 0.3e1 + t27852 * t8636 / 0.12e2 + t27723 * t8622 / 0.2e1 - t43120 / 0.12e2 - t43122 / 0.12e2 - t43124 / 0.12e2 + t43132 / 0.36e2 - t43171 / 0.6e1;
  t43865 = t43253 / 0.12e2;
  t43866 = t43255 / 0.12e2;
  t43878 = -t43177 / 0.3e1 - t43230 / 0.3e1 + t43235 / 0.3e1 + t43865 + t43866 - t43257 / 0.9e1 - t43264 / 0.6e1 - t43291 / 0.18e2 + t43293 / 0.6e1 + t43295 / 0.18e2 - t43338 / 0.6e1 + t43340 / 0.6e1 - t43370 / 0.6e1 + t43379 / 0.18e2 + t43381 / 0.36e2 + t43383 / 0.36e2;
  t43883 = my_piecewise3(t2, 0, t43527 + t43544 + t43573 + t43605 + t43636 + t43658 + t43683 + t43713 + t43733 + t43746 + t43765 + t43785 + t43815 + t43837 + t43861 + t43878);
  tv4rho2sigma26 = t3 * t43883 + t9132 + t9235;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 6] += tv4rho2sigma26;

  tv4rho2sigma27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 7] += tv4rho2sigma27;

  tv4rho2sigma28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 8] += tv4rho2sigma28;

  tv4rho2sigma29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 9] += tv4rho2sigma29;

  tv4rho2sigma210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 10] += tv4rho2sigma210;

  t43886 = t4052 * t2249 / 0.4e1;
  t43908 = t4045 * t2177 * t350 / 0.12e2;
  t43911 = t4045 * t2188;
  t43918 = t43886 - t23909 * t2245 / 0.2e1 - t23902 * t2245 / 0.2e1 + t4052 * t2261 / 0.2e1 + t5419 * t1462 / 0.2e1 - t4052 * t2253 / 0.2e1 + t4046 * t2261 / 0.2e1 - t4046 * t2253 / 0.2e1 + t4045 * t2183 * t350 / 0.6e1 - t9151 * t4352 / 0.6e1 - t43908 - t9151 * t4490 / 0.12e2 - t43911 * t1016 / 0.6e1 + t9148 * t1087 / 0.6e1 - t43911 * t1090 / 0.12e2;
  t43935 = t933 * t9709;
  t43939 = t4046 * t2249 / 0.4e1;
  t43942 = t937 * t9284;
  t43943 = t43942 * t9345;
  t43945 = t933 * t9284;
  t43948 = -t1351 * t5683 / 0.6e1 + t43911 * t1023 / 0.3e1 - t5439 * t1449 / 0.6e1 + t9151 * t4438 / 0.3e1 - t5448 * t1449 / 0.6e1 + t28544 * t457 / 0.2e1 + t28833 * t457 / 0.2e1 - t934 * t9705 / 0.12e2 + t43935 * t377 / 0.4e1 + t43939 - t5489 * t9297 / 0.3e1 - t43396 + t43398 - t43943 / 0.2e1 - t43945 * t9289 / 0.2e1;
  t43977 = -t9151 * t4722 / 0.12e2 + t5448 * t2199 / 0.12e2 + t9151 * t4163 / 0.3e1 - t9151 * t4166 / 0.6e1 - t5489 * t9415 / 0.3e1 - t5489 * t9408 / 0.6e1 - t1351 * t6017 / 0.6e1 + t1351 * t6008 / 0.6e1 + t5508 * t9434 / 0.3e1 + t9151 * t4656 / 0.3e1 + 0.2e1 / 0.3e1 * t5489 * t9427 - 0.2e1 / 0.3e1 * t9151 * t4691 + t4065 * t9455 - t5419 * t1420 - t4065 * t9449;
  t43980 = t937 * t9329;
  t43981 = t43980 * t1438;
  t43983 = t9157 * t997;
  t43986 = t937 * t9524 * t1433;
  t43988 = t933 * t9329;
  t43991 = t948 * t9337;
  t43992 = t948 * t9341;
  t43994 = t948 * t9466;
  t43996 = t948 * t9497;
  t43998 = t948 * t9493;
  t44000 = 0.3e1 * t4065 * t9451 + t43981 / 0.6e1 - t43983 / 0.18e2 - t43986 / 0.6e1 - 0.2e1 * t43988 * t1402 - t43991 + t43992 / 0.2e1 - t43994 / 0.6e1 + t43996 / 0.6e1 + t43998 / 0.3e1 + t43403 + t43406 + t43408 + t43410 - t43412 - t43414;
  t44003 = t948 * t9495;
  t44005 = t43980 * t1396;
  t44007 = t937 * t9305;
  t44008 = t44007 * t1402;
  t44009 = t44008 / 0.9e1;
  t44010 = t44007 * t1396;
  t44011 = t44010 / 0.18e2;
  t44012 = t5464 * t9301;
  t44014 = t5464 * t9297;
  t44016 = t294 * t9659;
  t44018 = t929 * t2239;
  t44025 = t945 * t9440 / 0.4e1;
  t44028 = -t43416 + t43419 + t43421 - t44003 / 0.3e1 + t44005 / 0.3e1 + t44009 - t44011 + 0.2e1 / 0.9e1 * t44012 - t44014 / 0.9e1 - t44016 / 0.12e2 - t44018 / 0.12e2 - t290 * t9659 / 0.4e1 + t5419 * t1428 / 0.2e1 - t44025 - t5419 * t1424 / 0.2e1;
  t44032 = t945 * t9462 / 0.2e1;
  t44034 = t9154 * t1002 / 0.12e2;
  t44035 = t933 * t9305;
  t44037 = t44035 * t1438 / 0.12e2;
  t44038 = t933 * t9350;
  t44040 = t44038 * t1433 / 0.6e1;
  t44042 = t9154 * t997 / 0.12e2;
  t44064 = -t4065 * t9458 / 0.2e1 - t44032 - t44034 - t44037 + t44040 + t44042 + t43988 * t1438 / 0.2e1 - t933 * t9524 * t1433 / 0.2e1 - t9148 * t997 / 0.6e1 - t5489 * t9518 / 0.6e1 + t5508 * t9521 / 0.3e1 - 0.5e1 / 0.36e2 * t43945 * t9405 + t9148 * t1002 / 0.6e1 + t9151 * t4687 / 0.6e1 + t1351 * t9400 / 0.12e2 + t5439 * t2199 / 0.12e2;
  t44070 = t9178 * t1002;
  t44071 = t44070 / 0.36e2;
  t44072 = t44007 * t1438;
  t44073 = t44072 / 0.36e2;
  t44074 = t937 * t9350;
  t44075 = t44074 * t1433;
  t44076 = t44075 / 0.18e2;
  t44077 = t28415 * t9250;
  t44079 = t43942 * t9286;
  t44081 = t43942 * t9289;
  t44083 = t43942 * t9292;
  t44089 = t945 * t9485 / 0.4e1;
  t44094 = t1351 * t9367 / 0.12e2 - t925 * t2239 / 0.4e1 - t44071 - t44073 + t44076 - t44077 / 0.9e1 + 0.23e2 / 0.108e3 * t44079 - t44081 / 0.6e1 + 0.7e1 / 0.9e1 * t44083 - t290 * t9676 / 0.4e1 - t43440 + t43442 / 0.18e2 + t44089 - t945 * t9481 / 0.4e1 - t4052 * t2258 / 0.4e1;
  t44107 = t44035 * t1396 / 0.6e1;
  t44109 = t44035 * t1402 / 0.3e1;
  t44113 = t43453 / 0.12e2;
  t44114 = t9178 * t997;
  t44115 = t44114 / 0.36e2;
  t44117 = t43458 / 0.36e2;
  t44118 = -t945 * t9476 / 0.4e1 - t945 * t9466 / 0.2e1 - t4046 * t2258 / 0.4e1 - t945 * t9495 + t945 * t9497 / 0.2e1 + t945 * t9493 + t43988 * t1396 - t44107 + t44109 - t43447 / 0.18e2 + t43449 / 0.6e1 + t43451 / 0.9e1 + t44113 + t44115 - t43455 / 0.36e2 - t44117;
  t44123 = t1354 * t9367;
  t44125 = t5426 * t2199;
  t44127 = t5431 * t2199;
  t44129 = t9175 * t4722;
  t44131 = t9175 * t4166;
  t44133 = t9175 * t4163;
  t44135 = t5464 * t9415;
  t44137 = t1354 * t6017;
  t44139 = t5464 * t9408;
  t44141 = t1354 * t6008;
  t44143 = t5477 * t9434;
  t44145 = t9175 * t4656;
  t44147 = t9175 * t4691;
  t44149 = t938 * t9705;
  t44151 = -t43460 / 0.18e2 + t44123 / 0.36e2 + t44125 / 0.36e2 + t44127 / 0.36e2 - t44129 / 0.36e2 - t44131 / 0.18e2 + t44133 / 0.9e1 - t44135 / 0.9e1 - t44137 / 0.18e2 - t44139 / 0.18e2 + t44141 / 0.18e2 + t44143 / 0.9e1 + t44145 / 0.9e1 - 0.2e1 / 0.9e1 * t44147 - t44149 / 0.36e2;
  t44152 = t4019 * t2249;
  t44153 = t44152 / 0.12e2;
  t44154 = t23639 * t2245;
  t44156 = t23858 * t2245;
  t44165 = t4009 * t2183 * t350;
  t44167 = t9178 * t1087;
  t44168 = t44167 / 0.36e2;
  t44170 = t4009 * t2177 * t350;
  t44171 = t44170 / 0.36e2;
  t44172 = t9175 * t4352;
  t44174 = t4009 * t2188;
  t44175 = t44174 * t1016;
  t44177 = t9175 * t4490;
  t44179 = t44174 * t1090;
  t44181 = t9157 * t1087;
  t44183 = t44174 * t1023;
  t44185 = t44153 - t44154 / 0.6e1 - t44156 / 0.6e1 + 0.3e1 / 0.2e1 * t945 * t9341 - 0.3e1 / 0.2e1 * t43945 * t9345 - 0.3e1 * t945 * t9337 + t44165 / 0.18e2 - t44168 - t44171 - t44172 / 0.18e2 - t44175 / 0.18e2 - t44177 / 0.36e2 - t44179 / 0.36e2 + t44181 / 0.18e2 + t44183 / 0.9e1;
  t44187 = t1354 * t5683;
  t44191 = t5414 * t1420;
  t44193 = t4040 * t9455;
  t44195 = t4040 * t9451;
  t44196 = t4040 * t9449;
  t44198 = t5414 * t1428;
  t44200 = t5414 * t1424;
  t44202 = t948 * t9440;
  t44203 = t44202 / 0.12e2;
  t44204 = t948 * t9462;
  t44205 = t44204 / 0.6e1;
  t44206 = t4040 * t9458;
  t44208 = t948 * t9673;
  t44212 = t948 * t9669;
  t44214 = -t44187 / 0.18e2 + 0.2e1 / 0.3e1 * t5489 * t9301 - t44191 / 0.3e1 + t44193 / 0.3e1 + t44195 - t44196 / 0.3e1 + t44198 / 0.6e1 - t44200 / 0.6e1 - t44203 - t44205 - t44206 / 0.6e1 + t44208 / 0.6e1 - t43473 / 0.12e2 + t43475 / 0.36e2 + t44212 / 0.2e1;
  t44215 = t948 * t9666;
  t44217 = t948 * t9485;
  t44218 = t44217 / 0.12e2;
  t44219 = t948 * t9481;
  t44221 = t948 * t9476;
  t44223 = t4013 * t2258;
  t44225 = t4019 * t2258;
  t44227 = t43942 * t9333;
  t44229 = t948 * t9325;
  t44230 = t44229 / 0.6e1;
  t44231 = t43980 * t1402;
  t44233 = t4040 * t9322;
  t44234 = t44233 / 0.6e1;
  t44235 = t23721 * t9313;
  t44237 = t4040 * t9318;
  t44238 = t28634 * t1408;
  t44240 = t5414 * t1413;
  t44246 = -t44215 / 0.3e1 + t44218 - t44219 / 0.12e2 - t44221 / 0.12e2 - t44223 / 0.12e2 - t44225 / 0.12e2 - 0.11e2 / 0.54e2 * t44227 + t44230 - 0.2e1 / 0.3e1 * t44231 - t44234 + t44235 / 0.2e1 - t44237 - t44238 / 0.3e1 + t44240 / 0.3e1 + t945 * t9673 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t9669;
  t44250 = t28407 * t9239;
  t44252 = t28412 * t9280;
  t44254 = t5464 * t9427;
  t44256 = t5426 * t1449;
  t44258 = t5431 * t1449;
  t44260 = t9175 * t4438;
  t44262 = t5414 * t1462;
  t44264 = t4019 * t2253;
  t44267 = t9154 * t1087 / 0.12e2;
  t44268 = t4019 * t2261;
  t44270 = t4013 * t2253;
  t44275 = -t945 * t9666 - t44250 / 0.18e2 + t44252 / 0.36e2 + 0.2e1 / 0.9e1 * t44254 - t44256 / 0.18e2 - t44258 / 0.18e2 + t44260 / 0.9e1 + t44262 / 0.6e1 - t44264 / 0.6e1 - t44267 + t44268 / 0.6e1 - t44270 / 0.6e1 - t43477 / 0.6e1 + t43479 / 0.6e1 - t43481 / 0.6e1;
  t44292 = t294 * t9676;
  t44294 = t5477 * t9521;
  t44296 = t5464 * t9518;
  t44298 = t9157 * t1002;
  t44300 = t43942 * t9405;
  t44302 = t9175 * t4687;
  t44304 = t1354 * t9400;
  t44306 = t4013 * t2261;
  t44308 = t28420 * t9246 / 0.6e1 - t28455 * t9243 / 0.2e1 + t28420 * t9275 / 0.12e2 - t23531 * t9267 / 0.4e1 + t28455 * t9264 / 0.2e1 + t28455 * t9259 / 0.2e1 + t28913 * t9255 / 0.2e1 - t28420 * t9250 / 0.3e1 - t44292 / 0.12e2 + t44294 / 0.9e1 - t44296 / 0.18e2 + t44298 / 0.18e2 - 0.5e1 / 0.108e3 * t44300 + t44302 / 0.18e2 + t44304 / 0.36e2 + t44306 / 0.6e1;
  t44315 = t28427 * t9255;
  t44317 = t28415 * t9246;
  t44319 = t28439 * t9243;
  t44322 = t945 * t9325 / 0.2e1;
  t44329 = t28459 * t9280 / 0.12e2 - t28459 * t9272 / 0.6e1 + t43484 - t43485 / 0.12e2 + t44315 / 0.6e1 + t44317 / 0.18e2 - t44319 / 0.6e1 + t44322 + 0.3e1 / 0.2e1 * t23924 * t9313 - 0.3e1 * t4065 * t9318 + t5419 * t1413 - t28861 * t1408 - t43491 - t9156 + t9168;
  t44330 = t28768 * t457;
  t44332 = t937 * t9709;
  t44333 = t44332 * t377;
  t44335 = t4013 * t2249;
  t44336 = t44335 / 0.12e2;
  t44337 = t28439 * t9259;
  t44339 = t28415 * t9275;
  t44341 = t24019 * t9267;
  t44343 = t28412 * t9272;
  t44345 = t28439 * t9264;
  t44352 = t4065 * t9322 / 0.2e1;
  t44357 = t28815 * t457;
  t44359 = -t9180 + t9188 + t44330 / 0.6e1 + t44333 / 0.12e2 + t44336 + t44337 / 0.6e1 + t44339 / 0.36e2 - t44341 / 0.12e2 - t44343 / 0.18e2 + t44345 / 0.6e1 - 0.11e2 / 0.18e2 * t43945 * t9333 + 0.23e2 / 0.36e2 * t43945 * t9286 - t44352 + 0.7e1 / 0.3e1 * t43945 * t9292 - t28449 * t9239 / 0.6e1 + t44357 / 0.6e1;
  t44364 = my_piecewise3(t100, 0, t43918 + t43948 + t43977 + t44000 + t44028 + t44064 + t44094 + t44118 + t44151 + t44185 + t44214 + t44246 + t44275 + t44308 + t44329 + t44359);
  tv4rho2sigma211 = t3 * t44364 + t9199 + t9730;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 11] += tv4rho2sigma211;

  t44370 = t3953 * t2097;
  t44379 = t3953 * t2086 * t223 / 0.12e2;
  t44387 = t3959 * t2158 / 0.4e1;
  t44395 = t43559 / 0.18e2;
  t44404 = -t23097 * t2154 / 0.2e1 - t43553 / 0.18e2 + t43556 / 0.9e1 - t44395 - t43561 / 0.9e1 - t43563 / 0.9e1 + t43565 / 0.3e1 + 0.2e1 / 0.9e1 * t43567 + t41349 + t5519 * t2108 / 0.12e2 - t3959 * t2167 / 0.4e1;
  t44410 = t43707 / 0.6e1;
  t44416 = -t42341 - t42343 - t42399 + t42468 + t42548 + t42552 - t42558 + t42721 + t43014 + t43117 - t972 * t2148 / 0.4e1;
  t44419 = my_piecewise3(t2, 0, t3953 * t2092 * t223 / 0.6e1 - t44370 * t752 / 0.12e2 - t44370 * t630 / 0.6e1 - t5519 * t1288 / 0.6e1 - t44379 + t28348 * t432 / 0.2e1 - t3959 * t2162 / 0.2e1 + t44370 * t637 / 0.3e1 + t44387 + t3959 * t2170 / 0.2e1 + t44404 - t41534 - t41636 + t41641 + t43697 / 0.18e2 - t43699 / 0.6e1 - t43703 / 0.6e1 - t43705 / 0.3e1 + t44410 - t43709 / 0.3e1 + t43711 / 0.3e1 + t44416);
  tv4rho2sigma212 = t3 * t44419 + 0.2e1 * t9235;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 12] += tv4rho2sigma212;

  tv4rho2sigma213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 13] += tv4rho2sigma213;

  tv4rho2sigma214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 14] += tv4rho2sigma214;

  tv4rho2sigma215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 15] += tv4rho2sigma215;

  tv4rho2sigma216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 16] += tv4rho2sigma216;

  t44422 = t1383 * t1383;
  t44425 = t321 * t616 * t44422 * t1007;
  t44430 = t1031 * t44422;
  t44433 = t349 * t9659;
  t44437 = t4462 * t2249 / 0.4e1;
  t44441 = t4454 * t2249 / 0.4e1;
  t44443 = t4457 * t2249 / 0.2e1;
  t44471 = t1454 * t5706 / 0.2e1 - t25066 * t2245 / 0.2e1 - t25071 * t2245 + t4462 * t2261 / 0.2e1 + t321 * t194 * t44422 * t1043 * t350 / 0.3e1 - t44425 * t1090 / 0.6e1 - t442 * t30040 / 0.6e1 - t1378 * t5683 / 0.3e1 - t5726 * t1449 / 0.6e1 - t1386 * t5683 / 0.3e1 + 0.2e1 / 0.3e1 * t9510 * t4438;
  t44486 = t1020 * t2239;
  t44489 = t1074 * t9709;
  t44494 = t321 * t369 * t9657 * t370;
  t44503 = t1020 * t2238 * t1021;
  t44508 = t321 * t369 * t2237 * t1027;
  t44516 = t4453 * t2177 * t350 / 0.12e2;
  t44518 = t9503 * t1087 / 0.6e1;
  t44520 = t2178 * t4487 / 0.12e2;
  t44523 = t4453 * t2188;
  t44528 = -t1075 * t9705 / 0.6e1 - t1084 * t9705 / 0.12e2 + t1010 * t44503 / 0.3e1 - t44508 * t1036 / 0.2e1 + t4453 * t2183 * t350 / 0.6e1 - t44516 - t44518 - t44520 - t2189 * t24432 / 0.6e1 - t44523 * t1016 / 0.6e1 - t9510 * t4352 / 0.3e1;
  t44553 = t1015 * t2239;
  t44569 = t321 * t194 * t9304 * t6029 / 0.2e1;
  t44572 = -t1010 * t44553 / 0.6e1 + t4457 * t2261 - t4454 * t2253 / 0.2e1 - t4457 * t2253 - t4462 * t2253 / 0.2e1 - t9710 * t1046 / 0.2e1 + t4454 * t2261 / 0.2e1 - t44569 - t43396 + t43398 + t2184 * t4710 / 0.3e1;
  t44574 = t1031 * t9283;
  t44587 = 0.3e1 / 0.2e1 * t373 * t374 * t9304 * t6037;
  t44590 = -t43943 - 0.18e2 * t1030 * t44574 * t5654 + t1030 * t9454 * t24677 - t1454 * t5793 + t43981 / 0.3e1 - t43983 / 0.9e1 - t43986 / 0.3e1 + t44587 - 0.2e1 * t43991 + t43992 - t43994 / 0.3e1;
  t44597 = t4676 * t2215;
  t44608 = t1013 * t1014 * t5704;
  t44613 = t43996 / 0.3e1 + 0.2e1 / 0.3e1 * t43998 + 0.3e1 * t30060 * t5631 + t1078 * t9497 + t1056 * t9497 + t373 * t44597 * t1094 / 0.2e1 - t1078 * t9466 - t1056 * t9466 - t373 * t4676 * t2211 * t1045 / 0.2e1 + t373 * t1405 * t44608 - 0.2e1 * t1078 * t9495;
  t44627 = 0.2e1 / 0.3e1 * t9306 * t5797;
  t44629 = t9306 * t4248 / 0.3e1;
  t44630 = t2175 * t4356;
  t44632 = t321 * t3512 * t44630;
  t44634 = 0.23e2 / 0.36e2 * t44632 * t5790;
  t44642 = t1177 * t4333;
  t44651 = t989 * t1384;
  t44669 = t24789 * t4356;
  t44683 = t5871 * t1007;
  t44686 = -0.4e1 * t448 * t4714 - 0.4e1 * t44642 * t2389 - 0.2e1 * t9382 * t4225 - 0.2e1 * t5564 - 0.8e1 * t989 * t5801 * t1419 - 0.4e1 * t44651 * t1100 + 0.4e1 * t9382 * t4714 + 0.12e2 * t989 * t1389 * t6037 - 0.12e2 * t9379 * t29995 + 0.4e1 * t9389 * t4667 + 0.2e1 * t448 * t4225 + 0.2e1 / 0.3e1 * t24702 * t2389 + 0.4e1 / 0.3e1 * t9370 * t9448 + 0.2e2 / 0.9e1 * t44669 * t17190 + 0.2e1 * t989 * t5704 * t376 + 0.24e2 * t1475 * t4333 * t5659 - 0.12e2 * t5854 * t4356 * t5616 + 0.4e1 / 0.3e1 * t44669 * t17050 - 0.8e1 * t44683 * t1412;
  t44694 = t24764 * t5608;
  t44699 = t4206 * t5645;
  t44712 = t4206 * t5752;
  t44728 = -0.12e2 * t445 * t1007 * t6037 - 0.4e1 * t9379 * t29990 + 0.8e1 * t9376 * t30326 + 0.32e2 / 0.3e1 * t44694 * t5611 + 0.12e2 * t44694 * t5616 - 0.24e2 * t44699 * t5659 - 0.4e1 * t9394 * t5808 + 0.8e1 * t1467 * t1043 * t1419 + 0.4e1 * t1488 * t1100 - 0.2e1 * t5952 * t349 + 0.12e2 * t5543 + 0.8e1 * t44712 * t1412 + 0.4e1 * t9379 * t5808 - 0.8e1 * t5600 + 0.8e1 / 0.3e1 * t44712 * t1407 - 0.4e1 * t9376 * t4667 - 0.8e1 * t44699 * t5654 + 0.4e1 / 0.3e1 * t9379 * t5776 + 0.16e2 / 0.9e1 * t44694 * t5630;
  t44729 = t44686 + t44728;
  t44731 = t985 * t348 * t44729;
  t44736 = t1078 * t9485 / 0.2e1;
  t44738 = t1056 * t9485 / 0.2e1;
  t44742 = t373 * t4676 * t2208 * t376 / 0.4e1;
  t44759 = -t373 * t1423 * t44731 / 0.4e1 + t44736 + t44738 + t44742 - 0.2e1 * t1078 * t9666 - t1056 * t9476 / 0.2e1 - t1056 * t9481 / 0.2e1 - t373 * t29401 * t2257 / 0.4e1 - t373 * t5833 * t9480 / 0.2e1 - t4454 * t2258 / 0.4e1 - t4457 * t2258 / 0.2e1;
  t44767 = t110 * t2216;
  t44770 = t403 * t1383;
  t44772 = t5553 * t4143 * t44770;
  t44775 = t1383 * t994;
  t44777 = t5549 * t1021 * t44775;
  t44782 = t356 * t452;
  t44783 = t44782 * t5567;
  t44786 = t28964 * t5571;
  t44789 = t380 * t44770;
  t44790 = t5553 * t44789;
  t44796 = t5591 * t44789;
  t44799 = t168 * t44775;
  t44800 = t5587 * t44799;
  t44803 = t1034 * t452;
  t44804 = t44803 * t5567;
  t44807 = t4408 * t452;
  t44808 = t44807 * t5571;
  t44811 = t110 * t9532;
  t44815 = t110 * t9536;
  t44816 = t10458 * t5567;
  t44819 = t5549 * t44799;
  t44824 = t1383 * t333;
  t44825 = t168 * t44824;
  t44826 = t5553 * t44825;
  t44829 = 0.2e1 / 0.3e1 * t44767 * t24127 - 0.2e1 / 0.3e1 * t5548 * t44796 + 0.4e1 / 0.3e1 * t5548 * t44800 - t5548 * t44804 / 0.3e1 + t5548 * t44808 / 0.2e1 + t44811 * t5568 + t44767 * t24235 / 0.3e1 - 0.5e1 / 0.18e2 * t44815 * t44816 + 0.2e1 / 0.3e1 * t5548 * t44819 - 0.11e2 / 0.6e1 * t44811 * t5572 + 0.2e1 * t29017 * t44826;
  t44832 = t5582 * t44789;
  t44835 = t110 * t9563;
  t44837 = t110 * t2212;
  t44840 = t29498 * t5571;
  t44843 = t10458 * t44825;
  t44847 = t4137 * t44799;
  t44850 = t5582 * t44825;
  t44853 = t5536 * t2187;
  t44861 = t2196 * t1005;
  t44862 = t4549 * t44861;
  t44866 = t168 * t44861;
  t44867 = t4137 * t44866;
  t44874 = t24794 * t44861;
  t44879 = t5540 * t9556 * t5599;
  t44886 = t110 * t5668;
  t44889 = t1021 * t44861;
  t44893 = t5587 * t44866;
  t44895 = 0.3e1 * t5540 * t5860 * t44862 + t30295 * t44867 / 0.2e1 + 0.3e1 / 0.2e1 * t28954 * t29498 * t4403 * t44861 - 0.3e1 / 0.2e1 * t10506 * t5855 * t44874 + t44879 - 0.2e1 * t5535 * t5537 * t9448 - 0.2e1 * t28961 * t5603 - t28961 * t5596 + 0.2e1 * t44886 * t5600 + 0.2e1 * t29017 * t5549 * t44889 - t29017 * t44893;
  t44897 = t4408 * t44775;
  t44920 = 0.4e1 * t5559 * t1476 * t44897 + 0.2e1 / 0.3e1 * t5986 * t9434 + t1386 * t6008 / 0.3e1 - t5754 * t9408 / 0.3e1 + 0.2e1 / 0.3e1 * t5814 * t9434 + t1378 * t6008 / 0.3e1 - t5763 * t9408 / 0.3e1 - t1378 * t6017 / 0.3e1 - 0.4e1 / 0.3e1 * t2189 * t24246 + 0.2e1 / 0.3e1 * t2189 * t24301 - t5717 * t1424;
  t44923 = t1400 * t1054 * t9413;
  t44936 = t2237 * t146;
  t44938 = t1000 * t44936 * t978;
  t44942 = t987 * t44936 * t995;
  t44945 = t5717 * t1428 + 0.4e1 / 0.3e1 * t1391 * t44923 - 0.2e1 * t5717 * t1420 + t5689 * t1428 - 0.2e1 * t5689 * t1420 - t5689 * t1424 - t9710 * t1101 / 0.4e1 + t9710 * t980 / 0.2e1 - t338 * t44938 / 0.6e1 + t338 * t44942 / 0.12e2 + t43403;
  t44953 = 0.2e1 / 0.9e1 * t44008;
  t44954 = t44010 / 0.9e1;
  t44963 = t2181 * t24370;
  t44964 = t25083 * t44963;
  t44966 = t24376 * t24377 * t1005;
  t44970 = t2181 * t24085;
  t44971 = t4373 * t44970;
  t44975 = t24376 * t5629;
  t44979 = t44953 - t44954 + 0.4e1 / 0.9e1 * t44012 - 0.2e1 / 0.9e1 * t44014 - t44016 / 0.6e1 - t44018 / 0.6e1 - 0.6e1 * t5674 * t5612 + 0.3e1 * t1454 * t5617 - 0.6e1 * t25375 * t44964 * t44966 - 0.18e2 * t373 * t44971 * t5616 - 0.18e2 * t1030 * t44964 * t44975;
  t44981 = t24376 * t5610;
  t44986 = t321 * t21182 * t44963;
  t45001 = t321 * t616 * t9283;
  t45004 = t2175 * t4333;
  t45006 = t321 * t616 * t45004;
  t45008 = 0.2e1 * t45006 * t5648;
  t45009 = t45006 * t5651;
  t45010 = t1452 * t5624;
  t45011 = t1400 * t45010;
  t45014 = t6006 * t5624;
  t45015 = t1393 * t45014;
  t45019 = t2196 * t4544;
  t45020 = t24858 * t45019;
  t45024 = t24848 * t44861;
  t45028 = t5549 * t44866;
  t45031 = t24858 * t145;
  t45033 = t45031 * t168 * t45019;
  t45039 = t5536 * t9328;
  t45043 = t4408 * t44824;
  t45047 = t24823 * t5541;
  t45051 = t1093 * t44824;
  t45055 = t29903 * t9283;
  t45059 = -t2180 - 0.3e1 / 0.2e1 * t5540 * t446 * t45020 + 0.3e1 * t5559 * t5855 * t45024 - t29017 * t45028 / 0.2e1 + t5575 * t45033 / 0.2e1 + 0.11e2 * t5540 * t9532 * t5542 - 0.6e1 * t4145 * t45039 * t1412 + 0.6e1 * t5540 * t5855 * t45043 - 0.15e2 / 0.2e1 * t5540 * t9536 * t45047 - 0.12e2 * t5540 * t5860 * t45051 + 0.3e1 * t4145 * t45055 * t9340;
  t45063 = t10458 * t4403 * t44824;
  t45074 = t110 * t29029;
  t45078 = t110 * t452 * t5533;
  t45092 = t321 * t3512 * t44970;
  t45101 = t1000 * t45014;
  t45117 = t5640 * t15844;
  t45120 = -t2189 * t24325 - t442 * t29921 / 0.3e1 - t6028 * t45101 + 0.2e1 * t2189 * t24321 - 0.3e1 * t1030 * t9454 * t24310 + 0.3e1 * t1454 * t6038 + 0.2e1 * t5689 * t1413 + 0.2e1 * t5717 * t1413 + 0.2e1 * t1454 * t5805 + t1454 * t5809 + 0.14e2 / 0.3e1 * t24273 * t45117;
  t45125 = t44632 * t5636 / 0.2e1;
  t45126 = t5634 * t45014;
  t45128 = t29555 * t5635;
  t45131 = t4373 * t44630;
  t45134 = 0.3e1 * t1030 * t45131 * t5611;
  t45137 = 0.3e1 / 0.2e1 * t373 * t45131 * t5616;
  t45138 = t29110 * t5635;
  t45143 = t1074 * t9284;
  t45148 = t4697 * t9413;
  t45149 = t1000 * t45148;
  t45152 = 0.3e1 * t1078 * t9341 - t45125 - t5621 * t45126 - 0.2e1 * t44986 * t45128 - t45134 + t45137 - 0.38e2 / 0.9e1 * t44986 * t45138 + t9510 * t4687 / 0.3e1 - 0.5e1 / 0.18e2 * t45143 * t9405 - t9510 * t4722 / 0.6e1 + 0.2e1 / 0.3e1 * t1432 * t45149;
  t45163 = t29090 * t1394;
  t45164 = t1400 * t45163;
  t45173 = t1000 * t45163;
  t45176 = -t9525 * t5989 - t2184 * t4699 / 0.3e1 + t9330 * t6013 + t2184 * t4726 / 0.3e1 - 0.4e1 / 0.3e1 * t9510 * t4691 + 0.2e1 / 0.3e1 * t9510 * t4656 - t1391 * t45164 / 0.3e1 - t442 * t29568 / 0.3e1 + 0.4e1 / 0.3e1 * t5763 * t9427 - t1386 * t6017 / 0.3e1 + 0.2e1 / 0.3e1 * t1432 * t45173;
  t45189 = t24794 * t5541;
  t45196 = t4396 * t44824;
  t45202 = 0.3e1 / 0.2e1 * t5540 * t9568 * t5542;
  t45203 = t4376 * t44824;
  t45207 = t24848 * t5541;
  t45214 = 0.3e1 / 0.2e1 * t5559 * t9568 * t24182;
  t45215 = t5536 * t9304;
  t45217 = t5535 * t45215 * t1407;
  t45219 = t4145 * t45215 * t1412;
  t45220 = t1021 * t44824;
  t45221 = t5553 * t45220;
  t45226 = t29517 * t5571;
  t45229 = t10458 * t45220;
  t45232 = t29498 * t5550;
  t45237 = t10485 * t44825;
  t45240 = t29911 * t5571;
  t45243 = t45214 - t45217 + t45219 - 0.8e1 * t29017 * t45221 + 0.22e2 / 0.3e1 * t44811 * t5551 + 0.55e2 / 0.18e2 * t44815 * t45226 + 0.23e2 / 0.9e1 * t28954 * t45229 - 0.115e3 / 0.36e2 * t44815 * t45232 - 0.4e1 * t44811 * t5556 - 0.22e2 / 0.9e1 * t28954 * t45237 + 0.5e1 / 0.2e1 * t44815 * t45240;
  t45245 = t10485 * t5567;
  t45248 = t10458 * t5555;
  t45251 = t5549 * t44825;
  t45257 = t10485 * t45220;
  t45263 = t5549 * t5567;
  t45270 = t2178 * t4699 / 0.6e1;
  t45273 = t9306 * t6013 / 0.6e1;
  t45275 = t2178 * t4726 / 0.6e1;
  t45277 = t9503 * t997 / 0.6e1;
  t45278 = t1074 * t9305;
  t45280 = t45278 * t1438 / 0.6e1;
  t45282 = t9503 * t1002 / 0.6e1;
  t45284 = t9351 * t5989 / 0.3e1;
  t45286 = t2178 * t4710 / 0.6e1;
  t45288 = t1056 * t9440 / 0.2e1;
  t45290 = t1078 * t9440 / 0.2e1;
  t45291 = t1056 * t9462;
  t45293 = -t4383 * t9458 - t45273 - t45275 + t45277 - t45280 - t45282 + t45284 - t45286 - t45288 - t45290 - t45291;
  t45296 = t1078 * t9462;
  t45315 = t21181 * t2181 * t24923;
  t45316 = t24848 * t5912;
  t45319 = t69 * t2175;
  t45320 = t45319 * t4375;
  t45322 = 0.3e1 * t45320 * t5923;
  t45325 = t2211 * t24905;
  t45328 = t2208 * t4425;
  t45330 = 0.3e1 * t45328 * t5930;
  t45331 = t2209 * t4571;
  t45332 = t615 * t44422;
  t45333 = t45332 * t1033;
  t45336 = t142 * t1383;
  t45337 = t45336 * t994;
  t45338 = t1203 * t45337;
  t45342 = t2208 * t5843;
  t45344 = 0.4e1 * t45342 * t5847;
  t45345 = t45336 * t333;
  t45346 = t360 * t45345;
  t45349 = t360 * t45337;
  t45352 = t2232 * t1005;
  t45353 = t1182 * t45352;
  t45357 = t24858 * t2232 * t4544;
  t45364 = t24930 * t5856;
  t45371 = t1182 * t143 * t44729;
  t45373 = t45344 + 0.24e2 * t30474 * t45346 + 0.8e1 * t5844 * t45349 + 0.3e1 * t5905 * t45353 + 0.3e1 * t446 * t45357 - 0.2e1 * t2216 * t24842 - t9536 * t24791 / 0.9e1 - t45315 * t45364 / 0.9e1 - t5921 * t2220 - 0.2e1 * t1468 * t9617 - t446 * t45371;
  t45376 = t4543 * t2232 * t4223;
  t45378 = t1190 * t142;
  t45379 = t9262 * t333;
  t45380 = t45378 * t45379;
  t45383 = t1203 * t142;
  t45384 = t45383 * t45379;
  t45387 = t360 * t142;
  t45388 = t45387 * t45379;
  t45391 = t9535 * t24899;
  t45394 = t4376 * t5879;
  t45397 = t24958 * t5856;
  t45406 = t9540 * t333;
  t45407 = t4549 * t45406;
  t45410 = -t446 * t45376 - 0.5e1 / 0.3e1 * t30501 * t45380 + 0.1e2 * t30501 * t45384 - 0.8e1 * t30469 * t45388 + 0.8e1 * t45391 * t5864 - 0.2e1 / 0.3e1 * t9536 * t45394 - 0.4e1 / 0.3e1 * t45315 * t45397 + 0.6e1 * t9536 * t24829 - 0.22e2 * t9532 * t5868 + 0.2e1 * t5872 * t9632 + 0.2e1 * t1476 * t45407;
  t45411 = t2232 * t1069;
  t45412 = t4549 * t45411;
  t45414 = t24848 * t45352;
  t45417 = t1199 * t1383;
  t45418 = t4549 * t45417;
  t45421 = t24848 * t5867;
  t45424 = t1182 * t45417;
  t45431 = t4408 * t45352;
  t45434 = t24794 * t45352;
  t45439 = t140 * t5704;
  t45440 = t356 * t45439;
  t45443 = t1476 * t45412 - 0.1e2 / 0.3e1 * t5855 * t45414 + 0.8e1 * t1476 * t45418 - 0.5e2 / 0.3e1 * t9536 * t45421 - 0.4e1 * t1470 * t45424 + 0.6e1 * t9563 * t5883 + 0.44e2 / 0.3e1 * t9532 * t5876 + 0.4e1 * t5860 * t45431 - t5855 * t45434 / 0.18e2 - 0.12e2 * t9532 * t5880 + 0.2e1 * t1470 * t45440;
  t45448 = t2215 * t24865;
  t45452 = 0.2e1 / 0.3e1 * t9568 * t5917;
  t45454 = t45320 * t5949 / 0.18e2;
  t45459 = t9556 * t5940;
  t45460 = t9567 * t4334;
  t45462 = 0.4e1 * t45460 * t5946;
  t45463 = t9567 * t5850;
  t45465 = 0.6e1 * t45463 * t5955;
  t45466 = t9535 * t30520;
  t45470 = t1203 * t45379;
  t45473 = t2215 * t30487;
  t45476 = t4624 * t45345;
  t45479 = t4624 * t5846;
  t45482 = t1190 * t45345;
  t45485 = t1203 * t45345;
  t45491 = 0.6e1 * t45460 * t5926;
  t45498 = -0.5e1 * t30501 * t45470 + 0.44e2 * t45473 * t5955 - 0.8e1 / 0.3e1 * t30516 * t45476 + 0.1e2 / 0.3e1 * t45466 * t45479 + 0.24e2 * t30516 * t45482 - 0.48e2 * t30483 * t45485 + 0.36e2 * t45391 * t5923 + t45491 - 0.36e2 * t45448 * t5926 - 0.2e1 / 0.3e1 * t45333 * t1179 + 0.2e1 * t9532 * t5899;
  t45500 = t143 * t5704;
  t45501 = t1034 * t45500;
  t45506 = t4396 * t5916;
  t45509 = t193 * t44422;
  t45513 = t1182 * t45406;
  t45517 = t4543 * t9540 * t994;
  t45522 = t4549 * t45352;
  t45526 = 0.12e2 * t45460 * t5861;
  t45528 = 0.2e1 * t9568 * t5876;
  t45529 = t9544 * t333;
  t45530 = t1034 * t45529;
  t45533 = -0.2e1 / 0.3e1 * t1476 * t45501 + 0.4e1 / 0.3e1 * t45391 * t5902 + t9536 * t45506 / 0.18e2 - 0.4e1 * t45509 * t1044 * t357 - 0.2e1 * t1470 * t45513 - 0.2e1 * t446 * t45517 + 0.72e2 * t45448 * t5861 - 0.6e1 * t5860 * t45522 - t45526 - t45528 - 0.16e2 * t5860 * t45530;
  t45534 = t4408 * t45417;
  t45537 = t4396 * t45529;
  t45540 = t4376 * t45529;
  t45543 = t4408 * t45406;
  t45553 = t2209 * t4596 / 0.2e1;
  t45554 = t4376 * t5916;
  t45557 = t1034 * t45439;
  t45562 = -0.16e2 / 0.3e1 * t1476 * t45534 + 0.2e1 / 0.9e1 * t5855 * t45537 + 0.4e2 / 0.3e1 * t5855 * t45540 - 0.4e1 / 0.3e1 * t1476 * t45543 - 0.2e1 * t5886 * t9605 - 0.2e1 * t1468 * t9608 - 0.4e1 / 0.3e1 * t5872 * t9619 + t45553 + 0.1e2 / 0.3e1 * t9536 * t45554 + 0.4e1 / 0.3e1 * t1476 * t45557 - 0.4e1 / 0.3e1 * t2216 * t24881;
  t45566 = t1093 * t45439;
  t45572 = t24958 * t5912;
  t45575 = t4408 * t5916;
  t45578 = t24794 * t5912;
  t45581 = t9568 * t5935;
  t45583 = 0.1e2 / 0.3e1 * t45320 * t5913;
  t45589 = t1182 * t45411;
  t45591 = t356 * t45529;
  t45594 = t24794 * t5867;
  t45598 = 0.2e1 * t9556 * t5883;
  t45599 = 0.2e1 * t9557;
  t45600 = 0.4e1 / 0.3e1 * t9569;
  t45601 = 0.2e1 * t9574;
  t45604 = t24848 * t5856;
  t45609 = -t1470 * t45589 - 0.12e2 * t5905 * t45591 - 0.5e1 / 0.18e2 * t9536 * t45594 - t45598 + t45599 + t9558 + t45600 - t45601 + 0.2e1 / 0.3e1 * t2216 * t24837 + 0.24e2 * t45315 * t45604 - 0.72e2 * t45391 * t5857;
  t45611 = t24794 * t5856;
  t45614 = t24823 * t45352;
  t45618 = 0.6e1 * t45320 * t5857;
  t45624 = 0.2e1 * t2209 * t4546;
  t45628 = 0.6e1 * t45328 * t5906;
  t45630 = 0.2e1 * t9568 * t5880;
  t45632 = 0.2e1 / 0.3e1 * t45320 * t5864;
  t45633 = t4408 * t45529;
  t45636 = 0.8e1 / 0.3e1 * t45315 * t45611 + 0.3e1 * t5855 * t45614 + t45618 - 0.24e2 * t45325 * t5906 - 0.4e1 * t2212 * t4546 + t45624 + 0.12e2 * t2216 * t24974 + t45628 + t45630 - t45632 - 0.12e2 * t5855 * t45633;
  t45637 = t24823 * t5867;
  t45641 = 0.3e1 * t9568 * t5868;
  t45642 = t1093 * t45529;
  t45646 = t1182 * t140 * t44729;
  t45652 = 0.4e1 * t9584;
  t45653 = 0.2e1 * t9586;
  t45654 = 0.2e1 / 0.3e1 * t9587;
  t45655 = 0.4e1 * t9634;
  t45656 = t9638 * t1005;
  t45657 = t1190 * t45656;
  t45660 = 0.15e2 * t9536 * t45637 + t45641 + 0.24e2 * t5860 * t45642 + t446 * t45646 / 0.2e1 + t5921 * t2233 / 0.2e1 + t1468 * t9541 - t45652 - t45653 - t45654 + t45655 - 0.6e1 * t30521 * t45657;
  t45665 = t2211 * t30508;
  t45668 = t45463 * t5852;
  t45672 = t45332 * t1007;
  t45678 = t360 * t9638 * t4223;
  t45681 = t142 * t9397;
  t45682 = t45681 * t333;
  t45683 = t360 * t45682;
  t45686 = t9638 * t1069;
  t45687 = t360 * t45686;
  t45695 = 0.8e1 * t30483 * t45482 - 0.12e2 * t45665 * t5847 + t45668 + 0.2e1 * t45509 * t1043 * t361 + 0.4e1 / 0.3e1 * t45672 * t1191 - 0.2e1 * t45672 * t1204 + 0.2e1 * t9650 * t45678 + 0.4e1 * t5844 * t45683 + 0.2e1 * t5844 * t45687 - 0.2e1 * t30488 * t45657 + 0.4e1 * t1467 * t9649 * t9652;
  t45697 = t360 * t45681 * t994;
  t45700 = t1190 * t45682;
  t45703 = t1190 * t45686;
  t45706 = t4633 * t45656;
  t45711 = t1203 * t45682;
  t45714 = t1203 * t45686;
  t45717 = t4624 * t45656;
  t45724 = t1190 * t45379;
  t45727 = 0.4e1 * t9650 * t45697 + 0.2e1 / 0.3e1 * t5851 * t45700 + t5851 * t45703 / 0.3e1 + t30521 * t45706 / 0.9e1 - 0.4e1 * t30497 * t9643 - 0.4e1 * t5851 * t45711 - 0.2e1 * t5851 * t45714 + 0.2e1 / 0.3e1 * t30521 * t45717 + 0.4e1 * t30494 * t9646 - 0.22e2 / 0.3e1 * t45473 * t5852 + 0.1e2 / 0.3e1 * t30501 * t45724;
  t45731 = t360 * t45656;
  t45734 = t4633 * t5846;
  t45737 = t4633 * t45345;
  t45740 = t360 * t45379;
  t45743 = t1190 * t45337;
  t45746 = t354 * t24307;
  t45747 = t445 * t45746;
  t45749 = t360 * t9638 * t4544;
  t45752 = t1203 * t45656;
  t45756 = 0.2e1 * t45460 * t5896;
  t45757 = t2209 * t4554;
  t45759 = t9568 * t5899 / 0.3e1;
  t45760 = 0.2e1 / 0.3e1 * t30497 * t9640 - 0.6e1 * t30509 * t45731 + 0.5e1 / 0.9e1 * t45466 * t45734 - 0.4e1 / 0.9e1 * t30516 * t45737 + 0.4e1 * t30469 * t45740 + 0.8e1 / 0.3e1 * t5851 * t45743 - 0.6e1 * t45747 * t45749 + 0.12e2 * t30488 * t45752 + t45756 - t45757 - t45759;
  t45762 = t45320 * t5902 / 0.9e1;
  t45763 = t4408 * t45411;
  t45766 = t1093 * t45500;
  t45771 = t356 * t45500;
  t45781 = 0.2e1 * t9556 * t5893;
  t45782 = -t45762 - 0.2e1 / 0.3e1 * t1476 * t45763 + 0.4e1 * t1476 * t45766 - 0.4e1 * t2216 * t24845 - 0.4e1 * t1470 * t45771 + 0.6e1 * t9563 * t5893 - 0.12e2 * t45448 * t5896 + 0.2e1 * t2212 * t4554 - t45781 - t2229 + t2210;
  t45794 = t1074 * t9350;
  t45796 = t45794 * t1433 / 0.3e1;
  t45799 = t1393 * t45148;
  t45810 = t1400 * t45148;
  t45815 = t5623 * t5771;
  t45818 = -t2189 * t24297 / 0.3e1 + t45796 - t9510 * t4166 / 0.3e1 - 0.2e1 / 0.3e1 * t1391 * t45799 + 0.2e1 / 0.3e1 * t2189 * t24342 - t2189 * t24529 / 0.6e1 - 0.2e1 / 0.3e1 * t5763 * t9415 + 0.2e1 / 0.3e1 * t9510 * t4163 - t1391 * t45810 / 0.3e1 + t2189 * t25516 / 0.3e1 - 0.5e1 / 0.18e2 * t9285 * t45815;
  t45822 = t1074 * t9329;
  t45836 = t1034 * t44824;
  t45843 = t44070 / 0.18e2;
  t45844 = t44072 / 0.18e2;
  t45845 = -t5763 * t9518 / 0.3e1 + t45822 * t1438 - 0.18e2 * t4395 * t44971 * t5630 - 0.6e1 * t1454 * t5660 + 0.6e1 * t5674 * t5655 + 0.18e2 * t45092 * t5626 + 0.18e2 * t373 * t44574 * t5659 + 0.12e2 * t5559 * t5860 * t45836 - 0.11e2 * t5559 * t9532 * t24182 - t45843 - t45844;
  t45846 = t44075 / 0.9e1;
  t45848 = t9307 / 0.3e1;
  t45849 = t110 * t9568;
  t45851 = 0.2e1 / 0.3e1 * t45849 * t5556;
  t45852 = t5591 * t44825;
  t45856 = t45849 * t5592 / 0.3e1;
  t45857 = t29517 * t16115;
  t45864 = t45846 - 0.2e1 / 0.9e1 * t44077 - t45848 - t9323 + t9326 + t45851 + 0.4e1 * t29017 * t45852 - t45856 - 0.7e1 / 0.3e1 * t30700 * t45857 + t29779 * t9246 / 0.3e1 + t29786 * t9246 / 0.3e1;
  t45876 = t2196 * t1069;
  t45877 = t4549 * t45876;
  t45881 = t29517 * t44866;
  t45886 = t9397 * t333;
  t45887 = t4549 * t45886;
  t45890 = t29791 * t9238;
  t45893 = t168 * t45886;
  t45894 = t5587 * t45893;
  t45898 = t168 * t45876;
  t45899 = t5587 * t45898;
  t45902 = t29498 * t44889;
  t45908 = t1182 * t44775;
  t45912 = t4146 * t9349;
  t45914 = t4145 * t45912 * t1419;
  t45915 = t4146 * t2176;
  t45918 = t4145 * t45915 * t1100 / 0.2e1;
  t45919 = t356 * t44824;
  t45923 = t9352 / 0.3e1;
  t45924 = t9356 / 0.6e1;
  t45925 = t5548 * t45899 / 0.6e1 - 0.23e2 / 0.36e2 * t28954 * t45902 + 0.23e2 / 0.54e2 * t44079 - t44081 / 0.3e1 + 0.14e2 / 0.9e1 * t44083 + 0.2e1 * t5540 * t1470 * t45908 - t45914 - t45918 + 0.6e1 * t5540 * t5905 * t45919 + t45923 + t45924;
  t45927 = t9358 / 0.6e1;
  t45928 = t9360 / 0.6e1;
  t45933 = t9278 * t333;
  t45938 = t380 * t45933;
  t45939 = t5587 * t45938;
  t45942 = t4543 * t45379;
  t45947 = t985 * t2256 * t333;
  t45950 = t24823 * t45379;
  t45955 = t4161 * t15472 * t333;
  t45959 = t29795 * t9249;
  t45964 = t167 * t5704;
  t45965 = t988 * t45964;
  t45966 = t1000 * t45965;
  t45971 = t5623 * t4661;
  t45974 = t29442 * t5635;
  t45978 = t987 * t4697 * t9398;
  t45983 = t987 * t988 * t167 * t44729;
  t45992 = -0.2e1 / 0.3e1 * t5548 * t45959 - 0.2e1 / 0.3e1 * t29786 * t9250 + t1432 * t45966 / 0.3e1 + t2184 * t4719 / 0.6e1 - 0.5e1 / 0.36e2 * t9285 * t45971 - 0.35e2 / 0.108e3 * t44986 * t45974 + t442 * t45978 / 0.6e1 + t442 * t45983 / 0.12e2 + t2189 * t25569 / 0.6e1 + t5726 * t2199 / 0.12e2 + t1386 * t9367 / 0.6e1;
  t45998 = t987 * t24531 * t2197;
  t46009 = t110 * t2209;
  t46011 = t46009 * t4140 / 0.6e1;
  t46012 = t110 * t9556;
  t46014 = t46012 * t5583 / 0.3e1;
  t46015 = t24962 * t45379;
  t46020 = t4161 * t15456 * t333;
  t46024 = t168 * t45379;
  t46025 = t30214 * t46024;
  t46029 = t9351 * t4662 / 0.6e1;
  t46031 = t45006 * t5980 / 0.2e1;
  t46040 = t1400 * t45965;
  t46043 = t4408 * t45876;
  t46049 = t1182 * t44861;
  t46053 = -0.5e1 / 0.6e1 * t5548 * t46025 + t46029 + t46031 - t2184 * t4683 / 0.6e1 + t9330 * t5998 / 0.2e1 - 0.3e1 * t45001 * t5980 - t9525 * t4662 / 0.2e1 - t1391 * t46040 / 0.6e1 + t5559 * t1476 * t46043 / 0.2e1 - 0.2e1 / 0.3e1 * t29779 * t9250 - 0.3e1 / 0.2e1 * t5540 * t5905 * t46049;
  t46057 = t4408 * t9237;
  t46060 = t4408 * t45886;
  t46064 = t45849 * t5568 / 0.6e1;
  t46066 = t45849 * t5572 / 0.4e1;
  t46073 = t44114 / 0.18e2;
  t46075 = t5549 * t1021 * t45886;
  t46078 = t9441 / 0.2e1;
  t46079 = t29764 * t9255 + t29770 * t9255 + t5559 * t5872 * t46057 + t5559 * t1476 * t46060 - t46064 + t46066 - t110 * t9658 * t404 / 0.2e1 + 0.6e1 * t5535 * t45039 * t1407 + t46073 - 0.2e1 / 0.3e1 * t5548 * t46075 - t46078;
  t46085 = t2178 * t4719 / 0.12e2;
  t46087 = t2178 * t4683 / 0.12e2;
  t46089 = t9306 * t5998 / 0.12e2;
  t46091 = 0.5e1 / 0.36e2 * t44632 * t6001;
  t46092 = t44807 * t5550;
  t46095 = t4549 * t452;
  t46096 = t46095 * t5571;
  t46098 = t1093 * t452;
  t46099 = t46098 * t5567;
  t46102 = t45849 * t5551;
  t46103 = t44803 * t5555;
  t46106 = 0.6e1 * t4383 * t9451 + 0.6e1 * t4349 * t9451 - t46085 + t46087 - t46089 - t46091 - 0.2e1 * t5548 * t46092 + t5548 * t46096 - 0.2e1 / 0.3e1 * t5548 * t46099 - t46102 + 0.4e1 / 0.3e1 * t5548 * t46103;
  t46111 = t45849 * t5588 / 0.2e1;
  t46127 = t44152 / 0.6e1;
  t46134 = t373 * t9439 * t4225 / 0.4e1;
  t46135 = t44141 / 0.9e1 + 0.2e1 / 0.9e1 * t44143 + 0.2e1 / 0.9e1 * t44145 - 0.4e1 / 0.9e1 * t44147 + t2251 - t44149 / 0.18e2 + t46127 - t44154 / 0.3e1 - t44156 / 0.3e1 - t1454 * t5828 / 0.2e1 - t46134;
  t46142 = t373 * t9461 * t4667 / 0.2e1;
  t46148 = t44167 / 0.18e2;
  t46149 = t44170 / 0.18e2;
  t46163 = t45278 * t1396 / 0.3e1;
  t46165 = t9306 * t5772 / 0.3e1;
  t46167 = t9306 * t5757 / 0.6e1;
  t46169 = 0.11e2 / 0.18e2 * t44632 * t5760;
  t46171 = 0.2e1 / 0.3e1 * t45278 * t1402;
  t46172 = -t44179 / 0.18e2 + t44181 / 0.9e1 + 0.2e1 / 0.9e1 * t44183 - t44187 / 0.9e1 + 0.2e1 * t45822 * t1396 + 0.2e1 * t9330 * t5772 - t46163 - t46165 - t46167 - t46169 + t46171;
  t46175 = t5640 * t45014;
  t46183 = t1400 * t5715 * t1394;
  t46188 = t5623 * t45010;
  t46191 = t5640 * t5796;
  t46199 = t1013 * t1019 * t5704;
  t46209 = t44202 / 0.6e1;
  t46210 = t44204 / 0.3e1;
  t46216 = -0.2e1 / 0.3e1 * t44191 + 0.2e1 / 0.3e1 * t44193 + 0.2e1 * t44195 - 0.2e1 / 0.3e1 * t44196 + t44198 / 0.3e1 - t44200 / 0.3e1 - t46209 - t46210 - t44206 / 0.3e1 + t44208 / 0.3e1 - t4145 * t5595 * t9480 / 0.2e1;
  t46224 = t1182 * t45886;
  t46227 = t1182 * t45876;
  t46239 = -t30276 * t9272 / 0.3e1 - t9463 + t29767 * t9264 + t29773 * t9259 + t5540 * t5886 * t9258 + t5540 * t1470 * t46224 + t5540 * t1470 * t46227 / 0.2e1 - t24205 * t9267 / 0.2e1 - t24209 * t9267 / 0.2e1 - t4145 * t29976 * t2257 / 0.4e1 + t29767 * t9259;
  t46240 = t9397 * t994;
  t46241 = t4543 * t46240;
  t46244 = t2196 * t4223;
  t46245 = t4543 * t46244;
  t46250 = t9270 * t168 * t46240;
  t46254 = t9270 * t168 * t46244;
  t46263 = t44217 / 0.6e1;
  t46265 = t5540 * t446 * t46241 + t5540 * t446 * t46245 / 0.2e1 - t5575 * t46250 / 0.3e1 - t5575 * t46254 / 0.6e1 + t29779 * t9275 / 0.6e1 + t29773 * t9264 + t5540 * t1468 * t9263 + t44212 - 0.2e1 / 0.3e1 * t44215 + t46263 - t44219 / 0.6e1;
  t46274 = t44229 / 0.3e1;
  t46276 = t44233 / 0.3e1;
  t46287 = t1031 * t45004;
  t46290 = 0.3e1 * t373 * t46287 * t5659;
  t46293 = 0.3e1 * t1030 * t46287 * t5654;
  t46294 = t5623 * t45014;
  t46301 = t1400 * t45014;
  t46305 = 0.2e1 / 0.3e1 * t44240 + 0.6e1 * t45092 * t5636 + 0.22e2 / 0.3e1 * t45092 * t5760 + 0.12e2 * t45001 * t5648 - t46290 + t46293 - 0.5e1 / 0.18e2 * t5621 * t46294 + t442 * t29096 / 0.6e1 + t1432 * t29869 / 0.3e1 + t5647 * t46301 + t2189 * t24285 / 0.3e1;
  t46307 = t9486 / 0.2e1;
  t46308 = 0.2e1 / 0.3e1 * t9488;
  t46313 = t1400 * t371 * t45964;
  t46318 = t4408 * t44861;
  t46322 = t9504 / 0.6e1;
  t46323 = t9506 / 0.6e1;
  t46332 = t4146 * t2182;
  t46343 = t5549 * t1021 * t45876;
  t46346 = t5549 * t45938;
  t46349 = t9270 * t46024;
  t46352 = -t44256 / 0.9e1 - t44258 / 0.9e1 + 0.2e1 / 0.9e1 * t44260 + 0.3e1 * t4145 * t4146 * t2187 * t1419 + t4145 * t46332 * t1100 - 0.2e1 * t4145 * t44853 * t4176 - 0.2e1 * t4145 * t5602 * t9665 + t44262 / 0.3e1 - t5548 * t46343 / 0.3e1 + t5548 * t46346 / 0.6e1 + 0.2e1 / 0.3e1 * t5578 * t46349;
  t46355 = t29911 * t46024;
  t46359 = t4706 * t2256 * t994;
  t46362 = t4137 * t45938;
  t46367 = t9270 * t380 * t9278 * t994;
  t46384 = t5623 * t5672 * t2337;
  t46394 = t321 * t21182 * t1005 * t24370;
  t46401 = t5623 * t4381 * t1394;
  t46406 = t29442 * t5625;
  t46411 = -0.2e1 * t5674 * t5786 - t5674 * t5777 - 0.3e1 * t24273 * t46384 + 0.3e1 * t1056 * t9341 + 0.3e1 / 0.2e1 * t373 * t9310 * t25247 + 0.47e2 / 0.3e1 * t46394 * t29110 * t15971 - 0.3e1 * t45143 * t9345 - 0.3e1 * t9285 * t46401 - 0.3e1 / 0.2e1 * t9285 * t24279 - 0.43e2 / 0.9e1 * t44986 * t46406 - 0.6e1 * t1078 * t9337;
  t46420 = t321 * t3512 * t1005 * t24085;
  t46423 = t4137 * t45898;
  t46437 = t346 * t348 * t5704;
  t46440 = t29437 * t5641;
  t46443 = -0.6e1 * t1056 * t9337 - 0.3e1 * t373 * t9336 * t5808 - 0.28e2 * t46420 * t16052 - t5578 * t46423 / 0.6e1 + 0.3e1 / 0.2e1 * t373 * t9668 * t4667 + t1078 * t9673 + t1056 * t9673 + t373 * t9672 * t4225 / 0.2e1 - 0.2e1 * t1056 * t9666 - t373 * t1417 * t46437 + 0.89e2 / 0.9e1 * t44986 * t46440;
  t46445 = t24376 * t24448 * t1005;
  t46451 = 0.3e1 / 0.2e1 * t4395 * t45131 * t5630;
  t46456 = t24237 * t9279;
  t46463 = t5549 * t45893;
  t46466 = t5549 * t45898;
  t46469 = t29498 * t44866;
  t46474 = 0.18e2 * t4395 * t44964 * t46445 + t46451 - t1165 * t2239 / 0.4e1 + t30279 * t9280 / 0.6e1 + t5575 * t46456 / 0.6e1 - t4145 * t30713 * t2257 / 0.2e1 - t44292 / 0.6e1 + t5548 * t46463 / 0.6e1 + t5548 * t46466 / 0.12e2 + 0.5e1 / 0.36e2 * t28954 * t46469 + t30276 * t9280 / 0.6e1;
  t46485 = t24823 * t44861;
  t46489 = t29911 * t44866;
  t46493 = t46012 * t5579 / 0.3e1;
  t46507 = t373 * t9439 * t4714 / 0.2e1;
  t46513 = t2189 * t24366 / 0.3e1 + t1378 * t9400 / 0.6e1 - t318 * t9659 / 0.2e1 - 0.3e1 * t1030 * t9310 * t25298 + t1454 * t6032 + t46507 + t43484 + t44315 / 0.3e1 + t44317 / 0.9e1 - t44319 / 0.3e1 - t30279 * t9272 / 0.3e1;
  t46515 = t4543 * t365;
  t46516 = t46515 * t9271;
  t46526 = t373 * t9321 * t5808 / 0.2e1;
  t46527 = t5640 * t16031;
  t46529 = 0.7e1 / 0.3e1 * t24273 * t46527;
  t46538 = t4349 * t9322;
  t46540 = t4383 * t9322;
  t46543 = t1030 * t9321 * t5776 / 0.2e1;
  t46545 = t5623 * t1028 * t15982;
  t46547 = 0.3e1 / 0.2e1 * t24273 * t46545;
  t46548 = t1078 * t9325;
  t46563 = -t46540 - t46543 - t46547 + t46548 + 0.3e1 * t24584 * t9313 + 0.3e1 * t24589 * t9313 + 0.3e1 / 0.2e1 * t4395 * t9310 * t25269 - 0.6e1 * t4349 * t9318 - 0.6e1 * t4383 * t9318 - t43491 - t110 * t2238 * t1146 / 0.4e1;
  t46566 = t9701 / 0.2e1;
  t46567 = t9703 / 0.2e1;
  t46568 = t9179 / 0.18e2;
  t46569 = t9187 / 0.6e1;
  t46572 = t44335 / 0.6e1;
  t46575 = t1393 * t45965;
  t46578 = t1400 * t29868;
  t46586 = t1393 * t45163;
  t46589 = t1393 * t29868;
  t46592 = t29442 * t5641;
  t46596 = t5634 * t5771;
  t46604 = t5640 * t5771;
  t46607 = -t2189 * t24295 / 0.6e1 - 0.2e1 / 0.3e1 * t5754 * t9297 - 0.2e1 / 0.3e1 * t1391 * t46586 - t1391 * t46589 / 0.3e1 + 0.44e2 / 0.27e2 * t44986 * t46592 - t45143 * t9289 - t9285 * t46596 - t9285 * t25262 / 0.2e1 + 0.14e2 / 0.3e1 * t45143 * t9292 - 0.11e2 / 0.9e1 * t45143 * t9333 - 0.11e2 / 0.9e1 * t9285 * t46604;
  t46609 = t5640 * t4661;
  t46612 = t29437 * t5635;
  t46617 = t5623 * t5796;
  t46620 = t5623 * t4247;
  t46623 = t1056 * t9325;
  t46629 = -0.11e2 / 0.18e2 * t9285 * t46609 - 0.61e2 / 0.27e2 * t44986 * t46612 + 0.23e2 / 0.18e2 * t45143 * t9286 + 0.23e2 / 0.18e2 * t9285 * t46617 + 0.23e2 / 0.36e2 * t9285 * t46620 + t46623 + t44337 / 0.3e1 + t44339 / 0.18e2 - t44341 / 0.6e1 - t44343 / 0.9e1 + t44345 / 0.3e1;
  t46630 = t24237 * t9238;
  t46633 = t4137 * t45893;
  t46638 = t29795 * t9238;
  t46641 = t4549 * t44775;
  t46650 = t4137 * t380 * t1145 * t2196;
  t46655 = t4137 * t380 * t403 * t9397;
  t46663 = -t5578 * t46630 / 0.3e1 - t5578 * t46633 / 0.3e1 + t29786 * t9275 / 0.6e1 + t5548 * t46638 / 0.6e1 - 0.4e1 * t5540 * t1476 * t46641 + 0.2e1 * t4145 * t5537 * t9492 + t5575 * t46650 / 0.12e2 + t5575 * t46655 / 0.6e1 - t30293 * t9239 / 0.3e1 - t30291 * t9239 / 0.3e1 + t44357 / 0.3e1;
  t46670 = my_piecewise3(t100, 0, -0.2e1 / 0.3e1 * t5578 * t44786 - t5548 * t44790 / 0.3e1 + t28954 * t46489 / 0.2e1 + t5548 * t45890 / 0.3e1 + t5548 * t45894 / 0.3e1 + t5548 * t45939 / 0.3e1 + t442 * t29092 / 0.3e1 + 0.2e1 * t28961 * t5546 - 0.3e1 * t44886 * t5543 - 0.4e1 * t5647 * t45011 + 0.2e1 * t5647 * t45015 + 0.7e1 / 0.3e1 * t9285 * t24274 - 0.2e1 / 0.3e1 * t5763 * t9297 + t9500 * t1002 / 0.3e1 - t44523 * t1090 / 0.12e2 - t9510 * t4490 / 0.6e1 - t2189 * t24418 / 0.12e2 + t44523 * t1023 / 0.3e1 + t9500 * t1087 / 0.3e1 + t2184 * t4487 / 0.6e1 + t1051 * t9705 / 0.6e1 + t9710 * t1095 / 0.2e1 + t1386 * t9400 / 0.6e1 + t442 * t45998 / 0.12e2 - t2189 * t24543 / 0.12e2 + t5709 * t2199 / 0.12e2 + t5712 * t2199 / 0.6e1 + t1378 * t9367 / 0.6e1 - 0.8e1 / 0.3e1 * t5548 * t44777 + t5575 * t28965 / 0.3e1 + 0.2e1 / 0.3e1 * t5578 * t44783 - 0.2e1 / 0.3e1 * t2189 * t24363 + 0.2e1 / 0.3e1 * t5814 * t9521 + 0.2e1 / 0.3e1 * t5578 * t44832 - t44835 * t5583 - t44837 * t4140 / 0.3e1 - 0.4e1 * t45822 * t1402 - 0.4e1 * t9330 * t5797 - 0.2e1 * t9330 * t4248 - 0.23e2 / 0.3e1 * t45092 * t5790 - 0.11e2 / 0.9e1 * t5621 * t46175 + 0.4e1 / 0.3e1 * t5763 * t9301 + 0.4e1 / 0.3e1 * t5754 * t9301 + 0.4e1 / 0.3e1 * t1391 * t46183 + 0.2e1 / 0.3e1 * t1391 * t29710 + 0.23e2 / 0.18e2 * t5621 * t46188 + 0.14e2 / 0.3e1 * t9285 * t46191 - 0.2e1 * t1056 * t9495 + 0.2e1 * t1078 * t9493 + 0.2e1 * t1056 * t9493 - t9500 * t997 / 0.3e1 + t44494 * t377 / 0.2e1 + 0.2e1 * t44811 * t5592 - t29767 * t9243 - t29773 * t9243 + 0.11e2 / 0.18e2 * t28954 * t45881 - t5575 * t46516 / 0.3e1 + t1454 * t5819 / 0.2e1 + 0.25e2 / 0.36e2 * t44815 * t44840 - 0.5e1 / 0.9e1 * t28954 * t44843 + t44835 * t5579 - 0.2e1 / 0.3e1 * t5578 * t44847 - 0.2e1 * t30295 * t44850 - 0.5e1 / 0.12e2 * t5548 * t46355 - t5578 * t46362 / 0.3e1 - t5575 * t46367 / 0.3e1 + 0.3e1 * t1056 * t9669 - 0.6e1 * t45001 * t5651 - t4349 * t9458 - 0.2e1 * t4383 * t9449 + 0.2e1 * t4383 * t9455 + t1454 * t5823 - 0.2e1 * t4349 * t9449 + 0.2e1 * t4349 * t9455 - t1078 * t9476 / 0.2e1 - t1078 * t9481 / 0.2e1 - t4462 * t2258 / 0.4e1 - 0.4e1 / 0.3e1 * t44767 * t24131 + 0.4e1 / 0.3e1 * t5548 * t44772 + 0.3e1 * t45074 * t5564 - 0.2e1 * t45078 * t5538 - 0.2e1 * t1454 * t5803 - t1454 * t5834 - t318 * t9676 / 0.2e1 - 0.2e1 * t29044 * t1408 - 0.2e1 * t29052 * t1408 + 0.5e1 / 0.3e1 * t45092 * t6001 - t5712 * t1449 / 0.3e1 + t30045 * t457 / 0.2e1 + t9710 * t1071 / 0.4e1 + t30053 * t457 / 0.2e1 + t30048 * t457 - t1010 * t44486 / 0.12e2 + t44489 * t377 / 0.2e1 - 0.2e1 * t28954 * t45251 + 0.28e2 / 0.3e1 * t28954 * t45257 - t44815 * t45263 - t442 * t29622 / 0.6e1 - t1391 * t46575 / 0.3e1 - t1391 * t46578 / 0.6e1 + 0.2e1 / 0.3e1 * t1391 * t46313 + t2189 * t24435 / 0.3e1 - t5709 * t1449 / 0.6e1 - 0.11e2 / 0.9e1 * t44815 * t45245 + 0.23e2 / 0.18e2 * t44815 * t45248 - t44425 * t1016 / 0.3e1 + 0.2e1 / 0.3e1 * t44425 * t1023 - t338 * t44433 / 0.6e1 - t25078 * t2245 / 0.2e1 + t5689 * t1462 + t5717 * t1462 - t2189 * t24566 / 0.2e1 - 0.11e2 / 0.3e1 * t44811 * t5588 - 0.6e1 * t28954 * t45063 + t9330 * t5757 + 0.3e1 * t1078 * t9669 - 0.3e1 * t5559 * t5860 * t46318 + t4145 * t5595 * t46359 - 0.3e1 / 0.2e1 * t5540 * t5855 * t46485 + 0.3e1 * t1030 * t9336 * t5776 - t5540 * t1476 * t45877 / 0.2e1 - t5540 * t5872 * t9242 - t5540 * t1476 * t45887 - 0.2e1 * t5540 * t1470 * t45942 + t4145 * t5602 * t45947 - 0.5e1 / 0.2e1 * t5559 * t1476 * t45950 + t5535 * t5537 * t45955 + 0.5e1 / 0.2e1 * t5540 * t1476 * t46015 - t4145 * t5537 * t46020 - t1030 * t44597 * t1035 / 0.2e1 - t1074 * t9524 * t1433 - t1030 * t1405 * t46199 - t1030 * t44430 * t1035 + t373 * t44430 * t1094 - t373 * t9454 * t24682 + 0.2e1 * t5535 * t44853 * t4171 - 0.3e1 * t5540 * t9563 * t5599 + 0.6e1 * t373 * t44964 * t44981 - 0.62e2 / 0.3e1 * t44986 * t29437 * t5625 + 0.36e2 * t1030 * t44971 * t5611 + 0.3e1 * t373 * t9454 * t24315 - t373 * t9672 * t4714 + 0.3e1 * t30030 * t45055 * t9312 - 0.15e2 / 0.2e1 * t10506 * t9536 * t45189 - 0.6e1 * t5535 * t45055 * t9317 + 0.6e1 * t10506 * t5855 * t45196 - 0.12e2 * t5559 * t5855 * t45203 + 0.15e2 * t5559 * t9536 * t45207 + 0.14e2 / 0.3e1 * t44815 * t10485 * t5555 - 0.35e2 / 0.3e1 * t44815 * t29517 * t5550 - t43416 + t46274 - t46276 - t44131 / 0.9e1 + 0.2e1 / 0.9e1 * t44133 + t46352 - t45296 + t44920 + t46305 + t46307 + t46308 + t43419 + t43421 - t46142 + t46172 - t44175 / 0.9e1 + t44613 + t46526 + t46529 + t44759 - t45008 + t45009 + t45243 - 0.5e1 / 0.54e2 * t44300 + t44302 / 0.9e1 + t45293 + t46014 + t44165 / 0.9e1 + t45818 + 0.4e1 / 0.9e1 * t44254 + t45864 + t44437 + t44634 + t43406 + t46411 - t44270 / 0.3e1 + t44829 - t44264 / 0.3e1 + t46239 + t45992 + 0.2e1 / 0.9e1 * t44294 + t44979 + t46011 - t44221 / 0.6e1 - t46538 - t46148 + t43408 + t43410 - t44296 / 0.9e1 + t44298 / 0.9e1 + 0.5e1 / 0.3e1 * t5548 * t29911 * t1021 * t45379 - 0.2e1 / 0.3e1 * t5548 * t5549 * t4143 * t45933 + t46079 + t46053 - t43412 - t43414 - 0.4e1 / 0.3e1 * t44231 - t46493 - 0.11e2 / 0.27e2 * t44227 - t44250 / 0.9e1 + t44252 / 0.18e2 + t45270 + t44471 - t45928 + t44304 / 0.18e2 + t44306 / 0.3e1 + t44572 + t44123 / 0.18e2 + t44125 / 0.18e2 - t46568 + t46569 + t46474 + t44235 - 0.2e1 * t44237 - t43440 - t44177 / 0.18e2 - t46322 - t46323 - t44139 / 0.9e1 + t45176 + t44590 + t46111 - t44223 / 0.6e1 - t44225 / 0.6e1 + t45059 + t44945 + t46629 - 0.2e1 / 0.3e1 * t44238 + t46663 + t46265 - t44172 / 0.9e1 - 0.2e1 / 0.9e1 * t44135 - t44137 / 0.9e1 + t45152 + t44127 / 0.18e2 - t44129 / 0.18e2 + t44330 / 0.3e1 - t45202 - t373 * t374 * t44422 * t1045 + 0.8e1 * t44986 * t29442 * t4393 * t5624 + 0.15e2 / 0.2e1 * t44815 * t29498 * t4403 * t5541 - 0.3e1 * t44815 * t10458 * t5533 * t5554 - 0.6e1 * t373 * t374 * t9328 * t6037 + 0.2e1 * t321 * t194 * t9328 * t6029 - t110 * t139 * (-0.2e1 * t1476 * t45566 + 0.2e1 * t2216 * t24909 - t2212 * t4596 + 0.1e2 / 0.3e1 * t45315 * t45572 - 0.3e1 * t9536 * t45575 - 0.3e2 * t45466 * t5852 - 0.6e1 * t2216 * t24963 + 0.2e1 * t2212 * t4571 - 0.12e2 * t45315 * t45316 - 0.3e1 * t9563 * t5940 + 0.24e2 * t45448 * t5946 - 0.4e1 * t9532 * t5917 - 0.2e1 / 0.3e1 * t45391 * t5949 - 0.16e2 * t5851 * t45338 + 0.5e2 / 0.3e1 * t45315 * t45578 + 0.6e1 * t9532 * t5935 - 0.4e2 * t45391 * t5913 + 0.4e1 * t2216 * t24824 + 0.12e2 * t45325 * t5930 + 0.4e1 * t45333 * t1186 + t45636 - t45581 + t45583 + t45609 + t45443 + t45727 + t45454 + t45562 + t45782 - t45331 + t45695 + t45533 + t45459 + t45410 - t45330 - t45462 - t45465 + t45760 + t45452 + t45373 - t45322 + t45498 + t45660) * t168 / 0.4e1 + t46607 - t46149 + t46563 + t46566 + t46567 + t44895 + t46106 - 0.2e1 / 0.3e1 * t44003 + 0.2e1 / 0.3e1 * t44005 + t45845 + t46443 + t44268 / 0.3e1 + t46572 + t46513 + t45120 + t44333 / 0.6e1 + t45925 - t45927 + t44441 + t44443 + t44528 + t46216 + t46135 + t44627 + t44629);
  tv4rho2sigma217 = t3 * t46670 + 0.2e1 * t9730;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 17] += tv4rho2sigma217;

  t46695 = t6283 * t1288;
  t46697 = t6324 * t1288;
  t46699 = t1293 * t6305 / 0.4e1 - t765 * t10155 / 0.6e1 - t609 * t10155 / 0.12e2 + t5126 * t1514 / 0.2e1 + t5105 * t1514 / 0.2e1 + t27552 * t481 / 0.4e1 + t1532 * t5088 / 0.4e1 + t27544 * t481 / 0.4e1 + t27541 * t481 / 0.2e1 + t6353 * t1274 / 0.2e1 + t6335 * t1274 / 0.2e1 - t46695 / 0.18e2 - t46697 / 0.18e2;
  t46700 = t1508 * t5140;
  t46702 = t5096 * t1527;
  t46704 = t5099 * t1527;
  t46706 = t1267 * t6347;
  t46723 = t5150 * t1527 / 0.54e2;
  t46725 = t32124 * t432 / 0.18e2;
  t46726 = -t46700 / 0.18e2 - t46702 / 0.18e2 - t46704 / 0.18e2 - t46706 / 0.18e2 - t6311 * t1288 / 0.6e1 - t1517 * t5140 / 0.6e1 - t1278 * t6347 / 0.6e1 - t417 * t31073 / 0.12e2 - t5108 * t1527 / 0.6e1 - t5115 * t1527 / 0.12e2 - t1283 * t6347 / 0.6e1 + t46723 - t46725;
  t46736 = t634 * t2310;
  t46739 = t764 * t10159;
  t46744 = t191 * t242 * t10020 * t243;
  t46747 = t222 * t10022;
  t46752 = t629 * t2310;
  t46756 = t634 * t2309 * t635;
  t46761 = t191 * t242 * t2308 * t641;
  t46766 = t32451 * t432 / 0.4e1 + t30815 * t432 / 0.4e1 + t30808 * t432 / 0.2e1 + t10160 * t761 / 0.4e1 - t622 * t46736 / 0.12e2 + t46739 * t250 / 0.2e1 + t46744 * t250 / 0.2e1 - t211 * t46747 / 0.6e1 + t10160 * t655 / 0.2e1 - t622 * t46752 / 0.6e1 + t622 * t46756 / 0.3e1 - t46761 * t650 / 0.2e1 - t5091 * t1527 / 0.12e2;
  t46768 = t6365 * t1288 / 0.54e2;
  t46778 = t27116 * t481 / 0.18e2;
  t46779 = t6358 * t1274;
  t46781 = t30827 * t432;
  t46783 = t30783 * t432;
  t46787 = t592 * t10159;
  t46788 = t46787 * t250;
  t46792 = t771 * t10155;
  t46794 = t46768 - t466 * t27547 / 0.12e2 - t6340 * t1288 / 0.12e2 - t1522 * t5140 / 0.6e1 - t6308 * t1288 / 0.12e2 - t46778 + t46779 / 0.6e1 + t46781 / 0.6e1 + t46783 / 0.6e1 - t10160 * t749 / 0.2e1 + t46788 / 0.6e1 + t743 * t10155 / 0.6e1 - t46792 / 0.18e2;
  t46797 = t5143 * t1514;
  t46799 = t27091 * t481;
  t46801 = t27536 * t481;
  t46803 = t46797 / 0.6e1 + t46799 / 0.6e1 + t46801 / 0.6e1 - t41004 - t41006 - t41011 + t41014 + t41016 + t41018 + t41023 + t41025 + t41027 + t41030;
  t46804 = t26891 * t9864;
  t46809 = t26891 * t9883;
  t46811 = t414 * t617;
  t46812 = t3448 * t46811;
  t46816 = t26888 * t9879;
  t46818 = t3375 * t46811;
  t46822 = t188 * t9872;
  t46823 = t46822 * t9875;
  t46824 = t26891 * t9868;
  t46830 = t41033 - t41036 - t46804 / 0.3e1 + 0.3e1 * t4779 * t6393 * t43375 - 0.2e1 * t46809 - 0.18e2 * t9873 * t31928 * t46812 - 0.2e1 * t46816 - 0.18e2 * t4779 * t31928 * t46818 + t46823 + t46824 + t25730 * t9741 + t4779 * t6413 * t9740 + t4779 * t1587 * t42647;
  t46832 = t414 * t3244;
  t46833 = t819 * t46832;
  t46839 = t21655 * t9744;
  t46845 = t6186 * t10122;
  t46847 = t6186 * t8692;
  t46857 = t20881 * t2266;
  t46858 = t1220 * t46857;
  t46861 = t4779 * t1587 * t46833 / 0.2e1 - t21617 * t9744 - t21621 * t9744 - t46839 / 0.3e1 + 0.3e1 * t25696 * t9737 + 0.3e1 * t25730 * t9737 - t46845 / 0.9e1 - t46847 / 0.9e1 - t1541 * t41063 / 0.3e1 - t1541 * t41068 / 0.6e1 - t6081 * t10122 / 0.3e1 - t6081 * t8692 / 0.3e1 - t1541 * t46858 / 0.6e1;
  t46881 = t26140 * t17494;
  t46884 = t3402 * t238;
  t46890 = -t31096 * t2276 / 0.6e1 - t31100 * t2276 / 0.3e1 - t6084 * t10122 / 0.3e1 - t6084 * t8692 / 0.3e1 - t31146 * t2276 / 0.6e1 - t42203 * t6067 + t32403 * t4784 + 0.3e1 / 0.2e1 * t42187 * t6063 + 0.3e1 * t25730 * t9868 - t25696 * t9864 + 0.3e1 * t25696 * t9868 - 0.7e1 / 0.3e1 * t26124 * t46881 + 0.14e2 / 0.3e1 * t10036 * t46884 * t10047 + 0.14e2 / 0.3e1 * t10036 * t41159;
  t46896 = t25669 * t10038;
  t46899 = t95 * t27524;
  t46900 = t4760 * t46899;
  t46903 = t182 * t6390;
  t46906 = t30 * t31935;
  t46913 = t30 * t31925;
  t46916 = t25784 * t10038;
  t46921 = t4754 * t46899;
  t46923 = t30 * t31928;
  t46924 = t95 * t46811;
  t46925 = t10058 * t46924;
  t46928 = 0.7e1 / 0.3e1 * t10036 * t27526 - t10036 * t46896 - t10036 * t43061 - t10036 * t46900 / 0.2e1 - 0.3e1 * t46903 * t10063 - 0.3e1 * t46906 * t10063 + 0.14e2 / 0.3e1 * t46903 * t10059 + 0.14e2 / 0.3e1 * t46906 * t10059 + 0.2e1 * t46913 * t10067 + 0.2e1 * t10066 * t46916 + 0.2e1 * t10066 * t42400 + t10066 * t46921 + 0.22e2 / 0.3e1 * t46923 * t46925;
  t46929 = t182 * t6393;
  t46934 = t3448 * t238;
  t46941 = t10037 * t3671 * t27524;
  t46950 = t46884 * t10038;
  t46955 = t10058 * t46899;
  t46961 = -0.4e1 * t46929 * t10069 - 0.4e1 * t46913 * t10069 - 0.3e1 * t10036 * t46934 * t10062 - 0.3e1 * t10036 * t41590 - 0.3e1 / 0.2e1 * t10036 * t46941 + 0.2e1 * t46929 * t10067 - t41119 - 0.11e2 / 0.9e1 * t46903 * t10072 - 0.11e2 / 0.9e1 * t46906 * t10072 - 0.11e2 / 0.9e1 * t10036 * t46950 - 0.11e2 / 0.9e1 * t10036 * t42422 - 0.11e2 / 0.18e2 * t10036 * t46955 - 0.4e1 * t10066 * t25665 * t10047;
  t46965 = t4765 * t27525;
  t46982 = t6214 * t8704;
  t46984 = t1508 * t5054;
  t46988 = -0.4e1 * t10066 * t42406 - 0.2e1 * t10066 * t46965 + t6112 * t8704 / 0.3e1 + t6116 * t8704 / 0.3e1 + t1568 * t41322 / 0.3e1 + t1568 * t27147 / 0.6e1 + t1517 * t5054 / 0.6e1 + t1522 * t5054 / 0.6e1 + t466 * t26910 / 0.6e1 + t46982 / 0.9e1 + t46984 / 0.18e2 - t41144 + t6488 * t25658 / 0.6e1;
  t46993 = t673 * t46857;
  t47018 = t1568 * t42332 / 0.6e1 + t6116 * t8791 / 0.3e1 + t1568 * t46993 / 0.6e1 + t1568 * t42329 / 0.3e1 + t31427 * t2268 / 0.6e1 + t31430 * t2268 / 0.3e1 + t6112 * t9828 / 0.3e1 + t6112 * t8791 / 0.3e1 + t31433 * t2268 / 0.6e1 + t6116 * t9828 / 0.3e1 + t466 * t42519 / 0.12e2 + t466 * t41199 / 0.6e1 + t466 * t41294 / 0.12e2 - t6488 * t42892 / 0.6e1;
  t47025 = t719 * t414;
  t47026 = t253 * t47025;
  t47027 = t4754 * t47026;
  t47034 = t95 * t46832;
  t47035 = t4770 * t47034;
  t47042 = t25784 * t9770;
  t47053 = t31284 * t8631 / 0.6e1 - t31841 * t8644 / 0.3e1 - t6069 * t47027 / 0.6e1 - t6069 * t42983 / 0.3e1 + 0.2e1 / 0.3e1 * t6069 * t41430 + t6069 * t47035 / 0.3e1 - t31284 * t9771 / 0.3e1 - t31242 * t9771 / 0.3e1 - t6069 * t47042 / 0.3e1 + t31841 * t8636 / 0.6e1 + t31844 * t8636 / 0.6e1 + t6488 * t42141 / 0.6e1 + t6488 * t42350 / 0.12e2;
  t47070 = t27066 * t1548;
  t47074 = t6358 * t1240;
  t47078 = t32408 * t1235;
  t47080 = t31242 * t8631 / 0.6e1 + t6069 * t42791 / 0.6e1 + t6069 * t42795 / 0.6e1 + t6069 * t42798 / 0.12e2 + 0.5e1 / 0.36e2 * t10036 * t42784 - t31844 * t8644 / 0.3e1 - t6488 * t42884 / 0.3e1 - t6488 * t42888 / 0.3e1 - t47070 / 0.3e1 + 0.3e1 * t5073 * t6194 + t47074 / 0.3e1 - 0.3e1 * t1532 * t4888 - t47078 / 0.3e1;
  t47104 = t6365 * t2108 / 0.54e2;
  t47105 = 0.3e1 * t6295 * t4869 + t768 * t9858 + t3610 * t2332 / 0.2e1 + t757 * t9855 + t757 * t9858 - t246 * t1559 * t43243 / 0.4e1 + t3568 * t2332 / 0.2e1 + t3605 * t2332 + t768 * t9855 - t757 * t10197 / 0.2e1 - t757 * t10125 / 0.2e1 - t246 * t31138 * t2166 / 0.4e1 - t47104;
  t47107 = t31037 * t2276 / 0.27e2;
  t47109 = 0.2e1 / 0.27e2 * t31037 * t2282;
  t47110 = t3631 * t2332;
  t47112 = t3637 * t2332;
  t47114 = t593 * t9855;
  t47116 = t593 * t9858;
  t47118 = t3631 * t2324;
  t47120 = t3637 * t2324;
  t47122 = t2317 * t206;
  t47123 = t3474 * t47122;
  t47132 = t9735 * t667;
  t47133 = t21220 * t47132;
  t47138 = t3474 * t16666 * t206;
  t47142 = t22070 * t47132;
  t47146 = t47107 - t47109 + t47110 / 0.3e1 + t47112 / 0.3e1 + t47114 / 0.3e1 + t47116 / 0.3e1 - t47118 / 0.3e1 - t47120 / 0.3e1 + 0.3e1 * t3123 * t31407 * t47123 - t3123 * t6066 * t42223 + 0.5e1 / 0.2e1 * t4779 * t1591 * t42218 - 0.15e2 / 0.2e1 * t9873 * t6390 * t47133 + 0.3e1 * t26806 * t31407 * t47138 - 0.15e2 / 0.2e1 * t4779 * t6390 * t47142;
  t47156 = t3409 * t47132;
  t47161 = t627 * t2330 * t206;
  t47165 = t21225 * t47132;
  t47170 = t3474 * t16671 * t206;
  t47174 = t95 * t47132;
  t47175 = t26140 * t47174;
  t47182 = t635 * t47132;
  t47183 = t25739 * t47182;
  t47186 = t9761 * t206;
  t47187 = t3121 * t47186;
  t47188 = t10037 * t47187;
  t47191 = t253 * t47186;
  t47192 = t4796 * t47191;
  t47194 = t9761 * t667;
  t47195 = t253 * t47194;
  t47196 = t3130 * t47195;
  t47199 = -0.5e1 / 0.2e1 * t4738 * t1591 * t42231 + t4748 * t6066 * t42236 + 0.11e2 * t4779 * t6393 * t47156 - 0.6e1 * t3123 * t31638 * t47161 + 0.15e2 * t4738 * t6390 * t47165 - 0.6e1 * t4748 * t31407 * t47170 + 0.55e2 / 0.18e2 * t10036 * t47175 - 0.5e1 / 0.6e1 * t6069 * t42211 + t6069 * t42228 / 0.3e1 - 0.115e3 / 0.36e2 * t10036 * t47183 + 0.23e2 / 0.18e2 * t10036 * t47188 - t10097 * t47192 - t6491 * t47196 / 0.3e1;
  t47208 = t3130 * t47174;
  t47210 = t4760 * t47174;
  t47214 = t3171 * t2317 * t667;
  t47219 = t658 * t2322 * t667;
  t47232 = t229 * t46811;
  t47236 = t26891 * t10085;
  t47238 = 0.22e2 / 0.3e1 * t10066 * t4760 * t47182 - 0.4e1 * t10066 * t4765 * t47187 + t3123 * t6496 * t42244 + t10097 * t47208 - 0.11e2 / 0.6e1 * t10066 * t47210 + 0.2e1 * t4748 * t6066 * t47214 + t3123 * t6496 * t47219 - 0.2e1 * t4779 * t1587 * t42239 - t182 * t10088 / 0.2e1 - t30 * t2309 * t720 / 0.4e1 - t6491 * t42156 / 0.3e1 - 0.6e1 * t4779 * t32014 * t47232 + t47236 / 0.3e1;
  t47243 = t21655 * t9732;
  t47245 = t4760 * t46924;
  t47248 = t5143 * t1551;
  t47263 = -0.3e1 / 0.2e1 * t4779 * t470 * t41420 - t47243 / 0.6e1 + 0.6e1 * t46923 * t47245 + t47248 / 0.3e1 - t5073 * t6092 - t5073 * t6088 / 0.2e1 - t6295 * t4933 - t6295 * t4937 / 0.2e1 + t6353 * t1240 + t6335 * t1240 + t1532 * t4957 + t1532 * t4961 / 0.2e1 + t1218 * t30991 / 0.3e1;
  t47264 = t1530 * t4832;
  t47265 = t4844 * t47264;
  t47270 = t3375 * t476;
  t47271 = t47270 * t4771;
  t47276 = t648 * t476;
  t47277 = t47276 * t4756;
  t47280 = t3375 * t46832;
  t47289 = t648 * t9735;
  t47296 = t648 * t27524;
  t47300 = 0.23e2 / 0.36e2 * t4830 * t47265 - t32423 * t1235 - t32430 * t1235 + t4753 * t47271 / 0.4e1 + t4789 * t31514 / 0.6e1 - t4753 * t47277 / 0.6e1 + t4738 * t1591 * t47280 - t26814 * t9754 - t27575 * t9754 + 0.6e1 * t26772 * t9749 + 0.6e1 * t26777 * t9749 + 0.6e1 * t4738 * t31925 * t47289 + 0.6e1 * t4738 * t6393 * t41360 + 0.3e1 * t4738 * t6393 * t47296;
  t47332 = -t3123 * t32257 * t2323 / 0.2e1 - t3123 * t32253 * t2323 - t3123 * t6496 * t9121 + t25696 * t9741 - 0.4e1 / 0.3e1 * t31284 * t9758 - 0.4e1 / 0.3e1 * t31242 * t9758 - t4748 * t31229 * t2318 / 0.2e1 - t4748 * t31223 * t2318 - t4748 * t6066 * t8725 + 0.2e1 * t26772 * t9752 + 0.2e1 * t26777 * t9752 + 0.2e1 * t4738 * t6419 * t4742 + 0.2e1 * t4738 * t1591 * t41353;
  t47334 = t188 * t6424 * t10098;
  t47336 = t31355 * t10091;
  t47342 = t25669 * t9766;
  t47347 = t4760 * t47034;
  t47360 = -t47334 / 0.3e1 - t47336 / 0.9e1 + t31284 * t10176 / 0.3e1 + t31242 * t10176 / 0.3e1 + t6069 * t47342 / 0.3e1 + t6069 * t41459 / 0.3e1 + t6069 * t47347 / 0.6e1 - t6491 * t42994 / 0.3e1 + t6069 * t43311 / 0.2e1 - t6069 * t43314 / 0.3e1 - 0.3e1 / 0.2e1 * t41476 * t6479 + t25662 * t6482 - t6069 * t41643;
  t47364 = t653 * t476;
  t47365 = t47364 * t4756;
  t47368 = t47270 * t4762;
  t47370 = t3409 * t476;
  t47371 = t47370 * t4771;
  t47377 = t3631 * t2327;
  t47379 = t3637 * t2327;
  t47381 = t593 * t10197;
  t47383 = t593 * t10125;
  t47385 = t21416 * t2319;
  t47387 = t21421 * t2319;
  t47389 = t3548 * t10025;
  t47391 = t3548 * t10109;
  t47393 = 0.2e1 / 0.3e1 * t6069 * t41647 - t4753 * t47365 / 0.3e1 - t4753 * t47368 + t4753 * t47371 / 0.2e1 - t246 * t6136 * t9012 / 0.2e1 - t47377 / 0.6e1 - t47379 / 0.6e1 - t47381 / 0.6e1 - t47383 / 0.6e1 - t47385 / 0.3e1 - t47387 / 0.3e1 - t47389 / 0.3e1 - t47391 / 0.3e1;
  t47394 = t31027 * t2282;
  t47416 = t593 * t9848;
  t47418 = 0.2e1 / 0.9e1 * t47394 - t41368 - t246 * t1555 * t43052 / 0.2e1 - t3610 * t2324 / 0.2e1 - t757 * t9848 - t757 * t9845 + t246 * t1547 * t42598 / 0.2e1 - t3568 * t2324 / 0.2e1 - t3605 * t2324 - t768 * t9848 - t768 * t9845 + t246 * t30887 * t2331 / 0.2e1 + t246 * t6091 * t9021 - t47416 / 0.3e1;
  t47422 = t31575 * t8651;
  t47427 = t188 * t6390;
  t47428 = t47427 * t10048;
  t47430 = t653 * t46811;
  t47434 = t26888 * t9888;
  t47436 = t3402 * t46811;
  t47443 = t21220 * t46811;
  t47447 = t47427 * t10072;
  t47450 = t31575 * t8610;
  t47452 = t635 * t46811;
  t47453 = t10037 * t47452;
  t47456 = t26891 * t10082;
  t47458 = t47422 / 0.9e1 - 0.3e1 * t4738 * t6393 * t41409 + 0.23e2 / 0.54e2 * t47428 + 0.18e2 * t4779 * t32037 * t47430 + t47434 / 0.3e1 + 0.36e2 * t4738 * t31928 * t47436 - 0.3e1 / 0.2e1 * t4779 * t6390 * t42764 - 0.18e2 * t4738 * t31939 * t47443 - 0.11e2 / 0.27e2 * t47447 - t10066 * t43368 - 0.2e1 / 0.9e1 * t47450 - 0.23e2 / 0.3e1 * t46923 * t47453 + t47456 / 0.3e1;
  t47462 = t414 * t3140;
  t47463 = t22051 * t47462;
  t47467 = t95 * t47462;
  t47468 = t8642 * t47467;
  t47471 = t30 * t32014;
  t47472 = t4796 * t46924;
  t47475 = t26082 * t47467;
  t47480 = t31355 * t10173;
  t47485 = t31355 * t8639;
  t47491 = t25665 * t9770;
  t47494 = -0.3e1 / 0.2e1 * t4779 * t6424 * t41547 + 0.3e1 * t4779 * t1591 * t47463 + t6491 * t47468 / 0.3e1 + 0.2e1 * t47471 * t47472 - t6069 * t47475 / 0.2e1 + t10097 * t42997 / 0.2e1 + t47480 / 0.9e1 + 0.3e1 * t4738 * t6390 * t42768 + t2160 - t47485 / 0.9e1 - t31284 * t10042 / 0.6e1 - t31242 * t10042 / 0.6e1 - t6069 * t47491 / 0.6e1;
  t47496 = t4765 * t47026;
  t47503 = t46934 * t10038;
  t47508 = t10037 * t46899;
  t47511 = t30 * t31939;
  t47512 = t21210 * t65;
  t47513 = t47512 * t46924;
  t47526 = t31295 * t1221;
  t47527 = t673 * t47526;
  t47530 = -t6069 * t47496 / 0.12e2 - 0.5e1 / 0.18e2 * t46903 * t10039 - 0.5e1 / 0.18e2 * t46906 * t10039 - 0.5e1 / 0.18e2 * t10036 * t47503 - 0.5e1 / 0.18e2 * t10036 * t41455 - 0.5e1 / 0.36e2 * t10036 * t47508 - 0.35e2 / 0.108e3 * t47511 * t47513 + t6488 * t42355 / 0.6e1 + t417 * t31297 / 0.6e1 + t417 * t31301 / 0.12e2 + t5022 * t9805 / 0.3e1 + t5009 * t9805 / 0.3e1 + t1259 * t47527 / 0.3e1;
  t47533 = t6255 * t4832;
  t47534 = t1227 * t47533;
  t47550 = t6358 * t1247;
  t47554 = t21215 * t46811;
  t47558 = t31575 * t9758;
  t47560 = t1259 * t31650 / 0.6e1 + t4859 * t47534 / 0.2e1 - t6353 * t1251 / 0.2e1 - t6335 * t1251 / 0.2e1 - t1532 * t4979 / 0.2e1 - t1532 * t4982 / 0.4e1 - t6353 * t1247 - t6335 * t1247 - t1532 * t4968 - t1532 * t4970 / 0.2e1 - t47550 / 0.3e1 - t6069 * t41446 / 0.6e1 + 0.18e2 * t9873 * t31939 * t47554 - 0.4e1 / 0.9e1 * t47558;
  t47563 = t22070 * t47462;
  t47567 = t26903 * t9754;
  t47569 = t26888 * t9752;
  t47571 = t3430 * t47462;
  t47577 = t21225 * t46811;
  t47583 = t30 * t65 * t21203 * t94;
  t47584 = t21210 * t46811;
  t47588 = t21215 * t65;
  t47589 = t47588 * t47452;
  t47592 = t3671 * t46811;
  t47593 = t47512 * t47592;
  t47603 = t4844 * t6293 * t4832;
  t47606 = -0.3e1 * t4738 * t1591 * t47563 - t47567 / 0.3e1 + 0.2e1 / 0.3e1 * t47569 - t4779 * t1587 * t47571 - 0.3e1 / 0.2e1 * t9873 * t6390 * t42772 + 0.6e1 * t4779 * t31939 * t47577 - 0.6e1 * t47583 * t31939 * t47584 + 0.89e2 / 0.9e1 * t47511 * t47589 - 0.43e2 / 0.9e1 * t47511 * t47593 + t10036 * t42991 / 0.2e1 - 0.3e1 * t6295 * t4826 + 0.3e1 / 0.2e1 * t1532 * t4821 - 0.3e1 / 0.2e1 * t4830 * t47603;
  t47609 = t4831 * t47533;
  t47612 = t4838 * t47264;
  t47635 = 0.3e1 / 0.2e1 * t32471 * t4851 - t4830 * t47609 / 0.2e1 + 0.7e1 / 0.3e1 * t4830 * t47612 - 0.3e1 / 0.2e1 * t6107 * t43183 - t6107 * t41391 / 0.2e1 - 0.3e1 * t5073 * t6231 + 0.3e1 / 0.2e1 * t1293 * t6250 + t1517 * t8810 / 0.6e1 + t1517 * t8843 / 0.6e1 + t6340 * t2108 / 0.12e2 + t1522 * t8810 / 0.6e1 + t1522 * t8843 / 0.6e1 - t1541 * t43277 / 0.6e1;
  t47643 = t31575 * t9767;
  t47645 = t27475 * t47467;
  t47648 = t26082 * t635 * t47462;
  t47651 = t31575 * t9763;
  t47653 = t31575 * t8631;
  t47657 = t31352 * t8644;
  t47661 = t31575 * t9771;
  t47663 = t31575 * t10042;
  t47665 = -t1541 * t43280 / 0.12e2 + t6308 * t2108 / 0.12e2 + t6311 * t2108 / 0.6e1 + 0.2e1 / 0.9e1 * t47643 - t6069 * t47645 + 0.2e1 * t6069 * t47648 + 0.2e1 / 0.9e1 * t47651 + t47653 / 0.18e2 - t10066 * t41539 / 0.2e1 - t47657 / 0.9e1 + t6488 * t42957 / 0.2e1 - t47661 / 0.9e1 - t47663 / 0.18e2;
  t47666 = t47427 * t10039;
  t47668 = t10037 * t46924;
  t47671 = t31352 * t8636;
  t47675 = t6186 * t8709;
  t47681 = -0.5e1 / 0.54e2 * t47666 + 0.5e1 / 0.3e1 * t46923 * t47668 + t47671 / 0.18e2 - t41371 - t41372 - t41375 - t41377 - t41379 - t41382 - t6084 * t8986 / 0.3e1 - t47675 / 0.18e2 + t6167 * t41327 / 0.2e1 - t246 * t6096 * t9121 - t41388;
  t47687 = t593 * t9845;
  t47695 = t10058 * t47191;
  t47698 = t3375 * t47132;
  t47702 = t627 * t47122;
  t47707 = t26888 * t9749;
  t47709 = t30 * t6289;
  t47714 = -t47687 / 0.3e1 - t25888 * t1548 - t27129 * t1548 + 0.5e1 / 0.3e1 * t6069 * t42215 - 0.2e1 / 0.3e1 * t6069 * t42253 - 0.11e2 / 0.9e1 * t10036 * t47695 - 0.11e2 * t4738 * t6393 * t47698 + 0.6e1 * t4748 * t31638 * t47702 - t25662 * t6497 + 0.2e1 * t47707 + t47709 * t4787 - t25662 * t6476 / 0.2e1 + t41476 * t6484;
  t47732 = t4838 * t17380;
  t47735 = t4765 * t47191;
  t47737 = -t6081 * t8986 / 0.3e1 - t1541 * t42362 / 0.3e1 - t1541 * t42365 / 0.6e1 - 0.11e2 / 0.18e2 * t6107 * t42369 + 0.2e1 / 0.3e1 * t6084 * t8990 + 0.2e1 / 0.3e1 * t6081 * t8990 + t5105 * t1551 + t5126 * t1551 + t1293 * t6120 + t1293 * t6122 / 0.2e1 + 0.7e1 / 0.3e1 * t21069 * t47732 + t41404 + t10066 * t47735;
  t47739 = t4760 * t47195;
  t47745 = t6186 * t10102;
  t47747 = t6186 * t8715;
  t47749 = t31027 * t2276;
  t47751 = t31030 * t2276;
  t47757 = t25958 * t9766;
  t47764 = t25665 * t9762;
  t47768 = t4765 * t3121 * t47025;
  t47771 = t6069 * t47739 / 0.3e1 + 0.18e2 * t46923 * t10037 * t47592 + 0.2e1 / 0.9e1 * t47745 + 0.2e1 / 0.9e1 * t47747 - t47749 / 0.9e1 - t47751 / 0.9e1 + 0.2e1 / 0.3e1 * t31284 * t9767 + 0.2e1 / 0.3e1 * t31242 * t9767 + 0.2e1 / 0.3e1 * t6069 * t47757 + 0.2e1 / 0.3e1 * t31284 * t9763 + 0.2e1 / 0.3e1 * t31242 * t9763 + 0.2e1 / 0.3e1 * t6069 * t47764 + t6069 * t47768 / 0.3e1;
  t47774 = t25669 * t9757;
  t47780 = t4760 * t635 * t46832;
  t47784 = t777 * t2310 / 0.18e2;
  t47793 = t26891 * t10080;
  t47797 = t47588 * t46924;
  t47800 = t4796 * t46899;
  t47803 = t30 * t32037;
  t47804 = t4765 * t46924;
  t47807 = 0.2e1 / 0.3e1 * t6069 * t42967 - 0.4e1 / 0.3e1 * t6069 * t47774 - 0.4e1 / 0.3e1 * t6069 * t42974 - 0.2e1 / 0.3e1 * t6069 * t47780 + t47784 + t25730 * t10082 + t4779 * t6413 * t8621 + t4779 * t1587 * t42566 + t4779 * t1587 * t43075 / 0.2e1 - 0.2e1 / 0.3e1 * t47793 - 0.2e1 * t25696 * t10080 - 0.61e2 / 0.27e2 * t47511 * t47797 - t10097 * t47800 / 0.2e1 - 0.3e1 * t47803 * t47804;
  t47812 = t26927 * t10038;
  t47815 = t2308 * t66;
  t47817 = t660 * t47815 * t668;
  t47825 = t673 * t47815 * t674;
  t47828 = t31030 * t2271;
  t47830 = t6186 * t9891;
  t47832 = t6186 * t8848;
  t47834 = t31171 * t2268;
  t47836 = t31174 * t2268;
  t47840 = -t30 * t32028 * t10098 - t10097 * t47812 - t10097 * t42164 + t211 * t47817 / 0.12e2 + t10160 * t736 / 0.2e1 - t10160 * t731 / 0.4e1 - t211 * t47825 / 0.6e1 - t47828 / 0.18e2 - t47830 / 0.18e2 - t47832 / 0.18e2 + t47834 / 0.9e1 + t47836 / 0.9e1 + t1532 * t4891 / 0.2e1;
  t47841 = t4898 * t9805;
  t47851 = t47841 / 0.9e1 + 0.3e1 / 0.2e1 * t1532 * t4879 + t1293 * t6219 / 0.2e1 + 0.3e1 / 0.2e1 * t1293 * t6209 + 0.3e1 / 0.2e1 * t25931 * t6247 - t41481 + t41484 - t41500 - t41502 + t41505 - t41513 - t41515 + t41516;
  t47853 = t5143 * t1560;
  t47855 = t5143 * t1564;
  t47859 = t5143 * t1556;
  t47868 = t6283 * t2108;
  t47870 = t6324 * t2108;
  t47872 = t6358 * t1255;
  t47874 = t41518 - t41519 + t41520 - t47853 / 0.6e1 + t47855 / 0.6e1 + t1532 * t4974 / 0.2e1 - t47859 / 0.3e1 - t644 * t6091 * t8725 - t644 * t1547 * t43025 / 0.2e1 + t6353 * t1255 / 0.2e1 + t47868 / 0.18e2 + t47870 / 0.18e2 + t47872 / 0.6e1;
  t47888 = t1227 * t47526;
  t47891 = t1227 * t31649;
  t47894 = t4844 * t47533;
  t47897 = t4854 * t9790;
  t47899 = t1220 * t47533;
  t47901 = t6186 * t8990;
  t47903 = -t5105 * t1556 - t5126 * t1556 - t1293 * t6097 - t1293 * t6099 / 0.2e1 - t6081 * t8709 / 0.6e1 - t1541 * t42456 / 0.6e1 - t4912 * t9814 / 0.6e1 - t4925 * t9814 / 0.6e1 - t1218 * t47888 / 0.6e1 - t1218 * t47891 / 0.12e2 - 0.5e1 / 0.36e2 * t4830 * t47894 - t47897 / 0.9e1 + t4859 * t47899 + 0.2e1 / 0.9e1 * t47901;
  t47911 = t6186 * t8986;
  t47922 = t4770 * t47195;
  t47925 = t30 * t32465;
  t47928 = -0.2e1 * t6167 * t41305 - 0.3e1 * t1293 * t6203 - t47911 / 0.9e1 + t6167 * t42814 + t1278 * t6263 / 0.6e1 + t1283 * t6263 / 0.6e1 - t6069 * t42963 / 0.6e1 + t41570 + t41571 + t41575 - t182 * t10022 / 0.2e1 + 0.2e1 / 0.3e1 * t6069 * t47922 + 0.3e1 / 0.2e1 * t47925 * t4743;
  t47929 = t25739 * t46924;
  t47944 = -t41600 - t41611 + t41623 - t41625 - 0.38e2 / 0.9e1 * t47511 * t47929 - 0.2e1 / 0.3e1 * t6069 * t43361 - 0.2e1 / 0.3e1 * t6069 * t43365 - t6069 * t42605 / 0.3e1 - 0.23e2 / 0.36e2 * t10036 * t42500 + t41631 - t41636 + 0.2e1 / 0.3e1 * t6491 * t42261 - t6491 * t42270 / 0.3e1;
  t47950 = t3130 * t47034;
  t47955 = t31513 * t4771;
  t47958 = t229 * t476;
  t47959 = t47958 * t4756;
  t47962 = t21209 * t20728;
  t47963 = t31938 * t47962;
  t47964 = t9929 * t617;
  t47965 = t3482 * t47964;
  t47976 = t2298 * t3140;
  t47977 = t22070 * t47976;
  t47982 = t9929 * t3140;
  t47983 = t840 * t47982;
  t47988 = t469 * t41733;
  t47991 = -t41658 + 0.8e1 / 0.3e1 * t47963 * t47965 - 0.6e1 * t31864 * t41963 + t41695 - 0.2e1 * t1585 * t8921 - 0.2e1 / 0.3e1 * t1591 * t42096 - t6390 * t41776 / 0.18e2 + 0.4e1 * t1591 * t47977 - t31951 * t2291 / 0.3e1 + 0.12e2 * t31895 * t47983 - 0.6e1 * t31898 * t41742 - 0.6e1 * t47988 * t41736;
  t47992 = t827 * t47982;
  t47995 = t21730 * t3137;
  t47996 = t6389 * t47995;
  t48003 = t22013 * t47964;
  t48014 = t31934 * t9951;
  t48019 = t9929 * t606;
  t48020 = t827 * t48019;
  t48023 = -0.2e1 * t31895 * t47992 + 0.4e1 / 0.3e1 * t47996 * t47965 - 0.8e1 * t6427 * t41968 + 0.12e2 * t31879 * t41739 - 0.4e1 / 0.3e1 * t47963 * t48003 - 0.4e1 * t31861 * t8893 - 0.4e1 * t6427 * t41946 - 0.2e1 * t6427 * t41949 + 0.2e1 / 0.3e1 * t31864 * t41952 + 0.12e2 * t48014 * t9945 + 0.12e2 * t9952 * t41704 + 0.6e1 * t9952 * t48020;
  t48025 = t6418 * t9943;
  t48030 = t840 * t48019;
  t48033 = t3475 * t47964;
  t48040 = t21343 * t218;
  t48041 = t469 * t48040;
  t48042 = t233 * t47964;
  t48047 = t3475 * t47132;
  t48052 = t827 * t47132;
  t48057 = -0.24e2 * t48025 * t10012 - 0.24e2 * t9944 * t41660 - 0.12e2 * t9944 * t48030 + 0.8e1 * t47996 * t48033 - 0.4e1 / 0.3e1 * t48014 * t10015 - 0.4e1 / 0.3e1 * t9952 * t41716 - 0.24e2 * t48041 * t48042 + 0.2e1 / 0.3e1 * t6427 * t41681 - 0.5e2 / 0.3e1 * t31864 * t48047 + 0.4e1 * t6440 * t41957 + 0.44e2 / 0.3e1 * t31879 * t48052 + 0.4e1 * t31906 * t41710;
  t48060 = t233 * t47132;
  t48063 = t840 * t47132;
  t48070 = t3475 * t48019;
  t48074 = t2298 * t3244;
  t48075 = t819 * t48074;
  t48078 = 0.1e2 / 0.3e1 * t31895 * t41675 + 0.6e1 * t31898 * t48060 - 0.22e2 * t31879 * t48063 - 0.5e1 * t31895 * t41653 + 0.15e2 * t31864 * t48052 - 0.2e1 / 0.3e1 * t9952 * t48070 + t41726 + t41727 + t8876 - t41728 - t470 * t41859 - t1587 * t48075 - t1587 * t41819;
  t48084 = t3409 * t48074;
  t48095 = t2298 * t606;
  t48096 = t229 * t48095;
  t48099 = t2298 * t617;
  t48100 = t648 * t48099;
  t48107 = 0.4e1 * t6393 * t41773 - t470 * t41838 + 0.2e1 * t1591 * t48084 - 0.8e1 / 0.3e1 * t1591 * t42047 + t6390 * t41870 / 0.9e1 - 0.6e1 * t32028 * t9997 - 0.2e1 * t6413 * t9977 - 0.3e1 * t6424 * t48096 + 0.24e2 * t32037 * t48100 - 0.8e1 * t31861 * t9931 + 0.4e1 * t9923 * t41668 + t41755;
  t48108 = t21402 * t626;
  t48109 = t1590 * t48108;
  t48110 = t840 * t47964;
  t48115 = t3402 * t48099;
  t48122 = t1584 * t8899;
  t48129 = t41792 - t41796 - t41841 - t41843 + 0.72e2 * t48109 * t48110 - 0.6e1 * t6390 * t41765 - 0.4e2 * t31928 * t48115 - 0.2e1 / 0.9e1 * t9952 * t41938 + 0.4e1 * t31901 * t8896 + 0.4e1 * t48122 * t8902 + 0.2e1 / 0.3e1 * t31861 * t8905 + 0.4e1 / 0.3e1 * t31861 * t9948;
  t48145 = t827 * t47964;
  t48148 = -0.2e1 / 0.9e1 * t48014 * t9953 + 0.4e1 / 0.3e1 * t6427 * t41935 + 0.4e1 * t48025 * t9945 + 0.12e2 * t9935 * t41696 + 0.4e1 * t6440 * t41701 + 0.4e1 * t9944 * t41704 - t41900 - t41901 + t41913 + t41921 + 0.24e2 * t47963 * t48033 - 0.72e2 * t47996 * t48145;
  t48149 = t233 * t47982;
  t48164 = t21215 * t48099;
  t48167 = t41877 * t47132;
  t48174 = t41881 * t47132;
  t48177 = -0.4e1 * t31906 * t48149 + t41976 - 0.4e1 / 0.3e1 * t1591 * t42093 + 0.4e1 * t6419 * t9981 + 0.2e2 / 0.3e1 * t31935 * t9991 + 0.4e1 * t1591 * t41746 + 0.2e2 / 0.3e1 * t6390 * t42103 - 0.2e1 * t470 * t41824 + 0.1e2 / 0.3e1 * t31939 * t48164 - 0.12e2 * t31898 * t48167 - 0.5e1 / 0.3e1 * t31895 * t41882 - 0.8e1 * t31906 * t41878 - 0.22e2 / 0.3e1 * t31879 * t48174;
  t48181 = t3482 * t47132;
  t48191 = t41978 - t41987 + t41991 - t42004 + t42006 - t42015 + t42023 - 0.5e1 / 0.18e2 * t31864 * t48181 + 0.12e2 * t1584 * t9934 * t9937 + 0.4e1 * t31901 * t9940 + t42033 + t470 * t41917 / 0.2e1;
  t48209 = t3375 * t48095;
  t48212 = 0.2e1 * t6413 * t8878 + t1587 * t41922 + t6467 * t2142 / 0.2e1 + t1585 * t8912 - 0.2e1 * t6419 * t8915 - t1591 * t41931 + 0.2e1 / 0.3e1 * t31951 * t2299 + 0.4e1 / 0.3e1 * t6419 * t8869 + 0.2e1 / 0.3e1 * t1591 * t41904 + t31975 * t2302 - t31951 * t2306 - 0.3e1 * t6390 * t48209;
  t48228 = t41885 * t47132;
  t48231 = t3475 * t62;
  t48232 = t48231 * t47132;
  t48235 = t3375 * t48099;
  t48238 = -0.6e1 * t6424 * t41750 - 0.2e1 * t1587 * t42042 - 0.8e1 * t6393 * t41850 - 0.2e1 * t6413 * t8960 - 0.2e1 * t1585 * t8963 - 0.4e1 / 0.3e1 * t6419 * t8926 - 0.2e1 * t1587 * t41816 - t42052 + t42057 + 0.44e2 * t31879 * t48228 + 0.1e2 / 0.3e1 * t31864 * t48232 + 0.36e2 * t31928 * t48235;
  t48241 = t21225 * t48099;
  t48250 = t22051 * t47976;
  t48253 = t3430 * t47976;
  t48260 = t229 * t48099;
  t48263 = t653 * t48099;
  t48268 = t9929 * t3244;
  t48269 = t233 * t48268;
  t48272 = 0.3e1 * t6390 * t42053 - 0.12e2 * t31939 * t48241 - 0.8e1 * t31925 * t9963 - 0.8e1 / 0.3e1 * t6419 * t9994 + t31935 * t9972 / 0.9e1 - 0.6e1 * t1591 * t48250 + 0.2e1 * t1587 * t48253 + 0.3e1 * t6424 * t42067 + 0.3e1 * t470 * t42073 + 0.12e2 * t32014 * t48260 - 0.36e2 * t32037 * t48263 - 0.6e1 * t6393 * t42076 + 0.2e1 * t6440 * t48269;
  t48281 = t840 * t48268;
  t48284 = t233 * t48019;
  t48295 = t827 * t48268;
  t48298 = t3482 * t48019;
  t48301 = t21197 * t60;
  t48302 = t48301 * t47964;
  t48305 = 0.2e1 * t9944 * t48020 + t6427 * t41685 / 0.3e1 + t31864 * t41690 / 0.9e1 - 0.4e1 * t6427 * t48281 + 0.6e1 * t9935 * t48284 - 0.12e2 * t48109 * t48145 + 0.2e1 * t6440 * t41960 - 0.2e1 * t31879 * t41963 + 0.2e1 * t9923 * t41672 + 0.2e1 / 0.3e1 * t6427 * t48295 - t9952 * t48298 / 0.9e1 - t47963 * t48302 / 0.9e1;
  t48306 = t3482 * t62;
  t48307 = t48306 * t47132;
  t48316 = t21220 * t48099;
  t48323 = t653 * t48095;
  t48328 = -t42063 - t42064 - t42065 + t42066 + 0.5e1 / 0.9e1 * t31864 * t48307 + 0.1e2 * t31895 * t41886 - 0.3e2 * t31864 * t48174 - 0.1e2 / 0.3e1 * t6390 * t41762 + 0.5e2 / 0.3e1 * t31939 * t48316 + 0.12e2 * t31925 * t10001 + 0.12e2 * t6393 * t41756 + 0.6e1 * t6393 * t48323 + 0.2e1 * t6419 * t8972;
  t48339 = t3448 * t48095;
  t48343 = t3375 * t48074;
  t48352 = t648 * t48095;
  t48355 = 0.2e1 * t1591 * t41782 + t1591 * t41789 - 0.6e1 * t31935 * t10005 - 0.2e1 / 0.3e1 * t6419 * t8939 - t1591 * t41867 / 0.3e1 + t6390 * t48339 / 0.18e2 - t6467 * t2129 - 0.4e1 / 0.3e1 * t1591 * t48343 - 0.2e1 * t31975 * t2288 - 0.4e1 * t6413 * t8967 - 0.2e1 * t1587 * t41847 - 0.4e1 * t6393 * t48352;
  t48356 = t3448 * t48099;
  t48365 = t3402 * t48095;
  t48368 = -0.2e1 / 0.3e1 * t31928 * t48356 + 0.2e1 * t31951 * t2295 + 0.4e1 * t6419 * t8930 + 0.2e1 * t1591 * t42100 + 0.1e2 / 0.3e1 * t6390 * t48365 - t2138 - t42080 + t42084 + t42086 - t42112 - t42113 - t42115 + t2119;
  t48379 = -0.5e1 / 0.12e2 * t6069 * t42264 - t6488 * t42258 / 0.3e1 - t6491 * t47950 / 0.6e1 - t182 * t6424 * t10098 - t4792 * t47955 / 0.3e1 + t4792 * t47959 / 0.3e1 - t30 * t59 * (t47991 + t48023 + t48057 + t48078 + t48107 + t48129 + t48148 + t48177 + t48191 + t48212 + t48238 + t48272 + t48305 + t48328 + t48355 + t48368) * t95 / 0.4e1 - t800 * t2310 / 0.4e1 + t42163 - t42171 + t42182 + t42199 - t42201;
  t48380 = t1508 * t5046;
  t48382 = t1267 * t6257;
  t48384 = t4854 * t9814;
  t48388 = t673 * t47533;
  t48391 = t1267 * t6263;
  t48395 = t25665 * t10038;
  t48398 = t4765 * t46899;
  t48403 = -t48380 / 0.18e2 - t48382 / 0.18e2 - t48384 / 0.18e2 - t417 * t30959 / 0.6e1 - t4904 * t48388 / 0.2e1 + t48391 / 0.18e2 + t42282 + t42284 + t46929 * t10094 + t46913 * t10094 + t10066 * t48395 + t10066 * t41462 + t10066 * t48398 / 0.2e1 - t31362 * t10091 / 0.3e1;
  t48428 = t6335 * t1255 / 0.2e1 + t1532 * t4993 / 0.4e1 - t22396 * t2319 / 0.2e1 - t3537 * t10025 - t3537 * t10109 - t644 * t30887 * t2318 / 0.2e1 - t21685 * t2319 / 0.2e1 - t22440 * t2319 - t3530 * t10025 - t3530 * t10109 - t246 * t30869 * t2323 / 0.2e1 - t32403 * t4801 - t32403 * t4776 / 0.2e1;
  t48430 = t4760 * t3121 * t47194;
  t48433 = t6214 * t9828;
  t48435 = t6214 * t8791;
  t48447 = t1508 * t8810;
  t48449 = t1508 * t8843;
  t48451 = -0.4e1 / 0.3e1 * t6069 * t48430 - t8743 - t42396 + t42397 + t48433 / 0.9e1 + t48435 / 0.9e1 - t3568 * t2327 / 0.4e1 - t3605 * t2327 / 0.2e1 - t768 * t10197 / 0.2e1 - t768 * t10125 / 0.2e1 - t3610 * t2327 / 0.4e1 + t48447 / 0.18e2 + t48449 / 0.18e2;
  t48453 = t31027 * t2271;
  t48455 = t188 * t6393;
  t48456 = t48455 * t10067;
  t48458 = t47427 * t10059;
  t48460 = t182 * t9872;
  t48464 = t30 * t238 * t9871;
  t48467 = t3448 * t9735;
  t48474 = t1220 * t47526;
  t48477 = t1220 * t31649;
  t48480 = t4838 * t47533;
  t48483 = -t48453 / 0.18e2 + 0.2e1 / 0.3e1 * t48456 + 0.14e2 / 0.9e1 * t48458 + 0.3e1 * t48460 * t9875 + 0.3e1 * t48464 * t9875 + 0.3e1 * t9873 * t31935 * t48467 - t25730 * t9864 - t4779 * t6419 * t8647 + t42404 - t42405 - t1218 * t48474 / 0.3e1 - t1218 * t48477 / 0.6e1 - 0.11e2 / 0.18e2 * t4830 * t48480;
  t48489 = t1227 * t6333 * t1221;
  t48503 = t30 * t22086 * t21730;
  t48509 = 0.2e1 / 0.3e1 * t4912 * t9794 + 0.2e1 / 0.3e1 * t4925 * t9794 + 0.2e1 / 0.3e1 * t1218 * t48489 + 0.2e1 / 0.3e1 * t1541 * t41486 + t1541 * t26358 / 0.3e1 + 0.23e2 / 0.36e2 * t6107 * t43259 - t4912 * t9790 / 0.3e1 - t4925 * t9790 / 0.3e1 - 0.28e2 * t48503 * t17515 + 0.3e1 * t9873 * t6390 * t42183 - t42478 - t42484 + t42485 + t42487;
  t48514 = t47276 * t4766;
  t48518 = t30 * t476 * t4746;
  t48531 = t1227 * t3608 * t2266;
  t48544 = 0.2e1 / 0.3e1 * t4753 * t48514 - t48518 * t4751 - 0.3e1 / 0.2e1 * t47709 * t4781 + 0.2e1 / 0.3e1 * t1541 * t42509 + t1541 * t41343 / 0.3e1 + 0.2e1 / 0.3e1 * t6081 * t10102 + 0.2e1 / 0.3e1 * t6081 * t8715 + t1541 * t48531 / 0.3e1 + 0.2e1 / 0.3e1 * t31100 * t2282 + 0.2e1 / 0.3e1 * t6084 * t10102 - t6491 * t42146 / 0.6e1 + t31362 * t10173 / 0.3e1 - t31362 * t8639 / 0.3e1;
  t48551 = -t31364 * t8639 / 0.3e1 - t6491 * t42151 / 0.3e1 + t42571 + t42572 - t42574 - t42575 + t42579 + t42581 + t42583 + t6491 * t42978 / 0.3e1 - t42633 + t42640 - t42659;
  t48555 = t21593 * t9766;
  t48560 = t819 * t47132;
  t48565 = t219 * t2322 * t206;
  t48571 = t26082 * t47174;
  t48580 = -t42714 - t42716 + t42721 - t31364 * t10091 / 0.3e1 - t6491 * t48555 / 0.3e1 - t6491 * t42167 / 0.3e1 - 0.3e1 * t4779 * t6424 * t48560 + 0.3e1 * t3123 * t31584 * t48565 + t3123 * t6475 * t42248 + 0.5e1 / 0.2e1 * t10036 * t48571 - t31146 * t2271 / 0.12e2 - t6081 * t9891 / 0.6e1 - t6081 * t8848 / 0.6e1;
  t48581 = t1227 * t46857;
  t48602 = t229 * t27524;
  t48615 = -t1541 * t48581 / 0.12e2 + t466 * t26915 / 0.12e2 - t31096 * t2271 / 0.12e2 - t31100 * t2271 / 0.6e1 - t6084 * t9891 / 0.6e1 - t6084 * t8848 / 0.6e1 - t466 * t26016 / 0.6e1 + t42821 + 0.3e1 * t4779 * t32028 * t9736 + 0.3e1 * t4779 * t6424 * t42924 + 0.3e1 / 0.2e1 * t4779 * t6424 * t48602 - t3123 * t31707 * t2166 / 0.4e1 - t3123 * t31711 * t2166 / 0.2e1 - t3123 * t6475 * t9012 / 0.2e1;
  t48618 = t26891 * t9737;
  t48619 = t26891 * t9741;
  t48637 = t3171 * t2330 * t667;
  t48641 = t4770 * t47174;
  t48644 = t4754 * t47191;
  t48647 = t648 * t46811;
  t48651 = t26140 * t46924;
  t48654 = t48618 + t48619 / 0.3e1 + t25696 * t10085 + t25730 * t10085 + t4779 * t1585 * t8626 + 0.14e2 / 0.3e1 * t10036 * t10058 * t47187 + 0.15e2 / 0.2e1 * t10036 * t25739 * t3671 * t47132 - 0.3e1 * t10036 * t10037 * t4746 * t47186 - 0.2e1 * t3123 * t6066 * t48637 - 0.11e2 / 0.3e1 * t10066 * t48641 + 0.2e1 * t10066 * t48644 - 0.18e2 * t4738 * t32037 * t48647 - 0.2e1 * t47511 * t48651;
  t48657 = t47427 * t10055;
  t48659 = t21655 * t10076;
  t48661 = t4754 * t46924;
  t48664 = t48455 * t10069;
  t48669 = t47427 * t10063;
  t48671 = t31037 * t2271 / 0.54e2;
  t48672 = t31030 * t2282;
  t48674 = 0.2e1 * t10066 * t43372 - t48657 / 0.3e1 + t48659 / 0.3e1 - 0.6e1 * t47803 * t48661 - 0.4e1 / 0.3e1 * t48664 + 0.12e2 * t47803 * t4765 * t47452 - t48669 + t48671 + 0.2e1 / 0.9e1 * t48672 - t42912 - t42930 + t42933 - t42936;
  t48680 = t47512 * t47452;
  t48689 = t4760 * t47191;
  t48691 = t6069 * t43350 / 0.6e1 + 0.11e2 / 0.18e2 * t10036 * t43353 + 0.44e2 / 0.27e2 * t47511 * t48680 + t31284 * t8651 / 0.3e1 + t31242 * t8651 / 0.3e1 + 0.23e2 / 0.18e2 * t46903 * t10048 - t43002 - t43008 + t43018 - t43020 - t43029 - t43031 - t10036 * t48689;
  t48704 = -0.35e2 / 0.3e1 * t10036 * t26140 * t47182 + t9032 - t9043 + t3123 * t31229 * t2331 / 0.2e1 + t3123 * t31223 * t2331 + t3123 * t6066 * t9021 + t21617 * t10076 + t21621 * t10076 + t43086 - t43089 + t43095 + t43103 + t43106 + t43108;
  t48708 = t6358 * t1251;
  t48727 = t31543 * t2268 / 0.27e2;
  t48728 = t43112 - t43118 - t43119 - t48708 / 0.6e1 + t1293 * t6133 / 0.2e1 + t5105 * t1564 / 0.2e1 + t5126 * t1564 / 0.2e1 + t1293 * t6129 / 0.4e1 - t5105 * t1560 / 0.2e1 - t5126 * t1560 / 0.2e1 - t1293 * t6137 / 0.2e1 - t1293 * t6140 / 0.4e1 - t48727;
  t48732 = t22385 * t2319 / 0.9e1;
  t48734 = t3621 * t2327 / 0.18e2;
  t48736 = t3621 * t2324 / 0.9e1;
  t48738 = t3621 * t2332 / 0.9e1;
  t48756 = t3409 * t46832;
  t48759 = -t6223 * t41104 / 0.2e1 + t48732 + t48734 + t48736 - t48738 + t4779 * t470 * t42811 + t4779 * t470 * t42802 / 0.2e1 - t21617 * t9732 / 0.2e1 - t21621 * t9732 / 0.2e1 - 0.2e1 * t25730 * t10080 - 0.2e1 * t4779 * t6419 * t10079 - 0.2e1 * t4779 * t1591 * t42895 - t4779 * t1591 * t48756;
  t48765 = t3375 * t27524;
  t48771 = t30 * t21181 * t617 * t21209;
  t48772 = t25739 * t17450;
  t48779 = t3402 * t9735;
  t48789 = t3448 * t27524;
  t48794 = t47512 * t9871 * t17275;
  t48800 = t25696 * t10082 + t43145 + 0.3e1 * t4779 * t6390 * t42853 + 0.3e1 / 0.2e1 * t4779 * t6390 * t48765 + 0.47e2 / 0.3e1 * t48771 * t48772 - 0.6e1 * t26772 * t9879 - 0.6e1 * t26777 * t9879 - 0.6e1 * t4738 * t31935 * t48779 - 0.6e1 * t4738 * t6390 * t42913 + 0.3e1 * t4779 * t31935 * t9867 + 0.3e1 / 0.2e1 * t9873 * t6390 * t48789 + 0.8e1 * t48771 * t48794 - t30 * t10021 * t277 / 0.2e1;
  t48801 = t188 * t10088;
  t48815 = -t48801 / 0.6e1 - t2089 + t43195 + t43201 - t43204 - t46903 * t10055 - t46906 * t10055 - 0.2e1 / 0.3e1 * t31284 * t8610 - 0.2e1 / 0.3e1 * t31242 * t8610 + t6069 * t42427 / 0.3e1 + t6069 * t43347 / 0.3e1 + t43254 + t43256 + 0.23e2 / 0.18e2 * t46906 * t10048;
  t48818 = t46934 * t10047;
  t48823 = t10037 * t27525;
  t48836 = t25739 * t3671 * t9886;
  t48839 = t3402 * t27524;
  t48843 = t781 * t2310;
  t48850 = 0.23e2 / 0.18e2 * t10036 * t48818 + 0.23e2 / 0.18e2 * t10036 * t42629 + 0.23e2 / 0.36e2 * t10036 * t48823 + t26772 * t9888 + t26777 * t9888 + t4738 * t6419 * t42625 + t4738 * t1591 * t42608 + t4738 * t1591 * t42448 / 0.2e1 + 0.3e1 / 0.2e1 * t26124 * t48836 - 0.3e1 * t4738 * t6390 * t48839 - t48843 / 0.6e1 - t4779 * t1591 * t42430 - t4779 * t1591 * t42433 / 0.2e1;
  t48851 = t47588 * t17528;
  t48864 = t653 * t27524;
  t48878 = -0.62e2 / 0.3e1 * t48771 * t48851 - 0.6e1 * t25696 * t9883 - 0.6e1 * t25730 * t9883 - 0.6e1 * t4779 * t31925 * t9882 - 0.6e1 * t4779 * t6393 * t43134 - 0.3e1 * t4779 * t6393 * t48864 - t43266 + t43267 + 0.2e1 / 0.3e1 * t6084 * t8715 + t31146 * t2282 / 0.3e1 - t1541 * t42459 / 0.12e2 - 0.5e1 / 0.36e2 * t6107 * t42462 - t1517 * t5046 / 0.6e1;
  t48888 = t4854 * t9794;
  t48890 = t1227 * t47264;
  t48903 = -t1522 * t5046 / 0.6e1 - t466 * t26324 / 0.6e1 - t466 * t26328 / 0.12e2 + t31096 * t2282 / 0.3e1 + 0.2e1 / 0.9e1 * t48888 - 0.2e1 * t4859 * t48890 - t1278 * t6257 / 0.6e1 - t1283 * t6257 / 0.6e1 - t417 * t31643 / 0.6e1 - t417 * t32319 / 0.12e2 - t6084 * t8709 / 0.6e1 - t43269 - t43271;
  t48906 = t188 * t10022;
  t48908 = t25739 * t47174;
  t48911 = t10037 * t47191;
  t48916 = t48455 * t10094;
  t48918 = t31575 * t10176;
  t48920 = t26927 * t9770;
  t48923 = t4796 * t47026;
  t48930 = t6069 * t42988 / 0.4e1 - t43298 - t43302 - t48906 / 0.6e1 + 0.25e2 / 0.36e2 * t10036 * t48908 - 0.5e1 / 0.18e2 * t10036 * t48911 + t6069 * t42267 / 0.6e1 - t43325 + t48916 / 0.3e1 + t48918 / 0.9e1 + t6491 * t48920 / 0.3e1 + t6491 * t48923 / 0.6e1 + t6491 * t41451 / 0.3e1 + t31364 * t10173 / 0.3e1;
  t48937 = my_piecewise3(t2, 0, t48428 + t47714 + t48580 + t48903 + t48509 + t47530 + t47300 + t48691 + t47944 + t47146 + t47263 + t48878 + t48704 + t46830 + t48403 + t47665 + t48483 + t47737 + t47771 + t48615 + t46890 + t47851 + t48930 + t47840 + t47105 + t48451 + t46928 + t47928 + t47874 + t47332 + t47606 + t47393 + t48728 + t48815 + t47053 + t48800 + t47199 + t47458 + t48551 + t46766 + t47418 + t47018 + t47560 + t46988 + t47807 + t46961 + t47494 + t47080 + t46699 + t48654 + t46803 + t48544 + t47903 + t46726 + t48674 + t48379 + t47238 + t48759 + t46794 + t46861 + t47681 + t48850 + t47635 + t47360);
  tv4rho2sigmalapl0 = t3 * t48937 + 0.2e1 * t10204;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 0] += tv4rho2sigmalapl0;

  tv4rho2sigmalapl1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 1] += tv4rho2sigmalapl1;

  tv4rho2sigmalapl2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 2] += tv4rho2sigmalapl2;

  tv4rho2sigmalapl3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 3] += tv4rho2sigmalapl3;

  tv4rho2sigmalapl4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 4] += tv4rho2sigmalapl4;

  t48941 = t5303 * t1658 / 0.54e2;
  t48943 = t6520 * t1449 / 0.54e2;
  t48945 = t33105 * t457 / 0.18e2;
  t48954 = t33097 * t457;
  t48956 = t5300 * t1658;
  t48958 = t6517 * t1449;
  t48960 = t28171 * t505;
  t48963 = t28283 * t505 / 0.18e2;
  t48964 = t48941 + t48943 - t48945 + t33120 * t457 / 0.4e1 - t6514 * t1449 / 0.12e2 + t28234 * t505 / 0.4e1 - t5297 * t1658 / 0.12e2 + t48954 / 0.6e1 - t48956 / 0.18e2 - t48958 / 0.18e2 + t48960 / 0.6e1 - t48963;
  t48965 = t3915 * t2403;
  t48967 = t3915 * t2395;
  t48977 = t43403 - t43416 - t43424 + t43454 - t43459 + t43463 + t48965 / 0.3e1 - t48967 / 0.3e1 - t33053 * t2347 / 0.6e1 + t33048 * t2339 / 0.6e1 + t33053 * t2353 / 0.3e1 + t6514 * t2199 / 0.12e2;
  t48983 = t32991 * t2342;
  t48985 = t32984 * t2339;
  t48987 = t32991 * t2353;
  t48989 = t32991 * t2347;
  t48991 = t6517 * t2199;
  t48993 = t3915 * t2398;
  t48995 = t23371 * t2390;
  t49000 = t873 * t2381 / 0.18e2;
  t49003 = -t33053 * t2342 / 0.12e2 - t3912 * t2398 / 0.4e1 - t48983 / 0.18e2 + t48985 / 0.9e1 + 0.2e1 / 0.9e1 * t48987 - t48989 / 0.9e1 + t48991 / 0.18e2 - t48993 / 0.6e1 - t48995 / 0.3e1 - t865 * t2381 / 0.4e1 + t49000 + t3912 * t2403 / 0.2e1;
  t49009 = t33009 * t2339 / 0.27e2;
  t49011 = t33012 * t2342 / 0.54e2;
  t49013 = t6520 * t2199 / 0.54e2;
  t49015 = t33012 * t2347 / 0.27e2;
  t49017 = 0.2e1 / 0.27e2 * t33012 * t2353;
  t49019 = t23391 * t2390 / 0.9e1;
  t49021 = t3918 * t2398 / 0.18e2;
  t49023 = t3918 * t2395 / 0.9e1;
  t49025 = t3918 * t2403 / 0.9e1;
  t49026 = t869 * t2381;
  t49028 = -t3912 * t2395 / 0.2e1 - t23423 * t2390 / 0.2e1 - t49009 + t49011 - t49013 + t49015 - t49017 + t49019 + t49021 + t49023 - t49025 - t49026 / 0.6e1;
  t49031 = my_piecewise3(t100, 0, t48964 + t48977 + t49003 + t49028);
  tv4rho2sigmalapl5 = t3 * t49031 + 0.2e1 * t10265;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 5] += tv4rho2sigmalapl5;

  t49053 = t5366 * t1527;
  t49055 = t6564 * t1288;
  t49057 = t27832 * t481;
  t49059 = t32776 * t432;
  t49063 = t897 * t10159;
  t49070 = -t1368 * t6347 / 0.12e2 + t5379 * t1514 / 0.4e1 - t6567 * t1288 / 0.12e2 - t6570 * t1288 / 0.12e2 - t1632 * t5140 / 0.12e2 + t27903 * t481 / 0.4e1 + t6575 * t1274 / 0.4e1 + t27900 * t481 / 0.4e1 + t32639 * t432 / 0.4e1 + t32625 * t432 / 0.4e1 - t49053 / 0.36e2 - t49055 / 0.36e2 + t49057 / 0.12e2 + t49059 / 0.12e2 - t898 * t10155 / 0.12e2 + t49063 * t250 / 0.4e1 - t5371 * t1527 / 0.12e2 - t5374 * t1527 / 0.12e2;
  t49085 = -t46695 / 0.36e2 - t46697 / 0.36e2 - t46700 / 0.36e2 - t46702 / 0.36e2 - t46704 / 0.36e2 - t46706 / 0.36e2 + t46723 - t46725 + t46768 - t46778 + t46779 / 0.12e2 + t46781 / 0.12e2 + t46783 / 0.12e2 + t46788 / 0.12e2 - t46792 / 0.36e2 + t46797 / 0.12e2 + t46799 / 0.12e2 + t46801 / 0.12e2 + t43497;
  t49093 = t32709 * t2276;
  t49095 = t32715 * t2268;
  t49100 = t43498 - t43499 - t46804 / 0.6e1 - t46809 - t46816 + t46823 / 0.2e1 + t46824 / 0.2e1 - t46839 / 0.6e1 - t46845 / 0.18e2 - t43522 - t43524 + t43526 + t43529 - t46847 / 0.18e2 - t49093 / 0.18e2 + t49095 / 0.18e2 - t3835 * t2327 / 0.4e1 + t46982 / 0.18e2;
  t49104 = t307 * t6393;
  t49121 = t46984 / 0.36e2 + t32743 * t9767 / 0.3e1 + t49104 * t10067 - t47070 / 0.6e1 + t47074 / 0.6e1 - t47078 / 0.6e1 - t47104 + t47107 - t47109 + t47110 / 0.6e1 + t47112 / 0.6e1 + t47114 / 0.6e1 + t47116 / 0.6e1 - t47118 / 0.6e1 - t47120 / 0.6e1 - t43560 + t27723 * t10082 / 0.2e1 + t27723 * t10085 / 0.2e1 - t27719 * t17495 / 0.3e1;
  t49157 = t47236 / 0.6e1 - t47243 / 0.12e2 + t47248 / 0.6e1 + t22562 * t17381 / 0.3e1 + t5379 * t1564 / 0.4e1 + t6609 * t8704 / 0.6e1 - t5379 * t1556 / 0.2e1 - t5379 * t1560 / 0.4e1 - t6575 * t1251 / 0.4e1 + t22562 * t16657 / 0.3e1 + t6575 * t1255 / 0.4e1 - t6575 * t1247 / 0.2e1 - t32684 * t2271 / 0.12e2 - t32695 * t2271 / 0.12e2 - t6541 * t9891 / 0.12e2 - t6541 * t8848 / 0.12e2 - t3802 * t10109 / 0.2e1 + t32684 * t2282 / 0.3e1;
  t49191 = t32695 * t2282 / 0.3e1 + t6541 * t10102 / 0.3e1 - t903 * t9848 / 0.2e1 - t903 * t9845 / 0.2e1 - t22759 * t2319 / 0.2e1 - t3825 * t2324 / 0.2e1 - t3835 * t2324 / 0.2e1 + t3835 * t2332 / 0.2e1 + t903 * t9855 / 0.2e1 + t903 * t9858 / 0.2e1 - t903 * t10197 / 0.4e1 - t903 * t10125 / 0.4e1 + t3825 * t2332 / 0.2e1 - t3825 * t2327 / 0.4e1 - t47334 / 0.6e1 - t47336 / 0.18e2 - t47377 / 0.12e2 - t47379 / 0.12e2 - t47381 / 0.12e2;
  t49209 = -t47383 / 0.12e2 - t47385 / 0.6e1 - t47387 / 0.6e1 - t47389 / 0.6e1 - t47391 / 0.6e1 + t47394 / 0.9e1 - t47416 / 0.6e1 + t43575 + t43585 + t47422 / 0.18e2 + 0.23e2 / 0.108e3 * t47428 + t47434 / 0.6e1 - 0.11e2 / 0.54e2 * t47447 - t47450 / 0.9e1 + t47456 / 0.6e1 + t47480 / 0.18e2 - t47485 / 0.18e2 - t47550 / 0.6e1 - t43598;
  t49235 = -0.2e1 / 0.9e1 * t47558 - t47567 / 0.6e1 + t47569 / 0.3e1 - t43609 - t5328 * t9814 / 0.12e2 - t1368 * t6257 / 0.12e2 + t1368 * t6263 / 0.12e2 + t5335 * t9805 / 0.6e1 - t6541 * t8709 / 0.12e2 - t1632 * t5046 / 0.12e2 + t1632 * t5054 / 0.12e2 + t47643 / 0.9e1 + t47651 / 0.9e1 + t47653 / 0.36e2 - t47657 / 0.18e2 - t47661 / 0.18e2 - t47663 / 0.36e2 - 0.5e1 / 0.108e3 * t47666 + t47671 / 0.36e2;
  t49258 = t307 * t27522;
  t49263 = -t47675 / 0.36e2 - t47687 / 0.6e1 + t47707 - t22520 * t9732 / 0.4e1 + t47745 / 0.9e1 + t47747 / 0.9e1 - t47749 / 0.18e2 - t47751 / 0.18e2 - t32743 * t10042 / 0.12e2 + t32751 * t10173 / 0.6e1 - t32751 * t10091 / 0.6e1 + t49104 * t10094 / 0.2e1 - 0.3e1 * t27723 * t9883 - t27723 * t10080 + 0.7e1 / 0.3e1 * t49258 * t17515 + t47784 - t47793 / 0.3e1 - t47828 / 0.36e2;
  t49280 = t307 * t6390;
  t49283 = -t47830 / 0.36e2 - t47832 / 0.36e2 + t47834 / 0.18e2 + t47836 / 0.18e2 + t47841 / 0.18e2 + t43641 - t8667 + t8683 - t47853 / 0.12e2 + t47855 / 0.12e2 - t47859 / 0.6e1 + t47868 / 0.36e2 + t47870 / 0.36e2 + t47872 / 0.12e2 - t47897 / 0.18e2 + t47901 / 0.9e1 - t47911 / 0.18e2 - 0.2e1 / 0.3e1 * t32743 * t9758 + 0.23e2 / 0.36e2 * t49280 * t10048;
  t49296 = t4739 * t3416;
  t49297 = t307 * t49296;
  t49304 = t307 * t9872;
  t49313 = t6564 * t2108;
  t49315 = t32709 * t2282;
  t49317 = t22719 * t2319;
  t49319 = t3818 * t2324;
  t49321 = t32743 * t9763 / 0.3e1 + t27867 * t9752 - 0.3e1 / 0.2e1 * t49258 * t17529 - t27864 * t9754 / 0.2e1 + 0.3e1 / 0.2e1 * t27723 * t9737 + t27723 * t9741 / 0.2e1 - 0.2e1 * t49297 * t17451 - t22520 * t9744 / 0.2e1 - t41636 + t32743 * t8651 / 0.6e1 + 0.3e1 / 0.2e1 * t49304 * t9875 + 0.3e1 * t27867 * t9749 + 0.3e1 / 0.2e1 * t27723 * t9868 - 0.3e1 * t27867 * t9879 + t49313 / 0.36e2 + t49315 / 0.9e1 - t49317 / 0.6e1 - t49319 / 0.6e1;
  t49322 = t3818 * t2332;
  t49324 = t3818 * t2327;
  t49338 = t32709 * t2271;
  t49340 = t894 * t2310;
  t49354 = t49322 / 0.6e1 - t49324 / 0.12e2 - t49280 * t10055 / 0.2e1 + t32743 * t10176 / 0.6e1 - 0.5e1 / 0.36e2 * t49280 * t10039 - t890 * t2310 / 0.4e1 - t48380 / 0.36e2 - t48382 / 0.36e2 - t48384 / 0.36e2 + t48391 / 0.36e2 - t49338 / 0.36e2 - t49340 / 0.12e2 - t43694 - t32751 * t8639 / 0.6e1 - t32748 * t8644 / 0.6e1 + t22520 * t10076 / 0.2e1 - t27723 * t9864 / 0.2e1 + t27867 * t9888 / 0.2e1 + t32748 * t8636 / 0.12e2;
  t49380 = t43708 + t48433 / 0.18e2 + t48435 / 0.18e2 + t48447 / 0.36e2 + t48449 / 0.36e2 - t48453 / 0.36e2 + t48456 / 0.3e1 + 0.7e1 / 0.9e1 * t48458 - t307 * t10022 / 0.4e1 - t43739 + t43740 + t5379 * t1551 / 0.2e1 - t6541 * t8986 / 0.6e1 - t5328 * t9790 / 0.6e1 - t32796 * t1235 / 0.2e1 + t6575 * t1240 / 0.2e1 - t27916 * t1548 / 0.2e1 + t32743 * t8631 / 0.12e2;
  t49414 = t32681 * t2268 / 0.6e1 + t32698 * t2268 / 0.6e1 + t6609 * t9828 / 0.6e1 + t6609 * t8791 / 0.6e1 - t32684 * t2276 / 0.6e1 - t32695 * t2276 / 0.6e1 - t6541 * t10122 / 0.6e1 - t6541 * t8692 / 0.6e1 + t1632 * t8843 / 0.12e2 + t6567 * t2108 / 0.12e2 + t6570 * t2108 / 0.12e2 + t1632 * t8810 / 0.12e2 + t6541 * t8715 / 0.3e1 - t22732 * t2319 / 0.2e1 - t3802 * t10025 / 0.2e1 - t307 * t6424 * t10098 / 0.2e1 - t43750 - t43762 - t43763;
  t49425 = t42721 + t48618 / 0.2e1 + t48619 / 0.6e1 - t48657 / 0.6e1 + t48659 / 0.6e1 - 0.2e1 / 0.3e1 * t48664 - t48669 / 0.2e1 + t48671 - t43812 - t43814 + t48672 / 0.9e1 + t43818 + t43820 - t43823 - t307 * t10088 / 0.4e1 - t43830 - t43831 + t43834 + t43835;
  t49437 = -t43845 - t9215 + t9226 - t48708 / 0.12e2 - t48727 + t48732 + t48734 + t48736 - t48738 - t48801 / 0.12e2 - t32743 * t9771 / 0.6e1 + t43865 + t43866 - t48843 / 0.12e2 + t48888 / 0.9e1 - t48906 / 0.12e2 + t48916 / 0.6e1 + t48918 / 0.18e2 - 0.11e2 / 0.18e2 * t49280 * t10072;
  t49442 = my_piecewise3(t2, 0, t49070 + t49085 + t49100 + t49121 + t49157 + t49191 + t49209 + t49235 + t49263 + t49283 + t49321 + t49354 + t49380 + t49414 + t49425 + t49437);
  tv4rho2sigmalapl6 = t3 * t49442 + t10204 + t10298;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 6] += tv4rho2sigmalapl6;

  tv4rho2sigmalapl7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 7] += tv4rho2sigmalapl7;

  tv4rho2sigmalapl8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 8] += tv4rho2sigmalapl8;

  tv4rho2sigmalapl9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 9] += tv4rho2sigmalapl9;

  tv4rho2sigmalapl10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 10] += tv4rho2sigmalapl10;

  t49454 = t933 * t10646;
  t49473 = t1354 * t6870;
  t49475 = t6641 * t1449;
  t49477 = t5426 * t1658;
  t49479 = t937 * t10646;
  t49480 = t49479 * t377;
  t49482 = -t5448 * t1658 / 0.12e2 - t1615 * t5683 / 0.12e2 - t6659 * t1449 / 0.12e2 - t6653 * t1449 / 0.12e2 - t1351 * t6870 / 0.12e2 + t49454 * t377 / 0.4e1 - t5439 * t1658 / 0.12e2 + t28833 * t505 / 0.4e1 - t934 * t10656 / 0.12e2 + t6656 * t1462 / 0.4e1 + t28544 * t505 / 0.4e1 + t33544 * t457 / 0.4e1 + t5419 * t1673 / 0.4e1 + t33537 * t457 / 0.4e1 - t49473 / 0.36e2 - t49475 / 0.36e2 - t49477 / 0.36e2 + t49480 / 0.12e2;
  t49483 = t28815 * t505;
  t49485 = t938 * t10656;
  t49487 = t28768 * t505;
  t49489 = t6631 * t1462;
  t49491 = t33653 * t457;
  t49493 = t33641 * t457;
  t49495 = t5414 * t1673;
  t49497 = t5431 * t1658;
  t49499 = t1618 * t5683;
  t49501 = t6636 * t1449;
  t49507 = t49483 / 0.12e2 - t49485 / 0.36e2 + t49487 / 0.12e2 + t49489 / 0.12e2 + t49491 / 0.12e2 + t49493 / 0.12e2 + t49495 / 0.12e2 - t49497 / 0.36e2 - t49499 / 0.36e2 - t49501 / 0.36e2 + t48941 + t48943 - t48945 + t48954 / 0.12e2 - t48956 / 0.36e2 - t48958 / 0.36e2 + t48960 / 0.12e2 - t48963 + t43886;
  t49509 = t6679 * t9297;
  t49529 = t6679 * t9427;
  t49531 = t6679 * t10594;
  t49533 = t33236 * t2353;
  t49535 = t33248 * t2353;
  t49537 = t1618 * t6017;
  t49539 = t33262 * t10544;
  t49541 = -t43908 + t43939 - t49509 / 0.18e2 - t23902 * t2390 / 0.2e1 - t4046 * t2395 / 0.2e1 + t4046 * t2403 / 0.2e1 - t945 * t10708 / 0.4e1 - t945 * t10711 / 0.4e1 - t4052 * t2398 / 0.4e1 - t4046 * t2398 / 0.4e1 - t945 * t10701 / 0.2e1 - t945 * t10698 / 0.2e1 + t49529 / 0.9e1 + t49531 / 0.9e1 + t49533 / 0.9e1 + t49535 / 0.9e1 - t49537 / 0.36e2 - t49539 / 0.18e2;
  t49542 = t33262 * t10537;
  t49544 = t33262 * t10541;
  t49546 = t28427 * t10558;
  t49547 = t28427 * t10605;
  t49549 = t28436 * t10561;
  t49551 = t28439 * t10608;
  t49553 = t24019 * t10611;
  t49555 = t28439 * t10615;
  t49557 = t28439 * t10624;
  t49559 = t28439 * t10618;
  t49561 = t24019 * t10621;
  t49563 = t28439 * t10631;
  t49565 = t24019 * t10627;
  t49579 = -0.2e1 / 0.9e1 * t49542 + t49544 / 0.9e1 + t49546 + t49547 / 0.3e1 - t49549 / 0.6e1 + t49551 / 0.6e1 - t49553 / 0.6e1 + t49555 / 0.2e1 + t49557 / 0.6e1 + t49559 / 0.6e1 - t49561 / 0.12e2 - t49563 / 0.3e1 + t49565 / 0.6e1 + t1615 * t9367 / 0.12e2 + t1615 * t9400 / 0.12e2 + t6659 * t2199 / 0.12e2 + t6653 * t2199 / 0.12e2 - t6702 * t9518 / 0.12e2 + t33448 * t2339 / 0.6e1;
  t49584 = t294 * t6988;
  t49585 = t49584 * t10459;
  t49587 = t33262 * t10471;
  t49589 = t6679 * t9408;
  t49591 = t1618 * t6008;
  t49593 = t6684 * t9434;
  t49599 = t948 * t10708;
  t49601 = t4013 * t2398;
  t49603 = t4019 * t2398;
  t49605 = t948 * t10701;
  t49607 = t33426 * t2339 / 0.6e1 - 0.5e1 / 0.108e3 * t49585 + t49587 / 0.18e2 - t49589 / 0.36e2 + t49591 / 0.36e2 + t49593 / 0.18e2 + t43403 - t43416 + t44009 - t44011 - t44025 - t44032 + t4052 * t2403 / 0.2e1 - t28861 * t1693 / 0.2e1 - t49599 / 0.12e2 - t49601 / 0.12e2 - t49603 / 0.12e2 - t49605 / 0.6e1;
  t49608 = t948 * t10698;
  t49610 = t4013 * t2395;
  t49612 = t6679 * t10687;
  t49614 = t33248 * t2347;
  t49616 = t33236 * t2347;
  t49618 = t1618 * t9400;
  t49620 = t1618 * t9367;
  t49622 = t6636 * t2199;
  t49624 = t6641 * t2199;
  t49626 = t6679 * t9518;
  t49632 = -t49608 / 0.6e1 - t49610 / 0.6e1 - t44034 - t44037 + t44040 + t44042 - t44071 - t44073 + t44076 - t49612 / 0.18e2 - t49614 / 0.18e2 - t49616 / 0.18e2 + t49618 / 0.36e2 + t49620 / 0.36e2 + t49622 / 0.36e2 + t49624 / 0.36e2 - t49626 / 0.36e2 + t6702 * t9301 / 0.3e1 - t6702 * t9297 / 0.6e1;
  t49636 = t6684 * t10695;
  t49638 = t33222 * t2339;
  t49640 = t33711 * t2339;
  t49653 = t294 * t10431;
  t49665 = t5419 * t1696 / 0.2e1 + t49636 / 0.18e2 + t49638 / 0.18e2 + t49640 / 0.18e2 + t945 * t10442 / 0.2e1 + t945 * t10439 / 0.2e1 - t28455 * t10631 - t23531 * t10621 / 0.4e1 + t23531 * t10627 / 0.2e1 + t6656 * t1413 / 0.2e1 + t44089 - t44107 + t44109 - t49653 / 0.12e2 + t28455 * t10618 / 0.2e1 + t28455 * t10624 / 0.2e1 + 0.3e1 / 0.2e1 * t28455 * t10615 + t28455 * t10608 / 0.2e1 - t23531 * t10611 / 0.2e1;
  t49667 = t1354 * t6775;
  t49669 = t1354 * t7094;
  t49671 = t5464 * t10582;
  t49673 = t6631 * t1424;
  t49675 = t6631 * t1428;
  t49677 = t6631 * t1420;
  t49679 = t5414 * t1708;
  t49681 = t5414 * t1704;
  t49683 = t5414 * t1700;
  t49685 = t4040 * t10725;
  t49687 = t4040 * t10722;
  t49689 = t23858 * t2390;
  t49691 = t23639 * t2390;
  t49693 = t4019 * t2395;
  t49695 = t4019 * t2403;
  t49697 = t948 * t10711;
  t49699 = t28913 * t10605 + t44113 - t49667 / 0.36e2 + t49669 / 0.36e2 - t49671 / 0.36e2 - t49673 / 0.12e2 + t49675 / 0.12e2 - t49677 / 0.6e1 + t49679 / 0.12e2 - t49681 / 0.12e2 - t49683 / 0.6e1 - t49685 / 0.6e1 - t49687 / 0.6e1 - t49689 / 0.6e1 - t49691 / 0.6e1 - t49693 / 0.6e1 + t49695 / 0.6e1 - t49697 / 0.12e2 + t44115;
  t49703 = t5477 * t10599;
  t49705 = t6679 * t9415;
  t49723 = t6679 * t10678;
  t49725 = t33236 * t2342;
  t49727 = t33248 * t2342;
  t49729 = t6684 * t9521;
  t49731 = t5414 * t1696;
  t49733 = t49703 / 0.18e2 - t49705 / 0.18e2 - t44117 + t44153 + 0.3e1 * t28913 * t10558 - t28922 * t10561 / 0.2e1 + t33284 * t10541 / 0.3e1 - 0.2e1 / 0.3e1 * t33284 * t10537 - t33284 * t10544 / 0.6e1 + t33284 * t10549 / 0.3e1 + t33281 * t9280 / 0.12e2 + t48965 / 0.6e1 - t48967 / 0.6e1 - t49723 / 0.36e2 - t49725 / 0.36e2 - t49727 / 0.36e2 + t49729 / 0.18e2 + t49731 / 0.6e1;
  t49768 = -t33563 * t1408 / 0.2e1 + t5489 * t10317 / 0.3e1 - t5489 * t10313 / 0.6e1 - t44168 - t44171 - t6702 * t9408 / 0.12e2 + t1615 * t6008 / 0.12e2 - t6702 * t9415 / 0.6e1 + t6709 * t9434 / 0.6e1 + t5508 * t10599 / 0.6e1 + t6702 * t9427 / 0.3e1 + t6702 * t10594 / 0.3e1 + t33403 * t2353 / 0.3e1 - t1615 * t6017 / 0.12e2 + t33337 * t2353 / 0.3e1 - t1351 * t6775 / 0.12e2 - t5489 * t10582 / 0.12e2 - t6656 * t1424 / 0.4e1 + t1351 * t7094 / 0.12e2;
  t49770 = t929 * t2381;
  t49784 = t28634 * t1693;
  t49786 = t6631 * t1413;
  t49788 = t33317 * t1408;
  t49790 = t5464 * t10317;
  t49792 = t5464 * t10313;
  t49796 = -t49770 / 0.12e2 - t44203 - t44205 - t4052 * t2395 / 0.2e1 + t44218 + t44230 - t44234 + t6656 * t1428 / 0.4e1 + t5419 * t1708 / 0.4e1 - t5419 * t1704 / 0.4e1 - t23909 * t2390 / 0.2e1 - t4065 * t10722 / 0.2e1 - t49784 / 0.6e1 + t49786 / 0.6e1 - t49788 / 0.6e1 + t49790 / 0.9e1 - t49792 / 0.18e2 - 0.3e1 * t28913 * t10553;
  t49803 = t290 * t6988;
  t49814 = t290 * t6984;
  t49816 = t290 * t10505;
  t49835 = t28913 * t10526 / 0.2e1 - 0.3e1 * t28455 * t10521 + 0.3e1 / 0.2e1 * t28455 * t10533 - t49803 * t10514 / 0.2e1 - t28455 * t10529 / 0.2e1 + 0.7e1 / 0.3e1 * t49803 * t10517 - 0.3e1 / 0.2e1 * t49803 * t10501 - 0.11e2 / 0.18e2 * t49803 * t10486 + t49814 * t10512 + 0.3e1 / 0.2e1 * t49816 * t10509 - 0.2e1 * t49814 * t10497 + 0.23e2 / 0.36e2 * t49803 * t10492 + t33284 * t9246 / 0.6e1 - t33284 * t10480 / 0.12e2 - t33284 * t9250 / 0.3e1 + t33284 * t9275 / 0.12e2 - t33281 * t9272 / 0.6e1 - t33278 * t9239 / 0.6e1 - t44267;
  t49844 = t28427 * t10553;
  t49845 = t33520 * t9280;
  t49847 = t33262 * t10549;
  t49849 = t28439 * t10521;
  t49850 = t28427 * t10526;
  t49852 = t28439 * t10529;
  t49854 = t49584 * t10514;
  t49856 = t49584 * t10501;
  t49858 = t28439 * t10533;
  t49860 = t294 * t10505;
  t49861 = t49860 * t10509;
  t49863 = t49584 * t10517;
  t49865 = t294 * t6984;
  t49866 = t49865 * t10512;
  t49868 = t49865 * t10497;
  t49870 = t33262 * t9246;
  t49872 = t49584 * t10486;
  t49874 = -t6702 * t10687 / 0.6e1 - t33403 * t2347 / 0.6e1 - t33337 * t2347 / 0.6e1 - t49844 + t49845 / 0.36e2 + t49847 / 0.9e1 - t49849 + t49850 / 0.6e1 - t49852 / 0.6e1 - t49854 / 0.6e1 - t49856 / 0.2e1 + t49858 / 0.2e1 + t49861 / 0.2e1 + 0.7e1 / 0.9e1 * t49863 + t49866 / 0.3e1 - 0.2e1 / 0.3e1 * t49868 + t49870 / 0.18e2 - 0.11e2 / 0.54e2 * t49872;
  t49875 = t33262 * t9250;
  t49877 = t49584 * t10492;
  t49879 = t33515 * t9239;
  t49885 = t33520 * t9272;
  t49887 = t33262 * t10480;
  t49908 = -t49875 / 0.9e1 + 0.23e2 / 0.108e3 * t49877 - t49879 / 0.18e2 + t33284 * t10471 / 0.6e1 + t33278 * t10468 / 0.6e1 - t49885 / 0.18e2 - t49887 / 0.36e2 - 0.5e1 / 0.36e2 * t49803 * t10459 - t290 * t7010 * t10463 / 0.2e1 - t33278 * t10448 / 0.6e1 + t49814 * t10454 / 0.2e1 - t5419 * t1700 / 0.2e1 - t4065 * t10725 / 0.2e1 - t48983 / 0.36e2 + t48985 / 0.18e2 + t48987 / 0.9e1 - t48989 / 0.18e2 + t48991 / 0.36e2 - t48993 / 0.12e2;
  t49913 = t294 * t10634;
  t49925 = t33515 * t10448;
  t49928 = t294 * t7010 * t10463;
  t49930 = t49865 * t10454;
  t49932 = t6679 * t9301;
  t49934 = -t48995 / 0.6e1 - t290 * t10634 / 0.4e1 - t49913 / 0.12e2 - t6702 * t10678 / 0.12e2 - t33403 * t2342 / 0.12e2 - t33337 * t2342 / 0.12e2 + t6709 * t9521 / 0.6e1 + t6709 * t10695 / 0.6e1 - t49925 / 0.18e2 - t49928 / 0.6e1 + t49930 / 0.6e1 + t49000 + t49932 / 0.9e1 + t44322 - t9156 + t9168 - t9180 + t9188 - t49009;
  t49942 = t33262 * t9275;
  t49944 = t33515 * t10468;
  t49946 = t948 * t10442;
  t49948 = t948 * t10439;
  t49950 = t4013 * t2403;
  t49952 = t49011 - t49013 + t49015 - t49017 + t49019 + t49021 + t49023 - t49025 + t44336 - t6656 * t1420 / 0.2e1 - t49026 / 0.12e2 - t925 * t2381 / 0.4e1 - t290 * t10431 / 0.4e1 + t49942 / 0.36e2 + t49944 / 0.18e2 - t44352 + t49946 / 0.6e1 + t49948 / 0.6e1 + t49950 / 0.6e1;
  t49957 = my_piecewise3(t100, 0, t49482 + t49507 + t49541 + t49579 + t49607 + t49632 + t49665 + t49699 + t49733 + t49768 + t49796 + t49835 + t49874 + t49908 + t49934 + t49952);
  tv4rho2sigmalapl11 = t3 * t49957 + t10265 + t10744;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 11] += tv4rho2sigmalapl11;

  t49972 = -t5519 * t1527 / 0.12e2 + t28348 * t481 / 0.4e1 - t6736 * t1288 / 0.12e2 + t33184 * t432 / 0.4e1 - t49053 / 0.18e2 - t49055 / 0.18e2 + t49057 / 0.6e1 + t49059 / 0.6e1 + t46723 - t46725 + t46768 - t46778;
  t49987 = -t44379 + t44387 + t33146 * t2268 / 0.6e1 + t6736 * t2108 / 0.12e2 + t33139 * t2282 / 0.3e1 - t23097 * t2319 / 0.2e1 + t3959 * t2332 / 0.2e1 - t3959 * t2324 / 0.2e1 - t49093 / 0.9e1 + t49095 / 0.9e1 - t47104 + t47107;
  t49999 = -t47109 - t44395 + t47784 - t41636 - t33139 * t2276 / 0.6e1 - t33139 * t2271 / 0.12e2 + t49313 / 0.18e2 + 0.2e1 / 0.9e1 * t49315 - t49317 / 0.3e1 - t49319 / 0.3e1 + t49322 / 0.3e1 - t49324 / 0.6e1;
  t50006 = -t49338 / 0.18e2 - t49340 / 0.6e1 + t44410 - t3959 * t2327 / 0.4e1 + t42721 + t48671 - t48727 + t48732 + t48734 + t48736 - t48738 - t972 * t2310 / 0.4e1;
  t50009 = my_piecewise3(t2, 0, t49972 + t49987 + t49999 + t50006);
  tv4rho2sigmalapl12 = t3 * t50009 + 0.2e1 * t10298;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 12] += tv4rho2sigmalapl12;

  tv4rho2sigmalapl13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 13] += tv4rho2sigmalapl13;

  tv4rho2sigmalapl14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 14] += tv4rho2sigmalapl14;

  tv4rho2sigmalapl15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 15] += tv4rho2sigmalapl15;

  tv4rho2sigmalapl16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 16] += tv4rho2sigmalapl16;

  t50014 = t321 * t369 * t2379 * t1027;
  t50021 = t349 * t10431;
  t50042 = -t50014 * t1036 / 0.2e1 + t10647 * t1095 / 0.2e1 - t1084 * t10656 / 0.12e2 - t338 * t50021 / 0.6e1 - t1075 * t10656 / 0.6e1 + t30045 * t505 / 0.4e1 + t1663 * t5706 / 0.4e1 + t30053 * t505 / 0.4e1 + t30048 * t505 / 0.2e1 + t6855 * t1462 / 0.2e1 + t35252 * t457 / 0.4e1 + t34918 * t457 / 0.2e1 + t6876 * t1462 / 0.2e1;
  t50051 = t1015 * t2381;
  t50055 = t1020 * t2380 * t1021;
  t50068 = t1074 * t10646;
  t50073 = t321 * t369 * t10429 * t370;
  t50076 = t5689 * t1673 / 0.2e1 + t5717 * t1673 / 0.2e1 + t1454 * t6886 / 0.4e1 + t34987 * t457 / 0.4e1 - t1010 * t50051 / 0.6e1 + t1010 * t50055 / 0.3e1 + t1051 * t10656 / 0.6e1 + t10647 * t1071 / 0.4e1 - t5712 * t1658 / 0.6e1 - t5726 * t1658 / 0.12e2 - t1386 * t6870 / 0.6e1 + t50068 * t377 / 0.2e1 + t50073 * t377 / 0.2e1;
  t50078 = t1020 * t2381;
  t50103 = -t1010 * t50078 / 0.12e2 - t6890 * t1449 / 0.12e2 - t6893 * t1449 / 0.6e1 - t1378 * t6870 / 0.6e1 - t442 * t35247 / 0.12e2 - t10647 * t1046 / 0.2e1 - t5709 * t1658 / 0.12e2 - t490 * t30040 / 0.12e2 - t6908 * t1449 / 0.12e2 - t1682 * t5683 / 0.6e1 - t1677 * t5683 / 0.6e1 - t49473 / 0.18e2 - t49475 / 0.18e2;
  t50116 = -t49477 / 0.18e2 + t49480 / 0.6e1 + t49483 / 0.6e1 - t49485 / 0.18e2 + t49487 / 0.6e1 + t49489 / 0.6e1 + t49491 / 0.6e1 + t49493 / 0.6e1 + t49495 / 0.6e1 - t49497 / 0.18e2 - t49499 / 0.18e2 - t49501 / 0.18e2 + t48941;
  t50122 = t48943 - t48945 - t48963 + t44437 + t44441 + t44443 - t44516 - t44518 - t44520 - t44569 - t49509 / 0.9e1 + 0.2e1 / 0.9e1 * t49529 + 0.2e1 / 0.9e1 * t49531;
  t50135 = 0.2e1 / 0.9e1 * t49533 + 0.2e1 / 0.9e1 * t49535 - t49537 / 0.18e2 - t49539 / 0.9e1 - 0.4e1 / 0.9e1 * t49542 + 0.2e1 / 0.9e1 * t49544 + 0.2e1 * t49546 + 0.2e1 / 0.3e1 * t49547 - t49549 / 0.3e1 + t49551 / 0.3e1 - t49553 / 0.3e1 + t49555 + t49557 / 0.3e1;
  t50146 = t49559 / 0.3e1 - t49561 / 0.6e1 - 0.2e1 / 0.3e1 * t49563 + t49565 / 0.3e1 + t44587 - 0.5e1 / 0.54e2 * t49585 + t49587 / 0.9e1 - t49589 / 0.18e2 + t49591 / 0.18e2 + t49593 / 0.9e1 + t44627 + t44629 + t44634;
  t50149 = t110 * t145 * t25372 * t167;
  t50150 = t439 * t1005;
  t50151 = t24930 * t50150;
  t50155 = t439 * t4544;
  t50156 = t168 * t50155;
  t50157 = t29911 * t50156;
  t50160 = t110 * t34488;
  t50161 = t168 * t50150;
  t50162 = t29517 * t50161;
  t50165 = t24930 * t145;
  t50174 = t35145 * t5571;
  t50177 = t110 * t6842;
  t50182 = t44736 + t44738 + t44742 - 0.6e1 * t50149 * t34488 * t50151 - t6824 * t50157 / 0.2e1 - 0.2e1 * t50160 * t50162 + 0.8e1 * t50160 * t50165 * t10504 * t50150 - t28961 * t7117 / 0.2e1 + t44886 * t7121 - t28961 * t7124 - t5578 * t50174 / 0.3e1 + t50177 * t5600 - t34283 * t5603 - t34283 * t5596 / 0.2e1;
  t50186 = t4408 * t500;
  t50187 = t50186 * t5571;
  t50192 = t9270 * t50156;
  t50197 = t1034 * t500;
  t50198 = t50197 * t5567;
  t50205 = t356 * t500;
  t50206 = t50205 * t5567;
  t50216 = t5548 * t50187 / 0.4e1 + t5575 * t35146 / 0.6e1 + t6830 * t50192 / 0.3e1 + t6830 * t44783 / 0.3e1 - t5548 * t50198 / 0.6e1 + t44879 + t6827 * t28965 / 0.6e1 - t6824 * t44804 / 0.6e1 + t5578 * t50206 / 0.3e1 + t6824 * t46096 / 0.2e1 - t6824 * t46099 / 0.3e1 + t28961 * t7132 - 0.3e1 / 0.2e1 * t44886 * t7129;
  t50222 = t4549 * t500;
  t50223 = t50222 * t5571;
  t50229 = t1093 * t500;
  t50230 = t50229 * t5567;
  t50235 = t6773 * t5624;
  t50236 = t1000 * t50235;
  t50244 = t1400 * t6853 * t1394;
  t50247 = -t5548 * t50186 * t5550 - t6824 * t46092 + 0.2e1 / 0.3e1 * t6824 * t46103 + t5548 * t50223 / 0.2e1 + 0.2e1 / 0.3e1 * t5548 * t50197 * t5555 - t5548 * t50230 / 0.3e1 + t10457 * t46489 / 0.2e1 - t6028 * t50236 / 0.2e1 + t43403 - t43416 + 0.2e1 / 0.3e1 * t5763 * t10317 + 0.2e1 / 0.3e1 * t5754 * t10317 + 0.2e1 / 0.3e1 * t1391 * t50244;
  t50251 = t1661 * t5624;
  t50252 = t5623 * t50251;
  t50257 = t34384 * t1394;
  t50258 = t1393 * t50257;
  t50261 = t1393 * t34124;
  t50264 = t5640 * t50235;
  t50281 = t1391 * t34319 / 0.3e1 + 0.23e2 / 0.36e2 * t5621 * t50252 - t5754 * t10313 / 0.3e1 - t1391 * t50258 / 0.3e1 - t1391 * t50261 / 0.6e1 - 0.11e2 / 0.18e2 * t5621 * t50264 + t1651 * t29710 / 0.3e1 + 0.23e2 / 0.36e2 * t6752 * t46188 - t5763 * t10313 / 0.3e1 + 0.2e1 / 0.3e1 * t6755 * t9301 + 0.2e1 / 0.3e1 * t6760 * t9301 + 0.2e1 / 0.3e1 * t1651 * t46183 - t6755 * t9297 / 0.3e1;
  t50296 = t44953 - t44954 - t45008 + t45009 - t2180 - t45078 * t7127 - t6760 * t9297 / 0.3e1 - t1651 * t46586 / 0.3e1 - t1651 * t46589 / 0.6e1 - 0.11e2 / 0.18e2 * t6752 * t46175 + t5689 * t1696 + t5717 * t1696 + t1454 * t6807 + t1454 * t6803 / 0.2e1;
  t50299 = t5640 * t17603;
  t50326 = 0.7e1 / 0.3e1 * t24273 * t50299 + t1644 * t45173 / 0.3e1 + t1644 * t29869 / 0.6e1 + t6921 * t46301 / 0.2e1 + t1677 * t6008 / 0.6e1 + t1682 * t6008 / 0.6e1 + t490 * t29092 / 0.6e1 - t6755 * t9415 / 0.3e1 - t6760 * t9415 / 0.3e1 - t1651 * t45799 / 0.3e1 - t1651 * t46575 / 0.6e1 + t6819 * t9434 / 0.3e1 + t7072 * t9434 / 0.3e1;
  t50333 = t1000 * t50257;
  t50342 = t1651 * t46313 / 0.3e1 + t5814 * t10599 / 0.3e1 + t5986 * t10599 / 0.3e1 + t1432 * t50333 / 0.3e1 - t49599 / 0.6e1 - t49601 / 0.6e1 - t49603 / 0.6e1 - t49605 / 0.3e1 - t49608 / 0.3e1 - t49610 / 0.3e1 - t45125 - t45134 + t45137;
  t50370 = -t490 * t29921 / 0.6e1 - t7100 * t45101 / 0.2e1 + t6908 * t2199 / 0.12e2 + t1682 * t9367 / 0.6e1 + t1682 * t9400 / 0.6e1 - t6755 * t9518 / 0.6e1 - t6760 * t9518 / 0.6e1 - t1651 * t45810 / 0.6e1 - t1651 * t46040 / 0.12e2 + t6890 * t2199 / 0.12e2 + t6893 * t2199 / 0.6e1 + t1677 * t9367 / 0.6e1 + t490 * t29096 / 0.12e2;
  t50381 = t439 * t4223;
  t50382 = t4549 * t50381;
  t50393 = -t6755 * t9408 / 0.6e1 - t6760 * t9408 / 0.6e1 - t1651 * t45164 / 0.6e1 - t1651 * t46578 / 0.12e2 - 0.5e1 / 0.36e2 * t6752 * t46294 - t45202 + t45214 - t45217 + t45219 - t5540 * t1720 * t50382 - 0.2e1 * t5540 * t6981 * t10630 - 0.2e1 * t5540 * t1720 * t46641 + t24205 * t10627 + t24209 * t10627;
  t50398 = t24823 * t50155;
  t50427 = t110 * t24784;
  t50430 = -0.3e1 * t5559 * t1720 * t50398 - 0.2e1 * t29767 * t10631 - 0.2e1 * t29773 * t10631 + t4145 * t34044 * t2402 / 0.2e1 + t4145 * t34033 * t2402 + t4145 * t7126 * t9492 - t24205 * t10621 / 0.2e1 - t4145 * t7116 * t9480 / 0.2e1 + t29767 * t10624 - t4145 * t34091 * t2257 / 0.2e1 + t5540 * t1716 * t46224 + t5540 * t1716 * t46227 / 0.2e1 + 0.2e1 * t50427 * t17660;
  t50457 = -t24209 * t10621 / 0.2e1 - t4145 * t34105 * t2257 / 0.4e1 + t5540 * t7005 * t9258 + 0.3e1 * t5540 * t7010 * t45919 + t29767 * t10618 + t29773 * t10618 + t5540 * t1714 * t9263 + t29773 * t10624 + 0.3e1 * t29767 * t10615 + 0.3e1 * t29773 * t10615 + 0.3e1 * t5540 * t34498 * t10614 + t5540 * t494 * t46245 / 0.2e1 + t29773 * t10608;
  t50463 = t356 * t29012;
  t50468 = t110 * t1177 * t24865;
  t50471 = t5540 * t494 * t46241 + t29767 * t10608 - t24205 * t10611 + 0.3e1 / 0.2e1 * t5540 * t7010 * t50463 + 0.12e2 * t50468 * t17730 + t45270 - t45273 - t45275 + t45277 - t45280 - t45282 + t45284 - t45286;
  t50472 = t5562 * t333;
  t50473 = t4408 * t50472;
  t50477 = t24848 * t50472;
  t50481 = t24823 * t50472;
  t50491 = t17638 * t994;
  t50493 = t29498 * t4403 * t50491;
  t50497 = t4161 * t2388 * t994;
  t50503 = t110 * t21181 * t1005 * t24923;
  t50504 = t24958 * t145;
  t50508 = t4376 * t10452;
  t50512 = -t45288 - t45290 - t45291 - t45296 + t45796 - 0.11e2 * t5559 * t6984 * t50473 + 0.15e2 * t5559 * t6988 * t50477 - 0.15e2 / 0.2e1 * t5540 * t6988 * t50481 + 0.5e1 / 0.2e1 * t5540 * t1720 * t46015 - 0.5e1 / 0.2e1 * t5559 * t1720 * t45950 + 0.15e2 / 0.2e1 * t29011 * t50493 + 0.2e1 * t5535 * t7126 * t50497 - 0.62e2 / 0.3e1 * t50503 * t50504 * t17723 - 0.6e1 * t5559 * t34511 * t50508;
  t50517 = t30232 * t10540;
  t50520 = t1145 * t439;
  t50522 = t5553 * t4143 * t50520;
  t50531 = -t45843 - t45844 + t45846 + t6824 * t44808 / 0.4e1 - t45848 - t9323 + t9326 + 0.2e1 / 0.3e1 * t6824 * t50517 + t6824 * t50522 / 0.3e1 - t1078 * t10701 - t373 * t1699 * t46437 / 0.2e1 - t1056 * t10698 - t1056 * t10701;
  t50550 = t1393 * t50235;
  t50555 = -t1078 * t10698 + t373 * t1692 * t44608 / 0.2e1 - t4457 * t2395 - t4462 * t2395 / 0.2e1 + t373 * t34436 * t2402 / 0.2e1 + t373 * t6784 * t9492 + t1078 * t10442 + 0.3e1 * t6848 * t5655 - 0.2e1 * t5647 * t1400 * t50251 + t5647 * t50550 - 0.2e1 * t6921 * t45011 + t6921 * t45015 + t45851;
  t50563 = t5553 * t29013;
  t50566 = t110 * t34493;
  t50567 = t1021 * t50150;
  t50568 = t10458 * t50567;
  t50578 = -t4145 * t7123 * t9665 - t45856 + 0.2e1 * t29764 * t10605 - 0.4e1 * t10451 * t45221 - 0.2e1 * t10451 * t50563 - 0.23e2 / 0.3e1 * t50566 * t50568 - t49612 / 0.9e1 - t49614 / 0.9e1 - t49616 / 0.9e1 + t49618 / 0.18e2 + t49620 / 0.18e2 + t49622 / 0.18e2 + t49624 / 0.18e2;
  t50585 = t10458 * t29013;
  t50588 = t50165 * t50567;
  t50593 = -t49626 / 0.18e2 + t49636 / 0.9e1 + t49638 / 0.9e1 + t49640 / 0.9e1 - t45914 - t45918 + t45923 + t45924 - t45927 - t45928 + 0.23e2 / 0.18e2 * t10457 * t45229 + 0.23e2 / 0.36e2 * t10457 * t50585 + 0.44e2 / 0.27e2 * t50160 * t50588 + t33988 * t9246 / 0.3e1;
  t50597 = t318 * t6988;
  t50606 = t4396 * t365;
  t50607 = t50606 * t10491;
  t50621 = t1034 * t10452;
  t50625 = 0.23e2 / 0.18e2 * t50597 * t10492 + t6824 * t45894 / 0.3e1 + t6824 * t45899 / 0.6e1 + 0.11e2 / 0.18e2 * t10457 * t45881 + 0.23e2 / 0.18e2 * t10457 * t50607 - t29773 * t10529 + t29770 * t10526 - t5535 * t7126 * t9448 - t30152 * t10561 + 0.6e1 * t29764 * t10558 - t5535 * t34033 * t2389 + 0.6e1 * t29770 * t10558 + 0.6e1 * t5559 * t34482 * t50621;
  t50633 = t29795 * t10536;
  t50637 = t5549 * t1021 * t50381;
  t50640 = t1034 * t29012;
  t50645 = t110 * t24789 * t24899;
  t50657 = t1093 * t50150;
  t50661 = t4543 * t50155;
  t50664 = 0.6e1 * t5559 * t6984 * t45836 - 0.4e1 / 0.3e1 * t33988 * t10537 - 0.4e1 / 0.3e1 * t33997 * t10537 - 0.4e1 / 0.3e1 * t6824 * t50633 - 0.2e1 / 0.3e1 * t6824 * t50637 + 0.3e1 * t5559 * t6984 * t50640 + 0.18e2 * t50645 * t17724 - 0.3e1 / 0.2e1 * t5540 * t7010 * t46049 + 0.2e1 / 0.3e1 * t33988 * t10541 + 0.2e1 / 0.3e1 * t33997 * t10541 - 0.4e1 / 0.3e1 * t6824 * t44777 + 0.18e2 * t5540 * t34501 * t50657 - t5540 * t1716 * t50661;
  t50666 = t356 * t50150;
  t50679 = t1034 * t50150;
  t50683 = t30771 * t10453;
  t50686 = t168 * t29012;
  t50687 = t5582 * t50686;
  t50690 = t168 * t50381;
  t50691 = t4137 * t50690;
  t50698 = t4376 * t365;
  t50704 = -0.6e1 * t5540 * t34518 * t50666 - 0.3e1 / 0.2e1 * t5540 * t494 * t45020 - 0.3e1 * t5559 * t6984 * t46318 + 0.3e1 * t5540 * t6984 * t44862 - 0.18e2 * t5559 * t34501 * t50679 - t10462 * t50683 - t10462 * t44850 - t10462 * t50687 / 0.2e1 - t6830 * t50691 / 0.6e1 - t318 * t7010 * t10463 - t110 * t34498 * t10463 + 0.14e2 / 0.3e1 * t10457 * t50698 * t10491 - t33928 * t2342 / 0.12e2;
  t50707 = t24531 * t2337;
  t50708 = t1000 * t50707;
  t50721 = t24237 * t10447;
  t50730 = t380 * t50520;
  t50731 = t5582 * t50730;
  t50738 = -t35001 * t2342 / 0.6e1 + t1644 * t50708 / 0.6e1 + t1644 * t45149 / 0.3e1 + t7072 * t10695 / 0.3e1 + t7072 * t9521 / 0.3e1 + t34134 * t2339 / 0.3e1 + t6819 * t10695 / 0.3e1 - t6830 * t50721 / 0.3e1 - t6830 * t44847 / 0.3e1 - t33978 * t10448 / 0.3e1 - t33986 * t10448 / 0.3e1 + t6830 * t50731 / 0.6e1 + t6830 * t44832 / 0.3e1 - t6827 * t46250 / 0.3e1;
  t50751 = t168 * t50472;
  t50752 = t5587 * t50751;
  t50755 = t10466 * t333;
  t50756 = t380 * t50755;
  t50757 = t10485 * t50756;
  t50761 = t5553 * t50686;
  t50765 = -t6827 * t46254 / 0.6e1 + t33988 * t9275 / 0.6e1 + t33997 * t9275 / 0.6e1 - t6830 * t46362 / 0.3e1 - t6827 * t46367 / 0.3e1 - 0.11e2 / 0.3e1 * t10451 * t50752 - 0.11e2 / 0.9e1 * t10457 * t50757 + t10451 * t44826 + t10451 * t50761 / 0.2e1 - t49653 / 0.6e1 + t46011 + t46014 + t46029;
  t50766 = t5549 * t50686;
  t50769 = t29498 * t50161;
  t50775 = t30232 * t10453;
  t50777 = t110 * t34482;
  t50779 = t318 * t6984;
  t50788 = t46031 - t10457 * t50766 / 0.2e1 - 0.38e2 / 0.9e1 * t50160 * t50769 + 0.3e1 * t5540 * t34511 * t10532 + t10451 * t50775 + t50777 * t10454 + t50779 * t10454 - 0.6e1 * t29767 * t10521 - t49667 / 0.18e2 + t49669 / 0.18e2 - t49671 / 0.18e2 - t49673 / 0.6e1 + t49675 / 0.6e1;
  t50805 = -t49677 / 0.3e1 + t49679 / 0.6e1 - t49681 / 0.6e1 - t49683 / 0.3e1 - t49685 / 0.3e1 - t49687 / 0.3e1 - t49689 / 0.3e1 - t49691 / 0.3e1 - t49693 / 0.3e1 + t49695 / 0.3e1 - t49697 / 0.6e1 - t6830 * t46423 / 0.6e1 - t10451 * t45028 / 0.2e1;
  t50810 = t4137 * t50751;
  t50815 = -t6830 * t46633 / 0.3e1 - t6830 * t46630 / 0.3e1 + t10462 * t50810 - t46064 + t46066 - t50597 * t10514 + t46073 - t46078 + t49703 / 0.9e1 - t49705 / 0.9e1 - t46085 + t46087 - t46089 - t46091;
  t50834 = t1182 * t50381;
  t50841 = t4408 * t50381;
  t50848 = -t5535 * t34044 * t2389 / 0.2e1 - t30146 * t10561 - t4145 * t34101 * t2394 / 0.2e1 - t4145 * t34109 * t2394 + t5540 * t7005 * t10607 + t5540 * t1716 * t45908 + t5540 * t1716 * t50834 / 0.2e1 + 0.2e1 * t5559 * t1720 * t44897 + t5559 * t1720 * t50841 - t24209 * t10611 + 0.2e1 * t5559 * t6981 * t5563 - t46102 + t46111;
  t50855 = t2379 * t146;
  t50857 = t1000 * t50855 * t978;
  t50866 = t4396 * t50150;
  t50870 = t4376 * t50150;
  t50874 = 0.2e1 * t29770 * t10605 - t10647 * t1101 / 0.4e1 + t10647 * t980 / 0.2e1 - t338 * t50857 / 0.6e1 - t6824 * t46343 / 0.3e1 + t33997 * t9246 / 0.3e1 + t6824 * t45890 / 0.3e1 + t2251 + t46127 - t46134 - t46142 - 0.18e2 * t10506 * t34493 * t50866 + 0.36e2 * t5559 * t34493 * t50870;
  t50880 = t50504 * t50567;
  t50894 = 0.14e2 / 0.3e1 * t10457 * t45257 + 0.7e1 / 0.3e1 * t10457 * t29014 + 0.89e2 / 0.9e1 * t50160 * t50880 + 0.3e1 / 0.2e1 * t1454 * t6946 - 0.3e1 * t5674 * t6936 - t49723 / 0.18e2 - t49725 / 0.18e2 - t49727 / 0.18e2 + t49729 / 0.9e1 + t49731 / 0.3e1 - t46148 - t46149 + t6824 * t45939 / 0.3e1;
  t50895 = t29911 * t50751;
  t50898 = t10382 * t4544;
  t50899 = t1190 * t50898;
  t50902 = t24905 * t345;
  t50903 = t493 * t50902;
  t50904 = t10382 * t1005;
  t50905 = t360 * t50904;
  t50908 = t360 * t50898;
  t50921 = -t45322 - t45330 - t45331 - 0.2e1 * t34459 * t50899 - 0.24e2 * t50903 * t50905 - 0.4e1 * t34634 * t50908 + 0.12e2 * t34443 * t45752 + t45344 + 0.2e1 * t6966 * t45687 - 0.2e1 * t34443 * t45657 - 0.2e1 / 0.9e1 * t10388 * t45737 - 0.2e1 / 0.3e1 * t6981 * t9601;
  t50924 = t2369 * t1005;
  t50925 = t1034 * t50924;
  t50928 = t2369 * t4223;
  t50929 = t1182 * t50928;
  t50937 = t5916 * t439;
  t50938 = t4376 * t50937;
  t50941 = t1034 * t50937;
  t50944 = t4396 * t50924;
  t50952 = -t1720 * t45501 / 0.3e1 + 0.24e2 * t34501 * t50925 - t1716 * t50929 - 0.2e1 * t34466 * t2359 - 0.4e1 * t7005 * t9590 - 0.2e1 * t1716 * t45771 + 0.1e2 / 0.3e1 * t6988 * t50938 - 0.4e1 * t6984 * t50941 - 0.2e1 / 0.3e1 * t34493 * t50944 - t34473 * t2362 / 0.3e1 - 0.2e1 * t1714 * t9617 - t494 * t45371;
  t50954 = t4396 * t50937;
  t50958 = t24848 * t50924;
  t50961 = t4408 * t50924;
  t50974 = t6988 * t50954 / 0.18e2 - t6978 * t2220 - 0.12e2 * t34488 * t50958 + 0.36e2 * t34493 * t50961 + 0.3e1 * t6988 * t45614 + 0.2e1 / 0.3e1 * t6969 * t45700 + t6969 * t45703 / 0.3e1 + t34450 * t45706 / 0.9e1 + 0.4e1 * t10396 * t45697 + t45452 + t45454 + t45459;
  t50975 = t10382 * t4223;
  t50976 = t360 * t50975;
  t50981 = t24923 * t24307;
  t50982 = t34487 * t50981;
  t50983 = t4624 * t50904;
  t50988 = t10382 * t1069;
  t50989 = t4633 * t50988;
  t50992 = -t45462 - t45465 + t45491 - t45526 - t45528 + t45553 - t45581 + t45583 + 0.2e1 * t6966 * t50976 + 0.2e1 * t10396 * t45678 + 0.24e2 * t50982 * t50983 - 0.6e1 * t34450 * t45657 - t10388 * t50989 / 0.9e1;
  t50995 = t24377 * t140;
  t50996 = t50995 * t50904;
  t50999 = t1190 * t50988;
  t51002 = t24899 * t4160;
  t51003 = t6987 * t51002;
  t51004 = t4633 * t50904;
  t51007 = t1190 * t50975;
  t51010 = t1203 * t50975;
  t51013 = t360 * t50988;
  t51016 = t24865 * t984;
  t51017 = t1719 * t51016;
  t51018 = t1190 * t50904;
  t51021 = t493 * t45746;
  t51024 = t1203 * t50898;
  t51031 = t1203 * t50904;
  t51034 = -t50982 * t50996 / 0.9e1 + 0.2e1 * t10408 * t50999 + 0.4e1 / 0.3e1 * t51003 * t51004 + 0.2e1 / 0.3e1 * t6969 * t51007 - 0.4e1 * t6969 * t51010 + 0.6e1 * t10418 * t51013 - 0.12e2 * t51017 * t51018 - 0.6e1 * t51021 * t45749 + 0.12e2 * t34459 * t51024 - 0.6e1 * t34538 * t45731 - 0.72e2 * t51003 * t51018 + 0.72e2 * t51017 * t51031;
  t51052 = t4549 * t50928;
  t51055 = -t34473 * t2377 - 0.2e1 * t6981 * t9545 - t1720 * t45566 + 0.4e1 / 0.3e1 * t6981 * t9551 + 0.2e1 / 0.3e1 * t1720 * t45557 + t34466 * t2373 + 0.2e1 * t7005 * t9560 + t494 * t45646 / 0.2e1 + t1716 * t45440 + t6978 * t2233 / 0.2e1 + t1714 * t9541 + 0.2e1 * t1720 * t51052;
  t51073 = t4408 * t50928;
  t51076 = t356 * t50937;
  t51081 = -0.4e1 / 0.3e1 * t1720 * t45543 - 0.8e1 / 0.3e1 * t6981 * t10352 + t34511 * t10344 / 0.9e1 + 0.4e1 * t6984 * t45431 - t494 * t45376 + 0.2e1 * t34473 * t2366 + 0.4e1 * t6981 * t9623 + 0.2e1 * t1720 * t45766 - t1716 * t45589 - 0.4e1 / 0.3e1 * t1720 * t51073 - 0.3e1 * t7010 * t51076 - 0.2e1 / 0.3e1 * t1720 * t45763;
  t51084 = t4633 * t142;
  t51085 = t51084 * t50472;
  t51088 = t45387 * t50472;
  t51091 = t45378 * t50472;
  t51100 = t45383 * t50472;
  t51103 = t4624 * t142;
  t51104 = t51103 * t50472;
  t51113 = t1093 * t50924;
  t51116 = -t6988 * t45434 / 0.18e2 + 0.5e1 / 0.9e1 * t34450 * t51085 - 0.12e2 * t34538 * t51088 - 0.22e2 / 0.3e1 * t34443 * t51091 - 0.5e1 / 0.3e1 * t34459 * t45380 - 0.8e1 * t34634 * t45388 - 0.3e2 * t34450 * t51091 + 0.44e2 * t34443 * t51100 + 0.1e2 / 0.3e1 * t34450 * t51104 + 0.1e2 * t34459 * t45384 + 0.3e1 * t7010 * t45353 - 0.6e1 * t6984 * t45522 - 0.36e2 * t34501 * t51113;
  t51134 = t34510 * t10387;
  t51143 = -t45598 + t6988 * t45537 / 0.9e1 - 0.6e1 * t34498 * t10355 - 0.2e1 * t7005 * t10358 - 0.4e1 * t34440 * t9643 - 0.4e1 * t6969 * t45711 - 0.2e1 * t6969 * t45714 + 0.2e1 / 0.3e1 * t34450 * t45717 + 0.12e2 * t51134 * t10404 + 0.12e2 * t10388 * t45482 + 0.6e1 * t10388 * t50999 + 0.8e1 / 0.3e1 * t50982 * t51004;
  t51144 = t6980 * t10407;
  t51149 = t1203 * t50988;
  t51158 = t4624 * t50988;
  t51161 = t25032 * t50904;
  t51164 = t1203 * t50472;
  t51167 = t1190 * t50472;
  t51172 = t4624 * t50472;
  t51175 = -0.24e2 * t51144 * t10409 - 0.24e2 * t10408 * t45485 - 0.12e2 * t10408 * t51149 + 0.8e1 * t51003 * t50983 - 0.4e1 / 0.3e1 * t51134 * t10401 - 0.4e1 / 0.3e1 * t10388 * t45476 - 0.2e1 / 0.3e1 * t10388 * t51158 - 0.4e1 / 0.3e1 * t50982 * t51161 - 0.22e2 * t34443 * t51164 + 0.15e2 * t34450 * t51167 + 0.1e2 / 0.3e1 * t34459 * t45724 - 0.5e2 / 0.3e1 * t34450 * t51172;
  t51185 = t4633 * t50472;
  t51188 = t360 * t50472;
  t51204 = -0.5e1 * t34459 * t45470 - 0.8e1 * t34440 * t10414 + 0.4e1 * t34634 * t45740 + 0.44e2 / 0.3e1 * t34443 * t51167 - 0.5e1 / 0.18e2 * t34450 * t51185 + 0.6e1 * t34538 * t51188 - 0.8e1 * t6969 * t45338 + 0.12e2 * t1713 * t10417 * t10419 + 0.4e1 * t34548 * t10422 + 0.4e1 * t51144 * t10404 + 0.12e2 * t10418 * t45346 + 0.4e1 * t6966 * t45349;
  t51215 = t1713 * t9649;
  t51232 = 0.4e1 * t10408 * t45482 + 0.4e1 / 0.3e1 * t34440 * t10384 - 0.2e1 / 0.9e1 * t51134 * t10390 + 0.4e1 / 0.3e1 * t6969 * t45743 + 0.4e1 * t34548 * t9646 + 0.4e1 * t51215 * t9652 + 0.2e1 / 0.3e1 * t34440 * t9640 + 0.4e1 * t6966 * t45683 - 0.2e1 * t1714 * t9608 - 0.4e1 / 0.3e1 * t6981 * t9619 - 0.8e1 * t6984 * t45530 - 0.8e1 / 0.3e1 * t1720 * t45534 - 0.2e1 * t494 * t45517;
  t51243 = -0.2e1 * t1716 * t45424 - 0.2e1 * t1716 * t45513 - 0.6e1 * t7010 * t45591 - 0.2e1 * t7005 * t9605 + t45599 + t45600 - t45601 + t45618 + t45624 + t45628 + t45630 + t9558;
  t51244 = t2369 * t4544;
  t51245 = t4543 * t51244;
  t51248 = t24823 * t51244;
  t51251 = t356 * t50924;
  t51256 = t24962 * t51244;
  t51261 = 0.2e1 * t1716 * t51245 + 0.2e1 * t1720 * t45407 + 0.4e1 * t1720 * t51248 - 0.6e1 * t1720 * t51256 + 0.12e2 * t34518 * t51251 + 0.3e1 * t494 * t45357 - t45632 + t45641 - t45652 - t45653 - t45654 + t45655 + t45668;
  t51270 = t24794 * t50924;
  t51273 = t4376 * t50924;
  t51276 = t24958 * t50924;
  t51283 = t1093 * t50937;
  t51288 = t4408 * t50937;
  t51291 = t1720 * t45412 - 0.6e1 * t34511 * t10379 - 0.6e1 * t6988 * t45633 - 0.1e2 / 0.3e1 * t6988 * t45414 + 0.5e2 / 0.3e1 * t34488 * t51270 - 0.4e2 * t34493 * t51273 + 0.1e2 / 0.3e1 * t34488 * t51276 + 0.12e2 * t34482 * t10375 + 0.12e2 * t6984 * t45642 + 0.6e1 * t6984 * t51283 - 0.8e1 * t34482 * t10336 - 0.3e1 * t6988 * t51288;
  t51304 = 0.4e1 * t6981 * t10363 + 0.2e2 / 0.3e1 * t34511 * t10348 + 0.4e1 * t1720 * t45418 + 0.2e2 / 0.3e1 * t6988 * t45540 + 0.2e1 * t6981 * t9632 + 0.2e1 / 0.3e1 * t34473 * t2370 + t45756 - t45757 - t45759 - t45762 - t45781 - t2229 + t2210;
  t51315 = t10458 * t50756;
  t51318 = t1400 * t50707;
  t51336 = t24848 * t50150;
  t51340 = 0.5e1 / 0.2e1 * t10457 * t50895 - t110 * t139 * (t50921 + t50952 + t50974 + t50992 + t51034 + t51055 + t51081 + t51116 + t51143 + t51175 + t51204 + t51232 + t51243 + t51261 + t51291 + t51304) * t168 / 0.4e1 + 0.2e1 / 0.3e1 * t6830 * t46349 - 0.5e1 / 0.18e2 * t10457 * t51315 - t1651 * t51318 / 0.12e2 - t6760 * t10678 / 0.6e1 - t6755 * t10678 / 0.6e1 - t35005 * t2342 / 0.12e2 + t1644 * t45966 / 0.6e1 + 0.3e1 * t5559 * t6988 * t45024 - 0.3e1 / 0.2e1 * t5540 * t6988 * t46485 - t49770 / 0.6e1 + 0.6e1 * t5540 * t34488 * t51336 - t46163;
  t51350 = t5587 * t50690;
  t51357 = -t46165 - t46167 - t46169 + t46171 - t46209 - t46210 - t9463 + t6824 * t46463 / 0.6e1 - 0.6e1 * t5540 * t34482 * t10520 + 0.2e1 / 0.3e1 * t6824 * t44800 + t6824 * t51350 / 0.3e1 - 0.6e1 * t29764 * t10553 - 0.6e1 * t29770 * t10553;
  t51358 = t10458 * t50161;
  t51369 = t1400 * t50257;
  t51372 = t1400 * t34124;
  t51375 = t5623 * t50235;
  t51382 = 0.5e1 / 0.3e1 * t50566 * t51358 + t46263 + t46274 - t46276 - t1677 * t6017 / 0.6e1 - t1682 * t6017 / 0.6e1 - t5763 * t10582 / 0.6e1 - t5754 * t10582 / 0.6e1 - t1391 * t51369 / 0.6e1 - t1391 * t51372 / 0.12e2 - 0.5e1 / 0.36e2 * t5621 * t51375 - t1663 * t5828 / 0.4e1 + t1378 * t7094 / 0.6e1;
  t51400 = t1093 * t29012;
  t51408 = t1386 * t7094 / 0.6e1 + t442 * t35026 / 0.6e1 + t442 * t35030 / 0.12e2 - t1663 * t5793 / 0.2e1 - t6876 * t1424 / 0.2e1 - t6855 * t1424 / 0.2e1 - t1663 * t5834 / 0.2e1 - 0.6e1 * t29773 * t10521 - 0.3e1 * t5540 * t6984 * t51400 - t46290 + t46293 - t1165 * t2381 / 0.4e1 - t318 * t10431 / 0.2e1;
  t51410 = t987 * t50855 * t995;
  t51418 = t29791 * t10447;
  t51437 = t10458 * t4403 * t29012;
  t51441 = t50165 * t4403 * t50150;
  t51444 = t338 * t51410 / 0.12e2 + t29764 * t10526 - 0.28e2 * t50645 * t17753 + 0.2e1 / 0.3e1 * t33997 * t10549 + 0.2e1 / 0.3e1 * t6824 * t51418 + t6827 * t46650 / 0.12e2 + t6827 * t46655 / 0.6e1 + 0.2e1 / 0.3e1 * t33988 * t10549 + t6827 * t46456 / 0.6e1 + 0.14e2 / 0.3e1 * t50597 * t10517 - 0.3e1 * t10457 * t50606 * t10500 - 0.3e1 * t10457 * t45063 - 0.3e1 / 0.2e1 * t10457 * t51437 - 0.43e2 / 0.9e1 * t50160 * t51441;
  t51448 = t318 * t10505;
  t51452 = t110 * t365 * t10504;
  t51455 = t4396 * t10452;
  t51464 = t110 * t34511;
  t51475 = 0.3e1 * t51448 * t10509 + 0.3e1 * t51452 * t10509 + 0.3e1 * t10506 * t34511 * t51455 + 0.3e1 * t10506 * t6988 * t45196 - 0.3e1 * t50597 * t10501 - 0.3e1 * t51464 * t10501 + t46307 + t46308 - 0.6e1 * t5540 * t6984 * t45051 - t10451 * t44893 + t10462 * t44867 / 0.2e1 - t49784 / 0.3e1 + t49786 / 0.3e1;
  t51480 = t29795 * t10453;
  t51483 = t30214 * t50156;
  t51486 = t29911 * t1021 * t50155;
  t51496 = -t49788 / 0.3e1 + 0.2e1 / 0.9e1 * t49790 - t49792 / 0.9e1 - t51464 * t10514 - t10457 * t51480 - t10457 * t45251 - t6824 * t51483 + 0.2e1 * t6824 * t51486 - t46322 - t46323 + t5559 * t1720 * t46043 / 0.2e1 + t5559 * t6981 * t46057 + t5559 * t1720 * t46060;
  t51500 = t110 * t34501;
  t51501 = t5591 * t50161;
  t51525 = t6827 * t45033 / 0.2e1 - 0.6e1 * t51500 * t51501 - t5717 * t1704 / 0.2e1 - t1454 * t6950 / 0.2e1 - t1454 * t6953 / 0.4e1 + t5689 * t1708 / 0.2e1 - t1030 * t1692 * t46199 / 0.2e1 - t5689 * t1700 - t5717 * t1700 - t1454 * t6800 - t1454 * t6789 / 0.2e1 - t1030 * t34436 * t2389 / 0.2e1 - t1030 * t6784 * t9448;
  t51537 = t1393 * t50707;
  t51552 = -t25078 * t2390 / 0.2e1 - t4383 * t10722 - t4383 * t10725 - t25066 * t2390 / 0.2e1 - t25071 * t2390 + 0.3e1 * t5674 * t6932 - 0.3e1 * t1663 * t5660 - t1651 * t51537 / 0.6e1 + t34853 * t2339 / 0.6e1 - t35005 * t2347 / 0.6e1 - t6760 * t10687 / 0.3e1 - t35001 * t2347 / 0.3e1 - t6755 * t10687 / 0.3e1 + t490 * t45998 / 0.12e2;
  t51563 = t5549 * t50161;
  t51571 = t1400 * t4460 * t2337;
  t51584 = t490 * t45978 / 0.6e1 + t490 * t45983 / 0.12e2 - t33928 * t2347 / 0.6e1 + t1677 * t9400 / 0.6e1 + 0.6e1 * t50566 * t51563 - t6830 * t44786 / 0.3e1 + t1432 * t34125 / 0.6e1 + t1651 * t51571 / 0.3e1 + 0.2e1 / 0.3e1 * t1651 * t44923 + 0.2e1 / 0.3e1 * t6755 * t10594 + 0.2e1 / 0.3e1 * t6755 * t9427 + t35005 * t2353 / 0.3e1 + 0.2e1 / 0.3e1 * t6760 * t10594;
  t51610 = 0.2e1 / 0.3e1 * t6760 * t9427 - t490 * t29568 / 0.6e1 - t490 * t29622 / 0.12e2 + t33928 * t2353 / 0.3e1 + 0.2e1 / 0.3e1 * t35001 * t2353 - t1378 * t6775 / 0.6e1 - t1386 * t6775 / 0.6e1 - t442 * t34386 / 0.6e1 - t442 * t34390 / 0.12e2 - t4349 * t10722 - t4349 * t10725 - t4454 * t2395 / 0.2e1 - t373 * t6949 * t9480 / 0.2e1;
  t51639 = t24962 * t50155;
  t51643 = -t373 * t1703 * t44731 / 0.4e1 + t4454 * t2403 / 0.2e1 - t1056 * t10708 / 0.2e1 - t1056 * t10711 / 0.2e1 - t373 * t33937 * t2257 / 0.4e1 - t4454 * t2398 / 0.4e1 - t4457 * t2398 / 0.2e1 - t1078 * t10708 / 0.2e1 - t1078 * t10711 / 0.2e1 - t4462 * t2398 / 0.4e1 - t373 * t35158 * t2394 / 0.2e1 - t373 * t6799 * t9665 + 0.3e1 * t5540 * t1720 * t51639;
  t51645 = t29498 * t4403 * t10524;
  t51653 = t30771 * t10467;
  t51657 = t4362 * t17189 * t333;
  t51663 = t2388 * t333;
  t51664 = t1013 * t51663;
  t51668 = t24794 * t50472;
  t51672 = t5549 * t50756;
  t51681 = t4161 * t2401 * t994;
  t51685 = 0.3e1 / 0.2e1 * t30700 * t51645 - t29767 * t10529 + t33986 * t10468 / 0.3e1 + t33978 * t10468 / 0.3e1 + t6830 * t51653 / 0.3e1 + 0.3e1 * t30030 * t34255 * t51657 - t4145 * t7126 * t46020 + 0.6e1 * t5535 * t33792 * t51664 - 0.15e2 / 0.2e1 * t10506 * t6988 * t51668 - t10457 * t51672 - 0.5e1 / 0.18e2 * t51464 * t10459 + t6824 * t46466 / 0.12e2 + 0.5e1 / 0.36e2 * t10457 * t46469 - 0.2e1 * t4145 * t7126 * t51681;
  t51690 = t1021 * t50491;
  t51691 = t29517 * t51690;
  t51694 = t4549 * t50472;
  t51698 = t13671 * t439;
  t51699 = t4143 * t51698;
  t51700 = t10485 * t51699;
  t51714 = t4408 * t29012;
  t51724 = -0.35e2 / 0.3e1 * t29011 * t51691 + 0.11e2 * t5540 * t6984 * t51694 + 0.14e2 / 0.3e1 * t29011 * t51700 + 0.3e1 * t29767 * t10533 + 0.3e1 * t29773 * t10533 - t5540 * t6981 * t9242 - t5540 * t1720 * t45887 + 0.3e1 * t5540 * t6988 * t45043 + 0.3e1 / 0.2e1 * t5540 * t6988 * t51714 + 0.14e2 / 0.3e1 * t51464 * t10517 + t46451 + t6819 * t9521 / 0.3e1 + t34138 * t2339 / 0.6e1;
  t51735 = -0.2e1 * t49844 + t49845 / 0.18e2 + 0.2e1 / 0.9e1 * t49847 - 0.2e1 * t49849 + t49850 / 0.3e1 - t49852 / 0.3e1 - t49854 / 0.3e1 - t49856 + t49858 + t49861 + 0.14e2 / 0.9e1 * t49863 + 0.2e1 / 0.3e1 * t49866 - 0.4e1 / 0.3e1 * t49868;
  t51744 = t24794 * t50150;
  t51748 = t24958 * t50150;
  t51752 = t29517 * t17659;
  t51762 = t49870 / 0.9e1 - 0.11e2 / 0.27e2 * t49872 - 0.2e1 / 0.9e1 * t49875 + 0.23e2 / 0.54e2 * t49877 - t49879 / 0.9e1 - t49885 / 0.9e1 - t49887 / 0.18e2 - 0.18e2 * t5559 * t34488 * t51744 + 0.18e2 * t10506 * t34488 * t51748 - 0.7e1 / 0.3e1 * t30700 * t51752 - t5540 * t1720 * t45877 / 0.2e1 - t318 * t10634 / 0.2e1 - 0.3e1 * t1454 * t6929;
  t51769 = t1400 * t50235;
  t51782 = t5623 * t6846 * t5624;
  t51790 = t4462 * t2403 / 0.2e1 + t1056 * t10439 + t1056 * t10442 + t1078 * t10439 + t4457 * t2403 + t5647 * t51769 / 0.2e1 - t5674 * t6785 - t5674 * t6779 / 0.2e1 + 0.3e1 / 0.2e1 * t1663 * t5617 + 0.3e1 / 0.2e1 * t30060 * t7161 - 0.3e1 * t6848 * t5612 - 0.3e1 / 0.2e1 * t5621 * t51782 + 0.3e1 / 0.2e1 * t34826 * t5631 + 0.7e1 / 0.3e1 * t5621 * t5640 * t50251;
  t51799 = t5634 * t50235;
  t51802 = t5591 * t50686;
  t51804 = t10485 * t50161;
  t51809 = t4396 * t29012;
  t51817 = t29823 * t10453;
  t51820 = t29498 * t50751;
  t51823 = t110 * t34820;
  t51826 = -t6752 * t45126 / 0.2e1 - 0.3e1 / 0.2e1 * t6752 * t5623 * t5672 * t5624 - t5621 * t51799 / 0.2e1 + t10451 * t51802 + 0.22e2 / 0.3e1 * t50566 * t51804 - 0.4e1 * t50779 * t10497 + 0.3e1 / 0.2e1 * t10506 * t6988 * t51809 + 0.2e1 * t50779 * t10512 + 0.2e1 * t50777 * t10512 + 0.2e1 * t10451 * t51817 - t46493 + 0.25e2 / 0.36e2 * t10457 * t51820 + 0.3e1 / 0.2e1 * t51823 * t5564;
  t51828 = t110 * t500 * t5533;
  t51840 = t29823 * t10467;
  t51847 = -t51828 * t5538 - t49913 / 0.6e1 + t46507 - t49925 / 0.9e1 - t49928 / 0.3e1 + t49930 / 0.3e1 - 0.5e1 / 0.18e2 * t50597 * t10459 + t49000 - t33988 * t10544 / 0.3e1 - t33997 * t10544 / 0.3e1 - t6824 * t51840 / 0.3e1 + t34945 * t9280 / 0.6e1 + t34948 * t9280 / 0.6e1;
  t51851 = t5591 * t50730;
  t51859 = t10485 * t50686;
  t51862 = t50504 * t50161;
  t51876 = t50698 * t10453;
  t51879 = 0.2e1 / 0.3e1 * t6824 * t44772 - t6824 * t51851 / 0.6e1 - t6824 * t44796 / 0.3e1 - 0.3e1 / 0.2e1 * t50177 * t5543 + 0.2e1 / 0.9e1 * t49932 - 0.11e2 / 0.18e2 * t10457 * t51859 - 0.61e2 / 0.27e2 * t50160 * t51862 - 0.4e1 * t50777 * t10497 - 0.4e1 * t10451 * t30232 * t10491 + 0.23e2 / 0.18e2 * t51464 * t10492 - 0.11e2 / 0.9e1 * t50597 * t10486 - 0.11e2 / 0.9e1 * t51464 * t10486 - 0.11e2 / 0.9e1 * t10457 * t51876;
  t51885 = t1013 * t2401 * t333;
  t51890 = t10458 * t5533 * t51698;
  t51895 = t10466 * t994;
  t51897 = t5549 * t4143 * t51895;
  t51901 = t29498 * t1021 * t50472;
  t51905 = t10458 * t4143 * t50755;
  t51908 = t5591 * t50756;
  t51911 = t380 * t51895;
  t51912 = t5587 * t51911;
  t51916 = -0.11e2 / 0.9e1 * t10457 * t45237 - 0.5e1 / 0.12e2 * t6824 * t46355 - 0.6e1 * t4145 * t33792 * t51885 - 0.3e1 * t29011 * t51890 + t4145 * t7123 * t45947 - 0.4e1 / 0.3e1 * t6824 * t51897 - 0.115e3 / 0.36e2 * t10457 * t51901 + 0.23e2 / 0.18e2 * t10457 * t51905 + 0.2e1 * t10451 * t51908 + 0.2e1 / 0.3e1 * t6824 * t51912 + t34283 * t5546 + t46526 + t46529 - t46538;
  t51920 = t13671 * t2196;
  t51922 = t5549 * t4143 * t51920;
  t51925 = t29517 * t50751;
  t51930 = t5553 * t50756;
  t51932 = t5549 * t51911;
  t51937 = -t46540 - t46543 - t46547 + t46548 - 0.2e1 / 0.3e1 * t24164 * t51922 + 0.55e2 / 0.18e2 * t10457 * t51925 + t6824 * t46346 / 0.6e1 + t10451 * t51930 + t6824 * t51932 / 0.3e1 + t4145 * t7116 * t46359 + t46566 + t46567 - t46568;
  t51940 = t5549 * t50690;
  t51945 = t46569 - t49009 + t49011 - t49013 + t49015 - t49017 + t49019 + t49021 + t49023 - t49025 + t6824 * t44819 / 0.3e1 + t6824 * t51940 / 0.6e1 + t33997 * t10471 / 0.3e1;
  t51947 = t29795 * t10447;
  t51952 = t10458 * t50686;
  t51955 = t50165 * t50161;
  t51960 = t5553 * t50161;
  t51963 = t50606 * t10453;
  t51968 = t5549 * t50751;
  t51971 = t5582 * t50756;
  t51973 = t4137 * t51911;
  t51978 = t6824 * t51947 / 0.3e1 + 0.3e1 / 0.2e1 * t45074 * t7139 - 0.5e1 / 0.36e2 * t10457 * t51952 - 0.35e2 / 0.108e3 * t50160 * t51955 + t33988 * t10471 / 0.3e1 - 0.3e1 * t51500 * t51960 - 0.5e1 / 0.18e2 * t10457 * t51963 - 0.5e1 / 0.18e2 * t10457 * t44843 - 0.11e2 / 0.6e1 * t10451 * t51968 - t10462 * t51971 - t6830 * t51973 / 0.3e1 + t6824 * t46638 / 0.6e1 + t46572;
  t51982 = t4376 * t29012;
  t51986 = t110 * t34518;
  t51987 = t5582 * t50161;
  t52008 = -0.6e1 * t5559 * t6988 * t45203 - 0.3e1 * t5559 * t6988 * t51982 + 0.2e1 * t51986 * t51987 + t1663 * t5805 + t1663 * t5809 / 0.2e1 - t29044 * t1693 - t29052 * t1693 - t442 * t33947 / 0.6e1 + t1663 * t6032 / 0.2e1 + 0.3e1 / 0.2e1 * t1663 * t6038 + t1454 * t6939 / 0.2e1 + 0.3e1 / 0.2e1 * t1454 * t6943 - t6848 * t5786 - t6848 * t5777 / 0.2e1;
  t52024 = t30232 * t10467;
  t52033 = t6876 * t1413 + t6855 * t1413 - t34801 * t1408 - t34808 * t1408 + t46623 + 0.47e2 / 0.3e1 * t50503 * t29498 * t17729 - 0.23e2 / 0.36e2 * t10457 * t45902 - t33988 * t10480 / 0.6e1 - t33997 * t10480 / 0.6e1 - t6824 * t52024 / 0.6e1 - t6827 * t46516 / 0.3e1 - t34945 * t9272 / 0.3e1 - t34948 * t9272 / 0.3e1;
  t52046 = t1182 * t50472;
  t52050 = t10524 * t994;
  t52052 = t29911 * t1021 * t52050;
  t52056 = t346 * t2393 * t333;
  t52061 = t985 * t2393 * t994;
  t52064 = t5560 * t4334;
  t52065 = t110 * t52064;
  t52066 = t5549 * t51690;
  t52069 = t5553 * t51699;
  t52074 = t4362 * t17049 * t333;
  t52078 = -0.5e1 / 0.6e1 * t6824 * t46025 + t49942 / 0.18e2 - t110 * t10430 * t404 / 0.2e1 - t110 * t2380 * t1146 / 0.4e1 - 0.2e1 * t5540 * t1716 * t45942 - 0.3e1 * t5540 * t7010 * t52046 + 0.5e1 / 0.3e1 * t24164 * t52052 + 0.3e1 * t4145 * t35186 * t52056 + t4145 * t7123 * t52061 + 0.22e2 / 0.3e1 * t52065 * t52066 - 0.4e1 * t52065 * t52069 + t49944 / 0.9e1 - 0.6e1 * t5535 * t34255 * t52074;
  t52080 = t4362 * t51663;
  t52086 = t4408 * t50150;
  t52093 = t5553 * t50730;
  t52112 = 0.3e1 * t4145 * t34255 * t52080 + t5535 * t7126 * t45955 - 0.18e2 * t5540 * t34493 * t52086 - 0.3e1 / 0.2e1 * t10506 * t6988 * t44874 - t6824 * t52093 / 0.12e2 - 0.2e1 / 0.3e1 * t33988 * t9250 - 0.2e1 / 0.3e1 * t33997 * t9250 - 0.2e1 / 0.3e1 * t6824 * t45959 - 0.2e1 / 0.3e1 * t6824 * t46075 - t6824 * t44790 / 0.6e1 - t33986 * t9239 / 0.3e1 - t33978 * t9239 / 0.3e1 + 0.2e1 * t10451 * t45852;
  t52135 = t49946 / 0.3e1 + t49948 / 0.3e1 + t49950 / 0.3e1 + t1663 * t5819 / 0.4e1 + t1663 * t5823 / 0.2e1 - t6876 * t1420 - t6855 * t1420 - t1663 * t5803 + t5717 * t1708 / 0.2e1 + t1454 * t6812 / 0.4e1 + t1454 * t6816 / 0.2e1 + t6876 * t1428 / 0.2e1 + t6855 * t1428 / 0.2e1 - t5689 * t1704 / 0.2e1;
  t52142 = my_piecewise3(t100, 0, t52135 + t52112 + t52078 + t52033 + t52008 + t51978 + t51945 + t51937 + t51916 + t51879 + t51847 + t51826 + t51790 + t51762 + t51735 + t51724 + t51685 + t51643 + t51610 + t51584 + t51552 + t51525 + t51496 + t51475 + t51444 + t51408 + t51382 + t51357 + t51340 + t50894 + t50874 + t50848 + t50815 + t50805 + t50788 + t50765 + t50738 + t50704 + t50664 + t50625 + t50593 + t50578 + t50555 + t50326 + t50116 + t50512 + t50471 + t50281 + t50457 + t50146 + t50042 + t50393 + t50342 + t50296 + t50122 + t50247 + t50135 + t50216 + t50531 + t50182 + t50430 + t50076 + t50370 + t50103);
  tv4rho2sigmalapl17 = t3 * t52142 + 0.2e1 * t10744;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 17] += tv4rho2sigmalapl17;

  t52146 = t27116 * t530 / 0.18e2;
  t52147 = t592 * t10973;
  t52148 = t52147 * t250;
  t52152 = t771 * t10969;
  t52155 = t634 * t2436 * t635;
  t52160 = t191 * t242 * t2435 * t641;
  t52165 = t629 * t2437;
  t52172 = t37278 * t432;
  t52174 = t35747 * t432;
  t52176 = t7368 * t1274;
  t52178 = t27536 * t530;
  t52180 = t27091 * t530;
  t52182 = -t52146 + t52148 / 0.6e1 + t743 * t10969 / 0.6e1 - t52152 / 0.18e2 + t622 * t52155 / 0.3e1 - t52160 * t650 / 0.2e1 + t10974 * t655 / 0.2e1 - t622 * t52165 / 0.6e1 - t515 * t27547 / 0.12e2 - t10974 * t749 / 0.2e1 + t52172 / 0.6e1 + t52174 / 0.6e1 + t52176 / 0.6e1 + t52178 / 0.6e1 + t52180 / 0.6e1;
  t52183 = t5143 * t1873;
  t52187 = t26891 * t11055;
  t52188 = t52183 / 0.6e1 - t41004 - t41006 - t41011 + t41014 + t41016 + t41018 + t41023 + t41025 + t41027 + t41030 + t41033 - t41036 - t4748 * t7233 * t8725 + t52187;
  t52190 = t26891 * t11058;
  t52192 = t182 * t7599;
  t52195 = t30 * t36856;
  t52204 = t30 * t36901;
  t52207 = t188 * t49296;
  t52208 = t635 * t17439;
  t52209 = t4765 * t52208;
  t52210 = t52207 * t52209;
  t52226 = t30 * t814 * t21402;
  t52230 = t52190 / 0.3e1 - 0.5e1 / 0.18e2 * t52192 * t10039 - 0.5e1 / 0.18e2 * t52195 * t10039 - 0.5e1 / 0.18e2 * t11008 * t47503 - 0.5e1 / 0.18e2 * t11008 * t41455 - 0.5e1 / 0.36e2 * t11008 * t47508 - 0.35e2 / 0.108e3 * t52204 * t47513 - 0.4e1 / 0.3e1 * t52210 + 0.3e1 * t25696 * t11055 + 0.3e1 * t25730 * t11055 + 0.3e1 * t4779 * t36916 * t9736 + 0.3e1 * t4779 * t7610 * t42924 + 0.3e1 / 0.2e1 * t4779 * t7610 * t48602 + 0.12e2 * t52226 * t52209 - t27575 * t11064;
  t52242 = t3671 * t17439;
  t52243 = t10037 * t52242;
  t52255 = t26888 * t11053;
  t52267 = -t4748 * t35946 * t2318 / 0.2e1 - t4748 * t35950 * t2318 + 0.6e1 * t4738 * t7595 * t41360 + 0.3e1 * t4738 * t7595 * t47296 + 0.18e2 * t48503 * t52243 + t25696 * t11058 + t25730 * t11058 + t4779 * t7624 * t9740 + t4779 * t1843 * t42647 + t4779 * t1843 * t46833 / 0.2e1 + 0.2e1 / 0.3e1 * t52255 - t25678 * t10772 / 0.6e1 - t25673 * t10772 / 0.6e1 - t35738 * t2276 / 0.6e1 - t37111 * t2276 / 0.3e1 - t7190 * t10122 / 0.3e1;
  t52282 = t7198 * t4832;
  t52283 = t1227 * t52282;
  t52286 = t1267 * t7200;
  t52302 = -t35719 * t2276 / 0.6e1 + t515 * t41199 / 0.6e1 + t515 * t41294 / 0.12e2 + t7345 * t8704 / 0.3e1 + t1787 * t41322 / 0.3e1 + t1787 * t27147 / 0.6e1 + t4859 * t52283 / 0.2e1 - t52286 / 0.18e2 - t1748 * t43280 / 0.12e2 + t7393 * t2108 / 0.12e2 + t7396 * t2108 / 0.6e1 + t1876 * t8810 / 0.6e1 + t7405 * t2108 / 0.12e2 - t7190 * t9891 / 0.6e1 - t7195 * t9891 / 0.6e1;
  t52315 = t25750 * t11148;
  t52319 = t7299 * t9828;
  t52325 = t26891 * t11073;
  t52327 = t188 * t27522;
  t52328 = t10058 * t52208;
  t52329 = t52327 * t52328;
  t52333 = -t1748 * t48581 / 0.12e2 - t1748 * t43277 / 0.6e1 - t7190 * t8848 / 0.6e1 - t7195 * t8848 / 0.6e1 - t7195 * t10122 / 0.3e1 - t1748 * t46858 / 0.6e1 + t52315 / 0.9e1 - t41119 + t3123 * t7233 * t9021 + t52319 / 0.9e1 - t41144 - 0.2e1 * t25696 * t11073 - 0.2e1 * t25730 * t11073 - 0.2e1 / 0.3e1 * t52325 + 0.14e2 / 0.9e1 * t52329 - 0.4e1 / 0.3e1 * t7216 * t42974;
  t52373 = 0.3e1 / 0.2e1 * t9873 * t7599 * t48789 + 0.8e1 * t48771 * t47512 * t9871 * t17439 - 0.3e1 * t4738 * t7599 * t48839 - 0.62e2 / 0.3e1 * t48771 * t47588 * t52242 + t3123 * t11121 * t4960 / 0.2e1 + 0.2e1 * t26772 * t11053 + 0.2e1 * t26777 * t11053 + 0.2e1 * t4738 * t7632 * t4742 + 0.2e1 * t4738 * t1847 * t41353 + t4738 * t1847 * t47280 - 0.4e1 / 0.3e1 * t36005 * t9758 - 0.4e1 / 0.3e1 * t36009 * t9758 - 0.4e1 / 0.3e1 * t7216 * t47774 + 0.3e1 / 0.2e1 * t25931 * t7564 - 0.3e1 * t7462 * t4826;
  t52375 = t4844 * t7460 * t4832;
  t52380 = t4831 * t52282;
  t52383 = t1889 * t4832;
  t52384 = t4838 * t52383;
  t52393 = t7255 * t8709;
  t52405 = t7255 * t8715;
  t52407 = -0.3e1 / 0.2e1 * t4830 * t52375 + 0.3e1 / 0.2e1 * t37303 * t4851 - t4830 * t52380 / 0.2e1 + 0.7e1 / 0.3e1 * t4830 * t52384 - 0.3e1 / 0.2e1 * t7187 * t43183 + 0.3e1 / 0.2e1 * t1293 * t7570 - t7187 * t41391 / 0.2e1 - t52393 / 0.18e2 + t7250 * t41327 / 0.2e1 - t3568 * t2447 / 0.2e1 - t3605 * t2447 - t768 * t10866 - t768 * t10869 - t11143 * t42164 + t11086 * t48398 / 0.2e1 + 0.2e1 / 0.9e1 * t52405;
  t52411 = t35652 * t2276;
  t52413 = t35645 * t2276;
  t52415 = t21416 * t2444;
  t52417 = t21421 * t2444;
  t52419 = t3548 * t11212;
  t52421 = t3548 * t11215;
  t52423 = t35652 * t2282;
  t52425 = t35645 * t2282;
  t52427 = t3631 * t2447;
  t52430 = t3621 * t2453 / 0.9e1;
  t52432 = t3621 * t2450 / 0.18e2;
  t52442 = -t52411 / 0.9e1 - t52413 / 0.9e1 - t52415 / 0.3e1 - t52417 / 0.3e1 - t52419 / 0.3e1 - t52421 / 0.3e1 + 0.2e1 / 0.9e1 * t52423 + 0.2e1 / 0.9e1 * t52425 - t52427 / 0.3e1 - t52430 + t52432 + 0.2e1 * t11086 * t46916 + 0.2e1 * t11086 * t42400 - t4779 * t1843 * t47571 - 0.18e2 * t4738 * t36901 * t47443;
  t52443 = t543 * t617;
  t52444 = t253 * t52443;
  t52445 = t4760 * t52444;
  t52448 = t3121 * t52443;
  t52449 = t10058 * t52448;
  t52453 = t10037 * t4746 * t52443;
  t52456 = t543 * t69;
  t52457 = t52456 * t4817;
  t52473 = t35733 * t2271 / 0.54e2;
  t52480 = t543 * t1272;
  t52482 = t4765 * t3121 * t52480;
  t52488 = -t25733 * t52445 / 0.2e1 + 0.7e1 / 0.3e1 * t25733 * t52449 - 0.3e1 / 0.2e1 * t25733 * t52453 + 0.3e1 / 0.2e1 * t26806 * t52457 * t4850 - 0.3e1 * t4748 * t52457 * t4825 - t36005 * t10042 / 0.6e1 - t36009 * t10042 / 0.6e1 + t757 * t10881 / 0.2e1 + t757 * t10885 / 0.2e1 + t52473 - t5108 * t1886 / 0.6e1 - t1278 * t7385 / 0.6e1 + t37286 * t432 / 0.4e1 + 0.2e1 / 0.3e1 * t21878 * t52482 - t30 * t10860 * t277 / 0.2e1;
  t52492 = t5143 * t1783;
  t52495 = t35728 * t2268 / 0.27e2;
  t52517 = t3637 * t2447;
  t52519 = t593 * t10866;
  t52521 = t743 * t10894 / 0.6e1 + t52492 / 0.6e1 - t52495 - t5115 * t1779 / 0.12e2 + t246 * t1757 * t42598 / 0.2e1 - t5091 * t1779 / 0.12e2 - t5108 * t1779 / 0.6e1 + t3610 * t2453 / 0.2e1 + t757 * t10761 + t757 * t10764 + t246 * t37175 * t2331 / 0.2e1 + t246 * t7488 * t9021 - t246 * t1769 * t43243 / 0.4e1 - t52517 / 0.3e1 - t52519 / 0.3e1;
  t52522 = t593 * t10869;
  t52524 = t593 * t10764;
  t52526 = t3631 * t2450;
  t52528 = t3637 * t2450;
  t52530 = t593 * t10890;
  t52532 = t593 * t10754;
  t52534 = t3631 * t2453;
  t52536 = t3637 * t2453;
  t52538 = t593 * t10761;
  t52540 = t593 * t10881;
  t52542 = t593 * t10885;
  t52544 = t5096 * t1779;
  t52546 = t5099 * t1779;
  t52551 = t7450 * t1288 / 0.54e2;
  t52552 = t1829 * t206;
  t52553 = t253 * t52552;
  t52554 = t4765 * t52553;
  t52557 = -t52522 / 0.3e1 + t52524 / 0.3e1 - t52526 / 0.6e1 - t52528 / 0.6e1 - t52530 / 0.6e1 - t52532 / 0.6e1 + t52534 / 0.3e1 + t52536 / 0.3e1 + t52538 / 0.3e1 + t52540 / 0.6e1 + t52542 / 0.6e1 - t52544 / 0.18e2 - t52546 / 0.18e2 - t7307 * t41104 / 0.2e1 + t52551 - t4753 * t52554 / 0.6e1;
  t52560 = t543 * t606;
  t52561 = t253 * t52560;
  t52562 = t4765 * t52561;
  t52565 = t10037 * t52444;
  t52574 = t25665 * t10771;
  t52580 = t3621 * t2462 / 0.18e2;
  t52585 = t2435 * t66;
  t52587 = t673 * t52585 * t674;
  t52591 = t660 * t52585 * t668;
  t52601 = -t4753 * t52562 / 0.12e2 - 0.5e1 / 0.36e2 * t25733 * t52565 + t4789 * t36304 / 0.6e1 + t7746 * t42978 / 0.3e1 + t7581 * t25658 / 0.6e1 - t4753 * t52574 / 0.6e1 + t515 * t42519 / 0.12e2 - t52580 + t36106 * t2268 / 0.6e1 - t35719 * t2271 / 0.12e2 - t211 * t52587 / 0.6e1 + t211 * t52591 / 0.12e2 - 0.11e2 / 0.9e1 * t52192 * t10072 + 0.3e1 * t9873 * t7599 * t42183 + 0.3e1 * t48460 * t11113;
  t52607 = t30 * t36922;
  t52610 = t30 * t36878;
  t52637 = 0.3e1 * t48464 * t11113 + 0.3e1 * t9873 * t36856 * t48467 - 0.6e1 * t52607 * t48661 + 0.22e2 / 0.3e1 * t52610 * t46925 - 0.23e2 / 0.3e1 * t52610 * t47453 - t11086 * t43368 + 0.11e2 / 0.18e2 * t11008 * t43353 - 0.23e2 / 0.36e2 * t11008 * t42500 - 0.61e2 / 0.27e2 * t52204 * t47797 + 0.44e2 / 0.27e2 * t52204 * t48680 + t11008 * t42991 / 0.2e1 + 0.6e1 * t52610 * t47245 + 0.36e2 * t4738 * t36878 * t47436 + t11086 * t46921 - 0.2e1 * t11086 * t46965 - 0.3e1 * t4779 * t7595 * t48864;
  t52644 = t182 * t27522;
  t52647 = t182 * t4740;
  t52648 = t635 * t11101;
  t52649 = t4760 * t52648;
  t52652 = t30 * t49296;
  t52653 = t512 * t1272;
  t52654 = t635 * t52653;
  t52658 = t1839 * t414;
  t52659 = t635 * t52658;
  t52660 = t4765 * t52659;
  t52663 = t182 * t49296;
  t52669 = t25753 * t10772;
  t52671 = t4765 * t52444;
  t52674 = t25784 * t10771;
  t52680 = t4754 * t52553;
  t52684 = t4765 * t3121 * t52552;
  t52687 = t35707 * t8651;
  t52689 = -0.28e2 * t48503 * t52328 - 0.3e1 * t27523 * t46934 * t52242 - 0.3e1 * t52644 * t52243 - 0.2e1 / 0.3e1 * t52647 * t52649 - 0.4e1 * t52652 * t4765 * t52654 - 0.4e1 * t52652 * t52660 - 0.4e1 * t52663 * t52209 - 0.4e1 * t52652 * t25665 * t52208 - t52669 / 0.18e2 + t25683 * t52671 / 0.2e1 - t4753 * t52674 / 0.3e1 + 0.2e1 / 0.3e1 * t4753 * t25665 * t11134 - t4753 * t52680 / 0.3e1 + 0.2e1 / 0.3e1 * t4753 * t52684 + t52687 / 0.9e1;
  t52700 = t26140 * t52648;
  t52722 = t4738 * t1847 * t42448 / 0.2e1 + 0.3e1 / 0.2e1 * t26124 * t25739 * t3671 * t11101 - t4779 * t1847 * t42433 / 0.2e1 - 0.7e1 / 0.3e1 * t26124 * t52700 + t26772 * t11103 - t25696 * t11106 + t21617 * t11125 - t41368 + t7216 * t43350 / 0.6e1 - 0.11e2 / 0.9e1 * t52195 * t10072 - 0.11e2 / 0.9e1 * t11008 * t46950 - 0.11e2 / 0.9e1 * t11008 * t42422 - 0.11e2 / 0.18e2 * t11008 * t46955 + 0.23e2 / 0.18e2 * t52192 * t10048 + 0.23e2 / 0.18e2 * t52195 * t10048 + 0.23e2 / 0.18e2 * t11008 * t48818;
  t52729 = t30 * t7456;
  t52754 = 0.23e2 / 0.18e2 * t11008 * t42629 - 0.3e1 / 0.2e1 * t52729 * t4781 + t36310 * t4784 + t7374 * t1255 / 0.2e1 - t7374 * t1251 / 0.2e1 - t7390 * t1251 / 0.2e1 - t7374 * t1247 - t7390 * t1247 - t1891 * t4968 - t1891 * t4970 / 0.2e1 + t5105 * t1774 / 0.2e1 + t5126 * t1774 / 0.2e1 + t1293 * t7512 / 0.4e1 + t1293 * t7516 / 0.2e1 - t1293 * t7534 / 0.2e1;
  t52772 = t10037 * t3671 * t52658;
  t52789 = t5096 * t1886;
  t52791 = -t1293 * t7537 / 0.4e1 - t1293 * t7502 / 0.2e1 - t5105 * t1770 / 0.2e1 - t5126 * t1770 / 0.2e1 + 0.3e1 / 0.2e1 * t4779 * t7599 * t48765 + 0.47e2 / 0.3e1 * t48771 * t25739 * t52208 - t36310 * t4776 / 0.2e1 - 0.3e1 * t27523 * t52772 - 0.3e1 * t27523 * t10037 * t3671 * t52653 + 0.23e2 / 0.36e2 * t11008 * t48823 + t36005 * t8651 / 0.3e1 + t36009 * t8651 / 0.3e1 + t7216 * t42427 / 0.3e1 + t7216 * t43347 / 0.3e1 - t52789 / 0.18e2;
  t52793 = t5099 * t1886;
  t52818 = -t52793 / 0.18e2 + t41476 * t7236 - t25662 * t7239 - t42203 * t7246 - 0.3e1 / 0.2e1 * t4779 * t7599 * t42764 - 0.2e1 * t52204 * t48651 + 0.3e1 * t4738 * t7599 * t42768 - t36310 * t4801 - t25662 * t7229 / 0.2e1 + 0.6e1 * t4738 * t36875 * t47289 + t2160 + t11086 * t41462 - t7195 * t8986 / 0.3e1 - t1748 * t42362 / 0.3e1 + t5105 * t1761;
  t52820 = t7368 * t1251;
  t52824 = t7368 * t1247;
  t52830 = t5143 * t1774;
  t52832 = t5143 * t1766;
  t52836 = t5143 * t1770;
  t52842 = t25657 * t7757;
  t52845 = t30 * t36875;
  t52850 = t5126 * t1761 - t52820 / 0.6e1 + t1891 * t4891 / 0.2e1 - t52824 / 0.3e1 + 0.3e1 / 0.2e1 * t1891 * t4879 + t1293 * t7285 / 0.2e1 + t52830 / 0.6e1 - t52832 / 0.3e1 + 0.3e1 / 0.2e1 * t1293 * t7278 - t52836 / 0.6e1 + 0.2e1 / 0.3e1 * t52647 * t17285 - t25662 * t7753 / 0.4e1 + t3129 * t52842 / 0.12e2 + t52845 * t10094 + t11086 * t48395 - t4912 * t11177 / 0.6e1;
  t52866 = t7299 * t8704;
  t52878 = t7255 * t8986;
  t52880 = -t27129 * t1758 - t5073 * t7489 - t5073 * t7492 / 0.2e1 + t1891 * t4957 + t1891 * t4961 / 0.2e1 + t1876 * t8843 / 0.6e1 + t1881 * t8843 / 0.6e1 + t7340 * t8704 / 0.3e1 + t52866 / 0.9e1 - t7190 * t8692 / 0.3e1 - t7195 * t8692 / 0.3e1 - t1748 * t41063 / 0.3e1 - t1748 * t41068 / 0.6e1 - t1748 * t42456 / 0.6e1 - t52878 / 0.9e1;
  t52882 = t7255 * t8990;
  t52884 = t5143 * t1761;
  t52912 = t7250 * t42814 + 0.2e1 / 0.9e1 * t52882 + t52884 / 0.3e1 - 0.3e1 * t1293 * t7270 + t1881 * t8810 / 0.6e1 + 0.2e1 / 0.3e1 * t7216 * t47764 + t7216 * t47768 / 0.3e1 + 0.2e1 / 0.3e1 * t7216 * t42967 + 0.2e1 / 0.3e1 * t36005 * t9767 + 0.2e1 / 0.3e1 * t36009 * t9767 + 0.2e1 / 0.3e1 * t7216 * t47757 - t7216 * t47042 / 0.3e1 - t7216 * t47027 / 0.6e1 - t7216 * t42983 / 0.3e1 - 0.2e1 / 0.3e1 * t7216 * t47780 + 0.2e1 / 0.3e1 * t36005 * t9763;
  t52934 = t188 * t7599;
  t52935 = t52934 * t10048;
  t52945 = 0.2e1 / 0.3e1 * t36009 * t9763 - t7581 * t42884 / 0.3e1 - t7581 * t42888 / 0.3e1 + 0.2e1 / 0.3e1 * t7216 * t41430 + t7216 * t47035 / 0.3e1 - t36005 * t9771 / 0.3e1 - t36009 * t9771 / 0.3e1 + 0.5e1 / 0.36e2 * t11008 * t42784 + t35436 * t8636 / 0.6e1 + t35452 * t8636 / 0.6e1 + 0.23e2 / 0.54e2 * t52935 - t35436 * t8644 / 0.3e1 - t35452 * t8644 / 0.3e1 - t7581 * t42892 / 0.6e1 + t36005 * t8631 / 0.6e1;
  t52978 = t36009 * t8631 / 0.6e1 + t7216 * t42791 / 0.6e1 + t7216 * t42795 / 0.6e1 + t7216 * t42798 / 0.12e2 - t35738 * t2271 / 0.12e2 - t37111 * t2271 / 0.6e1 + t1787 * t46993 / 0.6e1 + t1787 * t42329 / 0.3e1 + t7340 * t8791 / 0.3e1 + t1787 * t42332 / 0.6e1 + t36109 * t2268 / 0.3e1 + t35818 * t2268 / 0.6e1 + t7345 * t9828 / 0.3e1 + t7345 * t8791 / 0.3e1 + t7340 * t9828 / 0.3e1 - t1293 * t7296 / 0.2e1;
  t52982 = t771 * t10894;
  t52986 = t188 * t7595;
  t52987 = t52986 * t10067;
  t52989 = t52934 * t10072;
  t52991 = t35704 * t8639;
  t53013 = -t52982 / 0.18e2 + t7581 * t42355 / 0.6e1 + 0.2e1 / 0.3e1 * t52987 - 0.11e2 / 0.27e2 * t52989 - t52991 / 0.9e1 + t7581 * t42141 / 0.6e1 + t7581 * t42350 / 0.12e2 - t7216 * t47491 / 0.6e1 - t7216 * t47496 / 0.12e2 - t7216 * t41446 / 0.6e1 - t7746 * t42151 / 0.3e1 - t7746 * t42156 / 0.3e1 - t7746 * t42146 / 0.6e1 + t35434 * t10173 / 0.3e1 + t7746 * t41451 / 0.3e1;
  t53014 = t52986 * t10094;
  t53016 = t35707 * t10176;
  t53028 = t53014 / 0.3e1 + t53016 / 0.9e1 - t35434 * t8639 / 0.3e1 - t35450 * t8639 / 0.3e1 + t35450 * t10173 / 0.3e1 + t7746 * t48920 / 0.3e1 + t7746 * t48923 / 0.6e1 - t41371 - t41372 - t41375 - t41377 - t41379 - t41382 - t41388 + t41404;
  t53041 = t1869 * t5140;
  t53044 = t35742 * t432 / 0.18e2;
  t53060 = -t21617 * t11152 / 0.2e1 + t7216 * t42988 / 0.4e1 - t30 * t1343 * t1830 / 0.2e1 + t27541 * t530 / 0.2e1 + t27552 * t530 / 0.4e1 - t53041 / 0.18e2 - t53044 - t417 * t37289 / 0.12e2 + t11143 * t47208 + t27544 * t530 / 0.4e1 + t7390 * t1274 / 0.2e1 + t1293 * t7423 / 0.4e1 + t7374 * t1274 / 0.2e1 + t5126 * t1873 / 0.2e1 + t5105 * t1873 / 0.2e1;
  t53066 = t30 * t36931;
  t53072 = t3409 * t525;
  t53073 = t53072 * t4771;
  t53103 = -0.6e1 * t4779 * t36931 * t47232 + t7746 * t47468 / 0.3e1 + 0.2e1 * t53066 * t47472 - t7216 * t41643 + 0.2e1 / 0.3e1 * t7216 * t41647 + t4753 * t53073 / 0.2e1 + t246 * t1777 * t5247 * t249 / 0.4e1 - t3605 * t2450 / 0.2e1 - t3610 * t2450 / 0.4e1 + t246 * t36763 * t420 * t249 / 0.4e1 + t246 * t7469 * t1312 * t249 / 0.2e1 + t3610 * t2462 / 0.4e1 - t246 * t7533 * t9012 / 0.2e1 - t757 * t10890 / 0.2e1 - t757 * t10754 / 0.2e1 + t7216 * t47739 / 0.3e1;
  t53118 = t35957 * t414;
  t53119 = t3121 * t53118;
  t53126 = t17439 * t667;
  t53127 = t635 * t53126;
  t53144 = 0.25e2 / 0.36e2 * t11008 * t48908 + t7216 * t42267 / 0.6e1 - t30 * t2436 * t720 / 0.4e1 + 0.5e1 / 0.3e1 * t21878 * t26082 * t635 * t11101 * t667 - 0.4e1 * t52652 * t4765 * t53119 - 0.2e1 * t4779 * t1843 * t42239 - 0.35e2 / 0.3e1 * t27523 * t26140 * t53127 + 0.3e1 * t3123 * t37270 * t48565 + t3123 * t7238 * t47219 - 0.2e1 / 0.3e1 * t21878 * t4760 * t3121 * t35957 * t2105 + 0.11e2 * t4779 * t7595 * t47156 - t41481 + t41484 - t41500 - t41502;
  t53151 = t41505 - t41513 - t41515 + t41516 + t41518 - t41519 + t41520 + 0.18e2 * t4779 * t36922 * t47430 + t41570 + t41571 + t41575 - t41600 - t41611 + t41623 - t41625 - t3123 * t11158 * t3313 / 0.2e1;
  t53153 = t30 * t22112;
  t53157 = t777 * t2437 / 0.18e2;
  t53158 = t46822 * t11113;
  t53159 = t7299 * t8791;
  t53167 = t35652 * t2271;
  t53169 = t35645 * t2271;
  t53171 = t7255 * t9891;
  t53173 = t7255 * t8848;
  t53175 = -0.2e1 * t53153 * t17285 + t41631 - t41636 + t53157 + t53158 + t53159 / 0.9e1 - t1278 * t7210 / 0.6e1 - t1283 * t7210 / 0.6e1 - t417 * t37122 / 0.12e2 - t53167 / 0.18e2 - t53169 / 0.18e2 - t53171 / 0.18e2 - t53173 / 0.18e2 + t42163 - t42171;
  t53179 = t1227 * t7388 * t1221;
  t53192 = t35360 * t1221;
  t53193 = t1220 * t53192;
  t53207 = t1291 * t35339;
  t53213 = 0.2e1 / 0.3e1 * t4925 * t11200 + 0.2e1 / 0.3e1 * t1218 * t53179 + 0.2e1 / 0.3e1 * t1748 * t41486 + t1748 * t26358 / 0.3e1 + 0.23e2 / 0.36e2 * t7187 * t43259 - t4912 * t11196 / 0.3e1 - t4925 * t11196 / 0.3e1 - t1218 * t53193 / 0.3e1 - t1748 * t42365 / 0.6e1 - 0.11e2 / 0.18e2 * t7187 * t42369 + 0.2e1 / 0.3e1 * t7190 * t8990 + 0.2e1 / 0.3e1 * t7195 * t8990 + t1293 * t7523 + t1293 * t7525 / 0.2e1 + 0.7e1 / 0.3e1 * t21069 * t4838 * t53207 - t7190 * t8986 / 0.3e1;
  t53223 = t188 * t10937;
  t53239 = t36303 * t4771;
  t53242 = t42182 - t182 * t10934 / 0.2e1 - t182 * t10937 / 0.2e1 - t53223 / 0.6e1 + t25696 * t11061 + t25730 * t11061 + t4779 * t1841 * t8626 + t4779 * t519 * t42811 + t4779 * t519 * t42802 / 0.2e1 - t26814 * t11064 - t3123 * t7751 * t4966 * t1246 + t42199 - t42201 + t52729 * t4787 - t4792 * t53239 / 0.3e1;
  t53243 = t52934 * t10055;
  t53245 = t3375 * t525;
  t53246 = t53245 * t4771;
  t53249 = t648 * t525;
  t53250 = t53249 * t4756;
  t53253 = t229 * t525;
  t53254 = t53253 * t4756;
  t53270 = t7450 * t2108 / 0.54e2;
  t53272 = t35733 * t2276 / 0.27e2;
  t53275 = t4854 * t11196;
  t53277 = t1220 * t52282;
  t53283 = -t53243 / 0.3e1 + t4753 * t53246 / 0.4e1 - t4753 * t53250 / 0.6e1 + t4792 * t53254 / 0.3e1 - t7746 * t42994 / 0.3e1 + 0.2e1 * t4748 * t7233 * t47214 - 0.3e1 * t27523 * t10037 * t4746 * t53118 - 0.2e1 / 0.3e1 * t21878 * t25669 * t52648 - t53270 + t53272 - 0.2e1 * t7250 * t41305 - t53275 / 0.9e1 + t4859 * t53277 - t10974 * t731 / 0.4e1 + t10974 * t736 / 0.2e1;
  t53288 = t10058 * t52659;
  t53305 = t4765 * t3121 * t52560;
  t53308 = t35707 * t9771;
  t53313 = t37338 * t415;
  t53317 = t7751 * t1281;
  t53321 = -0.6e1 * t4779 * t36875 * t9882 + 0.14e2 / 0.3e1 * t27523 * t53288 - 0.6e1 * t4779 * t7595 * t43134 + 0.14e2 / 0.3e1 * t27523 * t10058 * t52654 + t42282 + t42284 - t7216 * t42963 / 0.6e1 - 0.6e1 * t25730 * t11109 - t4748 * t11121 * t4936 / 0.2e1 + t4753 * t53305 / 0.3e1 - t53308 / 0.9e1 - t7216 * t47645 + t7216 * t43311 / 0.2e1 - t3123 * t53313 * t730 / 0.2e1 - t3123 * t53317 * t730 / 0.2e1;
  t53328 = t1869 * t5054;
  t53332 = t673 * t52282;
  t53351 = -t3123 * t11151 * t3246 / 0.4e1 + t21617 * t11155 + t25662 * t7234 - t757 * t10869 + t53328 / 0.18e2 - t515 * t26016 / 0.6e1 - t4904 * t53332 / 0.2e1 - t417 * t35617 / 0.6e1 - t3610 * t2447 / 0.2e1 + t7390 * t1255 / 0.2e1 + t1891 * t4993 / 0.4e1 + t1891 * t4974 / 0.2e1 - t1891 * t4979 / 0.2e1 - t1891 * t4982 / 0.4e1 - t25888 * t1758 + t7374 * t1240;
  t53360 = t4844 * t52383;
  t53367 = t4838 * t52282;
  t53378 = t1267 * t7210;
  t53380 = t1267 * t7471;
  t53382 = t7390 * t1240 - t7462 * t4933 - t7462 * t4937 / 0.2e1 + t1218 * t36645 / 0.3e1 + 0.23e2 / 0.36e2 * t4830 * t53360 - t37309 * t1235 - t37314 * t1235 - t1218 * t36653 / 0.6e1 - 0.11e2 / 0.18e2 * t4830 * t53367 + 0.2e1 / 0.3e1 * t4912 * t11200 - t246 * t36605 * t2323 / 0.2e1 - t246 * t7499 * t9121 - t757 * t10866 - t53378 / 0.18e2 - t53380 / 0.18e2;
  t53383 = t3631 * t2462;
  t53385 = t3637 * t2462;
  t53388 = t5150 * t1779 / 0.54e2;
  t53390 = t22385 * t2444 / 0.9e1;
  t53400 = t1267 * t7385;
  t53404 = t26888 * t11117;
  t53406 = t26891 * t11128;
  t53407 = t21655 * t11125;
  t53409 = t25753 * t11131;
  t53411 = t26903 * t11122;
  t53413 = t53383 / 0.6e1 + t53385 / 0.6e1 + t53388 + t53390 + t768 * t10761 + t768 * t10764 - t768 * t10754 / 0.2e1 - t768 * t10890 / 0.2e1 - t246 * t36601 * t2166 / 0.4e1 - t53400 / 0.18e2 - t21621 * t11152 / 0.2e1 - 0.2e1 * t53404 + t53406 + t53407 / 0.3e1 - t53409 / 0.9e1 - t53411 / 0.3e1;
  t53417 = t7631 * t9943;
  t53420 = t1846 * t48108;
  t53435 = t36855 * t9951;
  t53438 = -t41658 + t41695 - 0.12e2 * t36949 * t48167 - 0.24e2 * t53417 * t10012 - 0.12e2 * t53420 * t48145 + 0.2e1 * t7586 * t48269 + 0.2e1 * t10841 * t48020 + 0.2e1 * t10828 * t41672 + t7584 * t41685 / 0.3e1 + t36958 * t41690 / 0.9e1 - 0.4e1 * t7584 * t48281 - 0.4e1 / 0.3e1 * t53435 * t10015;
  t53443 = t36900 * t47962;
  t53458 = t7598 * t47995;
  t53465 = -0.4e1 / 0.3e1 * t10846 * t41716 - 0.2e1 / 0.3e1 * t10846 * t48070 - 0.4e1 / 0.3e1 * t53443 * t48003 - 0.22e2 * t36961 * t48063 - 0.5e1 * t37040 * t41653 + 0.15e2 * t36958 * t48052 + 0.4e1 * t36952 * t41710 - 0.24e2 * t10841 * t41660 - 0.12e2 * t10841 * t48030 + 0.8e1 * t53458 * t48033 + 0.1e2 / 0.3e1 * t37040 * t41675 - 0.5e2 / 0.3e1 * t36958 * t48047;
  t53471 = t518 * t41733;
  t53491 = -0.8e1 * t7584 * t41968 - 0.4e1 * t36952 * t48149 - 0.6e1 * t53471 * t41736 - 0.2e1 * t37040 * t47992 + 0.4e1 / 0.3e1 * t53458 * t47965 - 0.72e2 * t53458 * t48145 + 0.72e2 * t53420 * t48110 + 0.12e2 * t36961 * t41739 + t1847 * t41789 - 0.4e1 / 0.3e1 * t1847 * t42093 + 0.12e2 * t36875 * t10001 + 0.4e1 * t7632 * t9981;
  t53515 = 0.2e2 / 0.3e1 * t36856 * t9991 + 0.4e1 * t1847 * t41746 + 0.2e1 / 0.3e1 * t1847 * t41904 + t36910 * t2302 - 0.2e1 * t7632 * t8915 - t1847 * t41931 + 0.2e1 / 0.3e1 * t36850 * t2299 + 0.4e1 / 0.3e1 * t7632 * t8869 - t36850 * t2306 - 0.8e1 * t36952 * t41878 - 0.5e1 / 0.3e1 * t37040 * t41882 - 0.22e2 / 0.3e1 * t36961 * t48174 + 0.5e1 / 0.9e1 * t36958 * t48307;
  t53526 = 0.1e2 / 0.3e1 * t36958 * t48232 - 0.3e2 * t36958 * t48174 + 0.44e2 * t36961 * t48228 + 0.1e2 * t37040 * t41886 + t41726 + t41727 + t8876 - t41728 + t41755 + t41792 - t41796 - t41841;
  t53537 = -t41843 + t519 * t41917 / 0.2e1 + 0.2e1 * t7624 * t8878 + t1843 * t41922 + t7629 * t2142 / 0.2e1 + t1841 * t8912 - t41900 - t41901 + t41913 + t41921 - 0.2e1 * t1841 * t8921 + t41976;
  t53563 = -0.4e1 * t36944 * t8893 - 0.4e1 * t7584 * t41946 - 0.2e1 * t7584 * t41949 + 0.2e1 / 0.3e1 * t36958 * t41952 + 0.12e2 * t53435 * t9945 + 0.12e2 * t10846 * t41704 + 0.6e1 * t10846 * t48020 + 0.8e1 / 0.3e1 * t53443 * t47965 - 0.6e1 * t7595 * t42076 + 0.3e1 * t7610 * t42067 - 0.36e2 * t36922 * t48263 - 0.1e2 / 0.3e1 * t7599 * t41762;
  t53582 = t1840 * t9934;
  t53591 = 0.5e2 / 0.3e1 * t36901 * t48316 - 0.4e2 * t36878 * t48115 + 0.1e2 / 0.3e1 * t36901 * t48164 - 0.6e1 * t7610 * t41750 - 0.2e1 * t1843 * t42042 - 0.8e1 * t7595 * t41850 - 0.8e1 / 0.3e1 * t7632 * t9994 + t36856 * t9972 / 0.9e1 - 0.2e1 / 0.9e1 * t10846 * t41938 + 0.12e2 * t53582 * t9937 + 0.4e1 * t36966 * t9940 + 0.4e1 * t53417 * t9945 + 0.12e2 * t10836 * t41696;
  t53619 = 0.4e1 * t7586 * t41701 + 0.4e1 * t10841 * t41704 + 0.44e2 / 0.3e1 * t36961 * t48052 - 0.5e1 / 0.18e2 * t36958 * t48181 + 0.6e1 * t36949 * t48060 - 0.6e1 * t36958 * t41963 + 0.24e2 * t53443 * t48033 + 0.6e1 * t10836 * t48284 + 0.2e1 / 0.3e1 * t7584 * t48295 - t10846 * t48298 / 0.9e1 - t53443 * t48302 / 0.9e1 + 0.2e1 * t7586 * t41960;
  t53628 = t1840 * t8899;
  t53643 = -0.2e1 * t36961 * t41963 + 0.2e1 / 0.3e1 * t7584 * t41681 - 0.8e1 * t36944 * t9931 + 0.4e1 * t36966 * t8896 + 0.4e1 * t53628 * t8902 + 0.2e1 / 0.3e1 * t36944 * t8905 + 0.4e1 * t7586 * t41957 + 0.4e1 * t10828 * t41668 + 0.4e1 / 0.3e1 * t36944 * t9948 - 0.2e1 / 0.9e1 * t53435 * t9953 + 0.4e1 / 0.3e1 * t7584 * t41935 + t41978;
  t53647 = t518 * t48040;
  t53658 = -t41987 + t41991 - t42004 + t42006 - t42015 + t42023 + 0.12e2 * t37040 * t47983 - 0.24e2 * t53647 * t48042 - 0.6e1 * t36949 * t41742 - 0.2e1 / 0.3e1 * t36878 * t48356 - t36850 * t2291 / 0.3e1 - 0.2e1 / 0.3e1 * t7632 * t8939;
  t53682 = -0.2e1 * t1843 * t41847 + 0.2e1 * t1843 * t48253 + 0.4e1 * t1847 * t47977 - 0.2e1 * t36910 * t2288 + 0.36e2 * t36878 * t48235 - 0.12e2 * t36901 * t48241 - 0.6e1 * t7599 * t41765 - t519 * t41859 + 0.3e1 * t7599 * t42053 - 0.4e1 * t7595 * t48352 - 0.4e1 * t7624 * t8967 + 0.2e1 * t7632 * t8972 + t42033;
  t53703 = 0.12e2 * t36931 * t48260 + 0.2e2 / 0.3e1 * t7599 * t42103 + 0.6e1 * t7595 * t48323 - t42052 + t42057 + 0.1e2 / 0.3e1 * t7599 * t48365 - 0.4e1 / 0.3e1 * t1847 * t48343 - 0.3e1 * t7610 * t48096 + 0.24e2 * t36922 * t48100 - t1843 * t48075 - t1843 * t41819 - 0.8e1 / 0.3e1 * t1847 * t42047;
  t53721 = t7599 * t41870 / 0.9e1 - 0.6e1 * t36916 * t9997 - 0.2e1 * t7624 * t9977 - 0.3e1 * t7599 * t48209 - 0.8e1 * t36875 * t9963 - t42063 - t42064 - t42065 + t42066 + 0.4e1 * t7595 * t41773 - t519 * t41838 + 0.2e1 * t1847 * t48084 + 0.4e1 * t7632 * t8930;
  t53746 = 0.2e1 * t1847 * t42100 - 0.2e1 / 0.3e1 * t1847 * t42096 - t7599 * t41776 / 0.18e2 + 0.2e1 * t36850 * t2295 - t1847 * t41867 / 0.3e1 + t7599 * t48339 / 0.18e2 - t7629 * t2129 + 0.3e1 * t519 * t42073 - 0.6e1 * t1847 * t48250 - 0.2e1 * t1843 * t41816 - 0.2e1 * t519 * t41824 - 0.2e1 * t7624 * t8960;
  t53757 = -0.2e1 * t1841 * t8963 - 0.4e1 / 0.3e1 * t7632 * t8926 + 0.2e1 * t1847 * t41782 - 0.6e1 * t36856 * t10005 + 0.12e2 * t7595 * t41756 - t2138 - t42080 + t42084 + t42086 - t42112 - t42113 - t42115 + t2119;
  t53768 = t191 * t242 * t10859 * t243;
  t53771 = t634 * t2437;
  t53774 = t764 * t10973;
  t53804 = -t30 * t59 * (t53438 + t53465 + t53491 + t53515 + t53526 + t53537 + t53563 + t53591 + t53619 + t53643 + t53658 + t53682 + t53703 + t53721 + t53746 + t53757) * t95 / 0.4e1 + t53768 * t250 / 0.2e1 - t622 * t53771 / 0.12e2 + t53774 * t250 / 0.2e1 + t10974 * t761 / 0.4e1 + t37329 * t432 / 0.4e1 + t37281 * t432 / 0.2e1 + 0.15e2 / 0.2e1 * t27523 * t25739 * t3671 * t53126 - 0.115e3 / 0.36e2 * t11008 * t47183 - t21617 * t11077 / 0.2e1 - t21621 * t11077 / 0.2e1 - t3123 * t36409 * t2166 / 0.4e1 - t3123 * t36413 * t2166 / 0.2e1 - t3123 * t7228 * t9012 / 0.2e1 + t417 * t35495 / 0.12e2;
  t53810 = t21655 * t11070;
  t53815 = t21655 * t11077;
  t53819 = t4796 * t52444;
  t53825 = t21655 * t11155;
  t53842 = t1876 * t5054 / 0.6e1 - 0.3e1 / 0.2e1 * t4779 * t7610 * t41547 - t53810 / 0.3e1 + 0.3e1 * t4779 * t1847 * t47463 - t53815 / 0.6e1 - t4789 * t35698 / 0.6e1 - t26932 * t53819 / 0.2e1 + t3123 * t11151 * t3161 / 0.2e1 + t53825 / 0.3e1 + 0.3e1 / 0.2e1 * t3123 * t7751 * t1216 * t4878 - t4779 * t1847 * t42430 - 0.6e1 * t26772 * t11117 + 0.3e1 * t25696 * t11128 - 0.6e1 * t26777 * t11117 - t3123 * t37338 * t1243 * t1246 - t8743;
  t53863 = t673 * t53192;
  t53868 = -t42396 + t42397 + t3568 * t2453 / 0.2e1 + t3605 * t2453 - t11143 * t47800 / 0.2e1 - 0.3e1 * t52607 * t47804 - t35434 * t10091 / 0.3e1 - t35450 * t10091 / 0.3e1 - t7746 * t48555 / 0.3e1 - t7746 * t42167 / 0.3e1 + t42404 - t42405 + t1881 * t5054 / 0.6e1 + t1259 * t53863 / 0.3e1 + t1259 * t35347 / 0.6e1;
  t53875 = t1267 * t7550;
  t53881 = t4898 * t11001;
  t53885 = t30 * t37297;
  t53889 = t30 * t525 * t4746;
  t53891 = t653 * t525;
  t53892 = t53891 * t4756;
  t53895 = t1278 * t7550 / 0.6e1 + t5022 * t11001 / 0.3e1 + t5009 * t11001 / 0.3e1 + t53875 / 0.18e2 + 0.2e1 / 0.3e1 * t1748 * t42509 + t1748 * t41343 / 0.3e1 + t53881 / 0.9e1 - t42478 - t42484 + t42485 + t42487 + 0.3e1 / 0.2e1 * t42187 * t7243 + 0.3e1 / 0.2e1 * t53885 * t4743 - t53889 * t4751 - t4753 * t53892 / 0.3e1;
  t53909 = t27207 * t7758;
  t53911 = t52327 * t52243;
  t53912 = t36678 * t2268;
  t53914 = t36681 * t2268;
  t53916 = t7255 * t10122;
  t53918 = t7255 * t8692;
  t53920 = t7377 * t2108;
  t53922 = t7380 * t2108;
  t53924 = t1869 * t8810;
  t53926 = t1869 * t8843;
  t53928 = -t4753 * t53245 * t4762 + 0.2e1 / 0.3e1 * t4753 * t53249 * t4766 - 0.3e1 / 0.2e1 * t4779 * t519 * t41420 + 0.6e1 * t26772 * t11050 + 0.6e1 * t26777 * t11050 + t53909 / 0.18e2 - t53911 + t53912 / 0.9e1 + t53914 / 0.9e1 - t53916 / 0.9e1 - t53918 / 0.9e1 + t53920 / 0.18e2 + t53922 / 0.18e2 + t53924 / 0.18e2 + t53926 / 0.18e2;
  t53929 = t188 * t10861;
  t53931 = t781 * t2437;
  t53937 = t21655 * t11159;
  t53947 = t1869 * t5046;
  t53949 = t11120 * t4923;
  t53958 = -t53929 / 0.6e1 - t53931 / 0.6e1 - t7216 * t43314 / 0.3e1 - 0.3e1 / 0.2e1 * t41476 * t7213 - t53937 / 0.3e1 - 0.5e1 / 0.18e2 * t11008 * t48911 + t11086 * t47735 - 0.11e2 / 0.6e1 * t11086 * t47210 - t11143 * t47192 - t7746 * t47196 / 0.3e1 - t53947 / 0.18e2 + t3123 * t53949 * t1239 + t26777 * t11103 - t25730 * t11106 + t4738 * t7632 * t42625 - t4779 * t7632 * t8647;
  t53965 = t1829 * t615;
  t53966 = t53965 * t1216;
  t53978 = t222 * t10861;
  t53988 = t4738 * t1847 * t42608 - t27575 * t11122 + t21621 * t11125 - t4748 * t53966 * t1234 + t3123 * t53966 * t1239 - t4748 * t53949 * t1234 - t26814 * t11122 - t765 * t10969 / 0.6e1 - t609 * t10969 / 0.12e2 - t211 * t53978 / 0.6e1 + t1891 * t5088 / 0.4e1 - t7216 * t42605 / 0.3e1 - t52192 * t10055 - t52195 * t10055 - t11008 * t46896;
  t53994 = t35704 * t10173;
  t53996 = t35707 * t10042;
  t53998 = t52934 * t10039;
  t54002 = t37202 * t8636;
  t54004 = t35707 * t8631;
  t54006 = -t11008 * t43061 - t7216 * t47475 / 0.2e1 + t11143 * t42997 / 0.2e1 + t53994 / 0.9e1 - t53996 / 0.18e2 - 0.5e1 / 0.54e2 * t53998 + 0.5e1 / 0.3e1 * t52610 * t47668 + t54002 / 0.18e2 + t54004 / 0.18e2 + t42571 + t42572 - t42574 - t42575 + t42579 + t42581 + t42583;
  t54012 = t35707 * t9767;
  t54014 = t35707 * t9763;
  t54036 = t4754 * t52561;
  t54039 = -t182 * t10861 / 0.2e1 - t800 * t2437 / 0.4e1 + 0.2e1 / 0.9e1 * t54012 + 0.2e1 / 0.9e1 * t54014 + 0.2e1 * t7216 * t47648 + 0.2e1 / 0.3e1 * t7190 * t10102 + 0.2e1 / 0.3e1 * t7190 * t8715 - t515 * t26324 / 0.6e1 - 0.11e2 / 0.3e1 * t11086 * t48641 + 0.55e2 / 0.18e2 * t11008 * t47175 + 0.2e1 / 0.3e1 * t7216 * t47922 + 0.2e1 * t11086 * t48644 - 0.4e1 / 0.3e1 * t7216 * t48430 + 0.23e2 / 0.18e2 * t11008 * t47188 - t4753 * t54036 / 0.6e1;
  t54044 = t182 * t7595;
  t54047 = t26927 * t10771;
  t54050 = t4796 * t52553;
  t54053 = t4796 * t52561;
  t54066 = -0.3e1 / 0.2e1 * t11008 * t46941 - 0.43e2 / 0.9e1 * t52204 * t47593 + 0.2e1 * t54044 * t10067 - t42633 + t4792 * t54047 / 0.3e1 + t42640 + t4792 * t54050 / 0.3e1 + t4792 * t54053 / 0.6e1 + t26205 * t7758 / 0.6e1 - t42659 - t1881 * t5140 / 0.6e1 - t7393 * t1288 / 0.12e2 - t7396 * t1288 / 0.6e1 - t1876 * t5140 / 0.6e1 - t42714 - t42716;
  t54084 = 0.2e1 / 0.27e2 * t35733 * t2282;
  t54103 = t42721 + 0.3e1 / 0.2e1 * t3123 * t52457 * t4820 - 0.6e1 * t47583 * t36901 * t47584 + 0.18e2 * t9873 * t36901 * t47554 + 0.6e1 * t4779 * t36901 * t47577 - t54084 + t3605 * t2462 / 0.2e1 + t768 * t10881 / 0.2e1 + t768 * t10885 / 0.2e1 + t5105 * t1783 / 0.2e1 + t5126 * t1783 / 0.2e1 + t1293 * t7475 / 0.2e1 + t1293 * t7313 / 0.4e1 + t3568 * t2462 / 0.4e1 - t765 * t10894 / 0.6e1;
  t54104 = t10037 * t52448;
  t54107 = t11120 * t4857;
  t54123 = t253 * t10770 * t667;
  t54124 = t4760 * t54123;
  t54127 = t17283 * t667;
  t54129 = t4760 * t3121 * t54127;
  t54144 = t3130 * t54123;
  t54149 = 0.23e2 / 0.36e2 * t25733 * t54104 + 0.3e1 * t4748 * t54107 * t4868 - 0.18e2 * t9873 * t36878 * t46812 - 0.3e1 * t4738 * t7595 * t41409 + 0.3e1 * t4779 * t7595 * t43375 + t3123 * t11158 * t27429 + t4753 * t54124 / 0.4e1 - t21878 * t54129 - 0.6e1 * t3123 * t35690 * t47161 - 0.2e1 * t3123 * t7233 * t48637 + t3123 * t7238 * t42244 + t3123 * t7228 * t42248 + 0.14e2 / 0.3e1 * t27523 * t10058 * t53119 - t4792 * t54144 / 0.3e1 + 0.2e1 / 0.3e1 * t7195 * t8715;
  t54160 = t35707 * t9758;
  t54174 = t4844 * t52282;
  t54182 = t1748 * t48531 / 0.3e1 + t35719 * t2282 / 0.3e1 + 0.2e1 / 0.3e1 * t7195 * t10102 - 0.3e1 * t4738 * t1847 * t47563 - 0.4e1 / 0.9e1 * t54160 + t25696 * t11067 + t25730 * t11067 - t1881 * t5046 / 0.6e1 - t1278 * t7200 / 0.6e1 - t1283 * t7200 / 0.6e1 - t417 * t36613 / 0.6e1 - t1218 * t35854 / 0.12e2 - 0.5e1 / 0.36e2 * t4830 * t54174 - t4925 * t11177 / 0.6e1 - 0.18e2 * t4779 * t36878 * t46818;
  t54203 = t5150 * t1886 / 0.54e2;
  t54216 = t42821 - t30 * t5280 * t544 / 0.4e1 - t800 * t2458 / 0.4e1 + 0.7e1 / 0.3e1 * t11008 * t27526 + 0.89e2 / 0.9e1 * t52204 * t47589 - t11008 * t46900 / 0.2e1 - 0.38e2 / 0.9e1 * t52204 * t47929 + t21621 * t11155 + t3123 * t35946 * t2331 / 0.2e1 + t3123 * t35950 * t2331 + t54203 + 0.22e2 / 0.3e1 * t52652 * t4760 * t53127 - 0.3e1 / 0.2e1 * t9873 * t7599 * t42772 + t26203 * t11148 / 0.3e1 + t26198 * t11148 / 0.3e1 - 0.11e2 / 0.9e1 * t11008 * t47695;
  t54224 = t4754 * t52444;
  t54226 = t10058 * t52444;
  t54244 = 0.2e1 / 0.3e1 * t7746 * t42261 - 0.3e1 * t3123 * t54107 * t4887 + t25683 * t54224 - 0.11e2 / 0.18e2 * t25733 * t54226 - 0.18e2 * t4738 * t36922 * t48647 - t182 * t10929 / 0.2e1 - t42912 + t4789 * t35922 / 0.12e2 + t26200 * t7758 / 0.6e1 - t42930 + t42933 - t42936 + t4789 * t35912 / 0.6e1 + t4789 * t35917 / 0.6e1 - t609 * t10894 / 0.12e2;
  t54246 = t673 * t26322 * t1777;
  t54250 = t673 * t5044 * t7469;
  t54253 = t1227 * t10893;
  t54267 = t21655 * t11152;
  t54269 = t188 * t4740;
  t54270 = t54269 * t17285;
  t54276 = t188 * t7610;
  t54277 = t54276 * t10098;
  t54279 = t35704 * t10091;
  t54281 = -t211 * t54246 / 0.6e1 - t211 * t54250 / 0.6e1 - t622 * t54253 / 0.12e2 - t417 * t36773 / 0.6e1 - t1278 * t7471 / 0.6e1 - t1283 * t7471 / 0.6e1 - t417 * t36765 / 0.12e2 + 0.2e1 * t52845 * t10067 - t21621 * t11159 - t54267 / 0.6e1 + 0.2e1 / 0.9e1 * t54270 - t21617 * t11159 - t7746 * t47950 / 0.6e1 + t54044 * t10094 - t54277 / 0.3e1 - t54279 / 0.9e1;
  t54283 = t182 * t7610;
  t54285 = t30 * t36916;
  t54288 = t26903 * t11064;
  t54290 = t26891 * t11061;
  t54292 = t54269 * t52649;
  t54294 = t26891 * t11067;
  t54301 = -t54283 * t10098 - t54285 * t10098 - t11143 * t47812 - t54288 / 0.3e1 - t43002 - t43008 + t43018 - t43020 - t43029 - t43031 + t54290 / 0.3e1 - 0.2e1 / 0.9e1 * t54292 + t54294 / 0.3e1 - t3123 * t37251 * t2323 / 0.2e1 - t3123 * t37255 * t2323;
  t54343 = -t3123 * t7238 * t9121 - t21617 * t11070 - t21621 * t11070 - 0.2e1 * t4779 * t1847 * t42895 - t4779 * t1847 * t48756 - 0.2e1 * t4779 * t7632 * t10079 - t3123 * t7233 * t42223 + 0.15e2 * t4738 * t7599 * t47165 - 0.15e2 / 0.2e1 * t4779 * t7599 * t47142 + 0.3e1 / 0.2e1 * t4748 * t11121 * t27374 - 0.3e1 / 0.2e1 * t3123 * t11121 * t27379 - 0.6e1 * t4748 * t36154 * t47170 + 0.3e1 * t3123 * t36154 * t47123 - 0.5e1 / 0.2e1 * t4738 * t1847 * t42231 + 0.5e1 / 0.2e1 * t4779 * t1847 * t42218 + 0.3e1 * t26806 * t36154 * t47138;
  t54347 = t4770 * t54123;
  t54358 = t7368 * t1255;
  t54360 = t4854 * t11177;
  t54364 = t27066 * t1758;
  t54366 = t4753 * t54347 / 0.2e1 + t4748 * t7233 * t42236 + 0.6e1 * t4748 * t35690 * t47702 - 0.11e2 * t4738 * t7595 * t47698 + t9032 - t9043 + t43086 - t43089 + t43095 + t43103 + t43106 + t54358 / 0.6e1 - t54360 / 0.18e2 - 0.3e1 * t1891 * t4888 - t54364 / 0.3e1;
  t54369 = t35790 * t1235;
  t54373 = t7368 * t1240;
  t54375 = t4854 * t11200;
  t54382 = t1220 * t10893;
  t54386 = t1227 * t1291 * t1777;
  t54393 = t7377 * t1288;
  t54395 = t7380 * t1288;
  t54399 = 0.3e1 * t5073 * t7265 - t54369 / 0.3e1 + 0.3e1 * t7462 * t4869 + t54373 / 0.3e1 + 0.2e1 / 0.9e1 * t54375 - 0.2e1 * t4859 * t1227 * t52383 + t1293 * t7182 / 0.2e1 - t622 * t54382 / 0.6e1 + t622 * t54386 / 0.3e1 - t5073 * t7179 / 0.2e1 - 0.3e1 * t5073 * t7567 + t43108 + t43112 - t54393 / 0.18e2 - t54395 / 0.18e2 - t7405 * t1288 / 0.12e2;
  t54426 = -t5105 * t1766 - t5126 * t1766 - t1293 * t7500 - t644 * t1757 * t43025 / 0.2e1 - t3537 * t11215 - t644 * t37175 * t2318 / 0.2e1 - t644 * t7488 * t8725 - t22396 * t2444 / 0.2e1 - t3537 * t11212 - t21685 * t2444 / 0.2e1 - t22440 * t2444 - t3530 * t11212 - t3530 * t11215 - t246 * t1765 * t43052 / 0.2e1 - t3568 * t2450 / 0.4e1;
  t54429 = t7255 * t10102;
  t54432 = t3621 * t2447 / 0.9e1;
  t54436 = t1227 * t53192;
  t54441 = t37202 * t8644;
  t54453 = 0.3e1 / 0.2e1 * t1891 * t4821 - t43118 - t43119 + 0.2e1 / 0.9e1 * t54429 + t54432 + t43145 - 0.3e1 * t4779 * t7610 * t48560 - t2089 - t1218 * t54436 / 0.6e1 - t11086 * t41539 / 0.2e1 - t54441 / 0.9e1 + t7581 * t42957 / 0.2e1 + t36005 * t10176 / 0.3e1 + t36009 * t10176 / 0.3e1 + t7216 * t47342 / 0.3e1 + t7216 * t41459 / 0.3e1;
  t54474 = t1839 * t2105;
  t54476 = t4760 * t635 * t54474;
  t54479 = t7216 * t47347 / 0.6e1 - 0.15e2 / 0.2e1 * t9873 * t7599 * t47133 + t7216 * t42228 / 0.3e1 + 0.5e1 / 0.2e1 * t11008 * t48571 - t11008 * t48689 - 0.5e1 / 0.6e1 * t7216 * t42211 + t43195 + t43201 - t43204 + t43254 + t43256 - t7746 * t42270 / 0.3e1 - 0.5e1 / 0.12e2 * t7216 * t42264 - t7581 * t42258 / 0.3e1 - 0.2e1 / 0.3e1 * t21878 * t54476;
  t54507 = t188 * t10934;
  t54509 = t781 * t2458;
  t54514 = 0.3e1 * t4779 * t7599 * t42853 - t25678 * t11131 / 0.3e1 - t25673 * t11131 / 0.3e1 + 0.3e1 * t25730 * t11128 - 0.6e1 * t4738 * t36856 * t48779 + 0.3e1 * t4779 * t36856 * t9867 - 0.6e1 * t4738 * t7599 * t42913 + t4779 * t7624 * t8621 + t4779 * t1843 * t42566 + t4779 * t1843 * t43075 / 0.2e1 + 0.2e1 * t53153 * t52649 - t54507 / 0.6e1 - t54509 / 0.6e1 - t30 * t427 * t7727 / 0.4e1 - t43266 + t43267;
  t54528 = t26891 * t11109;
  t54542 = -t43269 - t43271 + 0.14e2 / 0.3e1 * t27523 * t46884 * t52208 - 0.2e1 / 0.3e1 * t21878 * t4760 * t635 * t512 * t8840 - 0.6e1 * t25696 * t11109 + 0.14e2 / 0.3e1 * t52644 * t52328 - t43298 - t43302 - 0.2e1 * t54528 - t1748 * t42459 / 0.12e2 - 0.5e1 / 0.36e2 * t7187 * t42462 + t515 * t26910 / 0.6e1 + t515 * t26915 / 0.12e2 - t7190 * t8709 / 0.6e1 - t7195 * t8709 / 0.6e1;
  t54548 = t777 * t2458 / 0.18e2;
  t54549 = t188 * t10929;
  t54561 = t26888 * t11103;
  t54563 = t26891 * t11106;
  t54565 = t26888 * t11050;
  t54573 = t1283 * t7550 / 0.6e1 + t417 * t35362 / 0.6e1 - t43325 + t54548 - t54549 / 0.6e1 - t515 * t26328 / 0.12e2 + t35738 * t2282 / 0.3e1 + 0.2e1 / 0.3e1 * t37111 * t2282 - t417 * t36758 / 0.12e2 - t1876 * t5046 / 0.6e1 + t54561 / 0.3e1 - t54563 / 0.3e1 + 0.2e1 * t54565 - t5115 * t1886 / 0.12e2 - t1283 * t7385 / 0.6e1 - t5091 * t1886 / 0.12e2;
  t54580 = my_piecewise3(t2, 0, t54573 + t54542 + t54514 + t54479 + t54453 + t54426 + t54399 + t54366 + t54343 + t54301 + t54281 + t54244 + t54216 + t54182 + t54149 + t54103 + t54066 + t54039 + t54006 + t53988 + t53958 + t53928 + t53895 + t53868 + t53842 + t53804 + t53413 + t53382 + t53351 + t53321 + t53283 + t53242 + t53213 + t53175 + t53151 + t53144 + t53103 + t53060 + t53028 + t53013 + t52978 + t52945 + t52912 + t52880 + t52850 + t52818 + t52791 + t52754 + t52689 + t52637 + t52601 + t52557 + t52521 + t52488 + t52442 + t52407 + t52373 + t52333 + t52302 + t52267 + t52230 + t52188 + t52182 + t52722);
  tv4rho2sigmatau0 = t3 * t54580 + 0.2e1 * t11239;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 0] += tv4rho2sigmatau0;

  tv4rho2sigmatau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 1] += tv4rho2sigmatau1;

  tv4rho2sigmatau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 2] += tv4rho2sigmatau2;

  tv4rho2sigmatau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 3] += tv4rho2sigmatau3;

  tv4rho2sigmatau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 4] += tv4rho2sigmatau4;

  t54585 = t5300 * t2025;
  t54587 = t38212 * t457;
  t54589 = t28171 * t570;
  t54592 = t7775 * t1449 / 0.54e2;
  t54594 = t38201 * t457 / 0.18e2;
  t54596 = t5303 * t2025 / 0.54e2;
  t54598 = t28283 * t570 / 0.18e2;
  t54605 = t7772 * t1449;
  t54607 = t3915 * t2512;
  t54609 = t3915 * t2521;
  t54611 = t28234 * t570 / 0.4e1 - t54585 / 0.18e2 + t54587 / 0.6e1 + t54589 / 0.6e1 + t54592 - t54594 + t54596 - t54598 - t7769 * t1449 / 0.12e2 - t5297 * t2025 / 0.12e2 + t38168 * t457 / 0.4e1 - t54605 / 0.18e2 + t54607 / 0.3e1 + t54609 / 0.6e1;
  t54622 = t38097 * t2339;
  t54624 = t38102 * t2347;
  t54626 = t38102 * t2342;
  t54628 = t7772 * t2199;
  t54630 = t38102 * t2353;
  t54632 = t3915 * t2509;
  t54634 = t23371 * t2503;
  t54636 = t43403 - t43416 - t3912 * t2509 / 0.4e1 - t3912 * t2506 / 0.2e1 - t5297 * t1950 / 0.12e2 + t3912 * t2512 / 0.2e1 + t3912 * t2521 / 0.4e1 + t54622 / 0.9e1 - t54624 / 0.9e1 - t54626 / 0.18e2 + t54628 / 0.18e2 + 0.2e1 / 0.9e1 * t54630 - t54632 / 0.6e1 - t54634 / 0.3e1;
  t54638 = t5300 * t1950;
  t54640 = t3915 * t2506;
  t54655 = t38072 * t2339 / 0.27e2;
  t54657 = t38075 * t2342 / 0.54e2;
  t54658 = -t54638 / 0.18e2 - t54640 / 0.3e1 - t43424 + t43454 - t43459 + t43463 - t38139 * t2342 / 0.12e2 + t38136 * t2339 / 0.6e1 - t38139 * t2347 / 0.6e1 + t7769 * t2199 / 0.12e2 + t38139 * t2353 / 0.3e1 - t23423 * t2503 / 0.2e1 - t54655 + t54657;
  t54660 = t38075 * t2347 / 0.27e2;
  t54662 = t7775 * t2199 / 0.54e2;
  t54664 = 0.2e1 / 0.27e2 * t38075 * t2353;
  t54666 = t23391 * t2503 / 0.9e1;
  t54668 = t3918 * t2509 / 0.18e2;
  t54670 = t3918 * t2506 / 0.9e1;
  t54672 = t5303 * t1950 / 0.54e2;
  t54674 = t3918 * t2512 / 0.9e1;
  t54676 = t3918 * t2521 / 0.18e2;
  t54679 = t869 * t2517;
  t54682 = t873 * t2517 / 0.18e2;
  t54683 = t869 * t2496;
  t54686 = t873 * t2496 / 0.18e2;
  t54689 = t54660 - t54662 - t54664 + t54666 + t54668 + t54670 + t54672 - t54674 - t54676 - t865 * t2517 / 0.4e1 - t54679 / 0.6e1 + t54682 - t54683 / 0.6e1 + t54686 - t865 * t2496 / 0.4e1;
  t54692 = my_piecewise3(t100, 0, t54611 + t54636 + t54658 + t54689);
  tv4rho2sigmatau5 = t3 * t54692 + 0.2e1 * t11312;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 5] += tv4rho2sigmatau5;

  t54702 = t5366 * t1886;
  t54704 = t7829 * t1288;
  t54706 = t27832 * t530;
  t54708 = t37871 * t432;
  t54711 = t897 * t10973;
  t54734 = t54711 * t250 / 0.4e1 - t898 * t10969 / 0.12e2 - t1368 * t7385 / 0.12e2 - t1923 * t5140 / 0.12e2 - t5371 * t1886 / 0.12e2 - t5374 * t1886 / 0.12e2 + t5379 * t1873 / 0.4e1 - t7811 * t1288 / 0.12e2 - t7808 * t1288 / 0.12e2 + t7824 * t1274 / 0.4e1 + t27900 * t530 / 0.4e1;
  t54744 = t52172 / 0.12e2 + t52174 / 0.12e2 + t52176 / 0.12e2 + t52178 / 0.12e2 + t52180 / 0.12e2 + t52183 / 0.12e2 + t43497 + t43498 - t43499 + t52187 / 0.2e1 + t52190 / 0.6e1;
  t54752 = -0.2e1 / 0.3e1 * t52210 + t52255 / 0.3e1 - t43522 - t43524 + t43526 + t43529 - t52286 / 0.36e2 + t52315 / 0.18e2 + t52319 / 0.18e2 - t52325 / 0.3e1 + 0.7e1 / 0.9e1 * t52329;
  t54755 = t37926 * t2268;
  t54767 = t54755 / 0.18e2 - t52393 / 0.36e2 + t52405 / 0.9e1 - t52411 / 0.18e2 - t52413 / 0.18e2 - t52415 / 0.6e1 - t52417 / 0.6e1 - t52419 / 0.6e1 - t52421 / 0.6e1 + t52423 / 0.9e1 + t52425 / 0.9e1;
  t54769 = t37601 * t2271;
  t54771 = t7829 * t2108;
  t54773 = t37601 * t2276;
  t54775 = t37601 * t2282;
  t54777 = t22719 * t2444;
  t54779 = t3818 * t2447;
  t54781 = t3818 * t2450;
  t54783 = t5366 * t1779;
  t54785 = t3818 * t2453;
  t54787 = t3818 * t2462;
  t54789 = -t52427 / 0.6e1 - t54769 / 0.36e2 + t54771 / 0.36e2 - t54773 / 0.18e2 + t54775 / 0.9e1 - t54777 / 0.6e1 - t54779 / 0.6e1 - t54781 / 0.12e2 - t54783 / 0.36e2 + t54785 / 0.6e1 + t54787 / 0.12e2;
  t54807 = -t52430 + t52432 + t52473 - t5371 * t1779 / 0.12e2 - t5374 * t1779 / 0.12e2 - t1368 * t7210 / 0.12e2 - t1368 * t7471 / 0.12e2 + t3825 * t2462 / 0.4e1 + t3835 * t2462 / 0.4e1 + t903 * t10881 / 0.4e1 + t903 * t10885 / 0.4e1;
  t54830 = t3825 * t2453 / 0.2e1 + t3835 * t2453 / 0.2e1 - t5328 * t11196 / 0.6e1 - t27916 * t1758 / 0.2e1 + t5379 * t1761 / 0.2e1 - t7801 * t8986 / 0.6e1 - t37723 * t1235 / 0.2e1 + t7824 * t1240 / 0.2e1 + t7801 * t8715 / 0.3e1 - t903 * t10869 / 0.2e1 - t22759 * t2444 / 0.2e1;
  t54877 = t903 * t10761 / 0.2e1 + t903 * t10764 / 0.2e1 - t7801 * t9891 / 0.12e2 - t7801 * t8692 / 0.6e1 + t7811 * t2108 / 0.12e2 + t7808 * t2108 / 0.12e2 + t1923 * t8810 / 0.12e2 + t1923 * t8843 / 0.12e2 - t37648 * t2276 / 0.6e1 - t37651 * t2276 / 0.6e1 - t7801 * t10122 / 0.6e1;
  t54891 = t37648 * t2282 / 0.3e1 + t37651 * t2282 / 0.3e1 + t7801 * t10102 / 0.3e1 - t43560 + t52492 / 0.12e2 - t52495 - t52517 / 0.6e1 - t52519 / 0.6e1 - t52522 / 0.6e1 + t52524 / 0.6e1 - t52526 / 0.12e2;
  t54902 = -t52528 / 0.12e2 - t52530 / 0.12e2 - t52532 / 0.12e2 + t52534 / 0.6e1 + t52536 / 0.6e1 + t52538 / 0.6e1 + t52540 / 0.12e2 + t52542 / 0.12e2 - t52544 / 0.36e2 - t52546 / 0.36e2 + t52551;
  t54924 = -t52580 + t22562 * t1227 * t53207 / 0.3e1 + t5379 * t1774 / 0.4e1 - t5379 * t1766 / 0.2e1 - t5379 * t1770 / 0.4e1 + t7824 * t1255 / 0.4e1 - t7824 * t1247 / 0.2e1 - t7824 * t1251 / 0.4e1 + t22562 * t17237 / 0.3e1 - t52669 / 0.36e2 + t52687 / 0.18e2;
  t54932 = t43575 + t43585 - t52789 / 0.36e2 - t52793 / 0.36e2 - t52820 / 0.12e2 - t52824 / 0.6e1 + t52830 / 0.12e2 - t52832 / 0.6e1 - t52836 / 0.12e2 - t43598 - t43609;
  t54945 = t52866 / 0.18e2 - t52878 / 0.18e2 + t52882 / 0.9e1 + t52884 / 0.6e1 + 0.23e2 / 0.108e3 * t52935 - t52982 / 0.36e2 + t52987 / 0.3e1 - 0.11e2 / 0.54e2 * t52989 - t52991 / 0.18e2 + t53014 / 0.6e1 + t53016 / 0.18e2;
  t54948 = t894 * t2437;
  t54959 = -t890 * t2437 / 0.4e1 - t54948 / 0.12e2 + 0.3e1 * t27867 * t11050 + 0.3e1 / 0.2e1 * t49304 * t11113 - t27723 * t11106 / 0.2e1 - t53041 / 0.36e2 - t53044 - t22520 * t11152 / 0.4e1 + t43641 - t8667 + t8683;
  t54964 = t307 * t7599;
  t54997 = t5335 * t11001 / 0.6e1 - t7801 * t8709 / 0.12e2 - t1923 * t5046 / 0.12e2 + t7894 * t8704 / 0.6e1 + t1923 * t5054 / 0.12e2 + t53159 / 0.18e2 - t53167 / 0.36e2 - t53169 / 0.36e2 - t53171 / 0.36e2 - t53173 / 0.36e2 - t53223 / 0.12e2;
  t55007 = -t53243 / 0.6e1 - t53270 + t53272 - t53275 / 0.18e2 - t53308 / 0.18e2 - t43694 + t53328 / 0.36e2 - t53378 / 0.36e2 - t53380 / 0.36e2 + t53383 / 0.12e2 + t53385 / 0.12e2;
  t55017 = t53388 + t53390 - t53400 / 0.36e2 - t53404 + t53406 / 0.2e1 + t53407 / 0.6e1 - t53409 / 0.18e2 - t53411 / 0.6e1 + t43708 + t7894 * t9828 / 0.6e1 + t7894 * t8791 / 0.6e1;
  t55035 = -t7801 * t8848 / 0.12e2 + t37905 * t2268 / 0.6e1 + t37908 * t2268 / 0.6e1 - t37648 * t2271 / 0.12e2 - t37651 * t2271 / 0.12e2 - t53810 / 0.6e1 - t53815 / 0.12e2 + t53825 / 0.6e1 + t53875 / 0.36e2 + t53881 / 0.18e2 - t43739;
  t55046 = t43740 + t53909 / 0.36e2 - t53911 / 0.2e1 + t53912 / 0.18e2 + t53914 / 0.18e2 - t53916 / 0.18e2 - t53918 / 0.18e2 + t53920 / 0.36e2 + t53922 / 0.36e2 + t53924 / 0.36e2 + t53926 / 0.36e2;
  t55062 = -t53929 / 0.12e2 - t53931 / 0.12e2 - t53937 / 0.6e1 - t27864 * t11122 / 0.2e1 + t22520 * t11125 / 0.2e1 - 0.3e1 * t27867 * t11117 - t53947 / 0.36e2 + t53994 / 0.18e2 - t53996 / 0.36e2 - 0.5e1 / 0.108e3 * t53998 + t54002 / 0.36e2;
  t55072 = t54004 / 0.36e2 + t54012 / 0.9e1 + t54014 / 0.9e1 - 0.3e1 * t27723 * t11109 - t22520 * t11159 / 0.2e1 - t307 * t10861 / 0.4e1 - t43750 - t43762 - t43763 + t42721 - t54084;
  t55085 = t894 * t2458;
  t55096 = -t54279 / 0.18e2 - t54288 / 0.6e1 - t43823 - t55085 / 0.12e2 - t307 * t10934 / 0.4e1 - t307 * t10937 / 0.4e1 - t307 * t10929 / 0.4e1 - t890 * t2458 / 0.4e1 - t43830 - t43831 + t54290 / 0.6e1;
  t55107 = -t54292 / 0.9e1 + t54294 / 0.6e1 + t43834 + t43835 + t54358 / 0.12e2 - t54360 / 0.36e2 - t54364 / 0.6e1 - t54369 / 0.6e1 + t54373 / 0.6e1 + t54375 / 0.9e1 - t54393 / 0.36e2;
  t55115 = -t54395 / 0.36e2 - t43845 - t9215 + t9226 + t54429 / 0.9e1 + t54432 - t54441 / 0.18e2 + t43865 + t43866 + t27719 * t17285 / 0.3e1 + t22520 * t11155 / 0.2e1;
  t55137 = 0.7e1 / 0.3e1 * t49258 * t52328 + t27872 * t11148 / 0.6e1 + t27852 * t7758 / 0.12e2 - t27723 * t11073 - t54507 / 0.12e2 - t54509 / 0.12e2 - t27714 * t10772 / 0.12e2 + t27723 * t11067 / 0.2e1 + t27723 * t11061 / 0.2e1 - t27719 * t52649 / 0.3e1 + t27723 * t11058 / 0.2e1;
  t55157 = t307 * t7595;
  t55159 = -t22520 * t11077 / 0.4e1 - t27864 * t11064 / 0.2e1 - 0.2e1 * t49297 * t52209 - t22520 * t11070 / 0.2e1 + 0.3e1 / 0.2e1 * t27723 * t11055 + t27867 * t11053 - 0.3e1 / 0.2e1 * t49258 * t52243 - 0.2e1 / 0.3e1 * t37561 * t9758 + 0.23e2 / 0.36e2 * t54964 * t10048 + t37561 * t9763 / 0.3e1 + t55157 * t10067;
  t55183 = t37561 * t9767 / 0.3e1 - 0.11e2 / 0.18e2 * t54964 * t10072 - t37525 * t8639 / 0.6e1 - t37982 * t8644 / 0.6e1 - t37561 * t9771 / 0.6e1 + t37561 * t8631 / 0.12e2 + t37982 * t8636 / 0.12e2 + t55157 * t10094 / 0.2e1 + t37561 * t10176 / 0.6e1 - 0.5e1 / 0.36e2 * t54964 * t10039 - t37525 * t10091 / 0.6e1;
  t55186 = t307 * t7610;
  t55198 = -t37561 * t10042 / 0.12e2 - t55186 * t10098 / 0.2e1 + 0.3e1 / 0.2e1 * t27723 * t11128 - t27714 * t11131 / 0.6e1 + t27867 * t11103 / 0.2e1 - t54528 + t54548 - t54549 / 0.12e2 + t54561 / 0.6e1 - t54563 / 0.6e1 + t54565;
  t55204 = my_piecewise3(t2, 0, -t3825 * t2450 / 0.4e1 - t22732 * t2444 / 0.2e1 - t3802 * t11212 / 0.2e1 - t3802 * t11215 / 0.2e1 - t3825 * t2447 / 0.2e1 - t3835 * t2447 / 0.2e1 - t903 * t10866 / 0.2e1 - t3835 * t2450 / 0.4e1 - t903 * t10890 / 0.4e1 + t27903 * t530 / 0.4e1 + t37805 * t432 / 0.4e1 + t37800 * t432 / 0.4e1 + t37525 * t10173 / 0.6e1 + t5379 * t1783 / 0.4e1 + t1368 * t7550 / 0.12e2 - t5328 * t11177 / 0.12e2 - t1368 * t7200 / 0.12e2 - t54964 * t10055 / 0.2e1 + t37561 * t8651 / 0.6e1 - t898 * t10894 / 0.12e2 - t903 * t10754 / 0.4e1 + t55035 + t55017 + t55007 + t54997 + t54959 + t54945 + t54932 + t54924 + t54902 + t54891 + t54877 + t54830 + t54807 + t54789 + t54767 + t54752 + t54744 + t54734 + t54708 / 0.12e2 - t54704 / 0.36e2 + t54706 / 0.12e2 - t54702 / 0.36e2 - t54277 / 0.6e1 - t54267 / 0.12e2 + t54270 / 0.9e1 + t54203 - 0.2e1 / 0.9e1 * t54160 + t53158 / 0.2e1 + t53157 - t52152 / 0.36e2 + t52148 / 0.12e2 - t52146 + t43820 + t43818 - t41636 - t43812 - t43814 + t55198 + t55183 + t55159 + t55137 + t55115 + t55107 + t55046 + t55062 + t55072 + t55096);
  tv4rho2sigmatau6 = t3 * t55204 + t11239 + t11351;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 6] += tv4rho2sigmatau6;

  tv4rho2sigmatau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 7] += tv4rho2sigmatau7;

  tv4rho2sigmatau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 8] += tv4rho2sigmatau8;

  tv4rho2sigmatau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 9] += tv4rho2sigmatau9;

  tv4rho2sigmatau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 10] += tv4rho2sigmatau10;

  t55214 = t933 * t11511;
  t55236 = t7929 * t1462;
  t55238 = t38435 * t457;
  t55240 = t937 * t11511;
  t55241 = t55240 * t377;
  t55243 = t38430 * t457;
  t55245 = t938 * t11507;
  t55247 = t5414 * t2040;
  t55249 = t28815 * t570;
  t55251 = -t7951 * t1449 / 0.12e2 - t1902 * t5683 / 0.12e2 + t38716 * t457 / 0.4e1 + t7959 * t1462 / 0.4e1 + t55236 / 0.12e2 + t55238 / 0.12e2 + t55241 / 0.12e2 + t55243 / 0.12e2 - t55245 / 0.36e2 + t55247 / 0.12e2 + t55249 / 0.12e2;
  t55253 = t28768 * t570;
  t55255 = t1354 * t8179;
  t55257 = t5426 * t2025;
  t55259 = t5431 * t2025;
  t55261 = t1905 * t5683;
  t55263 = t7943 * t1449;
  t55265 = t7948 * t1449;
  t55270 = t55253 / 0.12e2 - t55255 / 0.36e2 - t55257 / 0.36e2 - t55259 / 0.36e2 - t55261 / 0.36e2 - t55263 / 0.36e2 - t55265 / 0.36e2 - t54585 / 0.36e2 + t54587 / 0.12e2 + t54589 / 0.12e2 + t54592;
  t55280 = -t54594 + t54596 - t54598 - t54605 / 0.36e2 + t43886 - t43908 + t43939 + t4046 * t2521 / 0.4e1 - t934 * t11754 / 0.12e2 + t5419 * t1954 / 0.4e1 - t1351 * t8122 / 0.12e2;
  t55305 = -t5439 * t1950 / 0.12e2 - t1351 * t8445 / 0.12e2 + t945 * t11775 / 0.2e1 - t5448 * t1950 / 0.12e2 + t945 * t11772 / 0.2e1 + t945 * t11787 / 0.4e1 + t945 * t11783 / 0.4e1 + t4052 * t2521 / 0.4e1 + t38388 * t2353 / 0.3e1 - t1902 * t6017 / 0.12e2 + t38393 * t2353 / 0.3e1;
  t55326 = -t7908 * t9408 / 0.12e2 - t1351 * t8081 / 0.12e2 + t1351 * t8478 / 0.12e2 - t5489 * t11687 / 0.12e2 + t5508 * t11682 / 0.6e1 - t7959 * t1424 / 0.4e1 - t7959 * t1420 / 0.2e1 - t5419 * t1941 / 0.4e1 - t5419 * t1937 / 0.2e1 + t54607 / 0.6e1 + t54609 / 0.12e2;
  t55328 = t948 * t11787;
  t55350 = t55328 / 0.12e2 + t7951 * t2199 / 0.12e2 + t7956 * t2199 / 0.12e2 - t7908 * t10678 / 0.12e2 - t7908 * t9518 / 0.12e2 - t38388 * t2342 / 0.12e2 - t38393 * t2342 / 0.12e2 + t8002 * t9521 / 0.6e1 + t1902 * t6008 / 0.12e2 - t7908 * t9415 / 0.6e1 + t8002 * t9434 / 0.6e1;
  t55363 = t28439 * t11431;
  t55364 = t28427 * t11399;
  t55372 = -t7908 * t10687 / 0.6e1 - t38393 * t2347 / 0.6e1 - t38388 * t2347 / 0.6e1 + t1902 * t9400 / 0.12e2 + t7908 * t10594 / 0.3e1 + t7908 * t9427 / 0.3e1 - t55363 + t55364 / 0.6e1 - t23531 * t11769 / 0.2e1 + t23531 * t11744 / 0.2e1 - t23531 * t11762 / 0.4e1;
  t55387 = t28439 * t11747;
  t55389 = t24019 * t11762;
  t55396 = t24019 * t11744;
  t55409 = t28415 * t11469;
  t55411 = t28439 * t11472;
  t55413 = t38553 * t9239;
  t55415 = t38556 * t10480;
  t55417 = t55396 / 0.6e1 - t23531 * t11482 / 0.2e1 + 0.3e1 * t28913 * t11479 - t38396 * t10544 / 0.6e1 - t28922 * t11457 / 0.2e1 + t28913 * t11475 + t38396 * t10541 / 0.3e1 - t55409 / 0.18e2 + t55411 / 0.2e1 - t55413 / 0.18e2 - t55415 / 0.36e2;
  t55419 = t38532 * t9272;
  t55421 = t28439 * t11712;
  t55423 = t28439 * t11715;
  t55425 = t28439 * t11733;
  t55427 = t24019 * t11718;
  t55429 = t28439 * t11736;
  t55431 = t28412 * t8076;
  t55433 = t28407 * t11739;
  t55435 = t294 * t8227;
  t55436 = t55435 * t10486;
  t55438 = t38553 * t10448;
  t55440 = t294 * t8220;
  t55441 = t55440 * t10463;
  t55443 = -t55419 / 0.18e2 + t55421 / 0.6e1 + t55423 / 0.2e1 + t55425 / 0.6e1 - t55427 / 0.12e2 + t55429 / 0.6e1 + t55431 / 0.36e2 + t55433 / 0.18e2 - 0.11e2 / 0.54e2 * t55436 - t55438 / 0.18e2 - t55441 / 0.6e1;
  t55444 = t38553 * t10468;
  t55446 = t294 * t8223;
  t55447 = t55446 * t10454;
  t55449 = t7903 * t9427;
  t55451 = t948 * t11783;
  t55453 = t4013 * t2521;
  t55455 = t55444 / 0.18e2 + t55447 / 0.6e1 + t55449 / 0.9e1 + t55451 / 0.12e2 + t55453 / 0.12e2 + t43403 - t43416 + t44009 - t44011 - t44025 - t44032;
  t55458 = t28427 * t11438;
  t55459 = t290 * t8223;
  t55461 = t938 * t11754;
  t55473 = t290 * t8227;
  t55478 = -t55458 + t55459 * t10512 - t55461 / 0.36e2 + t8002 * t10695 / 0.6e1 + t38602 * t2339 / 0.6e1 + t38607 * t2339 / 0.6e1 + t1902 * t9367 / 0.12e2 - 0.2e1 * t55459 * t10497 - 0.11e2 / 0.18e2 * t55473 * t10486 + 0.23e2 / 0.36e2 * t55473 * t10492 - t44034;
  t55487 = -t44037 + t44040 + t44042 + t54622 / 0.18e2 - t54624 / 0.18e2 - t54626 / 0.36e2 + t54628 / 0.36e2 + t54630 / 0.9e1 - t54632 / 0.12e2 - t54634 / 0.6e1 - t54638 / 0.36e2;
  t55490 = t38556 * t10541;
  t55492 = t38556 * t10544;
  t55494 = t28436 * t11457;
  t55496 = t28427 * t11475;
  t55498 = t38556 * t9275;
  t55500 = t38556 * t10537;
  t55502 = t38532 * t9280;
  t55504 = -t54640 / 0.6e1 - t44071 - t44073 + t44076 + t55490 / 0.9e1 - t55492 / 0.18e2 - t55494 / 0.6e1 + t55496 / 0.3e1 + t55498 / 0.36e2 - 0.2e1 / 0.9e1 * t55500 + t55502 / 0.36e2;
  t55505 = t38556 * t10549;
  t55509 = t55435 * t10459;
  t55511 = t38556 * t10471;
  t55513 = t55435 * t10492;
  t55515 = t7929 * t1428;
  t55517 = t4040 * t11636;
  t55519 = t4040 * t11666;
  t55521 = t23858 * t2503;
  t55523 = t5414 * t1945;
  t55525 = t23639 * t2503;
  t55527 = t55505 / 0.9e1 - t28420 * t11765 / 0.12e2 - 0.5e1 / 0.108e3 * t55509 + t55511 / 0.18e2 + 0.23e2 / 0.108e3 * t55513 + t55515 / 0.12e2 - t55517 / 0.6e1 - t55519 / 0.6e1 - t55521 / 0.6e1 + t55523 / 0.12e2 - t55525 / 0.6e1;
  t55532 = t4013 * t2506;
  t55534 = t4019 * t2506;
  t55536 = t7903 * t10594;
  t55538 = t38497 * t2353;
  t55540 = t38649 * t2353;
  t55542 = t1905 * t6017;
  t55544 = t7903 * t9408;
  t55547 = t1354 * t8081;
  t55549 = t5464 * t11687;
  t55551 = t1354 * t8478;
  t55553 = t7929 * t1424;
  t55555 = t5477 * t11682;
  t55557 = t38453 * t1408;
  t55559 = t5464 * t11727;
  t55561 = t5464 * t11723;
  t55563 = t7903 * t9301;
  t55565 = t7903 * t9297;
  t55567 = t5414 * t1978;
  t55569 = -t55547 / 0.36e2 - t55549 / 0.36e2 + t55551 / 0.36e2 - t55553 / 0.12e2 + t55555 / 0.18e2 - t55557 / 0.6e1 + t55559 / 0.9e1 - t55561 / 0.18e2 + t55563 / 0.9e1 - t55565 / 0.18e2 + t55567 / 0.6e1;
  t55571 = t28634 * t1975;
  t55573 = t7929 * t1413;
  t55575 = t38649 * t2342;
  t55577 = t7988 * t9521;
  t55591 = -t55571 / 0.6e1 + t55573 / 0.6e1 - t55575 / 0.36e2 + t55577 / 0.18e2 + t44113 - t38825 * t1408 / 0.2e1 + t5489 * t11727 / 0.3e1 - t5489 * t11723 / 0.6e1 + t7908 * t9301 / 0.3e1 - t7908 * t9297 / 0.6e1 + t5419 * t1978 / 0.2e1;
  t55598 = t28427 * t11479;
  t55599 = t24019 * t11482;
  t55605 = t294 * t11610;
  t55607 = -t28861 * t1975 / 0.2e1 + t7959 * t1413 / 0.2e1 + 0.3e1 / 0.2e1 * t28455 * t11472 + t55598 - t55599 / 0.6e1 + t44115 - t44117 + t44153 - t290 * t11610 / 0.4e1 - t925 * t2496 / 0.4e1 - t55605 / 0.12e2;
  t55610 = t1354 * t8122;
  t55612 = t5426 * t1950;
  t55614 = t5431 * t1950;
  t55616 = t948 * t11775;
  t55618 = t948 * t11772;
  t55620 = t1354 * t8445;
  t55622 = t55435 * t10514;
  t55624 = t38556 * t9250;
  t55626 = t38556 * t9246;
  t55628 = -t55610 / 0.36e2 - t55612 / 0.36e2 - t55614 / 0.36e2 + t55616 / 0.6e1 + t55618 / 0.6e1 - t55620 / 0.36e2 - t44168 - t44171 - t55622 / 0.6e1 - t55624 / 0.9e1 + t55626 / 0.18e2;
  t55629 = t28439 * t11394;
  t55631 = t7929 * t1420;
  t55633 = t5414 * t1941;
  t55635 = t5414 * t1937;
  t55639 = t290 * t8220;
  t55644 = -t55629 / 0.6e1 - t55631 / 0.6e1 - t55633 / 0.12e2 - t55635 / 0.6e1 + t55459 * t10454 / 0.2e1 - t55639 * t10463 / 0.2e1 + t38535 * t10468 / 0.6e1 - t44203 - t44205 + t44218 + t44230;
  t55646 = t55446 * t10497;
  t55648 = t55446 * t10512;
  t55650 = t55435 * t10501;
  t55652 = t55435 * t10517;
  t55654 = t1905 * t6008;
  t55656 = t7988 * t9434;
  t55658 = t7903 * t9415;
  t55660 = t7903 * t10687;
  t55664 = t38497 * t2347;
  t55666 = -t44234 - 0.2e1 / 0.3e1 * t55646 + t55648 / 0.3e1 - t55650 / 0.2e1 + 0.7e1 / 0.9e1 * t55652 + t55654 / 0.36e2 + t55656 / 0.18e2 - t55658 / 0.18e2 - t55660 / 0.18e2 - 0.3e1 / 0.2e1 * t55473 * t10501 - t55664 / 0.18e2;
  t55667 = t38649 * t2347;
  t55669 = t1905 * t9400;
  t55671 = t7988 * t10695;
  t55673 = t38840 * t2339;
  t55675 = t38837 * t2339;
  t55677 = t1905 * t9367;
  t55679 = t7943 * t2199;
  t55681 = t7948 * t2199;
  t55689 = -t55667 / 0.18e2 + t55669 / 0.36e2 + t55671 / 0.18e2 + t55673 / 0.18e2 + t55675 / 0.18e2 + t55677 / 0.36e2 + t55679 / 0.36e2 + t55681 / 0.36e2 - 0.2e1 / 0.3e1 * t38396 * t10537 - t290 * t11355 / 0.4e1 - t290 * t11358 / 0.4e1;
  t55709 = t294 * t11358;
  t55712 = t294 * t11355;
  t55714 = t294 * t11361;
  t55716 = t929 * t2517;
  t55732 = -t55712 / 0.12e2 - t55714 / 0.12e2 - t55716 / 0.12e2 + 0.7e1 / 0.3e1 * t55473 * t10517 - t55473 * t10514 / 0.2e1 - t38396 * t9250 / 0.3e1 + t38396 * t9246 / 0.6e1 - t28455 * t11394 / 0.2e1 + t28913 * t11399 / 0.2e1 - 0.3e1 * t28455 * t11431 - t54655;
  t55734 = t4019 * t2512;
  t55736 = t54657 + t54660 - t54662 - t54664 + t54666 + t54668 + t54670 + t54672 - t54674 - t54676 + t55734 / 0.6e1;
  t55737 = t4013 * t2512;
  t55739 = t948 * t11639;
  t55741 = t948 * t11648;
  t55743 = t4019 * t2509;
  t55745 = t4013 * t2509;
  t55747 = t948 * t11709;
  t55749 = t948 * t11706;
  t55751 = t4019 * t2521;
  t55753 = t5414 * t1954;
  t55755 = t929 * t2496;
  t55757 = t24019 * t11450;
  t55759 = t55737 / 0.6e1 - t55739 / 0.12e2 - t55741 / 0.12e2 - t55743 / 0.12e2 - t55745 / 0.12e2 - t55747 / 0.6e1 - t55749 / 0.6e1 + t55751 / 0.12e2 + t55753 / 0.12e2 - t55755 / 0.12e2 + t55757 / 0.6e1;
  t55762 = t28415 * t11465;
  t55764 = t24019 * t11769;
  t55766 = t28415 * t11765;
  t55768 = t28436 * t11460;
  t55770 = t49860 * t11445;
  t55782 = t55762 / 0.9e1 - t55764 / 0.6e1 - t55766 / 0.36e2 - t55768 / 0.6e1 + t55770 / 0.2e1 + t44322 - t38535 * t10448 / 0.6e1 - t38550 * t9272 / 0.6e1 - t38535 * t9239 / 0.6e1 - 0.3e1 * t28913 * t11438 + 0.3e1 / 0.2e1 * t49816 * t11445;
  t55791 = t7903 * t9518;
  t55793 = t7903 * t10678;
  t55795 = t38497 * t2342;
  t55797 = t23531 * t11450 / 0.2e1 - t28922 * t11460 / 0.2e1 + t28420 * t11465 / 0.3e1 - t28420 * t11469 / 0.6e1 - t9156 + t9168 - t9180 + t9188 - t55791 / 0.36e2 - t55793 / 0.36e2 - t55795 / 0.36e2;
  t55811 = -t54679 / 0.12e2 + t54682 + t44336 - t44352 - t54683 / 0.12e2 + t54686 + t7959 * t1428 / 0.4e1 - t4065 * t11636 / 0.2e1 - t4065 * t11666 / 0.2e1 - t23909 * t2503 / 0.2e1 - t23902 * t2503 / 0.2e1;
  t55834 = t5419 * t1945 / 0.4e1 - t4046 * t2506 / 0.2e1 - t4052 * t2506 / 0.2e1 + t4052 * t2512 / 0.2e1 + t4046 * t2512 / 0.2e1 - t945 * t11648 / 0.4e1 - t945 * t11639 / 0.4e1 - t4046 * t2509 / 0.4e1 - t4052 * t2509 / 0.4e1 - t945 * t11706 / 0.2e1 - t945 * t11709 / 0.2e1;
  t55840 = my_piecewise3(t100, 0, t38550 * t9280 / 0.12e2 + t38396 * t10549 / 0.3e1 - t290 * t11361 / 0.4e1 - t925 * t2517 / 0.4e1 - t28455 * t11747 + t28455 * t11733 / 0.2e1 + t28455 * t11736 / 0.2e1 + t28459 * t8076 / 0.12e2 - t23531 * t11718 / 0.4e1 + t28455 * t11712 / 0.2e1 + 0.3e1 / 0.2e1 * t28455 * t11715 + t28449 * t11739 / 0.6e1 + t28833 * t570 / 0.4e1 - t5448 * t2025 / 0.12e2 - t7956 * t1449 / 0.12e2 - t5439 * t2025 / 0.12e2 - t1351 * t8179 / 0.12e2 + t5419 * t2040 / 0.4e1 - t934 * t11507 / 0.12e2 + t55214 * t377 / 0.4e1 + t38711 * t457 / 0.4e1 + t28544 * t570 / 0.4e1 + t38396 * t9275 / 0.12e2 - t38396 * t10480 / 0.12e2 - 0.5e1 / 0.36e2 * t55473 * t10459 + t38396 * t10471 / 0.6e1 + t44089 - t44107 + t44109 + t55834 + t55811 + t55797 + t55782 + t55759 + t55736 - t44267 + t55732 - t55709 / 0.12e2 + t55689 + t55666 + t55644 + t55628 + t55607 + t55591 + t55569 - t55544 / 0.36e2 + t55540 / 0.9e1 - t55542 / 0.36e2 + t55536 / 0.9e1 + t55538 / 0.9e1 - t55532 / 0.6e1 - t55534 / 0.6e1 + t55527 + t55504 + t55487 + t55478 + t55455 + t55443 + t55417 - t55389 / 0.12e2 - t55387 / 0.3e1 + t55372 + t55350 + t55326 + t55305 + t55280 + t55270 + t55251);
  tv4rho2sigmatau11 = t3 * t55840 + t11312 + t11812;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 11] += tv4rho2sigmatau11;

  t55858 = -t52146 + t38274 * t432 / 0.4e1 - t5519 * t1886 / 0.12e2 - t8035 * t1288 / 0.12e2 + t28348 * t530 / 0.4e1 - t54702 / 0.18e2 - t54704 / 0.18e2 + t54706 / 0.6e1 + t54708 / 0.6e1 - t44379 + t44387 + t54755 / 0.9e1 - t54769 / 0.18e2 + t54771 / 0.18e2;
  t55875 = -t54773 / 0.9e1 + 0.2e1 / 0.9e1 * t54775 - t54777 / 0.3e1 - t54779 / 0.3e1 - t54781 / 0.6e1 - t54783 / 0.18e2 + t54785 / 0.3e1 + t54787 / 0.6e1 - t3959 * t2447 / 0.2e1 - t23097 * t2444 / 0.2e1 - t3959 * t2450 / 0.4e1 - t52430 + t52432 - t5519 * t1779 / 0.12e2;
  t55894 = t3959 * t2453 / 0.2e1 + t3959 * t2462 / 0.4e1 + t52473 - t44395 - t52495 + t38320 * t2268 / 0.6e1 - t38284 * t2271 / 0.12e2 + t8035 * t2108 / 0.12e2 - t38284 * t2276 / 0.6e1 + t38284 * t2282 / 0.3e1 + t52551 - t52580 - t54948 / 0.6e1 - t972 * t2458 / 0.4e1;
  t55898 = -t53044 - t41636 + t53157 - t972 * t2437 / 0.4e1 - t53270 + t53272 + t53388 + t53390 + t44410 + t42721 - t54084 + t54203 - t55085 / 0.6e1 + t54432 + t54548;
  t55901 = my_piecewise3(t2, 0, t55858 + t55875 + t55894 + t55898);
  tv4rho2sigmatau12 = t3 * t55901 + 0.2e1 * t11351;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 12] += tv4rho2sigmatau12;

  tv4rho2sigmatau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 13] += tv4rho2sigmatau13;

  tv4rho2sigmatau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 14] += tv4rho2sigmatau14;

  tv4rho2sigmatau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 15] += tv4rho2sigmatau15;

  tv4rho2sigmatau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 16] += tv4rho2sigmatau16;

  t55912 = t349 * t11610;
  t55917 = t321 * t369 * t11608 * t370;
  t55932 = -t1378 * t8179 / 0.6e1 + t5717 * t2040 / 0.2e1 + t5689 * t2040 / 0.2e1 + t30045 * t570 / 0.4e1 - t338 * t55912 / 0.6e1 + t55917 * t377 / 0.2e1 - t11512 * t1046 / 0.2e1 - t442 * t39722 / 0.12e2 - t1386 * t8179 / 0.6e1 + t55236 / 0.6e1 + t55238 / 0.6e1 + t55241 / 0.6e1 + t55243 / 0.6e1 - t55245 / 0.18e2 + t55247 / 0.6e1;
  t55943 = t55249 / 0.6e1 + t55253 / 0.6e1 - t55255 / 0.18e2 - t55257 / 0.18e2 - t55259 / 0.18e2 - t55261 / 0.18e2 - t55263 / 0.18e2 - t55265 / 0.18e2 + t44437 + t44441 + t44443 - t44516 - t44518 - t44520 - t1084 * t11507 / 0.12e2;
  t55957 = t1020 * t2496;
  t55968 = t54592 - t54594 + t54596 - t54598 + t8184 * t1462 / 0.2e1 + t40132 * t457 / 0.2e1 + t8189 * t1462 / 0.2e1 + t40137 * t457 / 0.4e1 + t11512 * t1071 / 0.4e1 + t39938 * t457 / 0.4e1 - t1010 * t55957 / 0.12e2 + t1454 * t8139 / 0.4e1 - t2048 * t5683 / 0.6e1 + t2030 * t5706 / 0.4e1 - t8142 * t1449 / 0.12e2;
  t55985 = t5623 * t8199 * t5624;
  t55998 = t8079 * t5624;
  t55999 = t5640 * t55998;
  t56006 = -t8146 * t1449 / 0.6e1 - t2043 * t5683 / 0.6e1 + t373 * t1974 * t44608 / 0.2e1 + t373 * t1948 * t5920 * t376 / 0.4e1 + t8058 * t50522 / 0.3e1 + 0.2e1 / 0.3e1 * t8058 * t50517 - t44569 - 0.3e1 / 0.2e1 * t5621 * t55985 + 0.3e1 / 0.2e1 * t40761 * t5631 + 0.2e1 / 0.3e1 * t39229 * t10541 - t40050 * t10448 / 0.3e1 - t40052 * t10448 / 0.3e1 - t1391 * t40520 / 0.6e1 - 0.11e2 / 0.18e2 * t5621 * t55999 + 0.2e1 / 0.3e1 * t5763 * t11727 + 0.2e1 / 0.3e1 * t5754 * t11727;
  t56010 = t1400 * t8182 * t1394;
  t56015 = t2028 * t5624;
  t56016 = t5623 * t56015;
  t56024 = t1393 * t11753;
  t56028 = t1400 * t1452 * t1948;
  t56037 = t2494 * t146;
  t56039 = t1000 * t56037 * t978;
  t56045 = 0.2e1 / 0.3e1 * t1391 * t56010 + t1391 * t40515 / 0.3e1 + 0.23e2 / 0.36e2 * t5621 * t56016 - t39551 * t1408 - t39588 * t1408 - t8201 * t5786 - t8201 * t5777 / 0.2e1 - t1010 * t56024 / 0.6e1 + t1010 * t56028 / 0.3e1 + t8360 * t46301 / 0.2e1 - t11512 * t1101 / 0.4e1 + t11512 * t980 / 0.2e1 - t338 * t56039 / 0.6e1 + t8360 * t45015 - t555 * t29568 / 0.6e1;
  t56070 = t39868 * t1394;
  t56071 = t1400 * t56070;
  t56076 = t5623 * t55998;
  t56079 = t110 * t40241;
  t56082 = -t555 * t29622 / 0.12e2 - t2043 * t6017 / 0.6e1 - t2048 * t6017 / 0.6e1 - t1965 * t45164 / 0.6e1 - t1965 * t46578 / 0.12e2 - 0.5e1 / 0.36e2 * t8090 * t46294 - t1378 * t8081 / 0.6e1 - t1386 * t8081 / 0.6e1 - t442 * t39870 / 0.6e1 - t442 * t39066 / 0.12e2 - t8106 * t9408 / 0.6e1 - t8110 * t9408 / 0.6e1 - t1391 * t56071 / 0.6e1 - t1391 * t39322 / 0.12e2 - 0.5e1 / 0.36e2 * t5621 * t56076 + 0.5e1 / 0.3e1 * t56079 * t51358;
  t56111 = 0.6e1 * t56079 * t51563 + t55328 / 0.6e1 + t44587 - 0.3e1 * t1454 * t8455 - t442 * t39246 / 0.6e1 - t8110 * t9415 / 0.3e1 - t1965 * t51537 / 0.6e1 - t1965 * t45799 / 0.3e1 - t8106 * t10687 / 0.3e1 - t8106 * t9415 / 0.3e1 - t39653 * t2347 / 0.6e1 - t8110 * t10687 / 0.3e1 + t555 * t45978 / 0.6e1 + t555 * t45983 / 0.12e2 - t39661 * t2347 / 0.6e1;
  t56115 = t987 * t56037 * t995;
  t56118 = t583 * t1005;
  t56119 = t4143 * t56118;
  t56120 = t10458 * t56119;
  t56131 = t380 * t56118;
  t56132 = t5591 * t56131;
  t56137 = t11448 * t5645;
  t56144 = t10485 * t56131;
  t56159 = -t39444 * t2347 / 0.3e1 + t338 * t56115 / 0.12e2 + 0.23e2 / 0.36e2 * t28954 * t56120 - t29779 * t11469 / 0.3e1 + 0.18e2 * t5540 * t40217 * t50657 + 0.3e1 * t5540 * t8223 * t44862 + t29017 * t56132 - 0.3e1 * t5559 * t8223 * t46318 + 0.3e1 * t5535 * t56137 * t5654 - 0.3e1 * t4145 * t56137 * t5659 - 0.11e2 / 0.18e2 * t28954 * t56144 + 0.2e1 / 0.3e1 * t8058 * t44772 - 0.18e2 * t10506 * t40241 * t50866 + 0.36e2 * t5559 * t40241 * t50870 - 0.18e2 * t5559 * t40217 * t50679 - 0.2e1 * t55363;
  t56164 = t110 * t8195;
  t56179 = t39994 * t5571;
  t56182 = t356 * t565;
  t56183 = t56182 * t5567;
  t56186 = t55364 / 0.3e1 + t44627 + t44629 + t44634 + t56164 * t5600 + t44886 * t8347 + t40050 * t10468 / 0.3e1 + t40052 * t10468 / 0.3e1 + t8052 * t51653 / 0.3e1 + t8052 * t50731 / 0.6e1 + t8052 * t44832 / 0.3e1 - t8052 * t50721 / 0.3e1 - t5578 * t56179 / 0.3e1 + t5578 * t56183 / 0.3e1 + t44736;
  t56187 = t2038 * t2196;
  t56189 = t5549 * t1021 * t56187;
  t56192 = t1021 * t11397;
  t56196 = t110 * t40755;
  t56200 = t110 * t565 * t5533;
  t56210 = t44738 + t44742 - 0.2e1 / 0.3e1 * t24164 * t56189 - 0.2e1 / 0.3e1 * t24164 * t29795 * t56192 + 0.3e1 / 0.2e1 * t56196 * t5564 - t56200 * t5538 + t44879 - 0.2e1 / 0.3e1 * t55387 - t55389 / 0.6e1 + t55396 / 0.3e1 - t55409 / 0.9e1 + t55411 - t55413 / 0.9e1 - t55415 / 0.18e2 + 0.2e1 / 0.3e1 * t29779 * t11465;
  t56214 = t29823 * t11468;
  t56217 = t2012 * t333;
  t56218 = t380 * t56217;
  t56219 = t5591 * t56218;
  t56233 = -t29786 * t11469 / 0.3e1 - t5548 * t56214 / 0.3e1 - t5548 * t56219 / 0.3e1 - t55419 / 0.9e1 + t55421 / 0.3e1 + t55423 + t55425 / 0.3e1 - t55427 / 0.6e1 + t55429 / 0.3e1 + t55431 / 0.18e2 + t55433 / 0.9e1 - 0.11e2 / 0.27e2 * t55436 - t55438 / 0.9e1 - t55441 / 0.3e1 + t55444 / 0.9e1;
  t56239 = t1015 * t2496;
  t56243 = t1020 * t2495 * t1021;
  t56254 = t1400 * t55998;
  t56266 = t55447 / 0.3e1 - t5726 * t2025 / 0.12e2 + t11512 * t1095 / 0.2e1 - t1010 * t56239 / 0.6e1 + t1010 * t56243 / 0.3e1 + t442 * t39874 / 0.6e1 + t442 * t39332 / 0.12e2 - t5763 * t11687 / 0.6e1 - t5754 * t11687 / 0.6e1 + t5647 * t56254 / 0.2e1 + t1378 * t8478 / 0.6e1 + t1386 * t8478 / 0.6e1 - t555 * t29921 / 0.6e1 + t1078 * t11775 + t1056 * t11775 + t5689 * t1978;
  t56295 = t5717 * t1978 + t8189 * t1413 + t8184 * t1413 + t2030 * t5805 + t2030 * t5809 / 0.2e1 + 0.7e1 / 0.3e1 * t24273 * t5640 * t17541 - 0.3e1 / 0.2e1 * t10506 * t8227 * t44874 - 0.6e1 * t50149 * t40248 * t50151 - 0.3e1 / 0.2e1 * t5540 * t8227 * t46485 + t11381 * t46489 / 0.2e1 + 0.2e1 / 0.9e1 * t55449 - t8189 * t1420 + t2030 * t5823 / 0.2e1 - t5689 * t1937 - t5717 * t1937;
  t56326 = -t1454 * t8104 - t1454 * t8338 / 0.2e1 + t8184 * t1428 / 0.2e1 + t2030 * t5819 / 0.4e1 - t1030 * t1974 * t46199 / 0.2e1 + t8189 * t1428 / 0.2e1 - t1030 * t39077 * t2389 / 0.2e1 - t1030 * t8096 * t9448 - t25078 * t2503 / 0.2e1 - t4383 * t11636 - t4383 * t11666 - t25071 * t2503 - 0.4e1 / 0.3e1 * t39224 * t10537 - t8058 * t44796 / 0.3e1 - t39224 * t10544 / 0.3e1 - t39229 * t10544 / 0.3e1;
  t56358 = -t8058 * t51840 / 0.3e1 - t8058 * t51851 / 0.6e1 + t8055 * t46655 / 0.6e1 + 0.2e1 / 0.3e1 * t39224 * t10549 - 0.4e1 / 0.3e1 * t8058 * t50633 - 0.4e1 / 0.3e1 * t8058 * t44777 - 0.2e1 / 0.3e1 * t8058 * t50637 + t39224 * t9275 / 0.6e1 + t39229 * t9275 / 0.6e1 + t8058 * t46638 / 0.6e1 + t8058 * t46463 / 0.6e1 + t8058 * t46466 / 0.12e2 + 0.2e1 / 0.3e1 * t8058 * t51418 + 0.2e1 / 0.3e1 * t8058 * t44800 + t8058 * t51350 / 0.3e1;
  t56375 = t110 * t40248;
  t56381 = t110 * t40217;
  t56392 = t39224 * t10471 / 0.3e1 + t39229 * t10471 / 0.3e1 + t8058 * t51947 / 0.3e1 + 0.5e1 / 0.36e2 * t11381 * t46469 + t39192 * t9280 / 0.6e1 + t39195 * t9280 / 0.6e1 + t8055 * t46456 / 0.6e1 + t8055 * t46650 / 0.12e2 - 0.35e2 / 0.108e3 * t56375 * t51955 - t39224 * t10480 / 0.6e1 - t11369 * t44893 - 0.6e1 * t56381 * t51501 - 0.61e2 / 0.27e2 * t56375 * t51862 + 0.44e2 / 0.27e2 * t56375 * t50588 + 0.11e2 / 0.18e2 * t11381 * t45881 - 0.23e2 / 0.36e2 * t11381 * t45902;
  t56413 = t318 * t8227;
  t56416 = t110 * t40236;
  t56423 = 0.2e1 / 0.3e1 * t39229 * t10549 - 0.5e1 / 0.18e2 * t11381 * t51963 - 0.5e1 / 0.18e2 * t11381 * t44843 - 0.5e1 / 0.36e2 * t11381 * t51952 - t40052 * t9239 / 0.3e1 - t8052 * t46630 / 0.3e1 + t8058 * t44819 / 0.3e1 + t8058 * t51940 / 0.6e1 - 0.5e1 / 0.18e2 * t56413 * t10459 - 0.5e1 / 0.18e2 * t56416 * t10459 + t55451 / 0.6e1 + t55453 / 0.6e1 + t43403 - t43416 - t5575 * t40146 / 0.6e1;
  t56424 = t5582 * t56131;
  t56463 = -t30295 * t56424 / 0.2e1 + 0.3e1 * t5540 * t2060 * t51639 + t4145 * t11761 * t4714 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t8220 * t46049 + 0.8e1 * t50503 * t50165 * t10504 * t17652 - 0.3e1 / 0.2e1 * t5540 * t559 * t45020 + 0.3e1 / 0.2e1 * t10506 * t8227 * t51809 + t4145 * t11449 * t5808 / 0.2e1 - t39229 * t10480 / 0.6e1 - t8058 * t52024 / 0.6e1 - t8058 * t52093 / 0.12e2 - t8058 * t44790 / 0.6e1 - t40050 * t9239 / 0.3e1 - t8055 * t46254 / 0.6e1 - t8055 * t46516 / 0.3e1;
  t56471 = t552 * t1383;
  t56472 = t1021 * t56471;
  t56476 = t2038 * t439;
  t56477 = t1021 * t56476;
  t56478 = t5553 * t56477;
  t56488 = t318 * t8223;
  t56490 = -t8055 * t46250 / 0.3e1 + t44953 - t44954 - 0.2e1 * t11369 * t50563 - 0.11e2 / 0.18e2 * t11381 * t51859 - t45008 + t45009 - 0.4e1 * t52065 * t5553 * t56472 - 0.4e1 * t52065 * t56478 - 0.6e1 * t29767 * t11431 - t2180 - 0.2e1 * t55458 - t8052 * t44847 / 0.3e1 - t8052 * t50691 / 0.6e1 + t56488 * t10454;
  t56491 = t110 * t40266;
  t56512 = t5634 * t55998;
  t56515 = t56491 * t10454 + t11369 * t50775 + t11369 * t44826 + t11369 * t50761 / 0.2e1 - t55461 / 0.18e2 - t45125 - t45134 + t45137 + t1078 * t11787 / 0.2e1 + t1056 * t11787 / 0.2e1 + t1078 * t11783 / 0.2e1 + t4462 * t2521 / 0.4e1 + t1056 * t11783 / 0.2e1 + t4457 * t2521 / 0.2e1 - t8090 * t45126 / 0.2e1 - t5621 * t56512 / 0.2e1;
  t56538 = -0.3e1 * t8201 * t5612 + 0.3e1 / 0.2e1 * t2030 * t5617 + 0.3e1 / 0.2e1 * t30060 * t8500 - 0.3e1 * t5674 * t8503 + 0.3e1 / 0.2e1 * t1454 * t8519 - 0.3e1 * t56381 * t51960 - t11372 * t50687 / 0.2e1 - t45202 + t45214 - t45217 + t45219 - t11372 * t44850 - t11372 * t50683 + 0.22e2 / 0.3e1 * t56079 * t51804 - 0.23e2 / 0.3e1 * t56079 * t50568;
  t56539 = t318 * t8220;
  t56541 = t110 * t40277;
  t56543 = t583 * t69;
  t56544 = t56543 * t5608;
  t56558 = t1000 * t55998;
  t56561 = -t56539 * t10463 - t56541 * t10463 + 0.3e1 / 0.2e1 * t30030 * t56544 * t5630 - 0.3e1 * t5535 * t56544 * t5611 + 0.3e1 / 0.2e1 * t4145 * t56544 * t5616 + t45270 - t45273 - t45275 + t45277 - t45280 - t45282 + t45284 - t45286 + 0.3e1 * t5674 * t8391 - 0.3e1 * t2030 * t5660 - t6028 * t56558 / 0.2e1;
  t56589 = t1393 * t56070;
  t56592 = t2030 * t6032 / 0.2e1 + 0.3e1 * t8201 * t5655 + t1454 * t8516 / 0.2e1 - t5674 * t8513 / 0.2e1 - t1965 * t46589 / 0.6e1 - 0.11e2 / 0.18e2 * t8090 * t46175 + 0.2e1 / 0.3e1 * t8106 * t9301 + 0.2e1 / 0.3e1 * t8110 * t9301 + 0.2e1 / 0.3e1 * t1965 * t46183 + t1965 * t29710 / 0.3e1 + 0.23e2 / 0.36e2 * t8090 * t46188 - t5763 * t11723 / 0.3e1 - t5754 * t11723 / 0.3e1 - t1391 * t56589 / 0.3e1 - t45288;
  t56613 = -t45290 - t45291 - t45296 - t4349 * t11636 - t4349 * t11666 + t1454 * t8330 / 0.4e1 + t1454 * t8368 / 0.2e1 - t25066 * t2503 / 0.2e1 + t5689 * t1945 / 0.2e1 + t5717 * t1945 / 0.2e1 - t4462 * t2506 / 0.2e1 - t4454 * t2506 / 0.2e1 - t4457 * t2506 + t4462 * t2512 / 0.2e1 + t4457 * t2512 + t45796;
  t56632 = t30771 * t11468;
  t56648 = -t39192 * t9272 / 0.3e1 - t39195 * t9272 / 0.3e1 - t8052 * t46633 / 0.3e1 - t8052 * t46423 / 0.6e1 + t5540 * t2056 * t46227 / 0.2e1 + t30293 * t11739 / 0.3e1 + t30291 * t11739 / 0.3e1 + t5578 * t56632 / 0.3e1 + t5540 * t8247 * t9258 + t5540 * t2056 * t46224 - 0.5e1 / 0.18e2 * t11381 * t51315 + t11369 * t51930 + 0.2e1 / 0.3e1 * t8052 * t46349 - t24209 * t11718 / 0.2e1 + t5575 * t39820 / 0.6e1;
  t56662 = t4403 * t17652;
  t56671 = t1034 * t565;
  t56672 = t56671 * t5567;
  t56675 = t5575 * t39817 / 0.6e1 + t5575 * t39206 / 0.12e2 + t29767 * t11736 + t29773 * t11736 + t8058 * t45939 / 0.3e1 + 0.5e1 / 0.2e1 * t11381 * t50895 - t11381 * t51672 - 0.5e1 / 0.6e1 * t8058 * t46025 - 0.3e1 * t29011 * t50606 * t56662 - 0.18e2 * t5540 * t40241 * t52086 - t45843 - t45844 + t45846 + 0.23e2 / 0.36e2 * t11381 * t50585 - t5548 * t56672 / 0.6e1;
  t56679 = t28964 * t8075;
  t56686 = t5553 * t56131;
  t56695 = t4408 * t565;
  t56701 = -0.43e2 / 0.9e1 * t56375 * t51441 + t4136 * t56679 / 0.12e2 + t1051 * t11507 / 0.6e1 - t5709 * t2025 / 0.12e2 - t45848 - t9323 + t9326 + t29017 * t56686 / 0.2e1 - t5540 * t2056 * t50661 + 0.23e2 / 0.18e2 * t56413 * t10492 - t8058 * t44804 / 0.6e1 + t45851 - t45856 - t5548 * t56695 * t5550 + 0.2e1 / 0.3e1 * t5548 * t56671 * t5555;
  t56704 = t4549 * t565;
  t56705 = t56704 * t5571;
  t56726 = 0.2e1 / 0.3e1 * t8058 * t46103 + t5548 * t56705 / 0.2e1 + 0.23e2 / 0.18e2 * t56416 * t10492 - t24209 * t11482 - t4145 * t40975 * t2394 / 0.2e1 - t5535 * t11449 * t5776 / 0.2e1 + 0.23e2 / 0.18e2 * t11381 * t50607 + 0.2e1 / 0.9e1 * t55490 - t55492 / 0.9e1 - t55494 / 0.3e1 + 0.2e1 / 0.3e1 * t55496 - t45914 - t45918 + t55498 / 0.18e2 - 0.4e1 / 0.9e1 * t55500 + t55502 / 0.18e2;
  t56732 = t2012 * t439;
  t56734 = t5553 * t4143 * t56732;
  t56737 = t30232 * t17693;
  t56740 = t583 * t1383;
  t56742 = t5553 * t4143 * t56740;
  t56754 = 0.2e1 / 0.9e1 * t55505 + t45923 + t45924 - t45927 - t45928 - 0.5e1 / 0.54e2 * t55509 + t55511 / 0.9e1 + 0.2e1 / 0.3e1 * t24164 * t56734 + 0.2e1 / 0.3e1 * t24164 * t56737 + 0.2e1 / 0.3e1 * t24164 * t56742 - t318 * t11610 / 0.2e1 + 0.3e1 * t5559 * t8227 * t45024 + 0.23e2 / 0.54e2 * t55513 - t373 * t8103 * t9665 - t1078 * t11709;
  t56766 = t1000 * t29090 * t1948;
  t56770 = t1000 * t6006 * t8120;
  t56773 = t1400 * t11753;
  t56788 = t4454 * t2521 / 0.4e1 + t1454 * t8126 / 0.2e1 + t1454 * t8420 / 0.4e1 + t5689 * t1954 / 0.2e1 + t5717 * t1954 / 0.2e1 - t338 * t56766 / 0.6e1 - t338 * t56770 / 0.6e1 - t1010 * t56773 / 0.12e2 - t442 * t39803 / 0.12e2 - t1075 * t11754 / 0.6e1 - t1084 * t11754 / 0.12e2 - t442 * t39766 / 0.6e1 + t55515 / 0.6e1 - t55517 / 0.3e1 - t55519 / 0.3e1 - t55521 / 0.3e1;
  t56811 = t17652 * t994;
  t56812 = t1021 * t56811;
  t56816 = t11463 * t994;
  t56817 = t380 * t56816;
  t56818 = t5549 * t56817;
  t56821 = t40160 * t439;
  t56822 = t4143 * t56821;
  t56828 = t55523 / 0.6e1 - t55525 / 0.3e1 - t55532 / 0.3e1 - t55534 / 0.3e1 - 0.2e1 / 0.3e1 * t24164 * t5549 * t1021 * t552 * t9397 + t1078 * t11772 + t1056 * t11772 + t373 * t39077 * t2402 / 0.2e1 + t373 * t8096 * t9492 + t4145 * t8353 * t52061 + 0.3e1 * t4145 * t39383 * t52056 + 0.22e2 / 0.3e1 * t52065 * t5549 * t56812 + t5548 * t56818 / 0.4e1 - 0.4e1 * t52065 * t5553 * t56822 - 0.2e1 * t50427 * t17694;
  t56851 = 0.2e1 / 0.9e1 * t55536 + 0.2e1 / 0.9e1 * t55538 + 0.2e1 / 0.9e1 * t55540 - t55542 / 0.18e2 - t55544 / 0.18e2 - t55547 / 0.18e2 - t55549 / 0.18e2 + t55551 / 0.18e2 - t55553 / 0.6e1 + t55555 / 0.9e1 - t39653 * t2342 / 0.12e2 - t39661 * t2342 / 0.12e2 - t39444 * t2342 / 0.6e1 - t8106 * t10678 / 0.6e1 + t1958 * t45149 / 0.3e1 + t1958 * t45966 / 0.6e1;
  t56888 = t8423 * t9521 / 0.3e1 + t8427 * t9521 / 0.3e1 + t555 * t29096 / 0.12e2 + t2048 * t6008 / 0.6e1 + t555 * t29092 / 0.6e1 + t2043 * t6008 / 0.6e1 + t1958 * t29869 / 0.6e1 + t8423 * t9434 / 0.3e1 + t8427 * t9434 / 0.3e1 + t1958 * t45173 / 0.3e1 - t1965 * t46575 / 0.6e1 + t1454 * t8312 + t1454 * t8314 / 0.2e1 + 0.7e1 / 0.3e1 * t24273 * t5640 * t1452 * t39182 - t8106 * t9297 / 0.3e1;
  t56910 = -t8110 * t9297 / 0.3e1 - t1965 * t46586 / 0.3e1 - t29044 * t1975 - t29052 * t1975 - t5674 * t8097 - t5674 * t8099 / 0.2e1 - 0.3e1 / 0.2e1 * t24273 * t5623 * t5672 * t39182 + t46011 + t46014 - t1165 * t2517 / 0.4e1 - t318 * t11355 / 0.2e1 + t46029 + t46031 + 0.18e2 * t10506 * t40248 * t51748 - t55557 / 0.3e1;
  t56929 = t1000 * t56070;
  t56932 = t1000 * t39321;
  t56935 = 0.2e1 / 0.9e1 * t55559 - t55561 / 0.9e1 + 0.2e1 / 0.9e1 * t55563 - t55565 / 0.9e1 + t55567 / 0.3e1 - t55571 / 0.3e1 + t55573 / 0.3e1 - t55575 / 0.18e2 + t55577 / 0.9e1 - t2030 * t5834 / 0.2e1 - t2030 * t5828 / 0.4e1 + t5814 * t11682 / 0.3e1 + t5986 * t11682 / 0.3e1 + t1432 * t56929 / 0.3e1 + t1432 * t56932 / 0.6e1;
  t56952 = t10485 * t56477;
  t56967 = -t8184 * t1420 - t2030 * t5803 - t2030 * t5793 / 0.2e1 - t8189 * t1424 / 0.2e1 - t8184 * t1424 / 0.2e1 - t5689 * t1941 / 0.2e1 - t5717 * t1941 / 0.2e1 - t1454 * t8318 / 0.2e1 - t1454 * t8321 / 0.4e1 + 0.14e2 / 0.3e1 * t29011 * t56952 - 0.6e1 * t5540 * t40266 * t10520 + 0.14e2 / 0.3e1 * t29011 * t10485 * t56472 - 0.6e1 * t5540 * t8223 * t45051 - t30146 * t11460 + t29770 * t11399 + t29764 * t11399;
  t56983 = t318 * t5561;
  t56984 = t5549 * t56192;
  t56987 = t318 * t52064;
  t56988 = t1021 * t17652;
  t56989 = t5553 * t56988;
  t56997 = t318 * t29010;
  t56998 = t10485 * t56988;
  t57005 = t24205 * t11450 + t5559 * t2060 * t46060 - t29767 * t11394 - t5540 * t8231 * t9242 + t5559 * t8231 * t46057 - t29773 * t11394 - t5540 * t2060 * t45887 - 0.6e1 * t29764 * t11438 - 0.2e1 / 0.3e1 * t56983 * t56984 - 0.4e1 * t56987 * t56989 + 0.14e2 / 0.3e1 * t29011 * t50698 * t56988 - 0.6e1 * t29773 * t11431 + 0.14e2 / 0.3e1 * t56997 * t56998 + t8058 * t44808 / 0.4e1 - 0.3e1 / 0.2e1 * t11381 * t51437;
  t57017 = t5549 * t56131;
  t57020 = t10485 * t56119;
  t57024 = t10458 * t5533 * t56118;
  t57039 = -t46064 + t46066 - t4145 * t39965 * t2257 / 0.2e1 - t4145 * t8070 * t9480 / 0.2e1 + t5575 * t39995 / 0.6e1 + 0.6e1 * t5540 * t40248 * t51336 - t28954 * t57017 / 0.2e1 + 0.7e1 / 0.3e1 * t28954 * t57020 - 0.3e1 / 0.2e1 * t28954 * t57024 + 0.3e1 / 0.2e1 * t45074 * t8383 + 0.2e1 * t55598 - t55599 / 0.3e1 + 0.55e2 / 0.18e2 * t11381 * t51925 - 0.11e2 / 0.6e1 * t11369 * t51968 - 0.11e2 / 0.3e1 * t11369 * t50752 + t8058 * t46346 / 0.6e1;
  t57074 = -t8052 * t46362 / 0.3e1 - t8055 * t46367 / 0.3e1 - t373 * t39422 * t2257 / 0.4e1 - t373 * t8317 * t9480 / 0.2e1 - t373 * t1940 * t44731 / 0.4e1 + t4454 * t2512 / 0.2e1 - t1056 * t11648 / 0.2e1 - t1056 * t11639 / 0.2e1 - t4457 * t2509 / 0.2e1 - t1078 * t11648 / 0.2e1 - t1078 * t11639 / 0.2e1 - t4462 * t2509 / 0.4e1 - t1056 * t11709 - t373 * t1936 * t46437 / 0.2e1 - t4454 * t2509 / 0.4e1;
  t57109 = -t1078 * t11706 - t1056 * t11706 - t373 * t39657 * t2394 / 0.2e1 + 0.15e2 / 0.2e1 * t29011 * t29498 * t4403 * t56811 + 0.23e2 / 0.18e2 * t11381 * t51905 + 0.2e1 * t11369 * t51908 + 0.2e1 / 0.3e1 * t8058 * t51912 - 0.3e1 * t29011 * t10458 * t5533 * t56821 - 0.4e1 / 0.3e1 * t8058 * t51897 + 0.2e1 * t5535 * t8374 * t50497 + t46073 - t4145 * t40979 * t2257 / 0.4e1 - t24205 * t11482 + t30053 * t570 / 0.4e1 + t30048 * t570 / 0.2e1 - t1075 * t11507 / 0.6e1;
  t57113 = t1074 * t11511;
  t57122 = t17665 * t994;
  t57124 = t5549 * t4143 * t57122;
  t57132 = t4137 * t56817;
  t57150 = t56695 * t5571;
  t57153 = t57113 * t377 / 0.2e1 - 0.2e1 * t4145 * t8374 * t51681 - 0.6e1 * t4145 * t39834 * t51885 - t24164 * t57124 + 0.11e2 * t5540 * t8223 * t51694 - 0.35e2 / 0.3e1 * t29011 * t29517 * t56812 - t5578 * t57132 / 0.3e1 + 0.14e2 / 0.3e1 * t29011 * t10485 * t56822 + t4145 * t8353 * t45947 - 0.2e1 * t5540 * t2056 * t45942 + 0.5e1 / 0.3e1 * t24164 * t29911 * t1021 * t11397 * t994 + t4145 * t8070 * t46359 + t5548 * t57150 / 0.4e1 - t46078 - t46085;
  t57165 = t46087 - t46089 - t46091 - t46102 + t46111 - 0.38e2 / 0.9e1 * t56375 * t50769 - t11381 * t50766 / 0.2e1 + t2251 + t46127 + t28961 * t8375 - t55605 / 0.6e1 - t46134 - t46142 - 0.6e1 * t5540 * t40288 * t50666 - 0.6e1 * t29770 * t11438;
  t57181 = t39733 * t440;
  t57185 = t8065 * t1384;
  t57196 = 0.6e1 * t29770 * t11479 - t8058 * t46099 / 0.3e1 - t55610 / 0.18e2 - t55612 / 0.18e2 - t55614 / 0.18e2 + t55616 / 0.3e1 + t55618 / 0.3e1 - t55620 / 0.18e2 - t24205 * t11762 / 0.2e1 - t24209 * t11762 / 0.2e1 - t4145 * t57181 * t1100 / 0.2e1 - t4145 * t57185 * t1100 / 0.2e1 - t4145 * t11761 * t4225 / 0.4e1 - 0.2e1 * t29767 * t11747 - 0.2e1 * t29773 * t11747;
  t57197 = t10458 * t56131;
  t57210 = t29517 * t56192;
  t57216 = -0.5e1 / 0.36e2 * t28954 * t57197 - t5712 * t2025 / 0.6e1 - t555 * t30040 / 0.12e2 - t8135 * t1449 / 0.12e2 - t46148 - t46149 - t55622 / 0.3e1 - 0.2e1 / 0.9e1 * t55624 + t55626 / 0.9e1 - t55629 / 0.3e1 - 0.7e1 / 0.3e1 * t30700 * t57210 - t55631 / 0.3e1 - t55633 / 0.6e1 - t55635 / 0.3e1 - t46163 - t46165;
  t57237 = -t46167 - t46169 + t46171 - t46209 - t46210 - t9463 - t8052 * t44786 / 0.3e1 - t28961 * t8067 / 0.4e1 + t1965 * t46313 / 0.3e1 + t2043 * t9400 / 0.6e1 + t2048 * t9400 / 0.6e1 + 0.2e1 / 0.3e1 * t1965 * t44923 + t1965 * t51571 / 0.3e1 + 0.2e1 / 0.3e1 * t8110 * t10594 + 0.2e1 / 0.3e1 * t8110 * t9427;
  t57256 = 0.2e1 / 0.3e1 * t8106 * t9427 + t39653 * t2353 / 0.3e1 + t39661 * t2353 / 0.3e1 + 0.2e1 / 0.3e1 * t39444 * t2353 + 0.2e1 / 0.3e1 * t8106 * t10594 + t46263 + t46274 - t46276 - t46290 + t46293 - 0.4e1 / 0.3e1 * t55646 + 0.2e1 / 0.3e1 * t55648 - t55650 + 0.14e2 / 0.9e1 * t55652 + 0.3e1 / 0.2e1 * t4145 * t8065 * t1389 * t6037 + t55654 / 0.18e2;
  t57263 = t2012 * t615;
  t57264 = t57263 * t1389;
  t57288 = t55656 / 0.9e1 - t55658 / 0.9e1 - t55660 / 0.9e1 - t30152 * t11460 + t24209 * t11450 - t5535 * t57264 * t1407 + t4145 * t57264 * t1412 + t11369 * t51802 - 0.2e1 / 0.3e1 * t24164 * t5549 * t4143 * t40160 * t2196 - 0.3e1 * t5540 * t8220 * t52046 - t1386 * t8122 / 0.6e1 - t442 * t39772 / 0.12e2 - t5726 * t1950 / 0.12e2 - t1386 * t8445 / 0.6e1 - t5709 * t1950 / 0.12e2;
  t57316 = -t5712 * t1950 / 0.6e1 - t1378 * t8445 / 0.6e1 - t1378 * t8122 / 0.6e1 + t29767 * t11733 + t29773 * t11733 + t5540 * t2054 * t9263 + t8058 * t45899 / 0.6e1 - t8058 * t46343 / 0.3e1 - t5548 * t39983 / 0.6e1 - 0.18e2 * t5559 * t40248 * t51744 + t46307 + t46308 - t4145 * t8353 * t9665 + 0.6e1 * t29764 * t11479 - t4145 * t39961 * t2394 + 0.2e1 * t11369 * t51817;
  t57344 = -0.11e2 / 0.9e1 * t11381 * t51876 - t8058 * t46092 - t39948 * t5603 - t39948 * t5596 / 0.2e1 + 0.3e1 / 0.2e1 * t5540 * t8227 * t51714 + 0.47e2 / 0.3e1 * t50503 * t29498 * t56988 + 0.2e1 * t11369 * t45852 - 0.11e2 / 0.9e1 * t11381 * t45237 - t55664 / 0.9e1 - t55667 / 0.9e1 + t55669 / 0.18e2 + t55671 / 0.9e1 + t55673 / 0.9e1 + t55675 / 0.9e1 + t55677 / 0.18e2;
  t57357 = -t2060 * t45566 + t40224 * t2373 - 0.12e2 * t40207 * t51088 - 0.2e1 * t8231 * t9545 + 0.2e1 * t8247 * t9560 - t45322 - t45330 - t45331 + t45344 + t45452 + t45454 + t45459;
  t57360 = t40235 * t10387;
  t57365 = t558 * t45746;
  t57380 = -t45462 - t45465 - 0.8e1 * t40195 * t10414 - 0.4e1 / 0.3e1 * t57360 * t10401 - 0.4e1 / 0.3e1 * t11538 * t45476 - 0.6e1 * t57365 * t45749 - 0.6e1 * t40207 * t45731 - 0.4e1 * t8254 * t45711 - 0.2e1 * t8254 * t45714 + 0.2e1 / 0.3e1 * t40190 * t45717 + 0.12e2 * t57360 * t10404 + 0.12e2 * t11538 * t45482;
  t57382 = t8230 * t10407;
  t57389 = t8226 * t51002;
  t57408 = -0.24e2 * t57382 * t10409 - 0.24e2 * t11533 * t45485 - 0.12e2 * t11533 * t51149 + 0.2e1 * t2056 * t51245 + 0.4e1 * t2060 * t51248 - 0.6e1 * t2060 * t51256 - 0.36e2 * t40217 * t51113 + 0.12e2 * t40288 * t51251 + 0.3e1 * t8220 * t45353 + 0.3e1 * t559 * t45357 - 0.4e1 * t8223 * t50941 + 0.8e1 * t57389 * t50983;
  t57431 = -0.2e1 / 0.3e1 * t40241 * t50944 - t40255 * t2362 / 0.3e1 - 0.2e1 / 0.3e1 * t8231 * t9601 - t2060 * t45501 / 0.3e1 + t8227 * t50954 / 0.18e2 + t45491 + 0.4e1 / 0.3e1 * t8231 * t9551 + 0.2e1 / 0.3e1 * t2060 * t45557 - t40255 * t2377 + 0.2e1 / 0.3e1 * t40255 * t2370 + t559 * t45646 / 0.2e1 + t2056 * t45440 + t8235 * t2233 / 0.2e1;
  t57447 = 0.12e2 * t40266 * t10375 - 0.6e1 * t40236 * t10379 + t2054 * t9541 + 0.36e2 * t40241 * t50961 - 0.6e1 * t8223 * t45522 - 0.6e1 * t8227 * t45633 + 0.2e1 * t8231 * t9632 - t45526 - t45528 + t45553 - t45581 + t45583;
  t57448 = t40247 * t50981;
  t57459 = t558 * t50902;
  t57462 = -t45598 + t45599 + t9558 + t45600 - t45601 + 0.24e2 * t57448 * t50983 - 0.72e2 * t57389 * t51018 + 0.8e1 / 0.3e1 * t57448 * t51004 - 0.6e1 * t40190 * t45657 + 0.12e2 * t40179 * t51024 - 0.24e2 * t57459 * t50905 + t45618;
  t57484 = t45624 + t45628 + 0.3e1 * t8227 * t45614 - 0.12e2 * t40248 * t50958 + 0.2e1 * t2060 * t45407 - 0.4e1 / 0.3e1 * t2060 * t51073 - 0.2e1 * t40224 * t2359 - 0.4e1 * t8247 * t9590 - 0.2e1 * t2056 * t45771 + 0.2e1 * t2060 * t45766 + 0.1e2 / 0.3e1 * t8227 * t50938 - 0.2e1 / 0.3e1 * t2060 * t45763;
  t57495 = -t8227 * t45434 / 0.18e2 + 0.2e1 * t40255 * t2366 + 0.4e1 * t8231 * t9623 + t45630 - t45632 + t45641 - t45652 - t45653 - t45654 + t45655 + t45668 - 0.2e1 * t40179 * t50899 + 0.15e2 * t40190 * t51167;
  t57517 = t2053 * t9649;
  t57524 = 0.6e1 * t11538 * t50999 - 0.2e1 / 0.3e1 * t11538 * t51158 - 0.4e1 / 0.3e1 * t57448 * t51161 - 0.4e1 * t40195 * t9643 + 0.44e2 / 0.3e1 * t40187 * t51167 + 0.4e1 * t40184 * t45740 - 0.22e2 * t40187 * t51164 - 0.5e1 * t40179 * t45470 + 0.4e1 * t40212 * t9646 + 0.4e1 * t57517 * t9652 + 0.2e1 / 0.3e1 * t40195 * t9640 + 0.1e2 / 0.3e1 * t40179 * t45724;
  t57549 = 0.6e1 * t40207 * t51188 - 0.8e1 * t8254 * t45338 + 0.4e1 * t11528 * t45697 + 0.2e1 / 0.3e1 * t8254 * t45700 + 0.4e1 * t8251 * t45683 - 0.5e2 / 0.3e1 * t40190 * t51172 - 0.5e1 / 0.18e2 * t40190 * t51185 + 0.4e1 * t8251 * t45349 + 0.4e1 * t11533 * t45482 + 0.4e1 * t57382 * t10404 + 0.12e2 * t11541 * t45346 - 0.2e1 / 0.9e1 * t11538 * t45737;
  t57555 = t2053 * t10417;
  t57574 = t2059 * t51016;
  t57577 = 0.4e1 / 0.3e1 * t40195 * t10384 - 0.2e1 / 0.9e1 * t57360 * t10390 + 0.12e2 * t57555 * t10419 + 0.4e1 * t40212 * t10422 + 0.2e1 * t11533 * t50999 + 0.4e1 / 0.3e1 * t57389 * t51004 - 0.4e1 * t8254 * t51010 + 0.4e1 / 0.3e1 * t8254 * t45743 + 0.2e1 * t8251 * t45687 - 0.2e1 * t40187 * t45657 + 0.6e1 * t11541 * t51013 - 0.12e2 * t57574 * t51018;
  t57604 = 0.2e1 * t8251 * t50976 + t40190 * t45706 / 0.9e1 + 0.2e1 / 0.3e1 * t8254 * t51007 - t11538 * t50989 / 0.9e1 - t57448 * t50996 / 0.9e1 + 0.5e2 / 0.3e1 * t40248 * t51270 - 0.2e1 * t559 * t45517 + 0.12e2 * t8223 * t45642 + 0.4e1 * t2060 * t45418 + 0.2e2 / 0.3e1 * t8227 * t45540 - 0.6e1 * t40277 * t10355 - 0.2e1 * t8247 * t10358 - 0.8e1 * t40266 * t10336;
  t57631 = -0.6e1 * t8220 * t45591 - 0.2e1 * t2056 * t45424 - 0.4e2 * t40241 * t51273 + 0.1e2 / 0.3e1 * t40248 * t51276 - 0.1e2 / 0.3e1 * t8227 * t45414 + 0.2e2 / 0.3e1 * t40236 * t10348 - 0.8e1 * t8223 * t45530 - 0.2e1 * t8247 * t9605 - 0.2e1 * t2054 * t9608 - 0.4e1 / 0.3e1 * t8231 * t9619 - 0.2e1 * t2056 * t45513 + 0.4e1 * t8223 * t45431;
  t57655 = 0.6e1 * t8223 * t51283 + t2060 * t45412 - 0.8e1 / 0.3e1 * t8231 * t10352 + t40236 * t10344 / 0.9e1 - 0.8e1 / 0.3e1 * t2060 * t45534 + t8227 * t45537 / 0.9e1 - 0.3e1 * t8227 * t51288 - 0.4e1 / 0.3e1 * t2060 * t45543 + 0.4e1 * t8231 * t10363 - 0.3e1 * t8220 * t51076 + 0.24e2 * t40217 * t50925 - t2056 * t50929 - t2056 * t45589;
  t57674 = -t559 * t45371 - 0.2e1 * t2054 * t9617 - t559 * t45376 + 0.2e1 * t2060 * t51052 - t8235 * t2220 + 0.2e1 * t11528 * t45678 + t8254 * t45703 / 0.3e1 - 0.4e1 * t40184 * t50908 + 0.12e2 * t40187 * t45752 + 0.72e2 * t57574 * t51031 + t45756 - t45757;
  t57691 = -t45759 - t45762 - t45781 - 0.8e1 * t40184 * t45388 + 0.5e1 / 0.9e1 * t40190 * t51085 - 0.5e1 / 0.3e1 * t40179 * t45380 + 0.1e2 / 0.3e1 * t40190 * t51104 - 0.22e2 / 0.3e1 * t40187 * t51091 - t2229 + 0.1e2 * t40179 * t45384 - 0.3e2 * t40190 * t51091 + 0.44e2 * t40187 * t51100 + t2210;
  t57717 = t55679 / 0.18e2 + t55681 / 0.18e2 - t1165 * t2496 / 0.4e1 - t110 * t139 * (t57357 + t57380 + t57408 + t57431 + t57447 + t57462 + t57484 + t57495 + t57524 + t57549 + t57577 + t57604 + t57631 + t57655 + t57674 + t57691) * t168 / 0.4e1 - t46322 - t46323 + t8052 * t44783 / 0.3e1 + t8055 * t28965 / 0.6e1 + 0.89e2 / 0.9e1 * t56375 * t50880 - 0.115e3 / 0.36e2 * t11381 * t51901 - 0.5e1 / 0.12e2 * t8058 * t46355 - 0.11e2 / 0.9e1 * t11381 * t50757 - t24205 * t11769 - t24209 * t11769 - t110 * t11609 * t404 / 0.2e1;
  t57725 = t110 * t40288;
  t57731 = t10458 * t56662;
  t57753 = t8055 * t45033 / 0.2e1 + t11372 * t44867 / 0.2e1 + t8052 * t50192 / 0.3e1 + 0.2e1 * t57725 * t51987 + 0.3e1 * t5559 * t8223 * t50640 + 0.18e2 * t50645 * t57731 + 0.6e1 * t5559 * t8223 * t45836 + 0.7e1 / 0.3e1 * t11381 * t29014 + t11372 * t50810 - t8052 * t51973 / 0.3e1 - t11372 * t51971 - t4145 * t11768 * t4667 / 0.2e1 - t4145 * t39733 * t1416 * t1419 - t4145 * t8065 * t5801 * t1419 - t55709 / 0.6e1;
  t57760 = t11448 * t5752;
  t57763 = -t55712 / 0.6e1 - t55714 / 0.6e1 - t55716 / 0.6e1 - t110 * t452 * t8586 / 0.4e1 - t54655 + t54657 + t54660 - t54662 - t54664 + t54666 + t54668 + t54670 + t54672 - t54674 - t54676 - t5535 * t57760 * t1407;
  t57791 = t4145 * t57760 * t1412 - 0.6e1 * t5559 * t40236 * t50508 + 0.3e1 * t5540 * t40236 * t10532 - 0.6e1 * t5559 * t8227 * t45203 + 0.3e1 * t5540 * t8227 * t45043 + t29773 * t11712 + t5540 * t8247 * t10607 + 0.12e2 * t50468 * t56989 + t29767 * t11712 + t46451 + t55734 / 0.3e1 + t55737 / 0.3e1 - t55739 / 0.6e1 - t55741 / 0.6e1 - t55743 / 0.6e1;
  t57822 = -t55745 / 0.6e1 - t55747 / 0.3e1 - t55749 / 0.3e1 + t55751 / 0.6e1 + t55753 / 0.6e1 + 0.3e1 * t29767 * t11472 + 0.3e1 * t29773 * t11472 + 0.3e1 * t51448 * t11445 + 0.3e1 * t51452 * t11445 + 0.3e1 * t10506 * t8227 * t45196 + 0.3e1 * t10506 * t40236 * t51455 - t55755 / 0.6e1 + 0.3e1 * t29767 * t11715 + 0.3e1 * t29773 * t11715 + 0.3e1 * t5540 * t40277 * t10614 + 0.3e1 * t5540 * t8220 * t45919;
  t57849 = 0.3e1 / 0.2e1 * t5540 * t8220 * t50463 + 0.2e1 * t50427 * t56984 + t55757 / 0.3e1 + 0.2e1 / 0.9e1 * t55762 - t55764 / 0.3e1 - t55766 / 0.18e2 - t55768 / 0.3e1 + t4145 * t11768 * t30326 - t46493 + 0.2e1 * t29770 * t11475 + 0.2e1 * t29764 * t11475 - t5535 * t8374 * t9448 + 0.2e1 / 0.3e1 * t39224 * t10541 + 0.6e1 * t5559 * t40266 * t50621 - 0.4e1 / 0.3e1 * t39229 * t10537;
  t57852 = t321 * t369 * t2494 * t1027;
  t57860 = t10458 * t4403 * t56476;
  t57886 = -t57852 * t1036 / 0.2e1 - 0.3e1 * t29011 * t10458 * t4403 * t56471 - 0.3e1 * t29011 * t57860 - 0.3e1 * t56997 * t57731 - t28961 * t8354 - t28961 * t8071 / 0.2e1 - 0.4e1 * t52065 * t30232 * t56988 - t318 * t11361 / 0.2e1 + t46507 - t5535 * t40492 * t2389 / 0.2e1 - t5535 * t40153 * t2389 - 0.3e1 * t5540 * t8223 * t51400 - t11381 * t51480 - t11381 * t45251 - t56416 * t10514 + t8058 * t45890 / 0.3e1;
  t57921 = t39224 * t9246 / 0.3e1 + t39229 * t9246 / 0.3e1 - t30152 * t11457 - t30146 * t11457 + t5559 * t2060 * t50841 + 0.2e1 * t5559 * t2060 * t44897 + 0.2e1 * t5559 * t8231 * t5563 + t55770 + t5548 * t39977 / 0.3e1 - t56413 * t10514 - 0.3e1 / 0.2e1 * t44886 * t8371 + 0.15e2 * t5559 * t8227 * t50477 + 0.3e1 / 0.2e1 * t5535 * t11449 * t29990 - 0.3e1 / 0.2e1 * t4145 * t11449 * t29995 + 0.5e1 / 0.2e1 * t5540 * t2060 * t46015;
  t57924 = t5587 * t56817;
  t57952 = t5535 * t8374 * t45955 + t5548 * t57924 / 0.2e1 - 0.15e2 / 0.2e1 * t5540 * t8227 * t50481 - 0.6e1 * t5535 * t39508 * t52074 + 0.3e1 * t4145 * t39508 * t52080 - 0.11e2 * t5559 * t8223 * t50473 + 0.6e1 * t5535 * t39834 * t51664 - 0.5e1 / 0.2e1 * t5559 * t2060 * t45950 + t5540 * t559 * t46241 + t5540 * t559 * t46245 / 0.2e1 - t24205 * t11718 / 0.2e1 + t46526 + t46529 - t46538 - t46540 - t46543;
  t57972 = -t46547 + t46548 + t46566 + t46567 - t46568 + t46569 - t110 * t2495 * t1146 / 0.4e1 - t55791 / 0.18e2 - t55793 / 0.18e2 - t55795 / 0.18e2 - 0.15e2 / 0.2e1 * t10506 * t8227 * t51668 + 0.3e1 * t30030 * t39508 * t51657 - t4145 * t8374 * t46020 + 0.3e1 / 0.2e1 * t2030 * t6038 + t1454 * t8438 / 0.2e1;
  t57978 = t1393 * t55998;
  t58002 = 0.3e1 / 0.2e1 * t1454 * t8435 - 0.2e1 * t5647 * t1400 * t56015 + t5647 * t57978 - 0.2e1 * t8360 * t45011 + t1958 * t50708 / 0.6e1 + t8427 * t10695 / 0.3e1 + t54682 + t46572 + t39103 * t2339 / 0.6e1 + t8423 * t10695 / 0.3e1 + t39122 * t2339 / 0.6e1 + t39125 * t2339 / 0.3e1 + t555 * t45998 / 0.12e2 + t8135 * t2199 / 0.12e2 + t2048 * t9367 / 0.6e1 + t8146 * t2199 / 0.6e1;
  t58037 = t2043 * t9367 / 0.6e1 - t1965 * t46040 / 0.12e2 + t8142 * t2199 / 0.12e2 - t1965 * t45810 / 0.6e1 - t1965 * t51318 / 0.12e2 - t8110 * t10678 / 0.6e1 - t8110 * t9518 / 0.6e1 - t8106 * t9518 / 0.6e1 + t46623 - t8490 * t45101 / 0.2e1 - t1454 * t8486 / 0.2e1 + t1051 * t11754 / 0.6e1 + t373 * t39801 * t445 * t376 / 0.4e1 + t373 * t8120 * t1467 * t376 / 0.2e1 + t5540 * t2056 * t45908;
  t58044 = t1093 * t565;
  t58045 = t58044 * t5567;
  t58048 = t5553 * t39982;
  t58053 = t30232 * t11468;
  t58056 = t5553 * t56218;
  t58075 = t5540 * t2056 * t50834 / 0.2e1 - t45078 * t8595 + t8058 * t46096 / 0.2e1 - t5548 * t58045 / 0.3e1 - t5548 * t58048 / 0.12e2 - t29786 * t11765 / 0.6e1 - t5548 * t58053 / 0.6e1 - t5548 * t58056 / 0.6e1 - 0.2e1 * t56375 * t50162 - t29779 * t11765 / 0.6e1 + 0.2e1 * t56491 * t10512 - 0.11e2 / 0.9e1 * t56416 * t10486 + 0.2e1 * t56488 * t10512 - 0.11e2 / 0.9e1 * t56413 * t10486 + 0.23e2 / 0.18e2 * t11381 * t45229 + t8058 * t51932 / 0.3e1;
  t58112 = 0.25e2 / 0.36e2 * t11381 * t51820 - 0.62e2 / 0.3e1 * t50503 * t50504 * t56662 - 0.3e1 * t5559 * t2060 * t50398 - 0.3e1 * t5559 * t8227 * t51982 + 0.2e1 * t8058 * t51486 - t8058 * t51483 - t11369 * t45028 / 0.2e1 - t8058 * t50157 / 0.2e1 + 0.3e1 / 0.2e1 * t30700 * t29498 * t4403 * t11397 + t5559 * t2060 * t46043 / 0.2e1 - 0.28e2 * t50645 * t56998 + t54686 - t110 * t1498 * t2013 / 0.2e1 - t318 * t11358 / 0.2e1 - t110 * t5960 * t584 / 0.4e1;
  t58132 = t5582 * t56218;
  t58135 = t5582 * t39982;
  t58148 = t8058 * t45894 / 0.3e1 - t5540 * t2060 * t50382 + t24205 * t11744 + t24209 * t11744 + t4145 * t40492 * t2402 / 0.2e1 + t4145 * t40153 * t2402 + t4145 * t8374 * t9492 - t5540 * t2060 * t45877 / 0.2e1 - 0.3e1 / 0.2e1 * t56164 * t5543 + t39948 * t5546 + t5578 * t58132 / 0.3e1 + t5578 * t58135 / 0.6e1 + t30276 * t8076 / 0.6e1 + t30279 * t8076 / 0.6e1 - 0.2e1 * t5540 * t8231 * t10630 - 0.2e1 * t5540 * t2060 * t46641;
  t58155 = my_piecewise3(t100, 0, t57822 + t58037 + t57753 + t56538 + t57952 + t57109 + t57972 + t56788 + t57005 + t56326 + t56515 + t56648 + t57886 + t58112 + t56828 + t57763 + t57921 + t56675 + t56592 + t56701 + t56726 + t56490 + t57717 + t56082 + t56910 + t56754 + t57288 + t57216 + t56186 + t57849 + t56967 + t56935 + t57256 + t57196 + t56358 + t56159 + t56006 + t58148 + t56210 + t56463 + t55932 + t57316 + t58075 + t56613 + t56851 + t56561 + t57791 + t57039 + t55943 + t57344 + t56295 + t56111 + t56233 + t57237 + t57074 + t56266 + t56045 + t57153 + t56423 + t58002 + t56392 + t56888 + t57165 + t55968);
  tv4rho2sigmatau17 = t3 * t58155 + 0.2e1 * t11812;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 17] += tv4rho2sigmatau17;

  t58158 = t2541 * t617;
  t58159 = t95 * t58158;
  t58160 = t26140 * t58159;
  t58164 = t25739 * t635 * t58158;
  t58173 = t764 * t11974;
  t58186 = t22070 * t58158;
  t58190 = t26082 * t58159;
  t58193 = t21220 * t58158;
  t58197 = t21225 * t58158;
  t58209 = t191 * t616 * t21067;
  t58213 = t6358 * t1551;
  t58217 = -0.3e1 / 0.2e1 * t4779 * t6390 * t58186 + t10036 * t58190 / 0.2e1 - 0.3e1 / 0.2e1 * t9873 * t6390 * t58193 + 0.3e1 * t4738 * t6390 * t58197 + 0.3e1 * t768 * t12180 + 0.3e1 * t757 * t12180 + 0.3e1 / 0.2e1 * t246 * t12179 * t3313 + 0.12e2 * t58209 * t19165 + t768 * t12184 + 0.2e1 / 0.3e1 * t58213 - 0.6e1 * t1532 * t6203;
  t58219 = t2526 * t21719;
  t58221 = t191 * t3512 * t58219;
  t58224 = t32408 * t1548;
  t58228 = t6186 * t9794;
  t58232 = t592 * t11974;
  t58233 = t58232 * t9105;
  t58250 = t219 * t221 * t6303;
  t58255 = t58232 * t8996;
  t58261 = t593 * t11989;
  t58262 = t3548 * t12093;
  t58264 = t3548 * t12195;
  t58266 = -t246 * t3284 * t2553 * t748 / 0.2e1 - 0.2e1 * t768 * t12177 - 0.2e1 * t757 * t12177 - t246 * t1555 * t58250 + 0.6e1 * t58221 * t4834 - t58255 / 0.3e1 + 0.6e1 * t3537 * t12093 + 0.6e1 * t3530 * t12093 + t58261 + 0.2e1 * t58262 - 0.2e1 * t58264;
  t58281 = t26835 * t19139;
  t58284 = t6283 * t2544;
  t58286 = t6324 * t2544;
  t58288 = t1508 * t12140;
  t58290 = t1508 * t12145;
  t58300 = t26105 * t19149;
  t58303 = t6186 * t9790;
  t58311 = t12004 * t3252;
  t58313 = t94 * t6303;
  t58315 = t1227 * t244 * t58313;
  t58318 = -0.6e1 * t3530 * t12195 - 0.6e1 * t3537 * t12195 - 0.3e1 * t644 * t11966 * t21530 - 0.62e2 / 0.3e1 * t41558 * t58300 - 0.2e1 / 0.9e1 * t58303 + 0.2e1 * t6167 * t47899 - 0.2e1 * t6335 * t1556 - t6335 * t1560 + t6335 * t1564 - 0.4e1 / 0.9e1 * t58311 + 0.2e1 / 0.3e1 * t1541 * t58315;
  t58324 = t6186 * t12234;
  t58326 = t593 * t12067;
  t58332 = t6214 * t9805;
  t58342 = -0.5e1 / 0.18e2 * t6107 * t47894 - t466 * t32319 / 0.6e1 + 0.4e1 / 0.9e1 * t58324 + t58326 / 0.3e1 - 0.6e1 * t768 * t11986 - 0.6e1 * t757 * t11986 + 0.2e1 / 0.9e1 * t58332 - t1541 * t47888 / 0.3e1 - t466 * t31643 / 0.3e1 + 0.4e1 / 0.3e1 * t6084 * t12234 + t466 * t31297 / 0.3e1;
  t58365 = 0.2e1 / 0.3e1 * t6116 * t9805 + t1522 * t6263 / 0.3e1 - t6081 * t9814 / 0.3e1 - t1522 * t6257 / 0.3e1 + 0.2e1 / 0.3e1 * t1568 * t47527 + 0.2e1 / 0.3e1 * t6112 * t9805 + t1517 * t6263 / 0.3e1 - t6084 * t9814 / 0.3e1 - t1517 * t6257 / 0.3e1 + t6311 * t2544 / 0.6e1 + t1517 * t12140 / 0.6e1;
  t58369 = t593 * t12166;
  t58376 = t1227 * t755 * t11980;
  t58381 = t1508 * t6263;
  t58387 = t58232 * t8786;
  t58389 = t661 * t58313;
  t58390 = t1220 * t58389;
  t58395 = t660 * t3279 * t12143;
  t58400 = t21461 * t6105;
  t58409 = t662 * t6095;
  t58418 = t3227 * t6165;
  t58425 = t662 * t1520;
  t58428 = t3227 * t6079;
  t58439 = -0.12e2 * t11842 * t27379 + 0.16e2 / 0.9e1 * t58400 * t4850 - 0.2e1 * t11845 * t3246 + 0.4e1 * t11842 * t4960 - 0.8e1 * t6484 - 0.2e1 * t6063 - 0.8e1 * t58409 * t1246 + 0.8e1 * t11839 * t27429 - 0.4e1 * t11842 * t27374 + 0.12e2 * t58400 * t4820 - 0.24e2 * t58418 * t4887 + 0.32e2 / 0.3e1 * t58400 * t4825 - 0.2e1 * t6430 * t222 - 0.4e1 * t58425 * t730 + 0.8e1 / 0.3e1 * t58428 * t1234 - 0.4e1 * t11839 * t3313 - 0.8e1 * t58418 * t4868 + 0.4e1 / 0.3e1 * t11842 * t4936 + 0.4e1 * t11845 * t3161;
  t58440 = t662 * t1539;
  t58459 = t1584 * t740;
  t58468 = t469 * t619;
  t58473 = t6418 * t619;
  t58476 = t1590 * t3415;
  t58479 = t6389 * t3396;
  t58484 = 0.12e2 * t58440 * t4878 + 0.8e1 * t58428 * t1239 + 0.12e2 * t6479 + 0.2e1 / 0.3e1 * t21472 * t2728 + 0.4e1 / 0.3e1 * t8813 * t12090 + 0.2e2 / 0.9e1 * t41246 * t19769 + 0.2e1 * t662 * t6303 * t249 - 0.4e1 * t472 * t3161 - 0.4e1 * t11857 * t4960 + 0.8e1 * t58459 * t1246 + 0.4e1 * t1599 * t730 + 0.4e1 * t11852 * t3313 + 0.2e1 * t472 * t3246 - 0.12e2 * t58468 * t4878 - 0.4e1 * t41268 * t2728 - 0.8e1 * t58473 * t1239 + 0.24e2 * t58476 * t4887 - 0.12e2 * t58479 * t4820 + 0.4e1 / 0.3e1 * t41246 * t19480;
  t58485 = t58439 + t58484;
  t58488 = t660 * t661 * t94 * t58485;
  t58491 = t6186 * t12148;
  t58493 = t12004 * t3173;
  t58504 = t660 * t20881 * t2542;
  t58511 = t466 * t58395 / 0.6e1 + t466 * t58488 / 0.12e2 - 0.2e1 / 0.9e1 * t58491 + 0.2e1 / 0.9e1 * t58493 + t1517 * t12145 / 0.6e1 + t6340 * t2544 / 0.12e2 + t1522 * t12140 / 0.6e1 + t1522 * t12145 / 0.6e1 + t466 * t58504 / 0.12e2 + t1568 * t31650 / 0.3e1 + t466 * t31301 / 0.6e1;
  t58515 = t2526 * t21185;
  t58517 = t191 * t21182 * t58515;
  t58524 = t3279 * t11980;
  t58525 = t1227 * t58524;
  t58534 = t12004 * t3308;
  t58536 = t1227 * t58389;
  t58544 = t6186 * t12130;
  t58546 = t12004 * t3272;
  t58548 = t11860 * t206;
  t58549 = t819 * t58548;
  t58552 = t11860 * t667;
  t58553 = t3430 * t58552;
  t58556 = t463 * t11860;
  t58558 = t4760 * t635 * t58556;
  t58570 = t2534 * t21953 / 0.6e1 + t2534 * t20838 / 0.3e1 - t58544 / 0.9e1 + t58546 / 0.9e1 + t4779 * t1587 * t58549 + t4779 * t470 * t58553 - 0.2e1 / 0.3e1 * t21878 * t58558 - t3123 * t6475 * t12165 / 0.2e1 + 0.3e1 * t47925 * t6063 - 0.2e1 * t48518 * t6067 - 0.3e1 * t47709 * t6479;
  t58573 = t206 * t1512;
  t58578 = t30 * t11891;
  t58583 = t4749 * t2532;
  t58587 = t276 * t1512;
  t58589 = t4765 * t3121 * t58587;
  t58592 = t30 * t2558;
  t58597 = t6214 * t11982;
  t58599 = t592 * t11952;
  t58600 = t58599 * t1260;
  t58602 = t41014 + t41016 + t41018 + t41023 + t41025 + t41027 + t41030 + t41033 - t41036 + 0.2e1 / 0.9e1 * t58597 - t58600 / 0.3e1;
  t58604 = t12074 * t670;
  t58606 = t592 * t11959;
  t58607 = t58606 * t1300;
  t58613 = t3284 * t2557;
  t58618 = t627 * t633 * t6303;
  t58627 = t3631 * t2593;
  t58632 = -t58604 / 0.9e1 + t58607 / 0.3e1 - 0.5e1 / 0.36e2 * t11975 * t21070 + t644 * t12096 * t20743 - t644 * t58613 * t649 / 0.2e1 - t644 * t1547 * t58618 + 0.3e1 * t644 * t11985 * t4936 + t1532 * t6219 + 0.3e1 * t1532 * t6209 - t58627 / 0.6e1 + 0.11e2 * t4779 * t11883 * t4780;
  t58633 = t2526 * t667;
  t58634 = t635 * t58633;
  t58635 = t26140 * t58634;
  t58638 = t653 * t58573;
  t58642 = t1512 * t667;
  t58643 = t3409 * t58642;
  t58647 = t463 * t1512;
  t58648 = t635 * t58647;
  t58649 = t10058 * t58648;
  t58652 = t2541 * t606;
  t58654 = t4760 * t635 * t58652;
  t58661 = t25958 * t12022;
  t58664 = t95 * t58548;
  t58665 = t4770 * t58664;
  t58668 = t95 * t58652;
  t58669 = t4770 * t58668;
  t58672 = t3375 * t58652;
  t58676 = -0.35e2 / 0.3e1 * t27523 * t58635 - 0.12e2 * t4779 * t6393 * t58638 - 0.4e1 * t4779 * t1591 * t58643 + 0.28e2 / 0.3e1 * t27523 * t58649 - t6069 * t58654 / 0.3e1 + t31284 * t12023 / 0.3e1 + t31242 * t12023 / 0.3e1 + t6069 * t58661 / 0.3e1 + t6069 * t58665 / 0.3e1 + t6069 * t58669 / 0.6e1 + t4738 * t1591 * t58672 / 0.2e1;
  t58685 = t3409 * t58652;
  t58694 = t2576 * t66;
  t58696 = t660 * t58694 * t668;
  t58700 = t673 * t58694 * t674;
  t58714 = t3658 * t58219;
  t58719 = t6365 * t2544 / 0.54e2;
  t58722 = t6358 * t1556;
  t58724 = t6358 * t1560;
  t58726 = t6358 * t1564;
  t58728 = 0.2e1 * t3537 * t12097 - t3537 * t12099 - 0.2e1 * t3530 * t12091 + 0.2e1 * t3530 * t12097 - t3530 * t12099 + 0.36e2 * t644 * t58714 * t4825 - t58719 + 0.2e1 / 0.3e1 * t2534 * t21824 - 0.2e1 / 0.3e1 * t58722 - t58724 / 0.3e1 + t58726 / 0.3e1;
  t58730 = t3402 * t58573;
  t58734 = t3375 * t58573;
  t58738 = t25980 * t11965;
  t58745 = t3375 * t58548;
  t58748 = t3409 * t58548;
  t58755 = t31575 * t12107;
  t58758 = t31352 * t12112;
  t58760 = t31352 * t12104;
  t58762 = t2541 * t3140;
  t58764 = t42955 * t95 * t58762;
  t58767 = t31355 * t12115;
  t58769 = t3130 * t58159;
  t58772 = t21655 * t12127;
  t58774 = t26891 * t12123;
  t58776 = t22055 * t58762;
  t58780 = t26891 * t12119;
  t58782 = t819 * t58158;
  t58786 = t1512 * t1512;
  t58792 = t58758 / 0.18e2 - t58760 / 0.9e1 + t6488 * t58764 / 0.2e1 - t58767 / 0.9e1 + t10097 * t58769 / 0.2e1 - t58772 / 0.6e1 + t58774 / 0.3e1 - 0.3e1 / 0.2e1 * t4779 * t470 * t58776 + t58780 / 0.3e1 - 0.3e1 / 0.2e1 * t4779 * t6424 * t58782 + t191 * t194 * t58786 * t740 * t223 / 0.3e1;
  t58797 = t3620 * t2528 * t223 / 0.27e2;
  t58799 = t3621 * t2588 / 0.9e1;
  t58800 = t645 * t58786;
  t58803 = t30827 * t481;
  t58805 = t3627 * t2533;
  t58806 = t58805 * t630;
  t58808 = t12004 * t3540;
  t58811 = t32124 * t481 / 0.9e1;
  t58826 = t4749 * t11958;
  t58830 = t26888 * t12032;
  t58833 = t4760 * t635 * t58642;
  t58842 = t3375 * t12017;
  t58845 = -t1517 * t6347 / 0.3e1 + t32451 * t481 / 0.2e1 + t30815 * t481 / 0.2e1 + t30808 * t481 + 0.6e1 * t4748 * t58826 * t1234 + t58830 / 0.3e1 - 0.8e1 / 0.3e1 * t6069 * t58833 + 0.2e1 / 0.3e1 * t6491 * t47959 + t6488 * t31514 / 0.3e1 - t2529 * t3269 / 0.6e1 + t4738 * t6419 * t58842;
  t58854 = t58232 * t8993;
  t58856 = t3548 * t12097;
  t58858 = t188 * t11814;
  t58864 = t764 * t11959;
  t58869 = -0.6e1 * t4748 * t58738 * t9038 + t2534 * t21908 / 0.3e1 - t1541 * t47891 / 0.6e1 + 0.23e2 / 0.54e2 * t58854 + 0.2e1 / 0.3e1 * t58856 - t58858 / 0.6e1 - t768 * t12161 / 0.2e1 - t768 * t12166 / 0.2e1 + t58864 * t1300 + t11960 * t5032 + t11960 * t3320 / 0.2e1;
  t58878 = t673 * t58389;
  t58881 = t764 * t11952;
  t58886 = t593 * t11986;
  t58888 = t593 * t12173;
  t58892 = 0.5e1 / 0.3e1 * t58221 * t5037 + t12046 * t676 / 0.3e1 + t2529 * t3281 / 0.3e1 + t2529 * t3305 / 0.6e1 + t1568 * t58878 / 0.3e1 - t58881 * t1260 - t11953 * t5012 - t11953 * t3262 / 0.2e1 - 0.2e1 * t58886 - 0.2e1 / 0.3e1 * t58888 - t3610 * t2593 / 0.4e1;
  t58917 = t191 * t242 * t2576 * t641;
  t58924 = t3567 * t2533;
  t58938 = t58805 * t752;
  t58940 = t26140 * t18972;
  t58943 = -t246 * t247 * t58786 * t748 - t58924 * t752 / 0.12e2 - t12041 * t3599 / 0.6e1 + t2529 * t3553 / 0.6e1 + t3567 * t2528 * t223 / 0.6e1 + t12046 * t612 / 0.3e1 + t2534 * t21691 / 0.3e1 - t58938 / 0.18e2 - t41368 + t2160 - 0.7e1 / 0.3e1 * t26124 * t58940;
  t58950 = t191 * t616 * t11965;
  t58965 = t3548 * t12099;
  t58969 = t54269 * t18973;
  t58973 = t2541 * t3244;
  t58974 = t3430 * t58973;
  t58978 = t276 * t2526;
  t58979 = t3121 * t58978;
  t58980 = t4765 * t58979;
  t58983 = t819 * t58652;
  t58987 = t4760 * t58634;
  t58990 = t3124 * t2527;
  t58996 = t3124 * t2532;
  t59000 = t229 * t58573;
  t59004 = -t2534 * t20921 - 0.2e1 / 0.9e1 * t58969 + 0.2e1 * t53153 * t18973 + t4779 * t470 * t58974 / 0.2e1 - 0.4e1 * t52652 * t58980 + t4779 * t1587 * t58983 / 0.2e1 + 0.22e2 / 0.3e1 * t52652 * t58987 + t3123 * t58990 * t730 - 0.3e1 * t4779 * t11878 * t4786 + 0.3e1 * t3123 * t58996 * t1246 + 0.6e1 * t4779 * t6424 * t59000;
  t59007 = t819 * t58642;
  t59011 = t4765 * t58648;
  t59026 = t648 * t58573;
  t59038 = t3621 * t2593 / 0.18e2;
  t59041 = t247 * t11958;
  t59048 = -t41377 - t41379 - t41382 - 0.2e1 * t1532 * t6097 - t1532 * t6137 + t1532 * t6133 - t2534 * t20820 / 0.2e1 + t59038 - t246 * t12183 * t3161 - 0.6e1 * t246 * t59041 * t4878 + 0.3e1 * t246 * t12096 * t20911;
  t59050 = t6186 * t9814;
  t59060 = t592 * t12215;
  t59061 = t59060 * t250;
  t59065 = t21207 * t58515;
  t59070 = -t59050 / 0.9e1 - t2534 * t21302 / 0.12e2 - t58924 * t630 / 0.6e1 - t12041 * t3540 / 0.3e1 - t2534 * t21688 / 0.6e1 + t59061 / 0.6e1 - t12216 * t749 / 0.2e1 - t41388 + t41404 + 0.18e2 * t3680 * t59065 * t43214 - t25696 * t12027;
  t59071 = t12102 * t206;
  t59072 = t22070 * t59071;
  t59077 = t3171 * t18522 * t206;
  t59080 = -0.5e1 / 0.2e1 * t4738 * t1591 * t59072 - t3123 * t6066 * t59077 - t41481 + t41484 - t41500 - t41502 + t41505 - t41513 - t41515 + t41516 + t41518;
  t59091 = t10037 * t635 * t58573;
  t59097 = t253 * t12110 * t206;
  t59098 = t4760 * t59097;
  t59103 = t95 * t58573;
  t59104 = t4760 * t59103;
  t59112 = t764 * t12215;
  t59116 = t3627 * t2528 * t223;
  t59118 = t12074 * t612;
  t59120 = t3631 * t2588;
  t59122 = t3637 * t2588;
  t59124 = t3631 * t2596;
  t59126 = t6069 * t47371 - 0.2e1 * t10036 * t59104 + 0.5e1 / 0.2e1 * t58578 * t43055 - t58578 * t41155 - t765 * t12211 / 0.6e1 + t59112 * t250 / 0.2e1 + t59116 / 0.9e1 + t59118 / 0.9e1 - t59120 / 0.3e1 - t59122 / 0.3e1 + t59124 / 0.3e1;
  t59128 = t3637 * t2596;
  t59131 = t3621 * t2596 / 0.9e1;
  t59134 = t771 * t12211;
  t59136 = t21416 * t2584;
  t59138 = t21421 * t2584;
  t59143 = t593 * t12177;
  t59145 = t593 * t12180;
  t59146 = t593 * t12184;
  t59148 = t592 * t43515;
  t59149 = t59148 * t19165;
  t59151 = t12004 * t3176;
  t59153 = t645 * t11965;
  t59162 = t41631 - t41636 - t246 * t12096 * t20748 - 0.2e1 / 0.3e1 * t59143 + t59145 + t59146 / 0.3e1 - 0.4e1 / 0.3e1 * t59149 - t59151 / 0.9e1 + 0.18e2 * t246 * t59153 * t4887 - 0.18e2 * t644 * t59153 * t4868 + t2529 * t3143 / 0.3e1;
  t59166 = t191 * t194 * t11958;
  t59183 = t95 * t58642;
  t59184 = t4760 * t59183;
  t59187 = t10037 * t59103;
  t59191 = t253 * t58587;
  t59192 = t4765 * t59191;
  t59198 = t26891 * t12027;
  t59200 = t31575 * t12023;
  t59216 = -t6069 * t59192 / 0.3e1 - t3123 * t31707 * t2592 / 0.4e1 - t59198 / 0.3e1 + t59200 / 0.9e1 - 0.2e1 / 0.3e1 * t6084 * t12148 + 0.2e1 / 0.3e1 * t12041 * t3173 - t12041 * t3176 / 0.3e1 - 0.23e2 / 0.3e1 * t58221 * t4951 - 0.11e2 / 0.9e1 * t58173 * t8761 - 0.11e2 / 0.9e1 * t11975 * t41612 - 0.11e2 / 0.18e2 * t11975 * t21115;
  t59239 = -0.61e2 / 0.27e2 * t58517 * t43128 + 0.3e1 * t21706 * t11967 + 0.3e1 * t21711 * t11967 + 0.3e1 / 0.2e1 * t3680 * t11966 * t21540 + 0.2e1 * t58864 * t1223 + 0.2e1 * t11960 * t4929 + t11960 * t4917 + 0.22e2 / 0.3e1 * t58221 * t4920 - 0.2e1 * t6295 * t6092 - t6295 * t6088 + 0.2e1 * t6353 * t1551;
  t59243 = t1508 * t6257;
  t59246 = t30 * t11878;
  t59248 = t12074 * t676;
  t59250 = 0.2e1 * t6335 * t1551 + t6167 * t47534 - t59243 / 0.9e1 + t42163 - t42171 + t42182 + t25696 * t12123 - t59246 * t4797 + t42199 - t42201 + t59248 / 0.9e1;
  t59256 = t673 * t58524;
  t59259 = t12004 * t3255;
  t59261 = t4770 * t58159;
  t59263 = t3375 * t58158;
  t59267 = t3409 * t58158;
  t59274 = t4770 * t59183;
  t59286 = t3637 * t2593;
  t59288 = t3548 * t12091;
  t59290 = t30 * t11883;
  t59294 = t658 * t221 * t58485;
  t59298 = t593 * t12171;
  t59300 = 0.7e1 / 0.3e1 * t11975 * t21108 + 0.89e2 / 0.9e1 * t58517 * t43196 - t59286 / 0.6e1 - 0.2e1 / 0.3e1 * t59288 + t42282 + t42284 - 0.11e2 / 0.3e1 * t59290 * t4772 - t246 * t1559 * t59294 / 0.4e1 + 0.2e1 / 0.3e1 * t59298 - t8743 - t42396;
  t59302 = t3130 * t59097;
  t59305 = t95 * t59071;
  t59306 = t26082 * t59305;
  t59311 = t8642 * t253 * t12110 * t667;
  t59314 = t12859 * t2541;
  t59316 = t4760 * t3121 * t59314;
  t59319 = t593 * t12161;
  t59321 = t58232 * t8761;
  t59326 = t10058 * t59103;
  t59331 = t4754 * t59103;
  t59334 = t6358 * t1514;
  t59342 = -0.22e2 / 0.9e1 * t10036 * t59326 + 0.55e2 / 0.18e2 * t58578 * t42412 + 0.4e1 * t10066 * t59331 - t42478 - t42484 + t42485 + t42487 + t59334 / 0.3e1 + t58924 * t637 / 0.3e1 + 0.2e1 / 0.3e1 * t12041 * t3577 - t466 * t31073 / 0.6e1;
  t59350 = t22385 * t2584 / 0.9e1;
  t59361 = t3620 * t2533;
  t59363 = t59361 * t630 / 0.27e2;
  t59365 = t222 * t11949;
  t59370 = t191 * t242 * t11947 * t243;
  t59376 = t12004 * t3577;
  t59379 = t6365 * t1527 / 0.27e2;
  t59380 = t58805 * t637;
  t59382 = t1508 * t6347;
  t59384 = t6324 * t1527;
  t59386 = t6283 * t1527;
  t59388 = t30783 * t481;
  t59390 = -t211 * t59365 / 0.6e1 + t59370 * t250 / 0.2e1 - t3568 * t2588 / 0.2e1 - t3605 * t2588 + 0.2e1 / 0.9e1 * t59376 + t59379 + 0.2e1 / 0.9e1 * t59380 - t59382 / 0.9e1 - t59384 / 0.9e1 - t59386 / 0.9e1 + t59388 / 0.3e1;
  t59394 = t191 * t616 * t58786 * t619;
  t59398 = 0.2e1 / 0.27e2 * t59361 * t637;
  t59401 = t629 * t2578;
  t59405 = t634 * t2577 * t635;
  t59411 = t26069 * t3678 * t4832;
  t59419 = 0.2e1 / 0.3e1 * t59394 * t637 - t59398 + t12216 * t655 / 0.2e1 - t622 * t59401 / 0.6e1 + t622 * t59405 / 0.3e1 + t26777 * t12032 - t25730 * t12027 + 0.8e1 * t58517 * t59411 + 0.3e1 * t32471 * t6247 - 0.6e1 * t6295 * t6231 - t6107 * t47609;
  t59435 = t593 * t12188;
  t59437 = t592 * t43668;
  t59438 = t59437 * t19146;
  t59445 = t627 * t628 * t6303;
  t59448 = 0.14e2 / 0.3e1 * t6107 * t47612 - 0.3e1 * t6107 * t47603 + 0.6e1 * t246 * t59065 * t43224 - 0.2e1 * t58517 * t43189 - 0.18e2 * t644 * t59065 * t43218 - 0.18e2 * t246 * t58714 * t4820 - t59435 / 0.3e1 + 0.14e2 / 0.9e1 * t59438 + 0.2e1 * t768 * t12171 + 0.2e1 * t757 * t12171 + t246 * t1547 * t59445;
  t59459 = t4754 * t59191;
  t59467 = t21593 * t12111;
  t59472 = t3130 * t253 * t719 * t2541;
  t59477 = t3130 * t253 * t276 * t11860;
  t59480 = t42883 * t12103;
  t59484 = t8642 * t95 * t58552;
  t59488 = t8642 * t95 * t58973;
  t59495 = t42581 + t42583 + t31844 * t12112 / 0.6e1 + t6488 * t59467 / 0.6e1 + t6488 * t59472 / 0.12e2 + t6488 * t59477 / 0.6e1 - t6488 * t59480 / 0.3e1 - t6488 * t59484 / 0.3e1 - t6488 * t59488 / 0.6e1 + t31284 * t12107 / 0.6e1 + t31242 * t12107 / 0.6e1;
  t59497 = t25669 * t12022;
  t59500 = t4760 * t58664;
  t59503 = t4760 * t58668;
  t59506 = t25739 * t58159;
  t59514 = t22051 * t59071;
  t59519 = t3171 * t18704 * t206;
  t59522 = t27475 * t59305;
  t59528 = t21593 * t12022;
  t59531 = t3130 * t58664;
  t59534 = t3130 * t58668;
  t59537 = t4760 * t58159;
  t59544 = t42640 - t42659 - t42714 - t42716 - t31364 * t12115 / 0.3e1 - t6491 * t59528 / 0.3e1 - t6491 * t59531 / 0.3e1 - t6491 * t59534 / 0.6e1 - t10066 * t59537 / 0.2e1 - t31841 * t12104 / 0.3e1 - t31844 * t12104 / 0.3e1;
  t59549 = t3448 * t58573;
  t59561 = t21784 * t11967;
  t59565 = t58606 * t1223;
  t59578 = t188 * t11949;
  t59580 = t8642 * t59305;
  t59583 = t12030 * t667;
  t59585 = t26082 * t635 * t59583;
  t59589 = t3138 * t2591 * t667;
  t59594 = t30 * t2554;
  t59597 = 0.3e1 * t1532 * t6250 - 0.2e1 / 0.3e1 * t52647 * t18973 - t21617 * t12127 / 0.2e1 + t25730 * t12119 - t59578 / 0.6e1 + t42821 + 0.2e1 / 0.3e1 * t6491 * t59580 + 0.5e1 / 0.3e1 * t21878 * t59585 + t3123 * t6475 * t59589 - 0.11e2 / 0.6e1 * t59290 * t4806 - t59594 * t3133 / 0.3e1;
  t59602 = t634 * t2578;
  t59613 = t59246 * t4793 - t42912 - t42930 + t42933 - t42936 + t12216 * t761 / 0.4e1 - t622 * t59602 / 0.12e2 - t22396 * t2584 / 0.2e1 - t609 * t12211 / 0.12e2 + t1532 * t6305 / 0.2e1 - t21685 * t2584 / 0.2e1;
  t59624 = t12004 * t3599;
  t59629 = t59361 * t752 / 0.54e2;
  t59632 = -t22440 * t2584 + t6353 * t1514 + t6335 * t1514 + t3568 * t2596 / 0.2e1 + t3605 * t2596 + t3610 * t2596 / 0.2e1 - t3610 * t2588 / 0.2e1 - t59624 / 0.18e2 - t59394 * t752 / 0.6e1 + t59629 - t59394 * t630 / 0.3e1;
  t59636 = t781 * t2578;
  t59638 = t4770 * t59097;
  t59642 = t3430 * t59071;
  t59647 = t658 * t2591 * t206;
  t59650 = -0.2e1 * t4779 * t1587 * t59642 + t3123 * t6496 * t59647 + t43086 - t43089 + t43095 + t43103 + t43106 + t43108 + t43112 - t43118 - t43119;
  t59658 = t1220 * t58524;
  t59671 = t43201 - t43204 + t43254 + t43256 - t182 * t11814 / 0.2e1 + t59290 * t4803 - t43266 + t43267 - t43269 - t43271 + t31841 * t12112 / 0.6e1;
  t59675 = t3375 * t58642;
  t59682 = t4796 * t59103;
  t59685 = t3130 * t59183;
  t59688 = t4765 * t59103;
  t59692 = t777 * t2578 / 0.18e2;
  t59704 = t10058 * t58979;
  t59708 = t4796 * t59191;
  t59711 = t25669 * t18972;
  t59720 = -0.2e1 * t32403 * t6497 - 0.6e1 * t3123 * t58826 * t1239 - 0.2e1 * t3123 * t58583 * t3186 + 0.14e2 / 0.3e1 * t27523 * t59704 + t25696 * t12119 - t43325 + 0.2e1 / 0.3e1 * t6491 * t59708 - 0.2e1 / 0.3e1 * t21878 * t59711 - t21621 * t12127 / 0.2e1 + t4779 * t6413 * t12118 + t4779 * t1585 * t12122;
  t59722 = t1512 * t2541;
  t59724 = t4760 * t635 * t59722;
  t59747 = -0.2e1 / 0.3e1 * t21878 * t59724 - t3123 * t31711 * t2592 / 0.2e1 + 0.2e1 * t1532 * t6120 + t1532 * t6122 + 0.2e1 / 0.3e1 * t1541 * t30991 + 0.23e2 / 0.18e2 * t6107 * t47265 - 0.3e1 * t58173 * t9105 - 0.3e1 * t11975 * t41507 - 0.3e1 / 0.2e1 * t11975 * t21112 - 0.43e2 / 0.9e1 * t58517 * t43186 - 0.2e1 * t32423 * t1548;
  t59766 = t11890 * t21730;
  t59769 = t60 * t6303;
  t59770 = t653 * t59769;
  t59775 = t229 * t59769;
  t59780 = t2557 * t21402;
  t59788 = t63 * t6303;
  t59789 = t229 * t59788;
  t59798 = t5244 * t2541;
  t59799 = t3375 * t59798;
  t59802 = t5235 * t2541;
  t59803 = t21220 * t59802;
  t59806 = t653 * t59788;
  t59809 = t11917 * t667;
  t59810 = t3375 * t59809;
  t59813 = t11917 * t206;
  t59814 = t3448 * t59813;
  t59817 = t11911 * t206;
  t59818 = t819 * t59817;
  t59821 = -0.4e1 * t2558 * t22081 - 0.4e1 * t1587 * t59789 + 0.6e1 * t11878 * t5207 - 0.12e2 * t59780 * t5210 + 0.2e1 * t2554 * t3379 - 0.2e1 / 0.3e1 * t1591 * t59799 - t6390 * t59803 / 0.18e2 + 0.4e1 * t1591 * t59806 - 0.16e2 / 0.3e1 * t1591 * t59810 + 0.2e1 / 0.9e1 * t6390 * t59814 - 0.2e1 * t1587 * t59818;
  t59824 = t3430 * t11911 * t667;
  t59841 = t62 * t1512;
  t59842 = t59841 * t206;
  t59843 = t233 * t59842;
  t59846 = t59841 * t667;
  t59847 = t233 * t59846;
  t59850 = -0.2e1 * t470 * t59824 + 0.44e2 / 0.3e1 * t11883 * t5191 - 0.2e1 * t6413 * t11896 - 0.2e1 * t1585 * t11899 - 0.4e1 / 0.3e1 * t6419 * t11865 - 0.4e1 * t2554 * t3432 - t2554 * t3436 + t6467 * t2572 / 0.2e1 + t1585 * t11912 + 0.24e2 * t9935 * t59843 + 0.8e1 * t6440 * t59847;
  t59851 = t2553 * t26549;
  t59854 = t840 * t59071;
  t59857 = t22070 * t59802;
  t59862 = t21181 * t2526;
  t59863 = t59862 * t21209;
  t59870 = t3375 * t59817;
  t59874 = t819 * t60 * t58485;
  t59878 = t819 * t63 * t58485;
  t59880 = t648 * t59788;
  t59883 = -0.12e2 * t59851 * t5171 - 0.5e1 * t31895 * t59854 + 0.3e1 * t6390 * t59857 - 0.72e2 * t59766 * t5180 + 0.8e1 / 0.3e1 * t59863 * t42036 + 0.24e2 * t59863 * t42039 - 0.5e1 / 0.18e2 * t11891 * t41829 - 0.4e1 / 0.3e1 * t1591 * t59870 + t470 * t59874 / 0.2e1 - t470 * t59878 - 0.2e1 / 0.3e1 * t1591 * t59880;
  t59897 = t819 * t59798;
  t59899 = t3375 * t59802;
  t59903 = t3430 * t2571 * t3244;
  t59905 = t3409 * t59798;
  t59908 = t21225 * t59802;
  t59911 = t615 * t58786;
  t59912 = t59911 * t619;
  t59915 = -0.1e2 / 0.3e1 * t6390 * t59908 - 0.2e1 * t59912 * t841 + t41726 + t41727 + t8876 - t41728 + t41755 + t41792 - t41796 - t41841 - t41843;
  t59917 = t41877 * t59071;
  t59920 = t41881 * t59071;
  t59923 = t41885 * t59071;
  t59927 = t233 * t11819 * t3244;
  t59930 = t11819 * t606;
  t59931 = t827 * t59930;
  t59934 = t11819 * t617;
  t59935 = t3482 * t59934;
  t59938 = -0.8e1 * t31906 * t59917 - 0.5e1 / 0.3e1 * t31895 * t59920 + 0.1e2 * t31895 * t59923 - t41900 - t41901 + t41913 + t41921 + 0.2e1 * t9923 * t59927 + t6427 * t59931 / 0.3e1 + t31864 * t59935 / 0.9e1 + t41976;
  t59939 = t193 * t58786;
  t59947 = t819 * t59802;
  t59951 = t22055 * t2571 * t3140;
  t59954 = 0.2e1 * t59939 * t740 * t234 - 0.2e1 * t2558 * t22071 + 0.4e1 / 0.3e1 * t59766 * t5216 + 0.3e1 * t6424 * t59947 + 0.3e1 * t470 * t59951 + t41978 - t41987 + t41991 - t42004 + t42006 - t42015;
  t59964 = t62 * t11860;
  t59965 = t59964 * t206;
  t59966 = t233 * t59965;
  t59970 = t233 * t59964 * t667;
  t59973 = t827 * t59965;
  t59976 = t3482 * t59842;
  t59979 = t2557 * t26646;
  t59982 = t11890 * t26528;
  t59986 = t233 * t59071;
  t59989 = t827 * t59071;
  t59992 = t827 * t59842;
  t59995 = t827 * t59846;
  t59998 = t2553 * t21343;
  t60001 = t3409 * t59802;
  t60006 = t3409 * t59817;
  t60009 = 0.4e1 * t31906 * t59986 + 0.1e2 / 0.3e1 * t31895 * t59989 + 0.8e1 * t9944 * t59992 + 0.8e1 / 0.3e1 * t6427 * t59995 - 0.24e2 * t59998 * t5232 - 0.6e1 * t6393 * t60001 + t42033 - t42052 + t42057 + 0.12e2 * t2558 * t22052 + 0.2e1 * t1591 * t60006;
  t60015 = t3375 * t59813;
  t60019 = t233 * t11819 * t3140;
  t60022 = t840 * t59934;
  t60025 = t840 * t59846;
  t60038 = 0.2e1 * t6419 * t11886 + 0.15e2 * t11891 * t41768 - 0.12e2 * t6390 * t60015 - 0.6e1 * t47988 * t60019 + 0.12e2 * t31879 * t60022 - 0.16e2 * t6427 * t60025 - 0.4e1 / 0.3e1 * t2558 * t22185 + 0.36e2 * t59766 * t5236 - 0.12e2 * t59863 * t42011 + 0.5e2 / 0.3e1 * t59863 * t42001 - 0.36e2 * t59780 * t5239;
  t60043 = t648 * t59769;
  t60050 = t840 * t59930;
  t60053 = t3475 * t59934;
  t60056 = 0.1e2 / 0.3e1 * t11891 * t22204 + 0.1e2 / 0.3e1 * t59863 * t41995 + 0.4e1 / 0.3e1 * t1591 * t60043 + 0.2e1 * t2554 * t3471 + 0.4e1 / 0.3e1 * t59912 * t828 - t42063 - t42064 - t42065 + t42066 - 0.2e1 * t6427 * t60050 + 0.2e1 / 0.3e1 * t31864 * t60053;
  t60059 = t233 * t59930;
  t60062 = t827 * t59934;
  t60067 = t840 * t59965;
  t60072 = t233 * t59934;
  t60085 = 0.2e1 * t6440 * t60059 - 0.2e1 * t31879 * t60062 - 0.6e1 * t31864 * t60062 - 0.4e1 * t6427 * t60067 - 0.4e1 * t31861 * t11821 - 0.6e1 * t31898 * t60072 - 0.12e2 * t11883 * t5195 + 0.8e1 * t59766 * t5187 - 0.2e1 / 0.3e1 * t11891 * t22103 - 0.4e1 / 0.3e1 * t59863 * t41808 + 0.72e2 * t59780 * t5184;
  t60090 = t229 * t59813;
  t60093 = t819 * t59809;
  t60096 = t648 * t59813;
  t60101 = t653 * t59813;
  t60104 = t3409 * t59809;
  t60107 = t3402 * t59813;
  t60110 = t840 * t59842;
  t60115 = -0.22e2 * t11883 * t5223 - 0.5e2 / 0.3e1 * t11891 * t42108 - 0.12e2 * t6424 * t60090 - 0.4e1 * t1587 * t60093 - 0.16e2 * t6393 * t60096 + 0.6e1 * t11878 * t5198 + 0.24e2 * t6393 * t60101 + 0.8e1 * t1591 * t60104 + 0.4e2 / 0.3e1 * t6390 * t60107 - 0.48e2 * t9944 * t60110 + 0.44e2 * t59979 * t5174;
  t60117 = t3475 * t59842;
  t60132 = -0.8e1 / 0.3e1 * t9952 * t60117 + 0.1e2 / 0.3e1 * t59982 * t41719 - t2138 + 0.24e2 * t9952 * t59992 - 0.3e2 * t59982 * t5167 - t42080 + t42084 + t42086 + t11891 * t22211 / 0.18e2 + 0.6e1 * t11883 * t5264 - 0.3e1 * t11891 * t41998;
  t60140 = t59911 * t647;
  t60149 = -0.4e1 * t11883 * t5269 - 0.2e1 / 0.3e1 * t59766 * t5255 - 0.4e1 * t59939 * t747 * t230 + 0.4e1 * t60140 * t823 - t42112 - t42113 - t42115 - 0.2e1 / 0.3e1 * t60140 * t816 - 0.6e1 * t2558 * t22222 + 0.12e2 * t59998 * t5258 + t2119;
  t60162 = -0.2e1 * t32430 * t1548 - 0.2e1 / 0.3e1 * t6084 * t9790 - 0.2e1 / 0.3e1 * t6081 * t9790 - 0.2e1 / 0.3e1 * t1541 * t48474 - t1541 * t48477 / 0.3e1 - 0.11e2 / 0.9e1 * t6107 * t48480 + 0.4e1 / 0.3e1 * t6084 * t9794 - 0.2e1 / 0.3e1 * t6491 * t47955 - t30 * t59 * (0.6e1 * t11891 * t22088 - t1587 * t59897 + 0.4e1 * t6393 * t59899 - t470 * t59903 + t1591 * t59905 + 0.4e1 * t9923 * t59970 + 0.2e1 / 0.3e1 * t6427 * t59973 - 0.4e1 / 0.9e1 * t9952 * t59976 - 0.22e2 / 0.3e1 * t59979 * t5167 + 0.5e1 / 0.9e1 * t59982 * t41971 + 0.4e1 * t2558 * t22178 - 0.4e2 * t59766 * t5266 - 0.2e1 * t1591 * t59770 + 0.2e1 * t2558 * t22225 + 0.2e1 * t1587 * t59775 - 0.3e1 * t11878 * t5245 + 0.24e2 * t59780 * t5252 + 0.2e1 * t11883 * t5213 + 0.2e1 / 0.3e1 * t2558 * t22135 - t11891 * t22106 / 0.9e1 - t59863 * t41834 / 0.9e1 + 0.4e1 * t31901 * t11824 + 0.4e1 * t48122 * t11828 + 0.2e1 / 0.3e1 * t31861 * t11831 + 0.4e1 * t6440 * t59966 - t6467 * t2562 - 0.2e1 * t1585 * t11862 + t60085 - t41658 + t60056 + t42023 + t59954 + t41695 + t59883 + t60132 + t60038 + t60115 + t59938 + t60009 + t59915 + t59821 + t60149 + t59850) * t95 / 0.4e1 - t800 * t2578 / 0.4e1 - t182 * t11949 / 0.2e1;
  t60169 = my_piecewise3(t2, 0, -0.5e1 / 0.18e2 * t58173 * t8786 - 0.2e1 / 0.3e1 * t6069 * t47365 - 0.2e1 * t6069 * t47368 + 0.4e1 / 0.3e1 * t6069 * t48514 + 0.2e1 * t32403 * t6482 + 0.11e2 / 0.18e2 * t10036 * t58160 + 0.23e2 / 0.18e2 * t58578 * t41152 - 0.11e2 / 0.9e1 * t58578 * t42415 + 0.23e2 / 0.9e1 * t10036 * t59091 - 0.115e3 / 0.36e2 * t58578 * t41149 + t6069 * t59098 / 0.6e1 - t211 * t58700 / 0.6e1 - 0.2e1 * t3537 * t12091 - t1541 * t58536 / 0.6e1 - t1541 * t58525 / 0.3e1 + t2534 * t21063 / 0.3e1 - 0.5e1 / 0.18e2 * t11975 * t41131 - t2534 * t21065 / 0.6e1 - t6311 * t1527 / 0.3e1 + 0.4e1 / 0.3e1 * t6069 * t59274 + 0.14e2 / 0.3e1 * t58173 * t8983 + 0.14e2 / 0.3e1 * t11975 * t42757 + t26772 * t12032 - t757 * t12161 / 0.2e1 - t757 * t12166 / 0.2e1 + t25730 * t12123 - 0.2e1 * t10097 * t59682 - t6491 * t59302 / 0.3e1 - 0.5e1 / 0.12e2 * t6069 * t59306 - t466 * t30959 / 0.3e1 - t6223 * t48388 + 0.2e1 * t2534 * t20865 + t211 * t58696 / 0.12e2 + 0.25e2 / 0.36e2 * t58578 * t41465 + t58592 * t22416 / 0.3e1 - t1541 * t58390 / 0.3e1 - 0.23e2 / 0.36e2 * t10036 * t58164 - t12216 * t731 / 0.4e1 - t6084 * t12130 / 0.3e1 + t12041 * t3272 / 0.3e1 - t1532 * t6140 / 0.2e1 + t6069 * t47271 / 0.2e1 - t6069 * t47277 / 0.3e1 - 0.4e1 / 0.3e1 * t12041 * t3252 + 0.2e1 / 0.3e1 * t12041 * t3255 - t6308 * t1527 / 0.6e1 + 0.2e1 / 0.3e1 * t58592 * t21662 + 0.2e1 * t59166 * t4905 + 0.23e2 / 0.18e2 * t58173 * t8993 + 0.23e2 / 0.18e2 * t11975 * t42273 + 0.23e2 / 0.36e2 * t11975 * t22310 + 0.44e2 / 0.27e2 * t58517 * t42278 - 0.4e1 * t58864 * t1229 - 0.4e1 * t11960 * t4946 - 0.2e1 * t11960 * t3324 + 0.2e1 / 0.3e1 * t6069 * t59184 - 0.5e1 / 0.9e1 * t10036 * t59187 + 0.2e1 / 0.3e1 * t6112 * t11982 + 0.2e1 / 0.3e1 * t1568 * t59256 - 0.2e1 / 0.3e1 * t6491 * t59685 + 0.2e1 * t10066 * t59688 + 0.2e1 * t47709 * t6484 + t6069 * t59497 / 0.6e1 + t6069 * t59500 / 0.6e1 + 0.4e1 / 0.3e1 * t6069 * t58589 - 0.4e1 / 0.3e1 * t58592 * t21626 - t32403 * t6476 - 0.2e1 * t768 * t12173 - 0.2e1 * t757 * t12173 + 0.2e1 * t59290 * t4757 - 0.2e1 / 0.3e1 * t6069 * t59459 + t6308 * t2544 / 0.12e2 - 0.35e2 / 0.108e3 * t58517 * t41140 - t2534 * t22294 / 0.12e2 - t12041 * t3308 / 0.6e1 + 0.4e1 / 0.3e1 * t1541 * t58376 - 0.4e1 / 0.3e1 * t2534 * t21820 - 0.2e1 / 0.3e1 * t2534 * t20842 - t2534 * t21905 / 0.6e1 + 0.6e1 * t6295 * t6194 - 0.4e1 * t6167 * t48890 + t757 * t12184 - t768 * t12188 - 0.5e1 / 0.18e2 * t58578 * t41433 + 0.15e2 / 0.2e1 * t58578 * t42195 - t757 * t12188 + t768 * t12067 + t757 * t12067 - t3568 * t2593 / 0.4e1 - t3605 * t2593 / 0.2e1 - t58917 * t650 / 0.2e1 - 0.8e1 * t52652 * t59011 - 0.3e1 * t58950 * t5017 - t12046 * t670 / 0.3e1 - t2529 * t3301 / 0.3e1 + t1532 * t6129 / 0.2e1 - t1532 * t6099 - t10066 * t59261 + t743 * t12211 / 0.6e1 + 0.47e2 / 0.3e1 * t41558 * t58281 - 0.3e1 * t58578 * t42191 - 0.38e2 / 0.9e1 * t58517 * t43146 - 0.28e2 * t41581 * t19146 + 0.3e1 * t768 * t11989 + 0.3e1 * t757 * t11989 + 0.18e2 * t58221 * t4846 - 0.5e1 / 0.6e1 * t6069 * t59522 - t6340 * t1527 / 0.6e1 - t1522 * t6347 / 0.3e1 + 0.4e1 / 0.3e1 * t6081 * t9794 + 0.4e1 / 0.3e1 * t1541 * t48489 - t58173 * t8996 - t11975 * t43167 - t11975 * t21547 / 0.2e1 - t6353 * t1560 + t6353 * t1564 - 0.2e1 / 0.3e1 * t1541 * t59658 + 0.2e1 / 0.3e1 * t2534 * t21889 - t2534 * t20720 / 0.3e1 + t6069 * t59503 / 0.12e2 + 0.5e1 / 0.36e2 * t10036 * t59506 - t31362 * t12115 / 0.3e1 + t6069 * t59638 / 0.3e1 + t12216 * t736 / 0.2e1 - 0.2e1 * t6353 * t1556 - t6488 * t59311 / 0.3e1 - 0.2e1 / 0.3e1 * t21878 * t59316 - 0.6e1 * t58950 * t4860 + 0.2e1 * t3123 * t6066 * t12170 + t246 * t12183 * t3246 / 0.2e1 - 0.3e1 * t246 * t11985 * t4960 + 0.3e1 / 0.2e1 * t246 * t11966 * t21428 + 0.2e1 * t4748 * t58583 * t3181 - t4779 * t1591 * t58685 / 0.2e1 - 0.12e2 * t4738 * t6390 * t58730 + 0.6e1 * t4779 * t6390 * t58734 + 0.3e1 * t3123 * t58738 * t8765 - t4779 * t6419 * t12026 + t4738 * t1591 * t58745 - t4779 * t1591 * t58748 + t246 * t58800 * t654 - t644 * t58800 * t649 - t246 * t31138 * t2592 / 0.4e1 - t246 * t6136 * t12165 / 0.2e1 + t246 * t58613 * t654 / 0.2e1 - 0.3e1 * t644 * t12096 * t20916 + 0.2e1 * t4779 * t1587 * t59007 - 0.2e1 * t3123 * t6496 * t12176 - 0.11e2 * t4738 * t11883 * t21586 + 0.15e2 * t4738 * t11891 * t42917 - 0.15e2 / 0.2e1 * t4779 * t11891 * t42780 + 0.12e2 * t4738 * t6393 * t59026 - 0.3e1 * t4738 * t6393 * t59263 + 0.3e1 * t4779 * t6393 * t59267 - t30 * t11948 * t277 / 0.2e1 - t30 * t2577 * t720 / 0.4e1 + 0.5e1 / 0.2e1 * t4779 * t1591 * t59514 + t4748 * t6066 * t59519 + 0.6e1 * t9873 * t6390 * t59549 - 0.15e2 / 0.2e1 * t9873 * t11891 * t42174 + 0.3e1 * t26806 * t58738 * t8771 - 0.18e2 * t3680 * t58714 * t4850 - 0.6e1 * t21206 * t59065 * t43209 + 0.4e1 * t4738 * t1591 * t59675 - 0.2e1 * t4748 * t6066 * t12090 - t42633 - 0.5e1 / 0.54e2 * t58387 + t58676 + t58869 - t2089 + t59692 + t58511 - t58811 - t42405 + t9032 + t58342 + t59561 - t58369 / 0.6e1 + t58755 / 0.18e2 - t58534 / 0.18e2 + t58318 - t41519 + t41520 - t43029 - t43031 + t59070 - t59131 + t42397 + t59239 + t43195 - t41004 + t59597 + t43018 - t43020 - t41371 - t41372 + t59495 + t58602 + t60162 + t41575 - t43298 + t58284 / 0.18e2 + t58286 / 0.18e2 + t58288 / 0.18e2 + t42721 + t58365 + t59128 / 0.3e1 + t42579 + t42404 + t58290 / 0.18e2 + t43145 - t59319 / 0.6e1 + t59747 + t59342 - t59636 / 0.6e1 - t58233 + t59363 - t43302 + t59390 + t58943 - t41144 + t59613 + t42571 + t42572 + t41623 + t58381 / 0.9e1 - t58797 + t58799 + t58845 + t59720 - t41600 + t58266 + t59650 - 0.11e2 / 0.27e2 * t59321 + t59126 + t58217 - t41006 + t58792 - t43008 + t59632 - t58808 / 0.9e1 + t59048 + t59216 - t59134 / 0.18e2 - t59136 / 0.3e1 - t43002 - t41119 - t41625 + t59419 + t59080 + t58728 + t59448 - t41611 + t59162 + t41570 + t41571 + t59250 - 0.2e1 / 0.3e1 * t58224 + 0.4e1 / 0.9e1 * t58228 - t58965 / 0.3e1 + t59671 + t58632 - t58806 / 0.9e1 + t59544 - t9043 + 0.2e1 / 0.3e1 * t59565 - t41375 + t59004 - t59138 / 0.3e1 + t59350 - t42574 - t42575 + t59300 + 0.2e1 / 0.9e1 * t59259 - 0.6e1 * t10036 * t10037 * t3671 * t58573 + 0.3e1 / 0.2e1 * t26124 * t25739 * t3671 * t12030 + t58892 + t58570 + t58803 / 0.3e1 - t41011);
  tv4rho2lapl20 = t3 * t60169 + 0.2e1 * t12243;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 0] += tv4rho2lapl20;

  tv4rho2lapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 1] += tv4rho2lapl21;

  t60174 = t3915 * t2668;
  t60177 = t3918 * t2668 / 0.18e2;
  t60179 = t6520 * t2619 / 0.54e2;
  t60182 = t6517 * t2619;
  t60184 = t3894 * t2608;
  t60201 = t3898 * t2603 * t350;
  t60203 = t6517 * t1658;
  t60205 = t3898 * t2608;
  t60206 = t60205 * t1090;
  t60208 = t60205 * t1016;
  t60210 = t60184 * t1023 / 0.3e1 + t33120 * t505 / 0.2e1 - t23423 * t2659 / 0.2e1 - t3912 * t2663 / 0.2e1 + t3912 * t2671 / 0.2e1 + t60201 / 0.9e1 - t60203 / 0.9e1 - t60206 / 0.18e2 - t60208 / 0.9e1 - t43424 + t43454;
  t60212 = t869 * t2653;
  t60215 = t873 * t2653 / 0.18e2;
  t60218 = t33097 * t505;
  t60220 = t23371 * t2659;
  t60222 = t60205 * t1023;
  t60224 = t3915 * t2671;
  t60226 = t3915 * t2663;
  t60236 = t3902 * t2603 * t350 / 0.27e2;
  t60237 = t3902 * t2608;
  t60239 = t60237 * t1090 / 0.54e2;
  t60241 = t6520 * t1658 / 0.27e2;
  t60243 = t60237 * t1016 / 0.27e2;
  t60245 = t33105 * t505 / 0.9e1;
  t60247 = 0.2e1 / 0.27e2 * t60237 * t1023;
  t60249 = t23391 * t2659 / 0.9e1;
  t60251 = t3918 * t2663 / 0.9e1;
  t60253 = t3918 * t2671 / 0.9e1;
  t60254 = -t6514 * t1658 / 0.6e1 + t3894 * t2603 * t350 / 0.6e1 - t60236 + t60239 + t60241 + t60243 - t60245 - t60247 + t60249 + t60251 - t60253;
  t60257 = my_piecewise3(t100, 0, -t3912 * t2668 / 0.4e1 - t60174 / 0.6e1 + t60177 - t60179 + t6514 * t2619 / 0.12e2 + t60182 / 0.18e2 + t43403 - t43416 - t60184 * t1090 / 0.12e2 - t60184 * t1016 / 0.6e1 + t60210 - t43459 + t43463 - t60212 / 0.6e1 + t60215 - t865 * t2653 / 0.4e1 + t60218 / 0.3e1 - t60220 / 0.3e1 + 0.2e1 / 0.9e1 * t60222 + t60224 / 0.3e1 - t60226 / 0.3e1 + t60254);
  tv4rho2lapl22 = t3 * t60257 + 0.2e1 * t12300;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 2] += tv4rho2lapl22;

  t60274 = t27723 * t12119 / 0.2e1 + t27723 * t12123 / 0.2e1 + t58213 / 0.3e1 - t58224 / 0.3e1 + 0.2e1 / 0.9e1 * t58228 - t58233 / 0.2e1 - t58255 / 0.6e1 + t58261 / 0.2e1 + t58262 - t58264 + t58284 / 0.36e2 + t58286 / 0.36e2 + t58288 / 0.36e2 + t58290 / 0.36e2 - t58303 / 0.9e1;
  t60293 = -0.2e1 / 0.9e1 * t58311 + 0.2e1 / 0.9e1 * t58324 + t58326 / 0.6e1 + t58332 / 0.9e1 - t58369 / 0.12e2 + t58381 / 0.18e2 - 0.5e1 / 0.108e3 * t58387 - t58491 / 0.9e1 + t58493 / 0.9e1 - t58534 / 0.36e2 - t58544 / 0.18e2 + t58546 / 0.18e2 + t32748 * t12112 / 0.12e2 - t27719 * t18973 / 0.3e1 - t22520 * t12127 / 0.4e1;
  t60310 = -t32751 * t12115 / 0.6e1 + t43497 + t43498 - t43499 - t903 * t12188 / 0.2e1 - t903 * t12177 + 0.3e1 / 0.2e1 * t903 * t12180 + t58597 / 0.9e1 - t58600 / 0.6e1 - t58604 / 0.18e2 + t58607 / 0.6e1 - t6541 * t12130 / 0.6e1 + t12304 * t3272 / 0.6e1 - t43522 - t43524;
  t60312 = t3818 * t2593;
  t60314 = t897 * t11974;
  t60332 = t3824 * t2533;
  t60339 = t43526 + t43529 - t58627 / 0.12e2 - t60312 / 0.12e2 - t60314 * t8996 / 0.2e1 - t6541 * t9790 / 0.3e1 - t32796 * t1548 + t6575 * t1551 + 0.3e1 / 0.2e1 * t22751 * t11967 + 0.3e1 / 0.2e1 * t903 * t11989 + t12304 * t3577 / 0.3e1 + t3824 * t2528 * t223 / 0.6e1 + t12312 * t612 / 0.6e1 - t60332 * t752 / 0.12e2 - t12304 * t3599 / 0.12e2 - t1632 * t6347 / 0.6e1;
  t60362 = t60332 * t637 / 0.3e1 - t6567 * t1527 / 0.6e1 - t6570 * t1527 / 0.6e1 - t22759 * t2584 / 0.2e1 - t22732 * t2584 / 0.2e1 - t60332 * t630 / 0.6e1 - t58719 - t58722 / 0.3e1 - t58724 / 0.6e1 + t58726 / 0.6e1 + t58755 / 0.36e2 + t58758 / 0.36e2 - t58760 / 0.18e2 - t58767 / 0.18e2 - t58772 / 0.12e2;
  t60374 = t58774 / 0.6e1 + t58780 / 0.6e1 - t43560 - t58797 + t58799 + t58803 / 0.6e1 - t58806 / 0.18e2 - t58808 / 0.18e2 - t58811 + t58830 / 0.6e1 + 0.23e2 / 0.108e3 * t58854 + t58856 / 0.3e1 - t58858 / 0.12e2 - t58886 - t58888 / 0.3e1 - t58938 / 0.36e2;
  t60392 = t43575 + t43585 - 0.5e1 / 0.36e2 * t60314 * t8786 - t12304 * t3308 / 0.12e2 - t43598 - t43609 - t58965 / 0.6e1 - t58969 / 0.9e1 + t59038 - t59050 / 0.18e2 + t59061 / 0.12e2 + 0.23e2 / 0.36e2 * t60314 * t8993 + t12304 * t3255 / 0.3e1 + 0.2e1 / 0.3e1 * t6541 * t12234 - t1632 * t6257 / 0.6e1;
  t60407 = t897 * t11959;
  t60417 = t1632 * t6263 / 0.6e1 - t6541 * t9814 / 0.6e1 + t6609 * t9805 / 0.3e1 + t12304 * t3173 / 0.3e1 - 0.11e2 / 0.18e2 * t60314 * t8761 - t12304 * t3176 / 0.6e1 - t6541 * t12148 / 0.3e1 + t60407 * t1223 + t43641 - t8667 + t8683 - t307 * t11949 / 0.4e1 - t890 * t2578 / 0.4e1 - t3802 * t12091 + t3802 * t12097 - 0.3e1 / 0.2e1 * t43669 * t19150;
  t60444 = -t3802 * t12099 / 0.2e1 + 0.2e1 / 0.3e1 * t22562 * t19118 + t6575 * t1564 / 0.2e1 - t6575 * t1556 - t6575 * t1560 / 0.2e1 + 0.7e1 / 0.3e1 * t43669 * t19146 + t903 * t12067 / 0.2e1 - t903 * t12173 + t903 * t12171 + t903 * t12184 / 0.2e1 - 0.2e1 * t43516 * t19165 + t59116 / 0.18e2 + t59118 / 0.18e2 - t59120 / 0.6e1 - t59122 / 0.6e1;
  t60458 = t59124 / 0.6e1 + t59128 / 0.6e1 - t59131 - t59134 / 0.36e2 - t59136 / 0.6e1 - t59138 / 0.6e1 - t41636 - t59143 / 0.3e1 + t59145 / 0.2e1 + t59146 / 0.6e1 - 0.2e1 / 0.3e1 * t59149 - t59151 / 0.18e2 - t59198 / 0.6e1 + t59200 / 0.18e2 - t59243 / 0.18e2;
  t60460 = t894 * t2578;
  t60464 = t3814 * t2533;
  t60465 = t60464 * t752;
  t60468 = t3814 * t2528 * t223;
  t60470 = t60464 * t637;
  t60472 = t6564 * t1527;
  t60474 = t60464 * t630;
  t60476 = t22719 * t2584;
  t60478 = t32776 * t481;
  t60480 = t3818 * t2596;
  t60482 = t3818 * t2588;
  t60488 = -t60460 / 0.12e2 + t59248 / 0.18e2 + t59259 / 0.9e1 - t60465 / 0.36e2 + t60468 / 0.18e2 + t60470 / 0.9e1 - t60472 / 0.18e2 - t60474 / 0.18e2 - t60476 / 0.6e1 + t60478 / 0.6e1 + t60480 / 0.6e1 - t60482 / 0.6e1 - t59286 / 0.12e2 - t59288 / 0.3e1 - t32748 * t12104 / 0.6e1;
  t60512 = t897 * t12215;
  t60515 = t32743 * t12107 / 0.12e2 - t43694 + t43708 + t59298 / 0.3e1 - t59319 / 0.12e2 - 0.11e2 / 0.54e2 * t59321 - t12304 * t3540 / 0.6e1 + t32639 * t481 / 0.2e1 + t6575 * t1514 / 0.2e1 + t3825 * t2596 / 0.2e1 + t3835 * t2596 / 0.2e1 + t32625 * t481 / 0.2e1 - t3825 * t2588 / 0.2e1 - t3835 * t2588 / 0.2e1 - t898 * t12211 / 0.12e2 + t60512 * t250 / 0.4e1;
  t60527 = -t43739 + t43740 + t59334 / 0.6e1 + t59350 + t59363 + t59376 / 0.9e1 + t59379 + t59380 / 0.9e1 - t59382 / 0.18e2 - t59384 / 0.18e2 - t59386 / 0.18e2 + t59388 / 0.6e1 - t59398 - t59435 / 0.6e1 + 0.7e1 / 0.9e1 * t59438;
  t60544 = t6564 * t2544;
  t60550 = t1632 * t12140 / 0.12e2 + t1632 * t12145 / 0.12e2 + t6567 * t2544 / 0.12e2 + t6570 * t2544 / 0.12e2 - t3835 * t2593 / 0.4e1 - t903 * t12161 / 0.4e1 - t903 * t12166 / 0.4e1 - t3825 * t2593 / 0.4e1 + t60544 / 0.36e2 - t43750 - t43762 - t43763 + t42721 + t59561 / 0.2e1 + t59565 / 0.3e1 - 0.3e1 * t903 * t11986;
  t60560 = t897 * t11952;
  t60571 = -0.3e1 * t3802 * t12195 + 0.3e1 * t3802 * t12093 + t12312 * t676 / 0.6e1 + t6609 * t11982 / 0.3e1 - t60560 * t1260 / 0.2e1 - t12312 * t670 / 0.6e1 + t60407 * t1300 / 0.2e1 - 0.2e1 / 0.3e1 * t12304 * t3252 - t59578 / 0.12e2 - t43812 - t43814 + t43818 + t43820 - t59624 / 0.36e2 + t59629;
  t60581 = -t59636 / 0.12e2 - t27723 * t12027 / 0.2e1 + t32743 * t12023 / 0.6e1 + t27867 * t12032 / 0.2e1 - t43823 - t43830 - t43831 + t43834 + t43835 - t307 * t11814 / 0.4e1 - t43845 - t9215 + t9226 + t43865 + t43866 + t59692;
  t60586 = my_piecewise3(t2, 0, t60274 + t60293 + t60310 + t60339 + t60362 + t60374 + t60392 + t60417 + t60444 + t60458 + t60488 + t60515 + t60527 + t60550 + t60571 + t60581);
  tv4rho2lapl23 = t3 * t60586 + t12243 + t12331;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 3] += tv4rho2lapl23;

  tv4rho2lapl24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 4] += tv4rho2lapl24;

  t60590 = t4040 * t12720;
  t60592 = t4040 * t12718;
  t60594 = t4040 * t12715;
  t60595 = t4040 * t12713;
  t60597 = t948 * t12708;
  t60599 = t948 * t12705;
  t60601 = t933 * t12642;
  t60605 = -t60174 / 0.12e2 + t60177 - t60179 + t43886 - t43908 + t43939 + t60182 / 0.36e2 - t60590 / 0.6e1 + t60592 / 0.3e1 + t60594 - t60595 / 0.3e1 + t60597 / 0.2e1 - t60599 / 0.3e1 - 0.2e1 * t60601 * t1402 + t60601 * t1396;
  t60609 = t1618 * t6775;
  t60611 = t6679 * t10582;
  t60613 = t1618 * t7094;
  t60615 = t12282 * t4656;
  t60617 = t6631 * t1708;
  t60619 = t6631 * t1704;
  t60621 = t6631 * t1700;
  t60623 = t23639 * t2659;
  t60630 = t4045 * t2608;
  t60637 = -t33563 * t1693 + 0.2e1 / 0.3e1 * t6702 * t10317 - t60609 / 0.18e2 - t60611 / 0.18e2 + t60613 / 0.18e2 + t60615 / 0.9e1 + t60617 / 0.6e1 - t60619 / 0.6e1 - t60621 / 0.3e1 - t60623 / 0.6e1 - t12267 * t4352 / 0.6e1 + t4045 * t2603 * t350 / 0.6e1 - t60630 * t1016 / 0.6e1 - t60630 * t1090 / 0.12e2 - t12267 * t4490 / 0.12e2;
  t60651 = t933 * t12595;
  t60656 = t23721 * t12367;
  t60658 = t6631 * t1696;
  t60660 = t948 * t12363;
  t60670 = t12261 * t1087 / 0.6e1 - t1615 * t6870 / 0.6e1 + t60630 * t1023 / 0.3e1 - t6659 * t1658 / 0.6e1 - t6653 * t1658 / 0.6e1 + t12267 * t4438 / 0.3e1 + t60651 * t377 / 0.4e1 + t33537 * t505 / 0.2e1 + t60656 / 0.2e1 + t60658 / 0.3e1 + t60660 / 0.2e1 - t945 * t12695 / 0.4e1 - t4046 * t2668 / 0.4e1 - t4052 * t2668 / 0.4e1 + t945 * t12535 / 0.2e1;
  t60677 = t948 * t12695;
  t60679 = t948 * t12700;
  t60681 = t4013 * t2668;
  t60683 = t6679 * t10317;
  t60685 = t6679 * t10313;
  t60687 = t937 * t12346;
  t60688 = t60687 * t9292;
  t60690 = t60687 * t9289;
  t60692 = t60687 * t9286;
  t60694 = t60687 * t9333;
  t60696 = t948 * t12342;
  t60697 = t4040 * t12337;
  t60698 = t12282 * t4687;
  t60700 = -t945 * t12539 / 0.2e1 + t945 * t12531 / 0.2e1 + t945 * t12525 - t945 * t12528 - t60677 / 0.12e2 - t60679 / 0.12e2 - t60681 / 0.12e2 + 0.2e1 / 0.9e1 * t60683 - t60685 / 0.9e1 + 0.7e1 / 0.9e1 * t60688 - t60690 / 0.6e1 + 0.23e2 / 0.108e3 * t60692 - 0.11e2 / 0.54e2 * t60694 - t60696 - t60697 + t60698 / 0.18e2;
  t60703 = t6679 * t12650;
  t60705 = t12285 * t1002;
  t60707 = t937 * t12642;
  t60708 = t60707 * t1438;
  t60710 = t12285 * t997;
  t60712 = t1618 * t12637;
  t60714 = t6679 * t12676;
  t60716 = t12282 * t4691;
  t60718 = t6679 * t12671;
  t60720 = t4019 * t2668;
  t60722 = -t60703 / 0.18e2 + t60705 / 0.18e2 + t60708 / 0.6e1 - t60710 / 0.18e2 + t60712 / 0.36e2 - t60714 / 0.9e1 - 0.2e1 / 0.9e1 * t60716 + 0.2e1 / 0.9e1 * t60718 + t43403 - t43416 + t44009 - t44011 - t44025 - t44032 - t60720 / 0.12e2;
  t60723 = t948 * t12535;
  t60725 = t948 * t12539;
  t60727 = t948 * t12531;
  t60729 = t948 * t12525;
  t60731 = t948 * t12528;
  t60737 = t28427 * t12520;
  t60739 = t28439 * t12507;
  t60741 = t33262 * t12511;
  t60743 = t60723 / 0.6e1 - t60725 / 0.6e1 + t60727 / 0.6e1 + t60729 / 0.3e1 - t60731 / 0.3e1 + t60201 / 0.18e2 - t60203 / 0.18e2 - t60206 / 0.36e2 - t60208 / 0.18e2 - t44034 - t44037 + t44040 + t44042 + t60737 / 0.6e1 - t60739 / 0.6e1 + t60741 / 0.18e2;
  t60747 = t28439 * t12620;
  t60749 = t24019 * t12623;
  t60751 = t33515 * t12542;
  t60753 = t33520 * t12548;
  t60755 = t33262 * t12551;
  t60757 = t33520 * t12556;
  t60761 = t12282 * t4352;
  t60763 = -t925 * t2653 / 0.4e1 - t44071 - t44073 + t44076 + t60747 / 0.6e1 - t60749 / 0.12e2 - t60751 / 0.18e2 - t60753 / 0.18e2 + t60755 / 0.36e2 + t60757 / 0.36e2 + t33284 * t12511 / 0.6e1 + t44089 - t44107 + t44109 - t60761 / 0.18e2;
  t60764 = t4009 * t2608;
  t60765 = t60764 * t1016;
  t60767 = t12282 * t4490;
  t60769 = t60764 * t1090;
  t60771 = t12285 * t1087;
  t60773 = t60764 * t1023;
  t60775 = t1618 * t6870;
  t60777 = t6636 * t1658;
  t60783 = t937 * t12658;
  t60784 = t60783 * t1433;
  t60786 = t6684 * t12655;
  t60788 = -t60765 / 0.18e2 - t60767 / 0.36e2 - t60769 / 0.36e2 + t60771 / 0.18e2 + t60773 / 0.9e1 - t60775 / 0.18e2 - t60777 / 0.18e2 - t33284 * t12515 / 0.3e1 - t28455 * t12507 / 0.2e1 - t60784 / 0.6e1 + t60786 / 0.9e1 + t44113 + t44115 - t44117 + t44153 - t44168;
  t60792 = t33317 * t1693;
  t60794 = t60687 * t9345;
  t60796 = t1618 * t12632;
  t60798 = t6636 * t2619;
  t60800 = t6641 * t2619;
  t60802 = t12282 * t4722;
  t60804 = t60687 * t9405;
  t60806 = t6684 * t10599;
  t60808 = t12282 * t4166;
  t60810 = t12282 * t4163;
  t60816 = -t44171 - t60792 / 0.3e1 - t60794 / 0.2e1 + t60796 / 0.36e2 + t60798 / 0.36e2 + t60800 / 0.36e2 - t60802 / 0.36e2 - 0.5e1 / 0.108e3 * t60804 + t60806 / 0.9e1 - t60808 / 0.18e2 + t60810 / 0.9e1 - t44203 - t44205 + t33281 * t12556 / 0.12e2 + t33284 * t12551 / 0.12e2;
  t60821 = t60707 * t1402;
  t60823 = t60707 * t1396;
  t60825 = t6631 * t1673;
  t60829 = t33262 * t12515;
  t60838 = -t33281 * t12548 / 0.6e1 - t33278 * t12542 / 0.6e1 + t44218 + t44230 - t44234 - 0.2e1 / 0.3e1 * t60821 + t60823 / 0.3e1 + t60825 / 0.6e1 - t23531 * t12623 / 0.4e1 - t60829 / 0.9e1 + t28455 * t12616 / 0.2e1 - t290 * t12559 / 0.4e1 - t60212 / 0.12e2 + t60215 - t290 * t12500 / 0.4e1;
  t60840 = t33653 * t505;
  t60842 = t4013 * t2671;
  t60844 = t4019 * t2671;
  t60846 = t4013 * t2663;
  t60848 = t4019 * t2663;
  t60868 = -t44267 + t60840 / 0.6e1 + t60842 / 0.6e1 + t60844 / 0.6e1 - t60846 / 0.6e1 - t60848 / 0.6e1 - t934 * t12591 / 0.12e2 - t23909 * t2659 / 0.2e1 - t23902 * t2659 / 0.2e1 + t6656 * t1673 / 0.2e1 + t33544 * t505 / 0.2e1 - t4052 * t2663 / 0.2e1 + t4046 * t2671 / 0.2e1 + t4052 * t2671 / 0.2e1 - t4046 * t2663 / 0.2e1;
  t60870 = t4009 * t2603 * t350;
  t60872 = t294 * t12559;
  t60874 = t28439 * t12616;
  t60878 = t933 * t12346;
  t60900 = t60870 / 0.18e2 - t60872 / 0.12e2 + t60874 / 0.6e1 + t28913 * t12520 / 0.2e1 + t44322 - 0.3e1 / 0.2e1 * t60878 * t9345 - t6702 * t10313 / 0.3e1 - t60878 * t9289 / 0.2e1 + 0.7e1 / 0.3e1 * t60878 * t9292 + 0.23e2 / 0.36e2 * t60878 * t9286 - 0.3e1 * t945 * t12342 - 0.11e2 / 0.18e2 * t60878 * t9333 - 0.3e1 * t4065 * t12337 + t6656 * t1696 + 0.3e1 / 0.2e1 * t23924 * t12367 + 0.3e1 / 0.2e1 * t945 * t12363;
  t60903 = t933 * t12658;
  t60914 = t294 * t12500;
  t60916 = t929 * t2653;
  t60918 = t6641 * t1658;
  t60920 = t23858 * t2659;
  t60922 = t938 * t12591;
  t60924 = t937 * t12595;
  t60925 = t60924 * t377;
  t60927 = t33641 * t505;
  t60929 = t12282 * t4438;
  t60935 = -t60903 * t1433 / 0.2e1 + t6709 * t12655 / 0.3e1 - t6702 * t12650 / 0.6e1 + t12267 * t4687 / 0.6e1 + t12261 * t1002 / 0.6e1 - t60914 / 0.12e2 - t60916 / 0.12e2 - t60918 / 0.18e2 - t60920 / 0.6e1 - t60922 / 0.36e2 + t60925 / 0.12e2 + t60927 / 0.6e1 + t60929 / 0.9e1 - t12261 * t997 / 0.6e1 + t60601 * t1438 / 0.2e1;
  t60957 = t1615 * t12637 / 0.12e2 + t1615 * t12632 / 0.12e2 + t6653 * t2619 / 0.12e2 + t6659 * t2619 / 0.12e2 - t12267 * t4722 / 0.12e2 - 0.5e1 / 0.36e2 * t60878 * t9405 + t6709 * t10599 / 0.3e1 - t12267 * t4166 / 0.6e1 + t12267 * t4163 / 0.3e1 - t6702 * t12676 / 0.3e1 - t9156 + t9168 - t9180 + t9188 + t44336 + t60218 / 0.6e1;
  t60965 = -t60220 / 0.6e1 + t60222 / 0.9e1 + t60224 / 0.6e1 - t60226 / 0.6e1 - t60236 + t60239 + t60241 + t60243 - t60245 - t60247 + t60249 + t60251 - t60253 - t44352 + t28455 * t12620 / 0.2e1;
  t60994 = -0.2e1 / 0.3e1 * t12267 * t4691 + 0.2e1 / 0.3e1 * t6702 * t12671 - t6702 * t10582 / 0.6e1 - t1615 * t6775 / 0.6e1 + t1615 * t7094 / 0.6e1 + t6656 * t1708 / 0.2e1 + t12267 * t4656 / 0.3e1 - t6656 * t1700 - t6656 * t1704 / 0.2e1 - t4065 * t12720 / 0.2e1 + t4065 * t12718 + 0.3e1 * t4065 * t12715 - t4065 * t12713 + 0.3e1 / 0.2e1 * t945 * t12708 - t945 * t12705 - t945 * t12700 / 0.4e1;
  t60999 = my_piecewise3(t100, 0, t60605 + t60637 + t60670 + t60700 + t60722 + t60743 + t60763 + t60788 + t60816 + t60838 + t60868 + t60900 + t60935 + t60957 + t60965 + t60994);
  tv4rho2lapl25 = t3 * t60999 + t12300 + t12736;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 5] += tv4rho2lapl25;

  t61008 = t3953 * t2533;
  t61026 = -t59131 + t6736 * t2544 / 0.12e2 - t41636 - t61008 * t752 / 0.12e2 + t61008 * t637 / 0.3e1 + t3953 * t2528 * t223 / 0.6e1 - t6736 * t1527 / 0.6e1 - t23097 * t2584 / 0.2e1 - t61008 * t630 / 0.6e1 + t3959 * t2596 / 0.2e1 + t33184 * t481 / 0.2e1;
  t61044 = -t60482 / 0.3e1 + t44410 + t59350 + t59363 + t59379 - t59398 + t60544 / 0.18e2 + t42721 + t59629 - t972 * t2578 / 0.4e1 + t59692;
  t61047 = my_piecewise3(t2, 0, -t44379 + t44387 - t60312 / 0.6e1 - t58719 - t44395 - t58797 + t58799 - t58811 + t59038 - t3959 * t2593 / 0.4e1 + t61026 - t3959 * t2588 / 0.2e1 - t60460 / 0.6e1 - t60465 / 0.18e2 + t60468 / 0.9e1 + 0.2e1 / 0.9e1 * t60470 - t60472 / 0.9e1 - t60474 / 0.9e1 - t60476 / 0.3e1 + t60478 / 0.3e1 + t60480 / 0.3e1 + t61044);
  tv4rho2lapl26 = t3 * t61047 + 0.2e1 * t12331;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 6] += tv4rho2lapl26;

  tv4rho2lapl27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 7] += tv4rho2lapl27;

  t61077 = t1074 * t12642;
  t61089 = t1719 * t4333;
  t61092 = t6987 * t4356;
  t61103 = t6980 * t1007;
  t61106 = t989 * t1649;
  t61109 = t1713 * t1043;
  t61116 = t493 * t1007;
  t61129 = -0.12e2 * t12417 * t29995 + 0.2e1 * t989 * t6884 * t376 + 0.24e2 * t61089 * t5659 - 0.12e2 * t61092 * t5616 + 0.4e1 / 0.3e1 * t44669 * t19836 + 0.2e1 / 0.3e1 * t24702 * t2808 + 0.4e1 * t12427 * t4667 + 0.2e1 * t496 * t4225 - 0.8e1 * t61103 * t1412 + 0.12e2 * t61106 * t6037 + 0.8e1 * t61109 * t1419 + 0.4e1 * t1728 * t1100 - 0.4e1 * t12432 * t5808 - 0.12e2 * t61116 * t6037 - 0.4e1 * t496 * t4714 - 0.4e1 * t44642 * t2808 + 0.4e1 / 0.3e1 * t9370 * t12712 + 0.2e2 / 0.9e1 * t44669 * t19794 - 0.4e1 * t12417 * t29990;
  t61136 = t4206 * t6758;
  t61139 = t24764 * t6750;
  t61144 = t4206 * t6919;
  t61150 = t989 * t6798;
  t61153 = t989 * t1680;
  t61170 = 0.8e1 * t12414 * t30326 - 0.2e1 * t12420 * t4225 - 0.2e1 * t7139 + 0.12e2 * t7129 + 0.8e1 * t61136 * t1412 + 0.32e2 / 0.3e1 * t61139 * t5611 + 0.12e2 * t61139 * t5616 - 0.24e2 * t61144 * t5659 + 0.4e1 * t12420 * t4714 - 0.8e1 * t7121 - 0.8e1 * t61150 * t1419 - 0.4e1 * t61153 * t1100 + 0.8e1 / 0.3e1 * t61136 * t1407 - 0.4e1 * t12414 * t4667 - 0.8e1 * t61144 * t5654 + 0.4e1 / 0.3e1 * t12417 * t5776 + 0.16e2 / 0.9e1 * t61139 * t5630 + 0.4e1 * t12417 * t5808 - 0.2e1 * t6974 * t349;
  t61171 = t61129 + t61170;
  t61174 = t987 * t988 * t167 * t61171;
  t61178 = t987 * t4697 * t12635;
  t61181 = t12562 * t1002 / 0.3e1 + t2604 * t4726 / 0.3e1 + t12643 * t5998 / 0.2e1 - t2604 * t4683 / 0.6e1 + t61077 * t1438 + t12643 * t6013 - t60179 - t12562 * t997 / 0.3e1 - t2604 * t4699 / 0.3e1 + t490 * t61174 / 0.12e2 + t490 * t61178 / 0.6e1;
  t61184 = t987 * t24531 * t2617;
  t61187 = t50197 * t13672;
  t61190 = t50186 * t13697;
  t61201 = t29795 * t19454;
  t61212 = t4697 * t12648;
  t61213 = t1000 * t61212;
  t61216 = t167 * t6884;
  t61217 = t988 * t61216;
  t61218 = t1000 * t61217;
  t61221 = t5540 * t7005 * t12615 + t5540 * t1714 * t12619 + t29773 * t12616 + t29773 * t12620 - 0.2e1 / 0.3e1 * t24164 * t61201 - t24209 * t12623 / 0.2e1 - 0.2e1 / 0.3e1 * t56983 * t19455 - t24205 * t12623 / 0.2e1 - t12659 * t4662 / 0.2e1 + 0.2e1 / 0.3e1 * t1644 * t61213 + t1644 * t61218 / 0.3e1;
  t61224 = t1074 * t12658;
  t61235 = t1400 * t61217;
  t61238 = t1400 * t61212;
  t61241 = t1671 * t333;
  t61242 = t4408 * t61241;
  t61251 = t10458 * t1021 * t61241;
  t61262 = t110 * t12398;
  t61267 = t403 * t1671;
  t61269 = t5553 * t4143 * t61267;
  t61272 = t110 * t2633;
  t61278 = 0.23e2 / 0.9e1 * t10457 * t61251 - t6824 * t50198 / 0.3e1 + 0.2e1 / 0.3e1 * t6830 * t50206 + t6824 * t50187 / 0.2e1 + t6827 * t35146 / 0.3e1 + 0.23e2 / 0.18e2 * t61262 * t45248 - 0.2e1 / 0.3e1 * t6830 * t50174 + 0.4e1 / 0.3e1 * t6824 * t61269 - 0.4e1 / 0.3e1 * t61272 * t24131 - 0.3e1 * t12347 * t46401 - t6848 * t6779;
  t61286 = t1074 * t12346;
  t61302 = -0.2e1 * t34808 * t1693 - 0.3e1 / 0.2e1 * t12347 * t24279 - 0.2e1 * t34801 * t1693 - 0.3e1 * t61286 * t9345 - 0.4e1 * t12643 * t5797 - 0.2e1 * t12643 * t4248 - 0.4e1 * t61077 * t1402 + 0.2e1 * t12643 * t5772 + t12643 * t5757 + 0.2e1 * t61077 * t1396 - 0.2e1 * t6848 * t6785;
  t61303 = t2601 * t24085;
  t61305 = t321 * t3512 * t61303;
  t61315 = t2601 * t24370;
  t61316 = t25083 * t61315;
  t61321 = t321 * t616 * t12335;
  t61325 = t321 * t194 * t12340;
  t61334 = t4373 * t61303;
  t61338 = 0.22e2 / 0.3e1 * t61305 * t5760 - 0.23e2 / 0.3e1 * t61305 * t5790 - t373 * t12534 * t4714 + 0.3e1 * t373 * t12527 * t24315 + 0.6e1 * t373 * t61316 * t44981 - 0.6e1 * t61321 * t5651 + 0.2e1 * t61325 * t6029 - t2609 * t24566 / 0.2e1 - 0.3e1 * t61321 * t5980 + 0.6e1 * t61305 * t5636 - 0.18e2 * t373 * t61334 * t5616;
  t61359 = t985 * t348 * t61171;
  t61390 = -t373 * t6949 * t12699 / 0.2e1 - t1056 * t12695 / 0.2e1 - t1056 * t12700 / 0.2e1 - t1078 * t12700 / 0.2e1 - t4462 * t2668 / 0.4e1 - t4454 * t2668 / 0.4e1 - t4457 * t2668 / 0.2e1 - t1078 * t12695 / 0.2e1 + 0.2e1 * t4349 * t12718 + 0.2e1 * t4383 * t12718 + t1030 * t12527 * t24677;
  t61402 = t1013 * t1019 * t6884;
  t61413 = t321 * t616 * t24271;
  t61420 = t346 * t348 * t6884;
  t61424 = t321 * t21182 * t61315;
  t61447 = -t373 * t1699 * t61420 - 0.38e2 / 0.9e1 * t61424 * t45138 + 0.18e2 * t4395 * t61316 * t46445 + 0.3e1 * t1663 * t6946 - 0.6e1 * t25375 * t61316 * t44966 - 0.6e1 * t6848 * t6936 - 0.18e2 * t1030 * t61316 * t44975 - 0.43e2 / 0.9e1 * t61424 * t46406 - 0.2e1 * t61424 * t45128 - t6752 * t51799 - 0.3e1 * t6752 * t51782;
  t61452 = t110 * t12394;
  t61459 = t168 * t61241;
  t61460 = t10485 * t61459;
  t61463 = t380 * t61267;
  t61464 = t5591 * t61463;
  t61467 = t5591 * t61459;
  t61470 = t1671 * t994;
  t61471 = t168 * t61470;
  t61472 = t5587 * t61471;
  t61478 = t5549 * t1021 * t61470;
  t61485 = t29903 * t12335;
  t61495 = t4376 * t61241;
  t61499 = t2616 * t4223;
  t61500 = t4543 * t61499;
  t61504 = t2616 * t1069;
  t61505 = t1182 * t61504;
  t61514 = t12435 * t333;
  t61515 = t1182 * t61514;
  t61518 = t12435 * t994;
  t61519 = t4543 * t61518;
  t61522 = -0.15e2 / 0.2e1 * t5540 * t12398 * t45047 - 0.6e1 * t5535 * t61485 * t9317 + 0.3e1 * t4145 * t61485 * t9340 - 0.11e2 * t5559 * t12394 * t24182 - 0.12e2 * t5559 * t6988 * t61495 + t5540 * t494 * t61500 / 0.2e1 + t5540 * t1716 * t61505 / 0.2e1 + 0.2e1 * t50427 * t19455 - t4145 * t7116 * t12699 / 0.2e1 + t5540 * t1716 * t61515 + t5540 * t494 * t61519;
  t61524 = t487 * t12435;
  t61526 = t5549 * t1021 * t61524;
  t61529 = t1671 * t2616;
  t61531 = t5549 * t1021 * t61529;
  t61543 = -0.2e1 / 0.3e1 * t24164 * t61526 - 0.2e1 / 0.3e1 * t24164 * t61531 - t4145 * t34091 * t2667 / 0.2e1 - t60590 / 0.3e1 + 0.2e1 / 0.3e1 * t60592 + 0.2e1 * t60594 - 0.2e1 / 0.3e1 * t60595 + t60597 - 0.2e1 / 0.3e1 * t60599 - t44569 - t60609 / 0.9e1;
  t61554 = -t60611 / 0.9e1 + t60613 / 0.9e1 + 0.2e1 / 0.9e1 * t60615 + t60617 / 0.3e1 - t60619 / 0.3e1 - 0.2e1 / 0.3e1 * t60621 - t60623 / 0.3e1 + t12596 * t980 / 0.2e1 + t44587 + t60656 + 0.2e1 / 0.3e1 * t60658;
  t61573 = t2616 * t1005;
  t61574 = t24794 * t61573;
  t61582 = t5549 * t61459;
  t61590 = t487 * t1671;
  t61592 = t10458 * t4403 * t61590;
  t61602 = t403 * t2601;
  t61604 = t10458 * t5533 * t61602;
  t61607 = t2601 * t994;
  t61609 = t29498 * t4403 * t61607;
  t61612 = t5536 * t2607;
  t61616 = -0.2e1 * t10457 * t61582 + 0.5e1 / 0.2e1 * t61262 * t45240 - 0.2e1 / 0.3e1 * t6824 * t50230 + t6824 * t50223 - 0.6e1 * t29011 * t61592 - 0.2e1 * t5535 * t7126 * t12712 + 0.2e1 * t50177 * t7121 - 0.2e1 * t34283 * t7124 - 0.3e1 * t29011 * t61604 + 0.15e2 / 0.2e1 * t29011 * t61609 + 0.2e1 * t5535 * t61612 * t4171;
  t61618 = t2616 * t4544;
  t61620 = t45031 * t168 * t61618;
  t61623 = t168 * t61573;
  t61624 = t4137 * t61623;
  t61628 = t5549 * t1021 * t61504;
  t61634 = t12546 * t333;
  t61635 = t168 * t61634;
  t61636 = t30214 * t61635;
  t61639 = t13671 * t2616;
  t61641 = t5549 * t4143 * t61639;
  t61644 = t12518 * t994;
  t61646 = t29911 * t1021 * t61644;
  t61650 = t4706 * t2666 * t994;
  t61654 = t4543 * t61634;
  t61659 = t985 * t2666 * t333;
  t61663 = t380 * t12554 * t333;
  t61664 = t5587 * t61663;
  t61667 = t29911 * t61623;
  t61670 = -0.2e1 * t5540 * t1716 * t61654 + t4145 * t7123 * t61659 + t6824 * t61664 / 0.3e1 + t44627 + t44629 + t44634 + t10457 * t61667 / 0.2e1 + t44736 + t44738 + t44742 + t44879;
  t61691 = t60705 / 0.9e1 + t60708 / 0.3e1 - t60710 / 0.9e1 + t60712 / 0.18e2 - 0.2e1 / 0.9e1 * t60714 - 0.4e1 / 0.9e1 * t60716 + 0.4e1 / 0.9e1 * t60718 + t43403 - t43416 + t44953 - t44954;
  t61693 = t1671 * t1671;
  t61701 = t321 * t616 * t61693 * t1007;
  t61706 = t1015 * t2653;
  t61710 = t1020 * t2652 * t1021;
  t61715 = t321 * t369 * t2651 * t1027;
  t61726 = t321 * t194 * t61693 * t1043 * t350 / 0.3e1 - t61701 * t1090 / 0.6e1 + t12596 * t1095 / 0.2e1 - t1010 * t61706 / 0.6e1 + t1010 * t61710 / 0.3e1 - t61715 * t1036 / 0.2e1 + t4462 * t2671 / 0.2e1 + t4454 * t2671 / 0.2e1 + t4457 * t2671 - t4462 * t2663 / 0.2e1 - t4457 * t2663;
  t61740 = -t12596 * t1046 / 0.2e1 - t45008 + t45009 - t29773 * t12507 - t29767 * t12507 + t29764 * t12520 - t2180 - t12347 * t25262 / 0.2e1 + 0.14e2 / 0.3e1 * t61286 * t9292 + 0.14e2 / 0.3e1 * t12347 * t46191 + 0.23e2 / 0.36e2 * t12347 * t46620;
  t61788 = -0.6e1 * t4383 * t12337 - 0.3e1 * t1030 * t12336 * t25298 - t2609 * t24529 / 0.6e1 - t2609 * t24543 / 0.12e2 - 0.5e1 / 0.18e2 * t12347 * t45815 - 0.5e1 / 0.36e2 * t12347 * t45971 - 0.35e2 / 0.108e3 * t61424 * t45974 - 0.5e1 / 0.18e2 * t61286 * t9405 + 0.4e1 / 0.3e1 * t6755 * t10317 + 0.4e1 / 0.3e1 * t6760 * t10317 + 0.4e1 / 0.3e1 * t1651 * t50244;
  t61804 = t4408 * t61470;
  t61808 = t356 * t61241;
  t61812 = t1021 * t61590;
  t61813 = t5553 * t61812;
  t61827 = 0.4e1 * t5559 * t1720 * t61804 + 0.6e1 * t5540 * t7010 * t61808 - 0.8e1 * t52065 * t61813 - t4145 * t34105 * t2667 / 0.4e1 - t60720 / 0.6e1 + t60723 / 0.3e1 - t60725 / 0.3e1 + t60727 / 0.3e1 + 0.2e1 / 0.3e1 * t60729 - 0.2e1 / 0.3e1 * t60731 + t1644 * t34125 / 0.3e1;
  t61847 = t1393 * t61217;
  t61850 = -t45282 + t45284 - t45286 + 0.2e1 / 0.3e1 * t7072 * t10599 + 0.2e1 / 0.3e1 * t6819 * t10599 - t12565 * t4166 / 0.3e1 - t2609 * t24297 / 0.3e1 - t2609 * t24295 / 0.6e1 + t2609 * t24366 / 0.3e1 + 0.2e1 / 0.3e1 * t2609 * t24342 - t1651 * t61847 / 0.3e1;
  t61854 = t1393 * t61212;
  t61864 = t1400 * t1054 * t12648;
  t61868 = t1400 * t371 * t61216;
  t61871 = 0.2e1 / 0.3e1 * t12565 * t4163 - 0.2e1 / 0.3e1 * t1651 * t61854 - 0.2e1 / 0.3e1 * t6755 * t12676 - 0.4e1 / 0.3e1 * t2609 * t24246 - 0.2e1 / 0.3e1 * t2609 * t24363 + 0.4e1 / 0.3e1 * t1651 * t61864 + 0.2e1 / 0.3e1 * t1651 * t61868 - t45288 - t45290 - t45291 - t45296;
  t61894 = t45796 + 0.3e1 * t1663 * t6943 - 0.3e1 * t1030 * t12527 * t24310 - 0.61e2 / 0.27e2 * t61424 * t46612 + 0.44e2 / 0.27e2 * t61424 * t46592 + 0.2e1 * t6921 * t50550 - 0.11e2 / 0.9e1 * t6752 * t50264 + 0.23e2 / 0.18e2 * t6752 * t50252 - 0.6e1 * t1663 * t6929 + 0.6e1 * t6848 * t6932 + 0.36e2 * t1030 * t61334 * t5611;
  t61903 = t1031 * t12335;
  t61915 = t9270 * t380 * t12554 * t994;
  t61918 = t5549 * t61663;
  t61921 = t29911 * t61635;
  t61924 = t9270 * t61635;
  t61928 = t5587 * t61623;
  t61930 = t5549 * t61471;
  t61933 = t5582 * t61463;
  t61936 = t110 * t12388;
  t61938 = t5553 * t61459;
  t61943 = t110 * t2629;
  t61947 = -t10451 * t61928 + 0.2e1 / 0.3e1 * t6824 * t61930 + 0.2e1 / 0.3e1 * t6830 * t61933 - t61936 * t5583 + 0.2e1 * t10451 * t61938 - 0.11e2 / 0.6e1 * t61452 * t5572 - t61943 * t4140 / 0.3e1 - t45843 - t45844 + t45846 + t60747 / 0.3e1;
  t61957 = t2651 * t146;
  t61959 = t1000 * t61957 * t978;
  t61963 = t987 * t61957 * t995;
  t61966 = t168 * t61504;
  t61967 = t5587 * t61966;
  t61970 = t4549 * t61504;
  t61974 = -t45914 - t45918 - t12596 * t1101 / 0.4e1 - t338 * t61959 / 0.6e1 + t338 * t61963 / 0.12e2 + t45923 + t45924 - t45927 - t45928 + t6824 * t61967 / 0.6e1 - t5540 * t1720 * t61970 / 0.2e1;
  t61977 = t29517 * t19454;
  t61981 = t29498 * t4403 * t12518;
  t61984 = t4408 * t61504;
  t61990 = t4137 * t380 * t403 * t12435;
  t61993 = t4137 * t61471;
  t61998 = t9270 * t168 * t61518;
  t62001 = t168 * t61514;
  t62002 = t5549 * t62001;
  t62014 = t4146 * t2607;
  t62018 = t4143 * t61602;
  t62019 = t5553 * t62018;
  t62022 = t5536 * t12340;
  t62032 = -t490 * t34386 / 0.3e1 + t29767 * t12616 + t29767 * t12620 + 0.3e1 * t4145 * t62014 * t1419 - 0.4e1 * t52065 * t62019 + 0.6e1 * t5535 * t62022 * t1407 + 0.3e1 * t34826 * t7161 - t60761 / 0.9e1 - t60765 / 0.9e1 - t60767 / 0.18e2 - t60769 / 0.18e2;
  t62042 = t60771 / 0.9e1 + 0.2e1 / 0.9e1 * t60773 - t60775 / 0.9e1 - t60777 / 0.9e1 + t46011 + t46014 - t60784 / 0.3e1 + 0.2e1 / 0.9e1 * t60786 + t46029 + t46031 + t33988 * t12551 / 0.6e1;
  t62049 = t5553 * t61463;
  t62055 = t10458 * t61459;
  t62066 = t34945 * t12556 / 0.6e1 - t33986 * t12542 / 0.3e1 - t34945 * t12548 / 0.3e1 - t6824 * t62049 / 0.3e1 + t61452 * t5568 + t61272 * t24235 / 0.3e1 - 0.5e1 / 0.9e1 * t10457 * t62055 + 0.25e2 / 0.36e2 * t61262 * t44840 - 0.5e1 / 0.18e2 * t61262 * t44816 - 0.11e2 / 0.9e1 * t61262 * t45245 + 0.2e1 / 0.3e1 * t61272 * t24127;
  t62070 = t4146 * t2602;
  t62073 = t4396 * t61241;
  t62077 = t1034 * t61241;
  t62081 = t4549 * t61514;
  t62084 = t4408 * t61514;
  t62089 = t4408 * t12505;
  t62104 = t1031 * t61693;
  t62109 = t24848 * t61573;
  t62113 = t34987 * t505 / 0.2e1 - t61701 * t1016 / 0.3e1 + 0.2e1 / 0.3e1 * t61701 * t1023 + t373 * t62104 * t1094 - t4454 * t2663 / 0.2e1 - t46064 + t46066 + 0.3e1 * t5559 * t6988 * t62109 + t46073 - t46078 - t46085;
  t62127 = t4453 * t2608;
  t62142 = t4453 * t2603 * t350 / 0.6e1 - t12565 * t4352 / 0.3e1 - t2609 * t24432 / 0.6e1 - t2609 * t24418 / 0.12e2 - t62127 * t1016 / 0.6e1 - t62127 * t1090 / 0.12e2 - t12565 * t4490 / 0.6e1 + t12562 * t1087 / 0.3e1 + t2604 * t4487 / 0.6e1 + t62127 * t1023 / 0.3e1 - t490 * t35247 / 0.6e1;
  t62155 = t4549 * t61573;
  t62159 = t4408 * t61573;
  t62165 = t4137 * t380 * t1145 * t2616;
  t62168 = t5549 * t61966;
  t62171 = t29498 * t61623;
  t62176 = t9270 * t168 * t61499;
  t62179 = t4137 * t61966;
  t62182 = t5549 * t61623;
  t62185 = t5582 * t61459;
  t62192 = -t6827 * t62176 / 0.6e1 - t6830 * t62179 / 0.6e1 - t10451 * t62182 / 0.2e1 - 0.2e1 * t10462 * t62185 - t46148 - t46149 - 0.2e1 / 0.3e1 * t60792 - t60794 + t60796 / 0.18e2 + t60798 / 0.18e2 + t60800 / 0.18e2;
  t62206 = t1013 * t1014 * t6884;
  t62213 = -t60802 / 0.18e2 - 0.5e1 / 0.54e2 * t60804 + 0.2e1 / 0.9e1 * t60806 - t60808 / 0.9e1 + 0.2e1 / 0.9e1 * t60810 - 0.2e1 * t1078 * t12528 - 0.2e1 * t1056 * t12528 - t373 * t12527 * t24682 + t373 * t1692 * t62206 + 0.2e1 * t1056 * t12525 + 0.2e1 * t1078 * t12525;
  t62214 = t24858 * t61618;
  t62218 = -0.3e1 / 0.2e1 * t5540 * t494 * t62214 - t46163 - t46165 - t46167 - t46169 + t46171 - t46209 - t46210 - t9463 + t46263 + t46274;
  t62226 = t29437 * t19312;
  t62256 = t29110 * t19348;
  t62263 = 0.3e1 * t24584 * t12367 + 0.3e1 * t24589 * t12367 + 0.2e1 * t1663 * t6807 + t1663 * t6803 + 0.14e2 / 0.3e1 * t24273 * t5640 * t19282 + 0.2e1 * t6876 * t1696 + 0.2e1 * t6855 * t1696 + 0.3e1 / 0.2e1 * t373 * t12336 * t25247 + 0.47e2 / 0.3e1 * t46394 * t62256 + 0.3e1 * t1078 * t12363 + 0.3e1 * t1056 * t12363;
  t62265 = t4549 * t61470;
  t62280 = t349 * t12500;
  t62284 = t1182 * t61573;
  t62289 = t1021 * t61607;
  t62290 = t5549 * t62289;
  t62298 = t24823 * t61573;
  t62304 = -0.3e1 / 0.2e1 * t5540 * t7010 * t62284 - 0.2e1 / 0.9e1 * t60829 + 0.22e2 / 0.3e1 * t52065 * t62290 - t46322 - t46323 + t6855 * t1673 + t6876 * t1673 + t34918 * t505 + t35252 * t505 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t6988 * t62298 - t1651 * t51369 / 0.3e1;
  t62336 = t24823 * t61634;
  t62340 = t24962 * t61634;
  t62345 = t4161 * t18819 * t333;
  t62349 = t4161 * t18848 * t333;
  t62352 = t4137 * t61663;
  t62355 = t1663 * t6816 + 0.2e1 / 0.3e1 * t12565 * t4656 + 0.2e1 / 0.3e1 * t2609 * t24301 - t1663 * t6953 / 0.2e1 + t6876 * t1708 + t60215 - 0.5e1 / 0.2e1 * t5559 * t1720 * t62336 + 0.5e1 / 0.2e1 * t5540 * t1720 * t62340 + t5535 * t7126 * t62345 - t4145 * t7126 * t62349 - t6830 * t62352 / 0.3e1;
  t62363 = t29791 * t12510;
  t62371 = t5587 * t62001;
  t62374 = t60840 / 0.3e1 + t60842 / 0.3e1 + t60844 / 0.3e1 - t60846 / 0.3e1 - t60848 / 0.3e1 + t60870 / 0.9e1 + t46451 + t6824 * t62363 / 0.3e1 + t33997 * t12511 / 0.3e1 - 0.2e1 * t4145 * t7123 * t12704 + t6824 * t62371 / 0.3e1;
  t62375 = t10485 * t62018;
  t62378 = t29517 * t62289;
  t62387 = t1182 * t61470;
  t62400 = -t46493 + 0.14e2 / 0.3e1 * t29011 * t62375 - 0.35e2 / 0.3e1 * t29011 * t62378 - 0.2e1 * t4145 * t61612 * t4176 + 0.2e1 * t4145 * t7126 * t12524 + 0.2e1 * t5540 * t1716 * t62387 - 0.3e1 * t5540 * t12388 * t5599 - 0.6e1 * t4145 * t62022 * t1412 - t60872 / 0.6e1 + t46507 - 0.4e1 / 0.3e1 * t12565 * t4691;
  t62408 = t374 * t12340;
  t62412 = t4676 * t2632;
  t62438 = t29498 * t1021 * t61573;
  t62444 = t6921 * t51769 - t490 * t33947 / 0.3e1 + t1663 * t6939 + t1078 * t12531 + t1056 * t12531 + t60874 / 0.3e1 - t1165 * t2653 / 0.4e1 - t318 * t12500 / 0.2e1 - 0.23e2 / 0.36e2 * t10457 * t62438 - t12565 * t4722 / 0.6e1 - t60914 / 0.6e1;
  t62463 = t321 * t369 * t12498 * t370;
  t62466 = t1020 * t2653;
  t62469 = t1074 * t12595;
  t62472 = t10485 * t61812;
  t62475 = t62463 * t377 / 0.2e1 - t1010 * t62466 / 0.12e2 + t62469 * t377 / 0.2e1 + 0.28e2 / 0.3e1 * t29011 * t62472 + t46526 + t46529 - t46538 - t46540 - t46543 - t46547 + t46548;
  t62478 = t29517 * t61623;
  t62487 = t1093 * t61241;
  t62492 = t2632 * t30487;
  t62495 = t5845 * t1671;
  t62496 = t4624 * t62495;
  t62499 = t12397 * t30520;
  t62502 = t12370 * t1069;
  t62503 = t1203 * t62502;
  t62506 = t12370 * t1005;
  t62507 = t4624 * t62506;
  t62510 = t1190 * t62495;
  t62516 = t1203 * t61634;
  t62521 = t142 * t12435;
  t62522 = t62521 * t333;
  t62523 = t1203 * t62522;
  t62530 = t360 * t61634;
  t62533 = t1190 * t61634;
  t62537 = t142 * t1671 * t994;
  t62538 = t1203 * t62537;
  t62541 = t1203 * t62495;
  t62545 = t360 * t62521 * t994;
  t62548 = t1190 * t62522;
  t62551 = -0.5e1 * t34459 * t62516 - 0.4e1 * t34440 * t12447 - 0.4e1 * t6969 * t62523 - 0.22e2 / 0.3e1 * t62492 * t5852 + 0.8e1 * t10408 * t62510 + 0.4e1 * t34634 * t62530 + 0.1e2 / 0.3e1 * t34459 * t62533 - 0.16e2 * t6969 * t62538 - 0.48e2 * t10408 * t62541 + 0.4e1 * t10396 * t62545 + 0.2e1 / 0.3e1 * t6969 * t62548;
  t62561 = t1190 * t62537;
  t62564 = t4633 * t62495;
  t62567 = t360 * t62537;
  t62570 = t2628 * t30508;
  t62573 = t615 * t61693;
  t62574 = t62573 * t1007;
  t62579 = t360 * t62506;
  t62582 = 0.4e1 * t34548 * t12375 + 0.4e1 * t51215 * t12379 + 0.2e1 / 0.3e1 * t34440 * t12372 + 0.5e1 / 0.9e1 * t62499 * t45734 + 0.8e1 / 0.3e1 * t6969 * t62561 - 0.4e1 / 0.9e1 * t10388 * t62564 + 0.8e1 * t6966 * t62567 - 0.12e2 * t62570 * t5847 + 0.4e1 / 0.3e1 * t62574 * t1191 - 0.2e1 * t62574 * t1204 - 0.6e1 * t34538 * t62579;
  t62584 = t360 * t12370 * t4544;
  t62587 = t1190 * t62506;
  t62590 = t12397 * t24899;
  t62593 = t21181 * t2601;
  t62594 = t62593 * t24923;
  t62599 = t2628 * t24905;
  t62604 = t45387 * t61634;
  t62607 = t45378 * t61634;
  t62610 = t12436 * t333;
  t62611 = t4549 * t62610;
  t62614 = -0.6e1 * t51021 * t62584 - 0.6e1 * t34450 * t62587 + t45344 - 0.2e1 / 0.3e1 * t62590 * t5949 + 0.1e2 / 0.3e1 * t62594 * t45572 + 0.2e1 * t2629 * t4571 + 0.12e2 * t62599 * t5930 - 0.6e1 * t2633 * t24963 - 0.8e1 * t34634 * t62604 - 0.5e1 / 0.3e1 * t34459 * t62607 + 0.2e1 * t1720 * t62611;
  t62617 = t12384 * t333;
  t62618 = t4408 * t62617;
  t62627 = t2646 * t1005;
  t62628 = t4549 * t62627;
  t62631 = t1182 * t62627;
  t62635 = t24858 * t2646 * t4544;
  t62640 = t2632 * t24865;
  t62648 = t1182 * t140 * t61171;
  t62651 = t140 * t6884;
  t62652 = t356 * t62651;
  t62659 = t193 * t61693;
  t62663 = 0.2e1 * t2633 * t24909 + t494 * t62648 / 0.2e1 + 0.2e1 * t1716 * t62652 - 0.3e1 * t12388 * t5940 + 0.24e2 * t62640 * t5946 + t45452 + t45454 + t45459 - t45462 - t45465 + 0.2e1 * t62659 * t1043 * t361;
  t62673 = t24823 * t62627;
  t62679 = t62573 * t1033;
  t62684 = t360 * t62495;
  t62687 = t45491 - 0.2e1 * t2633 * t24842 - 0.4e1 * t2629 * t4546 - 0.12e2 * t62640 * t5896 + 0.24e2 * t62594 * t45604 + 0.3e1 * t6988 * t62673 + t6978 * t2647 / 0.2e1 + t1714 * t12437 + 0.4e1 * t62679 * t1186 - 0.2e1 / 0.3e1 * t62679 * t1179 + 0.24e2 * t10418 * t62684;
  t62688 = t360 * t62522;
  t62693 = t356 * t62617;
  t62698 = t1199 * t1671;
  t62699 = t4549 * t62698;
  t62706 = t1182 * t62698;
  t62709 = t1034 * t62617;
  t62712 = 0.4e1 * t6966 * t62688 - 0.5e2 / 0.3e1 * t12398 * t45421 - 0.12e2 * t7010 * t62693 + 0.6e1 * t12388 * t5883 + 0.8e1 * t1720 * t62699 - 0.22e2 * t12394 * t5868 - 0.2e1 * t7005 * t12461 - 0.4e1 * t1716 * t62706 - 0.16e2 * t6984 * t62709 - t45526 - t45528;
  t62716 = t1034 * t62651;
  t62736 = t1093 * t62651;
  t62741 = t5916 * t2616;
  t62742 = t4408 * t62741;
  t62749 = t1093 * t62617;
  t62752 = t45383 * t61634;
  t62755 = -0.3e1 * t12398 * t45575 + 0.5e2 / 0.3e1 * t62594 * t45578 - 0.2e1 * t1720 * t62736 - 0.12e2 * t62594 * t45316 - 0.2e1 / 0.3e1 * t1720 * t62742 - 0.2e1 * t1714 * t12481 - t45598 - 0.24e2 * t62599 * t5906 + 0.24e2 * t6984 * t62749 + 0.1e2 * t34459 * t62752 + t45599;
  t62757 = t9558 + t45600 - t45601 + t45618 + t45624 + t45628 + t45630 - t45632 + t45641 - t45652 - t45653;
  t62764 = t1182 * t62610;
  t62768 = t4543 * t12436 * t994;
  t62771 = t1190 * t62502;
  t62774 = t4633 * t62506;
  t62777 = t360 * t62502;
  t62780 = -t45654 + t45655 + 0.44e2 / 0.3e1 * t12394 * t5876 - 0.2e1 * t1714 * t12466 - 0.4e1 / 0.3e1 * t6981 * t12483 - 0.2e1 * t1716 * t62764 - 0.2e1 * t494 * t62768 + t45668 + t6969 * t62771 / 0.3e1 + t34450 * t62774 / 0.9e1 + 0.2e1 * t6966 * t62777;
  t62786 = t360 * t12370 * t4223;
  t62789 = t1203 * t62506;
  t62801 = t4408 * t62698;
  t62804 = t24794 * t62627;
  t62807 = t143 * t6884;
  t62808 = t356 * t62807;
  t62813 = -0.2e1 * t34443 * t62587 + 0.2e1 * t10396 * t62786 + 0.12e2 * t34443 * t62789 - 0.4e1 * t62659 * t1044 * t357 + 0.4e1 * t2633 * t24824 + 0.36e2 * t62590 * t5923 - 0.36e2 * t62640 * t5926 - 0.16e2 / 0.3e1 * t1720 * t62801 - t6988 * t62804 / 0.18e2 - 0.4e1 * t1716 * t62808 + 0.6e1 * t12388 * t5893;
  t62815 = t1182 * t143 * t61171;
  t62819 = t1034 * t62807;
  t62822 = t4396 * t62617;
  t62831 = t45756 - t45757 - t45759 - t45762 - t494 * t62815 + 0.4e1 / 0.3e1 * t62590 * t5902 - 0.2e1 / 0.3e1 * t1720 * t62819 + 0.2e1 / 0.9e1 * t6988 * t62822 + 0.2e1 / 0.3e1 * t2633 * t24837 - 0.5e1 / 0.18e2 * t12398 * t45594 - t12398 * t24791 / 0.9e1;
  t62837 = t4543 * t2646 * t4223;
  t62845 = t1182 * t62741;
  t62847 = t4408 * t62627;
  t62854 = t1093 * t62807;
  t62857 = -t62594 * t45364 / 0.9e1 - t6978 * t2637 - t494 * t62837 + 0.2e1 * t2629 * t4554 + 0.2e1 * t12394 * t5899 - 0.4e1 * t2633 * t24845 - t1716 * t62845 + 0.4e1 * t6984 * t62847 - 0.2e1 / 0.3e1 * t12398 * t45394 - 0.4e1 / 0.3e1 * t62594 * t45397 + 0.4e1 * t1720 * t62854;
  t62858 = t4549 * t62741;
  t62868 = t4376 * t62617;
  t62871 = t24848 * t62627;
  t62874 = t4408 * t62610;
  t62877 = t1720 * t62858 - 0.12e2 * t12394 * t5880 + 0.8e1 * t62590 * t5864 + 0.6e1 * t12398 * t24829 + 0.8e1 / 0.3e1 * t62594 * t45611 + 0.4e2 / 0.3e1 * t6988 * t62868 - 0.1e2 / 0.3e1 * t6988 * t62871 - 0.4e1 / 0.3e1 * t1720 * t62874 - t45781 - t2229 + t2210;
  t62888 = -t60236 + t60239 + t60241 + t60243 - t60245 - t60247 + t60249 + t60251 - t60253 - t110 * t139 * (0.44e2 * t62492 * t5955 - 0.8e1 / 0.3e1 * t10388 * t62496 + 0.1e2 / 0.3e1 * t62499 * t45479 - 0.2e1 * t6969 * t62503 + 0.4e1 / 0.3e1 * t1720 * t62716 - 0.4e1 / 0.3e1 * t2633 * t24881 - 0.4e1 * t12394 * t5917 + t12398 * t45506 / 0.18e2 + 0.1e2 / 0.3e1 * t12398 * t45554 + 0.2e1 / 0.3e1 * t34450 * t62507 + 0.24e2 * t10388 * t62510 - 0.3e2 * t62499 * t5852 + 0.2e1 * t6981 * t12494 + 0.15e2 * t12398 * t45637 - 0.72e2 * t62590 * t5857 - 0.6e1 * t6984 * t62628 + 0.3e1 * t7010 * t62631 + 0.3e1 * t494 * t62635 + 0.12e2 * t2633 * t24974 + 0.72e2 * t62640 * t5861 - t2629 * t4596 + 0.6e1 * t12394 * t5935 - 0.4e2 * t62590 * t5913 - 0.12e2 * t6988 * t62618 - t45581 + t45583 + t62831 + t62687 + t62755 + t62757 + t62582 + t62712 + t62780 - t45331 + t62857 + t45553 + t62614 + t62551 - t45330 + t62877 + t62663 - t45322 + t62813) * t168 / 0.4e1 - t318 * t12559 / 0.2e1;
  t62907 = t6855 * t1708 - t1663 * t6950 - t6876 * t1704 - t6855 * t1704 - 0.2e1 * t6855 * t1700 - 0.2e1 * t1663 * t6800 - t1663 * t6789 - 0.4e1 * t24606 * t19283 - t1030 * t62412 * t1035 / 0.2e1 - 0.2e1 * t6876 * t1700 - t4349 * t12720;
  t62912 = t24237 * t12555;
  t62915 = t4137 * t62001;
  t62918 = t46515 * t12547;
  t62921 = t29795 * t12510;
  t62928 = t24237 * t12510;
  t62935 = -t4383 * t12720 - t110 * t2652 * t1146 / 0.4e1 + t6827 * t62912 / 0.6e1 - t6830 * t62915 / 0.3e1 - t6827 * t62918 / 0.3e1 + t6824 * t62921 / 0.6e1 + t33997 * t12551 / 0.6e1 + t34948 * t12556 / 0.6e1 - t6830 * t62928 / 0.3e1 - t33978 * t12542 / 0.3e1 - t34948 * t12548 / 0.3e1;
  t62942 = my_piecewise3(t100, 0, t1682 * t12637 / 0.6e1 - t1084 * t12591 / 0.12e2 - t338 * t62280 / 0.6e1 + t6824 * t61918 / 0.6e1 - 0.5e1 / 0.12e2 * t6824 * t61921 + 0.2e1 / 0.3e1 * t6830 * t61924 - t1651 * t51372 / 0.6e1 - 0.5e1 / 0.18e2 * t6752 * t51375 + t490 * t35030 / 0.6e1 - t6755 * t10582 / 0.3e1 - t6760 * t10582 / 0.3e1 + t1677 * t7094 / 0.3e1 + t1682 * t7094 / 0.3e1 + 0.23e2 / 0.18e2 * t61286 * t9286 + 0.89e2 / 0.9e1 * t61424 * t46440 + 0.2e1 * t61452 * t5592 - 0.11e2 / 0.3e1 * t61452 * t5588 + 0.55e2 / 0.18e2 * t61262 * t45226 - t6827 * t61915 / 0.3e1 + t490 * t35026 / 0.3e1 + t2609 * t24285 / 0.3e1 + t1663 * t6812 / 0.2e1 - t61224 * t1433 - t12659 * t5989 + t2609 * t25569 / 0.6e1 + 0.2e1 / 0.3e1 * t6819 * t12655 + t12565 * t4687 / 0.3e1 + t2609 * t25516 / 0.3e1 - 0.62e2 / 0.3e1 * t46394 * t62226 - 0.6e1 * t4349 * t12337 + t1663 * t6886 / 0.2e1 - t25066 * t2659 / 0.2e1 - t25071 * t2659 - t25078 * t2659 / 0.2e1 - t1075 * t12591 / 0.6e1 - t1677 * t6870 / 0.3e1 - t6908 * t1658 / 0.6e1 - t1682 * t6870 / 0.3e1 + 0.2e1 / 0.3e1 * t12565 * t4438 + t2609 * t24435 / 0.3e1 + 0.2e1 / 0.3e1 * t1651 * t34319 - 0.2e1 / 0.3e1 * t6760 * t10313 - 0.2e1 / 0.3e1 * t1651 * t50258 - t1651 * t50261 / 0.3e1 + 0.7e1 / 0.3e1 * t12347 * t24274 - 0.2e1 / 0.3e1 * t6755 * t10313 - t12347 * t46596 - 0.2e1 * t1056 * t12705 + 0.3e1 / 0.2e1 * t30700 * t61981 + t6827 * t61990 / 0.6e1 + 0.11e2 / 0.18e2 * t10457 * t62478 + t12596 * t1071 / 0.4e1 + t6827 * t61620 / 0.2e1 + t10462 * t61624 / 0.2e1 + t1078 * t12535 + t2604 * t4710 / 0.3e1 + 0.5e1 / 0.3e1 * t61305 * t6001 - t7100 * t50236 - t2609 * t24325 + 0.2e1 * t2609 * t24321 - t61286 * t9289 + 0.23e2 / 0.18e2 * t12347 * t46617 - 0.11e2 / 0.18e2 * t12347 * t46609 + 0.3e1 * t1078 * t12708 - 0.2e1 * t1078 * t12705 + t29770 * t12520 + t33988 * t12511 / 0.3e1 - t61262 * t45263 - 0.28e2 * t46420 * t19349 - 0.11e2 / 0.9e1 * t61286 * t9333 - 0.11e2 / 0.9e1 * t12347 * t46604 - 0.6e1 * t1078 * t12342 - 0.6e1 * t1056 * t12342 - t6824 * t61628 / 0.3e1 - 0.5e1 / 0.6e1 * t6824 * t61636 - 0.2e1 / 0.3e1 * t24164 * t61641 - t1651 * t61235 / 0.6e1 - t1651 * t61238 / 0.3e1 - 0.22e2 / 0.9e1 * t10457 * t61460 - 0.2e1 / 0.3e1 * t6824 * t61464 + 0.4e1 * t10451 * t61467 + 0.2e1 / 0.3e1 * t1644 * t50333 - t1677 * t6775 / 0.3e1 - t1682 * t6775 / 0.3e1 + 0.6e1 * t4383 * t12715 + 0.18e2 * t46420 * t19313 - 0.2e1 * t4383 * t12713 + t6827 * t62165 / 0.12e2 + t6824 * t62168 / 0.12e2 + t1682 * t12632 / 0.6e1 + t6908 * t2619 / 0.12e2 + t1677 * t12637 / 0.6e1 + t6890 * t2619 / 0.12e2 + t6893 * t2619 / 0.6e1 + t1677 * t12632 / 0.6e1 + t2604 * t4719 / 0.6e1 - t6755 * t12650 / 0.3e1 + t490 * t61184 / 0.12e2 + 0.4e1 / 0.3e1 * t24164 * t61187 - 0.2e1 * t24164 * t61190 + 0.4e1 / 0.3e1 * t6824 * t61472 - 0.115e3 / 0.36e2 * t61262 * t45232 - 0.8e1 / 0.3e1 * t6824 * t61478 + 0.12e2 * t61413 * t19354 - 0.2e1 * t4349 * t12713 - 0.2e1 / 0.3e1 * t6830 * t61993 + t61936 * t5579 - t6827 * t61998 / 0.3e1 + t6824 * t62002 / 0.6e1 - t34283 * t7117 - t1056 * t12539 - t1078 * t12539 + t1056 * t12535 + t1051 * t12591 / 0.6e1 - 0.7e1 / 0.3e1 * t30700 * t61977 + 0.6e1 * t4349 * t12715 + 0.3e1 * t1056 * t12708 + 0.4e1 / 0.3e1 * t6755 * t12671 - t490 * t34390 / 0.6e1 + 0.2e1 * t34283 * t7132 + 0.3e1 * t51823 * t7139 - 0.3e1 * t50177 * t7129 - 0.2e1 * t51828 * t7127 + 0.5e1 / 0.3e1 * t24164 * t61646 + 0.5e1 / 0.36e2 * t10457 * t62171 - t6890 * t1658 / 0.6e1 - t6893 * t1658 / 0.3e1 + t373 * t62412 * t1094 / 0.2e1 - t1030 * t62104 * t1035 - t110 * t12499 * t404 / 0.2e1 + 0.11e2 * t5540 * t12394 * t5542 - 0.12e2 * t5540 * t6984 * t62487 - 0.6e1 * t373 * t62408 * t6037 - 0.4e1 * t5540 * t1720 * t62265 + 0.3e1 * t5540 * t6984 * t62155 - 0.3e1 * t5559 * t6984 * t62159 + 0.3e1 / 0.2e1 * t4395 * t12336 * t25269 - 0.18e2 * t4395 * t61334 * t5630 - 0.18e2 * t1030 * t61903 * t5654 + 0.18e2 * t373 * t61903 * t5659 + t5559 * t1720 * t61984 / 0.2e1 + t4145 * t62070 * t1100 + 0.6e1 * t10506 * t6988 * t62073 + 0.12e2 * t5559 * t6984 * t62077 - t5540 * t1720 * t62081 + t5559 * t1720 * t62084 - t5540 * t6981 * t12506 + t5559 * t6981 * t62089 + t4145 * t7116 * t61650 - 0.3e1 * t373 * t12341 * t5808 + 0.3e1 * t30030 * t61485 * t9312 - 0.15e2 / 0.2e1 * t10506 * t12398 * t45189 - 0.3e1 / 0.2e1 * t10506 * t6988 * t61574 + t373 * t12534 * t4225 / 0.2e1 - t373 * t1703 * t61359 / 0.4e1 - t373 * t33937 * t2667 / 0.4e1 + 0.3e1 * t1030 * t12341 * t5776 - t1030 * t1692 * t61402 + 0.3e1 / 0.2e1 * t373 * t12707 * t4667 + 0.6e1 * t5540 * t6988 * t61242 + 0.15e2 * t5559 * t12398 * t45207 - t45134 + t46127 - t46276 + 0.4e1 / 0.9e1 * t60683 - 0.2e1 / 0.9e1 * t60685 + t61338 - t60677 / 0.6e1 + t61543 + t45219 + t62935 - t46290 + t46307 + t46308 + t46293 - t46142 + 0.2e1 / 0.3e1 * t60823 + t60825 / 0.3e1 + t61947 - 0.2e1 * t60697 + t60698 / 0.9e1 + t9326 + t61221 - 0.4e1 / 0.3e1 * t60821 + t46087 - 0.11e2 / 0.27e2 * t60694 - 0.2e1 * t60696 + t62475 + t61522 + t62218 + t62304 - t45848 + t45851 + t61691 - t60690 / 0.3e1 + 0.23e2 / 0.54e2 * t60692 + t61726 + t44437 + t61788 - t44516 - t44518 + t45214 - t45217 - t60679 / 0.6e1 - t60681 / 0.6e1 + t62888 + t2251 + t62066 - t60703 / 0.9e1 + t62032 + t62400 + t62213 + t61447 + t61302 + t61181 + t61616 + t62142 - t46102 - t45275 + t45277 - t45280 - t46089 - t46091 + t61554 + t45270 - t45273 + 0.14e2 / 0.9e1 * t60688 + t62907 + t61827 + t61390 + t62444 - t46568 + t46569 + t61740 + t61871 + t61670 + t45137 + t60927 / 0.3e1 + 0.2e1 / 0.9e1 * t60929 - t60749 / 0.6e1 + t62192 + t46111 + t61850 + t60737 / 0.3e1 + t62374 - t44520 - t60916 / 0.6e1 - t60918 / 0.9e1 + t62113 + t60177 - t60753 / 0.9e1 + t60755 / 0.18e2 + t60757 / 0.18e2 - t60739 / 0.3e1 + t60741 / 0.9e1 - t45125 - t60920 / 0.3e1 + t61974 - t45202 - t45856 + t46566 + t46567 - t373 * t4676 * t2628 * t1045 / 0.2e1 + 0.8e1 * t46394 * t29442 * t4393 * t19311 - t373 * t374 * t61693 * t1045 + t46623 - t60922 / 0.18e2 + t60925 / 0.6e1 + t62355 - t60751 / 0.9e1 + t61894 + t46572 + t60660 + t62263 + t61278 - t9323 + t44441 + t44443 + t62042 - t46134);
  tv4rho2lapl28 = t3 * t62942 + 0.2e1 * t12736;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 8] += tv4rho2lapl28;

  t62952 = t3621 * t2734 / 0.9e1;
  t62953 = t6358 * t1770;
  t62971 = -t768 * t13103 - t768 * t13243 - t3610 * t2734 / 0.2e1 - t757 * t13103 - t757 * t13243 + t62952 - t62953 / 0.6e1 - t6340 * t1886 / 0.12e2 - t1522 * t7385 / 0.6e1 - t7393 * t1527 / 0.12e2 - t7396 * t1527 / 0.6e1 - t1876 * t6347 / 0.6e1 - t6308 * t1886 / 0.12e2 - t6311 * t1886 / 0.6e1 - t1517 * t7385 / 0.6e1;
  t62972 = t634 * t2720;
  t63000 = t7450 * t1527 / 0.54e2;
  t63002 = t6365 * t1886 / 0.54e2;
  t63003 = -t622 * t62972 / 0.12e2 + t32451 * t530 / 0.4e1 + t1891 * t6305 / 0.4e1 + t30815 * t530 / 0.4e1 + t30808 * t530 / 0.2e1 - t466 * t37289 / 0.12e2 + t1532 * t7423 / 0.4e1 + t6353 * t1873 / 0.2e1 + t6335 * t1873 / 0.2e1 - t609 * t13049 / 0.12e2 + t37281 * t481 / 0.2e1 + t7374 * t1514 / 0.2e1 + t37286 * t481 / 0.4e1 + t63000 + t63002;
  t63008 = t634 * t2719 * t635;
  t63035 = t463 * t3244;
  t63036 = t95 * t63035;
  t63040 = t13060 * t761 / 0.4e1 + t622 * t63008 / 0.3e1 - t7746 * t21593 * t12810 / 0.3e1 - t54285 * t13204 - t35450 * t13209 / 0.3e1 + t52845 * t13237 + t35450 * t13240 / 0.3e1 - t54283 * t13204 - t35434 * t13209 / 0.3e1 + t54044 * t13237 + t35434 * t13240 / 0.3e1 - t7216 * t25784 * t12860 / 0.3e1 + 0.2e1 * t11086 * t25784 * t12814 + 0.2e1 / 0.3e1 * t7216 * t25958 * t12810 - t7746 * t3130 * t63036 / 0.6e1;
  t63041 = t463 * t606;
  t63042 = t95 * t63041;
  t63046 = t463 * t617;
  t63047 = t95 * t63046;
  t63051 = t35704 * t13240;
  t63053 = t54276 * t13204;
  t63055 = t35704 * t13209;
  t63079 = -t11143 * t4796 * t63042 / 0.2e1 - 0.3e1 * t52607 * t4765 * t63047 + t63051 / 0.9e1 - t63053 / 0.3e1 - t63055 / 0.9e1 + t7746 * t59708 / 0.3e1 + t36005 * t12811 / 0.3e1 - 0.5e1 / 0.18e2 * t52192 * t12815 + t7746 * t26927 * t12860 / 0.3e1 - t11143 * t59682 - t7746 * t59685 / 0.3e1 - t11143 * t26927 * t12814 - t36009 * t12861 / 0.6e1 - t36005 * t12861 / 0.6e1 + t36009 * t12811 / 0.3e1 - 0.5e1 / 0.18e2 * t52195 * t12815;
  t63084 = t512 * t463;
  t63085 = t3671 * t63084;
  t63086 = t10037 * t63085;
  t63090 = t719 * t463;
  t63091 = t253 * t63090;
  t63104 = t3637 * t2737;
  t63114 = 0.2e1 * t26772 * t13182 - 0.3e1 * t52644 * t63086 - t26814 * t12832 + t7746 * t4796 * t63091 / 0.6e1 + t11086 * t4765 * t63042 / 0.2e1 + t7216 * t59184 / 0.3e1 - t7216 * t25665 * t12860 / 0.6e1 + t11086 * t59688 - t63104 / 0.6e1 - t3568 * t2734 / 0.2e1 - t3605 * t2734 + t1891 * t6120 + t1891 * t6122 / 0.2e1 - t32423 * t1758 - t32430 * t1758;
  t63126 = t593 * t13158;
  t63128 = t593 * t13155;
  t63139 = -t7390 * t1556 - t1891 * t6097 - t1891 * t6099 / 0.2e1 - 0.2e1 * t20712 * t19587 - t7374 * t1560 / 0.2e1 - t7390 * t1560 / 0.2e1 + t7250 * t47899 - t63126 / 0.6e1 - t63128 / 0.6e1 + t6335 * t1761 + t1532 * t7523 + t1532 * t7525 / 0.2e1 + t7374 * t1551 + t7390 * t1551 - t6295 * t7492 / 0.2e1 + t6353 * t1761;
  t63142 = t20881 * t2676;
  t63164 = t7380 * t2544;
  t63166 = t7377 * t2544;
  t63168 = t3548 * t13254;
  t63170 = t2718 * t66;
  t63172 = t673 * t63170 * t674;
  t63175 = -t6295 * t7489 - t1748 * t1220 * t63142 / 0.6e1 + t36106 * t2678 / 0.6e1 + t36109 * t2678 / 0.3e1 + t7340 * t12762 / 0.3e1 + t7340 * t11982 / 0.3e1 + t515 * t58488 / 0.12e2 - t35738 * t2686 / 0.6e1 - t37111 * t2686 / 0.3e1 - t7190 * t12767 / 0.3e1 - t35719 * t2686 / 0.6e1 + t63164 / 0.18e2 + t63166 / 0.18e2 - t63168 / 0.3e1 - t211 * t63172 / 0.6e1;
  t63176 = t7255 * t13124;
  t63178 = t35645 * t2692;
  t63195 = t7255 * t12802;
  t63198 = t1869 * t12140;
  t63208 = 0.2e1 / 0.9e1 * t63176 + 0.2e1 / 0.9e1 * t63178 - t13060 * t731 / 0.4e1 + t13060 * t736 / 0.2e1 + t35818 * t2678 / 0.6e1 + t7345 * t12762 / 0.3e1 + t7345 * t11982 / 0.3e1 + t1787 * t673 * t63142 / 0.6e1 + t1787 * t59256 / 0.3e1 - t63195 / 0.18e2 + t6167 * t53277 + t63198 / 0.18e2 + t1787 * t58878 / 0.6e1 - t35738 * t2681 / 0.12e2 - t37111 * t2681 / 0.6e1 - t35719 * t2681 / 0.12e2;
  t63224 = t31575 * t10772;
  t63226 = t1839 * t463;
  t63228 = t10037 * t3671 * t63226;
  t63245 = t768 * t13179 / 0.2e1 + t3568 * t2751 / 0.4e1 + t3605 * t2751 / 0.2e1 + 0.23e2 / 0.18e2 * t52195 * t12994 - 0.4e1 / 0.3e1 * t36005 * t13197 + 0.23e2 / 0.18e2 * t52192 * t12994 - t63224 / 0.18e2 - 0.3e1 * t27523 * t63228 + 0.2e1 * t26777 * t13182 - 0.3e1 * t27523 * t46934 * t63085 - t27575 * t12832 + t11086 * t4754 * t63042 + 0.2e1 / 0.3e1 * t36009 * t13201 + 0.2e1 / 0.3e1 * t36005 * t13201 - 0.4e1 / 0.3e1 * t36009 * t13197;
  t63261 = t52456 * t6105;
  t63283 = t36005 * t12107 / 0.6e1 - t35434 * t12115 / 0.3e1 - t35436 * t12104 / 0.3e1 - 0.5e1 / 0.18e2 * t11008 * t59187 - t7216 * t59192 / 0.6e1 + 0.2e1 * t4738 * t7632 * t6062 - 0.3e1 / 0.2e1 * t10036 * t52453 + 0.3e1 / 0.2e1 * t26806 * t63261 * t4850 - 0.3e1 * t4748 * t63261 * t4825 + 0.3e1 / 0.2e1 * t3123 * t63261 * t4820 - 0.3e1 / 0.2e1 * t11008 * t10037 * t3671 * t63041 - t7746 * t59528 / 0.3e1 + t36009 * t12107 / 0.6e1 + t35452 * t12112 / 0.6e1 - t35450 * t12115 / 0.3e1;
  t63300 = t635 * t63041;
  t63328 = -t35452 * t12104 / 0.3e1 + t35436 * t12112 / 0.6e1 + t7216 * t25669 * t12810 / 0.3e1 - 0.5e1 / 0.18e2 * t11008 * t46934 * t12814 + t11086 * t25665 * t12814 + t6069 * t53073 / 0.2e1 - t11008 * t59104 + 0.23e2 / 0.36e2 * t11008 * t10037 * t63300 + 0.3e1 * t4738 * t7599 * t58197 - 0.3e1 / 0.2e1 * t4779 * t7599 * t58186 - 0.18e2 * t4738 * t36901 * t21220 * t63046 + 0.6e1 * t4779 * t36901 * t21225 * t63046 - 0.6e1 * t47583 * t36901 * t21210 * t63046 + 0.18e2 * t9873 * t36901 * t21215 * t63046 - t10036 * t52445 / 0.2e1;
  t63335 = t25739 * t3671 * t13004;
  t63340 = t26888 * t13182;
  t63342 = t52327 * t63086;
  t63351 = t635 * t13004;
  t63352 = t4760 * t63351;
  t63363 = t53245 * t13196;
  t63366 = 0.7e1 / 0.3e1 * t10036 * t52449 + t4738 * t1847 * t58672 / 0.2e1 + 0.3e1 / 0.2e1 * t26124 * t63335 - t11008 * t25669 * t12814 + 0.2e1 / 0.3e1 * t63340 - t63342 + 0.18e2 * t48503 * t63086 + t4779 * t519 * t58974 / 0.2e1 + t4779 * t1843 * t58983 / 0.2e1 + 0.2e1 * t53153 * t63352 + t6488 * t36304 / 0.6e1 + t6069 * t53246 / 0.4e1 - t6069 * t53250 / 0.6e1 + t6491 * t53254 / 0.3e1 - t21878 * t63363 + t52729 * t6484;
  t63369 = t52934 * t12994;
  t63392 = t35707 * t12023;
  t63403 = t635 * t63046;
  t63407 = 0.23e2 / 0.54e2 * t63369 + 0.3e1 * t4738 * t7595 * t648 * t63041 - 0.3e1 / 0.2e1 * t47709 * t7213 + 0.3e1 / 0.2e1 * t53885 * t6063 + t36310 * t6482 + 0.3e1 / 0.2e1 * t47925 * t7243 + 0.3e1 * t9873 * t36856 * t9874 + 0.3e1 * t9873 * t7599 * t59549 - t53889 * t6067 - t3123 * t36409 * t2592 / 0.4e1 + t63392 / 0.9e1 + t7216 * t4760 * t63036 / 0.6e1 - 0.2e1 * t52204 * t26140 * t63047 - 0.38e2 / 0.9e1 * t52204 * t25739 * t63047 + 0.89e2 / 0.9e1 * t52204 * t47588 * t63403;
  t63435 = t11120 * t6165;
  t63448 = t52934 * t12815;
  t63450 = -0.43e2 / 0.9e1 * t52204 * t47512 * t3671 * t63046 + t11008 * t58190 / 0.2e1 - 0.3e1 / 0.2e1 * t9873 * t7599 * t58193 + 0.6e1 * t52610 * t4760 * t63047 + t7216 * t59503 / 0.12e2 + 0.5e1 / 0.36e2 * t11008 * t59506 - t6069 * t54036 / 0.6e1 + t4738 * t1847 * t3375 * t63035 - t7581 * t59488 / 0.6e1 - t7746 * t59534 / 0.6e1 - t11086 * t59537 / 0.2e1 - 0.3e1 * t3123 * t63435 * t4887 - t7216 * t4765 * t63091 / 0.12e2 - 0.5e1 / 0.36e2 * t11008 * t10037 * t63042 - 0.35e2 / 0.108e3 * t52204 * t47512 * t63047 - 0.5e1 / 0.54e2 * t63448;
  t63452 = t35707 * t12861;
  t63454 = t52986 * t13237;
  t63456 = t35707 * t12811;
  t63458 = t52934 * t12991;
  t63460 = t52986 * t13009;
  t63484 = -t63452 / 0.18e2 + t63454 / 0.3e1 + t63456 / 0.9e1 - 0.11e2 / 0.27e2 * t63458 + 0.2e1 / 0.3e1 * t63460 + t7581 * t59472 / 0.12e2 - 0.3e1 * t4738 * t7595 * t59263 + 0.3e1 * t4779 * t7595 * t59267 + 0.23e2 / 0.36e2 * t10036 * t54104 + t10066 * t54224 - 0.11e2 / 0.18e2 * t10036 * t54226 + 0.3e1 * t4748 * t63435 * t4868 + 0.2e1 * t54044 * t13009 + 0.2e1 / 0.3e1 * t36005 * t13127 + t7581 * t59477 / 0.6e1;
  t63500 = t21655 * t13187;
  t63502 = 0.11e2 / 0.18e2 * t11008 * t58160 - 0.23e2 / 0.36e2 * t11008 * t58164 - t7581 * t59484 / 0.3e1 + t7216 * t59500 / 0.6e1 - t7746 * t59531 / 0.3e1 + t7581 * t59467 / 0.6e1 + t3123 * t13190 * t3161 / 0.2e1 - t63500 / 0.3e1 - t41004 - t41006 - t41011 + t41014 + t41016 + t41018 + t41023 + t41025;
  t63507 = t3637 * t2751;
  t63511 = t3631 * t2751;
  t63515 = t6358 * t1783;
  t63517 = t771 * t12868;
  t63519 = t1508 * t7471;
  t63529 = t41027 + t41030 + t41033 - t41036 + t63507 / 0.6e1 - t1532 * t7296 / 0.2e1 + t63511 / 0.6e1 + t743 * t12868 / 0.6e1 + t63515 / 0.6e1 - t63517 / 0.18e2 - t63519 / 0.18e2 - 0.11e2 / 0.18e2 * t6107 * t53367 + 0.23e2 / 0.36e2 * t6107 * t53360 - t7195 * t9814 / 0.6e1 - t1748 * t47888 / 0.6e1;
  t63535 = t35728 * t2678 / 0.27e2;
  t63537 = t7450 * t2544 / 0.54e2;
  t63544 = t7368 * t1551;
  t63546 = t6186 * t11196;
  t63548 = t7255 * t9790;
  t63550 = t32408 * t1758;
  t63552 = t6358 * t1761;
  t63554 = t35790 * t1548;
  t63560 = -t1748 * t47891 / 0.12e2 - 0.5e1 / 0.36e2 * t7187 * t47894 - t63535 - t63537 + 0.2e1 / 0.3e1 * t7190 * t9794 + 0.2e1 / 0.3e1 * t7195 * t9794 + 0.2e1 / 0.3e1 * t1748 * t48489 + t63544 / 0.3e1 - t63546 / 0.9e1 - t63548 / 0.9e1 - t63550 / 0.3e1 + t63552 / 0.3e1 - t63554 / 0.3e1 + t1532 * t7285 / 0.2e1 + 0.3e1 / 0.2e1 * t1532 * t7278;
  t63562 = t6186 * t11177;
  t63577 = t6283 * t1886;
  t63579 = t6324 * t1886;
  t63581 = t1508 * t7385;
  t63583 = t7368 * t1514;
  t63585 = t37278 * t481;
  t63587 = t35747 * t481;
  t63589 = -t63562 / 0.18e2 + 0.3e1 / 0.2e1 * t1891 * t6209 + 0.2e1 / 0.3e1 * t1541 * t53179 + t1541 * t36645 / 0.3e1 - t37309 * t1548 - t37314 * t1548 - t7462 * t6092 - t7462 * t6088 / 0.2e1 + t1748 * t30991 / 0.3e1 - t63577 / 0.18e2 - t63579 / 0.18e2 - t63581 / 0.18e2 + t63583 / 0.6e1 + t63585 / 0.6e1 + t63587 / 0.6e1;
  t63590 = t6358 * t1873;
  t63592 = t30827 * t530;
  t63594 = t30783 * t530;
  t63602 = t222 * t12975;
  t63623 = t63590 / 0.6e1 + t63592 / 0.6e1 + t63594 / 0.6e1 - t7405 * t1527 / 0.12e2 - t1881 * t6347 / 0.6e1 - t515 * t31073 / 0.12e2 - t211 * t63602 / 0.6e1 + 0.2e1 / 0.3e1 * t1748 * t58376 + t1748 * t58315 / 0.3e1 + 0.2e1 / 0.3e1 * t7190 * t12234 + t35719 * t2692 / 0.3e1 + 0.2e1 / 0.3e1 * t7195 * t13124 + 0.2e1 / 0.3e1 * t7195 * t12234 - t6308 * t1779 / 0.12e2 - t6311 * t1779 / 0.6e1 - t1517 * t7210 / 0.6e1;
  t63634 = t1530 * t35339;
  t63635 = t1227 * t63634;
  t63636 = t36191 * t63635;
  t63646 = t6358 * t1766;
  t63652 = -t6353 * t1770 / 0.2e1 - t6335 * t1770 / 0.2e1 - t1532 * t7534 / 0.2e1 - t1532 * t7537 / 0.4e1 - t41119 - t41144 + 0.2e1 / 0.9e1 * t63636 - t6353 * t1766 - t6335 * t1766 + t7390 * t1564 / 0.2e1 + t1891 * t6129 / 0.4e1 + t1891 * t6133 / 0.2e1 - t63646 / 0.3e1 - 0.3e1 * t1891 * t6203 + 0.3e1 * t6295 * t7265;
  t63672 = t53965 * t1539;
  t63675 = t11120 * t6079;
  t63683 = -0.3e1 * t1532 * t7270 + t246 * t7488 * t12170 + t246 * t1757 * t59445 / 0.2e1 + t768 * t13165 + t768 * t13168 + t3610 * t2742 / 0.2e1 + t757 * t13165 - t768 * t13158 / 0.2e1 - t246 * t1769 * t59294 / 0.4e1 - t4779 * t1847 * t58748 + t3123 * t63672 * t1239 - t4748 * t63675 * t1234 + t3123 * t63675 * t1239 + t26777 * t13006 + t21621 * t12844 - t25730 * t12847;
  t63718 = t4738 * t7632 * t58842 - t4779 * t7632 * t12026 + t4738 * t1847 * t58745 - 0.6e1 * t26777 * t13011 + 0.3e1 * t48464 * t13021 + 0.3e1 * t25730 * t12851 - 0.6e1 * t4738 * t36856 * t9878 - 0.6e1 * t26772 * t13011 + 0.3e1 * t25696 * t12851 + t10066 * t52671 / 0.2e1 - t3123 * t13190 * t3246 / 0.4e1 - t3123 * t13186 * t3313 / 0.2e1 - 0.2e1 * t53153 * t19556 - t1532 * t7502 / 0.2e1 - 0.2e1 * t20712 * t63635;
  t63737 = t191 * t242 * t12973 * t243;
  t63742 = t764 * t13059;
  t63746 = t35742 * t481 / 0.18e2;
  t63749 = t629 * t2720;
  t63754 = t191 * t242 * t2718 * t641;
  t63759 = t37329 * t481 / 0.4e1 + 0.3e1 * t7462 * t6194 + 0.2e1 / 0.3e1 * t6084 * t11200 + 0.2e1 / 0.3e1 * t6081 * t11200 - t7190 * t9790 / 0.3e1 - t7195 * t9790 / 0.3e1 - t1748 * t48474 / 0.3e1 - t1748 * t48477 / 0.6e1 + t63737 * t250 / 0.2e1 - t765 * t13049 / 0.6e1 + t63742 * t250 / 0.2e1 - t63746 + t7390 * t1514 / 0.2e1 - t622 * t63749 / 0.6e1 - t63754 * t650 / 0.2e1 + t13060 * t655 / 0.2e1;
  t63764 = t32124 * t530 / 0.18e2;
  t63765 = t36191 * t19587;
  t63768 = t1508 * t7200;
  t63779 = t37202 * t12112;
  t63781 = t35707 * t12107;
  t63785 = t37202 * t12104;
  t63787 = t35704 * t12115;
  t63792 = -t63764 + 0.2e1 / 0.9e1 * t63765 - t7374 * t1556 - t63768 / 0.18e2 + t1891 * t6219 / 0.2e1 + 0.6e1 * t4738 * t36875 * t9748 - t7581 * t59480 / 0.3e1 + t7216 * t59497 / 0.6e1 + t63779 / 0.18e2 + t63781 / 0.18e2 + t7581 * t58764 / 0.2e1 - t63785 / 0.9e1 - t63787 / 0.9e1 - t41368 - 0.2e1 * t4779 * t7632 * t13227;
  t63793 = t635 * t63226;
  t63794 = t10058 * t63793;
  t63799 = t635 * t63084;
  t63811 = t463 * t3140;
  t63812 = t95 * t63811;
  t63830 = 0.14e2 / 0.3e1 * t27523 * t63794 + t3123 * t35950 * t2741 + 0.14e2 / 0.3e1 * t27523 * t46884 * t63799 + t21621 * t13231 - 0.6e1 * t4779 * t36875 * t13014 - 0.6e1 * t25730 * t13015 - 0.2e1 * t25730 * t13228 + t7746 * t8642 * t63812 / 0.3e1 + 0.2e1 * t53066 * t4796 * t63047 + 0.5e1 / 0.3e1 * t52610 * t10037 * t63047 - t48518 * t7246 + t26772 * t13006 - t25696 * t12847 - t7216 * t47365 / 0.3e1 - 0.11e2 / 0.9e1 * t11008 * t46884 * t12814;
  t63859 = t6214 * t11001;
  t63861 = t36005 * t12023 / 0.3e1 + t7216 * t47371 / 0.2e1 + t2160 - t30 * t2719 * t720 / 0.4e1 + t1517 * t7550 / 0.6e1 + t1522 * t7550 / 0.6e1 + t466 * t35362 / 0.6e1 + t466 * t35495 / 0.12e2 - t7190 * t12148 / 0.3e1 - t7195 * t12148 / 0.3e1 + t6112 * t11001 / 0.3e1 + t6116 * t11001 / 0.3e1 + t1568 * t53863 / 0.3e1 + t1568 * t35347 / 0.6e1 + t63859 / 0.9e1;
  t63862 = t1508 * t7550;
  t63893 = t21655 * t13018;
  t63895 = t63862 / 0.18e2 - t466 * t37122 / 0.12e2 + t1748 * t31785 / 0.3e1 - t7195 * t12802 / 0.6e1 - t1748 * t1227 * t63142 / 0.12e2 - t1748 * t58525 / 0.6e1 - t1891 * t6137 / 0.2e1 - t1891 * t6140 / 0.4e1 - t6084 * t11177 / 0.6e1 - t6081 * t11177 / 0.6e1 - t1541 * t54436 / 0.6e1 - t1541 * t35854 / 0.12e2 - 0.5e1 / 0.36e2 * t6107 * t54174 + 0.3e1 * t4779 * t1847 * t22051 * t63811 - t63893 / 0.3e1 - t41371;
  t63910 = t21655 * t13231;
  t63913 = -t41372 - t41375 - t41377 - t41379 - t41382 - t6223 * t53332 / 0.2e1 - t3530 * t13257 - t22396 * t2729 / 0.2e1 - t3537 * t13254 - t41388 + t35738 * t2692 / 0.3e1 + 0.2e1 / 0.3e1 * t37111 * t2692 + 0.2e1 / 0.3e1 * t7190 * t13124 + t63910 / 0.3e1 - t11086 * t59261;
  t63922 = t10058 * t63799;
  t63929 = t52327 * t63922;
  t63931 = t26891 * t13228;
  t63941 = t2727 * t206;
  t63942 = t3474 * t63941;
  t63946 = t627 * t63941;
  t63951 = t3474 * t19479 * t206;
  t63955 = t6061 * t206;
  t63966 = -0.18e2 * t9873 * t36878 * t3448 * t63046 + t41404 - 0.3e1 * t4779 * t7595 * t653 * t63041 - 0.28e2 * t48503 * t63922 - 0.3e1 * t4738 * t7599 * t3402 * t63041 + 0.14e2 / 0.9e1 * t63929 - 0.2e1 / 0.3e1 * t63931 + t6069 * t54347 / 0.2e1 + 0.3e1 / 0.2e1 * t4748 * t12837 * t27374 - 0.3e1 / 0.2e1 * t3123 * t12837 * t27379 + 0.3e1 * t3123 * t36154 * t63942 + 0.6e1 * t4748 * t35690 * t63946 - 0.6e1 * t4748 * t36154 * t63951 - 0.15e2 / 0.2e1 * t4779 * t7599 * t22070 * t63955 + 0.15e2 * t4738 * t7599 * t21225 * t63955 - t7216 * t59459 / 0.3e1;
  t63975 = t26891 * t13015;
  t63977 = t188 * t13138;
  t63980 = t777 * t2747 / 0.18e2;
  t63982 = 0.2e1 * t11086 * t59331 + 0.2e1 / 0.3e1 * t7216 * t59274 - t4779 * t1847 * t3409 * t63035 - 0.2e1 * t63975 - t63977 / 0.6e1 + t63980 + t47709 * t7236 - t41481 + t41484 - t41500 - t41502 + t41505 - t41513 - t41515 + t41516;
  t64009 = 0.2e1 / 0.27e2 * t35733 * t2692;
  t64010 = t41518 - t41519 + t41520 + t7216 * t47271 / 0.4e1 - t7746 * t47955 / 0.3e1 + t7746 * t47959 / 0.3e1 + 0.36e2 * t4738 * t36878 * t3402 * t63046 - 0.18e2 * t4738 * t36922 * t648 * t63046 + 0.18e2 * t4779 * t36922 * t653 * t63046 + t7581 * t31514 / 0.6e1 + t41570 + t41571 + t41575 - t246 * t36605 * t2733 / 0.2e1 - t246 * t7499 * t12176 - t64009;
  t64020 = t35707 * t13197;
  t64029 = t35707 * t13201;
  t64034 = t593 * t13150;
  t64036 = t593 * t13179;
  t64041 = -0.3e1 * t4738 * t1847 * t22070 * t63811 - 0.4e1 / 0.9e1 * t64020 - t4779 * t1843 * t3430 * t63811 + 0.2e1 * t7216 * t26082 * t635 * t63811 + 0.2e1 / 0.9e1 * t64029 - t3537 * t13257 + t6335 * t1774 / 0.2e1 + t64034 / 0.6e1 + t64036 / 0.6e1 - t6069 * t53892 / 0.3e1 - t41600 - t41611 + t41623 - t41625 - t21617 * t13187;
  t64043 = t3621 * t2737 / 0.18e2;
  t64045 = t6365 * t1779 / 0.54e2;
  t64047 = t3621 * t2751 / 0.18e2;
  t64049 = t3621 * t2742 / 0.9e1;
  t64051 = t3171 * t2740 * t667;
  t64055 = t95 * t63955;
  t64062 = t7255 * t12234;
  t64068 = t25739 * t63799;
  t64082 = t64043 + t64045 - t64047 - t64049 - 0.2e1 * t3123 * t7233 * t64051 + t41631 - t41636 - 0.11e2 / 0.6e1 * t11086 * t4760 * t64055 + 0.25e2 / 0.36e2 * t11008 * t25739 * t64055 + 0.2e1 / 0.9e1 * t64062 + 0.3e1 / 0.2e1 * t4779 * t7599 * t3375 * t63041 + 0.47e2 / 0.3e1 * t48771 * t64068 - 0.2e1 / 0.3e1 * t7216 * t4760 * t635 * t63035 + t7216 * t4765 * t3121 * t63090 / 0.3e1 + t7216 * t4770 * t63036 / 0.3e1;
  t64089 = t7368 * t1556;
  t64091 = t7368 * t1560;
  t64106 = t26903 * t12832;
  t64108 = -t7216 * t4754 * t63091 / 0.6e1 + t6167 * t52283 / 0.2e1 - t64089 / 0.3e1 - t64091 / 0.6e1 - t3530 * t13254 + t42163 - t42171 + t42182 - t21878 * t47270 * t37409 - 0.3e1 / 0.2e1 * t4779 * t7610 * t58782 - 0.3e1 / 0.2e1 * t4779 * t519 * t58776 - 0.6e1 * t4779 * t36931 * t229 * t63046 - t64106 / 0.3e1 + t42199 - t42201;
  t64115 = t31355 * t11148;
  t64125 = t12859 * t206;
  t64126 = t253 * t64125;
  t64136 = t12859 * t667;
  t64137 = t253 * t64136;
  t64149 = t3474 * t19768 * t206;
  t64153 = t7216 * t58665 / 0.3e1 - t52192 * t12984 - t52195 * t12984 - t4748 * t63672 * t1234 + t64115 / 0.9e1 - t10097 * t53819 / 0.2e1 - 0.3e1 / 0.2e1 * t52729 * t6479 + t6488 * t35922 / 0.12e2 - t6069 * t52562 / 0.12e2 + 0.2e1 * t11086 * t4754 * t64126 - 0.11e2 / 0.3e1 * t11086 * t4770 * t64055 + 0.55e2 / 0.18e2 * t11008 * t26140 * t64055 + 0.2e1 / 0.3e1 * t7216 * t4770 * t64137 + 0.23e2 / 0.18e2 * t11008 * t10037 * t3121 * t64125 - 0.11e2 / 0.9e1 * t11008 * t10058 * t64126 + 0.3e1 * t26806 * t36154 * t64149;
  t64167 = t63084 * t667;
  t64168 = t635 * t64167;
  t64186 = t52934 * t12984;
  t64190 = t35707 * t13130;
  t64194 = t35707 * t13127;
  t64199 = -t3123 * t7233 * t59077 - 0.15e2 / 0.2e1 * t9873 * t7599 * t21220 * t63955 + 0.5e1 / 0.2e1 * t11008 * t26082 * t64055 - t11008 * t4760 * t64126 + 0.22e2 / 0.3e1 * t52652 * t4760 * t64168 - 0.115e3 / 0.36e2 * t11008 * t25739 * t635 * t63955 - 0.4e1 / 0.3e1 * t7216 * t4760 * t3121 * t64136 + 0.15e2 / 0.2e1 * t27523 * t25739 * t3671 * t64167 - t6491 * t54144 / 0.3e1 - t64186 / 0.3e1 + t11143 * t58769 / 0.2e1 - t64190 / 0.9e1 - t7216 * t27475 * t63812 + 0.2e1 / 0.9e1 * t64194 - 0.11e2 / 0.18e2 * t11008 * t10058 * t63042;
  t64206 = t26140 * t63351;
  t64209 = t21421 * t2729;
  t64211 = t35645 * t2681;
  t64213 = t35652 * t2681;
  t64215 = t7299 * t11982;
  t64217 = t7299 * t12762;
  t64219 = t36681 * t2678;
  t64221 = t36678 * t2678;
  t64223 = t21416 * t2729;
  t64225 = t6358 * t1774;
  t64227 = t3631 * t2737;
  t64229 = t593 * t13243;
  t64231 = t593 * t13103;
  t64233 = -0.2e1 * t11086 * t4765 * t63300 - t4779 * t1847 * t58685 / 0.2e1 - 0.7e1 / 0.3e1 * t26124 * t64206 - t64209 / 0.3e1 - t64211 / 0.18e2 - t64213 / 0.18e2 + t64215 / 0.9e1 + t64217 / 0.9e1 + t64219 / 0.9e1 + t64221 / 0.9e1 - t64223 / 0.3e1 + t64225 / 0.6e1 - t64227 / 0.6e1 - t64229 / 0.3e1 - t64231 / 0.3e1 + t42282;
  t64240 = t781 * t2747;
  t64260 = t42284 + t6491 * t54053 / 0.6e1 - t30 * t12974 * t277 / 0.2e1 - t64240 / 0.6e1 + t7216 * t4760 * t64137 / 0.3e1 - t1532 * t7500 + t7216 * t58669 / 0.6e1 - t7216 * t58654 / 0.3e1 - t8743 - t42396 + t42397 + 0.23e2 / 0.18e2 * t11008 * t59091 - 0.4e1 / 0.3e1 * t7216 * t25669 * t13196 + 0.23e2 / 0.18e2 * t11008 * t46934 * t12987 - t6491 * t53239 / 0.3e1;
  t64285 = 0.2e1 / 0.3e1 * t7216 * t58589 - 0.4e1 / 0.3e1 * t7216 * t58833 - t6084 * t11196 / 0.3e1 - t6081 * t11196 / 0.3e1 - t1541 * t53193 / 0.3e1 - t1541 * t36653 / 0.6e1 + t42404 - t42405 + t7216 * t59098 / 0.6e1 - 0.5e1 / 0.12e2 * t7216 * t59306 - t7581 * t59311 / 0.3e1 + 0.2e1 / 0.3e1 * t7746 * t59580 - t7746 * t59302 / 0.3e1 - t466 * t36758 / 0.12e2 - t42478 - t42484;
  t64294 = t1839 * t2541;
  t64296 = t4760 * t635 * t64294;
  t64313 = t4765 * t63799;
  t64314 = t52207 * t64313;
  t64323 = t42485 + t42487 + t25730 * t13234 + t4779 * t7624 * t12118 + t4779 * t1841 * t12122 - 0.2e1 / 0.3e1 * t21878 * t64296 - t3123 * t36413 * t2592 / 0.2e1 + t32403 * t7234 + 0.3e1 * t48460 * t13021 + 0.11e2 * t4779 * t7595 * t3409 * t63955 - 0.18e2 * t4779 * t36878 * t3375 * t63046 - 0.4e1 / 0.3e1 * t64314 - t4748 * t35946 * t2728 / 0.2e1 + t1532 * t7512 / 0.4e1 + t1532 * t7516 / 0.2e1;
  t64331 = t7255 * t12148;
  t64340 = t31352 * t7758;
  t64350 = t31513 * t7757;
  t64355 = -t21685 * t2729 / 0.2e1 - t22440 * t2729 - t515 * t30959 / 0.6e1 - t7307 * t48388 / 0.2e1 - t64331 / 0.9e1 - t466 * t35617 / 0.6e1 - t4748 * t12837 * t4936 / 0.2e1 + t6069 * t53305 / 0.3e1 + t64340 / 0.18e2 - t6488 * t35698 / 0.6e1 - t6069 * t52554 / 0.6e1 + t6491 * t54050 / 0.3e1 - t32403 * t7753 / 0.4e1 + t3129 * t64350 / 0.12e2 + t6488 * t35917 / 0.6e1;
  t64367 = t7751 * t1520;
  t64371 = t543 * t1512;
  t64373 = t4765 * t3121 * t64371;
  t64378 = t592 * t13059;
  t64379 = t64378 * t250;
  t64381 = t771 * t13049;
  t64385 = t7377 * t1527;
  t64387 = t7380 * t1527;
  t64389 = t1869 * t6347;
  t64394 = -t21617 * t13191 / 0.2e1 + 0.2e1 / 0.3e1 * t52647 * t19556 + t25730 * t13212 - 0.2e1 / 0.3e1 * t21878 * t25669 * t63351 - t21621 * t13133 / 0.2e1 - t3123 * t64367 * t730 / 0.2e1 + 0.2e1 / 0.3e1 * t21878 * t64373 - t13060 * t749 / 0.2e1 + t64379 / 0.6e1 - t64381 / 0.18e2 + t743 * t13049 / 0.6e1 - t64385 / 0.18e2 - t64387 / 0.18e2 - t64389 / 0.18e2 - 0.62e2 / 0.3e1 * t48771 * t47588 * t63085;
  t64395 = t188 * t13082;
  t64420 = -t64395 / 0.6e1 - 0.11e2 * t4738 * t7595 * t3375 * t63955 + 0.6e1 * t26777 * t12854 - t1876 * t6257 / 0.6e1 - t1881 * t6257 / 0.6e1 - t515 * t31643 / 0.6e1 - t246 * t1765 * t58250 / 0.2e1 - t3568 * t2737 / 0.4e1 + t6353 * t1774 / 0.2e1 + t7250 * t47534 / 0.2e1 + t1876 * t6263 / 0.6e1 + t42571 + t42572 - t42574 - t42575 + t42579;
  t64433 = t1869 * t6257;
  t64447 = t7299 * t9805;
  t64449 = t42581 + t42583 + t6069 * t54124 / 0.4e1 + t1881 * t6263 / 0.6e1 + t515 * t31297 / 0.6e1 + t515 * t31301 / 0.12e2 - t7190 * t9814 / 0.6e1 - t64433 / 0.18e2 + t7340 * t9805 / 0.3e1 + t7345 * t9805 / 0.3e1 + t1787 * t47527 / 0.3e1 + t1787 * t31650 / 0.6e1 - t1748 * t59658 / 0.3e1 - t1748 * t58390 / 0.6e1 + t64447 / 0.9e1;
  t64450 = t1869 * t6263;
  t64452 = t7255 * t9814;
  t64471 = t512 * t1512;
  t64472 = t635 * t64471;
  t64478 = t4765 * t63793;
  t64486 = t64450 / 0.18e2 - t64452 / 0.18e2 + 0.3e1 * t4779 * t36856 * t12850 + 0.2e1 / 0.3e1 * t21878 * t47276 * t36447 - t32403 * t7239 - t32403 * t7229 / 0.2e1 + t25696 * t13234 + t25696 * t13212 - 0.2e1 / 0.3e1 * t52647 * t63352 - t21617 * t13133 / 0.2e1 + t4779 * t1843 * t59007 - 0.4e1 * t52652 * t4765 * t64472 - t3123 * t7238 * t12176 - 0.4e1 * t52652 * t64478 - t3123 * t37255 * t2733 + 0.7e1 / 0.3e1 * t11008 * t10058 * t63300;
  t64504 = t35733 * t2681 / 0.54e2;
  t64506 = t35733 * t2686 / 0.27e2;
  t64521 = 0.2e1 / 0.3e1 * t7216 * t25665 * t13200 - 0.5e1 / 0.36e2 * t10036 * t52565 + 0.6e1 * t4738 * t7595 * t59026 - t31242 * t11131 / 0.3e1 - t6069 * t52674 / 0.3e1 - t7746 * t3130 * t64137 / 0.3e1 + t64504 + t64506 + 0.3e1 / 0.2e1 * t1891 * t6250 + 0.3e1 / 0.2e1 * t32471 * t7564 - 0.3e1 * t6295 * t7567 + 0.3e1 / 0.2e1 * t1532 * t7570 - 0.3e1 / 0.2e1 * t7187 * t47603 - t6107 * t52380 / 0.2e1 + 0.7e1 / 0.3e1 * t6107 * t52384;
  t64532 = t188 * t12975;
  t64546 = -0.3e1 / 0.2e1 * t6107 * t52375 + 0.3e1 / 0.2e1 * t37303 * t6247 - 0.3e1 * t7462 * t6231 - t7187 * t47609 / 0.2e1 + 0.7e1 / 0.3e1 * t7187 * t47612 - t42633 - t64532 / 0.6e1 + t42640 - t42659 + t7216 * t59638 / 0.3e1 - 0.5e1 / 0.6e1 * t7216 * t59522 - t42714 - t42716 - 0.6e1 * t4738 * t7599 * t58730 + 0.3e1 * t4779 * t7599 * t58734 - t31284 * t11131 / 0.3e1;
  t64561 = t21655 * t12844;
  t64563 = t26888 * t13011;
  t64575 = t26903 * t12838;
  t64583 = t42721 - t644 * t37175 * t2728 / 0.2e1 - t644 * t7488 * t12090 - t644 * t1757 * t58618 / 0.2e1 + t7374 * t1564 / 0.2e1 + t64561 / 0.3e1 - 0.2e1 * t64563 + 0.2e1 * t4738 * t1847 * t59675 - 0.3e1 * t27523 * t10037 * t3671 * t64471 - t4748 * t7233 * t12090 - t36310 * t6497 - t64575 / 0.3e1 + t1876 * t12140 / 0.6e1 + t1876 * t12145 / 0.6e1 + t7405 * t2544 / 0.12e2;
  t64584 = t35652 * t2686;
  t64586 = t1869 * t12145;
  t64593 = t673 * t31295 * t1777;
  t64597 = t673 * t6255 * t7469;
  t64600 = t1227 * t12867;
  t64617 = t26891 * t12825;
  t64618 = t26891 * t12829;
  t64620 = -t64584 / 0.9e1 + t64586 / 0.18e2 - t765 * t12868 / 0.6e1 - t609 * t12868 / 0.12e2 - t211 * t64593 / 0.6e1 - t211 * t64597 / 0.6e1 - t622 * t64600 / 0.12e2 + t6353 * t1783 / 0.2e1 - t1517 * t7471 / 0.6e1 - t1522 * t7471 / 0.6e1 - t466 * t36773 / 0.6e1 - t466 * t36765 / 0.12e2 + 0.3e1 / 0.2e1 * t4779 * t7610 * t229 * t63041 + t64617 + t64618 / 0.3e1;
  t64626 = t627 * t2740 * t206;
  t64630 = t35957 * t463;
  t64631 = t3121 * t64630;
  t64639 = t219 * t2732 * t206;
  t64644 = t658 * t2732 * t667;
  t64651 = t3637 * t2734;
  t64653 = t3631 * t2734;
  t64655 = t1508 * t7210;
  t64657 = t6324 * t1779;
  t64659 = t6283 * t1779;
  t64661 = t593 * t13168;
  t64663 = t42821 - t11008 * t4760 * t63042 / 0.2e1 - 0.6e1 * t3123 * t35690 * t64626 + 0.14e2 / 0.3e1 * t27523 * t10058 * t64631 - 0.35e2 / 0.3e1 * t27523 * t26140 * t64168 + 0.3e1 * t3123 * t37270 * t64639 + t3123 * t7238 * t64644 - t36310 * t6476 / 0.2e1 + t3123 * t13186 * t27429 - t64651 / 0.3e1 - t64653 / 0.3e1 - t64655 / 0.18e2 - t64657 / 0.18e2 - t64659 / 0.18e2 + t64661 / 0.3e1;
  t64664 = t593 * t13165;
  t64666 = t3637 * t2742;
  t64668 = t3631 * t2742;
  t64670 = t7255 * t12767;
  t64672 = t35645 * t2686;
  t64684 = t3548 * t13257;
  t64686 = t7368 * t1564;
  t64688 = t64664 / 0.3e1 + t64666 / 0.3e1 + t64668 / 0.3e1 - t64670 / 0.9e1 - t64672 / 0.9e1 - t7190 * t12130 / 0.6e1 - t7195 * t12130 / 0.6e1 - t1748 * t58536 / 0.12e2 + t7393 * t2544 / 0.12e2 + t7396 * t2544 / 0.6e1 - t42912 - t42930 + t42933 - t42936 - t64684 / 0.3e1 + t64686 / 0.6e1;
  t64696 = t26891 * t13234;
  t64698 = t26891 * t13212;
  t64700 = t53249 * t13200;
  t64717 = t7255 * t12130;
  t64719 = t21617 * t12844 - t27575 * t12838 - t26814 * t12838 - t7216 * t47277 / 0.6e1 + t64696 / 0.3e1 + t64698 / 0.3e1 + 0.2e1 / 0.3e1 * t21878 * t64700 - 0.11e2 / 0.18e2 * t7187 * t48480 + 0.23e2 / 0.36e2 * t7187 * t47265 - t7195 * t12767 / 0.3e1 + t1881 * t12140 / 0.6e1 + t1881 * t12145 / 0.6e1 + t515 * t58504 / 0.12e2 + t515 * t58395 / 0.6e1 - t64717 / 0.18e2;
  t64721 = t660 * t63170 * t668;
  t64747 = t211 * t64721 / 0.12e2 - t43002 - t43008 - t36009 * t13130 / 0.3e1 + 0.2e1 / 0.3e1 * t36009 * t13127 - 0.11e2 / 0.9e1 * t52195 * t12991 + 0.2e1 * t52845 * t13009 - 0.11e2 / 0.9e1 * t52192 * t12991 - t36005 * t13130 / 0.3e1 + t43018 - t43020 + 0.3e1 * t4779 * t7610 * t59000 + 0.3e1 * t4779 * t36916 * t12824 + t4779 * t7624 * t12828 + 0.3e1 * t25730 * t12825 + t25730 * t12829;
  t64772 = -0.4e1 * t52652 * t25665 * t63799 - t21621 * t13018 + t25696 * t12829 - 0.4e1 * t52663 * t64313 - t21617 * t13018 - t6069 * t52574 / 0.6e1 - t43029 - t43031 - 0.11e2 / 0.9e1 * t11008 * t59326 + t3568 * t2742 / 0.2e1 + t3605 * t2742 - t3610 * t2737 / 0.4e1 - t757 * t13155 / 0.2e1 - t757 * t13158 / 0.2e1 - t768 * t13155 / 0.2e1;
  t64802 = t25665 * t19555;
  t64805 = t37338 * t464;
  t64819 = -t246 * t36601 * t2592 / 0.4e1 - t246 * t7533 * t12165 / 0.2e1 + t246 * t36763 * t469 * t249 / 0.4e1 + t246 * t7469 * t1584 * t249 / 0.2e1 + t246 * t1777 * t6429 * t249 / 0.4e1 - t3605 * t2737 / 0.2e1 - t1517 * t7200 / 0.6e1 - t1522 * t7200 / 0.6e1 - t466 * t36613 / 0.6e1 - t21621 * t13187 - t21621 * t13191 / 0.2e1 + 0.2e1 / 0.3e1 * t21878 * t64802 - t3123 * t64805 * t730 / 0.2e1 + t3123 * t7238 * t59647 - 0.4e1 * t52652 * t4765 * t64631 + 0.5e1 / 0.3e1 * t21878 * t26082 * t635 * t13004 * t667;
  t64833 = t3171 * t2727 * t667;
  t64850 = t3123 * t7228 * t59589 - 0.2e1 * t4779 * t1843 * t59642 - 0.3e1 * t4779 * t7610 * t819 * t63955 + 0.2e1 * t4748 * t7233 * t64833 - 0.3e1 * t27523 * t10037 * t4746 * t64630 - 0.2e1 / 0.3e1 * t21878 * t4760 * t3121 * t35957 * t2541 + t9032 - t9043 + t43086 - t43089 + t43095 + t43103 + t43106 + 0.3e1 * t25696 * t12825 - t31242 * t10772 / 0.6e1;
  t64876 = t54269 * t19556;
  t64882 = t6491 * t54047 / 0.3e1 + t6488 * t35912 / 0.6e1 + t31364 * t11148 / 0.3e1 + t31844 * t7758 / 0.6e1 + t31362 * t11148 / 0.3e1 + t31841 * t7758 / 0.6e1 - t31284 * t10772 / 0.6e1 - 0.6e1 * t4779 * t7595 * t58638 - 0.2e1 * t4779 * t1847 * t58643 + 0.14e2 / 0.3e1 * t27523 * t10058 * t64472 + t3123 * t7233 * t12170 + 0.2e1 / 0.9e1 * t64876 + t43108 + t43112 - t6340 * t1779 / 0.12e2 - t1522 * t7210 / 0.6e1;
  t64888 = t188 * t13141;
  t64898 = t19538 * t667;
  t64900 = t4760 * t3121 * t64898;
  t64906 = t7751 * t6095;
  t64909 = t35652 * t2692;
  t64913 = t757 * t13168 + t246 * t37175 * t2741 / 0.2e1 - t64888 / 0.6e1 - t43118 - t43119 + t4748 * t7233 * t59519 - 0.5e1 / 0.2e1 * t4738 * t1847 * t59072 + 0.5e1 / 0.2e1 * t4779 * t1847 * t59514 - t21878 * t64900 + t36009 * t12023 / 0.3e1 + t7216 * t58661 / 0.3e1 - t3123 * t64906 * t1246 + t43145 + 0.2e1 / 0.9e1 * t64909 - t182 * t13082 / 0.2e1;
  t64916 = t7751 * t1539;
  t64920 = t21655 * t13191;
  t64930 = t37338 * t1554;
  t64934 = t1227 * t1530 * t1777;
  t64943 = -t4748 * t35950 * t2728 + 0.3e1 / 0.2e1 * t3123 * t64916 * t4878 - t64920 / 0.6e1 + 0.3e1 / 0.2e1 * t9873 * t7599 * t3448 * t63041 + 0.8e1 * t48771 * t47512 * t9871 * t63084 - t2089 - t3123 * t64930 * t1246 + t43195 + t43201 - t43204 + t43254 + t43256 + t622 * t64934 / 0.3e1 - t6295 * t7179 / 0.2e1 + t1532 * t7182 / 0.2e1 + t768 * t13150 / 0.2e1;
  t64952 = t1220 * t12867;
  t64956 = t22385 * t2729 / 0.9e1;
  t64967 = t54269 * t63352;
  t64969 = t21655 * t13133;
  t64971 = t26888 * t12854;
  t64973 = t46822 * t13021;
  t64979 = t3610 * t2751 / 0.4e1 + t757 * t13179 / 0.2e1 + t757 * t13150 / 0.2e1 - t622 * t64952 / 0.6e1 + t64956 - t515 * t32319 / 0.12e2 - t7190 * t12802 / 0.6e1 + t3123 * t35946 * t2741 / 0.2e1 - t3123 * t37251 * t2733 / 0.2e1 - 0.2e1 / 0.9e1 * t64967 - t64969 / 0.6e1 + 0.2e1 * t64971 + t64973 + t4779 * t1843 * t58549 - 0.5e1 / 0.18e2 * t11008 * t10037 * t64126;
  t64987 = t777 * t2720 / 0.18e2;
  t64988 = t781 * t2720;
  t65006 = t11086 * t4765 * t64126 - t11143 * t4796 * t64126 + t11143 * t3130 * t64055 + t64987 - t64988 / 0.6e1 + t6335 * t1783 / 0.2e1 + t1532 * t7475 / 0.2e1 + t1532 * t7313 / 0.4e1 - t43266 + t43267 + 0.12e2 * t52226 * t64313 + t4779 * t1843 * t819 * t63035 / 0.2e1 - t6069 * t52680 / 0.3e1 + 0.2e1 / 0.3e1 * t6069 * t52684 - t43269 - t43271;
  t65010 = t31575 * t11131;
  t65012 = t26888 * t13006;
  t65014 = t26891 * t12847;
  t65016 = t26891 * t12851;
  t65037 = 0.6e1 * t26772 * t12854 - t65010 / 0.9e1 + t65012 / 0.3e1 - t65014 / 0.3e1 + t65016 - t43298 - t43302 - t7216 * t26082 * t63812 / 0.2e1 - 0.6e1 * t25696 * t13015 - 0.2e1 * t25696 * t13228 + 0.14e2 / 0.3e1 * t52644 * t63922 + t21617 * t13231 + t3123 * t12837 * t4960 / 0.2e1 + t4779 * t519 * t58553 - 0.2e1 / 0.3e1 * t21878 * t4760 * t635 * t512 * t11860;
  t65071 = t12875 * t3140;
  t65078 = t12875 * t617;
  t65096 = -t41658 + t41695 - 0.4e1 * t36952 * t233 * t65071 + 0.12e2 * t37040 * t840 * t65071 - 0.24e2 * t53647 * t233 * t65078 - 0.6e1 * t36949 * t60072 - 0.6e1 * t53471 * t60019 + 0.12e2 * t36961 * t60022 + 0.72e2 * t53420 * t840 * t65078 - t7629 * t2562 - 0.2e1 * t1841 * t11862 + t519 * t59874 / 0.2e1;
  t65107 = t2708 * t617;
  t65111 = t2708 * t3140;
  t65127 = -0.2e1 / 0.3e1 * t1847 * t59799 - t7599 * t59803 / 0.18e2 + 0.2e1 * t36850 * t2705 + 0.4e1 * t7632 * t11869 + 0.3e1 * t519 * t59951 + 0.12e2 * t36931 * t229 * t65107 + 0.2e1 * t1843 * t3430 * t65111 + 0.3e1 * t7610 * t59947 - 0.6e1 * t1847 * t22051 * t65111 + 0.4e1 * t1847 * t22070 * t65111 + 0.2e1 * t1847 * t59806 + 0.3e1 * t7599 * t59857;
  t65137 = t12875 * t606;
  t65157 = t827 * t63955;
  t65160 = -0.12e2 * t36901 * t21225 * t65107 + 0.36e2 * t36878 * t3375 * t65107 - 0.4e1 / 0.3e1 * t10846 * t60117 - 0.2e1 / 0.3e1 * t10846 * t3475 * t65137 - 0.4e1 / 0.3e1 * t53443 * t22013 * t65078 - 0.4e1 * t36944 * t11821 - 0.4e1 * t7584 * t60067 - 0.2e1 * t7584 * t60050 - 0.24e2 * t53417 * t12877 - 0.22e2 * t36961 * t840 * t63955 - 0.5e1 * t37040 * t59854 + 0.15e2 * t36958 * t65157;
  t65167 = t827 * t65137;
  t65175 = t3475 * t65078;
  t65188 = t827 * t65078;
  t65191 = 0.2e1 / 0.3e1 * t36958 * t60053 + 0.12e2 * t53435 * t12949 + 0.12e2 * t10846 * t59992 + 0.6e1 * t10846 * t65167 - 0.24e2 * t10841 * t60110 - 0.12e2 * t10841 * t840 * t65137 + 0.8e1 * t53458 * t65175 - 0.4e1 / 0.3e1 * t53435 * t12952 + 0.2e1 * t7586 * t60059 - 0.2e1 * t36961 * t60062 - 0.8e1 * t36944 * t12940 - 0.8e1 * t7584 * t60025 - 0.12e2 * t53420 * t65188;
  t65194 = t12875 * t3244;
  t65209 = t3482 * t65078;
  t65227 = 0.2e1 * t7586 * t233 * t65194 + 0.2e1 * t10828 * t59927 + t7584 * t59931 / 0.3e1 + t36958 * t59935 / 0.9e1 - 0.2e1 * t37040 * t827 * t65071 + 0.2e1 * t10841 * t65167 + 0.4e1 / 0.3e1 * t53458 * t65209 + 0.2e1 / 0.3e1 * t7584 * t827 * t65194 - t10846 * t3482 * t65137 / 0.9e1 - t53443 * t48301 * t65078 / 0.9e1 - 0.4e1 * t7584 * t840 * t65194 + 0.6e1 * t10836 * t233 * t65137;
  t65234 = t2708 * t3244;
  t65238 = t5244 * t463;
  t65254 = 0.2e1 * t7624 * t11937 + t1843 * t59775 + t7629 * t2572 / 0.2e1 + t1841 * t11912 + 0.2e1 * t1847 * t3409 * t65234 + 0.1e2 / 0.3e1 * t7599 * t3402 * t65238 - 0.4e1 / 0.3e1 * t1847 * t3375 * t65234 + 0.2e1 * t1847 * t60006 - 0.6e1 * t36856 * t12890 - 0.6e1 * t7599 * t60015 + 0.12e2 * t36875 * t12960 - t1843 * t59897;
  t65282 = 0.4e1 * t7595 * t59899 - t519 * t59903 - 0.2e1 * t36910 * t2698 - 0.4e1 * t7624 * t11875 - 0.3e1 * t7610 * t229 * t65238 + 0.24e2 * t36922 * t648 * t65107 - t1843 * t819 * t65234 - t519 * t59878 - t1847 * t59880 / 0.3e1 + t7599 * t3448 * t65238 / 0.18e2 - 0.2e1 * t1843 * t59789 - 0.4e1 * t7595 * t648 * t65238;
  t65298 = -0.2e1 / 0.3e1 * t36878 * t3448 * t65107 - t36850 * t2701 / 0.3e1 - 0.2e1 / 0.3e1 * t7632 * t11901 + t41726 + t41727 + t8876 - t41728 + 0.12e2 * t7595 * t60101 + 0.2e1 * t7632 * t11886 + t1847 * t59905 - 0.3e1 * t7599 * t3375 * t65238 + t41755 + t41792;
  t65304 = t41881 * t63955;
  t65323 = -t41796 - t41841 - t41843 - 0.5e1 / 0.3e1 * t37040 * t59920 - 0.3e2 * t36958 * t65304 + 0.44e2 * t36961 * t41885 * t63955 + 0.1e2 / 0.3e1 * t36958 * t48231 * t63955 + 0.1e2 * t37040 * t59923 + 0.4e1 * t10828 * t59970 + 0.2e1 / 0.3e1 * t7584 * t59973 + 0.4e1 / 0.3e1 * t7584 * t59995 - 0.2e1 / 0.9e1 * t10846 * t59976;
  t65339 = 0.4e1 * t36966 * t11824 + 0.4e1 * t53628 * t11828 + 0.4e1 * t7586 * t59847 + 0.4e1 * t10841 * t59992 + 0.4e1 / 0.3e1 * t36944 * t12928 - 0.2e1 / 0.9e1 * t53435 * t12931 + t36910 * t2712 - t41900 - t41901 + t41913 + t41921 + 0.8e1 / 0.3e1 * t53443 * t65209;
  t65365 = -0.6e1 * t36958 * t60062 + 0.24e2 * t53443 * t65175 - 0.72e2 * t53458 * t65188 + 0.2e1 / 0.3e1 * t36944 * t11831 + 0.4e1 * t7586 * t59966 + t41976 + 0.1e2 / 0.3e1 * t36901 * t21215 * t65107 - 0.1e2 / 0.3e1 * t7599 * t59908 + 0.5e2 / 0.3e1 * t36901 * t21220 * t65107 - 0.6e1 * t36916 * t12903 - 0.2e1 * t7624 * t12906 - 0.8e1 * t36875 * t12914;
  t65386 = -0.6e1 * t7610 * t60090 - 0.2e1 * t1843 * t60093 - 0.8e1 * t7595 * t60096 - 0.2e1 * t7624 * t11896 - 0.2e1 * t1841 * t11899 - 0.4e1 / 0.3e1 * t7632 * t11865 - 0.5e2 / 0.3e1 * t36958 * t3475 * t63955 + 0.44e2 / 0.3e1 * t36961 * t65157 - 0.5e1 / 0.18e2 * t36958 * t3482 * t63955 + t41978 - t41987 + t41991 - t42004;
  t65408 = t42006 - t42015 + t42023 + 0.4e1 * t53417 * t12949 + 0.12e2 * t10836 * t59843 + 0.6e1 * t36949 * t233 * t63955 + 0.4e1 * t36952 * t59986 + t42033 + t7599 * t59814 / 0.9e1 + 0.6e1 * t7595 * t653 * t65238 - 0.36e2 * t36922 * t653 * t65107 - 0.6e1 * t7595 * t60001;
  t65431 = -0.4e2 * t36878 * t3402 * t65107 - t42052 + t42057 - t36850 * t2716 - 0.2e1 * t7632 * t11932 - t1847 * t59770 + 0.2e1 / 0.3e1 * t36850 * t2709 + 0.4e1 / 0.3e1 * t7632 * t11918 + 0.2e1 / 0.3e1 * t1847 * t60043 + 0.5e1 / 0.9e1 * t36958 * t48306 * t63955 - 0.2e1 * t1843 * t59818 - 0.2e1 * t519 * t59824 - 0.4e1 / 0.3e1 * t1847 * t59870;
  t65458 = 0.4e1 * t7632 * t12894 + 0.2e2 / 0.3e1 * t36856 * t12897 + 0.4e1 * t1847 * t60104 + 0.2e2 / 0.3e1 * t7599 * t60107 - 0.8e1 / 0.3e1 * t7632 * t12900 + t36856 * t12923 / 0.9e1 - 0.8e1 / 0.3e1 * t1847 * t59810 - 0.22e2 / 0.3e1 * t36961 * t65304 - 0.12e2 * t36949 * t41877 * t63955 - 0.8e1 * t36952 * t59917 + 0.1e2 / 0.3e1 * t37040 * t59989 + 0.12e2 * t53582 * t12943;
  t65461 = 0.4e1 * t36966 * t12946 + t2119 - t2138 - t42063 - t42064 - t42065 + t42066 - t42080 + t42084 + t42086 - t42112 - t42113 - t42115;
  t65474 = -t3123 * t7228 * t12165 / 0.2e1 - 0.6e1 * t52607 * t4754 * t63047 + 0.22e2 / 0.3e1 * t52610 * t10058 * t63047 - 0.23e2 / 0.3e1 * t52610 * t10037 * t63403 - 0.61e2 / 0.27e2 * t52204 * t47588 * t63047 + 0.44e2 / 0.27e2 * t52204 * t47512 * t63403 - t43325 - t30 * t1607 * t1830 / 0.2e1 - t182 * t13141 / 0.2e1 - t182 * t13138 / 0.2e1 - t30 * t6471 * t544 / 0.4e1 - t30 * t476 * t7727 / 0.4e1 - t800 * t2747 / 0.4e1 - t30 * t59 * (t65096 + t65127 + t65160 + t65191 + t65227 + t65254 + t65282 + t65298 + t65323 + t65339 + t65365 + t65386 + t65408 + t65431 + t65458 + t65461) * t95 / 0.4e1 - t800 * t2720 / 0.4e1 - t182 * t12975 / 0.2e1;
  t65481 = my_piecewise3(t2, 0, t63560 + t63114 + t64260 + t64882 + t64943 + t65037 + t64620 + t63683 + t64449 + t63759 + t63529 + t64772 + t64688 + t64979 + t63283 + t64546 + t63623 + t64663 + t63328 + t64355 + t63895 + t64521 + t63982 + t63589 + t64108 + t64719 + t64913 + t65474 + t64850 + t63718 + t64041 + t64010 + t64233 + t64394 + t63245 + t64082 + t64747 + t63484 + t63966 + t63652 + t63792 + t63003 + t63175 + t63079 + t64420 + t63208 + t65006 + t64285 + t63502 + t62971 + t63407 + t63366 + t63861 + t63450 + t64583 + t63830 + t64819 + t64486 + t64323 + t64199 + t63913 + t63139 + t63040 + t64153);
  tv4rho2lapltau0 = t3 * t65481 + 0.2e1 * t13265;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 0] += tv4rho2lapltau0;

  tv4rho2lapltau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 1] += tv4rho2lapltau1;

  tv4rho2lapltau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 2] += tv4rho2lapltau2;

  t65485 = t6520 * t2025 / 0.54e2;
  t65487 = t33105 * t570 / 0.18e2;
  t65488 = t33097 * t570;
  t65493 = t7775 * t1658 / 0.54e2;
  t65495 = t38201 * t505 / 0.18e2;
  t65502 = t6517 * t2025;
  t65504 = t38212 * t505;
  t65506 = t7772 * t1658;
  t65509 = t6520 * t1950 / 0.54e2;
  t65511 = t3918 * t2831 / 0.18e2;
  t65512 = t65485 - t65487 + t65488 / 0.6e1 + t38168 * t505 / 0.4e1 + t65493 - t65495 + t33120 * t570 / 0.4e1 - t7769 * t1658 / 0.12e2 - t6514 * t2025 / 0.12e2 - t65502 / 0.18e2 + t65504 / 0.6e1 - t65506 / 0.18e2 + t65509 - t65511;
  t65514 = t3918 * t2822 / 0.9e1;
  t65516 = t3918 * t2814 / 0.9e1;
  t65518 = t7775 * t2619 / 0.54e2;
  t65520 = 0.2e1 / 0.27e2 * t38075 * t2772;
  t65534 = t3918 * t2817 / 0.18e2;
  t65536 = t23391 * t2809 / 0.9e1;
  t65537 = t38102 * t2772;
  t65539 = t23371 * t2809;
  t65541 = -t65514 + t65516 - t65518 - t65520 - t23423 * t2809 / 0.2e1 - t3912 * t2814 / 0.2e1 + t3912 * t2822 / 0.2e1 - t3912 * t2817 / 0.4e1 + t3912 * t2831 / 0.4e1 - t6514 * t1950 / 0.12e2 + t65534 + t65536 + 0.2e1 / 0.9e1 * t65537 - t65539 / 0.3e1;
  t65543 = t3915 * t2814;
  t65545 = t3915 * t2817;
  t65547 = t3915 * t2822;
  t65549 = t3915 * t2831;
  t65551 = t6517 * t1950;
  t65564 = t38072 * t2758 / 0.27e2;
  t65566 = t38075 * t2761 / 0.54e2;
  t65567 = t38102 * t2761;
  t65569 = t38097 * t2758;
  t65571 = -t65543 / 0.3e1 - t65545 / 0.6e1 + t65547 / 0.3e1 + t65549 / 0.6e1 - t65551 / 0.18e2 - t38139 * t2761 / 0.12e2 + t38136 * t2758 / 0.6e1 - t38139 * t2766 / 0.6e1 + t7769 * t2619 / 0.12e2 + t38139 * t2772 / 0.3e1 - t65564 + t65566 - t65567 / 0.18e2 + t65569 / 0.9e1;
  t65572 = t38102 * t2766;
  t65574 = t7772 * t2619;
  t65577 = t38075 * t2766 / 0.27e2;
  t65581 = t873 * t2800 / 0.18e2;
  t65582 = t869 * t2800;
  t65586 = t869 * t2827;
  t65589 = t873 * t2827 / 0.18e2;
  t65590 = -t65572 / 0.9e1 + t65574 / 0.18e2 + t65577 + t43403 - t43416 - t43424 + t43454 - t43459 + t43463 - t865 * t2800 / 0.4e1 + t65581 - t65582 / 0.6e1 - t865 * t2827 / 0.4e1 - t65586 / 0.6e1 + t65589;
  t65593 = my_piecewise3(t100, 0, t65512 + t65541 + t65571 + t65590);
  tv4rho2lapltau3 = t3 * t65593 + 0.2e1 * t13338;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 3] += tv4rho2lapltau3;

  t65598 = t6564 * t1886;
  t65600 = t32776 * t530;
  t65602 = t7829 * t1527;
  t65604 = t37871 * t481;
  t65623 = -t63053 / 0.6e1 - t63055 / 0.18e2 - t63104 / 0.12e2 - t63126 / 0.12e2 - t63128 / 0.12e2 - t22520 * t13187 / 0.2e1 - t22520 * t13191 / 0.4e1 + t32751 * t11148 / 0.6e1 + t32748 * t7758 / 0.12e2 + t63164 / 0.36e2 + t63166 / 0.36e2;
  t65628 = t6564 * t1779;
  t65630 = t3818 * t2734;
  t65634 = t3818 * t2751;
  t65641 = -t63168 / 0.6e1 + t63176 / 0.9e1 + t63178 / 0.9e1 - t65628 / 0.36e2 - t65630 / 0.6e1 - t63195 / 0.36e2 + t63198 / 0.36e2 + t65634 / 0.12e2 - t63224 / 0.36e2 + 0.3e1 / 0.2e1 * t49304 * t13021 + t37561 * t12023 / 0.6e1;
  t65642 = t37601 * t2681;
  t65658 = t3818 * t2737;
  t65664 = -t65642 / 0.36e2 - t6541 * t11196 / 0.6e1 + t6541 * t11200 / 0.3e1 - t37723 * t1548 / 0.2e1 + t7824 * t1551 / 0.2e1 - t1632 * t7210 / 0.12e2 - t6570 * t1779 / 0.12e2 - t6567 * t1779 / 0.12e2 - t65658 / 0.12e2 + t3835 * t2742 / 0.2e1 - t903 * t13155 / 0.4e1;
  t65689 = -t903 * t13158 / 0.4e1 + t3825 * t2742 / 0.2e1 - t3825 * t2737 / 0.4e1 - t3835 * t2737 / 0.4e1 + t903 * t13179 / 0.4e1 + t903 * t13150 / 0.4e1 - t1632 * t7471 / 0.12e2 + t3825 * t2751 / 0.4e1 + t3835 * t2751 / 0.4e1 - t7801 * t9790 / 0.6e1 - t32796 * t1758 / 0.2e1;
  t65712 = t6575 * t1761 / 0.2e1 + t7808 * t2544 / 0.12e2 + t1923 * t12140 / 0.12e2 + t37651 * t2692 / 0.3e1 + t7801 * t13124 / 0.3e1 + t7801 * t12234 / 0.3e1 + t37648 * t2692 / 0.3e1 - t3802 * t13254 / 0.2e1 - t3802 * t13257 / 0.2e1 - t22759 * t2729 / 0.2e1 - t22732 * t2729 / 0.2e1;
  t65736 = -t3835 * t2734 / 0.2e1 - t903 * t13103 / 0.2e1 - t903 * t13243 / 0.2e1 + t903 * t13168 / 0.2e1 - t3825 * t2734 / 0.2e1 + t903 * t13165 / 0.2e1 - t7801 * t12767 / 0.6e1 - t7801 * t12148 / 0.6e1 + t1923 * t12145 / 0.12e2 - t37648 * t2686 / 0.6e1 - t37651 * t2686 / 0.6e1;
  t65739 = t7829 * t2544;
  t65757 = t37926 * t2678;
  t65759 = t7811 * t2544 / 0.12e2 + t65739 / 0.36e2 - t37648 * t2681 / 0.12e2 - t37651 * t2681 / 0.12e2 - t7801 * t12802 / 0.12e2 - t7801 * t12130 / 0.12e2 + t7894 * t12762 / 0.6e1 + t7894 * t11982 / 0.6e1 + t37905 * t2678 / 0.6e1 + t37908 * t2678 / 0.6e1 + t65757 / 0.18e2;
  t65763 = t37601 * t2686;
  t65787 = t63460 / 0.3e1 - t63500 / 0.6e1 + t27723 * t13234 / 0.2e1 + t27723 * t13212 / 0.2e1 - t27719 * t63352 / 0.3e1 - t22520 * t13133 / 0.4e1 + t43497 + t43498 - t43499 + t63507 / 0.12e2 + t63511 / 0.12e2;
  t65798 = t63515 / 0.12e2 - t63517 / 0.36e2 - t63519 / 0.36e2 - t63535 - t63537 + t63544 / 0.6e1 - t63546 / 0.18e2 - t63548 / 0.18e2 - t63550 / 0.6e1 + t63552 / 0.6e1 - t63554 / 0.6e1;
  t65809 = -t63562 / 0.36e2 - t63577 / 0.36e2 - t63579 / 0.36e2 - t63581 / 0.36e2 + t63583 / 0.12e2 + t63585 / 0.12e2 + t63587 / 0.12e2 + t63590 / 0.12e2 + t63592 / 0.12e2 + t63594 / 0.12e2 - t43522;
  t65819 = -t43524 + t43526 + t43529 + 0.23e2 / 0.36e2 * t54964 * t12994 + t37561 * t13201 / 0.3e1 + t63636 / 0.9e1 - t63646 / 0.6e1 - t43560 - t63746 - t63764 + t63765 / 0.9e1;
  t65834 = -t63768 / 0.36e2 - 0.3e1 / 0.2e1 * t49258 * t63086 - t27864 * t12832 / 0.2e1 - 0.3e1 * t27723 * t13015 - t27723 * t13228 + 0.7e1 / 0.3e1 * t49258 * t63922 + t63779 / 0.36e2 + t63781 / 0.36e2 - t63785 / 0.18e2 - t63787 / 0.18e2 + t43575;
  t65838 = t37601 * t2692;
  t65840 = t22719 * t2729;
  t65842 = t3818 * t2742;
  t65848 = t43585 + t63859 / 0.18e2 + t63862 / 0.36e2 - t43598 - t43609 + t65838 / 0.9e1 - t65840 / 0.6e1 + t65842 / 0.6e1 - t63893 / 0.6e1 + t63910 / 0.6e1 - t307 * t12975 / 0.4e1;
  t65869 = 0.7e1 / 0.9e1 * t63929 - t63931 / 0.3e1 + t7894 * t9805 / 0.6e1 - t1632 * t7200 / 0.12e2 - t7824 * t1556 / 0.2e1 + t6609 * t11001 / 0.6e1 + t1632 * t7550 / 0.12e2 - t6541 * t11177 / 0.12e2 - t6575 * t1766 / 0.2e1 - t6575 * t1770 / 0.4e1 + t22562 * t63635 / 0.3e1;
  t65891 = t8683 - t64009 - 0.2e1 / 0.9e1 * t64020 + t64029 / 0.9e1 - t32743 * t10772 / 0.12e2 + t64034 / 0.12e2 + t64036 / 0.12e2 + t64043 + t64045 - t64047 - t64049;
  t65908 = -t41636 + t64062 / 0.9e1 - t64089 / 0.6e1 - t64091 / 0.12e2 - t64106 / 0.6e1 + t64115 / 0.18e2 + t7824 * t1514 / 0.4e1 - t7811 * t1527 / 0.12e2 - t7808 * t1527 / 0.12e2 + t37805 * t481 / 0.4e1 + t37800 * t481 / 0.4e1;
  t65923 = t897 * t13059;
  t65929 = t6575 * t1873 / 0.4e1 - t6567 * t1886 / 0.12e2 - t6570 * t1886 / 0.12e2 - t1632 * t7385 / 0.12e2 + t32639 * t530 / 0.4e1 + t32625 * t530 / 0.4e1 - t898 * t13049 / 0.12e2 + t65923 * t250 / 0.4e1 - t64186 / 0.6e1 - t64190 / 0.18e2 + t64194 / 0.9e1;
  t65943 = -t64209 / 0.6e1 - t64211 / 0.36e2 - t64213 / 0.36e2 + t64215 / 0.18e2 + t64217 / 0.18e2 + t64219 / 0.18e2 + t64221 / 0.18e2 - t64223 / 0.6e1 + t64225 / 0.12e2 - t64227 / 0.12e2 - t64229 / 0.6e1;
  t65951 = -t64231 / 0.6e1 - t43694 + t43708 - t64240 / 0.12e2 - t43739 + t43740 - 0.2e1 / 0.3e1 * t64314 - t64331 / 0.18e2 + t64340 / 0.36e2 + t64379 / 0.12e2 - t64381 / 0.36e2;
  t65963 = -t64385 / 0.36e2 - t64387 / 0.36e2 - t64389 / 0.36e2 - t64395 / 0.12e2 - t307 * t13138 / 0.4e1 - t64433 / 0.36e2 + t64447 / 0.18e2 + t64450 / 0.36e2 - t64452 / 0.36e2 + t64504 + t64506;
  t65972 = -t43750 - t64532 / 0.12e2 - t307 * t13141 / 0.4e1 - t890 * t2747 / 0.4e1 - t43762 - t43763 + t42721 + t64561 / 0.6e1 - t64563 - t64575 / 0.6e1 - t64584 / 0.18e2;
  t65995 = t64666 / 0.6e1 + t64668 / 0.6e1 - t64670 / 0.18e2 - t64672 / 0.18e2 - t43812 - t43814 + t43818 + t43820 - t64684 / 0.6e1 + t64686 / 0.12e2 - t37525 * t12115 / 0.6e1;
  t66006 = t894 * t2747;
  t66010 = t27723 * t12829 / 0.2e1 - 0.2e1 * t49297 * t64313 + t64696 / 0.6e1 + t64698 / 0.6e1 - t64717 / 0.36e2 - t43823 - t307 * t13082 / 0.4e1 - t66006 / 0.12e2 - t43830 - t43831 - t898 * t12868 / 0.12e2;
  t66025 = t6575 * t1783 / 0.4e1 + t1923 * t6263 / 0.12e2 - t7801 * t9814 / 0.12e2 - t1923 * t6257 / 0.12e2 - t7824 * t1560 / 0.4e1 + t7824 * t1564 / 0.4e1 + t43834 + t43835 + t64876 / 0.9e1 - t64888 / 0.12e2 - t43845;
  t66044 = -t9215 + t9226 + t64909 / 0.9e1 - t64920 / 0.12e2 - 0.5e1 / 0.36e2 * t54964 * t12815 - t37561 * t12861 / 0.12e2 + t37561 * t12811 / 0.6e1 + t37525 * t13240 / 0.6e1 - t55186 * t13204 / 0.2e1 - t37525 * t13209 / 0.6e1 + t55157 * t13237 / 0.2e1;
  t66053 = -0.11e2 / 0.18e2 * t54964 * t12991 - t37561 * t13130 / 0.6e1 + t43865 + t43866 + t64956 - t64967 / 0.9e1 - t64969 / 0.12e2 + t64971 + t64973 / 0.2e1 + t64987 - t64988 / 0.12e2;
  t66077 = -t54964 * t12984 / 0.2e1 + t22520 * t12844 / 0.2e1 + t27867 * t13006 / 0.2e1 - t27723 * t12847 / 0.2e1 - 0.3e1 * t27867 * t13011 + 0.3e1 / 0.2e1 * t27723 * t12851 + 0.3e1 * t27867 * t12854 - t32743 * t11131 / 0.6e1 + t32743 * t11135 / 0.3e1 - t27864 * t12838 / 0.2e1 + t22520 * t13231 / 0.2e1;
  t66092 = t894 * t2720;
  t66095 = 0.3e1 / 0.2e1 * t27723 * t12825 + t55157 * t13009 + t37561 * t13127 / 0.3e1 + t37982 * t12112 / 0.12e2 + t37561 * t12107 / 0.12e2 - t37982 * t12104 / 0.6e1 - t65010 / 0.18e2 + t65012 / 0.6e1 - t65014 / 0.6e1 - t66092 / 0.12e2 + t65016 / 0.2e1;
  t66101 = my_piecewise3(t2, 0, -t22520 * t13018 / 0.2e1 + t27867 * t13182 - t890 * t2720 / 0.4e1 + t6575 * t1774 / 0.4e1 - 0.2e1 / 0.3e1 * t37561 * t13197 - t1923 * t6347 / 0.12e2 + t65891 + t66077 + t65623 + t65869 + t65834 + t65951 + t63340 / 0.3e1 + t65664 + t66025 + t65995 + t66095 + t66053 + t64664 / 0.6e1 - t65602 / 0.36e2 + t65604 / 0.12e2 + t63980 + t65759 + t65809 - t65598 / 0.36e2 + t65600 / 0.12e2 + t62952 + t65972 - t65763 / 0.18e2 - t64657 / 0.36e2 + t63456 / 0.18e2 - 0.11e2 / 0.54e2 * t63458 + t64617 / 0.2e1 + t64618 / 0.6e1 + t63000 + t63392 / 0.18e2 - t63975 - t63977 / 0.12e2 - t8667 + t64586 / 0.36e2 + t63002 - t63452 / 0.36e2 + t63454 / 0.6e1 + t65848 + t65963 - t63342 / 0.2e1 + t65712 + t65943 + t63051 / 0.18e2 + t65819 - t64651 / 0.6e1 + t65736 + t65908 - 0.5e1 / 0.108e3 * t63448 - t64653 / 0.6e1 - t64655 / 0.36e2 - t62953 / 0.12e2 + t65798 + t65641 + t65787 + t65689 + t65929 + 0.23e2 / 0.108e3 * t63369 - t64659 / 0.36e2 + t64661 / 0.6e1 + t66010 + t43641 + t66044);
  tv4rho2lapltau4 = t3 * t66101 + t13265 + t13377;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 4] += tv4rho2lapltau4;

  tv4rho2lapltau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 5] += tv4rho2lapltau5;

  tv4rho2lapltau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 6] += tv4rho2lapltau6;

  t66128 = t7929 * t1696;
  t66130 = t38453 * t1693;
  t66132 = t6679 * t11723;
  t66134 = t6679 * t11727;
  t66136 = t7903 * t10317;
  t66138 = t7903 * t10313;
  t66140 = t6631 * t1978;
  t66142 = t33317 * t1975;
  t66146 = t38607 * t2758 / 0.6e1 + t1902 * t12637 / 0.12e2 + t66128 / 0.6e1 - t66130 / 0.6e1 - t66132 / 0.18e2 + t66134 / 0.9e1 + t66136 / 0.9e1 - t66138 / 0.18e2 + t66140 / 0.6e1 - t66142 / 0.6e1 + t8002 * t13519 / 0.6e1;
  t66154 = t38602 * t2758 / 0.6e1 + t65485 - t65487 + t65488 / 0.12e2 + t65493 - t65495 - t65502 / 0.36e2 + t65504 / 0.12e2 - t65506 / 0.36e2 + t43886 - t43908;
  t66157 = t43939 + t65509 - t65511 - t65514 + t65516 - t65518 - t65520 + t65534 + t65536 + t65537 / 0.9e1 - t65539 / 0.6e1;
  t66169 = -t65543 / 0.6e1 - t65545 / 0.12e2 + t65547 / 0.6e1 + t65549 / 0.12e2 - t65551 / 0.36e2 - t65564 + t65566 - t65567 / 0.36e2 + t65569 / 0.18e2 - t65572 / 0.18e2 + t65574 / 0.36e2;
  t66186 = t7988 * t12655;
  t66188 = t1905 * t7094;
  t66190 = t65577 + t7959 * t1696 / 0.2e1 - t38825 * t1693 / 0.2e1 + t6702 * t11727 / 0.3e1 - t6702 * t11723 / 0.6e1 + t7908 * t10317 / 0.3e1 - t7908 * t10313 / 0.6e1 - t33563 * t1975 / 0.2e1 + t6656 * t1978 / 0.2e1 + t66186 / 0.18e2 + t66188 / 0.36e2;
  t66192 = t7988 * t10599;
  t66194 = t6679 * t11687;
  t66196 = t1618 * t8478;
  t66198 = t6631 * t1937;
  t66200 = t38497 * t2772;
  t66202 = t38649 * t2772;
  t66204 = t1905 * t6775;
  t66206 = t7903 * t10582;
  t66208 = t1618 * t8081;
  t66210 = t7988 * t13519;
  t66212 = t38840 * t2758;
  t66214 = t66192 / 0.18e2 - t66194 / 0.36e2 + t66196 / 0.36e2 - t66198 / 0.6e1 + t66200 / 0.9e1 + t66202 / 0.9e1 - t66204 / 0.36e2 - t66206 / 0.36e2 - t66208 / 0.36e2 + t66210 / 0.18e2 + t66212 / 0.18e2;
  t66215 = t38837 * t2758;
  t66217 = t1905 * t12637;
  t66219 = t1905 * t12632;
  t66221 = t7943 * t2619;
  t66223 = t7948 * t2619;
  t66225 = t7903 * t12650;
  t66227 = t7903 * t13659;
  t66229 = t38497 * t2761;
  t66231 = t38649 * t2761;
  t66233 = t7903 * t12676;
  t66235 = t7903 * t13398;
  t66237 = t66215 / 0.18e2 + t66217 / 0.36e2 + t66219 / 0.36e2 + t66221 / 0.36e2 + t66223 / 0.36e2 - t66225 / 0.36e2 - t66227 / 0.36e2 - t66229 / 0.36e2 - t66231 / 0.36e2 - t66233 / 0.18e2 - t66235 / 0.18e2;
  t66241 = t38497 * t2766;
  t66243 = t38649 * t2766;
  t66245 = t6684 * t11682;
  t66247 = t7903 * t12671;
  t66249 = t7903 * t13386;
  t66284 = t38396 * t13705 / 0.3e1 + t38550 * t12556 / 0.12e2 + t38396 * t12551 / 0.12e2 - 0.2e1 / 0.3e1 * t38396 * t13698 - t38396 * t13677 / 0.6e1 + t38396 * t13673 / 0.3e1 - t38388 * t2766 / 0.6e1 - t38393 * t2766 / 0.6e1 + t6709 * t11682 / 0.6e1 + t7908 * t12671 / 0.3e1 + t7908 * t13386 / 0.3e1;
  t66308 = t38393 * t2772 / 0.3e1 + t38388 * t2772 / 0.3e1 - t1902 * t6775 / 0.12e2 - t7908 * t10582 / 0.12e2 - t1615 * t8081 / 0.12e2 - t6702 * t11687 / 0.12e2 + t1615 * t8478 / 0.12e2 - t6656 * t1937 / 0.2e1 - t7959 * t1704 / 0.4e1 + t7959 * t1708 / 0.4e1 - t7959 * t1700 / 0.2e1;
  t66311 = t55435 * t13616;
  t66313 = t55435 * t13612;
  t66315 = t28427 * t13606;
  t66316 = t55435 * t13609;
  t66330 = -t7908 * t13398 / 0.6e1 - t66311 / 0.2e1 + 0.7e1 / 0.9e1 * t66313 - t66315 - t66316 / 0.6e1 - t55639 * t13680 / 0.2e1 + t38396 * t13694 / 0.6e1 + t38535 * t13691 / 0.6e1 + t55459 * t13687 / 0.2e1 - t38535 * t13684 / 0.6e1 - t38550 * t12548 / 0.6e1;
  t66337 = t4013 * t2831;
  t66339 = t4019 * t2831;
  t66341 = t6631 * t1954;
  t66343 = t938 * t13478;
  t66345 = t1618 * t8122;
  t66347 = t1618 * t8445;
  t66349 = t6636 * t1950;
  t66351 = t6641 * t1950;
  t66353 = t948 * t13491;
  t66355 = -t38535 * t12542 / 0.6e1 - t38396 * t13711 / 0.12e2 + t66337 / 0.12e2 + t66339 / 0.12e2 + t66341 / 0.12e2 - t66343 / 0.36e2 - t66345 / 0.36e2 - t66347 / 0.36e2 - t66349 / 0.36e2 - t66351 / 0.36e2 + t66353 / 0.12e2;
  t66356 = t38556 * t12551;
  t66358 = t38556 * t13698;
  t66360 = t38556 * t13677;
  t66362 = t38556 * t13673;
  t66366 = t24019 * t13550;
  t66368 = t28439 * t13548;
  t66370 = t24019 * t13544;
  t66372 = t24019 * t13538;
  t66374 = t33262 * t11765;
  t66378 = t66356 / 0.36e2 - 0.2e1 / 0.9e1 * t66358 - t66360 / 0.18e2 + t66362 / 0.9e1 + t38396 * t12511 / 0.6e1 + t66366 / 0.6e1 - t66368 / 0.3e1 - t66370 / 0.12e2 - t66372 / 0.6e1 - t66374 / 0.36e2 + 0.23e2 / 0.36e2 * t55473 * t13594;
  t66382 = t55446 * t13687;
  t66402 = -0.11e2 / 0.18e2 * t55473 * t13586 + t66382 / 0.6e1 + 0.3e1 / 0.2e1 * t49816 * t13619 - 0.3e1 / 0.2e1 * t55473 * t13616 - 0.3e1 * t28455 * t13568 + t28913 * t13573 / 0.2e1 - t4065 * t13429 / 0.2e1 - t4065 * t13424 / 0.2e1 - t23909 * t2809 / 0.2e1 - t23902 * t2809 / 0.2e1 + t6656 * t1945 / 0.4e1;
  t66425 = -t6656 * t1941 / 0.4e1 - t4052 * t2814 / 0.2e1 - t4046 * t2814 / 0.2e1 + t945 * t13432 / 0.2e1 + t945 * t13456 / 0.2e1 + t4052 * t2822 / 0.2e1 + t4046 * t2822 / 0.2e1 - t945 * t13448 / 0.4e1 - t945 * t13445 / 0.4e1 - t4052 * t2817 / 0.4e1 - t4046 * t2817 / 0.4e1;
  t66430 = t7943 * t1658;
  t66432 = t7948 * t1658;
  t66441 = t24019 * t13530;
  t66443 = t28439 * t13527;
  t66448 = t1618 * t8179;
  t66450 = t6636 * t2025;
  t66452 = t6641 * t2025;
  t66454 = t1905 * t6870;
  t66456 = t938 * t13633;
  t66458 = t7929 * t1673;
  t66460 = t38435 * t505;
  t66462 = t38430 * t505;
  t66464 = -t43416 - t66448 / 0.36e2 - t66450 / 0.36e2 - t66452 / 0.36e2 - t66454 / 0.36e2 - t66456 / 0.36e2 + t66458 / 0.12e2 + t66460 / 0.12e2 + t66462 / 0.12e2 + t44009 - t44011;
  t66466 = t28439 * t13576;
  t66468 = t28427 * t13573;
  t66470 = t24019 * t13564;
  t66472 = t28439 * t13568;
  t66473 = t28436 * t13561;
  t66475 = t28439 * t13524;
  t66477 = t33520 * t8076;
  t66479 = -t44025 - t44032 - t66466 / 0.6e1 + t66468 / 0.6e1 + t66470 / 0.6e1 - t66472 - t66473 / 0.6e1 + t66475 / 0.6e1 + t66477 / 0.36e2 - t44034 - t44037;
  t66480 = t33515 * t11739;
  t66482 = t28436 * t13864;
  t66484 = t28427 * t13862;
  t66486 = t28427 * t13859;
  t66487 = t24019 * t13856;
  t66489 = t28439 * t13853;
  t66491 = t44040 + t44042 + t66480 / 0.18e2 - t44071 - t44073 + t44076 - t66482 / 0.6e1 + t66484 / 0.3e1 + t66486 - t66487 / 0.6e1 + t66489 / 0.6e1;
  t66504 = t33262 * t11465;
  t66506 = t33262 * t11469;
  t66508 = t28439 * t13580;
  t66510 = t38556 * t13694;
  t66512 = t55440 * t13680;
  t66514 = t38553 * t13691;
  t66516 = t23531 * t13564 / 0.2e1 + t33284 * t11465 / 0.3e1 - t28922 * t13561 / 0.2e1 - t33284 * t11469 / 0.6e1 + 0.3e1 / 0.2e1 * t28455 * t13580 + t66504 / 0.9e1 - t66506 / 0.18e2 + t66508 / 0.2e1 + t66510 / 0.18e2 - t66512 / 0.6e1 + t66514 / 0.18e2;
  t66517 = t38556 * t13705;
  t66519 = t38532 * t12556;
  t66521 = t28439 * t13534;
  t66523 = t6631 * t2040;
  t66525 = t38556 * t12515;
  t66527 = t55446 * t13601;
  t66531 = t66517 / 0.9e1 + t66519 / 0.36e2 + t66521 / 0.2e1 + t66523 / 0.12e2 + t44089 - t44107 + t44109 - t66525 / 0.9e1 + t66527 / 0.3e1 + t44113 + t28455 * t13524 / 0.2e1;
  t66546 = t55446 * t13603;
  t66548 = t6631 * t1941;
  t66550 = t4013 * t2814;
  t66552 = t4019 * t2814;
  t66554 = t33281 * t8076 / 0.12e2 + t33278 * t11739 / 0.6e1 + t23531 * t13550 / 0.2e1 - t28455 * t13548 - t23531 * t13538 / 0.2e1 - t23531 * t13544 / 0.4e1 - t33284 * t11765 / 0.12e2 - 0.2e1 / 0.3e1 * t66546 - t66548 / 0.12e2 - t66550 / 0.6e1 - t66552 / 0.6e1;
  t66555 = t948 * t13432;
  t66557 = t948 * t13456;
  t66559 = t4013 * t2822;
  t66561 = t4019 * t2822;
  t66563 = t948 * t13448;
  t66565 = t948 * t13445;
  t66575 = t66555 / 0.6e1 + t66557 / 0.6e1 + t66559 / 0.6e1 + t66561 / 0.6e1 - t66563 / 0.12e2 - t66565 / 0.12e2 - t1615 * t8445 / 0.12e2 - t6659 * t1950 / 0.12e2 - t6653 * t1950 / 0.12e2 + t945 * t13491 / 0.4e1 + t44115;
  t66579 = t294 * t13837;
  t66581 = t929 * t2800;
  t66583 = t4013 * t2817;
  t66585 = t4019 * t2817;
  t66587 = t948 * t13470;
  t66589 = t948 * t13467;
  t66591 = t948 * t13464;
  t66594 = t33641 * t570;
  t66614 = -t44171 + t66594 / 0.12e2 - t7951 * t1658 / 0.12e2 - t1615 * t8179 / 0.12e2 - t7956 * t1658 / 0.12e2 - t6659 * t2025 / 0.12e2 - t6653 * t2025 / 0.12e2 - t1902 * t6870 / 0.12e2 + t7959 * t1673 / 0.4e1 - t934 * t13633 / 0.12e2 + t38716 * t505 / 0.4e1;
  t66620 = t933 * t13723;
  t66627 = t38553 * t13684;
  t66629 = t38532 * t12548;
  t66631 = t38553 * t12542;
  t66633 = t38556 * t13711;
  t66635 = t55435 * t13708;
  t66638 = t38711 * t505 / 0.4e1 + t33537 * t570 / 0.4e1 + t66620 * t377 / 0.4e1 + t33544 * t570 / 0.4e1 + t6656 * t2040 / 0.4e1 - t66627 / 0.18e2 - t66629 / 0.18e2 - t66631 / 0.18e2 - t66633 / 0.36e2 - 0.5e1 / 0.108e3 * t66635 + t55459 * t13601;
  t66651 = -t38396 * t12515 / 0.3e1 - t23531 * t13856 / 0.2e1 + t28455 * t13853 / 0.2e1 + 0.3e1 / 0.2e1 * t28455 * t13534 - t23531 * t13530 / 0.4e1 + t28455 * t13527 / 0.2e1 - t44203 - t44205 + t44218 + t44230 - t44234;
  t66654 = t33653 * t570;
  t66656 = t38556 * t12511;
  t66658 = t55435 * t13594;
  t66660 = t55435 * t13586;
  t66662 = t49860 * t13619;
  t66665 = t294 * t13841;
  t66667 = t294 * t13846;
  t66669 = t294 * t13849;
  t66671 = t66654 / 0.12e2 + t66656 / 0.18e2 + 0.23e2 / 0.108e3 * t66658 - 0.11e2 / 0.54e2 * t66660 + t66662 / 0.2e1 + t65581 - t65582 / 0.12e2 - t44267 - t66665 / 0.12e2 - t66667 / 0.12e2 - t66669 / 0.12e2;
  t66690 = t7929 * t1708;
  t66692 = t7929 * t1704;
  t66694 = -t290 * t13837 / 0.4e1 - t945 * t13470 / 0.2e1 - t945 * t13467 / 0.2e1 + t945 * t13464 / 0.4e1 + t4052 * t2831 / 0.4e1 + t4046 * t2831 / 0.4e1 + t6656 * t1954 / 0.4e1 - t1615 * t8122 / 0.12e2 - t934 * t13478 / 0.12e2 + t66690 / 0.12e2 - t66692 / 0.12e2;
  t66696 = t7929 * t1700;
  t66698 = t4040 * t13429;
  t66700 = t4040 * t13424;
  t66702 = t23858 * t2809;
  t66704 = t23639 * t2809;
  t66706 = t6631 * t1945;
  t66718 = -t66696 / 0.6e1 - t66698 / 0.6e1 - t66700 / 0.6e1 - t66702 / 0.6e1 - t66704 / 0.6e1 + t66706 / 0.12e2 - t290 * t13841 / 0.4e1 - t925 * t2827 / 0.4e1 - t290 * t13846 / 0.4e1 - t290 * t13849 / 0.4e1 - t925 * t2800 / 0.4e1;
  t66720 = t929 * t2827;
  t66722 = t937 * t13723;
  t66723 = t66722 * t377;
  t66725 = t44322 - t65586 / 0.12e2 + t65589 - t9156 + t9168 - t9180 + t9188 - t66720 / 0.12e2 + t44336 + t66723 / 0.12e2 - t44352;
  t66731 = my_piecewise3(t100, 0, -t28455 * t13576 / 0.2e1 - t28922 * t13864 / 0.2e1 + t28913 * t13862 + 0.3e1 * t28913 * t13859 - 0.2e1 * t55459 * t13603 + 0.7e1 / 0.3e1 * t55473 * t13612 - t55473 * t13609 / 0.2e1 - 0.3e1 * t28913 * t13606 - 0.5e1 / 0.36e2 * t55473 * t13708 - t7908 * t12676 / 0.6e1 - t7908 * t12650 / 0.12e2 + t7956 * t2619 / 0.12e2 + t8002 * t10599 / 0.6e1 + t1902 * t7094 / 0.12e2 + t8002 * t12655 / 0.6e1 - t38393 * t2761 / 0.12e2 - t38388 * t2761 / 0.12e2 - t7908 * t13659 / 0.12e2 + t1902 * t12632 / 0.12e2 + t7951 * t2619 / 0.12e2 + t66402 + t66308 + t66190 - t66587 / 0.6e1 + t66157 + t66169 - t66432 / 0.36e2 - t66430 / 0.36e2 - t44168 + t43403 + t66378 + t66491 + t66245 / 0.18e2 + t66247 / 0.9e1 + t66531 - t66441 / 0.12e2 + t66443 / 0.6e1 - t66589 / 0.6e1 + t66591 / 0.12e2 - t66583 / 0.12e2 - t66585 / 0.12e2 + t66214 + t66154 - t44117 + t44153 + t66725 + t66718 - t66579 / 0.12e2 - t66581 / 0.12e2 + t66516 + t66614 - t66241 / 0.18e2 - t66243 / 0.18e2 + t66249 / 0.9e1 + t66237 + t66575 + t66651 + t66479 + t66330 + t66554 + t66425 + t66355 + t66464 + t66284 + t66638 + t66694 + t66671 + t66146);
  tv4rho2lapltau7 = t3 * t66731 + t13338 + t13872;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 7] += tv4rho2lapltau7;

  t66744 = -t6736 * t1779 / 0.12e2 + t62952 - t65598 / 0.18e2 + t65600 / 0.6e1 - t65602 / 0.18e2 + t65604 / 0.6e1 + t63000 + t63002 - t44379 + t44387 - t65628 / 0.18e2 - t65630 / 0.3e1 + t65634 / 0.6e1 - t65642 / 0.18e2;
  t66756 = -t65658 / 0.6e1 + t65739 / 0.18e2 + t65757 / 0.9e1 - t65763 / 0.9e1 - t63535 - t63537 - t44395 - t63746 - t63764 + t3959 * t2742 / 0.2e1 - t3959 * t2734 / 0.2e1 + 0.2e1 / 0.9e1 * t65838 - t65840 / 0.3e1 + t65842 / 0.3e1;
  t66770 = t63980 - t64009 + t64043 + t64045 - t64047 - t64049 - t41636 + t38284 * t2692 / 0.3e1 - t972 * t2720 / 0.4e1 + t44410 - t38284 * t2681 / 0.12e2 + t38320 * t2678 / 0.6e1 - t38284 * t2686 / 0.6e1 + t8035 * t2544 / 0.12e2;
  t66789 = -t23097 * t2729 / 0.2e1 + t64504 + t64506 + t42721 - t8035 * t1527 / 0.12e2 + t38274 * t481 / 0.4e1 - t6736 * t1886 / 0.12e2 + t33184 * t530 / 0.4e1 - t66006 / 0.6e1 + t64956 + t64987 - t66092 / 0.6e1 - t972 * t2747 / 0.4e1 + t3959 * t2751 / 0.4e1 - t3959 * t2737 / 0.4e1;
  t66792 = my_piecewise3(t2, 0, t66744 + t66756 + t66770 + t66789);
  tv4rho2lapltau8 = t3 * t66792 + 0.2e1 * t13377;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 8] += tv4rho2lapltau8;

  tv4rho2lapltau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 9] += tv4rho2lapltau9;

  tv4rho2lapltau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 10] += tv4rho2lapltau10;

  t66799 = t487 * t4544;
  t66803 = t487 * t1005;
  t66819 = t1145 * t487;
  t66836 = t552 * t487;
  t66837 = t1021 * t66836;
  t66838 = t29498 * t66837;
  t66843 = t8058 * t62371 / 0.3e1 + t8058 * t62363 / 0.3e1 - t5540 * t2056 * t4543 * t66799 - 0.6e1 * t5540 * t40288 * t356 * t66803 - 0.3e1 / 0.2e1 * t5540 * t559 * t62214 - 0.3e1 / 0.2e1 * t11381 * t10458 * t4403 * t34351 - 0.43e2 / 0.9e1 * t56375 * t50165 * t4403 * t66803 + t8058 * t5553 * t4143 * t66819 / 0.3e1 - t4145 * t39965 * t2667 / 0.2e1 - t4145 * t8070 * t12699 / 0.2e1 - t6824 * t39983 / 0.6e1 + 0.3e1 / 0.2e1 * t5540 * t8227 * t4408 * t34351 + 0.47e2 / 0.3e1 * t50503 * t66838 + t66128 / 0.3e1 - t66130 / 0.3e1;
  t66850 = -t66132 / 0.9e1 + 0.2e1 / 0.9e1 * t66134 + 0.2e1 / 0.9e1 * t66136 - t66138 / 0.9e1 + t66140 / 0.3e1 - t66142 / 0.3e1 + t65485 - t65487 + t65493 - t65495 + t44437 + t44441 + t44443 - t44516 - t44518;
  t66872 = t30232 * t11464;
  t66878 = t5553 * t4143 * t56217;
  t66881 = t11448 * t6919;
  t66888 = t56671 * t13672;
  t66891 = -t44520 - 0.18e2 * t10506 * t40241 * t4396 * t66803 + 0.36e2 * t5559 * t40241 * t4376 * t66803 - t40050 * t13684 / 0.3e1 - t8052 * t62915 / 0.3e1 - t8055 * t61998 / 0.3e1 + t8058 * t62002 / 0.6e1 + t8055 * t61990 / 0.6e1 - t6824 * t56214 / 0.3e1 + 0.2e1 / 0.3e1 * t6824 * t66872 - t6824 * t56219 / 0.3e1 + 0.2e1 / 0.3e1 * t6824 * t66878 + 0.3e1 * t5535 * t66881 * t5654 - 0.3e1 * t4145 * t66881 * t5659 + 0.2e1 / 0.3e1 * t24164 * t66888;
  t66910 = t8058 * t61967 / 0.6e1 - t8058 * t61628 / 0.3e1 + 0.18e2 * t5540 * t40217 * t1093 * t66803 - t1663 * t8486 / 0.2e1 + t6921 * t56254 / 0.2e1 - t490 * t39246 / 0.6e1 + 0.3e1 / 0.2e1 * t1663 * t8435 + t65509 - t65511 - t65514 + t65516 - t65518 - t65520 + t65534 + t65536 - t6855 * t1941 / 0.2e1;
  t66937 = -t6855 * t1937 + t8360 * t51769 / 0.2e1 - t65564 + t65566 + t65577 + 0.2e1 / 0.3e1 * t4245 * t1400 * t6853 * t39182 + t6855 * t1945 / 0.2e1 + 0.3e1 * t29767 * t13580 - 0.6e1 * t29770 * t13606 + 0.3e1 * t29773 * t13580 - 0.6e1 * t5540 * t40266 * t13567 - 0.6e1 * t5540 * t8223 * t62487 + t29764 * t13573 - t29767 * t13576 + t29770 * t13573;
  t66941 = t35145 * t8075;
  t66957 = -t29773 * t13576 + t5559 * t8231 * t62089 + t4136 * t66941 / 0.12e2 + t66186 / 0.9e1 + t66188 / 0.18e2 + t66192 / 0.9e1 - t66194 / 0.18e2 + t66196 / 0.18e2 - t66198 / 0.3e1 + 0.2e1 / 0.9e1 * t66200 + 0.2e1 / 0.9e1 * t66202 - t66204 / 0.18e2 - t66206 / 0.18e2 - t66208 / 0.18e2 + t66210 / 0.9e1 + t66212 / 0.9e1;
  t66974 = t66215 / 0.9e1 + t66217 / 0.18e2 + t66219 / 0.18e2 + t66221 / 0.18e2 + t66223 / 0.18e2 - t66225 / 0.18e2 - t66227 / 0.18e2 - t66229 / 0.18e2 - t66231 / 0.18e2 - t66233 / 0.9e1 - t66235 / 0.9e1 - t66241 / 0.9e1 - t66243 / 0.9e1 + t66245 / 0.9e1 + 0.2e1 / 0.9e1 * t66247;
  t67006 = 0.2e1 / 0.9e1 * t66249 + 0.23e2 / 0.36e2 * t11381 * t10458 * t34352 - t30146 * t13561 - t1965 * t51372 / 0.12e2 - 0.5e1 / 0.36e2 * t8090 * t51375 - t490 * t39066 / 0.12e2 - t8106 * t10582 / 0.6e1 - t8110 * t10582 / 0.6e1 - 0.5e1 / 0.36e2 * t6752 * t56076 - t1677 * t8081 / 0.6e1 - t1682 * t8081 / 0.6e1 - t490 * t39870 / 0.6e1 + t490 * t39874 / 0.6e1 + t490 * t39332 / 0.12e2 - t6755 * t11687 / 0.6e1 - t6760 * t11687 / 0.6e1;
  t67040 = 0.2e1 / 0.3e1 * t39444 * t2772 + 0.2e1 / 0.3e1 * t8106 * t13386 + 0.2e1 / 0.3e1 * t8106 * t12671 + t39653 * t2772 / 0.3e1 - t2043 * t6775 / 0.6e1 - t2048 * t6775 / 0.6e1 - t555 * t34386 / 0.6e1 - t1965 * t51369 / 0.6e1 - t555 * t34390 / 0.12e2 + t39661 * t2772 / 0.3e1 - t8106 * t13398 / 0.3e1 + t6819 * t11682 / 0.3e1 + t7072 * t11682 / 0.3e1 + t1644 * t56929 / 0.3e1 + t1644 * t56932 / 0.6e1;
  t67075 = 0.2e1 / 0.3e1 * t1965 * t61864 + t1965 * t61868 / 0.3e1 + t1965 * t1400 * t4460 * t2756 / 0.3e1 + 0.2e1 / 0.3e1 * t8110 * t13386 + 0.2e1 / 0.3e1 * t8110 * t12671 + 0.3e1 * t5540 * t40236 * t13579 - 0.6e1 * t5559 * t8227 * t61495 + 0.3e1 * t5540 * t8227 * t61242 - t5540 * t8231 * t12506 + t5559 * t2060 * t62084 - t5540 * t2060 * t62081 - 0.6e1 * t29764 * t13606 + 0.3e1 / 0.2e1 * t51823 * t8383 - 0.3e1 / 0.2e1 * t50177 * t8371 - t51828 * t8595;
  t67093 = t2038 * t487;
  t67094 = t1021 * t67093;
  t67095 = t10485 * t67094;
  t67103 = t168 * t66803;
  t67110 = t168 * t66799;
  t67119 = t34283 * t8375 + 0.3e1 * t51448 * t13619 + 0.3e1 * t51452 * t13619 - 0.6e1 * t5559 * t40236 * t10552 + t6824 * t56705 / 0.2e1 + 0.3e1 * t10506 * t40236 * t10508 + 0.3e1 * t10506 * t8227 * t62073 + 0.14e2 / 0.3e1 * t29011 * t67095 - 0.6e1 * t29773 * t13568 + 0.14e2 / 0.3e1 * t29011 * t50698 * t66837 - 0.6e1 * t56381 * t5591 * t67103 + 0.5e1 / 0.3e1 * t56079 * t10458 * t67103 - t8058 * t30214 * t67110 - t11369 * t62182 / 0.2e1 + 0.2e1 * t8058 * t29911 * t1021 * t66799;
  t67124 = t5553 * t66837;
  t67127 = t10485 * t66837;
  t67130 = t487 * t4223;
  t67131 = t168 * t67130;
  t67135 = t168 * t34351;
  t67163 = t1021 * t66803;
  t67167 = t40052 * t13691 / 0.3e1 - t11372 * t30771 * t13585 - 0.4e1 * t56987 * t67124 + 0.14e2 / 0.3e1 * t56997 * t67127 - t8052 * t4137 * t67131 / 0.6e1 + t11369 * t5553 * t67135 / 0.2e1 - t8058 * t30232 * t13676 / 0.6e1 + t8058 * t61930 / 0.3e1 - 0.5e1 / 0.18e2 * t11381 * t62055 + t8058 * t5587 * t67131 / 0.3e1 - 0.5e1 / 0.36e2 * t11381 * t10458 * t67135 - 0.35e2 / 0.108e3 * t56375 * t50165 * t67103 - t11381 * t5549 * t67135 / 0.2e1 - 0.38e2 / 0.9e1 * t56375 * t29498 * t67103 + 0.7e1 / 0.3e1 * t11381 * t34353 + 0.89e2 / 0.9e1 * t56375 * t50504 * t67163;
  t67174 = t4403 * t66836;
  t67175 = t50504 * t67174;
  t67181 = t11448 * t6758;
  t67207 = t552 * t1671;
  t67208 = t1021 * t67207;
  t67212 = -0.3e1 * t5559 * t8227 * t4376 * t34351 - 0.62e2 / 0.3e1 * t50503 * t67175 - t11372 * t62185 + t11372 * t61624 / 0.2e1 - t5535 * t67181 * t1407 + t4145 * t67181 * t1412 - t33988 * t11469 / 0.3e1 + 0.2e1 / 0.3e1 * t33988 * t11465 - t33997 * t11469 / 0.3e1 - 0.2e1 * t11369 * t5553 * t34352 + t11369 * t5591 * t67135 + 0.6e1 * t56079 * t5549 * t67103 - 0.6e1 * t29767 * t13568 - 0.2e1 / 0.3e1 * t24164 * t5549 * t1021 * t552 * t12435 + 0.14e2 / 0.3e1 * t29011 * t10485 * t67208;
  t67247 = -t6824 * t58045 / 0.3e1 - t34283 * t8354 + 0.2e1 / 0.3e1 * t24164 * t50197 * t40719 + t8055 * t61620 / 0.2e1 + t8052 * t9270 * t67110 / 0.3e1 - 0.3e1 * t56381 * t5553 * t67103 - t8052 * t62928 / 0.3e1 - t8055 * t62918 / 0.3e1 + t8058 * t62921 / 0.6e1 + t8055 * t62912 / 0.6e1 + t2043 * t12637 / 0.6e1 + t8135 * t2619 / 0.12e2 + t2048 * t12632 / 0.6e1 + t2048 * t12637 / 0.6e1 + t555 * t61184 / 0.12e2 - t1965 * t61238 / 0.6e1;
  t67263 = t24531 * t2756;
  t67272 = t5623 * t6846 * t39182;
  t67278 = -t1965 * t61235 / 0.12e2 + t8142 * t2619 / 0.12e2 + t8146 * t2619 / 0.6e1 + t2043 * t12632 / 0.6e1 - t39653 * t2761 / 0.12e2 - t8110 * t13659 / 0.6e1 - t8110 * t12650 / 0.6e1 - t1965 * t1400 * t67263 / 0.12e2 + t6921 * t57978 - t34801 * t1975 - t6848 * t8099 / 0.2e1 - 0.3e1 / 0.2e1 * t24273 * t67272 + t6876 * t1978 + t1663 * t8314 / 0.2e1 - t44569;
  t67303 = t56543 * t6750;
  t67311 = -t66311 + 0.14e2 / 0.9e1 * t66313 - 0.2e1 * t66315 - t66316 / 0.3e1 + t33986 * t11739 / 0.3e1 - 0.2e1 * t29767 * t13548 - 0.2e1 * t29773 * t13548 - 0.2e1 * t5540 * t8231 * t13547 - 0.2e1 * t5540 * t2060 * t62265 - t5540 * t2060 * t4549 * t67130 + t39229 * t12511 / 0.3e1 + t39224 * t12511 / 0.3e1 + t8058 * t50223 / 0.2e1 - 0.3e1 * t5535 * t67303 * t5611 + t40137 * t505 / 0.4e1 + t39938 * t505 / 0.4e1;
  t67337 = t40132 * t505 / 0.2e1 + t66337 / 0.6e1 + t66339 / 0.6e1 + t66341 / 0.6e1 - t66343 / 0.18e2 - t66345 / 0.18e2 - t66347 / 0.18e2 - t66349 / 0.18e2 - t66351 / 0.18e2 + t66353 / 0.6e1 + t8189 * t1708 / 0.2e1 + t8184 * t1708 / 0.2e1 - t8184 * t1704 / 0.2e1 - t2030 * t6950 / 0.2e1 - t2030 * t6953 / 0.4e1;
  t67360 = -t2030 * t6800 - t2030 * t6789 / 0.2e1 - 0.2e1 * t24606 * t19808 - t8189 * t1704 / 0.2e1 + t1663 * t8438 / 0.2e1 + t4454 * t2822 / 0.2e1 + t4457 * t2822 + t1078 * t13456 + t1078 * t13432 + t4462 * t2822 / 0.2e1 + t1056 * t13456 + t1056 * t13432 - t11381 * t61582 - t11381 * t29795 * t13585 - t56416 * t13609;
  t67363 = t2038 * t2616;
  t67365 = t5549 * t1021 * t67363;
  t67368 = t1021 * t13571;
  t67372 = t5549 * t67368;
  t67398 = -t56413 * t13609 - 0.2e1 / 0.3e1 * t24164 * t67365 - 0.2e1 / 0.3e1 * t24164 * t29795 * t67368 - 0.2e1 / 0.3e1 * t56983 * t67372 - t8052 * t24237 * t13683 / 0.3e1 + t40050 * t13691 / 0.3e1 - t56541 * t13680 - t40052 * t13684 / 0.3e1 - 0.3e1 / 0.2e1 * t5540 * t8220 * t62284 - t6827 * t40146 / 0.6e1 - t10462 * t56424 / 0.2e1 + t8058 * t62168 / 0.12e2 + 0.5e1 / 0.36e2 * t11381 * t62171 - 0.11e2 / 0.9e1 * t11381 * t61460 - t8058 * t61464 / 0.3e1;
  t67411 = t380 * t66819;
  t67420 = t5553 * t67094;
  t67423 = -t8052 * t50174 / 0.3e1 + t66356 / 0.18e2 - 0.4e1 / 0.9e1 * t66358 - t66360 / 0.9e1 + 0.2e1 / 0.9e1 * t66362 + t66366 / 0.3e1 - 0.2e1 / 0.3e1 * t66368 - t66370 / 0.6e1 - t66372 / 0.3e1 - t66374 / 0.18e2 + t66382 / 0.3e1 + t44587 - t8058 * t5553 * t67411 / 0.12e2 - t8052 * t62179 / 0.6e1 - 0.4e1 * t52065 * t5553 * t67208 - 0.4e1 * t52065 * t67420;
  t67454 = t10507 * t994;
  t67460 = t346 * t2812 * t333;
  t67469 = t11369 * t30232 * t13585 + t8058 * t29795 * t13683 / 0.3e1 - 0.5e1 / 0.18e2 * t11381 * t50606 * t13585 + t56491 * t13687 + t39229 * t13694 / 0.3e1 - 0.5e1 / 0.18e2 * t56416 * t13708 - t39229 * t13711 / 0.6e1 + t56488 * t13687 + t39224 * t13694 / 0.3e1 + 0.5e1 / 0.3e1 * t24164 * t29911 * t1021 * t13571 * t994 - 0.2e1 * t5540 * t2056 * t61654 + t4145 * t8353 * t61659 - 0.3e1 * t5540 * t8220 * t1182 * t67454 + 0.3e1 * t4145 * t39383 * t67460 - 0.2e1 / 0.3e1 * t24164 * t5549 * t4143 * t40160 * t2616;
  t67472 = t40160 * t487;
  t67473 = t4143 * t67472;
  t67478 = t985 * t2812 * t994;
  t67481 = t66836 * t994;
  t67482 = t1021 * t67481;
  t67504 = t4145 * t8070 * t61650 - 0.4e1 * t52065 * t5553 * t67473 + t4145 * t8353 * t67478 + 0.22e2 / 0.3e1 * t52065 * t5549 * t67482 - t25071 * t2809 + t1663 * t8330 / 0.4e1 - t25066 * t2809 / 0.2e1 - t1663 * t8321 / 0.4e1 + t6876 * t1945 / 0.2e1 - t6876 * t1941 / 0.2e1 - t4462 * t2814 / 0.2e1 + t373 * t1974 * t62206 / 0.2e1 + t44627 + t44629 + t44634 - t13724 * t1101 / 0.4e1;
  t67514 = t1661 * t39182;
  t67515 = t5640 * t67514;
  t67530 = t1965 * t34319 / 0.3e1 - t6755 * t11723 / 0.3e1 - t6760 * t11723 / 0.3e1 - t1651 * t56589 / 0.3e1 + 0.7e1 / 0.3e1 * t24273 * t67515 - t8106 * t10313 / 0.3e1 - t8110 * t10313 / 0.3e1 - t1965 * t50258 / 0.3e1 - t1965 * t50261 / 0.6e1 + 0.2e1 / 0.3e1 * t8106 * t10317 - t66430 / 0.18e2 - t66432 / 0.18e2 + t44736 + t44738 + t44742;
  t67535 = t29498 * t4403 * t13571;
  t67547 = t29517 * t67368;
  t67568 = t5559 * t2060 * t61984 / 0.2e1 + 0.3e1 / 0.2e1 * t30700 * t67535 - 0.3e1 * t5540 * t8223 * t1093 * t34351 - 0.28e2 * t50645 * t67127 + t44879 - t5540 * t2060 * t61970 / 0.2e1 - 0.7e1 / 0.3e1 * t30700 * t67547 + t6827 * t39206 / 0.12e2 + t6827 * t39820 / 0.6e1 + 0.3e1 / 0.2e1 * t40761 * t7161 + 0.3e1 / 0.2e1 * t1663 * t8519 + t6827 * t39817 / 0.6e1 - t4454 * t2814 / 0.2e1 - t4457 * t2814 + t373 * t39077 * t2821 / 0.2e1 + t373 * t8096 * t12524;
  t67598 = t2798 * t146;
  t67600 = t987 * t67598 * t995;
  t67608 = -t373 * t39422 * t2667 / 0.4e1 - t373 * t8317 * t12699 / 0.2e1 - t373 * t1940 * t61359 / 0.4e1 - t1056 * t13445 / 0.2e1 - t1056 * t13448 / 0.2e1 - t1078 * t13445 / 0.2e1 - t1078 * t13448 / 0.2e1 - t4462 * t2817 / 0.4e1 - t373 * t1936 * t61420 / 0.2e1 - t4454 * t2817 / 0.4e1 - t4457 * t2817 / 0.2e1 + t338 * t67600 / 0.12e2 - t66441 / 0.6e1 + t66443 / 0.3e1 - t1030 * t1974 * t61402 / 0.2e1;
  t67628 = -t8189 * t1700 - t8184 * t1700 - t1030 * t39077 * t2808 / 0.2e1 - t1030 * t8096 * t12712 - t4383 * t13424 - t4383 * t13429 + t13724 * t980 / 0.2e1 + t43403 - t43416 - 0.3e1 * t29011 * t50606 * t67174 - t66448 / 0.18e2 - t66450 / 0.18e2 - t66452 / 0.18e2 - t66454 / 0.18e2 - t66456 / 0.18e2;
  t67650 = t66458 / 0.6e1 + t66460 / 0.6e1 + t66462 / 0.6e1 + t44953 - t44954 - t8135 * t1658 / 0.12e2 - t8142 * t1658 / 0.12e2 - 0.5e1 / 0.36e2 * t10457 * t57197 - t24205 * t13538 - t6824 * t58056 / 0.6e1 - t6824 * t58048 / 0.12e2 - t33988 * t11765 / 0.6e1 - t33997 * t11765 / 0.6e1 - t6824 * t58053 / 0.6e1 - t45008;
  t67673 = t1000 * t67598 * t978;
  t67682 = t45009 + t5540 * t2056 * t1182 * t67130 / 0.2e1 - t24209 * t13856 - t4145 * t40975 * t2813 / 0.2e1 - t4145 * t8353 * t12704 + t2030 * t6807 + t2030 * t6803 / 0.2e1 - 0.11e2 / 0.18e2 * t6752 * t55999 + 0.23e2 / 0.36e2 * t6752 * t56016 - 0.11e2 / 0.18e2 * t8090 * t50264 + 0.23e2 / 0.36e2 * t8090 * t50252 - t338 * t67673 / 0.6e1 + t8360 * t50550 - t2180 - 0.11e2 / 0.18e2 * t11381 * t10485 * t67135 - t8090 * t51799 / 0.2e1;
  t67689 = t39733 * t488;
  t67693 = t8065 * t1680;
  t67705 = t39733 * t1642;
  t67708 = t8065 * t6798;
  t67719 = 0.3e1 / 0.2e1 * t34826 * t8500 - 0.3e1 * t6848 * t8503 - t4145 * t67689 * t1100 / 0.2e1 - t4145 * t67693 * t1100 / 0.2e1 - t4145 * t13543 * t4225 / 0.4e1 - t24205 * t13544 / 0.2e1 - t24209 * t13544 / 0.2e1 - t24209 * t13538 - t4145 * t67705 * t1419 - t4145 * t67708 * t1419 - t4145 * t13537 * t4667 / 0.2e1 - 0.2e1 * t50427 * t19940 - t66466 / 0.3e1 + t66468 / 0.3e1 + t66470 / 0.3e1;
  t67745 = -0.2e1 * t66472 - t66473 / 0.3e1 + t66475 / 0.3e1 + t66477 / 0.18e2 - t45125 - t45134 + t45137 + 0.6e1 * t5540 * t40248 * t24848 * t66803 - t10457 * t57017 / 0.2e1 + 0.7e1 / 0.3e1 * t10457 * t57020 - 0.18e2 * t5559 * t40248 * t24794 * t66803 - t7100 * t56558 / 0.2e1 - t373 * t39657 * t2813 / 0.2e1 - t373 * t8103 * t12704 - t1078 * t13470 - t1056 * t13470;
  t67780 = t373 * t39801 * t493 * t376 / 0.4e1 + t555 * t35030 / 0.12e2 - t1965 * t61854 / 0.3e1 - t1965 * t61847 / 0.6e1 + t8423 * t10599 / 0.3e1 + t8427 * t10599 / 0.3e1 + t1958 * t50333 / 0.3e1 - t8106 * t12676 / 0.3e1 - t39653 * t2766 / 0.6e1 - t8110 * t13398 / 0.3e1 - t8110 * t12676 / 0.3e1 - t1965 * t1393 * t67263 / 0.6e1 - t39661 * t2766 / 0.6e1 - t39444 * t2766 / 0.3e1 - 0.3e1 / 0.2e1 * t10457 * t57024;
  t67803 = 0.3e1 / 0.2e1 * t30030 * t67303 * t5630 - t45202 + t45214 - t45217 + t45219 + 0.22e2 / 0.3e1 * t56079 * t10485 * t67103 - 0.23e2 / 0.3e1 * t56079 * t10458 * t67163 - t11369 * t61928 - 0.61e2 / 0.27e2 * t56375 * t50504 * t67103 + 0.44e2 / 0.27e2 * t56375 * t50165 * t67163 + 0.11e2 / 0.18e2 * t11381 * t62478 - 0.23e2 / 0.36e2 * t11381 * t62438 + t8055 * t62165 / 0.12e2 + t45270 - t45273 - t45275;
  t67824 = t45277 - t45280 - t45282 + t45284 - t45286 - t39551 * t1693 - t39588 * t1693 - t8201 * t6785 - t8201 * t6779 / 0.2e1 + t8189 * t1696 + t8184 * t1696 - t1651 * t40520 / 0.6e1 + 0.2e1 / 0.3e1 * t6755 * t11727 + 0.2e1 / 0.3e1 * t6760 * t11727 + 0.2e1 / 0.3e1 * t1651 * t56010;
  t67847 = t1651 * t40515 / 0.3e1 + t2030 * t6812 / 0.4e1 + t2030 * t6816 / 0.2e1 - t6876 * t1937 - t1078 * t13467 - t45288 - t45290 - t45291 - t45296 + t45796 + t66480 / 0.9e1 - t8058 * t5591 * t67411 / 0.6e1 - 0.2e1 / 0.3e1 * t8058 * t5549 * t1021 * t67130 - 0.18e2 * t5540 * t40241 * t4408 * t66803 + t6824 * t39977 / 0.3e1;
  t67861 = t13671 * t333;
  t67862 = t380 * t67861;
  t67876 = t168 * t67454;
  t67887 = t10458 * t67174;
  t67890 = 0.3e1 * t8201 * t6932 - 0.3e1 * t2030 * t6929 + t1958 * t34125 / 0.6e1 + t2043 * t7094 / 0.6e1 + t2048 * t7094 / 0.6e1 + t555 * t35026 / 0.6e1 - 0.5e1 / 0.18e2 * t11381 * t10458 * t67862 + t11369 * t5553 * t67862 - 0.3e1 * t29011 * t10458 * t5533 * t67472 + 0.15e2 / 0.2e1 * t29011 * t29498 * t4403 * t67481 + 0.25e2 / 0.36e2 * t11381 * t29498 * t67876 + 0.6e1 * t5559 * t8223 * t62077 + 0.3e1 * t5559 * t8223 * t1034 * t34351 + 0.18e2 * t50645 * t67887 - t45843;
  t67900 = -t45844 + t45846 - t555 * t33947 / 0.6e1 - t8490 * t50236 / 0.2e1 - t66482 / 0.3e1 + 0.2e1 / 0.3e1 * t66484 + 0.2e1 * t66486 - t66487 / 0.3e1 + t66489 / 0.3e1 - t45848 - t9323 + t9326 + t45851 - t45856 - t45914 - t45918;
  t67915 = t45923 + t45924 - t45927 - t45928 + t33978 * t11739 / 0.3e1 - t110 * t500 * t8586 / 0.4e1 + 0.2e1 / 0.9e1 * t66504 - t66506 / 0.9e1 + t66508 + t66510 / 0.9e1 - t66512 / 0.3e1 + t66514 / 0.9e1 + 0.2e1 / 0.9e1 * t66517 + t66519 / 0.18e2 + t66521;
  t67935 = t1400 * t1661 * t14679;
  t67956 = -t1677 * t8122 / 0.6e1 + t373 * t1948 * t6973 * t376 / 0.4e1 - t6890 * t1950 / 0.12e2 - t6893 * t1950 / 0.6e1 + t1078 * t13491 / 0.2e1 + t1056 * t13491 / 0.2e1 + t373 * t8120 * t1713 * t376 / 0.2e1 + 0.2e1 / 0.3e1 * t4245 * t67935 + t1663 * t8368 / 0.2e1 - t1663 * t8104 - 0.3e1 * t5559 * t8223 * t62159 + 0.3e1 * t5540 * t8223 * t62155 - 0.18e2 * t5559 * t40217 * t1034 * t66803 + t10451 * t56132 - 0.11e2 / 0.18e2 * t10457 * t56144 + 0.23e2 / 0.36e2 * t10457 * t56120;
  t67963 = t1015 * t2800;
  t67993 = t66523 / 0.6e1 + t8058 * t50187 / 0.4e1 - t8058 * t50198 / 0.6e1 - t1010 * t67963 / 0.6e1 - t8058 * t29911 * t67110 / 0.2e1 + 0.3e1 * t5559 * t8227 * t62109 - 0.3e1 / 0.2e1 * t5540 * t8227 * t62298 + t29767 * t13853 + t29773 * t13853 + 0.12e2 * t50468 * t67124 + 0.3e1 * t5540 * t40277 * t13533 + 0.3e1 * t5540 * t8220 * t61808 + 0.3e1 / 0.2e1 * t5540 * t8220 * t356 * t34351 + 0.3e1 * t29773 * t13534 + 0.3e1 * t29767 * t13534;
  t68025 = 0.3e1 / 0.2e1 * t4145 * t67303 * t5616 - t24205 * t13856 + t5540 * t8247 * t13852 + t5540 * t2056 * t62387 + 0.8e1 * t56375 * t50165 * t10504 * t66803 + 0.18e2 * t10506 * t40248 * t24958 * t66803 - 0.2e1 * t56375 * t29517 * t67103 - 0.3e1 / 0.2e1 * t10506 * t8227 * t61574 + t46011 + t46014 - 0.2e1 / 0.9e1 * t66525 + 0.2e1 / 0.3e1 * t66527 - t318 * t13841 / 0.2e1 - t30146 * t13864 - t30152 * t13864 - t5535 * t40492 * t2808 / 0.2e1;
  t68054 = t8065 * t1649;
  t68066 = 0.2e1 * t29764 * t13862 + 0.2e1 * t29770 * t13862 + 0.2e1 * t5559 * t8231 * t7138 + 0.2e1 * t5559 * t2060 * t61804 + t5559 * t2060 * t4408 * t67130 + 0.6e1 * t5559 * t40266 * t10557 + t6824 * t57150 / 0.4e1 + t46029 + t46031 + 0.3e1 * t5540 * t2060 * t24962 * t66799 + t4145 * t13543 * t4714 / 0.2e1 + 0.3e1 / 0.2e1 * t4145 * t68054 * t6037 + t10451 * t56686 / 0.2e1 + t8058 * t5549 * t67131 / 0.6e1 - t11372 * t5582 * t67135 / 0.2e1;
  t68097 = t24205 * t13550 + t24209 * t13550 + t4145 * t40492 * t2821 / 0.2e1 + t4145 * t40153 * t2821 + t4145 * t8374 * t12524 + t34948 * t8076 / 0.6e1 + t34945 * t8076 / 0.6e1 - t34283 * t8067 / 0.4e1 + t8052 * t5582 * t67411 / 0.6e1 + t6830 * t56183 / 0.3e1 - t6824 * t56672 / 0.6e1 - t8146 * t1658 / 0.6e1 - t1682 * t8179 / 0.6e1 - t490 * t39722 / 0.12e2 - t6890 * t2025 / 0.12e2;
  t68105 = t1020 * t2800;
  t68113 = t19938 * t994;
  t68115 = t5549 * t4143 * t68113;
  t68127 = -t6893 * t2025 / 0.6e1 - t1677 * t8179 / 0.6e1 - t6908 * t2025 / 0.12e2 - t1010 * t68105 / 0.12e2 - t2043 * t6870 / 0.6e1 - t2048 * t6870 / 0.6e1 - 0.4e1 / 0.3e1 * t66546 - t24164 * t68115 + t4145 * t13537 * t30326 + t6824 * t56818 / 0.4e1 - t46064 + t46066 - 0.5e1 / 0.18e2 * t56413 * t13708 - t39224 * t13711 / 0.6e1 - t8052 * t61993 / 0.3e1;
  t68135 = t4161 * t2820 * t994;
  t68155 = t11369 * t61938 + t8052 * t61933 / 0.3e1 + 0.2e1 * t57725 * t5582 * t67103 - 0.2e1 * t4145 * t8374 * t68135 + 0.11e2 * t5540 * t8223 * t4549 * t67454 - 0.35e2 / 0.3e1 * t29011 * t29517 * t67482 - t66548 / 0.6e1 - t66550 / 0.3e1 - t66552 / 0.3e1 + t66555 / 0.3e1 + t66557 / 0.3e1 + t66559 / 0.3e1 + t66561 / 0.3e1 - t66563 / 0.6e1 - t66565 / 0.6e1 + t46073;
  t68164 = t1013 * t2820 * t333;
  t68176 = -t6830 * t57132 / 0.3e1 + 0.14e2 / 0.3e1 * t29011 * t10485 * t67473 - 0.6e1 * t4145 * t39834 * t68164 - t46078 - t46085 + t46087 - t46089 - t46091 - t46102 + t46111 - 0.3e1 * t56997 * t67887 + t56164 * t7121 + 0.3e1 / 0.2e1 * t56196 * t7139 - 0.3e1 / 0.2e1 * t56164 * t7129 - t56200 * t7127;
  t68202 = t39948 * t7132 + t2251 + t46127 + t555 * t61178 / 0.6e1 + t555 * t61174 / 0.12e2 + t39122 * t2758 / 0.6e1 + t39125 * t2758 / 0.3e1 - t66579 / 0.6e1 - t66581 / 0.6e1 + t39192 * t12556 / 0.6e1 - t40052 * t12542 / 0.3e1 - t39195 * t12548 / 0.3e1 + t39229 * t12551 / 0.6e1 + t39195 * t12556 / 0.6e1 - 0.4e1 * t52065 * t30232 * t66837 + t50177 * t8347;
  t68222 = -t24164 * t50186 * t40484 - t34283 * t8071 / 0.2e1 - t46134 - t46142 - 0.4e1 / 0.3e1 * t8058 * t29795 * t13697 + 0.23e2 / 0.18e2 * t11381 * t50606 * t13593 - t66583 / 0.6e1 - t66585 / 0.6e1 - t66587 / 0.3e1 - t66589 / 0.3e1 + t66591 / 0.6e1 - t46148 - t46149 + t66594 / 0.6e1 - 0.3e1 * t8201 * t6936;
  t68236 = t1000 * t6773 * t8120;
  t68253 = -t6752 * t56512 / 0.2e1 + 0.7e1 / 0.3e1 * t6752 * t5640 * t56015 - 0.3e1 / 0.2e1 * t6752 * t55985 - t66627 / 0.9e1 - t66629 / 0.9e1 - t66631 / 0.9e1 - t66633 / 0.18e2 - 0.5e1 / 0.54e2 * t66635 - t338 * t68236 / 0.6e1 - t490 * t39803 / 0.12e2 - t1075 * t13478 / 0.6e1 - t1084 * t13478 / 0.12e2 - t490 * t39772 / 0.12e2 - t490 * t39766 / 0.6e1 - t6908 * t1950 / 0.12e2 - t1682 * t8445 / 0.6e1;
  t68274 = -t1682 * t8122 / 0.6e1 - t1677 * t8445 / 0.6e1 - t46163 - t46165 - t46167 - t46169 + t46171 - t46209 - t46210 - t9463 - t5535 * t13560 * t5776 / 0.2e1 + 0.23e2 / 0.18e2 * t11381 * t61251 + 0.2e1 / 0.3e1 * t8058 * t61269 + 0.2e1 / 0.3e1 * t8058 * t30232 * t13672 - 0.4e1 / 0.3e1 * t8058 * t61478;
  t68299 = t13671 * t994;
  t68300 = t380 * t68299;
  t68304 = -t24205 * t13530 / 0.2e1 - t24209 * t13530 / 0.2e1 + t5540 * t559 * t61519 + 0.3e1 / 0.2e1 * t5535 * t13560 * t29990 - 0.3e1 / 0.2e1 * t4145 * t13560 * t29995 + 0.15e2 * t5559 * t8227 * t24848 * t67454 + t46263 + t46274 - t46276 - t46290 + t46293 - t110 * t13836 * t404 / 0.2e1 + t11372 * t4137 * t67876 - 0.11e2 / 0.6e1 * t11369 * t5549 * t67876 - t8052 * t4137 * t68300 / 0.3e1;
  t68333 = t5540 * t2056 * t61515 + t29767 * t13524 + 0.2e1 / 0.3e1 * t39229 * t13673 + t66654 / 0.6e1 + 0.2e1 / 0.3e1 * t8058 * t5587 * t68300 - 0.11e2 / 0.9e1 * t11381 * t10485 * t67862 - 0.4e1 / 0.3e1 * t8058 * t5549 * t4143 * t68299 + t8055 * t35146 / 0.6e1 + t8052 * t50206 / 0.3e1 + t46307 + t46308 + 0.23e2 / 0.18e2 * t11381 * t10458 * t4143 * t67861 + t66656 / 0.9e1 + 0.23e2 / 0.54e2 * t66658 - 0.11e2 / 0.27e2 * t66660;
  t68366 = t66662 - 0.4e1 / 0.3e1 * t39224 * t13698 + 0.23e2 / 0.18e2 * t56413 * t13594 + 0.2e1 / 0.3e1 * t39224 * t13673 + 0.23e2 / 0.18e2 * t56416 * t13594 - t11372 * t5582 * t67862 + t65581 - 0.11e2 / 0.9e1 * t11381 * t50698 * t13585 - t8058 * t29823 * t13676 / 0.3e1 + 0.2e1 * t11369 * t61467 + 0.2e1 / 0.3e1 * t8058 * t61472 - t39229 * t13677 / 0.3e1 + 0.2e1 * t11369 * t29823 * t13585 + 0.2e1 / 0.3e1 * t8058 * t29791 * t13683 - 0.11e2 / 0.9e1 * t56413 * t13586 - t39224 * t13677 / 0.3e1;
  t68390 = t321 * t369 * t2798 * t1027;
  t68400 = 0.2e1 * t56491 * t13601 + 0.2e1 / 0.3e1 * t39229 * t13705 - 0.11e2 / 0.9e1 * t56416 * t13586 + 0.2e1 * t56488 * t13601 + 0.2e1 / 0.3e1 * t39224 * t13705 + 0.3e1 / 0.2e1 * t10506 * t8227 * t4396 * t34351 - t46322 - t46323 + 0.2e1 * t50427 * t67372 + t29773 * t13524 + t13724 * t1095 / 0.2e1 - t68390 * t1036 / 0.2e1 - t13724 * t1046 / 0.2e1 - t110 * t2799 * t1146 / 0.4e1 - t1165 * t2827 / 0.4e1;
  t68409 = t1400 * t67514;
  t68432 = -t318 * t13846 / 0.2e1 - t1651 * t56071 / 0.6e1 - t1651 * t39322 / 0.12e2 - t1663 * t8338 / 0.2e1 - 0.2e1 * t24606 * t68409 + t1677 * t8478 / 0.6e1 + t1682 * t8478 / 0.6e1 - t4349 * t13424 - t4349 * t13429 - t25078 * t2809 / 0.2e1 + t6830 * t58132 / 0.3e1 + t5540 * t2054 * t12619 + t29767 * t13527 + t29773 * t13527 + t5540 * t2056 * t61505 / 0.2e1 + t5540 * t559 * t61500 / 0.2e1;
  t68449 = t2807 * t333;
  t68450 = t4362 * t68449;
  t68461 = t1020 * t2799 * t1021;
  t68466 = -t1165 * t2800 / 0.4e1 + t8423 * t12655 / 0.3e1 + t8427 * t12655 / 0.3e1 - t66665 / 0.6e1 - t66667 / 0.6e1 - t66669 / 0.6e1 + t1051 * t13633 / 0.6e1 + t8189 * t1673 / 0.2e1 + t11381 * t61667 / 0.2e1 + 0.3e1 * t4145 * t39508 * t68450 + t6824 * t57924 / 0.2e1 + t8423 * t13519 / 0.3e1 + t13724 * t1071 / 0.4e1 + t1010 * t68461 / 0.3e1 + t34987 * t570 / 0.4e1;
  t68467 = t349 * t13837;
  t68472 = t321 * t369 * t13835 * t370;
  t68477 = t1074 * t13723;
  t68481 = t4161 * t2807 * t994;
  t68499 = -t338 * t68467 / 0.6e1 + t68472 * t377 / 0.2e1 - t1075 * t13633 / 0.6e1 + t68477 * t377 / 0.2e1 + t46451 + 0.2e1 * t5535 * t8374 * t68481 - t8058 * t62049 / 0.6e1 - t40050 * t12542 / 0.3e1 - t39192 * t12548 / 0.3e1 + t39224 * t12551 / 0.6e1 + t66690 / 0.6e1 - t66692 / 0.6e1 - t66696 / 0.3e1 - t66698 / 0.3e1 - t66700 / 0.3e1 - t66702 / 0.3e1;
  t68536 = -t66704 / 0.3e1 + t66706 / 0.6e1 + 0.6e1 * t29764 * t13859 + 0.6e1 * t29770 * t13859 - 0.3e1 * t5559 * t2060 * t24823 * t66799 + t8052 * t30771 * t13676 / 0.3e1 - t8055 * t62176 / 0.6e1 + 0.2e1 * t11369 * t5591 * t67862 - 0.115e3 / 0.36e2 * t11381 * t29498 * t1021 * t67454 - t8052 * t62352 / 0.3e1 - t8055 * t61915 / 0.3e1 - 0.5e1 / 0.12e2 * t8058 * t61921 - 0.11e2 / 0.3e1 * t11369 * t5587 * t67876 + t8058 * t61918 / 0.6e1 - t46493;
  t68545 = t4362 * t19835 * t333;
  t68567 = t1013 * t68449;
  t68581 = 0.55e2 / 0.18e2 * t11381 * t29517 * t67876 - 0.15e2 / 0.2e1 * t5540 * t8227 * t24823 * t67454 - 0.6e1 * t5535 * t39508 * t68545 - 0.5e1 / 0.2e1 * t5559 * t2060 * t62336 + 0.5e1 / 0.2e1 * t5540 * t2060 * t62340 + t5535 * t8374 * t62345 - t4145 * t8374 * t62349 - 0.15e2 / 0.2e1 * t10506 * t8227 * t24794 * t67454 - 0.11e2 * t5559 * t8223 * t4408 * t67454 + 0.6e1 * t5535 * t39834 * t68567 + t8058 * t61664 / 0.3e1 + 0.5e1 / 0.2e1 * t11381 * t29911 * t67876 - t11381 * t5549 * t67862 - 0.5e1 / 0.6e1 * t8058 * t61636 + t46507 + t24209 * t13564;
  t68583 = t57263 * t1649;
  t68588 = t56695 * t13697;
  t68598 = t10458 * t4403 * t67093;
  t68615 = -t5535 * t68583 * t1407 + t4145 * t68583 * t1412 - t24164 * t68588 - t39948 * t7117 / 0.2e1 - t39948 * t7124 - 0.3e1 * t29011 * t10458 * t4403 * t67207 - 0.3e1 * t29011 * t68598 - t56539 * t13680 + t6830 * t56632 / 0.3e1 - t1056 * t13467 + t4462 * t2831 / 0.4e1 + t1056 * t13464 / 0.2e1 + t4457 * t2831 / 0.2e1 + t1078 * t13464 / 0.2e1 + t4454 * t2831 / 0.4e1;
  t68622 = t1400 * t13477;
  t68628 = t1000 * t34384 * t1948;
  t68635 = t1393 * t13477;
  t68639 = t1400 * t1661 * t1948;
  t68656 = t6855 * t1954 / 0.2e1 + t1663 * t8126 / 0.2e1 + t1663 * t8420 / 0.4e1 - t1010 * t68622 / 0.12e2 + t6876 * t1954 / 0.2e1 - t338 * t68628 / 0.6e1 + t1051 * t13478 / 0.6e1 + t2030 * t6939 / 0.2e1 - t1010 * t68635 / 0.6e1 + t1010 * t68639 / 0.3e1 - t6848 * t8513 / 0.2e1 + t1663 * t8516 / 0.2e1 + t39103 * t2758 / 0.6e1 + t8427 * t13519 / 0.3e1 + t1958 * t1000 * t67263 / 0.6e1 + t4145 * t13560 * t5808 / 0.2e1;
  t68685 = t45378 * t67454;
  t68696 = -t45322 - t45330 - t45331 + t45344 - 0.3e2 * t40190 * t68685 + 0.44e2 * t40187 * t45383 * t67454 + 0.1e2 / 0.3e1 * t40190 * t51103 * t67454 + 0.1e2 * t40179 * t62752 + t45452 + t45454 + t45459 - t45462;
  t68699 = t13733 * t1005;
  t68700 = t1190 * t68699;
  t68706 = t2788 * t4223;
  t68721 = 0.72e2 * t57574 * t1203 * t68699 + 0.2e1 * t2060 * t4549 * t68706 - 0.4e1 * t8247 * t12486 - 0.2e1 * t2056 * t62808 - t2056 * t62845 - t8235 * t2637 - 0.2e1 * t40224 * t2778 + 0.12e2 * t40187 * t62789 - t559 * t62837 - 0.72e2 * t57389 * t68700 + 0.4e1 * t8223 * t62847 - t45465;
  t68724 = t2788 * t1069;
  t68733 = t5912 * t487;
  t68741 = t2788 * t4544;
  t68753 = t2060 * t62858 - 0.3e1 * t8227 * t4408 * t68724 - t2056 * t1182 * t68706 - 0.4e1 * t8223 * t1034 * t68724 - 0.2e1 / 0.3e1 * t40241 * t4396 * t68733 - t40255 * t2781 / 0.3e1 - 0.2e1 / 0.3e1 * t8231 * t12472 - 0.6e1 * t2060 * t24962 * t68741 + 0.24e2 * t40217 * t1034 * t68733 + t45491 - t2060 * t62819 / 0.3e1 + t8227 * t4396 * t68724 / 0.18e2;
  t68773 = t559 * t62648 / 0.2e1 + 0.2e1 * t8247 * t12385 + t2056 * t62652 + t8235 * t2647 / 0.2e1 + 0.2e1 / 0.3e1 * t2060 * t62716 + t40224 * t2792 - t40255 * t2796 - 0.2e1 * t8231 * t12440 + t2054 * t12437 - t2060 * t62736 + 0.2e1 / 0.3e1 * t40255 * t2789 + 0.4e1 / 0.3e1 * t8231 * t12404 - t45526;
  t68796 = -t45528 - 0.2e1 * t2054 * t12481 + t45553 + 0.3e1 * t559 * t62635 + 0.3e1 * t8220 * t62631 + 0.2e1 * t2056 * t4543 * t68741 - 0.36e2 * t40217 * t1093 * t68733 - t45581 + t45583 - 0.4e1 / 0.3e1 * t2060 * t4408 * t68706 - 0.3e1 * t8220 * t356 * t68724 - 0.5e1 / 0.3e1 * t40179 * t62607;
  t68813 = 0.5e1 / 0.9e1 * t40190 * t51084 * t67454 - 0.12e2 * t40207 * t45387 * t67454 - 0.22e2 / 0.3e1 * t40187 * t68685 - 0.8e1 * t40184 * t62604 - t45598 + t45599 + t9558 + t45600 - t45601 + t8254 * t62771 / 0.3e1 + t40190 * t62774 / 0.9e1 + 0.4e1 / 0.3e1 * t40195 * t13752;
  t68817 = t13733 * t4223;
  t68821 = t13733 * t1069;
  t68827 = t4633 * t68699;
  t68833 = t1190 * t68821;
  t68847 = -0.2e1 / 0.9e1 * t57360 * t13735 - 0.4e1 * t8254 * t1203 * t68817 + 0.6e1 * t11541 * t360 * t68821 - 0.12e2 * t57574 * t68700 + 0.4e1 / 0.3e1 * t57389 * t68827 + 0.2e1 * t8251 * t360 * t68817 + 0.2e1 * t11533 * t68833 - t11538 * t4633 * t68821 / 0.9e1 - t57448 * t50995 * t68699 / 0.9e1 + 0.2e1 * t8251 * t62777 + 0.2e1 / 0.3e1 * t8254 * t1190 * t68817 + t45618;
  t68854 = t45624 + t45628 - 0.6e1 * t8223 * t62628 + t45630 - t45632 + t45641 - t45652 - t45653 - t45654 + t45655 + t45668 + 0.4e1 * t57517 * t12379 + 0.2e1 / 0.3e1 * t40195 * t12372;
  t68871 = t4624 * t68699;
  t68884 = -0.5e2 / 0.3e1 * t40190 * t4624 * t67454 + 0.4e1 * t40212 * t12375 - 0.2e1 * t8254 * t62503 - 0.4e1 * t8254 * t62523 + 0.6e1 * t11538 * t68833 - 0.4e1 * t40195 * t12447 + 0.8e1 * t57389 * t68871 + 0.2e1 / 0.3e1 * t40190 * t62507 + 0.12e2 * t57360 * t13749 + 0.12e2 * t11538 * t62510 - 0.24e2 * t57382 * t13762 - 0.24e2 * t11533 * t62541;
  t68914 = -0.12e2 * t11533 * t1203 * t68821 + 0.8e1 / 0.3e1 * t57448 * t68827 - 0.4e1 / 0.3e1 * t57448 * t25032 * t68699 - 0.2e1 / 0.3e1 * t11538 * t4624 * t68821 - 0.4e1 / 0.3e1 * t11538 * t62496 - 0.2e1 / 0.3e1 * t2060 * t62742 - t8227 * t62804 / 0.18e2 + 0.2e1 * t40255 * t2785 + 0.4e1 * t8231 * t12455 + 0.2e1 * t2060 * t62854 + 0.1e2 / 0.3e1 * t8227 * t4376 * t68724 + 0.4e1 * t2060 * t24823 * t68741;
  t68944 = 0.12e2 * t40288 * t356 * t68733 + 0.1e2 / 0.3e1 * t40248 * t24958 * t68733 - 0.6e1 * t8220 * t62693 - 0.2e1 * t2056 * t62706 - 0.8e1 * t8223 * t62709 - 0.2e1 * t559 * t62768 - 0.2e1 * t8247 * t12461 - 0.2e1 * t2054 * t12466 - 0.4e1 / 0.3e1 * t8231 * t12483 - 0.1e2 / 0.3e1 * t8227 * t62871 + 0.5e2 / 0.3e1 * t40248 * t24794 * t68733 - 0.4e2 * t40241 * t4376 * t68733;
  t68974 = -0.2e1 * t2056 * t62764 - 0.4e1 / 0.3e1 * t2060 * t62874 + 0.12e2 * t40266 * t13772 + 0.4e1 * t8231 * t13798 + 0.2e2 / 0.3e1 * t40236 * t13810 + 0.36e2 * t40241 * t4408 * t68733 + 0.3e1 * t8227 * t62673 - 0.12e2 * t40248 * t24848 * t68733 + 0.6e1 * t8223 * t1093 * t68724 - 0.8e1 / 0.3e1 * t2060 * t62801 + t8227 * t62822 / 0.9e1 - 0.6e1 * t40277 * t13816 - 0.2e1 * t8247 * t13780;
  t69001 = 0.4e1 * t2060 * t62699 + 0.2e2 / 0.3e1 * t8227 * t62868 - 0.8e1 * t40266 * t13823 - 0.8e1 / 0.3e1 * t8231 * t13813 + t40236 * t13830 / 0.9e1 - 0.6e1 * t40236 * t13776 - 0.6e1 * t8227 * t62618 + 0.12e2 * t8223 * t62749 + 0.2e1 * t8231 * t12494 + 0.2e1 * t2060 * t62611 - t559 * t62815 - 0.22e2 * t40187 * t1203 * t67454;
  t69004 = t1190 * t67454;
  t69024 = -0.4e1 / 0.3e1 * t57360 * t13765 + 0.15e2 * t40190 * t69004 + 0.6e1 * t40207 * t360 * t67454 + 0.4e1 * t40184 * t62530 + 0.44e2 / 0.3e1 * t40187 * t69004 - 0.5e1 * t40179 * t62516 + 0.4e1 * t8251 * t62688 + 0.4e1 * t11528 * t62545 + 0.1e2 / 0.3e1 * t40179 * t62533 + 0.2e1 / 0.3e1 * t8254 * t62548 + t45756 - t45757 - t45759;
  t69049 = -t45762 - 0.8e1 * t40195 * t13757 + 0.4e1 * t57382 * t13749 - 0.5e1 / 0.18e2 * t40190 * t4633 * t67454 - 0.8e1 * t8254 * t62538 + 0.4e1 / 0.3e1 * t8254 * t62561 - 0.2e1 / 0.9e1 * t11538 * t62564 + 0.12e2 * t11541 * t62684 + 0.4e1 * t8251 * t62567 + 0.4e1 * t11533 * t62510 + 0.12e2 * t57555 * t13742 + 0.4e1 * t40212 * t13746;
  t69054 = t13733 * t4544;
  t69075 = -0.2e1 * t40179 * t1190 * t69054 + 0.12e2 * t40179 * t1203 * t69054 - 0.4e1 * t40184 * t360 * t69054 - 0.24e2 * t57459 * t360 * t68699 + 0.2e1 * t11528 * t62786 - 0.2e1 * t40187 * t62587 - 0.6e1 * t40190 * t62587 - 0.6e1 * t40207 * t62579 - 0.6e1 * t57365 * t62584 + 0.24e2 * t57448 * t68871 + t2210 - t2229 - t45781;
  t69088 = -t110 * t7050 * t584 / 0.4e1 - t318 * t13849 / 0.2e1 + t1663 * t8139 / 0.4e1 + t6855 * t2040 / 0.2e1 + t6876 * t2040 / 0.2e1 + t34918 * t570 / 0.2e1 + t35252 * t570 / 0.4e1 - t110 * t1736 * t2013 / 0.2e1 - t555 * t35247 / 0.12e2 + t2030 * t6886 / 0.4e1 - t1084 * t13633 / 0.12e2 + t8184 * t1673 / 0.2e1 - t110 * t139 * (t68696 + t68721 + t68753 + t68773 + t68796 + t68813 + t68847 + t68854 + t68884 + t68914 + t68944 + t68974 + t69001 + t69024 + t69049 + t69075) * t168 / 0.4e1 + t1958 * t61213 / 0.3e1 + t1958 * t61218 / 0.6e1;
  t69105 = -t39661 * t2761 / 0.12e2 - t39444 * t2761 / 0.6e1 - t8106 * t13659 / 0.6e1 - t8106 * t12650 / 0.6e1 + 0.3e1 / 0.2e1 * t2030 * t6943 + 0.3e1 * t6848 * t8391 - 0.3e1 * t1663 * t8455 + t65589 + t6830 * t58135 / 0.6e1 + t46526 + t46529 - t46538 - t46540 - t46543 - t46547 + t46548;
  t69123 = t46566 + t46567 - t46568 + t46569 + t8058 * t5549 * t68300 / 0.3e1 + 0.2e1 / 0.3e1 * t8052 * t61924 - t66720 / 0.6e1 - t8058 * t50230 / 0.3e1 + t46572 + t46623 - t318 * t13837 / 0.2e1 - 0.4e1 / 0.3e1 * t39229 * t13698 + t66723 / 0.6e1 + t5540 * t8247 * t12615 + t6855 * t1978;
  t69143 = t4362 * t19793 * t333;
  t69151 = t583 * t1671;
  t69153 = t5553 * t4143 * t69151;
  t69160 = -t6848 * t8097 + t1663 * t8312 - t34808 * t1975 - t1663 * t8318 / 0.2e1 - t4145 * t40979 * t2667 / 0.4e1 + t24205 * t13564 - t30152 * t13561 - 0.6e1 * t50149 * t40248 * t24930 * t66803 + 0.3e1 / 0.2e1 * t2030 * t6946 - t4145 * t39961 * t2813 + 0.3e1 * t30030 * t39508 * t69143 + t6827 * t39995 / 0.6e1 - t6830 * t56179 / 0.3e1 + 0.2e1 / 0.3e1 * t24164 * t69153 - t5535 * t40153 * t2808 - t5535 * t8374 * t12712;
  t69167 = my_piecewise3(t100, 0, t66937 + t66910 + t66974 + t67167 + t66843 + t69160 + t69123 + t67212 + t68432 + t67119 + t68400 + t66957 + t68202 + t67040 + t66891 + t68304 + t67006 + t68536 + t68155 + t68025 + t68499 + t68466 + t67993 + t68097 + t68333 + t68127 + t67956 + t68066 + t67915 + t68274 + t67900 + t68581 + t67075 + t67890 + t68366 + t68176 + t66850 + t69088 + t67847 + t67824 + t67803 + t68656 + t67780 + t69105 + t68615 + t67745 + t67719 + t67682 + t67650 + t67628 + t67608 + t67568 + t67530 + t67504 + t67469 + t67423 + t67398 + t67360 + t67337 + t67311 + t67247 + t68253 + t68222 + t67278);
  tv4rho2lapltau11 = t3 * t69167 + 0.2e1 * t13872;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 11] += tv4rho2lapltau11;

  t69174 = t2836 * t21185;
  t69176 = t191 * t21182 * t69174;
  t69180 = t3621 * t2912 / 0.18e2;
  t69182 = t191 * t43515;
  t69183 = t94 * t2836;
  t69184 = t755 * t69183;
  t69188 = t7380 * t2854;
  t69190 = t1869 * t13888;
  t69192 = t1869 * t13922;
  t69201 = 0.23e2 / 0.18e2 * t7187 * t53360 + 0.2e1 * t7250 * t53277 - 0.61e2 / 0.27e2 * t69176 * t43128 + t69180 + t757 * t14041 - 0.4e1 * t69182 * t1227 * t69184 + t69188 / 0.18e2 + t69190 / 0.18e2 + t69192 / 0.18e2 - 0.2e1 * t768 * t14002 + 0.3e1 * t768 * t14005 + t768 * t14041 - 0.11e2 / 0.9e1 * t7187 * t53367;
  t69203 = t191 * t616 * t13876;
  t69207 = t244 * t69183;
  t69208 = t1227 * t69207;
  t69220 = t7255 * t13938;
  t69222 = t14107 * t3252;
  t69224 = t592 * t13877;
  t69225 = t69224 * t8993;
  t69232 = -0.6e1 * t69203 * t4860 - 0.4e1 * t764 * t43515 * t69208 - t768 * t14045 - 0.2e1 * t757 * t14002 + 0.3e1 * t757 * t14005 - 0.2e1 / 0.3e1 * t2844 * t20842 - t515 * t36758 / 0.6e1 + 0.4e1 / 0.9e1 * t69220 - 0.4e1 / 0.9e1 * t69222 + 0.23e2 / 0.54e2 * t69225 - 0.6e1 * t7462 * t7567 + 0.3e1 * t1891 * t7570 - t7187 * t52380;
  t69236 = t2836 * t21719;
  t69237 = t3658 * t69236;
  t69241 = t21207 * t69174;
  t69267 = 0.14e2 / 0.3e1 * t7187 * t52384 - 0.18e2 * t246 * t69237 * t4820 - 0.18e2 * t644 * t69241 * t43218 + 0.6e1 * t246 * t69241 * t43224 + t3567 * t2838 * t223 / 0.6e1 + t14123 * t612 / 0.3e1 + t2839 * t3553 / 0.6e1 - t515 * t37289 / 0.6e1 - t7405 * t1886 / 0.6e1 - t1881 * t7385 / 0.3e1 - t7393 * t1886 / 0.6e1 - t7396 * t1886 / 0.3e1 - t1876 * t7385 / 0.3e1;
  t69268 = t3620 * t2843;
  t69270 = t69268 * t752 / 0.54e2;
  t69271 = t3631 * t2915;
  t69273 = t629 * t2890;
  t69277 = t634 * t2889 * t635;
  t69282 = t191 * t242 * t2888 * t641;
  t69287 = t771 * t14148;
  t69291 = t1839 * t1839;
  t69292 = t645 * t69291;
  t69295 = t14116 * t612;
  t69298 = t3627 * t2838 * t223;
  t69300 = t3637 * t2915;
  t69302 = t7368 * t1873;
  t69304 = t69270 + t69271 / 0.3e1 - t622 * t69273 / 0.6e1 + t622 * t69277 / 0.3e1 - t69282 * t650 / 0.2e1 + t14153 * t655 / 0.2e1 - t69287 / 0.18e2 + t743 * t14148 / 0.6e1 + t246 * t69292 * t654 + t69295 / 0.9e1 + t69298 / 0.9e1 + t69300 / 0.3e1 + t69302 / 0.3e1;
  t69307 = t35747 * t530;
  t69309 = t7377 * t1886;
  t69311 = t14107 * t3540;
  t69313 = t3627 * t2843;
  t69314 = t69313 * t630;
  t69316 = t14107 * t3599;
  t69318 = t69313 * t752;
  t69320 = t37278 * t530;
  t69322 = t1869 * t7385;
  t69326 = t191 * t242 * t14358 * t243;
  t69336 = t3621 * t2907 / 0.9e1;
  t69337 = t69307 / 0.3e1 - t69309 / 0.9e1 - t69311 / 0.9e1 - t69314 / 0.9e1 - t69316 / 0.18e2 - t69318 / 0.18e2 + t69320 / 0.3e1 - t69322 / 0.9e1 + t69326 * t250 / 0.2e1 - t3568 * t2907 / 0.2e1 - t3605 * t2907 - t246 * t247 * t69291 * t748 + t69336;
  t69339 = t3621 * t2915 / 0.9e1;
  t69341 = t69268 * t630 / 0.27e2;
  t69342 = t7380 * t1886;
  t69344 = t13919 * t667;
  t69349 = t2851 * t3244;
  t69361 = t13919 * t206;
  t69362 = t95 * t69361;
  t69366 = t2851 * t606;
  t69367 = t95 * t69366;
  t69371 = t2851 * t617;
  t69372 = t95 * t69371;
  t69381 = t1839 * t206;
  t69386 = -t69339 + t69341 - t69342 / 0.9e1 - t7581 * t8642 * t95 * t69344 / 0.3e1 - t7581 * t8642 * t95 * t69349 / 0.6e1 + t36005 * t14249 / 0.6e1 + t36009 * t14249 / 0.6e1 + t7216 * t25669 * t14189 / 0.6e1 + t7216 * t4760 * t69362 / 0.6e1 + t7216 * t4760 * t69367 / 0.12e2 + 0.5e1 / 0.36e2 * t11008 * t25739 * t69372 - 0.2e1 / 0.3e1 * t21878 * t4760 * t635 * t512 * t13919 + 0.6e1 * t4779 * t7610 * t229 * t69381;
  t69388 = t1839 * t2851;
  t69390 = t4760 * t635 * t69388;
  t69393 = t635 * t14199;
  t69397 = t4760 * t69393;
  t69403 = t3124 * t2842;
  t69407 = t276 * t2836;
  t69408 = t3121 * t69407;
  t69412 = t69224 * t8996;
  t69414 = t7368 * t1761;
  t69416 = t21784 * t14077;
  t69417 = t35790 * t1758;
  t69419 = t3548 * t14080;
  t69424 = -0.2e1 / 0.3e1 * t21878 * t69390 - 0.2e1 / 0.3e1 * t21878 * t25669 * t69393 - 0.2e1 / 0.3e1 * t52647 * t69397 - 0.2e1 * t3123 * t7238 * t14001 + 0.3e1 * t3123 * t69403 * t1246 - 0.4e1 * t52652 * t4765 * t69408 - t69412 / 0.3e1 + 0.2e1 / 0.3e1 * t69414 + t69416 - 0.2e1 / 0.3e1 * t69417 - 0.2e1 * t69419 - t757 * t14045 + 0.2e1 * t768 * t14024;
  t69427 = t764 * t43668;
  t69428 = t4838 * t69207;
  t69432 = t7255 * t11196;
  t69436 = t7255 * t14206;
  t69438 = t14107 * t3272;
  t69444 = t191 * t43668;
  t69450 = t7450 * t2854 / 0.54e2;
  t69455 = -0.2e1 * t768 * t14026 + 0.14e2 / 0.3e1 * t69427 * t69428 + t768 * t14028 - 0.2e1 / 0.9e1 * t69432 + t2839 * t3305 / 0.6e1 - t69436 / 0.9e1 + t69438 / 0.9e1 + 0.2e1 * t757 * t14024 - 0.2e1 * t757 * t14026 + 0.14e2 / 0.3e1 * t69444 * t4838 * t69184 + t757 * t14028 - t69450 + 0.2e1 / 0.3e1 * t1787 * t53863 + t515 * t35362 / 0.3e1;
  t69475 = t764 * t13877;
  t69485 = -0.3e1 / 0.2e1 * t13878 * t21112 - 0.43e2 / 0.9e1 * t69176 * t43186 - t7462 * t7492 + t1891 * t7525 + 0.3e1 / 0.2e1 * t3680 * t14076 * t21540 - 0.3e1 * t644 * t14076 * t21530 + 0.4e1 / 0.3e1 * t7190 * t13938 - 0.4e1 / 0.3e1 * t14136 * t3252 + 0.23e2 / 0.18e2 * t69475 * t8993 + 0.2e1 / 0.3e1 * t14136 * t3255 + 0.4e1 / 0.3e1 * t1748 * t35890 - 0.2e1 * t7390 * t1766 - t7390 * t1770;
  t69492 = t4844 * t642 * t69183;
  t69499 = t645 * t13876;
  t69503 = t14031 * t814;
  t69508 = t1227 * t244 * t14031;
  t69514 = t1220 * t14032;
  t69521 = t191 * t3512 * t69236;
  t69524 = 0.4e1 / 0.3e1 * t3319 * t1227 * t7388 * t35339 + t7390 * t1774 - 0.3e1 * t69427 * t69492 - t3530 * t14009 + t13929 * t4917 - 0.2e1 * t13929 * t3324 - 0.18e2 * t644 * t69499 * t4868 + t246 * t69503 * t654 / 0.2e1 + t622 * t69508 / 0.3e1 - t644 * t69503 * t649 / 0.2e1 - t622 * t69514 / 0.6e1 - 0.3e1 * t644 * t13951 * t20916 + 0.6e1 * t69521 * t4834;
  t69533 = t1227 * t1889 * t35339;
  t69554 = t593 * t14028;
  t69556 = -0.6e1 * t21206 * t69241 * t43209 + 0.18e2 * t3680 * t69241 * t43214 + 0.4e1 / 0.3e1 * t21814 * t69533 + t7374 * t1774 + t1787 * t35347 / 0.3e1 - 0.5e1 / 0.36e2 * t13878 * t21070 - 0.35e2 / 0.108e3 * t69176 * t41140 - t13878 * t21547 / 0.2e1 + 0.7e1 / 0.3e1 * t13878 * t21108 - 0.11e2 / 0.18e2 * t13878 * t21115 + 0.23e2 / 0.36e2 * t13878 * t22310 + 0.3e1 * t246 * t13951 * t20911 + t69554 / 0.3e1;
  t69561 = t11120 * t7193;
  t69570 = t543 * t512;
  t69571 = t3121 * t69570;
  t69575 = t4765 * t69571;
  t69581 = t4749 * t2842;
  t69589 = t512 * t1839;
  t69590 = t635 * t69589;
  t69597 = t11120 * t7248;
  t69604 = 0.2e1 * t2844 * t20865 + 0.2e1 * t36310 * t7234 + 0.2e1 * t3123 * t69561 * t1239 - 0.2e1 * t53889 * t7246 - 0.2e1 * t4748 * t69561 * t1234 + 0.4e1 / 0.3e1 * t21878 * t25665 * t69571 + 0.4e1 / 0.3e1 * t52647 * t69575 - 0.2e1 * t4748 * t7233 * t13983 + 0.2e1 * t4748 * t69581 * t3181 - 0.3e1 * t27523 * t10037 * t4746 * t69407 - 0.8e1 * t52652 * t4765 * t69590 - t7581 * t42883 * t14245 / 0.3e1 + 0.6e1 * t4748 * t69597 * t4868 - 0.6e1 * t3123 * t69597 * t4887;
  t69615 = t543 * t1839;
  t69617 = t4765 * t3121 * t69615;
  t69632 = t7450 * t1779 / 0.27e2;
  t69634 = t3621 * t2903 / 0.9e1;
  t69635 = t661 * t36561;
  t69645 = 0.3e1 * t4779 * t7595 * t3409 * t69371 - 0.3e1 * t4738 * t7595 * t3375 * t69371 + 0.4e1 / 0.3e1 * t21878 * t69617 - 0.3e1 * t52729 * t7213 + 0.3e1 * t53885 * t7243 - 0.15e2 / 0.2e1 * t9873 * t14293 * t42174 + 0.6e1 * t9873 * t7599 * t3448 * t69381 + t69632 - t69634 - t1748 * t1220 * t69635 / 0.3e1 + t2844 * t20838 / 0.3e1 - t2844 * t21905 / 0.6e1 + 0.2e1 / 0.3e1 * t1748 * t36563;
  t69646 = t14116 * t670;
  t69650 = t592 * t13928;
  t69651 = t69650 * t1300;
  t69653 = t7299 * t11001;
  t69657 = t2888 * t66;
  t69659 = t660 * t69657 * t668;
  t69676 = t1227 * t14032;
  t69683 = -t69646 / 0.9e1 + t2839 * t3143 / 0.3e1 + t69651 / 0.3e1 + 0.2e1 / 0.9e1 * t69653 - t14153 * t731 / 0.4e1 + t211 * t69659 / 0.12e2 - t246 * t36601 * t2911 / 0.4e1 + t246 * t14040 * t3246 / 0.2e1 - t246 * t3284 * t2865 * t748 / 0.2e1 - t3568 * t2912 / 0.4e1 - t3605 * t2912 / 0.2e1 - t622 * t69676 / 0.12e2 + t246 * t14031 * t807 * t249 / 0.4e1;
  t69689 = t673 * t7198 * t7469;
  t69698 = t673 * t3279 * t14031;
  t69703 = params->at * t14397;
  t69705 = t673 * t661 * t69703;
  t69718 = -t765 * t13977 / 0.3e1 + t7374 * t1783 - t211 * t69689 / 0.3e1 + t1891 * t7475 - t765 * t14033 / 0.6e1 + t768 * t14037 / 0.2e1 - t211 * t69698 / 0.6e1 + t757 * t14037 / 0.2e1 - t211 * t69705 / 0.6e1 + t246 * t69703 * t226 * t249 / 0.2e1 - t768 * t13992 / 0.2e1 - t768 * t13997 / 0.2e1 - t3610 * t2912 / 0.4e1;
  t69723 = t593 * t14221;
  t69724 = t3548 * t13987;
  t69743 = t1839 * t667;
  t69759 = -t757 * t13992 / 0.2e1 - t757 * t13997 / 0.2e1 + t69723 + 0.2e1 * t69724 + t7581 * t3130 * t253 * t276 * t13919 / 0.6e1 + t7581 * t3130 * t253 * t719 * t2851 / 0.12e2 + t7581 * t21593 * t14253 / 0.6e1 - 0.12e2 * t4779 * t7595 * t653 * t69381 - 0.4e1 * t4779 * t1847 * t3409 * t69743 + 0.28e2 / 0.3e1 * t27523 * t10058 * t69590 + 0.2e1 * t3123 * t7233 * t14023 + t13929 * t5032 + t2844 * t21063 / 0.3e1 - t246 * t14040 * t3161;
  t69764 = t593 * t14045;
  t69766 = t593 * t14037;
  t69772 = t593 * t14041;
  t69782 = t764 * t13928;
  t69789 = t3279 * t13936;
  t69793 = -t69764 / 0.3e1 + t69766 / 0.6e1 - t246 * t14031 * t810 * t748 / 0.2e1 + t69772 / 0.3e1 - 0.4e1 / 0.3e1 * t2844 * t21820 + 0.23e2 / 0.18e2 * t13878 * t42273 + 0.2e1 / 0.3e1 * t2844 * t21824 - t7190 * t14206 / 0.3e1 + t69782 * t1300 - 0.2e1 * t7374 * t1766 - t7374 * t1770 - t14136 * t3176 / 0.3e1 - 0.2e1 / 0.3e1 * t1748 * t1220 * t69789;
  t69821 = 0.2e1 * t13929 * t4929 + 0.2e1 / 0.3e1 * t2844 * t21889 - 0.5e1 / 0.18e2 * t13878 * t41131 - t2844 * t21065 / 0.6e1 - 0.2e1 / 0.3e1 * t7190 * t13944 + 0.2e1 * t69782 * t1223 + 0.2e1 / 0.3e1 * t14136 * t3173 + t14136 * t3272 / 0.3e1 - 0.5e1 / 0.18e2 * t69475 * t8786 - t14136 * t3308 / 0.6e1 - t1748 * t1227 * t69789 / 0.3e1 + t1876 * t13888 / 0.6e1 + t1876 * t13922 / 0.6e1;
  t69825 = t7368 * t1774;
  t69849 = t7405 * t2854 / 0.12e2 + t69825 / 0.3e1 - t1876 * t7200 / 0.3e1 + 0.2e1 / 0.3e1 * t7345 * t11001 + t1881 * t7550 / 0.3e1 - t7195 * t11177 / 0.3e1 - t1881 * t7200 / 0.3e1 - t2844 * t20720 / 0.3e1 + 0.2e1 / 0.3e1 * t7340 * t11001 + t1876 * t7550 / 0.3e1 - t7190 * t11177 / 0.3e1 - 0.6e1 * t768 * t14218 + 0.6e1 * t3537 * t13987;
  t69857 = t771 * t13977;
  t69861 = t7368 * t1783;
  t69877 = -0.6e1 * t757 * t14218 - 0.6e1 * t3530 * t14080 + 0.6e1 * t3530 * t13987 - t1891 * t7296 - t69857 / 0.9e1 + t743 * t13977 / 0.3e1 + t69861 / 0.3e1 - 0.2e1 * t37309 * t1758 + 0.3e1 * t21711 * t14077 + 0.3e1 * t768 * t14221 - 0.6e1 * t3537 * t14080 + 0.3e1 * t757 * t14221 - 0.2e1 * t7462 * t7489 + 0.2e1 * t1891 * t7523;
  t69900 = t95 * t69743;
  t69904 = t30 * t14282;
  t69906 = 0.3e1 * t21706 * t14077 - 0.2e1 / 0.3e1 * t1748 * t53193 - t69475 * t8996 - t13878 * t43167 - 0.2e1 / 0.3e1 * t7190 * t11196 - 0.2e1 / 0.3e1 * t7195 * t11196 - 0.11e2 / 0.9e1 * t13878 * t41612 - 0.11e2 / 0.9e1 * t69475 * t8761 + 0.2e1 * t7374 * t1761 - 0.2e1 * t37314 * t1758 + 0.2e1 * t7390 * t1761 - 0.2e1 / 0.3e1 * t7746 * t3130 * t69900 + t69904 * t4793;
  t69907 = t30 * t14331;
  t69910 = t30 * t2866;
  t69913 = t35707 * t10772;
  t69921 = t26140 * t69393;
  t69926 = t37202 * t14254;
  t69928 = t2851 * t3140;
  t69933 = t35707 * t14249;
  t69938 = t37202 * t14246;
  t69940 = t35704 * t14242;
  t69942 = -0.11e2 / 0.6e1 * t69907 * t4806 - t69910 * t3133 / 0.3e1 - t69913 / 0.9e1 + 0.2e1 / 0.3e1 * t35434 * t11148 - t4779 * t1847 * t3409 * t69366 / 0.2e1 - 0.7e1 / 0.3e1 * t26124 * t69921 - t7216 * t54036 / 0.3e1 + t69926 / 0.18e2 + t7581 * t42955 * t95 * t69928 / 0.2e1 + t69933 / 0.18e2 + t11143 * t3130 * t69372 / 0.2e1 - t69938 / 0.9e1 - t69940 / 0.9e1;
  t69957 = t25980 * t13876;
  t69975 = t52456 * t7185;
  t69987 = 0.15e2 * t4738 * t14293 * t42917 + 0.14e2 / 0.3e1 * t11008 * t52449 - 0.3e1 / 0.2e1 * t9873 * t7599 * t21220 * t69371 + 0.3e1 * t4738 * t7599 * t21225 * t69371 + 0.3e1 * t3123 * t69957 * t8765 - 0.15e2 / 0.2e1 * t4779 * t14293 * t42780 - 0.6e1 * t4748 * t69957 * t9038 - 0.12e2 * t4738 * t7599 * t3402 * t69381 + 0.6e1 * t4779 * t7599 * t3375 * t69381 + 0.3e1 * t26806 * t69975 * t4850 - 0.6e1 * t4748 * t69975 * t4825 - 0.3e1 / 0.2e1 * t4779 * t7599 * t22070 * t69371 - t11008 * t52445;
  t69988 = t36303 * t7757;
  t70008 = t7751 * t1746;
  t70024 = t3129 * t69988 / 0.6e1 - t4748 * t14184 * t4936 + t3123 * t14184 * t4960 + 0.2e1 / 0.3e1 * t7216 * t53305 - 0.3e1 * t11008 * t52453 - t36310 * t7753 / 0.2e1 + 0.4e1 * t4738 * t1847 * t3375 * t69743 - t11143 * t53819 + t3123 * t14231 * t3161 + 0.3e1 * t3123 * t70008 * t4878 - 0.3e1 / 0.2e1 * t4779 * t519 * t22055 * t69928 - 0.3e1 / 0.2e1 * t4779 * t7610 * t819 * t69371 - t2839 * t3269 / 0.6e1 + t13929 * t3320 / 0.2e1;
  t70036 = t662 * t1746;
  t70040 = t3227 * t7193;
  t70047 = t662 * t1879;
  t70054 = t3227 * t7248;
  t70059 = t21461 * t7185;
  t70062 = t1846 * t3415;
  t70065 = t7598 * t3396;
  t70069 = t3474 * t3401 * t512;
  t70074 = -0.12e2 * t13901 * t27379 + 0.8e1 * t13898 * t27429 - 0.4e1 * t13901 * t27374 + 0.4e1 * t13904 * t3161 + 0.12e2 * t70036 * t4878 + 0.12e2 * t7213 + 0.8e1 * t70040 * t1239 - 0.2e1 * t13904 * t3246 + 0.4e1 * t13901 * t4960 - 0.4e1 * t70047 * t730 + 0.8e1 / 0.3e1 * t70040 * t1234 - 0.4e1 * t13898 * t3313 - 0.8e1 * t70054 * t4868 + 0.4e1 / 0.3e1 * t13901 * t4936 + 0.16e2 / 0.9e1 * t70059 * t4850 + 0.24e2 * t70062 * t4887 - 0.12e2 * t70065 * t4820 + 0.4e1 / 0.3e1 * t41246 * t70069 - 0.2e1 * t7592 * t222;
  t70076 = t662 * t7343;
  t70090 = t518 * t619;
  t70093 = t1840 * t740;
  t70107 = t3474 * t3447 * t512;
  t70113 = t7631 * t619;
  t70118 = -0.2e1 * t7243 - 0.8e1 * t70076 * t1246 + 0.12e2 * t70059 * t4820 - 0.24e2 * t70054 * t4887 + 0.32e2 / 0.3e1 * t70059 * t4825 - 0.8e1 * t7236 - 0.4e1 * t41268 * t13892 - 0.4e1 * t521 * t3161 - 0.12e2 * t70090 * t4878 + 0.8e1 * t70093 * t1246 + 0.4e1 * t1855 * t730 + 0.4e1 * t13911 * t3313 + 0.2e1 * t521 * t3246 + 0.2e1 / 0.3e1 * t21472 * t13892 + 0.4e1 / 0.3e1 * t8813 * t13983 + 0.2e2 / 0.9e1 * t41246 * t70107 + 0.2e1 * t662 * t7402 * t249 - 0.8e1 * t70113 * t1239 - 0.4e1 * t13916 * t4960;
  t70119 = t70074 + t70118;
  t70125 = t69650 * t1223;
  t70127 = t69224 * t8761;
  t70149 = t1227 * t13976;
  t70154 = t515 * t660 * t661 * t94 * t70119 / 0.12e2 + 0.2e1 / 0.3e1 * t70125 - 0.11e2 / 0.27e2 * t70127 + t1881 * t13888 / 0.6e1 + t1881 * t13922 / 0.6e1 + t515 * t660 * t20881 * t2852 / 0.12e2 + t515 * t660 * t3279 * t13920 / 0.6e1 - t2844 * t22294 / 0.12e2 + t7393 * t2854 / 0.12e2 + t7396 * t2854 / 0.6e1 - t609 * t13977 / 0.6e1 - t622 * t70149 / 0.6e1 + t1891 * t7313 / 0.2e1;
  t70183 = t246 * t1777 * t7591 * t249 / 0.2e1 + t1891 * t7512 / 0.2e1 + t3610 * t2903 / 0.2e1 + t757 * t14019 + t757 * t13971 + t246 * t36763 * t518 * t249 / 0.2e1 + t246 * t7469 * t1840 * t249 + 0.2e1 / 0.3e1 * t35450 * t11148 + 0.2e1 / 0.3e1 * t7746 * t54047 + 0.2e1 / 0.3e1 * t7746 * t54050 + t7746 * t54053 / 0.3e1 + t11086 * t52671 + t35436 * t7758 / 0.3e1;
  t70191 = t35707 * t14190;
  t70193 = t35707 * t11131;
  t70195 = t21655 * t14187;
  t70197 = t30 * t2870;
  t70200 = t95 * t69381;
  t70204 = t30 * t14293;
  t70209 = t276 * t1839;
  t70210 = t253 * t70209;
  t70215 = -t21621 * t14232 + 0.2e1 / 0.3e1 * t7216 * t4760 * t69900 + 0.2e1 * t11086 * t54224 + t70191 / 0.9e1 - 0.2e1 / 0.9e1 * t70193 + 0.2e1 / 0.3e1 * t70195 + t70197 * t22416 / 0.3e1 - 0.5e1 / 0.9e1 * t11008 * t10037 * t70200 + 0.25e2 / 0.36e2 * t70204 * t41465 - 0.5e1 / 0.18e2 * t70204 * t41433 - t7216 * t4765 * t70210 / 0.3e1 + t69907 * t4803 - t41004;
  t70216 = t593 * t13992;
  t70218 = t593 * t13997;
  t70223 = -t41006 - t41011 + t41014 + t41016 + t41018 + t41023 + t41025 + t41027 + t41030 + t41033 - t41036 - t70216 / 0.6e1 - t70218 / 0.6e1 + 0.18e2 * t246 * t69499 * t4887;
  t70226 = t14107 * t3577;
  t70228 = t69313 * t637;
  t70233 = t1227 * t1889 * t13936;
  t70241 = t781 * t2890;
  t70250 = t21655 * t14229;
  t70252 = 0.2e1 / 0.9e1 * t70226 + 0.2e1 / 0.9e1 * t70228 - t1748 * t54436 / 0.3e1 + 0.4e1 / 0.3e1 * t3319 * t70233 + t1891 * t7516 - 0.2e1 * t3530 * t13984 + 0.2e1 * t3530 * t13952 - t70241 / 0.6e1 - t41119 - t41144 + t4779 * t519 * t3430 * t69344 + t4779 * t519 * t3430 * t69349 / 0.2e1 - 0.2e1 / 0.3e1 * t70250;
  t70253 = t21655 * t14232;
  t70259 = t3631 * t2903;
  t70264 = t634 * t2890;
  t70272 = t673 * t35360 * t1777;
  t70277 = t673 * t69657 * t674;
  t70282 = -t70253 / 0.3e1 + 0.2e1 / 0.3e1 * t7340 * t14211 - t609 * t14033 / 0.12e2 + t70259 / 0.3e1 + t37329 * t530 / 0.2e1 + t37281 * t530 - t622 * t70264 / 0.12e2 - t609 * t14148 / 0.12e2 + t1891 * t7423 / 0.2e1 - t211 * t70272 / 0.3e1 + t7390 * t1783 - t211 * t70277 / 0.6e1 + t14153 * t736 / 0.2e1;
  t70286 = t14107 * t3308;
  t70289 = t69224 * t8786;
  t70291 = t2836 * t667;
  t70305 = t25739 * t3671 * t14199;
  t70311 = t3375 * t14062;
  t70320 = 0.5e1 / 0.3e1 * t69521 * t5037 - t70286 / 0.18e2 - t7307 * t53332 - 0.5e1 / 0.54e2 * t70289 + 0.15e2 / 0.2e1 * t27523 * t25739 * t3671 * t70291 - 0.6e1 * t27523 * t10037 * t3671 * t69589 + t4738 * t1847 * t3375 * t69366 / 0.2e1 + 0.3e1 / 0.2e1 * t26124 * t70305 - t4779 * t1847 * t3409 * t69361 + t4738 * t7632 * t70311 - t4779 * t7632 * t14176 + t4738 * t1847 * t3375 * t69361 + t26772 * t14201;
  t70321 = t3637 * t2903;
  t70323 = t593 * t14019;
  t70326 = t658 * t2910 * t206;
  t70329 = t1869 * t7200;
  t70333 = t7255 * t11177;
  t70335 = t1869 * t7550;
  t70337 = t593 * t14026;
  t70351 = t70321 / 0.3e1 + t70323 / 0.3e1 + t3123 * t7238 * t70326 - t70329 / 0.9e1 - t515 * t35617 / 0.3e1 - t70333 / 0.9e1 + t70335 / 0.9e1 - 0.2e1 / 0.3e1 * t70337 + 0.44e2 / 0.27e2 * t69176 * t42278 + t7216 * t4770 * t69367 / 0.6e1 + t25696 * t14064 + t25730 * t14064 + t4779 * t7624 * t14063 + t4779 * t1843 * t819 * t69361;
  t70388 = t4779 * t1843 * t819 * t69366 / 0.2e1 + 0.2e1 * t53153 * t69397 + t25696 * t14069 - t21621 * t14059 / 0.2e1 - t3123 * t36409 * t2911 / 0.4e1 - t3123 * t36413 * t2911 / 0.2e1 - t3123 * t7228 * t13996 / 0.2e1 - 0.2e1 * t3537 * t13984 + 0.2e1 * t3537 * t13952 - 0.3e1 * t69444 * t4844 * t3535 * t69183 - t3537 * t14009 - t1748 * t35854 / 0.6e1 - 0.5e1 / 0.18e2 * t7187 * t54174;
  t70396 = t14107 * t3255;
  t70400 = t14116 * t676;
  t70416 = -t515 * t36773 / 0.3e1 - t515 * t36765 / 0.6e1 + t515 * t35495 / 0.6e1 + t1891 * t7285 + 0.2e1 / 0.9e1 * t70396 - 0.3e1 * t69203 * t5017 + t70400 / 0.9e1 + 0.3e1 * t3123 * t69975 * t4820 + t11008 * t26082 * t69372 / 0.2e1 - t7216 * t53250 / 0.3e1 + 0.2e1 / 0.3e1 * t7746 * t53254 - 0.2e1 / 0.3e1 * t7746 * t53239 + t7216 * t53246 / 0.2e1;
  t70438 = t59437 * t69428;
  t70440 = t593 * t14002;
  t70442 = t593 * t14005;
  t70443 = t7581 * t36304 / 0.3e1 + t35452 * t7758 / 0.3e1 + t7581 * t35912 / 0.3e1 + t7581 * t35917 / 0.3e1 + t7581 * t35922 / 0.6e1 - t36005 * t10772 / 0.3e1 - t36009 * t10772 / 0.3e1 - t7216 * t52574 / 0.3e1 - t7216 * t52554 / 0.3e1 + t35436 * t14254 / 0.6e1 + 0.14e2 / 0.9e1 * t70438 - 0.2e1 / 0.3e1 * t70440 + t70442;
  t70452 = t593 * t14218;
  t70465 = -t246 * t7533 * t13996 / 0.2e1 - t246 * t1769 * t658 * t221 * t70119 / 0.4e1 - 0.2e1 * t70452 - t41368 - 0.2e1 * t1891 * t7500 - t1891 * t7534 + t2160 - 0.2e1 / 0.3e1 * t7216 * t53892 + 0.2e1 * t21617 * t14187 - 0.2e1 * t27575 * t14185 - t515 * t36613 / 0.3e1 - t41371 - t41372 - t41375;
  t70468 = t593 * t13971;
  t70470 = t7377 * t1779;
  t70472 = t7380 * t1779;
  t70474 = t59437 * t69492;
  t70477 = t191 * t194 * t13927;
  t70488 = -t41377 - t41379 - t41382 + t70468 / 0.3e1 - t70470 / 0.9e1 - t70472 / 0.9e1 - t70474 + t7250 * t52283 + 0.2e1 * t70477 * t4905 - t41388 + t7216 * t25958 * t14189 / 0.3e1 + t7216 * t4770 * t69362 / 0.3e1 + t36005 * t14190 / 0.3e1;
  t70491 = t635 * t70291;
  t70495 = t14062 * t667;
  t70496 = t95 * t70495;
  t70501 = t253 * t14252 * t206;
  t70505 = t2932 * t193;
  t70510 = t21655 * t14059;
  t70512 = t3284 * t2869;
  t70524 = t36009 * t14190 / 0.3e1 + t41404 + 0.22e2 / 0.3e1 * t52652 * t4760 * t70491 + 0.2e1 / 0.3e1 * t7746 * t8642 * t70496 - t7746 * t3130 * t70501 / 0.3e1 - t3123 * t70505 * t209 * t730 / 0.4e1 - t70510 / 0.6e1 + t246 * t70512 * t654 / 0.2e1 - 0.11e2 / 0.9e1 * t11008 * t54226 + 0.23e2 / 0.18e2 * t11008 * t54104 - t11086 * t4770 * t69372 - t7581 * t35698 / 0.3e1 - t41481;
  t70526 = t41484 - t41500 - t41502 + t41505 - t41513 - t41515 + t41516 + t41518 - t41519 + t41520 + t41570 + t41571 + t41575;
  t70538 = t3130 * t253 * t2932 * t667;
  t70550 = -0.2e1 * t3123 * t69581 * t3186 + 0.11e2 * t4779 * t14331 * t4780 - 0.35e2 / 0.3e1 * t27523 * t26140 * t70491 + t3129 * t70538 / 0.12e2 - t2844 * t21688 / 0.6e1 - t41600 - t41611 + t41623 - t41625 - t14215 * t5012 - t2839 * t3301 / 0.3e1 + t2839 * t3281 / 0.3e1 + 0.3e1 * t1891 * t7278 + t41631;
  t70557 = t3637 * t2912;
  t70561 = t593 * t14024;
  t70563 = t21421 * t2899;
  t70567 = t764 * t14152;
  t70580 = -t41636 + 0.2e1 * t11086 * t4765 * t70200 - t70557 / 0.6e1 - t2844 * t20820 / 0.2e1 + 0.2e1 / 0.3e1 * t70561 - t70563 / 0.3e1 - t765 * t14148 / 0.6e1 + t70567 * t250 / 0.2e1 + t7216 * t53073 - 0.2e1 / 0.3e1 * t7216 * t52674 - 0.2e1 / 0.3e1 * t7216 * t52680 - 0.2e1 / 0.3e1 * t36009 * t11131 + 0.11e2 / 0.18e2 * t11008 * t26140 * t69372;
  t70588 = t53965 * t1746;
  t70595 = t54269 * t69397;
  t70601 = -0.23e2 / 0.36e2 * t11008 * t25739 * t635 * t69371 - t70204 * t41155 + 0.2e1 * t21621 * t14187 - 0.2e1 * t4748 * t70588 * t1234 + 0.2e1 * t3123 * t70588 * t1239 - 0.2e1 / 0.9e1 * t70595 + t42163 - t42171 + t42182 - 0.2e1 * t36310 * t7239 + t42199 - t42201 - t21617 * t14059 / 0.2e1;
  t70608 = t1869 * t7210;
  t70610 = t1869 * t7471;
  t70612 = t7377 * t2854;
  t70614 = t3631 * t2912;
  t70617 = 0.2e1 / 0.27e2 * t69268 * t637;
  t70618 = t3637 * t2907;
  t70620 = t3631 * t2907;
  t70622 = t3567 * t2843;
  t70631 = -0.2e1 * t11008 * t4760 * t70200 + 0.5e1 / 0.2e1 * t70204 * t43055 - t70608 / 0.9e1 - t70610 / 0.9e1 + t70612 / 0.18e2 - t70614 / 0.6e1 - t70617 - t70618 / 0.3e1 - t70620 / 0.3e1 + t70622 * t637 / 0.3e1 + 0.2e1 / 0.3e1 * t14136 * t3577 + t2844 * t21691 / 0.3e1 + t37286 * t530 / 0.2e1;
  t70635 = t1227 * t1889 * t1777;
  t70639 = t3548 * t14009;
  t70641 = t247 * t13927;
  t70660 = t4749 * t13927;
  t70667 = t14153 * t761 / 0.4e1 + 0.2e1 / 0.3e1 * t622 * t70635 - t7462 * t7179 - t70639 / 0.3e1 - 0.6e1 * t246 * t70641 * t4878 + 0.3e1 / 0.2e1 * t246 * t14004 * t3313 + 0.12e2 * t58209 * t69208 - t644 * t70512 * t649 / 0.2e1 + t3568 * t2903 / 0.2e1 + t3605 * t2903 - t7216 * t52562 / 0.6e1 - 0.5e1 / 0.18e2 * t11008 * t52565 - 0.6e1 * t3123 * t70660 * t1239 + 0.14e2 / 0.3e1 * t27523 * t10058 * t69408;
  t70673 = t59148 * t69208;
  t70694 = -t36310 * t7229 + t768 * t14019 + t768 * t13971 - 0.4e1 / 0.3e1 * t70673 - t246 * t1765 * t219 * t221 * t7402 + t35452 * t14254 / 0.6e1 + t42282 + t42284 - 0.2e1 * t26814 * t14185 + 0.3e1 * t26806 * t69957 * t8771 + 0.2e1 * t52729 * t7236 + t7216 * t4770 * t70501 / 0.3e1 - 0.5e1 / 0.6e1 * t7216 * t27475 * t70496;
  t70698 = t14107 * t3176;
  t70700 = t14107 * t3173;
  t70703 = t7255 * t13944;
  t70721 = -0.2e1 * t11143 * t4796 * t70200 - t70698 / 0.9e1 + 0.2e1 / 0.9e1 * t70700 - t2844 * t20921 - 0.2e1 / 0.9e1 * t70703 - t1876 * t7471 / 0.3e1 - t7405 * t1779 / 0.6e1 - t1881 * t7210 / 0.3e1 - t1881 * t7471 / 0.3e1 - t515 * t37122 / 0.6e1 - t1891 * t7537 / 0.2e1 + t2844 * t21908 / 0.3e1 - t7393 * t1779 / 0.6e1;
  t70727 = t36191 * t69533;
  t70732 = t191 * t616 * t69291 * t619;
  t70743 = t3171 * t20125 * t206;
  t70747 = t3171 * t20228 * t206;
  t70750 = t26891 * t14064;
  t70752 = t26891 * t14069;
  t70758 = -t7396 * t1779 / 0.3e1 - t1876 * t7210 / 0.3e1 + 0.4e1 / 0.9e1 * t70727 - t1891 * t7502 - t70732 * t630 / 0.3e1 + t7216 * t54124 / 0.2e1 - 0.2e1 * t21878 * t4760 * t3121 * t69570 * t667 + t4748 * t7233 * t70743 - t3123 * t7233 * t70747 + t70750 / 0.3e1 + t70752 / 0.3e1 - 0.4e1 * t20712 * t69533 + t644 * t13951 * t20743;
  t70759 = t7368 * t1766;
  t70761 = t7368 * t1770;
  t70763 = t771 * t14033;
  t70779 = t26835 * t69207;
  t70791 = -0.2e1 / 0.3e1 * t70759 - t70761 / 0.3e1 - t70763 / 0.18e2 + t743 * t14033 / 0.6e1 - t1748 * t36653 / 0.3e1 + 0.2e1 / 0.3e1 * t1748 * t36645 - 0.3e1 * t246 * t13986 * t4960 - 0.28e2 * t41581 * t69428 + 0.3e1 / 0.2e1 * t246 * t14076 * t21428 + 0.47e2 / 0.3e1 * t41558 * t70779 + t1787 * t673 * t69635 / 0.3e1 - t14215 * t3262 / 0.2e1 + 0.23e2 / 0.18e2 * t70204 * t41152 - 0.4e1 / 0.3e1 * t70197 * t21626;
  t70805 = -t8743 - t42396 + t42397 + t42404 - t42405 + t7216 * t54347 - t21685 * t2899 / 0.2e1 - t22440 * t2899 - t22396 * t2899 / 0.2e1 + t7374 * t1873 + t7390 * t1873 + t3605 * t2915 - t42478;
  t70817 = t7450 * t1886 / 0.27e2;
  t70820 = t592 * t14152;
  t70821 = t70820 * t250;
  t70825 = t3124 * t2837;
  t70828 = -t42484 + t42485 + t42487 - t70622 * t630 / 0.6e1 - t14136 * t3540 / 0.3e1 - t14136 * t3599 / 0.6e1 - t2844 * t21302 / 0.12e2 - t70622 * t752 / 0.12e2 + t70817 - t14153 * t749 / 0.2e1 + t70821 / 0.6e1 + 0.2e1 / 0.3e1 * t70732 * t637 + t3123 * t70825 * t730;
  t70858 = t222 * t14360;
  t70862 = t35742 * t530 / 0.9e1;
  t70863 = -0.2e1 * t69176 * t43189 - 0.38e2 / 0.9e1 * t69176 * t43146 + 0.89e2 / 0.9e1 * t69176 * t43196 + 0.22e2 / 0.3e1 * t69521 * t4920 - 0.23e2 / 0.3e1 * t69521 * t4951 + 0.12e2 * t4738 * t7595 * t648 * t69381 - 0.11e2 * t4738 * t14331 * t21586 + 0.2e1 * t4779 * t1843 * t819 * t69743 - 0.3e1 * t4779 * t14282 * t4786 - t3610 * t2907 / 0.2e1 + t3568 * t2915 / 0.2e1 - t211 * t70858 / 0.6e1 - t70862;
  t70871 = t3620 * t2838 * t223 / 0.27e2;
  t70877 = t188 * t14360;
  t70879 = t781 * t2934;
  t70881 = t188 * t14368;
  t70883 = t191 * t194 * t69291 * t740 * t223 / 0.3e1 - t70871 - t70732 * t752 / 0.6e1 + t42571 + t42572 - t42574 - t42575 + t42579 + t42581 + t42583 + 0.2e1 / 0.3e1 * t1787 * t673 * t69789 - t70877 / 0.6e1 - t70879 / 0.6e1 - t70881 / 0.6e1;
  t70886 = t188 * t14399;
  t70897 = t3548 * t13984;
  t70899 = t3548 * t13952;
  t70906 = t3138 * t2910 * t667;
  t70926 = -t70886 / 0.6e1 - t644 * t1757 * t627 * t633 * t7402 + 0.3e1 * t644 * t13986 * t4936 + 0.18e2 * t41581 * t69492 - 0.2e1 / 0.3e1 * t70897 + 0.2e1 / 0.3e1 * t70899 - 0.2e1 * t4779 * t1843 * t3430 * t70495 + t3123 * t7228 * t70906 - 0.2e1 / 0.3e1 * t21878 * t4760 * t3121 * t35957 * t2851 + 0.2e1 * t3123 * t14228 * t27429 + 0.5e1 / 0.3e1 * t21878 * t26082 * t635 * t14199 * t667 + 0.2e1 / 0.3e1 * t7746 * t4796 * t70210 - t69904 * t4797;
  t70929 = t26888 * t14201;
  t70931 = t26903 * t14185;
  t70933 = t26891 * t14177;
  t70949 = -0.2e1 / 0.3e1 * t7746 * t54144 + t70929 / 0.3e1 - 0.2e1 / 0.3e1 * t70931 - t70933 / 0.3e1 + 0.3e1 * t4748 * t14184 * t27374 - 0.3e1 * t3123 * t14184 * t27379 - 0.5e1 / 0.2e1 * t4738 * t1847 * t22070 * t70495 + 0.5e1 / 0.2e1 * t4779 * t1847 * t22051 * t70495 - t42633 + t42640 - t42659 - t42714 - t42716;
  t70956 = t22385 * t2899 / 0.9e1;
  t70957 = t21416 * t2899;
  t70959 = t764 * t14214;
  t70965 = t188 * t14363;
  t70976 = t42721 + t3610 * t2915 / 0.2e1 - t644 * t69292 * t649 + t70956 - t70957 / 0.3e1 - t70959 * t1260 - t14123 * t670 / 0.3e1 + t14123 * t676 / 0.3e1 - t70965 / 0.3e1 + t42821 - t7746 * t21593 * t14189 / 0.3e1 - t7746 * t3130 * t69362 / 0.3e1 - t7746 * t3130 * t69367 / 0.6e1;
  t70987 = t777 * t2890 / 0.18e2;
  t71003 = -t11086 * t4760 * t69372 / 0.2e1 - t35436 * t14246 / 0.3e1 - t35452 * t14246 / 0.3e1 - 0.2e1 / 0.3e1 * t36005 * t11131 + t70987 - t30 * t1863 * t1830 - t30 * t525 * t7727 / 0.2e1 - t800 * t2934 / 0.4e1 - t182 * t14368 / 0.2e1 - t182 * t14399 / 0.2e1 - t30 * t844 * t2933 / 0.4e1 - t182 * t14363 - t42912 - t42930;
  t71018 = t7299 * t14211;
  t71020 = t592 * t14214;
  t71021 = t71020 * t1260;
  t71023 = t42933 - t42936 + 0.4e1 / 0.3e1 * t21878 * t4765 * t3121 * t1829 * t512 + 0.4e1 / 0.3e1 * t21878 * t53249 * t36447 - t43002 - t43008 + t43018 - t43020 - 0.2e1 * t21878 * t53245 * t37409 - t43029 - t43031 + 0.2e1 / 0.9e1 * t71018 - t71021 / 0.3e1;
  t71049 = t1220 * t13976;
  t71052 = -t1748 * t1227 * t69635 / 0.6e1 + t2844 * t21953 / 0.6e1 - 0.3e1 * t7187 * t52375 - 0.62e2 / 0.3e1 * t69176 * t26105 * t4845 + 0.8e1 * t69176 * t59411 + 0.3e1 * t37303 * t7564 - 0.6e1 * t1891 * t7270 - 0.18e2 * t3680 * t69237 * t4850 + 0.36e2 * t644 * t69237 * t4825 + 0.6e1 * t7462 * t7265 + t1891 * t7182 - t622 * t71049 / 0.3e1 + t9032;
  t71056 = t188 * t14402;
  t71058 = t188 * t14407;
  t71060 = t781 * t2895;
  t71062 = -t9043 + t43086 - t43089 + t43095 + t43103 + t43106 - t246 * t13951 * t20748 - t71056 / 0.6e1 - t71058 / 0.3e1 - t71060 / 0.3e1 + t43108 + t43112 - t43118;
  t71086 = -t43119 + 0.23e2 / 0.9e1 * t11008 * t10037 * t635 * t69381 - 0.115e3 / 0.36e2 * t70204 * t41149 - 0.8e1 / 0.3e1 * t7216 * t4760 * t635 * t69743 - t7216 * t4760 * t635 * t69366 / 0.3e1 + t43145 - t30 * t7668 * t544 / 0.2e1 - t182 * t14407 - t800 * t2895 / 0.2e1 - t30 * t2889 * t720 / 0.4e1 - t2089 + t43195 + t43201 - t43204;
  t71089 = t37338 * t513;
  t71092 = t7751 * t1879;
  t71098 = t35704 * t11148;
  t71100 = t37202 * t7758;
  t71111 = -t3123 * t71089 * t730 - t3123 * t71092 * t730 - t3123 * t14231 * t3246 / 0.2e1 + 0.2e1 / 0.9e1 * t71098 + t71100 / 0.9e1 + t43254 + t43256 - t30 * t14359 * t277 / 0.2e1 - t25696 * t14177 + t26777 * t14201 - t25730 * t14177 + 0.6e1 * t4748 * t70660 * t1234 - t43266;
  t71123 = t54269 * t69575;
  t71129 = t37338 * t1764;
  t71133 = t7751 * t7343;
  t71143 = t43267 + t7216 * t4760 * t70501 / 0.6e1 - 0.5e1 / 0.12e2 * t7216 * t26082 * t70496 - t7581 * t8642 * t253 * t14252 * t667 / 0.3e1 + 0.4e1 / 0.9e1 * t71123 - 0.2e1 * t21617 * t14229 - 0.2e1 * t21621 * t14229 - 0.2e1 * t3123 * t71129 * t1246 - 0.2e1 * t3123 * t71133 * t1246 - t3123 * t14228 * t3313 - 0.4e1 * t53153 * t69575 - t21617 * t14232 + t25730 * t14069;
  t71155 = t21181 * t2836;
  t71156 = t71155 * t21209;
  t71159 = t2869 * t21402;
  t71171 = t14288 * t206;
  t71180 = t2883 * t617;
  t71186 = t2865 * t21343;
  t71189 = t14272 * t667;
  t71193 = t14272 * t206;
  t71199 = t60 * t7402;
  t71210 = 0.3e1 * t7610 * t819 * t71180 - 0.2e1 * t2870 * t22071 - 0.24e2 * t71186 * t5232 - 0.16e2 / 0.3e1 * t1847 * t3375 * t71189 + 0.2e1 / 0.9e1 * t7599 * t3448 * t71193 - 0.5e1 / 0.18e2 * t14293 * t41829 + 0.2e1 * t1843 * t229 * t71199 - 0.3e1 * t14282 * t5245 + 0.24e2 * t71159 * t5252 - t2866 * t3436 + t7629 * t2884 / 0.2e1;
  t71219 = t615 * t69291;
  t71220 = t71219 * t619;
  t71223 = t2865 * t26549;
  t71233 = -0.2e1 * t1847 * t653 * t71199 + t519 * t819 * t60 * t70119 / 0.2e1 + 0.4e1 / 0.3e1 * t71220 * t828 + t41726 + t41727 + t8876 - t41728 - 0.12e2 * t71223 * t5171 - 0.6e1 * t7595 * t3409 * t71180 + 0.72e2 * t71159 * t5184 - 0.4e1 * t2866 * t3432;
  t71240 = t5244 * t2851;
  t71244 = t63 * t7402;
  t71259 = t62 * t13919;
  t71260 = t71259 * t206;
  t71264 = t14257 * t606;
  t71268 = 0.44e2 / 0.3e1 * t14331 * t5191 - 0.2e1 * t7624 * t14297 - 0.2e1 * t1841 * t14300 - 0.2e1 / 0.3e1 * t1847 * t3375 * t71240 + 0.4e1 * t1847 * t653 * t71244 - 0.4e1 * t2870 * t22081 + 0.2e1 * t10828 * t233 * t14257 * t3244 + 0.1e2 / 0.3e1 * t37040 * t827 * t70495 + 0.2e1 / 0.3e1 * t36944 * t14259 + 0.2e1 / 0.3e1 * t7584 * t827 * t71260 + t7584 * t827 * t71264 / 0.3e1;
  t71271 = t62 * t1839;
  t71272 = t71271 * t206;
  t71276 = t71271 * t667;
  t71280 = t827 * t71272;
  t71298 = t2869 * t26646;
  t71304 = t14257 * t617;
  t71324 = -t41843 + 0.3e1 * t519 * t22055 * t2883 * t3140 - 0.22e2 / 0.3e1 * t71298 * t5167 + 0.8e1 / 0.3e1 * t7584 * t827 * t71276 + 0.12e2 * t36961 * t840 * t71304 - 0.6e1 * t53471 * t233 * t14257 * t3140 - t519 * t819 * t63 * t70119 - 0.2e1 / 0.3e1 * t1847 * t648 * t71244 + 0.2e1 / 0.3e1 * t2870 * t22135 - t14293 * t22106 / 0.9e1 - t71156 * t41834 / 0.9e1;
  t71330 = t14292 * t21730;
  t71345 = 0.2e1 * t2866 * t3379 + 0.2e1 * t14331 * t5213 + 0.4e1 / 0.3e1 * t71330 * t5216 - 0.4e1 * t1843 * t229 * t71244 + 0.6e1 * t14282 * t5207 - 0.12e2 * t71159 * t5210 + 0.4e1 * t7595 * t3375 * t71180 - 0.2e1 / 0.3e1 * t14293 * t22103 - t41900 - t41901 + t41913;
  t71346 = t193 * t69291;
  t71371 = t41921 + t41976 + 0.2e1 * t71346 * t740 * t234 - 0.72e2 * t71330 * t5180 + 0.24e2 * t7595 * t653 * t71193 + 0.8e1 * t1847 * t3409 * t71189 + 0.4e2 / 0.3e1 * t7599 * t3402 * t71193 - 0.22e2 * t14331 * t5223 - 0.12e2 * t7599 * t3375 * t71193 - 0.4e1 / 0.3e1 * t71156 * t41808 - t7599 * t21220 * t71180 / 0.18e2;
  t71425 = -0.4e1 * t1843 * t819 * t71189 - 0.16e2 * t7595 * t648 * t71193 + 0.6e1 * t14282 * t5198 - 0.4e1 / 0.3e1 * t2870 * t22185 - 0.4e1 * t14331 * t5269 - 0.2e1 / 0.3e1 * t71330 * t5255 + t14293 * t22211 / 0.18e2 + 0.1e2 / 0.3e1 * t14293 * t22204 + 0.1e2 / 0.3e1 * t71156 * t41995 + 0.4e1 / 0.3e1 * t1847 * t648 * t71199 + 0.2e1 * t1847 * t3409 * t71171;
  t71434 = t1841 * t14289 + 0.15e2 * t14293 * t41768 + 0.2e1 * t7632 * t14336 - 0.12e2 * t71156 * t42011 + t41978 - t41987 + t41991 - t42004 + t42006 - t42015 + t42023;
  t71443 = t14292 * t26528;
  t71464 = -0.48e2 * t10841 * t840 * t71272 + 0.44e2 * t71298 * t5174 - 0.8e1 / 0.3e1 * t10846 * t3475 * t71272 - 0.3e2 * t71443 * t5167 + 0.2e1 / 0.3e1 * t36958 * t3475 * t71304 + 0.4e1 * t53628 * t14269 - 0.5e1 * t37040 * t840 * t70495 + 0.2e1 * t7586 * t233 * t71264 + 0.1e2 / 0.3e1 * t71443 * t41719 - 0.4e1 * t36944 * t14265 - 0.4e1 * t7584 * t840 * t71260;
  t71484 = 0.3e1 * t7599 * t22070 * t71180 - 0.2e1 * t7584 * t840 * t71264 - 0.2e1 * t1841 * t14306 + 0.4e1 * t2870 * t22178 - t7629 * t2874 + 0.24e2 * t71156 * t42039 - 0.4e2 * t71330 * t5266 - 0.2e1 * t71220 * t841 + t42033 - t42052 + t42057;
  t71490 = t827 * t71304;
  t71504 = -0.4e1 / 0.9e1 * t10846 * t3482 * t71272 + 0.5e1 / 0.9e1 * t71443 * t41971 - 0.2e1 * t36961 * t71490 - 0.6e1 * t36949 * t233 * t71304 - 0.16e2 * t7584 * t840 * t71276 + 0.24e2 * t10846 * t71280 - t42063 - t42064 - t42065 + t42066 + t36958 * t3482 * t71304 / 0.9e1;
  t71523 = -0.2e1 * t1843 * t819 * t71171 + 0.4e1 * t36952 * t233 * t70495 + 0.4e1 * t7586 * t233 * t71260 + 0.4e1 * t36966 * t14262 - 0.6e1 * t2870 * t22222 - 0.6e1 * t36958 * t71490 + 0.12e2 * t71186 * t5258 - t2138 - t42080 + t42084 + t42086;
  t71526 = t71219 * t647;
  t71540 = 0.2e1 * t2866 * t3471 + 0.4e1 * t71526 * t823 - t42112 - t42113 - t42115 - 0.3e1 * t14293 * t41998 + 0.6e1 * t14331 * t5264 + t2119 - 0.2e1 / 0.3e1 * t71526 * t816 - 0.4e1 * t71346 * t747 * t230 + 0.36e2 * t71330 * t5236;
  t71557 = t4779 * t1841 * t14068 + 0.4e1 / 0.3e1 * t7216 * t4765 * t3121 * t70209 - t43269 - t43271 - t43298 - t43302 - t182 * t14360 / 0.2e1 - t800 * t2890 / 0.4e1 - t30 * t59 * (-0.5e2 / 0.3e1 * t14293 * t42108 - 0.12e2 * t14331 * t5195 + 0.8e1 * t71330 * t5187 + 0.6e1 * t14293 * t22088 + 0.8e1 / 0.3e1 * t71156 * t42036 + 0.8e1 * t10841 * t71280 - 0.4e1 / 0.3e1 * t7632 * t14308 + 0.12e2 * t2870 * t22052 + 0.5e2 / 0.3e1 * t71156 * t42001 - 0.36e2 * t71159 * t5239 + 0.2e1 * t2870 * t22225 - 0.5e1 / 0.3e1 * t37040 * t41881 * t70495 - 0.4e1 / 0.3e1 * t1847 * t3375 * t71171 + 0.24e2 * t10836 * t233 * t71272 + 0.8e1 * t7586 * t233 * t71276 + 0.1e2 * t37040 * t41885 * t70495 - 0.8e1 * t36952 * t41877 * t70495 + t1847 * t3409 * t71240 - 0.1e2 / 0.3e1 * t7599 * t21225 * t71180 - t1843 * t819 * t71240 - 0.12e2 * t7610 * t229 * t71193 - 0.2e1 * t519 * t3430 * t14288 * t667 + 0.4e1 * t10828 * t233 * t71259 * t667 - t519 * t3430 * t2883 * t3244 + t71540 + t71523 + t71504 + t71484 + t71464 + t71434 + t71425 + t71371 + t71345 + t71324 + t71268 + t71233 + t71210 - t41658 - t41796 + t41792 - t41841 + t41695 + t41755) * t95 / 0.4e1 + t246 * t1757 * t627 * t628 * t7402 - t43325 + 0.2e1 * t69907 * t4757 - 0.11e2 / 0.9e1 * t70204 * t42415;
  t71588 = 0.1e1 / t32 / t3056;
  t71589 = t71588 * t685;
  t71608 = t7690 * tau[0];
  t71625 = 0.13e4 / 0.3e1 * t714 * t688 - 0.2e4 * t20986 * t71589 - 0.13e4 / 0.9e1 * t692 * t688 - 0.2e4 / 0.3e1 * t20964 * t71589 - 0.52e3 * t697 * t688 + 0.8e4 * t20972 * t71589 - 0.52e3 / 0.9e1 * t702 * t688 + 0.35e5 / 0.3e1 * t20975 * t71589 + 0.65e4 / 0.9e1 * t707 * t688 + 0.14e5 / 0.3e1 * t20980 * t71589 + 0.476e4 / 0.3e1 * t3072 * t71608 + 0.728e4 / 0.3e1 * t3075 * t71608 - 0.28e4 * t3054 * t71608 - 0.7e4 * t3061 * t71608 - 0.98e4 / 0.3e1 * t3066 * t71608 + 0.26e3 / 0.9e1 * t7714 + 0.28e3 / 0.3e1 * t7717 * tau[0] - 0.1e4 / 0.3e1 * t71588 * t264 * t685;
  t71631 = t777 * t2895 / 0.9e1;
  t71633 = t777 * t2934 / 0.18e2;
  t71634 = -0.2e1 / 0.3e1 * t7216 * t4754 * t70210 - 0.11e2 / 0.3e1 * t69907 * t4772 + 0.55e2 / 0.18e2 * t70204 * t42412 + 0.2e1 / 0.3e1 * t70197 * t21662 + 0.4e1 * t11086 * t4754 * t70200 + 0.4e1 / 0.3e1 * t7216 * t4770 * t69900 - 0.22e2 / 0.9e1 * t11008 * t10058 * t70200 - t35434 * t14242 / 0.3e1 - t35450 * t14242 / 0.3e1 - t182 * t14402 / 0.2e1 - t30 * t238 * t14398 / 0.2e1 - t30 * t65 * t253 * t71625 / 0.4e1 + t71631 + t71633;
  t71641 = my_piecewise3(t2, 0, t71634 + t71557 + t71143 + t71111 + t71086 + t70694 + t69906 + t69455 + t69718 + t70154 + t70976 + t69485 + t70388 + t70883 + t69793 + t71003 + t70721 + t70758 + t70443 + t70805 + t69386 + t70601 + t70667 + t69337 + t69556 + t69424 + t69232 + t70416 + t70550 + t70215 + t70863 + t70252 + t70524 + t70526 + t69821 + t69201 + t69267 + t70488 + t69849 + t69604 + t69877 + t70631 + t70223 + t71062 + t70791 + t69759 + t70183 + t69645 + t70465 + t70320 + t69524 + t69683 + t69987 + t70828 + t71023 + t69304 + t70351 + t69942 + t70580 + t71052 + t70926 + t70024 + t70949 + t70282);
  tv4rho2tau20 = t3 * t71641 + 0.2e1 * t14414;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 0] += tv4rho2tau20;

  tv4rho2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 1] += tv4rho2tau21;

  t71644 = t3894 * t2946;
  t71649 = t3915 * t3010;
  t71651 = t38212 * t570;
  t71654 = t3918 * t3018 / 0.9e1;
  t71655 = t3915 * t3018;
  t71658 = t23391 * t3002 / 0.9e1;
  t71660 = t38201 * t570 / 0.9e1;
  t71662 = t3918 * t3010 / 0.9e1;
  t71663 = t7772 * t2025;
  t71665 = t3898 * t2946;
  t71666 = t71665 * t1016;
  t71672 = -t71644 * t1016 / 0.6e1 - t7769 * t2025 / 0.6e1 - t71649 / 0.3e1 + t71651 / 0.3e1 - t71654 + t71655 / 0.3e1 + t71658 - t71660 + t71662 - t71663 / 0.9e1 - t71666 / 0.9e1 + t3912 * t3006 / 0.2e1 - t3912 * t3015 / 0.4e1;
  t71674 = t3898 * t2941 * t350;
  t71676 = t23371 * t3002;
  t71678 = t71665 * t1023;
  t71680 = t3902 * t2946;
  t71682 = t71680 * t1090 / 0.54e2;
  t71685 = t3902 * t2941 * t350 / 0.27e2;
  t71687 = t71680 * t1016 / 0.27e2;
  t71689 = t7775 * t2025 / 0.27e2;
  t71691 = 0.2e1 / 0.27e2 * t71680 * t1023;
  t71693 = t7775 * t2957 / 0.54e2;
  t71695 = t7775 * t1950 / 0.27e2;
  t71697 = t3918 * t3006 / 0.9e1;
  t71699 = t3918 * t3015 / 0.18e2;
  t71700 = t71674 / 0.9e1 - t71676 / 0.3e1 + 0.2e1 / 0.9e1 * t71678 + t71682 - t71685 + t71687 + t71689 - t71691 + t43403 - t43416 - t71693 + t71695 - t71697 + t71699;
  t71702 = t7772 * t2957;
  t71704 = t7772 * t1950;
  t71706 = t3915 * t3006;
  t71708 = t3915 * t3015;
  t71721 = t71702 / 0.18e2 - t71704 / 0.9e1 + t71706 / 0.3e1 - t71708 / 0.6e1 + t7769 * t2957 / 0.12e2 - t7769 * t1950 / 0.6e1 + t71644 * t1023 / 0.3e1 + t38168 * t570 / 0.2e1 - t43424 + t3894 * t2941 * t350 / 0.6e1 + t43454 - t43459 + t43463;
  t71723 = t873 * t2993 / 0.18e2;
  t71725 = t873 * t3037 / 0.18e2;
  t71728 = t869 * t2998;
  t71731 = t873 * t2998 / 0.9e1;
  t71732 = t869 * t3037;
  t71740 = t71665 * t1090;
  t71748 = t869 * t2993;
  t71750 = t71723 + t71725 - t865 * t2998 / 0.2e1 - t71728 / 0.3e1 + t71731 - t71732 / 0.6e1 - t865 * t3037 / 0.4e1 - t23423 * t3002 / 0.2e1 - t71644 * t1090 / 0.12e2 - t71740 / 0.18e2 - t3912 * t3010 / 0.2e1 + t3912 * t3018 / 0.2e1 - t865 * t2993 / 0.4e1 - t71748 / 0.6e1;
  t71753 = my_piecewise3(t100, 0, t71672 + t71700 + t71721 + t71750);
  tv4rho2tau22 = t3 * t71753 + 0.2e1 * t14487;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 2] += tv4rho2tau22;

  t71772 = t69180 + t69188 / 0.36e2 + t69190 / 0.36e2 + t69192 / 0.36e2 + 0.2e1 / 0.9e1 * t69220 - 0.2e1 / 0.9e1 * t69222 + 0.23e2 / 0.108e3 * t69225 + t69270 + t69271 / 0.6e1 - t69287 / 0.36e2 + t69295 / 0.18e2 + t69298 / 0.18e2 + t69300 / 0.6e1 + t69302 / 0.6e1 + t69307 / 0.6e1 - t69309 / 0.18e2 - t69311 / 0.18e2 - t69314 / 0.18e2 - t69316 / 0.36e2;
  t71796 = -t69318 / 0.36e2 + t69320 / 0.6e1 - t69322 / 0.18e2 + t69336 - t69339 + t69341 - t69342 / 0.18e2 + 0.2e1 / 0.3e1 * t27719 * t69575 - t22520 * t14059 / 0.4e1 + t27723 * t14069 / 0.2e1 - t27719 * t69397 / 0.3e1 + t27723 * t14064 / 0.2e1 + t37525 * t11148 / 0.3e1 - t22520 * t14229 - t22520 * t14232 / 0.2e1 - t69412 / 0.6e1 + t69414 / 0.3e1 + t69416 / 0.2e1 - t69417 / 0.3e1;
  t71813 = -t69419 - t69432 / 0.9e1 - t69436 / 0.18e2 + t69438 / 0.18e2 - t69450 + t69554 / 0.6e1 + t69632 - t69634 - t69646 / 0.18e2 + t69651 / 0.6e1 + t69653 / 0.9e1 + t69723 / 0.2e1 + t69724 - t37561 * t10772 / 0.6e1 - t69764 / 0.6e1 + t69766 / 0.12e2 + t69772 / 0.6e1 + t69825 / 0.6e1 - t69857 / 0.18e2;
  t71829 = t69861 / 0.6e1 - t69913 / 0.18e2 + t69926 / 0.36e2 + t69933 / 0.36e2 - t69938 / 0.18e2 - t69940 / 0.18e2 + t70125 / 0.3e1 - 0.11e2 / 0.54e2 * t70127 + t70191 / 0.18e2 - t70193 / 0.9e1 + t70195 / 0.3e1 + t43497 + t43498 - t43499 - t70216 / 0.12e2 - t70218 / 0.12e2 + t70226 / 0.9e1 + t70228 / 0.9e1 - t43522 - t43524;
  t71846 = t3824 * t2843;
  t71854 = t43526 + t43529 - t70241 / 0.12e2 - t70250 / 0.3e1 - t70253 / 0.6e1 + t70259 / 0.6e1 - t70286 / 0.36e2 - 0.5e1 / 0.108e3 * t70289 + t70321 / 0.6e1 + t70323 / 0.6e1 - t70329 / 0.18e2 - t70333 / 0.18e2 + t70335 / 0.18e2 - t70337 / 0.3e1 - t43560 + t14515 * t612 / 0.6e1 - t71846 * t752 / 0.12e2 - t14508 * t3599 / 0.12e2 + t3824 * t2838 * t223 / 0.6e1;
  t71870 = t3814 * t2843;
  t71871 = t71870 * t752;
  t71874 = t3814 * t2838 * t223;
  t71876 = t71870 * t637;
  t71884 = t14508 * t3577 / 0.3e1 + t71846 * t637 / 0.3e1 - t7811 * t1886 / 0.6e1 + t70396 / 0.9e1 + t70400 / 0.18e2 + t37982 * t7758 / 0.6e1 + 0.7e1 / 0.9e1 * t70438 - t70440 / 0.3e1 + t70442 / 0.2e1 - t70452 + 0.3e1 * t3802 * t13987 - t71871 / 0.36e2 + t71874 / 0.18e2 + t71876 / 0.9e1 + t43575 + t43585 - t1923 * t7200 / 0.6e1 + 0.2e1 / 0.3e1 * t7801 * t13938 + t1923 * t7550 / 0.6e1;
  t71888 = t897 * t13877;
  t71897 = t897 * t13928;
  t71906 = t7829 * t2854;
  t71908 = t7829 * t1779;
  t71910 = t3818 * t2903;
  t71916 = -t7801 * t11177 / 0.6e1 - 0.11e2 / 0.18e2 * t71888 * t8761 - t14508 * t3176 / 0.6e1 + t7894 * t11001 / 0.3e1 - t7801 * t13944 / 0.3e1 + t71897 * t1223 + t14508 * t3173 / 0.3e1 + t3802 * t13952 - 0.3e1 / 0.2e1 * t43669 * t69492 - t3802 * t14009 / 0.2e1 + t71906 / 0.36e2 - t71908 / 0.18e2 + t71910 / 0.6e1 - t43598 - t43609 + t70468 / 0.6e1 - t70470 / 0.18e2 - t70472 / 0.18e2 - t70474 / 0.2e1;
  t71944 = t894 * t2895;
  t71946 = t894 * t2934;
  t71952 = -t70510 / 0.12e2 - t37982 * t14246 / 0.6e1 + t37561 * t14249 / 0.12e2 - t37525 * t14242 / 0.6e1 - t7824 * t1770 / 0.2e1 + 0.2e1 / 0.3e1 * t22562 * t69533 + t7824 * t1774 / 0.2e1 - t3802 * t13984 + t903 * t14028 / 0.2e1 - t7824 * t1766 + t903 * t14024 - t903 * t14026 + 0.7e1 / 0.3e1 * t43669 * t69428 + t903 * t14041 / 0.2e1 - 0.2e1 * t43516 * t69208 - t903 * t14045 / 0.2e1 - t71944 / 0.6e1 - t71946 / 0.12e2 - t307 * t14360 / 0.4e1 - t890 * t2890 / 0.4e1;
  t71956 = t894 * t2890;
  t71984 = t897 * t14152;
  t71989 = t43641 - t8667 + t8683 - t71956 / 0.12e2 - t7808 * t1886 / 0.6e1 - t1923 * t7385 / 0.6e1 - t22732 * t2899 / 0.2e1 - t71846 * t630 / 0.6e1 - t14508 * t3540 / 0.6e1 + t7824 * t1873 / 0.2e1 - t22759 * t2899 / 0.2e1 + t37805 * t530 / 0.2e1 + t37800 * t530 / 0.2e1 + t3825 * t2915 / 0.2e1 + t3835 * t2915 / 0.2e1 - t3835 * t2907 / 0.2e1 - t898 * t14148 / 0.12e2 + t71984 * t250 / 0.4e1 - t3825 * t2907 / 0.2e1;
  t72006 = -t41636 - t70557 / 0.12e2 + t70561 / 0.3e1 - t70563 / 0.6e1 - t70595 / 0.9e1 - t70608 / 0.18e2 - t70610 / 0.18e2 + t70612 / 0.36e2 - t70614 / 0.12e2 - t70617 - t70618 / 0.6e1 - t70620 / 0.6e1 - t70639 / 0.6e1 - 0.2e1 / 0.3e1 * t70673 - t43694 - t70698 / 0.18e2 + t70700 / 0.9e1 - t70703 / 0.9e1 + 0.2e1 / 0.9e1 * t70727;
  t72008 = t3818 * t2912;
  t72025 = t43708 - t72008 / 0.12e2 + t70750 / 0.6e1 + t70752 / 0.6e1 - t70759 / 0.3e1 - t70761 / 0.6e1 - t70763 / 0.36e2 - t43739 + t43740 + t70817 + t70821 / 0.12e2 - t70862 - t70871 - t307 * t14399 / 0.4e1 - t890 * t2934 / 0.4e1 - t307 * t14368 / 0.4e1 - t70877 / 0.12e2 - t70879 / 0.12e2 - t70881 / 0.12e2;
  t72049 = -t70886 / 0.12e2 - t70897 / 0.3e1 + t70899 / 0.3e1 + t70929 / 0.6e1 - t70931 / 0.3e1 - t70933 / 0.6e1 - t43750 - t43762 - t43763 + t42721 + t70956 - t70957 / 0.6e1 + t37982 * t14254 / 0.12e2 - t14508 * t3308 / 0.12e2 + t14508 * t3272 / 0.6e1 - 0.5e1 / 0.36e2 * t71888 * t8786 + t71897 * t1300 / 0.2e1 + t14515 * t676 / 0.6e1 - t7801 * t14206 / 0.6e1 + t7894 * t14211 / 0.3e1;
  t72052 = t897 * t14214;
  t72074 = -t72052 * t1260 / 0.2e1 - t14515 * t670 / 0.6e1 - 0.2e1 / 0.3e1 * t14508 * t3252 + 0.23e2 / 0.36e2 * t71888 * t8993 + t14508 * t3255 / 0.3e1 - t70965 / 0.6e1 + t70987 - t43812 - t43814 + t43818 + t43820 + t37561 * t14190 / 0.6e1 - t37561 * t11131 / 0.3e1 + t22520 * t14187 - t27864 * t14185 - t27723 * t14177 / 0.2e1 + t27867 * t14201 / 0.2e1 - t43823 - t43830;
  t72106 = t7829 * t1886;
  t72108 = -t43831 - t903 * t14002 + 0.3e1 / 0.2e1 * t903 * t14005 - t898 * t13977 / 0.6e1 + t7824 * t1783 / 0.2e1 - t1923 * t7471 / 0.6e1 + t7811 * t2854 / 0.12e2 + t7808 * t2854 / 0.12e2 + t1923 * t13888 / 0.12e2 + t1923 * t13922 / 0.12e2 - t898 * t14033 / 0.12e2 + t903 * t14037 / 0.4e1 + t903 * t14019 / 0.2e1 + t903 * t13971 / 0.2e1 - t7811 * t1779 / 0.6e1 - t7808 * t1779 / 0.6e1 + t71018 / 0.9e1 - t71021 / 0.6e1 - t72106 / 0.18e2;
  t72110 = t71870 * t630;
  t72112 = t22719 * t2899;
  t72114 = t37871 * t530;
  t72116 = t3818 * t2915;
  t72118 = t3818 * t2907;
  t72141 = -t72110 / 0.18e2 - t72112 / 0.6e1 + t72114 / 0.6e1 + t72116 / 0.6e1 - t72118 / 0.6e1 - t1923 * t7210 / 0.6e1 - t903 * t13997 / 0.4e1 + t3825 * t2903 / 0.2e1 + t3835 * t2903 / 0.2e1 - t3825 * t2912 / 0.4e1 - t3835 * t2912 / 0.4e1 - t903 * t13992 / 0.4e1 + t43834 + t43835 - t71056 / 0.12e2 - t71058 / 0.6e1 - t71060 / 0.6e1 - t7801 * t11196 / 0.3e1 - t71888 * t8996 / 0.2e1;
  t72163 = -0.3e1 * t903 * t14218 - 0.3e1 * t3802 * t14080 + 0.3e1 / 0.2e1 * t903 * t14221 - t37723 * t1758 + t7824 * t1761 + 0.3e1 / 0.2e1 * t22751 * t14077 - t43845 - t9215 + t9226 - t307 * t14402 / 0.4e1 + t71098 / 0.9e1 + t71100 / 0.18e2 + t43865 + t43866 + 0.2e1 / 0.9e1 * t71123 + t71631 + t71633 - t890 * t2895 / 0.2e1 - t307 * t14407 / 0.2e1 - t307 * t14363 / 0.2e1;
  t72168 = my_piecewise3(t2, 0, t71772 + t71796 + t71813 + t71829 + t71854 + t71884 + t71916 + t71952 + t71989 + t72006 + t72025 + t72049 + t72074 + t72108 + t72141 + t72163);
  tv4rho2tau23 = t3 * t72168 + t14414 + t14526;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 3] += tv4rho2tau23;

  tv4rho2tau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 4] += tv4rho2tau24;

  t72176 = t933 * t14534;
  t72184 = t4009 * t2946;
  t72185 = t72184 * t1023;
  t72187 = t38435 * t570;
  t72189 = t38430 * t570;
  t72191 = t937 * t14625;
  t72192 = t72191 * t377;
  t72194 = t938 * t14621;
  t72196 = t23858 * t3002;
  t72198 = t7929 * t2040;
  t72200 = t23639 * t3002;
  t72202 = t4013 * t3018;
  t72204 = t4019 * t3018;
  t72206 = t4013 * t3010;
  t72208 = t4019 * t3010;
  t72210 = t945 * t14988 / 0.2e1 - t7908 * t11723 / 0.3e1 + 0.2e1 / 0.3e1 * t7908 * t11727 - 0.3e1 / 0.2e1 * t72176 * t9345 - t38825 * t1975 - 0.3e1 * t4065 * t14562 + 0.3e1 / 0.2e1 * t23924 * t14559 + t72185 / 0.9e1 + t72187 / 0.6e1 + t72189 / 0.6e1 + t72192 / 0.12e2 - t72194 / 0.36e2 - t72196 / 0.6e1 + t72198 / 0.6e1 - t72200 / 0.6e1 + t72202 / 0.6e1 + t72204 / 0.6e1 - t72206 / 0.6e1 - t72208 / 0.6e1;
  t72211 = t72184 * t1090;
  t72213 = t14470 * t1087;
  t72216 = t4009 * t2941 * t350;
  t72218 = t1905 * t8179;
  t72220 = t7943 * t2025;
  t72222 = t14463 * t4352;
  t72224 = t7948 * t2025;
  t72226 = t72184 * t1016;
  t72228 = t14463 * t4490;
  t72230 = t14463 * t4438;
  t72241 = -t72211 / 0.36e2 + t72213 / 0.18e2 + t72216 / 0.18e2 - t72218 / 0.18e2 - t72220 / 0.18e2 - t72222 / 0.18e2 - t72224 / 0.18e2 - t72226 / 0.18e2 - t72228 / 0.36e2 + t72230 / 0.9e1 - t72176 * t9289 / 0.2e1 - 0.11e2 / 0.18e2 * t72176 * t9333 + 0.7e1 / 0.3e1 * t72176 * t9292 - t71649 / 0.6e1 + t71651 / 0.6e1 - t71654 + t71655 / 0.6e1 + t71658 - t71660;
  t72261 = t933 * t14541;
  t72273 = t71662 + t43886 - t43908 + t43939 - t7951 * t1950 / 0.6e1 - t1902 * t8445 / 0.6e1 - t1902 * t8122 / 0.6e1 + 0.2e1 / 0.3e1 * t7908 * t14681 - t1902 * t8081 / 0.6e1 - t7908 * t11687 / 0.6e1 + t1902 * t8478 / 0.6e1 - t7908 * t14685 / 0.3e1 + 0.23e2 / 0.36e2 * t72176 * t9286 - 0.2e1 * t72261 * t1402 - t4052 * t3015 / 0.4e1 - t4046 * t3015 / 0.4e1 - t945 * t14992 / 0.2e1 + t72261 * t1396 - t945 * t15004 / 0.4e1;
  t72276 = t937 * t14534;
  t72277 = t72276 * t9286;
  t72279 = t937 * t14541;
  t72280 = t72279 * t1396;
  t72284 = t948 * t14551;
  t72291 = t23721 * t14559;
  t72293 = t7929 * t1978;
  t72295 = t948 * t14555;
  t72297 = t24019 * t14702;
  t72299 = t24019 * t14714;
  t72301 = t28439 * t14718;
  t72303 = t24019 * t14710;
  t72305 = t38556 * t11465;
  t72307 = t938 * t14976;
  t72309 = t948 * t14971;
  t72311 = t948 * t14968;
  t72313 = t948 * t14965;
  t72315 = -t945 * t14999 / 0.4e1 + 0.23e2 / 0.108e3 * t72277 + t72280 / 0.3e1 - t38396 * t14583 / 0.3e1 - t72284 + t14446 * t4656 / 0.3e1 - 0.2e1 / 0.3e1 * t14446 * t4691 - t7956 * t1950 / 0.6e1 + t72291 / 0.2e1 + t72293 / 0.3e1 + t72295 / 0.2e1 - t72297 / 0.3e1 - t72299 / 0.6e1 + t72301 / 0.6e1 - t72303 / 0.12e2 + 0.2e1 / 0.9e1 * t72305 - t72307 / 0.36e2 + t72309 / 0.6e1 - t72311 / 0.3e1 + t72313 / 0.3e1;
  t72318 = t72276 * t9333;
  t72320 = t72279 * t1402;
  t72322 = t948 * t14984;
  t72324 = t948 * t14980;
  t72326 = t4019 * t3006;
  t72328 = t4040 * t15013;
  t72330 = t4040 * t15011;
  t72332 = t948 * t15009;
  t72334 = t948 * t15004;
  t72336 = t948 * t14999;
  t72338 = t4013 * t3015;
  t72340 = t4019 * t3015;
  t72342 = t948 * t14992;
  t72344 = t948 * t14988;
  t72356 = -0.11e2 / 0.54e2 * t72318 - 0.2e1 / 0.3e1 * t72320 + t72322 / 0.2e1 + t72324 / 0.12e2 + t72326 / 0.6e1 - t72328 / 0.6e1 + t72330 / 0.3e1 - t72332 / 0.3e1 - t72334 / 0.12e2 - t72336 / 0.12e2 - t72338 / 0.12e2 - t72340 / 0.12e2 - t72342 / 0.6e1 + t72344 / 0.6e1 + t38396 * t14954 / 0.12e2 - t38550 * t14951 / 0.6e1 - t38535 * t14947 / 0.6e1 + t38550 * t8076 / 0.6e1 + t38550 * t14959 / 0.12e2;
  t72375 = t14463 * t4687;
  t72377 = t7903 * t14767;
  t72379 = t7929 * t1937;
  t72381 = t4040 * t14655;
  t72382 = t4040 * t14650;
  t72384 = t7929 * t1954;
  t72386 = -t71663 / 0.18e2 - t71666 / 0.18e2 + t945 * t14971 / 0.2e1 + t945 * t14965 - t945 * t14968 - t28455 * t14897 / 0.2e1 + t28913 * t14893 / 0.2e1 - t28922 * t14640 + t23531 * t14889 + 0.2e1 / 0.3e1 * t38396 * t11465 + t4065 * t15011 - t4065 * t15013 / 0.2e1 - t945 * t15009 + t72375 / 0.18e2 - t72377 / 0.18e2 - t72379 / 0.3e1 + t72381 - t72382 / 0.3e1 + t72384 / 0.6e1;
  t72388 = t938 * t14643;
  t72390 = t7929 * t1945;
  t72392 = t72276 * t9292;
  t72394 = t72276 * t9289;
  t72396 = t7903 * t11727;
  t72398 = t7903 * t11723;
  t72400 = t38453 * t1975;
  t72402 = t72276 * t9345;
  t72404 = t4040 * t14562;
  t72405 = t14470 * t997;
  t72407 = t1905 * t14758;
  t72409 = t1905 * t14724;
  t72411 = t14470 * t1002;
  t72413 = t38532 * t14959;
  t72415 = t38553 * t14947;
  t72417 = t38532 * t14951;
  t72419 = t38556 * t11765;
  t72424 = -t72388 / 0.18e2 + t72390 / 0.6e1 + 0.7e1 / 0.9e1 * t72392 - t72394 / 0.6e1 + 0.2e1 / 0.9e1 * t72396 - t72398 / 0.9e1 - t72400 / 0.3e1 - t72402 / 0.2e1 - t72404 - t72405 / 0.18e2 + t72407 / 0.36e2 + t72409 / 0.36e2 + t72411 / 0.18e2 + t72413 / 0.36e2 - t72415 / 0.18e2 - t72417 / 0.18e2 - t72419 / 0.18e2 - t38396 * t11469 / 0.3e1 + t71674 / 0.18e2;
  t72427 = t72279 * t1438;
  t72431 = t28439 * t14570;
  t72433 = -t71676 / 0.6e1 + t71678 / 0.9e1 + t71682 - t71685 + t71687 + t71689 - t71691 + t43403 - t43416 + t44009 - t44011 - t44025 - t44032 + t72427 / 0.6e1 - t44034 - t44037 + t44040 + t44042 + t38396 * t14579 / 0.6e1 + t72431 / 0.6e1;
  t72437 = t28439 * t14897;
  t72439 = t24019 * t14889;
  t72441 = t28427 * t14893;
  t72443 = t28436 * t14640;
  t72445 = t38556 * t14583;
  t72451 = t4045 * t2946;
  t72471 = -t72437 / 0.6e1 + t72439 / 0.3e1 + t72441 / 0.6e1 - t72443 / 0.3e1 - t44071 - t44073 + t44076 - t72445 / 0.9e1 + t14446 * t4163 / 0.3e1 + t14456 * t1087 / 0.6e1 - t72451 * t1090 / 0.12e2 - t1902 * t8179 / 0.6e1 + t4045 * t2941 * t350 / 0.6e1 - t7951 * t2025 / 0.6e1 - t14446 * t4352 / 0.6e1 - t7956 * t2025 / 0.6e1 - t14446 * t4490 / 0.12e2 - t72451 * t1016 / 0.6e1 + t14446 * t4438 / 0.3e1;
  t72478 = t38556 * t14954;
  t72484 = t933 * t14625;
  t72493 = t72451 * t1023 / 0.3e1 - t71693 + t71695 - t71697 + t71699 + t71702 / 0.36e2 - t71704 / 0.18e2 + t71706 / 0.6e1 - t71708 / 0.12e2 + t72478 / 0.36e2 + t44089 - t44107 + t44109 + t38716 * t570 / 0.2e1 + t38711 * t570 / 0.2e1 + t72484 * t377 / 0.4e1 - t934 * t14621 / 0.12e2 - t23909 * t3002 / 0.2e1 + t7959 * t2040 / 0.2e1;
  t72505 = t38556 * t11469;
  t72507 = t38556 * t14579;
  t72514 = t929 * t2998;
  t72516 = t294 * t14882;
  t72523 = -t23902 * t3002 / 0.2e1 + t4052 * t3018 / 0.2e1 - t4052 * t3010 / 0.2e1 + t4046 * t3018 / 0.2e1 - t4046 * t3010 / 0.2e1 + t44113 - t72505 / 0.9e1 + t72507 / 0.18e2 - t7959 * t1941 / 0.2e1 + 0.3e1 * t4065 * t14655 - t7959 * t1937 + t44115 - t72514 / 0.6e1 - t44117 + t44153 - t72516 / 0.12e2 - t4065 * t14650 - t934 * t14643 / 0.6e1 + t7959 * t1954 / 0.2e1;
  t72534 = t7943 * t1950;
  t72536 = t7948 * t1950;
  t72538 = t14463 * t4656;
  t72540 = t14463 * t4691;
  t72542 = t7929 * t1941;
  t72549 = t7959 * t1945 / 0.2e1 + t945 * t15021 / 0.2e1 + t945 * t15025 / 0.2e1 + t4052 * t3006 / 0.2e1 + t4046 * t3006 / 0.2e1 - t44168 - t44171 - t44203 - t44205 + t44218 + t44230 - t44234 - t72534 / 0.18e2 - t72536 / 0.18e2 + t72538 / 0.9e1 - 0.2e1 / 0.9e1 * t72540 - t72542 / 0.6e1 + t7959 * t1978 - 0.3e1 * t945 * t14551 + 0.3e1 / 0.2e1 * t945 * t14555;
  t72558 = t294 * t14905;
  t72564 = t937 * t14775;
  t72565 = t72564 * t1433;
  t72567 = t7988 * t14772;
  t72575 = t294 * t14900;
  t72577 = t294 * t14908;
  t72579 = t929 * t3037;
  t72581 = t945 * t14980 / 0.4e1 + 0.3e1 / 0.2e1 * t945 * t14984 - t934 * t14976 / 0.12e2 - t72558 / 0.6e1 + t71723 - t290 * t14900 / 0.4e1 - t925 * t2998 / 0.2e1 + t71725 - t72565 / 0.6e1 + t72567 / 0.9e1 - t44267 - t71728 / 0.6e1 + t71731 - t71732 / 0.12e2 - t925 * t3037 / 0.4e1 - t290 * t14913 / 0.4e1 - t72575 / 0.12e2 - t72577 / 0.6e1 - t72579 / 0.12e2;
  t72582 = t294 * t14913;
  t72584 = t294 * t14944;
  t72586 = t929 * t2993;
  t72599 = t38553 * t11739;
  t72601 = t38532 * t8076;
  t72612 = -t72582 / 0.12e2 - t72584 / 0.12e2 - t72586 / 0.12e2 + t38535 * t11739 / 0.3e1 - t23531 * t14702 + t28455 * t14718 / 0.2e1 - t23531 * t14714 / 0.2e1 - t23531 * t14710 / 0.4e1 + t28455 * t14570 / 0.2e1 + t72599 / 0.9e1 + t72601 / 0.18e2 - t925 * t2993 / 0.4e1 - t290 * t14882 / 0.4e1 + t44322 - t290 * t14905 / 0.2e1 - t290 * t14908 / 0.2e1 - t71740 / 0.36e2 - t9156 + t9168;
  t72636 = t948 * t15025;
  t72638 = t948 * t15021;
  t72640 = t4013 * t3006;
  t72646 = -t9180 + t9188 + t44336 + t14446 * t4687 / 0.6e1 - t7908 * t14767 / 0.6e1 + t14456 * t1002 / 0.6e1 + t72261 * t1438 / 0.2e1 - t14456 * t997 / 0.6e1 + t1902 * t14758 / 0.12e2 + t1902 * t14724 / 0.12e2 + t7951 * t2957 / 0.12e2 + t7956 * t2957 / 0.12e2 - t14446 * t4722 / 0.12e2 - 0.5e1 / 0.36e2 * t72176 * t9405 + t72636 / 0.6e1 + t72638 / 0.6e1 + t72640 / 0.6e1 + t8002 * t11682 / 0.3e1 - t14446 * t4166 / 0.6e1;
  t72650 = t7943 * t2957;
  t72652 = t7948 * t2957;
  t72654 = t14463 * t4722;
  t72656 = t72276 * t9405;
  t72658 = t7988 * t11682;
  t72660 = t14463 * t4166;
  t72662 = t14463 * t4163;
  t72664 = t7903 * t14685;
  t72666 = t7903 * t14681;
  t72668 = t1905 * t8081;
  t72670 = t7903 * t11687;
  t72672 = t1905 * t8478;
  t72674 = t1905 * t8122;
  t72676 = t1905 * t8445;
  t72678 = t933 * t14775;
  t72685 = -t290 * t14944 / 0.4e1 - t44352 - t71748 / 0.12e2 + t72650 / 0.36e2 + t72652 / 0.36e2 - t72654 / 0.36e2 - 0.5e1 / 0.108e3 * t72656 + t72658 / 0.9e1 - t72660 / 0.18e2 + t72662 / 0.9e1 - t72664 / 0.9e1 + 0.2e1 / 0.9e1 * t72666 - t72668 / 0.18e2 - t72670 / 0.18e2 + t72672 / 0.18e2 - t72674 / 0.18e2 - t72676 / 0.18e2 - t72678 * t1433 / 0.2e1 + t8002 * t14772 / 0.3e1 - t38396 * t11765 / 0.6e1;
  t72690 = my_piecewise3(t100, 0, t72210 + t72241 + t72273 + t72315 + t72356 + t72386 + t72424 + t72433 + t72471 + t72493 + t72523 + t72549 + t72581 + t72612 + t72646 + t72685);
  tv4rho2tau25 = t3 * t72690 + t14487 + t15034;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 5] += tv4rho2tau25;

  t72700 = t69180 + t69270 + t69336 - t69339 + t69341 - t44379 + t44387 - t69450 + t69632 - t69634 + t8035 * t2854 / 0.12e2 - t8035 * t1779 / 0.6e1 + t3953 * t2838 * t223 / 0.6e1;
  t72701 = t3953 * t2843;
  t72722 = -t72701 * t630 / 0.6e1 - t8035 * t1886 / 0.6e1 - t23097 * t2899 / 0.2e1 + t38274 * t530 / 0.2e1 + t3959 * t2915 / 0.2e1 - t3959 * t2907 / 0.2e1 - t44395 - t71871 / 0.18e2 + t71874 / 0.9e1 + 0.2e1 / 0.9e1 * t71876 + t71906 / 0.18e2 - t71908 / 0.9e1 + t71910 / 0.3e1 + t3959 * t2903 / 0.2e1;
  t72736 = -t3959 * t2912 / 0.4e1 - t71944 / 0.3e1 - t71946 / 0.6e1 - t71956 / 0.6e1 - t41636 - t72701 * t752 / 0.12e2 + t72701 * t637 / 0.3e1 - t70617 - t972 * t2890 / 0.4e1 + t44410 - t72008 / 0.6e1 + t70817 - t70862;
  t72747 = -t70871 - t972 * t2934 / 0.4e1 - t972 * t2895 / 0.2e1 + t42721 + t70956 + t70987 - t72106 / 0.9e1 - t72110 / 0.9e1 - t72112 / 0.3e1 + t72114 / 0.3e1 + t72116 / 0.3e1 - t72118 / 0.3e1 + t71631 + t71633;
  t72750 = my_piecewise3(t2, 0, t72700 + t72722 + t72736 + t72747);
  tv4rho2tau26 = t3 * t72750 + 0.2e1 * t14526;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 6] += tv4rho2tau26;

  tv4rho2tau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 7] += tv4rho2tau27;

  t72766 = 0.2e1 / 0.9e1 * t72185 + t72187 / 0.3e1 + t72189 / 0.3e1 + t72192 / 0.6e1 - t72194 / 0.18e2 - t72196 / 0.3e1 + t72198 / 0.3e1 - t72200 / 0.3e1 + t72202 / 0.3e1 + t72204 / 0.3e1 - t72206 / 0.3e1 - t72208 / 0.3e1 - t72211 / 0.18e2;
  t72776 = t72213 / 0.9e1 + t72216 / 0.9e1 - t72218 / 0.9e1 - t72220 / 0.9e1 - t72222 / 0.9e1 - t72224 / 0.9e1 - t72226 / 0.9e1 - t72228 / 0.18e2 + 0.2e1 / 0.9e1 * t72230 - t71654 + t71658 - t71660 + t71662;
  t72790 = t167 * t8132;
  t72797 = t44437 + t44441 + t44443 - t44516 - t44518 - t44520 - 0.2e1 / 0.3e1 * t1965 * t56589 - 0.2e1 / 0.3e1 * t8106 * t11723 - 0.2e1 / 0.3e1 * t8110 * t11723 + 0.4e1 / 0.3e1 * t8106 * t14681 + 0.4e1 / 0.3e1 * t1965 * t1400 * t1054 * t14679 + 0.2e1 / 0.3e1 * t1965 * t1400 * t371 * t72790 - 0.2e1 / 0.3e1 * t8106 * t14685;
  t72811 = t1400 * t2028 * t14679;
  t72814 = t333 * t4356;
  t72815 = t3512 * t72814;
  t72816 = t321 * t72815;
  t72817 = t167 * t2939;
  t72818 = t1054 * t72817;
  t72825 = t321 * t616 * t14533;
  t72830 = t1074 * t14534;
  t72835 = -t1965 * t39322 / 0.6e1 - 0.5e1 / 0.18e2 * t8090 * t56076 - t2043 * t8081 / 0.3e1 - t2048 * t8081 / 0.3e1 - t555 * t39870 / 0.3e1 - t555 * t39066 / 0.6e1 + 0.4e1 / 0.3e1 * t4245 * t72811 + 0.14e2 / 0.3e1 * t72816 * t5640 * t72818 - t373 * t14987 * t4714 - 0.3e1 * t72825 * t5980 + 0.23e2 / 0.18e2 * t14535 * t46617 + 0.23e2 / 0.18e2 * t72830 * t9286 - 0.6e1 * t72825 * t5651;
  t72838 = t110 * t14795;
  t72841 = t994 * t2038;
  t72854 = t2038 * t333;
  t72855 = t168 * t72854;
  t72873 = -0.115e3 / 0.36e2 * t72838 * t45232 - 0.8e1 / 0.3e1 * t8058 * t5549 * t1021 * t72841 - 0.2e1 * t24164 * t56695 * t40484 + 0.2e1 * t56164 * t8347 - t72838 * t45263 + 0.5e1 / 0.2e1 * t72838 * t45240 - 0.2e1 * t11381 * t5549 * t72855 - 0.15e2 / 0.2e1 * t5540 * t14795 * t45047 - t2947 * t24325 + 0.2e1 * t1078 * t14965 + 0.2e1 * t1056 * t14965 + t373 * t1974 * t1013 * t1014 * t8132 - 0.2e1 * t1078 * t14968;
  t72878 = t2939 * t24085;
  t72879 = t4373 * t72878;
  t72887 = t1400 * t2028 * t1948;
  t72892 = t1393 * t14642;
  t72899 = t1020 * t2993;
  t72906 = t321 * t369 * t2991 * t1027;
  t72909 = 0.6e1 * t8201 * t8391 - 0.6e1 * t2030 * t8455 - 0.18e2 * t4395 * t72879 * t5630 + 0.36e2 * t1030 * t72879 * t5611 + 0.2e1 / 0.3e1 * t1010 * t72887 - t8201 * t8513 + t2030 * t8516 - t1010 * t72892 / 0.3e1 - t8106 * t14767 / 0.3e1 + t14626 * t1071 / 0.4e1 - t1010 * t72899 / 0.12e2 + t14626 * t1095 / 0.2e1 - t72906 * t1036 / 0.2e1;
  t72911 = t1015 * t2993;
  t72915 = t1020 * t2992 * t1021;
  t72918 = t2038 * t2038;
  t72933 = t4676 * t2972;
  t72940 = t321 * t194 * t14540;
  t72943 = -t1010 * t72911 / 0.6e1 + t1010 * t72915 / 0.3e1 - t373 * t374 * t72918 * t1045 - t1084 * t14621 / 0.12e2 - t25071 * t3002 - t25078 * t3002 / 0.2e1 + 0.2e1 * t4383 * t15011 + t1030 * t14967 * t24677 - t4349 * t15013 - t4383 * t15013 - t1030 * t72933 * t1035 / 0.2e1 + t4454 * t3006 / 0.2e1 + 0.2e1 * t72940 * t6029;
  t72946 = t1074 * t72815;
  t72947 = t371 * t72817;
  t72948 = t5640 * t72947;
  t72952 = t616 * t333 * t4333;
  t72953 = t321 * t72952;
  t72960 = t2939 * t24370;
  t72961 = t25083 * t72960;
  t72971 = t110 * t14806;
  t72976 = params->at * t14942;
  t72978 = t1000 * t988 * t72976;
  t72981 = t1400 * t14975;
  t72988 = t1051 * t14643 / 0.3e1 + 0.14e2 / 0.3e1 * t72946 * t72948 - 0.4e1 * t72953 * t1400 * t72818 - 0.18e2 * t373 * t72879 * t5616 - 0.18e2 * t1030 * t72961 * t44975 + 0.2e1 * t11369 * t56132 + t39195 * t8076 / 0.3e1 + 0.2e1 / 0.3e1 * t40052 * t11739 - 0.11e2 / 0.3e1 * t72971 * t5588 - t373 * t14967 * t24682 - t338 * t72978 / 0.6e1 - t1010 * t72981 / 0.12e2 + t1078 * t14980 / 0.2e1 + t1056 * t14980 / 0.2e1;
  t72992 = t14755 * t994;
  t72996 = t2038 * t2954;
  t72998 = t5549 * t1021 * t72996;
  t73012 = t1021 * t14891;
  t73017 = t5549 * t73012;
  t73023 = t5540 * t559 * t4543 * t72992 - 0.2e1 / 0.3e1 * t24164 * t72998 - t4145 * t39965 * t3014 / 0.2e1 + t5540 * t8247 * t14717 + t5540 * t2054 * t14569 - t24209 * t14710 / 0.2e1 + t29773 * t14718 + t29773 * t14570 - 0.2e1 / 0.3e1 * t24164 * t29795 * t73012 + t29767 * t14570 - 0.2e1 / 0.3e1 * t56983 * t73017 - t24205 * t14710 / 0.2e1 + t29767 * t14718;
  t73028 = t57263 * t1963;
  t73032 = t11448 * t8095;
  t73050 = t552 * t2038;
  t73051 = t1021 * t73050;
  t73060 = -0.2e1 * t30146 * t14640 - 0.2e1 * t30152 * t14640 - 0.2e1 * t5535 * t73028 * t1407 - 0.2e1 * t5535 * t73032 * t1407 - t5535 * t14639 * t5776 + 0.4e1 / 0.3e1 * t8058 * t66878 + 0.2e1 / 0.3e1 * t8058 * t39977 + 0.23e2 / 0.18e2 * t11381 * t56120 + 0.4e1 / 0.3e1 * t39224 * t11465 + 0.4e1 / 0.3e1 * t39229 * t11465 + 0.4e1 / 0.3e1 * t8058 * t66872 - 0.8e1 * t52065 * t5553 * t73051 - 0.2e1 / 0.3e1 * t24164 * t5549 * t1021 * t552 * t14755;
  t73065 = t14755 * t333;
  t73083 = t2954 * t1069;
  t73089 = t29498 * t4403 * t14891;
  t73097 = -t4145 * t8070 * t15003 / 0.2e1 + t5540 * t2056 * t1182 * t73065 - t8058 * t58056 / 0.3e1 + 0.2e1 / 0.3e1 * t8052 * t58132 + t8055 * t39817 / 0.3e1 + t8055 * t39820 / 0.3e1 - t8058 * t58053 / 0.3e1 + 0.2e1 / 0.3e1 * t8052 * t56632 - t39229 * t11765 / 0.3e1 + t5559 * t2060 * t4408 * t73083 / 0.2e1 + 0.3e1 / 0.2e1 * t30700 * t73089 + 0.2e1 * t24209 * t14889 + 0.2e1 * t4145 * t73028 * t1412;
  t73107 = t5536 * t14540;
  t73128 = 0.2e1 * t4145 * t73032 * t1412 + t4145 * t14639 * t5808 + 0.2e1 * t24205 * t14889 + t29770 * t14893 - t29773 * t14897 + 0.6e1 * t5535 * t73107 * t1407 + t29764 * t14893 - 0.11e2 * t5559 * t14806 * t24182 - 0.2e1 / 0.3e1 * t8058 * t56214 - 0.2e1 / 0.3e1 * t39229 * t11469 - 0.2e1 / 0.3e1 * t39224 * t11469 - 0.3e1 * t56164 * t8371 - t39224 * t11765 / 0.3e1 + 0.11e2 * t5540 * t14806 * t5542;
  t73131 = t2954 * t1005;
  t73132 = t168 * t73131;
  t73139 = t4408 * t14577;
  t73151 = t1000 * t8079 * t8120;
  t73154 = t1400 * t14642;
  t73160 = t11372 * t4137 * t73132 / 0.2e1 - t8055 * t40146 / 0.3e1 - t11372 * t56424 + t5559 * t8231 * t73139 - t5540 * t8231 * t14896 + t5559 * t2060 * t4408 * t73065 - t29767 * t14897 + 0.23e2 / 0.54e2 * t72277 + 0.2e1 / 0.3e1 * t72280 - t338 * t73151 / 0.3e1 - t1010 * t73154 / 0.6e1 + t8189 * t1954 - t14586 * t4166 / 0.3e1;
  t73165 = t4697 * t14679;
  t73169 = t988 * t72790;
  t73176 = t110 * t2973;
  t73179 = t39733 * t1935;
  t73187 = t403 * t2038;
  t73192 = t8065 * t1963;
  t73196 = -t2947 * t24297 / 0.3e1 - t2947 * t24295 / 0.6e1 - 0.2e1 / 0.3e1 * t1965 * t1393 * t73165 - t1965 * t1393 * t73169 / 0.3e1 + 0.2e1 / 0.3e1 * t14586 * t4163 - t2030 * t8486 - 0.4e1 / 0.3e1 * t73176 * t24131 - 0.2e1 * t4145 * t73179 * t1419 - 0.2e1 * t24209 * t14702 - t24209 * t14714 - t24205 * t14714 + 0.4e1 / 0.3e1 * t8058 * t5553 * t4143 * t73187 + 0.3e1 * t4145 * t73192 * t6037;
  t73204 = t2954 * t4544;
  t73214 = t168 * t73065;
  t73225 = t39994 * t8075;
  t73234 = t8065 * t8102;
  t73238 = t8065 * t2046;
  t73241 = -0.3e1 / 0.2e1 * t5540 * t8220 * t1182 * t73131 + t4145 * t14713 * t4714 - 0.3e1 / 0.2e1 * t5540 * t559 * t24858 * t73204 + t8055 * t4137 * t380 * t403 * t14755 / 0.6e1 - t8052 * t4137 * t73214 / 0.3e1 - t8055 * t9270 * t168 * t72992 / 0.3e1 + t8058 * t5549 * t73214 / 0.6e1 + t4136 * t73225 / 0.6e1 + 0.4e1 / 0.3e1 * t24164 * t56671 * t40719 - 0.2e1 * t39948 * t8354 - t39948 * t8071 - 0.2e1 * t4145 * t73234 * t1419 - t4145 * t73238 * t1100;
  t73242 = t39733 * t553;
  t73245 = t168 * t72841;
  t73253 = t403 * t2939;
  t73259 = t5623 * t8199 * t39182;
  t73263 = t1000 * t4697 * t14974;
  t73272 = t321 * t21182 * t72960;
  t73279 = t110 * t14826;
  t73283 = -t4145 * t73242 * t1100 + 0.2e1 / 0.3e1 * t8058 * t5549 * t73245 + t8055 * t45031 * t168 * t73204 / 0.2e1 - 0.3e1 * t29011 * t10458 * t5533 * t73253 - 0.3e1 * t24273 * t73259 - t338 * t73263 / 0.6e1 - t1965 * t40520 / 0.3e1 + 0.2e1 / 0.3e1 * t1965 * t40515 - t8201 * t8099 + 0.89e2 / 0.9e1 * t73272 * t46440 - t14535 * t25262 / 0.2e1 - 0.38e2 / 0.9e1 * t73272 * t45138 + t73279 * t5579 - 0.11e2 / 0.6e1 * t72971 * t5572;
  t73308 = -t8058 * t39983 / 0.3e1 - 0.2e1 * t72284 + t72291 + 0.2e1 / 0.3e1 * t72293 + t72295 + t2043 * t14724 / 0.6e1 + t2043 * t14758 / 0.6e1 + t8135 * t2957 / 0.12e2 + t2048 * t14724 / 0.6e1 + t2048 * t14758 / 0.6e1 - 0.5e1 / 0.18e2 * t14535 * t45815 - 0.5e1 / 0.36e2 * t14535 * t45971 - 0.35e2 / 0.108e3 * t73272 * t45974;
  t73328 = -t14586 * t4722 / 0.6e1 - t2947 * t24529 / 0.6e1 - t2947 * t24543 / 0.12e2 + t8142 * t2957 / 0.12e2 + t8146 * t2957 / 0.6e1 + 0.2e1 * t2947 * t24321 - 0.2e1 / 0.3e1 * t72297 - t72299 / 0.3e1 + t72301 / 0.3e1 - t72303 / 0.6e1 + 0.4e1 / 0.9e1 * t72305 - t72307 / 0.18e2 + t72309 / 0.3e1;
  t73343 = -0.2e1 / 0.3e1 * t72311 + 0.2e1 / 0.3e1 * t72313 - 0.11e2 / 0.27e2 * t72318 - 0.4e1 / 0.3e1 * t72320 - 0.5e1 / 0.18e2 * t72830 * t9405 + t72322 + t72324 / 0.6e1 + t72326 / 0.3e1 - t72328 / 0.3e1 + 0.2e1 / 0.3e1 * t72330 - 0.2e1 / 0.3e1 * t72332 - t72334 / 0.6e1 - t72336 / 0.6e1;
  t73352 = t29517 * t73012;
  t73369 = t2954 * t4223;
  t73374 = t29903 * t14533;
  t73381 = -t72338 / 0.6e1 - t72340 / 0.6e1 - t72342 / 0.3e1 + t72344 / 0.3e1 - t5540 * t2060 * t4549 * t73083 / 0.2e1 - 0.7e1 / 0.3e1 * t30700 * t73352 - t4145 * t14701 * t4667 + t5540 * t2056 * t1182 * t73083 / 0.2e1 + 0.2e1 * t50427 * t73017 - t4145 * t14713 * t4225 / 0.2e1 - t4145 * t40979 * t3014 / 0.4e1 + t5540 * t559 * t4543 * t73369 / 0.2e1 - 0.6e1 * t5535 * t73374 * t9317 + 0.3e1 * t4145 * t73374 * t9340;
  t73422 = -0.12e2 * t5559 * t8227 * t4376 * t72854 + 0.6e1 * t5540 * t8227 * t4408 * t72854 + 0.15e2 * t5559 * t14795 * t45207 - 0.12e2 * t5540 * t8223 * t1093 * t72854 - 0.4e1 * t5540 * t2060 * t4549 * t72841 + 0.28e2 / 0.3e1 * t29011 * t10485 * t73051 + 0.2e1 * t4145 * t8374 * t14964 - 0.2e1 / 0.3e1 * t8058 * t56219 + t8052 * t58135 / 0.3e1 + t11369 * t56686 + 0.4e1 * t5559 * t2060 * t4408 * t72841 + 0.2e1 / 0.3e1 * t8052 * t56183 - t8058 * t56672 / 0.3e1;
  t73433 = t321 * t3512 * t72878;
  t73448 = t8055 * t39995 / 0.3e1 - 0.2e1 / 0.3e1 * t8052 * t56179 + t8058 * t57150 / 0.2e1 - t2030 * t8318 - t2030 * t8321 / 0.2e1 + 0.22e2 / 0.3e1 * t73433 * t5760 + 0.7e1 / 0.3e1 * t14535 * t24274 - 0.4e1 / 0.3e1 * t14586 * t4691 - 0.4e1 / 0.3e1 * t2947 * t24246 - 0.2e1 / 0.3e1 * t2947 * t24363 + 0.2e1 / 0.3e1 * t14586 * t4656 - t8189 * t1941 - t8184 * t1941;
  t73467 = t168 * t73083;
  t73486 = -0.6e1 * t29011 * t10458 * t4403 * t73050 - t39948 * t8067 / 0.2e1 + t8055 * t39206 / 0.6e1 + 0.23e2 / 0.18e2 * t72838 * t45248 + 0.23e2 / 0.9e1 * t11381 * t10458 * t1021 * t72854 - t11369 * t5549 * t73132 / 0.2e1 - t8052 * t4137 * t73467 / 0.6e1 - t8058 * t58048 / 0.6e1 - 0.5e1 / 0.18e2 * t11381 * t57197 + 0.6e1 * t10506 * t8227 * t4396 * t72854 + 0.2e1 * t39948 * t8375 - 0.2e1 * t56200 * t8595 + 0.3e1 * t30030 * t73374 * t9312;
  t73504 = t1028 * t72817;
  t73505 = t29437 * t73504;
  t73513 = t2028 * t39182;
  t73514 = t1400 * t73513;
  t73520 = t5623 * t73504;
  t73525 = -0.15e2 / 0.2e1 * t10506 * t14795 * t45189 - t5540 * t2060 * t4549 * t73065 + 0.12e2 * t5559 * t8223 * t1034 * t72854 - 0.3e1 / 0.2e1 * t14535 * t24279 - 0.43e2 / 0.9e1 * t73272 * t46406 - 0.3e1 * t1030 * t14554 * t25298 - 0.62e2 / 0.3e1 * t46394 * t73505 - 0.2e1 * t8184 * t1937 - 0.2e1 * t2030 * t8104 - t2030 * t8338 - 0.4e1 * t24606 * t73514 + 0.3e1 * t1030 * t14550 * t5776 + 0.18e2 * t46420 * t73520 - 0.2e1 * t8189 * t1937;
  t73532 = t1393 * t14975;
  t73536 = t1400 * t371 * t14974;
  t73539 = t14974 * t1177;
  t73545 = t321 * t616 * t72918 * t1007;
  t73560 = -t44569 + 0.3e1 * t373 * t14967 * t24315 - t1010 * t73532 / 0.6e1 + t1010 * t73536 / 0.3e1 - t1030 * t73539 * t1035 / 0.2e1 + t44587 - t73545 * t1016 / 0.3e1 - 0.2e1 * t24205 * t14702 - t110 * t2076 * t2013 - t555 * t39722 / 0.6e1 - t8135 * t2025 / 0.6e1 - t2048 * t8179 / 0.3e1 - t8142 * t2025 / 0.6e1;
  t73565 = t1031 * t72918;
  t73574 = t4453 * t2946;
  t73588 = -t8146 * t2025 / 0.3e1 - t2043 * t8179 / 0.3e1 - t1030 * t73565 * t1035 + t39938 * t570 / 0.2e1 + t40132 * t570 + t2030 * t8438 + 0.3e1 * t2030 * t8435 - t73574 * t1090 / 0.12e2 + t2942 * t4487 / 0.6e1 + t4453 * t2941 * t350 / 0.6e1 + t14608 * t1087 / 0.3e1 + t2030 * t8139 / 0.2e1 - t25066 * t3002 / 0.2e1;
  t73602 = t349 * t14882;
  t73607 = t321 * t369 * t14880 * t370;
  t73614 = t1074 * t14625;
  t73617 = t8189 * t2040 + t8184 * t2040 + 0.2e1 / 0.3e1 * t73545 * t1023 + t4454 * t3018 / 0.2e1 + t4457 * t3018 + t4462 * t3018 / 0.2e1 - t4457 * t3010 - t4462 * t3010 / 0.2e1 - t338 * t73602 / 0.6e1 + t73607 * t377 / 0.2e1 - t4454 * t3010 / 0.2e1 - t1075 * t14621 / 0.6e1 + t73614 * t377 / 0.2e1;
  t73628 = t1400 * t72947;
  t73646 = t321 * t194 * t72918 * t1043 * t350 / 0.3e1 - t14626 * t1046 / 0.2e1 + t72375 / 0.9e1 - t72377 / 0.9e1 + t44627 + t44629 + t44634 - 0.4e1 * t1074 * t72952 * t73628 - t110 * t1207 * t3036 / 0.4e1 - t318 * t14908 - t110 * t14881 * t404 / 0.2e1 - t110 * t365 * t14943 / 0.2e1 - t110 * t565 * t8586 / 0.2e1 - t1165 * t3037 / 0.4e1;
  t73657 = 0.1e1 / t112 / t4266;
  t73661 = t8549 * tau[1];
  t73672 = t73657 * t1111;
  t73693 = 0.26e3 / 0.9e1 * t8545 + 0.28e3 / 0.3e1 * t8550 * tau[1] - 0.1e4 / 0.3e1 * t73657 * t391 * t1111 + 0.476e4 / 0.3e1 * t4264 * t73661 + 0.728e4 / 0.3e1 * t4271 * t73661 - 0.28e4 * t4274 * t73661 - 0.7e4 * t4277 * t73661 - 0.98e4 / 0.3e1 * t4282 * t73661 - 0.2e4 / 0.3e1 * t25431 * t73672 - 0.52e3 * t1123 * t1114 + 0.8e4 * t25434 * t73672 - 0.52e3 / 0.9e1 * t1128 * t1114 + 0.35e5 / 0.3e1 * t25437 * t73672 + 0.65e4 / 0.9e1 * t1133 * t1114 + 0.14e5 / 0.3e1 * t25442 * t73672 + 0.13e4 / 0.3e1 * t1140 * t1114 - 0.2e4 * t25423 * t73672 - 0.13e4 / 0.9e1 * t1118 * t1114;
  t73706 = -t318 * t14913 / 0.2e1 - t318 * t14944 / 0.2e1 - t110 * t145 * t380 * t73693 / 0.4e1 - t318 * t14900 / 0.2e1 + t44736 + t44738 + t44742 - 0.2e1 / 0.3e1 * t72379 + 0.2e1 * t72381 - 0.2e1 / 0.3e1 * t72382 + t72384 / 0.3e1 - t72388 / 0.9e1 + t72390 / 0.3e1;
  t73718 = t2991 * t146;
  t73720 = t1000 * t73718 * t978;
  t73723 = 0.14e2 / 0.9e1 * t72392 - t72394 / 0.3e1 + 0.4e1 / 0.9e1 * t72396 - 0.2e1 / 0.9e1 * t72398 - 0.2e1 / 0.3e1 * t72400 - t72402 - 0.2e1 * t72404 - t72405 / 0.9e1 + t72407 / 0.18e2 + t72409 / 0.18e2 + t44879 + t14626 * t980 / 0.2e1 - t338 * t73720 / 0.6e1;
  t73740 = t72411 / 0.9e1 + t373 * t72976 * t353 * t376 / 0.2e1 + t373 * t14974 * t1170 * t376 / 0.4e1 - 0.2e1 * t1056 * t14968 + t72413 / 0.18e2 - t72415 / 0.9e1 - t72417 / 0.9e1 - t72419 / 0.9e1 + t71682 - t71685 + t71687 + t71689 - t71691;
  t73762 = t43403 - t43416 + 0.18e2 * t4395 * t72961 * t46445 - t2043 * t8122 / 0.3e1 - t8135 * t1950 / 0.6e1 - t2048 * t8445 / 0.3e1 - t2048 * t8122 / 0.3e1 + 0.2e1 / 0.3e1 * t2947 * t24301 + t2947 * t24285 / 0.3e1 - t8142 * t1950 / 0.6e1 - t8146 * t1950 / 0.3e1 - t2043 * t8445 / 0.3e1 + t44953 - t44954;
  t73789 = -t45008 + t45009 + t72427 / 0.3e1 - t2180 - 0.6e1 * t4383 * t14562 - 0.6e1 * t1056 * t14551 - 0.6e1 * t4349 * t14562 - 0.6e1 * t1078 * t14551 - 0.2e1 * t1078 * t15009 - 0.2e1 * t1056 * t15009 - t373 * t1936 * t346 * t348 * t8132 + 0.23e2 / 0.18e2 * t8090 * t56016 + 0.4e1 / 0.3e1 * t25225 * t73514;
  t73811 = t56543 * t8088;
  t73821 = -t14626 * t1101 / 0.4e1 - t45125 - t45134 + t45137 - 0.2e1 * t5535 * t8374 * t14649 - 0.3e1 / 0.2e1 * t10506 * t8227 * t24794 * t73131 + 0.3e1 * t5559 * t8227 * t24848 * t73131 - 0.3e1 / 0.2e1 * t5540 * t8227 * t24823 * t73131 + 0.14e2 / 0.3e1 * t11381 * t57020 - 0.3e1 * t11381 * t57024 + 0.3e1 * t30030 * t73811 * t5630 - 0.6e1 * t5535 * t73811 * t5611 + 0.3e1 * t4145 * t73811 * t5616;
  t73826 = -0.3e1 * t5540 * t14826 * t5599 - t45202 + t45214 - t45217 + t45219 + t45270 - t45273 - t45275 + t45277 - t45280 - t45282 + t45284 - t45286;
  t73847 = -t45288 - t45290 - t45291 - t45296 + 0.3e1 * t1078 * t14984 + 0.3e1 * t1056 * t14984 + 0.3e1 / 0.2e1 * t373 * t14983 * t4667 + 0.12e2 * t61413 * t73628 + t1078 * t14988 + t1056 * t14988 + t373 * t14987 * t4225 / 0.2e1 - t1078 * t14992 - t1056 * t14992 - t373 * t4676 * t2968 * t1045 / 0.2e1;
  t73868 = t4146 * t2945;
  t73872 = -t4454 * t3015 / 0.4e1 + 0.2e1 / 0.3e1 * t8423 * t14772 + 0.2e1 / 0.3e1 * t1958 * t1000 * t73165 + t1958 * t1000 * t73169 / 0.3e1 - 0.11e2 / 0.9e1 * t8090 * t55999 + t45796 + t72431 / 0.3e1 - t72437 / 0.3e1 + 0.2e1 / 0.3e1 * t72439 + t72441 / 0.3e1 - 0.2e1 / 0.3e1 * t72443 + t14542 * t5757 + 0.3e1 * t4145 * t73868 * t1419;
  t73893 = -t45843 - t45844 + t45846 - 0.3e1 * t1030 * t14967 * t24310 + t373 * t1948 * t8234 * t376 / 0.2e1 + t8189 * t1945 + t8184 * t1945 + t1056 * t15021 + t1056 * t15025 + t373 * t39801 * t558 * t376 / 0.2e1 + t373 * t8120 * t2053 * t376 + t4457 * t3006 + t1078 * t15021;
  t73903 = t1078 * t15025 + t4462 * t3006 / 0.2e1 + 0.2e1 / 0.3e1 * t2947 * t24342 + t2947 * t24366 / 0.3e1 - 0.2e1 / 0.9e1 * t72445 - t45848 - t9323 + t9326 + t45851 - t45856 - t45914 - t45918 + t45923;
  t73916 = -t14535 * t46596 + 0.3e1 * t24589 * t14559 - 0.2e1 * t39551 * t1975 - 0.2e1 * t39588 * t1975 + 0.2e1 * t8184 * t1978 + 0.2e1 * t8189 * t1978 - t72830 * t9289 + t45924 - t45927 - t45928 - t71693 + t71695 - t71697 + t71699;
  t73930 = t1074 * t14541;
  t73948 = 0.2e1 * t2030 * t8312 + 0.3e1 * t24584 * t14559 + 0.3e1 * t1056 * t14555 - 0.2e1 * t8201 * t8097 + 0.3e1 * t1078 * t14555 + 0.2e1 * t73930 * t1396 - 0.11e2 / 0.9e1 * t72830 * t9333 + 0.2e1 * t14542 * t5772 - t8490 * t56558 - 0.2e1 * t4383 * t14650 - t1030 * t1974 * t1013 * t1019 * t8132 + 0.6e1 * t4349 * t14655 + 0.6e1 * t4383 * t14655;
  t73954 = t615 * t72918;
  t73955 = t73954 * t1007;
  t73958 = t14577 * t994;
  t73967 = t2972 * t24865;
  t73975 = t21181 * t2939;
  t73976 = t73975 * t24923;
  t73979 = t14794 * t24899;
  t73998 = -0.3e1 * t14795 * t45575 - 0.12e2 * t73976 * t45316 + 0.36e2 * t73979 * t5923 + 0.1e2 / 0.3e1 * t73976 * t45572 + 0.5e2 / 0.3e1 * t73976 * t45578 - 0.72e2 * t73979 * t5857 + 0.8e1 / 0.3e1 * t73976 * t45611 + 0.24e2 * t73976 * t45604 - 0.4e1 / 0.3e1 * t73976 * t45397 - 0.2e1 * t2973 * t24842 - 0.4e1 * t2969 * t4546;
  t74000 = t2968 * t24905;
  t74003 = t14814 * t333;
  t74007 = t5912 * t2954;
  t74014 = t73954 * t1033;
  t74017 = t2059 * t4333;
  t74020 = t8226 * t4356;
  t74024 = t4362 * t4363 * t552;
  t74027 = t8230 * t1007;
  t74039 = t4362 * t4368 * t552;
  t74045 = t558 * t1007;
  t74052 = t4206 * t8358;
  t74063 = t989 * t2046;
  t74066 = 0.24e2 * t74017 * t5659 - 0.12e2 * t74020 * t5616 + 0.4e1 / 0.3e1 * t44669 * t74024 - 0.8e1 * t74027 * t1412 + 0.4e1 * t2068 * t1100 + 0.4e1 * t14747 * t4667 + 0.2e1 / 0.3e1 * t24702 * t14728 + 0.4e1 / 0.3e1 * t9370 * t14649 + 0.2e2 / 0.9e1 * t44669 * t74039 + 0.2e1 * t989 * t8132 * t376 - 0.12e2 * t74045 * t6037 - 0.4e1 * t561 * t4714 - 0.4e1 * t44642 * t14728 - 0.24e2 * t74052 * t5659 + 0.8e1 * t14734 * t30326 - 0.4e1 * t14737 * t29990 - 0.12e2 * t14737 * t29995 - 0.2e1 * t8259 * t349 - 0.4e1 * t74063 * t1100;
  t74067 = t4206 * t8095;
  t74075 = t989 * t1963;
  t74080 = t24764 * t8088;
  t74097 = t989 * t8102;
  t74104 = t2053 * t1043;
  t74107 = 0.8e1 / 0.3e1 * t74067 * t1407 - 0.4e1 * t14734 * t4667 + 0.12e2 * t8371 + 0.8e1 * t74067 * t1412 + 0.12e2 * t74075 * t6037 + 0.4e1 * t14740 * t4714 + 0.32e2 / 0.3e1 * t74080 * t5611 + 0.12e2 * t74080 * t5616 + 0.4e1 * t14737 * t5808 - 0.8e1 * t8347 - 0.8e1 * t74052 * t5654 + 0.4e1 / 0.3e1 * t14737 * t5776 + 0.16e2 / 0.9e1 * t74080 * t5630 - 0.2e1 * t14740 * t4225 - 0.2e1 * t8383 - 0.8e1 * t74097 * t1419 + 0.2e1 * t561 * t4225 - 0.4e1 * t14752 * t5808 + 0.8e1 * t74104 * t1419;
  t74108 = t74066 + t74107;
  t74112 = t5916 * t2954;
  t74116 = t142 * t2038;
  t74117 = t74116 * t333;
  t74121 = t74116 * t994;
  t74125 = t14779 * t1005;
  t74129 = -0.24e2 * t74000 * t5906 - 0.4e1 / 0.3e1 * t2060 * t4408 * t74003 - 0.1e2 / 0.3e1 * t8227 * t24848 * t74007 - t8235 * t2977 - 0.2e1 * t2054 * t14866 + 0.4e1 * t74014 * t1186 - t559 * t1182 * t143 * t74108 - 0.2e1 / 0.3e1 * t2060 * t4408 * t74112 - 0.8e1 / 0.3e1 * t11538 * t4624 * t74117 - 0.16e2 * t8254 * t1203 * t74121 - 0.6e1 * t40207 * t360 * t74125;
  t74142 = -0.6e1 * t57365 * t360 * t14779 * t4544 + 0.4e1 * t2973 * t24824 - 0.6e1 * t2973 * t24963 + 0.2e1 * t2969 * t4571 + 0.12e2 * t74000 * t5930 + t45452 + t45454 + t45459 - t45462 - t45465 + t45491;
  t74151 = t140 * t8132;
  t74169 = t143 * t8132;
  t74176 = t1190 * t74125;
  t74195 = -0.4e1 * t2056 * t356 * t74169 + 0.3e1 * t8227 * t24823 * t74007 - 0.6e1 * t40190 * t74176 - t2969 * t4596 - 0.2e1 * t2060 * t1093 * t74151 + 0.2e1 * t2973 * t24909 + t8235 * t2987 / 0.2e1 + t2054 * t14815 + 0.2e1 * t2056 * t356 * t74151 - 0.3e1 * t14826 * t5940 + 0.24e2 * t73967 * t5946;
  t74212 = t1484 * t2038;
  t74224 = t559 * t1182 * t140 * t74108 / 0.2e1 - t14795 * t24791 / 0.9e1 - t73976 * t45364 / 0.9e1 + 0.2e1 * t14806 * t5899 + 0.4e1 / 0.3e1 * t73979 * t5902 - 0.2e1 / 0.3e1 * t2060 * t1034 * t74169 + 0.2e1 / 0.9e1 * t8227 * t4396 * t74212 + 0.2e1 / 0.3e1 * t2973 * t24837 - 0.5e1 / 0.18e2 * t14795 * t45594 - 0.2e1 / 0.3e1 * t14795 * t45394 + 0.6e1 * t14795 * t24829;
  t74229 = t14800 * t994;
  t74243 = t193 * t72918;
  t74247 = t2060 * t4549 * t74112 - 0.12e2 * t14806 * t5880 - 0.16e2 / 0.3e1 * t2060 * t4408 * t74229 - t45526 - t45528 - t8227 * t24794 * t74007 / 0.18e2 + 0.4e1 * t2060 * t1093 * t74169 - 0.4e1 * t2973 * t24845 - t2056 * t1182 * t74112 - 0.4e1 * t74243 * t1044 * t357 + t45553;
  t74251 = t2972 * t30487;
  t74257 = t1190 * t74117;
  t74260 = t2968 * t30508;
  t74270 = t14794 * t30520;
  t74297 = t14779 * t1069;
  t74303 = 0.1e2 / 0.3e1 * t40179 * t1190 * t73958 + 0.4e1 * t40184 * t360 * t73958 + 0.24e2 * t11541 * t360 * t74117 + 0.6e1 * t14826 * t5893 - 0.12e2 * t73967 * t5896 - 0.2e1 * t559 * t4543 * t14814 * t994 - 0.2e1 * t8247 * t14876 - 0.2e1 * t2054 * t14837 - 0.4e1 / 0.3e1 * t8231 * t14868 + 0.2e1 * t8251 * t360 * t74297 + 0.24e2 * t11538 * t74257;
  t74326 = t142 * t14755;
  t74327 = t74326 * t333;
  t74336 = 0.12e2 * t40187 * t1203 * t74125 + t8254 * t1190 * t74297 / 0.3e1 + t40190 * t4633 * t74125 / 0.9e1 + 0.2e1 * t11528 * t360 * t14779 * t4223 + 0.5e1 / 0.9e1 * t74270 * t45734 - 0.4e1 / 0.9e1 * t11538 * t4633 * t74117 + 0.8e1 / 0.3e1 * t8254 * t1190 * t74121 - t45598 - 0.4e1 * t8254 * t1203 * t74327 - 0.2e1 * t8254 * t1203 * t74297 - 0.3e2 * t74270 * t5852;
  t74366 = -0.5e1 * t40179 * t1203 * t73958 + 0.2e1 / 0.3e1 * t40195 * t14784 - 0.4e1 * t40195 * t14781 + 0.4e1 * t57517 * t14791 + 0.4e1 * t11528 * t360 * t74326 * t994 + 0.2e1 / 0.3e1 * t40190 * t4624 * t74125 + 0.4e1 * t40212 * t14787 + 0.4e1 * t8251 * t360 * t74327 + 0.2e1 / 0.3e1 * t8254 * t1190 * t74327 + 0.72e2 * t73967 * t5861 - 0.6e1 * t8223 * t4549 * t74007;
  t74369 = t45599 + t9558 + t45600 - t45601 + t45618 + t45624 + t45628 + t45630 - t45632 + t45641 - t45652;
  t74390 = 0.3e1 * t559 * t24858 * t2986 * t4544 + 0.3e1 * t8220 * t1182 * t74007 + 0.2e1 * t2060 * t4549 * t74003 + 0.1e2 * t40179 * t45383 * t73958 + 0.4e1 * t8223 * t4408 * t74007 + 0.12e2 * t2973 * t24974 + 0.8e1 * t73979 * t5864 - t45653 - t45654 + t45655 + t45668;
  t74410 = 0.2e1 * t8231 * t14858 - 0.12e2 * t8227 * t4408 * t74212 + 0.15e2 * t14795 * t45637 + 0.2e1 * t74243 * t1043 * t361 + t45756 - t45757 - t45759 - t45762 - 0.5e2 / 0.3e1 * t14795 * t45421 - 0.12e2 * t8220 * t356 * t74212 - 0.4e1 * t2056 * t1182 * t74229;
  t74432 = -0.16e2 * t8223 * t1034 * t74212 + 0.24e2 * t8223 * t1093 * t74212 + 0.8e1 * t2060 * t4549 * t74229 + 0.4e2 / 0.3e1 * t8227 * t4376 * t74212 - 0.22e2 * t14806 * t5868 - 0.2e1 * t2056 * t1182 * t74003 + 0.44e2 / 0.3e1 * t14806 * t5876 + 0.6e1 * t14826 * t5883 - t45781 - t2229 + t2210;
  t74442 = t5536 * t2945;
  t74465 = t2030 * t8126 + t2030 * t8420 / 0.2e1 - 0.2e1 * t4349 * t14650 - t110 * t139 * (0.8e1 * t11533 * t74257 - 0.12e2 * t74260 * t5847 - 0.2e1 * t40187 * t74176 + 0.44e2 * t74251 * t5955 + 0.1e2 / 0.3e1 * t74270 * t45479 - 0.22e2 / 0.3e1 * t74251 * t5852 - 0.4e1 / 0.3e1 * t2973 * t24881 - 0.2e1 / 0.3e1 * t73979 * t5949 + t14795 * t45506 / 0.18e2 - 0.4e1 * t14806 * t5917 + 0.2e1 * t2969 * t4554 - 0.4e2 * t73979 * t5913 - 0.2e1 / 0.3e1 * t74014 * t1179 + 0.1e2 / 0.3e1 * t14795 * t45554 + 0.4e1 / 0.3e1 * t73955 * t1191 - 0.36e2 * t73967 * t5926 + 0.6e1 * t14806 * t5935 - 0.2e1 * t73955 * t1204 - 0.8e1 * t40184 * t45387 * t73958 - 0.5e1 / 0.3e1 * t40179 * t45378 * t73958 + 0.4e1 / 0.3e1 * t2060 * t1034 * t74151 + 0.8e1 * t8251 * t360 * t74121 - 0.48e2 * t11533 * t1203 * t74117 - t559 * t4543 * t2986 * t4223 + t74432 + t74410 + t74390 + t74369 + t74366 + t74336 + t74303 + t74247 + t74224 + t74195 + t74142 + t74129 + t73998 - t45581 + t45583 - t45331 - t45330 + t45344 - t45322) * t168 / 0.4e1 + t72478 / 0.18e2 - 0.2e1 * t4145 * t74442 * t4176 - t8058 * t5549 * t1021 * t73083 / 0.3e1 + t8058 * t5587 * t73467 / 0.6e1 - t1965 * t1400 * t73165 / 0.3e1 - t1965 * t1400 * t73169 / 0.6e1 + t14608 * t1002 / 0.3e1 + t2942 * t4726 / 0.3e1 + t2942 * t4719 / 0.6e1;
  t74491 = t380 * t14957 * t333;
  t74495 = -t14608 * t997 / 0.3e1 - t2942 * t4699 / 0.3e1 - t2942 * t4683 / 0.6e1 + t73930 * t1438 + t14542 * t6013 + t14542 * t5998 / 0.2e1 + t555 * t987 * t24531 * t2955 / 0.12e2 + t555 * t987 * t4697 * t14756 / 0.6e1 + t555 * t987 * t988 * t167 * t74108 / 0.12e2 + t46011 + t46014 + t8058 * t5549 * t74491 / 0.6e1 + t46029;
  t74498 = t374 * t14540;
  t74508 = t1074 * t14775;
  t74523 = t46031 - 0.23e2 / 0.3e1 * t73433 * t5790 - 0.6e1 * t373 * t74498 * t6037 - t373 * t14974 * t1173 * t1045 / 0.2e1 + t1051 * t14976 / 0.6e1 - t74508 * t1433 - t14776 * t5989 - t14776 * t4662 / 0.2e1 - 0.2e1 / 0.9e1 * t72505 + t72507 / 0.9e1 - t318 * t14882 / 0.2e1 + t2048 * t8478 / 0.3e1 + t555 * t39874 / 0.3e1 + t555 * t39332 / 0.6e1;
  t74534 = t168 * t73958;
  t74539 = t4161 * t20552 * t333;
  t74543 = t4161 * t20478 * t333;
  t74553 = -t8106 * t11687 / 0.3e1 - t8110 * t11687 / 0.3e1 - t1965 * t56071 / 0.3e1 - t555 * t39803 / 0.6e1 - t46064 + t46066 + t46073 - 0.5e1 / 0.6e1 * t8058 * t30214 * t74534 - t4145 * t8374 * t74539 + t5535 * t8374 * t74543 - t555 * t39772 / 0.6e1 - t555 * t39766 / 0.3e1 + 0.6e1 * t373 * t72961 * t44981;
  t74573 = -0.6e1 * t8201 * t8503 - 0.3e1 * t72816 * t5623 * t4381 * t72817 - 0.3e1 * t72946 * t73520 - t8090 * t56512 - 0.2e1 * t73272 * t45128 + 0.3e1 * t40761 * t8500 + 0.3e1 * t2030 * t8519 - 0.6e1 * t25375 * t72961 * t44966 - t46078 - t72514 / 0.3e1 - t46085 + t46087 - t46089;
  t74584 = -t46091 - t46102 + t46111 + t2251 + t46127 - t1165 * t2993 / 0.4e1 - t72516 / 0.6e1 - t46134 - t46142 - 0.11e2 / 0.9e1 * t72838 * t45245 + 0.2e1 / 0.3e1 * t73176 * t24127 + 0.2e1 * t72971 * t5592 - t46148;
  t74589 = t1031 * t14533;
  t74593 = -t46149 + t8058 * t57924 + t373 * t73539 * t1094 / 0.2e1 - 0.18e2 * t1030 * t74589 * t5654 - t46163 - t46165 - t46167 - t46169 + t46171 - t46209 - t46210 - t9463 + t46263 + t46274;
  t74604 = t987 * t73718 * t995;
  t74608 = t5640 * t73513;
  t74615 = t29442 * t4393 * t72817;
  t74618 = -t46276 - t72534 / 0.9e1 - t72536 / 0.9e1 + 0.2e1 / 0.9e1 * t72538 - 0.4e1 / 0.9e1 * t72540 - t72542 / 0.3e1 - t46290 + t46293 + t338 * t74604 / 0.12e2 + t2030 * t8314 + 0.14e2 / 0.3e1 * t24273 * t74608 + 0.3e1 / 0.2e1 * t4395 * t14554 * t25269 + 0.8e1 * t46394 * t74615;
  t74647 = t2939 * t994;
  t74648 = t1021 * t74647;
  t74654 = t4137 * t380 * t3035 * t994;
  t74660 = t4143 * t73253;
  t74664 = 0.3e1 / 0.2e1 * t373 * t14554 * t25247 + 0.2e1 / 0.3e1 * t8052 * t9270 * t74534 - t8052 * t4137 * t74491 / 0.3e1 - 0.5e1 / 0.12e2 * t8058 * t29911 * t74534 - t8055 * t9270 * t380 * t14957 * t994 / 0.3e1 + t11381 * t29911 * t73132 / 0.2e1 - t11381 * t57017 + 0.11e2 / 0.18e2 * t11381 * t29517 * t73132 - 0.23e2 / 0.36e2 * t11381 * t29498 * t1021 * t73131 - 0.35e2 / 0.3e1 * t29011 * t29517 * t74648 + t4136 * t74654 / 0.12e2 - 0.6e1 * t4145 * t73107 * t1412 + 0.14e2 / 0.3e1 * t29011 * t10485 * t74660;
  t74671 = t380 * t73187;
  t74687 = t46307 + t46308 + 0.55e2 / 0.18e2 * t72838 * t45226 - 0.22e2 / 0.9e1 * t11381 * t10485 * t72855 - 0.2e1 / 0.3e1 * t8058 * t5591 * t74671 + 0.4e1 * t11369 * t5591 * t72855 + 0.4e1 / 0.3e1 * t8058 * t5587 * t73245 + 0.3e1 * t56196 * t8383 - t72558 / 0.3e1 + t71723 - t46322 - t46323 + t8058 * t5587 * t74491 / 0.3e1;
  t74716 = t71725 - t72565 / 0.3e1 + 0.2e1 / 0.9e1 * t72567 - 0.2e1 * t11372 * t5582 * t72855 + 0.2e1 * t4349 * t15011 - t373 * t8317 * t15003 / 0.2e1 - t373 * t1940 * t985 * t348 * t74108 / 0.4e1 + t2942 * t4710 / 0.3e1 + 0.2e1 / 0.3e1 * t8423 * t11682 + 0.2e1 / 0.3e1 * t8427 * t11682 + 0.2e1 / 0.3e1 * t1958 * t56929 + t1958 * t56932 / 0.3e1 - 0.2e1 / 0.3e1 * t8058 * t58045 + t8058 * t56705;
  t74743 = 0.2e1 / 0.3e1 * t8052 * t5582 * t74671 - t73279 * t5583 + 0.6e1 * t5540 * t8220 * t356 * t72854 - 0.2e1 / 0.3e1 * t8052 * t4137 * t73245 + t71731 + t73574 * t1023 / 0.3e1 + 0.2e1 / 0.3e1 * t14586 * t4438 + t40137 * t570 / 0.2e1 + t373 * t73565 * t1094 - t73545 * t1090 / 0.6e1 - t72575 / 0.6e1 - t72577 / 0.3e1 - t72579 / 0.6e1;
  t74749 = t110 * t2969;
  t74768 = -t72582 / 0.6e1 - t72584 / 0.6e1 + t46451 + 0.2e1 * t11369 * t5553 * t72855 - t74749 * t4140 / 0.3e1 - t72586 / 0.6e1 + 0.2e1 * t8360 * t57978 - t1056 * t14999 / 0.2e1 - t1056 * t15004 / 0.2e1 - t373 * t39422 * t3014 / 0.4e1 - t4457 * t3015 / 0.2e1 - t1078 * t14999 / 0.2e1 - t1078 * t15004 / 0.2e1;
  t74801 = t4706 * t3013 * t994;
  t74804 = -t4462 * t3015 / 0.4e1 - t2947 * t24566 / 0.2e1 + 0.6e1 * t73433 * t5636 + t14586 * t4687 / 0.3e1 + t2947 * t25516 / 0.3e1 + t2947 * t25569 / 0.6e1 - t46493 - 0.2e1 / 0.3e1 * t8052 * t57132 + t8058 * t56818 / 0.2e1 - 0.2e1 * t5540 * t2056 * t4543 * t73958 - 0.2e1 / 0.3e1 * t24164 * t5549 * t4143 * t40160 * t2954 + 0.5e1 / 0.3e1 * t24164 * t29911 * t1021 * t14891 * t994 + t4145 * t8070 * t74801;
  t74809 = t985 * t3013 * t333;
  t74837 = 0.2e1 * t4145 * t14701 * t30326 + t4145 * t8353 * t74809 - t318 * t14905 + 0.3e1 * t5535 * t14639 * t29990 - 0.2e1 * t8058 * t5549 * t4143 * t56816 - 0.3e1 * t4145 * t14639 * t29995 - t110 * t2992 * t1146 / 0.4e1 - t1165 * t2998 / 0.2e1 + t46507 + t1078 * t14971 + t1056 * t14971 + t373 * t72933 * t1094 / 0.2e1 - t1075 * t14976 / 0.6e1 - t1084 * t14976 / 0.12e2;
  t74843 = t29110 * t72947;
  t74867 = 0.2e1 / 0.9e1 * t72599 + t72601 / 0.9e1 + 0.47e2 / 0.3e1 * t46394 * t74843 - 0.3e1 * t373 * t14550 * t5808 - 0.28e2 * t46420 * t72948 + t8360 * t56254 - t555 * t39246 / 0.3e1 + 0.18e2 * t373 * t74589 * t5659 + t2043 * t8478 / 0.3e1 - t40050 * t14947 / 0.3e1 - t39192 * t14951 / 0.3e1 + t39224 * t14954 / 0.6e1 + t39192 * t14959 / 0.6e1;
  t74899 = -0.5e1 / 0.18e2 * t72838 * t44816 - t8058 * t5553 * t74671 / 0.3e1 + t72971 * t5568 + t73176 * t24235 / 0.3e1 - 0.5e1 / 0.9e1 * t11381 * t10458 * t72855 + 0.25e2 / 0.36e2 * t72838 * t44840 - t8055 * t46515 * t14950 / 0.3e1 + t8058 * t29795 * t14578 / 0.6e1 + t8055 * t24237 * t14958 / 0.6e1 + t39229 * t14954 / 0.6e1 + t39195 * t14959 / 0.6e1 - t8052 * t24237 * t14578 / 0.3e1 - t40052 * t14947 / 0.3e1;
  t74903 = t3035 * t193;
  t74916 = t11448 * t8358;
  t74926 = -t39195 * t14951 / 0.3e1 - t4145 * t74903 * t336 * t1100 / 0.4e1 + 0.3e1 * t5540 * t8223 * t4549 * t73131 - 0.3e1 * t5559 * t8223 * t4408 * t73131 - 0.6e1 * t4145 * t74916 * t5659 + 0.6e1 * t5535 * t74916 * t5654 - 0.4e1 * t11369 * t5553 * t56119 + t46526 + t46529 - t46538 - t46540 - t46543 - t46547;
  t74945 = t46548 + t46566 + t46567 - t46568 + t46569 - t2947 * t24432 / 0.6e1 - t73574 * t1016 / 0.6e1 - t14586 * t4352 / 0.3e1 - t14586 * t4490 / 0.6e1 - t2947 * t24418 / 0.12e2 + t2947 * t24435 / 0.3e1 + t1051 * t14621 / 0.6e1 + t46572 + 0.5e1 / 0.2e1 * t5540 * t2060 * t24962 * t73958;
  t74967 = t4146 * t2940;
  t74980 = -0.5e1 / 0.2e1 * t5559 * t2060 * t24823 * t73958 + t46623 + t72636 / 0.3e1 + t72638 / 0.3e1 + t72640 / 0.3e1 - t110 * t8299 * t584 / 0.2e1 - 0.4e1 * t52065 * t5553 * t74660 - 0.2e1 * t4145 * t8353 * t15008 + 0.22e2 / 0.3e1 * t52065 * t5549 * t74648 + t4145 * t74967 * t1100 + 0.2e1 * t5540 * t2056 * t1182 * t72841 + t8058 * t29791 * t14578 / 0.3e1 + t8058 * t5587 * t73214 / 0.3e1;
  t75016 = t39229 * t14579 / 0.3e1 + t39224 * t14579 / 0.3e1 - 0.11e2 / 0.9e1 * t11381 * t56144 - t11369 * t5587 * t73132 + t8055 * t4137 * t380 * t1145 * t2954 / 0.12e2 - t8055 * t9270 * t168 * t73369 / 0.6e1 + t8058 * t5549 * t73467 / 0.12e2 + 0.5e1 / 0.36e2 * t11381 * t29498 * t73132 + t39192 * t8076 / 0.3e1 + 0.2e1 / 0.3e1 * t40050 * t11739 + 0.2e1 * t5535 * t74442 * t4171 + 0.15e2 / 0.2e1 * t29011 * t29498 * t4403 * t74647 + t72650 / 0.18e2;
  t75031 = t72652 / 0.18e2 - t72654 / 0.18e2 - 0.5e1 / 0.54e2 * t72656 + 0.2e1 / 0.9e1 * t72658 - t72660 / 0.9e1 + 0.2e1 / 0.9e1 * t72662 - 0.2e1 / 0.9e1 * t72664 + 0.4e1 / 0.9e1 * t72666 - t72668 / 0.9e1 - t72670 / 0.9e1 + t72672 / 0.9e1 - t72674 / 0.9e1 - t72676 / 0.9e1;
  t75057 = t1000 * t39868 * t1948;
  t75062 = -0.11e2 / 0.18e2 * t14535 * t46609 + 0.23e2 / 0.36e2 * t14535 * t46620 - 0.2e1 * t14542 * t4248 + 0.4e1 / 0.3e1 * t4245 * t1400 * t8182 * t39182 + 0.44e2 / 0.27e2 * t73272 * t46592 - 0.61e2 / 0.27e2 * t73272 * t46612 - 0.11e2 / 0.9e1 * t14535 * t46604 + t8184 * t1954 + t2030 * t8330 / 0.2e1 + t2030 * t8368 - t1075 * t14643 / 0.3e1 - t1084 * t14643 / 0.6e1 - t338 * t75057 / 0.3e1 + 0.5e1 / 0.3e1 * t73433 * t6001;
  t75069 = my_piecewise3(t100, 0, t75062 + t75031 + t75016 + t74980 + t74945 + t74926 + t74899 + t74867 + t74837 + t74804 + t74768 + t74743 + t74716 + t74687 + t74664 + t74618 + t74593 + t74584 + t74573 + t74553 + t74523 + t74495 + t74465 + t73948 + t73916 + t73903 + t73893 + t73872 + t73847 + t73826 + t73821 + t73789 + t73762 + t73740 + t73723 + t73706 + t73646 + t73617 + t73588 + t73560 + t73525 + t73486 + t73448 + t73422 + t73381 + t73343 + t73328 + t73308 + t73283 + t73241 + t73196 + t73160 + t73128 + t73097 + t73060 + t73023 + t72988 + t72943 + t72909 + t72873 + t72835 + t72797 + t72776 + t72766);
  tv4rho2tau28 = t3 * t75069 + 0.2e1 * t15034;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 8] += tv4rho2tau28;

  t75073 = t2084 * t414;
  t75074 = t635 * t75073;
  t75075 = t4765 * t75074;
  t75076 = t52652 * t75075;
  t75079 = t3123 * t42928 * t2323;
  t75082 = t4779 * t8874 * t8621;
  t75084 = t4779 * t2118 * t8626;
  t75089 = t41642 * t15677;
  t75093 = t2084 * t2105;
  t75095 = t4760 * t635 * t75093;
  t75096 = t21878 * t75095;
  t75097 = 0.2e1 / 0.3e1 * t75096;
  t75099 = t3123 * t42656 * t2166;
  t75100 = t75099 / 0.2e1;
  t75101 = t22051 * t8625;
  t75105 = t2090 * t2105;
  t75106 = t635 * t75105;
  t75113 = 0.3e1 / 0.2e1 * t41476 * t8622 - 0.6e1 * t75076 - 0.3e1 / 0.2e1 * t75079 + t75082 + t75084 + t9061 * t15058 / 0.4e1 + 0.3e1 / 0.2e1 * t41476 * t8627 - t21878 * t75089 - 0.3e1 / 0.4e1 * t25662 * t8618 - t75097 - t75100 + 0.9e1 / 0.2e1 * t4779 * t2125 * t75101 - 0.7e1 * t27523 * t26140 * t75106 - 0.3e1 / 0.2e1 * t3123 * t42311 * t15103;
  t75114 = t41479 * t10042;
  t75116 = t41479 * t9767;
  t75118 = t1267 * t15091 / 0.36e2;
  t75120 = t1267 * t15062 / 0.12e2;
  t75124 = t15042 * t667;
  t75125 = t22055 * t75124;
  t75129 = t2105 * t8840;
  t75130 = t3430 * t75129;
  t75133 = t414 * t15042;
  t75135 = t26082 * t635 * t75133;
  t75141 = t15042 * t206;
  t75142 = t95 * t75141;
  t75143 = t8642 * t75142;
  t75146 = t674 * t15129;
  t75151 = t4844 * t642 * t8690;
  t75156 = -t75114 / 0.4e1 + t75116 + t75118 + t75120 + t41449 * t8639 + 0.2e1 / 0.3e1 * t41441 * t8644 - 0.3e1 / 0.2e1 * t4779 * t421 * t75125 + t4779 * t421 * t75130 + 0.2e1 / 0.3e1 * t21878 * t75135 + t3123 * t4775 * t15044 / 0.2e1 + t4792 * t75143 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t75146 * t3660 - 0.9e1 / 0.2e1 * t8760 * t75151 + 0.9e1 / 0.2e1 * t15239 * t20732;
  t75158 = t645 * t15245;
  t75164 = t191 * t3512 * t206 * t21719;
  t75165 = t94 * t15128;
  t75166 = t244 * t75165;
  t75170 = t674 * t15133;
  t75174 = t3474 * t8724;
  t75178 = t3548 * t15125;
  t75179 = t75178 / 0.2e1;
  t75180 = t15128 * t21185;
  t75182 = t191 * t21182 * t75180;
  t75183 = t26069 * t9104;
  t75192 = t3658 * t15237;
  t75198 = t191 * t21182 * t206 * t21185;
  t75203 = t30 * t41898 * t10098;
  t75205 = t42161 * t10091;
  t75207 = t2105 * t1272;
  t75208 = t3409 * t75207;
  t75212 = 0.6e1 * t246 * t75158 * t3186 - 0.28e2 * t75164 * t4838 * t75166 - 0.3e1 * t246 * t75170 * t3508 + 0.9e1 / 0.2e1 * t246 * t8764 * t75174 - t75179 - 0.43e2 / 0.9e1 * t75182 * t75183 - 0.3e1 / 0.2e1 * t15239 * t20707 - 0.3e1 * t5073 * t8726 + 0.3e1 * t5073 * t8734 - 0.9e1 / 0.2e1 * t246 * t75192 * t21437 + 0.47e2 / 0.3e1 * t75198 * t26835 * t75166 - 0.3e1 / 0.2e1 * t75203 - t75205 / 0.2e1 - 0.3e1 * t4779 * t1321 * t75208;
  t75214 = t3250 * t755 * t2106;
  t75217 = t3250 * t244 * t8841;
  t75232 = t26105 * t1228;
  t75238 = t1227 * t1291 * t8690;
  t75241 = t4831 * t8691;
  t75244 = t15128 * t21719;
  t75246 = t191 * t3512 * t75244;
  t75253 = -t2098 * t75214 - t2098 * t75217 + t768 * t15045 / 0.2e1 + t757 * t15045 / 0.2e1 + t246 * t4978 * t15044 / 0.2e1 - t1278 * t15050 / 0.6e1 + 0.7e1 * t8760 * t26181 - 0.7e1 * t15239 * t20753 + 0.89e2 / 0.9e1 * t75182 * t75232 + 0.7e1 / 0.3e1 * t15239 * t20715 + 0.2e1 * t1218 * t75238 - 0.3e1 / 0.2e1 * t8760 * t75241 + 0.6e1 * t75246 * t8996 - 0.3e1 / 0.2e1 * t8795 * t8704 - t2093 * t5054 / 0.2e1;
  t75258 = t41043 * t1221;
  t75259 = t1227 * t75258;
  t75264 = t8776 * t8704;
  t75266 = t2087 * t5054;
  t75270 = t642 * t75165;
  t75271 = t4844 * t75270;
  t75277 = t27475 * t8643;
  t75281 = t4760 * t3121 * t8634;
  t75283 = t3430 * t75141;
  t75286 = t4770 * t8635;
  t75290 = t4760 * t635 * t75207;
  t75294 = t26082 * t635 * t8625;
  t75297 = 0.3e1 / 0.2e1 * t8754 * t8709 - t1218 * t75259 / 0.4e1 - t417 * t42850 / 0.4e1 + t75264 / 0.2e1 + t75266 / 0.4e1 - t2098 * t27189 / 0.2e1 + 0.18e2 * t75164 * t75271 + 0.3e1 * t644 * t75170 * t3504 - 0.3e1 / 0.2e1 * t41438 * t75277 - t41438 * t75281 - t4779 * t1315 * t75283 + t41438 * t75286 / 0.2e1 - 0.2e1 * t4753 * t75290 + 0.3e1 * t41438 * t75294;
  t75298 = t95 * t75207;
  t75299 = t4770 * t75298;
  t75307 = t3474 * t3447 * t1272;
  t75318 = t246 * t8741 * t9121;
  t75320 = t768 * t15118;
  t75321 = t75320 / 0.2e1;
  t75322 = t757 * t15118;
  t75323 = t75322 / 0.2e1;
  t75325 = t1267 * t15050 / 0.18e2;
  t75326 = t5044 * t8690;
  t75327 = t1220 * t75326;
  t75332 = t4838 * t8703;
  t75337 = t4753 * t75299 - 0.3e1 * t644 * t75146 * t3685 + 0.3e1 / 0.2e1 * t1293 * t9027 + 0.9e1 / 0.2e1 * t3680 * t8764 * t75307 - 0.9e1 / 0.2e1 * t3680 * t75192 * t21081 + 0.3e1 / 0.2e1 * t3680 * t75146 * t3681 - 0.3e1 / 0.2e1 * t75318 - t75321 - t75323 - t75325 - t1218 * t75327 + 0.3e1 * t8754 * t8986 + t2098 * t26053 - 0.11e2 / 0.6e1 * t8760 * t75332 - t1283 * t15050 / 0.6e1;
  t75340 = t3139 * t3279 * t15048;
  t75343 = t4844 * t8691;
  t75350 = t26069 * t1222;
  t75354 = t3474 * t3401 * t1272;
  t75363 = t26835 * t1222;
  t75372 = t3130 * t253 * t276 * t15088;
  t75375 = t3130 * t75298;
  t75380 = -t417 * t75340 / 0.6e1 - 0.5e1 / 0.12e2 * t8760 * t75343 + 0.5e1 / 0.3e1 * t75246 * t8786 + 0.5e1 / 0.12e2 * t15239 * t21057 - 0.35e2 / 0.108e3 * t75182 * t75350 - 0.9e1 * t644 * t8764 * t75354 + 0.9e1 * t644 * t75192 * t21535 + 0.3e1 / 0.2e1 * t15239 * t21551 - 0.38e2 / 0.9e1 * t75182 * t75363 - t15239 * t21554 / 0.2e1 - 0.5e1 / 0.36e2 * t15239 * t21060 + t4789 * t75372 / 0.12e2 - 0.2e1 / 0.3e1 * t4792 * t75375 - t41441 * t8636 / 0.3e1;
  t75381 = t41642 * t8630;
  t75384 = t25657 * t8635;
  t75387 = t26082 * t8643;
  t75390 = t25739 * t8630;
  t75393 = t4760 * t8635;
  t75396 = t25657 * t8630;
  t75399 = t41479 * t9763;
  t75400 = t15088 * t206;
  t75401 = t95 * t75400;
  t75402 = t3130 * t75401;
  t75405 = t15088 * t667;
  t75407 = t8642 * t95 * t75405;
  t75410 = t4760 * t75401;
  t75413 = t3430 * t427;
  t75414 = t75413 * t8643;
  t75417 = t757 * t15115;
  t75423 = t4753 * t75381 / 0.4e1 + t4789 * t75384 / 0.4e1 - 0.3e1 / 0.4e1 * t41438 * t75387 + 0.5e1 / 0.12e2 * t41145 * t75390 + t41438 * t75393 / 0.4e1 - t4792 * t75396 / 0.2e1 + t75399 - t4792 * t75402 / 0.6e1 - t4789 * t75407 / 0.6e1 + t4753 * t75410 / 0.12e2 - t4789 * t75414 / 0.2e1 - 0.3e1 / 0.2e1 * t75417 + t768 * t15108 + t757 * t15108 + t246 * t9113 * t9012;
  t75427 = t3430 * t75405;
  t75431 = t414 * t15088;
  t75433 = t4760 * t635 * t75431;
  t75445 = t4760 * t75106;
  t75449 = t8673 * t1288 / 0.6e1;
  t75450 = t8665 * t1288;
  t75451 = t75450 / 0.12e2;
  t75453 = t1267 * t9098 / 0.12e2;
  t75454 = t3548 * t15256;
  t75459 = t764 * t15238;
  t75464 = t4779 * t421 * t75427 / 0.2e1 - t21878 * t75433 / 0.3e1 - t3123 * t4775 * t15111 / 0.4e1 - 0.3e1 * t4779 * t8881 * t8621 - 0.2e1 * t4779 * t2121 * t8626 + 0.16e2 / 0.3e1 * t52652 * t75445 + t75449 - t75451 - t75453 + t75454 + 0.3e1 / 0.4e1 * t42727 * t432 + 0.3e1 / 0.4e1 * t42732 * t432 - t75459 * t3665 / 0.2e1 - t15239 * t21859 / 0.2e1;
  t75479 = t2087 * t8810;
  t75480 = t75479 / 0.6e1;
  t75481 = t2087 * t8843;
  t75482 = t75481 / 0.6e1;
  t75485 = t819 * t75207;
  t75489 = t41479 * t9771;
  t75491 = t21225 * t8608;
  t75495 = 0.7e1 / 0.3e1 * t75459 * t3668 + 0.7e1 / 0.3e1 * t15239 * t21674 + t9061 * t5068 + t2098 * t25801 + 0.3e1 / 0.2e1 * t5126 * t2170 + 0.3e1 / 0.2e1 * t21706 * t15231 + 0.3e1 / 0.2e1 * t21711 * t15231 - 0.3e1 * t3530 * t15234 + t75480 + t75482 + t3123 * t42315 * t2166 + 0.2e1 * t4779 * t1315 * t75485 - t75489 / 0.2e1 + 0.9e1 * t4738 * t8861 * t75491;
  t75497 = t26140 * t8630;
  t75500 = t25739 * t8609;
  t75503 = t43310 * t8630;
  t75506 = t4770 * t75401;
  t75512 = t4844 * t5071 * t15571;
  t75526 = t4844 * t8714;
  t75531 = 0.11e2 / 0.6e1 * t41145 * t75497 - 0.23e2 / 0.12e2 * t41145 * t75500 + t4753 * t75503 / 0.2e1 + t4753 * t75506 / 0.6e1 - t182 * t15209 / 0.4e1 - 0.9e1 / 0.2e1 * t69444 * t75512 - 0.3e1 / 0.2e1 * t5073 * t9117 + 0.3e1 * t1293 * t9022 - 0.2e1 * t2098 * t27436 + t2098 * t27144 - 0.6e1 * t8754 * t8715 - 0.11e2 / 0.18e2 * t15239 * t21892 + 0.23e2 / 0.12e2 * t8760 * t75526 - 0.23e2 / 0.12e2 * t15239 * t20848;
  t75533 = t8642 * t95 * t75129;
  t75536 = t26082 * t75142;
  t75541 = t8642 * t253 * t276 * t15042;
  t75550 = t3658 * t75244;
  t75554 = t5073 * t9042;
  t75556 = t1293 * t9031;
  t75564 = t4844 * t8989;
  t75567 = t8783 * t8986;
  t75569 = t8783 * t8990;
  t75570 = -t4789 * t75533 / 0.3e1 - t4753 * t75536 / 0.6e1 - t4789 * t75541 / 0.6e1 + 0.9e1 / 0.2e1 * t25931 * t8772 - 0.9e1 * t5073 * t9039 + 0.3e1 / 0.2e1 * t9070 * t1240 - 0.18e2 * t246 * t75550 * t8765 - 0.3e1 / 0.2e1 * t75554 + 0.3e1 / 0.2e1 * t75556 - 0.3e1 / 0.2e1 * t42538 * t1235 + 0.22e2 / 0.3e1 * t75246 * t8761 - 0.23e2 / 0.3e1 * t75246 * t8993 + 0.23e2 / 0.12e2 * t8760 * t75564 - t75567 / 0.2e1 + t75569;
  t75573 = t768 * t15115;
  t75582 = t3250 * t8809;
  t75586 = t593 * t15045 / 0.6e1;
  t75588 = t8668 * t15040 / 0.3e1;
  t75590 = t8668 * t15036 / 0.6e1;
  t75591 = -0.3e1 / 0.2e1 * t75573 + 0.9e1 / 0.2e1 * t246 * t9124 * t9121 - 0.6e1 * t246 * t247 * t15245 * t1246 + t2098 * t75582 / 0.4e1 + t75586 - t75588 + t75590 + t15097 + t15099 - t15101 - t15117 - t15120 - t15127 + t2160;
  t75592 = t41479 * t9758;
  t75594 = t3409 * t75400;
  t75599 = t4738 * t41985 * t47289;
  t75602 = t4779 * t41985 * t9882;
  t75605 = t4738 * t8854 * t42625;
  t75608 = t1227 * t75326;
  t75613 = t4844 * t8703;
  t75627 = t4779 * t8854 * t8647;
  t75628 = -0.2e1 * t75592 - t4779 * t1321 * t75594 / 0.2e1 + 0.9e1 * t75599 - 0.9e1 * t75602 + t75605 + t15247 * t3308 / 0.2e1 - t1218 * t75608 / 0.2e1 + t2098 * t26883 / 0.2e1 - 0.5e1 / 0.12e2 * t8760 * t75613 - t2098 * t26906 / 0.4e1 + t2093 * t5046 / 0.2e1 + 0.3e1 / 0.2e1 * t8754 * t8848 - t15247 * t3272 + t1218 * t1227 * t9068 * t1221 - t75627;
  t75634 = t2084 * t206;
  t75635 = t3448 * t75634;
  t75637 = t9873 * t5178 * t75635;
  t75639 = t3402 * t75634;
  t75641 = t4738 * t5178 * t75639;
  t75643 = t21220 * t8608;
  t75647 = t22070 * t8625;
  t75654 = t9056 * t1288;
  t75656 = t2087 * t5140;
  t75659 = t593 * t15219 / 0.2e1;
  t75668 = 0.3e1 / 0.2e1 * t42187 * t8615 - 0.3e1 / 0.2e1 * t41476 * t8648 + 0.9e1 / 0.2e1 * t75637 - 0.9e1 * t75641 - 0.9e1 / 0.2e1 * t9873 * t8861 * t75643 - 0.9e1 / 0.2e1 * t4738 * t2125 * t75647 - 0.6e1 * t644 * t75158 * t3181 - t75654 / 0.4e1 - t75656 / 0.4e1 + t75659 - 0.3e1 / 0.2e1 * t75459 * t3673 - 0.3e1 / 0.2e1 * t15239 * t21678 - 0.3e1 / 0.2e1 * t25888 * t2154 - 0.3e1 / 0.2e1 * t27129 * t2154;
  t75682 = t8668 * t5102 / 0.12e2;
  t75683 = t592 * t15246;
  t75685 = t75683 * t752 / 0.6e1;
  t75687 = t8668 * t5068 / 0.3e1;
  t75688 = t592 * t15238;
  t75690 = 0.7e1 / 0.9e1 * t75688 * t3668;
  t75691 = t2084 * t667;
  t75692 = t3375 * t75691;
  t75694 = t4738 * t1321 * t75692;
  t75696 = t673 * t75326;
  t75698 = t247 * t15259;
  t75703 = t191 * t616 * t43667;
  t75704 = t1227 * t75166;
  t75711 = 0.3e1 / 0.2e1 * t5105 * t2170 + 0.3e1 / 0.4e1 * t9070 * t1274 - 0.3e1 * t768 * t15283 - 0.3e1 * t757 * t15283 + 0.3e1 / 0.2e1 * t768 * t15286 + 0.3e1 / 0.2e1 * t757 * t15286 - t75682 + t75685 + t75687 + t75690 + 0.3e1 * t75694 + t1259 * t75696 - 0.3e1 / 0.2e1 * t246 * t75698 * t730 + 0.12e2 * t75703 * t75704 + 0.3e1 / 0.2e1 * t246 * t674 * t15142 * t3643;
  t75716 = t41503 * t2271;
  t75718 = t8783 * t9891;
  t75720 = t8783 * t8848;
  t75722 = t41034 * t2271;
  t75723 = t75722 / 0.12e2;
  t75726 = t768 * t15215;
  t75728 = t757 * t15215;
  t75731 = t246 * t9030 * t9021;
  t75737 = t8668 * t15058 / 0.12e2;
  t75739 = t3548 * t15055 / 0.2e1;
  t75743 = t5143 * t2167 / 0.4e1;
  t75744 = t593 * t15118;
  t75745 = t75744 / 0.6e1;
  t75746 = -t75716 / 0.4e1 - t75718 / 0.4e1 - t75720 / 0.4e1 - t75723 + 0.3e1 / 0.4e1 * t9070 * t1255 + 0.3e1 / 0.2e1 * t75726 + 0.3e1 / 0.2e1 * t75728 + 0.3e1 / 0.2e1 * t75731 - 0.9e1 * t246 * t8729 * t9021 + t75737 + t75739 - 0.4e1 / 0.3e1 * t41436 * t8631 - t75743 - t75745;
  t75747 = t593 * t15115;
  t75748 = t75747 / 0.2e1;
  t75750 = t593 * t15112 / 0.12e2;
  t75752 = t593 * t15108 / 0.3e1;
  t75753 = t1293 * t8746;
  t75755 = t1293 * t8750;
  t75757 = t3375 * t75207;
  t75762 = t10037 * t3671 * t75073;
  t75763 = t27523 * t75762;
  t75766 = t4748 * t4750 * t15124;
  t75768 = -t75748 - t75750 + t75752 - 0.3e1 / 0.4e1 * t75753 + 0.3e1 / 0.4e1 * t75755 + t8659 + t8662 - t8667 + t8683 - t15213 + t15214 + 0.3e1 * t4738 * t1321 * t75757 - 0.9e1 / 0.2e1 * t75763 - 0.3e1 / 0.2e1 * t75766;
  t75772 = t5143 * t2158;
  t75773 = t75772 / 0.4e1;
  t75775 = t41530 * t432 / 0.4e1;
  t75781 = t660 * t3279 * t15089;
  t75787 = t30 * t41794;
  t75788 = t75787 * t10055;
  t75791 = t4779 * t41794 * t9867;
  t75794 = t25739 * t3671 * t75105;
  t75801 = t4779 * t41898 * t9736;
  t75804 = t4779 * t8874 * t9740;
  t75806 = t819 * t75400;
  t75810 = -0.3e1 * t3537 * t15234 + t75773 + t75775 + t1278 * t15091 / 0.12e2 + t1283 * t15091 / 0.12e2 + t417 * t75781 / 0.12e2 - 0.8e1 * t4738 * t8857 * t42625 - 0.3e1 / 0.2e1 * t75788 + 0.9e1 / 0.2e1 * t75791 + 0.9e1 / 0.2e1 * t27523 * t75794 + 0.3e1 / 0.2e1 * t4748 * t42311 * t15054 + 0.9e1 / 0.2e1 * t75801 + 0.3e1 / 0.2e1 * t75804 + t4779 * t1315 * t75806 / 0.2e1;
  t75811 = t4760 * t75298;
  t75815 = t4779 * t8854 * t10079;
  t75817 = t10058 * t75074;
  t75818 = t27523 * t75817;
  t75821 = t3123 * t42934 * t2331;
  t75826 = t3375 * t75400;
  t75830 = t22070 * t75141;
  t75833 = t22051 * t75141;
  t75836 = t27475 * t75142;
  t75839 = t75787 * t10072;
  t75841 = t75787 * t10048;
  t75843 = t22070 * t8608;
  t75847 = t26082 * t8630;
  t75852 = t30 * t41985;
  t75853 = t75852 * t10067;
  t75855 = t4753 * t75811 / 0.2e1 - 0.3e1 * t75815 + 0.7e1 * t75818 + 0.3e1 / 0.2e1 * t75821 + 0.8e1 * t4779 * t8857 * t8647 + t4738 * t1321 * t75826 / 0.2e1 - t4738 * t1321 * t75830 + t4779 * t1321 * t75833 - t4753 * t75836 / 0.3e1 - 0.11e2 / 0.6e1 * t75839 + 0.23e2 / 0.12e2 * t75841 - 0.9e1 / 0.2e1 * t4779 * t8861 * t75843 + 0.3e1 / 0.2e1 * t41145 * t75847 - 0.8e1 / 0.3e1 * t41436 * t8651 + 0.3e1 * t75853;
  t75858 = t41479 * t8651;
  t75859 = t75858 / 0.3e1;
  t75867 = t3171 * t633 * t8840;
  t75871 = t4831 * t8703;
  t75877 = t1220 * t75258;
  t75880 = t26105 * t1222;
  t75883 = t26069 * t1228;
  t75896 = t75859 - 0.3e1 * t1293 * t9024 + 0.3e1 / 0.2e1 * t3530 * t15055 + 0.3e1 / 0.2e1 * t3537 * t15055 + 0.3e1 / 0.2e1 * t644 * t8733 * t75867 - 0.3e1 / 0.2e1 * t8760 * t75871 + 0.7e1 * t8760 * t4838 * t8989 - t1218 * t75877 / 0.2e1 - 0.61e2 / 0.27e2 * t75182 * t75880 + 0.44e2 / 0.27e2 * t75182 * t75883 + 0.9e1 * t5073 * t8730 - 0.9e1 * t1293 * t9034 - 0.18e2 * t3680 * t75550 * t8771 + 0.36e2 * t644 * t75550 * t9038;
  t75898 = t191 * t616 * t15237;
  t75901 = t645 * t15237;
  t75908 = t41034 * t2282;
  t75909 = t75908 / 0.3e1;
  t75910 = t3172 * t8842;
  t75915 = t8668 * t5064 / 0.6e1;
  t75917 = 0.5e1 / 0.108e3 * t75688 * t3602;
  t75918 = t3548 * t15234;
  t75920 = t75688 * t3665 / 0.6e1;
  t75922 = t21784 * t15231 / 0.2e1;
  t75924 = t5143 * t2162 / 0.2e1;
  t75925 = t222 * t15209;
  t75930 = t191 * t242 * t15207 * t243;
  t75935 = -0.6e1 * t75898 * t1223 - 0.18e2 * t644 * t75901 * t1234 + 0.18e2 * t246 * t75901 * t1239 + t75909 + t2098 * t75910 / 0.2e1 - t9061 * t15040 - t75915 - t75917 - t75918 - t75920 + t75922 - t75924 - t211 * t75925 / 0.12e2 + t75930 * t250 / 0.4e1 - 0.5e1 / 0.36e2 * t75459 * t3602;
  t75954 = t246 * t8745 * t9012;
  t75955 = t75954 / 0.2e1;
  t75956 = t673 * t75258;
  t75959 = -0.5e1 / 0.36e2 * t15239 * t21754 - t9061 * t5064 / 0.2e1 - t2098 * t25945 / 0.2e1 - t1278 * t9098 / 0.4e1 - t1283 * t9098 / 0.4e1 - t417 * t43321 / 0.4e1 + 0.3e1 * t3530 * t15256 + 0.3e1 * t3537 * t15256 + t15217 - t8744 - t8748 + t8752 - t75955 + t1259 * t75956 / 0.2e1;
  t75964 = t3530 * t15125;
  t75966 = t3537 * t15125;
  t75969 = t644 * t4932 * t15124;
  t75978 = t75852 * t10094;
  t75980 = t42161 * t10173;
  t75982 = t8783 * t8715;
  t75983 = t417 * t41045 / 0.4e1 - 0.3e1 / 0.4e1 * t1293 * t9013 - 0.3e1 / 0.2e1 * t75964 - 0.3e1 / 0.2e1 * t75966 - 0.3e1 / 0.2e1 * t75969 + 0.9e1 * t644 * t8729 * t8725 - 0.3e1 * t1293 * t9122 + 0.9e1 / 0.2e1 * t1293 * t9125 + 0.3e1 / 0.2e1 * t75978 + t75980 / 0.2e1 + t8778 + t8780 - t8785 - t8790 + t75982;
  t75997 = t8673 * t2108 / 0.9e1;
  t75998 = t41028 * t2268;
  t75999 = t75998 / 0.6e1;
  t76002 = t41012 * t2268;
  t76004 = t8776 * t9828;
  t76006 = t8776 * t8791;
  t76008 = t9056 * t2108;
  t76009 = t76008 / 0.6e1;
  t76019 = t662 * t8740;
  t76021 = 0.4e1 * t76019 * t1246;
  t76022 = t662 * t2085;
  t76024 = 0.2e1 * t76022 * t730;
  t76025 = t3227 * t8781;
  t76027 = 0.4e1 / 0.3e1 * t76025 * t1234;
  t76029 = 0.4e1 * t76025 * t1239;
  t76030 = -t15081 + 0.4e1 * t8819 * t42244 + 0.4e1 * t8825 * t42248 - 0.4e1 / 0.3e1 * t8822 * t42236 + 0.4e1 * t8648 - 0.2e1 * t8825 * t9012 - t76021 - t76024 + t76027 + t15069 + t76029;
  t76031 = t3227 * t8728;
  t76034 = t21461 * t8758;
  t76044 = t8853 * t619;
  t76046 = 0.4e1 * t76044 * t1239;
  t76047 = t2124 * t3415;
  t76050 = t8860 * t3396;
  t76056 = 0.2e1 / 0.3e1 * t8813 * t15124;
  t76059 = -0.24e2 * t76031 * t1239 + 0.32e2 / 0.3e1 * t76034 * t9038 - 0.2e1 / 0.3e1 * t8615 + 0.12e2 * t76034 * t8765 + 0.2e1 * t423 * t9012 - 0.8e1 * t8837 * t9021 - t76046 + 0.24e2 * t76047 * t1239 - 0.12e2 * t76050 * t8765 + 0.4e1 / 0.3e1 * t76050 * t9038 + t76056 + 0.4e1 / 0.3e1 * t8837 * t8725;
  t76073 = t2117 * t740;
  t76075 = 0.4e1 * t76073 * t1246;
  t76077 = 0.2e1 * t2136 * t730;
  t76085 = -0.4e1 * t76047 * t1234 - 0.4e1 / 0.3e1 * t2133 * t3181 + 0.2e2 / 0.9e1 * t76050 * t8771 + 0.8e1 * t2133 * t3186 + 0.2e1 * t1333 * t2166 - 0.4e1 * t8822 * t42223 + t76075 + t76077 + 0.8e1 * t8832 * t9121 - 0.12e2 * t2120 * t619 * t1246 - 0.4e1 * t2139 * t730;
  t76088 = t3227 * t2096;
  t76098 = t662 * t2091;
  t76111 = 0.8e1 * t8822 * t9021 - 0.8e1 * t76088 * t3186 - 0.4e1 * t8622 - 0.4e1 * t8627 - 0.8e1 * t8819 * t9121 + 0.12e2 * t662 * t2096 * t1246 + 0.4e1 * t76098 * t730 - 0.8e1 * t76031 * t1234 + 0.8e1 / 0.3e1 * t8822 * t8725 - 0.8e1 / 0.3e1 * t76088 * t3181 + 0.16e2 / 0.9e1 * t76034 * t8771 - 0.2e1 * t41285 * t2166;
  t76113 = t76030 + t76059 + t76085 + t76111;
  t76116 = t660 * t661 * t94 * t76113;
  t76121 = 0.3e1 * t8754 * t8692 - 0.2e1 * t15247 * t3173 + t15247 * t3176 - t9045 * t2108 / 0.3e1 - t2093 * t8810 / 0.3e1 - t75997 + t75999 - t2093 * t8843 / 0.3e1 + t76002 / 0.2e1 + t76004 / 0.2e1 + t76006 / 0.2e1 + t76009 + t417 * t76116 / 0.12e2 - 0.3e1 / 0.2e1 * t8795 * t8791;
  t76132 = t3250 * t8842;
  t76140 = t660 * t26322 * t2106;
  t76151 = t658 * t221 * t76113;
  t76156 = t42955 * t95 * t75124;
  t76163 = 0.2e1 * t191 * t194 * t15245 * t1260 + t15261 * t670 / 0.2e1 - 0.3e1 * t75898 * t1300 - t15261 * t676 / 0.2e1 + t2098 * t76132 / 0.4e1 + t1278 * t15062 / 0.4e1 + t1283 * t15062 / 0.4e1 + t417 * t76140 / 0.4e1 - t768 * t15112 / 0.4e1 - t757 * t15112 / 0.4e1 - t246 * t4978 * t15111 / 0.4e1 - t246 * t1250 * t76151 / 0.4e1 + t4789 * t76156 / 0.2e1 - 0.3e1 / 0.2e1 * t768 * t15104 - 0.3e1 / 0.2e1 * t757 * t15104;
  t76166 = t3171 * t628 * t8840;
  t76172 = t3172 * t8809;
  t76176 = t593 * t15104 / 0.2e1;
  t76177 = t41034 * t2276;
  t76178 = t76177 / 0.6e1;
  t76179 = t8783 * t8709;
  t76181 = t2087 * t5046;
  t76183 = t41482 * t8636;
  t76184 = t76183 / 0.6e1;
  t76185 = t41479 * t10176;
  t76187 = t75787 * t10039;
  t76189 = t42161 * t8639;
  t76190 = t76189 / 0.3e1;
  t76191 = t41482 * t8644;
  t76192 = t76191 / 0.3e1;
  t76193 = t41479 * t8631;
  t76194 = t76193 / 0.6e1;
  t76197 = -0.3e1 / 0.2e1 * t246 * t8733 * t76166 + t9061 * t15036 / 0.2e1 + t2098 * t76172 / 0.2e1 - t76176 - t76178 - t76179 / 0.4e1 - t76181 / 0.4e1 + t76184 + t76185 / 0.2e1 - 0.5e1 / 0.12e2 * t76187 - t76190 - t76192 + t76194 + 0.3e1 / 0.2e1 * t1293 * t9114;
  t76198 = t1291 * t15571;
  t76199 = t1227 * t76198;
  t76217 = t593 * t15215;
  t76218 = t76217 / 0.2e1;
  t76219 = t26831 * t1222;
  t76224 = t21207 * t75180;
  t76226 = t21191 * t21197 * t206;
  t76231 = t21191 * t21192 * t206;
  t76235 = -0.6e1 * t69182 * t76199 - 0.3e1 / 0.2e1 * t1293 * t9001 - 0.3e1 / 0.4e1 * t5105 * t2167 - 0.3e1 / 0.4e1 * t5126 * t2167 - 0.3e1 / 0.4e1 * t1293 * t9008 - 0.3e1 / 0.2e1 * t9070 * t1247 - 0.3e1 / 0.4e1 * t9070 * t1251 - t30 * t15208 * t277 / 0.4e1 + t76218 + t9033 - t9044 - 0.2e1 * t75182 * t76219 + 0.9e1 / 0.2e1 * t1293 * t8766 - 0.6e1 * t21206 * t76224 * t76226 + 0.18e2 * t3680 * t76224 * t76231;
  t76238 = t21191 * t8770;
  t76242 = t21191 * t9037;
  t76250 = t26069 * t3678 * t1221;
  t76255 = t5105 * t2158;
  t76257 = t5126 * t2158;
  t76260 = t75683 * t630 / 0.3e1;
  t76263 = t592 * t15260 * t223 / 0.6e1;
  t76264 = -0.18e2 * t644 * t76224 * t76238 + 0.6e1 * t246 * t76224 * t76242 - 0.62e2 / 0.3e1 * t75182 * t26105 * t9104 + 0.8e1 * t75182 * t76250 - t9058 - t9060 - t15272 + t15280 - t2089 - t2098 * t25829 / 0.4e1 + 0.3e1 / 0.4e1 * t76255 + 0.3e1 / 0.4e1 * t76257 + t76260 - t76263;
  t76265 = t764 * t15246;
  t76280 = t593 * t15283;
  t76282 = 0.2e1 / 0.3e1 * t75683 * t637;
  t76284 = 0.23e2 / 0.108e3 * t75688 * t3545;
  t76286 = 0.11e2 / 0.54e2 * t75688 * t3517;
  t76288 = t5143 * t2170 / 0.2e1;
  t76294 = t76265 * t630 + t15247 * t3540 - 0.2e1 * t76265 * t637 - 0.2e1 * t15247 * t3577 - 0.11e2 / 0.18e2 * t75459 * t3517 - 0.11e2 / 0.18e2 * t15239 * t22449 + 0.23e2 / 0.36e2 * t75459 * t3545 + 0.23e2 / 0.36e2 * t15239 * t21744 - t76280 - t76282 + t76284 - t76286 + t76288 - t764 * t15260 * t223 / 0.2e1 - t15261 * t612 / 0.2e1;
  t76297 = t27066 * t2154 / 0.2e1;
  t76299 = t75688 * t3673 / 0.2e1;
  t76301 = t593 * t15286 / 0.2e1;
  t76324 = -t76297 - t76299 + t76301 - 0.3e1 / 0.2e1 * t5105 * t2162 - 0.3e1 / 0.2e1 * t5126 * t2162 + 0.3e1 / 0.2e1 * t768 * t15219 + 0.3e1 / 0.2e1 * t757 * t15219 + t9045 * t1288 / 0.2e1 + t2093 * t5140 / 0.2e1 + t76265 * t752 / 0.2e1 + t15247 * t3599 / 0.2e1 - t9061 * t5102 / 0.4e1 + 0.4e1 * t15247 * t3252 - 0.2e1 * t15247 * t3255;
  t76325 = t4838 * t8691;
  t76330 = t8665 * t2108;
  t76331 = t76330 / 0.18e2;
  t76334 = t41503 * t2276;
  t76336 = t8783 * t10122;
  t76338 = t8783 * t8692;
  t76340 = t41503 * t2282;
  t76341 = t8783 * t10102;
  t76343 = t660 * t5044 * t8841;
  t76346 = t1293 * t8742;
  t76354 = t8854 * t8930;
  t76361 = t21181 * t15128 * t21209;
  t76362 = t21220 * t1316;
  t76365 = t21225 * t1316;
  t76368 = t22070 * t8925;
  t76371 = t41794 * t10005;
  t76373 = t8854 * t9981;
  t76375 = t3375 * t8929;
  t76380 = t2141 * t1272;
  t76381 = t3409 * t76380;
  t76384 = t22051 * t8962;
  t76388 = t819 * t60 * t76113;
  t76393 = t15133 * t21402;
  t76396 = -0.2e1 * t2121 * t8912 + t1313 * t15162 / 0.2e1 + 0.2e1 * t15149 * t22078 + 0.6e1 * t76354 - 0.36e2 * t8857 * t8930 + 0.24e2 * t15146 * t3427 + 0.8e1 / 0.3e1 * t76361 * t76362 + 0.24e2 * t76361 * t76365 + 0.9e1 * t8861 * t76368 - 0.9e1 * t76371 + 0.6e1 * t76373 + 0.18e2 * t8861 * t76375 - 0.18e2 * t15149 * t22091 + 0.6e1 * t1321 * t76381 - 0.9e1 * t2125 * t76384 + t421 * t76388 / 0.2e1 + 0.3e1 * t15143 * t837 + 0.24e2 * t76393 * t1330;
  t76397 = t15129 * t21730;
  t76400 = t21225 * t1329;
  t76403 = t21220 * t1329;
  t76408 = t21215 * t1329;
  t76415 = t15142 * t21343;
  t76420 = t8854 * t8915;
  t76426 = t3375 * t8868;
  t76431 = t3409 * t8911;
  t76434 = t3402 * t8868;
  t76439 = t3375 * t8920;
  t76442 = 0.36e2 * t76397 * t8884 - 0.12e2 * t76361 * t76400 + 0.5e2 / 0.3e1 * t76361 * t76403 - 0.4e2 * t76397 * t8865 + 0.1e2 / 0.3e1 * t76361 * t76408 - 0.36e2 * t76393 * t1340 - 0.9e1 * t8881 * t8878 + 0.12e2 * t76415 * t1336 + 0.9e1 * t15149 * t22257 - 0.3e1 * t76420 + 0.18e2 * t8857 * t8915 - 0.12e2 * t15146 * t3410 - 0.9e1 * t8861 * t76426 - 0.1e2 * t15149 * t22219 + 0.3e1 * t2125 * t76431 + 0.1e2 * t8861 * t76434 - 0.6e1 * t15143 * t821 + t2125 * t76439 - t1313 * t15192;
  t76447 = t8854 * t8869;
  t76455 = t8874 * t8878;
  t76457 = t2118 * t8912;
  t76458 = t3375 * t8911;
  t76461 = t3448 * t8868;
  t76466 = t8874 * t9977;
  t76468 = t41985 * t9963;
  t76470 = -t15149 * t22172 / 0.6e1 - t1313 * t15140 + 0.2e1 * t76447 - 0.2e1 / 0.3e1 * t76397 * t8862 - 0.12e2 * t8857 * t8869 + 0.8e1 * t15146 * t3452 + 0.3e1 * t76455 + t76457 - 0.2e1 * t2125 * t76458 + t8861 * t76461 / 0.6e1 + t8856 + t8875 + t8877 - t8888 - t15158 + 0.4e1 / 0.3e1 * t76397 * t8944 - 0.3e1 * t76466 - 0.12e2 * t76468;
  t76471 = t8874 * t8960;
  t76472 = 0.2e1 * t76471;
  t76473 = t2118 * t8963;
  t76474 = 0.2e1 * t76473;
  t76475 = t8854 * t8926;
  t76476 = 0.4e1 / 0.3e1 * t76475;
  t76478 = t819 * t63 * t76113;
  t76481 = t3430 * t2141 * t8840;
  t76484 = t15139 * t206;
  t76485 = t22070 * t76484;
  t76490 = t62 * t15088;
  t76491 = t76490 * t206;
  t76492 = t840 * t76491;
  t76497 = t8874 * t8967;
  t76499 = t41793 * t9951;
  t76500 = t76499 * t9945;
  t76502 = t62 * t15042;
  t76503 = t76502 * t206;
  t76504 = t840 * t76503;
  t76507 = t8891 * t1272;
  t76508 = t233 * t76507;
  t76516 = t8853 * t9943;
  t76517 = t76516 * t10012;
  t76519 = t41656 * t8893;
  t76520 = 0.4e1 * t76519;
  t76521 = t76499 * t10015;
  t76525 = -t76472 - t76474 - t76476 - t421 * t76478 - 0.2e1 * t421 * t76481 + 0.4e1 / 0.3e1 * t1321 * t76485 + 0.4e1 * t2121 * t8921 - 0.2e1 * t5164 * t76492 - 0.18e2 * t41707 * t8905 - 0.6e1 * t76497 + 0.18e2 * t76500 + 0.4e1 * t26652 * t76504 + 0.8e1 * t5170 * t76508 - 0.12e2 * t41941 * t8896 - 0.8e1 * t2120 * t26535 * t8902 - 0.36e2 * t76517 - t76520 - 0.2e1 * t76521 - 0.16e2 / 0.3e1 * t41713 * t8905;
  t76528 = t840 * t76507;
  t76533 = t2124 * t26651;
  t76534 = t840 * t8901;
  t76537 = t3475 * t8892;
  t76540 = t2118 * t8921;
  t76541 = 0.2e1 * t76540;
  t76542 = t8854 * t8939;
  t76547 = t3375 * t76380;
  t76550 = t22070 * t8962;
  t76553 = t21220 * t8925;
  t76556 = t41898 * t9997;
  t76560 = t21215 * t1316;
  t76563 = t22051 * t76484;
  t76570 = t15161 * t206;
  t76571 = t3409 * t76570;
  t76573 = -0.12e2 * t5164 * t76528 + 0.32e2 * t41713 * t8893 + 0.18e2 * t76533 * t76534 + 0.2e1 * t41707 * t76537 - t76541 - t76542 + 0.18e2 * t8881 * t8967 - 0.24e2 * t76415 * t1317 - 0.4e1 * t1321 * t76547 + 0.6e1 * t2125 * t76550 - t8861 * t76553 / 0.6e1 - 0.9e1 * t76556 - 0.16e2 * t8857 * t8972 - 0.4e1 / 0.3e1 * t76361 * t76560 - 0.2e1 * t1321 * t76563 + 0.72e2 * t76393 * t1326 - 0.72e2 * t76397 * t8957 + t1321 * t76571;
  t76574 = t41985 * t10001;
  t76576 = t8854 * t8972;
  t76577 = 0.2e1 * t76576;
  t76578 = t41794 * t9991;
  t76582 = t3375 * t76570;
  t76587 = t819 * t76570;
  t76590 = t3430 * t15161 * t667;
  t76592 = t3409 * t8920;
  t76595 = t21225 * t8925;
  t76598 = t819 * t76380;
  t76607 = t3402 * t8929;
  t76610 = t3448 * t8929;
  t76613 = 0.18e2 * t76574 + t76577 + 0.1e2 * t76578 + 0.8e1 * t76397 * t8954 - 0.2e1 / 0.3e1 * t1321 * t76582 + 0.32e2 / 0.3e1 * t8857 * t8926 - t1315 * t76587 - t421 * t76590 - 0.6e1 * t2125 * t76592 - 0.1e2 * t8861 * t76595 - 0.4e1 * t1315 * t76598 + 0.6e1 * t8881 * t8960 + 0.4e1 * t2121 * t8963 + 0.2e1 * t1313 * t15184 - 0.2e1 * t8861 * t76607 + t15169 + t15170 + t15172 - t8861 * t76610 / 0.3e1;
  t76617 = t21210 * t1316;
  t76620 = t3430 * t76484;
  t76624 = t22055 * t15139 * t667;
  t76627 = t8854 * t9994;
  t76629 = t41794 * t9972;
  t76637 = t233 * t76503;
  t76641 = t233 * t76502 * t667;
  t76645 = t233 * t8891 * t8840;
  t76648 = t827 * t76503;
  t76651 = t41656 * t9948;
  t76653 = t76499 * t9953;
  t76655 = t15149 * t22138 / 0.3e1 - t76361 * t76617 / 0.9e1 + 0.2e1 * t1315 * t76620 + 0.3e1 * t421 * t76624 - 0.4e1 * t76627 + t76629 / 0.6e1 + 0.6e1 * t8857 * t8939 - 0.12e2 * t76393 * t1322 - 0.4e1 * t15146 * t3376 - t8948 - t8949 - t8966 + t8975 - 0.4e1 * t26536 * t76637 - 0.6e1 * t41734 * t76641 + 0.4e1 * t8900 * t76645 - 0.2e1 / 0.3e1 * t26652 * t76648 + 0.2e1 * t76651 - t76653 / 0.3e1;
  t76656 = t41656 * t9931;
  t76658 = t41974 * t8896;
  t76659 = 0.4e1 * t76658;
  t76660 = t2117 * t8899;
  t76661 = t76660 * t8902;
  t76662 = 0.4e1 * t76661;
  t76663 = t41656 * t8905;
  t76664 = 0.2e1 / 0.3e1 * t76663;
  t76665 = t827 * t76491;
  t76669 = t2117 * t9934 * t9937;
  t76671 = t41974 * t9940;
  t76673 = t76516 * t9945;
  t76675 = t827 * t76507;
  t76678 = t827 * t8901;
  t76681 = t3482 * t8892;
  t76684 = t233 * t76491;
  t76688 = t233 * t76490 * t667;
  t76691 = -0.12e2 * t76656 + t76659 + t76662 + t76664 + t5164 * t76665 / 0.3e1 + 0.18e2 * t76669 + 0.6e1 * t76671 + 0.6e1 * t76673 + 0.2e1 * t5164 * t76675 - 0.3e1 * t76533 * t76678 + t41707 * t76681 / 0.3e1 + 0.2e1 * t5170 * t76684 + 0.2e1 * t8900 * t76688 - t15179 - t15180 + t15182 - t15195 - t2138 + t2119;
  t76700 = t188 * t15209 / 0.12e2;
  t76701 = -0.11e2 / 0.6e1 * t8760 * t76325 + 0.11e2 / 0.6e1 * t15239 * t20845 + t76331 + 0.23e2 / 0.36e2 * t15239 * t21895 - t76334 / 0.2e1 - t76336 / 0.2e1 - t76338 / 0.2e1 + t76340 + t76341 - t9110 + t9112 + t417 * t76343 / 0.4e1 - 0.3e1 / 0.2e1 * t76346 - t30 * t59 * (t76396 + t76442 + t76470 + t76525 + t76573 + t76613 + t76655 + t76691) * t95 / 0.4e1 - t76700;
  t76707 = my_piecewise3(t2, 0, t76701 + t76324 + t76294 + t76264 + t76235 + t76197 + t76163 + t76121 + t75983 + t75959 + t75935 + t75896 + t75855 + t75810 + t75768 + t75746 + t75711 + t75668 + t75628 + t75591 + t75570 + t75531 + t75495 + t75464 + t75423 + t75380 + t75337 + t75297 + t75253 + t75212 + t75156 + t75113);
  tv4rhosigma30 = t3 * t76707 + t15294;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  tv4rhosigma31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 1] += tv4rhosigma31;

  tv4rhosigma32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 2] += tv4rhosigma32;

  tv4rhosigma33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 3] += tv4rhosigma33;

  tv4rhosigma34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 4] += tv4rhosigma34;

  tv4rhosigma35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 5] += tv4rhosigma35;

  tv4rhosigma36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 6] += tv4rhosigma36;

  tv4rhosigma37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 7] += tv4rhosigma37;

  tv4rhosigma38 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 8] += tv4rhosigma38;

  t76709 = t945 * t15414;
  t76711 = t945 * t15417;
  t76712 = t76711 / 0.2e1;
  t76716 = t4040 * t15474 / 0.2e1;
  t76717 = t4040 * t15469;
  t76718 = t76717 / 0.2e1;
  t76720 = t5414 * t2258 / 0.4e1;
  t76721 = t948 * t15417;
  t76722 = t76721 / 0.6e1;
  t76724 = t948 * t15411 / 0.12e2;
  t76725 = t948 * t15414;
  t76726 = t76725 / 0.2e1;
  t76728 = t948 * t15407 / 0.3e1;
  t76729 = t44035 * t2347;
  t76732 = t1354 * t15447 / 0.18e2;
  t76734 = t948 * t15442 / 0.6e1;
  t76735 = -0.3e1 / 0.2e1 * t76709 - t76712 - 0.3e1 / 0.4e1 * t5419 * t2258 + t76716 - t76718 - t76720 - t76722 - t76724 - t76726 + t76728 - t76729 / 0.2e1 - t76732 + t76734;
  t76736 = t44007 * t2353;
  t76737 = t76736 / 0.3e1;
  t76738 = t44007 * t2347;
  t76739 = t76738 / 0.6e1;
  t76740 = t948 * t15547;
  t76741 = t76740 / 0.2e1;
  t76742 = t44007 * t2342;
  t76743 = t76742 / 0.12e2;
  t76745 = t948 * t15458 / 0.2e1;
  t76746 = t945 * t15547;
  t76748 = t44074 * t2339;
  t76749 = t76748 / 0.6e1;
  t76751 = t9157 * t2199 / 0.9e1;
  t76753 = t1354 * t15483 / 0.12e2;
  t76754 = t933 * t15423;
  t76758 = t1354 * t9705 / 0.12e2;
  t76761 = t937 * t15531 * t350 / 0.6e1;
  t76763 = t5414 * t2253 / 0.2e1;
  t76764 = t76737 - t76739 + t76741 - t76743 - t76745 + 0.3e1 / 0.2e1 * t76746 + t76749 - t76751 + t76753 - 0.5e1 / 0.36e2 * t76754 * t4467 - t76758 - t76761 - t76763;
  t76766 = t4040 * t15525;
  t76767 = t937 * t15423;
  t76769 = 0.11e2 / 0.54e2 * t76767 * t4365;
  t76771 = 0.23e2 / 0.108e3 * t76767 * t4370;
  t76773 = t5414 * t2261 / 0.2e1;
  t76774 = t937 * t15428;
  t76776 = 0.2e1 / 0.3e1 * t76774 * t1023;
  t76778 = t948 * t15515 / 0.2e1;
  t76780 = t23721 * t15518 / 0.2e1;
  t76787 = t948 * t15505;
  t76788 = t4040 * t15501;
  t76790 = t76774 * t1090 / 0.6e1;
  t76791 = t76766 - t76769 + t76771 + t76773 - t76776 + t76778 + t76780 + 0.3e1 / 0.2e1 * t945 * t15515 + 0.3e1 / 0.2e1 * t23924 * t15518 - 0.3e1 * t4065 * t15501 - t76787 - t76788 + t76790;
  t76793 = t9175 * t15461 / 0.6e1;
  t76799 = t9154 * t2199;
  t76800 = t76799 / 0.6e1;
  t76801 = t44035 * t2342;
  t76805 = t44038 * t2339;
  t76811 = t9175 * t15479 / 0.12e2;
  t76816 = t76793 - 0.3e1 / 0.2e1 * t945 * t15458 + t9151 * t15461 / 0.2e1 - t9151 * t15465 + t76800 - t76801 / 0.4e1 - t9148 * t2199 / 0.3e1 + t76805 / 0.2e1 + t945 * t15407 - t945 * t15411 / 0.4e1 + t76811 + 0.3e1 * t4065 * t15525 - 0.3e1 / 0.2e1 * t5419 * t2253;
  t76823 = 0.7e1 / 0.9e1 * t76767 * t4505;
  t76825 = t76767 * t4414 / 0.6e1;
  t76826 = t933 * t15428;
  t76832 = t9175 * t5686 / 0.12e2;
  t76833 = t9178 * t1449;
  t76834 = t76833 / 0.12e2;
  t76836 = t9157 * t1449 / 0.6e1;
  t76838 = t28634 * t2245 / 0.2e1;
  t76840 = t9175 * t5669 / 0.3e1;
  t76842 = t76767 * t4405 / 0.2e1;
  t76844 = t44332 * t457 / 0.4e1;
  t76846 = t9175 * t5665 / 0.6e1;
  t76847 = -t933 * t15531 * t350 / 0.2e1 + t76823 - t76825 + t76826 * t1090 / 0.2e1 - t9151 * t5686 / 0.4e1 - t76832 - t76834 + t76836 - t76838 + t76840 - t76842 + t76844 - t76846;
  t76849 = 0.5e1 / 0.108e3 * t76767 * t4467;
  t76866 = t294 * t15404 / 0.12e2;
  t76869 = t44035 * t2353;
  t76872 = -t76849 + 0.23e2 / 0.36e2 * t76754 * t4370 - t76754 * t4414 / 0.2e1 + 0.7e1 / 0.3e1 * t76754 * t4505 + t76826 * t1016 + 0.3e1 / 0.2e1 * t5419 * t2261 - 0.2e1 * t76826 * t1023 - 0.11e2 / 0.18e2 * t76754 * t4365 - t1351 * t9705 / 0.4e1 - t76866 - t290 * t15404 / 0.4e1 + t76869 + t945 * t15442 / 0.2e1;
  t76876 = t9178 * t2199;
  t76877 = t76876 / 0.18e2;
  t76878 = t9154 * t1449;
  t76882 = t5419 * t2249;
  t76889 = t76774 * t1016 / 0.3e1;
  t76890 = t5414 * t2249;
  t76891 = t76890 / 0.4e1;
  t76892 = -t1351 * t15447 / 0.6e1 + t76877 - t9156 + t9168 - t9180 + t9188 - t76878 / 0.4e1 + t9148 * t1449 / 0.2e1 + 0.3e1 / 0.4e1 * t76882 + 0.3e1 / 0.4e1 * t43935 * t457 - t9151 * t5665 / 0.2e1 + t76889 + t76891;
  t76901 = t948 * t15522 / 0.2e1;
  t76912 = t4065 * t15469;
  t76915 = t1354 * t15488 / 0.36e2;
  t76917 = t9175 * t15465 / 0.3e1;
  t76918 = -0.3e1 * t945 * t15505 + t9151 * t5669 - 0.3e1 / 0.2e1 * t76754 * t4405 - 0.3e1 / 0.2e1 * t28861 * t2245 + t76901 + 0.3e1 / 0.2e1 * t945 * t15522 + t1351 * t15488 / 0.12e2 + t9151 * t15479 / 0.4e1 + t1351 * t15483 / 0.4e1 + 0.3e1 / 0.2e1 * t4065 * t15474 - 0.3e1 / 0.2e1 * t76912 + t76915 - t76917;
  t76922 = my_piecewise3(t100, 0, t76735 + t76764 + t76791 + t76816 + t76847 + t76872 + t76892 + t76918);
  tv4rhosigma39 = t3 * t76922 + t15553;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 9] += tv4rhosigma39;

  t76936 = t43692 * t2271;
  t76940 = t43692 * t2276;
  t76942 = 0.3e1 / 0.4e1 * t43841 * t432 - 0.3e1 * t903 * t15283 + 0.3e1 / 0.2e1 * t903 * t15286 + 0.3e1 / 0.2e1 * t22751 * t15231 + t75118 + t75120 - t75179 - t75325 + t1368 * t15062 / 0.4e1 + t1368 * t15091 / 0.12e2 - t76936 / 0.4e1 - 0.3e1 / 0.2e1 * t903 * t15104 - t76940 / 0.2e1;
  t76943 = t43692 * t2282;
  t76950 = t903 * t15215;
  t76959 = t76943 - t1368 * t15050 / 0.6e1 - t9216 * t2108 / 0.3e1 + t9208 * t15058 / 0.4e1 + 0.3e1 / 0.2e1 * t76950 + t75449 - t75451 - t75453 + t75454 + t9208 * t15036 / 0.2e1 - t9208 * t15040 + t903 * t15045 / 0.2e1 - t903 * t15112 / 0.4e1;
  t76961 = t903 * t15115;
  t76963 = t903 * t15118;
  t76964 = t76963 / 0.2e1;
  t76965 = t897 * t15238;
  t76969 = t897 * t15246;
  t76986 = -0.3e1 / 0.2e1 * t76961 - t76964 + 0.7e1 / 0.3e1 * t76965 * t3668 + t9208 * t5068 - 0.2e1 * t76969 * t637 - 0.11e2 / 0.18e2 * t76965 * t3517 + 0.23e2 / 0.36e2 * t76965 * t3545 + t76969 * t630 + 0.3e1 * t3802 * t15256 - t897 * t15260 * t223 / 0.2e1 - 0.5e1 / 0.36e2 * t76965 * t3602 + t9216 * t1288 / 0.2e1 + t75586;
  t76987 = -t75588 + t75590 + t75659 - t75682 + t75685 + t75687 + t75690 - t75723 + t75737 + t75739 - t75743 - t75745 - t75748;
  t76998 = t9213 * t1288;
  t77000 = t9213 * t2108;
  t77001 = t77000 / 0.6e1;
  t77004 = -t75750 + t75752 - t8667 + t8683 + t75773 + t75775 - 0.3e1 * t3802 * t15234 - t76965 * t3665 / 0.2e1 - t9208 * t5064 / 0.2e1 - t1368 * t9098 / 0.4e1 - t76998 / 0.4e1 + t77001 + 0.3e1 / 0.2e1 * t3802 * t15055;
  t77007 = t3802 * t15125;
  t77015 = t5379 * t2158;
  t77017 = -0.3e1 / 0.4e1 * t5379 * t2167 - 0.3e1 / 0.2e1 * t77007 + t75909 - t75915 - t75917 - t75918 - t75920 + t75922 - t75924 - t307 * t15209 / 0.4e1 + t76969 * t752 / 0.2e1 - t9208 * t5102 / 0.4e1 + 0.3e1 / 0.4e1 * t77015;
  t77029 = 0.3e1 / 0.2e1 * t903 * t15219 - 0.3e1 / 0.2e1 * t5379 * t2162 - 0.3e1 / 0.2e1 * t76965 * t3673 - 0.3e1 / 0.2e1 * t27916 * t2154 + 0.3e1 / 0.2e1 * t5379 * t2170 - t75997 + t75999 - t76176 - t76178 + t76218 - t9215 + t9226 + t76260;
  t77031 = t43816 * t2268;
  t77033 = -t76263 - t76280 - t76282 + t76284 - t76286 + t76288 - t76297 - t76299 + t76301 + t76331 + t903 * t15108 + t77031 / 0.2e1 - t76700;
  t77037 = my_piecewise3(t2, 0, t76942 + t76959 + t76986 + t76987 + t77004 + t77017 + t77029 + t77033);
  tv4rhosigma310 = t3 * t77037 + t15294;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 10] += tv4rhosigma310;

  tv4rhosigma311 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 11] += tv4rhosigma311;

  tv4rhosigma312 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 12] += tv4rhosigma312;

  tv4rhosigma313 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 13] += tv4rhosigma313;

  tv4rhosigma314 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 14] += tv4rhosigma314;

  tv4rhosigma315 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 15] += tv4rhosigma315;

  tv4rhosigma316 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 16] += tv4rhosigma316;

  tv4rhosigma317 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 17] += tv4rhosigma317;

  tv4rhosigma318 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 18] += tv4rhosigma318;

  t77045 = t1074 * t15428;
  t77052 = t5634 * t9296;
  t77065 = t5634 * t9414;
  t77068 = -t9510 * t5665 / 0.2e1 - t2189 * t29035 / 0.2e1 + 0.7e1 / 0.3e1 * t15424 * t24661 + t77045 * t1016 + t15429 * t4352 + 0.3e1 / 0.4e1 * t9710 * t1462 - 0.3e1 / 0.2e1 * t29044 * t2245 - 0.3e1 / 0.2e1 * t9285 * t77052 - t15424 * t25255 / 0.2e1 + 0.7e1 * t9285 * t30081 - 0.7e1 * t15424 * t25403 + 0.7e1 / 0.3e1 * t15424 * t25406 + 0.23e2 / 0.36e2 * t15424 * t24335 - 0.3e1 / 0.2e1 * t9285 * t77065;
  t77069 = t15298 * t24085;
  t77071 = t321 * t3512 * t77069;
  t77082 = t4686 * t371 * t9398;
  t77086 = t978 * t15303;
  t77090 = t1078 * t15547;
  t77092 = t1056 * t15547;
  t77095 = t4362 * t4368 * t1383;
  t77099 = t4373 * t15422;
  t77105 = t321 * t21182 * t333 * t24370;
  t77106 = t167 * t15298;
  t77108 = t29442 * t4393 * t77106;
  t77116 = 0.6e1 * t77071 * t9289 + 0.3e1 / 0.2e1 * t15424 * t25252 + t373 * t5833 * t15441 / 0.2e1 + t1056 * t15442 / 0.2e1 - t2189 * t77082 + t1078 * t15442 / 0.2e1 - 0.3e1 * t1030 * t77086 * t4377 + 0.3e1 / 0.2e1 * t77090 + 0.3e1 / 0.2e1 * t77092 + 0.9e1 / 0.2e1 * t4395 * t9310 * t77095 - 0.9e1 / 0.2e1 * t4395 * t77099 * t25274 + 0.8e1 * t77105 * t77108 + 0.3e1 / 0.2e1 * t4395 * t77086 * t4397 + t1378 * t15483 / 0.4e1;
  t77121 = t987 * t29090 * t2197;
  t77125 = t987 * t6006 * t9398;
  t77133 = t987 * t4697 * t15486;
  t77136 = t4206 * t9328;
  t77139 = t24764 * t9283;
  t77152 = t4206 * t2187;
  t77155 = t989 * t9349;
  t77157 = 0.4e1 * t77155 * t1419;
  t77158 = t15337 - 0.8e1 * t77136 * t1407 + 0.32e2 / 0.3e1 * t77139 * t9317 - 0.2e1 / 0.3e1 * t9255 + 0.12e2 * t77139 * t9340 + 0.4e1 * t9243 - 0.2e1 * t44651 * t2257 - 0.2e1 * t9382 * t9480 + 0.8e1 * t9379 * t9492 - 0.8e1 * t77152 * t4176 - t77157;
  t77159 = t989 * t2176;
  t77161 = 0.2e1 * t77159 * t1100;
  t77162 = t4206 * t9304;
  t77164 = 0.4e1 / 0.3e1 * t77162 * t1407;
  t77170 = t989 * t2182;
  t77174 = 0.4e1 * t77162 * t1412;
  t77185 = -t77161 + t77164 - 0.8e1 * t9376 * t9665 + 0.12e2 * t989 * t2187 * t1419 + 0.4e1 * t77170 * t1100 + t77174 - 0.24e2 * t77136 * t1412 - 0.4e1 * t9259 - 0.4e1 * t9264 + 0.8e1 / 0.3e1 * t9379 * t9448 - 0.8e1 / 0.3e1 * t77152 * t4171 + 0.16e2 / 0.9e1 * t77139 * t9312;
  t77189 = t2215 * t4333;
  t77192 = t9535 * t4356;
  t77198 = 0.2e1 / 0.3e1 * t9370 * t15468;
  t77199 = t9567 * t1007;
  t77201 = 0.4e1 * t77199 * t1412;
  t77210 = 0.2e1 * t448 * t9480 + 0.24e2 * t77189 * t1412 - 0.12e2 * t77192 * t9340 + 0.4e1 / 0.3e1 * t77192 * t9317 + t77198 - t77201 - t15349 - 0.4e1 / 0.3e1 * t2224 * t4171 + 0.2e2 / 0.9e1 * t77192 * t9312 + 0.4e1 / 0.3e1 * t9394 * t9448 - 0.4e1 * t77189 * t1407;
  t77215 = t2208 * t1043;
  t77217 = 0.4e1 * t77215 * t1419;
  t77219 = 0.2e1 * t2227 * t1100;
  t77237 = -0.8e1 * t9394 * t9492 + 0.8e1 * t2224 * t4176 + t77217 + t77219 + 0.8e1 * t9389 * t9665 - 0.12e2 * t2211 * t1007 * t1419 - 0.4e1 * t2230 * t1100 + 0.2e1 * t1488 * t2257 + 0.4e1 * t9376 * t45947 + 0.4e1 * t9382 * t46359 - 0.4e1 / 0.3e1 * t9379 * t45955 - 0.4e1 * t9379 * t46020;
  t77239 = t77158 + t77185 + t77210 + t77237;
  t77242 = t987 * t988 * t167 * t77239;
  t77245 = t24794 * t9237;
  t77249 = t24848 * t9237;
  t77253 = t29517 * t9238;
  t77256 = t29498 * t9249;
  t77259 = t15356 * t333;
  t77260 = t4549 * t77259;
  t77265 = t5559 * t45460 * t50621;
  t77268 = t5540 * t45460 * t10520;
  t77270 = t1386 * t15483 / 0.4e1 + t442 * t77121 / 0.4e1 + t442 * t77125 / 0.4e1 + t1378 * t15488 / 0.12e2 + t1386 * t15488 / 0.12e2 + t442 * t77133 / 0.12e2 + t442 * t77242 / 0.12e2 - 0.9e1 / 0.2e1 * t10506 * t9536 * t77245 + 0.9e1 * t5559 * t9536 * t77249 + 0.11e2 / 0.6e1 * t44815 * t77253 - 0.23e2 / 0.12e2 * t44815 * t77256 - t5540 * t1476 * t77260 / 0.2e1 + 0.9e1 * t77265 - 0.9e1 * t77268;
  t77272 = t5559 * t9568 * t46057;
  t77274 = t5540 * t9568 * t9242;
  t77285 = t4408 * t77259;
  t77289 = t110 * t45320;
  t77290 = t77289 * t10459;
  t77292 = t45849 * t10480;
  t77294 = t2196 * t1383;
  t77295 = t4549 * t77294;
  t77299 = t24962 * t9262;
  t77303 = t1078 * t15414;
  t77305 = t1056 * t15414;
  t77308 = t373 * t9461 * t9665;
  t77312 = t77272 - t77274 + 0.3e1 / 0.2e1 * t45074 * t9255 - 0.3e1 / 0.2e1 * t44886 * t9243 - 0.8e1 * t5559 * t9532 * t46057 + 0.8e1 * t5540 * t9532 * t9242 + t5559 * t1476 * t77285 / 0.2e1 - 0.5e1 / 0.12e2 * t77290 - t77292 / 0.4e1 - 0.3e1 * t5540 * t1476 * t77295 + 0.9e1 / 0.2e1 * t5540 * t2216 * t77299 - 0.3e1 / 0.2e1 * t77303 - 0.3e1 / 0.2e1 * t77305 - 0.3e1 / 0.2e1 * t77308 + 0.3e1 * t9330 * t9415;
  t77318 = t4383 * t15469;
  t77321 = t1030 * t5785 * t15468;
  t77326 = t1031 * t15427;
  t77330 = t1078 * t15417;
  t77331 = t77330 / 0.2e1;
  t77332 = t1056 * t15417;
  t77333 = t77332 / 0.2e1;
  t77335 = t373 * t9439 * t9480;
  t77336 = t77335 / 0.2e1;
  t77347 = -0.2e1 * t15429 * t4163 + t15429 * t4166 - 0.3e1 / 0.2e1 * t77318 - 0.3e1 / 0.2e1 * t77321 + 0.9e1 * t1030 * t9336 * t9448 - 0.6e1 * t1030 * t77326 * t4171 - t77331 - t77333 - t77336 - 0.3e1 / 0.4e1 * t5689 * t2258 - 0.3e1 / 0.4e1 * t5717 * t2258 - 0.3e1 / 0.4e1 * t1454 * t9476 - 0.3e1 / 0.4e1 * t1454 * t9481 + t373 * t9672 * t9480;
  t77356 = t985 * t348 * t77239;
  t77360 = t1031 * t15422;
  t77367 = t4373 * t77069;
  t77376 = t4349 * t15469;
  t77378 = -t1078 * t15411 / 0.4e1 - t1056 * t15411 / 0.4e1 - t373 * t5833 * t15410 / 0.4e1 - t373 * t1423 * t77356 / 0.4e1 - 0.18e2 * t1030 * t77360 * t1407 + 0.18e2 * t373 * t77360 * t1412 - 0.18e2 * t4395 * t77367 * t9312 + 0.36e2 * t1030 * t77367 * t9317 + 0.9e1 * t5674 * t9451 - 0.3e1 / 0.2e1 * t77376 + t76716 - t76718 - t76720 - t76722 - t76724;
  t77380 = t2178 * t6008;
  t77384 = t44936 * t1394;
  t77385 = t1000 * t77384;
  t77391 = t1400 * t9708 * t2337;
  t77395 = t6006 * t9413;
  t77396 = t1393 * t77395;
  t77399 = t1400 * t1452 * t9413;
  t77406 = t373 * t9321 * t9492;
  t77411 = -t76726 + t76728 + t77380 / 0.4e1 - t2189 * t29582 / 0.2e1 + t1432 * t77385 / 0.2e1 + t442 * t44942 / 0.4e1 + t4245 * t77391 + 0.3e1 / 0.4e1 * t9710 * t1428 - t1391 * t77396 + 0.2e1 * t1391 * t77399 - 0.2e1 * t2189 * t29852 + t2189 * t29586 + 0.3e1 / 0.2e1 * t77406 - 0.9e1 * t373 * t9336 * t9492;
  t77417 = t321 * t3512 * t333 * t24085;
  t77418 = t371 * t77106;
  t77422 = t978 * t15299;
  t77426 = t9306 * t9408;
  t77428 = t2178 * t6017;
  t77430 = t1000 * t77395;
  t77436 = t1400 * t77384;
  t77441 = t9351 * t9434;
  t77445 = t1454 * t9462;
  t77447 = t1454 * t9440;
  t77450 = t1400 * t1452 * t15982;
  t77451 = t4245 * t77450;
  t77452 = 0.6e1 * t373 * t77326 * t4176 - 0.28e2 * t77417 * t5640 * t77418 - 0.3e1 * t373 * t77422 * t4339 - t77426 / 0.4e1 - t77428 / 0.4e1 + t1432 * t77430 - 0.3e1 / 0.2e1 * t9525 * t9434 - t2184 * t6008 / 0.2e1 - t1391 * t77436 / 0.4e1 - t442 * t44938 / 0.4e1 + t77441 / 0.2e1 + 0.11e2 / 0.6e1 * t15424 * t24356 - 0.3e1 / 0.2e1 * t77445 - 0.3e1 / 0.4e1 * t77447 + t77451;
  t77456 = t1454 * t9485;
  t77472 = t4362 * t9447;
  t77482 = t45278 * t2342;
  t77484 = 0.3e1 / 0.4e1 * t77456 + 0.3e1 * t1454 * t9493 - 0.3e1 * t1454 * t9495 + 0.3e1 / 0.2e1 * t1454 * t9497 - 0.6e1 * t9330 * t9427 - 0.3e1 * t5674 * t9449 + 0.3e1 * t5674 * t9455 - 0.3e1 / 0.2e1 * t5674 * t9458 + 0.9e1 / 0.2e1 * t373 * t9310 * t77472 - 0.18e2 * t373 * t77367 * t9340 - 0.9e1 / 0.2e1 * t373 * t77099 * t25205 - t15296 + t15297 - t77482 / 0.4e1;
  t77485 = t9306 * t10678;
  t77487 = t9306 * t9518;
  t77489 = t45849 * t9275;
  t77490 = t77489 / 0.6e1;
  t77491 = t46009 * t9280;
  t77492 = t77491 / 0.6e1;
  t77493 = t45849 * t10471;
  t77500 = t4161 * t1014 * t9397;
  t77506 = -t77485 / 0.4e1 - t77487 / 0.4e1 + t77490 + t77492 + t77493 / 0.2e1 - 0.3e1 / 0.2e1 * t1078 * t15458 - 0.3e1 / 0.2e1 * t1056 * t15458 - 0.3e1 / 0.2e1 * t373 * t9454 * t77500 - t76732 + t76734 + t76737 - t76739 + t76741 - t9510 * t5686 / 0.4e1;
  t77510 = t9503 * t1449;
  t77512 = t2178 * t5683;
  t77514 = t349 * t15404;
  t77523 = t1452 * t15952;
  t77524 = t1400 * t77523;
  t77529 = -t2189 * t29314 / 0.4e1 - t77510 / 0.4e1 - t77512 / 0.4e1 - t338 * t77514 / 0.12e2 - t76743 - t76745 + t76749 - t76751 + t76753 - 0.3e1 * t1454 * t9666 + 0.9e1 / 0.2e1 * t1454 * t9669 + 0.3e1 / 0.2e1 * t1454 * t9673 - 0.6e1 * t72953 * t77524 - 0.3e1 / 0.2e1 * t1454 * t9466;
  t77532 = t4686 * t9366;
  t77535 = t4686 * t9399;
  t77538 = t1028 * t77106;
  t77539 = t5623 * t77538;
  t77550 = t4161 * t1019 * t9397;
  t77554 = t46012 * t10468;
  t77556 = t46012 * t9239;
  t77557 = t77556 / 0.3e1;
  t77558 = t46009 * t9272;
  t77559 = t77558 / 0.3e1;
  t77561 = t4686 * t1054 * t2197;
  t77569 = t9510 * t15479 / 0.4e1 + t2189 * t77532 / 0.4e1 + t2189 * t77535 / 0.4e1 + 0.18e2 * t77417 * t77539 + 0.3e1 * t1030 * t77422 * t4335 + 0.3e1 / 0.2e1 * t4349 * t15474 + 0.3e1 / 0.2e1 * t4383 * t15474 + 0.3e1 / 0.2e1 * t1030 * t9454 * t77550 + t77554 / 0.2e1 - t77557 - t77559 - t2189 * t77561 + 0.3e1 * t4383 * t15525 - 0.3e1 / 0.2e1 * t5689 * t2253 - 0.3e1 / 0.2e1 * t5717 * t2253;
  t77578 = t28964 * t9238;
  t77581 = t4543 * t452;
  t77582 = t77581 * t9271;
  t77585 = t44807 * t9238;
  t77588 = t28964 * t9279;
  t77591 = t168 * t77294;
  t77592 = t5549 * t77591;
  t77597 = t29911 * t9271;
  t77600 = t29498 * t9238;
  t77603 = t5549 * t9279;
  t77606 = t24823 * t9262;
  t77610 = t2181 * t2196;
  t77612 = t29498 * t4403 * t77610;
  t77615 = 0.3e1 / 0.2e1 * t1078 * t15522 + 0.3e1 / 0.2e1 * t1056 * t15522 + 0.3e1 * t4349 * t15525 - t5578 * t77578 / 0.2e1 - t5575 * t77582 / 0.2e1 + t5548 * t77585 / 0.4e1 + t5575 * t77588 / 0.4e1 + t5548 * t77592 / 0.2e1 - 0.4e1 / 0.3e1 * t44811 * t9275 - 0.3e1 / 0.4e1 * t44767 * t77597 + 0.5e1 / 0.12e2 * t44815 * t77600 + t44767 * t77603 / 0.4e1 - 0.9e1 / 0.2e1 * t5559 * t2216 * t77606 + 0.9e1 / 0.2e1 * t29011 * t77612;
  t77619 = t439 * t2175;
  t77621 = t10458 * t4403 * t77619;
  t77622 = t29011 * t77621;
  t77625 = t5535 * t5537 * t15468;
  t77627 = t4408 * t77294;
  t77631 = t15298 * t24370;
  t77632 = t25083 * t77631;
  t77633 = t24376 * t9311;
  t77637 = t24376 * t9316;
  t77642 = t24376 * t24377 * t333;
  t77651 = t321 * t21182 * t77631;
  t77652 = t29442 * t9344;
  t77658 = t4362 * t4363 * t1383;
  t77665 = t29437 * t77538;
  t77668 = 0.3e1 / 0.2e1 * t5535 * t44853 * t15473 - 0.9e1 / 0.2e1 * t77622 - 0.3e1 / 0.2e1 * t77625 + 0.3e1 * t5559 * t1476 * t77627 - 0.18e2 * t1030 * t77632 * t77633 + 0.6e1 * t373 * t77632 * t77637 - 0.6e1 * t25375 * t77632 * t77642 - 0.9e1 / 0.2e1 * t9285 * t29194 + 0.9e1 / 0.2e1 * t15424 * t24352 - 0.43e2 / 0.9e1 * t77651 * t77652 - 0.3e1 / 0.2e1 * t15424 * t24612 - 0.9e1 * t1030 * t9310 * t77658 + 0.9e1 * t1030 * t77099 * t25293 - 0.62e2 / 0.3e1 * t77105 * t77665 - t76758;
  t77670 = -t76761 - t76763 + t76766 - t76769 + t76771 + t76773 - t76776 + t76778 + t76780 - t76787 - t76788 + t76790 + t76793 + t76811;
  t77674 = t4707 * t4697 * t15445;
  t77677 = t29437 * t1401;
  t77680 = t29555 * t1395;
  t77689 = t29110 * t1395;
  t77695 = t321 * t616 * t15422;
  t77698 = t5674 * t9322;
  t77700 = t1454 * t9325;
  t77709 = -t1386 * t15447 / 0.6e1 - t442 * t77674 / 0.6e1 + 0.89e2 / 0.9e1 * t77651 * t77677 - 0.2e1 * t77651 * t77680 + 0.9e1 / 0.2e1 * t30060 * t9313 - 0.9e1 * t5674 * t9318 + 0.9e1 / 0.2e1 * t1454 * t9341 - 0.38e2 / 0.9e1 * t77651 * t77689 - 0.9e1 * t1454 * t9337 - 0.6e1 * t77695 * t1396 - 0.3e1 / 0.2e1 * t77698 + 0.3e1 / 0.2e1 * t77700 - 0.3e1 / 0.2e1 * t44508 * t1408 + 0.3e1 / 0.2e1 * t9710 * t1413 + 0.7e1 * t9285 * t5640 * t9300;
  t77714 = t15318 * t333;
  t77715 = t168 * t77714;
  t77716 = t9270 * t77715;
  t77719 = t15318 * t994;
  t77721 = t45031 * t168 * t77719;
  t77724 = t2196 * t9397;
  t77726 = t9270 * t168 * t77724;
  t77729 = t29911 * t77715;
  t77734 = t9270 * t380 * t403 * t15318;
  t77737 = t4162 * t9366;
  t77740 = t4162 * t9399;
  t77745 = t1400 * t77395;
  t77750 = t5623 * t9296;
  t77759 = t5578 * t77716 / 0.3e1 + t5575 * t77721 / 0.2e1 - t5575 * t77726 / 0.3e1 - t5548 * t77729 / 0.6e1 - t5575 * t77734 / 0.6e1 + t2189 * t77737 / 0.2e1 + t2189 * t77740 / 0.2e1 + t15429 * t4722 / 0.2e1 - t1391 * t77745 / 0.2e1 + t2189 * t29099 / 0.2e1 - 0.5e1 / 0.12e2 * t9285 * t77750 + 0.3e1 / 0.2e1 * t9330 * t9408 + t2184 * t6017 / 0.2e1 + 0.3e1 / 0.2e1 * t9330 * t9518;
  t77767 = t5623 * t9414;
  t77772 = t29442 * t1395;
  t77778 = t24376 * t24448 * t333;
  t77788 = t5623 * t9300;
  t77791 = t29437 * t1395;
  t77794 = t29442 * t1401;
  t77797 = -t15429 * t4687 + 0.5e1 / 0.3e1 * t77071 * t9405 - t1378 * t15447 / 0.6e1 - t2189 * t30688 / 0.4e1 - 0.5e1 / 0.12e2 * t9285 * t77767 + 0.5e1 / 0.12e2 * t15424 * t25504 - 0.35e2 / 0.108e3 * t77651 * t77772 - 0.5e1 / 0.36e2 * t15424 * t24547 + 0.18e2 * t4395 * t77632 * t77778 - 0.9e1 / 0.2e1 * t9285 * t5623 * t5672 * t1394 - 0.23e2 / 0.3e1 * t77071 * t9286 + 0.23e2 / 0.12e2 * t9285 * t77788 - 0.61e2 / 0.27e2 * t77651 * t77791 + 0.44e2 / 0.27e2 * t77651 * t77794;
  t77799 = t77289 * t10514;
  t77801 = t2178 * t9400;
  t77802 = t77801 / 0.6e1;
  t77803 = t45849 * t10537;
  t77805 = t45849 * t10541;
  t77806 = t45849 * t10549;
  t77807 = t45849 * t10544;
  t77809 = t168 * t77259;
  t77810 = t4137 * t77809;
  t77813 = t15356 * t994;
  t77815 = t9270 * t168 * t77813;
  t77818 = t5549 * t77809;
  t77823 = t4137 * t380 * t403 * t15356;
  t77829 = t5640 * t9296;
  t77832 = -0.3e1 / 0.2e1 * t77799 + t77802 - 0.2e1 * t77803 + t77805 + t77806 - t77807 / 0.2e1 - t2180 - t5578 * t77810 / 0.6e1 - t5575 * t77815 / 0.6e1 + t5548 * t77818 / 0.12e2 + t5575 * t77823 / 0.12e2 + 0.3e1 * t9330 * t9297 + t2189 * t30194 - 0.11e2 / 0.6e1 * t9285 * t77829;
  t77839 = t5623 * t9426;
  t77848 = t5640 * t9414;
  t77853 = t1182 * t77259;
  t77857 = t1182 * t77294;
  t77867 = t1021 * t77610;
  t77868 = t5549 * t77867;
  t77871 = t46095 * t9238;
  t77874 = -0.3e1 / 0.2e1 * t9710 * t1420 - 0.3e1 / 0.4e1 * t9710 * t1424 - 0.11e2 / 0.18e2 * t15424 * t24332 + 0.23e2 / 0.12e2 * t9285 * t77839 - 0.23e2 / 0.12e2 * t15424 * t24359 + 0.4e1 * t15429 * t4691 - 0.2e1 * t15429 * t4656 - 0.11e2 / 0.6e1 * t9285 * t77848 + t4145 * t46332 * t2257 + t5540 * t1470 * t77853 / 0.2e1 + 0.2e1 * t5540 * t1470 * t77857 - 0.3e1 * t5540 * t9563 * t9258 - 0.2e1 * t5540 * t2212 * t9263 + 0.16e2 / 0.3e1 * t52065 * t77868 + t5548 * t77871 / 0.2e1;
  t77877 = t5587 * t77809;
  t77882 = t2175 * t333;
  t77883 = t4396 * t77882;
  t77885 = t10506 * t5855 * t77883;
  t77887 = t4376 * t77882;
  t77889 = t5559 * t5855 * t77887;
  t77891 = t44807 * t16115;
  t77895 = t2175 * t994;
  t77896 = t4408 * t77895;
  t77898 = t5559 * t1476 * t77896;
  t77901 = t5540 * t2209 * t9263;
  t77902 = t2175 * t2196;
  t77904 = t5549 * t1021 * t77902;
  t77905 = t24164 * t77904;
  t77906 = 0.2e1 / 0.3e1 * t77905;
  t77908 = t4145 * t45915 * t2257;
  t77909 = t77908 / 0.2e1;
  t77915 = t5540 * t9556 * t10607;
  t77917 = t1021 * t77619;
  t77918 = t5553 * t77917;
  t77919 = t52065 * t77918;
  t77921 = t5548 * t77877 / 0.6e1 - 0.8e1 / 0.3e1 * t44811 * t9246 + 0.9e1 / 0.2e1 * t77885 - 0.9e1 * t77889 - t24164 * t77891 - 0.3e1 / 0.4e1 * t28961 * t9267 + 0.3e1 * t77898 + t77901 - t77906 - t77909 + 0.3e1 / 0.2e1 * t44886 * t9259 + 0.3e1 / 0.2e1 * t44886 * t9264 + 0.3e1 / 0.2e1 * t77915 - 0.6e1 * t77919;
  t77923 = t4145 * t45912 * t2394;
  t77926 = t5540 * t9556 * t9258;
  t77927 = t4543 * t77813;
  t77931 = t439 * t15356;
  t77933 = t5549 * t1021 * t77931;
  t77939 = t30214 * t77715;
  t77942 = t110 * t45460;
  t77943 = t77942 * t10512;
  t77945 = t45849 * t9246;
  t77946 = t77945 / 0.3e1;
  t77947 = t77289 * t10486;
  t77949 = t77289 * t10492;
  t77951 = t24823 * t9237;
  t77955 = t1393 * t77384;
  t77958 = t9306 * t9297;
  t77964 = -0.3e1 / 0.2e1 * t77923 + t77926 + t5540 * t446 * t77927 / 0.2e1 - t24164 * t77933 / 0.3e1 - t4145 * t5595 * t15410 / 0.4e1 - t5548 * t77939 / 0.3e1 + 0.3e1 * t77943 + t77946 - 0.11e2 / 0.6e1 * t77947 + 0.23e2 / 0.12e2 * t77949 - 0.9e1 / 0.2e1 * t5540 * t9536 * t77951 - t1391 * t77955 / 0.2e1 - t77958 / 0.2e1 + 0.22e2 / 0.3e1 * t77071 * t9333 - 0.3e1 / 0.2e1 * t9525 * t9521;
  t77982 = t45794 * t2339;
  t77984 = t9351 * t10695;
  t77986 = t9351 * t9521;
  t77988 = t9503 * t2199;
  t77989 = t77988 / 0.6e1;
  t77990 = t2178 * t9367;
  t77991 = t77990 / 0.6e1;
  t77992 = t45278 * t2347;
  t77994 = t9306 * t10687;
  t77996 = 0.2e1 * t321 * t194 * t15427 * t1433 + t15532 * t997 / 0.2e1 - 0.3e1 * t77695 * t1438 - t15532 * t1002 / 0.2e1 - t9500 * t2199 / 0.3e1 - t2184 * t9367 / 0.3e1 - t2184 * t9400 / 0.3e1 + t77982 / 0.2e1 + t77984 / 0.2e1 + t77986 / 0.2e1 + t77989 + t77991 - t77992 / 0.2e1 - t77994 / 0.2e1;
  t77997 = t9306 * t9415;
  t77999 = t45278 * t2353;
  t78000 = t9306 * t10594;
  t78001 = t9306 * t9427;
  t78003 = t29911 * t1021 * t9262;
  t78007 = t5549 * t4143 * t9278;
  t78009 = t5587 * t9279;
  t78013 = t5549 * t1021 * t77294;
  t78019 = t110 * t45328 * t10463;
  t78021 = t46012 * t10448;
  t78023 = t77942 * t10454;
  t78025 = t4137 * t77591;
  t78031 = -t77997 / 0.2e1 + t77999 + t78000 + t78001 + 0.3e1 * t44767 * t78003 - t44767 * t78007 + t44767 * t78009 / 0.2e1 - 0.2e1 * t5548 * t78013 + t9510 * t15461 / 0.2e1 - 0.3e1 / 0.2e1 * t78019 - t78021 / 0.2e1 + 0.3e1 / 0.2e1 * t78023 - 0.2e1 / 0.3e1 * t5578 * t78025 + t44835 * t9239 + 0.2e1 / 0.3e1 * t44837 * t9272;
  t78038 = t5540 * t45320 * t10532;
  t78040 = t29911 * t9238;
  t78043 = t24823 * t77714;
  t78046 = t24962 * t77714;
  t78049 = t1074 * t15423;
  t78062 = -t44837 * t9280 / 0.3e1 + 0.9e1 / 0.2e1 * t78038 + 0.3e1 / 0.2e1 * t44815 * t78040 - t5559 * t1476 * t78043 + t5540 * t1476 * t78046 - t9308 - t9324 + t9327 - 0.11e2 / 0.18e2 * t78049 * t4365 - 0.11e2 / 0.18e2 * t15424 * t24438 + 0.23e2 / 0.36e2 * t78049 * t4370 + 0.23e2 / 0.36e2 * t15424 * t24441 - t78049 * t4414 / 0.2e1 - t15424 * t24597 / 0.2e1;
  t78077 = t9353 + t9357 - t9359 - t9361 - t15416 - t15419 + t76823 - t76825 + 0.7e1 / 0.3e1 * t78049 * t4505 - t1378 * t9705 / 0.4e1 - t1386 * t9705 / 0.4e1 - t442 * t44433 / 0.4e1 - 0.3e1 / 0.2e1 * t29052 * t2245 + 0.3e1 / 0.2e1 * t24589 * t15518 - 0.3e1 * t4349 * t15501;
  t78107 = -0.3e1 * t4383 * t15501 - 0.3e1 * t1078 * t15505 + 0.3e1 / 0.2e1 * t5689 * t2261 + 0.3e1 / 0.2e1 * t5717 * t2261 - 0.2e1 * t77045 * t1023 - 0.2e1 * t15429 * t4438 - 0.5e1 / 0.36e2 * t78049 * t4467 - 0.5e1 / 0.36e2 * t15424 * t24634 + 0.3e1 / 0.2e1 * t1078 * t15515 + 0.3e1 / 0.2e1 * t1056 * t15515 + 0.3e1 / 0.2e1 * t24584 * t15518 + t9500 * t1449 / 0.2e1 + t2184 * t5683 / 0.2e1 + t77045 * t1090 / 0.2e1;
  t78110 = t45463 * t10384;
  t78112 = t45319 * t10387;
  t78113 = t78112 * t10390;
  t78115 = t9638 * t1383;
  t78116 = t360 * t78115;
  t78124 = t45463 * t9643;
  t78125 = 0.4e1 * t78124;
  t78126 = t78112 * t10401;
  t78130 = t142 * t15318;
  t78131 = t78130 * t333;
  t78132 = t1203 * t78131;
  t78135 = t78112 * t10404;
  t78137 = t142 * t15356;
  t78138 = t78137 * t333;
  t78139 = t1203 * t78138;
  t78142 = t9567 * t10407;
  t78143 = t78142 * t10409;
  t78146 = t2208 * t10417 * t10419;
  t78148 = t45342 * t10422;
  t78150 = 0.2e1 * t78110 - t78113 / 0.3e1 + 0.8e1 * t5844 * t78116 - 0.12e2 * t45665 * t9646 - 0.8e1 * t2211 * t30468 * t9652 - t78125 - 0.2e1 * t78126 - 0.18e2 * t45466 * t9640 + 0.4e1 * t30501 * t78132 + 0.18e2 * t78135 - 0.2e1 * t5851 * t78139 - 0.36e2 * t78143 - t15308 + t15310 + t15362 + t15363 + 0.18e2 * t78146 + 0.6e1 * t78148;
  t78151 = t78142 * t10404;
  t78153 = t45342 * t9646;
  t78154 = 0.4e1 * t78153;
  t78155 = t2208 * t9649;
  t78156 = t78155 * t9652;
  t78157 = 0.4e1 * t78156;
  t78160 = t15322 * t24905;
  t78165 = t15299 * t24865;
  t78168 = t4408 * t9540;
  t78171 = t9556 * t9560;
  t78173 = t2209 * t9541;
  t78175 = t21181 * t15298 * t24923;
  t78176 = t24794 * t1484;
  t78179 = t4549 * t9540;
  t78183 = t9568 * t9551;
  t78185 = t15303 * t24899;
  t78188 = t24848 * t1484;
  t78191 = t4376 * t9544;
  t78198 = 0.6e1 * t78151 + t78154 + t78157 - 0.9e1 * t9563 * t9560 + 0.12e2 * t78160 * t1491 + 0.3e1 * t15323 * t1200 + 0.24e2 * t78165 * t1485 - 0.2e1 * t2216 * t78168 + 0.3e1 * t78171 + t78173 + 0.5e2 / 0.3e1 * t78175 * t78176 + 0.3e1 * t2216 * t78179 - t1468 * t15320 + 0.2e1 * t78183 - 0.2e1 / 0.3e1 * t78185 * t9537 - 0.12e2 * t78175 * t78188 + 0.1e2 * t9536 * t78191 - 0.1e2 * t15304 * t24912 + 0.9e1 * t15304 * t24948;
  t78204 = t4396 * t9544;
  t78209 = t9568 * t9545;
  t78215 = t4408 * t9544;
  t78220 = t24958 * t1484;
  t78224 = t1182 * t140 * t77239;
  t78233 = -0.12e2 * t9532 * t9551 + 0.8e1 * t15300 * t4599 + t9536 * t78204 / 0.6e1 - t15304 * t24884 / 0.6e1 - 0.3e1 * t78209 + 0.18e2 * t9532 * t9545 - 0.12e2 * t15300 * t4582 - 0.9e1 * t9536 * t78215 - 0.4e2 * t78185 * t9548 + 0.1e2 / 0.3e1 * t78175 * t78220 + t446 * t78224 / 0.2e1 + 0.36e2 * t78185 * t9571 + t1468 * t15358 / 0.2e1 - 0.2e1 * t2212 * t9541 + t15378 - t15383 - t15385 - t15386;
  t78236 = t9568 * t10363;
  t78238 = t24962 * t9607;
  t78241 = t9568 * t9623;
  t78245 = t15319 * t333;
  t78246 = t24823 * t78245;
  t78249 = t4376 * t9589;
  t78255 = t4543 * t2232 * t9397;
  t78259 = t24858 * t15319 * t994;
  t78262 = t9568 * t9601;
  t78267 = t4543 * t78245;
  t78272 = t45463 * t9640;
  t78273 = 0.2e1 / 0.3e1 * t78272;
  t78274 = t360 * t78138;
  t78278 = t360 * t78137 * t994;
  t78281 = t1190 * t78138;
  t78284 = 0.24e2 * t15300 * t4550 + 0.6e1 * t78236 - 0.9e1 * t2216 * t78238 + 0.6e1 * t78241 - 0.36e2 * t9532 * t9623 + 0.4e1 / 0.3e1 * t1476 * t78246 - 0.2e1 * t9536 * t78249 + 0.2e1 * t15304 * t24849 - 0.2e1 * t446 * t78255 + 0.3e1 * t446 * t78259 - t78262 + 0.18e2 * t9563 * t9590 - 0.24e2 * t78160 * t1472 + 0.2e1 * t1470 * t78267 - 0.36e2 * t78165 * t1495 + t78273 + 0.2e1 * t5844 * t78274 + 0.2e1 * t9650 * t78278 + t5851 * t78281 / 0.3e1;
  t78287 = t1203 * t78115;
  t78292 = t2215 * t30500;
  t78293 = t1203 * t9651;
  t78296 = t4624 * t9639;
  t78299 = t24930 * t1471;
  t78302 = t2232 * t1383;
  t78303 = t4408 * t78302;
  t78307 = t1182 * t143 * t77239;
  t78315 = -0.12e2 * t5851 * t78287 + 0.32e2 * t45473 * t9643 + 0.18e2 * t78292 * t78293 + 0.2e1 * t45466 * t78296 + t9557 + t9559 + t9570 - t9574 - t9585 - t9586 - t9588 + t9635 - t78175 * t78299 / 0.9e1 - 0.4e1 * t1476 * t78303 - t446 * t78307 + 0.6e1 * t9532 * t9601 - 0.12e2 * t78165 * t1477 - 0.4e1 * t15300 * t4563;
  t78318 = t4396 * t9589;
  t78323 = t360 * t78131;
  t78327 = t360 * t78130 * t994;
  t78331 = t360 * t9638 * t9397;
  t78334 = t1190 * t78131;
  t78337 = t45463 * t10414;
  t78341 = t1190 * t78115;
  t78344 = t1190 * t9651;
  t78347 = t4633 * t9639;
  t78350 = t2209 * t9617;
  t78351 = 0.2e1 * t78350;
  t78354 = t15357 * t333;
  t78355 = t4549 * t78354;
  t78357 = t45460 * t10375;
  t78359 = t9568 * t9632;
  t78360 = 0.2e1 * t78359;
  t78361 = t9556 * t9590;
  t78363 = t1182 * t78302;
  t78366 = 0.4e1 / 0.3e1 * t78185 * t9612 - t9536 * t78318 / 0.3e1 + t15304 * t24795 / 0.3e1 - 0.4e1 * t30469 * t78323 - 0.6e1 * t45747 * t78327 + 0.4e1 * t9650 * t78331 - 0.2e1 / 0.3e1 * t30501 * t78334 - 0.12e2 * t78337 - 0.16e2 / 0.3e1 * t45473 * t9640 + 0.2e1 * t5851 * t78341 - 0.3e1 * t78292 * t78344 + t45466 * t78347 / 0.3e1 - t78351 - 0.16e2 * t9532 * t9632 + t1476 * t78355 + 0.18e2 * t78357 + t78360 - 0.6e1 * t78361 - 0.4e1 * t1470 * t78363;
  t78374 = t45320 * t10344;
  t78376 = t1182 * t78354;
  t78379 = t4543 * t15357 * t994;
  t78381 = t4408 * t78354;
  t78384 = t4549 * t9616;
  t78387 = t24848 * t9604;
  t78390 = t2209 * t9608;
  t78391 = 0.2e1 * t78390;
  t78392 = t9568 * t9619;
  t78393 = 0.4e1 / 0.3e1 * t78392;
  t78394 = t9568 * t10352;
  t78396 = t9556 * t9605;
  t78397 = 0.2e1 * t78396;
  t78398 = t45328 * t10355;
  t78400 = t9556 * t10358;
  t78402 = t45460 * t10336;
  t78404 = t24823 * t9604;
  t78407 = t45320 * t10379;
  t78409 = t45320 * t10348;
  t78411 = 0.6e1 * t9563 * t9605 + 0.4e1 * t2212 * t9608 + 0.32e2 / 0.3e1 * t9532 * t9619 + t78374 / 0.6e1 - t1470 * t78376 - t446 * t78379 - 0.2e1 / 0.3e1 * t1476 * t78381 - 0.6e1 * t2216 * t78384 - 0.1e2 * t9536 * t78387 - t78391 - t78393 - 0.4e1 * t78394 - t78397 - 0.9e1 * t78398 - 0.3e1 * t78400 - 0.12e2 * t78402 + 0.9e1 * t9536 * t78404 - 0.9e1 * t78407 + 0.1e2 * t78409;
  t78414 = t24958 * t1471;
  t78417 = t24962 * t78245;
  t78422 = t24848 * t1471;
  t78427 = t4408 * t9589;
  t78434 = t24794 * t1471;
  t78437 = t4549 * t78302;
  t78444 = t4408 * t9616;
  t78446 = t24823 * t9607;
  t78449 = t24794 * t9604;
  t78453 = 0.8e1 * t78185 * t9626 - 0.4e1 / 0.3e1 * t78175 * t78414 - 0.2e1 * t1476 * t78417 + 0.72e2 * t78165 * t1481 + 0.24e2 * t78175 * t78422 + 0.2e1 * t1468 * t15392 + 0.18e2 * t9536 * t78427 - 0.72e2 * t78185 * t9629 - 0.18e2 * t15304 * t24977 + 0.8e1 / 0.3e1 * t78175 * t78434 + 0.6e1 * t1476 * t78437 - 0.6e1 * t15323 * t1184 + 0.4e1 * t2212 * t9617 + t2216 * t78444 + 0.6e1 * t2216 * t78446 - t9536 * t78449 / 0.6e1 - t1468 * t15380 - t2229 + t2210;
  t78470 = t15429 * t4490 / 0.2e1 - t110 * t139 * (t78150 + t78198 + t78233 + t78284 + t78315 + t78366 + t78411 + t78453) * t168 / 0.4e1 - t9442 - t1074 * t15531 * t350 / 0.2e1 - t15532 * t1087 / 0.2e1 - 0.3e1 / 0.2e1 * t78049 * t4405 - 0.3e1 / 0.2e1 * t15424 * t25120 + t2251 - t76832 - t76834 + t76836 - t76838 + t76840 - t76842 + t76844;
  t78486 = t374 * t15530;
  t78491 = t321 * t616 * t72814;
  t78492 = t1400 * t77418;
  t78499 = -t76846 - t76849 - t9464 + t9487 + t9489 - t9505 - t9507 + 0.47e2 / 0.3e1 * t77105 * t29110 * t77418 + 0.3e1 / 0.2e1 * t373 * t77086 * t4409 + 0.9e1 / 0.2e1 * t373 * t9668 * t9665 - 0.6e1 * t373 * t374 * t15427 * t1419 - 0.3e1 / 0.2e1 * t373 * t78486 * t1100 + 0.12e2 * t78491 * t78492 + 0.3e1 / 0.2e1 * t373 * t978 * t15322 * t4426;
  t78512 = t5540 * t45328 * t10614;
  t78515 = t5540 * t9568 * t10630;
  t78517 = t1078 * t15407 + t1056 * t15407 - t110 * t15403 * t404 / 0.4e1 - t76866 + t15451 + t15453 - t15455 - t15471 + t76877 - t318 * t15404 / 0.4e1 - 0.3e1 * t1056 * t15505 + t9510 * t5669 + t2189 * t29273 + 0.9e1 / 0.2e1 * t78512 - 0.3e1 * t78515;
  t78519 = t10485 * t77917;
  t78520 = t29011 * t78519;
  t78523 = t4145 * t45215 * t2402;
  t78525 = t4543 * t77714;
  t78528 = t24858 * t77719;
  t78532 = t4543 * t77724;
  t78535 = t439 * t15318;
  t78537 = t29911 * t1021 * t78535;
  t78545 = t321 * t369 * t15402 * t370;
  t78548 = t5689 * t2249;
  t78550 = t5717 * t2249;
  t78552 = 0.7e1 * t78520 + 0.3e1 / 0.2e1 * t78523 - t5540 * t1470 * t78525 - 0.3e1 / 0.2e1 * t5540 * t446 * t78528 + t5540 * t446 * t78532 + 0.2e1 / 0.3e1 * t24164 * t78537 + t4145 * t5595 * t15441 / 0.2e1 + t9702 + t9704 - t9180 + t9188 + t78545 * t377 / 0.4e1 + 0.3e1 / 0.4e1 * t78548 + 0.3e1 / 0.4e1 * t78550;
  t78564 = t5587 * t77591;
  t78566 = t30214 * t9271;
  t78569 = 0.3e1 / 0.4e1 * t44489 * t457 + 0.3e1 / 0.4e1 * t44494 * t457 + t15536 - t15544 + t76889 + t76891 + t76901 - t9510 * t15465 + t15549 + t76915 - t76917 - 0.7e1 * t29011 * t29517 * t77867 - 0.3e1 / 0.2e1 * t4145 * t44853 * t15457 + t5548 * t78564 - 0.3e1 / 0.2e1 * t44767 * t78566;
  t78575 = my_piecewise3(t100, 0, t78569 + t78552 + t78517 + t78499 + t78470 + t78107 + t78077 + t78062 + t78031 + t77996 + t77964 + t77921 + t77874 + t77832 + t77797 + t77759 + t77709 + t77670 + t77668 + t77615 + t77569 + t77529 + t77506 + t77484 + t77452 + t77411 + t77378 + t77347 + t77312 + t77270 + t77116 + t77068);
  tv4rhosigma319 = t3 * t78575 + t15553;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 19] += tv4rhosigma319;

  t78577 = t414 * t1272;
  t78579 = t10037 * t3671 * t78577;
  t78582 = 0.4e1 * t75076;
  t78583 = t2090 * t206;
  t78584 = t3671 * t78583;
  t78585 = t47512 * t78584;
  t78596 = t47270 * t8630;
  t78599 = t31513 * t8635;
  t78604 = t276 * t2084;
  t78606 = t4765 * t3121 * t78604;
  t78607 = t6069 * t78606;
  t78608 = t78607 / 0.3e1;
  t78609 = t31513 * t8630;
  t78612 = t3430 * t476;
  t78613 = t78612 * t8643;
  t78616 = t95 * t75691;
  t78617 = t4770 * t78616;
  t78618 = t6069 * t78617;
  t78619 = t78618 / 0.3e1;
  t78620 = t253 * t78604;
  t78621 = t4754 * t78620;
  t78622 = t6069 * t78621;
  t78623 = t78622 / 0.6e1;
  t78624 = t2090 * t667;
  t78626 = t25739 * t3671 * t78624;
  t78629 = t4753 * t78596 / 0.12e2 + t4789 * t78599 / 0.12e2 + t47709 * t8622 / 0.2e1 + t78608 - t4792 * t78609 / 0.6e1 - t4789 * t78613 / 0.6e1 + t78619 - t78623 + 0.9e1 / 0.2e1 * t10036 * t78626 - t75097 - t75100;
  t78634 = t660 * t31295 * t2106;
  t78638 = t660 * t6255 * t8841;
  t78642 = t1508 * t15062 / 0.18e2;
  t78644 = t593 * t15640 / 0.2e1;
  t78646 = t593 * t15635 / 0.6e1;
  t78647 = t21210 * t78583;
  t78653 = t648 * t75634;
  t78655 = t4738 * t6393 * t78653;
  t78656 = 0.3e1 * t78655;
  t78657 = t75114 / 0.6e1;
  t78659 = 0.2e1 / 0.3e1 * t75116;
  t78660 = t3375 * t78577;
  t78666 = t30 * t21181 * t206 * t21209;
  t78667 = t463 * t2090;
  t78668 = t635 * t78667;
  t78675 = t3402 * t78583;
  t78679 = t21225 * t78624;
  t78683 = t43313 * t10038;
  t78686 = t41646 * t10047;
  t78689 = t95 * t75634;
  t78690 = t4754 * t78689;
  t78691 = t10066 * t78690;
  t78692 = t635 * t75634;
  t78694 = t10066 * t4765 * t78692;
  t78695 = 0.2e1 * t78694;
  t78697 = t6358 * t2170 / 0.6e1;
  t78698 = t78659 + 0.3e1 * t4779 * t6390 * t78660 + 0.47e2 / 0.3e1 * t78666 * t25739 * t78668 + 0.3e1 / 0.2e1 * t3123 * t31407 * t15557 + 0.36e2 * t4738 * t31928 * t78675 + 0.9e1 * t4738 * t6390 * t78679 + 0.2e1 * t10066 * t78683 - 0.4e1 * t10066 * t78686 + t78691 - t78695 + t78697;
  t78714 = t4760 * t635 * t75691;
  t78715 = t6069 * t78714;
  t78716 = 0.2e1 / 0.3e1 * t78715;
  t78717 = t95 * t78583;
  t78718 = t10058 * t78717;
  t78721 = t635 * t78583;
  t78722 = t10037 * t78721;
  t78725 = t3402 * t427;
  t78726 = t78725 * t10038;
  t78730 = t3448 * t427;
  t78731 = t78730 * t10047;
  t78745 = t75178 / 0.3e1;
  t78746 = t75205 / 0.3e1;
  t78747 = t21593 * t15670;
  t78752 = t414 * t8840;
  t78753 = t95 * t78752;
  t78754 = t3130 * t78753;
  t78757 = 0.23e2 / 0.18e2 * t10036 * t78731 + t1278 * t15621 / 0.12e2 + t4779 * t1587 * t75806 / 0.2e1 + t4779 * t470 * t75427 / 0.2e1 - t3123 * t6475 * t15111 / 0.4e1 - t78745 - t75203 - t78746 - t6491 * t78747 / 0.3e1 - t6491 * t75375 / 0.3e1 - t6491 * t78754 / 0.3e1;
  t78759 = t4760 * t78616;
  t78760 = t6069 * t78759;
  t78761 = t78760 / 0.6e1;
  t78762 = t3375 * t75634;
  t78764 = t4779 * t6390 * t78762;
  t78765 = 0.3e1 / 0.2e1 * t78764;
  t78767 = t1227 * t755 * t15598;
  t78768 = t1541 * t78767;
  t78769 = t78768 / 0.3e1;
  t78770 = t6255 * t8690;
  t78771 = t673 * t78770;
  t78778 = t3537 * t15610;
  t78779 = t78778 / 0.2e1;
  t78781 = t644 * t6091 * t15124;
  t78782 = t78781 / 0.2e1;
  t78783 = t6084 * t15613;
  t78784 = t78783 / 0.6e1;
  t78785 = t6081 * t15613;
  t78786 = t78785 / 0.6e1;
  t78788 = t3279 * t15598;
  t78789 = t1220 * t78788;
  t78790 = t1541 * t78789;
  t78791 = t78790 / 0.6e1;
  t78792 = t6084 * t15617;
  t78793 = t78792 / 0.3e1;
  t78794 = t6081 * t15617;
  t78795 = t78794 / 0.3e1;
  t78798 = t75264 / 0.3e1;
  t78799 = t75266 / 0.6e1;
  t78804 = t25958 * t15670;
  t78807 = t4770 * t78753;
  t78812 = -t78791 + t78793 + t78795 - t5105 * t2327 / 0.2e1 + t78798 + t78799 + t31284 * t15674 / 0.2e1 + t31242 * t15674 / 0.2e1 + t6069 * t78804 / 0.2e1 + t6069 * t78807 / 0.2e1 + t6069 * t75299 / 0.2e1;
  t78822 = t21220 * t78624;
  t78826 = t3448 * t78577;
  t78833 = t95 * t78624;
  t78834 = t26140 * t78833;
  t78837 = t95 * t78577;
  t78838 = t10058 * t78837;
  t78842 = t47588 * t78717;
  t78845 = t276 * t2090;
  t78846 = t253 * t78845;
  t78847 = t10058 * t78846;
  t78850 = t635 * t78624;
  t78851 = t25739 * t78850;
  t78854 = t635 * t78577;
  t78855 = t10037 * t78854;
  t78858 = t47512 * t78721;
  t78861 = t3121 * t78845;
  t78862 = t10037 * t78861;
  t78865 = t4796 * t78837;
  t78867 = t4796 * t78846;
  t78874 = t4754 * t78837;
  t78877 = -0.61e2 / 0.27e2 * t47511 * t78842 - 0.11e2 / 0.18e2 * t10036 * t78847 - 0.23e2 / 0.12e2 * t10036 * t78851 + 0.23e2 / 0.18e2 * t10036 * t78855 + 0.44e2 / 0.27e2 * t47511 * t78858 + 0.23e2 / 0.36e2 * t10036 * t78862 - t10097 * t78865 - t10097 * t78867 / 0.2e1 - t31362 * t15671 / 0.3e1 - t31364 * t15671 / 0.3e1 + 0.2e1 * t10066 * t78874;
  t78879 = t4754 * t78846;
  t78881 = t4765 * t78721;
  t78884 = t4760 * t78850;
  t78887 = t4765 * t78854;
  t78890 = t4765 * t78861;
  t78893 = t4796 * t78717;
  t78896 = t3130 * t78833;
  t78903 = t26322 * t2266;
  t78904 = t1227 * t78903;
  t78912 = t3530 * t15610;
  t78913 = t78912 / 0.2e1;
  t78915 = t1508 * t15050 / 0.18e2;
  t78918 = t6112 * t15600;
  t78919 = t78918 / 0.6e1;
  t78920 = t6116 * t15600;
  t78921 = t78920 / 0.6e1;
  t78922 = t25669 * t15670;
  t78927 = t4760 * t78753;
  t78932 = -t1541 * t75608 / 0.6e1 - t1541 * t75327 / 0.3e1 - t78913 - t78915 + t1568 * t75696 / 0.3e1 + t78919 + t78921 + t6069 * t78922 / 0.4e1 + t6069 * t75811 / 0.4e1 + t6069 * t78927 / 0.4e1 + t6488 * t75384 / 0.6e1;
  t78946 = t43310 * t9766;
  t78949 = t43313 * t9770;
  t78955 = t229 * t78583;
  t78965 = t819 * t78752;
  t78973 = t229 * t78577;
  t78982 = t6358 * t2167 / 0.12e2;
  t78984 = t1267 * t15621 / 0.36e2;
  t78985 = t4779 * t6413 * t15624 + t4779 * t1587 * t75485 + t4779 * t1587 * t78965 - 0.3e1 / 0.2e1 * t4779 * t470 * t75125 + t4779 * t470 * t75130 + 0.3e1 * t4779 * t6424 * t78973 + 0.3e1 / 0.2e1 * t3123 * t31584 * t15639 + t25696 * t15625 - t78982 + t78984 - t75318;
  t78990 = t5143 * t2327 / 0.6e1;
  t78992 = t5143 * t2324 / 0.3e1;
  t78993 = t463 * t2084;
  t78995 = t10037 * t3671 * t78993;
  t78996 = t27523 * t78995;
  t78997 = 0.3e1 / 0.2e1 * t78996;
  t78999 = t4748 * t6066 * t15124;
  t79000 = t78999 / 0.2e1;
  t79001 = t819 * t78624;
  t79012 = 0.2e1 / 0.3e1 * t75399;
  t79028 = t4838 * t9789;
  t79031 = t4844 * t9793;
  t79034 = t6488 * t75372 / 0.12e2 + t79012 - t6488 * t75533 / 0.3e1 - t6069 * t75536 / 0.6e1 - t6488 * t75541 / 0.6e1 + t768 * t15635 / 0.2e1 + t757 * t15635 / 0.2e1 + t246 * t6136 * t15044 / 0.2e1 + 0.3e1 / 0.2e1 * t768 * t15640 - 0.11e2 / 0.18e2 * t8760 * t79028 + 0.23e2 / 0.36e2 * t8760 * t79031;
  t79053 = t1532 * t8742;
  t79054 = t79053 / 0.2e1;
  t79055 = t1532 * t8746;
  t79056 = t79055 / 0.4e1;
  t79058 = t26888 * t15627 / 0.2e1;
  t79060 = t755 * t15571;
  t79061 = t4844 * t79060;
  t79075 = t1227 * t9068 * t2676;
  t79081 = t1227 * t1530 * t15598;
  t79082 = t3319 * t79081;
  t79083 = t79082 / 0.3e1;
  t79084 = t1532 * t8750;
  t79085 = t79084 / 0.4e1;
  t79087 = t1508 * t15091 / 0.36e2;
  t79088 = 0.23e2 / 0.36e2 * t6107 * t79061 - t1517 * t15050 / 0.6e1 - t1522 * t15050 / 0.6e1 - t466 * t75340 / 0.6e1 - t9070 * t1556 / 0.2e1 - t9070 * t1560 / 0.4e1 + t3319 * t79075 / 0.3e1 + t9070 * t1564 / 0.4e1 + t79083 + t79085 + t79087;
  t79091 = t6186 * t15632 / 0.9e1;
  t79094 = t4831 * t9789;
  t79098 = t4844 * t6293 * t1221;
  t79103 = t648 * t78583;
  t79107 = t75450 / 0.18e2;
  t79117 = t1220 * t78770;
  t79124 = t30978 * t15581 / 0.2e1;
  t79127 = t3448 * t78583;
  t79131 = t75489 / 0.3e1;
  t79134 = -0.2e1 / 0.3e1 * t2098 * t31770 + t2098 * t31647 / 0.3e1 + 0.2e1 / 0.3e1 * t1541 * t75238 - t1218 * t79117 / 0.3e1 + t8754 * t9790 + t2098 * t32299 / 0.3e1 - t79124 - t2098 * t32322 / 0.12e2 - 0.18e2 * t9873 * t31928 * t79127 - t79131 + t466 * t76343 / 0.6e1;
  t79149 = t1220 * t78903;
  t79152 = t8613 * t206;
  t79153 = t635 * t79152;
  t79154 = t4760 * t79153;
  t79157 = t8613 * t667;
  t79159 = t26082 * t635 * t79157;
  t79162 = t25739 * t79153;
  t79166 = t95 * t79152;
  t79167 = t4770 * t79166;
  t79170 = t95 * t79157;
  t79171 = t27475 * t79170;
  t79174 = t26140 * t79166;
  t79177 = t3409 * t79152;
  t79181 = t9761 * t2105;
  t79182 = t253 * t79181;
  t79183 = t4760 * t79182;
  t79186 = t3130 * t79166;
  t79189 = t4760 * t3121 * t79181;
  t79191 = t4760 * t79166;
  t79194 = t26082 * t79170;
  t79197 = t25739 * t79166;
  t79200 = t4770 * t79182;
  t79203 = -0.8e1 / 0.3e1 * t10066 * t79167 - 0.3e1 / 0.2e1 * t6069 * t79171 + 0.11e2 / 0.6e1 * t10036 * t79174 + 0.8e1 * t4779 * t6393 * t79177 + t6069 * t79183 / 0.4e1 + t10097 * t79186 - t6069 * t79189 - 0.4e1 / 0.3e1 * t10066 * t79191 - 0.3e1 / 0.4e1 * t6069 * t79194 + 0.5e1 / 0.12e2 * t10036 * t79197 + t6069 * t79200 / 0.2e1;
  t79205 = t4760 * t78717;
  t79208 = t26082 * t78833;
  t79211 = t4760 * t78837;
  t79213 = t819 * t79152;
  t79217 = t3430 * t79157;
  t79222 = t658 * t2322 * t2105;
  t79225 = t8642 * t79170;
  t79228 = t3130 * t79182;
  t79231 = t8665 * t1527;
  t79232 = t79231 / 0.36e2;
  t79234 = t46787 * t432 / 0.6e1;
  t79237 = t41530 * t481 / 0.12e2;
  t79238 = t6358 * t2158;
  t79239 = t79238 / 0.12e2;
  t79242 = t6084 * t15660;
  t79243 = t79242 / 0.12e2;
  t79244 = t6081 * t15660;
  t79245 = t79244 / 0.12e2;
  t79246 = t3548 * t15610;
  t79247 = t79246 / 0.6e1;
  t79248 = t1532 * t9031;
  t79249 = t79248 / 0.2e1;
  t79257 = t79237 + t79239 + t466 * t76140 / 0.6e1 - t79243 - t79245 - t79247 + t79249 - t42538 * t1548 / 0.2e1 + t9070 * t1551 / 0.2e1 - t46761 * t1235 + t6335 * t2170 / 0.2e1;
  t79266 = t32408 * t2154 / 0.6e1;
  t79272 = t8668 * t6290 / 0.9e1;
  t79274 = t8668 * t6286 / 0.18e2;
  t79276 = t1508 * t9098 / 0.36e2;
  t79278 = t8668 * t6350 / 0.36e2;
  t79280 = t1267 * t10155 / 0.18e2;
  t79285 = t3375 * t78752;
  t79297 = t1227 * t5124 * t2266;
  t79307 = t593 * t15558 / 0.2e1;
  t79308 = 0.3e1 / 0.2e1 * t4738 * t1591 * t75757 + 0.3e1 / 0.2e1 * t4738 * t1591 * t79285 + 0.3e1 / 0.2e1 * t26777 * t15627 + 0.3e1 / 0.2e1 * t4738 * t6419 * t8614 + 0.2e1 / 0.3e1 * t6081 * t15808 + 0.2e1 / 0.3e1 * t1541 * t79297 - t6295 * t8726 + 0.3e1 * t6295 * t8730 + t6295 * t8734 - t6295 * t9117 / 0.2e1 + t79307;
  t79310 = t6186 * t15613;
  t79311 = t79310 / 0.18e2;
  t79315 = t1227 * t1530 * t8690;
  t79320 = t25739 * t78833;
  t79323 = t10037 * t78837;
  t79326 = t47512 * t78717;
  t79332 = t75567 / 0.3e1;
  t79333 = 0.2e1 / 0.3e1 * t75569;
  t79335 = t6186 * t15607 / 0.18e2;
  t79337 = t31557 * t15604 / 0.6e1;
  t79339 = 0.2e1 / 0.3e1 * t31557 * t15591;
  t79341 = 0.11e2 / 0.54e2 * t30978 * t15647;
  t79343 = 0.23e2 / 0.108e3 * t30978 * t15650;
  t79345 = t31557 * t15589 / 0.3e1;
  t79346 = -t79332 + t79333 - t79335 + t79337 - t79339 - t79341 + t79343 + t79345 - t75573 + t15554 + t15099;
  t79349 = 0.4e1 / 0.3e1 * t75592;
  t79350 = t26140 * t78850;
  t79353 = t10058 * t78854;
  t79356 = t47588 * t78721;
  t79359 = t10058 * t78861;
  t79363 = t10037 * t78584;
  t79366 = 0.6e1 * t75599;
  t79367 = 0.6e1 * t75602;
  t79368 = t6214 * t15600;
  t79369 = t79368 / 0.18e2;
  t79370 = t653 * t78583;
  t79374 = t3409 * t78624;
  t79378 = t653 * t78577;
  t79386 = t3279 * t15571;
  t79387 = t4831 * t79386;
  t79390 = 0.18e2 * t46923 * t79363 + t79366 - t79367 + t75605 + t79369 + 0.18e2 * t4779 * t32037 * t79370 + 0.6e1 * t4779 * t6393 * t79374 - 0.6e1 * t4779 * t6393 * t79378 - t30919 * t15573 / 0.2e1 - t30937 * t15573 / 0.2e1 - t6107 * t79387 / 0.2e1;
  t79396 = t4838 * t79060;
  t79406 = 0.3e1 * t75637;
  t79407 = 0.6e1 * t75641;
  t79411 = t757 * t15792;
  t79412 = t79411 / 0.2e1;
  t79414 = t246 * t6091 * t15791;
  t79415 = t79414 / 0.2e1;
  t79416 = t768 * t15802;
  t79417 = t79416 / 0.2e1;
  t79418 = t757 * t15802;
  t79419 = t79418 / 0.2e1;
  t79421 = t246 * t6096 * t15801;
  t79422 = t79421 / 0.2e1;
  t79423 = t3548 * t15644;
  t79424 = t1227 * t78788;
  t79425 = t1541 * t79424;
  t79426 = t79425 / 0.12e2;
  t79431 = t4844 * t79386;
  t79434 = -t27129 * t2319 + t79412 + t79415 - t79417 - t79419 - t79422 + t79423 - t79426 - 0.5e1 / 0.36e2 * t30919 * t15663 - 0.5e1 / 0.36e2 * t30937 * t15663 - 0.5e1 / 0.36e2 * t6107 * t79431;
  t79441 = t31575 * t15678 / 0.3e1;
  t79444 = t75654 / 0.6e1;
  t79445 = t75656 / 0.6e1;
  t79446 = 0.2e1 * t75694;
  t79451 = t10058 * t78689;
  t79452 = t10036 * t79451;
  t79453 = 0.11e2 / 0.18e2 * t79452;
  t79454 = t10037 * t78692;
  t79455 = t10036 * t79454;
  t79456 = 0.23e2 / 0.36e2 * t79455;
  t79460 = t229 * t75634;
  t79462 = t4779 * t6424 * t79460;
  t79463 = 0.3e1 / 0.2e1 * t79462;
  t79465 = t8783 * t9790;
  t79466 = t79465 / 0.6e1;
  t79467 = t47815 * t1221;
  t79468 = t1220 * t79467;
  t79471 = t6295 * t9042;
  t79472 = t79471 / 0.2e1;
  t79475 = t26140 * t78717;
  t79479 = t47512 * t9871 * t78583;
  t79482 = t79463 - t15612 - t15615 + t15619 + t10160 * t1240 - t79466 - t1218 * t79468 / 0.3e1 - t79472 + 0.3e1 * t41476 * t9868 - 0.2e1 * t47511 * t79475 + 0.8e1 * t47511 * t79479;
  t79485 = t75716 / 0.6e1;
  t79486 = t75718 / 0.6e1;
  t79487 = t75720 / 0.6e1;
  t79488 = t75722 / 0.18e2;
  t79489 = t4765 * t78837;
  t79491 = t10037 * t78717;
  t79495 = t4765 * t78846;
  t79498 = t41642 * t9766;
  t79501 = t3130 * t78616;
  t79502 = t6491 * t79501;
  t79503 = t79502 / 0.6e1;
  t79504 = t4765 * t78689;
  t79505 = t10066 * t79504;
  t79506 = t79505 / 0.2e1;
  t79507 = t4796 * t78620;
  t79508 = t6491 * t79507;
  t79509 = t79508 / 0.6e1;
  t79510 = t4765 * t78717;
  t79513 = t75747 / 0.3e1;
  t79514 = t75753 / 0.2e1;
  t79515 = t75755 / 0.2e1;
  t79518 = t10066 * t79495 / 0.2e1 + t6069 * t79498 / 0.3e1 - t79503 + t79506 + t79509 - 0.3e1 * t47803 * t79510 - t75745 - t79513 - t79514 + t79515 - 0.3e1 * t757 * t15568;
  t79528 = t673 * t79386;
  t79537 = t31575 * t15674 / 0.6e1;
  t79538 = t78730 * t17528;
  t79543 = 0.3e1 * t75763;
  t79545 = t3123 * t6066 * t15791;
  t79546 = t79545 / 0.2e1;
  t79547 = t22051 * t79157;
  t79551 = t9886 * t414;
  t79552 = t635 * t79551;
  t79553 = t26140 * t79552;
  t79557 = t3171 * t15102 * t414;
  t79561 = t79537 - 0.3e1 * t27523 * t79538 - t15630 + t15631 - t6069 * t75836 / 0.3e1 - t79543 - t75766 + t79546 + 0.9e1 / 0.2e1 * t4779 * t1591 * t79547 - 0.7e1 * t27523 * t79553 - 0.3e1 / 0.2e1 * t3123 * t6066 * t79557;
  t79563 = t21220 * t79152;
  t79567 = t3375 * t79152;
  t79572 = t3123 * t6496 * t15801;
  t79573 = t79572 / 0.2e1;
  t79574 = t3409 * t75691;
  t79576 = t4779 * t1591 * t79574;
  t79577 = t635 * t78993;
  t79578 = t10058 * t79577;
  t79579 = t27523 * t79578;
  t79580 = 0.7e1 / 0.3e1 * t79579;
  t79581 = t75772 / 0.6e1;
  t79584 = t9056 * t1527;
  t79585 = t79584 / 0.12e2;
  t79586 = t653 * t75634;
  t79588 = t4779 * t6393 * t79586;
  t79589 = 0.3e1 * t79588;
  t79608 = t3409 * t78752;
  t79612 = 0.3e1 * t75791;
  t79616 = t3402 * t78577;
  t79620 = -t1532 * t9001 / 0.2e1 - t30 * t15773 * t277 / 0.4e1 - 0.3e1 * t3123 * t31638 * t15567 - 0.3e1 / 0.2e1 * t25696 * t15796 - 0.3e1 / 0.2e1 * t25730 * t15796 - 0.3e1 / 0.2e1 * t4779 * t6419 * t15795 - 0.3e1 / 0.2e1 * t4779 * t1591 * t79608 - t75788 + t79612 - 0.3e1 / 0.2e1 * t4779 * t1591 * t75208 - 0.6e1 * t4738 * t6390 * t79616;
  t79624 = t3671 * t78667;
  t79625 = t47588 * t79624;
  t79638 = t10037 * t4746 * t78845;
  t79641 = 0.3e1 * t75801;
  t79643 = t26891 * t15796 / 0.2e1;
  t79644 = t3375 * t78624;
  t79657 = t25739 * t78717;
  t79660 = t4760 * t78846;
  t79663 = 0.2e1 * t75815;
  t79664 = 0.14e2 / 0.3e1 * t75818;
  t79665 = -t5073 * t10025 - t5073 * t10109 + t5105 * t2332 + t5126 * t2332 + t1293 * t9855 + t1293 * t9858 + 0.2e1 / 0.3e1 * t6084 * t15808 - 0.38e2 / 0.9e1 * t47511 * t79657 - t10036 * t79660 / 0.2e1 - t79663 + t79664;
  t79668 = t30 * t27521 * t21730;
  t79672 = 0.11e2 / 0.9e1 * t75839;
  t79673 = 0.23e2 / 0.18e2 * t75841;
  t79674 = 0.2e1 * t75853;
  t79675 = t26082 * t79166;
  t79679 = t25739 * t3671 * t79152;
  t79687 = t6186 * t15660;
  t79688 = t79687 / 0.36e2;
  t79693 = t1227 * t10158 * t2266;
  t79698 = t8776 * t9805;
  t79699 = t79698 / 0.6e1;
  t79700 = t2087 * t6263;
  t79701 = t79700 / 0.12e2;
  t79702 = t22070 * t79152;
  t79706 = t21225 * t79152;
  t79711 = t3171 * t2317 * t2105;
  t79715 = 0.2e1 / 0.9e1 * t75908;
  t79716 = -t79688 - t10160 * t1247 - t10160 * t1251 / 0.2e1 + 0.2e1 / 0.3e1 * t3319 * t79693 + t10160 * t1255 / 0.2e1 + t79699 + t79701 - 0.9e1 / 0.2e1 * t4779 * t6390 * t79702 + 0.9e1 * t4738 * t6390 * t79706 + 0.3e1 / 0.2e1 * t4748 * t6066 * t79711 + t79715;
  t79719 = t41642 * t10038;
  t79722 = t6186 * t15617;
  t79723 = t79722 / 0.9e1;
  t79732 = t4760 * t78689;
  t79733 = t10036 * t79732;
  t79734 = t79733 / 0.2e1;
  t79735 = t47370 * t8630;
  t79741 = t819 * t75691;
  t79743 = t4779 * t1587 * t79741;
  t79744 = t79743 / 0.2e1;
  t79745 = -t5105 * t2324 - t5126 * t2327 / 0.2e1 - t75964 - t75966 - t75969 - t15662 - t79734 + t4753 * t79735 / 0.6e1 - t4753 * t47270 * t8609 / 0.3e1 + t79744 + t75978;
  t79747 = t75980 / 0.3e1;
  t79750 = t4838 * t79386;
  t79763 = t4844 * t3535 * t15571;
  t79773 = 0.2e1 / 0.3e1 * t75982;
  t79779 = t75998 / 0.9e1;
  t79783 = -0.3e1 / 0.2e1 * t30937 * t15581 - 0.3e1 / 0.2e1 * t6107 * t79763 + 0.3e1 / 0.2e1 * t21706 * t15586 + 0.3e1 / 0.2e1 * t21711 * t15586 + 0.3e1 / 0.2e1 * t3680 * t30908 * t15585 + t79773 + t31115 * t15589 - 0.3e1 * t3530 * t15563 - 0.3e1 * t3537 * t15563 + t79779 - 0.3e1 * t644 * t30908 * t15562;
  t79791 = t6214 * t15595 / 0.9e1;
  t79793 = t593 * t15787 / 0.12e2;
  t79794 = t22070 * t79157;
  t79801 = t9873 * t6390 * t75635;
  t79802 = 0.3e1 / 0.2e1 * t79801;
  t79811 = t4738 * t6390 * t75639;
  t79812 = 0.3e1 * t79811;
  t79813 = t25669 * t15677;
  t79816 = t4760 * t635 * t78752;
  t79823 = t222 * t15774;
  t79828 = t191 * t242 * t15772 * t243;
  t79831 = t6353 * t2158;
  t79832 = t79831 / 0.4e1;
  t79833 = t6335 * t2158;
  t79834 = t79833 / 0.4e1;
  t79837 = -t79812 - t6069 * t79813 - t6069 * t79816 - t6069 * t75290 + t31284 * t15680 / 0.4e1 + t31242 * t15680 / 0.4e1 - t211 * t79823 / 0.12e2 + t79828 * t250 / 0.4e1 + t79832 + t79834 + t9070 * t1514 / 0.4e1;
  t79848 = t6358 * t2162 / 0.6e1;
  t79850 = t8673 * t1527 / 0.18e2;
  t79852 = t31355 * t15671 / 0.9e1;
  t79853 = t76002 / 0.3e1;
  t79854 = t76004 / 0.3e1;
  t79855 = t76006 / 0.3e1;
  t79862 = t1227 * t79467;
  t79867 = t1227 * t78770;
  t79874 = t4844 * t9789;
  t79877 = t76009 + t31120 * t15589 + t15794 + t1568 * t75956 / 0.6e1 + t466 * t41045 / 0.12e2 - t1218 * t79862 / 0.6e1 - t417 * t47825 / 0.6e1 - t1218 * t79867 / 0.6e1 + t8754 * t9814 / 0.2e1 + t2098 * t31304 / 0.6e1 - 0.5e1 / 0.36e2 * t8760 * t79874;
  t79880 = t8783 * t9814;
  t79881 = t79880 / 0.12e2;
  t79882 = t2087 * t6257;
  t79883 = t79882 / 0.12e2;
  t79884 = t3375 * t78583;
  t79888 = t22070 * t78624;
  t79892 = t78730 * t10038;
  t79895 = t41646 * t9770;
  t79899 = t4738 * t1591 * t75692;
  t79903 = t1227 * t79060;
  t79913 = t4765 * t78620;
  t79914 = t6069 * t79913;
  t79915 = t79914 / 0.12e2;
  t79916 = t62 * t2084;
  t79917 = t79916 * t206;
  t79918 = t827 * t79917;
  t79919 = t9952 * t79918;
  t79920 = 0.6e1 * t79919;
  t79921 = t840 * t79152;
  t79924 = t6419 * t15696;
  t79927 = 0.4e1 * t76354;
  t79928 = 0.6e1 * t76371;
  t79929 = 0.4e1 * t76373;
  t79930 = t9944 * t79918;
  t79931 = 0.2e1 * t79930;
  t79932 = t62 * t2090;
  t79933 = t79932 * t206;
  t79934 = t827 * t79933;
  t79937 = t79932 * t667;
  t79938 = t827 * t79937;
  t79941 = t9929 * t1272;
  t79942 = t827 * t79941;
  t79945 = t3482 * t79933;
  t79948 = t79920 - 0.16e2 * t31879 * t79921 - t79924 + 0.6e1 * t31925 * t15699 + t79927 - t79928 + t79929 + t79931 - 0.12e2 * t48109 * t79934 - 0.4e1 * t31879 * t79938 + 0.4e1 * t9944 * t79942 + 0.4e1 / 0.3e1 * t47996 * t79945;
  t79949 = 0.2e1 * t76420;
  t79950 = t2298 * t8840;
  t79951 = t3375 * t79950;
  t79960 = t6413 * t15741;
  t79961 = 0.2e1 * t79960;
  t79964 = t6419 * t15747;
  t79965 = t79964 / 0.3e1;
  t79966 = t15695 * t667;
  t79967 = t3409 * t79966;
  t79968 = t1591 * t79967;
  t79969 = 0.2e1 * t79968;
  t79970 = t15698 * t667;
  t79971 = t3409 * t79970;
  t79976 = 0.2e1 * t1585 * t15184 + 0.2e1 * t31925 * t15744 - 0.2e1 * t6419 * t15754 + 0.6e1 * t32028 * t15757 - t1587 * t76587 - 0.2e1 * t1591 * t79951 - t470 * t76590 - 0.12e2 * t6393 * t79971 - t79949 - t79961 - t79965 + t79969;
  t79980 = 0.4e1 / 0.3e1 * t76447;
  t79981 = 0.2e1 * t76455;
  t79982 = t3475 * t79933;
  t79987 = t827 * t79152;
  t79994 = t3482 * t79917;
  t79995 = t9952 * t79994;
  t79996 = t79995 / 0.9e1;
  t79997 = t3482 * t79937;
  t80000 = t3482 * t79941;
  t80003 = -0.2e1 * t1591 * t76547 + t79980 + t79981 + t76457 + 0.24e2 * t47963 * t79982 + 0.4e1 * t31895 * t76504 + 0.9e1 * t31864 * t79987 - 0.72e2 * t47996 * t79934 + 0.8e1 / 0.3e1 * t47963 * t79945 - t79996 + t31864 * t79997 / 0.3e1 - 0.2e1 / 0.9e1 * t9952 * t80000;
  t80004 = t48301 * t79933;
  t80011 = t22013 * t79933;
  t80016 = t3475 * t79152;
  t80019 = t840 * t79933;
  t80022 = t41885 * t79157;
  t80025 = t41877 * t79152;
  t80028 = -t47963 * t80004 / 0.9e1 + 0.2e1 * t6440 * t76684 + 0.8e1 * t47996 * t79982 - 0.4e1 / 0.3e1 * t47963 * t80011 - 0.2e1 * t6427 * t76492 - 0.1e2 * t31864 * t80016 + 0.72e2 * t48109 * t80019 + t8856 + t8875 + t8877 - t8888 + 0.18e2 * t31895 * t80022 - 0.12e2 * t31898 * t80025;
  t80031 = t41877 * t79157;
  t80034 = t41881 * t79152;
  t80037 = t41881 * t79157;
  t80040 = t48306 * t79152;
  t80045 = t41885 * t79152;
  t80048 = t48231 * t79152;
  t80058 = -0.8e1 * t31906 * t80031 - 0.16e2 / 0.3e1 * t31879 * t80034 - 0.3e1 * t31895 * t80037 + t31864 * t80040 / 0.3e1 - 0.18e2 * t31864 * t80034 + 0.32e2 * t31879 * t80045 + 0.2e1 * t31864 * t80048 - t15692 - t470 * t76478 - 0.2e1 / 0.3e1 * t1591 * t76582 + 0.2e1 * t1587 * t76620 + 0.3e1 * t470 * t76624;
  t80063 = 0.2e1 * t76466;
  t80064 = 0.8e1 * t76468;
  t80065 = t15698 * t206;
  t80066 = t3402 * t80065;
  t80069 = t21225 * t79970;
  t80072 = t2298 * t1272;
  t80073 = t3402 * t80072;
  t80076 = t21215 * t80065;
  t80079 = t15695 * t206;
  t80080 = t648 * t80079;
  t80081 = t6393 * t80080;
  t80082 = 0.4e1 * t80081;
  t80083 = -0.2e1 * t470 * t76481 + 0.4e1 / 0.3e1 * t1591 * t76485 - t80063 - t80064 - t76472 - t76474 - t76476 - 0.4e2 * t31928 * t80066 - 0.1e2 * t6390 * t80069 + 0.2e2 / 0.3e1 * t6390 * t80073 + 0.1e2 / 0.3e1 * t31939 * t80076 - t80082;
  t80088 = t6419 * t15708;
  t80089 = 0.2e1 / 0.3e1 * t80088;
  t80090 = t6413 * t15711;
  t80091 = t3448 * t80072;
  t80094 = t6419 * t15765;
  t80095 = 0.2e1 * t80094;
  t80096 = t229 * t80065;
  t80099 = t819 * t79970;
  t80102 = t229 * t80072;
  t80109 = t819 * t79950;
  t80112 = -0.3e1 * t31935 * t15702 - t1585 * t15140 + t80089 + t80090 + t6390 * t80091 / 0.9e1 + t80095 + 0.12e2 * t32014 * t80096 + 0.3e1 * t6424 * t80099 - 0.6e1 * t6424 * t80102 - 0.2e1 * t6413 * t15737 - 0.2e1 * t1587 * t76598 - 0.2e1 * t1587 * t80109;
  t80113 = t3375 * t79966;
  t80114 = t1591 * t80113;
  t80115 = 0.4e1 / 0.3e1 * t80114;
  t80116 = t3448 * t80079;
  t80117 = t6390 * t80116;
  t80118 = t80117 / 0.18e2;
  t80119 = t229 * t80079;
  t80120 = t6424 * t80119;
  t80121 = 0.3e1 * t80120;
  t80122 = t819 * t79966;
  t80123 = t1587 * t80122;
  t80124 = t648 * t80065;
  t80127 = t3375 * t79970;
  t80130 = t648 * t80072;
  t80133 = t3448 * t80065;
  t80136 = t21220 * t79970;
  t80145 = t653 * t80072;
  t80148 = -t80115 + t80118 - t80121 - t80123 + 0.24e2 * t32037 * t80124 + 0.8e1 * t6393 * t80127 - 0.8e1 * t6393 * t80130 - 0.2e1 / 0.3e1 * t31928 * t80133 - t6390 * t80136 / 0.6e1 - 0.12e2 * t31925 * t15724 - 0.2e1 / 0.3e1 * t31935 * t15727 + 0.6e1 * t31935 * t15730 + 0.12e2 * t6393 * t80145;
  t80154 = t3409 * t79950;
  t80159 = t22070 * t79970;
  t80162 = t3375 * t80072;
  t80165 = t3375 * t80065;
  t80168 = t21225 * t80065;
  t80171 = t653 * t80065;
  t80177 = t3375 * t80079;
  t80178 = t6390 * t80177;
  t80179 = 0.3e1 * t80178;
  t80180 = t21220 * t80065;
  t80183 = 0.3e1 * t6419 * t15762 + 0.3e1 * t1591 * t80154 + 0.3e1 * t1591 * t76381 + 0.9e1 * t6390 * t80159 - 0.6e1 * t6390 * t80162 + 0.36e2 * t31928 * t80165 - 0.12e2 * t31939 * t80168 - 0.36e2 * t32037 * t80171 - 0.2e1 * t1591 * t76563 + t1591 * t76571 - t80179 + 0.5e2 / 0.3e1 * t31939 * t80180;
  t80184 = t3402 * t80079;
  t80185 = t6390 * t80184;
  t80186 = 0.1e2 / 0.3e1 * t80185;
  t80187 = t653 * t80079;
  t80188 = t6393 * t80187;
  t80189 = 0.6e1 * t80188;
  t80190 = 0.4e1 * t76497;
  t80191 = 0.12e2 * t76500;
  t80192 = 0.24e2 * t76517;
  t80193 = 0.4e1 / 0.3e1 * t76521;
  t80204 = t80186 + t80189 - t80190 + t80191 - t80192 - t76520 - t80193 + t470 * t76388 / 0.2e1 - 0.4e1 * t31925 * t15713 + t31935 * t15716 / 0.18e2 - 0.3e1 * t32028 * t15719 + 0.1e2 / 0.3e1 * t31935 * t15705;
  t80206 = 0.2e1 / 0.3e1 * t76542;
  t80207 = 0.6e1 * t76556;
  t80208 = 0.12e2 * t76574;
  t80209 = 0.2e2 / 0.3e1 * t76578;
  t80210 = t9929 * t8840;
  t80211 = t233 * t80210;
  t80217 = t31861 * t15690 + 0.4e1 * t6440 * t80211 + 0.2e1 * t9923 * t76688 - t15697 + t15710 + t15712 - t76541 + t76577 - t80206 - t80207 + t80208 + t80209;
  t80220 = t827 * t79157;
  t80223 = t3482 * t79152;
  t80226 = t79916 * t667;
  t80227 = t827 * t80226;
  t80228 = t6427 * t80227;
  t80229 = 0.2e1 / 0.3e1 * t80228;
  t80230 = t233 * t79933;
  t80233 = t233 * t79937;
  t80236 = t233 * t79941;
  t80243 = t840 * t80210;
  t80252 = t6427 * t76665 / 0.3e1 + 0.6e1 * t31895 * t80220 - t31864 * t80223 / 0.6e1 + t80229 - 0.24e2 * t48041 * t80230 - 0.6e1 * t31898 * t80233 + 0.12e2 * t9935 * t80236 + 0.4e1 * t31901 * t15687 + 0.4e1 * t6440 * t76508 - 0.6e1 * t6427 * t80243 - 0.6e1 * t6427 * t76528 - 0.18e2 * t31864 * t79938 + 0.12e2 * t9952 * t79942;
  t80255 = t3475 * t79937;
  t80258 = t3475 * t79941;
  t80263 = t840 * t79157;
  t80269 = 0.8e1 / 0.3e1 * t76627;
  t80270 = t76629 / 0.9e1;
  t80271 = t840 * t79937;
  t80274 = 0.2e1 * t31864 * t80255 - 0.4e1 / 0.3e1 * t9952 * t80258 - 0.6e1 * t31861 * t15684 - 0.9e1 * t31895 * t80263 - t1585 * t15192 - t31935 * t15750 / 0.9e1 + t15733 + t15170 + t15735 - t80269 + t80270 + 0.24e2 * t31879 * t80271;
  t80275 = t840 * t79941;
  t80279 = t827 * t80210;
  t80291 = -0.24e2 * t9944 * t80275 + t6427 * t76675 + t6427 * t80279 - 0.4e1 * t31906 * t76637 - 0.6e1 * t47988 * t76641 + 0.4e1 * t9923 * t76645 - 0.2e1 / 0.3e1 * t31895 * t76648 - t15743 - t15749 + t15767 + t1585 * t15162 / 0.2e1 - t8948 - t8949;
  t80293 = 0.4e1 / 0.3e1 * t76651;
  t80294 = 0.2e1 / 0.9e1 * t76653;
  t80295 = 0.8e1 * t76656;
  t80296 = 0.12e2 * t76669;
  t80297 = 0.4e1 * t76671;
  t80298 = 0.4e1 * t76673;
  t80299 = t233 * t79157;
  t80302 = 0.4e1 * t31906 * t80299 + t76659 + t76662 + t76664 + t80293 - t80294 - t80295 + t80296 + t80297 + t80298 - t8966 + t8975;
  t80305 = t233 * t79917;
  t80306 = t9935 * t80305;
  t80307 = 0.6e1 * t80306;
  t80308 = t233 * t80226;
  t80309 = t6440 * t80308;
  t80310 = 0.2e1 * t80309;
  t80311 = t840 * t79917;
  t80312 = t9944 * t80311;
  t80313 = 0.12e2 * t80312;
  t80314 = t840 * t80226;
  t80315 = t6427 * t80314;
  t80316 = 0.4e1 * t80315;
  t80317 = t3475 * t79917;
  t80318 = t9952 * t80317;
  t80319 = 0.2e1 / 0.3e1 * t80318;
  t80320 = t233 * t79152;
  t80323 = 0.32e2 / 0.3e1 * t31879 * t79987 + t80307 + t80310 - t80313 - t80316 - t80319 + 0.6e1 * t31898 * t80320 - t15179 - t15768 + t15769 - t15770 - t2138 + t2119;
  t80333 = t26891 * t15625 / 0.3e1;
  t80336 = t76177 / 0.9e1;
  t80337 = t76179 / 0.6e1;
  t80338 = t76181 / 0.6e1;
  t80339 = -0.11e2 / 0.18e2 * t30919 * t15647 - 0.11e2 / 0.18e2 * t30937 * t15647 + 0.6e1 * t42187 * t9749 - t79915 - t30 * t59 * (t79948 + t79976 + t80003 + t80028 + t80058 + t80083 + t80112 + t80148 + t80183 + t80204 + t80217 + t80252 + t80274 + t80291 + t80302 + t80323) * t95 / 0.4e1 + t80333 - t5126 * t2324 - t1293 * t9848 - t80336 - t80337 - t80338;
  t80341 = t4760 * t78833;
  t80343 = t42977 * t10038;
  t80345 = t25657 * t9766;
  t80348 = t41646 * t10038;
  t80350 = t42977 * t9770;
  t80353 = t4796 * t78689;
  t80354 = t10097 * t80353;
  t80355 = t80354 / 0.2e1;
  t80356 = t21220 * t78583;
  t80360 = t21225 * t78583;
  t80364 = t21215 * t78583;
  t80374 = t76185 / 0.3e1;
  t80375 = 0.5e1 / 0.18e2 * t76187;
  t80381 = -t25662 * t9744 + t41476 * t10082 + t41476 * t10085 + t76184 + t80374 - t80375 - t76190 - t76192 + t76194 + t6069 * t75503 / 0.3e1 - 0.2e1 / 0.3e1 * t6069 * t41642 * t8609;
  t80392 = t30 * t427 * t9871;
  t80400 = t10037 * t78846;
  t80403 = t76217 / 0.3e1;
  t80405 = t188 * t15774 / 0.12e2;
  t80407 = t4754 * t78717;
  t80410 = t4770 * t78833;
  t80419 = t673 * t78788;
  t80420 = t1568 * t80419;
  t80421 = t80420 / 0.6e1;
  t80424 = -0.6e1 * t47803 * t80407 - 0.2e1 * t10066 * t80410 + t6353 * t2170 / 0.2e1 + t9033 - t9044 - t6491 * t75396 / 0.3e1 - t6488 * t75414 / 0.3e1 - t9058 - t9060 + t80421 + t31115 * t15604 / 0.2e1;
  t80428 = t1227 * t79386;
  t80437 = t76255 / 0.2e1;
  t80438 = t76257 / 0.2e1;
  t80440 = t2087 * t6347;
  t80441 = t80440 / 0.12e2;
  t80450 = t76334 / 0.3e1;
  t80451 = t76336 / 0.3e1;
  t80452 = t76338 / 0.3e1;
  t80453 = 0.2e1 / 0.3e1 * t76340;
  t80454 = 0.2e1 / 0.3e1 * t76341;
  t80455 = -t80441 - t1278 * t10155 / 0.6e1 - t1283 * t10155 / 0.6e1 - t417 * t46747 / 0.6e1 + t4779 * t1591 * t75833 + t76331 - t80450 - t80451 - t80452 + t80453 + t80454;
  t80458 = t673 * t79467;
  t80473 = t768 * t15792;
  t80474 = t80473 / 0.2e1;
  t80481 = t31560 * t15657 / 0.6e1;
  t80486 = t673 * t78903;
  t80490 = 0.5e1 / 0.108e3 * t30978 * t15663;
  t80491 = t41646 * t9762;
  t80496 = t41642 * t9757;
  t80499 = t1220 * t79386;
  t80502 = t21784 * t15586 / 0.2e1;
  t80503 = -t466 * t42850 / 0.12e2 - t80481 + t6112 * t15595 / 0.3e1 + t6116 * t15595 / 0.3e1 + t1568 * t80486 / 0.3e1 - t80490 + 0.2e1 / 0.3e1 * t6069 * t80491 - 0.6e1 * t41476 * t9883 - 0.4e1 / 0.3e1 * t6069 * t80496 + t6167 * t80499 + t80502;
  t80506 = 0.7e1 / 0.9e1 * t30978 * t15577;
  t80508 = t30978 * t15573 / 0.6e1;
  t80509 = t593 * t15568;
  t80512 = t10037 * t78689;
  t80513 = t10036 * t80512;
  t80514 = 0.5e1 / 0.36e2 * t80513;
  t80516 = t31575 * t15680 / 0.12e2;
  t80523 = t3548 * t15563;
  t80524 = t80506 - t80508 - t80509 - t6491 * t75402 / 0.6e1 - t80514 + t80516 - t6353 * t2167 / 0.4e1 - t6335 * t2167 / 0.4e1 - t1532 * t9008 / 0.4e1 - t80523 - t76346;
  t80526 = 0.2e1 / 0.9e1 * t6186 * t15808;
  t80528 = t5143 * t2332 / 0.3e1;
  t80530 = t27066 * t2319 / 0.3e1;
  t80531 = t593 * t15792;
  t80532 = t80531 / 0.6e1;
  t80533 = t593 * t15802;
  t80534 = t80533 / 0.6e1;
  t80539 = t1530 * t15571;
  t80540 = t4838 * t80539;
  t80543 = t648 * t78577;
  t80550 = t80526 + t80528 - t80530 + t80532 - t80534 + t1532 * t9022 - 0.3e1 * t1532 * t9034 - t1532 * t9024 + 0.7e1 / 0.3e1 * t69444 * t80540 + 0.6e1 * t4738 * t6393 * t80543 + 0.3e1 * t4748 * t31638 * t15643;
  t80557 = my_piecewise3(t2, 0, -0.23e2 / 0.12e2 * t10036 * t79162 + t1517 * t15091 / 0.12e2 + t1522 * t15091 / 0.12e2 + t466 * t75781 / 0.12e2 + t466 * t76116 / 0.12e2 - t6084 * t15632 / 0.3e1 - t6081 * t15632 / 0.3e1 + 0.3e1 / 0.2e1 * t1532 * t8766 - t8760 * t79094 / 0.2e1 - 0.3e1 / 0.2e1 * t8760 * t79098 + 0.3e1 / 0.2e1 * t32471 * t8772 - 0.2e1 * t8754 * t9794 - t1541 * t75877 / 0.6e1 - 0.3e1 * t6295 * t9039 + 0.3e1 * t3530 * t15644 + 0.3e1 * t3537 * t15644 - t6488 * t75407 / 0.6e1 + t6069 * t75410 / 0.12e2 + t2093 * t6257 / 0.6e1 + t25730 * t15625 + 0.7e1 / 0.3e1 * t30919 * t15577 - 0.7e1 * t10036 * t79350 + 0.14e2 / 0.3e1 * t10036 * t79353 + 0.89e2 / 0.9e1 * t47511 * t79356 + 0.7e1 / 0.3e1 * t10036 * t79359 - t2098 * t32362 / 0.6e1 + 0.2e1 / 0.3e1 * t1218 * t79315 + 0.3e1 / 0.2e1 * t757 * t15640 + 0.5e1 / 0.12e2 * t10036 * t79320 - 0.5e1 / 0.18e2 * t10036 * t79323 - 0.35e2 / 0.108e3 * t47511 * t79326 + t6069 * t75381 / 0.6e1 - t6353 * t2162 / 0.2e1 - t6335 * t2162 / 0.2e1 + t9045 * t1527 / 0.6e1 + t2093 * t6347 / 0.6e1 + 0.2e1 / 0.3e1 * t6491 * t79225 - t6491 * t79228 / 0.3e1 + 0.6e1 * t46923 * t79205 + 0.3e1 / 0.2e1 * t10036 * t79208 - t10036 * t79211 - t1541 * t79149 / 0.3e1 + 0.16e2 / 0.3e1 * t10066 * t79154 + 0.3e1 * t6069 * t79159 - 0.5e1 / 0.18e2 * t10036 * t79892 - t6069 * t79895 / 0.6e1 + t25662 * t10076 - 0.2e1 * t41476 * t10080 - 0.2e1 * t6167 * t79903 + t46739 * t432 / 0.2e1 + t46744 * t432 / 0.2e1 - t1522 * t9098 / 0.12e2 - t466 * t43321 / 0.12e2 - 0.2e1 * t31120 * t15591 - t1293 * t9845 + t10066 * t79489 + 0.5e1 / 0.3e1 * t46923 * t79491 + 0.2e1 * t42187 * t9752 + t1532 * t9027 / 0.2e1 + 0.7e1 / 0.3e1 * t30937 * t15577 + 0.7e1 / 0.3e1 * t6107 * t79396 + 0.3e1 / 0.2e1 * t768 * t15558 + 0.3e1 / 0.2e1 * t757 * t15558 - t25888 * t2319 - t1541 * t75259 / 0.12e2 + t1259 * t80458 / 0.3e1 + t417 * t47817 / 0.6e1 - t768 * t15787 / 0.4e1 - t757 * t15787 / 0.4e1 + t31120 * t15604 / 0.2e1 + t6167 * t80428 / 0.2e1 + 0.3e1 / 0.2e1 * t26772 * t15627 + t42727 * t481 / 0.4e1 + t42732 * t481 / 0.4e1 + 0.3e1 * t80392 * t9875 - t1293 * t10197 / 0.2e1 - t1532 * t9122 + 0.3e1 / 0.2e1 * t1532 * t9125 - 0.5e1 / 0.36e2 * t10036 * t80400 - t25662 * t9732 / 0.2e1 + t6069 * t75506 / 0.6e1 - t10066 * t80341 - t10097 * t80343 - t6491 * t80345 / 0.3e1 + t10066 * t80348 + t6491 * t80350 / 0.3e1 - 0.3e1 * t768 * t15568 + t47925 * t8615 / 0.2e1 - t182 * t15774 / 0.4e1 - 0.11e2 / 0.18e2 * t6107 * t79750 + 0.23e2 / 0.36e2 * t30919 * t15650 + 0.23e2 / 0.36e2 * t30937 * t15650 - 0.3e1 / 0.2e1 * t30919 * t15581 - t10036 * t79719 - t42203 * t9754 - t1293 * t10125 / 0.2e1 - t1532 * t9013 / 0.4e1 + 0.3e1 / 0.2e1 * t10036 * t79675 + 0.9e1 / 0.2e1 * t10036 * t79679 + t6491 * t75143 / 0.3e1 + t6488 * t76156 / 0.2e1 - 0.3e1 / 0.2e1 * t10036 * t79638 - 0.62e2 / 0.3e1 * t78666 * t79625 - t2098 * t32438 / 0.6e1 + t9061 * t6290 / 0.3e1 + t2098 * t32442 / 0.3e1 + t1532 * t9114 / 0.2e1 + t10160 * t1274 / 0.2e1 - t31040 * t15657 / 0.2e1 - t31044 * t15657 / 0.2e1 - t6223 * t79528 / 0.2e1 - 0.2e1 * t31115 * t15591 - 0.2e1 * t10066 * t78890 + 0.2e1 * t47471 * t78893 + t10097 * t78896 / 0.2e1 - t6084 * t15607 / 0.6e1 - t6081 * t15607 / 0.6e1 + 0.11e2 / 0.6e1 * t10036 * t78834 - 0.11e2 / 0.9e1 * t10036 * t78838 - t31284 * t15678 - t31242 * t15678 - t47709 * t8648 / 0.2e1 + t42187 * t9888 - t41476 * t9864 + t1259 * t78771 / 0.3e1 - t8795 * t9805 / 0.2e1 - t2093 * t6263 / 0.6e1 - t32423 * t2154 / 0.2e1 - t32430 * t2154 / 0.2e1 - t9061 * t6286 / 0.6e1 + 0.22e2 / 0.3e1 * t46923 * t78718 - 0.23e2 / 0.3e1 * t46923 * t78722 - 0.11e2 / 0.9e1 * t10036 * t78726 - t9061 * t6350 / 0.12e2 - t2098 * t31809 / 0.12e2 - t1517 * t9098 / 0.12e2 + t417 * t78634 / 0.12e2 + t417 * t78638 / 0.12e2 - 0.6e1 * t42187 * t9879 + t1283 * t15621 / 0.12e2 - 0.43e2 / 0.9e1 * t47511 * t78585 + t47709 * t8627 / 0.2e1 - t32403 * t8618 / 0.4e1 + 0.3e1 * t41476 * t9737 + t41476 * t9741 - 0.3e1 * t10036 * t78579 + t1517 * t15062 / 0.6e1 + t1522 * t15062 / 0.6e1 + 0.2e1 / 0.3e1 * t6069 * t78946 - t6069 * t78949 / 0.3e1 - t1541 * t78904 / 0.6e1 + t10066 * t78879 + 0.12e2 * t47803 * t78881 + 0.4e1 * t10066 * t78884 - 0.4e1 * t10066 * t78887 - t4738 * t1591 * t75830 - t4779 * t1587 * t75283 + t3123 * t6475 * t15044 / 0.2e1 - 0.6e1 * t4779 * t32014 * t78955 - 0.9e1 / 0.2e1 * t4738 * t1591 * t79794 + t4738 * t1591 * t75826 / 0.2e1 - t4779 * t1591 * t75594 / 0.2e1 - 0.18e2 * t4779 * t31928 * t79884 - 0.9e1 / 0.2e1 * t4779 * t6390 * t79888 - 0.18e2 * t4738 * t31939 * t80356 + 0.6e1 * t4779 * t31939 * t80360 + 0.18e2 * t9873 * t31939 * t80364 - t246 * t6136 * t15111 / 0.4e1 - t246 * t1559 * t76151 / 0.4e1 - 0.3e1 / 0.2e1 * t4779 * t6424 * t79001 + 0.3e1 / 0.2e1 * t246 * t32332 * t15639 + 0.3e1 * t644 * t31534 * t15643 - 0.18e2 * t4738 * t32037 * t79103 - 0.3e1 * t4779 * t6424 * t79213 - 0.2e1 * t4779 * t1587 * t79217 + t3123 * t6496 * t79222 + 0.3e1 / 0.2e1 * t246 * t30908 * t15557 - 0.3e1 * t246 * t31534 * t15567 - 0.9e1 / 0.2e1 * t9873 * t6390 * t79563 - 0.8e1 * t4738 * t6393 * t79567 - 0.3e1 * t4748 * t31407 * t15562 - 0.6e1 * t4738 * t6393 * t79644 - 0.28e2 * t79668 * t10058 * t78668 - 0.6e1 * t47583 * t31939 * t78647 - 0.9e1 / 0.2e1 * t9873 * t6390 * t78822 + 0.3e1 * t9873 * t6390 * t78826 + 0.3e1 / 0.2e1 * t26806 * t31407 * t15585 + 0.14e2 / 0.3e1 * t10036 * t78725 * t10047 + t78932 + t78877 + t78812 - t78786 - t78782 - t78784 - t78779 + t78769 + t78765 + t78757 + t78761 - t78716 + t78698 + t78656 - t78657 + t78642 + t78644 + t78646 + t78629 - t78582 - t75955 + t75859 + t75821 + t75804 + t75731 + t75726 + t75728 - t75627 - t75554 + t75556 + t75482 + t75480 - t75417 - t75321 - t75323 + 0.2e1 / 0.3e1 * t6069 * t26082 * t635 * t75141 - t6069 * t4760 * t635 * t75400 / 0.3e1 + t80550 + t80524 + t80503 + t80474 + t80455 + t80437 + t80438 + t80424 - t80405 + t80403 + t80381 + t79203 + t79134 - t80355 + t80339 - t79407 + t79406 + t79390 - t79349 + t79346 - t79311 + t79308 - t79278 - t79280 - t79274 - t79276 + t79272 - t79266 + t79257 - t79232 + t79234 + t79899 - t79883 - t79881 + t79877 + t79854 + t79855 + t79850 - t79852 + t79853 - t79848 + t79837 + t79802 + t79791 - t79793 - t79107 - t79091 + t79088 + t79058 + t79783 + t79745 + t79747 + t79723 + t79716 - t79672 + t79673 + t79674 + t79665 + t79641 - t79643 + t79620 - t79589 - t79585 + t79580 + t79581 - t79573 - t79576 - t79054 - t79056 + t79034 - t79000 - t78997 - t78990 - t78992 + t78985 + t79561 + t79518 - t79488 - t79485 - t79486 - t79487 + t79482 + t79456 - t79453 - t79444 - t79445 + t79446 - t79441 + t79434 + t75082 + t75084 - t75079 + t2160 - t2089 - t9110 + t9112 - t15811 + t15812 - t15784 - t8744 - t8748 + t8752 - t8785 + t8662 + t15216 - t8667 + t15602 + t15778 - t8790 + t8683 + t8778 + t8780 + t8659 - t15555 - t15804 - t15126 - t15116 - t15120);
  tv4rhosigma2lapl0 = t3 * t80557 + t15837;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 0] += tv4rhosigma2lapl0;

  tv4rhosigma2lapl1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 1] += tv4rhosigma2lapl1;

  tv4rhosigma2lapl2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 2] += tv4rhosigma2lapl2;

  tv4rhosigma2lapl3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 3] += tv4rhosigma2lapl3;

  tv4rhosigma2lapl4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 4] += tv4rhosigma2lapl4;

  tv4rhosigma2lapl5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 5] += tv4rhosigma2lapl5;

  tv4rhosigma2lapl6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 6] += tv4rhosigma2lapl6;

  tv4rhosigma2lapl7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 7] += tv4rhosigma2lapl7;

  tv4rhosigma2lapl8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 8] += tv4rhosigma2lapl8;

  tv4rhosigma2lapl9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 9] += tv4rhosigma2lapl9;

  tv4rhosigma2lapl10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 10] += tv4rhosigma2lapl10;

  t80560 = t33317 * t2245 / 0.6e1;
  t80562 = t9175 * t6843 / 0.9e1;
  t80564 = t9175 * t6839 / 0.18e2;
  t80566 = t6631 * t2261 / 0.6e1;
  t80568 = t9157 * t1658 / 0.18e2;
  t80570 = t6631 * t2253 / 0.6e1;
  t80572 = t1354 * t10656 / 0.18e2;
  t80573 = t9178 * t1658;
  t80574 = t80573 / 0.36e2;
  t80576 = t1618 * t9705 / 0.36e2;
  t80578 = t9175 * t6873 / 0.36e2;
  t80579 = t76717 / 0.3e1;
  t80580 = t76725 / 0.3e1;
  t80581 = t76729 / 0.3e1;
  t80586 = -t80560 + t80562 - t80564 + t80566 + t80568 - t80570 - t80572 - t80574 - t80576 - t80578 - t76709 - t76712 - t80579 - t76722 - t80580 - t80581 + 0.2e1 / 0.3e1 * t6702 * t15845 - t6702 * t15841 / 0.6e1;
  t80592 = t6709 * t16004;
  t80593 = t80592 / 0.6e1;
  t80604 = t6702 * t15988;
  t80605 = t80604 / 0.12e2;
  t80606 = 0.2e1 / 0.9e1 * t76736;
  t80607 = t76738 / 0.9e1;
  t80608 = t76740 / 0.3e1;
  t80609 = t76742 / 0.18e2;
  t80610 = t76748 / 0.9e1;
  t80611 = t6702 * t15984;
  t80612 = t80611 / 0.6e1;
  t80615 = t33703 * t16055 - 0.2e1 * t33703 * t16057 + t33703 * t16007 / 0.2e1 + t80593 + t6709 * t16001 / 0.3e1 - t6702 * t15998 / 0.3e1 + t1615 * t15488 / 0.12e2 + t1615 * t15483 / 0.6e1 - 0.5e1 / 0.36e2 * t33295 * t15991 - t80605 + t80606 - t80607 + t80608 - t80609 + t76746 + t80610 - t80612 + t1351 * t15979 / 0.12e2;
  t80621 = t6702 * t16032;
  t80622 = t80621 / 0.3e1;
  t80628 = t4065 * t16023;
  t80629 = t80628 / 0.2e1;
  t80630 = t945 * t16020;
  t80631 = t80630 / 0.2e1;
  t80632 = t945 * t16015;
  t80633 = t80632 / 0.2e1;
  t80634 = t76801 / 0.6e1;
  t80635 = t76805 / 0.3e1;
  t80647 = 0.3e1 * t4065 * t16036 - t1615 * t15447 / 0.6e1 + t80622 - t6656 * t2258 / 0.4e1 - t5419 * t2398 / 0.2e1 - t5419 * t2395 - t80629 - t80631 + t80633 + t76800 - t80634 + t80635 - t33563 * t2245 / 0.2e1 + t9148 * t1658 / 0.6e1 - t33278 * t16109 / 0.3e1 + t33284 * t16106 / 0.4e1 + 0.3e1 / 0.2e1 * t28913 * t16102 + t28455 * t16100;
  t80667 = t4040 * t15964;
  t80668 = t6631 * t2249;
  t80669 = t80668 / 0.12e2;
  t80671 = t49479 * t457 / 0.6e1;
  t80674 = t6656 * t2249;
  t80675 = t80674 / 0.4e1;
  t80682 = -t33284 * t16116 - t945 * t16010 / 0.4e1 + 0.23e2 / 0.36e2 * t33295 * t15972 - t33295 * t15975 / 0.2e1 + t33284 * t16112 / 0.2e1 + 0.7e1 / 0.3e1 * t33295 * t16052 + 0.3e1 / 0.2e1 * t23924 * t15959 - 0.3e1 * t4065 * t15964 - 0.11e2 / 0.18e2 * t33295 * t15968 - t33334 * t16043 / 0.2e1 - t80667 + t80669 + t80671 + t49454 * t457 / 0.2e1 + t80675 - t9151 * t6873 / 0.12e2 + t6656 * t2261 / 0.2e1 + t43935 * t505 / 0.4e1;
  t80685 = t76833 / 0.18e2;
  t80687 = t33515 * t16109 / 0.9e1;
  t80691 = 0.2e1 / 0.9e1 * t6679 * t15845;
  t80693 = t6679 * t15841 / 0.18e2;
  t80695 = t33245 * t16007 / 0.6e1;
  t80696 = t6684 * t16004;
  t80697 = t80696 / 0.18e2;
  t80699 = t6684 * t16001 / 0.9e1;
  t80701 = t6679 * t15998 / 0.9e1;
  t80703 = t1618 * t15488 / 0.36e2;
  t80705 = t1618 * t15483 / 0.18e2;
  t80707 = 0.5e1 / 0.108e3 * t33231 * t15991;
  t80708 = t6679 * t15988;
  t80709 = t80708 / 0.36e2;
  t80710 = t6679 * t15984;
  t80711 = t80710 / 0.18e2;
  t80713 = t1354 * t15979 / 0.36e2;
  t80715 = t33262 * t16116 / 0.3e1;
  t80717 = t44332 * t505 / 0.12e2;
  t80720 = -t80685 - t80687 + 0.3e1 / 0.2e1 * t945 * t16067 + t80691 - t80693 + t80695 + t80697 + t80699 - t80701 + t80703 + t80705 - t80707 - t80709 - t80711 + t80713 - t80715 + t80717 - t9151 * t6839 / 0.6e1;
  t80727 = t9154 * t1658;
  t80728 = t80727 / 0.12e2;
  t80734 = t948 * t16067 / 0.2e1;
  t80736 = t948 * t16062 / 0.6e1;
  t80738 = t5414 * t2403 / 0.3e1;
  t80740 = t28634 * t2390 / 0.3e1;
  t80742 = 0.2e1 / 0.3e1 * t33245 * t16057;
  t80744 = t33245 * t16055 / 0.3e1;
  t80746 = 0.7e1 / 0.9e1 * t33231 * t16052;
  t80748 = t33231 * t15975 / 0.6e1;
  t80750 = 0.23e2 / 0.108e3 * t33231 * t15972;
  t80752 = 0.11e2 / 0.54e2 * t33231 * t15968;
  t80756 = t9151 * t6843 / 0.3e1 - t6656 * t2253 / 0.2e1 - t1615 * t9705 / 0.12e2 - t80728 - t1351 * t10656 / 0.6e1 - 0.3e1 * t945 * t15944 + t80734 + t80736 + t80738 - t80740 - t80742 + t80744 + t80746 - t80748 + t80750 - t80752 - t28861 * t2390 - 0.3e1 / 0.2e1 * t28455 * t16047;
  t80759 = t28427 * t16102 / 0.2e1;
  t80761 = t33262 * t16106 / 0.12e2;
  t80763 = t28439 * t16100 / 0.3e1;
  t80764 = 0.2e1 / 0.3e1 * t76869;
  t80766 = t28439 * t16047 / 0.2e1;
  t80767 = t6679 * t16032;
  t80768 = t80767 / 0.9e1;
  t80770 = t6631 * t2258 / 0.12e2;
  t80772 = t5414 * t2398 / 0.6e1;
  t80774 = t5414 * t2395 / 0.3e1;
  t80775 = t4040 * t16023;
  t80776 = t80775 / 0.6e1;
  t80777 = t948 * t16020;
  t80778 = t80777 / 0.6e1;
  t80779 = t948 * t16015;
  t80780 = t80779 / 0.6e1;
  t80782 = t948 * t16010 / 0.12e2;
  t80784 = t33392 * t16043 / 0.6e1;
  t80786 = t1618 * t15447 / 0.18e2;
  t80787 = t4040 * t16036;
  t80790 = t80759 + t80761 + t80763 + t80764 + t76877 - t80766 + t80768 - t80770 - t80772 - t80774 - t80776 - t80778 + t80780 - t80782 - t80784 - t80786 + t80787 + 0.3e1 / 0.2e1 * t945 * t15949;
  t80793 = t76878 / 0.6e1;
  t80794 = t76882 / 0.2e1;
  t80795 = t76890 / 0.6e1;
  t80799 = t294 * t15939 / 0.12e2;
  t80801 = t33262 * t16112 / 0.6e1;
  t80803 = t23721 * t15959 / 0.2e1;
  t80805 = t948 * t15949 / 0.2e1;
  t80807 = t33231 * t15954 / 0.2e1;
  t80808 = t948 * t15944;
  t80812 = -0.3e1 / 0.2e1 * t33295 * t15954 - t9156 + t9168 - t9180 + t9188 - t80793 + t80794 + t80795 - t290 * t15939 / 0.4e1 - t80799 + t80801 - t76912 + t80803 + t80805 - t80807 - t80808 + t5419 * t2403 + t945 * t16062 / 0.2e1;
  t80816 = my_piecewise3(t100, 0, t80586 + t80615 + t80647 + t80682 + t80720 + t80756 + t80790 + t80812);
  tv4rhosigma2lapl11 = t3 * t80816 + t16121;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 11] += tv4rhosigma2lapl11;

  t80818 = t903 * t15792;
  t80819 = t80818 / 0.2e1;
  t80837 = t903 * t15802;
  t80838 = t80837 / 0.2e1;
  t80842 = t78642 + t78644 + t78646 + t78697 + t80819 - t903 * t15787 / 0.4e1 + 0.3e1 * t3802 * t15644 + 0.3e1 / 0.2e1 * t903 * t15640 + t903 * t15635 / 0.2e1 - t6541 * t15632 / 0.3e1 + t1632 * t15062 / 0.6e1 + t1632 * t15091 / 0.12e2 - 0.5e1 / 0.36e2 * t32804 * t15663 - t78745 - t27916 * t2319 - t80838 - t5379 * t2327 / 0.2e1 - t5379 * t2324;
  t80849 = t76936 / 0.6e1;
  t80850 = t76940 / 0.3e1;
  t80851 = 0.2e1 / 0.3e1 * t76943;
  t80854 = -t6575 * t2167 / 0.4e1 + t1368 * t15621 / 0.12e2 - t78915 - t78982 + t78984 - t78990 - t78992 - 0.3e1 / 0.2e1 * t27723 * t15796 - t80849 - t80850 + t80851 + t79058 + t76950 + t79087 - t79091 - t79107 - t79124 + 0.3e1 / 0.2e1 * t27867 * t15627;
  t80864 = t6575 * t2158;
  t80865 = t80864 / 0.4e1;
  t80866 = t9213 * t1527;
  t80867 = t80866 / 0.12e2;
  t80870 = -t32796 * t2154 / 0.2e1 + t9208 * t6290 / 0.3e1 - t9208 * t6286 / 0.6e1 - t79232 + t79234 + t79237 + t79239 + t43841 * t481 / 0.4e1 + t80865 - t79247 - t80867 + t49063 * t432 / 0.2e1 - t79266 + t79272 - t79274 - t79276 - t79278 - t79280;
  t80891 = t6609 * t15600;
  t80892 = t80891 / 0.6e1;
  t80893 = 0.3e1 / 0.2e1 * t22751 * t15586 - 0.3e1 / 0.2e1 * t32804 * t15581 + 0.7e1 / 0.3e1 * t32804 * t15577 - t32804 * t15573 / 0.2e1 - 0.3e1 * t903 * t15568 - 0.3e1 * t3802 * t15563 + 0.3e1 / 0.2e1 * t903 * t15558 - t6541 * t15607 / 0.6e1 + t32856 * t15604 / 0.2e1 + t6609 * t15595 / 0.3e1 + t80892 + t79307 - t79311 - t76961 - t76964 - t79335 + t79337 - t79339;
  t80900 = t76998 / 0.6e1;
  t80901 = t6541 * t15617;
  t80902 = t80901 / 0.3e1;
  t80903 = -t79341 + t79343 + t79345 + t79369 + t79423 - t79441 - t79488 - t75745 - t79513 - t8667 + t8683 + t79537 + t79581 - t6575 * t2162 / 0.2e1 + t9216 * t1527 / 0.6e1 - t79643 - t80900 + t80902;
  t80904 = t6541 * t15613;
  t80905 = t80904 / 0.6e1;
  t80906 = t3802 * t15610;
  t80907 = t80906 / 0.2e1;
  t80911 = t77015 / 0.2e1;
  t80918 = -t80905 - t80907 + 0.2e1 / 0.3e1 * t6541 * t15808 + t5379 * t2332 + t77001 - t77007 - t79688 + t79715 + t79723 + t80911 - t32751 * t15671 / 0.3e1 + t32743 * t15680 / 0.4e1 + t79779 + t79791 - t79793 - t1368 * t10155 / 0.6e1 - t79848 + t79850;
  t80921 = t6541 * t15660;
  t80922 = t80921 / 0.12e2;
  t80939 = -t79852 + t27723 * t15625 + t80333 - t80922 - t32842 * t15657 / 0.2e1 - t1632 * t15050 / 0.6e1 + 0.23e2 / 0.36e2 * t32804 * t15650 + t32856 * t15589 - 0.2e1 * t32856 * t15591 - 0.11e2 / 0.18e2 * t32804 * t15647 - t80336 - t32743 * t15678 + t32743 * t15674 / 0.2e1 + t80403 - t80405 - t307 * t15774 / 0.4e1 - t9215 + t9226;
  t80946 = t77031 / 0.3e1;
  t80947 = t6575 * t2170 / 0.2e1 - t9208 * t6350 / 0.12e2 - t1632 * t9098 / 0.12e2 + t76331 - t80481 - t80490 + t80946 + t80502 + t80506 - t80508 - t80509 + t80516 - t80523 + t80526 + t80528 - t80530 + t80532 - t80534;
  t80951 = my_piecewise3(t2, 0, t80842 + t80854 + t80870 + t80893 + t80903 + t80918 + t80939 + t80947);
  tv4rhosigma2lapl12 = t3 * t80951 + t15837;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 12] += tv4rhosigma2lapl12;

  tv4rhosigma2lapl13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 13] += tv4rhosigma2lapl13;

  tv4rhosigma2lapl14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 14] += tv4rhosigma2lapl14;

  tv4rhosigma2lapl15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 15] += tv4rhosigma2lapl15;

  tv4rhosigma2lapl16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 16] += tv4rhosigma2lapl16;

  tv4rhosigma2lapl17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 17] += tv4rhosigma2lapl17;

  tv4rhosigma2lapl18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 18] += tv4rhosigma2lapl18;

  tv4rhosigma2lapl19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 19] += tv4rhosigma2lapl19;

  tv4rhosigma2lapl20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 20] += tv4rhosigma2lapl20;

  tv4rhosigma2lapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 21] += tv4rhosigma2lapl21;

  tv4rhosigma2lapl22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 22] += tv4rhosigma2lapl22;

  t80954 = t44807 * t17659;
  t80960 = t6755 * t15988;
  t80961 = t80960 / 0.12e2;
  t80962 = t6760 * t15988;
  t80963 = t80962 / 0.12e2;
  t80965 = t987 * t34384 * t2197;
  t80969 = t987 * t6773 * t9398;
  t80972 = t6755 * t15984;
  t80973 = t80972 / 0.6e1;
  t80976 = t356 * t77882;
  t80978 = t5540 * t7010 * t80976;
  t80979 = 0.3e1 / 0.2e1 * t80978;
  t80980 = t1182 * t77895;
  t80982 = t5540 * t1716 * t80980;
  t80983 = t80982 / 0.2e1;
  t80984 = -t80574 - t80576 - t80578 - t80961 - t80963 + t442 * t80965 / 0.12e2 + t442 * t80969 / 0.12e2 - t80973 + t2184 * t6775 / 0.6e1 + t80979 + t80983;
  t80991 = t44803 * t17729;
  t80995 = t5559 * t1720 * t77896;
  t80996 = t487 * t2175;
  t80998 = t10458 * t4403 * t80996;
  t80999 = t29011 * t80998;
  t81000 = 0.3e1 / 0.2e1 * t80999;
  t81002 = t5535 * t7126 * t15468;
  t81003 = t81002 / 0.2e1;
  t81004 = t1021 * t80996;
  t81005 = t5553 * t81004;
  t81006 = t52065 * t81005;
  t81007 = 0.2e1 * t81006;
  t81009 = t4145 * t7123 * t16019;
  t81010 = t81009 / 0.2e1;
  t81017 = t2181 * t333;
  t81018 = t24794 * t81017;
  t81022 = t4396 * t452;
  t81023 = t81022 * t10453;
  t81026 = t44803 * t10467;
  t81029 = t403 * t2181;
  t81030 = t380 * t81029;
  t81031 = t5553 * t81030;
  t81036 = t1054 * t15952;
  t81037 = t5640 * t81036;
  t81044 = t4697 * t15952;
  t81045 = t5634 * t81044;
  t81048 = t6824 * t77877 / 0.6e1 - 0.3e1 * t5535 * t34255 * t15963 - 0.18e2 * t5559 * t34488 * t81018 - 0.5e1 / 0.18e2 * t10457 * t81023 - t6824 * t81026 / 0.6e1 + t10451 * t81031 / 0.2e1 + 0.7e1 / 0.3e1 * t34226 * t16052 + 0.7e1 / 0.3e1 * t6752 * t81037 - t33891 * t15975 / 0.2e1 - t34226 * t15975 / 0.2e1 - t6752 * t81045 / 0.2e1;
  t81053 = t5640 * t81044;
  t81060 = t5623 * t81036;
  t81073 = t5623 * t4381 * t15952;
  t81081 = t81022 * t10491;
  t81084 = t44803 * t10540;
  t81087 = t4408 * t81017;
  t81091 = t10458 * t81030;
  t81105 = 0.3e1 / 0.2e1 * t24584 * t15959 + 0.2e1 / 0.3e1 * t1651 * t77399 + 0.23e2 / 0.18e2 * t10457 * t81081 + 0.2e1 / 0.3e1 * t6824 * t81084 - 0.18e2 * t5540 * t34493 * t81087 - 0.5e1 / 0.36e2 * t10457 * t81091 - t6830 * t77578 / 0.3e1 - t6827 * t77582 / 0.3e1 + t5540 * t494 * t78532 - 0.3e1 / 0.2e1 * t5540 * t494 * t78528 - t5540 * t1716 * t78525;
  t81108 = t4376 * t452;
  t81109 = t81108 * t17729;
  t81116 = t81022 * t17723;
  t81126 = t1021 * t81017;
  t81127 = t10458 * t81126;
  t81131 = t2181 * t994;
  t81132 = t1021 * t81131;
  t81133 = t29498 * t81132;
  t81136 = t10485 * t81030;
  t81139 = t168 * t77882;
  t81140 = t5549 * t81139;
  t81141 = t10457 * t81140;
  t81142 = t81141 / 0.2e1;
  t81143 = t50222 * t9238;
  t81146 = t46095 * t10447;
  t81149 = t81108 * t10453;
  t81152 = t46098 * t10467;
  t81159 = t46098 * t10453;
  t81164 = -0.23e2 / 0.12e2 * t10457 * t81133 - 0.11e2 / 0.18e2 * t10457 * t81136 - t81142 + t5548 * t81143 / 0.6e1 + 0.2e1 / 0.3e1 * t6824 * t81146 - 0.11e2 / 0.9e1 * t10457 * t81149 - t6824 * t81152 / 0.3e1 + t6824 * t77818 / 0.12e2 + t6827 * t77823 / 0.12e2 + 0.2e1 * t10451 * t81159 + t6824 * t77585 / 0.6e1;
  t81180 = 0.6e1 * t77265;
  t81181 = 0.6e1 * t77268;
  t81183 = t5553 * t81139;
  t81184 = t10451 * t81183;
  t81185 = t81184 / 0.2e1;
  t81186 = t168 * t77895;
  t81187 = t5549 * t81186;
  t81188 = t6824 * t81187;
  t81189 = t81188 / 0.6e1;
  t81190 = t10458 * t81139;
  t81191 = t10457 * t81190;
  t81192 = 0.5e1 / 0.36e2 * t81191;
  t81193 = 0.5e1 / 0.18e2 * t77290;
  t81194 = t77292 / 0.6e1;
  t81195 = t403 * t2175;
  t81196 = t380 * t81195;
  t81197 = t5553 * t81196;
  t81198 = t6824 * t81197;
  t81199 = t81198 / 0.12e2;
  t81200 = t35145 * t9279;
  t81203 = t5591 * t81139;
  t81204 = t10451 * t81203;
  t81205 = t5587 * t81186;
  t81206 = t6824 * t81205;
  t81207 = t81206 / 0.3e1;
  t81208 = t77272 - t77274 + t81185 + t81189 - t81192 - t81193 - t81194 - t81199 + t5575 * t81200 / 0.12e2 + t81204 + t81207;
  t81210 = t10485 * t81139;
  t81211 = t10457 * t81210;
  t81212 = 0.11e2 / 0.18e2 * t81211;
  t81213 = t5591 * t81196;
  t81214 = t6824 * t81213;
  t81215 = t81214 / 0.6e1;
  t81216 = t35145 * t9238;
  t81219 = t439 * t9397;
  t81220 = t4408 * t81219;
  t81237 = t168 * t81017;
  t81238 = t5582 * t81237;
  t81241 = t168 * t81131;
  t81242 = t4137 * t81241;
  t81245 = -t77308 - t5689 * t2395 - t5717 * t2395 - t77318 - t77321 - t77331 - t77333 - t77336 - t77376 + 0.2e1 * t51986 * t81238 + t10462 * t81242 / 0.2e1;
  t81260 = t168 * t81219;
  t81261 = t5549 * t81260;
  t81264 = t29795 * t16105;
  t81267 = t5591 * t81237;
  t81270 = t439 * t1383;
  t81271 = t1021 * t81270;
  t81272 = t10485 * t81271;
  t81276 = t4143 * t81029;
  t81277 = t10485 * t81276;
  t81280 = t29517 * t81132;
  t81283 = t168 * t81270;
  t81284 = t5549 * t81283;
  t81286 = t5549 * t81030;
  t81289 = t5549 * t81237;
  t81292 = t29911 * t81241;
  t81296 = t5549 * t1021 * t81219;
  t81303 = 0.7e1 / 0.3e1 * t10457 * t81277 - 0.7e1 * t10457 * t81280 - t10457 * t81284 - t10457 * t81286 / 0.2e1 + 0.6e1 * t50566 * t81289 + 0.3e1 / 0.2e1 * t10457 * t81292 - t6824 * t81296 - t6824 * t78013 + t6824 * t78564 / 0.2e1 - t33988 * t16116 - t33997 * t16116;
  t81305 = t29795 * t16115;
  t81307 = t5553 * t81276;
  t81310 = t5553 * t81271;
  t81313 = t5549 * t81132;
  t81316 = t5553 * t81126;
  t81319 = t5591 * t81030;
  t81321 = t5591 * t81283;
  t81324 = t5587 * t81241;
  t81327 = t2178 * t6775;
  t81328 = t81327 / 0.12e2;
  t81329 = t50855 * t1394;
  t81330 = t1000 * t81329;
  t81334 = t2178 * t7094;
  t81335 = t81334 / 0.12e2;
  t81336 = t9306 * t10582;
  t81337 = t81336 / 0.12e2;
  t81340 = t9351 * t10599;
  t81341 = t81340 / 0.6e1;
  t81350 = t5623 * t10312;
  t81353 = t6773 * t9413;
  t81354 = t1400 * t81353;
  t81359 = t81335 - t81337 - t490 * t44938 / 0.12e2 + t81341 - t1651 * t77436 / 0.12e2 - t2189 * t34393 / 0.12e2 + t1644 * t77385 / 0.6e1 + t490 * t44942 / 0.12e2 - 0.5e1 / 0.36e2 * t9285 * t81350 - t1391 * t81354 / 0.6e1 + t9330 * t10582 / 0.2e1;
  t81364 = t1400 * t81329;
  t81371 = t6819 * t16004;
  t81372 = t81371 / 0.6e1;
  t81375 = t24930 * t81017;
  t81379 = t4403 * t81017;
  t81380 = t50504 * t81379;
  t81384 = t24848 * t81017;
  t81388 = t4376 * t81017;
  t81392 = t77380 / 0.6e1;
  t81404 = t1078 * t16015;
  t81405 = t81404 / 0.2e1;
  t81407 = t110 * t452 * t10504;
  t81412 = 0.6e1 * t5540 * t34488 * t81384 + 0.36e2 * t5559 * t34493 * t81388 + t81392 - t1454 * t10698 - t1078 * t16010 / 0.4e1 - t1056 * t16010 / 0.4e1 - t373 * t6949 * t15410 / 0.4e1 - t373 * t1703 * t77356 / 0.4e1 + t81405 + 0.3e1 * t81407 * t10509 - 0.6e1 * t45074 * t10553;
  t81414 = t29517 * t81237;
  t81417 = t29498 * t81237;
  t81420 = t50504 * t81126;
  t81423 = t24958 * t81017;
  t81428 = t50165 * t10504 * t81017;
  t81431 = t77426 / 0.6e1;
  t81432 = t77428 / 0.6e1;
  t81433 = t77441 / 0.3e1;
  t81437 = t1034 * t81017;
  t81445 = t44807 * t10536;
  t81448 = t77447 / 0.2e1;
  t81449 = 0.2e1 / 0.3e1 * t77451;
  t81450 = t77456 / 0.2e1;
  t81451 = t4349 * t16023;
  t81452 = t81451 / 0.2e1;
  t81455 = t1661 * t15952;
  t81456 = t1400 * t81455;
  t81459 = -0.18e2 * t5559 * t34501 * t81437 - t5559 * t1720 * t78043 + 0.3e1 * t44886 * t10533 - 0.4e1 / 0.3e1 * t6824 * t81445 - t77445 - t81448 + t81449 + t81450 - t81452 + t1663 * t9673 / 0.2e1 - 0.2e1 * t72953 * t81456;
  t81462 = t77482 / 0.6e1;
  t81463 = t77485 / 0.6e1;
  t81464 = t77487 / 0.6e1;
  t81466 = t1400 * t5715 * t2337;
  t81477 = t1182 * t81131;
  t81481 = t356 * t81270;
  t81485 = t356 * t81017;
  t81489 = t77493 / 0.3e1;
  t81494 = -0.3e1 / 0.2e1 * t5540 * t7010 * t81477 + 0.3e1 * t5540 * t7010 * t81481 - 0.6e1 * t5540 * t34518 * t81485 + t77490 + t77492 + t81489 + t9510 * t6843 / 0.3e1 - t1663 * t9476 / 0.4e1 + t80606 - t80607 + t80608;
  t81500 = t6848 * t9322;
  t81501 = t81500 / 0.2e1;
  t81502 = t1663 * t9325;
  t81503 = t81502 / 0.2e1;
  t81504 = t5640 * t10312;
  t81507 = t4549 * t77895;
  t81509 = t5540 * t1720 * t81507;
  t81510 = t10485 * t81004;
  t81511 = t29011 * t81510;
  t81512 = 0.7e1 / 0.3e1 * t81511;
  t81514 = t4145 * t7126 * t16014;
  t81515 = t81514 / 0.2e1;
  t81516 = t487 * t15356;
  t81518 = t5549 * t1021 * t81516;
  t81531 = t77510 / 0.6e1;
  t81532 = t77512 / 0.6e1;
  t81533 = t6760 * t16032;
  t81534 = t81533 / 0.3e1;
  t81537 = t77554 / 0.3e1;
  t81538 = -t4145 * t7116 * t15410 / 0.4e1 + t5540 * t1716 * t77853 / 0.2e1 + t5540 * t494 * t77927 / 0.2e1 - t81531 - t81532 - t80609 + t80610 + t81534 - t1454 * t10708 / 0.2e1 + t81537 - t77557;
  t81545 = t487 * t15318;
  t81547 = t29911 * t1021 * t81545;
  t81550 = t5623 * t81044;
  t81557 = t1000 * t81353;
  t81563 = 0.3e1 * t77622;
  t81565 = t6755 * t16032;
  t81566 = t81565 / 0.3e1;
  t81573 = t10506 * t6988 * t77883;
  t81574 = 0.3e1 / 0.2e1 * t81573;
  t81575 = t1034 * t77882;
  t81577 = t5559 * t6984 * t81575;
  t81578 = 0.3e1 * t81577;
  t81581 = t9306 * t10313;
  t81582 = t81581 / 0.6e1;
  t81583 = t1393 * t81329;
  t81586 = t81566 - t77698 + t77700 - t1663 * t9466 / 0.2e1 - t1663 * t9666 + 0.3e1 / 0.2e1 * t1663 * t9669 + t81574 + t81578 - t1651 * t77955 / 0.6e1 - t81582 - t1391 * t81583 / 0.3e1;
  t81589 = t5623 * t6846 * t1394;
  t81603 = t10458 * t81237;
  t81606 = t29498 * t81241;
  t81610 = t10458 * t81283;
  t81613 = t50165 * t81237;
  t81616 = 0.4e1 / 0.3e1 * t77803;
  t81617 = 0.2e1 / 0.3e1 * t77805;
  t81618 = 0.2e1 / 0.3e1 * t77806;
  t81619 = t77807 / 0.3e1;
  t81623 = t5582 * t81139;
  t81624 = t10462 * t81623;
  t81625 = t81624 / 0.2e1;
  t81626 = t4137 * t81186;
  t81627 = t6830 * t81626;
  t81628 = t81627 / 0.6e1;
  t81629 = t5582 * t81196;
  t81630 = t6830 * t81629;
  t81631 = t81630 / 0.6e1;
  t81632 = -0.5e1 / 0.18e2 * t10457 * t81610 - 0.35e2 / 0.108e3 * t50160 * t81613 + t77802 - t81616 + t81617 + t81618 - t81619 - 0.3e1 / 0.2e1 * t5540 * t1720 * t77295 - t81625 - t81628 + t81631;
  t81635 = t44782 * t10453;
  t81637 = t28964 * t10447;
  t81640 = t44803 * t10453;
  t81642 = t44782 * t10467;
  t81645 = t24848 * t81131;
  t81649 = t4376 * t81270;
  t81656 = t4396 * t81017;
  t81665 = t29090 * t2337;
  t81666 = t1000 * t81665;
  t81671 = t1182 * t81219;
  t81676 = t1056 * t16015;
  t81677 = t81676 / 0.2e1;
  t81679 = t373 * t6784 * t16014;
  t81680 = t81679 / 0.2e1;
  t81681 = t1078 * t16020;
  t81682 = t81681 / 0.2e1;
  t81683 = t1056 * t16020;
  t81684 = t81683 / 0.2e1;
  t81686 = t373 * t6799 * t16019;
  t81687 = t81686 / 0.2e1;
  t81688 = t1093 * t77882;
  t81690 = t5540 * t6984 * t81688;
  t81691 = 0.3e1 * t81690;
  t81692 = t7072 * t16001 / 0.3e1 + t1644 * t81666 / 0.3e1 + t5540 * t1716 * t77857 + t5540 * t1716 * t81671 + t5540 * t7005 * t16099 + t81677 + t81680 - t81682 - t81684 - t81687 - t81691;
  t81694 = 0.3e1 * t77885;
  t81695 = 0.6e1 * t77889;
  t81696 = 0.2e1 * t77898;
  t81697 = 0.4e1 * t77919;
  t81699 = 0.2e1 * t77943;
  t81700 = 0.11e2 / 0.9e1 * t77947;
  t81701 = 0.23e2 / 0.18e2 * t77949;
  t81709 = t5640 * t81455;
  t81712 = t81699 + t77946 - t81700 + t81701 - t5674 * t10725 + t5689 * t2403 + t1663 * t9497 / 0.2e1 - t29044 * t2390 - t29052 * t2390 - t1663 * t9495 + 0.7e1 / 0.3e1 * t72816 * t81709;
  t81721 = t1400 * t81036;
  t81724 = t1393 * t81044;
  t81739 = t4697 * t15982;
  t81740 = t1400 * t81739;
  t81741 = t1651 * t81740;
  t81742 = t81741 / 0.12e2;
  t81747 = t6760 * t15984;
  t81748 = t81747 / 0.6e1;
  t81749 = t1393 * t81739;
  t81750 = t1651 * t81749;
  t81751 = t81750 / 0.6e1;
  t81752 = t77958 / 0.3e1;
  t81753 = t77982 / 0.3e1;
  t81754 = t77984 / 0.3e1;
  t81755 = t77986 / 0.3e1;
  t81756 = t490 * t77125 / 0.6e1 - t81742 - 0.5e1 / 0.36e2 * t33891 * t15991 - 0.5e1 / 0.36e2 * t34226 * t15991 - t81748 - t81751 - t81752 + t81753 + t81754 + t81755 + t77989;
  t81761 = t5634 * t10312;
  t81764 = t5623 * t10316;
  t81767 = t77992 / 0.3e1;
  t81768 = t77994 / 0.3e1;
  t81769 = t77997 / 0.3e1;
  t81770 = 0.2e1 / 0.3e1 * t77999;
  t81771 = 0.2e1 / 0.3e1 * t78000;
  t81773 = 0.2e1 / 0.3e1 * t78001;
  t81780 = t2178 * t6870;
  t81781 = t81780 / 0.12e2;
  t81784 = t9503 * t1658;
  t81785 = t81784 / 0.12e2;
  t81794 = t81773 - t6876 * t2253 / 0.2e1 - t1386 * t10656 / 0.6e1 - t442 * t50021 / 0.6e1 - t81781 - t1378 * t10656 / 0.6e1 - t81785 - t1677 * t9705 / 0.12e2 - t1682 * t9705 / 0.12e2 - t490 * t44433 / 0.12e2 - t9510 * t6873 / 0.12e2;
  t81799 = t6855 * t2249;
  t81800 = t81799 / 0.4e1;
  t81803 = t6876 * t2249;
  t81804 = t81803 / 0.4e1;
  t81811 = t1400 * t81665;
  t81814 = t4543 * t500;
  t81815 = t81814 * t9271;
  t81818 = t50186 * t9238;
  t81823 = t5549 * t1021 * t77895;
  t81824 = t6824 * t81823;
  t81825 = 0.2e1 / 0.3e1 * t81824;
  t81827 = t10458 * t1021 * t77882;
  t81828 = t10457 * t81827;
  t81829 = 0.23e2 / 0.36e2 * t81828;
  t81831 = t5553 * t4143 * t81195;
  t81832 = t6824 * t81831;
  t81833 = t81832 / 0.3e1;
  t81838 = t78021 / 0.3e1;
  t81839 = 0.3e1 * t78038;
  t81840 = -t81825 + t81829 + t81833 + t50177 * t9259 / 0.2e1 + t50177 * t9264 / 0.2e1 - t78019 - t81838 + t78023 + t81839 - t9308 - t9324;
  t81842 = t9253 * t333;
  t81843 = t168 * t81842;
  t81844 = t29911 * t81843;
  t81855 = t15862 * t994;
  t81856 = t4549 * t81855;
  t81859 = t2369 * t1383;
  t81860 = t1093 * t81859;
  t81865 = t9540 * t439;
  t81866 = t4549 * t81865;
  t81869 = 0.4e1 / 0.3e1 * t78110;
  t81870 = 0.2e1 / 0.9e1 * t78113;
  t81871 = 0.4e1 / 0.3e1 * t78126;
  t81872 = 0.6e1 * t34511 * t15918 + 0.3e1 * t1720 * t78437 - 0.12e2 * t34482 * t15912 - 0.2e1 / 0.3e1 * t34511 * t15915 - 0.12e2 * t6984 * t81856 + 0.12e2 * t6984 * t81860 + 0.3e1 * t6981 * t15909 + 0.3e1 * t1720 * t81866 + t81869 - t81870 - t78125 - t81871;
  t81873 = 0.12e2 * t78135;
  t81874 = 0.24e2 * t78143;
  t81875 = t45681 * t439;
  t81876 = t1203 * t81875;
  t81881 = t142 * t2181;
  t81882 = t81881 * t994;
  t81883 = t1190 * t81882;
  t81886 = t10382 * t1383;
  t81887 = t1190 * t81886;
  t81890 = t1484 * t2175;
  t81891 = t4376 * t81890;
  t81892 = t6988 * t81891;
  t81893 = 0.1e2 / 0.3e1 * t81892;
  t81894 = t7005 * t15903;
  t81895 = 0.2e1 * t81894;
  t81896 = 0.12e2 * t10388 * t81887 - 0.18e2 * t34450 * t81883 - 0.6e1 * t6969 * t78287 - 0.6e1 * t6969 * t81876 + t15363 - t15857 + t15858 + t15859 + t81873 - t81874 + t81893 - t81895;
  t81898 = t1034 * t81890;
  t81899 = t6984 * t81898;
  t81900 = 0.4e1 * t81899;
  t81903 = t1484 * t2181;
  t81904 = t4396 * t81903;
  t81907 = t6981 * t15888;
  t81908 = t81907 / 0.3e1;
  t81909 = t4396 * t81890;
  t81910 = t6988 * t81909;
  t81911 = t81910 / 0.18e2;
  t81917 = t1093 * t81890;
  t81918 = t6984 * t81917;
  t81919 = 0.6e1 * t81918;
  t81920 = t15928 * t994;
  t81921 = t4549 * t81920;
  t81922 = t1720 * t81921;
  t81923 = 0.2e1 * t81922;
  t81924 = t4408 * t81920;
  t81925 = t1720 * t81924;
  t81926 = 0.4e1 / 0.3e1 * t81925;
  t81927 = -t81900 - 0.2e1 / 0.3e1 * t1720 * t78381 - 0.2e1 / 0.3e1 * t34493 * t81904 - t81908 + t81911 - t34511 * t15891 / 0.9e1 - t1714 * t15380 - t1716 * t78376 - t494 * t78379 + t81919 + t81923 - t81926;
  t81932 = t4408 * t81865;
  t81935 = t6981 * t15900;
  t81936 = 0.2e1 * t81935;
  t81937 = t1203 * t81882;
  t81940 = t4624 * t81886;
  t81945 = t4624 * t81882;
  t81948 = t142 * t2175;
  t81949 = t81948 * t333;
  t81950 = t1203 * t81949;
  t81951 = t10408 * t81950;
  t81952 = 0.12e2 * t81951;
  t81953 = t81948 * t994;
  t81954 = t1203 * t81953;
  t81955 = t6969 * t81954;
  t81956 = 0.4e1 * t81955;
  t81961 = t4633 * t81882;
  t81964 = -0.2e1 * t6981 * t15897 - 0.2e1 * t1720 * t78303 - 0.2e1 * t1720 * t81932 + t81936 + 0.24e2 * t34443 * t81937 - 0.4e1 / 0.3e1 * t10388 * t81940 - 0.6e1 * t34440 * t15852 + 0.2e1 * t34450 * t81945 - t81952 - t81956 + 0.2e1 * t10396 * t78278 + t6969 * t78281 / 0.3e1 + t34450 * t81961 / 0.3e1;
  t81967 = t4633 * t81886;
  t81970 = t81881 * t333;
  t81971 = t50995 * t81970;
  t81982 = t360 * t81875;
  t81985 = t360 * t81886;
  t81988 = t1203 * t81886;
  t81991 = t9253 * t994;
  t81992 = t1203 * t81991;
  t81997 = 0.12e2 * t78146;
  t81998 = -0.2e1 / 0.9e1 * t10388 * t81967 - t50982 * t81971 / 0.9e1 + 0.4e1 * t10396 * t78331 - 0.6e1 * t51021 * t78327 + 0.4e1 * t34548 * t15849 - 0.4e1 * t34634 * t78323 + 0.4e1 * t6966 * t81982 + 0.12e2 * t10418 * t81985 - 0.24e2 * t10408 * t81988 - 0.9e1 * t34459 * t81992 + 0.4e1 * t6966 * t78116 + t81997;
  t81999 = 0.4e1 * t78148;
  t82000 = 0.4e1 * t78151;
  t82001 = t45383 * t81991;
  t82015 = t1190 * t81875;
  t82017 = t81999 + t82000 + t78154 + t78157 + 0.18e2 * t34459 * t82001 - 0.3e1 * t34511 * t15872 + 0.6e1 * t34482 * t15875 - 0.4e1 * t34482 * t15863 + t34511 * t15866 / 0.18e2 + 0.1e2 / 0.3e1 * t34511 * t15869 + t6969 * t78341 + t6969 * t82015;
  t82019 = t360 * t81949;
  t82020 = t10418 * t82019;
  t82021 = 0.6e1 * t82020;
  t82022 = t360 * t81953;
  t82023 = t6966 * t82022;
  t82024 = 0.2e1 * t82023;
  t82025 = t1190 * t81991;
  t82028 = t4633 * t81842;
  t82031 = t1203 * t81970;
  t82036 = t1190 * t81842;
  t82039 = t1190 * t81970;
  t82042 = 0.2e1 * t78171;
  t82043 = 0.4e1 / 0.3e1 * t78183;
  t82045 = t82021 + t82024 + 0.6e1 * t34459 * t82025 - t34450 * t82028 / 0.6e1 + 0.72e2 * t51017 * t82031 + 0.4e1 * t34459 * t78132 + 0.9e1 * t34450 * t82036 - 0.72e2 * t51003 * t82039 + t82042 + t78173 + t82043 - t494 * t78307;
  t82050 = t1182 * t81865;
  t82053 = 0.2e1 * t78209;
  t82056 = t6981 * t15929;
  t82057 = t6981 * t15931;
  t82058 = 0.2e1 / 0.3e1 * t82057;
  t82059 = t7005 * t15934;
  t82062 = t356 * t81859;
  t82065 = -0.2e1 * t7005 * t15906 - 0.2e1 * t1716 * t78363 - 0.2e1 * t1716 * t82050 - t15890 + t15902 - t15905 - t82053 + t494 * t78224 / 0.2e1 - t82056 + t82058 + t82059 + t1714 * t15358 / 0.2e1 - 0.6e1 * t7010 * t82062;
  t82069 = t1034 * t81903;
  t82082 = t356 * t81903;
  t82085 = t1182 * t81855;
  t82088 = t24823 * t81855;
  t82091 = t4408 * t81859;
  t82094 = t4408 * t81855;
  t82097 = t1034 * t81859;
  t82100 = 0.24e2 * t34501 * t82069 + 0.2e1 * t1716 * t78267 + 0.3e1 * t494 * t78259 - 0.2e1 * t494 * t78255 + 0.4e1 / 0.3e1 * t1720 * t78246 + 0.2e1 * t34482 * t15884 + 0.12e2 * t34518 * t82082 + 0.3e1 * t7010 * t82085 + 0.9e1 * t6988 * t82088 - 0.6e1 * t6988 * t82091 + 0.8e1 * t6984 * t82094 - 0.8e1 * t6984 * t82097;
  t82101 = t24794 * t81855;
  t82104 = t4396 * t81859;
  t82109 = t360 * t81882;
  t82113 = t360 * t81970;
  t82118 = t356 * t81890;
  t82119 = t7010 * t82118;
  t82120 = 0.3e1 * t82119;
  t82121 = t1182 * t81920;
  t82122 = t1716 * t82121;
  t82123 = -t6988 * t82101 / 0.6e1 + t6988 * t82104 / 0.9e1 + 0.2e1 * t1714 * t15392 - 0.6e1 * t34538 * t82109 + t34440 * t15855 - 0.24e2 * t50903 * t82113 + 0.6e1 * t34498 * t15881 - t82120 - t82122 + t15921 - t15922 - t15385;
  t82125 = t4376 * t81903;
  t82128 = t4408 * t81890;
  t82129 = t6988 * t82128;
  t82130 = 0.3e1 * t82129;
  t82131 = t1093 * t81903;
  t82136 = t24848 * t81855;
  t82139 = t4376 * t81859;
  t82142 = t4408 * t81903;
  t82145 = t24958 * t81903;
  t82148 = t24794 * t81903;
  t82151 = t24848 * t81903;
  t82155 = -t15923 - 0.4e2 * t34493 * t82125 - t82130 - 0.36e2 * t34501 * t82131 - 0.2e1 * t1720 * t78417 - 0.1e2 * t6988 * t82136 + 0.2e2 / 0.3e1 * t6988 * t82139 + 0.36e2 * t34493 * t82142 + 0.1e2 / 0.3e1 * t34488 * t82145 + 0.5e2 / 0.3e1 * t34488 * t82148 - 0.12e2 * t34488 * t82151 + t1720 * t78355;
  t82156 = 0.4e1 * t78236;
  t82157 = 0.4e1 * t78241;
  t82158 = 0.2e1 / 0.3e1 * t78262;
  t82167 = t4633 * t81970;
  t82170 = t1190 * t81949;
  t82171 = t10408 * t82170;
  t82172 = 0.2e1 * t82171;
  t82173 = t1190 * t81953;
  t82174 = t6969 * t82173;
  t82175 = 0.2e1 / 0.3e1 * t82174;
  t82176 = t4633 * t81949;
  t82177 = t10388 * t82176;
  t82178 = t82177 / 0.9e1;
  t82179 = t360 * t81842;
  t82182 = t360 * t81991;
  t82185 = t82156 + t82157 - t82158 + 0.2e1 * t6966 * t78274 - 0.12e2 * t51017 * t82039 - 0.4e1 * t34443 * t81883 + 0.4e1 * t10408 * t81887 + 0.4e1 / 0.3e1 * t51003 * t82167 + t82172 + t82175 - t82178 + 0.6e1 * t34538 * t82179 + 0.4e1 * t34634 * t82182;
  t82190 = t45387 * t81842;
  t82193 = t45387 * t81991;
  t82196 = t45378 * t81842;
  t82199 = t45378 * t81991;
  t82202 = t51084 * t81842;
  t82207 = t51103 * t81842;
  t82210 = t45383 * t81842;
  t82213 = 0.32e2 / 0.3e1 * t34443 * t82036 + t78273 - 0.12e2 * t34538 * t82190 - 0.8e1 * t34634 * t82193 - 0.16e2 / 0.3e1 * t34443 * t82196 - 0.3e1 * t34459 * t82199 + t34450 * t82202 / 0.3e1 - 0.18e2 * t34450 * t82196 + 0.2e1 * t34450 * t82207 + 0.32e2 * t34443 * t82210 + t9557 + t9559;
  t82214 = 0.8e1 * t78337;
  t82215 = t1203 * t81842;
  t82218 = t4624 * t81970;
  t82221 = t4624 * t81949;
  t82222 = t10388 * t82221;
  t82223 = 0.2e1 / 0.3e1 * t82222;
  t82224 = t25032 * t81970;
  t82229 = t9570 - t9574 - t9585 - t9586 - t9588 + t9635 - t82214 - t78351 - 0.16e2 * t34443 * t82215 + 0.8e1 * t51003 * t82218 - t82223 - 0.4e1 / 0.3e1 * t50982 * t82224 - 0.2e1 * t6969 * t78139;
  t82231 = t4624 * t81842;
  t82234 = t10388 * t82170;
  t82235 = 0.6e1 * t82234;
  t82236 = 0.12e2 * t78357;
  t82237 = 0.4e1 * t78361;
  t82242 = t78374 / 0.9e1;
  t82243 = 0.8e1 / 0.3e1 * t78394;
  t82244 = -0.1e2 * t34450 * t82231 + t82235 + t82236 + t78360 - t82237 - 0.2e1 / 0.3e1 * t34459 * t78334 + 0.24e2 * t50982 * t82218 + t82242 - t78391 - t78393 - t82243 - t78397;
  t82245 = 0.6e1 * t78398;
  t82246 = 0.2e1 * t78400;
  t82247 = 0.8e1 * t78402;
  t82248 = 0.6e1 * t78407;
  t82249 = 0.2e2 / 0.3e1 * t78409;
  t82255 = -t82245 - t82246 - t82247 - t82248 + t82249 + 0.8e1 / 0.3e1 * t50982 * t82167 - 0.3e1 * t34498 * t15924 - t1714 * t15320 - t15930 + t15933 + t15935 - t2229 + t2210;
  t82265 = t4161 * t2388 * t2196;
  t82269 = t4543 * t81991;
  t82274 = t985 * t2393 * t2196;
  t82278 = t1182 * t81842;
  t82282 = t9278 * t439;
  t82284 = t5549 * t4143 * t82282;
  t82286 = t24823 * t81991;
  t82297 = t1400 * t1661 * t9413;
  t82306 = -0.3e1 * t5540 * t7010 * t82278 - t6824 * t82284 - 0.9e1 / 0.2e1 * t5559 * t1720 * t82286 - t6848 * t9458 / 0.2e1 - t6848 * t9449 + t6848 * t9455 + t2189 * t33963 / 0.3e1 + 0.2e1 / 0.3e1 * t1391 * t82297 - 0.2e1 / 0.3e1 * t2189 * t34122 - t2189 * t34294 / 0.6e1 + t2189 * t34703 / 0.3e1;
  t82310 = t1393 * t81353;
  t82328 = t380 * t82282;
  t82329 = t5587 * t82328;
  t82337 = t29498 * t4403 * t81842;
  t82340 = t349 * t15939;
  t82345 = t321 * t369 * t15937 * t370;
  t82356 = t6824 * t82329 / 0.2e1 + t1378 * t15979 / 0.12e2 + t1386 * t15979 / 0.12e2 + 0.9e1 / 0.2e1 * t10457 * t82337 - t338 * t82340 / 0.12e2 + t82345 * t377 / 0.4e1 + t44489 * t505 / 0.4e1 + t44494 * t505 / 0.4e1 + t6876 * t2261 / 0.2e1 + t6855 * t2261 / 0.2e1 - t80667;
  t82358 = t10485 * t81283;
  t82361 = t50504 * t81237;
  t82367 = t24962 * t81991;
  t82371 = t10524 * t439;
  t82372 = t1021 * t82371;
  t82373 = t29517 * t82372;
  t82377 = t4161 * t15456 * t439;
  t82381 = t4549 * t81842;
  t82387 = t6824 * t77871 / 0.3e1 + 0.9e1 / 0.2e1 * t5540 * t1720 * t82367 - 0.7e1 * t29011 * t82373 - 0.3e1 / 0.2e1 * t4145 * t7126 * t82377 + 0.8e1 * t5540 * t6984 * t82381 + t80669 + t80671 + t2251 - t80685 - t80687 + t2189 * t34998 / 0.6e1;
  t82391 = t1400 * t1661 * t15982;
  t82392 = t4245 * t82391;
  t82393 = t82392 / 0.3e1;
  t82394 = t1663 * t9485;
  t82395 = t82394 / 0.4e1;
  t82396 = t1663 * t9462;
  t82397 = t82396 / 0.2e1;
  t82398 = t1663 * t9440;
  t82399 = t82398 / 0.4e1;
  t82403 = t1400 * t10645 * t2337;
  t82415 = t1400 * t9708 * t2756;
  t82420 = t1000 * t81044;
  t82429 = t4245 * t82415 / 0.3e1 - t9710 * t1700 / 0.2e1 - t7100 * t82420 / 0.2e1 - t490 * t77674 / 0.6e1 - t33869 * t16043 / 0.2e1 - t6876 * t2258 / 0.4e1 + t80691 - t80693 + t80695 + t80697 + t80699;
  t82434 = t1393 * t81665;
  t82445 = t5587 * t81843;
  t82448 = t168 * t81991;
  t82449 = t30214 * t82448;
  t82452 = t29517 * t81843;
  t82455 = t1021 * t81842;
  t82456 = t5549 * t82455;
  t82460 = t29911 * t1021 * t81991;
  t82463 = t29498 * t82455;
  t82466 = -t1651 * t82434 / 0.3e1 - t1651 * t77396 / 0.3e1 + t1677 * t15488 / 0.12e2 + t1682 * t15488 / 0.12e2 + t490 * t77133 / 0.12e2 - 0.8e1 / 0.3e1 * t10451 * t82445 - 0.3e1 / 0.2e1 * t6824 * t82449 + 0.11e2 / 0.6e1 * t10457 * t82452 + 0.16e2 / 0.3e1 * t10451 * t82456 + 0.3e1 * t6824 * t82460 - 0.23e2 / 0.12e2 * t10457 * t82463;
  t82471 = t4137 * t81260;
  t82514 = 0.3e1 / 0.2e1 * t373 * t35079 * t16066 + 0.3e1 * t4349 * t16036 + t1056 * t16062 / 0.2e1 + t373 * t6949 * t15441 / 0.2e1 + 0.3e1 / 0.2e1 * t1078 * t16067 + t5717 * t2403 + t1454 * t10439 + t1454 * t10442 + t1078 * t16062 / 0.2e1 - t5674 * t10722 + t33988 * t16112 / 0.2e1;
  t82518 = t29791 * t16105;
  t82521 = t5587 * t81260;
  t82524 = t10458 * t81271;
  t82527 = t50165 * t81126;
  t82530 = t10458 * t81276;
  t82533 = t44807 * t10447;
  t82536 = t5549 * t81241;
  t82539 = t5553 * t81283;
  t82547 = t4383 * t16023;
  t82548 = t82547 / 0.2e1;
  t82550 = t1030 * t6784 * t15468;
  t82551 = t82550 / 0.2e1;
  t82552 = t10451 * t82539 - t50177 * t9243 / 0.2e1 + t51823 * t9255 / 0.2e1 - t44886 * t10529 + t45074 * t10526 - t9505 - t9507 + t80717 - t82548 - t82551 + t80734;
  t82556 = t24794 * t81131;
  t82560 = t4396 * t81270;
  t82564 = t50165 * t81379;
  t82568 = t10458 * t5533 * t81029;
  t82571 = t10458 * t81379;
  t82575 = t29498 * t4403 * t81131;
  t82579 = t10458 * t4403 * t81270;
  t82582 = t4408 * t81270;
  t82588 = t110 * t21181 * t333 * t24923;
  t82589 = t487 * t2181;
  t82590 = t1021 * t82589;
  t82594 = t80761 + t80763 - 0.9e1 / 0.2e1 * t10506 * t6988 * t82556 + 0.3e1 * t10506 * t6988 * t82560 - 0.43e2 / 0.9e1 * t50160 * t82564 - 0.3e1 / 0.2e1 * t10457 * t82568 + 0.18e2 * t50566 * t82571 + 0.9e1 / 0.2e1 * t10457 * t82575 - 0.3e1 * t10457 * t82579 + 0.3e1 * t5540 * t6988 * t82582 + 0.47e2 / 0.3e1 * t82588 * t29498 * t82590;
  t82599 = t24823 * t81131;
  t82610 = t4549 * t81219;
  t82614 = t24237 * t16105;
  t82617 = t5582 * t81030;
  t82620 = t5582 * t81283;
  t82622 = t5553 * t81237;
  t82626 = t24794 * t81842;
  t82630 = t24823 * t81842;
  t82634 = t1093 * t81017;
  t82638 = t4549 * t81131;
  t82642 = t1093 * t81270;
  t82647 = t110 * t29009 * t24899;
  t82654 = -0.9e1 / 0.2e1 * t10506 * t6988 * t82626 - 0.9e1 / 0.2e1 * t5540 * t6988 * t82630 + t16050 + t15453 - t16051 - t15470 + 0.18e2 * t5540 * t34501 * t82634 + 0.6e1 * t5540 * t6984 * t82638 - 0.6e1 * t5540 * t6984 * t82642 - 0.28e2 * t82647 * t10485 * t82590 - 0.3e1 * t4145 * t33792 * t15943;
  t82661 = t44807 * t10453;
  t82677 = -t80782 - t80784 - t80786 + t80787 - t10457 * t82661 + 0.3e1 / 0.2e1 * t24589 * t15959 + 0.3e1 / 0.2e1 * t4395 * t33910 * t15958 + 0.3e1 / 0.2e1 * t1056 * t15949 + 0.3e1 / 0.2e1 * t373 * t33910 * t15948 - 0.3e1 / 0.2e1 * t33891 * t15954 - 0.3e1 / 0.2e1 * t34226 * t15954;
  t82690 = t50186 * t16115;
  t82699 = t1034 * t81270;
  t82707 = t4408 * t81131;
  t82711 = 0.3e1 * t78512;
  t82712 = t24848 * t81842;
  t82716 = t5549 * t82328;
  t82719 = t5549 * t81843;
  t82722 = t29911 * t82448;
  t82725 = t29498 * t81843;
  t82734 = 0.3e1 * t5535 * t33792 * t16035 - 0.6e1 * t5559 * t6984 * t82707 + t82711 + 0.9e1 * t5559 * t6988 * t82712 + t6824 * t82716 / 0.4e1 - 0.4e1 / 0.3e1 * t10451 * t82719 - 0.3e1 / 0.4e1 * t6824 * t82722 + 0.5e1 / 0.12e2 * t10457 * t82725 - t1651 * t77745 / 0.6e1 + 0.2e1 / 0.3e1 * t6755 * t15845 + 0.2e1 / 0.3e1 * t6760 * t15845;
  t82737 = t1400 * t81044;
  t82744 = t7072 * t16004;
  t82745 = t82744 / 0.6e1;
  t82746 = t1000 * t81739;
  t82747 = t1644 * t82746;
  t82748 = t82747 / 0.6e1;
  t82751 = t4408 * t81842;
  t82755 = 0.2e1 * t78515;
  t82756 = 0.14e2 / 0.3e1 * t78520;
  t82758 = t78548 / 0.2e1;
  t82759 = t78550 / 0.2e1;
  t82760 = t4137 * t81843;
  t82762 = t9270 * t82448;
  t82767 = t9702 + t9704 - t9180 + t9188 + t82758 + t82759 + t10462 * t82760 + 0.2e1 / 0.3e1 * t6830 * t82762 + t16070 - t16071 - t34808 * t2245 / 0.2e1;
  t82771 = t10485 * t81237;
  t82774 = t29517 * t81241;
  t82780 = t1400 * t1054 * t15982;
  t82781 = t1651 * t82780;
  t82782 = t82781 / 0.3e1;
  t82783 = -t34801 * t2245 / 0.2e1 + t80795 + t16075 - t16082 + 0.22e2 / 0.3e1 * t50566 * t82771 + 0.11e2 / 0.6e1 * t10457 * t82774 - t80799 + t80801 + t15548 - t2184 * t7094 / 0.6e1 + t82782;
  t82784 = t4408 * t77882;
  t82786 = t5540 * t6988 * t82784;
  t82787 = 0.3e1 / 0.2e1 * t82786;
  t82789 = t5559 * t6988 * t77887;
  t82790 = 0.3e1 * t82789;
  t82801 = t4137 * t82328;
  t82804 = t82787 - t82790 - t5540 * t1720 * t77260 / 0.2e1 + t5559 * t1720 * t77285 / 0.2e1 - t6824 * t77939 / 0.3e1 + t490 * t77242 / 0.12e2 + t80803 + t80805 - t80807 - t80808 - t6830 * t82801 / 0.3e1;
  t82811 = my_piecewise3(t100, 0, -0.3e1 * t373 * t35066 * t15943 + 0.6e1 * t5559 * t6984 * t82699 - 0.8e1 * t5559 * t6984 * t82751 + t4145 * t7116 * t15441 / 0.2e1 - t110 * t15938 * t404 / 0.4e1 + 0.9e1 * t5559 * t6988 * t81645 - 0.6e1 * t5559 * t6988 * t81649 + 0.3e1 / 0.2e1 * t30030 * t34255 * t15958 - 0.18e2 * t10506 * t34493 * t81656 + 0.3e1 / 0.2e1 * t5535 * t7126 * t82265 - 0.2e1 * t5540 * t1716 * t82269 + t4145 * t7123 * t82274 + 0.3e1 * t1030 * t35066 * t16035 + 0.3e1 / 0.2e1 * t4145 * t34255 * t15948 - 0.9e1 / 0.2e1 * t5540 * t6988 * t82599 - 0.3e1 / 0.2e1 * t5540 * t6981 * t16046 - 0.3e1 / 0.2e1 * t5540 * t1720 * t82610 - 0.3e1 * t1030 * t33910 * t15963 + 0.3e1 / 0.2e1 * t5559 * t1720 * t81220 + 0.3e1 / 0.2e1 * t5559 * t6981 * t9254 + 0.3e1 / 0.2e1 * t5559 * t1720 * t77627 - 0.6e1 * t50149 * t34488 * t81375 + 0.18e2 * t10506 * t34488 * t81423 + t5540 * t1720 * t78046 + 0.3e1 / 0.2e1 * t4145 * t35186 * t16066 + t28961 * t10627 + 0.14e2 / 0.3e1 * t29011 * t81109 - 0.2e1 * t44886 * t10631 - 0.6e1 * t44886 * t10521 - 0.3e1 * t29011 * t81116 - t45078 * t10561 + 0.2e1 * t45074 * t10605 + 0.6e1 * t45074 * t10558 - 0.3e1 / 0.2e1 * t6752 * t81073 - 0.11e2 / 0.18e2 * t34226 * t15968 - 0.11e2 / 0.18e2 * t6752 * t81053 + 0.23e2 / 0.36e2 * t33891 * t15972 + 0.23e2 / 0.36e2 * t34226 * t15972 + 0.23e2 / 0.36e2 * t6752 * t81060 - 0.3e1 * t4383 * t15964 - 0.11e2 / 0.18e2 * t33891 * t15968 - 0.3e1 * t4349 * t15964 - t28961 * t10611 + t44886 * t10624 + 0.3e1 * t44886 * t10615 + t44886 * t10608 - 0.4e1 * t52065 * t80991 + t44886 * t10618 - 0.2e1 / 0.3e1 * t24164 * t80954 - t28961 * t10621 / 0.2e1 + t10451 * t81319 + 0.2e1 * t10451 * t81321 + t6830 * t77716 / 0.3e1 + t6824 * t77592 / 0.4e1 + t6824 * t81261 / 0.4e1 + t6824 * t81264 / 0.4e1 - 0.6e1 * t51500 * t81267 + 0.14e2 / 0.3e1 * t10457 * t81272 + t33997 * t16106 / 0.4e1 + t33988 * t16106 / 0.4e1 - t6827 * t77734 / 0.6e1 - t6827 * t77726 / 0.3e1 - t6824 * t77729 / 0.6e1 + t6827 * t77721 / 0.2e1 - t5578 * t81216 / 0.6e1 + t9710 * t1696 / 0.2e1 + t6827 * t77588 / 0.6e1 - t6830 * t77810 / 0.6e1 - t6827 * t77815 / 0.6e1 + 0.3e1 / 0.2e1 * t1663 * t9341 - t44508 * t1693 / 0.2e1 + t1644 * t77430 / 0.3e1 - 0.23e2 / 0.3e1 * t50566 * t81127 - t1454 * t10701 - t5689 * t2398 / 0.2e1 - t5717 * t2398 / 0.2e1 + 0.5e1 / 0.3e1 * t50566 * t81603 + 0.5e1 / 0.12e2 * t10457 * t81606 + 0.2e1 / 0.3e1 * t24164 * t81547 - 0.5e1 / 0.36e2 * t6752 * t81550 + t1677 * t15483 / 0.6e1 + t1682 * t15483 / 0.6e1 + t1432 * t81557 / 0.3e1 - t24164 * t81518 / 0.3e1 - t1663 * t9481 / 0.4e1 - t50014 * t1408 + t10647 * t1413 - 0.11e2 / 0.18e2 * t9285 * t81504 + 0.2e1 / 0.3e1 * t1651 * t81466 - t9525 * t10599 / 0.2e1 + t29773 * t16100 + t29767 * t16100 + 0.8e1 * t50160 * t81428 - 0.2e1 * t50160 * t81414 - 0.38e2 / 0.9e1 * t50160 * t81417 + 0.89e2 / 0.9e1 * t50160 * t81420 - 0.62e2 / 0.3e1 * t50160 * t81380 - t1391 * t81364 / 0.6e1 - t442 * t50857 / 0.6e1 + t442 * t51410 / 0.6e1 - t6755 * t15998 / 0.3e1 - 0.2e1 * t10451 * t81324 + t1432 * t81330 / 0.3e1 - t6824 * t81305 - 0.2e1 * t10451 * t81307 - 0.4e1 * t10451 * t81310 + 0.4e1 * t10451 * t81313 + 0.12e2 * t51500 * t81316 + t9710 * t1673 / 0.4e1 + t50068 * t457 / 0.2e1 + t50073 * t457 / 0.2e1 - t1651 * t81811 / 0.6e1 + 0.3e1 * t6848 * t9451 + t9330 * t10313 - t9285 * t81761 / 0.2e1 + 0.23e2 / 0.36e2 * t9285 * t81764 - 0.3e1 * t1663 * t9337 - 0.2e1 * t6921 * t81721 + t6921 * t81724 - 0.2e1 * t33882 * t16057 - 0.2e1 * t33789 * t16057 + t33882 * t16055 + t33789 * t16055 + 0.7e1 / 0.3e1 * t33891 * t16052 + t490 * t77121 / 0.6e1 + t1663 * t9493 + t6830 * t81642 / 0.3e1 + t6819 * t16001 / 0.3e1 - t10462 * t81635 - t6830 * t81637 / 0.3e1 + t10451 * t81640 - 0.3e1 / 0.2e1 * t9285 * t81589 + 0.3e1 / 0.2e1 * t34826 * t9313 + t33789 * t16007 / 0.2e1 - t1454 * t10711 / 0.2e1 + 0.3e1 / 0.2e1 * t1056 * t16067 - t6830 * t82471 / 0.3e1 - t6830 * t78025 / 0.3e1 - t33986 * t16109 / 0.3e1 - t33978 * t16109 / 0.3e1 - t33837 * t16043 / 0.2e1 + 0.3e1 * t4383 * t16036 - t6760 * t15998 / 0.3e1 - t10647 * t1424 / 0.2e1 + 0.2e1 / 0.3e1 * t4245 * t82403 + t10647 * t1428 / 0.2e1 - t10647 * t1420 + t9710 * t1708 / 0.4e1 - t9710 * t1704 / 0.4e1 - 0.11e2 / 0.9e1 * t10457 * t82358 - 0.61e2 / 0.27e2 * t50160 * t82361 - t9510 * t6839 / 0.6e1 + t9500 * t1658 / 0.6e1 + t2184 * t6870 / 0.6e1 - t6855 * t2253 / 0.2e1 - t318 * t15939 / 0.4e1 - t1391 * t82310 / 0.3e1 + t2189 * t34793 / 0.3e1 - t2189 * t34813 / 0.6e1 + 0.3e1 / 0.2e1 * t10457 * t81844 - t5575 * t81815 / 0.6e1 + t5548 * t81818 / 0.12e2 - t2189 * t35118 / 0.12e2 + t10647 * t1462 / 0.2e1 + t6921 * t82737 / 0.2e1 - t6755 * t15841 / 0.6e1 - t6760 * t15841 / 0.6e1 + t33882 * t16007 / 0.2e1 - 0.3e1 * t1056 * t15944 + 0.3e1 / 0.2e1 * t1078 * t15949 - 0.3e1 * t1078 * t15944 - 0.3e1 * t6848 * t9318 - t24164 * t82690 / 0.3e1 - t34283 * t9267 / 0.4e1 + 0.3e1 / 0.2e1 * t29770 * t16102 + 0.3e1 / 0.2e1 * t29764 * t16102 - t6855 * t2258 / 0.4e1 - t6830 * t82614 / 0.3e1 - t10462 * t82617 / 0.2e1 - t10462 * t82620 - 0.3e1 * t51500 * t82622 - 0.3e1 / 0.2e1 * t29767 * t16047 - 0.3e1 / 0.2e1 * t29773 * t16047 - t10451 * t82536 + t33997 * t16112 / 0.2e1 + t6824 * t82518 / 0.2e1 + t6824 * t82521 / 0.2e1 + 0.23e2 / 0.18e2 * t10457 * t82524 + 0.44e2 / 0.27e2 * t50160 * t82527 + 0.23e2 / 0.36e2 * t10457 * t82530 + t6824 * t82533 / 0.3e1 - t1677 * t15447 / 0.6e1 - t1682 * t15447 / 0.6e1 + t78523 + t77991 + t77926 - t77923 + t77915 - t77906 - t77909 + t77901 - t77799 - t77625 - t77559 + t77406 - t77303 - t77305 + t77090 + t77092 + t76877 - t76722 - t110 * t139 * (t81872 + t81896 + t81927 + t81964 + t81998 + t82017 + t82045 + t82065 + t82100 + t82123 + t82155 + t82185 + t82213 + t82229 + t82244 + t82255) * t168 / 0.4e1 + t82804 + t82783 + t82767 - t82755 + t82756 + t82748 + t82745 + t82734 + t82677 + t82654 + t82594 + t82552 + t82514 + t82466 + t82429 - t82397 - t82399 + t82393 + t82395 + t82387 + t82356 + t82306 + t81840 + t81800 + t81804 + t81794 + t81770 + t81771 - t81767 - t81768 - t81769 + t81756 + t81712 + t81694 - t81695 + t81696 - t81697 + t81692 + t81632 + t81586 - t81563 + t81538 + t81512 + t81515 - t81509 + t81503 - t81501 + t81494 - t81462 - t81463 - t81464 + t81459 - t81431 - t81432 + t81433 + t81412 + t81372 + t81359 - t81328 + t81303 + t81245 - t80580 - t80579 - t80572 + t80568 - t80570 - t80564 + t80566 - t80560 + t80562 + t81105 - t80715 + t81048 - t81010 - t81007 - t81000 - t81003 + t80995 + t80984 + t81164 + t81180 - t81181 + t81208 - t81212 - t81215 - t80778 + t80780 - t80774 - t80776 - t80711 + t80713 - t80707 - t80709 - t80701 + t80703 + t80705 - t80770 - t80772 - t80766 + t80768 + t80759 - t80752 + t80746 - t80748 + t80750 - t80742 + t80744 + t80738 - t80740 + t80736 + t9487 + t9489 + t9327 + t16017 + t16034 - t15986 - t15838 - t9442 - t9361 - t2180 - t16022 - t16025 + t9353 - t15415 - t15419 - t15990 + t16006 + t9357 - t9359 - t9464 + t15839);
  tv4rhosigma2lapl23 = t3 * t82811 + t16121;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 23] += tv4rhosigma2lapl23;

  t82813 = t2087 * t7210;
  t82814 = t82813 / 0.12e2;
  t82815 = t2087 * t7471;
  t82816 = t82815 / 0.12e2;
  t82819 = t246 * t7469 * t2117 * t249;
  t82820 = t82819 / 0.4e1;
  t82821 = t9056 * t1779;
  t82822 = t82821 / 0.12e2;
  t82823 = t768 * t16222;
  t82824 = t82823 / 0.4e1;
  t82825 = t757 * t16222;
  t82826 = t82825 / 0.4e1;
  t82828 = t7368 * t2167 / 0.12e2;
  t82830 = -t42203 * t11064 - t75079 + t75082 + t75084 - t78582 - t82814 - t82816 + t82820 - t82822 + t82824 + t82826 - t82828;
  t82835 = t7299 * t15600;
  t82836 = t82835 / 0.18e2;
  t82839 = t10037 * t10771;
  t82844 = t41646 * t10771;
  t82847 = t42977 * t10771;
  t82850 = t42161 * t11148;
  t82851 = t82850 / 0.6e1;
  t82852 = t41482 * t7758;
  t82853 = t82852 / 0.12e2;
  t82854 = 0.6e1 * t42187 * t11050 + 0.2e1 * t42187 * t11053 - t75097 - t75100 + t82836 + t41438 * t37205 / 0.6e1 - 0.5e1 / 0.36e2 * t41145 * t82839 + t4789 * t52842 / 0.6e1 - t4753 * t82844 / 0.6e1 + t4792 * t82847 / 0.3e1 + t82851 + t82853;
  t82856 = t41479 * t10772;
  t82857 = t82856 / 0.12e2;
  t82879 = t1869 * t15091 / 0.36e2;
  t82881 = t3548 * t16247 / 0.6e1;
  t82883 = 0.23e2 / 0.108e3 * t35594 * t15650;
  t82884 = -t82857 - t11008 * t79660 / 0.2e1 - 0.3e1 * t3123 * t35690 * t15567 - 0.3e1 / 0.2e1 * t25696 * t16320 + 0.18e2 * t4779 * t36922 * t79370 + 0.6e1 * t4779 * t7595 * t79374 - 0.6e1 * t4779 * t7595 * t79378 + t52729 * t8622 / 0.2e1 + t52729 * t8627 / 0.2e1 + t82879 - t82881 + t82883;
  t82886 = 0.11e2 / 0.54e2 * t35594 * t15647;
  t82888 = 0.2e1 / 0.3e1 * t35590 * t15591;
  t82893 = t7198 * t8690;
  t82894 = t673 * t82893;
  t82913 = -t82886 - t82888 - t2093 * t7550 / 0.6e1 - t8795 * t11001 / 0.2e1 + t1259 * t82894 / 0.3e1 - t1293 * t10754 / 0.2e1 - t1293 * t10890 / 0.2e1 - t5126 * t2450 / 0.2e1 - t78657 + t78659 + t4779 * t519 * t75130 + 0.2e1 / 0.3e1 * t21878 * t26082 * t635 * t512 * t15042 + t3123 * t7228 * t15044 / 0.2e1;
  t82923 = t3130 * t253 * t543 * t8840;
  t82928 = t21593 * t16309;
  t82933 = t3130 * t253 * t1829 * t2105;
  t82948 = t635 * t512 * t2090;
  t82954 = -t4779 * t1843 * t75283 - 0.3e1 / 0.2e1 * t4779 * t519 * t75125 + t4789 * t82923 / 0.12e2 + t26200 * t16310 / 0.12e2 + t4789 * t82928 / 0.12e2 + t4789 * t82933 / 0.12e2 - 0.3e1 / 0.2e1 * t25730 * t16320 - 0.3e1 / 0.2e1 * t4779 * t7632 * t15795 - 0.3e1 / 0.2e1 * t4779 * t1847 * t79608 - 0.3e1 / 0.2e1 * t4779 * t1847 * t75208 - 0.28e2 * t79668 * t10058 * t82948 + t41438 * t36151 / 0.3e1;
  t82955 = t10058 * t10771;
  t82958 = t253 * t52480;
  t82959 = t4754 * t82958;
  t82987 = t11086 * t79504;
  t82988 = t82987 / 0.2e1;
  t82989 = -0.11e2 / 0.18e2 * t41145 * t82955 - t4753 * t82959 / 0.3e1 + t41436 * t11131 - 0.9e1 / 0.2e1 * t4779 * t7599 * t79888 + 0.3e1 * t4779 * t7599 * t78660 + 0.47e2 / 0.3e1 * t78666 * t25739 * t82948 + 0.3e1 / 0.2e1 * t3123 * t36154 * t15557 - 0.3e1 / 0.2e1 * t4779 * t7610 * t79001 + 0.3e1 * t4779 * t7610 * t78973 + 0.3e1 / 0.2e1 * t3123 * t37270 * t15639 - 0.6e1 * t4779 * t36931 * t78955 - t78745 + t82988;
  t82991 = t7216 * t78759;
  t82992 = t82991 / 0.6e1;
  t82993 = t11008 * t80512;
  t82994 = 0.5e1 / 0.36e2 * t82993;
  t82995 = t7216 * t79913;
  t82996 = t82995 / 0.12e2;
  t83011 = t82992 - t82994 - t82996 - t75203 - t78746 - 0.7e1 * t11008 * t79350 + 0.14e2 / 0.3e1 * t11008 * t79353 + 0.7e1 / 0.3e1 * t11008 * t79359 - 0.35e2 / 0.108e3 * t52204 * t79326 - 0.5e1 / 0.36e2 * t11008 * t80400 - t7746 * t75396 / 0.3e1 - t7581 * t75414 / 0.3e1;
  t83022 = t7746 * t79501;
  t83023 = t83022 / 0.6e1;
  t83024 = t7746 * t79507;
  t83025 = t83024 / 0.6e1;
  t83026 = t7216 * t78621;
  t83027 = t83026 / 0.6e1;
  t83031 = t7374 * t2158;
  t83032 = t83031 / 0.4e1;
  t83033 = 0.2e1 * t53066 * t78893 + t11143 * t78896 / 0.2e1 - t7581 * t75533 / 0.3e1 - t7216 * t75536 / 0.6e1 - t7581 * t75541 / 0.6e1 - t83023 + t83025 - t83027 + t11086 * t80348 + t7216 * t79498 / 0.3e1 + t78798 + t78799 + t83032;
  t83037 = t7390 * t2158;
  t83038 = t83037 / 0.4e1;
  t83060 = t8673 * t1886 / 0.18e2;
  t83061 = t83038 + t42727 * t530 / 0.4e1 + t42732 * t530 / 0.4e1 + t7374 * t2170 / 0.2e1 + t7390 * t2170 / 0.2e1 - t37309 * t2154 / 0.2e1 - t37314 * t2154 / 0.2e1 + t9061 * t7457 / 0.3e1 + t2098 * t37327 / 0.3e1 - t9061 * t7453 / 0.6e1 - t2098 * t37319 / 0.6e1 + t83060;
  t83063 = t7368 * t2162 / 0.6e1;
  t83065 = t1869 * t9098 / 0.36e2;
  t83067 = t7255 * t15607 / 0.18e2;
  t83069 = t1869 * t15062 / 0.18e2;
  t83071 = t35328 * t15657 / 0.6e1;
  t83073 = t593 * t16250 / 0.6e1;
  t83074 = t36303 * t8635;
  t83077 = t36303 * t8630;
  t83080 = t3430 * t525;
  t83081 = t83080 * t8643;
  t83084 = t53245 * t8630;
  t83087 = t4760 * t10771;
  t83093 = t52456 * t8758;
  t83097 = -t83063 - t83065 - t83067 + t83069 - t83071 + t83073 + t4789 * t83074 / 0.12e2 - t4792 * t83077 / 0.6e1 - t4789 * t83081 / 0.6e1 + t4753 * t83084 / 0.12e2 - t41145 * t83087 / 0.2e1 - 0.62e2 / 0.3e1 * t52204 * t47588 * t78584 + 0.3e1 / 0.2e1 * t3123 * t83093 * t8765;
  t83106 = t35704 * t15671 / 0.9e1;
  t83109 = t7216 * t78714;
  t83110 = 0.2e1 / 0.3e1 * t83109;
  t83111 = t11008 * t79454;
  t83112 = 0.23e2 / 0.36e2 * t83111;
  t83113 = t7216 * t78606;
  t83114 = t83113 / 0.3e1;
  t83126 = 0.36e2 * t4738 * t36878 * t78675 - 0.18e2 * t4779 * t36878 * t79884 - t83106 + 0.8e1 * t52204 * t79479 - t83110 + t83112 + t83114 + 0.3e1 / 0.2e1 * t4738 * t1847 * t79285 + t7746 * t75143 / 0.3e1 + t7581 * t76156 / 0.2e1 + 0.3e1 / 0.2e1 * t26772 * t16305 + 0.3e1 / 0.2e1 * t26777 * t16305;
  t83140 = t4779 * t1843 * t79741;
  t83141 = t83140 / 0.2e1;
  t83142 = t512 * t2084;
  t83143 = t635 * t83142;
  t83145 = t52652 * t4765 * t83143;
  t83146 = 0.2e1 * t83145;
  t83148 = t3123 * t7238 * t15801;
  t83149 = t83148 / 0.2e1;
  t83150 = t7751 * t2091;
  t83160 = 0.3e1 / 0.2e1 * t4738 * t7632 * t8614 + 0.3e1 / 0.2e1 * t4738 * t1847 * t75757 + 0.6e1 * t4738 * t7595 * t80543 + 0.3e1 * t4748 * t35690 * t15643 + t83141 - t83146 - t83149 + t3123 * t83150 * t730 / 0.2e1 - t3123 * t11158 * t9121 + 0.3e1 / 0.2e1 * t3123 * t7751 * t2096 * t1246 - t75318 - t75321 - t75323;
  t83164 = t8668 * t7441 / 0.36e2;
  t83166 = t1267 * t10969 / 0.18e2;
  t83167 = t8665 * t1886;
  t83168 = t83167 / 0.36e2;
  t83170 = t52147 * t432 / 0.6e1;
  t83172 = t41530 * t530 / 0.12e2;
  t83173 = t7368 * t2158;
  t83174 = t83173 / 0.12e2;
  t83188 = t1891 * t8750;
  t83189 = t83188 / 0.4e1;
  t83190 = -t83164 - t83166 - t83168 + t83170 + t83172 + t83174 - t3123 * t53317 * t2166 / 0.4e1 - t3123 * t11151 * t9012 / 0.4e1 - t3123 * t53313 * t2166 / 0.4e1 - t9070 * t1766 / 0.2e1 - t9070 * t1770 / 0.4e1 + t83189;
  t83191 = t1891 * t8742;
  t83192 = t83191 / 0.2e1;
  t83193 = t1891 * t8746;
  t83194 = t83193 / 0.4e1;
  t83196 = t1227 * t1889 * t15598;
  t83197 = t3319 * t83196;
  t83198 = t83197 / 0.3e1;
  t83206 = t5143 * t2450 / 0.6e1;
  t83215 = -t83192 - t83194 + t83198 - t5073 * t11212 - t5073 * t11215 + t1891 * t9027 / 0.2e1 - t25888 * t2444 - t27129 * t2444 - t83206 + t41436 * t10772 / 0.2e1 - 0.18e2 * t4738 * t36901 * t80356 + 0.6e1 * t4779 * t36901 * t80360 + t79012;
  t83223 = t11008 * t79732;
  t83224 = t83223 / 0.2e1;
  t83226 = t27207 * t16310 / 0.36e2;
  t83233 = t21655 * t16317 / 0.12e2;
  t83234 = t11086 * t78690;
  t83235 = -t36005 * t15678 - t36009 * t15678 - t7746 * t75402 / 0.6e1 - t7581 * t75407 / 0.6e1 - t83224 + t83226 + 0.23e2 / 0.18e2 * t11008 * t78855 - t75417 - t11143 * t80343 - t7746 * t80345 / 0.3e1 - t83233 + t83234;
  t83236 = t7216 * t78617;
  t83237 = t83236 / 0.3e1;
  t83238 = t11008 * t79451;
  t83239 = 0.11e2 / 0.18e2 * t83238;
  t83259 = t52585 * t1221;
  t83260 = t1220 * t83259;
  t83265 = t83237 - t83239 + 0.2e1 * t11086 * t78683 + 0.2e1 / 0.3e1 * t7216 * t78946 - 0.11e2 / 0.9e1 * t11008 * t78726 - t7216 * t78949 / 0.3e1 - 0.4e1 * t11086 * t78686 - t7216 * t75836 / 0.3e1 - t4738 * t1847 * t75830 + t4779 * t1847 * t75833 - 0.18e2 * t4738 * t36922 * t79103 - t1218 * t83260 / 0.3e1 + t9061 * t7175 / 0.3e1;
  t83270 = t3548 * t16266;
  t83272 = t21784 * t16263 / 0.2e1;
  t83291 = t11120 * t2096;
  t83294 = -t83270 + t83272 + t1876 * t15062 / 0.6e1 + t1881 * t15062 / 0.6e1 + t515 * t76140 / 0.6e1 - t1876 * t15050 / 0.6e1 - t1881 * t15050 / 0.6e1 - t515 * t75340 / 0.6e1 - t36673 * t15657 / 0.2e1 - t36685 * t15657 / 0.2e1 - t7307 * t79528 / 0.2e1 + t4748 * t83291 * t3181;
  t83296 = t27523 * t10058 * t83143;
  t83297 = 0.7e1 / 0.3e1 * t83296;
  t83299 = t3123 * t7233 * t15791;
  t83300 = t83299 / 0.2e1;
  t83316 = -0.3e1 * t11008 * t78730 * t10062 - 0.6e1 * t47583 * t36901 * t78647 + 0.18e2 * t9873 * t36901 * t80364 + 0.3e1 * t80392 * t11113 - 0.6e1 * t42187 * t11117 + 0.3e1 * t41476 * t11128 + t75480 + t75482 - t79107 - t79131 + t83297 + t83300;
  t83318 = t1748 * t79424;
  t83319 = t83318 / 0.12e2;
  t83326 = t7190 * t15660;
  t83327 = t83326 / 0.12e2;
  t83328 = t7195 * t15660;
  t83329 = t83328 / 0.12e2;
  t83338 = t1748 * t78789;
  t83339 = t83338 / 0.6e1;
  t83341 = t8673 * t1779 / 0.18e2;
  t83342 = -t83319 - 0.5e1 / 0.36e2 * t35714 * t15663 - 0.5e1 / 0.36e2 * t35523 * t15663 - 0.5e1 / 0.36e2 * t7187 * t79431 - t83327 - t83329 - t1748 * t75608 / 0.6e1 - t1748 * t78904 / 0.6e1 - t7195 * t15607 / 0.6e1 - t7190 * t15607 / 0.6e1 - t83339 + t83341;
  t83344 = t593 * t16203 / 0.6e1;
  t83345 = t3548 * t16193;
  t83346 = t83345 / 0.6e1;
  t83347 = t593 * t16190;
  t83348 = t83347 / 0.6e1;
  t83350 = t593 * t16184 / 0.12e2;
  t83352 = t5143 * t2462 / 0.6e1;
  t83354 = 0.5e1 / 0.108e3 * t35594 * t15663;
  t83357 = t8665 * t1779;
  t83358 = t83357 / 0.36e2;
  t83360 = t1267 * t16276 / 0.36e2;
  t83362 = t35594 * t15573 / 0.6e1;
  t83365 = t27523 * t10037 * t3671 * t83142;
  t83366 = 0.3e1 / 0.2e1 * t83365;
  t83368 = t4748 * t7233 * t15124;
  t83369 = t83368 / 0.2e1;
  t83371 = t4738 * t1847 * t75692;
  t83372 = -t83344 - t83346 - t83348 - t83350 + t83352 - t83354 - t1278 * t10894 / 0.6e1 - t83358 + t83360 - t83362 - t83366 - t83369 + t83371;
  t83390 = t53245 * t15677;
  t83402 = t4779 * t7595 * t79586;
  t83403 = 0.3e1 * t83402;
  t83405 = t4779 * t1847 * t79574;
  t83406 = -0.3e1 / 0.2e1 * t41145 * t10037 * t4746 * t10770 + 0.3e1 / 0.2e1 * t26806 * t83093 * t8771 - 0.3e1 * t4748 * t83093 * t9038 + 0.7e1 / 0.3e1 * t41145 * t10058 * t11134 - 0.5e1 / 0.18e2 * t11008 * t79892 - t21878 * t83390 / 0.3e1 - t36310 * t8618 / 0.4e1 - 0.4e1 / 0.3e1 * t7216 * t80496 + 0.23e2 / 0.18e2 * t11008 * t78731 + 0.2e1 / 0.3e1 * t7216 * t80491 - t83403 - t83405;
  t83409 = t11120 * t8728;
  t83437 = t11143 * t80353;
  t83438 = t83437 / 0.2e1;
  t83439 = -t4748 * t11121 * t8725 + 0.3e1 * t4748 * t83409 * t1234 + t42187 * t11103 + t4779 * t1843 * t75806 / 0.2e1 + t4779 * t519 * t75427 / 0.2e1 - t21878 * t4760 * t635 * t512 * t15088 / 0.3e1 - t3123 * t7228 * t15111 / 0.4e1 + 0.3e1 * t41476 * t11055 + t41476 * t11058 + 0.14e2 / 0.3e1 * t27523 * t78725 * t52208 + t7746 * t80350 / 0.3e1 + t25662 * t11155 - t83438;
  t83448 = t35590 * t15589 / 0.3e1;
  t83449 = t7340 * t15600;
  t83450 = t83449 / 0.6e1;
  t83451 = t7345 * t15600;
  t83452 = t83451 / 0.6e1;
  t83453 = t1787 * t80419;
  t83454 = t83453 / 0.6e1;
  t83464 = t7216 * t75410 / 0.12e2 + t7581 * t75372 / 0.12e2 + t3123 * t11121 * t9021 + t83448 + t83450 + t83452 + t83454 + t36009 * t15680 / 0.4e1 + t7216 * t78922 / 0.4e1 - t11143 * t78865 - 0.3e1 * t52607 * t79510 - t11143 * t78867 / 0.2e1;
  t83470 = t35707 * t15678 / 0.3e1;
  t83472 = t188 * t16342 / 0.12e2;
  t83478 = t27066 * t2444 / 0.3e1;
  t83482 = t5143 * t2453 / 0.3e1;
  t83483 = t7255 * t15617;
  t83484 = t83483 / 0.9e1;
  t83485 = -t35434 * t15671 / 0.3e1 - t35450 * t15671 / 0.3e1 - t83470 - t83472 + t515 * t76116 / 0.12e2 + t36009 * t15674 / 0.2e1 - t83478 + t2093 * t7200 / 0.6e1 + t83482 + t83484 + t16189 - t16192 - t16195;
  t83490 = t4796 * t82958;
  t83495 = t4844 * t11199;
  t83500 = t3548 * t16214;
  t83501 = t16224 - t16226 - t42203 * t11122 + t4792 * t83490 / 0.3e1 - t41449 * t11148 / 0.2e1 - t75554 + t75556 - t79332 + t79333 + 0.23e2 / 0.36e2 * t8760 * t83495 + t2098 * t36651 / 0.3e1 + t83500;
  t83505 = t1227 * t1889 * t8690;
  t83513 = t4738 * t7599 * t75639;
  t83514 = 0.3e1 * t83513;
  t83516 = t4779 * t7599 * t78762;
  t83517 = 0.3e1 / 0.2e1 * t83516;
  t83519 = t4738 * t7595 * t78653;
  t83520 = 0.3e1 * t83519;
  t83532 = t3123 * t7751 * t8740 * t1246;
  t83533 = t83532 / 0.2e1;
  t83536 = -t2098 * t35299 / 0.6e1 + 0.2e1 / 0.3e1 * t1218 * t83505 - 0.2e1 * t8754 * t11200 + t2098 * t36656 / 0.3e1 - t83514 + t83517 + t83520 + t25662 * t11125 + t4738 * t1847 * t75826 / 0.2e1 - t4779 * t1847 * t75594 / 0.2e1 - t7216 * t79895 / 0.6e1 - t83533 + t7216 * t75811 / 0.4e1;
  t83548 = t7216 * t78927 / 0.4e1 - t7746 * t78747 / 0.3e1 - t7746 * t75375 / 0.3e1 - t7746 * t78754 / 0.3e1 + t36005 * t15680 / 0.4e1 - t75573 + t15554 + t15099 - t15555 - t15116 - t15120 - t15126;
  t83550 = t35707 * t15680 / 0.12e2;
  t83552 = t35707 * t15674 / 0.6e1;
  t83554 = t26891 * t16320 / 0.2e1;
  t83555 = t10037 * t11134;
  t83572 = t4844 * t11000;
  t83575 = t83550 + t83552 - t83554 + 0.23e2 / 0.36e2 * t41145 * t83555 - 0.2e1 / 0.3e1 * t41438 * t37347 + t2160 - t768 * t16203 / 0.2e1 - t515 * t42850 / 0.12e2 - t1748 * t75259 / 0.12e2 + t1787 * t75956 / 0.6e1 + t515 * t41045 / 0.12e2 + t2098 * t35498 / 0.6e1 - 0.5e1 / 0.36e2 * t8760 * t83572;
  t83582 = t1227 * t82893;
  t83587 = t1227 * t83259;
  t83592 = t2087 * t7200;
  t83593 = t83592 / 0.12e2;
  t83596 = -t2098 * t35882 / 0.12e2 - t417 * t52587 / 0.6e1 - t1218 * t83582 / 0.6e1 + t8754 * t11177 / 0.2e1 - t1218 * t83587 / 0.6e1 + t417 * t52591 / 0.6e1 - t83593 - t79349 + t79366 - t79367 + t75605 - 0.2e1 * t41436 * t11135;
  t83600 = t9873 * t7599 * t75635;
  t83601 = 0.3e1 / 0.2e1 * t83600;
  t83610 = 0.2e1 / 0.3e1 * t4753 * t52482 + t83601 + t53885 * t8615 / 0.2e1 + t16280 - t16284 - t16288 + t16299 - t75627 + t79406 - t79407 + 0.44e2 / 0.27e2 * t52204 * t78858 - 0.23e2 / 0.12e2 * t11008 * t78851 - 0.11e2 / 0.9e1 * t11008 * t78838;
  t83616 = t26888 * t16305 / 0.2e1;
  t83618 = t26891 * t16313 / 0.3e1;
  t83635 = -0.61e2 / 0.27e2 * t52204 * t78842 - t7216 * t79813 + t83616 + t83618 - t25662 * t11077 / 0.2e1 - t7187 * t79387 / 0.2e1 + 0.7e1 / 0.3e1 * t35714 * t15577 + 0.23e2 / 0.36e2 * t35714 * t15650 + 0.23e2 / 0.36e2 * t35523 * t15650 + 0.23e2 / 0.36e2 * t7187 * t79061 - 0.2e1 * t35550 * t15591 - 0.2e1 * t35556 * t15591;
  t83652 = t7751 * t2085;
  t83654 = t3123 * t83652 * t730;
  t83655 = t83654 / 0.4e1;
  t83656 = t543 * t2084;
  t83658 = t4765 * t3121 * t83656;
  t83659 = t21878 * t83658;
  t83660 = t83659 / 0.3e1;
  t83661 = -0.2e1 * t7250 * t79903 - 0.11e2 / 0.18e2 * t35714 * t15647 - 0.11e2 / 0.18e2 * t35523 * t15647 - 0.11e2 / 0.18e2 * t7187 * t79750 - 0.3e1 * t644 * t36703 * t15562 + t35550 * t15589 + t35556 * t15589 + t7250 * t80499 + 0.3e1 / 0.2e1 * t21706 * t16263 - t79444 - t79445 - t83655 + t83660;
  t83679 = t7299 * t15595 / 0.9e1;
  t83680 = t7255 * t15613;
  t83681 = t83680 / 0.18e2;
  t83683 = t5143 * t2447 / 0.3e1;
  t83690 = -0.38e2 / 0.9e1 * t52204 * t79657 + 0.89e2 / 0.9e1 * t52204 * t79356 - 0.2e1 * t52204 * t79475 + 0.6e1 * t52610 * t79205 + t79446 + 0.3e1 * t9873 * t7599 * t78826 + t83679 - t83681 - t83683 + t515 * t76343 / 0.6e1 + t1876 * t15091 / 0.12e2 + t1881 * t15091 / 0.12e2;
  t83701 = t35550 * t15604 / 0.2e1 + t35556 * t15604 / 0.2e1 + t7250 * t80428 / 0.2e1 + t1787 * t75696 / 0.3e1 - t79485 - t79486 - t79487 - t79488 + t75726 + t75728 + t75731 + t7216 * t75503 / 0.3e1;
  t83729 = 0.3e1 / 0.2e1 * t21711 * t16263 + 0.3e1 / 0.2e1 * t3680 * t36703 * t15585 - 0.3e1 * t3530 * t16266 - 0.3e1 * t3537 * t16266 - t2098 * t36534 / 0.6e1 - t2098 * t37233 / 0.6e1 - 0.3e1 / 0.2e1 * t35714 * t15581 - 0.3e1 / 0.2e1 * t35523 * t15581 - 0.3e1 / 0.2e1 * t7187 * t79763 + 0.3e1 / 0.2e1 * t768 * t16256 + 0.3e1 / 0.2e1 * t757 * t16256 + 0.3e1 / 0.2e1 * t246 * t36703 * t15557;
  t83742 = -t9061 * t7171 / 0.6e1 - 0.3e1 * t768 * t16253 - 0.3e1 * t757 * t16253 - 0.3e1 * t246 * t35372 * t15567 - t75745 - t79513 - t79514 + t79515 + t8659 + t8662 - t8667 + t8683 - t30 * t16176 * t277 / 0.4e1;
  t83748 = t7195 * t15613;
  t83749 = t83748 / 0.6e1;
  t83750 = t7190 * t15613;
  t83751 = t83750 / 0.6e1;
  t83760 = -t15630 + t15631 - t79543 - t75766 + t79581 - 0.3e1 * t3123 * t83409 * t1239 - t83749 - t83751 - t1748 * t75327 / 0.3e1 - t1748 * t79149 / 0.3e1 - t7190 * t15632 / 0.3e1 - t7195 * t15632 / 0.3e1;
  t83761 = t1748 * t78767;
  t83762 = t83761 / 0.3e1;
  t83763 = t7195 * t15617;
  t83764 = t83763 / 0.3e1;
  t83765 = t7190 * t15617;
  t83766 = t83765 / 0.3e1;
  t83768 = t660 * t7198 * t8841;
  t83772 = t660 * t35360 * t2106;
  t83779 = t53072 * t8630;
  t83784 = t83762 + t83764 + t83766 + t417 * t83768 / 0.12e2 + t417 * t83772 / 0.12e2 + t1278 * t16276 / 0.12e2 + t1283 * t16276 / 0.12e2 - t75788 + t79612 + t4753 * t83779 / 0.6e1 - t52729 * t8648 / 0.2e1 + t79641 + t75804;
  t83788 = t7469 * t2124;
  t83806 = t35594 * t15581 / 0.2e1;
  t83808 = t8668 * t7171 / 0.18e2;
  t83810 = t593 * t16256 / 0.2e1;
  t83812 = t593 * t16211 / 0.2e1;
  t83813 = -t3537 * t16247 / 0.2e1 - t644 * t83788 * t649 / 0.2e1 + t768 * t16250 / 0.2e1 + t757 * t16250 / 0.2e1 + t246 * t83788 * t654 / 0.2e1 + t2098 * t36380 / 0.3e1 + t2098 * t36733 / 0.3e1 - t3530 * t16247 / 0.2e1 - t83806 - t83808 + t83810 + t83812;
  t83815 = t593 * t16208 / 0.6e1;
  t83816 = t593 * t16253;
  t83818 = t8783 * t11196;
  t83819 = t83818 / 0.6e1;
  t83845 = t83815 - t83816 + t10974 * t1240 - t83819 - t3123 * t83291 * t3186 + 0.9e1 / 0.2e1 * t4779 * t1847 * t79547 - 0.7e1 * t27523 * t26140 * t635 * t11101 * t414 - 0.3e1 / 0.2e1 * t3123 * t7233 * t79557 - 0.9e1 / 0.2e1 * t9873 * t7599 * t79563 + 0.11e2 / 0.6e1 * t11008 * t79174 + 0.8e1 * t4779 * t7595 * t79177 - 0.8e1 / 0.3e1 * t11086 * t79167 - 0.3e1 / 0.2e1 * t7216 * t79171;
  t83866 = -t41476 * t11106 - t79663 + t79664 + t75821 - 0.18e2 * t9873 * t36878 * t79127 + 0.2e1 / 0.3e1 * t7746 * t79225 - 0.4e1 / 0.3e1 * t11086 * t79191 - t7746 * t79228 / 0.3e1 - 0.3e1 / 0.4e1 * t7216 * t79194 + t11143 * t79186 + t7216 * t79183 / 0.4e1 + 0.5e1 / 0.12e2 * t11008 * t79197;
  t83869 = t4838 * t11000;
  t83874 = t1220 * t82893;
  t83884 = t7216 * t78804 / 0.2e1 - t79672 + t79673 + t79674 + t75859 - 0.11e2 / 0.18e2 * t8760 * t83869 + 0.2e1 / 0.3e1 * t1748 * t75238 - t1218 * t83874 / 0.3e1 + t8754 * t11196 + t1293 * t10761 + t1293 * t10764 + 0.2e1 / 0.3e1 * t7190 * t15808 + 0.2e1 / 0.3e1 * t7195 * t15808;
  t83912 = 0.2e1 / 0.3e1 * t1748 * t79297 + t5105 * t2453 + t5126 * t2453 + 0.7e1 / 0.3e1 * t35523 * t15577 + 0.7e1 / 0.3e1 * t7187 * t79396 - t35714 * t15573 / 0.2e1 - t35523 * t15573 / 0.2e1 - 0.2e1 * t4779 * t1843 * t79217 + 0.22e2 / 0.3e1 * t52610 * t78718 - 0.6e1 * t4738 * t7599 * t79616 - 0.3e1 * t4748 * t36154 * t15562 + 0.9e1 * t4738 * t7599 * t78679;
  t83919 = t4831 * t11000;
  t83922 = t4838 * t11199;
  t83926 = t4844 * t7460 * t1221;
  t83931 = t593 * t16187;
  t83932 = t83931 / 0.6e1;
  t83936 = 0.2e1 / 0.9e1 * t7255 * t15808;
  t83941 = -t182 * t16177 / 0.4e1 + t7216 * t78807 / 0.2e1 + t7216 * t75299 / 0.2e1 - t8760 * t83919 / 0.2e1 + 0.7e1 / 0.3e1 * t8760 * t83922 - 0.3e1 / 0.2e1 * t8760 * t83926 + 0.3e1 / 0.2e1 * t37303 * t8772 + t83932 - t1748 * t75877 / 0.6e1 + t83936 + t26205 * t16310 / 0.12e2 + t79715 - t5105 * t2450 / 0.2e1;
  t83948 = t8668 * t7316 / 0.36e2;
  t83950 = t1267 * t10894 / 0.18e2;
  t83952 = 0.7e1 / 0.9e1 * t35594 * t15577;
  t83956 = t8668 * t7175 / 0.9e1;
  t83961 = t7462 * t9042;
  t83962 = t83961 / 0.2e1;
  t83963 = t1891 * t9031;
  t83964 = t83963 / 0.2e1;
  t83965 = -t1293 * t10866 - t1293 * t10869 - t5126 * t2447 - t83948 - t83950 + t83952 - t1283 * t10894 / 0.6e1 + t83956 - 0.3e1 * t7462 * t9039 + 0.3e1 / 0.2e1 * t1891 * t8766 - t83962 + t83964;
  t83971 = t16308 * t206;
  t83972 = t253 * t83971;
  t83973 = t4760 * t83972;
  t83979 = t3130 * t83972;
  t83984 = t8642 * t253 * t16308 * t667;
  t83995 = t222 * t16177;
  t83998 = -t42538 * t1758 / 0.2e1 + t9070 * t1761 / 0.2e1 - t52160 * t1235 + t4753 * t83973 / 0.12e2 + t3123 * t11158 * t42244 / 0.2e1 - t4792 * t83979 / 0.6e1 - t4789 * t83984 / 0.6e1 + t15216 + t9045 * t1886 / 0.6e1 + t2093 * t7385 / 0.6e1 - t7374 * t2162 / 0.2e1 - t7390 * t2162 / 0.2e1 - t211 * t83995 / 0.12e2;
  t84002 = t191 * t242 * t16175 * t243;
  t84006 = t7368 * t2170 / 0.6e1;
  t84008 = t35790 * t2154 / 0.6e1;
  t84010 = t8668 * t7457 / 0.9e1;
  t84012 = t8668 * t7453 / 0.18e2;
  t84013 = t757 * t16190;
  t84014 = t84013 / 0.2e1;
  t84016 = t246 * t7499 * t15801;
  t84017 = t84016 / 0.2e1;
  t84018 = t768 * t16190;
  t84019 = t84018 / 0.2e1;
  t84021 = t246 * t7488 * t15791;
  t84022 = t84021 / 0.2e1;
  t84023 = t84002 * t250 / 0.4e1 + t84006 - t84008 + t84010 - t84012 - t8744 - t8748 + t8752 - t84014 - t84017 - t84019 + t84022;
  t84024 = t757 * t16187;
  t84025 = t84024 / 0.2e1;
  t84026 = t768 * t16187;
  t84027 = t84026 / 0.2e1;
  t84050 = t84025 + t84027 - t246 * t7533 * t15111 / 0.4e1 - t246 * t1769 * t76151 / 0.4e1 + t1293 * t10885 / 0.2e1 - t768 * t16184 / 0.4e1 - t757 * t16184 / 0.4e1 + t1293 * t10881 / 0.2e1 + t5126 * t2462 / 0.2e1 + t5105 * t2462 / 0.2e1 - t2098 * t37358 / 0.12e2 - t2098 * t37355 / 0.12e2 - t75955;
  t84075 = -t75964 - t75966 - t75969 - 0.11e2 / 0.18e2 * t11008 * t78847 + 0.11e2 / 0.6e1 * t11008 * t78834 - 0.23e2 / 0.3e1 * t52610 * t78722 + 0.3e1 / 0.2e1 * t757 * t16211 + 0.3e1 / 0.2e1 * t246 * t35392 * t15639 + 0.3e1 * t3530 * t16214 + 0.3e1 * t3537 * t16214 + 0.3e1 * t644 * t35372 * t15643 + t2093 * t7471 / 0.6e1;
  t84096 = t673 * t41043 * t1777;
  t84101 = t41646 * t11134;
  t84104 = t11120 * t8781;
  t84106 = t4748 * t84104 * t1234;
  t84107 = t84106 / 0.2e1;
  t84108 = t768 * t16208 / 0.2e1 + t757 * t16208 / 0.2e1 + t246 * t7533 * t15044 / 0.2e1 + 0.3e1 / 0.2e1 * t768 * t16211 + t9045 * t1779 / 0.6e1 + t2093 * t7210 / 0.6e1 - t757 * t16203 / 0.2e1 - t246 * t7469 * t2120 * t748 / 0.2e1 - t211 * t84096 / 0.12e2 + t9070 * t1783 / 0.4e1 + 0.2e1 / 0.3e1 * t4753 * t84101 - t84107;
  t84111 = t3123 * t84104 * t1239;
  t84112 = t84111 / 0.2e1;
  t84113 = t41479 * t11131;
  t84114 = t84113 / 0.6e1;
  t84127 = t84112 - t84114 + t75978 + t79747 + t7216 * t75381 / 0.6e1 + t7581 * t75384 / 0.6e1 - t16326 + t7340 * t15595 / 0.3e1 + t7345 * t15595 / 0.3e1 + t1787 * t80486 / 0.3e1 + t515 * t75781 / 0.12e2 + t8778;
  t84142 = t2087 * t7385;
  t84143 = t84142 / 0.12e2;
  t84148 = t8780 - t8785 - t8790 - t515 * t43321 / 0.12e2 - t1876 * t9098 / 0.12e2 - t1881 * t9098 / 0.12e2 - t2098 * t36065 / 0.12e2 - t9061 * t7441 / 0.12e2 - t1283 * t10969 / 0.6e1 - t417 * t53978 / 0.6e1 - t84143 - t1278 * t10969 / 0.6e1 + t10974 * t1274 / 0.2e1;
  t84151 = t9056 * t1886;
  t84152 = t84151 / 0.12e2;
  t84160 = t4770 * t83972;
  t84174 = -t84152 + t9070 * t1873 / 0.4e1 + t53774 * t432 / 0.2e1 + t53768 * t432 / 0.2e1 + t79773 + t79779 + t11086 * t78879 + t4753 * t84160 / 0.6e1 - 0.8e1 * t4738 * t7595 * t79567 - t3123 * t11121 * t42223 / 0.2e1 + t4748 * t11121 * t42236 / 0.2e1 + 0.9e1 / 0.2e1 * t11008 * t79679;
  t84176 = t188 * t16177 / 0.12e2;
  t84191 = -t84176 + t3123 * t7238 * t79222 - 0.3e1 * t4779 * t7610 * t79213 + 0.3e1 / 0.2e1 * t4748 * t7233 * t79711 - t11086 * t80341 + t11086 * t79489 + t11086 * t79495 / 0.2e1 - t25662 * t11070 + t41476 * t11067 + t79853 + t79854 + t79855 + t76009;
  t84216 = 0.9e1 / 0.2e1 * t11008 * t78626 - 0.3e1 * t11008 * t78579 - 0.43e2 / 0.9e1 * t52204 * t78585 + 0.18e2 * t52610 * t79363 + t25696 * t16313 + t25730 * t16313 + t4779 * t7624 * t15624 - t11008 * t79719 - t30 * t2147 * t1830 / 0.4e1 - 0.9e1 / 0.2e1 * t4738 * t1847 * t79794 + 0.3e1 / 0.2e1 * t11008 * t79675 + 0.3e1 * t7216 * t79159;
  t84222 = t4779 * t7610 * t79460;
  t84223 = 0.3e1 / 0.2e1 * t84222;
  t84224 = t43313 * t10771;
  t84227 = 0.16e2 / 0.3e1 * t11086 * t79154 + t7216 * t79200 / 0.2e1 - t80336 - t80337 - t80338 + t76184 + t84223 + t80374 - t80375 - t76190 - t76192 + t76194 - t4753 * t84224 / 0.3e1;
  t84253 = -t21617 * t16317 / 0.4e1 - t21621 * t16317 / 0.4e1 + 0.3e1 / 0.2e1 * t26806 * t36154 * t15585 + t80403 - 0.2e1 * t11086 * t78890 + 0.12e2 * t52607 * t78881 + 0.4e1 * t11086 * t78884 - 0.4e1 * t11086 * t78887 - t25662 * t11159 - t25662 * t11152 / 0.2e1 + 0.5e1 / 0.3e1 * t52610 * t79491 + 0.5e1 / 0.12e2 * t11008 * t79320;
  t84267 = t4765 * t82958;
  t84270 = -0.5e1 / 0.18e2 * t11008 * t79323 + t7216 * t75506 / 0.6e1 + t9033 - t9044 + t41476 * t11061 - 0.2e1 / 0.3e1 * t21878 * t41642 * t52648 + 0.3e1 / 0.2e1 * t11008 * t79208 - t11008 * t79211 - t7216 * t79816 - t7216 * t75290 - t4753 * t84267 / 0.6e1 - t9058 - t9060;
  t84279 = t35590 * t15604 / 0.6e1;
  t84281 = t7255 * t15632 / 0.9e1;
  t84283 = t1869 * t15050 / 0.18e2;
  t84294 = -0.9e1 / 0.2e1 * t4779 * t7599 * t79702 + 0.9e1 * t4738 * t7599 * t79706 + t84279 - t84281 - t84283 + t1891 * t9022 - 0.3e1 * t1891 * t9034 - t1891 * t9024 - t7462 * t9117 / 0.2e1 - t7462 * t8726 + 0.3e1 * t7462 * t8730 + t7462 * t8734;
  t84303 = t7255 * t15660;
  t84304 = t84303 / 0.36e2;
  t84305 = t593 * t16222;
  t84306 = t84305 / 0.12e2;
  t84310 = -0.2e1 / 0.3e1 * t2098 * t36648 - t15811 + t15812 - t2089 + t80437 + t80438 - 0.6e1 * t52607 * t80407 - 0.2e1 * t11086 * t80410 + 0.2e1 * t11086 * t78874 - t84304 + t84306 - t5105 * t2447 - t1891 * t9008 / 0.4e1;
  t84327 = t644 * t7488 * t15124;
  t84328 = t84327 / 0.2e1;
  t84329 = t3537 * t16193;
  t84330 = t84329 / 0.2e1;
  t84331 = t3530 * t16193;
  t84332 = t84331 / 0.2e1;
  t84336 = t17283 * t2105;
  t84338 = t4760 * t3121 * t84336;
  t84341 = -t1891 * t9013 / 0.4e1 - t7374 * t2167 / 0.4e1 - t7390 * t2167 / 0.4e1 - t1891 * t9001 / 0.2e1 + t1891 * t9114 / 0.2e1 + 0.3e1 / 0.2e1 * t1891 * t9125 - t1891 * t9122 - t84328 - t84330 - t84332 + t3123 * t11151 * t42248 / 0.2e1 - t21878 * t84338 / 0.3e1;
  t84349 = t7586 * t80308;
  t84350 = 0.2e1 * t84349;
  t84355 = t10841 * t80311;
  t84356 = 0.12e2 * t84355;
  t84357 = t7584 * t80314;
  t84358 = 0.4e1 * t84357;
  t84365 = t84350 + 0.6e1 * t37040 * t80220 - t36958 * t80223 / 0.6e1 - t84356 - t84358 + 0.2e1 * t7586 * t76684 + 0.2e1 * t10828 * t76688 + t7584 * t76665 / 0.3e1 + t16122 - t16125 + t16129 + t79927;
  t84374 = 0.12e2 * t10836 * t80236 + 0.4e1 * t36966 * t15687 + 0.4e1 * t7586 * t76508 + 0.4e1 * t7586 * t80211 + t76457 - t79928 + t79929 - t79949 + t79980 + t79981 + t8856 + t8875;
  t84392 = t7632 * t15747;
  t84393 = t84392 / 0.3e1;
  t84396 = t8877 - t8888 + t1841 * t15162 / 0.2e1 - 0.6e1 * t7610 * t80102 + 0.24e2 * t36922 * t80124 - 0.36e2 * t36922 * t80171 - 0.12e2 * t7595 * t79971 + 0.4e1 / 0.3e1 * t1847 * t76485 + 0.2e1 * t36875 * t15744 - 0.2e1 / 0.3e1 * t36878 * t80133 - t84393 + 0.9e1 * t7599 * t80159;
  t84405 = t7632 * t15765;
  t84406 = 0.2e1 * t84405;
  t84407 = t7599 * t80184;
  t84408 = 0.1e2 / 0.3e1 * t84407;
  t84409 = t7624 * t15741;
  t84410 = 0.2e1 * t84409;
  t84411 = t7595 * t80187;
  t84412 = 0.6e1 * t84411;
  t84420 = -0.6e1 * t7599 * t80162 + 0.5e2 / 0.3e1 * t36901 * t80180 + 0.12e2 * t36931 * t80096 + 0.3e1 * t7610 * t80099 + t84406 + t84408 - t84410 - t15692 + t84412 - 0.2e1 * t1847 * t76563 + 0.36e2 * t36878 * t80165 - 0.12e2 * t36901 * t80168 + t1847 * t76571;
  t84423 = t7599 * t80177;
  t84424 = 0.3e1 * t84423;
  t84431 = t1847 * t80113;
  t84432 = 0.4e1 / 0.3e1 * t84431;
  t84437 = -t84424 - t80063 - t80064 - t76472 - t76474 - t76476 + 0.6e1 * t36916 * t15757 + 0.2e2 / 0.3e1 * t7599 * t80073 + 0.1e2 / 0.3e1 * t36901 * t80076 - t84432 - t7599 * t80136 / 0.6e1 + t7599 * t80091 / 0.9e1;
  t84445 = t7632 * t15696;
  t84448 = t7632 * t15708;
  t84449 = 0.2e1 / 0.3e1 * t84448;
  t84456 = t10836 * t80305;
  t84457 = 0.6e1 * t84456;
  t84459 = -0.3e1 * t36916 * t15719 - t1841 * t15140 + 0.6e1 * t36875 * t15699 - 0.3e1 * t36856 * t15702 - t84445 + 0.1e2 / 0.3e1 * t36856 * t15705 + t84449 - 0.4e1 * t36875 * t15713 + t36856 * t15716 / 0.18e2 + 0.9e1 * t36958 * t79987 + t84457 - t519 * t76478;
  t84463 = t7584 * t80227;
  t84464 = 0.2e1 / 0.3e1 * t84463;
  t84465 = t10846 * t79994;
  t84466 = t84465 / 0.9e1;
  t84479 = t10841 * t79918;
  t84480 = 0.2e1 * t84479;
  t84483 = -t80190 - t53443 * t80004 / 0.9e1 + t84464 - t84466 + t36958 * t79997 / 0.3e1 + 0.32e2 / 0.3e1 * t36961 * t79987 - 0.12e2 * t53420 * t79934 - 0.4e1 * t36961 * t79938 + 0.4e1 * t10841 * t79942 + 0.4e1 / 0.3e1 * t53458 * t79945 + t84480 - 0.16e2 * t36961 * t79921;
  t84506 = -0.9e1 * t37040 * t80263 - 0.1e2 * t36958 * t80016 + 0.6e1 * t36949 * t80320 + 0.4e1 * t36952 * t80299 + 0.24e2 * t36961 * t80271 - 0.24e2 * t10841 * t80275 + 0.2e1 * t36958 * t80255 - 0.4e1 / 0.3e1 * t10846 * t80258 - 0.6e1 * t36944 * t15684 - 0.6e1 * t7584 * t80243 + t80191 - 0.2e1 / 0.9e1 * t10846 * t80000 - t80192;
  t84512 = t7624 * t15711;
  t84526 = -t76520 - t80193 + t519 * t76388 / 0.2e1 + t84512 - 0.6e1 * t7584 * t76528 - 0.72e2 * t53458 * t79934 - 0.18e2 * t36958 * t79938 + 0.12e2 * t10846 * t79942 + 0.8e1 / 0.3e1 * t53443 * t79945 + t36944 * t15690 + t7584 * t76675 + t7584 * t80279;
  t84551 = -0.4e1 * t36952 * t76637 - 0.6e1 * t53471 * t76641 + 0.4e1 * t10828 * t76645 - 0.2e1 / 0.3e1 * t37040 * t76648 - 0.24e2 * t53647 * t80230 - 0.6e1 * t36949 * t80233 + 0.2e1 * t1841 * t15184 + 0.6e1 * t36856 * t15730 - 0.12e2 * t36875 * t15724 - 0.2e1 / 0.3e1 * t36856 * t15727 - 0.8e1 * t7595 * t80130 + 0.3e1 * t1847 * t80154;
  t84561 = t7599 * t80116;
  t84562 = t84561 / 0.18e2;
  t84572 = 0.3e1 * t1847 * t76381 - t76541 - t80206 - 0.18e2 * t36958 * t80034 + 0.32e2 * t36961 * t80045 + 0.2e1 * t36958 * t80048 + t84562 - t36856 * t15750 / 0.9e1 - t1841 * t15192 + 0.2e1 * t1843 * t76620 + 0.3e1 * t519 * t76624 - 0.2e1 * t519 * t76481;
  t84581 = -0.2e1 * t7624 * t15737 + 0.3e1 * t7632 * t15762 - 0.4e2 * t36878 * t80066 + 0.12e2 * t7595 * t80145 + t15170 + t15733 - t16164 + t16171 - t16173 + t76577 - t80207 + t80208 + t80209;
  t84584 = t7610 * t80119;
  t84585 = 0.3e1 * t84584;
  t84588 = t1847 * t79967;
  t84589 = 0.2e1 * t84588;
  t84592 = t7595 * t80080;
  t84593 = 0.4e1 * t84592;
  t84594 = 0.8e1 * t7595 * t80127 - 0.1e2 * t7599 * t80069 + t15735 - t80269 + t80270 - t84585 + t84589 - t84593 - t8948 - t8949 - t8966 + t8975;
  t84601 = t1843 * t80122;
  t84602 = -0.2e1 * t7632 * t15754 - 0.2e1 * t1847 * t76547 - 0.2e1 * t1847 * t79951 + t76659 + t76662 + t76664 + t80293 - t80294 - t80295 + t80296 + t80297 + t80298 - t84601;
  t84616 = t10846 * t80317;
  t84617 = 0.2e1 / 0.3e1 * t84616;
  t84618 = -t1843 * t76587 - t519 * t76590 - 0.2e1 / 0.3e1 * t1847 * t76582 - t15179 - t15768 + t15769 - t15770 - 0.2e1 * t1843 * t76598 - 0.2e1 * t1843 * t80109 + 0.24e2 * t53443 * t79982 + 0.8e1 * t53458 * t79982 - t84617;
  t84623 = t10846 * t79918;
  t84624 = 0.6e1 * t84623;
  t84641 = -0.4e1 / 0.3e1 * t53443 * t80011 - 0.2e1 * t7584 * t76492 + t84624 + 0.72e2 * t53420 * t80019 + 0.4e1 * t37040 * t76504 - t2138 + t2119 - 0.16e2 / 0.3e1 * t36961 * t80034 - 0.3e1 * t37040 * t80037 + t36958 * t80040 / 0.3e1 + 0.18e2 * t37040 * t80022 - 0.12e2 * t36949 * t80025 - 0.8e1 * t36952 * t80031;
  t84652 = t673 * t83259;
  t84655 = t2087 * t7550;
  t84656 = t84655 / 0.12e2;
  t84657 = t4779 * t1843 * t75485 + t4779 * t1843 * t78965 - 0.6e1 * t4738 * t7595 * t79644 - t30 * t59 * (t84365 + t84374 + t84396 + t84420 + t84437 + t84459 + t84483 + t84506 + t84526 + t84551 + t84572 + t84581 + t84594 + t84602 + t84618 + t84641) * t95 / 0.4e1 - t182 * t16342 / 0.4e1 + t76331 - t80450 - t80451 - t80452 + t80453 + t80454 + t1259 * t84652 / 0.3e1 + t84656;
  t84659 = t8783 * t11177;
  t84660 = t84659 / 0.12e2;
  t84663 = t8776 * t11001;
  t84664 = t84663 / 0.6e1;
  t84675 = t1227 * t10972 * t2266;
  t84686 = -t84660 + t10974 * t1255 / 0.2e1 + t84664 - t9061 * t7316 / 0.12e2 - t417 * t54250 / 0.6e1 - t417 * t54246 / 0.6e1 - t10974 * t1247 - t10974 * t1251 / 0.2e1 + 0.2e1 / 0.3e1 * t3319 * t84675 + t3319 * t1227 * t9068 * t35339 / 0.3e1 + t9070 * t1774 / 0.4e1 - 0.6e1 * t41476 * t11109;
  t84706 = -0.2e1 * t41476 * t11073 - t9110 + t9112 - t41441 * t7758 / 0.6e1 + t16354 + 0.23e2 / 0.36e2 * t11008 * t78862 + t36005 * t15674 / 0.2e1 - t76346 - 0.23e2 / 0.12e2 * t11008 * t79162 - t7216 * t79189 - 0.9e1 / 0.2e1 * t9873 * t7599 * t78822 - 0.3e1 / 0.2e1 * t11008 * t79638 - t30 * t8979 * t544 / 0.4e1;
  t84713 = my_piecewise3(t2, 0, t84706 + t84686 + t84657 + t84341 + t84310 + t84294 + t84270 + t84253 + t84227 + t84216 + t84191 + t84174 + t84148 + t84127 + t84108 + t84075 + t84050 + t84023 + t83998 + t83965 + t83941 + t83912 + t83884 + t83866 + t83845 + t83813 + t83784 + t83760 + t83742 + t83729 + t83701 + t83690 + t83661 + t83635 + t83610 + t83596 + t83575 + t83548 + t83536 + t83501 + t83485 + t83464 + t83439 + t83406 + t83372 + t83342 + t83316 + t83294 + t83265 + t83235 + t83215 + t83190 + t83160 + t83126 + t83097 + t83061 + t83033 + t83011 + t82989 + t82954 + t82913 + t82884 + t82854 + t82830);
  tv4rhosigma2tau0 = t3 * t84713 + t16361;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 0] += tv4rhosigma2tau0;

  tv4rhosigma2tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 1] += tv4rhosigma2tau1;

  tv4rhosigma2tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 2] += tv4rhosigma2tau2;

  tv4rhosigma2tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 3] += tv4rhosigma2tau3;

  tv4rhosigma2tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 4] += tv4rhosigma2tau4;

  tv4rhosigma2tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 5] += tv4rhosigma2tau5;

  tv4rhosigma2tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 6] += tv4rhosigma2tau6;

  tv4rhosigma2tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 7] += tv4rhosigma2tau7;

  tv4rhosigma2tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 8] += tv4rhosigma2tau8;

  tv4rhosigma2tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 9] += tv4rhosigma2tau9;

  tv4rhosigma2tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 10] += tv4rhosigma2tau10;

  t84716 = t948 * t16433 / 0.6e1;
  t84718 = t9157 * t1950 / 0.18e2;
  t84720 = t1905 * t15483 / 0.18e2;
  t84722 = 0.5e1 / 0.108e3 * t38500 * t15991;
  t84723 = t948 * t16548;
  t84724 = t7908 * t15988;
  t84725 = t84724 / 0.12e2;
  t84732 = t38791 * t16055 / 0.3e1;
  t84739 = t38553 * t16109 / 0.9e1;
  t84743 = 0.7e1 / 0.9e1 * t38500 * t16052;
  t84752 = t84732 - t5419 * t2509 / 0.2e1 - t5419 * t2506 + t28459 * t16404 / 0.12e2 - t84739 - 0.3e1 / 0.2e1 * t28455 * t16438 + t84743 - t1902 * t15447 / 0.6e1 - t38868 * t16043 / 0.2e1 - t9151 * t8335 / 0.12e2 + 0.3e1 * t4065 * t16448;
  t84763 = t7903 * t15988;
  t84764 = t84763 / 0.36e2;
  t84766 = t55240 * t457 / 0.6e1;
  t84767 = 0.3e1 / 0.2e1 * t945 * t16454 - t945 * t16433 / 0.2e1 + t945 * t16445 / 0.2e1 - t28861 * t2503 + t9148 * t1950 / 0.6e1 - t84764 - t80579 - t76722 - t80580 - t80581 + t84766;
  t84768 = t8002 * t16004;
  t84769 = t84768 / 0.6e1;
  t84771 = t39006 * t16043 / 0.6e1;
  t84772 = t9154 * t1950;
  t84773 = t84772 / 0.12e2;
  t84776 = t7908 * t15984;
  t84777 = t84776 / 0.6e1;
  t84778 = t7908 * t16032;
  t84779 = t84778 / 0.3e1;
  t84783 = t948 * t16553 / 0.2e1;
  t84784 = t948 * t16466;
  t84785 = t84784 / 0.12e2;
  t84787 = t9175 * t8335 / 0.36e2;
  t84789 = t1905 * t15447 / 0.18e2;
  t84790 = t84769 - t84771 - t84773 + t8002 * t16001 / 0.3e1 - t84777 + t84779 - t7959 * t2258 / 0.4e1 + t84783 + t84785 - t84787 - t84789;
  t84793 = t4065 * t16589;
  t84794 = t84793 / 0.2e1;
  t84797 = t945 * t16586;
  t84798 = t84797 / 0.2e1;
  t84800 = t948 * t16454 / 0.2e1;
  t84801 = t4040 * t16563;
  t84803 = t23721 * t16560 / 0.2e1;
  t84805 = t38500 * t15954 / 0.2e1;
  t84809 = t28439 * t16438 / 0.2e1;
  t84821 = t80606 - t80607 + t80608 - t80609 + t76746 + t80610 - t23531 * t16409 / 0.4e1 + t28455 * t16412 - t38385 * t15975 / 0.2e1 + t5419 * t2512 + 0.2e1 / 0.3e1 * t7908 * t15845;
  t84844 = -0.11e2 / 0.18e2 * t38385 * t15968 + 0.23e2 / 0.36e2 * t38385 * t15972 + t38903 * t16055 - 0.2e1 * t38903 * t16057 + 0.3e1 / 0.2e1 * t23924 * t16560 - 0.3e1 * t4065 * t16563 - 0.3e1 / 0.2e1 * t38385 * t15954 + 0.3e1 / 0.2e1 * t945 * t16553 + 0.7e1 / 0.3e1 * t38385 * t16052 - 0.3e1 * t945 * t16548 + t945 * t16545 / 0.2e1;
  t84846 = t28427 * t16399 / 0.2e1;
  t84848 = t28439 * t16412 / 0.3e1;
  t84850 = t24019 * t16409 / 0.12e2;
  t84852 = t28412 * t16404 / 0.36e2;
  t84854 = t38556 * t16116 / 0.3e1;
  t84856 = t38500 * t15975 / 0.6e1;
  t84858 = t5414 * t2512 / 0.3e1;
  t84861 = t7903 * t16032;
  t84862 = t84861 / 0.9e1;
  t84864 = t1354 * t16365 / 0.36e2;
  t84866 = t7929 * t2258 / 0.12e2;
  t84867 = t84846 + t84848 - t84850 + t84852 - t84854 - t84856 + t84858 - t7908 * t15998 / 0.3e1 + t84862 + t84864 - t84866;
  t84872 = t5414 * t2506 / 0.3e1;
  t84874 = t5414 * t2509 / 0.6e1;
  t84875 = t4040 * t16589;
  t84876 = t84875 / 0.6e1;
  t84877 = t948 * t16586;
  t84878 = t84877 / 0.6e1;
  t84879 = t9178 * t1950;
  t84880 = t84879 / 0.36e2;
  t84882 = t1354 * t11754 / 0.18e2;
  t84884 = t294 * t16528 / 0.12e2;
  t84887 = t7903 * t15841 / 0.18e2;
  t84889 = t948 * t16545 / 0.6e1;
  t84891 = t4040 * t16392 / 0.6e1;
  t84893 = 0.2e1 / 0.3e1 * t38791 * t16057;
  t84895 = 0.11e2 / 0.54e2 * t38500 * t15968;
  t84897 = 0.23e2 / 0.108e3 * t38500 * t15972;
  t84899 = t28634 * t2503 / 0.3e1;
  t84907 = t5414 * t2521 / 0.6e1;
  t84908 = -t84887 + t84889 - t84891 - t84893 - t84895 + t84897 - t84899 - t4065 * t16392 / 0.2e1 - t9151 * t8524 / 0.6e1 + t9151 * t8509 / 0.3e1 + t84907;
  t84912 = t948 * t16579;
  t84913 = t84912 / 0.6e1;
  t84915 = t948 * t16469 / 0.12e2;
  t84917 = 0.2e1 / 0.9e1 * t7903 * t15845;
  t84918 = t4040 * t16448;
  t84920 = t948 * t16445 / 0.6e1;
  t84922 = t9175 * t8509 / 0.9e1;
  t84924 = t9175 * t8524 / 0.18e2;
  t84925 = t7903 * t15984;
  t84926 = t84925 / 0.18e2;
  t84928 = t1905 * t15488 / 0.36e2;
  t84929 = t1351 * t16365 / 0.12e2 + t84913 - t84915 + t84917 + t84918 + t84920 - t80685 + t84922 - t84924 - t84926 + t84928;
  t84931 = t7903 * t15998 / 0.9e1;
  t84934 = t945 * t16579;
  t84935 = t84934 / 0.2e1;
  t84938 = t945 * t16466;
  t84939 = t84938 / 0.4e1;
  t84947 = t38791 * t16007 / 0.6e1;
  t84949 = t7988 * t16001 / 0.9e1;
  t84950 = t7988 * t16004;
  t84951 = t84950 / 0.18e2;
  t84952 = -t84931 - t945 * t16469 / 0.4e1 + t84935 + t5419 * t2521 / 0.2e1 + t84939 + t1902 * t15488 / 0.12e2 + t1902 * t15483 / 0.6e1 - 0.5e1 / 0.36e2 * t38385 * t15991 + t84947 + t84949 + t84951;
  t84960 = t294 * t16575 / 0.12e2;
  t84961 = t9178 * t2025;
  t84962 = t84961 / 0.36e2;
  t84964 = t1905 * t9705 / 0.36e2;
  t84966 = t9175 * t8165 / 0.36e2;
  t84968 = t1354 * t11507 / 0.18e2;
  t84969 = t9154 * t2025;
  t84970 = t84969 / 0.12e2;
  t84982 = t7959 * t2249;
  t84983 = t84982 / 0.4e1;
  t84984 = t7929 * t2249;
  t84985 = t84984 / 0.12e2;
  t84986 = -t1902 * t9705 / 0.12e2 + t43935 * t570 / 0.4e1 - t1351 * t11507 / 0.6e1 - t9151 * t8165 / 0.12e2 + t55214 * t457 / 0.2e1 + t84983 + t84985 - t9156 + t9168 - t9180 + t9188;
  t84989 = t9175 * t8196 / 0.9e1;
  t84991 = t38453 * t2245 / 0.6e1;
  t84993 = t9175 * t8192 / 0.18e2;
  t84995 = t9157 * t2025 / 0.18e2;
  t85003 = t7929 * t2253 / 0.6e1;
  t85005 = t44332 * t570 / 0.12e2;
  t85007 = t7929 * t2261 / 0.6e1;
  t85010 = t84989 - t84991 - t84993 + t84995 + t9148 * t2025 / 0.6e1 + t7959 * t2261 / 0.2e1 - t7959 * t2253 / 0.2e1 - t85003 + t85005 + t85007 + t9151 * t8196 / 0.3e1;
  t85016 = t38556 * t16112 / 0.6e1;
  t85023 = t38556 * t16106 / 0.12e2;
  t85024 = -t38825 * t2245 / 0.2e1 - t9151 * t8192 / 0.6e1 - t80793 + t80794 + t80795 + t85016 - t38396 * t16116 + t38396 * t16112 / 0.2e1 - t76912 + 0.3e1 / 0.2e1 * t28913 * t16399 + t85023;
  t85029 = my_piecewise3(t100, 0, -t290 * t16575 / 0.4e1 - t290 * t16528 / 0.4e1 + t38396 * t16106 / 0.4e1 - t1351 * t11754 / 0.6e1 - t38535 * t16109 / 0.3e1 - t7908 * t15841 / 0.6e1 + t38903 * t16007 / 0.2e1 + t76877 + t76800 - t76712 - t76709 + t85024 + t85010 + t84986 - t84970 - t84966 - t84968 - t84962 - t84964 - t84960 + t84952 + t84929 + t84908 - t84884 - t84880 - t84882 - t84876 - t84878 - t84872 - t84874 + t84867 + t84844 + t84821 - t84809 + t84803 - t84805 + t84800 - t84801 - t84798 - t84794 + t84790 + t84767 + t84752 - t84723 - t84725 + t84720 - t84722 - t84716 + t84718 - t80634 + t80635 + t80764);
  tv4rhosigma2tau11 = t3 * t85029 + t16601;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 11] += tv4rhosigma2tau11;

  t85035 = t7894 * t15600;
  t85036 = t85035 / 0.6e1;
  t85040 = t7801 * t15613;
  t85041 = t85040 / 0.6e1;
  t85044 = t7801 * t15617;
  t85045 = t85044 / 0.3e1;
  t85056 = -t82888 - t78745 - t85041 + t1368 * t16276 / 0.12e2 + t85045 - t9208 * t7171 / 0.6e1 - 0.3e1 / 0.2e1 * t37537 * t15581 + 0.3e1 / 0.2e1 * t903 * t16256 + t903 * t16250 / 0.2e1 - 0.3e1 * t903 * t16253 + t83060;
  t85061 = t37670 * t15589 - 0.3e1 * t3802 * t16266 - t83063 - t83065 - t83067 + t83069 - t83071 + t83073 - t83106 - t83164 - t83166;
  t85064 = t903 * t16222;
  t85065 = t85064 / 0.4e1;
  t85066 = t9213 * t1779;
  t85067 = t85066 / 0.12e2;
  t85068 = -t83168 + t83170 + t83172 + t83174 - t83206 - t903 * t16184 / 0.4e1 + t85065 - t85067 - t80849 - t80850 + t80851;
  t85088 = t7801 * t15660;
  t85089 = t85088 / 0.12e2;
  t85090 = t83272 - t79107 - t7824 * t2167 / 0.4e1 + t9216 * t1779 / 0.6e1 - t85089 + t83341 - t83344 - t83346 - t83348 - t83350 + t83352;
  t85102 = -t83354 - t83358 + t83360 - t83362 + t5379 * t2453 + 0.2e1 / 0.3e1 * t7801 * t15808 - t1368 * t10894 / 0.6e1 + t83448 + 0.7e1 / 0.3e1 * t37537 * t15577 - t27916 * t2444 - t7801 * t15607 / 0.6e1;
  t85117 = -t7801 * t15632 / 0.3e1 - t76961 - t76964 + t1923 * t15091 / 0.12e2 - t1923 * t15050 / 0.6e1 - t37839 * t15657 / 0.2e1 + t903 * t16208 / 0.2e1 + 0.3e1 / 0.2e1 * t903 * t16211 + 0.3e1 * t3802 * t16214 - t83470 - t83472;
  t85136 = t9213 * t1886;
  t85137 = t85136 / 0.12e2;
  t85140 = t7824 * t2158;
  t85141 = t85140 / 0.4e1;
  t85150 = -t9208 * t7441 / 0.12e2 - t85137 + t54711 * t432 / 0.2e1 + t85141 + t43841 * t530 / 0.4e1 - t37723 * t2154 / 0.2e1 + t7824 * t2170 / 0.2e1 - t9208 * t7453 / 0.6e1 + t83550 + t83552 - t83554;
  t85159 = t83616 + t83618 + 0.3e1 / 0.2e1 * t27867 * t16305 + t27723 * t16313 + t27852 * t16310 / 0.12e2 - 0.3e1 / 0.2e1 * t27723 * t16320 + t83679 - t83681 - t83683 - t79488 - t75745;
  t85160 = -t79513 - t8667 + t8683 + t79581 - t83806 - t83808 + t83810 + t83812 + t83815 - t83816 - t80900;
  t85163 = t903 * t16190;
  t85164 = t85163 / 0.2e1;
  t85165 = t3802 * t16193;
  t85166 = t85165 / 0.2e1;
  t85167 = t903 * t16187;
  t85168 = t85167 / 0.2e1;
  t85173 = t83952 + t83956 + t84006 - t84008 + t84010 - t84012 - t307 * t16342 / 0.4e1 + t80911 + t79779 - t84176 - t5379 * t2447;
  t85182 = -t903 * t16203 / 0.2e1 - t80336 - t37561 * t15678 + t37561 * t15674 / 0.2e1 + t9208 * t7457 / 0.3e1 + t80403 - t9215 + t9226 + t84279 - t84281 - t84283;
  t85197 = 0.3e1 / 0.2e1 * t22751 * t16263 - t84304 + t84306 - t22520 * t16317 / 0.4e1 - t37525 * t15671 / 0.3e1 + t37561 * t15680 / 0.4e1 + t76331 + t80946 - t5379 * t2450 / 0.2e1 - 0.2e1 * t37670 * t15591 - 0.11e2 / 0.18e2 * t37537 * t15647;
  t85202 = my_piecewise3(t2, 0, -t1368 * t10969 / 0.6e1 + t5379 * t2462 / 0.2e1 + t9208 * t7175 / 0.3e1 - t3802 * t16247 / 0.2e1 + 0.23e2 / 0.36e2 * t37537 * t15650 - t37537 * t15573 / 0.2e1 - t9208 * t7316 / 0.12e2 + t37670 * t15604 / 0.2e1 + t7894 * t15595 / 0.3e1 + t1923 * t15062 / 0.6e1 - t307 * t16177 / 0.4e1 - 0.5e1 / 0.36e2 * t37537 * t15663 - t7824 * t2162 / 0.2e1 + t9216 * t1886 / 0.6e1 - t1923 * t9098 / 0.12e2 - t77007 + t77001 + t76950 + t85197 + t85182 + t85173 - t85164 - t85166 + t85168 + t85160 + t85159 + t85150 + t85117 + t85102 + t85090 + t85068 + t85061 + t85056 + t85036 - t83950 - t83948 + t83936 + t83932 + t83500 + t83484 + t83482 - t83478 - t83270 - t83233 + t83226 - t82886 - t82881 + t82883 + t82879 + t82836 - t82828 + t79715);
  tv4rhosigma2tau12 = t3 * t85202 + t16361;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 12] += tv4rhosigma2tau12;

  tv4rhosigma2tau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 13] += tv4rhosigma2tau13;

  tv4rhosigma2tau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 14] += tv4rhosigma2tau14;

  tv4rhosigma2tau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 15] += tv4rhosigma2tau15;

  tv4rhosigma2tau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 16] += tv4rhosigma2tau16;

  tv4rhosigma2tau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 17] += tv4rhosigma2tau17;

  tv4rhosigma2tau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 18] += tv4rhosigma2tau18;

  tv4rhosigma2tau19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 19] += tv4rhosigma2tau19;

  tv4rhosigma2tau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 20] += tv4rhosigma2tau20;

  tv4rhosigma2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 21] += tv4rhosigma2tau21;

  tv4rhosigma2tau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 22] += tv4rhosigma2tau22;

  t85204 = t9503 * t1950;
  t85205 = t85204 / 0.12e2;
  t85206 = t2178 * t8445;
  t85207 = t85206 / 0.12e2;
  t85208 = t2178 * t8122;
  t85209 = t85208 / 0.12e2;
  t85225 = t2030 * t9325;
  t85226 = t85225 / 0.2e1;
  t85229 = -t85205 - t85207 - t85209 - t1378 * t11754 / 0.6e1 - t1386 * t11754 / 0.6e1 - t373 * t8317 * t15410 / 0.4e1 + 0.14e2 / 0.3e1 * t11381 * t81272 + 0.89e2 / 0.9e1 * t56375 * t81420 + 0.7e1 / 0.3e1 * t11381 * t81277 - t1965 * t77955 / 0.6e1 + t85226 + 0.3e1 / 0.2e1 * t1078 * t16454;
  t85244 = 0.3e1 / 0.2e1 * t1056 * t16454 - t8189 * t2258 / 0.4e1 - t8184 * t2258 / 0.4e1 - t2030 * t9476 / 0.4e1 - t2189 * t39328 / 0.12e2 + t1958 * t77385 / 0.6e1 + t555 * t44942 / 0.12e2 - t84716 + t84718 + t84720 - t84722 - t84723;
  t85265 = t84732 - t5674 * t11666 + t9500 * t1950 / 0.6e1 + t2184 * t8445 / 0.6e1 + t2184 * t8122 / 0.6e1 + t2030 * t9493 - 0.3e1 * t2030 * t9337 - t2030 * t9495 + t2030 * t9497 / 0.2e1 - t2030 * t9466 / 0.2e1 + 0.3e1 * t44886 * t11472 + 0.6e1 * t56079 * t81289;
  t85285 = t56695 * t16115;
  t85290 = t8058 * t81823;
  t85291 = 0.2e1 / 0.3e1 * t85290;
  t85294 = -0.38e2 / 0.9e1 * t56375 * t81417 + 0.6e1 * t5540 * t40248 * t81384 - 0.62e2 / 0.3e1 * t56375 * t81380 + 0.8e1 * t56375 * t81428 - 0.6e1 * t50149 * t40248 * t81375 + 0.18e2 * t10506 * t40248 * t81423 + t56164 * t9259 / 0.2e1 + t56164 * t9264 / 0.2e1 - t24164 * t85285 / 0.3e1 - t39948 * t9267 / 0.4e1 - t85291 + t44886 * t11736 + t44886 * t11733;
  t85314 = t1400 * t2028 * t9413;
  t85319 = t8189 * t2261 / 0.2e1 + t8184 * t2261 / 0.2e1 - t39551 * t2245 / 0.2e1 - t39588 * t2245 / 0.2e1 + t9510 * t8196 / 0.3e1 + t2189 * t40055 / 0.3e1 - t9510 * t8192 / 0.6e1 - t2189 * t40435 / 0.6e1 + t77090 + t77092 + 0.2e1 / 0.3e1 * t1391 * t85314 - 0.2e1 * t9330 * t11727;
  t85322 = t2030 * t9462;
  t85323 = t85322 / 0.2e1;
  t85324 = t2030 * t9440;
  t85325 = t85324 / 0.4e1;
  t85327 = t1400 * t2028 * t15982;
  t85328 = t4245 * t85327;
  t85329 = t85328 / 0.3e1;
  t85330 = t2030 * t9485;
  t85331 = t85330 / 0.4e1;
  t85335 = t56037 * t1394;
  t85336 = t1000 * t85335;
  t85347 = -0.2e1 / 0.3e1 * t2189 * t40518 - t85323 - t85325 + t85329 + t85331 - t29044 * t2503 - t29052 * t2503 - t5674 * t11636 + t1432 * t85336 / 0.3e1 + t442 * t56115 / 0.6e1 + 0.23e2 / 0.36e2 * t39187 * t15972 + 0.23e2 / 0.36e2 * t39596 * t15972 + 0.23e2 / 0.36e2 * t8090 * t81060;
  t85353 = t9503 * t2025;
  t85354 = t85353 / 0.12e2;
  t85355 = t2178 * t8179;
  t85356 = t85355 / 0.12e2;
  t85373 = -t39187 * t15975 / 0.2e1 - t39596 * t15975 / 0.2e1 - t85354 - t85356 - t2048 * t9705 / 0.12e2 - t555 * t44433 / 0.12e2 - t2189 * t39856 / 0.12e2 - t2043 * t9705 / 0.12e2 - t9510 * t8165 / 0.12e2 - t1378 * t11507 / 0.6e1 - t1386 * t11507 / 0.6e1 - t442 * t55912 / 0.6e1;
  t85374 = t8189 * t2249;
  t85375 = t85374 / 0.4e1;
  t85376 = t8184 * t2249;
  t85377 = t85376 / 0.4e1;
  t85385 = t85375 + t85377 + t11512 * t1462 / 0.2e1 + t57113 * t457 / 0.2e1 + t81180 - t81181 + t77272 - t77274 - t84739 + t84743 - t5717 * t2506 - t1454 * t11706 - t1454 * t11709;
  t85394 = t373 * t8103 * t16019;
  t85395 = t85394 / 0.2e1;
  t85403 = -t5689 * t2509 / 0.2e1 - t5717 * t2509 / 0.2e1 - t84764 - t81193 - t81194 - t77303 - t77305 - t77308 - t85395 + 0.3e1 / 0.2e1 * t373 * t39091 * t16066 - t2043 * t15447 / 0.6e1 - t2048 * t15447 / 0.6e1;
  t85408 = t8079 * t9413;
  t85409 = t1400 * t85408;
  t85416 = t1078 * t16586;
  t85417 = t85416 / 0.2e1;
  t85418 = t1056 * t16586;
  t85419 = t85418 / 0.2e1;
  t85420 = -t555 * t77674 / 0.6e1 - t442 * t56039 / 0.6e1 - t1391 * t85409 / 0.6e1 + t2189 * t39325 / 0.6e1 - t77318 - t77321 - t77331 - t77333 - t77336 - t442 * t56770 / 0.6e1 - t85417 - t85419 - t77376;
  t85447 = t4137 * t380 * t583 * t9397;
  t85450 = t2043 * t15483 / 0.6e1 + t2048 * t15483 / 0.6e1 + t555 * t77121 / 0.6e1 - t4145 * t57181 * t2257 / 0.4e1 - t4145 * t57185 * t2257 / 0.4e1 - t4145 * t11761 * t9480 / 0.4e1 + t29767 * t16412 + t29773 * t16412 + t5540 * t8247 * t16099 + t5540 * t2056 * t77857 + t5540 * t2056 * t81671 + t5575 * t85447 / 0.12e2;
  t85457 = t8065 * t2182;
  t85467 = t2178 * t8478;
  t85468 = t85467 / 0.12e2;
  t85475 = -t4145 * t11768 * t9665 + 0.3e1 / 0.2e1 * t4145 * t8065 * t2187 * t1419 + t4145 * t85457 * t1100 / 0.2e1 - t44835 * t11739 / 0.2e1 - t44837 * t8076 / 0.6e1 + t44811 * t11765 / 0.2e1 - t80579 - t76722 - t80580 + t85468 - 0.5e1 / 0.36e2 * t39187 * t15991 - 0.5e1 / 0.36e2 * t39596 * t15991 - 0.5e1 / 0.36e2 * t8090 * t81550;
  t85478 = t5623 * t11681;
  t85481 = t9306 * t11723;
  t85482 = t85481 / 0.6e1;
  t85483 = t8423 * t16004;
  t85484 = t85483 / 0.6e1;
  t85487 = t8120 * t2215;
  t85498 = t81392 - 0.5e1 / 0.36e2 * t9285 * t85478 - t85482 + t85484 + t84766 - t84771 + t1056 * t16545 / 0.2e1 + t373 * t85487 * t1094 / 0.2e1 - 0.3e1 * t1078 * t16548 - 0.3e1 * t1056 * t16548 - 0.3e1 * t373 * t39689 * t15943 + t84783;
  t85501 = t373 * t8120 * t2208 * t376;
  t85502 = t85501 / 0.4e1;
  t85508 = t85502 - t1078 * t16469 / 0.4e1 - t1056 * t16469 / 0.4e1 + t9330 * t11723 + t77406 - t81431 - t81432 + t81433 - t77445 - t81448 + t81449 + t81450 + t84785;
  t85513 = -0.6e1 * t5540 * t8223 * t82642 - t15838 + t15839 + t16363 - t16377 + t16381 - t84787 - t84789 + t84800 - t84801 + t84803 - t84805;
  t85515 = t1021 * t552 * t2181;
  t85524 = t11448 * t9328;
  t85528 = t11448 * t2187;
  t85543 = -0.28e2 * t82647 * t10485 * t85515 - 0.3e1 * t4145 * t39834 * t15943 + t4145 * t11449 * t9492 - 0.3e1 * t4145 * t85524 * t1412 - t4145 * t85528 * t4176 + 0.3e1 * t5535 * t85524 * t1407 + t5535 * t85528 * t4171 - t81462 - t81463 - t81464 + 0.3e1 / 0.2e1 * t373 * t39178 * t15948 + 0.7e1 / 0.3e1 * t39187 * t16052 + 0.7e1 / 0.3e1 * t39596 * t16052;
  t85570 = 0.7e1 / 0.3e1 * t8090 * t81037 - 0.3e1 / 0.2e1 * t39187 * t15954 + t44767 * t39972 / 0.3e1 + t555 * t77242 / 0.12e2 - t8106 * t15998 / 0.3e1 + 0.7e1 / 0.3e1 * t9285 * t5640 * t11726 + t5717 * t2512 + t1454 * t11772 + t1454 * t11775 + 0.2e1 / 0.3e1 * t8106 * t15845 + 0.2e1 / 0.3e1 * t8110 * t15845 + 0.2e1 / 0.3e1 * t1965 * t81466;
  t85580 = -t84809 + t77490 + t77492 + t81489 + t80606 - t80607 + t80608 - t8090 * t81045 / 0.2e1 + t5689 * t2512 - 0.2e1 * t8360 * t81721 - 0.11e2 / 0.18e2 * t39187 * t15968 - 0.11e2 / 0.18e2 * t39596 * t15968;
  t85592 = t10485 * t11468;
  t85601 = -0.11e2 / 0.18e2 * t8090 * t81053 - 0.3e1 * t1030 * t39178 * t15963 + t39697 * t16055 + t40673 * t16055 + t8360 * t81724 - 0.2e1 * t39697 * t16057 - 0.11e2 / 0.18e2 * t44815 * t85592 + 0.2e1 / 0.3e1 * t5548 * t56742 - 0.2e1 * t44811 * t11465 - 0.2e1 / 0.3e1 * t44767 * t39980 - t81531 - t81532;
  t85624 = -t80609 + t80610 + t81537 - t77557 - t77559 + 0.3e1 / 0.2e1 * t4145 * t39508 * t15948 - 0.9e1 / 0.2e1 * t5540 * t8227 * t82599 + 0.3e1 * t5540 * t8227 * t82582 + 0.47e2 / 0.3e1 * t82588 * t29498 * t85515 - 0.3e1 / 0.2e1 * t29767 * t16438 - 0.3e1 / 0.2e1 * t29773 * t16438 - 0.3e1 / 0.2e1 * t5540 * t8231 * t16046 - 0.3e1 / 0.2e1 * t5540 * t2060 * t82610;
  t85657 = -0.3e1 / 0.2e1 * t5540 * t2060 * t77295 + 0.18e2 * t5540 * t40217 * t82634 + 0.6e1 * t5540 * t8223 * t82638 + t4145 * t8353 * t82274 + 0.2e1 / 0.3e1 * t8052 * t82762 - 0.3e1 / 0.4e1 * t8058 * t82722 + 0.5e1 / 0.12e2 * t11381 * t82725 + t8058 * t82716 / 0.4e1 - 0.4e1 / 0.3e1 * t11369 * t82719 + 0.3e1 / 0.2e1 * t5535 * t8374 * t82265 - 0.9e1 / 0.2e1 * t5559 * t2060 * t82286 - 0.2e1 * t5540 * t2056 * t82269;
  t85661 = t16402 * t333;
  t85662 = t380 * t85661;
  t85663 = t4137 * t85662;
  t85668 = t9270 * t380 * t16402 * t994;
  t85687 = t5549 * t85662;
  t85692 = -t8052 * t82801 / 0.3e1 + t11372 * t82760 - t5578 * t85663 / 0.6e1 - t5575 * t85668 / 0.6e1 - 0.23e2 / 0.12e2 * t11381 * t82463 - t8058 * t82284 + 0.16e2 / 0.3e1 * t11369 * t82456 + 0.3e1 * t8058 * t82460 - 0.3e1 * t5540 * t8220 * t82278 + t4145 * t11768 * t45947 / 0.2e1 + t4145 * t11761 * t46359 / 0.2e1 + t5548 * t85687 / 0.12e2 + t30276 * t16404 / 0.12e2;
  t85696 = t24237 * t16403;
  t85701 = t4137 * t380 * t2012 * t2196;
  t85709 = t380 * t56740;
  t85710 = t5582 * t85709;
  t85723 = t30279 * t16404 / 0.12e2 + t5575 * t85696 / 0.12e2 + t5575 * t85701 / 0.12e2 + 0.6e1 * t45074 * t11479 + 0.2e1 * t45074 * t11475 - t45078 * t11457 + t5578 * t85710 / 0.3e1 + 0.23e2 / 0.18e2 * t11381 * t81081 + 0.2e1 / 0.3e1 * t8058 * t81084 - 0.2e1 * t44886 * t11747 + 0.14e2 / 0.3e1 * t29011 * t81108 * t56988 + t28961 * t11744;
  t85736 = t10458 * t5533 * t11463;
  t85741 = t5640 * t11681;
  t85744 = -0.4e1 * t11369 * t44803 * t10491 - 0.4e1 / 0.3e1 * t8058 * t81445 + t1056 * t16445 / 0.2e1 + t8360 * t82737 / 0.2e1 - t8106 * t15841 / 0.6e1 + t84846 + t84848 - t84850 + t84852 - t84854 - 0.3e1 / 0.2e1 * t44815 * t85736 + t2189 * t40523 / 0.3e1 - 0.11e2 / 0.18e2 * t9285 * t85741;
  t85752 = t1393 * t85408;
  t85758 = t1400 * t11510 * t2337;
  t85764 = t5623 * t8199 * t1394;
  t85771 = -t2189 * t40511 / 0.6e1 + 0.2e1 / 0.3e1 * t1965 * t77399 - t1391 * t85752 / 0.3e1 - t11512 * t1424 / 0.2e1 + 0.2e1 / 0.3e1 * t4245 * t85758 + t11512 * t1428 / 0.2e1 - 0.3e1 / 0.2e1 * t9285 * t85764 + 0.3e1 / 0.2e1 * t40761 * t9313 - 0.3e1 * t8201 * t9318 - t84856 + t84858 + t84862;
  t85773 = t1030 * t8096 * t15468;
  t85774 = t85773 / 0.2e1;
  t85778 = t84864 - t84866 - t84872 - t84874 - t84876 - t84878 - t84880 - t84882 - t81563 - t77625 - t85774 - t5689 * t2506 - t442 * t56766 / 0.6e1;
  t85794 = t4349 * t16589;
  t85795 = t85794 / 0.2e1;
  t85796 = t4383 * t16589;
  t85797 = t85796 / 0.2e1;
  t85802 = t1958 * t81666 / 0.3e1 + t1958 * t77430 / 0.3e1 - t77698 + t77700 - t9710 * t1937 / 0.2e1 - t9710 * t1941 / 0.4e1 + t4245 * t1400 * t9708 * t39182 / 0.3e1 + t9710 * t1945 / 0.4e1 - t85795 - t85797 - t2189 * t39921 / 0.6e1 + t9510 * t8509 / 0.3e1;
  t85811 = t1393 * t85335;
  t85815 = t8201 * t9322;
  t85816 = t85815 / 0.2e1;
  t85822 = t8058 * t81197;
  t85823 = t85822 / 0.12e2;
  t85828 = t2189 * t39147 / 0.3e1 + t2189 * t39150 / 0.3e1 - t4349 * t16392 / 0.2e1 - t4383 * t16392 / 0.2e1 - t1391 * t85811 / 0.3e1 + t11512 * t1413 - t85816 - t57852 * t1408 + t9710 * t1978 / 0.2e1 - t44508 * t1975 / 0.2e1 - t85823 - 0.5e1 / 0.18e2 * t11381 * t81023 - t8058 * t81026 / 0.6e1;
  t85831 = t8058 * t81187;
  t85832 = t85831 / 0.6e1;
  t85833 = t11381 * t81190;
  t85834 = 0.5e1 / 0.36e2 * t85833;
  t85840 = t8052 * t81626;
  t85841 = t85840 / 0.6e1;
  t85842 = t11369 * t81183;
  t85843 = t85842 / 0.2e1;
  t85844 = t8052 * t81629;
  t85845 = t85844 / 0.6e1;
  t85847 = t1958 * t82746;
  t85848 = t85847 / 0.6e1;
  t85853 = t85832 - t85834 + t11369 * t82539 + t11369 * t81031 / 0.2e1 + t8058 * t82533 / 0.3e1 - t85841 + t85843 + t85845 - t11369 * t82536 + t85848 + t39697 * t16007 / 0.2e1 + t40673 * t16007 / 0.2e1;
  t85878 = t8423 * t16001 / 0.3e1 + t8427 * t16001 / 0.3e1 + t373 * t8317 * t15441 / 0.2e1 + 0.3e1 * t4349 * t16448 + 0.3e1 * t4383 * t16448 + 0.3e1 * t1030 * t39689 * t16035 - t2189 * t40899 / 0.12e2 - t2189 * t40902 / 0.12e2 + t5689 * t2521 / 0.2e1 + t5717 * t2521 / 0.2e1 + t1454 * t11783 / 0.2e1 - t77799 + t77802;
  t85880 = t10458 * t11464;
  t85883 = t1056 * t16579;
  t85884 = t85883 / 0.2e1;
  t85886 = t373 * t8096 * t16014;
  t85887 = t85886 / 0.2e1;
  t85895 = -t81616 + t81617 + t81618 - t81619 + 0.23e2 / 0.36e2 * t44815 * t85880 - t2180 + t85884 + t85887 + 0.3e1 / 0.2e1 * t11381 * t81292 - t11381 * t81284 - t11381 * t81286 / 0.2e1 - 0.6e1 * t44886 * t11431;
  t85917 = t8058 * t78564 / 0.2e1 - t39224 * t16116 - t39229 * t16116 - t8058 * t81305 - t8058 * t81296 - t8058 * t78013 - 0.23e2 / 0.12e2 * t11381 * t81133 + 0.23e2 / 0.18e2 * t11381 * t82524 + 0.44e2 / 0.27e2 * t56375 * t82527 + 0.23e2 / 0.36e2 * t11381 * t82530 + t39224 * t16112 / 0.2e1 + t39229 * t16112 / 0.2e1 + t8058 * t82518 / 0.2e1;
  t85947 = t8058 * t82521 / 0.2e1 + 0.11e2 / 0.6e1 * t11381 * t82774 - 0.11e2 / 0.9e1 * t11381 * t82358 - 0.61e2 / 0.27e2 * t56375 * t82361 - 0.11e2 / 0.18e2 * t11381 * t81136 + 0.12e2 * t56381 * t81316 + 0.4e1 * t11369 * t81313 - 0.4e1 * t11369 * t81310 - 0.23e2 / 0.3e1 * t56079 * t81127 - 0.2e1 * t11369 * t81307 - 0.6e1 * t56381 * t81267 - 0.2e1 * t11369 * t81324;
  t85950 = 0.2e1 * t11369 * t81321 + t77901 - t77906 - t77909 + t77915 - t77923 + t77926 + t81694 - t81695 + t81696 - t81697 + t81699;
  t85952 = t5549 * t11468;
  t85955 = t10485 * t11464;
  t85973 = t77946 - t81700 + t81701 + t16418 - t44815 * t85952 / 0.2e1 + 0.7e1 / 0.3e1 * t44815 * t85955 + 0.36e2 * t5559 * t40241 * t81388 - 0.18e2 * t5540 * t40241 * t81087 - 0.18e2 * t5559 * t40248 * t81018 + 0.22e2 / 0.3e1 * t56079 * t82771 + t11369 * t81319 + 0.9e1 * t5559 * t8227 * t81645;
  t86004 = -0.6e1 * t5559 * t8227 * t81649 - 0.3e1 * t5535 * t39508 * t15963 - 0.18e2 * t10506 * t40241 * t81656 - 0.9e1 / 0.2e1 * t10506 * t8227 * t82556 + 0.3e1 * t10506 * t8227 * t82560 + 0.3e1 / 0.2e1 * t30030 * t39508 * t15958 + 0.18e2 * t56079 * t82571 + 0.9e1 / 0.2e1 * t11381 * t82575 - 0.3e1 * t11381 * t82579 - 0.43e2 / 0.9e1 * t56375 * t82564 - 0.3e1 / 0.2e1 * t11381 * t82568 - 0.7e1 * t11381 * t81280 - t84884;
  t86013 = t987 * t39868 * t2197;
  t86017 = t987 * t8079 * t9398;
  t86020 = t1000 * t85408;
  t86023 = -t11512 * t1420 - t81752 + t81753 + t81754 + t81755 + t77989 + t77991 + t1378 * t16365 / 0.12e2 + t1386 * t16365 / 0.12e2 + t442 * t86013 / 0.12e2 + t442 * t86017 / 0.12e2 + t1432 * t86020 / 0.3e1;
  t86032 = t8106 * t16032;
  t86033 = t86032 / 0.3e1;
  t86034 = t8110 * t16032;
  t86035 = t86034 / 0.3e1;
  t86036 = t1965 * t82780;
  t86037 = t86036 / 0.3e1;
  t86038 = -t9525 * t11682 / 0.2e1 - t2184 * t8478 / 0.6e1 + t9330 * t11687 / 0.2e1 - t2030 * t9481 / 0.4e1 + t86033 + t86035 + t86037 - t81767 - t81768 - t81769 + t81770 + t81771 + t81773;
  t86052 = t349 * t16528;
  t86057 = t321 * t369 * t16526 * t370;
  t86060 = -t78019 - t81838 + t78023 + t81839 + t55917 * t457 / 0.2e1 + t2184 * t8179 / 0.6e1 + t9500 * t2025 / 0.6e1 - t8189 * t2253 / 0.2e1 - t8184 * t2253 / 0.2e1 + t9710 * t2040 / 0.4e1 - t338 * t86052 / 0.12e2 + t86057 * t377 / 0.4e1;
  t86073 = t44489 * t570 / 0.4e1 + t44494 * t570 / 0.4e1 - t9308 - t9324 + t9327 + t9353 + t9357 - t9359 - t9361 + 0.3e1 / 0.2e1 * t1056 * t16553 - 0.2e1 * t40673 * t16057 - 0.3e1 / 0.2e1 * t8090 * t81073 + 0.3e1 / 0.2e1 * t24584 * t16560;
  t86104 = 0.3e1 / 0.2e1 * t24589 * t16560 + 0.3e1 / 0.2e1 * t4395 * t39178 * t15958 - 0.3e1 * t4349 * t16563 - 0.3e1 * t4383 * t16563 - t15415 - t15419 - 0.9e1 / 0.2e1 * t10506 * t8227 * t82626 - 0.8e1 * t5559 * t8223 * t82751 - t4145 * t11449 * t46020 / 0.2e1 - t5548 * t5549 * t4143 * t85661 / 0.3e1 + t5535 * t11449 * t45955 / 0.2e1 - t8058 * t77729 / 0.6e1;
  t86134 = -t8055 * t77734 / 0.6e1 + t39224 * t16106 / 0.4e1 + t39229 * t16106 / 0.4e1 + t8058 * t81264 / 0.4e1 + t8058 * t77592 / 0.4e1 + t8058 * t81261 / 0.4e1 + 0.3e1 * t5540 * t8220 * t81481 + 0.3e1 / 0.2e1 * t4145 * t39383 * t16066 + t8052 * t77716 / 0.3e1 + t8055 * t77721 / 0.2e1 - t8055 * t77726 / 0.3e1 + 0.3e1 / 0.2e1 * t29770 * t16399 + 0.3e1 / 0.2e1 * t5559 * t8231 * t9254;
  t86144 = 0.3e1 / 0.2e1 * t5559 * t2060 * t77627 - t84887 + t84889 - t84891 - t84893 - t84895 + t84897 - t1030 * t85487 * t1035 / 0.2e1 + t1078 * t16545 / 0.2e1 - t84899 + t84907 + t84913;
  t86151 = t11372 * t81623;
  t86152 = t86151 / 0.2e1;
  t86153 = t11369 * t81203;
  t86154 = t8058 * t81205;
  t86155 = t86154 / 0.3e1;
  t86156 = t11381 * t81210;
  t86157 = 0.11e2 / 0.18e2 * t86156;
  t86158 = t8058 * t81213;
  t86159 = t86158 / 0.6e1;
  t86164 = -t84915 + t84917 - t11372 * t81635 - t8052 * t81637 / 0.3e1 + t11369 * t81640 + t8052 * t81642 / 0.3e1 - t86152 + t86153 + t86155 - t86157 - t86159 + t8055 * t77823 / 0.12e2 + 0.2e1 * t11369 * t81159;
  t86175 = t5587 * t85662;
  t86181 = t1000 * t44936 * t1948;
  t86191 = 0.2e1 / 0.3e1 * t8058 * t81146 - 0.11e2 / 0.9e1 * t11381 * t81149 - t8058 * t81152 / 0.3e1 + t8055 * t77588 / 0.6e1 - t16437 + t5548 * t86175 / 0.6e1 + 0.3e1 / 0.2e1 * t1078 * t16553 - t338 * t86181 / 0.12e2 + t9710 * t1954 / 0.4e1 - t8201 * t9458 / 0.2e1 - t8201 * t9449 + 0.3e1 * t8201 * t9451;
  t86193 = t5623 * t11726;
  t86204 = t8106 * t15988;
  t86205 = t86204 / 0.12e2;
  t86206 = t8110 * t15988;
  t86207 = t86206 / 0.12e2;
  t86208 = t1965 * t81740;
  t86209 = t86208 / 0.12e2;
  t86210 = t9306 * t11687;
  t86211 = t86210 / 0.12e2;
  t86212 = t2178 * t8081;
  t86213 = t86212 / 0.12e2;
  t86216 = t8201 * t9455 + 0.23e2 / 0.36e2 * t9285 * t86193 + t2189 * t40507 / 0.3e1 - t9442 - t8110 * t15841 / 0.6e1 - t1965 * t81811 / 0.6e1 - t1965 * t77745 / 0.6e1 - t86205 - t86207 - t86209 - t86211 - t86213 - t1965 * t77436 / 0.12e2;
  t86220 = t9351 * t11682;
  t86221 = t86220 / 0.6e1;
  t86231 = -t555 * t44938 / 0.12e2 + t86221 + t2251 - t1454 * t11648 / 0.2e1 - t1454 * t11639 / 0.2e1 - t2030 * t9666 + 0.3e1 / 0.2e1 * t2030 * t9669 + t2030 * t9673 / 0.2e1 + t84918 + t84920 - t80685 + t84922;
  t86232 = t5591 * t85709;
  t86236 = t5634 * t11681;
  t86243 = t8106 * t15984;
  t86244 = t86243 / 0.6e1;
  t86245 = -t84924 - t84926 + t84928 - t84931 + t84947 + t84949 + t84951 - t5548 * t86232 / 0.3e1 + t44811 * t11469 - t9285 * t86236 / 0.2e1 - t1965 * t82434 / 0.3e1 - t1965 * t77396 / 0.3e1 - t86244;
  t86250 = t39994 * t9238;
  t86253 = t4543 * t565;
  t86254 = t86253 * t9271;
  t86262 = t11381 * t81140;
  t86263 = t86262 / 0.2e1;
  t86264 = t56704 * t9238;
  t86273 = t45849 * t11469;
  t86274 = t86273 / 0.6e1;
  t86275 = -t5578 * t86250 / 0.6e1 - t5575 * t86254 / 0.6e1 + t8058 * t77871 / 0.3e1 + t8058 * t77877 / 0.6e1 - t11381 * t82661 - t86263 + t5548 * t86264 / 0.6e1 + t45074 * t11399 - t44886 * t11394 + t56196 * t9255 / 0.2e1 - t56164 * t9243 / 0.2e1 - t86274;
  t86276 = t46098 * t11468;
  t86280 = t5559 * t8223 * t81575;
  t86281 = 0.3e1 * t86280;
  t86283 = t10506 * t8227 * t77883;
  t86284 = 0.3e1 / 0.2e1 * t86283;
  t86287 = t44803 * t17693;
  t86296 = t5553 * t85709;
  t86301 = t10458 * t11468;
  t86306 = -t5548 * t86276 / 0.3e1 + t86281 + t86284 - t28961 * t11762 / 0.2e1 + 0.2e1 / 0.3e1 * t24164 * t86287 - t8052 * t82614 / 0.3e1 - t8052 * t78025 / 0.3e1 - t8052 * t82471 / 0.3e1 - t5548 * t86296 / 0.6e1 + t44767 * t39668 / 0.6e1 - 0.5e1 / 0.36e2 * t44815 * t86301 + 0.2e1 * t57725 * t81238;
  t86337 = t11372 * t81242 / 0.2e1 - t11372 * t82620 - 0.3e1 * t56381 * t82622 - t11372 * t82617 / 0.2e1 - t40050 * t16109 / 0.3e1 - t40052 * t16109 / 0.3e1 + 0.3e1 / 0.2e1 * t5559 * t2060 * t81220 - 0.6e1 * t5540 * t40288 * t81485 - 0.3e1 / 0.2e1 * t5540 * t8220 * t81477 - 0.18e2 * t5559 * t40217 * t81437 - 0.6e1 * t5559 * t8223 * t82707 + 0.6e1 * t5559 * t8223 * t82699;
  t86364 = 0.3e1 * t5535 * t39834 * t16035 + 0.3e1 / 0.2e1 * t29764 * t16399 - t5540 * t2056 * t78525 - 0.3e1 / 0.2e1 * t5540 * t559 * t78528 + t5540 * t559 * t78532 + 0.2e1 / 0.3e1 * t24164 * t29911 * t1021 * t552 * t15318 + t4145 * t8070 * t15441 / 0.2e1 - t24205 * t16409 / 0.4e1 - t24209 * t16409 / 0.4e1 - t9464 - t5535 * t11449 * t9448 + t9487 + t9489;
  t86385 = t56695 * t9238;
  t86388 = t39994 * t9279;
  t86393 = -t8052 * t77810 / 0.6e1 - t8055 * t77815 / 0.6e1 + t8058 * t77818 / 0.12e2 - 0.5e1 / 0.18e2 * t11381 * t81610 - 0.35e2 / 0.108e3 * t56375 * t81613 - 0.5e1 / 0.36e2 * t11381 * t81091 - t8052 * t77578 / 0.3e1 - t8055 * t77582 / 0.3e1 + t8058 * t77585 / 0.6e1 + t5548 * t86385 / 0.12e2 + t5575 * t86388 / 0.12e2 + 0.5e1 / 0.3e1 * t56079 * t81603;
  t86396 = t11381 * t81827;
  t86397 = 0.23e2 / 0.36e2 * t86396;
  t86398 = t8058 * t81831;
  t86399 = t86398 / 0.3e1;
  t86404 = t44803 * t11468;
  t86408 = t5540 * t2060 * t81507;
  t86409 = t552 * t2175;
  t86410 = t1021 * t86409;
  t86412 = t29011 * t10485 * t86410;
  t86413 = 0.7e1 / 0.3e1 * t86412;
  t86415 = t4145 * t8374 * t16014;
  t86416 = t86415 / 0.2e1;
  t86417 = t46012 * t11739;
  t86418 = t86417 / 0.6e1;
  t86419 = t46009 * t8076;
  t86420 = t86419 / 0.12e2;
  t86421 = 0.5e1 / 0.12e2 * t11381 * t81606 + t86397 + t86399 - t9510 * t8524 / 0.6e1 - t2189 * t39918 / 0.6e1 - t9505 - t9507 - t5548 * t86404 / 0.6e1 - t86408 + t86413 + t86416 + t86418 + t86420;
  t86438 = t5540 * t8223 * t81688;
  t86439 = 0.3e1 * t86438;
  t86442 = t4145 * t8065 * t9349 * t1419;
  t86443 = t86442 / 0.2e1;
  t86444 = t8065 * t2176;
  t86446 = t4145 * t86444 * t1100;
  t86447 = t86446 / 0.4e1;
  t86448 = t583 * t2175;
  t86450 = t5553 * t4143 * t86448;
  t86451 = t24164 * t86450;
  t86452 = t86451 / 0.3e1;
  t86461 = t5540 * t2056 * t77853 / 0.2e1 + t5540 * t559 * t77927 / 0.2e1 - t24164 * t5549 * t1021 * t552 * t15356 / 0.3e1 - t4145 * t8070 * t15410 / 0.4e1 - t86439 - t86443 - t86447 + t86452 - t28961 * t11769 - 0.2e1 / 0.3e1 * t24164 * t44807 * t56192 - t28961 * t11718 / 0.2e1 + 0.3e1 * t44886 * t11715;
  t86465 = t5559 * t2060 * t77896;
  t86468 = t29011 * t10458 * t4403 * t86409;
  t86469 = 0.3e1 / 0.2e1 * t86468;
  t86471 = t5535 * t8374 * t15468;
  t86472 = t86471 / 0.2e1;
  t86474 = t5540 * t8220 * t80976;
  t86475 = 0.3e1 / 0.2e1 * t86474;
  t86477 = t5540 * t2056 * t80980;
  t86478 = t86477 / 0.2e1;
  t86480 = t52065 * t5553 * t86410;
  t86481 = 0.2e1 * t86480;
  t86483 = t4145 * t8353 * t16019;
  t86484 = t86483 / 0.2e1;
  t86485 = t45849 * t11765;
  t86486 = t86485 / 0.12e2;
  t86487 = t44782 * t11468;
  t86493 = t44886 * t11712 - t28961 * t11482 + t86465 - t86469 - t86472 + t86475 + t86478 - t86481 - t86484 - t86486 + t5578 * t86487 / 0.3e1 + t5575 * t56679 / 0.6e1 + t28961 * t11450;
  t86497 = t11448 * t9304;
  t86499 = t5535 * t86497 * t1407;
  t86500 = t86499 / 0.2e1;
  t86502 = t4145 * t86497 * t1412;
  t86503 = t86502 / 0.2e1;
  t86511 = t5559 * t8227 * t77887;
  t86512 = 0.3e1 * t86511;
  t86514 = t5540 * t8227 * t82784;
  t86515 = 0.3e1 / 0.2e1 * t86514;
  t86528 = -t86500 + t86503 + t5559 * t2060 * t77285 / 0.2e1 - t5540 * t2060 * t77260 / 0.2e1 - t86512 + t86515 - t8058 * t77939 / 0.3e1 - t45078 * t11460 - t5559 * t2060 * t78043 + t5540 * t2060 * t78046 - 0.3e1 * t11381 * t81022 * t10500 + 0.3e1 * t81407 * t11445;
  t86533 = t8427 * t16004;
  t86534 = t86533 / 0.6e1;
  t86549 = -0.2e1 * t56375 * t81414 - 0.6e1 * t45074 * t11438 + t86534 + 0.8e1 * t5540 * t8223 * t82381 + 0.9e1 / 0.2e1 * t5540 * t2060 * t82367 + t555 * t77125 / 0.6e1 + t2043 * t15488 / 0.12e2 + t2048 * t15488 / 0.12e2 + t555 * t77133 / 0.12e2 + t16468 + t16050 + t15453 - t16051;
  t86551 = t8110 * t15984;
  t86552 = t86551 / 0.6e1;
  t86553 = t1965 * t81749;
  t86554 = t86553 / 0.6e1;
  t86555 = t1400 * t85335;
  t86573 = -t15470 + t76877 - t84960 - t86552 - t86554 - t1391 * t86555 / 0.6e1 + t2184 * t8081 / 0.6e1 - t110 * t16527 * t404 / 0.4e1 - t318 * t16575 / 0.4e1 - t1078 * t16433 / 0.2e1 - t1056 * t16433 / 0.2e1 - t373 * t8120 * t2211 * t1045 / 0.2e1;
  t86579 = t1078 * t16445 / 0.2e1 - t16544 + t82711 - t82755 + t82756 + t78523 - t84962 - t84964 - t84966 - t84968 + t84985 - t110 * t9658 * t584 / 0.4e1 + t9702;
  t86582 = t9704 - t9180 + t9188 + t84989 - t84991 - t84993 + t84995 - t85003 + t85005 + t85007 + t82758 + t82759;
  t86586 = t56543 * t9283;
  t86599 = t1078 * t16579;
  t86600 = t86599 / 0.2e1;
  t86601 = -t110 * t2238 * t2013 / 0.4e1 + t16070 - t16071 + t80795 + 0.3e1 / 0.2e1 * t30030 * t86586 * t9312 - 0.3e1 * t5535 * t86586 * t9317 + 0.3e1 / 0.2e1 * t4145 * t86586 * t9340 + t85016 - t373 * t1940 * t77356 / 0.4e1 + t86600 + t16581 - t16583 - t16588;
  t86624 = t8254 * t78281 / 0.3e1 + t40195 * t15855 + t8254 * t78341 + t8254 * t82015 - 0.4e1 * t40184 * t78323 - 0.72e2 * t57389 * t82039 - 0.6e1 * t40195 * t15852 - 0.6e1 * t8254 * t81876 - 0.6e1 * t8254 * t78287 - 0.1e2 * t40190 * t82231 - 0.18e2 * t40190 * t81883 + 0.12e2 * t11538 * t81887;
  t86629 = t11538 * t82170;
  t86630 = 0.6e1 * t86629;
  t86637 = 0.8e1 / 0.3e1 * t57448 * t82167 + 0.24e2 * t57448 * t82218 + t86630 + t81869 - t81870 - t78125 - t81871 + t81873 - t81874 - 0.2e1 * t8247 * t15906 - 0.2e1 * t2056 * t78363 + t559 * t78224 / 0.2e1;
  t86642 = t2060 * t81924;
  t86643 = 0.4e1 / 0.3e1 * t86642;
  t86652 = t8223 * t81898;
  t86653 = 0.4e1 * t86652;
  t86658 = t8231 * t15888;
  t86659 = t86658 / 0.3e1;
  t86660 = t8227 * t81909;
  t86661 = t86660 / 0.18e2;
  t86662 = -t2054 * t15320 - 0.3e1 * t40277 * t15924 - t86643 + 0.8e1 * t8223 * t82094 - 0.8e1 * t8223 * t82097 - t8227 * t82101 / 0.6e1 + t8227 * t82104 / 0.9e1 - t86653 + 0.2e1 * t40266 * t15884 - 0.2e1 / 0.3e1 * t40241 * t81904 - t86659 + t86661;
  t86666 = t8231 * t15931;
  t86667 = 0.2e1 / 0.3e1 * t86666;
  t86672 = t8247 * t15934;
  t86679 = -t40236 * t15891 / 0.9e1 - t2054 * t15380 - t15857 + t15858 + t15859 + t15363 + t86667 - 0.4e1 * t40266 * t15863 + t40236 * t15866 / 0.18e2 + t86672 + t2054 * t15358 / 0.2e1 - 0.4e1 / 0.3e1 * t11538 * t81940 - 0.4e1 / 0.3e1 * t57448 * t82224;
  t86688 = t11533 * t81950;
  t86689 = 0.12e2 * t86688;
  t86706 = 0.32e2 / 0.3e1 * t40187 * t82036 + 0.6e1 * t40179 * t82025 - t40190 * t82028 / 0.6e1 - t86689 - 0.16e2 * t40187 * t82215 + 0.9e1 * t40190 * t82036 - 0.2e1 * t8254 * t78139 + 0.3e1 * t2060 * t81866 + 0.3e1 * t2060 * t78437 + 0.36e2 * t40241 * t82142 - 0.2e1 * t2056 * t82050 + 0.2e1 * t2056 * t78267;
  t86713 = t8247 * t15903;
  t86714 = 0.2e1 * t86713;
  t86721 = 0.3e1 * t559 * t78259 - 0.2e1 * t559 * t78255 + 0.4e1 / 0.3e1 * t2060 * t78246 - t86714 + 0.3e1 * t8231 * t15909 + t81997 + t81999 + t82000 + t78154 + t78157 - 0.12e2 * t40266 * t15912 - 0.4e2 * t40241 * t82125;
  t86737 = -0.2e1 / 0.3e1 * t40236 * t15915 + 0.1e2 / 0.3e1 * t40248 * t82145 + 0.6e1 * t40236 * t15918 + 0.5e2 / 0.3e1 * t40248 * t82148 + t82042 + t78173 + t82043 + t16481 - t82053 + 0.4e1 * t40179 * t78132 + 0.4e1 * t11533 * t81887 + 0.4e1 / 0.3e1 * t57389 * t82167;
  t86738 = t8254 * t82173;
  t86739 = 0.2e1 / 0.3e1 * t86738;
  t86740 = t11538 * t82176;
  t86741 = t86740 / 0.9e1;
  t86754 = t8251 * t82022;
  t86755 = 0.2e1 * t86754;
  t86756 = t11533 * t82170;
  t86757 = 0.2e1 * t86756;
  t86764 = t86739 - t86741 + t40190 * t81961 / 0.3e1 - 0.2e1 / 0.9e1 * t11538 * t81967 - t57448 * t81971 / 0.9e1 + 0.4e1 * t8251 * t78116 + 0.4e1 * t8251 * t81982 - 0.9e1 * t40179 * t81992 + t86755 + t86757 - 0.12e2 * t57574 * t82039 - 0.4e1 * t40187 * t81883 + t40190 * t82202 / 0.3e1;
  t86778 = t8231 * t15929;
  t86783 = 0.32e2 * t40187 * t82210 + 0.18e2 * t40179 * t82001 + 0.2e1 * t40190 * t82207 - 0.3e1 * t40236 * t15872 + 0.6e1 * t40266 * t15875 - t86778 + 0.1e2 / 0.3e1 * t40236 * t15869 - 0.18e2 * t40190 * t82196 + t15921 - t15922 - t15385 - t15923;
  t86798 = t8231 * t15900;
  t86799 = 0.2e1 * t86798;
  t86800 = t8227 * t81891;
  t86801 = 0.1e2 / 0.3e1 * t86800;
  t86802 = -0.12e2 * t40207 * t82190 - 0.8e1 * t40184 * t82193 - 0.16e2 / 0.3e1 * t40187 * t82196 - 0.3e1 * t40179 * t82199 + t82156 + t82157 - t82158 - 0.2e1 * t8231 * t15897 - 0.2e1 * t2060 * t78303 - 0.2e1 * t2060 * t81932 + t86799 + t86801;
  t86812 = t8254 * t81954;
  t86813 = 0.4e1 * t86812;
  t86814 = t11538 * t82221;
  t86815 = 0.2e1 / 0.3e1 * t86814;
  t86820 = t11541 * t82019;
  t86821 = 0.6e1 * t86820;
  t86822 = 0.4e1 * t40184 * t82182 + 0.6e1 * t40207 * t82179 + 0.24e2 * t40217 * t82069 + 0.12e2 * t40288 * t82082 - 0.6e1 * t8220 * t82062 + 0.3e1 * t8220 * t82085 - t16484 + t16488 + t78273 - t86813 - t86815 + t86821;
  t86833 = -0.24e2 * t11533 * t81988 + 0.24e2 * t40187 * t81937 + 0.2e1 * t40190 * t81945 + 0.8e1 * t57389 * t82218 + 0.72e2 * t57574 * t82031 + t9557 + t9559 + t9570 - t9574 - t9585 - t9586 - t9588 + t9635;
  t86854 = -t82214 - 0.6e1 * t57365 * t78327 + 0.4e1 * t11528 * t78331 - 0.2e1 / 0.3e1 * t40179 * t78334 - 0.24e2 * t57459 * t82113 - 0.6e1 * t40207 * t82109 + 0.12e2 * t11541 * t81985 + 0.4e1 * t40212 * t15849 + 0.2e1 * t8251 * t78274 + 0.2e1 * t11528 * t78278 - t16505 - t16509;
  t86855 = -t78351 + t82236 + t78360 - t82237 + t16524 + t82242 - t78391 - t78393 - t82243 - t78397 - t82245 - t82246 - t82247;
  t86857 = t2056 * t82121;
  t86862 = t2060 * t81921;
  t86863 = 0.2e1 * t86862;
  t86868 = t8220 * t82118;
  t86869 = 0.3e1 * t86868;
  t86874 = -t82248 + t82249 - t86857 - t2056 * t78376 - t559 * t78379 + 0.6e1 * t40277 * t15881 + t86863 - 0.1e2 * t8227 * t82136 + 0.2e2 / 0.3e1 * t8227 * t82139 - t86869 - 0.2e1 / 0.3e1 * t2060 * t78381 + 0.2e1 * t2054 * t15392;
  t86885 = t8223 * t81917;
  t86886 = 0.6e1 * t86885;
  t86893 = t8227 * t82128;
  t86894 = 0.3e1 * t86893;
  t86895 = t2060 * t78355 - 0.2e1 * t2060 * t78417 - 0.36e2 * t40217 * t82131 - 0.12e2 * t40248 * t82151 - t559 * t78307 - 0.12e2 * t8223 * t81856 + 0.12e2 * t8223 * t81860 + 0.9e1 * t8227 * t82088 - 0.6e1 * t8227 * t82091 + t2210 - t2229 + t86886 - t86894;
  t86906 = t1078 * t16466;
  t86907 = t86906 / 0.4e1;
  t86908 = t1056 * t16466;
  t86909 = t86908 / 0.4e1;
  t86927 = -t16591 - t110 * t139 * (t86624 + t86637 + t86662 + t86679 + t86706 + t86721 + t86737 + t86764 + t86783 + t86802 + t86822 + t86833 + t86854 + t86855 + t86874 + t86895) * t168 / 0.4e1 + t1454 * t11787 / 0.2e1 + t86907 + t86909 + 0.3e1 / 0.2e1 * t11381 * t81844 + 0.9e1 / 0.2e1 * t11381 * t82337 + 0.11e2 / 0.6e1 * t11381 * t82452 + t8058 * t82329 / 0.2e1 - 0.8e1 / 0.3e1 * t11369 * t82445 - 0.3e1 / 0.2e1 * t8058 * t82449 - 0.7e1 * t29011 * t29517 * t1021 * t11397 * t439;
  t86953 = -0.3e1 / 0.2e1 * t4145 * t8374 * t82377 - 0.9e1 / 0.2e1 * t5540 * t8227 * t82630 + 0.9e1 * t5559 * t8227 * t82712 + t15548 + 0.3e1 / 0.2e1 * t2030 * t9341 - 0.3e1 / 0.2e1 * t39596 * t15954 + t85023 - t318 * t16528 / 0.4e1 - t40840 * t16043 / 0.2e1 - t40844 * t16043 / 0.2e1 - t8490 * t82420 / 0.2e1 - t9510 * t8335 / 0.12e2 - t8110 * t15998 / 0.3e1;
  t86960 = my_piecewise3(t100, 0, t86953 + t86927 + t86601 + t86579 + t86582 + t86573 + t86549 + t86528 + t86493 + t86461 + t86421 + t86393 + t86364 + t86337 + t86306 + t86275 + t86245 + t86231 + t86216 + t86191 + t86164 + t86144 + t86134 + t86104 + t86073 + t86060 + t86038 + t86023 + t86004 + t85973 + t85950 + t85947 + t85917 + t85895 + t85878 + t85853 + t85828 + t85802 + t85778 + t85771 + t85744 + t85723 + t85692 + t85657 + t85624 + t85601 + t85580 + t85570 + t85543 + t85513 + t85508 + t85498 + t85475 + t85450 + t85420 + t85403 + t85385 + t85373 + t85347 + t85319 + t85294 + t85265 + t85244 + t85229);
  tv4rhosigma2tau23 = t3 * t86960 + t16601;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 23] += tv4rhosigma2tau23;

  t86962 = 0.2e1 * t75076;
  t86963 = t75079 / 0.2e1;
  t86964 = t75082 / 0.2e1;
  t86965 = t75084 / 0.2e1;
  t86966 = 0.2e1 / 0.3e1 * t78607;
  t86967 = 0.2e1 / 0.3e1 * t78618;
  t86968 = t78622 / 0.3e1;
  t86971 = t75096 / 0.3e1;
  t86972 = t75099 / 0.4e1;
  t86973 = t25739 * t9757;
  t86976 = -t86962 - t86963 + t86964 + t86965 + t86966 + t86967 - t86968 - 0.5e1 / 0.6e1 * t59290 * t8631 - t86971 - t86972 - 0.23e2 / 0.12e2 * t58578 * t86973;
  t86977 = t30 * t59863;
  t86978 = t47512 * t10047;
  t86981 = t3448 * t476;
  t86982 = t86981 * t10038;
  t86985 = t47276 * t9770;
  t86988 = t25657 * t12022;
  t86991 = t75413 * t12103;
  t86994 = 0.6e1 * t78655;
  t86995 = t75114 / 0.12e2;
  t86996 = t75116 / 0.3e1;
  t86998 = t27066 * t2584 / 0.6e1;
  t87002 = t5143 * t2596 / 0.6e1;
  t87004 = t5143 * t2588 / 0.6e1;
  t87005 = 0.44e2 / 0.27e2 * t86977 * t86978 - 0.5e1 / 0.18e2 * t10036 * t86982 - t6069 * t86985 / 0.6e1 - t6491 * t86988 / 0.6e1 - t6488 * t86991 / 0.6e1 + t86994 - t86995 + t86996 - t86998 + t12216 * t1274 / 0.4e1 + t87002 - t87004;
  t87008 = t59060 * t432 / 0.12e2;
  t87028 = t1508 * t10155 / 0.18e2;
  t87030 = t1267 * t12211 / 0.36e2;
  t87031 = t87008 - t12041 * t5102 / 0.12e2 - t2534 * t25829 / 0.12e2 - t12041 * t5064 / 0.6e1 - t2534 * t25945 / 0.6e1 - t1517 * t10155 / 0.6e1 - t1522 * t10155 / 0.6e1 - t466 * t46747 / 0.6e1 + t5105 * t2596 / 0.2e1 + t5126 * t2596 / 0.2e1 - t87028 - t87030;
  t87034 = t414 * t1512;
  t87035 = t3448 * t87034;
  t87042 = t21220 * t4741;
  t87053 = t47364 * t10038;
  t87056 = t47370 * t9766;
  t87059 = t3402 * t476;
  t87060 = t87059 * t10038;
  t87063 = t4760 * t9770;
  t87066 = t635 * t87034;
  t87067 = t10058 * t87066;
  t87070 = -t3123 * t58583 * t15103 + 0.3e1 * t9873 * t6390 * t87035 - 0.18e2 * t9873 * t59766 * t48467 - 0.9e1 / 0.2e1 * t9873 * t11891 * t87042 + 0.3e1 / 0.2e1 * t26806 * t58738 * t16667 - 0.3e1 / 0.2e1 * t58578 * t26126 + 0.7e1 / 0.3e1 * t58578 * t26137 + 0.2e1 * t10066 * t87053 + 0.2e1 / 0.3e1 * t6069 * t87056 - 0.11e2 / 0.9e1 * t10036 * t87060 - t58578 * t87063 / 0.2e1 + 0.14e2 / 0.3e1 * t10036 * t87067;
  t87075 = t2105 * t1512;
  t87076 = t3409 * t87075;
  t87086 = t2526 * t2105;
  t87087 = t635 * t87086;
  t87088 = t26140 * t87087;
  t87091 = 0.2e1 * t78691;
  t87092 = 0.4e1 * t78694;
  t87099 = 0.4e1 / 0.3e1 * t78715;
  t87102 = -0.7e1 * t58578 * t26141 - 0.2e1 * t4779 * t1591 * t87076 + 0.5e1 * t4779 * t11883 * t8647 + 0.3e1 * t4779 * t2558 * t75101 - 0.14e2 / 0.3e1 * t27523 * t87088 + t87091 - t87092 + t10160 * t1514 / 0.2e1 - t25888 * t2584 / 0.2e1 - t27129 * t2584 / 0.2e1 - t87099 + 0.7e1 / 0.3e1 * t58173 * t16777;
  t87111 = t4844 * t10101;
  t87118 = t4831 * t9827;
  t87122 = 0.11e2 / 0.54e2 * t58232 * t16768;
  t87124 = t58232 * t16774 / 0.6e1;
  t87129 = 0.7e1 / 0.3e1 * t11975 * t26171 + 0.7e1 / 0.3e1 * t11975 * t26181 - 0.11e2 / 0.18e2 * t11975 * t76325 + 0.23e2 / 0.36e2 * t58173 * t16771 + 0.23e2 / 0.36e2 * t11975 * t87111 + 0.23e2 / 0.36e2 * t11975 * t75526 - t58173 * t16774 / 0.2e1 - t11975 * t87118 / 0.2e1 - t87122 - t87124 - 0.2e1 * t58864 * t2282 - 0.2e1 * t11960 * t10102;
  t87135 = t4838 * t9827;
  t87143 = t75178 / 0.6e1;
  t87144 = t75203 / 0.2e1;
  t87145 = t75205 / 0.6e1;
  t87150 = t31295 * t2266;
  t87151 = t1220 * t87150;
  t87156 = -0.2e1 * t11960 * t8715 - 0.11e2 / 0.18e2 * t58173 * t16768 - 0.11e2 / 0.18e2 * t11975 * t87135 - 0.3e1 * t3537 * t16673 - 0.3e1 * t644 * t11966 * t75354 - t87143 - t87144 - t87145 - t6084 * t16780 / 0.3e1 - t6081 * t16780 / 0.3e1 - t1541 * t87151 / 0.3e1 - t1541 * t79117 / 0.3e1;
  t87158 = t1508 * t16685 / 0.36e2;
  t87159 = t5044 * t11980;
  t87160 = t673 * t87159;
  t87166 = t4844 * t5071 * t19132;
  t87171 = t78760 / 0.3e1;
  t87179 = 0.5e1 / 0.108e3 * t58232 * t16714;
  t87180 = t8665 * t2544;
  t87181 = t87180 / 0.36e2;
  t87183 = t87158 + t1568 * t87160 / 0.3e1 - t11953 * t8704 / 0.2e1 - 0.3e1 / 0.2e1 * t69444 * t87166 - t5073 * t12099 / 0.2e1 + t87171 + t2534 * t76172 / 0.3e1 + t2534 * t75910 / 0.3e1 + t12041 * t15058 / 0.6e1 - t87179 + t87181 - t5073 * t12091;
  t87189 = t1227 * t10158 * t2676;
  t87197 = 0.3e1 * t78764;
  t87198 = 0.2e1 / 0.3e1 * t78768;
  t87199 = t78783 / 0.3e1;
  t87200 = t78785 / 0.3e1;
  t87201 = t5073 * t12097 + 0.2e1 / 0.3e1 * t3319 * t87189 + t10160 * t1564 / 0.2e1 - t10160 * t1556 - t10160 * t1560 / 0.2e1 + t87197 + t87198 - t78778 - t78781 - t87199 - t87200;
  t87202 = t78790 / 0.3e1;
  t87203 = 0.2e1 / 0.3e1 * t78792;
  t87204 = 0.2e1 / 0.3e1 * t78794;
  t87207 = t1227 * t87159;
  t87212 = t2087 * t12140;
  t87213 = t87212 / 0.12e2;
  t87214 = t2087 * t12145;
  t87215 = t87214 / 0.12e2;
  t87224 = -t87202 + t87203 + t87204 + t2529 * t5046 / 0.6e1 - t1541 * t87207 / 0.6e1 + t2534 * t26883 / 0.6e1 + t87213 + t87215 - t58881 * t2268 / 0.2e1 - t11953 * t9828 / 0.2e1 - t11953 * t8791 / 0.2e1 + t2534 * t75582 / 0.6e1;
  t87230 = t4844 * t9827;
  t87235 = t9056 * t2544;
  t87236 = t87235 / 0.12e2;
  t87238 = t660 * t3279 * t16705;
  t87259 = -t15081 + 0.32e2 / 0.3e1 * t58400 * t47170 - 0.4e1 * t11842 * t42223 + 0.12e2 * t58400 * t47123 - 0.24e2 * t58418 * t47161 + 0.12e2 * t58440 * t48565 + 0.4e1 * t11839 * t47219 - 0.8e1 * t58418 * t47702 - t76021 - t76024 + t76027 - 0.8e1 / 0.3e1 * t11842 * t47214 + 0.16e2 / 0.9e1 * t58400 * t47138;
  t87271 = 0.4e1 * t11839 * t42244 + 0.4e1 * t11845 * t42248 - 0.4e1 / 0.3e1 * t11842 * t42236 - 0.8e1 * t11842 * t48637 + t15069 + t76029 - t76046 + t76056 + t76075 + t76077 + 0.4e1 * t9864 - 0.12e2 * t9868 + 0.4e1 / 0.3e1 * t9879;
  t87294 = -0.4e1 * t10085 + 0.8e1 * t10080 - 0.12e2 * t9737 - 0.4e1 * t9741 - 0.4e1 * t10082 + 0.2e1 * t472 * t9012 - 0.4e1 * t58473 * t2331 - 0.4e1 * t11857 * t9021 + 0.4e1 * t58459 * t2323 + 0.4e1 * t11852 * t9121 + 0.2e1 * t1599 * t2166 + 0.2e1 / 0.3e1 * t41260 * t2728 + 0.2e1 / 0.3e1 * t8837 * t12090;
  t87316 = -0.2e1 * t11845 * t9012 + 0.4e1 * t58428 * t2331 + 0.4e1 * t11842 * t9021 - 0.4e1 * t9749 - 0.4e1 / 0.3e1 * t9752 + 0.2e2 / 0.9e1 * t9875 + 0.4e1 / 0.3e1 * t58428 * t2318 + 0.4e1 / 0.3e1 * t11842 * t8725 - 0.2e1 * t58425 * t2166 - 0.2e1 / 0.3e1 * t9888 + 0.24e2 * t9883 - 0.4e1 * t58409 * t2323 - 0.4e1 * t11839 * t9121;
  t87318 = t87259 + t87271 + t87294 + t87316;
  t87321 = t660 * t661 * t94 * t87318;
  t87326 = t75264 / 0.6e1;
  t87327 = t75266 / 0.12e2;
  t87328 = t1291 * t19132;
  t87329 = t4838 * t87328;
  t87334 = t2534 * t76132 / 0.6e1 - 0.5e1 / 0.36e2 * t58173 * t16714 - 0.5e1 / 0.36e2 * t11975 * t87230 - 0.5e1 / 0.36e2 * t11975 * t75343 + t87236 + t466 * t87238 / 0.12e2 + t466 * t87321 / 0.12e2 + t12041 * t15036 / 0.3e1 + t87326 + t87327 + 0.7e1 / 0.3e1 * t69444 * t87329 + t1293 * t12067 / 0.2e1;
  t87336 = t1508 * t15621 / 0.18e2;
  t87338 = 0.23e2 / 0.108e3 * t58232 * t16771;
  t87340 = t12004 * t15058 / 0.18e2;
  t87342 = t6214 * t16759 / 0.9e1;
  t87344 = t6358 * t2327 / 0.6e1;
  t87346 = 0.2e1 / 0.9e1 * t12004 * t15040;
  t87347 = t78918 / 0.3e1;
  t87348 = t78920 / 0.3e1;
  t87354 = t58694 * t1221;
  t87355 = t673 * t87354;
  t87358 = t87336 + t87338 + t87340 + t87342 - t87344 - t87346 - t78912 + t87347 + t87348 + 0.3e1 * t644 * t11985 * t8725 + t2534 * t27144 / 0.3e1 + t1259 * t87355 / 0.6e1;
  t87366 = t4844 * t3535 * t2266;
  t87376 = t6186 * t16780 / 0.9e1;
  t87382 = t417 * t58696 / 0.12e2 - 0.3e1 / 0.2e1 * t58173 * t16661 - 0.3e1 / 0.2e1 * t11975 * t87366 - 0.3e1 / 0.2e1 * t11975 * t75151 - t32423 * t2319 - t32430 * t2319 - t6295 * t10025 - t6295 * t10109 - t87376 + t47709 * t10082 + t12046 * t1288 / 0.6e1 + t2529 * t5140 / 0.6e1;
  t87384 = t12004 * t5068 / 0.9e1;
  t87390 = t46787 * t481 / 0.6e1;
  t87392 = t12004 * t5102 / 0.36e2;
  t87394 = t12004 * t5064 / 0.18e2;
  t87395 = t47958 * t10038;
  t87397 = t3548 * t16749;
  t87399 = t593 * t16746 / 0.12e2;
  t87402 = t1227 * t87354;
  t87406 = t87384 + t59112 * t432 / 0.4e1 + t59370 * t432 / 0.4e1 + t87390 - t87392 - t87394 - t10097 * t87395 + t87397 - t87399 - t417 * t58700 / 0.12e2 - t1218 * t87402 / 0.12e2 + t6353 * t2332;
  t87411 = t593 * t16741;
  t87412 = t87411 / 0.12e2;
  t87428 = t6335 * t2332 + t1532 * t9855 + t1532 * t9858 - t87412 + t1568 * t78771 / 0.3e1 + t1517 * t15621 / 0.6e1 + t1522 * t15621 / 0.6e1 - t1532 * t9845 - t6353 * t2327 / 0.2e1 - t6335 * t2327 / 0.2e1 - t1532 * t10197 / 0.2e1 - t1532 * t10125 / 0.2e1;
  t87434 = t3548 * t16752 / 0.3e1;
  t87435 = t75318 / 0.2e1;
  t87436 = t75320 / 0.4e1;
  t87437 = t75322 / 0.4e1;
  t87438 = t95 * t87034;
  t87439 = t10058 * t87438;
  t87443 = t31575 * t16620 / 0.36e2;
  t87445 = t31352 * t16616 / 0.18e2;
  t87447 = t31355 * t16627 / 0.18e2;
  t87448 = 0.3e1 * t78996;
  t87449 = -0.2e1 / 0.3e1 * t12041 * t15040 - 0.2e1 / 0.3e1 * t2534 * t75214 + t87434 - t87435 - t87436 - t87437 - 0.11e2 / 0.9e1 * t10036 * t87439 + t87443 - t87445 - t87447 - t87448 - t78999;
  t87454 = t95 * t87075;
  t87455 = t3130 * t87454;
  t87464 = t4765 * t87438;
  t87466 = t4796 * t87438;
  t87473 = t30 * t59780;
  t87478 = t42161 * t12115;
  t87479 = t87478 / 0.6e1;
  t87480 = -t6491 * t87455 / 0.3e1 + t59246 * t8639 / 0.2e1 + t59594 * t8644 / 0.3e1 - t59594 * t8636 / 0.6e1 + t10066 * t87464 - t10097 * t87466 + 0.2e1 * t30 * t59998 * t10098 + t59246 * t10091 / 0.2e1 - 0.3e1 * t87473 * t10094 - t59246 * t10173 / 0.2e1 - t87479;
  t87487 = t12004 * t15036 / 0.9e1;
  t87489 = t1508 * t16707 / 0.36e2;
  t87491 = t5143 * t2593 / 0.12e2;
  t87493 = t593 * t16788 / 0.6e1;
  t87503 = t26891 * t16611 / 0.6e1;
  t87506 = t25730 * t16624 / 0.2e1 + t4779 * t1585 * t16623 / 0.2e1 + t87487 + t87489 - t87491 + t87493 - t2534 * t27189 / 0.6e1 + t1568 * t80458 / 0.3e1 + t466 * t47817 / 0.6e1 - t12046 * t2108 / 0.6e1 + t87503 + t4748 * t58583 * t15054;
  t87512 = t75399 / 0.3e1;
  t87513 = t10037 * t9762;
  t87516 = t4760 * t87438;
  t87518 = t26082 * t9766;
  t87521 = t42883 * t16615;
  t87524 = t11860 * t2105;
  t87526 = t8642 * t95 * t87524;
  t87529 = t2541 * t8840;
  t87531 = t8642 * t95 * t87529;
  t87538 = 0.3e1 * t47709 * t9737 + t47709 * t9741 - t32403 * t9744 + t87512 + 0.23e2 / 0.36e2 * t58578 * t87513 - t10036 * t87516 + 0.3e1 / 0.2e1 * t58578 * t87518 - t6488 * t87521 / 0.6e1 - t6488 * t87526 / 0.6e1 - t6488 * t87531 / 0.6e1 + t31284 * t16620 / 0.12e2 + t31242 * t16620 / 0.12e2;
  t87539 = t25669 * t16619;
  t87542 = t11860 * t414;
  t87543 = t95 * t87542;
  t87544 = t4760 * t87543;
  t87547 = t2541 * t1272;
  t87548 = t95 * t87547;
  t87549 = t4760 * t87548;
  t87554 = t79055 / 0.2e1;
  t87555 = t75417 / 0.2e1;
  t87558 = t26140 * t9766;
  t87561 = 0.2e1 / 0.3e1 * t79082;
  t87562 = t79084 / 0.2e1;
  t87563 = t222 * t16897;
  t87566 = t6069 * t87539 / 0.12e2 + t6069 * t87544 / 0.12e2 + t6069 * t87549 / 0.12e2 + t25696 * t16624 / 0.2e1 - t79053 - t87554 - t87555 - t6491 * t78609 / 0.3e1 + 0.11e2 / 0.6e1 * t58578 * t87558 + t87561 + t87562 - t211 * t87563 / 0.12e2;
  t87571 = t191 * t242 * t16895 * t243;
  t87574 = t31513 * t9766;
  t87577 = t75450 / 0.36e2;
  t87578 = t75479 / 0.12e2;
  t87579 = t75481 / 0.12e2;
  t87580 = t16704 * t206;
  t87581 = t95 * t87580;
  t87582 = t3130 * t87581;
  t87585 = t16704 * t667;
  t87587 = t8642 * t95 * t87585;
  t87590 = t4760 * t87581;
  t87593 = t819 * t87075;
  t87601 = t4760 * t87087;
  t87604 = t87571 * t250 / 0.4e1 - t6491 * t87574 / 0.3e1 - t87577 + t87578 + t87579 - t6491 * t87582 / 0.6e1 - t6488 * t87587 / 0.6e1 + t6069 * t87590 / 0.12e2 + t4779 * t1587 * t87593 - 0.3e1 / 0.2e1 * t4779 * t11878 * t8621 - t4779 * t2554 * t8626 + 0.1e2 / 0.3e1 * t52652 * t87601;
  t87608 = t229 * t87034;
  t87621 = t75489 / 0.6e1;
  t87622 = t79231 / 0.18e2;
  t87623 = t79238 / 0.6e1;
  t87624 = t79242 / 0.6e1;
  t87625 = t79244 / 0.6e1;
  t87626 = t79246 / 0.3e1;
  t87627 = t3123 * t58990 * t2166 / 0.2e1 + 0.3e1 * t4779 * t6424 * t87608 - 0.6e1 * t4779 * t59998 * t9736 - 0.3e1 / 0.2e1 * t4779 * t11878 * t9740 + 0.3e1 / 0.2e1 * t3123 * t58996 * t2323 - t87621 - t87622 + t87623 - t87624 - t87625 - t87626 + t79248;
  t87630 = t58606 * t2276 / 0.3e1;
  t87634 = t12074 * t1288 / 0.18e2;
  t87653 = t87630 - t11975 * t75241 / 0.2e1 + t87634 + t46739 * t481 / 0.2e1 + t46744 * t481 / 0.2e1 - t1278 * t12211 / 0.12e2 - t1283 * t12211 / 0.12e2 - t417 * t59365 / 0.12e2 + t12041 * t5068 / 0.3e1 + t2534 * t25801 / 0.3e1 - t5105 * t2588 / 0.2e1 - t5126 * t2588 / 0.2e1;
  t87658 = t21210 * t9735;
  t87668 = t21220 * t9735;
  t87672 = t21225 * t9735;
  t87682 = t10037 * t87438;
  t87685 = t30 * t59766;
  t87688 = t25739 * t9766;
  t87691 = -0.6e1 * t47925 * t9879 + 0.3e1 * t47709 * t9868 - 0.6e1 * t47583 * t59863 * t87658 + 0.36e2 * t4738 * t59766 * t48779 - 0.18e2 * t4779 * t59766 * t9867 - 0.18e2 * t4738 * t59863 * t87668 + 0.6e1 * t4779 * t59863 * t87672 + 0.14e2 / 0.3e1 * t10036 * t87059 * t10047 - 0.3e1 * t10036 * t86981 * t10062 - 0.5e1 / 0.18e2 * t10036 * t87682 + 0.5e1 / 0.3e1 * t87685 * t10039 + 0.5e1 / 0.12e2 * t58578 * t87688;
  t87695 = t47512 * t10038;
  t87698 = t10037 * t9770;
  t87701 = t79310 / 0.9e1;
  t87703 = t58232 * t16661 / 0.2e1;
  t87705 = 0.2e1 / 0.9e1 * t6186 * t16657;
  t87707 = t593 * t16653 / 0.2e1;
  t87708 = t593 * t16649;
  t87717 = -0.35e2 / 0.108e3 * t86977 * t87695 - 0.5e1 / 0.36e2 * t58578 * t87698 - t87701 - t87703 + t87705 + t87707 - t87708 - t2529 * t8810 / 0.6e1 - t2529 * t8843 / 0.6e1 + t58864 * t2271 / 0.2e1 + t11960 * t9891 / 0.2e1;
  t87733 = t658 * t221 * t87318;
  t87741 = t11960 * t8848 / 0.2e1 + t3530 * t16752 + t3537 * t16752 + t644 * t12096 * t75867 - t6353 * t2324 - t6335 * t2324 - t1532 * t9848 - t757 * t16746 / 0.4e1 - t246 * t6136 * t16745 / 0.4e1 - t246 * t1559 * t87733 / 0.4e1 + 0.3e1 * t3530 * t16749 + 0.3e1 * t3537 * t16749;
  t87754 = t26891 * t16624 / 0.6e1;
  t87756 = 0.7e1 / 0.9e1 * t58232 * t16777;
  t87758 = t593 * t16785 / 0.2e1;
  t87759 = t3548 * t16673;
  t87761 = t32408 * t2319 / 0.3e1;
  t87763 = t1227 * t1291 * t11980;
  t87771 = 0.18e2 * t4779 * t59780 * t9882 + t26772 * t16641 / 0.2e1 + t26777 * t16641 / 0.2e1 - t30 * t16896 * t277 / 0.4e1 + t87754 + t87756 + t87758 - t87759 - t87761 + 0.2e1 / 0.3e1 * t1541 * t87763 - 0.2e1 / 0.3e1 * t2534 * t27436 - 0.3e1 * t4738 * t2558 * t75647;
  t87773 = t25739 * t3671 * t87086;
  t87776 = t463 * t16704;
  t87778 = t4760 * t635 * t87776;
  t87784 = t648 * t87034;
  t87792 = t4779 * t2118 * t12122;
  t87793 = t87792 / 0.2e1;
  t87794 = t2084 * t2541;
  t87796 = t4760 * t635 * t87794;
  t87797 = t21878 * t87796;
  t87798 = t87797 / 0.3e1;
  t87800 = t3123 * t42656 * t2592;
  t87801 = t87800 / 0.4e1;
  t87802 = t819 * t87580;
  t87806 = t3430 * t87585;
  t87810 = t75554 / 0.2e1;
  t87811 = t75556 / 0.2e1;
  t87812 = 0.3e1 * t27523 * t87773 - t21878 * t87778 / 0.3e1 - t3123 * t6475 * t16745 / 0.4e1 + 0.6e1 * t4738 * t6393 * t87784 - 0.6e1 * t4738 * t11883 * t4742 + t87793 - t87798 - t87801 + t4779 * t1587 * t87802 / 0.2e1 + t4779 * t470 * t87806 / 0.2e1 - t87810 + t87811;
  t87815 = t75567 / 0.6e1;
  t87816 = t75569 / 0.3e1;
  t87821 = t75573 / 0.2e1;
  t87822 = -t87815 + t87816 - t58592 * t75387 / 0.2e1 + 0.5e1 / 0.18e2 * t58578 * t75390 - t87821 + t16602 + t16603 - t16604 - t16605 - t16606 - t16607 + t2160;
  t87823 = 0.2e1 / 0.3e1 * t75592;
  t87825 = t47270 * t17494;
  t87830 = 0.3e1 * t75599;
  t87831 = 0.3e1 * t75602;
  t87832 = t75605 / 0.2e1;
  t87833 = t79368 / 0.9e1;
  t87834 = t3375 * t16609;
  t87838 = t3375 * t87542;
  t87842 = t3375 * t87547;
  t87848 = -t87823 + t47709 * t10085 - 0.2e1 / 0.3e1 * t21878 * t87825 - t32403 * t9732 / 0.2e1 + t87830 - t87831 + t87832 + t87833 + t4738 * t6419 * t87834 / 0.2e1 + t4738 * t1591 * t87838 / 0.2e1 + t4738 * t1591 * t87842 / 0.2e1 + t31242 * t16634 / 0.6e1;
  t87850 = t25958 * t16619;
  t87853 = t4770 * t87543;
  t87856 = t4770 * t87548;
  t87863 = t25669 * t16637;
  t87867 = t4760 * t635 * t87542;
  t87871 = t4760 * t635 * t87547;
  t87881 = t4754 * t87438;
  t87884 = t6069 * t87850 / 0.6e1 + t6069 * t87853 / 0.6e1 + t6069 * t87856 / 0.6e1 - t31284 * t16638 / 0.3e1 - t31242 * t16638 / 0.3e1 - t6069 * t87863 / 0.3e1 - t6069 * t87867 / 0.3e1 - t6069 * t87871 / 0.3e1 - t25696 * t16631 / 0.2e1 - t25730 * t16631 / 0.2e1 - t4779 * t6419 * t16630 / 0.2e1 + 0.2e1 * t10066 * t87881;
  t87892 = t4765 * t87066;
  t87901 = t47270 * t9766;
  t87904 = t75627 / 0.2e1;
  t87905 = 0.3e1 / 0.2e1 * t75637;
  t87906 = 0.3e1 * t75641;
  t87907 = -0.6e1 * t87473 * t10067 - 0.2e1 * t59290 * t9767 + 0.22e2 / 0.3e1 * t87685 * t10072 + t59290 * t9771 - 0.4e1 * t10066 * t87892 - t6488 * t78613 / 0.3e1 + t6069 * t78596 / 0.6e1 + t6488 * t78599 / 0.6e1 + t6069 * t87901 / 0.3e1 - t87904 + t87905 - t87906;
  t87913 = t79425 / 0.6e1;
  t87919 = t593 * t16783 / 0.3e1;
  t87924 = t79411 + t79414 - t79416 - t79418 - t79421 - t87913 - t1541 * t79862 / 0.6e1 - t466 * t47825 / 0.6e1 - t87919 - 0.3e1 * t768 * t16649 - 0.3e1 * t757 * t16649;
  t87930 = t75654 / 0.12e2;
  t87931 = t75656 / 0.12e2;
  t87932 = 0.11e2 / 0.9e1 * t79452;
  t87933 = 0.23e2 / 0.18e2 * t79455;
  t87936 = 0.3e1 * t79462;
  t87937 = t1293 * t12171 - t1293 * t12173 + t16608 - t48518 * t9754 + 0.2e1 * t47925 * t9752 - t87930 - t87931 + t75694 - t87932 + t87933 - t182 * t16897 / 0.4e1 + t87936;
  t87939 = t79465 / 0.3e1;
  t87940 = t16609 * t667;
  t87941 = t3430 * t87940;
  t87944 = t16614 * t206;
  t87945 = t95 * t87944;
  t87946 = t26082 * t87945;
  t87951 = t8642 * t253 * t12110 * t2105;
  t87954 = t75716 / 0.12e2;
  t87955 = t75718 / 0.12e2;
  t87956 = t75720 / 0.12e2;
  t87957 = t75722 / 0.36e2;
  t87958 = -t15611 - t16644 + t16645 - t87939 - t79471 - t4779 * t1587 * t87941 - t6069 * t87946 / 0.6e1 - t6488 * t87951 / 0.6e1 - t87954 - t87955 - t87956 - t87957;
  t87959 = t75726 / 0.2e1;
  t87960 = t75728 / 0.2e1;
  t87961 = t75731 / 0.2e1;
  t87962 = t79502 / 0.3e1;
  t87963 = t79508 / 0.3e1;
  t87974 = t1227 * t87150;
  t87977 = t87959 + t87960 + t87961 - t87962 + t79505 + t87963 + t1522 * t16707 / 0.12e2 + t466 * t78634 / 0.6e1 + t466 * t78638 / 0.6e1 - t6084 * t16681 / 0.6e1 - t6081 * t16681 / 0.6e1 - t1541 * t87974 / 0.6e1;
  t87999 = t1227 * t6333 * t2266;
  t88005 = t188 * t16897 / 0.12e2;
  t88007 = t6358 * t2332 / 0.3e1;
  t88008 = -t1541 * t79867 / 0.6e1 + t12216 * t1255 / 0.4e1 - 0.3e1 * t246 * t11985 * t9021 + 0.3e1 / 0.2e1 * t768 * t16653 + 0.3e1 / 0.2e1 * t757 * t16653 + 0.3e1 / 0.2e1 * t246 * t11966 * t75174 + 0.2e1 / 0.3e1 * t6084 * t16657 + 0.2e1 / 0.3e1 * t6081 * t16657 + 0.2e1 / 0.3e1 * t1541 * t87999 + 0.2e1 / 0.3e1 * t1541 * t79315 - t88005 + t88007;
  t88010 = t21784 * t16668 / 0.2e1;
  t88012 = t6358 * t2324 / 0.3e1;
  t88015 = t75744 / 0.12e2;
  t88016 = t75747 / 0.6e1;
  t88017 = t75753 / 0.4e1;
  t88018 = t75755 / 0.4e1;
  t88019 = t12030 * t414;
  t88020 = t635 * t88019;
  t88021 = t26140 * t88020;
  t88025 = t3171 * t18522 * t414;
  t88029 = t88010 - t88012 + t12216 * t1240 / 0.2e1 - t88015 - t88016 - t88017 + t88018 - 0.7e1 / 0.3e1 * t27523 * t88021 - t3123 * t6066 * t88025 / 0.2e1 + t8659 + t8662 - t8667;
  t88031 = 0.3e1 / 0.2e1 * t75763;
  t88032 = t75766 / 0.2e1;
  t88033 = 0.2e1 * t79576;
  t88034 = 0.14e2 / 0.3e1 * t79579;
  t88035 = t75772 / 0.12e2;
  t88036 = t79584 / 0.6e1;
  t88037 = 0.6e1 * t79588;
  t88038 = t8683 - t16647 + t16648 - t88031 - t88032 + t79545 - t79572 - t88033 + t88034 + t88035 - t88036 - t88037;
  t88042 = t3375 * t87075;
  t88046 = t75788 / 0.2e1;
  t88047 = 0.3e1 / 0.2e1 * t75791;
  t88048 = 0.3e1 / 0.2e1 * t75801;
  t88049 = t75804 / 0.2e1;
  t88050 = 0.12e2 * t79919;
  t88051 = t41656 * t11821;
  t88052 = 0.2e1 * t88051;
  t88053 = t62 * t16704;
  t88054 = t88053 * t206;
  t88055 = t840 * t88054;
  t88060 = t16609 * t206;
  t88061 = t840 * t88060;
  t88064 = t840 * t87944;
  t88067 = t2557 * t48108;
  t88070 = t41881 * t88060;
  t88073 = t41881 * t87940;
  t88075 = t41885 * t88060;
  t88078 = 0.2e1 * t79924;
  t88079 = t16889 * t206;
  t88080 = t3375 * t88079;
  t88083 = 0.2e1 * t76354;
  t88084 = 0.3e1 * t76371;
  t88085 = t2298 * t1512;
  t88086 = t648 * t88085;
  t88089 = t88050 - t88052 - 0.2e1 * t6427 * t88055 - 0.12e2 * t59982 * t8905 - 0.6e1 * t31879 * t88061 - 0.2e1 * t31895 * t88064 + 0.72e2 * t88067 * t10012 - 0.2e1 * t31879 * t88070 - t31895 * t88073 + 0.12e2 * t31879 * t88075 - t88078 - 0.2e1 / 0.3e1 * t1591 * t88080 + t88083 - t88084 - 0.8e1 * t6393 * t88086;
  t88094 = t3448 * t88085;
  t88097 = t21220 * t9976;
  t88100 = 0.2e1 * t76373;
  t88101 = t9929 * t1512;
  t88102 = t840 * t88101;
  t88107 = t3475 * t88101;
  t88110 = t3475 * t9930;
  t88113 = t827 * t88101;
  t88118 = t840 * t87940;
  t88122 = t233 * t59964 * t2105;
  t88126 = t233 * t11819 * t8840;
  t88129 = 0.4e1 * t79930;
  t88130 = 0.8e1 * t11883 * t9994 - 0.2e1 / 0.3e1 * t59766 * t9972 + t6390 * t88094 / 0.9e1 - t11891 * t88097 / 0.6e1 + t88100 - 0.24e2 * t9944 * t88102 + 0.24e2 * t59979 * t9931 - 0.4e1 / 0.3e1 * t9952 * t88107 + 0.2e1 * t59982 * t88110 + 0.12e2 * t9952 * t88113 - 0.18e2 * t59982 * t9948 - 0.3e1 * t31895 * t88118 + 0.2e1 * t9923 * t88122 + 0.2e1 * t9923 * t88126 + t88129;
  t88132 = 0.4e1 * t79960;
  t88133 = 0.2e1 / 0.3e1 * t79964;
  t88134 = 0.4e1 * t79968;
  t88135 = 0.2e1 / 0.3e1 * t76447;
  t88136 = t76457 / 0.2e1;
  t88137 = t827 * t88060;
  t88140 = 0.2e1 / 0.9e1 * t79995;
  t88141 = t11890 * t47995;
  t88144 = t59862 * t47962;
  t88151 = t22013 * t9936;
  t88154 = -t76420 - t88132 - t88133 + t88134 + t88135 + t76455 + t88136 + 0.3e1 * t31864 * t88137 - t88140 - 0.72e2 * t88141 * t9945 + 0.8e1 / 0.3e1 * t88144 * t9953 + 0.24e2 * t88144 * t10015 + 0.8e1 * t88141 * t10015 - 0.4e1 / 0.3e1 * t88144 * t88151 + t8856;
  t88155 = t41885 * t87940;
  t88158 = t48231 * t88060;
  t88161 = t41881 * t87944;
  t88164 = t48306 * t88060;
  t88167 = t41877 * t88060;
  t88170 = t41877 * t87940;
  t88173 = t41877 * t87944;
  t88176 = t16614 * t667;
  t88177 = t41877 * t88176;
  t88180 = t41885 * t87944;
  t88185 = t8875 + t8877 - t8888 + 0.6e1 * t31895 * t88155 + 0.2e1 / 0.3e1 * t31864 * t88158 - 0.2e1 / 0.3e1 * t31895 * t88161 + t31864 * t88164 / 0.9e1 - 0.6e1 * t31898 * t88167 - 0.4e1 * t31906 * t88170 - 0.4e1 * t31906 * t88173 - 0.6e1 * t47988 * t88177 + 0.4e1 * t31895 * t88180 - 0.6e1 * t31864 * t88070 - t15157 - t76466;
  t88188 = 0.4e1 * t76468;
  t88189 = 0.2e1 / 0.3e1 * t76475;
  t88190 = 0.8e1 * t80081;
  t88193 = t3482 * t88101;
  t88196 = t3482 * t9930;
  t88199 = t827 * t87944;
  t88202 = t233 * t88101;
  t88212 = t8891 * t1512;
  t88213 = t233 * t88212;
  t88218 = -t88188 - t76471 - t76473 - t88189 - t88190 + 0.2e1 / 0.9e1 * t59982 * t76681 - 0.2e1 / 0.9e1 * t9952 * t88193 + t59982 * t88196 / 0.3e1 + 0.4e1 / 0.3e1 * t31895 * t88199 + 0.12e2 * t9935 * t88202 - 0.24e2 * t2553 * t48040 * t9937 - 0.6e1 * t59851 * t9940 - 0.12e2 * t88067 * t9945 + 0.4e1 * t6440 * t88213 - 0.6e1 * t59851 * t8896;
  t88219 = t2553 * t26535;
  t88224 = t840 * t88212;
  t88229 = t2557 * t26651;
  t88234 = t233 * t88060;
  t88237 = t233 * t87940;
  t88240 = t233 * t87944;
  t88243 = 0.4e1 / 0.3e1 * t80088;
  t88244 = 0.2e1 * t80090;
  t88247 = t8874 * t11896;
  t88248 = t2118 * t11899;
  t88249 = t8854 * t11865;
  t88250 = 0.2e1 / 0.3e1 * t88249;
  t88251 = -0.4e1 * t88219 * t8902 - 0.1e2 / 0.3e1 * t59979 * t8905 - 0.8e1 * t6427 * t88224 + 0.2e2 * t59979 * t8893 + 0.12e2 * t88229 * t76534 + 0.4e1 / 0.3e1 * t59982 * t76537 + 0.3e1 * t31898 * t88234 + 0.2e1 * t31906 * t88237 + 0.2e1 * t31906 * t88240 + t88243 + t88244 + 0.2e2 / 0.3e1 * t11883 * t8926 - t88247 - t88248 - t88250;
  t88253 = t819 * t88079;
  t88256 = t3430 * t16889 * t667;
  t88262 = 0.4e1 * t80094;
  t88263 = 0.8e1 / 0.3e1 * t80114;
  t88264 = t80117 / 0.9e1;
  t88265 = 0.6e1 * t80120;
  t88266 = 0.2e1 * t80123;
  t88275 = t653 * t88085;
  t88280 = -t1587 * t88253 - t470 * t88256 + 0.2e1 * t2558 * t76431 + 0.1e2 / 0.3e1 * t11891 * t76434 + t88262 - t88263 + t88264 - t88265 - t88266 + 0.2e1 * t2554 * t8921 + 0.2e1 * t11883 * t8939 + 0.2e1 / 0.3e1 * t2558 * t76439 - t11891 * t76610 / 0.9e1 + 0.12e2 * t6393 * t88275 + 0.6e1 * t11883 * t8915;
  t88285 = t3402 * t88085;
  t88290 = t21225 * t9976;
  t88293 = 0.6e1 * t80178;
  t88294 = 0.2e2 / 0.3e1 * t80185;
  t88295 = 0.12e2 * t80188;
  t88296 = t2118 * t11862;
  t88300 = t59964 * t414;
  t88301 = t827 * t88300;
  t88304 = t11819 * t1272;
  t88305 = t827 * t88304;
  t88308 = 0.2e1 * t76497;
  t88309 = 0.6e1 * t76500;
  t88310 = -0.3e1 * t11891 * t76426 - 0.2e2 / 0.3e1 * t11891 * t76595 + 0.2e2 / 0.3e1 * t6390 * t88285 - 0.4e2 * t59766 * t9991 - 0.1e2 * t11891 * t88290 - t88293 + t88294 + t88295 - t88296 - t1585 * t16841 - 0.12e2 * t11883 * t9981 + t6427 * t88301 / 0.3e1 + t6427 * t88305 / 0.3e1 - t88308 + t88309;
  t88314 = 0.12e2 * t76517;
  t88315 = 0.2e1 * t76519;
  t88316 = 0.2e1 / 0.3e1 * t76521;
  t88317 = t76542 / 0.3e1;
  t88320 = t233 * t88300;
  t88323 = t233 * t88304;
  t88326 = t3375 * t88085;
  t88329 = t22070 * t9976;
  t88332 = 0.3e1 * t76556;
  t88333 = 0.6e1 * t76574;
  t88334 = 0.9e1 * t11891 * t88329 + 0.2e1 * t31901 * t16823 - 0.6e1 * t6390 * t88326 + 0.2e1 * t6440 * t88320 + 0.2e1 * t6440 * t88323 - t16831 + t16832 + t16833 - t76540 - t88314 - t88315 - t88316 - t88317 - t88332 + t88333;
  t88335 = 0.1e2 / 0.3e1 * t76578;
  t88337 = t819 * t63 * t87318;
  t88341 = t2141 * t1512;
  t88342 = t3409 * t88341;
  t88347 = t41656 * t11831;
  t88348 = t88347 / 0.3e1;
  t88351 = 0.4e1 / 0.3e1 * t80228;
  t88352 = t76660 * t11828;
  t88353 = 0.2e1 * t88352;
  t88354 = t840 * t88300;
  t88357 = t840 * t88304;
  t88360 = t76576 + t88335 - t470 * t88337 - t11891 * t76553 / 0.9e1 + 0.4e1 * t1591 * t88342 - 0.6e1 * t2558 * t76384 + t88348 - 0.2e1 * t31861 * t16857 + t88351 + t88353 - 0.2e1 * t6427 * t88354 - 0.2e1 * t6427 * t88357 + t15168 + t16834 + t16835;
  t88362 = t21215 * t9962;
  t88365 = t3375 * t88341;
  t88370 = t233 * t88176;
  t88373 = t233 * t88054;
  t88377 = t233 * t88053 * t667;
  t88380 = t827 * t88054;
  t88385 = t827 * t87940;
  t88388 = t3482 * t88060;
  t88391 = t48301 * t9936;
  t88396 = 0.4e1 / 0.3e1 * t76627;
  t88397 = t76629 / 0.18e2;
  t88398 = t2118 * t11912;
  t88399 = t88398 / 0.2e1;
  t88400 = 0.1e2 / 0.3e1 * t59863 * t88362 - 0.8e1 / 0.3e1 * t1591 * t88365 + 0.4e1 * t2558 * t76550 + 0.3e1 * t47988 * t88370 + 0.2e1 * t6440 * t88373 + 0.2e1 * t9923 * t88377 + t6427 * t88380 / 0.3e1 + 0.4e1 * t31879 * t88137 + 0.2e1 * t31895 * t88385 - t31864 * t88388 / 0.18e2 - t88144 * t88391 / 0.9e1 + t31861 * t16860 / 0.3e1 - t88396 + t88397 + t88399;
  t88403 = t3475 * t88060;
  t88406 = t41974 * t11824;
  t88407 = 0.2e1 * t88406;
  t88410 = t819 * t60 * t87318;
  t88421 = t1585 * t16890 / 0.2e1 - 0.1e2 / 0.3e1 * t31864 * t88403 + t88407 - t2554 * t8912 + t470 * t88410 / 0.2e1 - 0.3e1 * t11878 * t8878 - t16836 - t16837 + t16838 + t11891 * t76461 / 0.18e2 - t16839 - 0.4e1 / 0.3e1 * t2558 * t76458 - 0.4e1 * t11883 * t8869 - t8948 - t8949;
  t88424 = 0.2e1 / 0.3e1 * t76651;
  t88425 = t76653 / 0.9e1;
  t88426 = 0.4e1 * t76656;
  t88427 = 0.2e1 * t76658;
  t88428 = 0.2e1 * t76661;
  t88429 = t76663 / 0.3e1;
  t88430 = 0.6e1 * t76669;
  t88431 = 0.2e1 * t76671;
  t88432 = 0.2e1 * t76673;
  t88433 = 0.12e2 * t80306;
  t88434 = 0.4e1 * t80309;
  t88435 = 0.24e2 * t80312;
  t88436 = 0.8e1 * t80315;
  t88437 = -t8966 + t8975 + t88424 - t88425 - t88426 + t88427 + t88428 + t88429 + t88430 + t88431 + t88432 + t88433 + t88434 - t88435 - t88436;
  t88438 = 0.4e1 / 0.3e1 * t80318;
  t88447 = t827 * t88212;
  t88454 = t21225 * t9962;
  t88457 = t2298 * t11860;
  t88458 = t3375 * t88457;
  t88463 = -t88438 + 0.2e1 * t48122 * t16827 + 0.4e1 * t9944 * t88113 - 0.4e1 * t59979 * t9948 + 0.4e1 / 0.3e1 * t88141 * t9953 + 0.4e1 / 0.3e1 * t6427 * t88447 - 0.2e1 * t88229 * t76678 - t15178 - t16863 + t16864 - t16865 + 0.36e2 * t59766 * t10005 - 0.12e2 * t59863 * t88454 - 0.2e1 / 0.3e1 * t1591 * t88458 - 0.36e2 * t59780 * t10001;
  t88468 = t3430 * t2571 * t8840;
  t88474 = t8868 * t2541;
  t88475 = t3375 * t88474;
  t88479 = t3430 * t11911 * t2105;
  t88481 = t819 * t88457;
  t88483 = t819 * t88474;
  t88491 = t3409 * t88079;
  t88497 = -0.1e2 * t11883 * t8972 - t470 * t88468 + 0.6e1 * t11878 * t8967 - 0.2e1 / 0.3e1 * t6419 * t16843 - 0.2e1 / 0.3e1 * t1591 * t88475 - t470 * t88479 - t1587 * t88481 - t1587 * t88483 - t1585 * t16853 + 0.6e1 * t11891 * t76368 - 0.4e1 * t2558 * t76592 - t6413 * t16850 + t1591 * t88491 + 0.3e1 * t11878 * t9977 + 0.24e2 * t59780 * t9963;
  t88498 = t819 * t88341;
  t88505 = t21220 * t9962;
  t88508 = t8854 * t11886;
  t88509 = t3409 * t88474;
  t88518 = t229 * t88085;
  t88523 = t3409 * t88457;
  t88525 = -0.2e1 * t1587 * t88498 + 0.3e1 * t11878 * t8960 + 0.2e1 * t2554 * t8963 + 0.5e2 / 0.3e1 * t59863 * t88505 + t88508 + t1591 * t88509 - 0.12e2 * t11883 * t8930 - 0.2e1 / 0.3e1 * t11891 * t76607 + 0.6e1 * t11891 * t76375 + t6419 * t16820 - 0.6e1 * t6424 * t88518 + 0.12e2 * t59998 * t9997 - t2138 + t1591 * t88523 + t2119 + t16888;
  t88534 = 0.7e1 / 0.3e1 * t75818;
  t88535 = t75821 / 0.2e1;
  t88536 = t22055 * t88176;
  t88540 = 0.3e1 * t4748 * t58826 * t2318 + 0.2e1 * t4738 * t1591 * t88042 - t88046 + t88047 + t16718 + t88048 + t88049 - t30 * t59 * (t88089 + t88130 + t88154 + t88185 + t88218 + t88251 + t88280 + t88310 + t88334 + t88360 + t88400 + t88421 + t88437 + t88463 + t88497 + t88525) * t95 / 0.4e1 - t75815 + t88534 + t88535 - 0.3e1 / 0.2e1 * t4779 * t470 * t88536;
  t88545 = t3138 * t2591 * t2105;
  t88549 = t819 * t88060;
  t88554 = t658 * t2591 * t414;
  t88558 = 0.11e2 / 0.18e2 * t75839;
  t88559 = 0.23e2 / 0.36e2 * t75841;
  t88560 = t75858 / 0.6e1;
  t88562 = t26891 * t16631 / 0.6e1;
  t88563 = t95 * t88060;
  t88564 = t26140 * t88563;
  t88567 = t12110 * t414;
  t88568 = t253 * t88567;
  t88569 = t4770 * t88568;
  t88573 = t4760 * t3121 * t88567;
  t88576 = t3123 * t6475 * t88545 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t6424 * t88549 + t3123 * t6496 * t88554 / 0.2e1 - t88558 + t88559 + t75853 + t88560 - t88562 + 0.11e2 / 0.18e2 * t10036 * t88564 + t6069 * t88569 / 0.6e1 - t6069 * t88573 / 0.3e1;
  t88577 = t635 * t88060;
  t88578 = t25739 * t88577;
  t88581 = t4760 * t88577;
  t88585 = t26082 * t635 * t87940;
  t88596 = t1227 * t87328;
  t88605 = -0.23e2 / 0.36e2 * t10036 * t88578 + 0.2e1 * t10066 * t88581 + t6069 * t88585 - t12216 * t1247 / 0.2e1 - t12216 * t1251 / 0.4e1 - t1293 * t12177 + 0.3e1 / 0.2e1 * t1293 * t12180 + t1293 * t12184 / 0.2e1 - 0.2e1 * t69182 * t88596 - t1293 * t12188 / 0.2e1 - 0.2e1 / 0.3e1 * t2534 * t75217 + t6112 * t16759 / 0.3e1;
  t88609 = t673 * t87150;
  t88613 = 0.2e1 / 0.3e1 * t58606 * t2282;
  t88615 = t6186 * t16681 / 0.18e2;
  t88620 = t1220 * t87354;
  t88635 = t6116 * t16759 / 0.3e1 + t1568 * t88609 / 0.3e1 - t88613 - t88615 - t2529 * t5054 / 0.6e1 + t11960 * t8709 / 0.2e1 - t1218 * t88620 / 0.6e1 + t1218 * t1227 * t12214 * t1221 / 0.3e1 - t58917 * t1235 / 0.2e1 - t1541 * t79468 / 0.3e1 - t11975 * t75871 / 0.2e1 - 0.11e2 / 0.18e2 * t11975 * t75332;
  t88636 = t3430 * t87524;
  t88640 = t3430 * t87529;
  t88652 = t26888 * t16641 / 0.6e1;
  t88653 = t819 * t87542;
  t88657 = t819 * t87547;
  t88661 = t79687 / 0.18e2;
  t88662 = t79698 / 0.3e1;
  t88663 = t79700 / 0.6e1;
  t88664 = t75908 / 0.9e1;
  t88665 = t4779 * t470 * t88636 / 0.2e1 + t4779 * t470 * t88640 / 0.2e1 + t25696 * t16611 / 0.2e1 + t25730 * t16611 / 0.2e1 + t4779 * t6413 * t16610 / 0.2e1 + t88652 + t4779 * t1587 * t88653 / 0.2e1 + t4779 * t1587 * t88657 / 0.2e1 - t88661 + t88662 + t88663 + t88664;
  t88668 = t22051 * t87944;
  t88671 = t75954 / 0.4e1;
  t88672 = 0.2e1 / 0.9e1 * t79722;
  t88681 = t4779 * t1591 * t88668 + t16723 - t8744 - t8748 + t8752 - t88671 + t88672 - 0.5e1 / 0.36e2 * t11975 * t75613 - t768 * t16783 - t757 * t16783 - t246 * t12096 * t76166 + 0.3e1 / 0.2e1 * t768 * t16785;
  t88702 = t768 * t16741;
  t88703 = t88702 / 0.4e1;
  t88704 = t75964 / 0.2e1;
  t88705 = t75966 / 0.2e1;
  t88706 = 0.3e1 / 0.2e1 * t757 * t16785 + 0.3e1 / 0.2e1 * t246 * t12179 * t9121 + t768 * t16788 / 0.2e1 + t757 * t16788 / 0.2e1 + t246 * t12183 * t9012 / 0.2e1 - t5105 * t2593 / 0.4e1 - t5126 * t2593 / 0.4e1 - t1293 * t12161 / 0.4e1 - t1293 * t12166 / 0.4e1 - t88703 - t88704 - t88705;
  t88708 = t75969 / 0.2e1;
  t88709 = t3409 * t88060;
  t88713 = t22051 * t87940;
  t88717 = t4770 * t88563;
  t88719 = t95 * t87940;
  t88720 = t27475 * t88719;
  t88724 = t31575 * t16638 / 0.9e1;
  t88733 = -t88708 - t16724 + 0.3e1 * t4779 * t6393 * t88709 + 0.3e1 / 0.2e1 * t4779 * t1591 * t88713 - t79733 - t10066 * t88717 - t6069 * t88720 / 0.2e1 - t88724 + 0.12e2 * t87473 * t10069 + 0.4e1 * t59290 * t9758 - 0.23e2 / 0.3e1 * t87685 * t10048 - 0.2e1 * t59290 * t9763;
  t88734 = t47276 * t10038;
  t88736 = t47958 * t9770;
  t88739 = t75978 / 0.2e1;
  t88740 = t75980 / 0.6e1;
  t88743 = t8642 * t88719;
  t88746 = t79743 + t10066 * t88734 + t6491 * t88736 / 0.3e1 + t88739 + t88740 + 0.6e1 * t47925 * t9749 - t16743 + t8778 + t8780 - t8785 - t8790 + t6491 * t88743 / 0.3e1;
  t88755 = t41642 * t18972;
  t88761 = t4779 * t8874 * t12118;
  t88762 = t88761 / 0.2e1;
  t88765 = t3130 * t253 * t276 * t16704;
  t88768 = t4770 * t87454;
  t88776 = t41642 * t12022;
  t88779 = t41476 * t12119 / 0.2e1 + t41476 * t12123 / 0.2e1 - t21878 * t88755 / 0.3e1 - t25662 * t12127 / 0.4e1 + t88762 + t6488 * t88765 / 0.12e2 + 0.2e1 / 0.3e1 * t6069 * t88768 - 0.5e1 / 0.3e1 * t59290 * t8651 - t58592 * t75277 + 0.11e2 / 0.9e1 * t58578 * t75497 + t6069 * t88776 / 0.12e2;
  t88780 = t25657 * t12111;
  t88796 = t58606 * t2271 / 0.6e1;
  t88798 = t12074 * t2108 / 0.18e2;
  t88800 = t58599 * t2268 / 0.6e1;
  t88801 = t75982 / 0.3e1;
  t88802 = t6488 * t88780 / 0.12e2 + t58864 * t2276 + t11960 * t10122 + t11960 * t8692 + 0.3e1 / 0.2e1 * t21706 * t16668 + 0.3e1 / 0.2e1 * t21711 * t16668 + 0.3e1 / 0.2e1 * t3680 * t11966 * t75307 - 0.3e1 * t3530 * t16673 + t88796 - t88798 - t88800 + t88801;
  t88804 = t75998 / 0.18e2;
  t88805 = t3375 * t87580;
  t88809 = t3409 * t87580;
  t88813 = t47270 * t10038;
  t88827 = t25739 * t10038;
  t88830 = t47588 * t10047;
  t88833 = t88804 + t16791 - t16793 + t4738 * t1591 * t88805 / 0.2e1 - t4779 * t1591 * t88809 / 0.2e1 - t10036 * t88813 + 0.6e1 * t4738 * t11891 * t75491 - 0.3e1 * t4779 * t11891 * t75843 - 0.18e2 * t4738 * t59780 * t47289 - 0.5e1 * t4738 * t11883 * t42625 - 0.38e2 / 0.9e1 * t86977 * t88827 + 0.89e2 / 0.9e1 * t86977 * t88830;
  t88834 = t26140 * t10038;
  t88837 = t21215 * t9735;
  t88843 = t47588 * t10062;
  t88847 = t47512 * t9871 * t9735;
  t88851 = t30 * t476 * t9871;
  t88854 = t3402 * t87034;
  t88858 = t21225 * t4741;
  t88865 = 0.3e1 * t79801;
  t88866 = 0.6e1 * t79811;
  t88867 = t757 * t16741;
  t88868 = t88867 / 0.4e1;
  t88869 = -0.2e1 * t86977 * t88834 + 0.18e2 * t9873 * t59863 * t88837 + 0.6e1 * t87685 * t10055 - 0.62e2 / 0.3e1 * t86977 * t88843 + 0.8e1 * t86977 * t88847 + 0.3e1 * t88851 * t9875 - 0.6e1 * t4738 * t6390 * t88854 + 0.9e1 * t4738 * t11891 * t88858 - 0.3e1 * t4748 * t58738 * t16672 + t88865 - t88866 - t88868;
  t88873 = t246 * t8745 * t12165;
  t88874 = t88873 / 0.4e1;
  t88879 = t1220 * t87159;
  t88888 = t27475 * t87945;
  t88891 = t79831 / 0.2e1;
  t88892 = t79833 / 0.2e1;
  t88893 = t76002 / 0.6e1;
  t88894 = t76004 / 0.6e1;
  t88895 = t76006 / 0.6e1;
  t88896 = -t88874 - t768 * t16746 / 0.4e1 - t2534 * t26906 / 0.12e2 - t1541 * t88879 / 0.3e1 + t2534 * t26053 / 0.3e1 + 0.2e1 / 0.3e1 * t6069 * t26082 * t635 * t87944 - t6069 * t88888 / 0.3e1 + t88891 + t88892 + t88893 + t88894 + t88895;
  t88897 = t76008 / 0.12e2;
  t88898 = t3130 * t88563;
  t88901 = t3130 * t88568;
  t88904 = t8642 * t87945;
  t88908 = t42955 * t95 * t88176;
  t88911 = t26082 * t88719;
  t88914 = t4760 * t88563;
  t88917 = t79880 / 0.6e1;
  t88918 = t79882 / 0.6e1;
  t88922 = t4760 * t635 * t87075;
  t88925 = t88897 + t15793 + t10097 * t88898 / 0.2e1 - t6491 * t88901 / 0.6e1 + t6491 * t88904 / 0.3e1 + t6488 * t88908 / 0.2e1 - t6069 * t88911 / 0.4e1 - t10066 * t88914 / 0.2e1 - t88917 - t88918 + t58592 * t75393 / 0.6e1 - 0.4e1 / 0.3e1 * t6069 * t88922;
  t88933 = 0.2e1 * t79899;
  t88934 = t41482 * t12104;
  t88935 = t88934 / 0.6e1;
  t88936 = t41479 * t12107;
  t88937 = t88936 / 0.12e2;
  t88938 = t41482 * t12112;
  t88939 = t88938 / 0.12e2;
  t88940 = t47364 * t9770;
  t88947 = t21593 * t16619;
  t88950 = t3130 * t87543;
  t88953 = 0.2e1 * t58592 * t75294 - 0.23e2 / 0.18e2 * t58578 * t75500 - 0.2e1 / 0.3e1 * t58592 * t75281 + t88933 - t88935 + t88937 + t88939 - t6069 * t88940 / 0.3e1 - t31362 * t16627 / 0.6e1 - t31364 * t16627 / 0.6e1 - t6491 * t88947 / 0.6e1 - t6491 * t88950 / 0.6e1;
  t88954 = t3130 * t87548;
  t88961 = t79914 / 0.6e1;
  t88962 = t3430 * t87944;
  t88965 = t25739 * t88563;
  t88968 = t4760 * t88568;
  t88971 = t76177 / 0.18e2;
  t88972 = t76179 / 0.12e2;
  t88973 = t76181 / 0.12e2;
  t88977 = -t6491 * t88954 / 0.6e1 - t31841 * t16616 / 0.6e1 - t31844 * t16616 / 0.6e1 - t88961 - t4779 * t1587 * t88962 + 0.5e1 / 0.36e2 * t10036 * t88965 + t6069 * t88968 / 0.12e2 - t88971 - t88972 - t88973 - t80354 + 0.3e1 / 0.2e1 * t3123 * t58738 * t16652;
  t88984 = t47270 * t9757;
  t88987 = t86981 * t10047;
  t88993 = t2526 * t414;
  t88994 = t635 * t88993;
  t88995 = t10058 * t88994;
  t89001 = t3375 * t87034;
  t89005 = t22070 * t4741;
  t89009 = t653 * t87034;
  t89013 = t76183 / 0.12e2;
  t89014 = t76185 / 0.6e1;
  t89015 = 0.5e1 / 0.36e2 * t76187;
  t89016 = -0.4e1 * t10066 * t47276 * t10047 - 0.4e1 / 0.3e1 * t6069 * t88984 + 0.23e2 / 0.18e2 * t10036 * t88987 + 0.6e1 * t4779 * t11883 * t10079 - 0.28e2 * t79668 * t88995 - 0.3e1 * t3123 * t58826 * t2331 + 0.3e1 * t4779 * t6390 * t89001 - 0.9e1 / 0.2e1 * t4779 * t11891 * t89005 - 0.6e1 * t4779 * t6393 * t89009 + t89013 + t89014 - t89015;
  t89017 = t76189 / 0.6e1;
  t89018 = t76191 / 0.6e1;
  t89019 = t76193 / 0.12e2;
  t89035 = -t89017 - t89018 + t89019 + 0.23e2 / 0.36e2 * t11975 * t75564 + t10160 * t1551 + 0.3e1 / 0.2e1 * t25931 * t11967 + t11960 * t8986 - t46761 * t1548 + 0.3e1 * t5073 * t12093 - 0.3e1 * t1293 * t11986 - 0.3e1 * t5073 * t12195 + 0.3e1 / 0.2e1 * t1293 * t11989;
  t89042 = t660 * t26322 * t2542;
  t89046 = t660 * t5044 * t12143;
  t89051 = t76217 / 0.6e1;
  t89057 = t26082 * t88563;
  t89060 = t22070 * t88060;
  t89064 = t1517 * t16685 / 0.12e2 + t1522 * t16685 / 0.12e2 + t466 * t89042 / 0.12e2 + t466 * t89046 / 0.12e2 + t1517 * t16707 / 0.12e2 - t15803 + t89051 - 0.6e1 * t47709 * t9883 - 0.2e1 * t47709 * t10080 + t32403 * t10076 + t10036 * t89057 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t6390 * t89060;
  t89069 = t21220 * t88060;
  t89073 = t21225 * t88060;
  t89077 = t22070 * t87944;
  t89080 = t80420 / 0.3e1;
  t89081 = 0.3e1 / 0.2e1 * t10036 * t25739 * t3671 * t88060 - 0.3e1 / 0.2e1 * t9873 * t6390 * t89069 + 0.3e1 * t4738 * t6390 * t89073 + t9033 - t9044 - t4738 * t1591 * t89077 - t9058 - t9060 + t89080 - t16900 + t16901 - t2089;
  t89084 = t76255 / 0.4e1;
  t89085 = t76257 / 0.4e1;
  t89086 = t80440 / 0.6e1;
  t89087 = t3409 * t87542;
  t89091 = t3409 * t87547;
  t89097 = t41479 * t12023;
  t89098 = t89097 / 0.6e1;
  t89099 = t43310 * t12022;
  t89102 = t4770 * t87581;
  t89111 = t89084 + t89085 - t89086 - t4779 * t1591 * t89087 / 0.2e1 - t4779 * t1591 * t89091 / 0.2e1 + t31284 * t16634 / 0.6e1 + t89098 + t6069 * t89099 / 0.6e1 + t6069 * t89102 / 0.6e1 + t58578 * t75847 + t6069 * t79735 / 0.3e1 - 0.3e1 * t9873 * t11891 * t75643;
  t89119 = t4738 * t8854 * t58842;
  t89120 = t89119 / 0.2e1;
  t89122 = t4779 * t8854 * t12026;
  t89123 = t89122 / 0.2e1;
  t89124 = t47276 * t9762;
  t89128 = t10037 * t3671 * t87034;
  t89135 = t47512 * t10062;
  t89138 = t25739 * t88994;
  t89141 = t47925 * t9888 - t47709 * t9864 + t42187 * t12032 / 0.2e1 - t41476 * t12027 / 0.2e1 + t89120 - t89123 + 0.2e1 / 0.3e1 * t6069 * t89124 - 0.3e1 * t10036 * t89128 + 0.18e2 * t87685 * t10063 + 0.9e1 / 0.2e1 * t58578 * t26130 - 0.43e2 / 0.9e1 * t86977 * t89135 + 0.47e2 / 0.3e1 * t78666 * t89138;
  t89143 = t76330 / 0.36e2;
  t89144 = t76334 / 0.6e1;
  t89145 = t76336 / 0.6e1;
  t89146 = t76338 / 0.6e1;
  t89147 = t76340 / 0.3e1;
  t89148 = t76341 / 0.3e1;
  t89149 = t47588 * t10038;
  t89152 = t10058 * t9770;
  t89155 = t10037 * t87066;
  t89159 = t31575 * t16634 / 0.18e2;
  t89162 = t4760 * t87454;
  t89165 = t89143 - t89144 - t89145 - t89146 + t89147 + t89148 - 0.61e2 / 0.27e2 * t86977 * t89149 - 0.11e2 / 0.18e2 * t58578 * t89152 + 0.23e2 / 0.18e2 * t10036 * t89155 + t89159 + t58592 * t75286 / 0.3e1 + t6069 * t89162 / 0.3e1;
  t89169 = 0.5e1 / 0.18e2 * t80513;
  t89170 = t76346 / 0.2e1;
  t89171 = t3375 * t88060;
  t89175 = t22070 * t87940;
  t89180 = t3171 * t18704 * t414;
  t89184 = t80531 / 0.3e1;
  t89185 = t80533 / 0.3e1;
  t89186 = -t9110 + t9112 + t80473 - t59290 * t10176 + t59290 * t10042 / 0.2e1 - t89169 - t89170 - 0.3e1 * t4738 * t6393 * t89171 - 0.3e1 / 0.2e1 * t4738 * t1591 * t89175 + t4748 * t6066 * t89180 / 0.2e1 + t89184 - t89185;
  t89193 = my_piecewise3(t2, 0, t88706 + t88681 + t88665 + t88635 + t88605 + t88576 + t88540 + t88038 + t88029 + t88008 + t87977 + t87958 + t87937 + t87924 + t87907 + t87884 + t87848 + t87822 + t87812 + t87771 + t87741 + t87717 + t87691 + t87653 + t87627 + t87604 + t87566 + t87538 + t87506 + t87480 + t87449 + t87428 + t87406 + t87382 + t87358 + t87334 + t87224 + t87201 + t87183 + t87156 + t87129 + t87102 + t87070 + t87031 + t87005 + t86976 + t89064 + t89035 + t89016 + t88977 + t88953 + t88925 + t88896 + t88869 + t88833 + t88802 + t89186 + t89165 + t89141 + t88779 + t88746 + t88733 + t89111 + t89081);
  tv4rhosigmalapl20 = t3 * t89193 + t16906;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 0] += tv4rhosigmalapl20;

  tv4rhosigmalapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 1] += tv4rhosigmalapl21;

  tv4rhosigmalapl22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 2] += tv4rhosigmalapl22;

  tv4rhosigmalapl23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 3] += tv4rhosigmalapl23;

  tv4rhosigmalapl24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 4] += tv4rhosigmalapl24;

  tv4rhosigmalapl25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 5] += tv4rhosigmalapl25;

  tv4rhosigmalapl26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 6] += tv4rhosigmalapl26;

  tv4rhosigmalapl27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 7] += tv4rhosigmalapl27;

  t89195 = t80573 / 0.18e2;
  t89197 = t33520 * t16966 / 0.18e2;
  t89198 = t76709 / 0.2e1;
  t89199 = t76711 / 0.4e1;
  t89201 = t33262 * t16971 / 0.36e2;
  t89203 = t28439 * t16980 / 0.6e1;
  t89205 = t33515 * t16983 / 0.18e2;
  t89207 = t28439 * t16976 / 0.6e1;
  t89225 = t76717 / 0.6e1;
  t89226 = t76721 / 0.12e2;
  t89227 = -t89195 - t89197 - t89198 - t89199 + t89201 + t89203 - t89205 + t89207 + t6656 * t2403 - t33563 * t2390 - 0.3e1 / 0.2e1 * t60878 * t17184 + 0.2e1 / 0.3e1 * t6702 * t17180 + t6709 * t16922 / 0.3e1 - 0.2e1 / 0.3e1 * t12267 * t15465 + t60601 * t2347 + 0.3e1 / 0.2e1 * t23924 * t17191 - t60903 * t2339 / 0.2e1 + t1615 * t16933 / 0.12e2 - t89225 - t89226;
  t89228 = t76725 / 0.6e1;
  t89231 = t76729 / 0.6e1;
  t89232 = t9154 * t2619;
  t89233 = t89232 / 0.12e2;
  t89240 = t945 * t17016;
  t89241 = t89240 / 0.4e1;
  t89244 = t80592 / 0.3e1;
  t89245 = t80604 / 0.6e1;
  t89262 = t28439 * t16987 / 0.6e1;
  t89263 = -t89228 - 0.5e1 / 0.36e2 * t60878 * t16927 - t89231 + t89233 + t12267 * t15479 / 0.6e1 + 0.3e1 / 0.2e1 * t945 * t17024 - t945 * t17021 / 0.4e1 - t89241 + 0.3e1 * t4065 * t17032 + t89244 - t89245 + t4065 * t17035 + t945 * t17027 / 0.2e1 - t12267 * t5686 / 0.12e2 - t12267 * t5665 / 0.6e1 - t1615 * t10656 / 0.6e1 - t5419 * t2663 / 0.2e1 + t12261 * t1449 / 0.6e1 + t60651 * t457 / 0.4e1 - t89262;
  t89265 = t76736 / 0.9e1;
  t89266 = t76738 / 0.18e2;
  t89267 = t76740 / 0.6e1;
  t89268 = t76742 / 0.36e2;
  t89269 = t76746 / 0.2e1;
  t89270 = t76748 / 0.18e2;
  t89272 = t6679 * t17175 / 0.9e1;
  t89274 = t948 * t17058 / 0.2e1;
  t89276 = 0.7e1 / 0.9e1 * t60687 * t17061;
  t89277 = t948 * t17054;
  t89278 = t4040 * t17051;
  t89280 = t60707 * t2342 / 0.6e1;
  t89282 = t12285 * t2199 / 0.18e2;
  t89284 = t5414 * t2663 / 0.6e1;
  t89290 = t12282 * t15461 / 0.9e1;
  t89292 = 0.2e1 / 0.9e1 * t12282 * t15465;
  t89294 = t6679 * t16915 / 0.18e2;
  t89296 = t1618 * t15979 / 0.18e2;
  t89297 = t89265 - t89266 + t89267 - t89268 + t89269 + t89270 - t89272 + t89274 + t89276 - t89277 - t89278 + t89280 - t89282 - t89284 + t12267 * t5669 / 0.3e1 - t6702 * t16915 / 0.6e1 + t89290 - t89292 - t89294 + t89296;
  t89299 = t6631 * t2398 / 0.6e1;
  t89301 = t6631 * t2395 / 0.3e1;
  t89308 = t80611 / 0.3e1;
  t89309 = 0.2e1 / 0.3e1 * t80621;
  t89311 = t4040 * t17035 / 0.3e1;
  t89312 = t4040 * t17032;
  t89314 = t76799 / 0.12e2;
  t89315 = t76801 / 0.12e2;
  t89316 = t76805 / 0.6e1;
  t89318 = t60707 * t2347 / 0.3e1;
  t89320 = 0.2e1 / 0.3e1 * t60707 * t2353;
  t89322 = t23721 * t17191 / 0.2e1;
  t89324 = t33317 * t2390 / 0.3e1;
  t89326 = t6631 * t2403 / 0.3e1;
  t89328 = 0.23e2 / 0.108e3 * t60687 * t17200;
  t89329 = -t80630 + t80632 + t89314 - t89315 + t89316 + t89318 - t89320 + t89322 - t89324 + t89326 + t89328;
  t89334 = t60687 * t17203 / 0.6e1;
  t89336 = 0.2e1 / 0.9e1 * t6679 * t17180;
  t89338 = t60687 * t17184 / 0.2e1;
  t89344 = t33262 * t16990 / 0.18e2;
  t89346 = t33262 * t16994 / 0.9e1;
  t89348 = 0.11e2 / 0.54e2 * t60687 * t17197;
  t89355 = t948 * t17027 / 0.6e1;
  t89357 = t948 * t17024 / 0.2e1;
  t89359 = t948 * t17021 / 0.12e2;
  t89360 = t948 * t17016;
  t89361 = t89360 / 0.12e2;
  t89363 = t5414 * t2668 / 0.12e2;
  t89365 = t948 * t17012 / 0.3e1;
  t89372 = -t89334 + t89336 - t89338 - t33284 * t16994 / 0.3e1 + t12267 * t15461 / 0.3e1 + t89344 - t89346 - t89348 - t6656 * t2398 / 0.2e1 + t1615 * t15979 / 0.6e1 - t6656 * t2395 + t89355 + t89357 - t89359 - t89361 - t89363 - t89365 - t60878 * t17203 / 0.2e1 + 0.23e2 / 0.36e2 * t60878 * t17200 + t28913 * t16997 / 0.2e1;
  t89374 = t28427 * t16997 / 0.6e1;
  t89384 = t12285 * t1449 / 0.18e2;
  t89386 = t1618 * t10656 / 0.18e2;
  t89388 = t12282 * t5665 / 0.18e2;
  t89390 = t12282 * t5686 / 0.36e2;
  t89392 = t12282 * t5669 / 0.9e1;
  t89394 = t49479 * t505 / 0.6e1;
  t89396 = t60924 * t457 / 0.12e2;
  t89398 = t1354 * t12591 / 0.36e2;
  t89400 = t28634 * t2659 / 0.6e1;
  t89402 = t5414 * t2671 / 0.6e1;
  t89409 = t80668 / 0.6e1;
  t89410 = t80674 / 0.2e1;
  t89411 = t89374 + t49454 * t505 / 0.2e1 + t5419 * t2671 / 0.2e1 - t28861 * t2659 / 0.2e1 - t1351 * t12591 / 0.12e2 + t89384 - t89386 - t89388 - t89390 + t89392 + t89394 + t89396 - t89398 - t89400 + t89402 - t290 * t17172 / 0.4e1 - 0.11e2 / 0.18e2 * t60878 * t17197 - 0.2e1 * t60601 * t2353 + t89409 + t89410;
  t89413 = t76833 / 0.36e2;
  t89414 = t80696 / 0.9e1;
  t89415 = t80708 / 0.18e2;
  t89416 = t80710 / 0.9e1;
  t89417 = t80727 / 0.6e1;
  t89419 = t294 * t17172 / 0.12e2;
  t89420 = t76869 / 0.3e1;
  t89421 = t76876 / 0.36e2;
  t89422 = 0.2e1 / 0.9e1 * t80767;
  t89423 = t80775 / 0.3e1;
  t89424 = t80777 / 0.3e1;
  t89425 = t80779 / 0.3e1;
  t89442 = -t89413 + t89414 - t89415 - t89416 - t89417 - t89419 + t89420 + t89421 + t89422 - t89423 - t89424 + t89425 + t33284 * t16971 / 0.12e2 - t33281 * t16966 / 0.6e1 - t33278 * t16983 / 0.6e1 + t28455 * t16980 / 0.2e1 - t6702 * t17175 / 0.3e1 + 0.7e1 / 0.3e1 * t60878 * t17061 + 0.3e1 / 0.2e1 * t945 * t17058 - 0.3e1 * t945 * t17054;
  t89446 = t60783 * t2339 / 0.6e1;
  t89448 = t1618 * t16955 / 0.36e2;
  t89450 = t1618 * t16933 / 0.36e2;
  t89451 = t9178 * t2619;
  t89452 = t89451 / 0.36e2;
  t89454 = 0.5e1 / 0.108e3 * t60687 * t16927;
  t89456 = t12282 * t15479 / 0.18e2;
  t89458 = t6684 * t16922 / 0.9e1;
  t89460 = t76878 / 0.12e2;
  t89461 = t76882 / 0.4e1;
  t89462 = t76890 / 0.12e2;
  t89465 = t76912 / 0.2e1;
  t89473 = -t9180 + t9188 - t89460 + t89461 + t89462 + t28455 * t16976 / 0.2e1 - t89465 - t28455 * t16987 / 0.2e1 + t33284 * t16990 / 0.6e1 - t5419 * t2668 / 0.4e1 - t945 * t17012;
  t89478 = my_piecewise3(t100, 0, -0.3e1 * t4065 * t17051 - t12261 * t2199 / 0.6e1 + t60601 * t2342 / 0.2e1 + t1615 * t16955 / 0.12e2 - t80628 + t89473 + t89456 + t89458 + t89452 - t89454 - t89446 + t89448 + t89450 + t89442 + t89411 + t89372 + t89329 + t89309 + t89311 + t89312 - t89308 - t89301 + t89297 - t89299 + t89263 + t89227 - t9156 + t9168);
  tv4rhosigmalapl28 = t3 * t89478 + t17211;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 8] += tv4rhosigmalapl28;

  t89502 = -0.3e1 * t903 * t16649 + 0.3e1 / 0.2e1 * t903 * t16653 - t1632 * t10155 / 0.6e1 + t12304 * t5068 / 0.3e1 - t1368 * t12211 / 0.12e2 - t12304 * t5102 / 0.12e2 - t12304 * t5064 / 0.6e1 - t5379 * t2588 / 0.2e1 + 0.7e1 / 0.3e1 * t60314 * t16777 - t60314 * t16774 / 0.2e1 + 0.23e2 / 0.36e2 * t60314 * t16771 - t86998 + t87002 - t87004 + t87008 - t87028 - t87030 + t80818 - t87122 - t87124;
  t89503 = -t87143 + t87158 - t87179 + t87181 - t80837 + t87336 + t87338 + t87340 + t87342 - t87344 - t87346 - t87376 + t87384 + t87390 - t87392 - t87394 + t87397 - t87399 - t87412 + t87434;
  t89505 = t76936 / 0.12e2;
  t89506 = t76940 / 0.6e1;
  t89507 = t76943 / 0.3e1;
  t89508 = t76950 / 0.2e1;
  t89515 = t9213 * t2544;
  t89516 = t89515 / 0.12e2;
  t89525 = t87443 - t87445 - t87447 + t87487 + t87489 - t87491 + t87493 + t87503 - t89505 - t89506 + t89507 + t89508 + t60407 * t2271 / 0.2e1 - t12312 * t2108 / 0.6e1 - t60560 * t2268 / 0.2e1 + t89516 + t12304 * t15058 / 0.6e1 - 0.5e1 / 0.36e2 * t60314 * t16714 + t12304 * t15036 / 0.3e1 + t1632 * t16707 / 0.12e2;
  t89562 = -0.3e1 * t3802 * t16673 + 0.3e1 / 0.2e1 * t22751 * t16668 + t6575 * t2332 - 0.3e1 / 0.2e1 * t60314 * t16661 - t32796 * t2319 + 0.2e1 / 0.3e1 * t6541 * t16657 + t32743 * t16620 / 0.12e2 - t32748 * t16616 / 0.6e1 - t32751 * t16627 / 0.6e1 + t60512 * t432 / 0.4e1 + t49063 * t481 / 0.2e1;
  t89572 = t80864 / 0.2e1;
  t89573 = t80866 / 0.6e1;
  t89574 = t80891 / 0.3e1;
  t89579 = t76961 / 0.2e1;
  t89580 = t76963 / 0.4e1;
  t89581 = t5379 * t2596 / 0.2e1 - t27916 * t2584 / 0.2e1 + t12312 * t1288 / 0.6e1 - t87622 + t87623 + t89572 - t87626 - t89573 + t87630 + t89574 + t27723 * t16611 / 0.2e1 + t27723 * t16624 / 0.2e1 + t87634 - t87701 - t89579 - t89580 - t87703 + t87705 + t87707 - t87708;
  t89584 = t903 * t16741;
  t89585 = t89584 / 0.4e1;
  t89595 = t87754 - t903 * t16746 / 0.4e1 - t89585 - t5379 * t2593 / 0.4e1 + 0.3e1 / 0.2e1 * t903 * t16785 + t903 * t16788 / 0.2e1 - t903 * t16783 - t6541 * t16780 / 0.3e1 + t87756 + t87758 - t87759 - t87761 + t87833 - t87919 - t87957 - t88005 + t88007 + t88010 - t88012 - t88015;
  t89603 = t76998 / 0.12e2;
  t89604 = 0.2e1 / 0.3e1 * t80901;
  t89605 = t80904 / 0.3e1;
  t89606 = t77000 / 0.12e2;
  t89607 = t77007 / 0.2e1;
  t89608 = -t88016 - t8667 + t8683 + t88035 + t1632 * t15621 / 0.6e1 + t6609 * t16759 / 0.3e1 - 0.2e1 / 0.3e1 * t12304 * t15040 - t88562 - t88613 - t88615 - t89603 + t89604 - t89605 - t80906 + t88652 + t89606 - t89607 - t88661 + t88664 + t88672;
  t89609 = t77015 / 0.4e1;
  t89621 = t80921 / 0.6e1;
  t89622 = t77031 / 0.6e1;
  t89623 = -t307 * t16897 / 0.4e1 - t89621 - t88971 + t89051 - t9215 + t9226 + t89143 + t89159 + t89622 + t89184 - t89185;
  t89628 = my_piecewise3(t2, 0, t1632 * t16685 / 0.12e2 - t6575 * t2327 / 0.2e1 - t6575 * t2324 + t3802 * t16752 + 0.3e1 * t3802 * t16749 - t6541 * t16681 / 0.6e1 - 0.11e2 / 0.18e2 * t60314 * t16768 + t60407 * t2276 - 0.2e1 * t60407 * t2282 + t27867 * t16641 / 0.2e1 - t32743 * t16638 / 0.3e1 + t32743 * t16634 / 0.6e1 - t27723 * t16631 / 0.2e1 - t87577 + t89623 + t89608 + t89609 + t89595 + t89581 + t89562 + t89525 + t89502 + t89503 + t88804 - t88798 - t88800 + t88796 - t88724);
  tv4rhosigmalapl29 = t3 * t89628 + t16906;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 9] += tv4rhosigmalapl29;

  tv4rhosigmalapl210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 10] += tv4rhosigmalapl210;

  tv4rhosigmalapl211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 11] += tv4rhosigmalapl211;

  tv4rhosigmalapl212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 12] += tv4rhosigmalapl212;

  tv4rhosigmalapl213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 13] += tv4rhosigmalapl213;

  tv4rhosigmalapl214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 14] += tv4rhosigmalapl214;

  tv4rhosigmalapl215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 15] += tv4rhosigmalapl215;

  tv4rhosigmalapl216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 16] += tv4rhosigmalapl216;

  t89630 = t110 * t62594;
  t89632 = t50165 * t10504 * t10452;
  t89636 = t110 * t500 * t10504;
  t89643 = t24930 * t10452;
  t89647 = t24848 * t10452;
  t89651 = t50186 * t10453;
  t89653 = t4376 * t500;
  t89657 = t24958 * t10452;
  t89661 = t24794 * t10452;
  t89668 = 0.8e1 * t89630 * t89632 + 0.3e1 * t89636 * t10509 - 0.6e1 * t51823 * t10553 + 0.3e1 * t50177 * t10533 - 0.6e1 * t50149 * t62594 * t89643 + 0.6e1 * t5540 * t62594 * t89647 - t10457 * t89651 + 0.14e2 / 0.3e1 * t10457 * t89653 * t10491 + 0.18e2 * t10506 * t62594 * t89657 - 0.18e2 * t5559 * t62594 * t89661 - 0.18e2 * t5540 * t62590 * t10532;
  t89669 = t80960 / 0.6e1;
  t89670 = t80962 / 0.6e1;
  t89671 = t80972 / 0.3e1;
  t89674 = t439 * t1671;
  t89675 = t168 * t89674;
  t89676 = t5553 * t89675;
  t89678 = t1021 * t89674;
  t89679 = t10458 * t89678;
  t89682 = t10485 * t10467;
  t89685 = t50229 * t10467;
  t89692 = 0.3e1 * t80978;
  t89693 = -t89195 - t89669 - t89670 - t89671 - t61943 * t9280 / 0.6e1 + t10451 * t89676 + 0.23e2 / 0.18e2 * t10457 * t89679 - 0.11e2 / 0.18e2 * t61262 * t89682 - t6824 * t89685 / 0.3e1 - 0.2e1 * t50177 * t10631 - 0.6e1 * t50177 * t10521 + t89692;
  t89699 = t5634 * t10677;
  t89704 = t5623 * t10593;
  t89709 = t5640 * t10677;
  t89718 = t80982 - t89197 + t1454 * t12535 / 0.2e1 - t61286 * t17203 / 0.2e1 - t12347 * t89699 / 0.2e1 - t12347 * t77065 / 0.2e1 + 0.23e2 / 0.36e2 * t12347 * t89704 + 0.23e2 / 0.36e2 * t12347 * t77839 - 0.11e2 / 0.18e2 * t12347 * t89709 - 0.11e2 / 0.18e2 * t12347 * t77848 + 0.23e2 / 0.36e2 * t61286 * t17200 - 0.2e1 * t12643 * t9427;
  t89728 = 0.2e1 * t80995;
  t89729 = 0.3e1 * t80999;
  t89730 = 0.4e1 * t81006;
  t89733 = -0.11e2 / 0.18e2 * t61286 * t17197 + t12643 * t9415 - 0.2e1 * t61077 * t2353 - 0.2e1 * t12643 * t10594 + t61077 * t2347 + t12643 * t10687 + t89728 - t89729 - t81002 - t89730 - t81009 - 0.3e1 * t1078 * t17054;
  t89753 = t61957 * t1394;
  t89754 = t1393 * t89753;
  t89763 = -0.3e1 * t1056 * t17054 - 0.3e1 * t4383 * t17051 - 0.3e1 * t1030 * t12336 * t77658 - 0.3e1 * t4349 * t17051 + t12643 * t9408 / 0.2e1 - t61715 * t1408 / 0.2e1 + t12596 * t1413 / 0.2e1 - t50014 * t1693 + t10647 * t1696 - t1391 * t89754 / 0.6e1 + t1391 * t1400 * t12594 * t1394 / 0.3e1 + 0.3e1 / 0.2e1 * t1454 * t12363;
  t89779 = 0.3e1 / 0.2e1 * t30060 * t12367 + 0.3e1 * t5674 * t12715 - 0.3e1 * t1454 * t12342 - 0.3e1 * t5674 * t12337 + t89201 + t89203 - t89205 + t89207 - t5717 * t2668 / 0.4e1 - t1454 * t12695 / 0.4e1 - t1454 * t12700 / 0.4e1 - t1056 * t17012;
  t89790 = t2601 * t2196;
  t89792 = t29498 * t4403 * t89790;
  t89797 = t77090 / 0.2e1;
  t89798 = t77092 / 0.2e1;
  t89800 = 0.3e1 * t77265;
  t89801 = -t373 * t12527 * t77500 + t5535 * t61612 * t15473 - 0.3e1 * t5559 * t2633 * t77606 - t51828 * t10561 + t50177 * t10608 - t34283 * t10611 + 0.3e1 * t50177 * t10615 + 0.3e1 * t29011 * t89792 - t81141 + t89797 + t89798 + t89800;
  t89802 = 0.3e1 * t77268;
  t89803 = t77272 / 0.2e1;
  t89804 = t77274 / 0.2e1;
  t89805 = t1078 * t17016;
  t89806 = t89805 / 0.4e1;
  t89807 = t1056 * t17016;
  t89808 = t89807 / 0.4e1;
  t89809 = t81188 / 0.3e1;
  t89810 = 0.5e1 / 0.18e2 * t81191;
  t89811 = 0.5e1 / 0.36e2 * t77290;
  t89812 = t77292 / 0.12e2;
  t89813 = t81198 / 0.6e1;
  t89814 = 0.2e1 * t81204;
  t89815 = -t89802 + t89803 - t89804 - t89806 - t89808 + t81184 + t89809 - t89810 - t89811 - t89812 - t89813 + t89814;
  t89819 = 0.2e1 / 0.3e1 * t81206;
  t89820 = 0.11e2 / 0.9e1 * t81211;
  t89821 = t81214 / 0.3e1;
  t89822 = t77303 / 0.2e1;
  t89823 = t77305 / 0.2e1;
  t89824 = t77308 / 0.2e1;
  t89825 = t77318 / 0.2e1;
  t89826 = t77321 / 0.2e1;
  t89827 = t77330 / 0.4e1;
  t89828 = t77332 / 0.4e1;
  t89829 = t77335 / 0.4e1;
  t89830 = t89819 - t89820 - t89821 - t89822 - t89823 - t89824 - t89825 - t89826 - t89827 - t89828 - t89829;
  t89831 = t77376 / 0.2e1;
  t89840 = t34384 * t2337;
  t89841 = t1400 * t89840;
  t89856 = -t89831 - 0.2e1 / 0.3e1 * t2609 * t77082 + t12565 * t15461 / 0.3e1 + t2609 * t77737 / 0.3e1 + t2609 * t77740 / 0.3e1 - t1651 * t89841 / 0.6e1 - t1651 * t81354 / 0.6e1 - 0.2e1 / 0.3e1 * t12565 * t15465 - 0.2e1 / 0.3e1 * t2609 * t77561 + t490 * t80969 / 0.6e1 - t6755 * t16915 / 0.6e1 - t6760 * t16915 / 0.6e1;
  t89882 = t490 * t80965 / 0.6e1 - t1663 * t10711 / 0.2e1 + t1677 * t15979 / 0.6e1 + t1682 * t15979 / 0.6e1 - t6876 * t2398 / 0.2e1 - t29044 * t2659 / 0.2e1 + t5689 * t2671 / 0.2e1 + t5717 * t2671 / 0.2e1 - t5717 * t2663 / 0.2e1 - t5689 * t2663 / 0.2e1 - t6855 * t2398 / 0.2e1 - t1663 * t10708 / 0.2e1;
  t89902 = -t6855 * t2395 - t1663 * t10698 - t1663 * t10701 + t1030 * t12527 * t77550 - t6876 * t2395 + 0.3e1 * t1030 * t12341 * t9448 + t4349 * t17035 + t4383 * t17035 + 0.3e1 * t4349 * t17032 + 0.3e1 * t4383 * t17032 + t2604 * t5683 / 0.6e1 + t12562 * t1449 / 0.6e1;
  t89919 = t81327 / 0.6e1;
  t89920 = t81334 / 0.6e1;
  t89921 = t81336 / 0.6e1;
  t89922 = t81340 / 0.3e1;
  t89923 = -t490 * t50021 / 0.6e1 - t1677 * t10656 / 0.6e1 - t1682 * t10656 / 0.6e1 - t2609 * t29035 / 0.6e1 - t12565 * t5665 / 0.6e1 - t12565 * t5686 / 0.12e2 - t2609 * t29314 / 0.12e2 - t89919 + t89920 - t89921 + t89922 - t89225;
  t89930 = t6006 * t12648;
  t89931 = t1000 * t89930;
  t89944 = t16952 * t333;
  t89945 = t4408 * t89944;
  t89949 = t4549 * t89944;
  t89953 = -t89226 - t89228 + t2604 * t6017 / 0.6e1 - t2604 * t6008 / 0.6e1 - t12659 * t9434 / 0.2e1 + t1644 * t89931 / 0.3e1 + t51823 * t10526 - 0.3e1 * t10506 * t12398 * t77245 - 0.18e2 * t5559 * t62640 * t50621 - 0.5e1 * t5559 * t12394 * t46057 + t5559 * t1720 * t89945 / 0.2e1 - t5540 * t1720 * t89949 / 0.2e1;
  t89956 = t5540 * t9568 * t12506;
  t89957 = t89956 / 0.2e1;
  t89962 = t50186 * t17659;
  t89967 = t81371 / 0.3e1;
  t89968 = t77380 / 0.12e2;
  t89969 = t77406 / 0.2e1;
  t89970 = t77426 / 0.12e2;
  t89971 = t77428 / 0.12e2;
  t89972 = t77441 / 0.6e1;
  t89973 = -t89957 - t6827 * t81815 / 0.3e1 + t6824 * t81818 / 0.6e1 - 0.2e1 / 0.3e1 * t24164 * t89962 - t34283 * t10621 / 0.2e1 + t89967 + t89968 + t81404 + t89969 - t89970 - t89971 + t89972;
  t89974 = t2196 * t1671;
  t89975 = t168 * t89974;
  t89976 = t5549 * t89975;
  t89981 = t50205 * t10467;
  t89984 = t50205 * t10453;
  t89986 = t35145 * t10447;
  t89991 = t4137 * t89975;
  t89996 = t10485 * t89675;
  t89999 = t110 * t62640;
  t90004 = t77445 / 0.2e1;
  t90005 = t6824 * t89976 / 0.3e1 - 0.5e1 / 0.6e1 * t61452 * t9275 + t6830 * t89981 / 0.3e1 - t10462 * t89984 - t6830 * t89986 / 0.3e1 + t61943 * t9272 / 0.3e1 - t6830 * t89991 / 0.3e1 - t61936 * t10468 / 0.2e1 - 0.11e2 / 0.9e1 * t10457 * t89996 - 0.3e1 * t89999 * t10454 + t61936 * t10448 / 0.2e1 - t90004;
  t90010 = t77447 / 0.4e1;
  t90011 = t77451 / 0.3e1;
  t90012 = t77456 / 0.4e1;
  t90021 = t77482 / 0.12e2;
  t90022 = -t90010 + t90011 + t90012 - t81451 - t16907 + t16908 - t33986 * t16983 / 0.6e1 - t33978 * t16983 / 0.6e1 + t29767 * t16980 / 0.2e1 + t29773 * t16980 / 0.2e1 - t90021;
  t90023 = t77485 / 0.12e2;
  t90024 = t77487 / 0.12e2;
  t90025 = t77489 / 0.12e2;
  t90026 = t77491 / 0.12e2;
  t90027 = t77493 / 0.6e1;
  t90028 = t50229 * t10453;
  t90031 = t50222 * t10447;
  t90034 = t50504 * t10491;
  t90039 = t10485 * t89678;
  t90042 = -t90023 - t90024 - t89262 + t90025 + t90026 + t90027 + 0.2e1 * t10451 * t90028 + 0.2e1 / 0.3e1 * t6824 * t90031 + 0.89e2 / 0.9e1 * t89630 * t90034 + 0.7e1 / 0.3e1 * t61262 * t30701 + 0.14e2 / 0.3e1 * t10457 * t90039 + t89265;
  t90044 = 0.2e1 * t81509;
  t90045 = 0.14e2 / 0.3e1 * t81511;
  t90046 = t77510 / 0.12e2;
  t90047 = t77512 / 0.12e2;
  t90048 = 0.2e1 / 0.3e1 * t81533;
  t90049 = -t89266 + t89267 - t81500 + t81502 - t90044 + t90045 + t81514 - t90046 - t90047 - t89268 + t89270 + t90048;
  t90050 = t89653 * t10453;
  t90053 = t77554 / 0.6e1;
  t90054 = t77556 / 0.6e1;
  t90055 = t77558 / 0.6e1;
  t90056 = -t89272 + t89274 + t89276 - t89277 - t89278 + t89280 - t89282 - 0.11e2 / 0.9e1 * t10457 * t90050 + t90053 - t90054 - t90055 - t89284;
  t90061 = t24823 * t5562;
  t90065 = t2601 * t439;
  t90066 = t1021 * t90065;
  t90073 = t4408 * t89674;
  t90088 = t2616 * t9397;
  t90089 = t4543 * t90088;
  t90093 = t16969 * t994;
  t90094 = t4543 * t90093;
  t90098 = t985 * t2666 * t439;
  t90102 = -0.7e1 * t61262 * t30708 - 0.9e1 / 0.2e1 * t5540 * t12398 * t90061 + 0.47e2 / 0.3e1 * t82588 * t29498 * t90066 + 0.3e1 / 0.2e1 * t4145 * t61485 * t17057 + 0.3e1 * t5540 * t6988 * t90073 - 0.28e2 * t82647 * t10485 * t90066 - 0.3e1 * t4145 * t62022 * t2402 + 0.6e1 * t5540 * t12394 * t10630 - t318 * t17172 / 0.4e1 + t5540 * t494 * t90089 / 0.2e1 - t5540 * t1716 * t90094 + t4145 * t7123 * t90098 / 0.2e1;
  t90103 = t16964 * t333;
  t90104 = t4543 * t90103;
  t90107 = t16969 * t333;
  t90108 = t1182 * t90107;
  t90112 = t12554 * t439;
  t90114 = t5549 * t4143 * t90112;
  t90117 = t380 * t90112;
  t90118 = t5549 * t90117;
  t90121 = t168 * t90103;
  t90122 = t29911 * t90121;
  t90127 = t9270 * t380 * t12554 * t2196;
  t90130 = t168 * t90093;
  t90131 = t29911 * t90130;
  t90134 = t168 * t90107;
  t90135 = t29498 * t90134;
  t90138 = t5587 * t90117;
  t90141 = t1021 * t90107;
  t90142 = t5549 * t90141;
  t90146 = t29911 * t1021 * t90093;
  t90148 = t29498 * t90141;
  t90151 = -t5540 * t1716 * t90104 - 0.3e1 / 0.2e1 * t5540 * t7010 * t90108 - t6824 * t90114 / 0.3e1 + t6824 * t90118 / 0.12e2 - t6824 * t90122 / 0.6e1 - t6827 * t90127 / 0.6e1 - t6824 * t90131 / 0.4e1 + 0.5e1 / 0.36e2 * t10457 * t90135 + t6824 * t90138 / 0.6e1 + 0.2e1 * t10451 * t90142 + t6824 * t90146 - 0.23e2 / 0.36e2 * t10457 * t90148;
  t90153 = t24823 * t90093;
  t90157 = t12518 * t439;
  t90163 = t4161 * t18819 * t439;
  t90167 = t4549 * t90107;
  t90171 = t24962 * t90093;
  t90175 = t4408 * t90107;
  t90179 = -0.3e1 / 0.2e1 * t5559 * t1720 * t90153 + 0.3e1 / 0.2e1 * t29011 * t29498 * t4403 * t90157 + t5535 * t7126 * t90163 / 0.2e1 + 0.3e1 * t5540 * t6984 * t90167 + 0.3e1 / 0.2e1 * t5540 * t1720 * t90171 - 0.3e1 * t5559 * t6984 * t90175 + t89290 - t89292 - t89294 + t89296 - t89299 - t89301;
  t90196 = t50197 * t10540;
  t90199 = 0.3e1 / 0.2e1 * t24589 * t17191 + 0.3e1 / 0.2e1 * t4395 * t12336 * t77095 + t1663 * t10439 + t1663 * t10442 + 0.3e1 / 0.2e1 * t24584 * t17191 - t6848 * t10725 + t6876 * t2403 + t6855 * t2403 - t34808 * t2390 - t6848 * t10722 - t490 * t50857 / 0.6e1 + 0.2e1 / 0.3e1 * t6824 * t90196;
  t90203 = t4396 * t500;
  t90204 = t90203 * t10491;
  t90210 = t50186 * t10536;
  t90213 = t50504 * t10453;
  t90216 = t4408 * t89974;
  t90226 = t1034 * t89674;
  t90235 = 0.23e2 / 0.18e2 * t10457 * t90204 - 0.4e1 * t10451 * t50197 * t10491 - 0.4e1 / 0.3e1 * t6824 * t90210 - 0.61e2 / 0.27e2 * t89630 * t90213 + 0.2e1 * t5559 * t1720 * t90216 - 0.6e1 * t5559 * t12394 * t5563 + 0.3e1 * t5535 * t62022 * t2389 + 0.6e1 * t5559 * t6984 * t90226 - 0.3e1 / 0.2e1 * t5540 * t12388 * t9258 - t5540 * t2629 * t9263 + t89311;
  t90236 = t356 * t89674;
  t90252 = t12435 * t2196;
  t90253 = t4543 * t90252;
  t90262 = t12435 * t439;
  t90263 = t1182 * t90262;
  t90267 = t2616 * t1383;
  t90268 = t1182 * t90267;
  t90272 = 0.3e1 / 0.2e1 * t77622;
  t90273 = t89312 + 0.3e1 * t5540 * t7010 * t90236 - 0.6e1 * t5540 * t62599 * t10614 - 0.3e1 / 0.2e1 * t5540 * t12388 * t10607 + 0.3e1 / 0.2e1 * t4145 * t62014 * t2394 + t5540 * t1714 * t16979 / 0.2e1 + t5540 * t494 * t90253 / 0.2e1 + t29773 * t16976 / 0.2e1 + t5540 * t7005 * t16975 / 0.2e1 + t5540 * t1716 * t90263 / 0.2e1 + t5540 * t1716 * t90268 / 0.2e1 - t90272;
  t90275 = t77625 / 0.2e1;
  t90276 = t5582 * t89675;
  t90283 = t4137 * t380 * t403 * t16952;
  t90286 = t168 * t89944;
  t90287 = t5549 * t90286;
  t90292 = t16952 * t994;
  t90294 = t9270 * t168 * t90292;
  t90297 = t4137 * t90286;
  t90300 = t77581 * t12547;
  t90303 = t44807 * t12510;
  t90306 = t28964 * t12555;
  t90309 = 0.2e1 / 0.3e1 * t81565;
  t90310 = -t90275 - t10462 * t90276 + 0.2e1 * t110 * t62599 * t10463 + t6827 * t90283 / 0.12e2 + t6824 * t90287 / 0.12e2 - 0.2e1 * t61452 * t10541 - t6827 * t90294 / 0.6e1 - t6830 * t90297 / 0.6e1 - t6827 * t90300 / 0.6e1 + t6824 * t90303 / 0.12e2 + t6827 * t90306 / 0.12e2 + t90309;
  t90311 = t77698 / 0.2e1;
  t90312 = t77700 / 0.2e1;
  t90318 = t1400 * t1452 * t12648;
  t90326 = t1400 * t10645 * t2756;
  t90336 = -t90311 + t90312 + 0.23e2 / 0.36e2 * t12347 * t77788 + t2609 * t29586 / 0.3e1 + 0.2e1 / 0.3e1 * t1651 * t90318 - 0.2e1 / 0.3e1 * t2609 * t29852 - t10647 * t1704 / 0.2e1 + 0.2e1 / 0.3e1 * t4245 * t90326 + t10647 * t1708 / 0.2e1 - t10647 * t1700 - t12596 * t1424 / 0.4e1 + t12596 * t1428 / 0.4e1;
  t90343 = t1400 * t89753;
  t90346 = 0.3e1 * t81573;
  t90347 = 0.6e1 * t81577;
  t90352 = t29517 * t10447;
  t90355 = t5549 * t10467;
  t90358 = t29911 * t10447;
  t90361 = t5549 * t89675;
  t90363 = -t12596 * t1420 / 0.2e1 - t442 * t61959 / 0.12e2 - t1391 * t90343 / 0.12e2 + t90346 + t90347 - t6830 * t81216 / 0.3e1 + t50177 * t10624 + t50177 * t10618 + 0.11e2 / 0.6e1 * t61262 * t90352 - t61262 * t90355 / 0.2e1 + 0.3e1 / 0.2e1 * t61262 * t90358 - t10457 * t90361;
  t90364 = t10458 * t10540;
  t90367 = t50165 * t10491;
  t90370 = t29498 * t10536;
  t90373 = t81581 / 0.3e1;
  t90380 = 0.23e2 / 0.36e2 * t61262 * t90364 + 0.44e2 / 0.27e2 * t89630 * t90367 - 0.23e2 / 0.12e2 * t61262 * t90370 - t90373 + t490 * t51410 / 0.6e1 + t1644 * t81330 / 0.3e1 - t2609 * t29582 / 0.6e1 + t89318 - t89320 + t89322 - t89324 + t89326;
  t90382 = t77799 / 0.2e1;
  t90383 = t77801 / 0.12e2;
  t90384 = 0.2e1 / 0.3e1 * t77803;
  t90385 = t77805 / 0.3e1;
  t90386 = t77806 / 0.3e1;
  t90387 = t77807 / 0.6e1;
  t90388 = t89328 - t89334 + t89336 - t89338 + t16931 - t90382 + t90383 - t90384 + t90385 + t90386 - t90387 - t81624;
  t90389 = t81627 / 0.3e1;
  t90390 = t81630 / 0.3e1;
  t90392 = t1093 * t89674;
  t90399 = t24848 * t5562;
  t90403 = t4403 * t90065;
  t90407 = t28964 * t12510;
  t90410 = t46009 * t12556;
  t90411 = t90410 / 0.12e2;
  t90412 = t46009 * t12548;
  t90413 = t90412 / 0.6e1;
  t90414 = t45849 * t12551;
  t90415 = t90414 / 0.12e2;
  t90416 = -t90389 + t90390 - t2180 - t61452 * t10471 - 0.6e1 * t5540 * t6984 * t90392 + 0.18e2 * t5540 * t62640 * t10520 + 0.9e1 * t5559 * t12398 * t90399 - 0.62e2 / 0.3e1 * t82588 * t50504 * t90403 - t6830 * t90407 / 0.6e1 + t90411 - t90413 + t90415;
  t90422 = t29795 * t16970;
  t90429 = t46515 * t16965;
  t90433 = t9270 * t168 * t90252;
  t90437 = t9270 * t168 * t90088;
  t90440 = t24237 * t16970;
  t90443 = t168 * t90262;
  t90444 = t4137 * t90443;
  t90447 = t168 * t90267;
  t90448 = t4137 * t90447;
  t90452 = t5623 * t4381 * t2337;
  t90456 = t1400 * t6853 * t2337;
  t90459 = t6824 * t90422 / 0.12e2 - t34945 * t16966 / 0.6e1 - t34948 * t16966 / 0.6e1 - t6827 * t90429 / 0.6e1 - t6827 * t90433 / 0.6e1 - t6827 * t90437 / 0.6e1 - t6830 * t90440 / 0.6e1 - t6830 * t90444 / 0.6e1 - t6830 * t90448 / 0.6e1 - 0.3e1 / 0.2e1 * t12347 * t90452 + 0.2e1 / 0.3e1 * t1651 * t90456;
  t90464 = t1393 * t89840;
  t90487 = 0.2e1 / 0.3e1 * t6760 * t17180 - t6760 * t17175 / 0.3e1 - t1651 * t90464 / 0.3e1 - t1651 * t82310 / 0.3e1 + 0.2e1 / 0.3e1 * t6755 * t17180 + 0.7e1 / 0.3e1 * t61286 * t17061 + 0.7e1 / 0.3e1 * t12347 * t30123 + 0.7e1 / 0.3e1 * t12347 * t30081 - t6755 * t17175 / 0.3e1 + 0.3e1 / 0.2e1 * t373 * t12336 * t77472 - 0.3e1 * t373 * t12341 * t9492 + 0.3e1 / 0.2e1 * t1078 * t17058;
  t90491 = 0.6e1 * t81690;
  t90492 = 0.3e1 / 0.2e1 * t77885;
  t90493 = 0.3e1 * t77889;
  t90494 = 0.3e1 / 0.2e1 * t1056 * t17058 + t81676 + t81679 - t81681 - t81683 - t81686 - t90491 + t89344 - t89346 + t90492 - t90493 + t77898;
  t90495 = t77901 / 0.2e1;
  t90496 = t77905 / 0.3e1;
  t90497 = t77908 / 0.4e1;
  t90498 = t77915 / 0.2e1;
  t90499 = 0.2e1 * t77919;
  t90500 = t77923 / 0.2e1;
  t90501 = t77926 / 0.2e1;
  t90502 = t349 * t17172;
  t90507 = t321 * t369 * t17170 * t370;
  t90510 = t77945 / 0.6e1;
  t90511 = t90495 - t90496 - t90497 + t90498 - t90499 - t90500 + t90501 - t89348 - t338 * t90502 / 0.12e2 + t90507 * t377 / 0.4e1 + t77943 + t90510;
  t90514 = 0.11e2 / 0.18e2 * t77947;
  t90515 = 0.23e2 / 0.36e2 * t77949;
  t90517 = t4706 * t2666 * t2196;
  t90521 = t9270 * t90121;
  t90524 = t16964 * t994;
  t90526 = t45031 * t168 * t90524;
  t90529 = t24858 * t90524;
  t90533 = t12518 * t2196;
  t90535 = t29911 * t1021 * t90533;
  t90542 = t5587 * t89975;
  t90548 = -t90514 + t90515 + t4145 * t7116 * t90517 / 0.2e1 + t6830 * t90521 / 0.3e1 + t6827 * t90526 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t494 * t90529 + 0.2e1 / 0.3e1 * t24164 * t90535 + t61272 * t78009 / 0.3e1 + 0.11e2 / 0.9e1 * t61262 * t77253 + 0.2e1 / 0.3e1 * t6824 * t90542 - 0.5e1 / 0.3e1 * t61452 * t9246 - t61272 * t78566;
  t90554 = t5549 * t1021 * t89974;
  t90559 = t50197 * t10467;
  t90562 = t50186 * t10447;
  t90565 = t90203 * t10453;
  t90568 = t50197 * t10453;
  t90570 = t81741 / 0.6e1;
  t90571 = t81747 / 0.3e1;
  t90572 = t81750 / 0.3e1;
  t90573 = t77958 / 0.6e1;
  t90574 = -0.23e2 / 0.18e2 * t61262 * t77256 - 0.2e1 / 0.3e1 * t61272 * t78007 - 0.4e1 / 0.3e1 * t6824 * t90554 + 0.2e1 * t61272 * t78003 - t6824 * t90559 / 0.6e1 + t6824 * t90562 / 0.3e1 - 0.5e1 / 0.18e2 * t10457 * t90565 + t10451 * t90568 - t90570 - t90571 - t90572 - t90573;
  t90576 = t77982 / 0.6e1;
  t90577 = t77984 / 0.6e1;
  t90578 = t77986 / 0.6e1;
  t90579 = t77988 / 0.12e2;
  t90580 = t77990 / 0.12e2;
  t90581 = t1400 * t89930;
  t90584 = t90576 + t90577 + t90578 + t90579 + t90580 - t1651 * t90581 / 0.6e1 + t89355 + t89357 - t89359 - t89361 - t89363 - t89365;
  t90585 = t77992 / 0.6e1;
  t90586 = t77994 / 0.6e1;
  t90587 = t77997 / 0.6e1;
  t90588 = t77999 / 0.3e1;
  t90589 = t78000 / 0.3e1;
  t90590 = t78001 / 0.3e1;
  t90591 = t81780 / 0.6e1;
  t90592 = t81784 / 0.6e1;
  t90593 = t81799 / 0.2e1;
  t90594 = t81803 / 0.2e1;
  t90595 = 0.4e1 / 0.3e1 * t81824;
  t90596 = -t90585 - t90586 - t90587 + t90588 + t90589 + t90590 + t89374 - t90591 - t90592 + t90593 + t90594 - t90595;
  t90600 = 0.23e2 / 0.18e2 * t81828;
  t90601 = 0.2e1 / 0.3e1 * t81832;
  t90602 = t78019 / 0.2e1;
  t90603 = t78021 / 0.6e1;
  t90604 = t78023 / 0.2e1;
  t90605 = 0.3e1 / 0.2e1 * t78038;
  t90610 = t90600 + t90601 - t90602 - t90603 + t90604 + t90605 - t9308 - t9324 + t9327 - t1651 * t81583 / 0.3e1 + t1078 * t17027 / 0.2e1;
  t90637 = t15337 - t77157 - t77161 + t77164 + t77174 - 0.2e1 * t12420 * t9480 + 0.4e1 * t61136 * t2402 + 0.4e1 * t12417 * t9492 - 0.12e2 * t10615 - 0.4e1 * t10608 - 0.4e1 * t10558 - 0.4e1 / 0.3e1 * t10605 + 0.2e2 / 0.9e1 * t10509;
  t90658 = -0.4e1 * t61150 * t2394 - 0.4e1 * t12414 * t9665 + 0.4e1 / 0.3e1 * t61136 * t2389 + 0.4e1 / 0.3e1 * t12417 * t9448 + 0.2e1 / 0.3e1 * t44683 * t2808 + 0.2e1 / 0.3e1 * t9394 * t12712 - 0.4e1 * t10624 - 0.4e1 * t10618 + 0.8e1 * t10631 - 0.2e1 * t61153 * t2257 + 0.4e1 * t10529 - 0.12e2 * t10533 + 0.4e1 / 0.3e1 * t10553;
  t90674 = -0.2e1 / 0.3e1 * t10526 + 0.24e2 * t10521 + t77198 - t77201 - 0.4e1 * t61103 * t2402 - 0.4e1 * t12432 * t9492 + 0.4e1 * t61109 * t2394 + 0.4e1 * t12427 * t9665 + 0.2e1 * t1728 * t2257 + 0.2e1 * t496 * t9480 - t15349 + t77217 + t77219;
  t90701 = 0.4e1 * t12420 * t46359 + 0.12e2 * t61139 * t52080 - 0.4e1 * t12417 * t46020 - 0.24e2 * t61144 * t51885 + 0.32e2 / 0.3e1 * t61139 * t52074 - 0.4e1 / 0.3e1 * t12417 * t45955 - 0.8e1 * t12417 * t51681 + 0.12e2 * t61106 * t52056 + 0.4e1 * t12414 * t52061 - 0.8e1 * t61144 * t51664 - 0.8e1 / 0.3e1 * t12417 * t50497 + 0.16e2 / 0.9e1 * t61139 * t51657 + 0.4e1 * t12414 * t45947;
  t90703 = t90637 + t90658 + t90674 + t90701;
  t90705 = t985 * t348 * t90703;
  t90712 = t373 * t9439 * t12699;
  t90713 = t90712 / 0.4e1;
  t90716 = t1056 * t17027 / 0.2e1 + t373 * t12534 * t9480 / 0.2e1 + 0.3e1 / 0.2e1 * t1056 * t17024 + 0.3e1 / 0.2e1 * t373 * t12707 * t9665 - t1056 * t17021 / 0.4e1 - t373 * t6949 * t17020 / 0.4e1 - t373 * t1703 * t90705 / 0.4e1 + 0.3e1 / 0.2e1 * t1078 * t17024 - t90713 - t1078 * t17021 / 0.4e1 + t9353 + t9357;
  t90718 = t30214 * t90121;
  t90722 = t4145 * t45915 * t2667;
  t90723 = t90722 / 0.4e1;
  t90726 = t44807 * t19454;
  t90736 = -t9359 - t9361 - t17010 - t17011 - t17018 - t6824 * t90718 / 0.3e1 - t90723 + t44886 * t12620 / 0.2e1 - t24164 * t90726 / 0.3e1 - t28961 * t12623 / 0.4e1 + t44886 * t12616 / 0.2e1 + 0.5e1 * t5540 * t12394 * t9242;
  t90740 = t1021 * t89790;
  t90741 = t29517 * t90740;
  t90746 = t5549 * t90443;
  t90749 = t5549 * t90447;
  t90752 = t4549 * t89974;
  t90760 = t1182 * t89974;
  t90763 = 0.3e1 * t5540 * t2633 * t77299 - 0.14e2 / 0.3e1 * t29011 * t90741 - t4145 * t61612 * t15457 + t6824 * t90746 / 0.12e2 + t6824 * t90749 / 0.12e2 - 0.2e1 * t5540 * t1720 * t90752 + t33988 * t16971 / 0.12e2 + t33997 * t16971 / 0.12e2 + t5540 * t1716 * t90760 + t89384 - t89386 - t89388;
  t90766 = t24962 * t90103;
  t90769 = t24823 * t90103;
  t90777 = -t89390 + t89392 + t89394 + t89396 - t89398 - t89400 + t89402 + t5540 * t1720 * t90766 - t5559 * t1720 * t90769 - t1651 * t81364 / 0.6e1 - 0.3e1 / 0.2e1 * t12347 * t29194 - t34801 * t2390;
  t90786 = 0.2e1 / 0.3e1 * t1651 * t82297 - 0.3e1 / 0.2e1 * t61286 * t17184 - t9442 - t17037 - t17038 + t17039 + t16016 - t16021 - t16024 + t17040 - 0.11e2 / 0.18e2 * t12347 * t77829 - t12347 * t77052 / 0.2e1;
  t90791 = t46012 * t12542;
  t90792 = t90791 / 0.6e1;
  t90793 = t50165 * t10453;
  t90796 = t10458 * t10467;
  t90799 = t29498 * t10447;
  t90802 = t10458 * t89675;
  t90805 = t110 * t62590;
  t90810 = -t5689 * t2668 / 0.4e1 - t1078 * t17012 + t89409 + t2251 - t89413 - t90792 - 0.35e2 / 0.108e3 * t89630 * t90793 - 0.5e1 / 0.36e2 * t61262 * t90796 + 0.5e1 / 0.12e2 * t61262 * t90799 - 0.5e1 / 0.18e2 * t10457 * t90802 + 0.5e1 / 0.3e1 * t90805 * t10459 + t61272 * t77603 / 0.6e1;
  t90815 = 0.2e1 / 0.3e1 * t82392;
  t90816 = t82394 / 0.2e1;
  t90817 = t82398 / 0.2e1;
  t90818 = t29791 * t16970;
  t90823 = t4408 * t16969;
  t90827 = -t61272 * t77597 / 0.2e1 + 0.5e1 / 0.18e2 * t61262 * t77600 + t90815 + t90816 - t82396 - t90817 + t89414 - t89415 - t89416 + t6824 * t90818 / 0.6e1 + t29770 * t16997 / 0.2e1 + t5559 * t6981 * t90823 / 0.2e1;
  t90832 = t4408 * t90262;
  t90836 = t4408 * t90267;
  t90854 = t50165 * t10500;
  t90857 = t5559 * t1720 * t90832 / 0.2e1 + t5559 * t1720 * t90836 / 0.2e1 - t29767 * t16987 / 0.2e1 - t29773 * t16987 / 0.2e1 + t29764 * t16997 / 0.2e1 + t61452 * t10480 / 0.2e1 - t9464 + 0.6e1 * t51823 * t10558 + 0.2e1 * t51823 * t10605 - 0.3e1 / 0.2e1 * t61262 * t30705 - 0.43e2 / 0.9e1 * t89630 * t90854;
  t90859 = t29498 * t4403 * t5562;
  t90863 = t10458 * t4403 * t89674;
  t90870 = t5587 * t90286;
  t90873 = t46095 * t12510;
  t90876 = t45849 * t12511;
  t90877 = t90876 / 0.6e1;
  t90882 = 0.9e1 / 0.2e1 * t61262 * t90859 - 0.3e1 * t10457 * t90863 + 0.18e2 * t90805 * t10501 + t6827 * t81200 / 0.6e1 + t6824 * t90870 / 0.6e1 + t6824 * t90873 / 0.6e1 + t90877 + t61262 * t78040 + t6824 * t81143 / 0.3e1 - t50177 * t10529 + t9487 + t9489;
  t90884 = t24794 * t90107;
  t90888 = t24823 * t90107;
  t90892 = t29911 * t90134;
  t90895 = t24848 * t90107;
  t90899 = t5549 * t90740;
  t90907 = t5553 * t89678;
  t90910 = -t9505 - t9507 - t82547 - t82550 - 0.3e1 / 0.2e1 * t10506 * t6988 * t90884 - 0.3e1 / 0.2e1 * t5540 * t6988 * t90888 + t10457 * t90892 / 0.2e1 + 0.3e1 * t5559 * t6988 * t90895 + 0.1e2 / 0.3e1 * t52065 * t90899 + t4145 * t62070 * t2257 / 0.2e1 + 0.12e2 * t89999 * t10497 - 0.4e1 * t10451 * t90907;
  t90914 = t5591 * t89675;
  t90924 = t24794 * t5562;
  t90928 = t4396 * t89674;
  t90936 = t487 * t16952;
  t90938 = t5549 * t1021 * t90936;
  t90944 = t61452 * t10544 + 0.22e2 / 0.3e1 * t90805 * t10486 + 0.2e1 * t10451 * t90914 - 0.6e1 * t89999 * t10512 - 0.2e1 * t61452 * t10549 + 0.3e1 / 0.2e1 * t30030 * t61485 * t17190 - 0.9e1 / 0.2e1 * t10506 * t12398 * t90924 + 0.3e1 * t10506 * t6988 * t90928 - 0.18e2 * t10506 * t62590 * t51455 + t34283 * t10627 - t24164 * t90938 / 0.3e1 - t4145 * t7116 * t17020 / 0.4e1;
  t90947 = t1182 * t89944;
  t90951 = t4543 * t90292;
  t90956 = t5540 * t9556 * t12615;
  t90957 = t90956 / 0.2e1;
  t90959 = t5540 * t2209 * t12619;
  t90960 = t90959 / 0.2e1;
  t90961 = t2175 * t2616;
  t90963 = t5549 * t1021 * t90961;
  t90964 = t24164 * t90963;
  t90965 = t90964 / 0.3e1;
  t90968 = t1000 * t89753;
  t90974 = t5623 * t5672 * t19311;
  t90981 = t5540 * t1716 * t90947 / 0.2e1 + t5540 * t494 * t90951 / 0.2e1 + t90957 + t90960 - t90965 + t29767 * t16976 / 0.2e1 + t1432 * t90968 / 0.6e1 + t442 * t61963 / 0.12e2 - 0.3e1 / 0.2e1 * t72816 * t90974 - t5674 * t12720 / 0.2e1 - t5674 * t12713 + t5674 * t12718;
  t90982 = t1452 * t19311;
  t90983 = t5640 * t90982;
  t90990 = t1400 * t90982;
  t90998 = 0.7e1 / 0.3e1 * t72816 * t90983 + t1454 * t12531 / 0.2e1 + t1454 * t12525 - t1454 * t12528 - 0.2e1 * t72953 * t90990 - t1454 * t12539 / 0.2e1 - t1454 * t12705 + 0.3e1 / 0.2e1 * t1454 * t12708 + t17045 + t17046 - t17047 - t17048;
  t91003 = t29517 * t90134;
  t91006 = t1021 * t90157;
  t91011 = t4161 * t18848 * t439;
  t91015 = t5587 * t90134;
  t91017 = t30214 * t90130;
  t91020 = -t110 * t17171 * t404 / 0.4e1 - t89419 + t89421 + t89422 - t89423 - t89424 + t89425 + 0.11e2 / 0.18e2 * t10457 * t91003 - 0.7e1 / 0.3e1 * t29011 * t29517 * t91006 - t4145 * t7126 * t91011 / 0.2e1 - t10451 * t91015 - t6824 * t91017 / 0.2e1;
  t91021 = t4137 * t90134;
  t91024 = t9270 * t90130;
  t91027 = t90203 * t10500;
  t91034 = t10462 * t91021 / 0.2e1 + t6830 * t91024 / 0.3e1 - 0.3e1 * t10457 * t91027 - t89446 + t89448 + t89450 + t89452 - t89454 + t89456 + t89458 + t61936 * t9239 / 0.2e1 + t2609 * t30194 / 0.3e1;
  t91039 = t1393 * t89930;
  t91060 = 0.3e1 / 0.2e1 * t78512;
  t91061 = t12643 * t9297 - t1651 * t91039 / 0.3e1 - t2609 * t30688 / 0.12e2 - 0.5e1 / 0.36e2 * t12347 * t77750 - t2604 * t9400 / 0.6e1 + t61077 * t2342 / 0.2e1 + t12643 * t10678 / 0.2e1 + t12643 * t9518 / 0.2e1 - t12659 * t10695 / 0.2e1 - t12659 * t9521 / 0.2e1 - t12562 * t2199 / 0.6e1 + t91060;
  t91062 = t82744 / 0.3e1;
  t91063 = t82747 / 0.3e1;
  t91076 = t1000 * t89840;
  t91081 = 0.7e1 / 0.3e1 * t78520;
  t91082 = t91062 + t91063 + t2609 * t77532 / 0.6e1 + t2609 * t77535 / 0.6e1 + t1644 * t81557 / 0.3e1 + t12565 * t15479 / 0.6e1 + t6819 * t16922 / 0.3e1 + t7072 * t16922 / 0.3e1 + t1644 * t91076 / 0.3e1 + t2609 * t29099 / 0.6e1 - t78515 + t91081;
  t91084 = t78523 / 0.2e1;
  t91086 = t5559 * t9568 * t62089;
  t91087 = t91086 / 0.2e1;
  t91098 = t29517 * t10453;
  t91101 = t29498 * t10453;
  t91106 = t91084 + t91087 - t44886 * t12507 / 0.2e1 + 0.6e1 * t5559 * t12398 * t77249 - 0.3e1 * t5540 * t12398 * t77951 + t45074 * t12520 / 0.2e1 - 0.2e1 * t89630 * t91098 - 0.38e2 / 0.9e1 * t89630 * t91101 + 0.6e1 * t90805 * t10514 + t9702 + t9704 - t9180;
  t91107 = t78548 / 0.4e1;
  t91108 = t78550 / 0.4e1;
  t91109 = t5549 * t90134;
  t91112 = t4137 * t90117;
  t91118 = t987 * t4697 * t16953;
  t91121 = t9188 + t91107 + t91108 + t17073 - t17074 + t89462 - t10451 * t91109 / 0.2e1 - t6830 * t91112 / 0.6e1 + t17075 - t17076 - t2604 * t9367 / 0.6e1 + t490 * t91118 / 0.12e2;
  t91126 = t987 * t988 * t167 * t90703;
  t91132 = t987 * t6006 * t12635;
  t91139 = t2178 * t12637;
  t91140 = t91139 / 0.12e2;
  t91146 = t987 * t29090 * t2617;
  t91149 = t9503 * t2619;
  t91150 = t91149 / 0.12e2;
  t91151 = t2178 * t12632;
  t91152 = t91151 / 0.12e2;
  t91155 = t490 * t91126 / 0.12e2 - t61224 * t2339 / 0.2e1 + t490 * t91132 / 0.12e2 + t1677 * t16955 / 0.12e2 + t1682 * t16955 / 0.12e2 + t91140 + t1677 * t16933 / 0.12e2 + t1682 * t16933 / 0.12e2 + t490 * t91146 / 0.12e2 + t91150 + t91152 - 0.5e1 / 0.36e2 * t61286 * t16927;
  t91156 = t5623 * t10677;
  t91165 = t5549 * t1021 * t90267;
  t91168 = t4376 * t89674;
  t91175 = t5587 * t90443;
  t91178 = t5587 * t90447;
  t91185 = t29795 * t16993;
  t91189 = t5549 * t1021 * t90262;
  t91192 = -0.5e1 / 0.36e2 * t12347 * t91156 - 0.5e1 / 0.36e2 * t12347 * t77767 - 0.3e1 * t5535 * t61485 * t17050 - t6824 * t91165 / 0.3e1 - 0.6e1 * t5559 * t6988 * t91168 + 0.36e2 * t5559 * t62590 * t50508 + t6824 * t91175 / 0.6e1 + t6824 * t91178 / 0.6e1 - t33988 * t16994 / 0.3e1 - t33997 * t16994 / 0.3e1 - t6824 * t91185 / 0.3e1 - t6824 * t91189 / 0.3e1;
  t91197 = t4549 * t90262;
  t91201 = t4549 * t90267;
  t91223 = -t5540 * t6981 * t16986 / 0.2e1 - t5540 * t1720 * t91197 / 0.2e1 - t5540 * t1720 * t91201 / 0.2e1 + t33988 * t16990 / 0.6e1 + t33997 * t16990 / 0.6e1 + t10647 * t1673 / 0.2e1 + t12565 * t5669 / 0.3e1 + t2609 * t29273 / 0.3e1 + t12596 * t1462 / 0.4e1 + t50068 * t505 / 0.2e1 + t50073 * t505 / 0.2e1 + t62463 * t457 / 0.4e1;
  t91238 = 0.2e1 / 0.3e1 * t82781;
  t91239 = t10382 * t1671;
  t91240 = t4633 * t91239;
  t91243 = t12397 * t51002;
  t91246 = t4633 * t10383;
  t91249 = t62593 * t50981;
  t91250 = t50995 * t10389;
  t91253 = t1203 * t90103;
  t91258 = t25032 * t10389;
  t91261 = t1190 * t90107;
  t91268 = 0.2e1 / 0.3e1 * t78110;
  t91269 = t78113 / 0.9e1;
  t91270 = t142 * t16952;
  t91271 = t91270 * t333;
  t91272 = t1203 * t91271;
  t91275 = t4624 * t90107;
  t91278 = t45463 * t12447;
  t91279 = 0.2e1 * t91278;
  t91280 = -0.2e1 / 0.9e1 * t10388 * t91240 + 0.4e1 / 0.3e1 * t91243 * t10390 + t62499 * t91246 / 0.3e1 - t91249 * t91250 / 0.9e1 - 0.2e1 * t34459 * t91253 + 0.4e1 / 0.3e1 * t62499 * t78296 - 0.4e1 / 0.3e1 * t91249 * t91258 + 0.3e1 * t34450 * t91261 + 0.24e2 * t91249 * t10401 - 0.12e2 * t62499 * t9640 + t91268 - t91269 - 0.2e1 * t6969 * t91272 - 0.1e2 / 0.3e1 * t34450 * t91275 - t91279;
  t91283 = t62521 * t439;
  t91284 = t1203 * t91283;
  t91287 = t12370 * t1383;
  t91288 = t1203 * t91287;
  t91291 = t1203 * t90107;
  t91294 = t45383 * t90103;
  t91297 = t45378 * t90107;
  t91300 = 0.2e1 * t78124;
  t91301 = 0.2e1 / 0.3e1 * t78126;
  t91302 = 0.6e1 * t78135;
  t91303 = 0.12e2 * t78143;
  t91304 = t1203 * t91239;
  t91307 = t2632 * t51016;
  t91314 = t360 * t90103;
  t91317 = -0.24e2 * t10408 * t91304 + 0.72e2 * t91307 * t10409 + 0.24e2 * t62492 * t10414 - 0.2e1 * t34440 * t17106 + 0.4e1 * t34443 * t91261 - 0.6e1 * t34443 * t91291 - 0.6e1 * t34450 * t91297 + 0.4e1 * t34459 * t91294 + 0.2e1 * t34634 * t91314 - 0.2e1 * t6969 * t91284 - 0.2e1 * t6969 * t91288 - t91300 - t91301 + t91302 - t91303;
  t91319 = t360 * t90524;
  t91322 = t1190 * t90103;
  t91325 = t9638 * t1671;
  t91326 = t1190 * t91325;
  t91331 = t2632 * t30500;
  t91344 = t360 * t91325;
  t91349 = t2628 * t30468;
  t91352 = t360 * t90107;
  t91355 = t360 * t90093;
  t91358 = 0.3e1 * t51021 * t91319 + 0.4e1 / 0.3e1 * t34459 * t91322 + 0.4e1 / 0.3e1 * t6969 * t91326 - 0.1e2 / 0.3e1 * t62492 * t9640 - 0.2e1 * t91331 * t78344 + 0.2e1 / 0.9e1 * t62499 * t78347 - 0.3e1 * t12398 * t78215 + 0.6e1 * t12394 * t9545 + 0.1e2 / 0.3e1 * t12398 * t78191 - 0.12e2 * t91307 * t10404 + 0.4e1 * t6966 * t91344 - 0.6e1 * t62570 * t9646 - 0.4e1 * t91349 * t9652 + 0.3e1 * t34538 * t91352 + 0.2e1 * t34634 * t91355;
  t91361 = t360 * t91239;
  t91367 = t45383 * t90107;
  t91370 = t45378 * t90103;
  t91373 = t45378 * t90093;
  t91375 = t51084 * t90107;
  t91378 = t45387 * t90107;
  t91381 = t45387 * t90093;
  t91386 = t45387 * t90103;
  t91389 = t45387 * t90524;
  t91392 = -0.6e1 * t62570 * t10422 + 0.12e2 * t10418 * t91361 - 0.24e2 * t2628 * t50902 * t10419 + 0.12e2 * t34443 * t91367 - 0.2e1 / 0.3e1 * t34459 * t91370 - t34459 * t91373 + t34450 * t91375 / 0.9e1 - 0.6e1 * t34538 * t91378 - 0.4e1 * t34634 * t91381 - 0.2e1 * t34443 * t91297 - 0.4e1 * t34634 * t91386 - 0.6e1 * t51021 * t91389 - t15307 + t17077 + t15361;
  t91395 = 0.2e2 / 0.3e1 * t81892;
  t91396 = 0.4e1 * t81894;
  t91397 = 0.8e1 * t81899;
  t91398 = 0.2e1 / 0.3e1 * t81907;
  t91399 = t81910 / 0.9e1;
  t91400 = 0.12e2 * t81918;
  t91401 = 0.4e1 * t81922;
  t91402 = 0.8e1 / 0.3e1 * t81925;
  t91403 = 0.4e1 * t81935;
  t91404 = 0.24e2 * t81951;
  t91405 = 0.8e1 * t81955;
  t91408 = t4624 * t91239;
  t91411 = t4624 * t10383;
  t91414 = t17078 + t91395 - t91396 - t91397 - t91398 + t91399 + t91400 + t91401 - t91402 + t91403 - t91404 - t91405 + 0.8e1 * t91243 * t10401 - 0.4e1 / 0.3e1 * t10388 * t91408 + 0.2e1 * t62499 * t91411;
  t91415 = t1190 * t91239;
  t91424 = t1203 * t90093;
  t91427 = t1190 * t91287;
  t91431 = t360 * t62521 * t2196;
  t91435 = t360 * t12370 * t9397;
  t91440 = t1190 * t91283;
  t91444 = t4543 * t2646 * t9397;
  t91447 = t4543 * t12436 * t2196;
  t91449 = t12436 * t439;
  t91450 = t1182 * t91449;
  t91452 = t2646 * t1383;
  t91453 = t1182 * t91452;
  t91456 = 0.12e2 * t10388 * t91415 - 0.72e2 * t91243 * t10404 - 0.18e2 * t62499 * t10384 + 0.8e1 / 0.3e1 * t91249 * t10390 - 0.3e1 * t34459 * t91424 + t6969 * t91427 / 0.3e1 + 0.2e1 * t10396 * t91431 + 0.2e1 * t10396 * t91435 + t34440 * t17116 / 0.3e1 + t6969 * t91440 / 0.3e1 - t494 * t91444 - t494 * t91447 - t1716 * t91450 - t1716 * t91453 - t1714 * t17149;
  t91458 = t9568 * t12494;
  t91466 = t24848 * t10335;
  t91469 = t17131 * t333;
  t91470 = t4549 * t91469;
  t91473 = t9568 * t12483;
  t91474 = 0.2e1 / 0.3e1 * t91473;
  t91475 = 0.6e1 * t78146;
  t91476 = 0.2e1 * t78148;
  t91477 = 0.2e1 * t78151;
  t91478 = 0.2e1 * t78153;
  t91479 = 0.2e1 * t78156;
  t91480 = t360 * t91271;
  t91483 = -0.36e2 * t62640 * t10375 + 0.36e2 * t62590 * t10379 + 0.6e1 * t12398 * t78404 - t1714 * t17158 - t7005 * t17145 + t1720 * t91470 - 0.12e2 * t62594 * t91466 + 0.2e1 * t6966 * t91480 + t91458 - t91474 + t91475 + t91476 + t91477 + t91478 + t91479;
  t91490 = 0.12e2 * t82020;
  t91491 = 0.4e1 * t82023;
  t91492 = t78173 / 0.2e1;
  t91493 = 0.2e1 / 0.3e1 * t78183;
  t91494 = t45342 * t12375;
  t91495 = 0.2e1 * t91494;
  t91496 = t78155 * t12379;
  t91497 = 0.2e1 * t91496;
  t91498 = t45463 * t12372;
  t91499 = t91498 / 0.3e1;
  t91500 = -0.4e1 / 0.3e1 * t2633 * t78168 - 0.4e1 * t12394 * t9551 + t12398 * t78204 / 0.18e2 + t91490 + t91491 + t78171 + t91492 + t91493 - t17102 + t17103 - t17104 + t91495 + t91497 + t91499 - t78209;
  t91504 = t2209 * t12437;
  t91505 = t91504 / 0.2e1;
  t91508 = 0.2e1 * t82056;
  t91509 = 0.4e1 / 0.3e1 * t82057;
  t91510 = 0.2e1 * t82059;
  t91511 = t1190 * t91271;
  t91514 = t1190 * t90093;
  t91517 = t4633 * t90107;
  t91520 = t1203 * t91325;
  t91524 = t360 * t91270 * t994;
  t91533 = t360 * t91283;
  t91536 = t360 * t91287;
  t91539 = t91505 + t1714 * t17132 / 0.2e1 - t91508 + t91509 + t91510 + t6969 * t91511 / 0.3e1 + 0.2e1 * t34459 * t91514 - t34450 * t91517 / 0.18e2 - 0.8e1 * t6969 * t91520 + 0.2e1 * t10396 * t91524 + 0.4e1 * t10408 * t91415 - 0.4e1 * t62492 * t10384 + 0.2e1 * t34548 * t17109 + 0.2e1 * t6966 * t91533 + 0.2e1 * t6966 * t91536;
  t91542 = 0.6e1 * t82119;
  t91543 = 0.2e1 * t82122;
  t91544 = t4408 * t91449;
  t91547 = t4408 * t91452;
  t91550 = t4408 * t91469;
  t91555 = t24794 * t10335;
  t91559 = t4549 * t91449;
  t91561 = t4549 * t91452;
  t91563 = 0.2e1 * t51215 * t17113 - t91542 - t91543 + t17119 - t17120 - t15384 - t17123 - 0.2e1 / 0.3e1 * t1720 * t91544 - 0.2e1 / 0.3e1 * t1720 * t91547 - 0.2e1 / 0.3e1 * t1720 * t91550 - 0.2e1 / 0.3e1 * t6981 * t17086 + 0.5e2 / 0.3e1 * t62594 * t91555 + t6981 * t17094 + t1720 * t91559 + t1720 * t91561;
  t91573 = t2209 * t12466;
  t91580 = t24958 * t10335;
  t91583 = t2232 * t1671;
  t91584 = t4549 * t91583;
  t91589 = 0.6e1 * t82129;
  t91592 = t1182 * t91583;
  t91597 = -0.6e1 * t2633 * t78238 - 0.4e1 * t2633 * t78384 - 0.2e2 / 0.3e1 * t12398 * t78387 + 0.6e1 * t12398 * t78427 - t91573 - 0.12e2 * t12394 * t9623 - 0.4e2 * t62590 * t10348 - 0.2e1 / 0.3e1 * t12398 * t78249 + 0.1e2 / 0.3e1 * t62594 * t91580 + 0.4e1 * t1720 * t91584 - 0.1e2 * t12394 * t9632 - t91589 + 0.24e2 * t62640 * t10336 - 0.2e1 * t1716 * t91592 + 0.3e1 * t12388 * t9605;
  t91602 = t9556 * t12461;
  t91604 = t4543 * t17131 * t994;
  t91606 = t2369 * t1671;
  t91607 = t356 * t91606;
  t91614 = t1182 * t91469;
  t91616 = t24794 * t10351;
  t91619 = t4376 * t91606;
  t91622 = t24848 * t10351;
  t91625 = t4408 * t91583;
  t91630 = t1034 * t91606;
  t91635 = 0.2e1 * t2629 * t9608 + 0.2e2 / 0.3e1 * t12394 * t9619 - t91602 - t494 * t91604 - 0.6e1 * t7010 * t91607 + 0.12e2 * t62599 * t10355 + 0.3e1 * t12388 * t10358 - t1716 * t91614 - t12398 * t91616 / 0.6e1 + 0.2e2 / 0.3e1 * t6988 * t91619 - 0.1e2 * t12398 * t91622 - 0.8e1 / 0.3e1 * t1720 * t91625 + 0.4e1 * t2633 * t78446 - 0.8e1 * t6984 * t91630 + 0.8e1 * t12394 * t10352;
  t91638 = t4396 * t91606;
  t91647 = t1093 * t91606;
  t91654 = t4408 * t91606;
  t91657 = t24823 * t10351;
  t91660 = 0.2e1 * t78236;
  t91661 = 0.2e1 * t78241;
  t91662 = t78262 / 0.3e1;
  t91663 = 0.4e1 * t82171;
  t91664 = 0.4e1 / 0.3e1 * t82174;
  t91665 = 0.2e1 / 0.9e1 * t82177;
  t91666 = t6988 * t91638 / 0.9e1 - 0.2e1 / 0.3e1 * t62590 * t10344 + 0.2e1 * t2629 * t9617 + 0.2e1 * t12394 * t9601 + 0.12e2 * t6984 * t91647 + 0.6e1 * t12388 * t9590 - 0.12e2 * t12394 * t10363 - 0.6e1 * t6988 * t91654 + 0.9e1 * t12398 * t91657 + t91660 + t91661 - t91662 + t91663 + t91664 - t91665;
  t91667 = t78272 / 0.3e1;
  t91674 = t1182 * t140 * t90703;
  t91681 = t17130 - t17156 + t91667 + 0.2e1 * t2633 * t78179 - 0.3e1 * t12388 * t9560 - t2629 * t9541 + t494 * t91674 / 0.2e1 + 0.2e2 * t62492 * t9643 + 0.12e2 * t91331 * t78293 + t9557 + t9559 + t9570 - t9574 - t9585 - t9586;
  t91683 = 0.4e1 * t78337;
  t91684 = 0.4e1 / 0.3e1 * t82222;
  t91685 = 0.12e2 * t82234;
  t91686 = 0.6e1 * t78357;
  t91687 = 0.2e1 * t78361;
  t91688 = t78374 / 0.18e2;
  t91689 = 0.2e1 / 0.3e1 * t78392;
  t91690 = 0.4e1 / 0.3e1 * t78394;
  t91691 = 0.3e1 * t78398;
  t91692 = -t9588 + t9635 - t91683 - t78350 - t91684 + t91685 + t91686 + t78359 - t91687 + t91688 - t78390 - t91689 - t91690 - t78396 - t91691;
  t91693 = 0.4e1 * t78402;
  t91694 = 0.3e1 * t78407;
  t91695 = 0.1e2 / 0.3e1 * t78409;
  t91696 = t51103 * t90107;
  t91701 = t2209 * t12481;
  t91702 = t45383 * t90093;
  t91706 = t1182 * t143 * t90703;
  t91712 = -t78400 - t91693 - t91694 + t91695 + 0.2e1 / 0.3e1 * t34450 * t91696 - t12398 * t78318 / 0.9e1 - t91701 - t17165 + t17166 + t17167 - t2229 + 0.6e1 * t34459 * t91702 - t494 * t91706 + 0.2e1 / 0.3e1 * t2633 * t78444 - t12398 * t78449 / 0.9e1 + t2210;
  t91721 = 0.3e1 * t82786;
  t91722 = 0.6e1 * t82789;
  t91723 = t62469 * t457 / 0.4e1 - t442 * t62280 / 0.12e2 - t1378 * t12591 / 0.12e2 - t1386 * t12591 / 0.12e2 - t29052 * t2659 / 0.2e1 + t17206 - 0.23e2 / 0.3e1 * t90805 * t10492 + 0.4e1 * t61452 * t10537 + t91238 - t110 * t139 * (t91280 + t91317 + t91358 + t91392 + t91414 + t91456 + t91483 + t91500 + t91539 + t91563 + t91597 + t91635 + t91666 + t91681 + t91692 + t91712) * t168 / 0.4e1 + t91721 - t91722;
  t91730 = my_piecewise3(t100, 0, t89779 + t90388 + t90380 + t90336 + t90363 + t90310 + t90459 + t90416 + t89763 + t89733 + t90273 + t90235 + t89973 + t89953 + t91723 + t90199 + t90179 + t90151 + t89718 + t89693 + t89668 + t91223 + t90056 + t90049 + t90042 + t90022 + t91192 + t91155 + t91121 + t91106 + t91082 + t91061 + t91034 + t91020 + t90998 + t90981 + t90944 + t90910 + t90882 + t90857 + t90005 + t90827 + t90810 + t90786 + t90777 + t90763 + t90736 + t90716 + t90610 + t90596 + t90584 + t90574 + t90548 + t90511 + t90494 + t90487 + t89923 + t89801 + t89856 + t89902 + t89830 + t89882 + t89815 + t90102);
  tv4rhosigmalapl217 = t3 * t91730 + t17211;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 17] += tv4rhosigmalapl217;

  t91736 = -t1283 * t12868 / 0.12e2 - t82814 - t82816 + t82820 - t82822 + t82824 + t82826 + t6488 * t82933 / 0.12e2 - t86962 - t86963 + t86964 + t86965 + t78608 + t78619 - t78623 - t86971 - t86972;
  t91737 = t25665 * t17405;
  t91740 = t1829 * t414;
  t91741 = t253 * t91740;
  t91742 = t4765 * t91741;
  t91776 = t82836 - t6069 * t91737 / 0.12e2 - t6069 * t91742 / 0.12e2 + t82851 + t82853 - t82857 - t7746 * t25657 * t12810 / 0.6e1 + t11086 * t41646 * t12814 / 0.2e1 + t7746 * t42977 * t12860 / 0.6e1 + t7746 * t88736 / 0.6e1 - t11143 * t42977 * t12814 / 0.2e1 - 0.11e2 / 0.18e2 * t11008 * t78725 * t12814 - t7216 * t43313 * t12860 / 0.6e1 - t11143 * t87395 / 0.2e1 + t7216 * t87590 / 0.12e2 + t7581 * t88765 / 0.12e2 + t11086 * t43313 * t12814 + t7216 * t43310 * t12810 / 0.3e1;
  t91805 = t7581 * t88780 / 0.12e2 + t78656 + t53885 * t9752 - t53889 * t9754 / 0.2e1 - t86995 + t4789 * t64350 / 0.12e2 + t86996 + t7190 * t16657 / 0.3e1 + t7195 * t16657 / 0.3e1 - t6295 * t11212 / 0.2e1 - t6295 * t11215 / 0.2e1 + t6353 * t2453 / 0.2e1 + t6335 * t2453 / 0.2e1 + t1532 * t10761 / 0.2e1 + t1532 * t10764 / 0.2e1 + t7374 * t2332 / 0.2e1 + t7390 * t2332 / 0.2e1;
  t91825 = t3448 * t525;
  t91826 = t91825 * t10038;
  t91829 = t53249 * t9770;
  t91837 = t31355 * t17418 / 0.18e2;
  t91839 = t26891 * t17416 / 0.3e1;
  t91841 = t21655 * t17412 / 0.12e2;
  t91842 = t1891 * t9855 / 0.2e1 + t1891 * t9858 / 0.2e1 - t32423 * t2444 / 0.2e1 - t32430 * t2444 / 0.2e1 + t1541 * t83505 / 0.3e1 - t37309 * t2319 / 0.2e1 - t3123 * t64367 * t2166 / 0.4e1 - t3123 * t13190 * t9012 / 0.4e1 - t25696 * t17416 - 0.5e1 / 0.36e2 * t10036 * t91826 - t6069 * t91829 / 0.12e2 - t32403 * t11159 / 0.2e1 - t32403 * t11152 / 0.4e1 + t78691 - t78695 + t91837 - t91839 - t91841;
  t91848 = t6358 * t2462 / 0.12e2;
  t91854 = t7368 * t2324 / 0.6e1;
  t91877 = -t78716 + t1748 * t79315 / 0.3e1 + t91848 - t466 * t52587 / 0.12e2 - t1541 * t83587 / 0.12e2 - t91854 - t417 * t63172 / 0.12e2 - t1748 * t88879 / 0.6e1 + t7340 * t16759 / 0.6e1 + t7345 * t16759 / 0.6e1 + t1787 * t88609 / 0.6e1 - t1748 * t79468 / 0.6e1 - t1541 * t83260 / 0.6e1 + t10160 * t1761 / 0.2e1 + t7216 * t87853 / 0.6e1 + t7216 * t87856 / 0.6e1 - t36005 * t16638 / 0.3e1;
  t91885 = t1869 * t15621 / 0.36e2;
  t91886 = -t87143 - t7746 * t78609 / 0.6e1 - t7581 * t78613 / 0.6e1 + t7216 * t78596 / 0.12e2 + t82988 + t82992 - t82994 - t82996 - t87144 - t87145 + t78761 + t87181 + t91885 + t78765 + t78769 - t78779 - t78782 - t78784;
  t91900 = t463 * t8840;
  t91912 = t5143 * t2751 / 0.12e2;
  t91918 = t6358 * t2447 / 0.6e1;
  t91921 = -t78786 - t78791 + t78793 + t78795 + t7581 * t78599 / 0.12e2 + t25696 * t17485 / 0.2e1 + t25730 * t17485 / 0.2e1 + t4779 * t7624 * t17484 / 0.2e1 + t4779 * t1843 * t87593 / 0.2e1 + t4779 * t1843 * t819 * t91900 / 0.2e1 + 0.3e1 * t26772 * t17489 + 0.3e1 * t26777 * t17489 + t10160 * t1774 / 0.4e1 + t91912 - t1748 * t79862 / 0.12e2 - t515 * t47825 / 0.12e2 - t91918 + t6335 * t2462 / 0.4e1;
  t91945 = t53253 * t10038;
  t91948 = t36303 * t9766;
  t91951 = t53249 * t10038;
  t91954 = t1532 * t10881 / 0.4e1 + t1532 * t10885 / 0.4e1 - t417 * t64597 / 0.12e2 + t6353 * t2462 / 0.4e1 - t417 * t64593 / 0.12e2 - t7746 * t87582 / 0.6e1 - t7581 * t87587 / 0.6e1 + t7216 * t41646 * t13200 / 0.3e1 - t7746 * t86988 / 0.6e1 - t7581 * t86991 / 0.6e1 + t7216 * t88776 / 0.12e2 - t10097 * t91945 / 0.2e1 - t6491 * t91948 / 0.6e1 + t10066 * t91951 / 0.2e1 - t83023 + t83025 - t83027 + t87213;
  t91964 = t35360 * t2266;
  t91965 = t1220 * t91964;
  t91975 = t1227 * t7388 * t2266;
  t91992 = t87215 + t87236 - t37314 * t2319 / 0.2e1 - t7462 * t10025 / 0.2e1 - t7462 * t10109 / 0.2e1 - t1541 * t91965 / 0.6e1 - t1541 * t83874 / 0.6e1 + t6084 * t17237 / 0.3e1 + t6081 * t17237 / 0.3e1 + t1541 * t91975 / 0.3e1 - t7390 * t2327 / 0.4e1 - t1891 * t10197 / 0.4e1 - t1891 * t10125 / 0.4e1 - t6084 * t17233 / 0.6e1 - t6081 * t17233 / 0.6e1 - t7390 * t2324 / 0.2e1 - t1891 * t9848 / 0.2e1;
  t91998 = t6358 * t2450 / 0.12e2;
  t92008 = t26322 * t2676;
  t92015 = t64378 * t432 / 0.12e2;
  t92017 = t1508 * t10969 / 0.36e2;
  t92018 = -t1891 * t9845 / 0.2e1 + t87326 + t87327 - t1541 * t83582 / 0.12e2 - t91998 + t83032 + t83038 - t78913 + t78919 + t78921 - t11008 * t25669 * t17421 / 0.2e1 - t11008 * t87516 / 0.2e1 - t7190 * t17392 / 0.6e1 - t7195 * t17392 / 0.6e1 - t1748 * t1220 * t92008 / 0.6e1 + t515 * t89042 / 0.12e2 + t92015 - t92017;
  t92021 = t1869 * t10155 / 0.36e2;
  t92022 = t47276 * t10771;
  t92033 = t27066 * t2729 / 0.6e1;
  t92042 = -t92021 - t4753 * t92022 / 0.12e2 - t35450 * t17429 / 0.6e1 - t83110 + t83112 + t83114 - t7746 * t21593 * t17428 / 0.6e1 - t7746 * t87455 / 0.6e1 + t83141 - t83146 - t83149 - t92033 + t1787 * t87160 / 0.6e1 - t87412 - t4748 * t63675 * t2318 / 0.2e1 - t4748 * t12837 * t8725 / 0.2e1 - t87435;
  t92061 = -t87436 - t87437 - t6335 * t2447 / 0.2e1 - t1532 * t10866 / 0.2e1 - t1532 * t10869 / 0.2e1 - t5105 * t2734 / 0.2e1 - t5126 * t2734 / 0.2e1 - t1293 * t13103 / 0.2e1 - t1293 * t13243 / 0.2e1 + t5105 * t2742 / 0.2e1 + t5126 * t2742 / 0.2e1 - t83168 + t83174 - t78997 - t79000 + t83189 - t83192 - t83194;
  t92083 = t463 * t1272;
  t92084 = t95 * t92083;
  t92097 = t83198 + t7216 * t89099 / 0.6e1 + t7216 * t79735 / 0.6e1 + t6069 * t83779 / 0.6e1 - t87479 - t7190 * t17400 / 0.12e2 - t7195 * t17400 / 0.12e2 - t1748 * t1227 * t92008 / 0.12e2 + t1881 * t16707 / 0.12e2 + t515 * t87238 / 0.12e2 + t515 * t87321 / 0.12e2 + t87512 + t11086 * t4765 * t92084 / 0.2e1 + t36005 * t17436 / 0.6e1 + t36009 * t17436 / 0.6e1 + t7216 * t25669 * t17428 / 0.6e1 + t7216 * t89162 / 0.6e1;
  t92119 = t7216 * t87544 / 0.12e2 + t7216 * t87549 / 0.12e2 + t54044 * t17433 / 0.2e1 + t52845 * t17433 / 0.2e1 - t79054 - t79056 - t11008 * t4760 * t92084 / 0.2e1 - t83224 - t87555 + t83234 + t83237 - t83239 + t79083 + t79085 + 0.3e1 / 0.2e1 * t25696 * t17522 + 0.3e1 / 0.2e1 * t25730 * t17522 + 0.3e1 / 0.2e1 * t4779 * t36856 * t17521 + 0.3e1 / 0.2e1 * t4779 * t7599 * t89001;
  t92154 = 0.3e1 / 0.2e1 * t4779 * t7599 * t3375 * t92083 - t25696 * t17518 / 0.2e1 - t25730 * t17518 / 0.2e1 - t4779 * t7632 * t16630 / 0.2e1 - t4779 * t1847 * t89087 / 0.2e1 - t4779 * t1847 * t89091 / 0.2e1 - 0.5e1 / 0.36e2 * t11008 * t87682 - 0.5e1 / 0.36e2 * t11008 * t10037 * t92084 - t54283 * t17425 / 0.2e1 - t54285 * t17425 / 0.2e1 + t47925 * t11053 - t52729 * t10080 + t83297 + t83300 + t6491 * t82847 / 0.6e1 - t11143 * t26927 * t17421 / 0.2e1 - t87577 + t87578;
  t92155 = t53245 * t9766;
  t92167 = t26891 * t17481 / 0.2e1;
  t92169 = t26891 * t17477 / 0.6e1;
  t92171 = t26891 * t17474 / 0.6e1;
  t92177 = t95 * t91900;
  t92194 = t87579 + t6069 * t92155 / 0.6e1 + 0.3e1 / 0.2e1 * t88851 * t11113 - 0.3e1 * t47925 * t11117 + t6488 * t52842 / 0.12e2 - t6069 * t82844 / 0.12e2 + t92167 + t92169 + t92171 + t7216 * t25958 * t17428 / 0.3e1 + t7216 * t88768 / 0.3e1 + t7216 * t4770 * t92177 / 0.3e1 - t35434 * t16627 / 0.6e1 - t35450 * t16627 / 0.6e1 + t4738 * t7632 * t9887 + t4738 * t1847 * t88042 + t4738 * t1847 * t3375 * t91900 - 0.2e1 / 0.3e1 * t36005 * t17495;
  t92211 = t35707 * t17499 / 0.9e1;
  t92219 = t52986 * t17448 / 0.3e1;
  t92220 = -0.2e1 / 0.3e1 * t36009 * t17495 - 0.2e1 / 0.3e1 * t7216 * t25669 * t17494 - 0.2e1 / 0.3e1 * t7216 * t88922 - 0.2e1 / 0.3e1 * t7216 * t4760 * t635 * t91900 - t87621 + t92211 - t13060 * t1251 / 0.4e1 + t13060 * t1255 / 0.4e1 - t13060 * t1247 / 0.2e1 - t83319 - t83327 - t83329 - t83339 - t83346 - t83348 - t83358 + t92219;
  t92221 = t26888 * t17445;
  t92223 = t46822 * t17441 / 0.2e1;
  t92248 = -t92221 + t92223 + 0.3e1 / 0.2e1 * t47709 * t11128 - t3123 * t7228 * t16745 / 0.4e1 - 0.3e1 * t41476 * t13015 - t41476 * t13228 + 0.7e1 / 0.3e1 * t27523 * t78725 * t63799 + t25662 * t13231 / 0.2e1 - t83366 - t83369 - t11143 * t87466 / 0.2e1 - t11143 * t4796 * t92084 / 0.2e1 + t83371 - t83403 - t83405 + t11086 * t88734 / 0.2e1 + t7216 * t87901 / 0.6e1 - 0.5e1 / 0.36e2 * t11008 * t86982;
  t92256 = t17275 * t206;
  t92257 = t3671 * t92256;
  t92263 = t17283 * t206;
  t92264 = t3121 * t92263;
  t92265 = t10037 * t92264;
  t92268 = t4765 * t92264;
  t92285 = -t7216 * t86985 / 0.12e2 + t6488 * t82923 / 0.12e2 - t7216 * t88888 / 0.3e1 - t79232 + t79239 + 0.18e2 * t52610 * t10037 * t92257 + t4748 * t12837 * t47214 + 0.23e2 / 0.36e2 * t10036 * t92265 - 0.2e1 * t10066 * t92268 - 0.2e1 / 0.3e1 * t6069 * t54129 - 0.3e1 * t3123 * t63435 * t47161 - t3123 * t12837 * t48637 + 0.3e1 * t4748 * t63435 * t47702 + 0.18e2 * t4779 * t36922 * t653 * t92256 - t79243 - t79245 - t79247;
  t92286 = t26888 * t17489;
  t92288 = t26891 * t17485 / 0.6e1;
  t92295 = t53245 * t17494;
  t92299 = t593 * t17263 / 0.12e2;
  t92307 = t1227 * t10972 * t2676;
  t92315 = t673 * t47815 * t1777;
  t92324 = t79249 + t92286 + t92288 + 0.3e1 / 0.2e1 * t52729 * t9868 + t52729 * t10082 / 0.2e1 + t52729 * t10085 / 0.2e1 - t21878 * t92295 / 0.3e1 - t92299 + t466 * t83772 / 0.12e2 - t1748 * t87207 / 0.12e2 - t10974 * t1560 / 0.4e1 + t3319 * t92307 / 0.3e1 + t10974 * t1564 / 0.4e1 - t10974 * t1556 / 0.2e1 - t211 * t92315 / 0.12e2 + t10160 * t1783 / 0.4e1 + t1748 * t87999 / 0.3e1 - t6353 * t2447 / 0.2e1;
  t92327 = t222 * t17371;
  t92332 = t191 * t242 * t17369 * t243;
  t92358 = t26888 * t17280 / 0.6e1;
  t92366 = -t83438 - t211 * t92327 / 0.12e2 + t92332 * t250 / 0.4e1 - t466 * t53978 / 0.12e2 - t1517 * t10969 / 0.12e2 - t1522 * t10969 / 0.12e2 - t515 * t46747 / 0.12e2 + t13060 * t1274 / 0.4e1 - t1876 * t10155 / 0.12e2 - t1881 * t10155 / 0.12e2 + t63742 * t432 / 0.4e1 + t63737 * t432 / 0.4e1 + 0.3e1 / 0.2e1 * t4779 * t7610 * t229 * t92083 + t92358 + 0.3e1 / 0.2e1 * t48464 * t17441 - 0.3e1 / 0.2e1 * t11008 * t46934 * t17528 - 0.3e1 / 0.2e1 * t11008 * t89128;
  t92397 = t1267 * t13049 / 0.36e2;
  t92399 = t7255 * t17400 / 0.36e2;
  t92402 = -t7374 * t2324 / 0.2e1 - t1532 * t10890 / 0.4e1 - t466 * t54250 / 0.12e2 - t1517 * t10894 / 0.12e2 - t1522 * t10894 / 0.12e2 - t466 * t54246 / 0.12e2 + t515 * t47817 / 0.12e2 - t25730 * t17416 - t4779 * t7632 * t17415 - t4779 * t1847 * t87076 + t7216 * t4760 * t92177 / 0.6e1 - 0.5e1 / 0.36e2 * t52192 * t17422 - 0.5e1 / 0.36e2 * t52195 * t17422 - 0.5e1 / 0.36e2 * t11008 * t46934 * t17421 - t92397 - t79311 - t92399 + t466 * t83768 / 0.12e2;
  t92435 = t83450 + t83452 + t83454 + t7216 * t89124 / 0.3e1 + t11086 * t25665 * t17421 / 0.2e1 + t11086 * t87464 / 0.2e1 - t7581 * t87521 / 0.6e1 - t7581 * t87526 / 0.6e1 - t7581 * t87531 / 0.6e1 + t36005 * t16620 / 0.12e2 + t36009 * t16620 / 0.12e2 + t7216 * t87539 / 0.12e2 - t7746 * t88947 / 0.6e1 - t7746 * t88950 / 0.6e1 - t7746 * t88954 / 0.6e1 - t35436 * t16616 / 0.6e1 - t35452 * t16616 / 0.6e1 + t36005 * t17499 / 0.3e1;
  t92439 = t188 * t17375 / 0.12e2;
  t92442 = t635 * t92083;
  t92451 = 0.7e1 / 0.9e1 * t52934 * t17515;
  t92453 = t52934 * t17512 / 0.6e1;
  t92455 = t35707 * t16638 / 0.9e1;
  t92476 = t36009 * t17499 / 0.3e1 - t92439 - 0.2e1 * t11086 * t87892 - 0.2e1 * t11086 * t4765 * t92442 - 0.11e2 / 0.18e2 * t52192 * t17502 - 0.11e2 / 0.18e2 * t52195 * t17502 + t92451 - t92453 - t92455 - t246 * t7533 * t16745 / 0.4e1 - t246 * t1769 * t87733 / 0.4e1 - t1293 * t13158 / 0.4e1 - t768 * t17263 / 0.4e1 - t5105 * t2737 / 0.4e1 - t5126 * t2737 / 0.4e1 - t1293 * t13155 / 0.4e1 + t5126 * t2751 / 0.4e1 + t1293 * t13179 / 0.4e1;
  t92484 = t673 * t91964;
  t92494 = t32408 * t2444 / 0.6e1;
  t92496 = t7368 * t2332 / 0.6e1;
  t92498 = t35790 * t2319 / 0.6e1;
  t92500 = t6186 * t17237 / 0.9e1;
  t92503 = t26891 * t17277;
  t92505 = t21655 * t17272 / 0.6e1;
  t92507 = t26903 * t17288 / 0.6e1;
  t92509 = t31575 * t17285 / 0.9e1;
  t92511 = t52934 * t17529 / 0.2e1;
  t92512 = t1293 * t13150 / 0.4e1 + t5105 * t2751 / 0.4e1 + t1568 * t92484 / 0.6e1 + t1568 * t82894 / 0.6e1 + t6112 * t17213 / 0.6e1 + t6116 * t17213 / 0.6e1 - t92494 + t92496 - t92498 + t92500 - t1278 * t12868 / 0.12e2 + t83484 - t92503 + t92505 - t92507 + t92509 - t92511;
  t92535 = t16189 - t16192 - t16195 + t16224 - t16226 + t515 * t89046 / 0.12e2 + t1876 * t16707 / 0.12e2 + t7190 * t17381 / 0.3e1 + t7195 * t17381 / 0.3e1 + t1748 * t1227 * t5124 * t2676 / 0.3e1 + t1748 * t87763 / 0.3e1 + t1876 * t16685 / 0.12e2 + t1881 * t16685 / 0.12e2 - t1748 * t87974 / 0.12e2 - t1748 * t79867 / 0.12e2 + t87793 - t87798 - t87801;
  t92541 = -t87810 + t87811 - t87815 + t87816 - t83514 + t83517 + t83520 - t35434 * t17429 / 0.6e1 - t83533 - t87821 + t16602 + t16603 - t16604 - t16605 - t16606 - t16607 - t6069 * t84267 / 0.12e2;
  t92550 = t21655 * t17409 / 0.6e1;
  t92567 = -t21617 * t17409 / 0.2e1 - 0.2e1 * t52652 * t47276 * t52208 - t32403 * t11070 / 0.2e1 - t92550 + t2160 - t83593 - t36009 * t16638 / 0.3e1 - t7216 * t87863 / 0.3e1 + 0.3e1 / 0.2e1 * t47709 * t11055 + t47709 * t11058 / 0.2e1 - t87823 + t87830 - t87831 + t87832 - t1278 * t13049 / 0.12e2 - t1283 * t13049 / 0.12e2 - t417 * t63602 / 0.12e2 + t10160 * t1873 / 0.4e1;
  t92581 = t46787 * t530 / 0.12e2;
  t92583 = t52147 * t481 / 0.12e2;
  t92602 = t46744 * t530 / 0.4e1 + t10974 * t1514 / 0.4e1 + t46739 * t530 / 0.4e1 + t53768 * t481 / 0.4e1 + t53774 * t481 / 0.4e1 + t92581 + t92583 + t79369 - t21621 * t17409 / 0.2e1 + t11086 * t87881 + t11086 * t4754 * t92084 + 0.3e1 / 0.2e1 * t80392 * t13021 - 0.3e1 * t47709 * t11109 + t47925 * t11103 / 0.2e1 - t47709 * t11106 / 0.2e1 - t4779 * t1847 * t88809 / 0.2e1 - 0.3e1 * t42187 * t13011;
  t92614 = 0.3e1 / 0.2e1 * t41476 * t12851 + 0.3e1 * t42187 * t12854 + 0.3e1 * t47925 * t11050 - 0.11e2 / 0.18e2 * t11008 * t10058 * t92084 + 0.23e2 / 0.36e2 * t52192 * t17505 + t83601 + t16280 - t16284 - t16288 + t16299 - t87904 + t87905 - t87906 + t79412 + t79415 - t79417 - t79419 - t79422;
  t92626 = 0.2e1 / 0.3e1 * t52986 * t17451;
  t92643 = t1227 * t91964;
  t92647 = t35704 * t16627 / 0.18e2;
  t92648 = t63170 * t1221;
  t92649 = t673 * t92648;
  t92652 = -t79426 + 0.3e1 / 0.2e1 * t41476 * t12825 + t41476 * t12829 / 0.2e1 - 0.2e1 * t52652 * t41646 * t63799 - t25662 * t13018 / 0.2e1 - t92626 + t515 * t78638 / 0.12e2 - t7190 * t16681 / 0.12e2 - t7195 * t16681 / 0.12e2 + t1876 * t15621 / 0.12e2 + t1881 * t15621 / 0.12e2 + t515 * t78634 / 0.12e2 - t6084 * t17218 / 0.12e2 - t6081 * t17218 / 0.12e2 - t1541 * t92643 / 0.12e2 + t15602 - t92647 + t1259 * t92649 / 0.6e1;
  t92693 = t53249 * t17450;
  t92696 = t417 * t64721 / 0.12e2 - t87930 - t87931 + t4738 * t7632 * t87834 / 0.2e1 + t4738 * t1847 * t87838 / 0.2e1 + t4738 * t1847 * t87842 / 0.2e1 - 0.3e1 * t4779 * t7595 * t89009 - 0.3e1 * t4779 * t7595 * t653 * t92083 + t26772 * t17280 / 0.2e1 + t26777 * t17280 / 0.2e1 - 0.3e1 * t25696 * t17277 - 0.3e1 * t25730 * t17277 - 0.3e1 * t4779 * t36875 * t17276 + t3123 * t63672 * t2331 / 0.2e1 + t3123 * t63675 * t2331 / 0.2e1 + t3123 * t12837 * t9021 / 0.2e1 + t52729 * t9741 / 0.2e1 - 0.2e1 * t52652 * t92693;
  t92704 = t2727 * t414;
  t92705 = t627 * t92704;
  t92709 = t3402 * t525;
  t92710 = t92709 * t10038;
  t92713 = t9886 * t206;
  t92714 = t95 * t92713;
  t92718 = t12859 * t414;
  t92719 = t253 * t92718;
  t92725 = -t83655 + t83660 - t36310 * t9744 / 0.2e1 + t75694 - t79453 + t79456 + 0.3e1 * t4748 * t35690 * t92705 - 0.11e2 / 0.18e2 * t10036 * t92710 + t79463 - t15612 - t15615 + t15619 - t79466 - t79472 + 0.5e1 / 0.18e2 * t11008 * t25739 * t92714 + t11086 * t4765 * t92719 / 0.2e1 - t1532 * t10754 / 0.4e1;
  t92734 = t9886 * t667;
  t92739 = t95 * t92256;
  t92748 = -t25888 * t2729 / 0.2e1 - t27129 * t2729 / 0.2e1 - t6353 * t2450 / 0.4e1 - t6335 * t2450 / 0.4e1 + 0.3e1 * t4779 * t1847 * t22051 * t92734 - t83681 + 0.6e1 * t52610 * t4760 * t92739 + 0.7e1 / 0.3e1 * t11008 * t87067 + 0.7e1 / 0.3e1 * t11008 * t10058 * t92442 - t87954 - t87955 - t87956 - t87957 + t87959 + t87960 + t87961 - t79503 + t79506;
  t92754 = t47364 * t10771;
  t92774 = t3121 * t92718;
  t92778 = t17275 * t667;
  t92779 = t635 * t92778;
  t92789 = t79509 - 0.3e1 * t52729 * t9883 + t53885 * t9888 / 0.2e1 - t4753 * t92754 / 0.6e1 + t4753 * t47276 * t11134 / 0.3e1 - t48518 * t11122 / 0.2e1 + t32403 * t11125 / 0.2e1 - t42203 * t12838 / 0.2e1 + t25662 * t12844 / 0.2e1 + t6069 * t84101 / 0.3e1 - t6069 * t84224 / 0.6e1 - t11008 * t88813 / 0.2e1 + 0.7e1 / 0.3e1 * t11008 * t10058 * t92774 - 0.7e1 * t11008 * t26140 * t92779 + 0.3e1 * t4779 * t7595 * t88709 + 0.3e1 / 0.2e1 * t4779 * t1847 * t88713 - t88015;
  t92790 = t635 * t92256;
  t92795 = t6186 * t17233 / 0.18e2;
  t92812 = t3474 * t19768 * t414;
  t92816 = -t88016 + 0.12e2 * t52607 * t4765 * t92790 - t92795 - t7190 * t16780 / 0.6e1 - t7195 * t16780 / 0.6e1 - t1748 * t87151 / 0.6e1 - t1748 * t79117 / 0.6e1 - t88017 + t88018 - t30 * t2309 * t1830 / 0.4e1 + t8659 + t8662 - t8667 + t8683 - t16647 + t16648 + 0.9e1 * t4738 * t7599 * t21225 * t92778 + 0.3e1 / 0.2e1 * t26806 * t36154 * t92812;
  t92839 = t4765 * t3121 * t91740;
  t92851 = -0.18e2 * t9873 * t36878 * t3448 * t92256 - 0.9e1 / 0.2e1 * t9873 * t7599 * t21220 * t92778 + 0.9e1 / 0.2e1 * t11008 * t25739 * t3671 * t92778 - 0.43e2 / 0.9e1 * t52204 * t47512 * t92257 - 0.3e1 / 0.2e1 * t11008 * t10037 * t4746 * t92718 - t88031 - t88032 + t79546 - t79573 - t79576 + t79580 + t6069 * t92839 / 0.3e1 + t6069 * t52482 / 0.3e1 - t26814 * t17288 / 0.2e1 - t27575 * t17288 / 0.2e1 - t4748 * t63672 * t2318 / 0.2e1 + t88035;
  t92856 = t5143 * t2734 / 0.6e1;
  t92858 = t5143 * t2742 / 0.6e1;
  t92860 = t1267 * t12868 / 0.36e2;
  t92865 = -t79585 - t79589 + 0.23e2 / 0.36e2 * t11008 * t10037 * t92442 - t83749 - t83751 + t83762 + t83764 + t83766 - t88046 + t88047 + t16718 - t92856 + t92858 - t92860 + t88048 + t88049 + t21617 * t17272 / 0.2e1 + t21621 * t17272 / 0.2e1;
  t92898 = t219 * t2732 * t414;
  t92902 = t95 * t92778;
  t92905 = -t52729 * t9864 / 0.2e1 - t3123 * t64930 * t2323 / 0.2e1 - t3123 * t64906 * t2323 / 0.2e1 - t3123 * t13186 * t9121 / 0.2e1 - t21617 * t17412 / 0.4e1 - t21621 * t17412 / 0.4e1 - t3123 * t64805 * t2166 / 0.4e1 + 0.3e1 * t53885 * t9749 + t7216 * t88968 / 0.12e2 - 0.3e1 * t52607 * t4765 * t92739 - t7216 * t88911 / 0.4e1 - t83819 + 0.5e1 / 0.3e1 * t52610 * t10037 * t92739 - t75815 + t88534 + t88535 + 0.3e1 / 0.2e1 * t3123 * t37270 * t92898 - t11086 * t4760 * t92902;
  t92907 = t188 * t17371 / 0.12e2;
  t92909 = t35707 * t16634 / 0.18e2;
  t92911 = 0.23e2 / 0.108e3 * t52934 * t17505;
  t92935 = t6214 * t17213 / 0.18e2;
  t92940 = -t88558 + t88559 + t75853 + t88560 - t92907 + t92909 + t92911 - 0.2e1 * t54044 * t17451 - 0.2e1 * t52845 * t17451 - 0.2e1 * t11086 * t25665 * t17450 + t4779 * t1843 * t87802 / 0.2e1 + t4779 * t519 * t87806 / 0.2e1 - t21878 * t4760 * t635 * t512 * t16704 / 0.3e1 + t41476 * t13234 / 0.2e1 + t41476 * t13212 / 0.2e1 + t92935 - t52160 * t1548 / 0.2e1 + t10974 * t1551 / 0.2e1;
  t92946 = t1227 * t92648;
  t92954 = t10037 * t4746 * t92263;
  t92961 = t13004 * t414;
  t92969 = t10058 * t92264;
  t92991 = t253 * t92263;
  t92992 = t4760 * t92991;
  t92998 = -t46761 * t1758 / 0.2e1 - t1218 * t92946 / 0.12e2 + t1517 * t16276 / 0.12e2 + t1522 * t16276 / 0.12e2 - 0.3e1 / 0.2e1 * t10036 * t92954 + 0.36e2 * t4738 * t36878 * t3402 * t92256 + 0.3e1 / 0.2e1 * t27523 * t25739 * t3671 * t92961 + t4748 * t7233 * t89180 / 0.2e1 + 0.7e1 / 0.3e1 * t10036 * t92969 + 0.3e1 / 0.2e1 * t26806 * t63261 * t47138 - 0.3e1 * t4748 * t63261 * t47170 + 0.3e1 / 0.2e1 * t3123 * t63261 * t47123 - 0.18e2 * t4779 * t36878 * t3375 * t92256 - 0.3e1 / 0.2e1 * t9873 * t7599 * t89069 + 0.3e1 * t4738 * t7599 * t89073 - t10036 * t92992 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t7599 * t89060;
  t93007 = t4765 * t92991;
  t93010 = t253 * t54127;
  t93011 = t4760 * t93010;
  t93014 = t10037 * t92991;
  t93020 = t31575 * t17525 / 0.18e2;
  t93022 = t26891 * t17522 / 0.2e1;
  t93024 = 0.2e1 / 0.9e1 * t35707 * t17495;
  t93025 = t47958 * t10771;
  t93035 = t25784 * t17405;
  t93038 = t4754 * t91741;
  t93045 = -0.18e2 * t4738 * t36901 * t21220 * t92256 + 0.6e1 * t4779 * t36901 * t21225 * t92256 + t10066 * t93007 / 0.2e1 + t6069 * t93011 / 0.6e1 - 0.5e1 / 0.36e2 * t10036 * t93014 + t6488 * t83074 / 0.12e2 - t93020 + t93022 - t93024 + t4792 * t93025 / 0.6e1 + t83932 + t1787 * t80458 / 0.6e1 - t21878 * t41642 * t63351 / 0.3e1 - t25662 * t13133 / 0.4e1 - t6069 * t93035 / 0.6e1 - t6069 * t93038 / 0.6e1 - t6069 * t82959 / 0.6e1 - 0.3e1 / 0.2e1 * t52192 * t17529;
  t93051 = t12859 * t2105;
  t93052 = t253 * t93051;
  t93071 = t95 * t92734;
  t93089 = t63084 * t2105;
  t93094 = -0.3e1 / 0.2e1 * t52195 * t17529 - t11086 * t88914 / 0.2e1 + t7216 * t4770 * t93052 / 0.3e1 - 0.5e1 / 0.3e1 * t11086 * t4770 * t92714 + t11143 * t88898 / 0.2e1 + t7746 * t88743 / 0.3e1 - t79688 + t79699 + t79701 - 0.3e1 * t4738 * t1847 * t22070 * t92734 - 0.3e1 * t9873 * t7599 * t21220 * t92713 - t7216 * t27475 * t93071 + 0.11e2 / 0.9e1 * t11008 * t26140 * t92714 - 0.23e2 / 0.18e2 * t11008 * t25739 * t635 * t92713 - 0.2e1 / 0.3e1 * t7216 * t4760 * t3121 * t93051 + 0.2e1 * t7216 * t26082 * t635 * t92734 + 0.3e1 * t27523 * t25739 * t3671 * t93089;
  t93096 = t3171 * t2727 * t2105;
  t93107 = t635 * t63084 * t414;
  t93112 = t627 * t2740 * t414;
  t93120 = t658 * t2732 * t2105;
  t93131 = t635 * t93089;
  t93138 = t4748 * t7233 * t93096 - 0.3e1 / 0.2e1 * t4738 * t1847 * t89175 + 0.6e1 * t4779 * t7595 * t3409 * t92778 - 0.28e2 * t79668 * t10058 * t93107 - 0.3e1 * t3123 * t35690 * t93112 - 0.3e1 * t4738 * t7595 * t89171 + t88664 - t83962 + t83964 + t3123 * t7238 * t93120 / 0.2e1 - t11143 * t4796 * t92719 / 0.2e1 - 0.6e1 * t4738 * t7595 * t3375 * t92778 + 0.1e2 / 0.3e1 * t52652 * t4760 * t93131 + t11143 * t3130 * t92902 / 0.2e1 + t16723 - t8744 - t8748 + t8752;
  t93151 = -0.2e1 / 0.3e1 * t7216 * t41642 * t13196 + 0.23e2 / 0.36e2 * t11008 * t78730 * t12987 - t84014 - t84017 - t84019 + t84022 + t84025 + t84027 - t88671 + t79723 - t88703 - t88704 - t88705 - t88708 - t15662 + t7216 * t88569 / 0.6e1 + 0.2e1 * t11086 * t88581;
  t93170 = t25665 * t17284;
  t93180 = -t7216 * t88720 / 0.2e1 + 0.11e2 / 0.18e2 * t11008 * t88564 + 0.7e1 / 0.3e1 * t52192 * t17515 - t79734 + t79744 + 0.8e1 * t52204 * t47512 * t9871 * t92256 - 0.6e1 * t47583 * t36901 * t21210 * t92256 - t84107 + t84112 - t84114 + t88739 + t88740 + t31284 * t17285 / 0.3e1 + t31242 * t17285 / 0.3e1 + t6069 * t93170 / 0.3e1 + t42187 * t13006 / 0.2e1 - t41476 * t12847 / 0.2e1 + t4738 * t1847 * t88805 / 0.2e1;
  t93186 = t47270 * t52648;
  t93199 = t7255 * t17381 / 0.9e1;
  t93201 = t7255 * t16681 / 0.36e2;
  t93207 = t7299 * t17397 / 0.18e2;
  t93209 = t7299 * t16759 / 0.18e2;
  t93211 = t7255 * t17392 / 0.18e2;
  t93213 = t1869 * t16707 / 0.36e2;
  t93215 = t1869 * t16685 / 0.36e2;
  t93220 = t47709 * t11067 / 0.2e1 + t47709 * t11061 / 0.2e1 - t21878 * t93186 / 0.3e1 - t32403 * t11077 / 0.4e1 - t16326 + 0.23e2 / 0.36e2 * t52195 * t17505 - 0.11e2 / 0.18e2 * t11008 * t46884 * t17421 - 0.11e2 / 0.18e2 * t11008 * t87439 + t93199 - t93201 + t466 * t52591 / 0.12e2 + t1568 * t84652 / 0.6e1 + t93207 + t93209 - t93211 + t93213 + t93215 - 0.3e1 * t4779 * t7599 * t22070 * t92713;
  t93221 = t4754 * t92991;
  t93234 = t26927 * t17405;
  t93237 = t4796 * t91741;
  t93245 = t3448 * t17275;
  t93261 = t31575 * t17406 / 0.36e2;
  t93263 = t26888 * t17492 / 0.3e1;
  t93271 = t10066 * t93221 - 0.5e1 * t4738 * t7595 * t3375 * t92713 - t3123 * t12837 * t42223 / 0.2e1 + 0.6e1 * t4738 * t7599 * t21225 * t92713 + t6491 * t93234 / 0.6e1 + t6491 * t93237 / 0.6e1 + t6491 * t83490 / 0.6e1 + t25696 * t17474 / 0.2e1 + t42187 * t13182 + 0.3e1 / 0.2e1 * t9873 * t36856 * t93245 + 0.3e1 / 0.2e1 * t9873 * t7599 * t87035 + 0.3e1 / 0.2e1 * t9873 * t7599 * t3448 * t92083 - 0.3e1 * t26772 * t17445 - 0.3e1 * t26777 * t17445 - t93261 + t93263 - 0.9e1 / 0.2e1 * t4779 * t7599 * t22070 * t92778 + t3123 * t13186 * t42244 / 0.2e1;
  t93294 = t1220 * t92648;
  t93307 = t3123 * t13190 * t42248 / 0.2e1 + 0.3e1 / 0.2e1 * t3123 * t64916 * t48565 + t3123 * t13186 * t47219 / 0.2e1 - t16743 + t8778 + t8780 - t8785 - t8790 + 0.5e1 * t4779 * t7595 * t3409 * t92713 - t30 * t17370 * t277 / 0.4e1 + t88762 - t7746 * t87574 / 0.6e1 - t1218 * t93294 / 0.6e1 + t1218 * t1227 * t13058 * t1221 / 0.3e1 - t63754 * t1235 / 0.2e1 + t13060 * t1240 / 0.2e1 + t36005 * t16634 / 0.6e1;
  t93327 = t91825 * t10062;
  t93331 = t30 * t525 * t9871;
  t93336 = t53245 * t10038;
  t93339 = t92709 * t10047;
  t93342 = t36009 * t16634 / 0.6e1 + t7216 * t87850 / 0.6e1 + 0.23e2 / 0.36e2 * t11008 * t46934 * t17450 + 0.23e2 / 0.36e2 * t11008 * t89155 - t84143 - t84152 + t88801 + t88804 - t7216 * t87867 / 0.3e1 - t7216 * t87871 / 0.3e1 - t52192 * t17512 / 0.2e1 - t52195 * t17512 / 0.2e1 + t7216 * t89102 / 0.6e1 - 0.3e1 / 0.2e1 * t10036 * t93327 + 0.3e1 / 0.2e1 * t93331 * t9875 - 0.3e1 * t53885 * t9879 - t10036 * t93336 / 0.2e1 + 0.7e1 / 0.3e1 * t10036 * t93339;
  t93382 = -t31284 * t17525 / 0.6e1 - t31242 * t17525 / 0.6e1 + t15778 - t15784 - t6488 * t83984 / 0.6e1 - t6491 * t83979 / 0.6e1 + 0.23e2 / 0.36e2 * t11008 * t10037 * t92774 - t11086 * t88717 - 0.11e2 / 0.18e2 * t11008 * t10058 * t92719 - 0.23e2 / 0.12e2 * t11008 * t25739 * t92779 + 0.11e2 / 0.6e1 * t11008 * t26140 * t92902 - 0.61e2 / 0.27e2 * t52204 * t47588 * t92739 - 0.2e1 * t11086 * t4765 * t92774 + 0.44e2 / 0.27e2 * t52204 * t47512 * t92790 - t7746 * t3130 * t93052 / 0.6e1 + t6069 * t83973 / 0.12e2 + t11143 * t3130 * t92714 / 0.2e1;
  t93391 = t1508 * t16276 / 0.36e2;
  t93393 = t7255 * t16657 / 0.9e1;
  t93395 = t5143 * t2737 / 0.12e2;
  t93417 = t7746 * t8642 * t93071 / 0.3e1 - 0.18e2 * t4738 * t36922 * t648 * t92256 + t79802 - t79812 - t88868 - t88874 + t93391 + t93393 - t93395 + 0.3e1 / 0.2e1 * t11008 * t26082 * t92902 + t7216 * t88585 - 0.23e2 / 0.36e2 * t11008 * t88578 - t7216 * t88573 / 0.3e1 - t11008 * t4760 * t92719 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t7610 * t819 * t92713 + 0.2e1 * t53066 * t4796 * t92739 - 0.5e1 / 0.36e2 * t11008 * t10037 * t92719 + t79832;
  t93423 = t3402 * t17275;
  t93456 = t35704 * t17429 / 0.18e2;
  t93458 = t54276 * t17425 / 0.6e1;
  t93460 = 0.5e1 / 0.108e3 * t52934 * t17422;
  t93461 = t79834 - t7216 * t41646 * t12860 / 0.12e2 - 0.3e1 * t4738 * t36856 * t93423 - 0.3e1 * t4738 * t7599 * t88854 + t25730 * t17474 / 0.2e1 + t4779 * t7624 * t16610 / 0.2e1 + t4779 * t1843 * t88653 / 0.2e1 + t4779 * t1843 * t88657 / 0.2e1 + t25696 * t17477 / 0.2e1 + t25730 * t17477 / 0.2e1 - t4779 * t1847 * t3409 * t91900 + t31362 * t17418 / 0.6e1 + t31364 * t17418 / 0.6e1 - 0.5e1 / 0.36e2 * t11008 * t78730 * t12814 - t93456 - t93458 - t93460;
  t93463 = t35707 * t17436 / 0.18e2;
  t93465 = t52986 * t17433 / 0.6e1;
  t93470 = t3474 * t19479 * t414;
  t93489 = t3171 * t2740 * t2105;
  t93495 = t93463 + t93465 + t88893 + t88894 + t88895 + t88897 - 0.2e1 * t11086 * t4770 * t92902 - 0.3e1 * t4748 * t36154 * t93470 - 0.6e1 * t52607 * t4754 * t92739 + 0.4e1 * t11086 * t4760 * t92779 - 0.23e2 / 0.3e1 * t52610 * t10037 * t92790 + 0.22e2 / 0.3e1 * t52610 * t10058 * t92739 + t11086 * t4754 * t92719 + t15794 - t3123 * t7233 * t93489 - 0.14e2 / 0.3e1 * t27523 * t26140 * t93131 - t79881 - t79883;
  t93499 = t648 * t17275;
  t93516 = t7368 * t2327 / 0.12e2;
  t93518 = t1508 * t10894 / 0.36e2;
  t93532 = t79899 + t36310 * t10076 / 0.2e1 - t88935 + t88937 + t88939 + 0.3e1 * t4738 * t36875 * t93499 + 0.3e1 * t4738 * t7595 * t87784 + 0.18e2 * t9873 * t36901 * t21215 * t92256 - 0.62e2 / 0.3e1 * t52204 * t47588 * t92257 - t79915 + t11008 * t26082 * t92714 - t93516 - t93518 - t10160 * t1766 / 0.2e1 - t10160 * t1770 / 0.4e1 + t3319 * t1227 * t10158 * t35339 / 0.3e1 + 0.7e1 / 0.3e1 * t27523 * t87059 * t52208 + t32403 * t11155 / 0.2e1;
  t93572 = 0.11e2 / 0.54e2 * t52934 * t17502;
  t93573 = -t47709 * t11073 - 0.3e1 / 0.2e1 * t27523 * t86981 * t52242 - t48518 * t11064 / 0.2e1 - 0.2e1 * t52204 * t26140 * t92739 + t11008 * t89057 / 0.2e1 - t6069 * t4760 * t3121 * t83971 / 0.3e1 + t4748 * t12837 * t42236 / 0.2e1 + t6069 * t84160 / 0.6e1 + t1293 * t13165 / 0.2e1 + t1293 * t13168 / 0.2e1 - t757 * t17263 / 0.4e1 - t4779 * t1843 * t87941 + t3123 * t7238 * t88554 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t7610 * t88549 - t4738 * t1847 * t89077 + t4779 * t1847 * t88668 - t93572 - t88971;
  t93590 = -t88972 - t88973 - t80355 + t31844 * t16310 / 0.12e2 + t6488 * t82928 / 0.12e2 + t89013 + t84223 + t89014 - t89015 - t89017 - t89018 + t89019 - t15804 + t1787 * t78771 / 0.6e1 + t7340 * t17397 / 0.6e1 + t7345 * t17397 / 0.6e1 + t1787 * t673 * t92008 / 0.6e1;
  t93595 = t8868 * t463;
  t93606 = t79920 - t88052 - 0.3e1 * t36916 * t17361 + t84350 - t84356 - t84358 - t79924 + t16122 - t16125 + t16129 - t519 * t88479 - t519 * t88468 - 0.4e1 * t7595 * t648 * t93595 - 0.4e1 * t7595 * t88086 + t36856 * t17336 / 0.18e2 - t1843 * t88481 - t1843 * t88483 - t1841 * t16853;
  t93623 = t827 * t92778;
  t93630 = t88083 - t88084 + t88100 - 0.2e1 / 0.3e1 * t1847 * t88458 + t79931 - 0.3e1 * t37040 * t88118 - 0.12e2 * t36961 * t840 * t92778 + 0.2e1 * t37040 * t88385 - t36958 * t88388 / 0.18e2 - 0.1e2 * t36958 * t3475 * t92778 - 0.2e1 / 0.3e1 * t53435 * t17292 + 0.9e1 * t36958 * t93623 - t76420 - t79961 - t79965 + t79969 - t1843 * t88498 - 0.3e1 * t7610 * t229 * t93595;
  t93654 = -t7624 * t17364 + t88135 + t76455 + t88136 - t79996 + t8856 + t8875 + t8877 - t8888 + 0.2e1 * t36952 * t88240 + 0.3e1 * t53471 * t88370 - t36958 * t3482 * t92778 / 0.6e1 + 0.4e1 * t36961 * t88137 + t7584 * t88380 / 0.3e1 + 0.3e1 * t36949 * t233 * t92713 + 0.2e1 * t36952 * t233 * t92734 + 0.3e1 * t36949 * t88234 + 0.8e1 * t36961 * t93623;
  t93666 = t41881 * t92713;
  t93675 = t41881 * t92256;
  t93678 = t41881 * t92778;
  t93681 = t48231 * t92256;
  t93695 = t48306 * t92256;
  t93698 = 0.4e1 / 0.3e1 * t37040 * t88199 - t84393 + 0.2e1 * t36958 * t48231 * t92778 - 0.4e1 / 0.3e1 * t53443 * t22013 * t62 * t92256 + 0.4e1 * t37040 * t88180 - 0.12e2 * t36958 * t93666 + 0.12e2 * t36961 * t88075 + 0.6e1 * t37040 * t88155 + 0.2e1 / 0.3e1 * t36958 * t88158 - 0.72e2 * t53458 * t93675 - 0.18e2 * t36958 * t93678 + 0.8e1 * t53458 * t93681 + 0.72e2 * t53420 * t41885 * t92256 + 0.24e2 * t36961 * t41885 * t92778 - 0.2e1 * t36961 * t88070 - t37040 * t88073 + t36958 * t88164 / 0.9e1 + 0.8e1 / 0.3e1 * t53443 * t93695;
  t93703 = t827 * t92256;
  t93708 = t3475 * t92256;
  t93711 = t3482 * t92256;
  t93714 = -0.6e1 * t36958 * t88070 + 0.36e2 * t53458 * t93703 + 0.3e1 * t36958 * t88137 - 0.12e2 * t53443 * t93708 + t84406 + t84408 - t84410 - t15157 + t84412 - t84424 - t76466 - t88188 - t76471 - t76473 - t88189 - t80082 - 0.2e1 / 0.3e1 * t53458 * t93711 - t84432;
  t93715 = t2708 * t8840;
  t93729 = t80089 + t80090 - t88247 - t88248 - t88250 - t84445 + t84449 + t80095 - t80115 + t80118 - t80121 - t80123 - 0.4e1 / 0.3e1 * t1847 * t3375 * t93715 - t1843 * t819 * t93715 - t7624 * t16850 + 0.2e1 * t7632 * t17355 + 0.2e1 * t1847 * t88342 + 0.2e1 * t1847 * t3409 * t93715;
  t93739 = -0.4e1 / 0.3e1 * t7632 * t17358 - 0.4e1 / 0.3e1 * t1847 * t88365 + t84457 - t80179 + t80186 + t80189 - t88296 + t1847 * t88491 - t88308 + t84464 - t84466 + t84480 + t88309 - t88314 - t88315 - t88316 + t84512 + 0.4e1 / 0.3e1 * t36958 * t48231 * t92713;
  t93753 = t827 * t92713;
  t93770 = t7599 * t3448 * t93595 / 0.18e2 + t7599 * t88094 / 0.18e2 - t1841 * t16841 - 0.3e1 * t7610 * t88518 - t76540 - t88317 - t15697 + t15710 + t15712 - t519 * t88337 - 0.4e1 * t36875 * t17333 + 0.5e2 / 0.3e1 * t53443 * t93711 + 0.6e1 * t36958 * t93753 - 0.36e2 * t53420 * t840 * t92256 - 0.2e2 / 0.3e1 * t36958 * t3475 * t92713 + 0.3e1 * t36949 * t233 * t92778 + 0.24e2 * t53420 * t93703 - 0.1e2 * t36961 * t840 * t92713;
  t93800 = -0.6e1 * t37040 * t840 * t92734 + t84562 - t88332 + 0.1e2 / 0.3e1 * t36856 * t17342 + 0.1e2 / 0.3e1 * t7599 * t3402 * t93595 + 0.1e2 / 0.3e1 * t7599 * t88285 + 0.6e1 * t36875 * t17345 + 0.6e1 * t7595 * t88275 + 0.6e1 * t7595 * t653 * t93595 + t7632 * t16820 + t1847 * t88523 + t88333 + t76576 + t88335 + t1841 * t16890 / 0.2e1 - 0.2e1 * t7584 * t88055 - 0.1e2 / 0.3e1 * t36958 * t88403 + t1847 * t88509;
  t93820 = -0.2e1 / 0.3e1 * t1847 * t88080 - 0.2e1 / 0.3e1 * t7632 * t16843 - 0.2e1 / 0.3e1 * t1847 * t88475 + t88348 + t80229 + t88353 - t16164 + t16171 - t16173 + 0.2e2 / 0.3e1 * t36961 * t93753 + 0.4e1 * t37040 * t827 * t92734 - t36958 * t3482 * t92713 / 0.9e1 + 0.12e2 * t53647 * t233 * t92256 + 0.2e1 * t36952 * t88237 + t15168 + t16834 + t16835 - t88396;
  t93866 = t88397 + 0.2e1 / 0.9e1 * t36958 * t48306 * t92713 - 0.1e2 / 0.3e1 * t36961 * t93666 - 0.4e1 * t36961 * t93678 + 0.4e1 / 0.3e1 * t53458 * t93695 - 0.24e2 * t53647 * t41877 * t92256 - 0.6e1 * t36949 * t41877 * t92778 - 0.12e2 * t53420 * t93675 - 0.6e1 * t36949 * t41877 * t92713 - 0.4e1 * t36952 * t41877 * t92734 + 0.24e2 * t53443 * t93681 + 0.2e2 * t36961 * t41885 * t92713 + 0.12e2 * t37040 * t41885 * t92734 - 0.2e1 / 0.3e1 * t37040 * t88161 - 0.4e1 * t36952 * t88173 - 0.6e1 * t53471 * t88177 + t36958 * t48306 * t92778 / 0.3e1 - t53443 * t48301 * t62 * t92256 / 0.9e1;
  t93887 = -0.6e1 * t36949 * t88167 - 0.4e1 * t36952 * t88170 - 0.2e1 * t37040 * t41881 * t92734 + t88399 - 0.2e1 * t37040 * t88064 - 0.4e2 * t53458 * t93708 + 0.1e2 / 0.3e1 * t53443 * t22013 * t92256 - 0.6e1 * t36961 * t88061 + t88407 - t84585 - t15743 - t15749 + t15767 + t84589 - t84593 - t16839 + t519 * t88410 / 0.2e1 + 0.2e1 * t7586 * t88373;
  t93896 = 0.2e1 * t10828 * t88377 - 0.3e1 * t36856 * t17351 - t1843 * t88253 - t519 * t88256 - t84601 + t88424 - t88425 - t88426 + t88427 + t88428 + t88429 + t88430 + t88431 + t88432 - t8948 - t8949 - t8966 + t8975;
  t93902 = t12875 * t8840;
  t93918 = -0.3e1 * t7599 * t88326 - 0.3e1 * t7599 * t3375 * t93595 + t80307 + t80310 - t80313 - t80316 - t80319 - t15178 - t16863 + t16864 - t16865 + 0.2e1 / 0.3e1 * t7584 * t827 * t93902 + 0.2e1 / 0.3e1 * t36944 * t17317 + 0.2e1 / 0.3e1 * t7584 * t88447 + 0.2e1 * t10828 * t88122 + 0.2e1 * t10828 * t88126 - t53435 * t17320 / 0.9e1 - t10846 * t88193 / 0.9e1;
  t93920 = t12875 * t1272;
  t93934 = t827 * t93920;
  t93957 = -t10846 * t3482 * t93920 / 0.9e1 + 0.2e1 * t36966 * t16823 + 0.2e1 * t7586 * t88320 + 0.2e1 * t7586 * t88323 + 0.6e1 * t53435 * t17297 - t84617 + 0.2e1 * t53628 * t16827 + t84624 + 0.6e1 * t10846 * t93934 - 0.12e2 * t53417 * t17300 - 0.12e2 * t10841 * t88102 - 0.12e2 * t10841 * t840 * t93920 - 0.2e1 / 0.3e1 * t10846 * t88107 - 0.2e1 / 0.3e1 * t10846 * t3475 * t93920 - 0.2e1 * t36944 * t16857 - 0.2e1 * t7584 * t88354 - 0.2e1 * t7584 * t88357 + t7584 * t88301 / 0.3e1;
  t93991 = t7584 * t88305 / 0.3e1 - 0.4e1 * t36944 * t17306 - 0.4e1 * t7584 * t88224 + t36944 * t16860 / 0.3e1 + 0.6e1 * t10846 * t88113 - 0.4e1 * t7584 * t840 * t93902 + 0.6e1 * t53582 * t17309 + 0.6e1 * t10836 * t88202 + 0.6e1 * t10836 * t233 * t93920 + 0.2e1 * t7586 * t233 * t93902 + 0.2e1 * t53417 * t17297 + 0.2e1 * t10841 * t88113 + 0.2e1 * t10841 * t93934 + 0.2e1 * t36966 * t17312 + 0.2e1 * t7586 * t88213 + t88508 - t2138 + t2119 + t16888;
  t94006 = t4796 * t92991;
  t94009 = t3130 * t93010;
  t94032 = -t30 * t59 * (t93606 + t93630 + t93654 + t93698 + t93714 + t93729 + t93739 + t93770 + t93800 + t93820 + t93866 + t93887 + t93896 + t93918 + t93957 + t93991) * t95 / 0.4e1 + t89051 + 0.3e1 * t4738 * t7595 * t648 * t92083 + t26772 * t17492 + t26777 * t17492 - t10097 * t94006 / 0.2e1 - t6491 * t94009 / 0.6e1 - t182 * t17375 / 0.4e1 + 0.7e1 / 0.3e1 * t52195 * t17515 - t7746 * t88901 / 0.6e1 + t7581 * t88908 / 0.2e1 - t7216 * t87946 / 0.6e1 - t7581 * t87951 / 0.6e1 + t7746 * t88904 / 0.3e1 + 0.5e1 / 0.36e2 * t11008 * t88965 + t9033 - t9044 - 0.3e1 / 0.2e1 * t4779 * t7610 * t819 * t92778;
  t94085 = -0.6e1 * t4779 * t36931 * t229 * t92256 + 0.2e1 / 0.3e1 * t21878 * t26082 * t635 * t13004 * t2105 + 0.7e1 / 0.3e1 * t11008 * t46884 * t17450 - t11008 * t41642 * t12814 / 0.2e1 - 0.3e1 / 0.2e1 * t27523 * t78730 * t63085 - t42203 * t12832 / 0.2e1 + 0.3e1 / 0.2e1 * t52729 * t9737 - t31284 * t17406 / 0.12e2 - t31242 * t17406 / 0.12e2 - 0.38e2 / 0.9e1 * t52204 * t25739 * t92739 + 0.89e2 / 0.9e1 * t52204 * t47588 * t92790 + t4779 * t1841 * t16623 / 0.2e1 + t4779 * t519 * t88636 / 0.2e1 + t4779 * t519 * t88640 / 0.2e1 + 0.3e1 / 0.2e1 * t25696 * t17481 + 0.3e1 / 0.2e1 * t25730 * t17481 + 0.3e1 / 0.2e1 * t4779 * t36916 * t17480 + 0.3e1 / 0.2e1 * t4779 * t7610 * t87608;
  t94101 = t53253 * t9770;
  t94121 = -t9058 - t9060 - t7216 * t26082 * t93071 / 0.2e1 - 0.5e1 / 0.6e1 * t11086 * t4760 * t92714 + t7216 * t4760 * t93052 / 0.6e1 - t4779 * t1843 * t3430 * t92734 + 0.5e1 / 0.12e2 * t11008 * t25739 * t92902 + t80421 + t6491 * t94101 / 0.6e1 - t6491 * t83077 / 0.6e1 - t6488 * t83081 / 0.6e1 - 0.2e1 / 0.3e1 * t7216 * t88984 + 0.23e2 / 0.36e2 * t11008 * t88987 - t7216 * t88940 / 0.6e1 + t11086 * t87053 + t7216 * t87056 / 0.3e1 - 0.11e2 / 0.18e2 * t11008 * t87060 - t25662 * t13187 / 0.2e1;
  t94146 = -t25662 * t13191 / 0.4e1 - t30 * t10021 * t544 / 0.4e1 - t16900 + t16901 + t7216 * t41642 * t12810 / 0.6e1 - t2089 + t89084 + t89085 - t80441 - t4779 * t1843 * t88962 - 0.3e1 / 0.2e1 * t4779 * t519 * t88536 + t3123 * t7228 * t88545 / 0.2e1 + t89098 + t89120 - t89123 - 0.3e1 / 0.2e1 * t11008 * t10037 * t3671 * t92083 - t36310 * t9732 / 0.4e1;
  t94147 = t53891 * t10038;
  t94149 = t53072 * t9766;
  t94153 = t35707 * t16620 / 0.36e2;
  t94155 = t37202 * t16616 / 0.18e2;
  t94179 = t10066 * t94147 + t6069 * t94149 / 0.3e1 + t94153 - t94155 - 0.3e1 * t4738 * t7599 * t3402 * t92083 + t54044 * t17448 + t52845 * t17448 + t11086 * t25784 * t17421 + t6069 * t83084 / 0.12e2 - 0.7e1 / 0.3e1 * t27523 * t26140 * t635 * t92961 - t3123 * t7233 * t88025 / 0.2e1 - t84304 + t84306 - t84328 - t84330 - t84332 - 0.35e2 / 0.108e3 * t52204 * t47512 * t92739 - t7746 * t3130 * t92177 / 0.6e1;
  t94182 = t31352 * t16310 / 0.36e2;
  t94187 = t94182 + t31841 * t16310 / 0.12e2 + t89143 - t89144 - t89145 - t89146 + t89147 + t89148 + t84656 - t84660 + t84664 - t9110 + t9112 + t80474 - t182 * t17371 / 0.4e1 + t16354 - t80514 - t89170;
  t94188 = t53249 * t9762;
  t94192 = t26891 * t17518 / 0.6e1;
  t94193 = t91825 * t10047;
  t94196 = t53891 * t9770;
  t94199 = t53245 * t9757;
  t94210 = t4770 * t93010;
  t94213 = t10058 * t92991;
  t94219 = t3474 * t92704;
  t94224 = t7255 * t16780 / 0.18e2;
  t94226 = t6358 * t2453 / 0.6e1;
  t94228 = t6186 * t17218 / 0.36e2;
  t94229 = t6069 * t94188 / 0.3e1 - t94192 + 0.23e2 / 0.36e2 * t10036 * t94193 - t6069 * t94196 / 0.6e1 - 0.2e1 / 0.3e1 * t6069 * t94199 + 0.3e1 / 0.2e1 * t48460 * t17441 - t7374 * t2327 / 0.4e1 - t5073 * t13254 / 0.2e1 - t5073 * t13257 / 0.2e1 + t6069 * t94210 / 0.3e1 - 0.11e2 / 0.18e2 * t10036 * t94213 + 0.47e2 / 0.3e1 * t78666 * t25739 * t93107 + 0.3e1 / 0.2e1 * t3123 * t36154 * t94219 + t80532 - t80534 - t94224 + t94226 - t94228;
  t94236 = my_piecewise3(t2, 0, t94229 + t94187 + t94179 + t94146 + t94121 + t94085 + t94032 + t93590 + t93573 + t93532 + t93495 + t93461 + t93417 + t93382 + t93342 + t93307 + t93271 + t93220 + t93180 + t93151 + t93138 + t93094 + t93045 + t92998 + t92940 + t92905 + t92865 + t92851 + t92816 + t92789 + t92748 + t92725 + t92696 + t92652 + t92614 + t92602 + t92512 + t92535 + t92541 + t92476 + t92435 + t92402 + t92567 + t92366 + t92324 + t92285 + t92248 + t92220 + t92194 + t92154 + t92119 + t92097 + t92061 + t92042 + t92018 + t91992 + t91954 + t91921 + t91886 + t91877 + t91842 + t91805 + t91776 + t91736);
  tv4rhosigmalapltau0 = t3 * t94236 + t17536;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 0] += tv4rhosigmalapltau0;

  tv4rhosigmalapltau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 1] += tv4rhosigmalapltau1;

  tv4rhosigmalapltau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 2] += tv4rhosigmalapltau2;

  tv4rhosigmalapltau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 3] += tv4rhosigmalapltau3;

  tv4rhosigmalapltau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 4] += tv4rhosigmalapltau4;

  tv4rhosigmalapltau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 5] += tv4rhosigmalapltau5;

  tv4rhosigmalapltau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 6] += tv4rhosigmalapltau6;

  tv4rhosigmalapltau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 7] += tv4rhosigmalapltau7;

  tv4rhosigmalapltau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 8] += tv4rhosigmalapltau8;

  tv4rhosigmalapltau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 9] += tv4rhosigmalapltau9;

  tv4rhosigmalapltau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 10] += tv4rhosigmalapltau10;

  t94239 = t49479 * t570 / 0.12e2;
  t94241 = t1354 * t13633 / 0.36e2;
  t94243 = t28634 * t2809 / 0.6e1;
  t94245 = t7929 * t2395 / 0.6e1;
  t94247 = t6631 * t2509 / 0.12e2;
  t94264 = t94239 - t94241 - t80574 - t94243 - t94245 - t94247 - t6702 * t17538 / 0.6e1 + t6702 * t17542 / 0.3e1 + t7908 * t17180 / 0.3e1 - t1615 * t11754 / 0.12e2 + t5419 * t2831 / 0.4e1 + t5419 * t2822 / 0.2e1 + t1902 * t15979 / 0.12e2 - t7908 * t16915 / 0.12e2;
  t94266 = t7929 * t2398 / 0.12e2;
  t94272 = t7988 * t17558 / 0.18e2;
  t94274 = t38453 * t2390 / 0.6e1;
  t94276 = t948 * t17588 / 0.12e2;
  t94280 = 0.2e1 / 0.9e1 * t38556 * t17660;
  t94282 = t28427 * t17657 / 0.3e1;
  t94284 = t28439 * t17649 / 0.6e1;
  t94285 = t28427 * t17654;
  t94287 = t28439 * t17646 / 0.6e1;
  t94288 = -t89198 - t89199 - t94266 + t7908 * t17604 / 0.3e1 - t7959 * t2395 / 0.2e1 + t94272 - t94274 - t84725 - t94276 - t23531 * t17703 / 0.2e1 - t94280 + t94282 + t94284 + t94285 + t94287;
  t94291 = t28439 * t17683 / 0.2e1;
  t94293 = t28439 * t17679 / 0.3e1;
  t94295 = t28439 * t17675 / 0.6e1;
  t94297 = t33262 * t17672 / 0.36e2;
  t94306 = t94291 - t94293 + t94295 - t94297 - t84764 - t33284 * t17690 / 0.6e1 - t89225 - t89226 - t89228 - t89231 + t89233 + t6656 * t2512 / 0.2e1 - t7908 * t17175 / 0.6e1 - t7908 * t17561 / 0.12e2;
  t94314 = t7903 * t16915 / 0.36e2;
  t94316 = 0.23e2 / 0.108e3 * t55435 * t17736;
  t94318 = t5414 * t2817 / 0.12e2;
  t94319 = t8002 * t17558 / 0.6e1 + t1902 * t16955 / 0.12e2 - t7908 * t17554 / 0.6e1 - t94314 + t84769 - t84773 - t84777 + t84779 + t94316 - t89241 + t84785 - t94318 - t84794 - t84798 + t80593;
  t94323 = t38556 * t17635 / 0.18e2;
  t94325 = 0.5e1 / 0.108e3 * t55435 * t17640;
  t94332 = t28436 * t17697 / 0.6e1;
  t94334 = t33262 * t17694 / 0.9e1;
  t94335 = -t80605 + t89265 - t89266 + t89267 - t89268 + t89269 + t89270 + t94323 - t94325 + t55459 * t17727 - 0.2e1 * t55459 * t17730 - 0.3e1 / 0.2e1 * t55473 * t17724 - t94332 + t94334;
  t94337 = 0.11e2 / 0.54e2 * t55435 * t17733;
  t94339 = t1618 * t16365 / 0.36e2;
  t94343 = t38532 * t16966 / 0.18e2;
  t94366 = -t94337 + t94339 + t1902 * t16933 / 0.12e2 - t94343 - t55639 * t17712 / 0.2e1 - t38535 * t16983 / 0.6e1 + t38396 * t17635 / 0.6e1 - 0.5e1 / 0.36e2 * t55473 * t17640 + t38396 * t17629 / 0.3e1 + t38396 * t16971 / 0.12e2 - t28861 * t2809 / 0.2e1 - t945 * t17588 / 0.4e1 - t6656 * t2506 / 0.2e1 + t8002 * t16922 / 0.6e1 + t1615 * t16365 / 0.12e2;
  t94369 = t28439 * t17687 / 0.2e1;
  t94371 = t1905 * t15979 / 0.36e2;
  t94373 = t6679 * t17575 / 0.36e2;
  t94375 = t6631 * t2521 / 0.12e2;
  t94377 = t5414 * t2814 / 0.6e1;
  t94382 = t94369 - t80612 + t80622 - t80629 - t80631 + t80633 + t94371 - t94373 + t84862 + t94375 - t84876 - t94377 - t5419 * t2817 / 0.4e1 - t84878 - t5419 * t2814 / 0.2e1;
  t94384 = t6684 * t17570 / 0.18e2;
  t94386 = t7903 * t17604 / 0.9e1;
  t94387 = t28439 * t17765;
  t94403 = -t84880 + t89314 - t89315 + t89316 + t94384 + t94386 - t94387 - t290 * t17709 / 0.4e1 + t28455 * t17646 / 0.2e1 - t28455 * t17679 + 0.3e1 / 0.2e1 * t28455 * t17683 + t28455 * t17675 / 0.2e1 + t33281 * t16404 / 0.12e2 - t33284 * t17672 / 0.12e2 + t23531 * t17700 / 0.2e1;
  t94410 = t38556 * t17629 / 0.9e1;
  t94414 = t7929 * t2403 / 0.6e1;
  t94416 = t7903 * t17175 / 0.18e2;
  t94418 = t7903 * t17180 / 0.9e1;
  t94420 = t6679 * t17538 / 0.18e2;
  t94422 = t6679 * t17542 / 0.9e1;
  t94424 = t6631 * t2512 / 0.6e1;
  t94433 = -t28922 * t17697 / 0.2e1 + t94410 - t290 * t17848 / 0.4e1 + t94414 - t94416 + t94418 - t94420 + t94422 + t94424 - t89361 - t38396 * t16994 / 0.3e1 - t55473 * t17749 / 0.2e1 + t38396 * t16990 / 0.6e1 - t28455 * t17742 / 0.2e1;
  t94447 = t1905 * t10656 / 0.36e2;
  t94449 = t55240 * t505 / 0.12e2;
  t94451 = t1618 * t11507 / 0.36e2;
  t94453 = t33317 * t2503 / 0.6e1;
  t94462 = t28913 * t17739 / 0.2e1 - 0.3e1 * t28455 * t17765 + 0.3e1 / 0.2e1 * t49816 * t17757 - 0.3e1 * t28913 * t17761 - t1351 * t13478 / 0.12e2 + t6656 * t2521 / 0.4e1 - t94447 + t94449 - t94451 - t94453 + t84913 - t6702 * t17575 / 0.12e2 + t6709 * t17570 / 0.6e1 - t1902 * t10656 / 0.12e2 + t55214 * t505 / 0.4e1;
  t94474 = t33262 * t17690 / 0.18e2;
  t94478 = 0.2e1 / 0.3e1 * t55446 * t17730;
  t94480 = t55446 * t17727 / 0.3e1;
  t94482 = 0.7e1 / 0.9e1 * t55435 * t17753;
  t94484 = t55435 * t17724 / 0.2e1;
  t94486 = t55435 * t17749 / 0.6e1;
  t94488 = t38556 * t16994 / 0.9e1;
  t94489 = -t1351 * t13633 / 0.12e2 + t66620 * t457 / 0.4e1 + t49454 * t570 / 0.4e1 + t28913 * t17657 - 0.2e1 / 0.3e1 * t38396 * t17660 - t94474 + 0.3e1 * t28913 * t17654 - t94478 + t94480 + t94482 - t94484 - t94486 - t94488 + t80669;
  t94493 = t7988 * t16922 / 0.18e2;
  t94499 = t6631 * t2506 / 0.6e1;
  t94501 = t38556 * t16990 / 0.18e2;
  t94502 = t80675 - t1615 * t11507 / 0.12e2 + t94493 - t89413 - 0.11e2 / 0.18e2 * t55473 * t17733 + 0.23e2 / 0.36e2 * t55473 * t17736 - t94499 - t84926 + t84935 + t84939 + t84951 + t80697 - t80709 - t80711 + t94501;
  t94506 = t28439 * t17742 / 0.6e1;
  t94508 = t28427 * t17739 / 0.6e1;
  t94514 = t38553 * t17715 / 0.18e2;
  t94516 = t55446 * t17718 / 0.6e1;
  t94518 = t55440 * t17712 / 0.6e1;
  t94520 = t38553 * t16983 / 0.18e2;
  t94528 = t38556 * t16971 / 0.36e2;
  t94530 = t33520 * t16404 / 0.36e2;
  t94532 = t33515 * t17667 / 0.18e2;
  t94533 = -t94506 + t94508 - t38535 * t17715 / 0.6e1 + t55459 * t17718 / 0.2e1 - t94514 + t94516 - t94518 - t94520 - t23531 * t17706 / 0.4e1 + t28455 * t17649 / 0.2e1 - t38550 * t16966 / 0.6e1 + t94528 + t94530 + t94532;
  t94535 = t24019 * t17703 / 0.6e1;
  t94537 = t24019 * t17706 / 0.12e2;
  t94543 = t294 * t17709 / 0.12e2;
  t94545 = t294 * t17848 / 0.12e2;
  t94555 = t7903 * t17561 / 0.36e2;
  t94557 = t5414 * t2822 / 0.6e1;
  t94559 = t1618 * t11754 / 0.36e2;
  t94561 = t5414 * t2831 / 0.12e2;
  t94563 = t7903 * t17554 / 0.18e2;
  t94564 = -t94535 - t94537 + 0.7e1 / 0.3e1 * t55473 * t17753 + t33278 * t17667 / 0.6e1 - t94543 - t94545 + t33284 * t17694 / 0.3e1 - t33563 * t2503 / 0.2e1 - t38825 * t2390 / 0.2e1 + t7959 * t2403 / 0.2e1 - t94555 + t94557 - t94559 + t94561 - t94563;
  t94567 = t1905 * t16955 / 0.36e2;
  t94569 = t1905 * t16933 / 0.36e2;
  t94571 = t1354 * t13478 / 0.36e2;
  t94573 = t66722 * t457 / 0.12e2;
  t94575 = t24019 * t17700 / 0.6e1;
  t94580 = t94567 + t94569 - t94571 + t94573 - t80728 + t94575 - t7959 * t2398 / 0.4e1 - t6656 * t2509 / 0.4e1 + t89420 + t89421 + t80768 - t80776 - t80778 + t80780 + t89452;
  t94582 = t49860 * t17757 / 0.2e1;
  t94583 = t28427 * t17761;
  t94586 = -t84962 - t84970 + t84983 + t84985 + t94582 - t94583 - t9156 + t9168 - t9180 + t9188 - t89460 + t89461 + t89462 + 0.3e1 / 0.2e1 * t28455 * t17687 - t89465;
  t94591 = my_piecewise3(t100, 0, t94264 + t94288 + t94306 + t94319 + t94335 + t94366 + t94382 + t94403 + t94433 + t94462 + t94489 + t94502 + t94533 + t94564 + t94580 + t94586);
  tv4rhosigmalapltau11 = t3 * t94591 + t17861;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 11] += tv4rhosigmalapltau11;

  t94608 = t85036 + t82836 + 0.3e1 * t27867 * t17489 + t37561 * t16620 / 0.12e2 + t27723 * t17485 / 0.2e1 + 0.3e1 / 0.2e1 * t27723 * t17481 + t27867 * t17492 - 0.2e1 / 0.3e1 * t37561 * t17495 + t55157 * t17433 / 0.2e1 + t91837 - t91839 - t91841 + t80819 + t5379 * t2742 / 0.2e1;
  t94615 = t91848 + t6575 * t2462 / 0.4e1 - t91854 + t5379 * t2751 / 0.4e1 - t87143 + t87181 + t91885 - t80838 - t85041 + t91912 - t91918 + 0.3e1 / 0.2e1 * t49304 * t17441 - t91998 + t85045 + t92015;
  t94631 = -t92017 - t92021 + t37561 * t17499 / 0.3e1 - t92033 - t87412 - t83168 + t83174 - t1632 * t10969 / 0.12e2 - t1923 * t10155 / 0.12e2 + t65923 * t432 / 0.4e1 - t1368 * t13049 / 0.12e2 + t49063 * t530 / 0.4e1 + t54711 * t481 / 0.4e1 + t85065;
  t94643 = -t85067 - t89505 - t89506 + t89507 + t32751 * t17418 / 0.6e1 + t27723 * t17474 / 0.2e1 - t27723 * t17416 + t89508 + t89516 + t27723 * t17477 / 0.2e1 + t22520 * t17272 / 0.2e1 + t32743 * t17285 / 0.3e1 - t87577 + t92167 + t92169;
  t94648 = t92171 + t92211 - t85089 - t83346 - t83348 - t83358 + t92219 - t92221 + t92223 + t37561 * t17436 / 0.6e1 - t79232 + t79239 + t80865 - t79247;
  t94659 = -t80867 + t92286 + t92288 - t92299 + t80892 - 0.5e1 / 0.36e2 * t54964 * t17422 + t92358 - t92397 - t79311 - t6575 * t2450 / 0.4e1 - t27916 * t2729 / 0.2e1 - t7801 * t16780 / 0.6e1 + t7801 * t16657 / 0.3e1 - t92399 - t89579;
  t94661 = -t89580 - t92439 + t92451 - t92453 - t92455 - t92494 + t92496 - t92498 + t92500 - t89585 + t83484 - t92503 + t92505 - t92507 + t92509;
  t94673 = -t92511 + t6609 * t17213 / 0.6e1 + t1632 * t16276 / 0.12e2 - t5379 * t2734 / 0.2e1 - t6575 * t2447 / 0.2e1 - t85137 + t85141 - t92550 + t92581 + t92583 + t79369 - t92626 - t92647 + t55157 * t17448 - t307 * t17371 / 0.4e1;
  t94693 = -t83681 - 0.3e1 / 0.2e1 * t54964 * t17529 - t32743 * t17525 / 0.6e1 - t27723 * t17518 / 0.2e1 + 0.3e1 / 0.2e1 * t27723 * t17522 + t27867 * t17280 / 0.2e1 - 0.3e1 * t27723 * t17277 - t27864 * t17288 / 0.2e1 - t87957 - 0.3e1 * t27867 * t17445 - t88015 - t88016 - t92795 - t8667;
  t94704 = t8683 + t88035 - t92856 + t92858 - t92860 - t92907 + t92909 + t92911 + t1923 * t15621 / 0.12e2 + t92935 - t5379 * t2737 / 0.4e1 - t903 * t17263 / 0.4e1 - t55186 * t17425 / 0.2e1 - t37525 * t17429 / 0.6e1 - t93020;
  t94716 = t93022 - t32796 * t2444 / 0.2e1 + t6575 * t2453 / 0.2e1 + t7824 * t2332 / 0.2e1 - t7824 * t2324 / 0.2e1 - t7801 * t17400 / 0.12e2 - t89603 + t80902 - t80905 - t80907 - t93024 + t83932 + t89606 - t89607;
  t94727 = -t85164 - t85166 - t79688 + t85168 + t88664 + t1923 * t16707 / 0.12e2 - t7801 * t17392 / 0.6e1 + t7894 * t16759 / 0.6e1 + t7894 * t17397 / 0.6e1 + t79723 + t32748 * t16310 / 0.12e2 + t93199 - t93201 + t93207 + t93209;
  t94740 = -t93211 + t93213 + t93215 - t93261 + t93263 + t89609 + t88804 - t22520 * t17412 / 0.4e1 - t22520 * t17409 / 0.2e1 - t37982 * t16616 / 0.6e1 - t37525 * t16627 / 0.6e1 - t32743 * t17406 / 0.12e2 + t93391 + t93393;
  t94749 = -t93395 - t93456 - t93458 - t93460 + t93463 + t93465 - t1632 * t10894 / 0.12e2 - t1368 * t12868 / 0.12e2 - t7824 * t2327 / 0.4e1 - t6541 * t17233 / 0.6e1 - t93516 - t93518 - t93572 - t80922 - t88971;
  t94775 = t89051 + t6541 * t17237 / 0.3e1 - t54964 * t17512 / 0.2e1 + 0.7e1 / 0.3e1 * t54964 * t17515 - t37561 * t16638 / 0.3e1 + 0.23e2 / 0.36e2 * t54964 * t17505 + t37561 * t16634 / 0.6e1 - 0.11e2 / 0.18e2 * t54964 * t17502 - 0.2e1 * t55157 * t17451 - t37723 * t2319 / 0.2e1 - t7801 * t16681 / 0.12e2 + t7801 * t17381 / 0.3e1 + t1923 * t16685 / 0.12e2 - t9215 + t9226;
  t94780 = t94153 - t94155 - t84304 + t84306 + t94182 + t89143 + t89622 - t307 * t17375 / 0.4e1 - t94192 + t80532 - t80534 - t94224 + t94226 - t94228 - t6541 * t17218 / 0.12e2;
  t94785 = my_piecewise3(t2, 0, t94608 + t94615 + t94631 + t94643 + t94648 + t94659 + t94661 + t94673 + t94693 + t94704 + t94716 + t94727 + t94740 + t94749 + t94775 + t94780);
  tv4rhosigmalapltau12 = t3 * t94785 + t17536;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 12] += tv4rhosigmalapltau12;

  tv4rhosigmalapltau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 13] += tv4rhosigmalapltau13;

  tv4rhosigmalapltau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 14] += tv4rhosigmalapltau14;

  tv4rhosigmalapltau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 15] += tv4rhosigmalapltau15;

  tv4rhosigmalapltau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 16] += tv4rhosigmalapltau16;

  tv4rhosigmalapltau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 17] += tv4rhosigmalapltau17;

  tv4rhosigmalapltau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 18] += tv4rhosigmalapltau18;

  tv4rhosigmalapltau19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 19] += tv4rhosigmalapltau19;

  tv4rhosigmalapltau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 20] += tv4rhosigmalapltau20;

  tv4rhosigmalapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 21] += tv4rhosigmalapltau21;

  tv4rhosigmalapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 22] += tv4rhosigmalapltau22;

  t94801 = -t85205 - t85207 - t85209 + t94239 - t94241 - t80574 - t8110 * t16915 / 0.12e2 - t1965 * t89841 / 0.12e2 - t1965 * t81354 / 0.12e2 + t2043 * t16933 / 0.12e2 + t2048 * t16933 / 0.12e2 + t555 * t91146 / 0.12e2 + t555 * t91132 / 0.12e2 + t85226 - t80961 - t80963 - t80973;
  t94804 = t487 * t1383;
  t94805 = t1021 * t94804;
  t94847 = 0.7e1 / 0.3e1 * t11381 * t90039 + 0.7e1 / 0.3e1 * t11381 * t10485 * t94805 - 0.3e1 / 0.2e1 * t56413 * t17724 - 0.3e1 / 0.2e1 * t56416 * t17724 - 0.3e1 / 0.2e1 * t11381 * t50606 * t17723 - 0.3e1 / 0.2e1 * t11381 * t90863 - 0.3e1 / 0.2e1 * t11381 * t10458 * t4403 * t94804 + t56488 * t17727 + t56491 * t17727 - t8058 * t91189 / 0.3e1 - t8058 * t91165 / 0.3e1 - t56413 * t17749 / 0.2e1 - t56416 * t17749 / 0.2e1 - t11381 * t29795 * t17639 / 0.2e1 - t24164 * t5549 * t1021 * t552 * t16952 / 0.3e1 - t4145 * t8070 * t17020 / 0.4e1 + 0.3e1 / 0.2e1 * t50177 * t11715 + t8058 * t81143 / 0.6e1;
  t94851 = t58044 * t10453;
  t94855 = t4376 * t565;
  t94856 = t94855 * t10453;
  t94879 = t56182 * t10453;
  t94882 = t39994 * t10447;
  t94885 = t56671 * t10453;
  t94888 = -0.11e2 / 0.18e2 * t11381 * t90050 + t10451 * t94851 + t6824 * t86264 / 0.6e1 - 0.11e2 / 0.18e2 * t10457 * t94856 + 0.3e1 * t56196 * t10558 - 0.3e1 * t56164 * t10521 + t56196 * t10526 / 0.2e1 - t56164 * t10529 / 0.2e1 + 0.3e1 * t51823 * t11479 - 0.3e1 * t50177 * t11431 + t51823 * t11399 / 0.2e1 - t50177 * t11394 / 0.2e1 + 0.3e1 / 0.2e1 * t81407 * t13619 + 0.3e1 * t45074 * t13859 - t10462 * t94879 / 0.2e1 - t6830 * t94882 / 0.6e1 + t10451 * t94885 / 0.2e1;
  t94889 = t56182 * t10467;
  t94899 = t56695 * t10447;
  t94906 = t6830 * t94889 / 0.6e1 - t6830 * t86250 / 0.6e1 - 0.2e1 / 0.3e1 * t8058 * t44807 * t13697 + t6827 * t86388 / 0.12e2 + t6824 * t94899 / 0.6e1 + t80979 + t80983 + t80995 - t81000 - t81003 - t81007 - t81010 - t94243 - t94245 - t94247 - t94266 + t45074 * t13573 / 0.2e1 - t44886 * t13576 / 0.2e1;
  t94915 = t50229 * t11468;
  t94927 = t168 * t94804;
  t94931 = t30232 * t17666;
  t94956 = t5559 * t2060 * t89945 / 0.2e1 - t5540 * t2060 * t89949 / 0.2e1 - t5548 * t94915 / 0.6e1 + t5548 * t50197 * t11464 / 0.3e1 - t51828 * t11460 / 0.2e1 + t34283 * t11450 / 0.2e1 + t11369 * t89676 / 0.2e1 + t11369 * t5553 * t94927 / 0.2e1 - t6824 * t94931 / 0.12e2 - t4145 * t67705 * t2394 / 0.2e1 - t4145 * t67708 * t2394 / 0.2e1 - t4145 * t13537 * t9665 / 0.2e1 - t24205 * t17706 / 0.4e1 - t24209 * t17706 / 0.4e1 - t4145 * t67689 * t2257 / 0.4e1 - t4145 * t67693 * t2257 / 0.4e1 - t4145 * t13543 * t9480 / 0.4e1;
  t94982 = t487 * t9397;
  t94983 = t168 * t94982;
  t94999 = t33986 * t17667 / 0.6e1 + t33978 * t17667 / 0.6e1 - t24205 * t17703 / 0.2e1 - 0.5e1 / 0.36e2 * t11381 * t10458 * t94927 - t40050 * t16983 / 0.6e1 - t40052 * t16983 / 0.6e1 - t8052 * t90440 / 0.6e1 - t8052 * t90444 / 0.6e1 - t8052 * t90448 / 0.6e1 - t56539 * t17712 / 0.2e1 - t56541 * t17712 / 0.2e1 + t8058 * t90542 / 0.3e1 + t8058 * t5587 * t94983 / 0.3e1 + t39224 * t17635 / 0.6e1 + t39229 * t17635 / 0.6e1 + t8058 * t29795 * t17628 / 0.6e1 + t8058 * t89976 / 0.6e1 + t8058 * t5549 * t94983 / 0.6e1;
  t95009 = t94272 - t94274 - t94276 - t94280 + t94282 + t94284 + t94285 + t94287 + t94291 - t94293 + t94295 - t94297 - t51828 * t11457 / 0.2e1 - t56164 * t10631 + t39948 * t10627 / 0.2e1 + t51823 * t11475 - t24209 * t17703 / 0.2e1 - t85291;
  t95033 = t13724 * t1462 / 0.4e1 + t57113 * t505 / 0.4e1 + t68477 * t457 / 0.4e1 + t68472 * t457 / 0.4e1 - t1386 * t13633 / 0.12e2 - t442 * t68467 / 0.12e2 - t81142 + t50177 * t11733 / 0.2e1 + t89797 + t89798 - t85323 - t85325 + t85329 + t85331 + t44886 * t13524 / 0.2e1 + t44886 * t13527 / 0.2e1 - t24164 * t44807 * t67368 / 0.3e1 - t28961 * t13530 / 0.4e1;
  t95048 = 0.3e1 / 0.2e1 * t44886 * t13534 + t44886 * t13853 / 0.2e1 - 0.2e1 * t52065 * t44803 * t66837 - t28961 * t13856 / 0.2e1 + t50068 * t570 / 0.4e1 - t85354 - t85356 + t85375 + t85377 + t89800 - t89802 + t89803 - t89804 - t84764 - t89806 - t89808 + t81185;
  t95054 = t1400 * t8182 * t2337;
  t95063 = t81189 - t81192 - t89811 - t89812 - t81199 + t81204 + t81207 - t81212 - t81215 + t6755 * t17542 / 0.3e1 + t6760 * t17542 / 0.3e1 + t1651 * t95054 / 0.3e1 + t1651 * t85314 / 0.3e1 - t39551 * t2390 / 0.2e1 - t39588 * t2390 / 0.2e1 - t89822 - t89823 - t89824;
  t95082 = -t85395 - t89825 - t89826 - t89827 - t89828 - t89829 - t85417 - t85419 - t89831 + t11369 * t30232 * t17639 / 0.2e1 + t56491 * t17718 / 0.2e1 - t1386 * t13478 / 0.12e2 - t442 * t68628 / 0.12e2 - t442 * t68236 / 0.12e2 + t6876 * t2521 / 0.4e1 + t6855 * t2521 / 0.4e1 + t1663 * t11783 / 0.4e1;
  t95085 = t4376 * t17638;
  t95121 = t1663 * t11787 / 0.4e1 - 0.3e1 * t5559 * t40236 * t95085 - 0.3e1 * t5559 * t8227 * t91168 - 0.3e1 * t5559 * t8227 * t4376 * t94804 - 0.3e1 * t29767 * t17765 - 0.3e1 * t29773 * t17765 - 0.3e1 * t5540 * t40266 * t17764 - 0.3e1 * t5540 * t8223 * t90392 + t24205 * t17700 / 0.2e1 + t24209 * t17700 / 0.2e1 + t4145 * t68583 * t2402 / 0.2e1 + t4145 * t67181 * t2402 / 0.2e1 + t4145 * t13560 * t9492 / 0.2e1 + 0.3e1 / 0.2e1 * t51448 * t17757 - t81328 + t81335 - t81337 + t81341;
  t95134 = -t89225 - t89226 - t89228 + t85468 - t94314 - t89957 + t81372 + t89968 - t85482 + t85484 + t81405 + t85502 - t1965 * t81583 / 0.6e1 + t11512 * t1696 / 0.2e1 - t1651 * t85811 / 0.6e1 - t57852 * t1693 / 0.2e1 + t13724 * t1413 / 0.2e1;
  t95141 = t67598 * t1394;
  t95142 = t1393 * t95141;
  t95163 = t44803 * t19939;
  t95168 = t1391 * t1400 * t13722 * t1394 / 0.3e1 - t68390 * t1408 / 0.2e1 - t1391 * t95142 / 0.6e1 + t10647 * t1978 / 0.2e1 + t89969 - t89970 - t89971 + t89972 + t5575 * t66941 / 0.12e2 - 0.3e1 * t44886 * t13568 - t44886 * t13548 + 0.7e1 / 0.3e1 * t29011 * t81108 * t66837 + t28961 * t13550 / 0.2e1 + t6830 * t86487 / 0.6e1 - t28961 * t13538 / 0.2e1 - t28961 * t13544 / 0.4e1 + t24164 * t95163 / 0.3e1 - 0.11e2 / 0.18e2 * t56416 * t17733;
  t95170 = t1034 * t17638;
  t95189 = t94316 + 0.3e1 * t5559 * t40266 * t95170 + 0.3e1 * t5559 * t8223 * t90226 + 0.3e1 * t5559 * t8223 * t1034 * t94804 + t29764 * t17657 - t90004 - t90010 + t90011 + t90012 - t81452 + t84785 - t94318 + t16363 - t16377 + t16381 - t11381 * t90361 / 0.2e1 - t11381 * t5549 * t94927 / 0.2e1 + 0.7e1 / 0.3e1 * t56413 * t17753;
  t95215 = 0.7e1 / 0.3e1 * t56416 * t17753 - t5540 * t2060 * t91197 / 0.2e1 - t5540 * t2060 * t91201 / 0.2e1 - t16907 + t16908 - t90021 - t90023 - t90024 + t4245 * t1400 * t10645 * t39182 / 0.3e1 + t10647 * t1945 / 0.4e1 - t29767 * t17742 / 0.2e1 - t29773 * t17742 / 0.2e1 - t5540 * t8231 * t16986 / 0.2e1 - 0.3e1 * t29764 * t17761 - 0.3e1 * t29770 * t17761 + t90025 + t90026 + t90027;
  t95233 = t1000 * t95141;
  t95241 = t1000 * t50855 * t1948;
  t95248 = -t6827 * t86254 / 0.6e1 + t6824 * t86385 / 0.12e2 - t34283 * t11718 / 0.4e1 + t45074 * t13862 + t50177 * t11712 / 0.2e1 + t89265 - t89266 + t89267 + t39224 * t16990 / 0.6e1 + t39229 * t16990 / 0.6e1 + t1432 * t95233 / 0.6e1 + t442 * t67600 / 0.12e2 + t10647 * t1954 / 0.4e1 - t338 * t95241 / 0.12e2 - t81501 + t81503 - 0.2e1 / 0.3e1 * t8058 * t5549 * t1021 * t94982;
  t95275 = -t39192 * t16966 / 0.6e1 - t39195 * t16966 / 0.6e1 - t8055 * t90429 / 0.6e1 - t81509 + t81512 + t81515 - t90046 - t90047 - t1454 * t13467 / 0.2e1 - t1454 * t13470 / 0.2e1 - t5689 * t2817 / 0.4e1 - t5717 * t2817 / 0.4e1 - t1454 * t13445 / 0.4e1 - t1454 * t13448 / 0.4e1 + t5689 * t2822 / 0.2e1 + t5717 * t2822 / 0.2e1 + t1454 * t13456 / 0.2e1 + t5689 * t2831 / 0.4e1;
  t95292 = t50186 * t56192;
  t95295 = t5717 * t2831 / 0.4e1 + t1454 * t13464 / 0.4e1 + t1454 * t13491 / 0.4e1 - t89268 + t89270 + t81534 + t94323 - t94325 - t94332 + t94334 - t94337 + 0.3e1 / 0.2e1 * t56164 * t10615 + t56164 * t10608 / 0.2e1 - 0.2e1 * t52065 * t56671 * t17729 - t39948 * t10611 / 0.2e1 - t24164 * t95292 / 0.3e1 + t90053;
  t95329 = -t90054 - t90055 - 0.2e1 * t52065 * t50197 * t56988 - t34283 * t11482 / 0.2e1 + t50177 * t11736 / 0.2e1 - t5674 * t13424 / 0.2e1 - t5674 * t13429 / 0.2e1 - t8189 * t2395 / 0.2e1 - t8184 * t2395 / 0.2e1 - t2030 * t10698 / 0.2e1 - t2030 * t10701 / 0.2e1 - t1663 * t11709 / 0.2e1 - t6876 * t2509 / 0.4e1 - t6855 * t2509 / 0.4e1 - t1663 * t11648 / 0.4e1 - t1663 * t11639 / 0.4e1 - t29044 * t2809 / 0.2e1 - t29052 * t2809 / 0.2e1;
  t95357 = t17638 * t333;
  t95366 = t66836 * t439;
  t95367 = t1021 * t95366;
  t95371 = t94339 - 0.5e1 / 0.36e2 * t56413 * t17640 - 0.5e1 / 0.36e2 * t56416 * t17640 - t8055 * t90433 / 0.6e1 - t8055 * t90437 / 0.6e1 + t39224 * t16971 / 0.12e2 + t39229 * t16971 / 0.12e2 + t8058 * t90422 / 0.12e2 + t8058 * t90746 / 0.12e2 + t8058 * t90749 / 0.12e2 + t39224 * t17629 / 0.3e1 + t39229 * t17629 / 0.3e1 + t8058 * t29791 * t17628 / 0.3e1 - t94343 + 0.18e2 * t5540 * t40217 * t1093 * t95357 + 0.6e1 * t5540 * t8223 * t4549 * t50491 - 0.28e2 * t82647 * t10485 * t95367;
  t95373 = t1013 * t2820 * t439;
  t95399 = t30771 * t17666;
  t95402 = t380 * t56732;
  t95403 = t5582 * t95402;
  t95414 = -0.3e1 * t4145 * t39834 * t95373 - t1651 * t86555 / 0.12e2 - t490 * t56039 / 0.12e2 + t1958 * t81330 / 0.6e1 + t555 * t51410 / 0.12e2 + t6876 * t2512 / 0.2e1 + t6855 * t2512 / 0.2e1 + t1663 * t11772 / 0.2e1 + t1663 * t11775 / 0.2e1 + t94369 + t5540 * t2056 * t90947 / 0.2e1 + t5540 * t559 * t90951 / 0.2e1 + t6830 * t95399 / 0.6e1 + t6830 * t95403 / 0.6e1 + t6830 * t85710 / 0.6e1 - t8106 * t17175 / 0.6e1 - t8110 * t17175 / 0.6e1 - t1965 * t90464 / 0.6e1;
  t95422 = t29090 * t2756;
  t95447 = -t1965 * t82310 / 0.6e1 + t8423 * t17558 / 0.6e1 + t8427 * t17558 / 0.6e1 + t1958 * t1000 * t95422 / 0.6e1 + t1958 * t89931 / 0.6e1 - t8106 * t17561 / 0.12e2 - t8110 * t17561 / 0.12e2 - t1965 * t1400 * t95422 / 0.12e2 - t1965 * t90581 / 0.12e2 + t94371 - t94373 + 0.23e2 / 0.36e2 * t11381 * t81022 * t13593 + t8058 * t44803 * t13672 / 0.3e1 + t56164 * t10624 / 0.2e1 + t56164 * t10618 / 0.2e1 + t84862 + t94375 - t84876;
  t95454 = t1400 * t95141;
  t95459 = -t94377 - t84878 - t84880 - t90272 - t90275 - t85774 + t81566 - t90311 + t90312 - t85795 - t85797 - t13724 * t1420 / 0.2e1 - t13724 * t1424 / 0.4e1 + t13724 * t1428 / 0.4e1 - t1391 * t95454 / 0.12e2 - t442 * t67673 / 0.12e2 - t85816 + t94384;
  t95481 = t94386 - t85823 + t85832 - t85834 - t85841 + t85843 + t85845 + t81574 + t81578 - t8189 * t2398 / 0.4e1 - t8184 * t2398 / 0.4e1 - t2030 * t10708 / 0.4e1 - t2030 * t10711 / 0.4e1 + t8106 * t17604 / 0.3e1 + t8110 * t17604 / 0.3e1 + t1965 * t1400 * t5715 * t2756 / 0.3e1 - t1965 * t81364 / 0.12e2;
  t95488 = t39868 * t2337;
  t95489 = t1000 * t95488;
  t95503 = t17665 * t333;
  t95505 = t10458 * t5533 * t95503;
  t95521 = t1021 * t95357;
  t95527 = t1965 * t90318 / 0.3e1 + t6819 * t17570 / 0.6e1 + t7072 * t17570 / 0.6e1 + t1644 * t95489 / 0.6e1 + t1644 * t86020 / 0.6e1 + t1677 * t16365 / 0.12e2 + t1682 * t16365 / 0.12e2 + t490 * t86013 / 0.12e2 + t85848 - t81582 - 0.3e1 / 0.2e1 * t10506 * t8227 * t90884 - 0.3e1 / 0.2e1 * t10457 * t95505 + 0.3e1 / 0.2e1 * t30030 * t67303 * t51657 - 0.3e1 * t5535 * t67303 * t52074 + 0.3e1 / 0.2e1 * t4145 * t67303 * t52080 - 0.6e1 * t50149 * t40248 * t24930 * t95357 + 0.89e2 / 0.9e1 * t56375 * t50504 * t95521 + 0.7e1 / 0.3e1 * t11381 * t51700;
  t95529 = t4403 * t95357;
  t95538 = t168 * t95357;
  t95542 = t380 * t51698;
  t95575 = 0.18e2 * t56079 * t10458 * t95529 + 0.9e1 / 0.2e1 * t11381 * t50493 - 0.43e2 / 0.9e1 * t56375 * t50165 * t95529 - 0.38e2 / 0.9e1 * t56375 * t29498 * t95538 - t11381 * t5549 * t95542 / 0.2e1 - 0.7e1 * t11381 * t51691 - t318 * t17848 / 0.4e1 + t8058 * t91178 / 0.6e1 - t39224 * t16994 / 0.3e1 - t39229 * t16994 / 0.3e1 - t8058 * t91185 / 0.3e1 - 0.3e1 * t5540 * t8223 * t1093 * t94804 + t29764 * t17739 / 0.2e1 + t29770 * t17739 / 0.2e1 + t5559 * t8231 * t90823 / 0.2e1 + t5559 * t2060 * t90832 / 0.2e1 + t5559 * t2060 * t90836 / 0.2e1;
  t95582 = t4396 * t565;
  t95583 = t95582 * t10453;
  t95586 = t10524 * t333;
  t95591 = -t8052 * t81216 / 0.6e1 - t8055 * t81815 / 0.6e1 + t8058 * t81818 / 0.12e2 - 0.5e1 / 0.36e2 * t10457 * t95583 + t16931 - t90382 + t90383 - t90384 + t90385 + t90386 - t90387 - t81625 - t81628 + t81631 - t2180 + t85884 + t85887 - 0.3e1 * t5540 * t8227 * t24823 * t95586;
  t95606 = t380 * t95503;
  t95607 = t5549 * t95606;
  t95610 = t4143 * t95503;
  t95611 = t10485 * t95610;
  t95643 = -0.18e2 * t5559 * t40217 * t1034 * t95357 - 0.5e1 * t5559 * t8223 * t4408 * t95586 + 0.6e1 * t5540 * t40248 * t24848 * t95357 - t10457 * t95607 / 0.2e1 + 0.7e1 / 0.3e1 * t10457 * t95611 - 0.18e2 * t5559 * t40248 * t24794 * t95357 + 0.18e2 * t10506 * t40248 * t24958 * t95357 - t318 * t17709 / 0.4e1 - t94387 - 0.3e1 * t45074 * t13606 - 0.11e2 / 0.18e2 * t11381 * t10485 * t94927 + 0.23e2 / 0.36e2 * t56413 * t17736 + 0.23e2 / 0.36e2 * t56416 * t17736 + 0.23e2 / 0.36e2 * t11381 * t50606 * t17729 + 0.23e2 / 0.36e2 * t11381 * t89679 + 0.23e2 / 0.36e2 * t11381 * t10458 * t94805 + t11369 * t29823 * t17639;
  t95666 = t11369 * t90914 + t11369 * t5591 * t94927 - 0.2e1 * t56488 * t17730 + t90411 + 0.7e1 / 0.3e1 * t29011 * t89653 * t56988 - t90413 + t90415 - t45078 * t13864 / 0.2e1 + t5559 * t2060 * t4408 * t94982 - 0.2e1 / 0.3e1 * t39224 * t17660 - 0.2e1 / 0.3e1 * t39229 * t17660 - 0.2e1 / 0.3e1 * t8058 * t29795 * t17659 - 0.2e1 / 0.3e1 * t8058 * t90554 + t94410 + t81677 + t81680 - t81682 - t81684;
  t95680 = -t81687 - t81691 + t90492 - t90493 + t77898 + t90495 - t90496 - t90497 + t90498 - t90499 - t90500 + t90501 + t8058 * t90818 / 0.6e1 + t8058 * t91175 / 0.6e1 - t50014 * t1975 / 0.2e1 - t1378 * t13478 / 0.12e2 + t1454 * t13432 / 0.2e1 - t1677 * t11754 / 0.12e2;
  t95696 = t168 * t95586;
  t95700 = t168 * t52050;
  t95706 = t380 * t51920;
  t95712 = -t1682 * t11754 / 0.12e2 - t490 * t56766 / 0.12e2 - t490 * t56770 / 0.12e2 + t77943 + t90510 - t90514 + t90515 + t16418 - 0.11e2 / 0.18e2 * t11381 * t50698 * t17639 - 0.11e2 / 0.18e2 * t11381 * t89996 - t33988 * t17672 / 0.12e2 - t33997 * t17672 / 0.12e2 - 0.5e1 / 0.3e1 * t11369 * t5587 * t95696 - t8058 * t30214 * t95700 + 0.11e2 / 0.9e1 * t11381 * t29517 * t95696 + t8058 * t5587 * t95706 / 0.3e1 - t11369 * t91109 / 0.2e1 - t81742;
  t95718 = -t81748 - t81751 - t90573 + t90576 + t90577 + t90578 + t90579 + t90580 + t94414 - t94416 + t94418 - t94420 + t94422 + t94424 + t86033 + t86035 + t86037;
  t95719 = -t89361 - t90585 - t90586 - t90587 + t90588 + t90589 + t90590 - t81781 - t81785 + t81800 + t81804 - t81825 + t81829 + t81833 - t90602 - t90603 + t90604 + t90605;
  t95733 = t50073 * t570 / 0.4e1 + t11512 * t1673 / 0.4e1 - t1677 * t11507 / 0.12e2 - t1682 * t11507 / 0.12e2 + t55917 * t505 / 0.4e1 - t9308 - t9324 + t9327 - t90713 + t9353 + t9357 - t9359 - t9361 - t17010 - t17011 - t17018 + 0.3e1 / 0.2e1 * t44886 * t13580;
  t95768 = -t6824 * t86276 / 0.6e1 - t90723 + t8427 * t16922 / 0.6e1 + t1958 * t91076 / 0.6e1 + t1958 * t81557 / 0.6e1 + t2043 * t15979 / 0.12e2 + t2048 * t15979 / 0.12e2 + t555 * t80965 / 0.12e2 + t555 * t80969 / 0.12e2 + t8058 * t90287 / 0.12e2 + t8055 * t90283 / 0.12e2 - t8052 * t90407 / 0.6e1 - t8055 * t90300 / 0.6e1 + t8058 * t90303 / 0.12e2 + t8055 * t90306 / 0.12e2 + t8055 * t81200 / 0.12e2 + t8058 * t90562 / 0.6e1 - 0.5e1 / 0.36e2 * t11381 * t90565;
  t95799 = -t8058 * t90559 / 0.12e2 + t11369 * t90568 / 0.2e1 + t8052 * t89981 / 0.6e1 - t94447 + t94449 - t94451 + t2043 * t16955 / 0.12e2 + t2048 * t16955 / 0.12e2 + t555 * t91118 / 0.12e2 + t555 * t91126 / 0.12e2 - t8106 * t17554 / 0.6e1 - t8110 * t17554 / 0.6e1 - t1965 * t1393 * t95422 / 0.6e1 - t1965 * t91039 / 0.6e1 - t8106 * t16915 / 0.12e2 + 0.3e1 / 0.2e1 * t51452 * t17757 + t29770 * t17657;
  t95806 = t5559 * t8231 * t10525 + t5559 * t2060 * t90216 + t28961 * t13564 / 0.2e1 - t94453 + t84913 - t86152 + t86153 + t86155 - t86157 - t86159 - t16437 - t9442 - t15986 - t15990 + t16006 + t16017 - t16022 - t16025;
  t95809 = -t29767 * t17679 + t16034 + t2251 + t80669 - t86205 - t86207 - t86209 - t86211 - t86213 + t86221 - t94474 - t94478 + t94480 + t94482 - t94484 - t94486 - t94488 + t94493;
  t95821 = t66836 * t2196;
  t95822 = t1021 * t95821;
  t95829 = t346 * t2812 * t439;
  t95844 = -t89413 - t90792 + t34283 * t11744 / 0.2e1 + t8058 * t90031 / 0.3e1 - 0.5e1 / 0.36e2 * t11381 * t81022 * t13585 - t8058 * t44803 * t13676 / 0.12e2 - t50177 * t11747 - t94499 - t84926 + t84951 - 0.14e2 / 0.3e1 * t29011 * t29517 * t95822 - t5540 * t2056 * t90094 + 0.3e1 / 0.2e1 * t4145 * t39383 * t95829 - 0.3e1 / 0.2e1 * t5540 * t8220 * t1182 * t95586 - t5540 * t2056 * t4543 * t52050 + 0.3e1 * t5540 * t2060 * t24962 * t52050 + t82393 + t82395;
  t95854 = t5582 * t95606;
  t95876 = t380 * t57122;
  t95877 = t5549 * t95876;
  t95880 = t10458 * t95606;
  t95883 = -t82397 - t82399 + t80697 - t80709 - t80711 - t86244 - t6830 * t85663 / 0.6e1 - t6827 * t85668 / 0.6e1 + t6824 * t85687 / 0.12e2 - t10462 * t95854 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t8220 * t1182 * t50491 - 0.3e1 / 0.2e1 * t5540 * t559 * t90529 + 0.2e1 / 0.3e1 * t24164 * t29911 * t1021 * t13571 * t2196 + t4145 * t8070 * t90517 / 0.2e1 + 0.5e1 * t5540 * t8223 * t4549 * t95586 + t6824 * t95877 / 0.6e1 - 0.5e1 / 0.36e2 * t10457 * t95880;
  t95887 = t4161 * t2820 * t2196;
  t95894 = t4396 * t17638;
  t95915 = -t5540 * t2056 * t90104 - t4145 * t8374 * t95887 - 0.6e1 * t5540 * t40288 * t356 * t95357 + t94501 - t94506 + t94508 - t94514 + t94516 - t94518 - t94520 + 0.3e1 / 0.2e1 * t10506 * t40236 * t95894 + 0.3e1 / 0.2e1 * t10506 * t8227 * t90928 + 0.3e1 / 0.2e1 * t10506 * t8227 * t4396 * t94804 + t33997 * t17694 / 0.3e1 + t6824 * t56737 / 0.3e1 + t6824 * t56734 / 0.3e1 + t6824 * t56742 / 0.3e1 - t30146 * t17697 / 0.2e1;
  t95951 = -t30152 * t17697 / 0.2e1 - t5535 * t68583 * t2389 / 0.2e1 - t5535 * t67181 * t2389 / 0.2e1 - t5535 * t13560 * t9448 / 0.2e1 + 0.3e1 / 0.2e1 * t29773 * t17687 + 0.3e1 / 0.2e1 * t5540 * t40236 * t17686 + 0.3e1 / 0.2e1 * t5540 * t8227 * t90073 - t86263 - t86274 + t86281 + t86284 - 0.2e1 * t56491 * t17730 - 0.2e1 * t11369 * t30232 * t17729 - 0.2e1 * t11369 * t90907 - 0.2e1 * t11369 * t5553 * t94805 - 0.11e2 / 0.18e2 * t56413 * t17733 + 0.7e1 / 0.3e1 * t11381 * t50698 * t17729;
  t95957 = t4161 * t2807 * t2196;
  t95971 = t985 * t2812 * t2196;
  t95978 = t50197 * t11468;
  t95989 = t94528 + 0.3e1 * t29011 * t29498 * t4403 * t95821 + t5535 * t8374 * t95957 + t4145 * t8353 * t90098 / 0.2e1 - 0.6e1 * t5559 * t8223 * t4408 * t50491 + 0.1e2 / 0.3e1 * t52065 * t5549 * t95822 + t4145 * t8353 * t95971 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t8220 * t90108 + t94530 + t94532 - t94535 - t94537 - t9464 - t5548 * t95978 / 0.12e2 - t34283 * t11769 / 0.2e1 - t34283 * t11762 / 0.4e1 + t6827 * t56679 / 0.12e2 - t6824 * t86404 / 0.12e2;
  t95992 = t50205 * t11468;
  t96014 = t168 * t50491;
  t96034 = t5578 * t95992 / 0.6e1 - t94543 - 0.3e1 * t4145 * t66881 * t51885 - t4145 * t13560 * t51681 + t4145 * t13537 * t52061 / 0.2e1 - 0.23e2 / 0.12e2 * t11381 * t29498 * t51690 + 0.44e2 / 0.27e2 * t56375 * t50165 * t95521 + 0.23e2 / 0.36e2 * t11381 * t10458 * t51699 - 0.2e1 * t11369 * t52069 + 0.11e2 / 0.6e1 * t11381 * t29517 * t96014 - 0.61e2 / 0.27e2 * t56375 * t50504 * t95538 - 0.11e2 / 0.18e2 * t11381 * t10485 * t95542 + t11369 * t5591 * t95542 + 0.12e2 * t56381 * t5553 * t95521 + 0.4e1 * t11369 * t52066 - 0.23e2 / 0.3e1 * t56079 * t10458 * t95521 + t90877;
  t96038 = t56695 * t10536;
  t96041 = t56671 * t10540;
  t96044 = t56704 * t10447;
  t96047 = t58044 * t10467;
  t96058 = t9487 + t9489 - t94545 + t56196 * t10605 - t56200 * t10561 / 0.2e1 - 0.2e1 / 0.3e1 * t6824 * t96038 + t6824 * t96041 / 0.3e1 + t6824 * t96044 / 0.3e1 - t6824 * t96047 / 0.6e1 - t8058 * t89685 / 0.6e1 - 0.2e1 / 0.3e1 * t8058 * t90210 + t8058 * t90196 / 0.3e1 - t45078 * t13561 / 0.2e1 + t86397 + t86399 - t94555 + t94557 - t94559;
  t96060 = t94561 - t94563 + t94567 + t94569 - t94571 - t9505 - t9507 - t86408 + t86413 + t86416 + t86418 + t86420 - t86439 - t86443 - t86447 + t86452 + t86465 - t86469;
  t96073 = -t86472 + t86475 + t86478 - t86481 - t86484 - t86486 - t86500 + t86503 - t86512 + t86515 - t82548 - t82551 + t86534 + t94573 + t11372 * t4137 * t96014 / 0.2e1 - 0.3e1 * t56381 * t5553 * t95538 - t11372 * t5582 * t95542 / 0.2e1 + t11372 * t4137 * t95696 / 0.2e1;
  t96102 = t56671 * t10467;
  t96109 = t56695 * t17659;
  t96117 = t8052 * t9270 * t95700 / 0.3e1 + t8052 * t91024 / 0.3e1 - t8052 * t91112 / 0.6e1 + 0.2e1 * t57725 * t5582 * t95538 + 0.5e1 / 0.3e1 * t56079 * t10458 * t95538 + 0.5e1 / 0.12e2 * t11381 * t29498 * t96014 + t11369 * t5553 * t95542 / 0.2e1 - t8052 * t4137 * t95706 / 0.6e1 - t11369 * t5549 * t96014 - t6824 * t96102 / 0.12e2 - t11372 * t89984 / 0.2e1 - t8052 * t89986 / 0.6e1 - t24164 * t96109 / 0.3e1 - t39948 * t10621 / 0.4e1 - 0.3e1 / 0.2e1 * t29011 * t81022 * t67174 + t90957 + t90960;
  t96129 = t4137 * t95876;
  t96132 = t5553 * t95606;
  t96141 = t19938 * t2196;
  t96143 = t5549 * t4143 * t96141;
  t96151 = t2807 * t439;
  t96152 = t1013 * t96151;
  t96166 = -t90965 - 0.2e1 * t56375 * t29517 * t95538 + t11381 * t90892 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t8227 * t90888 + 0.3e1 * t5559 * t8227 * t90895 + t94575 - t6830 * t96129 / 0.6e1 + t10451 * t96132 / 0.2e1 + t4145 * t13537 * t45947 / 0.2e1 + t4145 * t13543 * t46359 / 0.2e1 - t24164 * t96143 / 0.3e1 + 0.3e1 / 0.2e1 * t4145 * t68054 * t52056 - 0.2e1 / 0.3e1 * t8058 * t51922 + 0.3e1 * t5535 * t39834 * t96152 - 0.3e1 * t5559 * t2060 * t24823 * t52050 - t8058 * t90131 / 0.4e1 + 0.5e1 / 0.36e2 * t11381 * t90135 + t8058 * t90118 / 0.12e2;
  t96198 = t8052 * t90521 / 0.3e1 + t8055 * t90526 / 0.2e1 - t8058 * t90122 / 0.6e1 - t8055 * t90127 / 0.6e1 + 0.2e1 * t8058 * t52052 - 0.23e2 / 0.18e2 * t11381 * t29498 * t1021 * t95586 + t16468 + t17045 + t17046 - t17047 - t17048 + t29767 * t17646 / 0.2e1 + t29773 * t17646 / 0.2e1 + t5540 * t8247 * t17645 / 0.2e1 + t5540 * t2056 * t90760 / 0.2e1 + t5540 * t2056 * t1182 * t94982 / 0.2e1 + t29767 * t17649 / 0.2e1;
  t96236 = t29773 * t17649 / 0.2e1 + t5540 * t8247 * t16975 / 0.2e1 + t89421 + t8189 * t2403 / 0.2e1 + t8184 * t2403 / 0.2e1 + t2030 * t10439 / 0.2e1 + t2030 * t10442 / 0.2e1 - t34801 * t2503 / 0.2e1 - t34808 * t2503 / 0.2e1 - t6848 * t11636 / 0.2e1 - t6848 * t11666 / 0.2e1 + 0.3e1 / 0.2e1 * t29767 * t17687 - t1078 * t17588 / 0.4e1 - t1056 * t17588 / 0.4e1 - t373 * t8317 * t17020 / 0.4e1 - t373 * t1940 * t90705 / 0.4e1 - t6876 * t2506 / 0.2e1 - t6855 * t2506 / 0.2e1;
  t96245 = t94855 * t10491;
  t96259 = t95582 * t10491;
  t96263 = -t1663 * t11706 / 0.2e1 - t5689 * t2814 / 0.2e1 - t5717 * t2814 / 0.2e1 + t80768 - t80776 - t80778 + t80780 - t86552 - t86554 + 0.7e1 / 0.3e1 * t10457 * t96245 - 0.3e1 * t51823 * t11438 + t8058 * t90870 / 0.6e1 - t11381 * t44807 * t13585 / 0.2e1 + 0.23e2 / 0.36e2 * t11381 * t90204 + t8058 * t90873 / 0.6e1 + 0.23e2 / 0.36e2 * t10457 * t96259 + t11369 * t90028;
  t96271 = t4362 * t96151;
  t96275 = t5591 * t95606;
  t96277 = t5587 * t95876;
  t96280 = t10485 * t95606;
  t96298 = t5553 * t95402;
  t96310 = t10458 * t95610;
  t96313 = t5553 * t95610;
  t96316 = -0.9e1 / 0.2e1 * t5540 * t8227 * t24823 * t50491 + 0.47e2 / 0.3e1 * t82588 * t29498 * t95367 + 0.3e1 / 0.2e1 * t4145 * t39508 * t96271 + t10451 * t96275 + t6824 * t96277 / 0.3e1 - 0.11e2 / 0.18e2 * t10457 * t96280 - 0.18e2 * t5540 * t40241 * t4408 * t95357 - t8058 * t90718 / 0.3e1 - 0.3e1 * t10506 * t8227 * t24794 * t95586 + t11381 * t29911 * t95696 - t110 * t10430 * t584 / 0.4e1 - t6824 * t96298 / 0.12e2 - t6824 * t86296 / 0.12e2 + t29767 * t17675 / 0.2e1 + t29773 * t17675 / 0.2e1 + t5540 * t2054 * t16979 / 0.2e1 + 0.23e2 / 0.36e2 * t10457 * t96310 - 0.2e1 * t10451 * t96313;
  t96361 = -0.2e1 / 0.3e1 * t6824 * t57124 + t11512 * t1708 / 0.4e1 + t1644 * t85336 / 0.6e1 + t490 * t56115 / 0.12e2 - t11512 * t1700 / 0.2e1 - t555 * t50857 / 0.12e2 + 0.3e1 * t5535 * t66881 * t51664 + t5535 * t13560 * t50497 + t5535 * t13560 * t45955 / 0.2e1 - t4145 * t13560 * t46020 / 0.2e1 + t6824 * t86175 / 0.6e1 - t5559 * t2060 * t90769 + t5540 * t2060 * t90766 + 0.6e1 * t5559 * t8227 * t24848 * t95586 - 0.23e2 / 0.36e2 * t11381 * t90148 - t8058 * t90114 / 0.3e1 + 0.6e1 * t56079 * t5549 * t95538 + 0.3e1 / 0.2e1 * t11381 * t29911 * t96014;
  t96386 = t321 * t369 * t17846 * t370;
  t96389 = t349 * t17848;
  t96400 = t95582 * t10500;
  t96404 = t110 * t565 * t10504;
  t96407 = -0.3e1 / 0.2e1 * t11381 * t51890 - 0.6e1 * t56381 * t5591 * t95538 - 0.2e1 * t11369 * t5587 * t96014 + 0.22e2 / 0.3e1 * t56079 * t10485 * t95538 + t89452 - t110 * t2380 * t2013 / 0.4e1 - t555 * t50021 / 0.12e2 - t2043 * t10656 / 0.12e2 - t2048 * t10656 / 0.12e2 - t490 * t55912 / 0.12e2 + t96386 * t377 / 0.4e1 - t338 * t96389 / 0.12e2 + t10647 * t2040 / 0.4e1 - t1378 * t13633 / 0.12e2 + 0.3e1 / 0.2e1 * t56164 * t10533 + 0.3e1 / 0.2e1 * t89636 * t11445 - 0.3e1 / 0.2e1 * t10457 * t96400 + 0.3e1 / 0.2e1 * t96404 * t10509;
  t96419 = t56695 * t10453;
  t96435 = t4362 * t19835 * t439;
  t96452 = t4362 * t19793 * t439;
  t96460 = -0.3e1 * t56196 * t10553 + 0.3e1 / 0.2e1 * t50177 * t11472 - t11381 * t89651 / 0.2e1 - 0.3e1 / 0.2e1 * t11381 * t91027 - t10457 * t96419 / 0.2e1 + 0.36e2 * t5559 * t40241 * t4376 * t95357 + 0.9e1 * t5559 * t8227 * t24848 * t50491 - 0.62e2 / 0.3e1 * t82588 * t50504 * t4403 * t95366 - 0.3e1 * t5535 * t39508 * t96435 - 0.18e2 * t10506 * t40241 * t4396 * t95357 - 0.9e1 / 0.2e1 * t10506 * t8227 * t24794 * t50491 + 0.8e1 * t82588 * t50165 * t10504 * t95366 + 0.3e1 / 0.2e1 * t30030 * t39508 * t96452 + 0.3e1 * t29764 * t17654 + 0.3e1 * t29770 * t17654 - t16544 + t91060;
  t96461 = t82745 + t82748 - t78515 + t91081 + t91084 - t84962 + t84985 + t94582 - t94583 + t91087 + t9702 + t9704 - t9180 + t9188 + t91107 + t91108 + t17073 - t17074;
  t96478 = t13571 * t439;
  t96500 = t89462 + t16075 - t16082 - t8058 * t91017 / 0.2e1 + 0.11e2 / 0.18e2 * t11381 * t91003 + t8058 * t90138 / 0.6e1 + 0.2e1 * t11369 * t90142 + t8058 * t90146 + 0.3e1 * t5540 * t8223 * t90167 + 0.3e1 / 0.2e1 * t5540 * t2060 * t90171 - 0.7e1 / 0.3e1 * t29011 * t29517 * t1021 * t96478 - t4145 * t8374 * t91011 / 0.2e1 - t11369 * t91015 - 0.3e1 * t5559 * t8223 * t90175 - 0.3e1 / 0.2e1 * t5559 * t2060 * t90153 + 0.3e1 / 0.2e1 * t29011 * t29498 * t4403 * t96478 + t5535 * t8374 * t90163 / 0.2e1 + t91140;
  t96528 = t91150 + t91152 + t34945 * t16404 / 0.12e2 + t34948 * t16404 / 0.12e2 + t6827 * t85696 / 0.12e2 + t6827 * t85701 / 0.12e2 + t6827 * t85447 / 0.12e2 + t5540 * t559 * t90253 / 0.2e1 + t5540 * t559 * t90089 / 0.2e1 + t86600 - t110 * t17847 * t404 / 0.4e1 + t16581 - t16583 - t16588 - t16591 - t11372 * t30771 * t17639 / 0.2e1 - t11372 * t90276 / 0.2e1 - t11372 * t5582 * t94927 / 0.2e1;
  t96570 = -t40050 * t17715 / 0.6e1 - t40052 * t17715 / 0.6e1 - t8052 * t24237 * t17628 / 0.6e1 - t8052 * t89991 / 0.6e1 - t8052 * t4137 * t94983 / 0.6e1 + t56488 * t17718 / 0.2e1 - 0.5e1 / 0.36e2 * t11381 * t50606 * t17639 - 0.5e1 / 0.36e2 * t11381 * t90802 + t86907 + t86909 - 0.35e2 / 0.108e3 * t56375 * t50165 * t95538 - 0.5e1 / 0.36e2 * t11381 * t10458 * t95542 + t11372 * t91021 / 0.2e1 - 0.5e1 / 0.6e1 * t11369 * t5549 * t95696 - t8058 * t29911 * t95700 / 0.2e1 + 0.5e1 / 0.18e2 * t11381 * t29498 * t95696 + t8058 * t5549 * t95706 / 0.6e1;
  t96579 = t29823 * t17666;
  t96582 = t5591 * t95402;
  t96617 = 0.3e1 / 0.2e1 * t5540 * t8227 * t4408 * t94804 - t33988 * t17690 / 0.6e1 - t33997 * t17690 / 0.6e1 - t6824 * t96579 / 0.6e1 - t6824 * t96582 / 0.6e1 - t6824 * t86232 / 0.6e1 + t33988 * t17694 / 0.3e1 + t17206 - t8052 * t28964 * t13683 / 0.6e1 + t11369 * t44803 * t13585 / 0.2e1 + t8052 * t44782 * t13676 / 0.6e1 + t8058 * t44807 * t13683 / 0.6e1 + t11369 * t46098 * t13585 + t8058 * t46095 * t13683 / 0.3e1 - 0.11e2 / 0.18e2 * t11381 * t81108 * t13585 - t8058 * t46098 * t13676 / 0.6e1 - t11372 * t44782 * t13585 / 0.2e1 - t8052 * t90297 / 0.6e1;
  t96621 = t4624 * t95357;
  t96628 = t13733 * t1383;
  t96632 = t4633 * t95357;
  t96637 = t1190 * t96628;
  t96650 = t86630 - 0.4e2 * t57389 * t96621 - 0.12e2 * t57382 * t17794 - 0.12e2 * t11533 * t91304 - 0.12e2 * t11533 * t1203 * t96628 + 0.5e2 / 0.3e1 * t57448 * t96632 + t91268 - t91269 + 0.6e1 * t11538 * t91415 - t91279 + 0.6e1 * t11538 * t96637 - 0.2e1 * t40195 * t17106 - 0.2e1 * t8254 * t91284 - 0.2e1 * t8254 * t91288 - 0.1e2 / 0.3e1 * t40190 * t91275 + 0.6e1 * t57360 * t17788 - t91300 - t91301;
  t96657 = t45378 * t95586;
  t96660 = t45378 * t50491;
  t96672 = t45378 * t95357;
  t96686 = t91302 - t91303 - 0.6e1 * t40207 * t45387 * t95586 - 0.4e1 * t40184 * t45387 * t52050 - 0.1e2 / 0.3e1 * t40187 * t96657 - 0.4e1 * t40187 * t96660 + 0.3e1 * t40207 * t360 * t95586 + 0.2e1 * t40184 * t360 * t52050 + 0.12e2 * t57459 * t360 * t95357 - t86643 - t86653 - t86659 + t86661 - 0.72e2 * t57389 * t96672 + t40190 * t51084 * t50491 / 0.3e1 - t57448 * t50995 * t142 * t95357 / 0.9e1 - 0.6e1 * t40207 * t91378 - 0.4e1 * t40184 * t91381;
  t96711 = t51084 * t95357;
  t96716 = t51103 * t95357;
  t96719 = -0.4e1 * t40184 * t91386 - 0.18e2 * t40190 * t96660 + 0.12e2 * t40187 * t91367 + 0.6e1 * t40179 * t91702 + 0.2e1 / 0.3e1 * t40190 * t91696 - 0.6e1 * t57365 * t91389 - 0.2e1 / 0.3e1 * t40179 * t91370 - 0.2e1 * t40187 * t91297 - t40179 * t91373 + t40190 * t91375 / 0.9e1 - 0.12e2 * t40190 * t96657 + 0.4e1 * t40179 * t91294 + 0.8e1 / 0.3e1 * t57448 * t96711 - 0.6e1 * t40190 * t91297 + 0.24e2 * t57448 * t96716 - t15307 + t17077 + t15361;
  t96731 = t17078 - 0.1e2 * t40190 * t4624 * t50491 + t8254 * t91511 / 0.3e1 + t86667 + t86672 + t81893 - t81895 - t81900 - t81908 + t81911 + t81919 + t81923 - t81926 + t81936 + t8254 * t91440 / 0.3e1 - t86689 + t8254 * t91427 / 0.3e1 - t40190 * t91517 / 0.18e2;
  t96738 = t13733 * t9397;
  t96755 = t1190 * t50491;
  t96767 = t9544 * t487;
  t96771 = -0.4e1 * t40195 * t17779 - 0.4e1 * t8254 * t91520 - 0.4e1 * t8254 * t1203 * t96738 - 0.2e2 / 0.3e1 * t40190 * t4624 * t95586 + 0.2e1 * t57517 * t17113 + 0.2e1 * t11528 * t91431 + 0.2e1 * t11528 * t91435 + 0.4e1 / 0.3e1 * t40179 * t91322 + t40195 * t17116 / 0.3e1 + 0.9e1 * t40190 * t96755 - 0.12e2 * t40187 * t1203 * t50491 - 0.6e1 * t40187 * t91291 - 0.3e1 * t40179 * t91424 - t81952 - t81956 - t86714 + t40236 * t17830 / 0.18e2 - 0.4e1 * t8223 * t1034 * t96767;
  t96793 = -0.4e1 * t8223 * t91630 - 0.4e1 * t40266 * t17827 + t91458 - t559 * t91706 - t91474 + t91475 + t91476 + t91477 + t91478 + t91479 - 0.2e1 / 0.3e1 * t57360 * t17797 + t82021 + t82024 + 0.4e1 / 0.3e1 * t57389 * t96711 - 0.2e1 * t40179 * t45378 * t52050 + 0.2e1 / 0.9e1 * t40190 * t51084 * t95586 + 0.72e2 * t57574 * t45383 * t95357 + 0.24e2 * t40187 * t45383 * t50491;
  t96828 = t1190 * t95586;
  t96835 = 0.8e1 * t57389 * t96716 + 0.2e1 * t40190 * t51103 * t50491 - 0.4e1 / 0.3e1 * t57448 * t25032 * t142 * t95357 + 0.2e2 * t40187 * t45383 * t95586 + 0.12e2 * t40179 * t45383 * t52050 + 0.4e1 / 0.3e1 * t40190 * t51103 * t95586 - 0.24e2 * t57459 * t45387 * t95357 - 0.6e1 * t40207 * t45387 * t50491 - 0.12e2 * t57574 * t96672 + t78171 + t91492 + t91493 + 0.2e1 * t40212 * t17785 + 0.2e1 * t8251 * t91344 + 0.2e1 * t8251 * t360 * t96738 + 0.2e2 / 0.3e1 * t40187 * t96828 + 0.2e1 * t57382 * t17788 + 0.2e1 * t11533 * t91415;
  t96851 = 0.2e1 * t11533 * t96637 - 0.2e1 / 0.3e1 * t57389 * t96632 - t15890 + t15902 - t15905 + t91495 + t91497 + t91499 + t16481 - t78209 + t91505 - 0.6e1 * t40179 * t1203 * t52050 + 0.2e1 * t40184 * t91314 + 0.3e1 * t57365 * t91319 + 0.2e1 * t40184 * t91355 + 0.3e1 * t40207 * t91352 - t82056 + t82058;
  t96886 = t82059 - 0.1e2 * t40187 * t1203 * t95586 - 0.2e1 * t40179 * t91253 + 0.6e1 * t40190 * t96828 + 0.3e1 * t40207 * t360 * t50491 + t86739 - t86741 + t86755 + t86757 + 0.4e1 * t40179 * t1190 * t52050 - 0.2e1 / 0.3e1 * t11538 * t91408 - 0.2e1 / 0.3e1 * t11538 * t4624 * t96628 + 0.1e2 / 0.3e1 * t57448 * t25032 * t95357 - t86778 + 0.2e1 / 0.3e1 * t40195 * t17791 + 0.2e1 / 0.3e1 * t8254 * t91326 + 0.2e1 / 0.3e1 * t8254 * t1190 * t96738 - t40190 * t4633 * t95586 / 0.9e1;
  t96912 = -t57360 * t17769 / 0.9e1 - t11538 * t91240 / 0.9e1 - t11538 * t4633 * t96628 / 0.9e1 + 0.2e1 * t40212 * t17109 - t82120 - t82122 + t17119 - t17120 - t15384 - t17123 - 0.2e1 / 0.3e1 * t2060 * t91544 + 0.1e2 / 0.3e1 * t40236 * t17808 + 0.1e2 / 0.3e1 * t8227 * t4376 * t96767 - 0.2e1 / 0.3e1 * t2060 * t91550 - 0.2e1 / 0.3e1 * t8231 * t17086 - 0.2e1 / 0.3e1 * t2060 * t91547 + t2060 * t91561 - 0.3e1 * t40236 * t17838;
  t96936 = -0.3e1 * t8227 * t91654 - 0.3e1 * t8227 * t4408 * t96767 + 0.6e1 * t8223 * t91647 + 0.6e1 * t8223 * t1093 * t96767 + t8231 * t17094 + t2060 * t91559 + 0.6e1 * t40266 * t17834 - t91573 - t82130 - t91602 + t2060 * t91470 + t8227 * t91638 / 0.18e2 + t8227 * t4396 * t96767 / 0.18e2 + t91660 + 0.2e1 * t2060 * t91584 + t91661 - t91662 + t86799;
  t96955 = t86801 + t82172 + t82175 - t82178 + t17130 - t17156 - t16484 + t16488 + 0.2e1 * t40179 * t91514 + 0.2e1 * t8251 * t91480 + 0.2e1 * t11528 * t91524 - t40190 * t4633 * t50491 / 0.6e1 + 0.8e1 * t40187 * t96755 + 0.2e1 * t8251 * t91533 + 0.2e1 * t8251 * t91536 + 0.4e1 * t40187 * t91261 + t91667 - t2054 * t17158;
  t96965 = t1190 * t95357;
  t96971 = 0.6e1 * t11541 * t360 * t96628 + 0.6e1 * t11541 * t91361 + 0.6e1 * t57555 * t17782 + 0.2e1 * t8231 * t17824 - t559 * t91444 + 0.24e2 * t57574 * t96965 - t86813 - t86815 + t86821 - t91683 + t9557 + t9559 + t9570 - t9574 - t9585 - t9586 - t9588 + t9635;
  t96983 = -0.36e2 * t57574 * t1203 * t95357 + 0.3e1 * t40190 * t91261 + 0.36e2 * t57389 * t96965 - 0.12e2 * t57448 * t96621 - 0.2e1 * t8254 * t91272 - t16505 - t16509 + t16524 - t78350 + t78359 - t78390 - t82223 + t82235 + t91686 - t91687 + t91688 - t91689 - t91690;
  t96985 = t2788 * t9397;
  t97005 = -t2056 * t1182 * t96985 + 0.2e1 * t2060 * t4549 * t96985 - 0.3e1 * t8220 * t356 * t96767 - t8247 * t17145 - 0.3e1 * t40277 * t17815 - t8247 * t17818 - t2056 * t91450 - t2056 * t91453 - t2056 * t91592 - t2056 * t91614 - t559 * t91604 - 0.3e1 * t8220 * t91607 - t78396 - t78400 - t91691 - t91693 - t91694 + t91695;
  t97021 = -t2054 * t17149 - t559 * t91447 + t559 * t91674 / 0.2e1 + t2054 * t17132 / 0.2e1 - t86857 + t86863 - t86869 + t86886 - t86894 - t91701 - t15930 + t15933 + t15935 - t2229 + 0.1e2 / 0.3e1 * t8227 * t91619 - 0.4e1 / 0.3e1 * t8231 * t17812 - 0.4e1 / 0.3e1 * t2060 * t91625 - 0.4e1 / 0.3e1 * t2060 * t4408 * t96985 + t2210;
  t97036 = t1400 * t95488;
  t97058 = -t8055 * t90294 / 0.6e1 + t82782 - t110 * t139 * (t96650 + t96686 + t96719 + t96731 + t96771 + t96793 + t96835 + t96851 + t96886 + t96912 + t96936 + t96955 + t96971 + t96983 + t97005 + t97021) * t168 / 0.4e1 + t490 * t86017 / 0.12e2 - t6755 * t17575 / 0.12e2 - t6760 * t17575 / 0.12e2 - t1651 * t97036 / 0.12e2 - t1651 * t85409 / 0.12e2 + t8423 * t16922 / 0.6e1 - t10647 * t1937 / 0.2e1 - t10647 * t1941 / 0.4e1 + t82787 - t82790 + t5540 * t2056 * t90263 / 0.2e1 + t5540 * t2056 * t90268 / 0.2e1 - t29773 * t17679 - t5540 * t8231 * t17678 - t5540 * t2060 * t90752;
  t97092 = t1393 * t95488;
  t97100 = t1400 * t11510 * t2756;
  t97103 = -t5540 * t2060 * t4549 * t94982 + 0.3e1 / 0.2e1 * t29767 * t17683 + 0.3e1 / 0.2e1 * t29773 * t17683 + 0.3e1 / 0.2e1 * t5540 * t40277 * t17682 + 0.3e1 / 0.2e1 * t5540 * t8220 * t90236 + 0.3e1 / 0.2e1 * t5540 * t8220 * t356 * t94804 - t8201 * t10722 / 0.2e1 - t8201 * t10725 / 0.2e1 + t8106 * t17180 / 0.3e1 + t8110 * t17180 / 0.3e1 + t1965 * t90456 / 0.3e1 + t1965 * t82297 / 0.3e1 - t6755 * t17538 / 0.6e1 - t6760 * t17538 / 0.6e1 - t1651 * t97092 / 0.6e1 - t1651 * t85752 / 0.6e1 - t11512 * t1704 / 0.4e1 + t4245 * t97100 / 0.3e1;
  t97110 = my_piecewise3(t100, 0, t95481 + t95459 + t95447 + t95414 + t95371 + t95329 + t95295 + t95275 + t95248 + t95215 + t95189 + t95168 + t95134 + t95121 + t95082 + t95063 + t95048 + t95033 + t95009 + t94999 + t94956 + t94906 + t94888 + t94847 + t94801 + t95575 + t95591 + t95643 + t96617 + t96407 + t96500 + t96528 + t95527 + t96570 + t97058 + t97103 + t96460 + t96461 + t96316 + t96263 + t96236 + t95666 + t96198 + t96166 + t96117 + t96073 + t96060 + t96058 + t96034 + t95989 + t95951 + t95915 + t95883 + t95844 + t95809 + t95806 + t95799 + t95768 + t95733 + t95680 + t96361 + t95712 + t95718 + t95719);
  tv4rhosigmalapltau23 = t3 * t97110 + t17861;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 23] += tv4rhosigmalapltau23;

  t97112 = t82813 / 0.6e1;
  t97113 = t82815 / 0.6e1;
  t97114 = t82819 / 0.2e1;
  t97115 = t82821 / 0.6e1;
  t97116 = t82823 / 0.2e1;
  t97117 = t82825 / 0.2e1;
  t97122 = -t97112 - t97113 + t97114 - t97115 + t97116 + t97117 - t86962 - t86963 + t86964 + t86965 - t86971 - t86972 - t14215 * t8791 / 0.2e1 - t14123 * t2108 / 0.6e1;
  t97127 = t82835 / 0.9e1;
  t97128 = t82850 / 0.3e1;
  t97129 = t82852 / 0.6e1;
  t97130 = t82856 / 0.6e1;
  t97134 = t35704 * t18000 / 0.18e2;
  t97136 = t35707 * t18112 / 0.36e2;
  t97138 = t37202 * t18109 / 0.18e2;
  t97149 = -t2839 * t8810 / 0.6e1 - t2839 * t8843 / 0.6e1 + t97127 + t97128 + t97129 - t97130 + t7746 * t94101 / 0.3e1 - t97134 + t97136 - t97138 + t14123 * t1288 / 0.6e1 + t2839 * t5140 / 0.6e1 + t70567 * t432 / 0.4e1 + t69326 * t432 / 0.4e1 + t5105 * t2915 / 0.2e1;
  t97154 = t14107 * t5064 / 0.18e2;
  t97156 = t14107 * t5102 / 0.36e2;
  t97158 = t14116 * t1288 / 0.18e2;
  t97160 = t14107 * t5068 / 0.9e1;
  t97168 = t13919 * t414;
  t97169 = t95 * t97168;
  t97173 = t2851 * t1272;
  t97174 = t95 * t97173;
  t97186 = t5126 * t2915 / 0.2e1 - t97154 - t97156 + t97158 + t97160 + t36005 * t18129 / 0.6e1 + t36009 * t18129 / 0.6e1 + t7216 * t25958 * t17999 / 0.6e1 + t7216 * t4770 * t97169 / 0.6e1 + t7216 * t4770 * t97174 / 0.6e1 - t36005 * t18133 / 0.3e1 - t36009 * t18133 / 0.3e1 + t3123 * t69561 * t2331 + t3123 * t14184 * t9021;
  t97191 = t3375 * t17998;
  t97206 = t35707 * t18129 / 0.18e2;
  t97208 = t26891 * t18126 / 0.6e1;
  t97209 = t13919 * t2105;
  t97214 = t2851 * t8840;
  t97226 = t26772 * t17995 / 0.2e1 + t26777 * t17995 / 0.2e1 + t4738 * t7632 * t97191 / 0.2e1 + t4738 * t1847 * t3375 * t97168 / 0.2e1 + t4738 * t1847 * t3375 * t97173 / 0.2e1 - t25696 * t18126 / 0.2e1 - t86995 + t86996 + t97206 - t97208 - t7581 * t8642 * t95 * t97209 / 0.6e1 - t7581 * t8642 * t95 * t97214 / 0.6e1 + t36005 * t18112 / 0.12e2 - t35452 * t18109 / 0.6e1 - t7581 * t42883 * t18108 / 0.6e1;
  t97240 = t95 * t52658;
  t97253 = t21784 * t17921 / 0.2e1;
  t97255 = t7368 * t2453 / 0.3e1;
  t97256 = -t7216 * t91742 / 0.6e1 - t7216 * t84267 / 0.6e1 - t35436 * t18109 / 0.6e1 - t36005 * t17406 / 0.6e1 + t7345 * t17213 / 0.3e1 - t69907 * t10176 + t11086 * t4765 * t97240 - t69910 * t8636 / 0.6e1 - t1293 * t14026 - t1748 * t91965 / 0.3e1 - t1748 * t83874 / 0.3e1 - t2839 * t5054 / 0.6e1 + t97253 + t97255;
  t97258 = t35790 * t2444 / 0.3e1;
  t97260 = t69224 * t16661 / 0.2e1;
  t97262 = 0.2e1 / 0.9e1 * t7255 * t17237;
  t97264 = t593 * t17965 / 0.2e1;
  t97265 = t593 * t17962;
  t97266 = t95 * t54474;
  t97292 = -t97258 - t97260 + t97262 + t97264 - t97265 + 0.2e1 / 0.3e1 * t7216 * t4770 * t97266 - 0.5e1 / 0.3e1 * t69907 * t8651 - t70197 * t75277 + 0.11e2 / 0.9e1 * t70204 * t75497 - t7216 * t25669 * t18132 / 0.3e1 - t7216 * t4760 * t635 * t97168 / 0.3e1 - t7216 * t4760 * t635 * t97173 / 0.3e1 - t36005 * t17525 / 0.3e1 - t36009 * t17525 / 0.3e1 - t7216 * t93035 / 0.3e1;
  t97299 = t26888 * t17995 / 0.6e1;
  t97303 = t21655 * t18098 / 0.6e1;
  t97305 = t21655 * t18096 / 0.3e1;
  t97312 = t30 * t71159;
  t97324 = -t7216 * t93038 / 0.3e1 - t7216 * t82959 / 0.3e1 + t97299 + 0.7e1 / 0.3e1 * t70204 * t26137 - t97303 - t97305 + t7374 * t2462 / 0.2e1 - t417 * t70272 / 0.6e1 + 0.7e1 / 0.3e1 * t69475 * t16777 - 0.3e1 * t97312 * t10094 - t69904 * t10173 / 0.2e1 - t7746 * t3130 * t97266 / 0.3e1 + t69904 * t8639 / 0.2e1 + t69910 * t8644 / 0.3e1;
  t97325 = t82991 / 0.3e1;
  t97326 = 0.5e1 / 0.18e2 * t82993;
  t97327 = t82995 / 0.6e1;
  t97346 = -t87143 + t82987 + t97325 - t97326 - t97327 - t87144 - t87145 - t7746 * t3130 * t97174 / 0.6e1 - t35434 * t18000 / 0.6e1 - t35450 * t18000 / 0.6e1 - t7746 * t21593 * t17999 / 0.6e1 + 0.7e1 / 0.3e1 * t13878 * t26181 - t7190 * t17233 / 0.3e1 - t7195 * t17233 / 0.3e1 - t69475 * t16774 / 0.2e1;
  t97385 = -t13878 * t87118 / 0.2e1 - t13878 * t75241 / 0.2e1 + t2844 * t76132 / 0.6e1 - 0.3e1 / 0.2e1 * t4779 * t14282 * t8621 - t4779 * t2866 * t8626 + 0.3e1 / 0.2e1 * t3123 * t69403 * t2323 - 0.6e1 * t4779 * t71186 * t9736 - t7746 * t3130 * t97169 / 0.6e1 + t36009 * t18112 / 0.12e2 + t7216 * t25669 * t17999 / 0.12e2 + t7216 * t4760 * t97169 / 0.12e2 + t7216 * t4760 * t97174 / 0.12e2 + t7340 * t17213 / 0.3e1 - t25730 * t18126 / 0.2e1;
  t97401 = t35704 * t17418 / 0.9e1;
  t97405 = t53891 * t10771;
  t97413 = 0.2e1 / 0.3e1 * t7216 * t52482 - t26814 * t17990 - t27575 * t17990 - t4748 * t70588 * t2318 - t4748 * t69561 * t2318 - t4748 * t14184 * t8725 + t21617 * t17992 + t21621 * t17992 + t3123 * t70588 * t2331 + t97401 + 0.6e1 * t4779 * t71156 * t87672 - t4753 * t97405 / 0.3e1 + 0.2e1 / 0.3e1 * t4753 * t53249 * t11134 - t53889 * t11122 + t36310 * t11125;
  t97426 = t30 * t71330;
  t97446 = t53885 * t11103 - t52729 * t11106 - t42203 * t14185 + t25662 * t14187 - 0.3e1 * t9873 * t14293 * t75643 + 0.2e1 * t11086 * t94147 + 0.1e2 / 0.3e1 * t69907 * t8610 + 0.22e2 / 0.3e1 * t97426 * t10072 - 0.23e2 / 0.3e1 * t97426 * t10048 + 0.36e2 * t4738 * t71330 * t48779 - 0.18e2 * t4779 * t71330 * t9867 - 0.18e2 * t4738 * t71156 * t87668 - t7746 * t25657 * t14189 / 0.6e1 - t7581 * t75413 * t14245 / 0.6e1;
  t97453 = t17883 * t206;
  t97454 = t95 * t97453;
  t97462 = t30 * t71156;
  t97473 = t2087 * t13922;
  t97474 = t97473 / 0.12e2;
  t97483 = t7216 * t41642 * t14189 / 0.12e2 + t7581 * t25657 * t14253 / 0.12e2 - t7746 * t3130 * t97454 / 0.6e1 + 0.14e2 / 0.3e1 * t11008 * t93339 - 0.3e1 * t11008 * t93327 - 0.62e2 / 0.3e1 * t97462 * t88843 + 0.8e1 * t97462 * t88847 + 0.3e1 * t93331 * t11113 - 0.6e1 * t53885 * t11117 + t2844 * t27144 / 0.3e1 + t97474 + t1876 * t17948 / 0.12e2 + t1881 * t17948 / 0.12e2 - 0.3e1 * t644 * t14076 * t75354 + t69782 * t2276;
  t97498 = t83022 / 0.3e1;
  t97499 = t83024 / 0.3e1;
  t97508 = t83026 / 0.3e1;
  t97509 = 0.3e1 / 0.2e1 * t3680 * t14076 * t75307 - 0.3e1 * t3530 * t17924 + t1891 * t10761 + t1891 * t10764 + 0.3e1 / 0.2e1 * t21706 * t17921 + 0.3e1 / 0.2e1 * t21711 * t17921 - t7462 * t11212 - t97498 + t97499 + 0.2e1 / 0.3e1 * t36005 * t17285 + 0.2e1 / 0.3e1 * t36009 * t17285 + 0.2e1 / 0.3e1 * t7216 * t93170 + 0.2e1 / 0.3e1 * t7216 * t92839 - t97508;
  t97511 = t35707 * t18133 / 0.9e1;
  t97521 = t41479 * t14190;
  t97522 = t97521 / 0.6e1;
  t97533 = t7299 * t17213 / 0.9e1;
  t97538 = -t97511 - 0.4e1 * t11086 * t53249 * t10047 - 0.23e2 / 0.18e2 * t70204 * t75500 - 0.61e2 / 0.27e2 * t97462 * t89149 + 0.44e2 / 0.27e2 * t97462 * t86978 + t97522 + t70204 * t75847 - 0.14e2 / 0.3e1 * t70204 * t26140 * t8609 + t87326 + t87327 - 0.3e1 / 0.2e1 * t69444 * t4844 * t5071 * t69183 + t5073 * t13952 + t97533 - 0.3e1 * t3537 * t17924 - 0.5e1 / 0.36e2 * t69475 * t16714;
  t97544 = t9056 * t2854;
  t97545 = t97544 / 0.12e2;
  t97546 = t2087 * t13888;
  t97547 = t97546 / 0.12e2;
  t97549 = t7368 * t2450 / 0.6e1;
  t97551 = t7368 * t2447 / 0.3e1;
  t97553 = t7368 * t2462 / 0.6e1;
  t97555 = t1267 * t13977 / 0.18e2;
  t97556 = t3548 * t17899;
  t97558 = t3548 * t17897 / 0.3e1;
  t97560 = t5143 * t2903 / 0.6e1;
  t97562 = t1869 * t17948 / 0.36e2;
  t97566 = t1869 * t10969 / 0.18e2;
  t97568 = t52147 * t530 / 0.6e1;
  t97569 = -0.5e1 / 0.36e2 * t13878 * t87230 - 0.5e1 / 0.36e2 * t13878 * t75343 + t97545 + t97547 - t97549 - t97551 + t97553 - t97555 + t97556 + t97558 + t97560 + t97562 + t2844 * t75910 / 0.3e1 - t97566 + t97568;
  t97573 = t70820 * t432 / 0.12e2;
  t97575 = t1267 * t14148 / 0.36e2;
  t97577 = t5143 * t2907 / 0.6e1;
  t97579 = t27066 * t2899 / 0.6e1;
  t97581 = t5143 * t2915 / 0.6e1;
  t97584 = t83031 / 0.2e1;
  t97585 = t83037 / 0.2e1;
  t97596 = 0.4e1 / 0.3e1 * t83109;
  t97597 = t14136 * t5068 / 0.3e1 + t97573 - t97575 - t97577 - t97579 + t97581 - t2844 * t25829 / 0.12e2 + t97584 + t97585 - t1283 * t14148 / 0.12e2 - t417 * t70858 / 0.12e2 - t5126 * t2907 / 0.2e1 - t1278 * t14148 / 0.12e2 + t10974 * t1873 / 0.2e1 - t97596;
  t97602 = 0.23e2 / 0.18e2 * t83111;
  t97603 = 0.2e1 / 0.3e1 * t83113;
  t97604 = 0.4e1 * t83145;
  t97633 = -t15081 - 0.8e1 * t70054 * t47702 - 0.8e1 / 0.3e1 * t13901 * t47214 + 0.16e2 / 0.9e1 * t70059 * t47138 + 0.4e1 * t13898 * t42244 + 0.4e1 * t13904 * t42248 - 0.4e1 / 0.3e1 * t13901 * t42236 - 0.24e2 * t70054 * t47161 + 0.32e2 / 0.3e1 * t70059 * t47170 - 0.4e1 * t13901 * t42223 + 0.12e2 * t70059 * t47123 - 0.8e1 * t13901 * t48637 + 0.12e2 * t70036 * t48565;
  t97644 = 0.4e1 * t13898 * t47219 - t76021 - t76024 + t76027 + t15069 + t76029 - t76046 + t76056 - 0.4e1 * t11067 - 0.4e1 * t11061 - 0.4e1 * t70076 * t2323 - 0.4e1 * t13898 * t9121 + 0.4e1 / 0.3e1 * t70040 * t2318;
  t97662 = 0.4e1 / 0.3e1 * t13901 * t8725 - 0.2e1 * t70047 * t2166 + t76075 + t76077 + 0.8e1 * t11073 + 0.4e1 * t70040 * t2331 + 0.4e1 * t13901 * t9021 - 0.12e2 * t11055 - 0.4e1 * t11058 - 0.2e1 * t13904 * t9012 - 0.4e1 * t11050 - 0.4e1 / 0.3e1 * t11053 + 0.2e2 / 0.9e1 * t11113;
  t97684 = 0.4e1 * t11106 - 0.12e2 * t11128 + 0.4e1 / 0.3e1 * t11117 - 0.2e1 / 0.3e1 * t11103 + 0.24e2 * t11109 + 0.4e1 * t70093 * t2323 + 0.4e1 * t13911 * t9121 + 0.2e1 * t1855 * t2166 + 0.2e1 * t521 * t9012 + 0.2e1 / 0.3e1 * t41260 * t13892 + 0.2e1 / 0.3e1 * t8837 * t13983 - 0.4e1 * t70113 * t2331 - 0.4e1 * t13916 * t9021;
  t97686 = t97633 + t97644 + t97662 + t97684;
  t97709 = t97602 + t97603 + t83140 - t97604 - t83148 + t515 * t660 * t3279 * t17951 / 0.12e2 + t515 * t660 * t661 * t94 * t97686 / 0.12e2 - t70959 * t2268 / 0.2e1 - t14215 * t9828 / 0.2e1 + t13929 * t8692 + t515 * t660 * t26322 * t2852 / 0.12e2 + t515 * t660 * t5044 * t13920 / 0.12e2 + t1876 * t17953 / 0.12e2 + t1881 * t17953 / 0.12e2;
  t97712 = t1291 * t69183;
  t97729 = 0.2e1 / 0.9e1 * t14107 * t15040;
  t97734 = t222 * t18087;
  t97739 = t191 * t242 * t18085 * t243;
  t97742 = t417 * t69659 / 0.12e2 - 0.2e1 * t69182 * t1227 * t97712 - t1293 * t14045 / 0.2e1 - t1293 * t14002 + 0.3e1 / 0.2e1 * t1293 * t14005 + t1293 * t14041 / 0.2e1 - t5073 * t14009 / 0.2e1 - t417 * t69705 / 0.12e2 - t768 * t17910 - t97729 - t14136 * t5064 / 0.6e1 - t2844 * t25945 / 0.6e1 - t211 * t97734 / 0.12e2 + t97739 * t250 / 0.4e1 - t87435;
  t97752 = t83167 / 0.18e2;
  t97753 = t83173 / 0.6e1;
  t97755 = t593 * t17910 / 0.3e1;
  t97757 = t14116 * t2108 / 0.18e2;
  t97758 = t83188 / 0.2e1;
  t97759 = t83193 / 0.2e1;
  t97760 = -t87436 - t87437 - t7374 * t2447 - t7390 * t2447 + t7390 * t2462 / 0.2e1 + t1891 * t10881 / 0.2e1 + t1891 * t10885 / 0.2e1 - t97752 + t97753 - t97755 - t97757 + t97758 - t83191 - t97759;
  t97761 = 0.2e1 / 0.3e1 * t83197;
  t97767 = t14107 * t15058 / 0.18e2;
  t97769 = 0.5e1 / 0.108e3 * t69224 * t16714;
  t97771 = t1869 * t10894 / 0.18e2;
  t97780 = t35707 * t17525 / 0.9e1;
  t97792 = t97761 + t14136 * t15036 / 0.3e1 + t2844 * t76172 / 0.3e1 + t97767 - t97769 - t97771 - t7216 * t84224 / 0.3e1 + t7216 * t83779 / 0.3e1 + t4779 * t1843 * t819 * t54474 - t97780 - 0.5e1 / 0.18e2 * t11008 * t10037 * t97240 + 0.5e1 / 0.3e1 * t97426 * t10039 + 0.5e1 / 0.12e2 * t70204 * t87688 - 0.35e2 / 0.108e3 * t97462 * t87695 - 0.5e1 / 0.36e2 * t70204 * t87698;
  t97803 = t69657 * t1221;
  t97804 = t1220 * t97803;
  t97808 = t1227 * t14151 * t1221;
  t97811 = 0.2e1 * t83234;
  t97812 = 0.2e1 / 0.3e1 * t83236;
  t97813 = 0.11e2 / 0.9e1 * t83238;
  t97817 = t7581 * t83074 / 0.6e1 + t7216 * t83084 / 0.6e1 - t7746 * t83077 / 0.3e1 - t7581 * t83081 / 0.3e1 + t87512 - t1218 * t97804 / 0.6e1 + t1218 * t97808 / 0.3e1 - t83223 - t87555 + t97811 + t97812 - t97813 + t70197 * t75286 / 0.3e1 - t11143 * t91945;
  t97833 = 0.14e2 / 0.3e1 * t83296;
  t97838 = -t7746 * t91948 / 0.3e1 + t11086 * t91951 - t1876 * t10969 / 0.6e1 - t1881 * t10969 / 0.6e1 - t515 * t53978 / 0.6e1 - t14136 * t5102 / 0.12e2 - t25888 * t2899 / 0.2e1 - t27129 * t2899 / 0.2e1 + t97833 + t83299 - t87577 + t87578 + t87579 - 0.7e1 * t70204 * t26141 + 0.14e2 / 0.3e1 * t11008 * t53288;
  t97870 = -t70204 * t87063 / 0.2e1 - t11008 * t4760 * t97240 + 0.3e1 / 0.2e1 * t70204 * t87518 + 0.23e2 / 0.36e2 * t70204 * t87513 - 0.23e2 / 0.12e2 * t70204 * t86973 + 0.23e2 / 0.18e2 * t11008 * t10037 * t52659 - 0.11e2 / 0.18e2 * t70204 * t89152 - 0.11e2 / 0.9e1 * t11008 * t10058 * t97240 + 0.11e2 / 0.6e1 * t70204 * t87558 - t87621 - 0.2e1 * t69907 * t9763 + 0.4e1 * t69907 * t9758 - 0.4e1 * t11086 * t52660 + t69907 * t9771 + 0.2e1 * t11086 * t4754 * t97240;
  t97906 = -0.2e1 * t69907 * t9767 - 0.3e1 * t4748 * t69957 * t16672 + 0.9e1 * t4738 * t14293 * t88858 - 0.6e1 * t4738 * t7599 * t3402 * t52658 + 0.3e1 / 0.2e1 * t26806 * t69957 * t16667 + 0.3e1 * t9873 * t7599 * t3448 * t52658 + t36310 * t11155 - 0.2e1 * t52729 * t11073 - 0.6e1 * t52729 * t11109 + 0.6e1 * t53885 * t11050 + 0.2e1 * t53885 * t11053 - t53889 * t11064 - 0.3e1 / 0.2e1 * t70204 * t26126 + 0.9e1 / 0.2e1 * t70204 * t26130 - 0.43e2 / 0.9e1 * t97462 * t89135;
  t97915 = t69650 * t2276 / 0.3e1;
  t97916 = t3548 * t17924;
  t97922 = t673 * t5044 * t14031;
  t97926 = t673 * t52585 * t1777;
  t97929 = t83318 / 0.6e1;
  t97930 = t83326 / 0.6e1;
  t97931 = t83328 / 0.6e1;
  t97932 = t83338 / 0.3e1;
  t97933 = t83345 / 0.3e1;
  t97934 = t83347 / 0.3e1;
  t97935 = -0.3e1 * t11008 * t52772 + 0.18e2 * t97426 * t10063 + t97915 - t97916 + t1293 * t14037 / 0.4e1 + t10974 * t1783 / 0.2e1 - t211 * t97922 / 0.12e2 - t211 * t97926 / 0.6e1 - t97929 - t97930 - t97931 - t97932 - t97933 - t97934;
  t97936 = t83357 / 0.18e2;
  t97937 = 0.3e1 * t83365;
  t97938 = 0.2e1 * t83371;
  t97939 = 0.6e1 * t83402;
  t97940 = 0.2e1 * t83405;
  t97951 = t18107 * t206;
  t97952 = t95 * t97951;
  t97966 = -t97936 - t97937 - t83368 + t97938 - t97939 - t97940 + t14153 * t1274 / 0.4e1 + t53774 * t530 / 0.2e1 + t2844 * t25801 / 0.3e1 - t69282 * t1235 / 0.2e1 + t14153 * t1240 / 0.2e1 + t7746 * t8642 * t97952 / 0.3e1 - 0.5e1 / 0.18e2 * t11008 * t93014 - t7216 * t26082 * t97952 / 0.6e1 - t7581 * t8642 * t253 * t14252 * t2105 / 0.6e1;
  t97968 = t18107 * t667;
  t97973 = t14252 * t414;
  t97974 = t253 * t97973;
  t97978 = t17998 * t667;
  t97979 = t95 * t97978;
  t97983 = t17998 * t206;
  t97984 = t95 * t97983;
  t98005 = t658 * t2910 * t414;
  t98022 = t7581 * t42955 * t95 * t97968 / 0.2e1 + t7216 * t4760 * t97974 / 0.12e2 - t7216 * t26082 * t97979 / 0.4e1 + 0.5e1 / 0.36e2 * t11008 * t25739 * t97984 - t11086 * t4760 * t97984 / 0.2e1 - t7746 * t3130 * t97974 / 0.6e1 + t11143 * t3130 * t97984 / 0.2e1 + t7746 * t8642 * t97979 / 0.3e1 - 0.3e1 / 0.2e1 * t4779 * t519 * t22055 * t97968 + t3123 * t7238 * t98005 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t7610 * t819 * t97983 - t4779 * t1843 * t3430 * t97978 - t4779 * t1843 * t3430 * t97951 + 0.6e1 * t4748 * t69597 * t47702;
  t98050 = t42161 * t14242;
  t98051 = t98050 / 0.6e1;
  t98052 = t41482 * t14246;
  t98053 = t98052 / 0.6e1;
  t98054 = -0.3e1 / 0.2e1 * t4779 * t7599 * t22070 * t97983 + t11008 * t26082 * t97984 / 0.2e1 + 0.3e1 * t4738 * t7599 * t21225 * t97983 - t11008 * t92992 - t1881 * t10894 / 0.6e1 - t7374 * t2450 / 0.2e1 - t7390 * t2450 / 0.2e1 - t1891 * t10866 + t1293 * t14024 - t13878 * t75871 / 0.2e1 + t13929 * t8986 - 0.11e2 / 0.18e2 * t13878 * t75332 - 0.3e1 * t1293 * t14218 - t98051 - t98053;
  t98057 = t41479 * t14249;
  t98058 = t98057 / 0.12e2;
  t98059 = t41482 * t14254;
  t98060 = t98059 / 0.12e2;
  t98069 = t5044 * t13936;
  t98086 = t98058 + t98060 + t1787 * t92484 / 0.3e1 - t83437 + t1787 * t82894 / 0.3e1 + t14136 * t15058 / 0.6e1 + t2844 * t75582 / 0.6e1 - t1748 * t1220 * t98069 / 0.3e1 - 0.5e1 / 0.36e2 * t13878 * t75613 - t2844 * t26906 / 0.12e2 - t1748 * t1227 * t98069 / 0.6e1 + t2844 * t26883 / 0.6e1 + t13929 * t8709 / 0.2e1 + t2839 * t5046 / 0.6e1;
  t98100 = t83449 / 0.3e1;
  t98101 = t83451 / 0.3e1;
  t98102 = t83453 / 0.3e1;
  t98107 = t2932 * t206;
  t98108 = t253 * t98107;
  t98109 = t4754 * t98108;
  t98113 = t4765 * t3121 * t98107;
  t98116 = t2932 * t615;
  t98117 = t98116 * t1216;
  t98124 = t1787 * t673 * t98069 / 0.3e1 - t14215 * t8704 / 0.2e1 + 0.3e1 * t5073 * t13987 - t5073 * t13984 + 0.7e1 / 0.3e1 * t69444 * t4838 * t97712 + t1293 * t14028 / 0.2e1 + t98100 + t98101 + t98102 - t1891 * t10869 - 0.3e1 * t4779 * t14293 * t75843 - t4753 * t98109 / 0.6e1 + t4753 * t98113 / 0.3e1 - t4748 * t98117 * t1234 / 0.2e1 + t3123 * t98117 * t1239 / 0.2e1;
  t98139 = t35707 * t17406 / 0.18e2;
  t98141 = t37202 * t16310 / 0.18e2;
  t98144 = t41479 * t14196;
  t98145 = t98144 / 0.3e1;
  t98161 = t42187 * t14201 / 0.2e1 - t41476 * t14177 / 0.2e1 + 0.6e1 * t4738 * t14293 * t75491 + t7216 * t4760 * t97266 / 0.3e1 - 0.5e1 / 0.6e1 * t69907 * t8631 - t98139 + t98141 + t14153 * t1255 / 0.4e1 - t17866 - t98145 + t7216 * t43310 * t14189 / 0.6e1 - t7216 * t41642 * t14195 / 0.3e1 + t7216 * t4770 * t97454 / 0.6e1 - t7216 * t4760 * t635 * t97453 / 0.3e1 - 0.6e1 * t97312 * t10067;
  t98164 = 0.2e1 / 0.9e1 * t83483;
  t98166 = t188 * t18087 / 0.12e2;
  t98167 = 0.6e1 * t83513;
  t98168 = 0.3e1 * t83516;
  t98169 = 0.6e1 * t83519;
  t98170 = 0.12e2 * t97312 * t10069 + t16188 - t16191 - t16194 + t17918 - t17919 - t87810 + t87811 - t87815 + t87816 + t98164 - t98166 - t98167 + t98168 + t98169;
  t98176 = t757 * t17864;
  t98177 = t98176 / 0.4e1;
  t98179 = t246 * t8745 * t13996;
  t98180 = t98179 / 0.4e1;
  t98185 = t768 * t17864;
  t98186 = t98185 / 0.4e1;
  t98200 = t14107 * t15036 / 0.9e1;
  t98202 = t7255 * t17233 / 0.9e1;
  t98204 = 0.7e1 / 0.9e1 * t69224 * t16777;
  t98206 = t69224 * t16774 / 0.6e1;
  t98208 = 0.23e2 / 0.108e3 * t69224 * t16771;
  t98209 = -t98177 - t98180 - t1293 * t13992 / 0.4e1 - t1293 * t13997 / 0.4e1 - t98186 + t768 * t17915 / 0.4e1 + t757 * t17915 / 0.4e1 + t246 * t69703 * t420 * t249 / 0.4e1 + t246 * t14031 * t1312 * t249 / 0.4e1 + t98200 - t98202 + t98204 - t98206 + t98208;
  t98211 = 0.11e2 / 0.54e2 * t69224 * t16768;
  t98213 = 0.2e1 / 0.3e1 * t69650 * t2282;
  t98214 = t83592 / 0.6e1;
  t98215 = -t98211 - t98213 - t83532 - t87821 + t16602 + t16603 - t16604 - t16605 - t16606 - t16607 + t2160 - t98214 - t87823 + t87830 - t87831;
  t98217 = 0.3e1 * t83600;
  t98226 = t87832 + t17946 + t98217 + t17973 - t17977 - t17978 + t17979 - t87904 + t87905 - t87906 - 0.2e1 / 0.3e1 * t2844 * t75217 - 0.2e1 / 0.3e1 * t14136 * t15040 - 0.2e1 / 0.3e1 * t2844 * t75214 - t1748 * t83582 / 0.6e1;
  t98243 = t83654 / 0.2e1;
  t98244 = 0.2e1 / 0.3e1 * t83659;
  t98250 = -t7195 * t17218 / 0.6e1 - t1748 * t92643 / 0.6e1 + t515 * t83768 / 0.6e1 - t7190 * t17218 / 0.6e1 + t1876 * t16276 / 0.6e1 + t1881 * t16276 / 0.6e1 + t515 * t83772 / 0.6e1 - t1748 * t83260 / 0.3e1 - t87930 - t87931 - t98243 + t98244 + t75694 + 0.3e1 / 0.2e1 * t757 * t17889 + 0.3e1 / 0.2e1 * t246 * t14004 * t9121;
  t98271 = t83680 / 0.9e1;
  t98272 = t768 * t17892 / 0.2e1 + t757 * t17892 / 0.2e1 - t768 * t17886 / 0.4e1 - t757 * t17886 / 0.4e1 - t246 * t7533 * t17885 / 0.4e1 - t246 * t1769 * t658 * t221 * t97686 / 0.4e1 + 0.3e1 / 0.2e1 * t768 * t17889 - t98271 - t87954 - t87955 - t87956 - t87957 + t87959 + t87960;
  t98280 = t21655 * t17992 / 0.3e1;
  t98282 = t188 * t18090 / 0.6e1;
  t98286 = t53249 * t10771;
  t98291 = t53253 * t10771;
  t98299 = t87961 - 0.18e2 * t9873 * t71330 * t48467 - 0.9e1 / 0.2e1 * t9873 * t14293 * t87042 + t98280 - t98282 - t36310 * t11159 - t36310 * t11152 / 0.2e1 - t4753 * t98286 / 0.6e1 + t4789 * t69988 / 0.6e1 + t4792 * t98291 / 0.3e1 + 0.3e1 * t4748 * t70660 * t2318 - t182 * t18087 / 0.4e1 - t88015 - t88016 - t88017;
  t98306 = t41656 * t14265;
  t98307 = 0.2e1 * t98306;
  t98308 = t62 * t17883;
  t98309 = t98308 * t206;
  t98317 = t827 * t97983;
  t98320 = t71155 * t47962;
  t98325 = t14292 * t47995;
  t98328 = t8891 * t1839;
  t98332 = t9929 * t1839;
  t98333 = t827 * t98332;
  t98343 = -0.2e1 * t37040 * t840 * t97951 - 0.12e2 * t71443 * t8905 - t98307 - 0.2e1 * t7584 * t840 * t98309 + 0.4e1 / 0.3e1 * t71443 * t76537 + 0.2e2 * t71298 * t8893 + 0.3e1 * t36958 * t98317 + 0.8e1 / 0.3e1 * t98320 * t9953 + 0.24e2 * t98320 * t10015 - 0.72e2 * t98325 * t9945 + 0.4e1 / 0.3e1 * t7584 * t827 * t98328 + 0.4e1 * t10841 * t98333 - 0.4e1 * t71298 * t9948 + 0.4e1 / 0.3e1 * t98325 * t9953 + 0.4e1 * t7586 * t233 * t98328;
  t98346 = t2865 * t26535;
  t98351 = t2869 * t48108;
  t98357 = t2865 * t48040;
  t98364 = t71259 * t414;
  t98382 = -0.6e1 * t71223 * t8896 - 0.4e1 * t98346 * t8902 - 0.1e2 / 0.3e1 * t71298 * t8905 - 0.12e2 * t98351 * t9945 + 0.12e2 * t10836 * t233 * t98332 - 0.24e2 * t98357 * t9937 - 0.6e1 * t71223 * t9940 - 0.2e1 * t36944 * t18028 - 0.2e1 * t7584 * t840 * t98364 - 0.4e1 / 0.3e1 * t10846 * t3475 * t98332 + 0.2e1 * t71443 * t88110 - 0.4e1 / 0.3e1 * t98320 * t88151 - 0.24e2 * t10841 * t840 * t98332 + 0.72e2 * t98351 * t10012 + 0.24e2 * t71298 * t9931;
  t98411 = t2869 * t26651;
  t98422 = t2298 * t1839;
  t98426 = 0.8e1 * t98325 * t10015 + 0.3e1 * t53471 * t233 * t97968 + 0.3e1 * t36949 * t233 * t97983 + 0.2e1 * t36952 * t233 * t97978 + 0.2e1 * t36952 * t233 * t97951 - 0.6e1 * t36961 * t840 * t97983 - 0.3e1 * t37040 * t840 * t97978 + 0.12e2 * t10846 * t98333 - 0.18e2 * t71443 * t9948 - 0.8e1 * t7584 * t840 * t98328 + 0.12e2 * t98411 * t76534 - t519 * t819 * t63 * t97686 + 0.2e1 / 0.3e1 * t2870 * t76439 - t519 * t3430 * t2883 * t8840 - 0.8e1 * t7595 * t648 * t98422;
  t98429 = t1329 * t17883;
  t98435 = t8868 * t2851;
  t98439 = t2298 * t13919;
  t98462 = t2141 * t1839;
  t98466 = 0.8e1 * t14331 * t9994 - 0.2e1 / 0.3e1 * t1847 * t3375 * t98429 - 0.2e1 / 0.3e1 * t7632 * t18073 - 0.2e1 / 0.3e1 * t1847 * t3375 * t98435 - 0.2e1 / 0.3e1 * t1847 * t3375 * t98439 - t1843 * t819 * t98439 - t1843 * t819 * t98435 - t1841 * t18081 - t519 * t3430 * t14288 * t2105 + 0.4e1 * t2870 * t76550 - 0.6e1 * t7610 * t229 * t98422 + 0.12e2 * t71186 * t9997 + 0.3e1 * t14282 * t9977 - 0.1e2 * t14293 * t88290 - 0.8e1 / 0.3e1 * t1847 * t3375 * t98462;
  t98477 = t8854 * t14336;
  t98483 = t14257 * t1272;
  t98505 = 0.4e1 * t84349;
  t98506 = t7599 * t3448 * t98422 / 0.9e1 - t14293 * t88097 / 0.6e1 + 0.2e2 / 0.3e1 * t7599 * t3402 * t98422 + t98477 + t36944 * t18031 / 0.3e1 + t7584 * t827 * t98364 / 0.3e1 + t7584 * t827 * t98483 / 0.3e1 - t36958 * t3482 * t97983 / 0.18e2 + 0.2e1 * t36966 * t18034 + 0.2e1 * t7586 * t233 * t98364 + 0.2e1 * t7586 * t233 * t98483 + 0.4e1 * t36961 * t98317 + 0.2e1 * t53628 * t18038 - 0.1e2 / 0.3e1 * t36958 * t3475 * t97983 + t98505;
  t98507 = 0.24e2 * t84355;
  t98508 = 0.8e1 * t84357;
  t98522 = -0.2e1 * t1843 * t819 * t98462 + t1847 * t3409 * t98429 + 0.3e1 * t14282 * t8960 + 0.6e1 * t14293 * t76368 - 0.1e2 * t14331 * t8972 + 0.2e1 * t2866 * t8963 + t18003 - t18004 + t18005 - t76420 + t88083 - t88084 + t88100 - t98507 - t98508;
  t98524 = t8874 * t14297;
  t98525 = t2118 * t14300;
  t98553 = -t98524 - t98525 - t1843 * t819 * t98429 - t519 * t3430 * t18044 * t667 - 0.4e1 * t2870 * t76592 - 0.2e2 / 0.3e1 * t14293 * t76595 - t7624 * t18078 + t88135 + t76455 + t88136 + 0.4e1 * t1847 * t3409 * t98462 - 0.2e1 * t7584 * t840 * t98483 + 0.2e1 * t10828 * t233 * t71259 * t2105 + 0.2e1 * t10828 * t233 * t14257 * t8840 + 0.4e1 / 0.3e1 * t37040 * t827 * t97951;
  t98560 = t41974 * t14262;
  t98561 = 0.2e1 * t98560;
  t98562 = t76660 * t14269;
  t98563 = 0.2e1 * t98562;
  t98564 = t41656 * t14259;
  t98565 = t98564 / 0.3e1;
  t98584 = t7584 * t827 * t98309 / 0.3e1 + 0.2e1 * t37040 * t827 * t97978 + t98561 + t98563 + t98565 + 0.2e1 * t7586 * t233 * t98309 + 0.2e1 * t10828 * t233 * t98308 * t667 - t98320 * t88391 / 0.9e1 - 0.2e1 / 0.9e1 * t10846 * t3482 * t98332 + t71443 * t88196 / 0.3e1 - 0.2e1 * t98411 * t76678 + 0.2e1 / 0.9e1 * t71443 * t76681 + t8856 + t8875 + t8877;
  t98592 = 0.2e1 / 0.3e1 * t84392;
  t98608 = t41881 * t97983;
  t98624 = -t8888 + 0.36e2 * t71330 * t10005 - 0.12e2 * t71156 * t88454 - t98592 + 0.6e1 * t37040 * t41885 * t97978 - 0.4e1 * t36952 * t41877 * t97951 - 0.6e1 * t53471 * t41877 * t97968 - 0.2e1 / 0.3e1 * t37040 * t41881 * t97951 + 0.4e1 * t37040 * t41885 * t97951 - 0.6e1 * t36958 * t98608 + 0.2e1 / 0.3e1 * t36958 * t48231 * t97983 + 0.12e2 * t36961 * t41885 * t97983 - 0.4e1 * t36952 * t41877 * t97978 - 0.2e1 * t36961 * t98608 - t37040 * t41881 * t97978;
  t98631 = 0.4e1 * t84405;
  t98632 = 0.2e2 / 0.3e1 * t84407;
  t98633 = 0.4e1 * t84409;
  t98634 = t2118 * t14289;
  t98635 = t98634 / 0.2e1;
  t98636 = 0.12e2 * t84411;
  t98637 = 0.6e1 * t84423;
  t98650 = t36958 * t48306 * t97983 / 0.9e1 - 0.6e1 * t36949 * t41877 * t97983 + t98631 + t98632 - t98633 - t15157 + t98635 + t98636 - t98637 - 0.6e1 * t2870 * t76384 - t14293 * t76553 / 0.9e1 - t14293 * t76610 / 0.9e1 + 0.2e2 / 0.3e1 * t14331 * t8926 + 0.2e1 * t14331 * t8939 - 0.2e1 / 0.3e1 * t71330 * t9972;
  t98658 = 0.8e1 / 0.3e1 * t84431;
  t98659 = 0.2e1 * t84445;
  t98660 = 0.4e1 / 0.3e1 * t84448;
  t98665 = 0.12e2 * t84456;
  t98666 = 0.6e1 * t14282 * t8967 - 0.3e1 * t14293 * t76426 + 0.6e1 * t14331 * t8915 + 0.2e1 * t2866 * t8921 + 0.24e2 * t71159 * t9963 + t18043 - t76466 - t76471 - t76473 - t88188 - t88189 - t98658 - t98659 + t98660 + t98665;
  t98689 = 0.4e1 / 0.3e1 * t84463;
  t98690 = 0.2e1 / 0.9e1 * t84465;
  t98691 = 0.4e1 * t84479;
  t98692 = -0.6e1 * t7599 * t3375 * t98422 + 0.9e1 * t14293 * t88329 + 0.12e2 * t7595 * t653 * t98422 - 0.36e2 * t71159 * t10001 - 0.12e2 * t14331 * t9981 + t1847 * t3409 * t98439 - t88308 - 0.2e1 / 0.3e1 * t14293 * t76607 + 0.1e2 / 0.3e1 * t71156 * t88362 + 0.6e1 * t14293 * t76375 + 0.5e2 / 0.3e1 * t71156 * t88505 + t98689 - t98690 + t98691 + t88309;
  t98695 = 0.2e1 * t84512;
  t98712 = -t88314 - t88315 - t88316 + t98695 - t1841 * t18071 - 0.4e1 / 0.3e1 * t2870 * t76458 - 0.3e1 * t14282 * t8878 - t2866 * t8912 - 0.4e1 * t14331 * t8869 + t14293 * t76461 / 0.18e2 + 0.1e2 / 0.3e1 * t14293 * t76434 - t76540 - t88317 + 0.2e1 * t2870 * t76431 + t1841 * t18045 / 0.2e1;
  t98717 = t84561 / 0.9e1;
  t98724 = t519 * t819 * t60 * t97686 / 0.2e1 + t98717 - t88332 + t88333 + t76576 + t88335 + t1847 * t3409 * t98435 - 0.12e2 * t14331 * t8930 - 0.4e2 * t71330 * t9991 - t18057 + t18058 - t18059 + t15168 + t16834 + t16835;
  t98726 = 0.6e1 * t84584;
  t98727 = 0.4e1 * t84588;
  t98728 = 0.8e1 * t84592;
  t98729 = -t88396 + t88397 - t98726 + t98727 - t98728 - t8948 - t8949 - t8966 + t8975 + t88424 - t88425 - t88426 + t88427 + t88428 + t88429;
  t98730 = t2118 * t14306;
  t98731 = t8854 * t14308;
  t98732 = 0.2e1 / 0.3e1 * t98731;
  t98733 = 0.2e1 * t84601;
  t98735 = 0.4e1 / 0.3e1 * t84616;
  t98736 = 0.12e2 * t84623;
  t98737 = t7632 * t18051 - t15178 - t16863 + t16864 - t16865 - t18069 + t2119 - t2138 + t88430 + t88431 + t88432 - t98730 - t98732 - t98733 - t98735 + t98736;
  t98756 = t26903 * t17990 / 0.3e1;
  t98757 = t88018 + t8659 + t8662 - t8667 + t8683 - t30 * t59 * (t98343 + t98382 + t98426 + t98466 + t98506 + t98522 + t98553 + t98584 + t98624 + t98650 + t98666 + t98692 + t98712 + t98724 + t98729 + t98737) * t95 / 0.4e1 - t16647 + t16648 - t7216 * t27475 * t97952 / 0.3e1 + t7216 * t84160 / 0.3e1 - t88031 - t88032 + 0.14e2 / 0.3e1 * t11008 * t92969 - 0.3e1 * t11008 * t92954 - t98756;
  t98759 = 0.2e1 / 0.9e1 * t35707 * t17285;
  t98780 = t4738 * t8854 * t70311;
  t98781 = t98780 / 0.2e1;
  t98783 = t4779 * t8854 * t14176;
  t98784 = t98783 / 0.2e1;
  t98789 = t98759 - t11008 * t93336 - 0.38e2 / 0.9e1 * t97462 * t88827 + 0.89e2 / 0.9e1 * t97462 * t88830 - 0.2e1 * t97462 * t88834 + t88035 - 0.2e1 / 0.3e1 * t70197 * t75281 + 0.2e1 * t70197 * t75294 - 0.4e1 / 0.3e1 * t7216 * t54476 - 0.5e1 / 0.18e2 * t11008 * t91826 - t7216 * t91829 / 0.6e1 + t7216 * t92155 / 0.3e1 + t98781 - t98784 + t4738 * t1847 * t3375 * t97453 / 0.2e1;
  t98803 = t83748 / 0.3e1;
  t98804 = t83750 / 0.3e1;
  t98805 = 0.2e1 / 0.3e1 * t83761;
  t98806 = 0.2e1 / 0.3e1 * t83763;
  t98807 = 0.2e1 / 0.3e1 * t83765;
  t98809 = t5143 * t2912 / 0.12e2;
  t98811 = t593 * t17915 / 0.12e2;
  t98813 = t1267 * t14033 / 0.36e2;
  t98816 = -t4779 * t1847 * t3409 * t97453 / 0.2e1 - 0.18e2 * t4738 * t71159 * t47289 - 0.5e1 * t4738 * t14331 * t42625 - t98803 - t98804 + t98805 + t98806 + t98807 - t88046 + t88047 - t98809 + t98811 - t98813 - t5105 * t2907 / 0.2e1;
  t98819 = t83818 / 0.3e1;
  t98823 = t593 * t17892 / 0.6e1;
  t98825 = t593 * t17889 / 0.2e1;
  t98827 = t593 * t17886 / 0.12e2;
  t98828 = t593 * t17864;
  t98829 = t98828 / 0.12e2;
  t98838 = t53768 * t530 / 0.2e1 + t88048 + t88049 - t98819 - t52160 * t1758 + t10974 * t1761 + t98823 + t98825 - t98827 - t98829 + t7216 * t93011 / 0.3e1 + t7216 * t83973 / 0.6e1 - t7746 * t83979 / 0.3e1 - t7581 * t83984 / 0.3e1 - t75815;
  t98847 = t635 * t2836 * t414;
  t98877 = t88534 + t88535 - 0.4e1 / 0.3e1 * t7216 * t94199 + 0.23e2 / 0.18e2 * t11008 * t94193 + 0.2e1 / 0.3e1 * t7216 * t94188 + 0.47e2 / 0.3e1 * t78666 * t25739 * t98847 + 0.3e1 / 0.2e1 * t3123 * t69957 * t16652 + 0.3e1 * t4779 * t7599 * t3375 * t52658 - 0.9e1 / 0.2e1 * t4779 * t14293 * t89005 - 0.28e2 * t79668 * t10058 * t98847 - 0.3e1 * t3123 * t70660 * t2331 + 0.18e2 * t4779 * t71159 * t9882 + 0.6e1 * t4779 * t14331 * t10079 - 0.6e1 * t4779 * t7595 * t653 * t52658;
  t98902 = t69907 * t10042 / 0.2e1 - t417 * t69689 / 0.6e1 + 0.3e1 * t644 * t13986 * t8725 - t1278 * t13977 / 0.6e1 - t1283 * t13977 / 0.6e1 + t644 * t13951 * t75867 + 0.3e1 * t3530 * t17899 + 0.3e1 * t3537 * t17899 - t88558 + t88559 + t75853 + t88560 - t7216 * t82844 / 0.6e1 + t7746 * t82847 / 0.3e1 - 0.2e1 / 0.3e1 * t21878 * t53245 * t52648;
  t98909 = t635 * t97983;
  t98924 = t14199 * t414;
  t98944 = -t36310 * t11077 / 0.2e1 + t52729 * t11067 + t52729 * t11061 + 0.2e1 * t11086 * t4760 * t98909 + 0.11e2 / 0.18e2 * t11008 * t26140 * t97984 + t7216 * t4770 * t97974 / 0.6e1 - t11086 * t4770 * t97984 - t7216 * t27475 * t97979 / 0.2e1 - 0.7e1 / 0.3e1 * t27523 * t26140 * t635 * t98924 - 0.6e1 * t3123 * t69597 * t47161 - 0.2e1 * t3123 * t14184 * t48637 + 0.2e1 * t4748 * t14184 * t47214 + t10974 * t1774 / 0.2e1 + 0.2e1 / 0.3e1 * t3319 * t1227 * t10972 * t35339;
  t98963 = t8665 * t2854;
  t98964 = t98963 / 0.36e2;
  t98966 = t7255 * t17218 / 0.18e2;
  t98968 = t1869 * t16276 / 0.18e2;
  t98975 = -t10974 * t1770 / 0.2e1 - t10974 * t1766 + t3123 * t14228 * t47219 + 0.3e1 * t3123 * t70008 * t48565 + t3123 * t14228 * t42244 + t3123 * t14231 * t42248 - 0.4e1 * t11086 * t92268 - 0.4e1 / 0.3e1 * t7216 * t54129 + 0.23e2 / 0.18e2 * t11008 * t92265 + t98964 - t98966 + t98968 - t2844 * t27189 / 0.6e1 + t2844 * t26053 / 0.3e1 - 0.2e1 * t13929 * t10102;
  t98990 = t83931 / 0.3e1;
  t99004 = -0.2e1 * t13929 * t8715 - 0.11e2 / 0.18e2 * t69475 * t16768 + t13929 * t10122 + 0.23e2 / 0.36e2 * t69475 * t16771 + 0.23e2 / 0.36e2 * t13878 * t87111 + 0.23e2 / 0.36e2 * t13878 * t75526 - 0.11e2 / 0.18e2 * t13878 * t87135 + t98990 - t36310 * t11070 + 0.3e1 * t52729 * t11055 + t52729 * t11058 - t3123 * t71089 * t2166 / 0.2e1 - t3123 * t71092 * t2166 / 0.2e1 - t21621 * t18096 - t3123 * t71129 * t2323;
  t99047 = -t3123 * t71133 * t2323 - t3123 * t14228 * t9121 + t4779 * t1841 * t18121 / 0.2e1 + t4779 * t519 * t3430 * t97209 / 0.2e1 + t4779 * t519 * t3430 * t97214 / 0.2e1 - t21617 * t18096 + t25696 * t18122 / 0.2e1 + t25730 * t18122 / 0.2e1 + t25730 * t18118 / 0.2e1 + t4779 * t7624 * t18117 / 0.2e1 + t4779 * t1843 * t819 * t97168 / 0.2e1 + 0.3e1 * t26806 * t69975 * t47138 - 0.6e1 * t4748 * t69975 * t47170 + 0.3e1 * t3123 * t69975 * t47123 - 0.3e1 / 0.2e1 * t9873 * t7599 * t21220 * t97983;
  t99088 = -0.6e1 * t4738 * t14331 * t4742 + 0.6e1 * t4738 * t7595 * t648 * t52658 + 0.3e1 * t27523 * t25739 * t3671 * t2836 * t2105 + t4748 * t69581 * t15054 - 0.3e1 * t4738 * t2870 * t75647 + 0.2e1 * t4738 * t1847 * t3375 * t54474 + 0.2e1 / 0.3e1 * t21878 * t41646 * t69571 - t25662 * t14229 - t25662 * t14232 / 0.2e1 + t3123 * t70825 * t2166 / 0.2e1 + t88664 - t14153 * t1251 / 0.4e1 - t14153 * t1247 / 0.2e1 - t417 * t70277 / 0.12e2;
  t99089 = t1227 * t97803;
  t99092 = t673 * t97803;
  t99109 = t17883 * t667;
  t99115 = t3123 * t42656 * t2911;
  t99116 = t99115 / 0.4e1;
  t99118 = t4779 * t8874 * t14063;
  t99119 = t99118 / 0.2e1;
  t99120 = -t1218 * t99089 / 0.12e2 + t1259 * t99092 / 0.6e1 - t83961 + t83963 + t16723 - 0.3e1 / 0.2e1 * t4779 * t14282 * t9740 + 0.3e1 * t4779 * t7610 * t229 * t52658 - t3123 * t7228 * t17885 / 0.4e1 + t4779 * t1843 * t819 * t97453 / 0.2e1 + t4779 * t519 * t3430 * t99109 / 0.2e1 - t99116 + t99119 - t8744 - t8748 + t8752;
  t99132 = -t84013 - t84016 - t84018 + t84021 + t84024 + t84026 - t88671 - 0.11e2 / 0.9e1 * t11008 * t94213 + t4779 * t1847 * t22051 * t97951 - t7462 * t11215 - t88704 - t88705 - t88708 + 0.3e1 / 0.2e1 * t27523 * t25739 * t3671 * t98924;
  t99164 = t84113 / 0.3e1;
  t99165 = -0.3e1 * t4738 * t7595 * t3375 * t97983 - 0.3e1 / 0.2e1 * t4738 * t1847 * t22070 * t97978 + t4779 * t1843 * t819 * t97173 / 0.2e1 + t25696 * t18118 / 0.2e1 - t7216 * t94196 / 0.3e1 - 0.11e2 / 0.9e1 * t11008 * t92710 + 0.2e1 / 0.3e1 * t7216 * t94149 - t4779 * t7632 * t18125 / 0.2e1 - t4779 * t1847 * t3409 * t97168 / 0.2e1 - t4779 * t1847 * t3409 * t97173 / 0.2e1 - t84106 + t84111 - t99164 + t88739 + t88740;
  t99179 = t71020 * t2268 / 0.6e1;
  t99193 = 0.3e1 * t52729 * t11128 - 0.6e1 * t47583 * t71156 * t87658 + 0.18e2 * t9873 * t71156 * t88837 + 0.6e1 * t97426 * t10055 - t18138 - t99179 + t11086 * t93007 - t11143 * t94006 + t1293 * t13971 / 0.2e1 + t3530 * t17897 + t3537 * t17897 + t246 * t14040 * t9012 / 0.2e1 + t5105 * t2903 / 0.2e1 + t5126 * t2903 / 0.2e1;
  t99197 = t1869 * t17953 / 0.36e2;
  t99200 = t84142 / 0.6e1;
  t99201 = t84151 / 0.6e1;
  t99203 = t3171 * t20228 * t414;
  t99216 = t3171 * t20125 * t414;
  t99220 = t1293 * t14019 / 0.2e1 + t8778 + t8780 - t8785 - t8790 + t99197 + 0.7e1 / 0.3e1 * t13878 * t26171 - t99200 - t99201 + t88801 + t88804 - t3123 * t7233 * t99203 / 0.2e1 + 0.3e1 * t4779 * t7595 * t3409 * t97983 + 0.3e1 / 0.2e1 * t4779 * t1847 * t22051 * t97978 + t4748 * t7233 * t99216 / 0.2e1;
  t99255 = t30 * t71186;
  t99258 = -t70197 * t75387 / 0.2e1 + 0.5e1 / 0.18e2 * t70204 * t75390 + t70197 * t75393 / 0.6e1 + t7581 * t52842 / 0.6e1 + t7374 * t2453 + t7390 * t2453 + 0.3e1 / 0.2e1 * t25931 * t14077 - 0.3e1 * t5073 * t14080 + 0.3e1 / 0.2e1 * t1293 * t14221 - t30 * t10860 * t544 / 0.2e1 - t7581 * t8642 * t95 * t99109 / 0.6e1 + t7216 * t4760 * t97454 / 0.12e2 + t7581 * t3130 * t253 * t276 * t17883 / 0.12e2 - t11143 * t4796 * t97240 + 0.2e1 * t99255 * t10098;
  t99289 = t69904 * t10091 / 0.2e1 + t88893 + t88894 + t88895 + t88897 - 0.3e1 * t246 * t13986 * t9021 + t13929 * t9891 / 0.2e1 + t13929 * t8848 / 0.2e1 - 0.3e1 * t768 * t17962 + 0.3e1 * t4779 * t2870 * t75101 - 0.2e1 * t4779 * t1847 * t3409 * t54474 + 0.5e1 * t4779 * t14331 * t8647 - 0.2e1 / 0.3e1 * t21878 * t4760 * t3121 * t69570 * t2105 + t4748 * t14184 * t42236 - t3123 * t14184 * t42223;
  t99323 = -t4738 * t1847 * t22070 * t97951 - t36009 * t17406 / 0.6e1 - t7216 * t91737 / 0.6e1 + t7581 * t82933 / 0.6e1 + t7581 * t82923 / 0.6e1 + t35452 * t16310 / 0.6e1 + t7581 * t82928 / 0.6e1 + t35436 * t16310 / 0.6e1 + t7746 * t93234 / 0.3e1 + t7746 * t93237 / 0.3e1 + t7746 * t83490 / 0.3e1 + t35450 * t17418 / 0.3e1 - t3123 * t14231 * t9012 / 0.2e1 + t35434 * t17418 / 0.3e1;
  t99329 = t69650 * t2271 / 0.6e1;
  t99357 = -t21617 * t18098 / 0.2e1 - t21621 * t18098 / 0.2e1 + t99329 - 0.3e1 / 0.2e1 * t13878 * t75151 + 0.2e1 / 0.3e1 * t1748 * t91975 + 0.2e1 / 0.3e1 * t1748 * t83505 + 0.2e1 / 0.3e1 * t7190 * t17237 + 0.2e1 / 0.3e1 * t7195 * t17237 + 0.3e1 / 0.2e1 * t768 * t17965 + 0.3e1 / 0.2e1 * t757 * t17965 + 0.3e1 / 0.2e1 * t246 * t14076 * t75174 - 0.3e1 * t757 * t17962 + t7216 * t26082 * t635 * t97978 - t30 * t1343 * t2933 / 0.4e1 - t182 * t18090 / 0.2e1;
  t99364 = 0.3e1 * t84222;
  t99369 = -t30 * t2436 * t1830 / 0.2e1 - t182 * t18093 / 0.4e1 - t88971 - t88972 - t88973 + t89013 + t99364 + t89014 - t89015 - t89017 - t89018 + t89019 - 0.11e2 / 0.18e2 * t13878 * t76325 - 0.2e1 * t69782 * t2282;
  t99383 = t4765 * t98108;
  t99386 = t4796 * t98108;
  t99403 = -t515 * t54246 / 0.6e1 - t515 * t54250 / 0.6e1 - t1891 * t10890 / 0.2e1 - t1891 * t10754 / 0.2e1 - t1876 * t10894 / 0.6e1 - t30 * t427 * t14398 / 0.4e1 - t4753 * t99383 / 0.12e2 + t4792 * t99386 / 0.6e1 + t4789 * t70538 / 0.12e2 - t3123 * t69581 * t15103 + t89051 - t5105 * t2912 / 0.4e1 - t5126 * t2912 / 0.4e1 - t757 * t17910 + 0.2e1 / 0.3e1 * t21878 * t26082 * t635 * t14199 * t2105;
  t99407 = t3138 * t2910 * t2105;
  t99428 = t3123 * t7228 * t99407 / 0.2e1 - 0.23e2 / 0.36e2 * t11008 * t25739 * t98909 + t9033 - t9044 + 0.2e1 / 0.3e1 * t7216 * t94210 - t7216 * t4760 * t3121 * t97973 / 0.3e1 - t246 * t13951 * t76166 - t1278 * t14033 / 0.12e2 - t1283 * t14033 / 0.12e2 - t417 * t69698 / 0.12e2 - t9058 - t9060 - t16900 + t16901;
  t99431 = t84303 / 0.18e2;
  t99432 = t84305 / 0.6e1;
  t99436 = -t2089 + t89084 + t89085 + 0.2e1 * t11086 * t93221 - t99431 + t99432 - t84327 - t84329 - t84331 - t30 * t18086 * t277 / 0.4e1 + t89143 - t89144 - t89145 - t89146 + t89147;
  t99438 = t84655 / 0.6e1;
  t99439 = t84659 / 0.6e1;
  t99440 = t84663 / 0.3e1;
  t99442 = t4779 * t2118 * t14068;
  t99443 = t99442 / 0.2e1;
  t99454 = t70505 * t415;
  t99461 = t26891 * t18122 / 0.6e1;
  t99462 = t89148 + t99438 - t99439 + t99440 - t9110 + t9112 + t99443 - t25662 * t14059 / 0.4e1 + t41476 * t14064 / 0.2e1 + t41476 * t14069 / 0.2e1 - t3123 * t70505 * t1243 * t1246 / 0.2e1 - t3123 * t99454 * t730 / 0.4e1 + t18158 + t69782 * t2271 / 0.2e1 + t99461;
  t99464 = t26891 * t18118 / 0.6e1;
  t99472 = t188 * t18093 / 0.12e2;
  t99491 = t99464 - t37309 * t2444 - t37314 * t2444 - 0.3e1 / 0.2e1 * t69475 * t16661 - 0.3e1 / 0.2e1 * t13878 * t87366 - t89170 - t99472 - t7746 * t94009 / 0.3e1 + 0.23e2 / 0.36e2 * t13878 * t75564 - 0.2e1 / 0.3e1 * t2844 * t27436 + 0.2e1 / 0.3e1 * t1748 * t1227 * t1291 * t13936 - t515 * t52587 / 0.6e1 - t1748 * t83587 / 0.6e1 + t1787 * t84652 / 0.3e1 + t515 * t52591 / 0.6e1;
  t99498 = my_piecewise3(t2, 0, t98902 + t98170 + t99120 + t99088 + t98789 + t99323 + t99220 + t99004 + t99165 + t98161 + t99369 + t97935 + t98086 + t99462 + t97760 + t99357 + t97742 + t99193 + t98838 + t98209 + t97483 + t98272 + t98975 + t99428 + t97597 + t97792 + t99436 + t99258 + t97122 + t97838 + t97906 + t98250 + t97817 + t97446 + t97186 + t98757 + t99403 + t98022 + t97149 + t98226 + t98054 + t98877 + t97966 + t97292 + t97346 + t98299 + t98215 + t97413 + t98944 + t99047 + t97324 + t97226 + t99289 + t97569 + t99132 + t98816 + t97385 + t99491 + t98124 + t97709 + t97538 + t97256 + t97509 + t97870);
  tv4rhosigmatau20 = t3 * t99498 + t18173;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 0] += tv4rhosigmatau20;

  tv4rhosigmatau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 1] += tv4rhosigmatau21;

  tv4rhosigmatau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 2] += tv4rhosigmatau22;

  tv4rhosigmatau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 3] += tv4rhosigmatau23;

  tv4rhosigmatau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 4] += tv4rhosigmatau24;

  tv4rhosigmatau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 5] += tv4rhosigmatau25;

  tv4rhosigmatau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 6] += tv4rhosigmatau26;

  tv4rhosigmatau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 7] += tv4rhosigmatau27;

  t99501 = t28439 * t18236 / 0.6e1;
  t99503 = t28427 * t18232 / 0.6e1;
  t99505 = t24019 * t18230 / 0.3e1;
  t99507 = t28436 * t18228 / 0.3e1;
  t99515 = t38556 * t18243 / 0.9e1;
  t99517 = t38556 * t18239 / 0.18e2;
  t99519 = t38556 * t18198 / 0.36e2;
  t99520 = -t99501 + t99503 + t99505 - t99507 - t38535 * t18185 / 0.6e1 - t38396 * t17672 / 0.6e1 + t38550 * t16404 / 0.6e1 - t99515 + t99517 + t99519 - t89198 - t89199;
  t99521 = t84724 / 0.6e1;
  t99523 = t38556 * t17690 / 0.9e1;
  t99524 = t84763 / 0.18e2;
  t99526 = t7929 * t2512 / 0.3e1;
  t99528 = t38453 * t2503 / 0.3e1;
  t99532 = 0.5e1 / 0.108e3 * t72276 * t16927;
  t99534 = t72276 * t17184 / 0.2e1;
  t99536 = 0.2e1 / 0.9e1 * t7903 * t17542;
  t99538 = t7903 * t17538 / 0.9e1;
  t99540 = t1354 * t14621 / 0.36e2;
  t99542 = t28634 * t3002 / 0.6e1;
  t99544 = t5414 * t3010 / 0.6e1;
  t99545 = -t99521 - t99523 - t99524 + t99526 - t99528 + t14446 * t15479 / 0.6e1 - t99532 - t99534 + t99536 - t99538 - t99540 - t99542 - t99544;
  t99552 = t5414 * t3018 / 0.6e1;
  t99553 = t84768 / 0.3e1;
  t99554 = t84772 / 0.6e1;
  t99555 = t84776 / 0.3e1;
  t99556 = 0.2e1 / 0.3e1 * t84778;
  t99558 = t1905 * t11754 / 0.18e2;
  t99559 = t5419 * t3018 / 0.2e1 - t5419 * t3010 / 0.2e1 + t99552 - t89225 - t89226 - t89228 - t89231 + t99553 - t99554 - t99555 + t99556 - t99558;
  t99561 = t7929 * t2509 / 0.6e1;
  t99573 = t72276 * t17203 / 0.6e1;
  t99575 = 0.23e2 / 0.108e3 * t72276 * t17200;
  t99577 = 0.11e2 / 0.54e2 * t72276 * t17197;
  t99579 = 0.2e1 / 0.3e1 * t72279 * t2353;
  t99581 = t72279 * t2347 / 0.3e1;
  t99583 = t23721 * t18429 / 0.2e1;
  t99584 = t84784 / 0.6e1;
  t99585 = -t99561 + t5419 * t3006 / 0.2e1 + t945 * t18311 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t18308 - t945 * t18305 / 0.4e1 - 0.5e1 / 0.36e2 * t72176 * t16927 - t99573 + t99575 - t99577 - t99579 + t99581 + t99583 + t99584;
  t99588 = t9154 * t2957;
  t99589 = t99588 / 0.12e2;
  t99606 = -t84793 - t84797 + t99589 + t8002 * t17570 / 0.3e1 + t14446 * t15461 / 0.3e1 - t7908 * t17575 / 0.6e1 + t1902 * t16365 / 0.6e1 - 0.2e1 / 0.3e1 * t14446 * t15465 - t1902 * t11754 / 0.6e1 - t7959 * t2509 / 0.2e1 - t7959 * t2506 + t4065 * t18323;
  t99614 = 0.2e1 / 0.9e1 * t14463 * t15465;
  t99618 = t1905 * t18441 / 0.36e2;
  t99620 = t1905 * t18436 / 0.36e2;
  t99621 = t9178 * t2957;
  t99622 = t99621 / 0.36e2;
  t99624 = t7929 * t2521 / 0.6e1;
  t99626 = t1354 * t14643 / 0.18e2;
  t99627 = 0.3e1 * t4065 * t18320 + t7959 * t2521 / 0.2e1 - t1351 * t14643 / 0.6e1 - t99614 + t89265 - t89266 + t89267 - 0.3e1 * t945 * t18412 + t99618 + t99620 + t99622 + t99624 - t99626;
  t99630 = t5414 * t3006 / 0.6e1;
  t99632 = t72564 * t2339 / 0.6e1;
  t99634 = t7929 * t2506 / 0.3e1;
  t99645 = t99630 - t99632 - t99634 + t72261 * t2347 + 0.3e1 / 0.2e1 * t23924 * t18429 + t7959 * t2512 - t89268 + t89269 + t89270 + t72261 * t2342 / 0.2e1 - t14456 * t2199 / 0.6e1 - t72678 * t2339 / 0.2e1;
  t99647 = t38532 * t16404 / 0.18e2;
  t99649 = t38553 * t17667 / 0.9e1;
  t99654 = 0.2e1 / 0.9e1 * t84861;
  t99655 = t84875 / 0.3e1;
  t99656 = t84877 / 0.3e1;
  t99657 = t84879 / 0.18e2;
  t99661 = t99647 + t99649 - t38396 * t17690 / 0.3e1 - t38396 * t18243 / 0.3e1 + t99654 - t99655 - t99656 - t99657 + t89314 - t89315 + t89316 - t38825 * t2503 + 0.2e1 / 0.3e1 * t7908 * t17542;
  t99674 = t14463 * t15479 / 0.18e2;
  t99678 = t4040 * t18323 / 0.3e1;
  t99679 = t4040 * t18320;
  t99681 = t948 * t18311 / 0.6e1;
  t99683 = t948 * t18308 / 0.2e1;
  t99685 = t948 * t18305 / 0.12e2;
  t99687 = t72279 * t2342 / 0.6e1;
  t99688 = -0.3e1 / 0.2e1 * t72176 * t17184 - t7908 * t17538 / 0.3e1 + 0.7e1 / 0.3e1 * t72176 * t17061 + 0.3e1 / 0.2e1 * t945 * t18416 + t99674 - 0.3e1 * t4065 * t18217 + t99678 + t99679 + t99681 + t99683 - t99685 + t99687;
  t99690 = t14470 * t2199 / 0.18e2;
  t99714 = -t99690 + t28455 * t18213 / 0.2e1 + t28455 * t18209 / 0.2e1 + t23531 * t18230 - t14446 * t5665 / 0.6e1 + t14456 * t1449 / 0.6e1 - t1902 * t11507 / 0.6e1 - t14446 * t5686 / 0.12e2 + t14446 * t5669 / 0.3e1 + t55214 * t570 / 0.2e1 - t28861 * t3002 / 0.2e1 - t1351 * t14621 / 0.12e2 + t72484 * t457 / 0.4e1;
  t99717 = t14470 * t1449 / 0.18e2;
  t99719 = t14463 * t5665 / 0.18e2;
  t99720 = t945 * t18474;
  t99721 = t99720 / 0.4e1;
  t99730 = t1354 * t14976 / 0.36e2;
  t99738 = t7988 * t17570 / 0.9e1;
  t99739 = t99717 - t99719 - t99721 - t5419 * t3015 / 0.4e1 + t945 * t18469 / 0.4e1 - t1351 * t14976 / 0.12e2 - t945 * t18463 - t99730 - t38550 * t18190 / 0.6e1 + t38396 * t18239 / 0.6e1 - t290 * t18409 / 0.4e1 + t99738;
  t99741 = t14463 * t15461 / 0.9e1;
  t99743 = t7903 * t17575 / 0.18e2;
  t99745 = t1905 * t16365 / 0.18e2;
  t99746 = t84912 / 0.3e1;
  t99747 = t84925 / 0.9e1;
  t99748 = t84938 / 0.2e1;
  t99749 = t84950 / 0.9e1;
  t99756 = t38532 * t18190 / 0.18e2;
  t99757 = t99741 - t99743 + t99745 + t99746 - t89413 - t99747 + t84934 + t99748 + t99749 - t28455 * t18236 / 0.2e1 - t28922 * t18228 + 0.2e1 / 0.3e1 * t38396 * t17694 - t99756;
  t99761 = t38553 * t18185 / 0.18e2;
  t99763 = 0.2e1 / 0.9e1 * t38556 * t17694;
  t99765 = t24019 * t18201 / 0.6e1;
  t99767 = t24019 * t18206 / 0.3e1;
  t99769 = t28439 * t18213 / 0.6e1;
  t99771 = t28439 * t18209 / 0.6e1;
  t99775 = t948 * t18463 / 0.3e1;
  t99780 = -t99761 + t99763 - t99765 - t99767 + t99769 + t99771 + t89420 + t89421 + t38396 * t18198 / 0.12e2 - t99775 - t72176 * t17203 / 0.2e1 + 0.23e2 / 0.36e2 * t72176 * t17200;
  t99786 = t294 * t18409 / 0.12e2;
  t99791 = t294 * t18456 / 0.6e1;
  t99792 = t84961 / 0.18e2;
  t99793 = t84969 / 0.6e1;
  t99794 = t84982 / 0.2e1;
  t99795 = t84984 / 0.6e1;
  t99796 = -0.11e2 / 0.18e2 * t72176 * t17197 - 0.2e1 * t72261 * t2353 - t99786 - t23531 * t18201 / 0.2e1 - t23531 * t18206 - t99791 - t99792 - t99793 + t99794 + t99795 - t9156 + t9168 - t9180;
  t99801 = t38556 * t17672 / 0.18e2;
  t99805 = t294 * t18459 / 0.12e2;
  t99811 = 0.7e1 / 0.9e1 * t72276 * t17061;
  t99813 = t948 * t18416 / 0.2e1;
  t99814 = t9188 + t28913 * t18232 / 0.2e1 - t89460 + t89461 + t89462 - t99801 + t38535 * t17667 / 0.3e1 - t99805 - t290 * t18456 / 0.2e1 - t290 * t18459 / 0.4e1 + t99811 + t99813;
  t99815 = t948 * t18412;
  t99816 = t4040 * t18217;
  t99820 = t14463 * t5686 / 0.36e2;
  t99822 = t1905 * t11507 / 0.18e2;
  t99824 = t14463 * t5669 / 0.9e1;
  t99826 = t55240 * t570 / 0.6e1;
  t99828 = t72191 * t457 / 0.12e2;
  t99829 = t948 * t18474;
  t99830 = t99829 / 0.12e2;
  t99832 = t5414 * t3015 / 0.12e2;
  t99834 = t948 * t18469 / 0.12e2;
  t99837 = -t99815 - t99816 + t1902 * t18441 / 0.12e2 - t99820 - t99822 + t99824 + t99826 + t99828 - t89465 - t99830 - t99832 + t99834 + t1902 * t18436 / 0.12e2;
  t99842 = my_piecewise3(t100, 0, t99520 + t99545 + t99559 + t99585 + t99606 + t99627 + t99645 + t99661 + t99688 + t99714 + t99739 + t99757 + t99780 + t99796 + t99814 + t99837);
  tv4rhosigmatau28 = t3 * t99842 + t18485;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 8] += tv4rhosigmatau28;

  t99854 = t85035 / 0.3e1;
  t99855 = t71984 * t432 / 0.4e1 - t1368 * t14148 / 0.12e2 - t5379 * t2907 / 0.2e1 - t27916 * t2899 / 0.2e1 + t5379 * t2915 / 0.2e1 + t99854 + t97127 - t97134 + t97136 - t97138 - t97154 - t97156;
  t99864 = t97158 + t97160 + t5379 * t2903 / 0.2e1 + t903 * t17892 / 0.2e1 + 0.3e1 / 0.2e1 * t903 * t17889 - t903 * t17886 / 0.4e1 + t97206 - t97208 + t97253 + t97255 - t97258 - t97260 + t97262;
  t99874 = t97264 - t97265 + t97299 - t97303 - t97305 - t37561 * t18133 / 0.3e1 - t87143 + t22520 * t17992 - t27864 * t17990 + 0.2e1 / 0.3e1 * t37561 * t17285 + t97401 - t37561 * t17525 / 0.3e1;
  t99875 = t85040 / 0.3e1;
  t99878 = -t99875 - t97511 + t27723 * t18118 / 0.2e1 + t97533 - t97549 - t97551 + t97553 - t97555 + t97556 + t97558 + t97560 + t97562 - t97566;
  t99881 = 0.2e1 / 0.3e1 * t85044;
  t99882 = t97568 + t97573 - t97575 - t97577 - t97579 + t97581 + t99881 - t97729 - t97752 + t97753 - t97755 - t97757;
  t99885 = t85064 / 0.2e1;
  t99886 = t85066 / 0.6e1;
  t99889 = t97767 - t97769 - t97771 + t37561 * t18112 / 0.12e2 - t97780 + t99885 - t99886 - t89505 - t89506 + t89507 + t89508 - t87577 - t27723 * t18126 / 0.2e1;
  t99895 = t85088 / 0.6e1;
  t99904 = t37982 * t16310 / 0.6e1 - t37982 * t18109 / 0.6e1 + t97915 - t97916 - t99895 - t37525 * t18000 / 0.6e1 - t97933 - t97934 - t97936 - t7801 * t17233 / 0.3e1 - t14508 * t5102 / 0.12e2 + t14515 * t1288 / 0.6e1;
  t99918 = t9213 * t2854;
  t99919 = t99918 / 0.12e2;
  t99928 = -t1923 * t10969 / 0.6e1 + 0.23e2 / 0.36e2 * t71888 * t16771 - 0.11e2 / 0.18e2 * t71888 * t16768 - 0.2e1 * t71897 * t2282 + t71897 * t2276 - 0.3e1 * t3802 * t17924 + t1923 * t17948 / 0.12e2 + t99919 - 0.5e1 / 0.36e2 * t71888 * t16714 + t14508 * t15058 / 0.6e1 + t7894 * t17213 / 0.3e1 + t14508 * t15036 / 0.3e1 - t89579;
  t99934 = -t89580 - t98139 + t98141 - t307 * t18087 / 0.4e1 + t98164 - t98166 + t98200 - t98202 + t98204 - t98206 + t98208 - t98211;
  t99935 = t85136 / 0.6e1;
  t99936 = t85140 / 0.2e1;
  t99955 = -t98213 - t99935 + t99936 + t7824 * t2462 / 0.2e1 - 0.3e1 * t903 * t17962 + 0.3e1 / 0.2e1 * t903 * t17965 + 0.2e1 / 0.3e1 * t7801 * t17237 - 0.3e1 / 0.2e1 * t71888 * t16661 - t37723 * t2444 + t7824 * t2453 - 0.2e1 / 0.3e1 * t14508 * t15040 - t7801 * t17218 / 0.6e1 + t1923 * t16276 / 0.6e1;
  t99961 = -t98271 - t87957 - t37561 * t17406 / 0.6e1 + t98280 - t98282 - t88015 - t88016 - t8667 + t8683 - t98756 + t98759 + t14508 * t5068 / 0.3e1;
  t99964 = t54711 * t530 / 0.2e1 + t88035 - t98809 + t98811 - t98813 + t98823 + t98825 - t98827 - t98829 + t98964 - t98966 + t98968 - t89603;
  t99969 = t903 * t17864;
  t99970 = t99969 / 0.4e1;
  t99978 = t98990 - t22520 * t18098 / 0.2e1 + t89606 - t89607 - t85163 - t85165 + t85167 - t99970 - t5379 * t2912 / 0.4e1 + t903 * t17915 / 0.4e1 - t1368 * t14033 / 0.12e2 - t903 * t17910;
  t99997 = t88664 + t27867 * t17995 / 0.2e1 - t71888 * t16774 / 0.2e1 - t22520 * t18096 + t27723 * t18122 / 0.2e1 - t99179 + 0.3e1 / 0.2e1 * t22751 * t17921 - t1368 * t13977 / 0.6e1 + 0.3e1 * t3802 * t17899 + t3802 * t17897 + 0.7e1 / 0.3e1 * t71888 * t16777 - t14508 * t5064 / 0.6e1 + t89609;
  t100003 = t99197 + t88804 + t99329 - t88971 + t89051 - t307 * t18090 / 0.2e1 - t307 * t18093 / 0.4e1 - t9215 + t9226 - t99431 + t99432 + t89143;
  t100021 = t37525 * t17418 / 0.3e1 + t71897 * t2271 / 0.2e1 - t14515 * t2108 / 0.6e1 - t72052 * t2268 / 0.2e1 + t1923 * t17953 / 0.12e2 - t1923 * t10894 / 0.6e1 - t7824 * t2450 / 0.2e1 - t7824 * t2447 + t89622 + t99461 + t99464 + t37561 * t18129 / 0.6e1 - t99472;
  t100026 = my_piecewise3(t2, 0, t99855 + t99864 + t99874 + t99878 + t99882 + t99889 + t99904 + t99928 + t99934 + t99955 + t99961 + t99964 + t99978 + t99997 + t100003 + t100021);
  tv4rhosigmatau29 = t3 * t100026 + t18173;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 9] += tv4rhosigmatau29;

  tv4rhosigmatau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 10] += tv4rhosigmatau210;

  tv4rhosigmatau211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 11] += tv4rhosigmatau211;

  tv4rhosigmatau212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 12] += tv4rhosigmatau212;

  tv4rhosigmatau213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 13] += tv4rhosigmatau213;

  tv4rhosigmatau214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 14] += tv4rhosigmatau214;

  tv4rhosigmatau215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 15] += tv4rhosigmatau215;

  tv4rhosigmatau216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 16] += tv4rhosigmatau216;

  t100028 = t85204 / 0.6e1;
  t100029 = t85206 / 0.6e1;
  t100030 = t85208 / 0.6e1;
  t100034 = t14755 * t439;
  t100039 = t2954 * t1383;
  t100052 = -t100028 - t100029 - t100030 + t85225 - t99501 + t99503 + t99505 - t99507 + t5540 * t8247 * t18208 / 0.2e1 + t5540 * t2056 * t1182 * t100034 / 0.2e1 + t5540 * t2056 * t1182 * t100039 / 0.2e1 + t5540 * t2056 * t1182 * t56187 - 0.3e1 / 0.2e1 * t5540 * t14826 * t9258 - t5540 * t2969 * t9263;
  t100053 = t2939 * t2196;
  t100054 = t1021 * t100053;
  t100070 = t168 * t56187;
  t100078 = t168 * t56476;
  t100090 = t110 * t73976;
  t100093 = 0.1e2 / 0.3e1 * t52065 * t5549 * t100054 + t4145 * t74967 * t2257 / 0.2e1 - 0.6e1 * t5540 * t74000 * t10614 - 0.3e1 / 0.2e1 * t5540 * t14826 * t10607 + 0.3e1 / 0.2e1 * t4145 * t73868 * t2394 - t8052 * t4137 * t100070 / 0.3e1 + t73279 * t9239 / 0.2e1 + t74749 * t9272 / 0.3e1 - t11381 * t5549 * t100078 + 0.3e1 / 0.2e1 * t72838 * t90358 - 0.3e1 * t10506 * t14795 * t77245 + t56196 * t11399 - t56164 * t11394 - t73279 * t10468 / 0.2e1 - 0.35e2 / 0.108e3 * t100090 * t90793;
  t100099 = t110 * t74000;
  t100105 = t110 * t73979;
  t100121 = t18302 * t994;
  t100126 = t18302 * t333;
  t100127 = t168 * t100126;
  t100131 = -0.5e1 / 0.36e2 * t72838 * t90796 - t11372 * t5582 * t100078 + 0.2e1 * t100099 * t10463 - 0.5e1 / 0.18e2 * t11381 * t10458 * t100078 + 0.5e1 / 0.3e1 * t100105 * t10459 + 0.5e1 / 0.12e2 * t72838 * t90799 - t73176 * t77597 / 0.2e1 + 0.5e1 / 0.18e2 * t72838 * t77600 + t73176 * t77603 / 0.6e1 + t8058 * t5549 * t100070 / 0.3e1 - 0.5e1 / 0.6e1 * t72971 * t9275 - t8055 * t9270 * t168 * t100121 / 0.6e1 - t8052 * t4137 * t100127 / 0.6e1 - t99515;
  t100136 = t4408 * t18183;
  t100156 = t349 * t18409;
  t100161 = t321 * t369 * t18407 * t370;
  t100169 = t99517 + t29764 * t18232 / 0.2e1 + t29770 * t18232 / 0.2e1 + t5559 * t8231 * t100136 / 0.2e1 + t99519 + t5559 * t2060 * t4408 * t100034 / 0.2e1 + t5559 * t2060 * t4408 * t100039 / 0.2e1 - t29767 * t18236 / 0.2e1 - t29773 * t18236 / 0.2e1 + t5717 * t3018 / 0.2e1 + t5689 * t3018 / 0.2e1 - t338 * t100156 / 0.12e2 + t100161 * t377 / 0.4e1 - t8055 * t86254 / 0.3e1 + 0.18e2 * t10506 * t73976 * t89657;
  t100207 = t15337 + 0.2e1 * t561 * t9480 - 0.4e1 * t74027 * t2402 - 0.4e1 * t14752 * t9492 + 0.4e1 * t74104 * t2394 + 0.4e1 * t14747 * t9665 + 0.2e1 * t2068 * t2257 + 0.2e1 / 0.3e1 * t44683 * t14728 + 0.2e1 / 0.3e1 * t9394 * t14649 - t77157 - t77161 + t77164 + t77174;
  t100225 = 0.12e2 * t74080 * t52080 - 0.24e2 * t74052 * t51885 + 0.32e2 / 0.3e1 * t74080 * t52074 - 0.4e1 * t14737 * t46020 + t77198 - t77201 - 0.2e1 / 0.3e1 * t11399 + 0.24e2 * t11431 + 0.4e1 * t11394 - 0.12e2 * t11472 - 0.4e1 / 0.3e1 * t11475 - 0.4e1 / 0.3e1 * t14737 * t45955 - 0.8e1 * t14737 * t51681;
  t100246 = -0.8e1 / 0.3e1 * t14737 * t50497 + 0.16e2 / 0.9e1 * t74080 * t51657 + 0.4e1 * t14734 * t45947 + 0.4e1 * t14740 * t46359 + 0.12e2 * t74075 * t52056 + 0.4e1 * t14734 * t52061 - 0.8e1 * t74052 * t51664 - t15349 + t77217 + t77219 + 0.2e2 / 0.9e1 * t11445 - 0.4e1 * t74097 * t2394 - 0.4e1 * t14734 * t9665;
  t100266 = 0.4e1 / 0.3e1 * t74067 * t2389 + 0.4e1 / 0.3e1 * t14737 * t9448 - 0.2e1 * t74063 * t2257 - 0.2e1 * t14740 * t9480 - 0.4e1 * t11479 - 0.4e1 * t11736 - 0.4e1 * t11733 + 0.8e1 * t11747 + 0.4e1 * t74067 * t2402 + 0.4e1 * t14737 * t9492 - 0.12e2 * t11715 - 0.4e1 * t11712 + 0.4e1 / 0.3e1 * t11438;
  t100268 = t100207 + t100225 + t100246 + t100266;
  t100280 = t18183 * t333;
  t100281 = t168 * t100280;
  t100285 = t14957 * t439;
  t100286 = t380 * t100285;
  t100290 = 0.7e1 / 0.3e1 * t14535 * t30081 - t8106 * t17538 / 0.3e1 - t8110 * t17538 / 0.3e1 + 0.3e1 / 0.2e1 * t1056 * t18416 + 0.3e1 / 0.2e1 * t373 * t14554 * t77472 + t2043 * t18441 / 0.12e2 + t2048 * t18441 / 0.12e2 + t555 * t987 * t4697 * t18439 / 0.12e2 + t555 * t987 * t988 * t167 * t100268 / 0.12e2 - t14626 * t1424 / 0.4e1 + t14626 * t1428 / 0.4e1 + t14586 * t15479 / 0.6e1 + 0.5e1 / 0.36e2 * t11381 * t29498 * t100281 + t8058 * t5549 * t100286 / 0.12e2;
  t100296 = t18183 * t994;
  t100297 = t168 * t100296;
  t100326 = -0.5e1 / 0.18e2 * t11381 * t95880 - t11369 * t5549 * t100281 / 0.2e1 - t8058 * t29911 * t100297 / 0.4e1 + t8058 * t95877 / 0.3e1 - t8052 * t85663 / 0.3e1 - t8055 * t85668 / 0.3e1 + t8058 * t85687 / 0.6e1 - t1965 * t97092 / 0.3e1 + 0.2e1 / 0.3e1 * t8058 * t5587 * t100070 - 0.5e1 / 0.3e1 * t72971 * t9246 + 0.2e1 * t73176 * t78003 - 0.23e2 / 0.18e2 * t72838 * t77256 - 0.2e1 / 0.3e1 * t73176 * t78007 + t39224 * t18198 / 0.12e2 + t39229 * t18198 / 0.12e2;
  t100331 = t168 * t100034;
  t100335 = t168 * t100039;
  t100347 = 0.4e1 / 0.3e1 * t85290;
  t100348 = t85324 / 0.2e1;
  t100349 = 0.2e1 / 0.3e1 * t85328;
  t100350 = t85330 / 0.2e1;
  t100351 = t8058 * t29795 * t18184 / 0.12e2 + t8058 * t5549 * t100331 / 0.12e2 + t8058 * t5549 * t100335 / 0.12e2 - t39229 * t17672 / 0.6e1 - t8058 * t94931 / 0.6e1 - t8058 * t96298 / 0.6e1 - t8058 * t86296 / 0.6e1 - t100347 + t89797 + t89798 - t85322 - t100348 + t100349 + t100350;
  t100360 = t85353 / 0.6e1;
  t100361 = t85355 / 0.6e1;
  t100362 = t85374 / 0.2e1;
  t100363 = t85376 / 0.2e1;
  t100367 = -0.11e2 / 0.18e2 * t14535 * t89709 - 0.11e2 / 0.18e2 * t14535 * t77848 - 0.2e1 * t14542 * t10594 - 0.2e1 * t14542 * t9427 - t99523 - t100360 - t100361 + t100362 + t100363 + t89800 - t89802 + t89803 - t89804 + 0.6e1 * t5540 * t73976 * t89647 - t99524;
  t100371 = -t89811 - t89812 + t99526 - t99528 - t99532 - t99534 + t99536 - t99538 - t89822 - t89823 - t89824 - t85394 - t89825 - t89826;
  t100372 = t2178 * t14758;
  t100373 = t100372 / 0.12e2;
  t100394 = -t89827 - t89828 - t89829 - t85416 - t85418 - t89831 + t100373 + t2043 * t18436 / 0.12e2 + t2048 * t18436 / 0.12e2 + t555 * t987 * t29090 * t2955 / 0.12e2 + t555 * t987 * t6006 * t14756 / 0.12e2 + t2947 * t77740 / 0.3e1 + t8423 * t17570 / 0.3e1 + t8427 * t17570 / 0.3e1 + t1958 * t95489 / 0.3e1;
  t100398 = t9503 * t2957;
  t100399 = t100398 / 0.12e2;
  t100417 = t1958 * t86020 / 0.3e1 + t100399 - t1965 * t85409 / 0.6e1 + t14586 * t15461 / 0.3e1 + t2947 * t77737 / 0.3e1 + 0.7e1 / 0.3e1 * t72830 * t17061 + 0.7e1 / 0.3e1 * t14535 * t30123 - 0.2e1 * t100090 * t91098 - t99540 - t99542 - t99544 + t99552 - t8052 * t28964 * t14578 / 0.6e1 + 0.2e1 / 0.3e1 * t8106 * t17542;
  t100418 = t85467 / 0.6e1;
  t100421 = t18188 * t994;
  t100426 = t18188 * t333;
  t100427 = t168 * t100426;
  t100444 = t85481 / 0.3e1;
  t100445 = t85483 / 0.3e1;
  t100448 = -t89225 - t89226 - t89228 + t100418 - t4145 * t14639 * t46020 + t8055 * t45031 * t168 * t100421 / 0.2e1 - t8058 * t29911 * t100427 / 0.6e1 - t8055 * t9270 * t380 * t14957 * t2196 / 0.6e1 - t5559 * t2060 * t24823 * t100426 + t5540 * t2060 * t24962 * t100426 + t5535 * t14639 * t45955 + t89968 - t100444 + t100445 + 0.2e1 / 0.3e1 * t1965 * t85314;
  t100451 = t85501 / 0.2e1;
  t100454 = t100451 - t99558 - t99561 - t99573 + t99575 - t99577 - t99579 + t99581 + t99583 + t89969 - t89970 - t89971 + t89972 + 0.3e1 / 0.2e1 * t1078 * t18308;
  t100466 = t1078 * t18474;
  t100467 = t100466 / 0.4e1;
  t100468 = t1056 * t18474;
  t100469 = t100468 / 0.4e1;
  t100488 = 0.3e1 / 0.2e1 * t1056 * t18308 + 0.3e1 / 0.2e1 * t373 * t14983 * t9665 + t1078 * t18311 / 0.2e1 + t1056 * t18311 / 0.2e1 - t1454 * t15004 / 0.4e1 - t100467 - t100469 + 0.3e1 * t5559 * t8227 * t24848 * t100280 + 0.14e2 / 0.3e1 * t11381 * t95611 - 0.3e1 * t11381 * t95505 - t8058 * t30214 * t100427 / 0.3e1 - t73176 * t78566 + 0.11e2 / 0.9e1 * t72838 * t77253 + t44886 * t14718 / 0.2e1 + t44886 * t14570 / 0.2e1;
  t100517 = -t24164 * t44807 * t73012 / 0.3e1 + 0.2e1 / 0.3e1 * t8110 * t17542 + t39192 * t16404 / 0.6e1 + t39195 * t16404 / 0.6e1 + t8055 * t85696 / 0.6e1 + t8055 * t85701 / 0.6e1 + t8055 * t85447 / 0.6e1 - t39224 * t17672 / 0.6e1 + t40050 * t17667 / 0.3e1 + t40052 * t17667 / 0.3e1 + t8052 * t95399 / 0.3e1 + t8052 * t95403 / 0.3e1 + t8052 * t85710 / 0.3e1 - t90004 - t90010;
  t100532 = t90011 + t90012 + t99584 - t39588 * t2503 - t8201 * t11636 + 0.2e1 / 0.3e1 * t1965 * t95054 + t18174 - t18175 + t18176 - t16907 + t16908 - t8058 * t5549 * t4143 * t100285 / 0.3e1 + 0.2e1 * t11369 * t96275 + 0.2e1 / 0.3e1 * t8058 * t96277 + 0.6e1 * t100105 * t10514;
  t100559 = -t90021 - t90023 - t90024 - 0.3e1 * t4349 * t18217 - 0.3e1 * t4383 * t18217 - 0.3e1 / 0.2e1 * t14535 * t29194 - t39551 * t2503 - t99614 - t1386 * t14621 / 0.12e2 - t8058 * t5549 * t1021 * t100034 / 0.3e1 - t8058 * t5549 * t1021 * t100039 / 0.3e1 - t39224 * t17690 / 0.3e1 - t39229 * t17690 / 0.3e1 - t11381 * t96419;
  t100566 = t74903 * t440;
  t100570 = t3035 * t333;
  t100571 = t380 * t100570;
  t100572 = t5582 * t100571;
  t100577 = t5553 * t100571;
  t100595 = t90025 + t90026 + t90027 - 0.4e1 / 0.3e1 * t8058 * t56189 - t4145 * t74903 * t1416 * t1419 / 0.2e1 - t4145 * t100566 * t1100 / 0.4e1 + t5578 * t100572 / 0.6e1 + t5575 * t74654 / 0.12e2 - t5548 * t100577 / 0.12e2 + 0.14e2 / 0.3e1 * t11381 * t56952 - 0.7e1 * t72838 * t30708 + 0.89e2 / 0.9e1 * t100090 * t90034 + 0.7e1 / 0.3e1 * t72838 * t30701 - 0.2e1 * t5540 * t2060 * t4549 * t56187 + 0.5e1 * t5540 * t14806 * t9242;
  t100608 = t56182 * t11468;
  t100613 = t56671 * t11468;
  t100628 = 0.3e1 * t5540 * t2973 * t77299 - 0.14e2 / 0.3e1 * t29011 * t29517 * t100054 - t4145 * t74442 * t15457 - t39948 * t11769 - t39948 * t11762 / 0.2e1 + t5578 * t100608 / 0.3e1 + t5575 * t73225 / 0.6e1 - t5548 * t100613 / 0.6e1 - t5674 * t15013 / 0.2e1 - t442 * t75057 / 0.6e1 - t442 * t73151 / 0.6e1 + t8189 * t2521 / 0.2e1 + t8184 * t2521 / 0.2e1 + t1454 * t15021 / 0.2e1;
  t100641 = t1454 * t15025 / 0.2e1 - t1378 * t14643 / 0.6e1 - t1386 * t14643 / 0.6e1 + t89265 - t89266 + t89267 - t14608 * t2199 / 0.6e1 + t99618 + t99620 + t99622 - t2942 * t9367 / 0.6e1 - t2942 * t9400 / 0.6e1 + t99624 - t99626 + t99630;
  t100653 = t1000 * t6006 * t14974;
  t100658 = -t74508 * t2339 / 0.2e1 - t14535 * t77052 / 0.2e1 - t1965 * t85811 / 0.3e1 - 0.11e2 / 0.18e2 * t14535 * t77829 - t338 * t100653 / 0.12e2 + t1454 * t14980 / 0.4e1 - t99632 - t99634 - t90046 - t90047 - t89268 + t89270 + t90053 - t90054;
  t100685 = -t90055 - t1378 * t14621 / 0.12e2 + t73614 * t457 / 0.4e1 + t73607 * t457 / 0.4e1 + t99647 + t99649 + t555 * t86017 / 0.6e1 - t8106 * t17575 / 0.6e1 - t8110 * t17575 / 0.6e1 - t1965 * t97036 / 0.6e1 + 0.23e2 / 0.36e2 * t14535 * t77788 + t2947 * t29586 / 0.3e1 + t1958 * t85336 / 0.3e1 + t555 * t56115 / 0.6e1 + 0.2e1 / 0.3e1 * t1965 * t1400 * t1452 * t14679;
  t100715 = -0.2e1 / 0.3e1 * t2947 * t29852 - t11512 * t1937 - t11512 * t1941 / 0.2e1 + 0.2e1 / 0.3e1 * t4245 * t1400 * t11510 * t39182 + t11512 * t1945 / 0.2e1 - t1078 * t18463 - t1056 * t18463 + 0.2e1 * t11369 * t94851 + 0.2e1 / 0.3e1 * t8058 * t96044 - 0.11e2 / 0.9e1 * t11381 * t94856 + t2030 * t11772 + t2030 * t11775 + 0.3e1 / 0.2e1 * t24584 * t18429 + 0.3e1 / 0.2e1 * t24589 * t18429 + 0.3e1 / 0.2e1 * t4395 * t14554 * t77095;
  t100719 = t73718 * t1394;
  t100720 = t1400 * t100719;
  t100723 = t1000 * t100719;
  t100742 = t1452 * t72817;
  t100748 = -t8201 * t11666 + t8189 * t2512 + t8184 * t2512 - t1391 * t100720 / 0.12e2 + t1432 * t100723 / 0.6e1 + t442 * t74604 / 0.12e2 - t5674 * t14650 + t5674 * t15011 - 0.3e1 / 0.2e1 * t72816 * t5623 * t5672 * t72817 - t14626 * t1420 / 0.2e1 - t442 * t73720 / 0.12e2 + 0.3e1 / 0.2e1 * t1454 * t14984 + t1454 * t14988 / 0.2e1 - 0.2e1 * t72953 * t1400 * t100742 - t1454 * t14992 / 0.2e1;
  t100772 = t1454 * t14971 / 0.2e1 - t1454 * t15009 + t1454 * t14965 - 0.3e1 * t1454 * t14551 - t1454 * t14968 + 0.7e1 / 0.3e1 * t72816 * t5640 * t100742 + t11512 * t2040 / 0.2e1 + t14586 * t5669 / 0.3e1 + t57113 * t570 / 0.2e1 + t55917 * t570 / 0.2e1 + t14626 * t1462 / 0.4e1 + t99654 - t99655 - t99656;
  t100776 = t2939 * t439;
  t100777 = t1021 * t100776;
  t100800 = t14891 * t439;
  t100813 = -t99657 - 0.9e1 / 0.2e1 * t5540 * t14795 * t90061 + 0.47e2 / 0.3e1 * t82588 * t29498 * t100777 + 0.3e1 / 0.2e1 * t4145 * t73374 * t17057 + 0.3e1 * t5540 * t8227 * t4408 * t56476 - t90272 - t90275 - t85773 - t14535 * t89699 / 0.2e1 - t14535 * t77065 / 0.2e1 + 0.3e1 * t5540 * t8223 * t4549 * t100280 + 0.3e1 / 0.2e1 * t5540 * t2060 * t24962 * t100296 - 0.7e1 / 0.3e1 * t29011 * t29517 * t1021 * t100800 - 0.3e1 * t5559 * t8223 * t4408 * t100280 - 0.3e1 / 0.2e1 * t5559 * t2060 * t24823 * t100296;
  t100820 = t4161 * t20478 * t439;
  t100841 = 0.3e1 / 0.2e1 * t29011 * t29498 * t4403 * t100800 + t5535 * t8374 * t100820 / 0.2e1 - 0.2e1 * t4145 * t14639 * t51681 - 0.6e1 * t4145 * t74916 * t51885 + 0.6e1 * t5535 * t74916 * t51664 - t90311 + t90312 - t85794 - t85796 + t99674 + t14542 * t9518 / 0.2e1 - t14776 * t10695 / 0.2e1 - t14776 * t9521 / 0.2e1 - 0.3e1 / 0.2e1 * t14535 * t90452;
  t100846 = t583 * t552;
  t100847 = t4143 * t100846;
  t100853 = t110 * t73967;
  t100858 = t58044 * t11468;
  t100861 = t56671 * t11464;
  t100867 = t5559 * t9568 * t73139;
  t100868 = t100867 / 0.2e1;
  t100870 = t5540 * t9568 * t14896;
  t100871 = t100870 / 0.2e1;
  t100872 = -t85815 - t56200 * t11457 - t28961 * t14702 - t28961 * t14714 / 0.2e1 + 0.2e1 / 0.3e1 * t24164 * t44803 * t100847 + t73279 * t10448 / 0.2e1 - 0.3e1 * t100853 * t10454 - t45078 * t14640 + t28961 * t14889 - t5548 * t100858 / 0.3e1 + 0.2e1 / 0.3e1 * t5548 * t100861 - t56200 * t11460 + t39948 * t11450 + t100868 - t100871;
  t100908 = t5559 * t2060 * t4408 * t100126 / 0.2e1 - t5540 * t2060 * t4549 * t100126 / 0.2e1 - 0.18e2 * t5559 * t73967 * t50621 + 0.11e2 / 0.6e1 * t72838 * t90352 - 0.61e2 / 0.27e2 * t100090 * t90213 - 0.23e2 / 0.3e1 * t100105 * t10492 - 0.2e1 * t72971 * t10541 + t72971 * t10544 - 0.4e1 * t11369 * t56478 + 0.12e2 * t100853 * t10497 + 0.4e1 * t72971 * t10537 + 0.2e1 * t11369 * t5591 * t100078 - 0.6e1 * t100853 * t10512 - 0.2e1 * t72971 * t10549;
  t100914 = t85822 / 0.6e1;
  t100915 = t85831 / 0.3e1;
  t100916 = 0.5e1 / 0.18e2 * t85833;
  t100917 = t85840 / 0.3e1;
  t100918 = t85844 / 0.3e1;
  t100919 = t1021 * t100280;
  t100937 = 0.22e2 / 0.3e1 * t100105 * t10486 - 0.9e1 / 0.2e1 * t10506 * t14795 * t90924 - t100914 + t100915 - t100916 - t100917 + t85842 + t100918 + 0.2e1 * t11369 * t5549 * t100919 + t8058 * t29911 * t1021 * t100296 - 0.23e2 / 0.36e2 * t11381 * t29498 * t100919 + t72971 * t10480 / 0.2e1 + t11369 * t5553 * t100078 - t72971 * t10471 + 0.6e1 * t5559 * t14795 * t77249;
  t100949 = t85847 / 0.3e1;
  t100956 = 0.3e1 * t56164 * t11715 - 0.11e2 / 0.18e2 * t72838 * t89682 + 0.23e2 / 0.18e2 * t11381 * t10458 * t56477 - 0.11e2 / 0.9e1 * t11381 * t10485 * t100078 + t99678 + t99679 + t99681 + t99683 - t99685 + t99687 - t99690 + t100949 + t2947 * t30194 / 0.3e1 - 0.5e1 / 0.36e2 * t14535 * t77750 - t2947 * t30688 / 0.12e2;
  t100969 = t2175 * t2954;
  t100971 = t5549 * t1021 * t100969;
  t100972 = t24164 * t100971;
  t100973 = t100972 / 0.3e1;
  t100975 = t4145 * t45915 * t3014;
  t100976 = t100975 / 0.4e1;
  t100996 = t985 * t3013 * t439;
  t101006 = -t24164 * t5549 * t1021 * t552 * t18302 / 0.3e1 - t4145 * t8070 * t18304 / 0.4e1 + 0.3e1 * t5540 * t8220 * t356 * t56476 - t100973 - t100976 + t5540 * t2056 * t1182 * t100126 / 0.2e1 + t5540 * t559 * t4543 * t100121 / 0.2e1 - t11372 * t95854 - t8052 * t96129 / 0.3e1 - 0.3e1 / 0.2e1 * t5540 * t8220 * t1182 * t100280 - t5540 * t2056 * t4543 * t100296 + t4145 * t8353 * t100996 / 0.2e1 + t14608 * t1449 / 0.6e1 + t2942 * t5683 / 0.6e1 - t14586 * t5665 / 0.6e1;
  t101021 = t5540 * t9556 * t14717;
  t101022 = t101021 / 0.2e1;
  t101027 = -t2947 * t29035 / 0.6e1 - t14586 * t5686 / 0.12e2 - t90382 + t90383 + t8058 * t86175 / 0.3e1 - t90384 + t90385 + t90386 - t90387 - t28961 * t14710 / 0.4e1 + t101022 - t30146 * t18228 - t30152 * t18228 - t5535 * t73028 * t2389;
  t101036 = t46012 * t14947;
  t101037 = t101036 / 0.6e1;
  t101046 = t6006 * t14679;
  t101052 = -t5535 * t73032 * t2389 - t5535 * t14639 * t9448 + t24205 * t18230 + t24209 * t18230 + t4145 * t73028 * t2402 - t2180 + t85883 + t85886 - t101037 - t555 * t56770 / 0.6e1 - 0.2e1 / 0.3e1 * t14586 * t15465 - 0.2e1 / 0.3e1 * t2947 * t77561 - 0.2e1 / 0.3e1 * t2947 * t77082 - t1965 * t1400 * t101046 / 0.6e1 + t14542 * t9408 / 0.2e1;
  t101082 = t2947 * t29099 / 0.6e1 - t1965 * t86555 / 0.6e1 - t555 * t56039 / 0.6e1 + 0.8e1 * t100090 * t89632 + 0.3e1 * t96404 * t11445 - 0.6e1 * t56196 * t11438 + 0.3e1 * t56164 * t11472 - t72838 * t90355 / 0.2e1 + t8052 * t86487 / 0.3e1 + t8055 * t56679 / 0.6e1 - t8058 * t86404 / 0.6e1 + t73176 * t78009 / 0.3e1 - t11372 * t94879 + t373 * t14987 * t9480 / 0.2e1;
  t101089 = t1400 * t14624 * t1394;
  t101099 = t1393 * t100719;
  t101109 = t46009 * t14951;
  t101110 = t101109 / 0.6e1;
  t101111 = t45849 * t14954;
  t101112 = t101111 / 0.12e2;
  t101113 = t5689 * t3006 / 0.2e1 + t5717 * t3006 / 0.2e1 + t11512 * t1978 + t1391 * t101089 / 0.3e1 - t72906 * t1408 / 0.2e1 + t14626 * t1413 / 0.2e1 - t57852 * t1975 + 0.3e1 / 0.2e1 * t30060 * t14559 - t1391 * t101099 / 0.6e1 + 0.3e1 * t5674 * t14655 + 0.3e1 / 0.2e1 * t1454 * t14555 - 0.3e1 * t5674 * t14562 + t11369 * t96132 - t101110 + t101112;
  t101121 = -0.3e1 * t1030 * t14554 * t77658 - 0.3e1 * t1078 * t18412 + t77898 + t90492 - t90493 + t90495 - t90496 - t90497 + t90498 - t90499 - t90500 + t90501 + t99717 - t99719;
  t101124 = t45849 * t14579;
  t101125 = t101124 / 0.6e1;
  t101126 = 0.2e1 / 0.3e1 * t86032;
  t101127 = -0.3e1 * t1056 * t18412 + t101125 + t101126 + t18216 + t77943 + t90510 - t90514 + t90515 - t90573 + t90576 + t90577 + t90578 + t90579 + t90580 - t99730;
  t101129 = 0.2e1 / 0.3e1 * t86034;
  t101130 = 0.2e1 / 0.3e1 * t86036;
  t101132 = t373 * t9439 * t15003;
  t101133 = t101132 / 0.4e1;
  t101152 = t101129 + t101130 - t90585 - t90586 - t90587 + t90588 + t90589 + t90590 - t101133 - t1078 * t18305 / 0.4e1 - t1056 * t18305 / 0.4e1 - t373 * t8317 * t18304 / 0.4e1 - t373 * t1940 * t985 * t348 * t100268 / 0.4e1 + t1056 * t18469 / 0.4e1 + t373 * t72976 * t445 * t376 / 0.4e1;
  t101167 = t2178 * t14724;
  t101168 = t101167 / 0.12e2;
  t101169 = t373 * t14974 * t1467 * t376 / 0.4e1 - t5689 * t3015 / 0.4e1 - t5717 * t3015 / 0.4e1 - t1454 * t14999 / 0.4e1 - t8184 * t2509 / 0.2e1 - t2030 * t11648 / 0.2e1 - t90602 - t90603 + t90604 + t90605 - t9308 - t9324 + t9327 + t101168 + t9353;
  t101193 = t9357 - t9359 - t9361 - 0.11e2 / 0.9e1 * t11381 * t96280 - t17010 - t17011 + t8058 * t5587 * t100127 / 0.6e1 - 0.6e1 * t5540 * t8223 * t1093 * t56476 + 0.18e2 * t5540 * t73967 * t10520 + 0.23e2 / 0.18e2 * t11381 * t96259 + 0.2e1 / 0.3e1 * t8058 * t96041 - 0.3e1 * t11381 * t57860 + 0.18e2 * t100105 * t10501 + t99738;
  t101207 = 0.2e1 * t86153;
  t101208 = 0.2e1 / 0.3e1 * t86154;
  t101209 = 0.11e2 / 0.9e1 * t86156;
  t101210 = t86158 / 0.3e1;
  t101211 = t99741 - t99743 + t99745 - t110 * t11609 * t584 / 0.2e1 - t318 * t18459 / 0.4e1 - t442 * t73602 / 0.12e2 - 0.5e1 / 0.36e2 * t72830 * t16927 - 0.5e1 / 0.36e2 * t14535 * t91156 - 0.5e1 / 0.36e2 * t14535 * t77767 + t99746 - t86151 + t101207 + t101208 - t101209 - t101210;
  t101218 = t1000 * t56037 * t1948;
  t101238 = t86204 / 0.6e1;
  t101239 = t2947 * t77532 / 0.6e1 + t2947 * t77535 / 0.6e1 - t338 * t101218 / 0.6e1 - t18265 + t18285 - t1965 * t1393 * t101046 / 0.3e1 + t14542 * t9297 - t9442 - 0.18e2 * t5559 * t73976 * t89661 - 0.18e2 * t5540 * t73979 * t10532 - 0.3e1 * t373 * t14550 * t9492 + 0.3e1 / 0.2e1 * t1078 * t18416 - t1965 * t85752 / 0.3e1 - t101238;
  t101240 = t86206 / 0.6e1;
  t101241 = t86208 / 0.6e1;
  t101242 = t86210 / 0.6e1;
  t101243 = t86212 / 0.6e1;
  t101244 = t86220 / 0.3e1;
  t101245 = t86243 / 0.3e1;
  t101256 = -t101240 - t101241 - t101242 - t101243 + t101244 + t2251 - t89413 - t99747 + t99749 - t101245 - t2030 * t11639 / 0.2e1 - t2043 * t11754 / 0.6e1 - t2048 * t11754 / 0.6e1 - t555 * t56766 / 0.6e1 + t1030 * t14967 * t77550;
  t101278 = t86273 / 0.3e1;
  t101279 = 0.6e1 * t86280;
  t101280 = -t8189 * t2506 - t8184 * t2506 - t2030 * t11706 - t2030 * t11709 - t8189 * t2509 / 0.2e1 - t2942 * t6008 / 0.6e1 + t2942 * t6017 / 0.6e1 - t2947 * t29582 / 0.6e1 + t1958 * t1000 * t101046 / 0.3e1 - t14776 * t9434 / 0.2e1 - t373 * t14967 * t77500 - t86262 - t101278 + t101279;
  t101281 = 0.3e1 * t86283;
  t101292 = t4161 * t20552 * t439;
  t101311 = t5540 * t2209 * t14569;
  t101312 = t101311 / 0.2e1;
  t101319 = t101281 - t8058 * t30214 * t100297 / 0.2e1 + 0.11e2 / 0.18e2 * t11381 * t29517 * t100281 + t8058 * t5587 * t100286 / 0.6e1 - t4145 * t8374 * t101292 / 0.2e1 - t11369 * t5587 * t100281 + t8052 * t9270 * t100297 / 0.3e1 - t8052 * t4137 * t100286 / 0.6e1 + t8052 * t9270 * t100427 / 0.3e1 + t11372 * t4137 * t100281 / 0.2e1 - t9464 + t101312 - 0.23e2 / 0.12e2 * t72838 * t90370 + 0.44e2 / 0.27e2 * t100090 * t90367 + 0.23e2 / 0.36e2 * t72838 * t90364;
  t101331 = t14755 * t2196;
  t101336 = t2954 * t9397;
  t101358 = -t8052 * t4137 * t100335 / 0.6e1 - t39192 * t18190 / 0.6e1 - t39195 * t18190 / 0.6e1 - t8055 * t46515 * t18189 / 0.6e1 - t8055 * t9270 * t168 * t101331 / 0.6e1 - t8055 * t9270 * t168 * t101336 / 0.6e1 - t40050 * t18185 / 0.6e1 - t40052 * t18185 / 0.6e1 - t8052 * t24237 * t18184 / 0.6e1 - t8052 * t4137 * t100331 / 0.6e1 + t9487 + t9489 - t110 * t1498 * t3036 / 0.4e1 - t110 * t452 * t14943 / 0.4e1 + t11369 * t94885;
  t101381 = 0.23e2 / 0.18e2 * t86396;
  t101382 = 0.2e1 / 0.3e1 * t86398;
  t101385 = t8058 * t94899 / 0.3e1 - 0.5e1 / 0.18e2 * t11381 * t95583 - t8058 * t96102 / 0.6e1 - t5540 * t2060 * t4549 * t100034 / 0.2e1 - t5540 * t2060 * t4549 * t100039 / 0.2e1 + t39224 * t18239 / 0.6e1 - t99756 - t99761 + t99763 + t39229 * t18239 / 0.6e1 + t4145 * t73032 * t2402 + t4145 * t14639 * t9492 + t101381 + t101382 - 0.3e1 / 0.2e1 * t72830 * t17184;
  t101390 = 0.2e1 * t86408;
  t101391 = 0.14e2 / 0.3e1 * t86412;
  t101392 = t86417 / 0.3e1;
  t101393 = t86419 / 0.6e1;
  t101394 = 0.6e1 * t86438;
  t101395 = t86446 / 0.2e1;
  t101396 = 0.2e1 / 0.3e1 * t86451;
  t101397 = 0.2e1 * t86465;
  t101398 = 0.3e1 * t86468;
  t101399 = -t9505 - t9507 - t101390 + t101391 + t86415 + t101392 + t101393 - t101394 - t86442 - t101395 + t101396 + t101397 - t101398 - t86471;
  t101400 = 0.3e1 * t86474;
  t101401 = 0.4e1 * t86480;
  t101402 = t86485 / 0.6e1;
  t101403 = 0.6e1 * t86511;
  t101404 = 0.3e1 * t86514;
  t101417 = t101400 + t86477 - t101401 - t86483 - t101402 - t86499 + t86502 - t101403 + t101404 - t1378 * t14976 / 0.12e2 - t1386 * t14976 / 0.12e2 - t442 * t73263 / 0.12e2 - t442 * t72978 / 0.12e2 + t1078 * t18469 / 0.4e1 + t2043 * t16365 / 0.6e1;
  t101423 = t86533 / 0.3e1;
  t101454 = t2048 * t16365 / 0.6e1 + t555 * t86013 / 0.6e1 + t101423 + 0.2e1 * t5559 * t2060 * t4408 * t56187 - 0.3e1 * t5559 * t2973 * t77606 + 0.3e1 * t29011 * t29498 * t4403 * t100053 + t5535 * t74442 * t15473 + 0.6e1 * t5559 * t8223 * t1034 * t56476 - 0.6e1 * t5559 * t14806 * t5563 + 0.3e1 * t5535 * t73107 * t2389 - t74749 * t9280 / 0.6e1 - t110 * t2495 * t2013 / 0.2e1 - t318 * t18456 / 0.2e1 - t99765;
  t101477 = -t99767 + t99769 + t99771 + t18462 + t8058 * t44807 * t14578 / 0.12e2 + t8055 * t28964 * t14958 / 0.12e2 + t8058 * t5549 * t100127 / 0.12e2 + t8055 * t4137 * t380 * t403 * t18302 / 0.12e2 + 0.2e1 / 0.3e1 * t39224 * t17694 + 0.2e1 / 0.3e1 * t39229 * t17694 + 0.2e1 / 0.3e1 * t8058 * t56737 + 0.2e1 / 0.3e1 * t8058 * t56734 + t17045 + t17046 - t17047;
  t101490 = t86551 / 0.3e1;
  t101491 = t86553 / 0.3e1;
  t101498 = -t17048 - t18476 - t8058 * t86276 / 0.3e1 + t8058 * t86264 / 0.3e1 + t8058 * t86385 / 0.6e1 + t89421 - t99775 + t73930 * t2342 / 0.2e1 + t14542 * t10678 / 0.2e1 - t101490 - t101491 + t11512 * t1954 / 0.2e1 + 0.3e1 * t1030 * t14550 * t9448 + t4349 * t18323;
  t101527 = t4383 * t18323 + t2030 * t11783 / 0.2e1 + t2030 * t11787 / 0.2e1 + 0.3e1 * t4349 * t18320 + 0.3e1 * t4383 * t18320 + t73930 * t2347 + t14542 * t10687 + t14542 * t9415 - 0.2e1 * t73930 * t2353 - t8052 * t94882 / 0.3e1 + t8052 * t94889 / 0.3e1 - t8052 * t86250 / 0.3e1 + t8058 * t29791 * t18184 / 0.6e1 + t8058 * t5587 * t100331 / 0.6e1 + 0.23e2 / 0.36e2 * t72830 * t17200;
  t101555 = 0.23e2 / 0.36e2 * t14535 * t89704 + 0.23e2 / 0.36e2 * t14535 * t77839 - t72830 * t17203 / 0.2e1 - 0.11e2 / 0.18e2 * t72830 * t17197 + t56164 * t11733 - 0.2e1 / 0.3e1 * t24164 * t56695 * t56192 - t39948 * t11718 / 0.2e1 + t56164 * t11736 + t56164 * t11712 - t39948 * t11482 - t110 * t18408 * t404 / 0.4e1 - t99786 - t2947 * t29314 / 0.12e2 + t2947 * t29273 / 0.3e1 - t2043 * t11507 / 0.6e1;
  t101560 = t45463 * t14781;
  t101561 = 0.2e1 * t101560;
  t101562 = t142 * t18302;
  t101563 = t101562 * t333;
  t101569 = 0.12e2 * t86629;
  t101578 = -0.2e1 * t8254 * t1203 * t101563 + 0.2e1 * t14806 * t9601 + 0.6e1 * t14826 * t9590 + 0.2e1 * t2969 * t9617 - 0.4e1 * t2973 * t78384 - 0.12e2 * t74270 * t9640 - t101561 + t101569 + t18330 + t91268 - t91269 - t91300 - t91301 + t91302 - t91303;
  t101581 = t9544 * t2954;
  t101585 = t2369 * t14755;
  t101589 = 0.8e1 / 0.3e1 * t86642;
  t101590 = 0.8e1 * t86652;
  t101591 = 0.2e1 / 0.3e1 * t86658;
  t101592 = t86660 / 0.9e1;
  t101596 = t2369 * t2038;
  t101609 = t18331 * t333;
  t101613 = t2232 * t2038;
  t101617 = -0.2e1 / 0.3e1 * t8231 * t18347 - 0.2e1 / 0.3e1 * t2060 * t4408 * t101581 - 0.2e1 / 0.3e1 * t2060 * t4408 * t101585 - t101589 - t101590 - t101591 + t101592 - t559 * t4543 * t18331 * t994 + 0.12e2 * t8223 * t1093 * t101596 - 0.36e2 * t73967 * t10375 - 0.12e2 * t14806 * t10363 - 0.4e2 * t73979 * t10348 - 0.6e1 * t8227 * t4408 * t101596 - 0.2e1 / 0.3e1 * t2060 * t4408 * t101609 + 0.4e1 * t2060 * t4549 * t101613;
  t101627 = t9556 * t14876;
  t101628 = t2209 * t14837;
  t101629 = t9568 * t14868;
  t101630 = 0.2e1 / 0.3e1 * t101629;
  t101637 = t9568 * t14858;
  t101640 = t74326 * t439;
  t101644 = t14779 * t1383;
  t101651 = -0.1e2 * t14806 * t9632 - 0.6e1 * t2973 * t78238 + 0.9e1 * t14795 * t91657 + 0.5e2 / 0.3e1 * t73976 * t91555 - t101627 - t101628 - t101630 - t2056 * t1182 * t101609 + 0.6e1 * t14795 * t78404 - 0.12e2 * t73976 * t91466 + t101637 + 0.36e2 * t73979 * t10379 - 0.2e1 * t8254 * t1203 * t101640 - 0.2e1 * t8254 * t1203 * t101644 - 0.1e2 / 0.3e1 * t40190 * t4624 * t100280;
  t101652 = t1190 * t100280;
  t101655 = t14794 * t51002;
  t101658 = t73975 * t50981;
  t101670 = 0.4e1 / 0.3e1 * t86666;
  t101671 = 0.2e1 * t86672;
  t101672 = 0.24e2 * t86688;
  t101676 = 0.3e1 * t40190 * t101652 - 0.72e2 * t101655 * t10404 + 0.8e1 / 0.3e1 * t101658 * t10390 + 0.24e2 * t101658 * t10401 + t40195 * t18369 / 0.3e1 - 0.2e1 * t40179 * t1203 * t100426 + 0.4e1 / 0.3e1 * t74270 * t78296 - t15307 + t17077 + t15361 + t17078 + t101670 + t101671 - t101672 + t8254 * t1190 * t101563 / 0.3e1;
  t101679 = t45463 * t14784;
  t101680 = t101679 / 0.3e1;
  t101692 = t10382 * t2038;
  t101698 = 0.4e1 * t86713;
  t101701 = t101680 + 0.2e1 * t8251 * t360 * t101563 + 0.2e1 * t11528 * t360 * t101562 * t994 + 0.2e1 * t2969 * t9608 + t2060 * t4549 * t101609 - 0.2e1 / 0.9e1 * t11538 * t4633 * t101692 + 0.4e1 / 0.3e1 * t101655 * t10390 - t101698 - t18342 + t91475 + t91476 + t91477 + t91478 + t91479 - 0.2e1 * t40195 * t18359;
  t101731 = t8254 * t1190 * t101640 / 0.3e1 + t8254 * t1190 * t101644 / 0.3e1 + t78171 + t91492 + t91493 + 0.12e2 * t74000 * t10355 + 0.3e1 * t14826 * t10358 + 0.24e2 * t73967 * t10336 - 0.2e2 / 0.3e1 * t14795 * t78387 + 0.2e2 / 0.3e1 * t8227 * t4376 * t101596 - 0.1e2 * t14795 * t91622 + 0.1e2 / 0.3e1 * t73976 * t91580 + t18372 + 0.2e1 * t11528 * t360 * t74326 * t2196 + 0.2e1 * t11528 * t360 * t14779 * t9397;
  t101745 = t2209 * t14866;
  t101758 = t78155 * t14791;
  t101759 = 0.2e1 * t101758;
  t101760 = 0.4e1 / 0.3e1 * t86738;
  t101761 = 0.2e1 / 0.9e1 * t86740;
  t101764 = 0.4e1 * t86754;
  t101765 = 0.4e1 / 0.3e1 * t40179 * t1190 * t100426 - t78209 - t40190 * t4633 * t100280 / 0.18e2 - 0.6e1 * t40187 * t1203 * t100280 - 0.3e1 * t40179 * t1203 * t100296 - t101745 - 0.6e1 * t57365 * t45387 * t100421 + 0.12e2 * t40187 * t45383 * t100280 + 0.6e1 * t40179 * t45383 * t100296 + 0.2e1 / 0.3e1 * t40190 * t51103 * t100280 + t101759 + t101760 - t101761 + t74270 * t91246 / 0.3e1 + t101764;
  t101766 = 0.4e1 * t86756;
  t101769 = t45342 * t14787;
  t101770 = 0.2e1 * t101769;
  t101771 = 0.2e1 * t86778;
  t101774 = t2972 * t30500;
  t101782 = t9638 * t2038;
  t101791 = t101766 - t101658 * t91250 / 0.9e1 + t101770 - t101771 + t17119 - t17120 - t15384 - t17123 + 0.2e2 * t74251 * t9643 + 0.12e2 * t101774 * t78293 - 0.18e2 * t74270 * t10384 + 0.2e1 * t40179 * t1190 * t100296 - 0.8e1 * t8254 * t1203 * t101782 + t8227 * t4396 * t101596 / 0.9e1 - t14795 * t91616 / 0.6e1;
  t101800 = 0.4e1 * t86798;
  t101801 = 0.2e2 / 0.3e1 * t86800;
  t101816 = t45378 * t100280;
  t101825 = -0.2e1 * t2056 * t1182 * t101613 + 0.3e1 * t14826 * t9605 + t91660 + t91661 - t91662 + t101800 + t101801 - 0.2e1 / 0.3e1 * t40179 * t45378 * t100426 - t40179 * t45378 * t100296 + t40190 * t51084 * t100280 / 0.9e1 - 0.6e1 * t40207 * t45387 * t100280 - 0.4e1 * t40184 * t45387 * t100296 - 0.2e1 * t40187 * t101816 - 0.4e1 * t40184 * t45387 * t100426 + 0.2e1 * t40184 * t360 * t100426;
  t101844 = 0.8e1 * t86812;
  t101845 = 0.4e1 / 0.3e1 * t86814;
  t101846 = 0.12e2 * t86820;
  t101847 = 0.2e1 * t40184 * t360 * t100296 + 0.3e1 * t40207 * t360 * t100280 + 0.2e1 / 0.3e1 * t2973 * t78444 - t14795 * t78318 / 0.9e1 - t18375 + t18376 - 0.8e1 * t8223 * t1034 * t101596 + 0.8e1 * t14806 * t10352 - 0.2e1 / 0.3e1 * t73979 * t10344 + t91667 - t2054 * t18344 - t101844 - t101845 + t101846 + t9557;
  t101868 = t1190 * t101692;
  t101874 = t2972 * t51016;
  t101879 = t9559 + t9570 - t9574 + 0.3e1 * t57365 * t360 * t100421 + 0.4e1 / 0.3e1 * t8254 * t1190 * t101782 - 0.1e2 / 0.3e1 * t74251 * t9640 - 0.2e1 * t101774 * t78344 + 0.2e1 / 0.9e1 * t74270 * t78347 - 0.4e1 / 0.3e1 * t11538 * t4624 * t101692 + 0.2e1 * t74270 * t91411 - 0.4e1 / 0.3e1 * t101658 * t91258 + 0.12e2 * t11538 * t101868 - 0.24e2 * t11533 * t1203 * t101692 + 0.72e2 * t101874 * t10409 + 0.24e2 * t74251 * t10414;
  t101887 = t2968 * t30468;
  t101904 = 0.8e1 * t101655 * t10401 + 0.4e1 * t8251 * t360 * t101782 - 0.6e1 * t74260 * t9646 - 0.4e1 * t101887 * t9652 - 0.6e1 * t74260 * t10422 - 0.12e2 * t101874 * t10404 + t559 * t1182 * t140 * t100268 / 0.2e1 - t9585 - t9586 - t9588 + t9635 - t91683 - t559 * t4543 * t2986 * t9397 + t8231 * t18377 + t2060 * t4549 * t101585;
  t101924 = t2060 * t4549 * t101581 - 0.12e2 * t14806 * t9623 - 0.2e1 / 0.3e1 * t14795 * t78249 + 0.6e1 * t14795 * t78427 - t8247 * t18385 - t2056 * t1182 * t101585 - t2056 * t1182 * t101581 - t2054 * t18389 - t559 * t4543 * t14814 * t2196 - t18402 - t18403 - t78350 + t91686 + t78359 - t91687;
  t101955 = t18404 - 0.4e1 / 0.3e1 * t2973 * t78168 + 0.2e1 * t2973 * t78179 - t2969 * t9541 + 0.1e2 / 0.3e1 * t14795 * t78191 - 0.3e1 * t14826 * t9560 - 0.4e1 * t14806 * t9551 + t14795 * t78204 / 0.18e2 - 0.6e1 * t40190 * t101816 + 0.4e1 * t40179 * t45383 * t100426 - 0.8e1 / 0.3e1 * t2060 * t4408 * t101613 + 0.2e2 / 0.3e1 * t14806 * t9619 + 0.4e1 * t2973 * t78446 - t14795 * t78449 / 0.9e1 - 0.6e1 * t8220 * t356 * t101596;
  t101975 = t2209 * t14815;
  t101976 = t101975 / 0.2e1;
  t101980 = 0.2e1 * t40212 * t18362 + 0.2e1 * t8251 * t360 * t101640 + 0.2e1 * t8251 * t360 * t101644 + 0.4e1 * t40187 * t101652 + 0.2e1 * t57517 * t18366 + t2054 * t18332 / 0.2e1 + 0.6e1 * t14806 * t9545 - 0.3e1 * t14795 * t78215 + t101976 - t559 * t1182 * t143 * t100268 + t91688 - t78390 - t91689 - t91690 - t78396;
  t101981 = t2968 * t50902;
  t101991 = 0.2e1 * t86857;
  t101992 = 0.4e1 * t86862;
  t101993 = 0.6e1 * t86868;
  t101994 = 0.12e2 * t86885;
  t101995 = 0.6e1 * t86893;
  t101996 = 0.12e2 * t11541 * t360 * t101692 + 0.4e1 * t11533 * t101868 - 0.24e2 * t101981 * t10419 - 0.4e1 * t74251 * t10384 - t101991 + t101992 - t101993 + t101994 - t101995 + t2210 - t2229 - t78400 - t91691 - t91693 - t91694 + t91695;
  t102025 = t5591 * t100571;
  t102028 = -t2048 * t11507 / 0.6e1 - t555 * t55912 / 0.6e1 - t110 * t139 * (t101578 + t101617 + t101651 + t101676 + t101701 + t101731 + t101765 + t101791 + t101825 + t101847 + t101879 + t101904 + t101924 + t101955 + t101980 + t101996) * t168 / 0.4e1 + t72838 * t78040 + t8058 * t5587 * t100335 / 0.6e1 - t39224 * t18243 / 0.3e1 - t39229 * t18243 / 0.3e1 - t5540 * t8231 * t18235 / 0.2e1 - t99791 - t18477 + t91060 - 0.6e1 * t50149 * t73976 * t89643 - 0.5e1 * t5559 * t14806 * t46057 - 0.3e1 * t5540 * t14795 * t77951 - t5548 * t102025 / 0.6e1;
  t102033 = t5553 * t4143 * t100570;
  t102036 = t3035 * t615;
  t102037 = t102036 * t1389;
  t102056 = t5548 * t102033 / 0.3e1 - t5535 * t102037 * t1407 / 0.2e1 + t4145 * t102037 * t1412 / 0.2e1 + t45074 * t14893 / 0.2e1 - t44886 * t14897 / 0.2e1 - t78515 + t91081 + t91084 - t99792 - t29052 * t3002 / 0.2e1 - t29044 * t3002 / 0.2e1 - t5717 * t3010 / 0.2e1 - t5689 * t3010 / 0.2e1 + t99795;
  t102083 = -0.38e2 / 0.9e1 * t100090 * t91101 + t9702 + t9704 - 0.3e1 / 0.2e1 * t72838 * t30705 + 0.6e1 * t56196 * t11479 + 0.9e1 / 0.2e1 * t72838 * t90859 - 0.43e2 / 0.9e1 * t100090 * t90854 - t8055 * t77581 * t14950 / 0.6e1 - t9180 + t9188 + 0.3e1 / 0.2e1 * t30030 * t73374 * t17190 + t39948 * t11744 + 0.3e1 * t10506 * t8227 * t4396 * t56476 - 0.18e2 * t10506 * t73979 * t51455 - 0.6e1 * t56164 * t11431;
  t102116 = -0.2e1 * t56164 * t11747 + 0.2e1 * t56196 * t11475 + t8058 * t46095 * t14578 / 0.6e1 - t24205 * t18201 / 0.2e1 - t24209 * t18201 / 0.2e1 - t4145 * t73242 * t2257 / 0.2e1 - t4145 * t73238 * t2257 / 0.2e1 - t4145 * t14713 * t9480 / 0.2e1 - t24205 * t18206 - t24209 * t18206 - t4145 * t73179 * t2394 - t4145 * t73234 * t2394 - t4145 * t14701 * t9665 + 0.6e1 * t5540 * t14806 * t10630;
  t102143 = -0.28e2 * t82647 * t10485 * t100777 - 0.3e1 * t4145 * t73107 * t2402 + t91107 + t91108 + t17073 - t17074 + t89462 + 0.2e1 / 0.3e1 * t8058 * t56742 - t8058 * t96047 / 0.3e1 - 0.4e1 * t11369 * t56671 * t10491 - 0.4e1 / 0.3e1 * t8058 * t96038 + t29767 * t18213 / 0.2e1 + t29773 * t18213 / 0.2e1 + t5540 * t2054 * t18212 / 0.2e1 + t5540 * t559 * t4543 * t101331 / 0.2e1;
  t102180 = t5540 * t559 * t4543 * t101336 / 0.2e1 + t29767 * t18209 / 0.2e1 + t29773 * t18209 / 0.2e1 + t86599 - 0.62e2 / 0.3e1 * t82588 * t50504 * t4403 * t100776 - 0.3e1 * t5535 * t73374 * t17050 - 0.6e1 * t5559 * t8227 * t4376 * t56476 + 0.36e2 * t5559 * t73979 * t50508 + 0.9e1 * t5559 * t14795 * t90399 - t8058 * t96579 / 0.3e1 - t8058 * t96582 / 0.3e1 - t8058 * t86232 / 0.3e1 - t8058 * t29795 * t18242 / 0.3e1 - t99801;
  t102183 = t86906 / 0.2e1;
  t102184 = t86908 / 0.2e1;
  t102185 = t46009 * t14959;
  t102186 = t102185 / 0.12e2;
  t102187 = -t318 * t18409 / 0.4e1 + t16580 - t18480 - t16587 - t16590 + t102183 + t102184 - t99805 + t102186 + t99811 + t99813 - t99815 - t99816 - t99820 - t99822;
  t102209 = t99824 + t99826 + t99828 + t17206 - t99830 - t99832 + t99834 + 0.14e2 / 0.3e1 * t11381 * t96245 - 0.3e1 * t11381 * t96400 + t8055 * t86388 / 0.6e1 - 0.3e1 / 0.2e1 * t5540 * t8227 * t24823 * t100280 + t11381 * t29911 * t100281 / 0.2e1 - t11381 * t95607 + 0.3e1 * t30030 * t73811 * t51657 - 0.6e1 * t5535 * t73811 * t52074;
  t102238 = t4706 * t3013 * t2196;
  t102257 = 0.3e1 * t4145 * t73811 * t52080 - 0.3e1 / 0.2e1 * t10506 * t8227 * t24794 * t100280 + 0.2e1 * t5535 * t14639 * t50497 + 0.23e2 / 0.18e2 * t11381 * t96310 + t4145 * t14701 * t45947 + t4145 * t14713 * t46359 - 0.2e1 / 0.3e1 * t24164 * t5549 * t4143 * t100846 * t2196 + t4145 * t14701 * t52061 - 0.4e1 * t11369 * t96313 - 0.4e1 / 0.3e1 * t8058 * t57124 + t4145 * t8070 * t102238 / 0.2e1 + 0.3e1 * t4145 * t73192 * t52056 - t5540 * t2056 * t4543 * t100426 - 0.3e1 / 0.2e1 * t5540 * t559 * t24858 * t100421 + 0.2e1 / 0.3e1 * t24164 * t29911 * t1021 * t14891 * t2196;
  t102264 = my_piecewise3(t100, 0, t101211 + t101256 + t100658 + t101454 + t100813 + t100715 + t100131 + t101127 + t102143 + t100937 + t102187 + t100628 + t100641 + t101319 + t100052 + t100488 + t100351 + t102209 + t102056 + t100517 + t100559 + t101555 + t100956 + t100371 + t101280 + t101498 + t100394 + t101385 + t100290 + t101006 + t101121 + t100595 + t100532 + t100908 + t100448 + t101358 + t102180 + t101527 + t100093 + t100841 + t100872 + t101052 + t101477 + t102083 + t101399 + t100367 + t100326 + t102257 + t100454 + t101082 + t100772 + t102028 + t101152 + t100748 + t101417 + t101113 + t101193 + t100417 + t102116 + t100169 + t100685 + t101027 + t101239 + t101169);
  tv4rhosigmatau217 = t3 * t102264 + t18485;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 17] += tv4rhosigmatau217;

  t102278 = t592 * t18649 * t223 / 0.6e1;
  t102288 = t78607 + t78618 - t78622 / 0.2e1 - 0.3e1 * t3537 * t18679 + t2529 * t6257 / 0.2e1 + 0.3e1 / 0.2e1 * t11960 * t12130 - t18553 * t3272 - 0.3e1 / 0.2e1 * t47709 * t12027 - t102278 + 0.9e1 * t78655 - 0.3e1 / 0.4e1 * t6353 * t2593 - 0.3e1 / 0.4e1 * t6335 * t2593 - 0.3e1 / 0.4e1 * t1532 * t12161 - 0.3e1 / 0.4e1 * t1532 * t12166;
  t102291 = t18541 * t21185;
  t102293 = t191 * t21182 * t102291;
  t102298 = t4844 * t12233;
  t102301 = t18541 * t21719;
  t102303 = t191 * t3512 * t102301;
  t102308 = t764 * t18543;
  t102322 = -0.23e2 / 0.12e2 * t18544 * t20848 + 0.44e2 / 0.27e2 * t102293 * t75883 + 0.23e2 / 0.36e2 * t18544 * t21895 + 0.23e2 / 0.12e2 * t11975 * t102298 - 0.23e2 / 0.3e1 * t102303 * t8993 - 0.5e1 / 0.36e2 * t18544 * t21060 + 0.7e1 / 0.3e1 * t102308 * t3668 + 0.3e1 * t78691 - 0.6e1 * t78694 + t18553 * t3540 - 0.3e1 / 0.2e1 * t32423 * t2584 - 0.3e1 / 0.2e1 * t32430 * t2584 - 0.3e1 / 0.2e1 * t102308 * t3673 - 0.3e1 / 0.2e1 * t18544 * t21678;
  t102332 = t26082 * t12022;
  t102335 = t21225 * t12017;
  t102340 = t18511 * t206;
  t102341 = t3375 * t102340;
  t102345 = t21220 * t12017;
  t102349 = t3409 * t102340;
  t102354 = t87180 / 0.18e2;
  t102356 = t4760 * t12111;
  t102359 = 0.7e1 / 0.3e1 * t18544 * t21674 + t12041 * t6290 + t2534 * t32442 + 0.9e1 / 0.2e1 * t58578 * t25739 * t3671 * t12017 + 0.3e1 / 0.2e1 * t58578 * t102332 + 0.9e1 * t4738 * t11891 * t102335 - 0.2e1 * t78715 + t4738 * t1591 * t102341 / 0.2e1 - 0.9e1 / 0.2e1 * t9873 * t11891 * t102345 - t4779 * t1591 * t102349 / 0.2e1 + t78760 / 0.2e1 + t102354 + 0.9e1 / 0.2e1 * t78764 + t58592 * t102356 / 0.4e1;
  t102360 = t95 * t59722;
  t102361 = t3130 * t102360;
  t102367 = t4760 * t102360;
  t102372 = t26082 * t12103;
  t102381 = t764 * t18552;
  t102387 = -0.2e1 / 0.3e1 * t6491 * t102361 + t59246 * t12115 + 0.2e1 / 0.3e1 * t59594 * t12104 + t6069 * t102367 / 0.2e1 - 0.4e1 / 0.3e1 * t59290 * t12107 - 0.3e1 / 0.4e1 * t58592 * t102372 - t59594 * t12112 / 0.3e1 - 0.11e2 / 0.18e2 * t102308 * t3517 - 0.11e2 / 0.18e2 * t18544 * t22449 + t102381 * t630 + t78768 - 0.3e1 / 0.2e1 * t78778 - 0.3e1 / 0.2e1 * t78781 - t78783 / 0.2e1 - t78785 / 0.2e1;
  t102391 = t18582 * t667;
  t102392 = t22055 * t102391;
  t102396 = t2541 * t11860;
  t102397 = t3430 * t102396;
  t102400 = t463 * t18582;
  t102402 = t26082 * t635 * t102400;
  t102414 = t8642 * t95 * t102396;
  t102417 = t18582 * t206;
  t102418 = t95 * t102417;
  t102419 = t26082 * t102418;
  t102424 = t8642 * t253 * t276 * t18582;
  t102427 = t8642 * t102418;
  t102431 = t42955 * t95 * t102391;
  t102434 = -t78790 / 0.2e1 + t78792 + t78794 - 0.3e1 / 0.2e1 * t4779 * t470 * t102392 + t4779 * t470 * t102397 + 0.2e1 / 0.3e1 * t21878 * t102402 + t3123 * t6475 * t18688 / 0.2e1 - 0.2e1 * t4779 * t2554 * t12122 + t3123 * t58990 * t2592 - t6488 * t102414 / 0.3e1 - t6069 * t102419 / 0.6e1 - t6488 * t102424 / 0.6e1 + t6491 * t102427 / 0.3e1 + t6488 * t102431 / 0.2e1;
  t102435 = t819 * t102340;
  t102439 = t18511 * t667;
  t102440 = t3430 * t102439;
  t102444 = t819 * t59722;
  t102453 = t3250 * t12139;
  t102456 = t3250 * t12144;
  t102462 = t191 * t194 * t18551;
  t102472 = t26082 * t635 * t12102;
  t102475 = t4770 * t102360;
  t102479 = t4779 * t1587 * t102435 / 0.2e1 + t4779 * t470 * t102440 / 0.2e1 + 0.2e1 * t4779 * t1587 * t102444 - 0.3e1 * t4779 * t11878 * t12118 - t2529 * t12140 / 0.3e1 + t2534 * t102453 / 0.4e1 + t2534 * t102456 / 0.4e1 - 0.3e1 / 0.2e1 * t11953 * t11982 + 0.2e1 * t102462 * t1260 - 0.11e2 / 0.6e1 * t11975 * t79028 - 0.2e1 * t6069 * t59724 + 0.16e2 / 0.3e1 * t59290 * t12019 + 0.3e1 * t58592 * t102472 + t6069 * t102475 - 0.8e1 / 0.3e1 * t59290 * t12023;
  t102481 = t27475 * t12103;
  t102484 = t26140 * t12022;
  t102487 = t3409 * t59722;
  t102494 = t22051 * t12102;
  t102498 = t2526 * t2541;
  t102499 = t635 * t102498;
  t102500 = t26140 * t102499;
  t102506 = t3430 * t102417;
  t102509 = t25739 * t12018;
  t102513 = t4760 * t3121 * t12110;
  t102515 = t4770 * t12111;
  t102518 = t87212 / 0.6e1;
  t102519 = t87214 / 0.6e1;
  t102520 = t87235 / 0.6e1;
  t102521 = -0.3e1 / 0.2e1 * t58592 * t102481 + 0.11e2 / 0.6e1 * t58578 * t102484 - 0.3e1 * t4779 * t1591 * t102487 + 0.8e1 * t4779 * t11883 * t12026 + 0.9e1 / 0.2e1 * t4779 * t2558 * t102494 - 0.7e1 * t27523 * t102500 - 0.3e1 / 0.2e1 * t3123 * t58583 * t18523 - t4779 * t1587 * t102506 - 0.23e2 / 0.12e2 * t58578 * t102509 - t58592 * t102513 + t58592 * t102515 / 0.2e1 + t102518 + t102519 + t102520;
  t102522 = t592 * t18543;
  t102524 = t102522 * t3673 / 0.2e1;
  t102526 = t6358 * t2588 / 0.2e1;
  t102528 = 0.7e1 / 0.9e1 * t102522 * t3668;
  t102536 = t6358 * t2596 / 0.2e1;
  t102538 = t593 * t18671 / 0.2e1;
  t102543 = t21784 * t18676 / 0.2e1;
  t102550 = -t102524 - t102526 + t102528 + 0.3e1 / 0.4e1 * t12216 * t1514 - t1517 * t12211 / 0.4e1 - t1522 * t12211 / 0.4e1 + t102536 + t102538 - 0.3e1 / 0.2e1 * t78912 + t78918 / 0.2e1 + t78920 / 0.2e1 + t102543 - 0.5e1 / 0.36e2 * t102308 * t3602 + 0.23e2 / 0.36e2 * t102308 * t3545 + 0.23e2 / 0.36e2 * t18544 * t21744;
  t102558 = t87411 / 0.6e1;
  t102565 = t222 * t18629;
  t102570 = t191 * t242 * t18627 * t243;
  t102578 = t12004 * t6290 / 0.3e1;
  t102581 = t87478 / 0.3e1;
  t102582 = -0.3e1 * t768 * t18682 - 0.3e1 * t757 * t18682 - t102558 + 0.11e2 / 0.6e1 * t18544 * t20845 - 0.2e1 * t18553 * t3255 + t18650 * t670 / 0.2e1 - t211 * t102565 / 0.12e2 + t102570 * t250 / 0.4e1 + 0.3e1 / 0.4e1 * t59112 * t481 + 0.3e1 / 0.4e1 * t59370 * t481 + t102578 - 0.9e1 / 0.2e1 * t78996 - 0.3e1 / 0.2e1 * t78999 - t102581;
  t102583 = t3548 * t18643;
  t102586 = t3658 * t18542;
  t102594 = t21207 * t102291;
  t102608 = t27475 * t102418;
  t102611 = t22051 * t102417;
  t102614 = t22070 * t102417;
  t102617 = t102583 + 0.23e2 / 0.12e2 * t11975 * t79031 - 0.9e1 / 0.2e1 * t3680 * t102586 * t21081 - 0.3e1 * t1532 * t12177 + 0.9e1 / 0.2e1 * t1532 * t12180 - 0.6e1 * t21206 * t102594 * t76226 + 0.18e2 * t3680 * t102594 * t76231 - 0.18e2 * t644 * t102594 * t76238 - 0.3e1 / 0.2e1 * t11975 * t79094 - 0.3e1 / 0.2e1 * t79053 - 0.3e1 / 0.4e1 * t79055 - t6069 * t102608 / 0.3e1 + t4779 * t1591 * t102611 - t4738 * t1591 * t102614;
  t102621 = t32408 * t2584 / 0.2e1;
  t102626 = t1227 * t1530 * t11980;
  t102640 = t3227 * t2532;
  t102645 = t662 * t2532;
  t102648 = t662 * t2527;
  t102651 = t3227 * t11958;
  t102658 = -t15081 + 0.4e1 * t12027 - 0.2e1 * t11845 * t12165 + 0.8e1 * t11842 * t12170 - 0.8e1 * t102640 * t3186 - 0.8e1 * t11839 * t12176 + 0.12e2 * t102645 * t1246 + 0.4e1 * t102648 * t730 - 0.8e1 * t102651 * t1234 + 0.8e1 / 0.3e1 * t11842 * t12090 - 0.8e1 / 0.3e1 * t102640 * t3181;
  t102661 = t21461 * t11965;
  t102668 = -0.24e2 * t102651 * t1239 + 0.32e2 / 0.3e1 * t102661 * t9038 - 0.2e1 / 0.3e1 * t12032 + 0.12e2 * t102661 * t8765 - t76021 - t76024 + t76027 + t15069 - 0.4e1 * t12119 + t76029 - t76046 + t76056;
  t102670 = t2557 * t3415;
  t102673 = t11890 * t3396;
  t102689 = 0.24e2 * t102670 * t1239 - 0.12e2 * t102673 * t8765 + 0.4e1 / 0.3e1 * t102673 * t9038 + t76075 + t76077 - 0.4e1 * t102670 * t1234 - 0.4e1 / 0.3e1 * t2566 * t3181 + 0.2e2 / 0.9e1 * t102673 * t8771 - 0.4e1 * t12123 + 0.16e2 / 0.9e1 * t102661 * t8771 - 0.2e1 * t58425 * t2592;
  t102708 = t2553 * t619;
  t102715 = 0.4e1 * t11839 * t59647 + 0.4e1 * t11845 * t59589 - 0.4e1 / 0.3e1 * t11842 * t59519 - 0.8e1 * t11857 * t12170 + 0.8e1 * t2566 * t3186 - 0.4e1 * t2569 * t730 + 0.2e1 * t1599 * t2592 + 0.2e1 * t472 * t12165 + 0.8e1 * t11852 * t12176 - 0.12e2 * t102708 * t1246 + 0.4e1 / 0.3e1 * t11857 * t12090 - 0.4e1 * t11842 * t59077;
  t102717 = t102658 + t102668 + t102689 + t102715;
  t102719 = t658 * t221 * t102717;
  t102726 = t645 * t18551;
  t102730 = t674 * t18565;
  t102738 = t79082 + 0.3e1 / 0.4e1 * t79084 - t102621 - 0.8e1 * t4738 * t11883 * t58842 + 0.2e1 * t1541 * t102626 - 0.6e1 * t11960 * t9794 - 0.2e1 * t2534 * t31770 + 0.7e1 / 0.3e1 * t18544 * t20715 - t246 * t1559 * t102719 / 0.4e1 + 0.9e1 * t644 * t11985 * t12090 - 0.6e1 * t644 * t102726 * t3181 + 0.3e1 * t644 * t102730 * t3504 - 0.3e1 / 0.2e1 * t768 * t18524 - 0.3e1 / 0.2e1 * t757 * t18524;
  t102740 = t3171 * t628 * t11860;
  t102747 = t1508 * t18514 / 0.36e2;
  t102749 = t1508 * t18490 / 0.12e2;
  t102751 = t6358 * t2593 / 0.4e1;
  t102753 = t3548 * t18706 / 0.2e1;
  t102755 = t593 * t18701 / 0.12e2;
  t102757 = t593 * t18697 / 0.3e1;
  t102759 = t1508 * t18694 / 0.18e2;
  t102761 = t593 * t18689 / 0.6e1;
  t102763 = t12004 * t18531 / 0.3e1;
  t102765 = t12004 * t18527 / 0.6e1;
  t102767 = t593 * t18524 / 0.2e1;
  t102768 = t94 * t18541;
  t102770 = t26069 * t3678 * t102768;
  t102773 = t31513 * t12022;
  t102776 = -0.3e1 / 0.2e1 * t246 * t12096 * t102740 + t12041 * t18527 / 0.2e1 + t102747 + t102749 - t102751 + t102753 - t102755 + t102757 - t102759 + t102761 - t102763 + t102765 - t102767 + 0.8e1 * t75198 * t102770 - t6491 * t102773 / 0.2e1;
  t102779 = t78612 * t12103;
  t102786 = t47270 * t18972;
  t102793 = t592 * t18552;
  t102795 = t102793 * t630 / 0.3e1;
  t102796 = t79231 / 0.12e2;
  t102797 = t79238 / 0.4e1;
  t102802 = t79246 / 0.2e1;
  t102804 = -t6488 * t102779 / 0.2e1 + 0.3e1 / 0.2e1 * t47709 * t12119 + 0.3e1 / 0.2e1 * t47709 * t12123 - t21878 * t102786 - 0.3e1 / 0.4e1 * t32403 * t12127 + 0.3e1 / 0.2e1 * t4748 * t58583 * t18705 + t102795 - t102796 + t102797 + 0.3e1 / 0.2e1 * t21706 * t18676 - t79242 / 0.4e1 - t79244 / 0.4e1 - t102802 + 0.3e1 / 0.2e1 * t79248;
  t102805 = t95 * t102340;
  t102806 = t4770 * t102805;
  t102809 = t47370 * t12022;
  t102815 = t3172 * t12139;
  t102818 = t3172 * t12144;
  t102823 = t3250 * t755 * t2542;
  t102828 = t244 * t102768;
  t102829 = t4838 * t102828;
  t102835 = t674 * t18569;
  t102845 = t642 * t102768;
  t102846 = t26105 * t102845;
  t102852 = t6069 * t102806 / 0.6e1 + t6069 * t102809 / 0.2e1 - t3123 * t6475 * t18700 / 0.4e1 + t2534 * t102815 / 0.2e1 + t2534 * t102818 / 0.2e1 - t12041 * t18531 - t2534 * t102823 + 0.6e1 * t246 * t102726 * t3186 - 0.28e2 * t75164 * t102829 - 0.3e1 * t246 * t102730 * t3508 + 0.3e1 / 0.2e1 * t3680 * t102835 * t3681 - 0.9e1 * t246 * t11985 * t12170 + 0.9e1 * t644 * t102586 * t21535 - 0.62e2 / 0.3e1 * t75198 * t102846 - 0.3e1 * t644 * t102835 * t3685;
  t102865 = t102793 * t752 / 0.6e1;
  t102867 = t3250 * t244 * t12143;
  t102880 = t3474 * t3401 * t1512;
  t102884 = t3658 * t102301;
  t102888 = -0.5e1 / 0.36e2 * t18544 * t21754 - t12041 * t6286 / 0.2e1 - t2534 * t31809 / 0.4e1 - t12041 * t6350 / 0.4e1 - t466 * t59365 / 0.4e1 + t102865 - t2534 * t102867 - t102308 * t3665 / 0.2e1 - t18544 * t21859 / 0.2e1 - 0.3e1 * t6295 * t12091 + 0.9e1 * t6295 * t12093 + 0.3e1 * t6295 * t12097 - 0.9e1 * t644 * t11966 * t102880 + 0.36e2 * t644 * t102884 * t9038;
  t102890 = t3474 * t3447 * t1512;
  t102900 = t79310 / 0.6e1;
  t102911 = t645 * t18542;
  t102916 = t12074 * t2544 / 0.9e1;
  t102918 = t12004 * t18517 / 0.12e2;
  t102923 = 0.9e1 / 0.2e1 * t3680 * t11966 * t102890 - 0.5e1 / 0.12e2 * t11975 * t79874 - t2534 * t32322 / 0.4e1 - t466 * t58700 / 0.4e1 - t102900 + t757 * t18697 + t246 * t12183 * t12165 - t768 * t18701 / 0.4e1 - t757 * t18701 / 0.4e1 - t246 * t6136 * t18700 / 0.4e1 + 0.18e2 * t246 * t102911 * t1239 - t102916 + t102918 + 0.3e1 / 0.2e1 * t3530 * t18706 + 0.3e1 / 0.2e1 * t3537 * t18706;
  t102929 = t3171 * t633 * t11860;
  t102933 = 0.2e1 / 0.3e1 * t87797;
  t102934 = t87800 / 0.2e1;
  t102938 = t26835 * t102828;
  t102954 = t593 * t18682;
  t102955 = 0.3e1 / 0.2e1 * t644 * t12096 * t102929 + t87792 - t102933 - t102934 - 0.9e1 / 0.2e1 * t246 * t102586 * t21437 + 0.47e2 / 0.3e1 * t75198 * t102938 - 0.43e2 / 0.9e1 * t102293 * t75183 - 0.2e1 * t102293 * t76219 + 0.89e2 / 0.9e1 * t102293 * t75232 + 0.6e1 * t246 * t102594 * t76242 - 0.9e1 * t6295 * t12195 + 0.9e1 / 0.2e1 * t1532 * t11989 + t2160 - t102954;
  t102957 = t12074 * t1527 / 0.6e1;
  t102959 = 0.23e2 / 0.108e3 * t102522 * t3545;
  t102960 = t79368 / 0.6e1;
  t102967 = t6255 * t11980;
  t102968 = t1227 * t102967;
  t102979 = t102957 + t102959 + t102960 + 0.3e1 / 0.2e1 * t79411 + 0.3e1 / 0.2e1 * t79414 - 0.3e1 / 0.2e1 * t79416 - 0.3e1 / 0.2e1 * t79418 - 0.3e1 / 0.2e1 * t79421 - t79425 / 0.4e1 - t1541 * t102968 / 0.2e1 + 0.3e1 / 0.2e1 * t11960 * t9814 + t2534 * t31304 / 0.2e1 - 0.9e1 * t1532 * t11986 - 0.3e1 * t1532 * t12173;
  t102981 = t1530 * t19132;
  t102982 = t4838 * t102981;
  t102992 = t3474 * t12089;
  t103001 = t25739 * t12022;
  t103005 = t8642 * t95 * t102439;
  t103008 = t4760 * t102805;
  t103013 = t3130 * t253 * t276 * t18511;
  t103016 = t47270 * t12022;
  t103019 = t31513 * t12111;
  t103022 = t3130 * t102805;
  t103025 = 0.7e1 * t69444 * t102982 + 0.3e1 / 0.2e1 * t1532 * t12067 + 0.3e1 * t1532 * t12171 + 0.3e1 / 0.2e1 * t246 * t102835 * t3660 + 0.9e1 / 0.2e1 * t246 * t11966 * t102992 - 0.18e2 * t246 * t102884 * t8765 - 0.9e1 / 0.2e1 * t11975 * t79098 + 0.5e1 / 0.12e2 * t58578 * t103001 - t6488 * t103005 / 0.6e1 + t6069 * t103008 / 0.12e2 + t6488 * t103013 / 0.12e2 + t6069 * t103016 / 0.4e1 + t6488 * t103019 / 0.4e1 - t6491 * t103022 / 0.6e1;
  t103029 = 0.11e2 / 0.54e2 * t102522 * t3517;
  t103042 = t18486 - t1541 * t88620 / 0.2e1 - t103029 - t764 * t18649 * t223 / 0.2e1 - t18650 * t612 / 0.2e1 - 0.11e2 / 0.6e1 * t79452 + 0.23e2 / 0.12e2 * t79455 + 0.9e1 / 0.2e1 * t79462 - t18487 - t18488 + t15618 - t79465 / 0.2e1 - 0.3e1 / 0.2e1 * t79471 - t79502 / 0.2e1 + 0.3e1 / 0.2e1 * t79505;
  t103060 = t79508 / 0.2e1 - 0.2e1 * t102381 * t637 - 0.2e1 * t18553 * t3577 - t18544 * t21554 / 0.2e1 - 0.61e2 / 0.27e2 * t102293 * t75880 - 0.11e2 / 0.18e2 * t18544 * t21892 + t8659 + t8662 - t8667 + t8683 + 0.3e1 / 0.2e1 * t79545 - 0.3e1 / 0.2e1 * t79572 - 0.3e1 * t79576 + 0.7e1 * t79579;
  t103063 = t673 * t102967;
  t103089 = -t79584 / 0.4e1 - 0.9e1 * t79588 + t1568 * t103063 - 0.3e1 / 0.2e1 * t11953 * t9805 - t2529 * t6263 / 0.2e1 - t2534 * t32362 / 0.2e1 - 0.18e2 * t3680 * t102884 * t8771 + t18533 + 0.3e1 / 0.2e1 * t18544 * t21551 - 0.38e2 / 0.9e1 * t102293 * t75363 - 0.18e2 * t644 * t102911 * t1234 + 0.9e1 / 0.2e1 * t32471 * t11967 + 0.3e1 / 0.2e1 * t757 * t18671 + 0.3e1 / 0.2e1 * t6353 * t2596 + 0.3e1 / 0.2e1 * t6335 * t2596;
  t103094 = t102522 * t3665 / 0.6e1;
  t103096 = t593 * t18637 / 0.2e1;
  t103098 = t191 * t616 * t18542;
  t103103 = t79687 / 0.12e2;
  t103107 = t188 * t18629 / 0.12e2;
  t103108 = t1220 * t102967;
  t103113 = t4844 * t11981;
  t103118 = 0.3e1 / 0.2e1 * t768 * t18671 - t103094 + t103096 - 0.3e1 * t103098 * t1300 - t18650 * t676 / 0.2e1 - t103103 + t79698 / 0.2e1 + t79700 / 0.4e1 - t103107 - t1541 * t103108 + 0.3e1 * t11960 * t9790 + t2534 * t32299 - 0.5e1 / 0.12e2 * t11975 * t103113 + 0.5e1 / 0.3e1 * t102303 * t8786;
  t103127 = t4838 * t12233;
  t103130 = t4838 * t11981;
  t103134 = t1508 * t12211 / 0.12e2;
  t103136 = t59060 * t481 / 0.4e1;
  t103138 = 0.2e1 / 0.3e1 * t102793 * t637;
  t103145 = 0.5e1 / 0.12e2 * t18544 * t21057 - 0.35e2 / 0.108e3 * t102293 * t75350 - 0.3e1 / 0.2e1 * t6295 * t12099 - 0.7e1 * t18544 * t20753 + 0.7e1 * t11975 * t103127 - 0.11e2 / 0.6e1 * t11975 * t103130 - t103134 + t103136 - t103138 + t18553 * t3599 / 0.2e1 + t102381 * t752 / 0.2e1 + t12046 * t1527 / 0.2e1 - t8744 - t8748 + t8752;
  t103150 = t3139 * t3279 * t18692;
  t103156 = t247 * t18551;
  t103173 = t247 * t18648;
  t103182 = t79722 / 0.3e1;
  t103183 = t88702 / 0.2e1;
  t103184 = -t466 * t103150 / 0.6e1 + 0.9e1 / 0.2e1 * t246 * t12179 * t12176 - 0.6e1 * t246 * t103156 * t1246 + t768 * t18689 / 0.2e1 + t757 * t18689 / 0.2e1 + t246 * t6136 * t18688 / 0.2e1 - t1541 * t87402 / 0.4e1 + t1568 * t87355 / 0.2e1 + t466 * t58696 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t103173 * t730 + 0.3e1 / 0.2e1 * t246 * t674 * t18608 * t3643 + t768 * t18697 + t103182 - t103183;
  t103186 = t22070 * t12017;
  t103208 = t4831 * t11981;
  t103213 = -t18632 - 0.3e1 / 0.2e1 * t79733 - 0.9e1 / 0.2e1 * t4779 * t11891 * t103186 + 0.3e1 / 0.2e1 * t79743 - 0.6e1 * t11960 * t12234 + 0.12e2 * t103098 * t1229 + 0.4e1 * t18553 * t3252 + 0.22e2 / 0.3e1 * t102303 * t8761 + t18553 * t3176 + 0.3e1 * t11960 * t12148 - 0.6e1 * t103098 * t1223 - 0.2e1 * t18553 * t3173 - t2529 * t12145 / 0.3e1 - 0.3e1 / 0.2e1 * t11975 * t103208 + 0.6e1 * t102303 * t8996;
  t103222 = t12004 * t6286 / 0.6e1;
  t103224 = 0.5e1 / 0.108e3 * t102522 * t3602;
  t103234 = t18553 * t3308 / 0.2e1 - t1517 * t18694 / 0.6e1 - t1522 * t18694 / 0.6e1 - t103222 - t103224 - 0.3e1 / 0.2e1 * t18544 * t20707 + 0.3e1 / 0.2e1 * t21711 * t18676 - 0.3e1 * t3530 * t18679 - t18633 + t8778 + t8780 - t8785 - t8790 - t30 * t18628 * t277 / 0.4e1;
  t103236 = 0.4e1 * t88051;
  t103237 = t62 * t18582;
  t103238 = t103237 * t206;
  t103239 = t233 * t103238;
  t103243 = t233 * t103237 * t667;
  t103247 = t233 * t11819 * t11860;
  t103250 = t827 * t103238;
  t103255 = t3402 * t11917;
  t103258 = t18569 * t21730;
  t103264 = t21181 * t18541 * t21209;
  t103269 = t18565 * t21402;
  t103278 = t819 * t60 * t102717;
  t103283 = 0.18e2 * t79919 - t103236 - 0.4e1 * t31906 * t103239 - 0.6e1 * t47988 * t103243 + 0.4e1 * t9923 * t103247 - 0.2e1 / 0.3e1 * t31895 * t103250 - t18570 * t22172 / 0.6e1 + 0.1e2 * t11891 * t103255 - 0.4e2 * t103258 * t8865 - 0.1e2 * t18570 * t22219 + 0.1e2 / 0.3e1 * t103264 * t76408 - 0.12e2 * t11883 * t11918 + 0.24e2 * t103269 * t1330 + 0.8e1 * t18566 * t3452 - 0.2e1 / 0.3e1 * t103258 * t8862 - 0.3e1 * t79924 + t470 * t103278 / 0.2e1 - 0.12e2 * t18566 * t3410;
  t103284 = t3375 * t11917;
  t103291 = t18608 * t21343;
  t103300 = t3448 * t11917;
  t103304 = t3375 * t11911;
  t103307 = t62 * t18511;
  t103309 = t233 * t103307 * t667;
  t103312 = t103307 * t206;
  t103313 = t827 * t103312;
  t103316 = t11819 * t1512;
  t103317 = t840 * t103316;
  t103322 = t840 * t11827;
  t103325 = t3475 * t11820;
  t103330 = -0.9e1 * t11891 * t103284 + 0.9e1 * t18570 * t22257 - 0.9e1 * t11878 * t11937 + 0.12e2 * t103291 * t1336 + 0.3e1 * t18614 * t837 + 0.18e2 * t11883 * t11932 - 0.36e2 * t103269 * t1340 + t11891 * t103300 / 0.6e1 + 0.6e1 * t79930 - 0.2e1 * t2558 * t103304 + 0.2e1 * t9923 * t103309 + t6427 * t103313 / 0.3e1 - 0.12e2 * t6427 * t103317 + 0.32e2 * t59979 * t11821 + 0.18e2 * t88229 * t103322 + 0.2e1 * t59982 * t103325 - 0.6e1 * t79960 - t79964 + 0.6e1 * t79968;
  t103336 = 0.2e1 * t88247;
  t103337 = 0.2e1 * t88248;
  t103338 = 0.4e1 / 0.3e1 * t88249;
  t103346 = -t79995 / 0.3e1 + t8856 + t8875 + t8877 - t8888 - 0.12e2 * t80081 + 0.2e1 * t80088 + 0.3e1 * t80090 - t103336 - t103337 - t103338 + 0.6e1 * t80094 - 0.4e1 * t80114 + t80117 / 0.6e1 - 0.9e1 * t80120 - 0.3e1 * t80123 - t1585 * t18584 - t1585 * t18595;
  t103347 = t3375 * t11861;
  t103352 = 0.2e1 * t88296;
  t103359 = t3409 * t11911;
  t103363 = t3430 * t2571 * t11860;
  t103368 = t18583 * t206;
  t103369 = t22051 * t103368;
  t103372 = t22070 * t11864;
  t103379 = t18558 * t206;
  t103380 = t3409 * t103379;
  t103382 = t2558 * t103347 - 0.9e1 * t80178 + 0.1e2 * t80185 + 0.18e2 * t80188 - t103352 + 0.5e2 / 0.3e1 * t103264 * t76403 + 0.36e2 * t103258 * t8884 - 0.12e2 * t103264 * t76400 + 0.3e1 * t2558 * t103359 - 0.2e1 * t470 * t103363 + 0.24e2 * t103264 * t76365 - 0.2e1 * t1591 * t103369 + 0.9e1 * t11891 * t103372 - 0.72e2 * t103258 * t8957 + 0.8e1 / 0.3e1 * t103264 * t76362 + t1591 * t103380 - t18620 + t18621 + t18622;
  t103385 = 0.2e1 / 0.3e1 * t88347;
  t103387 = 0.4e1 * t88352;
  t103400 = t819 * t103379;
  t103403 = t3430 * t18558 * t667;
  t103407 = t2571 * t1512;
  t103408 = t819 * t103407;
  t103415 = t840 * t103238;
  t103418 = t233 * t103316;
  t103423 = t103385 + 0.2e1 * t80228 + t103387 + 0.4e1 * t2554 * t11862 + 0.18e2 * t11878 * t11875 - 0.24e2 * t103291 * t1317 - 0.6e1 * t18614 * t821 + 0.4e1 * t2554 * t11899 + 0.32e2 / 0.3e1 * t11883 * t11865 - t1587 * t103400 - t470 * t103403 - 0.16e2 * t11883 * t11886 - 0.4e1 * t1587 * t103408 + 0.6e1 * t11878 * t11896 - 0.18e2 * t59982 * t11831 + 0.4e1 * t31895 * t103415 + 0.8e1 * t6440 * t103418 - 0.12e2 * t59851 * t11824;
  t103426 = t827 * t103316;
  t103431 = t827 * t11827;
  t103434 = t3482 * t11820;
  t103437 = t233 * t103312;
  t103441 = t819 * t63 * t102717;
  t103443 = 0.4e1 * t88406;
  t103444 = t840 * t103312;
  t103449 = -0.8e1 * t88219 * t11828 + 0.2e1 * t6427 * t103426 - 0.16e2 / 0.3e1 * t59979 * t11831 - 0.3e1 * t88229 * t103431 + t59982 * t103434 / 0.3e1 + 0.2e1 * t6440 * t103437 - t470 * t103441 + t88398 + t103443 - t18623 - t15748 + t18624 - 0.2e1 * t6427 * t103444 - t18625 - t8948 - t8949 - t8966 + t8975 - 0.2e1 * t2554 * t11912;
  t103460 = t3409 * t103407;
  t103463 = t22051 * t11898;
  t103468 = t3402 * t11868;
  t103475 = t22070 * t103368;
  t103480 = t3430 * t103368;
  t103484 = t22055 * t18583 * t667;
  t103491 = t1585 * t18559 / 0.2e1 - t103264 * t76617 / 0.9e1 + 0.18e2 * t80306 + 0.6e1 * t80309 - 0.36e2 * t80312 - 0.12e2 * t80315 - 0.2e1 * t80318 + 0.6e1 * t1591 * t103460 - 0.9e1 * t2558 * t103463 + 0.24e2 * t18566 * t3427 - 0.2e1 * t11891 * t103468 + 0.2e1 * t18570 * t22078 + 0.2e1 * t1585 * t18589 + 0.4e1 / 0.3e1 * t1591 * t103475 + 0.72e2 * t103269 * t1326 + 0.2e1 * t1587 * t103480 + 0.3e1 * t470 * t103484 - 0.36e2 * t11883 * t11869 - 0.18e2 * t18570 * t22091;
  t103492 = t3375 * t11868;
  t103499 = t3448 * t11868;
  t103504 = t21220 * t11864;
  t103515 = t3375 * t103379;
  t103518 = t3375 * t103407;
  t103521 = t22070 * t11898;
  t103524 = t3409 * t11861;
  t103527 = t21225 * t11864;
  t103530 = 0.2e1 * t88508;
  t103531 = 0.18e2 * t11891 * t103492 - 0.4e1 * t18566 * t3376 + 0.4e1 / 0.3e1 * t103258 * t8944 - t11891 * t103499 / 0.3e1 + t18570 * t22138 / 0.3e1 - t11891 * t103504 / 0.6e1 + 0.6e1 * t11883 * t11901 - 0.12e2 * t103269 * t1322 + 0.8e1 * t103258 * t8954 - 0.4e1 / 0.3e1 * t103264 * t76560 - 0.2e1 / 0.3e1 * t1591 * t103515 - 0.4e1 * t1591 * t103518 + 0.6e1 * t2558 * t103521 - 0.6e1 * t2558 * t103524 - 0.1e2 * t11891 * t103527 + t103530 - t2138 + t2119 + t16887;
  t103544 = t12004 * t6350 / 0.12e2;
  t103547 = t88867 / 0.2e1;
  t103548 = t88873 / 0.2e1;
  t103555 = -t30 * t59 * (t103283 + t103330 + t103346 + t103382 + t103423 + t103449 + t103491 + t103531) * t95 / 0.4e1 + t88761 + t2529 * t6347 / 0.2e1 - t2534 * t32438 / 0.2e1 - t103544 + t18634 - t18635 + 0.9e1 / 0.2e1 * t79801 - 0.9e1 * t79811 - t103547 - t103548 - 0.3e1 / 0.2e1 * t58917 * t1548 + 0.3e1 / 0.2e1 * t12216 * t1551 + 0.3e1 / 0.4e1 * t79831 + 0.3e1 / 0.4e1 * t79833;
  t103561 = t88934 / 0.3e1;
  t103562 = t88936 / 0.6e1;
  t103563 = t88938 / 0.6e1;
  t103574 = t18667 - t79880 / 0.4e1 - t79882 / 0.4e1 + 0.3e1 * t79899 - t103561 + t103562 + t103563 - t79914 / 0.4e1 - t12046 * t2544 / 0.3e1 - 0.3e1 / 0.2e1 * t80354 - t18668 + 0.3e1 * t3530 * t18643 + 0.3e1 / 0.2e1 * t768 * t18637 + 0.3e1 / 0.2e1 * t757 * t18637;
  t103576 = t3548 * t18679;
  t103584 = t89097 / 0.3e1;
  t103587 = t9033 - t9044 - t9058 - t9060 + t80420 / 0.2e1 - t103576 - 0.3e1 / 0.2e1 * t6335 * t2588 + 0.3e1 * t3537 * t18643 - 0.3e1 / 0.2e1 * t6353 * t2588 - t2089 - t80440 / 0.4e1 + t103584 + t89119 - t89122 - t182 * t18629 / 0.4e1;
  t103591 = t3375 * t59722;
  t103595 = t22070 * t12102;
  t103599 = t463 * t18511;
  t103601 = t4760 * t635 * t103599;
  t103609 = t660 * t31295 * t2542;
  t103613 = t660 * t6255 * t12143;
  t103621 = t660 * t3279 * t18512;
  t103626 = t660 * t661 * t94 * t102717;
  t103629 = 0.3e1 / 0.2e1 * t47925 * t12032 + 0.3e1 * t4738 * t1591 * t103591 - 0.9e1 / 0.2e1 * t4738 * t2558 * t103595 - t21878 * t103601 / 0.3e1 - t9110 + t9112 + 0.3e1 / 0.2e1 * t1532 * t12184 - 0.3e1 / 0.2e1 * t1532 * t12188 + t466 * t103609 / 0.4e1 + t466 * t103613 / 0.4e1 + t1517 * t18514 / 0.12e2 + t1522 * t18514 / 0.12e2 + t466 * t103621 / 0.12e2 + t466 * t103626 / 0.12e2;
  t103641 = t1227 * t12214 * t2676;
  t103647 = t80531 / 0.2e1;
  t103648 = t80533 / 0.2e1;
  t103655 = t4844 * t642 * t11980;
  t103658 = t12041 * t18517 / 0.4e1 + t1517 * t18490 / 0.4e1 + t1522 * t18490 / 0.4e1 - 0.3e1 / 0.2e1 * t12216 * t1556 - 0.3e1 / 0.4e1 * t12216 * t1560 + t3319 * t103641 + 0.3e1 / 0.4e1 * t12216 * t1564 + 0.3e1 / 0.2e1 * t80473 - 0.5e1 / 0.12e2 * t80513 + t103647 - t103648 + 0.18e2 * t102303 * t9105 + 0.9e1 / 0.2e1 * t18544 * t20732 + t2534 * t31647 - 0.9e1 / 0.2e1 * t11975 * t103655;
  t103664 = my_piecewise3(t2, 0, t102888 + t103234 + t103042 + t102955 + t103629 + t102521 + t103574 + t102979 + t103184 + t103213 + t102288 + t102776 + t102582 + t103089 + t102434 + t103118 + t103587 + t102387 + t102617 + t102322 + t103555 + t102550 + t102738 + t103025 + t103658 + t102359 + t102923 + t102852 + t102479 + t102804 + t103060 + t103145);
  tv4rholapl30 = t3 * t103664 + t18714;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 0] += tv4rholapl30;

  tv4rholapl31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 1] += tv4rholapl31;

  tv4rholapl32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 2] += tv4rholapl32;

  t103666 = t80573 / 0.12e2;
  t103667 = t89232 / 0.6e1;
  t103669 = t12282 * t6843 / 0.3e1;
  t103670 = t933 * t18875;
  t103679 = t937 * t18936 * t350 / 0.6e1;
  t103680 = t937 * t18892;
  t103682 = 0.2e1 / 0.3e1 * t103680 * t1023;
  t103684 = t6631 * t2671 / 0.2e1;
  t103687 = t933 * t18892;
  t103693 = -t103666 + t103667 + t103669 - 0.3e1 / 0.2e1 * t103670 * t4405 - 0.3e1 / 0.2e1 * t33563 * t2659 + 0.3e1 / 0.2e1 * t6656 * t2671 - t103679 - t103682 + t103684 + 0.3e1 / 0.2e1 * t23924 * t18886 + t103687 * t1016 - 0.2e1 * t103687 * t1023 - t1615 * t12591 / 0.4e1;
  t103701 = t6631 * t2663 / 0.2e1;
  t103703 = t103680 * t1016 / 0.3e1;
  t103705 = t23721 * t18886 / 0.2e1;
  t103707 = t948 * t18871 / 0.2e1;
  t103708 = t948 * t18868;
  t103720 = -0.5e1 / 0.36e2 * t103670 * t4467 - t12267 * t6839 / 0.2e1 + 0.3e1 / 0.4e1 * t60651 * t505 - t103701 + t103703 + t103705 + t103707 - t103708 + 0.3e1 * t4065 * t18932 - t933 * t18936 * t350 / 0.2e1 - t103670 * t4414 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t18927 - 0.3e1 / 0.2e1 * t6656 * t2663;
  t103722 = t4040 * t18864;
  t103724 = t12282 * t6873 / 0.12e2;
  t103726 = t103680 * t1090 / 0.6e1;
  t103727 = t937 * t18875;
  t103729 = 0.23e2 / 0.108e3 * t103727 * t4370;
  t103730 = t89240 / 0.2e1;
  t103732 = t1618 * t18833 / 0.18e2;
  t103734 = t6631 * t2668 / 0.4e1;
  t103742 = t12282 * t18845 / 0.12e2;
  t103744 = t4040 * t18821 / 0.2e1;
  t103745 = -t103722 - t103724 + t103726 + t103729 - t103730 - t103732 - t103734 + t80592 / 0.2e1 - t80604 / 0.4e1 + t12267 * t18845 / 0.4e1 + t1615 * t18842 / 0.12e2 + t103742 + t103744;
  t103747 = t948 * t18817 / 0.3e1;
  t103749 = t948 * t18814 / 0.12e2;
  t103751 = t12282 * t18854 / 0.6e1;
  t103753 = t12282 * t18858 / 0.3e1;
  t103755 = t948 * t18850 / 0.2e1;
  t103757 = t1618 * t18837 / 0.12e2;
  t103764 = t89360 / 0.6e1;
  t103765 = t103747 - t103749 + t103751 - t103753 - t103755 + t103757 - t80611 / 0.2e1 + t80621 - 0.3e1 / 0.2e1 * t80628 - 0.3e1 / 0.2e1 * t80630 + 0.3e1 / 0.2e1 * t80632 - t290 * t18808 / 0.4e1 - t103764;
  t103769 = t948 * t18828 / 0.6e1;
  t103773 = t1618 * t18842 / 0.36e2;
  t103775 = t103727 * t4414 / 0.6e1;
  t103777 = 0.11e2 / 0.54e2 * t103727 * t4365;
  t103778 = t4040 * t18932;
  t103780 = t103727 * t4405 / 0.2e1;
  t103782 = t33317 * t2659 / 0.2e1;
  t103784 = t12285 * t1658 / 0.6e1;
  t103786 = 0.7e1 / 0.9e1 * t103727 * t4505;
  t103788 = t12282 * t6839 / 0.6e1;
  t103793 = t103769 - t12261 * t2619 / 0.3e1 + t103773 - t103775 - t103777 + t103778 - t103780 - t103782 + t103784 + t103786 - t103788 + 0.3e1 / 0.2e1 * t945 * t18871 + 0.7e1 / 0.3e1 * t103670 * t4505;
  t103800 = 0.5e1 / 0.108e3 * t103727 * t4467;
  t103802 = t60924 * t505 / 0.4e1;
  t103804 = t1618 * t12591 / 0.12e2;
  t103806 = t948 * t18927 / 0.2e1;
  t103812 = t80668 / 0.4e1;
  t103814 = t80696 / 0.6e1;
  t103815 = t12267 * t6843 - 0.3e1 * t4065 * t18864 - 0.3e1 * t945 * t18868 - t103800 + t103802 - t103804 + t103806 - t12267 * t18858 + t12267 * t18854 / 0.2e1 - 0.3e1 / 0.4e1 * t6656 * t2668 + t103812 + 0.3e1 / 0.4e1 * t80674 + t103814;
  t103817 = t80708 / 0.12e2;
  t103818 = t80710 / 0.6e1;
  t103823 = t12285 * t2619 / 0.9e1;
  t103834 = t294 * t18808 / 0.12e2;
  t103835 = t80767 / 0.3e1;
  t103836 = t80775 / 0.2e1;
  t103837 = -t103817 - t103818 + t945 * t18817 - t945 * t18814 / 0.4e1 - t103823 + 0.3e1 / 0.2e1 * t4065 * t18821 - t80727 / 0.4e1 - t1615 * t18833 / 0.6e1 + t1615 * t18837 / 0.4e1 + t945 * t18828 / 0.2e1 - t103834 + t103835 - t103836;
  t103838 = t80777 / 0.2e1;
  t103839 = t80779 / 0.2e1;
  t103842 = t89451 / 0.18e2;
  t103853 = -t103838 + t103839 - 0.3e1 / 0.2e1 * t945 * t18850 + t103842 - 0.11e2 / 0.18e2 * t103670 * t4365 + 0.23e2 / 0.36e2 * t103670 * t4370 + t12261 * t1658 / 0.2e1 + t103687 * t1090 / 0.2e1 - t12267 * t6873 / 0.4e1 - t9156 + t9168 - t9180 + t9188;
  t103857 = my_piecewise3(t100, 0, t103693 + t103720 + t103745 + t103765 + t103793 + t103815 + t103837 + t103853);
  tv4rholapl33 = t3 * t103857 + t18943;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 3] += tv4rholapl33;

  t103871 = -t102278 + 0.3e1 / 0.4e1 * t60512 * t481 - t1632 * t12211 / 0.4e1 - t12304 * t6350 / 0.4e1 + 0.3e1 / 0.2e1 * t80818 + t102354 - 0.3e1 / 0.2e1 * t80837 + t1632 * t18490 / 0.4e1 - 0.3e1 / 0.4e1 * t6575 * t2593 - t102524 - t102526 + t102528 + t102536;
  t103883 = t89515 / 0.6e1;
  t103884 = t102538 + t102543 - t102558 + t102578 + t102583 + t903 * t18689 / 0.2e1 - t1632 * t18694 / 0.6e1 + t12304 * t18527 / 0.2e1 - 0.3e1 / 0.2e1 * t903 * t18524 - t12304 * t18531 - 0.3e1 * t3802 * t18679 + t103883 - t102621;
  t103888 = t102747 + t102749 - t102751 + t102753 - t102755 + t102757 - t102759 + t102761 - t102763 + t102765 - t102767 + t102795 + 0.3e1 / 0.2e1 * t3802 * t18706;
  t103892 = t89584 / 0.2e1;
  t103893 = -t102796 + t102797 + 0.3e1 / 0.4e1 * t80864 - t102802 - t80866 / 0.4e1 + t80891 / 0.2e1 + t102865 - t102900 - t102916 + t102918 - t103892 - t102954 + t102957;
  t103909 = t897 * t18543;
  t103912 = t102959 + t102960 - t103029 - t8667 + t8683 - t307 * t18629 / 0.4e1 + t903 * t18697 - t903 * t18701 / 0.4e1 - t12312 * t2544 / 0.3e1 + t12304 * t18517 / 0.4e1 + t1632 * t18514 / 0.12e2 - 0.3e1 * t903 * t18682 + 0.23e2 / 0.36e2 * t103909 * t3545;
  t103926 = -t103909 * t3665 / 0.2e1 - 0.5e1 / 0.36e2 * t103909 * t3602 - t12304 * t6286 / 0.2e1 + 0.7e1 / 0.3e1 * t103909 * t3668 + t12304 * t6290 - 0.3e1 / 0.2e1 * t103909 * t3673 - t103094 + t103096 + t80901 - t80904 / 0.2e1 - 0.3e1 / 0.2e1 * t80906 - t103103 - t103107;
  t103938 = t897 * t18552;
  t103940 = -t103134 + t103136 - t103138 + t103182 - t103222 - t103224 - t103544 + 0.3e1 * t3802 * t18643 - 0.3e1 / 0.2e1 * t6575 * t2588 - 0.11e2 / 0.18e2 * t103909 * t3517 + 0.3e1 / 0.2e1 * t903 * t18637 - 0.3e1 / 0.2e1 * t32796 * t2584 + t103938 * t630;
  t103957 = -0.2e1 * t103938 * t637 + 0.3e1 / 0.2e1 * t903 * t18671 + 0.3e1 / 0.2e1 * t6575 * t2596 + 0.3e1 / 0.2e1 * t22751 * t18676 - t80921 / 0.4e1 + t12312 * t1527 / 0.2e1 + t103938 * t752 / 0.2e1 - t897 * t18649 * t223 / 0.2e1 - t9215 + t9226 - t103576 + t103647 - t103648;
  t103961 = my_piecewise3(t2, 0, t103871 + t103884 + t103888 + t103893 + t103912 + t103926 + t103940 + t103957);
  tv4rholapl34 = t3 * t103961 + t18714;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 4] += tv4rholapl34;

  tv4rholapl35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 5] += tv4rholapl35;

  tv4rholapl36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 6] += tv4rholapl36;

  t103966 = t18738 * t333;
  t103967 = t24962 * t103966;
  t103970 = t168 * t103966;
  t103971 = t30214 * t103970;
  t103987 = t321 * t616 * t18874;
  t103990 = -t103666 - t80960 / 0.4e1 - t80962 / 0.4e1 - t80972 / 0.2e1 + t5540 * t1720 * t103967 - t6824 * t103971 / 0.3e1 + 0.9e1 / 0.2e1 * t80978 + 0.3e1 / 0.2e1 * t80982 - t2604 * t12632 / 0.3e1 - t2604 * t12637 / 0.3e1 - t18937 * t1002 / 0.2e1 - t12562 * t2619 / 0.3e1 + t18937 * t997 / 0.2e1 - 0.3e1 * t103987 * t1438;
  t103994 = t321 * t194 * t18891;
  t103997 = t4686 * t12631;
  t104000 = t4686 * t12636;
  t104004 = t987 * t4697 * t18840;
  t104014 = t1074 * t18875;
  t104021 = -0.3e1 / 0.2e1 * t12659 * t12655 + 0.2e1 * t103994 * t1433 + t2609 * t103997 / 0.4e1 + t2609 * t104000 / 0.4e1 + t490 * t104004 / 0.12e2 + 0.3e1 * t80995 - 0.9e1 / 0.2e1 * t80999 - 0.3e1 / 0.2e1 * t81002 - 0.6e1 * t81006 - 0.3e1 / 0.2e1 * t81009 + 0.23e2 / 0.36e2 * t18876 * t24441 + 0.23e2 / 0.36e2 * t104014 * t4370 - 0.11e2 / 0.18e2 * t18876 * t24438 - 0.2e1 * t18893 * t4438;
  t104025 = t1074 * t18892;
  t104046 = t5549 * t12555;
  t104049 = t168 * t61529;
  t104050 = t4137 * t104049;
  t104053 = -0.11e2 / 0.18e2 * t104014 * t4365 - 0.2e1 * t104025 * t1023 + t104025 * t1016 + t18893 * t4352 - 0.3e1 / 0.2e1 * t34801 * t2659 - 0.3e1 / 0.2e1 * t34808 * t2659 + 0.3e1 / 0.2e1 * t6876 * t2671 + 0.3e1 / 0.2e1 * t6855 * t2671 + 0.3e1 / 0.2e1 * t24584 * t18886 + 0.3e1 / 0.2e1 * t24589 * t18886 + 0.2e1 / 0.3e1 * t61943 * t12548 - t61943 * t12556 / 0.3e1 + t61272 * t104046 / 0.4e1 - 0.2e1 / 0.3e1 * t6830 * t104050;
  t104055 = t5549 * t104049;
  t104060 = t29911 * t12547;
  t104063 = t29498 * t12510;
  t104087 = t61936 * t12542 + t6824 * t104055 / 0.2e1 - 0.4e1 / 0.3e1 * t61452 * t12551 - 0.3e1 / 0.4e1 * t61272 * t104060 + 0.5e1 / 0.12e2 * t61262 * t104063 - t18937 * t1087 / 0.2e1 - t1074 * t18936 * t350 / 0.2e1 + 0.3e1 * t4383 * t18932 + 0.3e1 * t4349 * t18932 - 0.3e1 / 0.2e1 * t6855 * t2663 - 0.3e1 / 0.2e1 * t6876 * t2663 + 0.3e1 / 0.2e1 * t1056 * t18927 + 0.3e1 / 0.2e1 * t1078 * t18927 - t18876 * t24597 / 0.2e1 - t104014 * t4414 / 0.2e1;
  t104090 = t18764 * t333;
  t104091 = t168 * t104090;
  t104092 = t5587 * t104091;
  t104095 = t4549 * t61529;
  t104107 = t4206 * t2607;
  t104116 = t24764 * t12335;
  t104123 = -0.2e1 * t12420 * t12699 + 0.8e1 * t12417 * t12524 - 0.8e1 * t104107 * t4176 - 0.4e1 * t12616 - 0.4e1 * t12620 + 0.8e1 / 0.3e1 * t12417 * t12712 - 0.8e1 / 0.3e1 * t104107 * t4171 + 0.16e2 / 0.9e1 * t104116 * t9312 - 0.2e1 * t61153 * t2667 + t15337 - 0.8e1 * t12414 * t12704;
  t104124 = t989 * t2607;
  t104127 = t989 * t2602;
  t104130 = t4206 * t12340;
  t104141 = 0.12e2 * t104124 * t1419 + 0.4e1 * t104127 * t1100 - 0.8e1 * t104130 * t1407 - t77157 - t77161 + t77164 + t77174 - 0.24e2 * t104130 * t1412 + 0.32e2 / 0.3e1 * t104116 * t9317 - 0.2e1 / 0.3e1 * t12520 + 0.12e2 * t104116 * t9340 + 0.4e1 * t12507;
  t104153 = t2632 * t4333;
  t104156 = t77198 - t77201 - t15349 + t77217 + t77219 - 0.4e1 * t12417 * t62349 + 0.4e1 * t12414 * t61659 + 0.4e1 * t12420 * t61650 - 0.4e1 / 0.3e1 * t12417 * t62345 + 0.4e1 / 0.3e1 * t12432 * t12712 - 0.4e1 * t104153 * t1407;
  t104159 = t12397 * t4356;
  t104172 = t2628 * t1007;
  t104183 = -0.4e1 / 0.3e1 * t2641 * t4171 + 0.2e2 / 0.9e1 * t104159 * t9312 + 0.24e2 * t104153 * t1412 - 0.12e2 * t104159 * t9340 - 0.8e1 * t12432 * t12524 + 0.8e1 * t2641 * t4176 + 0.8e1 * t12427 * t12704 - 0.12e2 * t104172 * t1419 - 0.4e1 * t2644 * t1100 + 0.2e1 * t1728 * t2667 + 0.2e1 * t496 * t12699 + 0.4e1 / 0.3e1 * t104159 * t9317;
  t104185 = t104123 + t104141 + t104156 + t104183;
  t104188 = t987 * t988 * t167 * t104185;
  t104200 = t987 * t34384 * t2617;
  t104204 = t987 * t6773 * t12635;
  t104210 = t4707 * t4697 * t18831;
  t104215 = t6824 * t104092 / 0.6e1 - 0.3e1 * t5540 * t1720 * t104095 + 0.8e1 * t5540 * t12394 * t12506 - 0.3e1 / 0.2e1 * t81141 + t490 * t104188 / 0.12e2 + t12565 * t18845 / 0.4e1 + t1677 * t18842 / 0.12e2 + t1682 * t18842 / 0.12e2 + t1682 * t18837 / 0.4e1 + t490 * t104200 / 0.4e1 + t490 * t104204 / 0.4e1 - t1682 * t18833 / 0.6e1 - t490 * t104210 / 0.6e1 + t1677 * t18837 / 0.4e1;
  t104221 = t978 * t18725;
  t104232 = t29498 * t12514;
  t104240 = t29911 * t1021 * t12546;
  t104243 = t5587 * t12555;
  t104246 = t30214 * t12547;
  t104249 = t29517 * t12510;
  t104252 = t5587 * t104049;
  t104256 = t373 * t6949 * t18827 / 0.2e1 - t1677 * t18833 / 0.6e1 + 0.3e1 * t1030 * t104221 * t4335 + t1078 * t18828 / 0.2e1 + t1056 * t18828 / 0.2e1 + 0.9e1 * t1030 * t12341 * t12712 - 0.23e2 / 0.12e2 * t61262 * t104232 - 0.2e1 * t6824 * t61531 + 0.16e2 / 0.3e1 * t61452 * t12515 + 0.3e1 * t61272 * t104240 + t61272 * t104243 / 0.2e1 - 0.3e1 / 0.2e1 * t61272 * t104246 + 0.11e2 / 0.6e1 * t61262 * t104249 + t6824 * t104252 - 0.8e1 / 0.3e1 * t61452 * t12511;
  t104258 = t2601 * t2616;
  t104259 = t1021 * t104258;
  t104260 = t29517 * t104259;
  t104266 = t89805 / 0.2e1;
  t104267 = t89807 / 0.2e1;
  t104278 = -0.7e1 * t29011 * t104260 - 0.3e1 / 0.2e1 * t4145 * t61612 * t18849 - t104266 - t104267 + 0.3e1 / 0.2e1 * t81184 + t81188 / 0.2e1 - 0.5e1 / 0.12e2 * t81191 - t81198 / 0.4e1 + 0.3e1 * t81204 + t81206 - 0.11e2 / 0.6e1 * t81211 - t81214 / 0.2e1 - 0.3e1 / 0.2e1 * t1078 * t18850 - t81327 / 0.4e1;
  t104287 = t1400 * t1661 * t12648;
  t104294 = t18717 * t24370;
  t104296 = t321 * t21182 * t104294;
  t104305 = t167 * t18717;
  t104306 = t371 * t104305;
  t104307 = t29110 * t104306;
  t104310 = t81334 / 0.4e1 - t81336 / 0.4e1 + t81340 / 0.2e1 - t89956 + t81371 / 0.2e1 + t2609 * t33963 + 0.23e2 / 0.12e2 * t12347 * t81764 + 0.2e1 * t1651 * t104287 - 0.6e1 * t12643 * t10317 - 0.2e1 * t2609 * t34122 + 0.89e2 / 0.9e1 * t104296 * t77677 + 0.7e1 / 0.3e1 * t18876 * t25406 + 0.7e1 * t12347 * t35175 - 0.7e1 * t18876 * t25403 + 0.47e2 / 0.3e1 * t77105 * t104307;
  t104314 = t978 * t18718;
  t104318 = t4373 * t18874;
  t104322 = t4362 * t12711;
  t104330 = t18717 * t24085;
  t104332 = t321 * t3512 * t104330;
  t104351 = 0.3e1 / 0.2e1 * t373 * t104314 * t4409 - 0.9e1 / 0.2e1 * t373 * t104318 * t25205 + 0.9e1 / 0.2e1 * t373 * t12336 * t104322 - 0.2e1 * t104296 * t77680 - 0.38e2 / 0.9e1 * t104296 * t77689 + 0.6e1 * t104332 * t9289 - 0.3e1 * t1663 * t12528 + 0.3e1 * t1663 * t12525 - 0.9e1 * t1663 * t12342 - 0.3e1 / 0.2e1 * t6848 * t12720 + 0.9e1 * t6848 * t12715 + 0.3e1 * t6848 * t12718 - 0.3e1 * t6848 * t12713 - 0.3e1 / 0.2e1 * t18876 * t24612;
  t104363 = t4161 * t1014 * t12435;
  t104370 = t5640 * t104306;
  t104373 = t1031 * t18891;
  t104380 = t1031 * t18874;
  t104384 = t1028 * t104305;
  t104385 = t29437 * t104384;
  t104394 = -0.43e2 / 0.9e1 * t104296 * t77652 + 0.9e1 / 0.2e1 * t18876 * t24352 + 0.18e2 * t104332 * t9345 - 0.9e1 / 0.2e1 * t12347 * t34400 - 0.3e1 / 0.2e1 * t1056 * t18850 - 0.3e1 / 0.2e1 * t373 * t12527 * t104363 - 0.3e1 * t373 * t104221 * t4339 - 0.28e2 * t77417 * t104370 + 0.6e1 * t373 * t104373 * t4176 - 0.9e1 * t373 * t12341 * t12524 + 0.18e2 * t373 * t104380 * t1412 - 0.62e2 / 0.3e1 * t77105 * t104385 - 0.3e1 * t1030 * t104314 * t4377 + 0.9e1 * t1030 * t104318 * t25293;
  t104396 = t4373 * t104330;
  t104401 = t4362 * t4363 * t1671;
  t104406 = t4686 * t371 * t12635;
  t104410 = t4686 * t1054 * t2617;
  t104414 = t4162 * t12631;
  t104417 = t4162 * t12636;
  t104430 = 0.36e2 * t1030 * t104396 * t9317 - 0.9e1 * t1030 * t12336 * t104401 - t2609 * t104406 - t12565 * t18858 - t2609 * t104410 + t12565 * t18854 / 0.2e1 + t2609 * t104414 / 0.2e1 + t2609 * t104417 / 0.2e1 + 0.3e1 / 0.2e1 * t81404 + 0.3e1 * t12643 * t10313 + t2609 * t34703 - 0.5e1 / 0.36e2 * t18876 * t24547 + 0.5e1 / 0.12e2 * t18876 * t25504 - 0.35e2 / 0.108e3 * t104296 * t77772;
  t104431 = t5623 * t12649;
  t104447 = t1400 * t12594 * t2756;
  t104453 = -0.5e1 / 0.12e2 * t12347 * t104431 + 0.5e1 / 0.3e1 * t104332 * t9405 - t490 * t61959 / 0.4e1 - t1651 * t90343 / 0.4e1 + t1644 * t90968 / 0.2e1 + t490 * t61963 / 0.4e1 - 0.3e1 / 0.4e1 * t12596 * t1704 + t4245 * t104447 + 0.3e1 / 0.4e1 * t12596 * t1708 - 0.3e1 / 0.2e1 * t12596 * t1700 + t103669 - t103679 - t103682 + t103684 - t103701;
  t104459 = t1182 * t61529;
  t104463 = t1182 * t104090;
  t104467 = t18764 * t994;
  t104468 = t4543 * t104467;
  t104473 = t5549 * t4143 * t12554;
  t104476 = t103703 + t103705 + t103707 - t103708 - t103722 - t103724 + t103726 + t103729 - t4145 * t7116 * t18813 / 0.4e1 + 0.2e1 * t5540 * t1716 * t104459 + t5540 * t1716 * t104463 / 0.2e1 + t5540 * t494 * t104468 / 0.2e1 - t61272 * t104473 - 0.3e1 / 0.2e1 * t81451;
  t104494 = t24848 * t12505;
  t104498 = t4137 * t104091;
  t104502 = t9270 * t168 * t104467;
  t104505 = t5549 * t104091;
  t104509 = -t103732 - t103734 - 0.3e1 / 0.2e1 * t104014 * t4405 - 0.3e1 / 0.2e1 * t18876 * t25120 + 0.3e1 / 0.2e1 * t1078 * t18871 + 0.3e1 / 0.2e1 * t1056 * t18871 + 0.7e1 / 0.3e1 * t104014 * t4505 + 0.7e1 / 0.3e1 * t18876 * t24661 - 0.18e2 * t4395 * t104396 * t9312 + 0.3e1 / 0.2e1 * t1663 * t12531 + 0.9e1 * t5559 * t12398 * t104494 - t6830 * t104498 / 0.6e1 - t6827 * t104502 / 0.6e1 + t6824 * t104505 / 0.12e2 - 0.3e1 / 0.2e1 * t81500;
  t104517 = t4137 * t380 * t403 * t18764;
  t104520 = t81814 * t12547;
  t104523 = t50186 * t12510;
  t104526 = t35145 * t12555;
  t104539 = 0.3e1 / 0.2e1 * t81502 - 0.3e1 * t81509 + 0.7e1 * t81511 + 0.3e1 / 0.2e1 * t81514 + t6827 * t104517 / 0.12e2 - t6827 * t104520 / 0.2e1 + t6824 * t104523 / 0.4e1 + t6827 * t104526 / 0.4e1 + t12565 * t6843 + t2609 * t34793 - 0.3e1 * t4349 * t18864 - 0.3e1 * t4383 * t18864 - 0.3e1 * t1078 * t18868 - 0.3e1 * t1056 * t18868;
  t104540 = t24823 * t103966;
  t104547 = t24823 * t12505;
  t104551 = t81533 - t5559 * t1720 * t104540 + t103742 + t103744 + t103747 - t103749 + t103751 - t103753 - t103755 + t103757 + t81565 - t318 * t18808 / 0.4e1 + 0.9e1 / 0.2e1 * t81573 + 0.9e1 * t81577 - 0.9e1 / 0.2e1 * t5540 * t12398 * t104547;
  t104556 = t29911 * t12510;
  t104567 = t90410 / 0.6e1;
  t104568 = t90412 / 0.3e1;
  t104569 = t90414 / 0.6e1;
  t104570 = t4408 * t104090;
  t104576 = 0.3e1 / 0.2e1 * t61262 * t104556 + 0.9e1 / 0.2e1 * t61262 * t29498 * t4403 * t12505 - t81581 / 0.2e1 + t18811 - 0.3e1 / 0.2e1 * t81624 - t81627 / 0.2e1 + t81630 / 0.2e1 - t2180 + t104567 - t104568 + t104569 + t5559 * t1720 * t104570 / 0.2e1 + 0.3e1 / 0.2e1 * t81676 + 0.3e1 / 0.2e1 * t81679;
  t104583 = t5640 * t12649;
  t104601 = -0.3e1 / 0.2e1 * t81681 - 0.3e1 / 0.2e1 * t81683 - 0.3e1 / 0.2e1 * t81686 - 0.9e1 * t81690 - 0.11e2 / 0.18e2 * t18876 * t24332 - 0.11e2 / 0.6e1 * t12347 * t104583 + 0.11e2 / 0.6e1 * t18876 * t24356 - 0.2e1 * t18893 * t4656 + 0.4e1 * t18893 * t4691 - 0.23e2 / 0.3e1 * t104332 * t9286 - 0.6e1 * t12643 * t12671 + 0.12e2 * t103987 * t1402 + 0.22e2 / 0.3e1 * t104332 * t9333 + t18893 * t4166;
  t104616 = t4362 * t4368 * t1671;
  t104627 = 0.3e1 * t12643 * t12676 - 0.6e1 * t103987 * t1396 - 0.2e1 * t18893 * t4163 - 0.9e1 / 0.2e1 * t4395 * t104318 * t25274 + 0.3e1 / 0.2e1 * t4395 * t104314 * t4397 + 0.9e1 / 0.2e1 * t4395 * t12336 * t104616 - t81741 / 0.4e1 - t81747 / 0.2e1 - t81750 / 0.2e1 - t103764 - t81780 / 0.4e1 - t81784 / 0.4e1 + 0.3e1 / 0.4e1 * t81799 + 0.3e1 / 0.4e1 * t81803;
  t104630 = t2616 * t12435;
  t104632 = t9270 * t168 * t104630;
  t104635 = t29911 * t103970;
  t104640 = t9270 * t380 * t403 * t18738;
  t104643 = t35145 * t12510;
  t104646 = t487 * t18738;
  t104648 = t29911 * t1021 * t104646;
  t104654 = t9270 * t103970;
  t104657 = t18738 * t994;
  t104659 = t45031 * t168 * t104657;
  t104662 = t4543 * t103966;
  t104665 = t24858 * t104657;
  t104669 = t4543 * t104630;
  t104674 = -0.2e1 * t81824 + 0.23e2 / 0.12e2 * t81828 + t81832 - t6827 * t104632 / 0.3e1 - t6824 * t104635 / 0.6e1 - t6827 * t104640 / 0.6e1 - t6830 * t104643 / 0.2e1 + 0.2e1 / 0.3e1 * t24164 * t104648 + t4145 * t7116 * t18827 / 0.2e1 + t6830 * t104654 / 0.3e1 + t6827 * t104659 / 0.2e1 - t5540 * t1716 * t104662 - 0.3e1 / 0.2e1 * t5540 * t494 * t104665 + t5540 * t494 * t104669 + 0.3e1 / 0.2e1 * t50177 * t12620;
  t104677 = t50186 * t19454;
  t104679 = t90712 / 0.2e1;
  t104685 = -t24164 * t104677 - t9308 - t9324 + t9327 + t103769 + t103773 - t104679 + t9353 + t9357 - t9359 - t9361 - t18860 - 0.3e1 / 0.4e1 * t34283 * t12623 + 0.3e1 / 0.2e1 * t5535 * t61612 * t18820;
  t104688 = t4408 * t61529;
  t104692 = t24823 * t12546;
  t104704 = t487 * t18764;
  t104706 = t5549 * t1021 * t104704;
  t104709 = t90722 / 0.2e1;
  t104710 = 0.3e1 / 0.2e1 * t50177 * t12616 + 0.3e1 * t5559 * t1720 * t104688 - 0.9e1 / 0.2e1 * t5559 * t2633 * t104692 - 0.3e1 * t5540 * t12388 * t12615 - 0.2e1 * t5540 * t2629 * t12619 + t4145 * t62070 * t2667 - t24164 * t104706 / 0.3e1 - t104709 - t103775 - t103777 + t103778 - t103780 - t103782 + t103784 + t103786;
  t104714 = t373 * t12534 * t12699 - t103788 - t103800 + t103802 - t103804 + t103806 + t16033 - t18909 - t18910 + t18911 + t18912 - t18913 - t18915 - t9442;
  t104721 = t985 * t348 * t104185;
  t104727 = t90791 / 0.3e1;
  t104731 = -t1056 * t18814 / 0.4e1 - t373 * t6949 * t18813 / 0.4e1 - t373 * t1703 * t104721 / 0.4e1 + t1078 * t18817 + t1056 * t18817 + t103812 + t2251 - t104727 + t82392 + 0.3e1 / 0.4e1 * t82394 - 0.3e1 / 0.2e1 * t82396 - 0.3e1 / 0.4e1 * t82398 + t103814 - t103817 - t103818;
  t104755 = t4161 * t1019 * t12435;
  t104770 = -0.6e1 * t1030 * t104373 * t4171 - 0.3e1 / 0.4e1 * t1663 * t12695 - 0.3e1 / 0.4e1 * t1663 * t12700 - 0.3e1 / 0.4e1 * t6855 * t2668 - 0.3e1 / 0.2e1 * t1663 * t12539 - 0.3e1 / 0.4e1 * t6876 * t2668 + 0.9e1 / 0.2e1 * t1663 * t12708 + 0.3e1 / 0.2e1 * t1663 * t12535 - 0.3e1 * t1663 * t12705 + 0.3e1 / 0.2e1 * t1030 * t12527 * t104755 + 0.3e1 / 0.2e1 * t373 * t978 * t18742 * t4426 + 0.3e1 / 0.2e1 * t4349 * t18821 + 0.3e1 / 0.2e1 * t4383 * t18821 + 0.9e1 / 0.2e1 * t373 * t12707 * t12704;
  t104771 = t374 * t18891;
  t104775 = t374 * t18935;
  t104779 = t90876 / 0.3e1;
  t104792 = -0.6e1 * t373 * t104771 * t1419 - 0.3e1 / 0.2e1 * t373 * t104775 * t1100 - t9464 + t104779 + t9487 + t9489 - t103823 - t9505 - t9507 - 0.3e1 / 0.2e1 * t12347 * t81761 + 0.3e1 / 0.2e1 * t12596 * t1696 - t1651 * t89754 / 0.2e1 - 0.3e1 / 0.2e1 * t61715 * t1693 - 0.18e2 * t1030 * t104380 * t1407 - 0.3e1 / 0.2e1 * t82547;
  t104799 = t24794 * t12505;
  t104803 = t4549 * t104090;
  t104810 = t50222 * t12510;
  t104813 = 0.2e1 / 0.3e1 * t90964;
  t104820 = -0.3e1 / 0.2e1 * t82550 - 0.3e1 / 0.2e1 * t50177 * t12507 + 0.3e1 / 0.2e1 * t51823 * t12520 - 0.9e1 / 0.2e1 * t10506 * t12398 * t104799 - t5540 * t1720 * t104803 / 0.2e1 - 0.8e1 * t5559 * t12394 * t62089 + t6824 * t104810 / 0.2e1 + t90956 + t90959 - t104813 - t103834 + 0.3e1 / 0.4e1 * t12596 * t1673 - t1677 * t12591 / 0.4e1 - t1682 * t12591 / 0.4e1;
  t104827 = t349 * t18808;
  t104832 = t321 * t369 * t18806 * t370;
  t104838 = t24962 * t12546;
  t104842 = t25083 * t104294;
  t104854 = -t490 * t62280 / 0.4e1 + 0.3e1 / 0.4e1 * t62469 * t505 + 0.3e1 / 0.4e1 * t62463 * t505 - t338 * t104827 / 0.12e2 + t104832 * t377 / 0.4e1 - t110 * t18807 * t404 / 0.4e1 + 0.9e1 / 0.2e1 * t5540 * t2633 * t104838 + t103835 - t103836 - t103838 + t103839 - 0.6e1 * t25375 * t104842 * t77642 + 0.9e1 / 0.2e1 * t1663 * t12363 - 0.9e1 * t6848 * t12337 + 0.8e1 * t104296 * t29442 * t4393 * t1394;
  t104887 = 0.9e1 / 0.2e1 * t34826 * t12367 + 0.7e1 * t12347 * t5640 * t10316 - 0.9e1 / 0.2e1 * t12347 * t81589 + 0.6e1 * t373 * t104842 * t77637 + t18893 * t4490 / 0.2e1 - t12565 * t6873 / 0.4e1 - t2609 * t35118 / 0.4e1 + t2604 * t6870 / 0.2e1 + t104025 * t1090 / 0.2e1 + t12562 * t1658 / 0.2e1 - 0.5e1 / 0.36e2 * t18876 * t24634 - t12565 * t6839 / 0.2e1 - t2609 * t34813 / 0.2e1 - 0.5e1 / 0.36e2 * t104014 * t4467;
  t104903 = t5634 * t12649;
  t104908 = t5623 * t12670;
  t104919 = t103842 - 0.18e2 * t373 * t104396 * t9340 - 0.18e2 * t1030 * t104842 * t77633 + 0.18e2 * t4395 * t104842 * t77778 - t1078 * t18814 / 0.4e1 + 0.3e1 / 0.2e1 * t18876 * t25252 - t18876 * t25255 / 0.2e1 - 0.3e1 / 0.2e1 * t12347 * t104903 + 0.23e2 / 0.36e2 * t18876 * t24335 + 0.23e2 / 0.12e2 * t12347 * t104908 - 0.23e2 / 0.12e2 * t18876 * t24359 + 0.44e2 / 0.27e2 * t104296 * t77794 - 0.61e2 / 0.27e2 * t104296 * t77791 + t82744 / 0.2e1 + t82747 / 0.2e1;
  t104921 = t91139 / 0.6e1;
  t104922 = t91149 / 0.6e1;
  t104923 = t91151 / 0.6e1;
  t104926 = 0.4e1 * t91278;
  t104929 = t12370 * t1671;
  t104930 = t1190 * t104929;
  t104933 = t1190 * t12378;
  t104936 = t1203 * t104929;
  t104941 = t1203 * t12378;
  t104944 = t4624 * t12371;
  t104947 = t142 * t18738;
  t104948 = t104947 * t333;
  t104949 = t1203 * t104948;
  t104952 = t142 * t18764;
  t104953 = t104952 * t333;
  t104954 = t1203 * t104953;
  t104959 = t1190 * t104948;
  t104962 = t360 * t104929;
  t104969 = t360 * t104953;
  t104973 = t360 * t104952 * t994;
  t104976 = t1190 * t104953;
  t104979 = -t104926 - 0.16e2 / 0.3e1 * t62492 * t12372 + 0.2e1 * t6969 * t104930 - 0.3e1 * t91331 * t104933 - 0.12e2 * t6969 * t104936 + 0.32e2 * t62492 * t12447 + 0.18e2 * t91331 * t104941 + 0.2e1 * t62499 * t104944 + 0.4e1 * t34459 * t104949 - 0.2e1 * t6969 * t104954 - 0.18e2 * t62499 * t12372 - 0.2e1 / 0.3e1 * t34459 * t104959 + 0.8e1 * t6966 * t104962 - 0.12e2 * t62570 * t12375 - 0.8e1 * t91349 * t12379 + 0.2e1 * t6966 * t104969 + 0.2e1 * t10396 * t104973 + t6969 * t104976 / 0.3e1;
  t104980 = t360 * t104948;
  t104984 = t360 * t104947 * t994;
  t104988 = t360 * t12370 * t12435;
  t104991 = t4633 * t12371;
  t104994 = t18718 * t24899;
  t104997 = t4396 * t12384;
  t105002 = t4376 * t12384;
  t105016 = -0.4e1 * t34634 * t104980 - 0.6e1 * t51021 * t104984 + 0.4e1 * t10396 * t104988 + t62499 * t104991 / 0.3e1 - 0.2e1 / 0.3e1 * t104994 * t9537 + t12398 * t104997 / 0.6e1 - t18719 * t24884 / 0.6e1 + 0.1e2 * t12398 * t105002 - 0.4e2 * t104994 * t9548 + 0.1e2 * t81892 - 0.6e1 * t81894 - 0.12e2 * t81899 - t81907 + t81910 / 0.6e1 + 0.18e2 * t81918 + 0.6e1 * t81922 - 0.4e1 * t81925 + 0.6e1 * t81935 - 0.36e2 * t81951;
  t105019 = t4549 * t12436;
  t105022 = t4408 * t12384;
  t105033 = 0.2e1 * t91458;
  t105034 = 0.4e1 / 0.3e1 * t91473;
  t105035 = t4549 * t12480;
  t105038 = t24848 * t12460;
  t105041 = t18765 * t333;
  t105042 = t1182 * t105041;
  t105045 = t4543 * t18765 * t994;
  t105055 = t4396 * t12454;
  t105058 = -0.12e2 * t81955 + 0.3e1 * t2633 * t105019 - 0.9e1 * t12398 * t105022 + 0.9e1 * t18719 * t24948 + 0.18e2 * t12394 * t12440 - 0.12e2 * t18726 * t4582 - 0.2e1 * t2629 * t12437 + t105033 - t105034 - 0.6e1 * t2633 * t105035 - 0.1e2 * t12398 * t105038 - t1716 * t105042 - t494 * t105045 - 0.16e2 * t12394 * t12494 + 0.6e1 * t12388 * t12461 + 0.4e1 * t2629 * t12466 + 0.32e2 / 0.3e1 * t12394 * t12483 - t12398 * t105055 / 0.3e1;
  t105059 = t4408 * t105041;
  t105064 = 0.4e1 * t91494;
  t105065 = 0.4e1 * t91496;
  t105066 = 0.2e1 / 0.3e1 * t91498;
  t105068 = t2646 * t1671;
  t105069 = t1182 * t105068;
  t105072 = t24962 * t12465;
  t105080 = t21181 * t18717 * t24923;
  t105083 = t4408 * t105068;
  t105086 = t24823 * t12465;
  t105089 = t18725 * t24865;
  t105092 = -0.2e1 / 0.3e1 * t1720 * t105059 + 0.18e2 * t82020 + 0.6e1 * t82023 - t15889 + t18785 - t18786 + t105064 + t105065 + t105066 - t1714 * t18740 + t91504 - 0.4e1 * t1716 * t105069 - 0.9e1 * t2633 * t105072 + 0.4e1 / 0.3e1 * t104994 * t9612 + t18719 * t24795 / 0.3e1 - t105080 * t78299 / 0.9e1 - 0.4e1 * t1720 * t105083 + 0.6e1 * t2633 * t105086 - 0.12e2 * t105089 * t1477;
  t105097 = t4549 * t105068;
  t105102 = t4376 * t12454;
  t105107 = t24794 * t12460;
  t105116 = t1182 * t140 * t104185;
  t105131 = t4408 * t12436;
  t105134 = -0.4e1 * t18726 * t4563 + 0.6e1 * t1720 * t105097 + 0.24e2 * t18726 * t4550 - 0.2e1 * t12398 * t105102 + 0.2e1 * t18719 * t24849 - t12398 * t105107 / 0.6e1 + 0.6e1 * t12394 * t12472 - 0.3e1 * t82056 + 0.2e1 * t82057 + 0.3e1 * t82059 + t494 * t105116 / 0.2e1 + t1714 * t18766 / 0.2e1 - 0.1e2 * t18719 * t24912 + 0.1e2 / 0.3e1 * t105080 * t78220 - 0.12e2 * t12394 * t12404 + 0.24e2 * t105089 * t1485 + 0.8e1 * t18726 * t4599 - 0.2e1 * t2633 * t105131;
  t105137 = t18742 * t24905;
  t105142 = t4408 * t12454;
  t105155 = 0.2e1 * t91573;
  t105157 = 0.2e1 * t91602;
  t105163 = -0.9e1 * t12388 * t12385 + 0.12e2 * t105137 * t1491 + 0.3e1 * t18743 * t1200 + 0.18e2 * t12398 * t105142 - 0.18e2 * t18719 * t24977 - 0.36e2 * t12394 * t12455 + 0.72e2 * t105089 * t1481 + 0.4e1 * t2629 * t12481 - 0.9e1 * t82119 - 0.3e1 * t82122 - t105155 - 0.9e1 * t82129 - t105157 + 0.6e1 * t82171 + 0.2e1 * t82174 - t82177 / 0.3e1 + t17129 - t18787 - 0.4e1 / 0.3e1 * t105080 * t78414;
  t105165 = t4549 * t105041;
  t105169 = t4408 * t12480;
  t105181 = t1182 * t143 * t104185;
  t105183 = t18739 * t333;
  t105184 = t4543 * t105183;
  t105187 = -0.24e2 * t105137 * t1472 + t1720 * t105165 + t2633 * t105169 - t494 * t105181 + 0.2e1 * t1716 * t105184 - 0.6e1 * t18743 * t1184 + 0.18e2 * t12388 * t12486 - t1714 * t18793 + 0.2e1 * t1714 * t18796 - 0.2e1 * t82222 + 0.18e2 * t82234 + t9557 + t9559 + t9570 - t9574 - t9585 - t9586 - t9588 + t9635;
  t105189 = t24858 * t18739 * t994;
  t105193 = t4543 * t2646 * t12435;
  t105196 = t24823 * t105183;
  t105199 = 0.2e1 * t91701;
  t105208 = t24962 * t105183;
  t105217 = t24823 * t12460;
  t105222 = 0.3e1 * t494 * t105189 - 0.2e1 * t494 * t105193 + 0.4e1 / 0.3e1 * t1720 * t105196 - t105199 - t18802 + t18803 + t18804 - t2229 - 0.36e2 * t105089 * t1495 + 0.36e2 * t104994 * t9571 - 0.12e2 * t105080 * t78188 + 0.5e2 / 0.3e1 * t105080 * t78176 - 0.2e1 * t1720 * t105208 + 0.24e2 * t105080 * t78422 + 0.8e1 / 0.3e1 * t105080 * t78434 + 0.8e1 * t104994 * t9626 + 0.9e1 * t12398 * t105217 - 0.72e2 * t104994 * t9629 + t2210;
  t105230 = t91086 + t9702 + t9704 - t9180 + t9188 + t18918 - t18919 + t104921 + t104922 + t104923 + t82781 + 0.9e1 / 0.2e1 * t82786 - 0.9e1 * t82789 - t110 * t139 * (t104979 + t105016 + t105058 + t105092 + t105134 + t105163 + t105187 + t105222) * t168 / 0.4e1;
  t105237 = t6773 * t12648;
  t105238 = t1400 * t105237;
  t105254 = t1000 * t105237;
  t105260 = t1393 * t105237;
  t105262 = -t2609 * t34393 / 0.4e1 - 0.5e1 / 0.12e2 * t12347 * t81350 + t2609 * t34998 / 0.2e1 - t1651 * t105238 / 0.2e1 + t18893 * t4722 / 0.2e1 - t18893 * t4687 + 0.3e1 / 0.2e1 * t12643 * t12650 + t2604 * t6775 / 0.2e1 + 0.3e1 / 0.2e1 * t12643 * t10582 - 0.3e1 / 0.2e1 * t12659 * t10599 - t2604 * t7094 / 0.2e1 + t1644 * t105254 - t2609 * t34294 / 0.2e1 - 0.11e2 / 0.6e1 * t12347 * t81504 - t1651 * t105260;
  t105268 = my_piecewise3(t100, 0, t104278 + t104887 + t104714 + t104685 + t104919 + t104854 + t104453 + t104256 + t104021 + t104601 + t104820 + t104310 + t104551 + t104215 + t104053 + t104731 + t104710 + t104087 + t104509 + t104476 + t105230 + t105262 + t103990 + t104539 + t104576 + t104627 + t104674 + t104394 + t104430 + t104792 + t104770 + t104351);
  tv4rholapl37 = t3 * t105268 + t18943;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 7] += tv4rholapl37;

  t105270 = -t82814 - t82816 + t82820 - t82822 + t82824 + t82826 + t86966 + t86967 - t86968 + t82836 + t82851 + t82853;
  t105286 = t21655 * t18966 / 0.12e2;
  t105287 = t253 * t58978;
  t105290 = t95 * t58647;
  t105294 = t2526 * t206;
  t105295 = t95 * t105294;
  t105299 = -t82857 - 0.3e1 / 0.2e1 * t4779 * t7632 * t18944 - 0.3e1 / 0.2e1 * t4779 * t1847 * t3409 * t58556 - 0.3e1 / 0.2e1 * t25730 * t18945 - 0.3e1 / 0.2e1 * t25696 * t18945 - 0.3e1 * t3123 * t35690 * t19051 + t86994 - t105286 + t11086 * t4754 * t105287 + 0.2e1 * t11086 * t4754 * t105290 + 0.22e2 / 0.3e1 * t52610 * t10058 * t105295 + t87091;
  t105301 = t36303 * t12111;
  t105304 = t53245 * t12022;
  t105307 = t36303 * t12022;
  t105310 = t83080 * t12103;
  t105313 = t53245 * t18972;
  t105322 = t47270 * t63351;
  t105328 = -t87092 + t6488 * t105301 / 0.12e2 + t6069 * t105304 / 0.12e2 - t6491 * t105307 / 0.6e1 - t6488 * t105310 / 0.6e1 - t21878 * t105313 / 0.3e1 - t36310 * t12127 / 0.4e1 + t52729 * t12119 / 0.2e1 + t52729 * t12123 / 0.2e1 - 0.2e1 / 0.3e1 * t21878 * t105322 - t32403 * t13133 / 0.2e1 + t47709 * t13212;
  t105329 = t635 * t105294;
  t105334 = t12004 * t7441 / 0.36e2;
  t105336 = t12074 * t1886 / 0.18e2;
  t105338 = t1508 * t13049 / 0.18e2;
  t105340 = t7368 * t2588 / 0.6e1;
  t105355 = -0.28e2 * t52610 * t10058 * t105329 - t105334 + t105336 - t105338 - t105340 - t1876 * t12211 / 0.12e2 - t1881 * t12211 / 0.12e2 - t515 * t59365 / 0.12e2 - t12041 * t7441 / 0.12e2 - t2534 * t36065 / 0.12e2 - t466 * t63602 / 0.6e1 + t13060 * t1514 / 0.2e1 - t87099;
  t105359 = t1869 * t12211 / 0.36e2;
  t105370 = -t105359 + t4779 * t7624 * t18958 + t4779 * t1843 * t102444 + t82988 + t82992 - t82994 - t82996 + 0.3e1 * t4779 * t7610 * t229 * t58647 + t87171 + t102354 + t87197 - t36673 * t19183 / 0.2e1;
  t105373 = t3279 * t19132;
  t105383 = -t36685 * t19183 / 0.2e1 - t7307 * t673 * t105373 / 0.2e1 + 0.2e1 / 0.3e1 * t6069 * t64373 + t87198 - t78778 - t78781 - t87199 - t87200 - t87202 + t87203 + t87204 - t1522 * t12868 / 0.6e1 - t466 * t64593 / 0.6e1;
  t105410 = -t466 * t64597 / 0.6e1 - t2534 * t37358 / 0.12e2 + t6353 * t2751 / 0.2e1 + t6335 * t2751 / 0.2e1 + t1532 * t13179 / 0.2e1 + t1532 * t13150 / 0.2e1 - t12041 * t7316 / 0.12e2 - t2534 * t37355 / 0.12e2 + t2529 * t7471 / 0.6e1 + t768 * t19127 / 0.2e1 + t757 * t19127 / 0.2e1 + t246 * t7533 * t18688 / 0.2e1;
  t105432 = t26891 * t18945 / 0.2e1;
  t105434 = t35704 * t18955 / 0.9e1;
  t105435 = t52456 * t11965;
  t105443 = t2529 * t7210 / 0.6e1 + 0.3e1 * t3537 * t19177 + 0.3e1 * t644 * t35372 * t19176 - t1876 * t18694 / 0.6e1 - t1881 * t18694 / 0.6e1 + 0.3e1 / 0.2e1 * t757 * t19173 + 0.3e1 / 0.2e1 * t246 * t35392 * t19172 + 0.3e1 * t3530 * t19177 + 0.3e1 / 0.2e1 * t768 * t19173 - t105432 - t105434 + 0.3e1 / 0.2e1 * t3123 * t105435 * t8765 + 0.6e1 * t4779 * t36901 * t21225 * t105294;
  t105461 = t7751 * t2532;
  t105465 = t7751 * t2527;
  t105475 = t87059 * t63799;
  t105478 = -t58578 * t83087 / 0.2e1 + 0.3e1 / 0.2e1 * t26806 * t105435 * t8771 - 0.3e1 * t4748 * t105435 * t9038 - t7216 * t102608 / 0.3e1 + 0.18e2 * t4779 * t36922 * t653 * t105294 - t83023 + t83025 + 0.3e1 / 0.2e1 * t3123 * t105461 * t1246 + t3123 * t105465 * t730 / 0.2e1 + 0.23e2 / 0.18e2 * t11008 * t86981 * t12987 + 0.2e1 / 0.3e1 * t7216 * t47276 * t13200 + 0.14e2 / 0.3e1 * t27523 * t105475;
  t105493 = t3548 * t19177;
  t105495 = t593 * t19173 / 0.2e1;
  t105497 = 0.11e2 / 0.54e2 * t35594 * t19134;
  t105499 = 0.2e1 / 0.3e1 * t35590 * t19165;
  t105501 = t35590 * t19163 / 0.3e1;
  t105502 = t3548 * t19160;
  t105503 = t32403 * t13231 - 0.4e1 * t11086 * t47276 * t12987 - 0.4e1 / 0.3e1 * t7216 * t47270 * t13196 - 0.6e1 * t47709 * t13015 - 0.2e1 * t47709 * t13228 - t48518 * t12832 + 0.6e1 * t47925 * t12854 + t105493 + t105495 - t105497 - t105499 + t105501 - t105502;
  t105506 = t21784 * t19155 / 0.2e1;
  t105508 = t35594 * t19150 / 0.2e1;
  t105524 = t7198 * t11980;
  t105525 = t1227 * t105524;
  t105530 = t105506 - t105508 + t25696 * t18959 - 0.2e1 * t11086 * t58980 - t83027 - 0.4e1 * t11086 * t59011 - 0.23e2 / 0.3e1 * t52610 * t10037 * t105329 + 0.4e1 * t11086 * t58987 + 0.12e2 * t52607 * t4765 * t105329 - 0.5e1 / 0.36e2 * t11975 * t83572 - t1541 * t105525 / 0.6e1 + t2534 * t35498 / 0.6e1;
  t105536 = t7255 * t19194 / 0.18e2;
  t105538 = t7255 * t19191 / 0.9e1;
  t105540 = t1869 * t18514 / 0.36e2;
  t105542 = t1869 * t18490 / 0.18e2;
  t105558 = -t466 * t63172 / 0.6e1 - t1541 * t92946 / 0.6e1 - t105536 - t105538 + t105540 + t105542 - t515 * t58700 / 0.12e2 - t1748 * t87402 / 0.12e2 + t1787 * t87355 / 0.6e1 + t515 * t58696 / 0.12e2 - t2534 * t35882 / 0.12e2 - 0.3e1 / 0.2e1 * t4779 * t1847 * t102487 - 0.7e1 * t11008 * t58635;
  t105579 = t102518 + t102519 + t102520 - t7190 * t19191 / 0.3e1 + t515 * t103621 / 0.12e2 + t515 * t103626 / 0.12e2 + t1881 * t18514 / 0.12e2 + t515 * t103613 / 0.6e1 + t1876 * t18514 / 0.12e2 + t1881 * t18490 / 0.6e1 + t515 * t103609 / 0.6e1 + t1876 * t18490 / 0.6e1;
  t105588 = t1220 * t105524;
  t105593 = 0.5e1 / 0.108e3 * t35594 * t19197;
  t105603 = -0.2e1 * t11960 * t11200 - t2534 * t35299 / 0.6e1 - 0.11e2 / 0.18e2 * t11975 * t83869 + t2534 * t36656 / 0.3e1 - t1541 * t105588 / 0.3e1 + t11960 * t11196 - t105593 - t35523 * t19143 / 0.2e1 - t7187 * t4831 * t105373 / 0.2e1 - t35714 * t19143 / 0.2e1 + 0.23e2 / 0.36e2 * t35714 * t19140 + t83032 + t83038;
  t105620 = -t78912 + t87347 + t87348 + 0.3e1 / 0.2e1 * t3123 * t37270 * t19172 - 0.6e1 * t4779 * t36931 * t229 * t105294 - 0.3e1 / 0.2e1 * t4779 * t7610 * t819 * t58633 + t4779 * t1843 * t819 * t58556 + t25730 * t18959 - t83110 + t83112 + t83114 + t83141;
  t105634 = 0.7e1 / 0.9e1 * t35594 * t19146;
  t105637 = t755 * t19132;
  t105645 = -t83146 - t83149 - t102558 + 0.3e1 / 0.2e1 * t21711 * t19155 + 0.3e1 / 0.2e1 * t21706 * t19155 - 0.3e1 / 0.2e1 * t7187 * t4844 * t3535 * t19132 - 0.3e1 / 0.2e1 * t35714 * t19150 - 0.3e1 / 0.2e1 * t35523 * t19150 + t105634 + 0.7e1 / 0.3e1 * t35523 * t19146 + 0.7e1 / 0.3e1 * t7187 * t4838 * t105637 + 0.7e1 / 0.3e1 * t35714 * t19146 + t35556 * t19168 / 0.2e1;
  t105658 = t31295 * t2676;
  t105678 = t35550 * t19168 / 0.2e1 + t1787 * t103063 / 0.3e1 + t7340 * t19200 / 0.3e1 + t7345 * t19200 / 0.3e1 + t1787 * t673 * t105658 / 0.3e1 - 0.5e1 / 0.36e2 * t7187 * t4844 * t105373 - 0.5e1 / 0.36e2 * t35714 * t19197 - 0.5e1 / 0.36e2 * t35523 * t19197 - t1748 * t102968 / 0.6e1 - t1748 * t1227 * t105658 / 0.6e1 - t7190 * t19194 / 0.6e1 - t7195 * t19194 / 0.6e1;
  t105707 = -t1748 * t103108 / 0.3e1 - t7195 * t19191 / 0.3e1 - t1748 * t1220 * t105658 / 0.3e1 + 0.23e2 / 0.36e2 * t35523 * t19140 + 0.23e2 / 0.36e2 * t7187 * t4844 * t105637 - 0.11e2 / 0.18e2 * t35714 * t19134 - 0.11e2 / 0.18e2 * t35523 * t19134 - 0.11e2 / 0.18e2 * t7187 * t4838 * t105373 - 0.2e1 * t7250 * t1227 * t105637 + t7250 * t1220 * t105373 - 0.2e1 * t35550 * t19165 - 0.2e1 * t35556 * t19165;
  t105721 = t12030 * t206;
  t105722 = t95 * t105721;
  t105735 = t658 * t2732 * t2541;
  t105743 = t3171 * t2727 * t2541;
  t105747 = t35550 * t19163 + t35556 * t19163 - 0.3e1 * t3537 * t19160 - 0.3e1 * t644 * t36703 * t19159 + 0.3e1 / 0.2e1 * t3680 * t36703 * t19154 - 0.3e1 * t3530 * t19160 - 0.4e1 / 0.3e1 * t11086 * t4760 * t105722 - 0.9e1 / 0.2e1 * t4738 * t1847 * t22070 * t59583 - 0.2e1 * t4779 * t1843 * t3430 * t59583 + t3123 * t7238 * t105735 - 0.3e1 * t4779 * t7610 * t819 * t105721 + 0.3e1 / 0.2e1 * t4748 * t7233 * t105743;
  t105758 = -t83168 + t83174 - t87448 - t78999 + t83189 - t83192 - t83194 + t83198 - t102581 + 0.5e1 / 0.3e1 * t52610 * t10037 * t105295 - 0.5e1 / 0.18e2 * t11008 * t86981 * t12814 - 0.2e1 / 0.3e1 * t58592 * t37347 + t58592 * t36151 / 0.3e1;
  t105766 = t21593 * t18962;
  t105771 = t3130 * t253 * t1829 * t2541;
  t105789 = t253 * t64371;
  t105790 = t4796 * t105789;
  t105793 = t543 * t2526;
  t105794 = t3121 * t105793;
  t105795 = t4765 * t105794;
  t105798 = 0.3e1 / 0.2e1 * t3123 * t36154 * t19063 + t31844 * t18963 / 0.12e2 + t6488 * t105766 / 0.12e2 + t6488 * t105771 / 0.12e2 - t59246 * t11148 / 0.2e1 - t59594 * t7758 / 0.6e1 + t59290 * t10772 / 0.2e1 - t3123 * t64805 * t2592 / 0.4e1 - t3123 * t64367 * t2592 / 0.4e1 - t3123 * t13190 * t12165 / 0.4e1 + t6491 * t105790 / 0.3e1 - 0.2e1 * t52652 * t105795;
  t105819 = -t21617 * t18966 / 0.4e1 - t21621 * t18966 / 0.4e1 - t3123 * t13186 * t12176 - t79053 - t87554 - t1748 * t88620 / 0.6e1 + t12216 * t1761 / 0.2e1 - t63754 * t1548 + t13060 * t1551 - t1541 * t93294 / 0.3e1 - t58917 * t1758 / 0.2e1 + 0.3e1 / 0.2e1 * t1891 * t11989 + 0.3e1 / 0.2e1 * t37303 * t11967;
  t105825 = t7469 * t2557;
  t105839 = -0.3e1 * t7462 * t12195 - 0.3e1 / 0.2e1 * t11975 * t83926 + t246 * t105825 * t654 / 0.2e1 + 0.3e1 / 0.2e1 * t768 * t19064 + 0.3e1 / 0.2e1 * t757 * t19064 + t768 * t19059 / 0.2e1 + t757 * t19059 / 0.2e1 - t83224 + t83234 + t83237 - t83239 - 0.3e1 * t757 * t19052;
  t105846 = t660 * t7198 * t12143;
  t105854 = t660 * t35360 * t2542;
  t105862 = -0.3e1 * t246 * t35372 * t19051 - 0.3e1 * t768 * t19052 + t466 * t105846 / 0.12e2 + t1517 * t19112 / 0.12e2 + t1522 * t19112 / 0.12e2 + t466 * t105854 / 0.12e2 + t2529 * t7200 / 0.6e1 + t11960 * t11177 / 0.2e1 + t87561 + t87562 + t83297 + t83300 + t47709 * t13234;
  t105872 = t4760 * t635 * t512 * t18511;
  t105891 = t35707 * t18973 / 0.3e1;
  t105893 = t35707 * t18969 / 0.6e1;
  t105894 = -t32403 * t13018 + t47709 * t12829 + 0.3e1 * t47709 * t12825 - t21878 * t105872 / 0.3e1 - t3123 * t7228 * t18700 / 0.4e1 + t4779 * t1843 * t102435 / 0.2e1 + t4779 * t519 * t102440 / 0.2e1 - t6069 * t92022 / 0.6e1 + t6491 * t93025 / 0.3e1 + t6488 * t64350 / 0.6e1 - t105891 + t105893;
  t105904 = t95 * t58633;
  t105911 = -0.35e2 / 0.108e3 * t52204 * t47512 * t105295 - 0.5e1 / 0.36e2 * t11008 * t10037 * t105287 - 0.5e1 / 0.18e2 * t11008 * t10037 * t105290 + 0.5e1 / 0.12e2 * t11008 * t25739 * t105904 - t7216 * t47276 * t12860 / 0.6e1 - t83319 - t83327 - t83329 - t83339 - t83346 - t83348 - t83358 - t83366;
  t105915 = t253 * t59314;
  t105924 = t3171 * t18522 * t463;
  t105928 = -t83369 + t83371 - t83403 - t83405 + t11143 * t3130 * t105722 - t7746 * t3130 * t105915 / 0.3e1 + 0.9e1 / 0.2e1 * t4779 * t1847 * t22051 * t59583 - 0.3e1 / 0.2e1 * t3123 * t7233 * t105924 - t87622 + t87623 - t87624 - t87625;
  t105956 = -t87626 + t79248 - t7746 * t31513 * t12810 / 0.3e1 - t11143 * t47958 * t12814 + 0.3e1 / 0.2e1 * t4738 * t1847 * t103591 - t83438 - 0.9e1 / 0.2e1 * t9873 * t7599 * t21220 * t105721 + 0.3e1 / 0.2e1 * t26806 * t36154 * t19154 + 0.3e1 * t9873 * t7599 * t3448 * t58647 + t7390 * t2596 / 0.2e1 - t37309 * t2584 / 0.2e1 - t37314 * t2584 / 0.2e1 + t12041 * t7457 / 0.3e1;
  t105966 = t12004 * t7457 / 0.9e1;
  t105968 = t12004 * t7453 / 0.18e2;
  t105970 = t59060 * t530 / 0.12e2;
  t105972 = t64378 * t481 / 0.6e1;
  t105975 = t2534 * t37327 / 0.3e1 - t12041 * t7453 / 0.6e1 - t2534 * t37319 / 0.6e1 + t105966 - t105968 + t105970 + t105972 - t87701 + t83450 + t83452 + t83454 - t11008 * t47270 * t12814;
  t105993 = t95 * t58556;
  t106005 = t10037 * t4746 * t105793;
  t106010 = -0.6e1 * t4779 * t7595 * t653 * t58647 - t4779 * t1847 * t102349 / 0.2e1 + t47925 * t13006 - t47709 * t12847 + 0.2e1 * t53066 * t4796 * t105295 + t11143 * t3130 * t105904 / 0.2e1 - t11143 * t4796 * t105290 + t7216 * t4760 * t105993 / 0.4e1 + 0.7e1 / 0.3e1 * t11008 * t59704 + 0.89e2 / 0.9e1 * t52204 * t47588 * t105329 + 0.14e2 / 0.3e1 * t11008 * t58649 - 0.3e1 / 0.2e1 * t27523 * t106005 - t4748 * t12837 * t12090;
  t106027 = t1227 * t12214 * t35339;
  t106037 = -0.18e2 * t4738 * t36901 * t21220 * t105294 + 0.6e1 * t52610 * t4760 * t105295 - t7746 * t21593 * t18951 / 0.3e1 - t7746 * t102361 / 0.3e1 + t12216 * t1774 / 0.4e1 + t3319 * t106027 / 0.3e1 - t12216 * t1770 / 0.4e1 - t12216 * t1766 / 0.2e1 + t7250 * t1227 * t105373 / 0.2e1 + t83484 + t16189 - t16192;
  t106044 = -t16195 + t16224 - t16226 + t87792 - t102933 - t102934 - t83514 + t83517 + t83520 - t83533 + t7216 * t103016 / 0.6e1 - t7581 * t102779 / 0.3e1 - t7746 * t102773 / 0.3e1;
  t106053 = -0.38e2 / 0.9e1 * t52204 * t25739 * t105295 + t2160 - t83593 + t87833 + t83601 + t16280 - t16284 - t16288 + t16299 + t79411 + t79414 - t79416;
  t106069 = t11120 * t11958;
  t106073 = -t79418 - t79421 - t87913 - t48518 * t12838 + t32403 * t12844 - t6069 * t92754 / 0.3e1 + t4738 * t1847 * t102341 / 0.2e1 - t4738 * t1847 * t102614 + t4779 * t1847 * t102611 - 0.11e2 / 0.18e2 * t58578 * t82955 + 0.23e2 / 0.36e2 * t58578 * t83555 + 0.3e1 * t4748 * t106069 * t1234;
  t106091 = t673 * t58694 * t1777;
  t106096 = -0.3e1 * t3123 * t106069 * t1239 + t59290 * t11131 + t16608 - t644 * t105825 * t649 / 0.2e1 - t3530 * t19056 / 0.2e1 - t3537 * t19056 / 0.2e1 - t11975 * t83919 / 0.2e1 + 0.7e1 / 0.3e1 * t11975 * t83922 - t211 * t106091 / 0.12e2 + t12216 * t1783 / 0.4e1 - t83655 + t83660;
  t106108 = -t87932 + t87933 - 0.9e1 / 0.2e1 * t9873 * t7599 * t21220 * t58633 - 0.18e2 * t9873 * t36878 * t3448 * t105294 + t3123 * t13190 * t59589 / 0.2e1 + t87936 - t15611 - t16644 + t16645 - t87939 - t79471 - t83681 - t87962;
  t106131 = t253 * t18961 * t206;
  t106132 = t4770 * t106131;
  t106138 = t79505 + t87963 - t7746 * t3130 * t105993 / 0.3e1 - t11143 * t4796 * t105287 / 0.2e1 - t35434 * t18955 / 0.3e1 - t35450 * t18955 / 0.3e1 + 0.8e1 * t4779 * t7595 * t3409 * t105721 - 0.2e1 * t52204 * t26140 * t105295 - t7216 * t102419 / 0.6e1 + t6069 * t106132 / 0.6e1 + 0.3e1 / 0.2e1 * t11008 * t26082 * t105722 + t8659;
  t106156 = t8662 - t8667 + t8683 + 0.6e1 * t4779 * t7595 * t3409 * t58633 - t11008 * t4760 * t105287 / 0.2e1 - t11008 * t4760 * t105290 + 0.3e1 / 0.2e1 * t11008 * t26082 * t105904 - t7216 * t59724 - t7216 * t58558 - t36005 * t18973 - t36009 * t18973 - t7216 * t59711 + t79545;
  t106158 = t95 * t59583;
  t106174 = t10058 * t105794;
  t106179 = t11120 * t2532;
  t106184 = 0.2e1 / 0.3e1 * t7746 * t8642 * t106158 - t79572 - t88033 + t88034 - t88036 - 0.18e2 * t4779 * t36878 * t3375 * t105294 - 0.9e1 / 0.2e1 * t4779 * t7599 * t22070 * t58633 + 0.3e1 * t4779 * t7599 * t3375 * t58647 + 0.7e1 / 0.3e1 * t27523 * t106174 + t3123 * t12837 * t12170 - t3123 * t106179 * t3186 + t4748 * t106179 * t3181;
  t106189 = t53072 * t12022;
  t106195 = t3671 * t105294;
  t106201 = -t88037 - t83749 - t83751 + t83762 + t83764 + t83766 + t18533 + t53885 * t12032 / 0.2e1 - t52729 * t12027 / 0.2e1 + t6069 * t106189 / 0.6e1 + 0.47e2 / 0.3e1 * t52204 * t25739 * t105329 - 0.62e2 / 0.3e1 * t52204 * t47588 * t106195 + t7216 * t102809 / 0.3e1;
  t106209 = t12875 * t1512;
  t106213 = t62 * t2526;
  t106214 = t106213 * t206;
  t106222 = t827 * t106214;
  t106225 = t106213 * t667;
  t106226 = t827 * t106225;
  t106229 = t827 * t106209;
  t106232 = t3482 * t106214;
  t106241 = t88050 - t103236 - 0.2e1 / 0.9e1 * t10846 * t3482 * t106209 - t53443 * t48301 * t106214 / 0.9e1 + 0.2e1 * t7586 * t103437 + 0.2e1 * t10828 * t103309 - 0.12e2 * t53420 * t106222 - 0.4e1 * t36961 * t106226 + 0.4e1 * t10841 * t106229 + 0.4e1 / 0.3e1 * t53458 * t106232 + 0.6e1 * t36949 * t233 * t105721 + 0.4e1 * t36952 * t233 * t59583;
  t106242 = t827 * t105721;
  t106257 = 0.32e2 / 0.3e1 * t36961 * t106242 + t7584 * t103313 / 0.3e1 + 0.6e1 * t37040 * t827 * t59583 - t36958 * t3482 * t105721 / 0.6e1 + t36944 * t19022 + t36958 * t3482 * t106225 / 0.3e1 + t84350 - t84356 - t84358 - t88078 + t16122 - t16125;
  t106264 = t1329 * t2526;
  t106285 = t16129 + 0.2e1 * t1841 * t18589 + 0.6e1 * t36916 * t19017 - t519 * t103403 + 0.5e2 / 0.3e1 * t36901 * t21220 * t106264 - 0.12e2 * t36875 * t19036 - 0.4e2 * t36878 * t3402 * t106264 - 0.2e1 / 0.3e1 * t36856 * t19030 + 0.1e2 / 0.3e1 * t36901 * t21215 * t106264 + 0.6e1 * t36856 * t19033 - 0.2e1 * t1847 * t103369 - 0.12e2 * t36901 * t21225 * t106264;
  t106290 = t18978 * t667;
  t106294 = t2708 * t1512;
  t106319 = 0.36e2 * t36878 * t3375 * t106264 + t1847 * t103380 - t7599 * t21220 * t106290 / 0.6e1 + t7599 * t3448 * t106294 / 0.9e1 + 0.24e2 * t36922 * t648 * t106264 + 0.8e1 * t7595 * t3375 * t106290 - 0.8e1 * t7595 * t648 * t106294 - 0.2e1 / 0.3e1 * t36878 * t3448 * t106264 - 0.2e1 / 0.3e1 * t1847 * t103515 - 0.1e2 * t7599 * t21225 * t106290 + 0.2e2 / 0.3e1 * t7599 * t3402 * t106294 - t1843 * t103400 + t88129;
  t106322 = t12875 * t11860;
  t106342 = -t88132 - t88133 + t88134 + 0.4e1 * t7586 * t233 * t106322 + t7584 * t103426 + t7584 * t827 * t106322 - 0.4e1 * t36952 * t103239 - 0.6e1 * t53471 * t103243 + 0.4e1 * t10828 * t103247 - 0.2e1 / 0.3e1 * t37040 * t103250 + 0.12e2 * t10836 * t233 * t106209 + 0.4e1 * t36966 * t19024;
  t106361 = -0.16e2 * t36961 * t840 * t105721 - 0.24e2 * t53647 * t233 * t106214 - 0.6e1 * t36949 * t233 * t106225 - 0.9e1 * t37040 * t840 * t59583 + 0.4e1 * t37040 * t103415 + 0.4e1 * t7586 * t103418 - 0.2e1 * t7584 * t103444 - t88140 + t8856 + t8875 + t8877 - t8888;
  t106367 = t2708 * t11860;
  t106372 = -0.2e1 * t1847 * t3375 * t106367 - 0.2e1 * t1847 * t103518 - t1841 * t18595 - 0.2e1 * t7632 * t19012 - t84393 + t84406 + t84408 - t84410 + t84412 - t84424 - t84432 - t88190;
  t106402 = 0.2e1 * t36875 * t19005 + 0.2e1 * t1843 * t103480 + 0.3e1 * t519 * t103484 - 0.2e1 * t519 * t103363 + 0.4e1 / 0.3e1 * t1847 * t103475 - 0.2e1 * t7624 * t19001 - 0.2e1 * t1843 * t103408 - 0.2e1 * t1843 * t819 * t106367 + 0.12e2 * t36931 * t229 * t106264 + 0.3e1 * t7610 * t819 * t106290 - 0.6e1 * t7610 * t229 * t106294 + 0.3e1 * t7632 * t18998 - t519 * t103441;
  t106408 = -t36856 * t19008 / 0.9e1 + t88243 + t88244 - t103336 - t103337 - t103338 - t84445 + t84449 + t88262 - t88263 + t88264 - t88265;
  t106414 = 0.3e1 * t1847 * t3409 * t106367 + 0.3e1 * t1847 * t103460 - t103352 + t84457 + t84464 - t84466 + t84480 + t84512 - t88266 - t88293 + t88294 + t88295;
  t106435 = 0.9e1 * t7599 * t22070 * t106290 - 0.6e1 * t7599 * t3375 * t106294 - 0.36e2 * t36922 * t653 * t106264 - 0.12e2 * t7595 * t3409 * t106290 + 0.12e2 * t7595 * t653 * t106294 + t519 * t103278 / 0.2e1 - t16831 + t16832 + t16833 + t1841 * t18559 / 0.2e1 + t84562 + t103385;
  t106450 = t88351 + t103387 + 0.1e2 / 0.3e1 * t36856 * t18979 - 0.3e1 * t36856 * t18991 + 0.6e1 * t36875 * t18988 - 0.4e1 * t36875 * t18982 + t36856 * t18985 / 0.18e2 - t16164 + t16171 - t16173 + t88398 + 0.9e1 * t36958 * t106242 - 0.72e2 * t53458 * t106222;
  t106457 = -0.18e2 * t36958 * t106226 + 0.12e2 * t10846 * t106229 + t103443 - t16836 - t16837 + t16838 - t18625 - t84585 + t84589 - t84593 - t8948 - t8949;
  t106458 = t3475 * t106214;
  t106469 = -t8966 + t8975 - t84601 + t88433 + t88434 - t88435 - t88436 - t88438 + 0.24e2 * t53443 * t106458 + 0.8e1 / 0.3e1 * t53443 * t106232 - 0.3e1 * t36916 * t18994 - t1841 * t18584 - 0.12e2 * t36949 * t41877 * t105721;
  t106474 = t41881 * t105721;
  t106502 = -0.8e1 * t36952 * t41877 * t59583 - 0.16e2 / 0.3e1 * t36961 * t106474 - 0.3e1 * t37040 * t41881 * t59583 + t36958 * t48306 * t105721 / 0.3e1 + 0.2e1 * t36958 * t48231 * t105721 + 0.32e2 * t36961 * t41885 * t105721 + 0.18e2 * t37040 * t41885 * t59583 - 0.18e2 * t36958 * t106474 - 0.6e1 * t7584 * t840 * t106322 - 0.6e1 * t7584 * t103317 - 0.1e2 * t36958 * t3475 * t105721 - t84617;
  t106525 = t84624 - 0.6e1 * t36944 * t19027 + 0.8e1 * t53458 * t106458 + 0.2e1 * t36958 * t3475 * t106225 - 0.4e1 / 0.3e1 * t10846 * t3475 * t106209 - 0.4e1 / 0.3e1 * t53443 * t22013 * t106214 + 0.72e2 * t53420 * t840 * t106214 + 0.24e2 * t36961 * t840 * t106225 - 0.24e2 * t10841 * t840 * t106209 + t103530 - t2138 + t2119 + t16887;
  t106547 = t7368 * t2596 / 0.6e1;
  t106549 = t35790 * t2584 / 0.6e1;
  t106550 = t7216 * t102806 / 0.6e1 - t32403 * t13191 / 0.2e1 - t30 * t59 * (t106241 + t106257 + t106285 + t106319 + t106342 + t106361 + t106372 + t106402 + t106408 + t106414 + t106435 + t106450 + t106457 + t106469 + t106502 + t106525) * t95 / 0.4e1 - t83819 + t36005 * t18952 / 0.4e1 - t1517 * t13049 / 0.6e1 - t1522 * t13049 / 0.6e1 + t63737 * t481 / 0.2e1 + t12216 * t1873 / 0.4e1 + t63742 * t481 / 0.2e1 + t106547 - t106549;
  t106555 = t222 * t19042;
  t106560 = t191 * t242 * t19040 * t243;
  t106582 = t635 * t105721;
  t106586 = t59370 * t530 / 0.4e1 + t59112 * t530 / 0.4e1 - t211 * t106555 / 0.12e2 + t106560 * t250 / 0.4e1 + t2529 * t7385 / 0.6e1 + t12046 * t1886 / 0.6e1 - t7390 * t2588 / 0.2e1 - t7374 * t2588 / 0.2e1 + t7374 * t2596 / 0.2e1 + t4748 * t12837 * t59519 / 0.2e1 - t3123 * t12837 * t59077 / 0.2e1 + t7216 * t4770 * t105915 / 0.2e1 - 0.23e2 / 0.12e2 * t11008 * t25739 * t106582;
  t106615 = -0.3e1 / 0.2e1 * t7216 * t27475 * t106158 + 0.11e2 / 0.6e1 * t11008 * t26140 * t105722 + 0.3e1 * t7216 * t59585 - 0.9e1 / 0.2e1 * t4779 * t7599 * t22070 * t105721 + 0.3e1 / 0.2e1 * t4738 * t1847 * t3375 * t58556 + 0.3e1 * t4748 * t35690 * t19176 + 0.3e1 / 0.2e1 * t26772 * t18948 + 0.3e1 / 0.2e1 * t26777 * t18948 + t83932 + t36009 * t18952 / 0.4e1 - t7581 * t102414 / 0.3e1 - t88661;
  t106623 = t88662 + t88663 + t7746 * t102427 / 0.3e1 + t7581 * t102431 / 0.2e1 + 0.3e1 / 0.2e1 * t4738 * t7632 * t12031 - t83962 + t83964 - t8744 - t8748 + t8752 - t84014 - t84017 - t84019;
  t106641 = t84022 + t84025 + t84027 + t88672 - t103183 - t16724 - t79733 - 0.6e1 * t4738 * t7595 * t3375 * t58633 + 0.6e1 * t4738 * t7595 * t648 * t58647 + 0.18e2 * t52610 * t10037 * t106195 - t1532 * t13155 / 0.2e1 - t1532 * t13158 / 0.2e1;
  t106663 = t12004 * t7175 / 0.9e1;
  t106664 = -t1532 * t13103 - t1532 * t13243 - t6353 * t2737 / 0.2e1 - t6335 * t2737 / 0.2e1 - t768 * t19102 / 0.4e1 - t757 * t19102 / 0.4e1 - t246 * t7533 * t18700 / 0.4e1 - t246 * t1769 * t102719 / 0.4e1 - t6353 * t2734 - t6335 * t2734 - t1517 * t12868 / 0.6e1 + t79743 + t106663;
  t106667 = t12004 * t7171 / 0.18e2;
  t106669 = t593 * t19064 / 0.2e1;
  t106671 = t593 * t19059 / 0.6e1;
  t106673 = t3548 * t19056 / 0.6e1;
  t106683 = -t106667 + t106669 + t106671 - t106673 - t84107 + t84112 - t84114 - t16326 + t7216 * t4770 * t105993 / 0.2e1 + t7216 * t102475 / 0.2e1 + t36005 * t18969 / 0.2e1 + t36009 * t18969 / 0.2e1;
  t106712 = t6358 * t2751 / 0.6e1;
  t106714 = t12004 * t7316 / 0.36e2;
  t106716 = t593 * t19127 / 0.6e1;
  t106718 = t12074 * t1779 / 0.18e2;
  t106719 = t7216 * t25958 * t18951 / 0.2e1 + 0.23e2 / 0.18e2 * t11008 * t10037 * t58648 + 0.44e2 / 0.27e2 * t52204 * t47512 * t105329 + 0.23e2 / 0.36e2 * t11008 * t10037 * t58979 - 0.23e2 / 0.12e2 * t11008 * t25739 * t58634 - 0.61e2 / 0.27e2 * t52204 * t47588 * t105295 - 0.11e2 / 0.18e2 * t11008 * t10058 * t105287 - 0.11e2 / 0.9e1 * t11008 * t10058 * t105290 + 0.11e2 / 0.6e1 * t11008 * t26140 * t105904 + t106712 - t106714 + t106716 + t106718;
  t106725 = t593 * t19122 / 0.6e1;
  t106727 = 0.2e1 / 0.9e1 * t7255 * t19118;
  t106729 = t6358 * t2742 / 0.3e1;
  t106731 = t32408 * t2729 / 0.3e1;
  t106732 = t673 * t105524;
  t106751 = -t106725 + t106727 + t106729 - t106731 + t1568 * t106732 / 0.3e1 - t7374 * t2593 / 0.4e1 - t7390 * t2593 / 0.4e1 - t1891 * t12161 / 0.4e1 - t1891 * t12166 / 0.4e1 - 0.3e1 * t52607 * t4765 * t105295 - t11086 * t4760 * t105904 + t7746 * t47958 * t12860 / 0.3e1;
  t106762 = t31352 * t18963 / 0.36e2;
  t106763 = t3130 * t106131;
  t106768 = t8642 * t253 * t18961 * t667;
  t106771 = -t18633 + t8778 + t8780 - t8785 - t8790 - 0.3e1 / 0.4e1 * t7216 * t26082 * t106158 + 0.5e1 / 0.12e2 * t11008 * t25739 * t105722 + t7216 * t4760 * t105915 / 0.4e1 + t106762 + t88761 - t6491 * t106763 / 0.6e1 - t6488 * t106768 / 0.6e1;
  t106773 = t4760 * t106131;
  t106776 = t19538 * t2541;
  t106778 = t4760 * t3121 * t106776;
  t106790 = t26888 * t18948 / 0.2e1;
  t106792 = t26891 * t18959 / 0.3e1;
  t106793 = t6069 * t106773 / 0.12e2 - t21878 * t106778 / 0.3e1 - t84143 - t84152 - t7216 * t59316 + t7216 * t25669 * t18951 / 0.4e1 + t7216 * t102367 / 0.4e1 - t7581 * t102424 / 0.6e1 + t16791 - t16793 + t106790 + t106792;
  t106795 = t35707 * t18952 / 0.12e2;
  t106809 = t35590 * t19168 / 0.6e1;
  t106811 = t7299 * t19200 / 0.9e1;
  t106813 = t35328 * t19183 / 0.6e1;
  t106814 = t106795 - 0.18e2 * t4738 * t36922 * t648 * t105294 - 0.3e1 * t11008 * t10037 * t3671 * t58647 + 0.9e1 / 0.2e1 * t11008 * t25739 * t3671 * t58633 + t88865 - t88866 - t103547 - t103548 + t88891 + t88892 + t106809 + t106811 - t106813;
  t106818 = t1869 * t18694 / 0.18e2;
  t106826 = t1227 * t1889 * t11980;
  t106844 = t1508 * t19112 / 0.36e2;
  t106845 = -t106818 + t2534 * t36651 / 0.3e1 + 0.23e2 / 0.36e2 * t11975 * t83495 - 0.2e1 / 0.3e1 * t2534 * t36648 + 0.2e1 / 0.3e1 * t1541 * t106826 + t11086 * t4765 * t105290 + t11086 * t4765 * t105287 / 0.2e1 + 0.16e2 / 0.3e1 * t11086 * t4760 * t106582 - t11953 * t11001 / 0.2e1 - t2529 * t7550 / 0.6e1 + t2534 * t36733 / 0.3e1 + t106844;
  t106847 = t7368 * t2593 / 0.12e2;
  t106849 = t6358 * t2737 / 0.6e1;
  t106851 = t6358 * t2734 / 0.3e1;
  t106853 = t593 * t19102 / 0.12e2;
  t106855 = t1508 * t12868 / 0.18e2;
  t106865 = -t106847 - t106849 - t106851 - t106853 - t106855 + 0.9e1 / 0.2e1 * t11008 * t25739 * t3671 * t105721 - 0.7e1 * t11008 * t26140 * t106582 - t182 * t19042 / 0.4e1 + t15793 - t88917 - t88918 + t88933 - t103561;
  t106870 = t593 * t19052;
  t106880 = t103562 + t103563 - t88961 - 0.8e1 / 0.3e1 * t11086 * t4770 * t105722 - t80354 - t106870 + t1891 * t12171 - t7462 * t12099 / 0.2e1 + t7462 * t12097 - t7462 * t12091 + 0.3e1 * t7462 * t12093 + t12041 * t7175 / 0.3e1;
  t106893 = t35594 * t19143 / 0.6e1;
  t106895 = 0.23e2 / 0.108e3 * t35594 * t19140;
  t106907 = t2534 * t36380 / 0.3e1 - t12041 * t7171 / 0.6e1 - t2534 * t36534 / 0.6e1 - t2534 * t37233 / 0.6e1 + 0.3e1 / 0.2e1 * t246 * t36703 * t19063 + t84223 - t106893 + t106895 - t757 * t19122 / 0.2e1 - t246 * t7469 * t2553 * t748 / 0.2e1 + t12046 * t1779 / 0.6e1 - t15803 - t30 * t19041 * t277 / 0.4e1;
  t106919 = t1227 * t13058 * t2676;
  t106928 = t188 * t19042 / 0.12e2;
  t106929 = 0.9e1 * t4738 * t7599 * t21225 * t105721 + t3123 * t13186 * t59647 / 0.2e1 + 0.2e1 / 0.3e1 * t3319 * t106919 - t13060 * t1560 / 0.2e1 - t13060 * t1556 - t515 * t103150 / 0.6e1 + t9033 - t9044 - t106928 - t9058 - t9060 + t89080;
  t106930 = t4754 * t105789;
  t106950 = t188 * t19093 / 0.12e2;
  t106951 = t47276 * t19555;
  t106957 = t4765 * t105789;
  t106962 = -t6069 * t106930 / 0.3e1 + 0.8e1 * t52204 * t47512 * t9871 * t105294 - 0.6e1 * t47583 * t36901 * t21210 * t105294 + 0.18e2 * t9873 * t36901 * t21215 * t105294 - 0.8e1 * t4738 * t7595 * t3375 * t105721 - t106950 - t2089 - t89086 + 0.2e1 / 0.3e1 * t21878 * t106951 - t32403 * t13187 - 0.5e1 / 0.36e2 * t58578 * t82839 - t6069 * t106957 / 0.6e1 + t58592 * t37205 / 0.6e1;
  t106971 = t26082 * t635 * t512 * t18582;
  t106979 = t3130 * t253 * t543 * t11860;
  t106986 = -0.3e1 / 0.2e1 * t4779 * t519 * t102392 + t4779 * t519 * t102397 + 0.2e1 / 0.3e1 * t21878 * t106971 + t3123 * t7228 * t18688 / 0.2e1 + t6488 * t106979 / 0.12e2 - t4779 * t1843 * t102506 + t31841 * t18963 / 0.12e2 + t103584 + t89119 - t89122 - t84304 + t84306;
  t106989 = t86981 * t63085;
  t107013 = -t84328 - t84330 - t84332 + 0.2e1 * t47925 * t13182 - 0.3e1 * t27523 * t106989 + 0.3e1 * t88851 * t13021 - 0.6e1 * t47925 * t13011 + 0.3e1 * t47709 * t12851 - 0.3e1 / 0.2e1 * t11008 * t10037 * t4746 * t58978 - 0.43e2 / 0.9e1 * t52204 * t47512 * t106195 - t30 * t11948 * t544 / 0.4e1 - t182 * t19093 / 0.4e1 - t30 * t2577 * t1830 / 0.4e1;
  t107043 = t7216 * t47270 * t12810 / 0.3e1 + t11086 * t47276 * t12814 - t7216 * t47364 * t12860 / 0.3e1 - 0.11e2 / 0.9e1 * t11008 * t87059 * t12814 + 0.2e1 * t11086 * t47364 * t12814 + 0.2e1 / 0.3e1 * t7216 * t47370 * t12810 + t7216 * t103008 / 0.12e2 + t7581 * t103013 / 0.12e2 - t7746 * t103022 / 0.6e1 - t7581 * t103005 / 0.6e1 + t7581 * t103019 / 0.6e1 + t84656;
  t107060 = -t84660 + t84664 - t9110 + t9112 - t768 * t19122 / 0.2e1 + 0.2e1 / 0.3e1 * t1748 * t102626 + t1532 * t13165 + t1532 * t13168 + 0.2e1 / 0.3e1 * t7190 * t19118 + 0.2e1 / 0.3e1 * t7195 * t19118 + 0.2e1 / 0.3e1 * t1748 * t1227 * t6333 * t2676 + t6353 * t2742 + t6335 * t2742;
  t107076 = -t6295 * t13254 - t6295 * t13257 - t32430 * t2729 + t1891 * t12067 / 0.2e1 - t32423 * t2729 - 0.3e1 * t1891 * t11986 - t1891 * t12173 + t80473 + t16354 + t1891 * t12184 / 0.2e1 - t1891 * t12188 / 0.2e1 - t1891 * t12177;
  t107106 = 0.3e1 / 0.2e1 * t1891 * t12180 + t466 * t64721 / 0.6e1 + t1568 * t92649 / 0.3e1 + t13060 * t1564 / 0.2e1 - t89169 - 0.6e1 * t52607 * t4754 * t105295 - 0.2e1 * t11086 * t4770 * t105904 - 0.3e1 * t4748 * t36154 * t19159 + 0.9e1 * t4738 * t7599 * t21225 * t58633 - 0.6e1 * t4738 * t7599 * t3402 * t58647 + 0.36e2 * t4738 * t36878 * t3402 * t105294 + t89184 - t89185;
  t107113 = my_piecewise3(t2, 0, t107013 + t106108 + t105678 + t105798 + t105410 + t106184 + t105299 + t106664 + t106010 + t106550 + t105530 + t105558 + t106641 + t105355 + t105747 + t106880 + t106053 + t106201 + t106751 + t106156 + t106865 + t105975 + t107060 + t105270 + t106845 + t106586 + t106044 + t105478 + t107106 + t105928 + t107076 + t106962 + t105645 + t105503 + t106986 + t106073 + t105956 + t106793 + t105707 + t106771 + t105328 + t105579 + t106037 + t105819 + t106623 + t106615 + t105443 + t107043 + t106683 + t105758 + t105620 + t105383 + t105603 + t105370 + t106929 + t106907 + t105839 + t106096 + t106138 + t105911 + t106814 + t106719 + t105862 + t105894);
  tv4rholapl2tau0 = t3 * t107113 + t19207;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 0] += tv4rholapl2tau0;

  tv4rholapl2tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 1] += tv4rholapl2tau1;

  tv4rholapl2tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 2] += tv4rholapl2tau2;

  tv4rholapl2tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 3] += tv4rholapl2tau3;

  tv4rholapl2tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 4] += tv4rholapl2tau4;

  t107120 = t38556 * t19458 / 0.6e1;
  t107122 = t38556 * t19455 / 0.3e1;
  t107124 = t38553 * t19233 / 0.9e1;
  t107126 = t38556 * t19236 / 0.12e2;
  t107128 = t28427 * t19300 / 0.2e1;
  t107130 = t28439 * t19298 / 0.3e1;
  t107132 = t33520 * t19305 / 0.36e2;
  t107135 = t24019 * t19225 / 0.12e2;
  t107137 = t28439 * t19229 / 0.2e1;
  t107143 = 0.23e2 / 0.108e3 * t38500 * t19362;
  t107145 = t12285 * t1950 / 0.18e2;
  t107147 = t6631 * t2814 / 0.3e1;
  t107152 = t1905 * t18842 / 0.36e2;
  t107153 = -t107135 - t107137 - t38385 * t19317 / 0.2e1 + 0.7e1 / 0.3e1 * t38385 * t19349 + t107143 + t107145 - t107147 - 0.3e1 * t4065 * t19263 - t6656 * t2814 - t84725 + t107152;
  t107156 = t23721 * t19273 / 0.2e1;
  t107157 = t948 * t19268;
  t107158 = t4040 * t19263;
  t107160 = t4040 * t19258 / 0.6e1;
  t107162 = 0.11e2 / 0.54e2 * t38500 * t19359;
  t107164 = t1905 * t18837 / 0.18e2;
  t107166 = t1618 * t13478 / 0.18e2;
  t107168 = t7988 * t19378 / 0.9e1;
  t107174 = t107156 - t107157 - t107158 - t107160 - t107162 + t107164 - t107166 + t107168 + t6656 * t2822 + 0.2e1 / 0.3e1 * t7908 * t19283 + 0.3e1 / 0.2e1 * t945 * t19328;
  t107178 = t7929 * t2668 / 0.12e2;
  t107180 = t6631 * t2817 / 0.6e1;
  t107192 = t1618 * t19341 / 0.36e2;
  t107195 = t945 * t19323 / 0.2e1 - t107178 - t107180 - t4065 * t19258 / 0.2e1 + t12267 * t8509 / 0.3e1 - t12267 * t8524 / 0.6e1 + 0.3e1 / 0.2e1 * t945 * t19251 + t945 * t19246 / 0.2e1 + t107192 - 0.3e1 / 0.2e1 * t38385 * t19313 - t84764;
  t107199 = t38500 * t19317 / 0.6e1;
  t107203 = t948 * t19277 / 0.6e1;
  t107205 = t38500 * t19313 / 0.2e1;
  t107212 = t4040 * t19332;
  t107214 = 0.5e1 / 0.108e3 * t38500 * t19375;
  t107216 = t7903 * t19372 / 0.18e2;
  t107219 = t7903 * t19369 / 0.9e1;
  t107220 = -t107219 + t103667 + t84769 - t84773 - t84777 + t84779 - t103730 + t84785 - t84794 - t84798 + t89244;
  t107223 = t7929 * t2663 / 0.6e1;
  t107226 = -t89245 - t107223 + t38396 * t19458 / 0.2e1 - t89308 + t89309 - t80628 - t80630 + t80632 + t84862 - t84876 - t84878;
  t107238 = t12282 * t8524 / 0.18e2;
  t107240 = t948 * t19251 / 0.2e1;
  t107242 = t948 * t19246 / 0.6e1;
  t107245 = -t84880 + t33281 * t19305 / 0.12e2 - t6656 * t2817 / 0.2e1 + t1902 * t18837 / 0.6e1 - t38535 * t19233 / 0.3e1 + t38396 * t19236 / 0.4e1 - t103764 - t107238 + t107240 + t107242 + t38903 * t19381 / 0.2e1;
  t107273 = t7929 * t2671 / 0.6e1;
  t107275 = t12282 * t8192 / 0.18e2;
  t107277 = t1905 * t12591 / 0.36e2;
  t107279 = t38453 * t2659 / 0.6e1;
  t107281 = t12285 * t2025 / 0.18e2;
  t107283 = t1618 * t13633 / 0.18e2;
  t107286 = t7959 * t2671 / 0.2e1 + t107273 - t107275 - t107277 - t107279 + t107281 - t107283 - 0.2e1 * t38903 * t19354 + t84913 + t89409 + t89410;
  t107291 = 0.2e1 / 0.3e1 * t38791 * t19354;
  t107296 = -t84926 + t84935 + t84939 + t84951 + t89414 - t89415 - t89416 + 0.3e1 * t4065 * t19332 - t107291 - t38868 * t19337 / 0.2e1 - t1902 * t18833 / 0.6e1;
  t107300 = 0.7e1 / 0.9e1 * t38500 * t19349;
  t107308 = -t7908 * t19372 / 0.6e1 + t107300 - t89417 - t38396 * t19455 - t23531 * t19225 / 0.4e1 - t290 * t19451 / 0.4e1 - 0.3e1 / 0.2e1 * t28455 * t19229 + t89422 - t89423 - t89424 + t89425;
  t107314 = t294 * t19365 / 0.12e2;
  t107318 = t38791 * t19352 / 0.3e1;
  t107320 = t948 * t19292 / 0.12e2;
  t107322 = t12282 * t8335 / 0.36e2;
  t107329 = t39006 * t19337 / 0.6e1;
  t107331 = t1905 * t18833 / 0.18e2;
  t107333 = t12282 * t8509 / 0.9e1;
  t107337 = t12282 * t8165 / 0.36e2;
  t107339 = t66722 * t505 / 0.6e1;
  t107341 = t60924 * t570 / 0.12e2;
  t107343 = t12282 * t8196 / 0.9e1;
  t107348 = -t107329 - t107331 + t107333 + t1615 * t19341 / 0.12e2 - t107337 + t107339 + t107341 + t107343 - t1615 * t13633 / 0.6e1 - t1902 * t12591 / 0.12e2 - t84962;
  t107351 = t6631 * t2831 / 0.6e1;
  t107353 = 0.2e1 / 0.9e1 * t7903 * t19283;
  t107355 = t6631 * t2822 / 0.3e1;
  t107357 = t33317 * t2809 / 0.3e1;
  t107366 = -t84970 + t84983 + t84985 + t107351 + t107353 + t107355 - t107357 + t6656 * t2831 / 0.2e1 - t7908 * t19369 / 0.3e1 + 0.3e1 / 0.2e1 * t23924 * t19273 - t1615 * t13478 / 0.6e1;
  t107368 = t948 * t19328 / 0.2e1;
  t107370 = t948 * t19323 / 0.6e1;
  t107375 = t294 * t19451 / 0.12e2;
  t107377 = t38791 * t19381 / 0.6e1;
  t107380 = t107368 + t107370 + t38903 * t19352 + 0.3e1 / 0.2e1 * t28913 * t19300 - t9156 + t9168 - t9180 + t9188 - t107375 + t107377 + t1902 * t18842 / 0.12e2;
  t107385 = my_piecewise3(t100, 0, -t89195 - 0.3e1 * t945 * t19268 - t7959 * t2668 / 0.4e1 - 0.11e2 / 0.18e2 * t38385 * t19359 + 0.23e2 / 0.36e2 * t38385 * t19362 - t107216 - t945 * t19277 / 0.2e1 + t12261 * t1950 / 0.6e1 - t33563 * t2809 + t28455 * t19298 - t290 * t19365 / 0.4e1 - t7959 * t2663 / 0.2e1 - t12267 * t8192 / 0.6e1 + t12267 * t8196 / 0.3e1 - 0.5e1 / 0.36e2 * t38385 * t19375 + t8002 * t19378 / 0.3e1 - t12267 * t8165 / 0.12e2 + t66620 * t505 / 0.2e1 + t60651 * t570 / 0.4e1 + t12261 * t2025 / 0.6e1 - t38825 * t2659 / 0.2e1 - t945 * t19292 / 0.4e1 - t12267 * t8335 / 0.12e2 - t107122 - t107124 + t107195 - t107199 + t103842 + t107348 + t107286 - t107314 - t107203 - t107205 + t107308 + t107120 + t107318 - t107320 + t107130 + t107132 + t107226 + t107296 + t107380 + t107366 + t107174 + t107126 + t107128 + t107245 + t107220 + t107153 - t107322 + t107212 - t107214);
  tv4rholapl2tau5 = t3 * t107385 + t19471;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 5] += tv4rholapl2tau5;

  t107396 = -0.2e1 * t37670 * t19165 - 0.11e2 / 0.18e2 * t37537 * t19134 - t7801 * t19194 / 0.6e1 + t102354 - t80837 - t85041 - t105432 - t105434 + t105493 + t105495 - t105497;
  t107398 = -t105499 + t105501 - t105502 + t105506 - t105508 - t105536 - t105538 + t105540 + t105542 + t85045 - t105593;
  t107406 = -t102558 + t105634 - t83168 + t83174 + t85065 - t85067 - t37561 * t18973 + t37561 * t18969 / 0.2e1 - t22520 * t18966 / 0.4e1 + t37561 * t18952 / 0.4e1 + t103883;
  t107420 = -t87626 - t89573 + t89574 - t3802 * t19056 / 0.2e1 + t903 * t19059 / 0.2e1 + t105966 - t105968 + t105970 + t105972 + t1923 * t18514 / 0.12e2 + t1923 * t18490 / 0.6e1;
  t107434 = t6575 * t2751 / 0.2e1 - t1632 * t12868 / 0.6e1 + t903 * t19127 / 0.2e1 - t12304 * t7316 / 0.12e2 - t903 * t19122 / 0.2e1 + t12312 * t1779 / 0.6e1 - t87701 - t103892 + t83484 - t85137 + t85141;
  t107457 = -t1923 * t12211 / 0.12e2 - t12304 * t7441 / 0.12e2 + t65923 * t481 / 0.2e1 - t1632 * t13049 / 0.6e1 + t60512 * t530 / 0.4e1 + t12312 * t1886 / 0.6e1 + t7824 * t2596 / 0.2e1 - t7824 * t2588 / 0.2e1 - t37525 * t18955 / 0.3e1 + t32748 * t18963 / 0.12e2 - t12304 * t7171 / 0.6e1;
  t107489 = t8683 - 0.3e1 * t3802 * t19160 + t37670 * t19163 - 0.3e1 / 0.2e1 * t37537 * t19150 + 0.3e1 / 0.2e1 * t22751 * t19155 + 0.7e1 / 0.3e1 * t37537 * t19146 + t37670 * t19168 / 0.2e1 + t7894 * t19200 / 0.3e1 + t106547 - t106549 + t89604;
  t107491 = -t89605 - t80906 + t83932 - t85164 - t85166 - t88661 + t85168 + t88672 + t106663 - t106667 + t106669;
  t107498 = t106671 - t106673 + 0.3e1 / 0.2e1 * t903 * t19064 - t7801 * t19191 / 0.3e1 + 0.3e1 * t3802 * t19177 + t106712 - t106714 + t106716 + t106718 - t106725 + t106727;
  t107520 = t106790 + t106792 + t106795 + t27723 * t18959 - t307 * t19093 / 0.4e1 + t106809 + t106811 - t106813 - t106818 + 0.3e1 / 0.2e1 * t27867 * t18948 + t106844;
  t107524 = -t106847 - t106849 - t106851 - t106853 - t106855 + 0.3e1 / 0.2e1 * t903 * t19173 - t89621 - t106870 - t106893 + t106895 - t106928;
  t107531 = -t9215 + t9226 - t106950 - t307 * t19042 / 0.4e1 - t84304 + t84306 + t6575 * t2742 + 0.2e1 / 0.3e1 * t7801 * t19118 - t32796 * t2729 + t89184 - t89185;
  t107536 = my_piecewise3(t2, 0, t87833 - t87622 + t87623 - t85089 + t85036 - t83681 - t83358 - t83348 - t83346 + t82836 + t80818 + t89572 - 0.5e1 / 0.36e2 * t37537 * t19197 - 0.3e1 / 0.2e1 * t27723 * t18945 - t37839 * t19183 / 0.2e1 - t1923 * t18694 / 0.6e1 + 0.23e2 / 0.36e2 * t37537 * t19140 - t37537 * t19143 / 0.2e1 - t903 * t19102 / 0.4e1 - t6575 * t2734 - t6575 * t2737 / 0.2e1 + t12304 * t7175 / 0.3e1 - 0.3e1 * t903 * t19052 - t7824 * t2593 / 0.4e1 - t37723 * t2584 / 0.2e1 - t12304 * t7453 / 0.6e1 + t12304 * t7457 / 0.3e1 + t1632 * t19112 / 0.12e2 + t107491 - t105359 + t107396 + t107398 - t106731 + t107406 - t105286 - t105338 - t105340 + t107420 + t107457 + t107524 - t105334 + t105336 + t107489 + t107498 - t105891 + t106729 + t107520 - t8667 + t107531 + t107434 + t106762 + t105893);
  tv4rholapl2tau6 = t3 * t107536 + t19207;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 6] += tv4rholapl2tau6;

  tv4rholapl2tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 7] += tv4rholapl2tau7;

  tv4rholapl2tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 8] += tv4rholapl2tau8;

  tv4rholapl2tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 9] += tv4rholapl2tau9;

  tv4rholapl2tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 10] += tv4rholapl2tau10;

  t107546 = -t85205 - t85207 - t85209 - t89195 + t85226 - t89669 - t89670 - t89671 - t39588 * t2659 / 0.2e1 - t39551 * t2659 / 0.2e1 + t12565 * t8196 / 0.3e1 + t2609 * t40055 / 0.3e1;
  t107572 = t56704 * t12510;
  t107575 = -t12565 * t8192 / 0.6e1 - t2609 * t40435 / 0.6e1 + t8189 * t2671 / 0.2e1 + t8184 * t2671 / 0.2e1 - t2043 * t12591 / 0.12e2 - t2048 * t12591 / 0.12e2 - t555 * t62280 / 0.12e2 + t61452 * t11469 + t61272 * t39972 / 0.3e1 - 0.9e1 / 0.2e1 * t5540 * t8227 * t24823 * t61607 + 0.3e1 * t5540 * t8227 * t4408 * t61590 + t6824 * t107572 / 0.6e1;
  t107577 = t2601 * t333;
  t107578 = t168 * t107577;
  t107583 = t56543 * t12335;
  t107587 = -0.61e2 / 0.27e2 * t56375 * t50504 * t107578 + t107120 - t107122 - t107124 + t107126 + t107128 + t107130 + t107132 - t107135 - t107137 + t34283 * t13550 + 0.3e1 / 0.2e1 * t30030 * t107583 * t9312;
  t107588 = t89653 * t66837;
  t107604 = t29911 * t1021 * t552 * t18738;
  t107613 = 0.14e2 / 0.3e1 * t29011 * t107588 + t89692 + t80982 + t50177 * t13524 + t50177 * t13527 + t50177 * t13853 - t34283 * t13856 - t5540 * t2056 * t104662 - 0.3e1 / 0.2e1 * t5540 * t559 * t104665 + t5540 * t559 * t104669 + 0.2e1 / 0.3e1 * t24164 * t107604 - t373 * t8317 * t18813 / 0.4e1 - t373 * t1940 * t104721 / 0.4e1;
  t107627 = t1021 * t107577;
  t107632 = -t6876 * t2814 + t89728 - t89729 - t81002 - t89730 - t81009 - t5559 * t2060 * t104540 + t5540 * t2060 * t103967 - 0.18e2 * t5559 * t40217 * t1034 * t107577 + 0.4e1 * t11369 * t62290 + 0.44e2 / 0.27e2 * t56375 * t50165 * t107627 - t34283 * t13538;
  t107640 = -t34283 * t13544 / 0.2e1 + t107143 + t107145 - t107147 - 0.3e1 * t5535 * t107583 * t9317 - t56164 * t12507 / 0.2e1 + t107152 + t107156 - t107157 - t107158 - t107160 - t107162 + t107164;
  t107642 = t168 * t61607;
  t107646 = t168 * t61590;
  t107654 = t50186 * t67368;
  t107659 = -t107166 + t107168 - t107178 - t107180 + 0.11e2 / 0.6e1 * t11381 * t29517 * t107642 - 0.11e2 / 0.9e1 * t11381 * t10485 * t107646 - t85291 - 0.6e1 * t50149 * t40248 * t24930 * t107577 - 0.2e1 / 0.3e1 * t24164 * t107654 - t34283 * t13530 / 0.2e1 - t81141 + t107192;
  t107660 = t168 * t61524;
  t107682 = -t85323 - t85325 + t85329 + t85331 + t8058 * t5549 * t107660 / 0.4e1 + 0.2e1 * t57725 * t5582 * t107578 + t11372 * t4137 * t107642 / 0.2e1 - t8058 * t104635 / 0.6e1 - t8055 * t104640 / 0.6e1 + t39224 * t19236 / 0.4e1 + t39229 * t19236 / 0.4e1 + t8052 * t104654 / 0.3e1 + t8055 * t104659 / 0.2e1;
  t107692 = t8120 * t2632;
  t107703 = -t8055 * t104632 / 0.3e1 + t1078 * t19246 / 0.2e1 + t1056 * t19246 / 0.2e1 + t373 * t107692 * t1094 / 0.2e1 + 0.3e1 / 0.2e1 * t1078 * t19251 - t85354 - t85356 + t85375 + t85377 + t1644 * t95233 / 0.3e1 + t490 * t67600 / 0.6e1 - t6855 * t2814;
  t107727 = -t1663 * t13467 - t1663 * t13470 - 0.3e1 * t1030 * t39178 * t19262 - 0.3e1 * t1078 * t19268 - 0.3e1 * t1056 * t19268 - t13724 * t1700 + 0.3e1 / 0.2e1 * t2030 * t12708 + t2030 * t12535 / 0.2e1 - t1965 * t89754 / 0.6e1 - t1651 * t95142 / 0.3e1 - t61715 * t1975 / 0.2e1 + t12596 * t1978 / 0.2e1 - t68390 * t1693;
  t107733 = 0.3e1 / 0.2e1 * t40761 * t12367 - 0.3e1 / 0.2e1 * t12347 * t85764 - t84764 - t104266 - t104267 + t81184 + t89809 - t89810 - t89813 + t89814 + t89819 - t89820;
  t107750 = -t89821 - t107199 - t85395 - t85417 - t85419 - t8189 * t2668 / 0.4e1 - t8184 * t2668 / 0.4e1 - t2030 * t12695 / 0.4e1 - t2030 * t12700 / 0.4e1 - t6876 * t2817 / 0.2e1 - t6855 * t2817 / 0.2e1 - t1663 * t13445 / 0.2e1 - t1663 * t13448 / 0.2e1;
  t107756 = t1400 * t12594 * t39182;
  t107761 = t552 * t2601;
  t107762 = t1021 * t107761;
  t107763 = t10485 * t107762;
  t107773 = 0.3e1 / 0.2e1 * t2030 * t12363 + t4245 * t107756 / 0.3e1 + t12596 * t1945 / 0.4e1 - 0.28e2 * t82647 * t107763 - 0.3e1 * t4145 * t39834 * t19267 - 0.18e2 * t10506 * t40241 * t4396 * t107577 - t107203 - t107205 + t107212 - t107214 - t107216 - t107219;
  t107774 = t11448 * t12340;
  t107778 = t11448 * t2607;
  t107791 = -t89919 + t89920 - t89921 + t89922 + 0.3e1 * t5535 * t107774 * t1407 + t5535 * t107778 * t4171 - 0.4e1 * t11369 * t61813 - 0.2e1 * t11369 * t62019 + t85468 - 0.3e1 * t11381 * t61592 - 0.43e2 / 0.9e1 * t56375 * t50165 * t4403 * t107577 - t89956 + t89967;
  t107810 = 0.3e1 / 0.2e1 * t1056 * t19251 + 0.3e1 / 0.2e1 * t373 * t39178 * t19250 - t12565 * t8524 / 0.6e1 - t2609 * t39918 / 0.6e1 - t2609 * t39921 / 0.6e1 + t12565 * t8509 / 0.3e1 - t85482 + t85484 + t81404 + t85502 - t1056 * t19292 / 0.4e1 - 0.5e1 / 0.36e2 * t39596 * t19375;
  t107811 = t4697 * t19311;
  t107837 = t1054 * t19311;
  t107842 = -0.5e1 / 0.36e2 * t8090 * t5623 * t107811 - t12596 * t1937 / 0.2e1 - t12596 * t1941 / 0.4e1 - 0.11e2 / 0.18e2 * t39187 * t19359 - 0.11e2 / 0.18e2 * t39596 * t19359 - 0.11e2 / 0.18e2 * t8090 * t5640 * t107811 - t39187 * t19317 / 0.2e1 - t39596 * t19317 / 0.2e1 - t8090 * t5634 * t107811 / 0.2e1 + 0.7e1 / 0.3e1 * t39187 * t19349 + 0.7e1 / 0.3e1 * t39596 * t19349 + 0.7e1 / 0.3e1 * t8090 * t5640 * t107837 + t39697 * t19352;
  t107858 = t1000 * t61957 * t1948;
  t107863 = t40673 * t19352 - 0.3e1 / 0.2e1 * t39187 * t19313 - 0.3e1 / 0.2e1 * t39596 * t19313 - 0.3e1 / 0.2e1 * t8090 * t5623 * t4381 * t19311 - t81451 + t84785 + t16363 - t16377 + t16381 - t2030 * t12528 - t338 * t107858 / 0.12e2 + t12596 * t1954 / 0.4e1;
  t107868 = t34384 * t2756;
  t107881 = t380 * t61602;
  t107894 = -t1651 * t95454 / 0.6e1 - t490 * t67673 / 0.6e1 - t1965 * t1393 * t107868 / 0.3e1 - t1965 * t105260 / 0.3e1 - t8106 * t19372 / 0.6e1 - t11372 * t5582 * t107646 - 0.3e1 * t56381 * t5553 * t107578 - t11372 * t5582 * t107881 / 0.2e1 - t40050 * t19233 / 0.3e1 - t40052 * t19233 / 0.3e1 - t8052 * t24237 * t19232 / 0.3e1 - t8052 * t104050 / 0.3e1;
  t107918 = t39994 * t12555;
  t107923 = -t8052 * t4137 * t107660 / 0.3e1 + t8058 * t29795 * t19232 / 0.4e1 + t8058 * t104055 / 0.4e1 + t8058 * t104505 / 0.12e2 + t8055 * t104517 / 0.12e2 - t8052 * t104498 / 0.6e1 - t8055 * t104502 / 0.6e1 - t8055 * t104520 / 0.3e1 + t8058 * t104523 / 0.6e1 + t8055 * t104526 / 0.6e1 + t6827 * t107918 / 0.12e2 - t8052 * t104643 / 0.3e1;
  t107924 = t39994 * t12510;
  t107927 = t86253 * t12547;
  t107930 = t56695 * t12510;
  t107956 = -t6830 * t107924 / 0.6e1 - t6827 * t107927 / 0.6e1 + t6824 * t107930 / 0.12e2 + t8058 * t104810 / 0.3e1 + t8058 * t104092 / 0.6e1 + 0.3e1 * t4349 * t19332 + 0.3e1 * t4383 * t19332 + 0.3e1 * t1030 * t39689 * t19331 + 0.3e1 / 0.2e1 * t1056 * t19328 + 0.3e1 / 0.2e1 * t373 * t39091 * t19327 + t1056 * t19323 / 0.2e1 + t373 * t8317 * t18827 / 0.2e1 + 0.3e1 / 0.2e1 * t1078 * t19328;
  t107977 = t13724 * t1696 + 0.2e1 / 0.3e1 * t8106 * t19283 + 0.2e1 / 0.3e1 * t8110 * t19283 - t6848 * t13429 + t6876 * t2822 + t6855 * t2822 - t8201 * t12720 / 0.2e1 - t6824 * t94915 / 0.3e1 + t34283 * t13564 - t51828 * t13561 + 0.3e1 * t50177 * t13580 - 0.6e1 * t51823 * t13606;
  t107992 = 0.3e1 * t89636 * t13619 - t81500 + t81502 - t90044 + t90045 + t81514 + t90048 - t1965 * t90343 / 0.12e2 - t555 * t61959 / 0.12e2 + t6855 * t2831 / 0.2e1 + t1663 * t13464 / 0.2e1 + t1663 * t13491 / 0.2e1 - t1677 * t13478 / 0.6e1;
  t107998 = t12518 * t333;
  t107999 = t168 * t107998;
  t108019 = -t1682 * t13478 / 0.6e1 - t490 * t68628 / 0.6e1 - t107223 - 0.4e1 / 0.3e1 * t11369 * t5549 * t107999 - t50177 * t13576 + t56196 * t12520 / 0.2e1 - t5540 * t2060 * t104803 / 0.2e1 + t51823 * t13573 + 0.23e2 / 0.36e2 * t61262 * t85880 + t5559 * t2060 * t104570 / 0.2e1 - 0.11e2 / 0.18e2 * t61262 * t85592 + 0.2e1 / 0.3e1 * t6824 * t69153;
  t108029 = t380 * t61639;
  t108033 = t168 * t61644;
  t108044 = t5549 * t1021 * t552 * t18764;
  t108058 = -0.2e1 * t61452 * t11465 - 0.2e1 / 0.3e1 * t61272 * t39980 + t11372 * t4137 * t107999 + 0.5e1 / 0.12e2 * t11381 * t29498 * t107999 + t8058 * t5549 * t108029 / 0.4e1 + 0.2e1 / 0.3e1 * t8052 * t9270 * t108033 - t8052 * t4137 * t108029 / 0.3e1 - t61262 * t85952 / 0.2e1 - t24164 * t108044 / 0.3e1 - t4145 * t8070 * t18813 / 0.4e1 + 0.3e1 * t50177 * t13534 + t5540 * t2056 * t104463 / 0.2e1 + t5540 * t559 * t104468 / 0.2e1;
  t108089 = -0.11e2 / 0.18e2 * t11381 * t10485 * t107881 - 0.23e2 / 0.12e2 * t11381 * t29498 * t62289 + 0.6e1 * t5540 * t40248 * t24848 * t107577 - 0.18e2 * t5559 * t40248 * t24794 * t107577 + t1663 * t13432 + t6876 * t2831 / 0.2e1 - t8201 * t12713 + t1663 * t13456 - t2609 * t39328 / 0.12e2 + t1958 * t90968 / 0.6e1 + t555 * t61963 / 0.12e2 + t2609 * t39147 / 0.3e1;
  t108096 = t8079 * t12648;
  t108097 = t1393 * t108096;
  t108106 = t2609 * t39150 / 0.3e1 - t4349 * t19258 / 0.2e1 - t4383 * t19258 / 0.2e1 - t1651 * t108097 / 0.3e1 + t84862 - t84876 - t84878 - t84880 + 0.2e1 / 0.3e1 * t1965 * t1400 * t6853 * t2756 + 0.2e1 / 0.3e1 * t1965 * t104287 - t85774 + t90309 - t85795;
  t108119 = -0.18e2 * t5540 * t40241 * t4408 * t107577 - 0.3e1 * t4145 * t107774 * t1412 - t4145 * t107778 * t4176 + t4145 * t13560 * t12524 - t85797 - t85816 - t85823 + t85832 - t85834 - t85841 + t85843 + t85845;
  t108151 = t90346 + t90347 - t11372 * t50205 * t13585 - t8052 * t35145 * t13683 / 0.3e1 + 0.5e1 / 0.12e2 * t11381 * t29498 * t107642 - 0.5e1 / 0.18e2 * t11381 * t10458 * t107646 - 0.35e2 / 0.108e3 * t56375 * t50165 * t107578 - 0.5e1 / 0.36e2 * t11381 * t10458 * t107881 - 0.5e1 / 0.18e2 * t11381 * t90203 * t13585 - t8058 * t50197 * t13676 / 0.6e1 + 0.5e1 / 0.3e1 * t56079 * t10458 * t107578 + t11369 * t50197 * t13585 + t8058 * t50186 * t13683 / 0.3e1;
  t108168 = t50197 * t19939;
  t108186 = 0.2e1 / 0.3e1 * t8058 * t50222 * t13683 - 0.11e2 / 0.9e1 * t11381 * t89653 * t13585 - t8058 * t50229 * t13676 / 0.3e1 + 0.2e1 * t11369 * t50229 * t13585 - t6824 * t95978 / 0.6e1 + 0.2e1 / 0.3e1 * t24164 * t108168 + t6830 * t95992 / 0.3e1 + t6827 * t66941 / 0.6e1 + 0.18e2 * t10506 * t40248 * t24958 * t107577 - 0.3e1 / 0.2e1 * t61262 * t85736 - 0.4e1 * t11369 * t50197 * t13593 - 0.4e1 / 0.3e1 * t8058 * t61190;
  t108196 = t85848 - t90373 + t18811 + t1958 * t1000 * t107868 / 0.3e1 - t81624 - t90389 + t90390 - t11381 * t50186 * t13585 - t2180 + t85884 + t85887 + 0.2e1 / 0.3e1 * t8058 * t61187 - 0.5e1 / 0.36e2 * t12347 * t85478;
  t108209 = t380 * t69151;
  t108210 = t5553 * t108209;
  t108219 = t104567 - t104568 + t104569 + t8423 * t19378 / 0.3e1 + t8427 * t19378 / 0.3e1 - t8110 * t19372 / 0.6e1 - t1965 * t1400 * t107868 / 0.6e1 - t1965 * t105238 / 0.6e1 - t6824 * t108210 / 0.6e1 + t61452 * t11765 / 0.2e1 + t61272 * t39668 / 0.6e1 - 0.5e1 / 0.36e2 * t61262 * t86301;
  t108222 = t8065 * t2607;
  t108226 = t8065 * t2602;
  t108234 = t24237 * t19304;
  t108239 = t4137 * t380 * t2012 * t2616;
  t108252 = t4403 * t107761;
  t108253 = t10458 * t108252;
  t108261 = -t4145 * t13537 * t12704 + 0.3e1 / 0.2e1 * t4145 * t108222 * t1419 + t4145 * t108226 * t1100 / 0.2e1 + t34945 * t19305 / 0.12e2 + t34948 * t19305 / 0.12e2 + t6827 * t108234 / 0.12e2 + t6827 * t108239 / 0.12e2 + 0.3e1 / 0.2e1 * t4145 * t107583 * t9340 - 0.2e1 * t56375 * t29517 * t107578 + 0.6e1 * t5559 * t8223 * t1034 * t61590 + 0.18e2 * t82647 * t108253 + 0.3e1 * t5535 * t39834 * t19331 + 0.3e1 / 0.2e1 * t29764 * t19300;
  t108275 = t2028 * t19311;
  t108276 = t5640 * t108275;
  t108282 = 0.3e1 / 0.2e1 * t29770 * t19300 + 0.3e1 / 0.2e1 * t5559 * t8231 * t12519 + 0.3e1 / 0.2e1 * t5559 * t2060 * t104688 + t81676 + t81679 - t81681 - t81683 - t81686 - t90491 + 0.7e1 / 0.3e1 * t72816 * t108276 + t2030 * t12531 / 0.2e1 - t34801 * t2809;
  t108285 = t1000 * t108096;
  t108296 = t1190 * t107998;
  t108299 = -0.2e1 * t8254 * t104954 + 0.9e1 * t40190 * t108296 - t104926 + t86630 - t86643 - t86653 - t86659 + t86661 + t86667 + t86672 + t91395 - t91396;
  t108306 = -t91397 - t91398 + t91399 + t91400 + t91401 - t91402 + t91403 - t86689 - 0.3e1 * t40236 * t19396 + 0.6e1 * t40266 * t19399 + t559 * t105116 / 0.2e1 - t91404;
  t108312 = t13733 * t12435;
  t108316 = t142 * t2601;
  t108317 = t108316 * t333;
  t108318 = t4624 * t108317;
  t108324 = t108316 * t994;
  t108333 = -t91405 - t86714 + t105033 - t105034 + 0.2e1 * t11528 * t104973 + 0.4e1 * t8251 * t104962 + 0.4e1 * t8251 * t360 * t108312 + 0.24e2 * t57448 * t108318 + 0.72e2 * t57574 * t1203 * t108317 + 0.24e2 * t40187 * t1203 * t108324 + t2054 * t18766 / 0.2e1 - 0.12e2 * t40207 * t45387 * t107998;
  t108337 = t45378 * t107998;
  t108362 = -0.8e1 * t40184 * t45387 * t61644 - 0.16e2 / 0.3e1 * t40187 * t108337 - 0.3e1 * t40179 * t45378 * t61644 + t40190 * t51084 * t107998 / 0.3e1 + 0.32e2 * t40187 * t45383 * t107998 + 0.18e2 * t40179 * t45383 * t61644 + 0.2e1 * t40190 * t51103 * t107998 - t2054 * t18740 - 0.3e1 * t40277 * t19403 + t91490 + t91491 + 0.1e2 / 0.3e1 * t40236 * t19387 - 0.4e1 * t40266 * t19390;
  t108367 = t40236 * t19393 / 0.18e2 - t17102 + t17103 - t17104 + t105064 + t105065 + t105066 + t16481 + t91504 - t91508 + t91509 + t91510;
  t108378 = t1190 * t108317;
  t108381 = t1190 * t108324;
  t108387 = t13733 * t1671;
  t108402 = -0.6e1 * t40195 * t19412 - 0.6e1 * t8254 * t1203 * t108312 - 0.6e1 * t8254 * t104936 - 0.1e2 * t40190 * t4624 * t107998 - 0.72e2 * t57389 * t108378 - 0.18e2 * t40190 * t108381 + t40190 * t4633 * t108324 / 0.3e1 - 0.2e1 / 0.9e1 * t11538 * t4633 * t108387 - t57448 * t50995 * t108317 / 0.9e1 - 0.9e1 * t40179 * t1203 * t61644 - 0.16e2 * t40187 * t1203 * t107998 + 0.4e1 * t40179 * t104949;
  t108419 = t1190 * t108387;
  t108422 = t4633 * t108317;
  t108425 = -0.4e1 / 0.3e1 * t57448 * t25032 * t108317 + 0.2e1 * t40190 * t4624 * t108324 - 0.4e1 / 0.3e1 * t11538 * t4624 * t108387 + t86739 - t86741 + t86755 + t86757 + 0.2e1 * t8251 * t104969 - 0.12e2 * t57574 * t108378 - 0.4e1 * t40187 * t108381 + 0.4e1 * t11533 * t108419 + 0.4e1 / 0.3e1 * t57389 * t108422;
  t108444 = -t40190 * t4633 * t107998 / 0.6e1 + 0.6e1 * t40207 * t360 * t107998 + 0.4e1 * t40184 * t360 * t61644 + 0.32e2 / 0.3e1 * t40187 * t108296 + 0.6e1 * t40179 * t1190 * t61644 + t8254 * t104976 / 0.3e1 - 0.18e2 * t40190 * t108337 - t86778 - t91542 - t91543 - t105155 - t91589 - t105157;
  t108455 = -0.24e2 * t11533 * t1203 * t108387 + 0.8e1 * t57389 * t108318 + 0.12e2 * t11538 * t108419 - t16484 + t16488 + t17129 - t18787 + t86799 + t86801 + t91663 + t91664 - t91665;
  t108475 = 0.8e1 / 0.3e1 * t57448 * t108422 + 0.12e2 * t11541 * t360 * t108387 + 0.4e1 * t40212 * t19409 + t8254 * t104930 + t8254 * t1190 * t108312 - 0.4e1 * t40184 * t104980 - 0.6e1 * t57365 * t104984 + 0.4e1 * t11528 * t104988 - 0.2e1 / 0.3e1 * t40179 * t104959 + t40195 * t19407 - t86813 - t86815;
  t108477 = t19386 * t333;
  t108490 = t19386 * t994;
  t108494 = t2788 * t1671;
  t108501 = t86821 + t9557 + t9559 + t9570 - t9574 + 0.1e2 / 0.3e1 * t40248 * t24958 * t108477 + 0.24e2 * t40217 * t1034 * t108477 - 0.2e1 / 0.3e1 * t40241 * t4396 * t108477 - 0.4e2 * t40241 * t4376 * t108477 - 0.1e2 * t8227 * t24848 * t108490 + 0.2e2 / 0.3e1 * t8227 * t4376 * t108494 - t8227 * t24794 * t108490 / 0.6e1;
  t108529 = t8227 * t4396 * t108494 / 0.9e1 + 0.6e1 * t40236 * t19436 + 0.8e1 * t8223 * t4408 * t108490 - 0.8e1 * t8223 * t1034 * t108494 - 0.12e2 * t40266 * t19439 - 0.2e1 / 0.3e1 * t40236 * t19442 - 0.6e1 * t8227 * t4408 * t108494 - 0.36e2 * t40217 * t1093 * t108477 - 0.12e2 * t8223 * t4549 * t108490 + 0.12e2 * t8223 * t1093 * t108494 - t9585 - t9586 - t9588;
  t108555 = -0.2e1 * t559 * t105193 + 0.4e1 / 0.3e1 * t2060 * t105196 - t2054 * t18793 + 0.2e1 * t2056 * t105184 + 0.3e1 * t559 * t105189 - t559 * t105181 + t9635 + 0.12e2 * t40288 * t356 * t108477 + 0.3e1 * t8220 * t1182 * t108490 - 0.6e1 * t8220 * t356 * t108494 - 0.2e1 * t8247 * t19420 + 0.2e1 * t40266 * t19424;
  t108562 = t2788 * t12435;
  t108586 = -t40236 * t19427 / 0.9e1 - 0.2e1 * t8231 * t19417 - 0.2e1 * t2060 * t105083 - 0.2e1 * t2060 * t4408 * t108562 - 0.2e1 * t2060 * t105208 - 0.12e2 * t40248 * t24848 * t108477 + t2060 * t105165 + 0.5e2 / 0.3e1 * t40248 * t24794 * t108477 - 0.2e1 * t2056 * t105069 - 0.2e1 * t2056 * t1182 * t108562 - 0.24e2 * t57459 * t360 * t108317 - 0.6e1 * t40207 * t360 * t108324 - t16505;
  t108606 = 0.36e2 * t40241 * t4408 * t108477 + 0.9e1 * t8227 * t24823 * t108490 + 0.3e1 * t2060 * t4549 * t108562 - t559 * t105045 + 0.3e1 * t2060 * t105097 + 0.2e1 * t2054 * t18796 + 0.6e1 * t40277 * t19432 + 0.3e1 * t8231 * t19445 - t16509 + t16524 - t91684 + t91685;
  t108610 = -0.2e1 / 0.3e1 * t2060 * t105059 - t2056 * t105042 - t86857 + t86863 - t86869 + t86886 - t86894 - t105199 - t17165 + t17166 + t17167 - t2229 + t2210;
  t108622 = -t34808 * t2809 - t6848 * t13424 + t1644 * t108285 / 0.3e1 - t12659 * t11682 / 0.2e1 - t2604 * t8478 / 0.6e1 - 0.3e1 * t4383 * t19263 + t16418 - t110 * t139 * (t108299 + t108306 + t108333 + t108362 + t108367 + t108402 + t108425 + t108444 + t108455 + t108475 + t108501 + t108529 + t108555 + t108586 + t108606 + t108610) * t168 / 0.4e1 - t90570 - t90571 - t90572 + t11369 * t5553 * t107881 / 0.2e1;
  t108631 = t8052 * t50205 * t13676 / 0.3e1 - t11369 * t5549 * t107642 + t11369 * t5553 * t107646 + t86033 + t86035 + t86037 - t103764 - t90591 - t90592 + t90593 + t90594 - t90595;
  t108664 = t90600 + t90601 + 0.3e1 / 0.2e1 * t5559 * t2060 * t4408 * t61524 - 0.6e1 * t5559 * t8223 * t4408 * t61607 + t5540 * t8247 * t19297 + t5540 * t2056 * t104459 + t5540 * t2056 * t1182 * t61524 + 0.3e1 / 0.2e1 * t4145 * t39383 * t19327 + t29767 * t19298 + t29773 * t19298 - 0.6e1 * t5540 * t40288 * t356 * t107577 - 0.3e1 / 0.2e1 * t5540 * t8220 * t1182 * t61607 + 0.3e1 * t5540 * t8220 * t356 * t61590;
  t108668 = t110 * t5560 * t24865;
  t108669 = t5553 * t107762;
  t108679 = 0.12e2 * t108668 * t108669 + t4145 * t8070 * t18827 / 0.2e1 - t9308 - t9324 + t9327 + 0.3e1 * t8058 * t61646 - 0.5e1 / 0.36e2 * t39187 * t19375 - t104679 + t9353 + t9357 - t9359 - t9361;
  t108687 = -t107238 + t107240 + t107242 + t8360 * t1400 * t107811 / 0.2e1 - t18860 + t107273 - t107275 - t107277 - t107279 + t107281 - t107283 + t2604 * t8445 / 0.6e1 + t2604 * t8122 / 0.6e1;
  t108705 = t19938 * t2616;
  t108707 = t5549 * t4143 * t108705;
  t108716 = t13571 * t487;
  t108717 = t1021 * t108716;
  t108718 = t29517 * t108717;
  t108723 = t1078 * t19323 / 0.2e1 - t1078 * t19277 / 0.2e1 - t1056 * t19277 / 0.2e1 - t373 * t8120 * t2628 * t1045 / 0.2e1 + t12562 * t1950 / 0.6e1 - t104709 + 0.9e1 / 0.2e1 * t5540 * t2060 * t24962 * t61644 - t24164 * t108707 / 0.3e1 + t4145 * t13537 * t61659 / 0.2e1 + t4145 * t13543 * t61650 / 0.2e1 - 0.7e1 * t29011 * t108718 + t12643 * t11687 / 0.2e1;
  t108729 = t1400 * t13722 * t2756;
  t108734 = t1400 * t108096;
  t108742 = t2604 * t8081 / 0.6e1 + t2043 * t18837 / 0.6e1 + 0.2e1 / 0.3e1 * t4245 * t108729 + t13724 * t1708 / 0.2e1 - t1651 * t108734 / 0.6e1 + t2609 * t39325 / 0.6e1 + 0.3e1 * t8201 * t12715 + t8201 * t12718 + t84913 - t86152 + t86153 + t86155 - t86157;
  t108752 = t380 * t19303 * t333;
  t108753 = t5549 * t108752;
  t108759 = t4137 * t108752;
  t108764 = t9270 * t380 * t19303 * t994;
  t108767 = -t86159 - t16437 - t8058 * t103971 / 0.3e1 - 0.8e1 / 0.3e1 * t11369 * t5587 * t107999 + t6824 * t108753 / 0.12e2 + 0.3e1 / 0.2e1 * t11381 * t29911 * t107999 - t6830 * t108759 / 0.6e1 - t6827 * t108764 / 0.6e1 - t9442 - t17037 - t17038 + t17039;
  t108769 = -t2030 * t12705 + t16016 - t16021 - t16024 + t17040 + t2251 - t86205 - t86207 - t86209 - t86211 - t86213 + t86221 + t89409;
  t108773 = t4137 * t380 * t583 * t12435;
  t108776 = t5582 * t108209;
  t108786 = -t104727 - t84926 + t84951 + t90815 + t90816 - t82396 - t90817 + t6827 * t108773 / 0.12e2 + t6830 * t108776 / 0.3e1 - t61936 * t11739 / 0.2e1 - t61943 * t8076 / 0.6e1 - t4145 * t67689 * t2667 / 0.4e1;
  t108815 = -t4145 * t67693 * t2667 / 0.4e1 - t4145 * t13543 * t12699 / 0.4e1 - t24205 * t19225 / 0.4e1 - t24209 * t19225 / 0.4e1 + t13724 * t1673 / 0.2e1 - t12565 * t8165 / 0.12e2 - t2609 * t39856 / 0.12e2 + t12596 * t2040 / 0.4e1 + t68477 * t505 / 0.2e1 + t68472 * t505 / 0.2e1 + t62469 * t570 / 0.4e1 + t62463 * t570 / 0.4e1 + t12562 * t2025 / 0.6e1;
  t108826 = t2604 * t8179 / 0.6e1 - t490 * t68467 / 0.6e1 - t1677 * t13633 / 0.6e1 - t1682 * t13633 / 0.6e1 + t89414 - t89415 - t89416 - t86244 - t107291 - t86263 - t86274 + t86281;
  t108853 = t86284 + t107300 - 0.2e1 * t11369 * t5587 * t107642 + 0.2e1 * t11369 * t5591 * t107646 + t11369 * t5591 * t107881 + t8058 * t5587 * t107660 / 0.2e1 + t8058 * t104252 / 0.2e1 + 0.7e1 / 0.3e1 * t11381 * t62375 + t39224 * t19458 / 0.2e1 + t39229 * t19458 / 0.2e1 + t8058 * t29791 * t19232 / 0.2e1 - t490 * t68236 / 0.6e1 - t12565 * t8335 / 0.12e2;
  t108863 = t29498 * t4403 * t108716;
  t108867 = t4161 * t2807 * t2616;
  t108871 = t349 * t19451;
  t108876 = t321 * t369 * t19449 * t370;
  t108883 = t5591 * t108209;
  t108886 = -t9464 - 0.3e1 / 0.4e1 * t8058 * t29911 * t108033 - 0.9e1 / 0.2e1 * t5559 * t2060 * t24823 * t61644 + 0.9e1 / 0.2e1 * t29011 * t108863 + 0.3e1 / 0.2e1 * t5535 * t8374 * t108867 + t104779 - t338 * t108871 / 0.12e2 + t108876 * t377 / 0.4e1 - t8189 * t2663 / 0.2e1 - t8184 * t2663 / 0.2e1 - t6824 * t108883 / 0.3e1 + t9487;
  t108905 = t9489 + t555 * t104004 / 0.12e2 + t555 * t104188 / 0.12e2 - t8106 * t19369 / 0.3e1 - t8110 * t19369 / 0.3e1 + t2048 * t18837 / 0.6e1 + t555 * t104200 / 0.6e1 + t555 * t104204 / 0.6e1 + t86397 + t86399 - t2609 * t40899 / 0.12e2 - t2609 * t40902 / 0.12e2 - t9505;
  t108923 = -t9507 - t2043 * t18833 / 0.6e1 - t2048 * t18833 / 0.6e1 - t555 * t104210 / 0.6e1 - t40840 * t19337 / 0.2e1 - t40844 * t19337 / 0.2e1 - t8490 * t1000 * t107811 / 0.2e1 - t86408 + t86413 + t86416 + t86418 + t86420;
  t108924 = -t86439 - t86443 - t86447 + t86452 + t86465 - t86469 - t86472 + t86475 + t86478 - t86481 - t86484 - t86486;
  t108939 = t50165 * t10504 * t107761;
  t108942 = t39697 * t19381 / 0.2e1 + t40673 * t19381 / 0.2e1 - t86500 + t86503 - t86512 + t86515 - t82547 - t82550 + t86534 - 0.9e1 / 0.2e1 * t10506 * t8227 * t24794 * t61607 + 0.3e1 * t10506 * t8227 * t4396 * t61590 + 0.8e1 * t82588 * t108939;
  t108952 = t5549 * t108717;
  t108956 = t985 * t2812 * t2616;
  t108963 = t5587 * t108752;
  t108976 = 0.3e1 / 0.2e1 * t30030 * t39508 * t19272 + 0.22e2 / 0.3e1 * t56079 * t10485 * t107578 - 0.23e2 / 0.3e1 * t56079 * t10458 * t107627 + 0.16e2 / 0.3e1 * t52065 * t108952 + t4145 * t8353 * t108956 + t90956 + t90959 - t104813 - 0.9e1 / 0.2e1 * t10506 * t8227 * t24794 * t107998 + t6824 * t108963 / 0.6e1 - 0.8e1 * t5559 * t8223 * t4408 * t107998 + t5535 * t13560 * t62345 / 0.2e1 - t4145 * t13560 * t62349 / 0.2e1;
  t109010 = 0.9e1 * t5559 * t8227 * t24848 * t107998 - 0.9e1 / 0.2e1 * t5540 * t8227 * t24823 * t107998 + t2043 * t18842 / 0.12e2 + t2048 * t18842 / 0.12e2 + 0.23e2 / 0.36e2 * t39187 * t19362 + 0.23e2 / 0.36e2 * t39596 * t19362 + 0.23e2 / 0.36e2 * t8090 * t5623 * t107837 + t8360 * t1393 * t107811 - 0.2e1 * t39697 * t19354 - 0.2e1 * t40673 * t19354 - 0.2e1 * t8360 * t1400 * t107837 + 0.11e2 / 0.6e1 * t11381 * t29517 * t107999;
  t109026 = t56695 * t19454;
  t109041 = -0.23e2 / 0.12e2 * t11381 * t29498 * t1021 * t107998 + 0.23e2 / 0.18e2 * t11381 * t90203 * t13593 + 0.8e1 * t5540 * t8223 * t4549 * t107998 + t16468 - t13724 * t1704 / 0.2e1 + t56164 * t12620 / 0.2e1 - t24164 * t109026 / 0.3e1 - t39948 * t12623 / 0.4e1 + t56164 * t12616 / 0.2e1 - 0.6e1 * t56381 * t5591 * t107578 - t2609 * t40511 / 0.6e1 + t12643 * t11723 + t2609 * t40523 / 0.3e1;
  t109055 = -0.11e2 / 0.18e2 * t12347 * t85741 + t1958 * t105254 / 0.3e1 + t89422 - t89423 - t89424 + t89425 - t86552 - t86554 - t12347 * t86236 / 0.2e1 - 0.3e1 * t8201 * t12337 + t2609 * t40507 / 0.3e1 - 0.2e1 / 0.3e1 * t2609 * t40518;
  t109067 = t987 * t39868 * t2617;
  t109071 = t987 * t8079 * t12635;
  t109089 = -0.3e1 * t5540 * t8220 * t1182 * t107998 + t8058 * t5587 * t108029 / 0.2e1 - 0.3e1 / 0.2e1 * t8058 * t30214 * t108033 - t107314 + t490 * t109067 / 0.12e2 + t490 * t109071 / 0.12e2 + t2030 * t12525 - 0.3e1 * t2030 * t12342 - 0.3e1 * t373 * t39689 * t19267 + 0.3e1 / 0.2e1 * t24584 * t19273 + 0.3e1 / 0.2e1 * t24589 * t19273 + 0.3e1 / 0.2e1 * t4395 * t39178 * t19272 - t2030 * t12539 / 0.2e1;
  t109108 = t1677 * t19341 / 0.12e2 + t1682 * t19341 / 0.12e2 + t103842 + t107318 - t107320 - t107322 - t107329 - t107331 + t107333 + 0.3e1 / 0.2e1 * t4145 * t39508 * t19250 + 0.18e2 * t5540 * t40217 * t1093 * t107577 + 0.6e1 * t5540 * t8223 * t4549 * t61607;
  t109113 = t50504 * t108252;
  t109150 = -0.6e1 * t5540 * t8223 * t1093 * t61590 - 0.62e2 / 0.3e1 * t82588 * t109113 - 0.3e1 * t5535 * t39508 * t19262 + 0.36e2 * t5559 * t40241 * t4376 * t107577 + 0.9e1 * t5559 * t8227 * t24848 * t61607 - 0.6e1 * t5559 * t8227 * t4376 * t61590 - 0.3e1 / 0.2e1 * t29767 * t19229 - 0.3e1 / 0.2e1 * t29773 * t19229 - 0.3e1 / 0.2e1 * t5540 * t8231 * t19228 - 0.3e1 / 0.2e1 * t5540 * t2060 * t4549 * t61524 - 0.3e1 / 0.2e1 * t5540 * t2060 * t104095 - t5535 * t13560 * t12712 - t110 * t2652 * t2013 / 0.4e1;
  t109152 = t29498 * t107762;
  t109158 = t1400 * t2028 * t12648;
  t109167 = t4161 * t18848 * t487;
  t109171 = 0.47e2 / 0.3e1 * t82588 * t109152 - t107337 + t107339 + t107341 + t107343 - t16544 + 0.23e2 / 0.36e2 * t12347 * t86193 + 0.2e1 / 0.3e1 * t1651 * t109158 - 0.2e1 * t12643 * t11727 - t110 * t19450 * t404 / 0.4e1 - 0.3e1 / 0.2e1 * t4145 * t8374 * t109167 + t91062;
  t109172 = t583 * t2601;
  t109173 = t4143 * t109172;
  t109174 = t10485 * t109173;
  t109181 = t91063 + 0.7e1 / 0.3e1 * t29011 * t109174 - t84962 + t84985 - 0.2e1 * t5540 * t2056 * t4543 * t61644 + t91086 + t107351 + t107353 + t107355 - t107357 + t107368 + t107370 + t9702;
  t109187 = t9704 - t9180 + t9188 - t318 * t19365 / 0.4e1 - t8058 * t61641 + t17075 - t17076 + t104921 + t104922 + t104923 + t86600 - t107375;
  t109206 = t16581 - t16583 - t16588 - t16591 + t86907 + t86909 - t110 * t12499 * t584 / 0.4e1 - t1030 * t107692 * t1035 / 0.2e1 - 0.3e1 * t4349 * t19263 - 0.7e1 * t11381 * t62378 + 0.14e2 / 0.3e1 * t11381 * t62472 + 0.89e2 / 0.9e1 * t56375 * t50504 * t107627 + 0.6e1 * t56079 * t5549 * t107578;
  t109231 = 0.3e1 / 0.2e1 * t11381 * t29911 * t107642 - t11381 * t5549 * t107646 - 0.38e2 / 0.9e1 * t56375 * t29498 * t107578 - t11381 * t5549 * t107881 / 0.2e1 - t8058 * t61526 - t8058 * t61531 - 0.3e1 / 0.2e1 * t11381 * t61604 - t39224 * t19455 - t39229 * t19455 - t8058 * t61201 + 0.9e1 / 0.2e1 * t11381 * t61609 + 0.23e2 / 0.18e2 * t11381 * t10458 * t61812;
  t109244 = t90203 * t67174;
  t109251 = 0.23e2 / 0.36e2 * t11381 * t10458 * t62018 - t51828 * t13864 - 0.6e1 * t50177 * t13568 - 0.2e1 * t50177 * t13548 + 0.6e1 * t51823 * t13859 + 0.2e1 * t51823 * t13862 - 0.3e1 * t29011 * t109244 - t318 * t19451 / 0.4e1 + t91238 + t107377 + t91721 - t91722 - t1078 * t19292 / 0.4e1;
  t109258 = my_piecewise3(t100, 0, t109251 + t109231 + t109206 + t109187 + t109181 + t109171 + t109150 + t109108 + t109089 + t109055 + t109041 + t109010 + t108976 + t108942 + t108923 + t108924 + t108905 + t108886 + t108853 + t108826 + t108815 + t108786 + t108769 + t108767 + t108742 + t108723 + t108687 + t108679 + t108664 + t107733 + t107587 + t108622 + t107923 + t107613 + t108219 + t108058 + t107894 + t107842 + t107791 + t107992 + t107863 + t107659 + t107750 + t107682 + t107773 + t107703 + t107575 + t107632 + t108089 + t108282 + t107810 + t108261 + t107640 + t108631 + t108019 + t108151 + t107956 + t107546 + t108119 + t108106 + t108186 + t108196 + t107727 + t107977);
  tv4rholapl2tau11 = t3 * t109258 + t19471;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 11] += tv4rholapl2tau11;

  t109280 = -t97112 - t97113 + t97114 - t97115 + t97116 + t97117 - 0.5e1 / 0.36e2 * t13878 * t103113 - t70959 * t2678 / 0.2e1 - t14215 * t12762 / 0.2e1 + t2844 * t102818 / 0.3e1 + t1876 * t19738 / 0.12e2 + t1881 * t19738 / 0.12e2 + t515 * t660 * t31295 * t2852 / 0.12e2 + t515 * t660 * t6255 * t13920 / 0.12e2;
  t109300 = -t15081 - t76021 - t76024 + t76027 + t15069 - 0.2e1 * t13904 * t12165 + 0.4e1 * t70040 * t2741 + 0.4e1 * t13901 * t12170 + 0.4e1 / 0.3e1 * t13011 - 0.4e1 * t12854 - 0.4e1 / 0.3e1 * t13182 + 0.2e2 / 0.9e1 * t13021 + 0.8e1 * t13228;
  t109319 = -0.12e2 * t12825 - 0.4e1 * t12829 - 0.4e1 * t13234 - 0.4e1 * t13212 - 0.4e1 * t70076 * t2733 - 0.4e1 * t13898 * t12176 + 0.4e1 / 0.3e1 * t70040 * t2728 + 0.4e1 / 0.3e1 * t13901 * t12090 - 0.2e1 * t70047 * t2592 - 0.2e1 / 0.3e1 * t13006 + 0.24e2 * t13015 + 0.4e1 * t12847 - 0.12e2 * t12851;
  t109337 = t76029 - t76046 + t76056 + t76075 + t76077 - 0.4e1 * t13901 * t59077 + 0.4e1 * t13898 * t64644 - 0.8e1 * t70054 * t63946 - 0.8e1 / 0.3e1 * t13901 * t64833 + 0.16e2 / 0.9e1 * t70059 * t64149 + 0.4e1 * t13898 * t59647 + 0.4e1 * t13904 * t59589 - 0.4e1 / 0.3e1 * t13901 * t59519;
  t109364 = -0.8e1 * t13901 * t64051 + 0.12e2 * t70036 * t64639 + 0.12e2 * t70059 * t63942 - 0.24e2 * t70054 * t64626 + 0.32e2 / 0.3e1 * t70059 * t63951 + 0.2e1 * t521 * t12165 + 0.2e1 / 0.3e1 * t58473 * t13892 + 0.2e1 / 0.3e1 * t11857 * t13983 - 0.4e1 * t70113 * t2741 - 0.4e1 * t13916 * t12170 + 0.4e1 * t70093 * t2733 + 0.4e1 * t13911 * t12176 + 0.2e1 * t1855 * t2592;
  t109366 = t109300 + t109319 + t109337 + t109364;
  t109374 = t14252 * t463;
  t109379 = t253 * t109374;
  t109383 = t19494 * t206;
  t109384 = t635 * t109383;
  t109388 = t19494 * t667;
  t109392 = t95 * t109383;
  t109395 = t95 * t109388;
  t109399 = t1876 * t19743 / 0.12e2 + t1881 * t19743 / 0.12e2 + t515 * t660 * t3279 * t19741 / 0.12e2 + t515 * t660 * t661 * t94 * t109366 / 0.12e2 + t14153 * t1551 / 0.2e1 + t78608 + t78619 - t78623 + t97127 - t7216 * t4760 * t3121 * t109374 / 0.3e1 + t7216 * t4770 * t109379 / 0.6e1 + 0.2e1 * t11086 * t4760 * t109384 + t7216 * t26082 * t635 * t109388 - t11086 * t4770 * t109392 - t7216 * t27475 * t109395 / 0.2e1;
  t109406 = t19538 * t206;
  t109407 = t3121 * t109406;
  t109411 = t253 * t109406;
  t109418 = t222 * t19716;
  t109423 = t191 * t242 * t19714 * t243;
  t109428 = 0.11e2 / 0.18e2 * t11008 * t26140 * t109392 - 0.4e1 / 0.3e1 * t7216 * t64900 + 0.23e2 / 0.18e2 * t11008 * t10037 * t109407 - 0.11e2 / 0.9e1 * t11008 * t10058 * t109411 + t97128 + t97129 - t97130 + t78656 + t78691 - t78695 + 0.3e1 / 0.2e1 * t70204 * t26082 * t12810 - t211 * t109418 / 0.12e2 + t109423 * t250 / 0.4e1 - t2844 * t32438 / 0.6e1;
  t109436 = t14107 * t6290 / 0.9e1;
  t109453 = t3548 * t19481;
  t109460 = -t1876 * t13049 / 0.6e1 - t1881 * t13049 / 0.6e1 - t515 * t63602 / 0.6e1 + t109436 - t78716 - t246 * t1769 * t658 * t221 * t109366 / 0.4e1 + 0.3e1 / 0.2e1 * t768 * t19629 + 0.3e1 / 0.2e1 * t757 * t19629 + 0.3e1 / 0.2e1 * t246 * t14004 * t12176 + t768 * t19632 / 0.2e1 + t757 * t19632 / 0.2e1 - t109453 - t1541 * t97804 / 0.6e1 + t1541 * t97808 / 0.3e1 - t69282 * t1548 / 0.2e1;
  t109465 = t4844 * t6293 * t69183;
  t109474 = t1530 * t69183;
  t109475 = t4838 * t109474;
  t109478 = t82987 + t97325 - t97326 - t97327 + t78761 + t87181 + t78765 + t6295 * t13952 - 0.3e1 / 0.2e1 * t69444 * t109465 - t6295 * t14009 / 0.2e1 + t1532 * t14024 - 0.3e1 * t1532 * t14218 - t1532 * t14026 + 0.7e1 / 0.3e1 * t69444 * t109475;
  t109482 = t7255 * t19583 / 0.9e1;
  t109484 = 0.2e1 / 0.9e1 * t7255 * t19587;
  t109490 = t7255 * t19732 / 0.18e2;
  t109492 = t14107 * t18527 / 0.9e1;
  t109505 = t70505 * t1554;
  t109509 = t70505 * t464;
  t109515 = t1532 * t14028 / 0.2e1 - t109482 + t109484 - 0.11e2 / 0.18e2 * t13878 * t103130 + 0.23e2 / 0.36e2 * t69475 * t19779 - t109490 + t109492 + t515 * t105846 / 0.6e1 - t7190 * t19732 / 0.6e1 - 0.2e1 * t4779 * t1847 * t3409 * t64294 + t47709 * t14064 / 0.2e1 + t47709 * t14069 / 0.2e1 - t3123 * t109505 * t1246 / 0.2e1 - t3123 * t109509 * t730 / 0.4e1 + 0.2e1 / 0.3e1 * t7216 * t64373;
  t109524 = t13919 * t463;
  t109525 = t95 * t109524;
  t109529 = t2851 * t1512;
  t109530 = t95 * t109529;
  t109535 = t35707 * t19540 / 0.18e2;
  t109536 = t36005 * t19560 / 0.6e1 + t36009 * t19560 / 0.6e1 + t7216 * t25958 * t19559 / 0.6e1 + t7216 * t4770 * t109525 / 0.6e1 + t7216 * t4770 * t109530 / 0.6e1 - t109535 + t78769 - t78779 - t78782 - t78784 - t78786 - t78791 + t78793 + t78795;
  t109539 = t35360 * t2676;
  t109550 = t593 * t19632 / 0.6e1;
  t109555 = t53245 * t63351;
  t109562 = t19623 * t206;
  t109573 = -t7195 * t19732 / 0.6e1 - t1748 * t1227 * t109539 / 0.6e1 - t1748 * t105525 / 0.6e1 + t14136 * t18527 / 0.3e1 + t2844 * t102815 / 0.3e1 + t109550 + t7746 * t93025 / 0.3e1 + t52729 * t13234 + t52729 * t13212 - 0.2e1 / 0.3e1 * t21878 * t109555 - t36310 * t13133 / 0.2e1 - t47709 * t14177 / 0.2e1 + t4738 * t1847 * t3375 * t109562 / 0.2e1 + 0.6e1 * t4738 * t14293 * t102335 - 0.3e1 * t4779 * t14293 * t103186;
  t109585 = t47276 * t69571;
  t109601 = t6491 * t98291 / 0.3e1 + t6488 * t69988 / 0.6e1 - t6069 * t98286 / 0.6e1 - t32403 * t14232 / 0.2e1 + 0.2e1 / 0.3e1 * t21878 * t109585 + 0.6e1 * t4738 * t7595 * t648 * t63226 - 0.23e2 / 0.18e2 * t70204 * t102509 - 0.2e1 / 0.3e1 * t70197 * t102513 - t11143 * t53253 * t12814 - t7746 * t36303 * t12810 / 0.3e1 + t97474 - t97498 + t97499 - t97508;
  t109603 = t6358 * t2915 / 0.6e1;
  t109609 = t64378 * t530 / 0.6e1;
  t109611 = t6358 * t2907 / 0.6e1;
  t109613 = t32408 * t2899 / 0.6e1;
  t109620 = t6255 * t13936;
  t109626 = t97522 + t87213 + t87215 + t87236 + t109603 + t63742 * t530 / 0.2e1 + t63737 * t530 / 0.2e1 + t109609 - t109611 - t109613 - t6353 * t2907 / 0.2e1 - t6335 * t2907 / 0.2e1 + t69326 * t481 / 0.4e1 + t1787 * t673 * t109620 / 0.3e1 - t14215 * t9805 / 0.2e1;
  t109637 = t658 * t2910 * t463;
  t109653 = t19543 * t206;
  t109657 = -t2839 * t6263 / 0.6e1 + t13929 * t9814 / 0.2e1 + t2839 * t6257 / 0.6e1 - t1748 * t92946 / 0.6e1 + t97545 + t97547 + t97584 + t97585 + t3123 * t7238 * t109637 / 0.2e1 + 0.3e1 * t3123 * t70008 * t64639 + t3123 * t14228 * t64644 - 0.3e1 / 0.2e1 * t4779 * t7610 * t819 * t109383 - t4779 * t1843 * t3430 * t109388 - t4779 * t1843 * t3430 * t109653;
  t109658 = t19543 * t667;
  t109665 = t26082 * t635 * t14199 * t2541;
  t109669 = t3138 * t2910 * t2541;
  t109678 = -0.3e1 / 0.2e1 * t4779 * t519 * t22055 * t109658 + 0.2e1 / 0.3e1 * t21878 * t109665 + t3123 * t7228 * t109669 / 0.2e1 - 0.23e2 / 0.36e2 * t11008 * t25739 * t109384 - t78913 + t78919 + t78921 - t97596 + t97602 + t97603 + t83140 - t97604 - t83148 - t87412 - 0.3e1 * t3537 * t19481;
  t109696 = t6358 * t2903 / 0.6e1;
  t109711 = -0.3e1 * t644 * t14076 * t102880 - 0.3e1 * t3530 * t19481 - 0.3e1 * t768 * t19476 - 0.3e1 * t757 * t19476 - 0.3e1 * t246 * t13986 * t12170 + 0.3e1 / 0.2e1 * t768 * t19473 + t109696 - 0.2e1 * t52729 * t13228 + t36310 * t13231 + 0.3e1 * t9873 * t7599 * t3448 * t63226 + 0.6e1 * t53885 * t12854 + 0.2e1 * t53885 * t13182 - t53889 * t12832 - 0.6e1 * t52729 * t13015;
  t109746 = -0.3e1 * t11008 * t63228 + 0.9e1 / 0.2e1 * t70204 * t25739 * t3671 * t6061 - 0.43e2 / 0.9e1 * t97462 * t47512 * t12978 + t7340 * t19725 / 0.3e1 + t7345 * t19725 / 0.3e1 + t1787 * t673 * t109539 / 0.3e1 + t1787 * t106732 / 0.3e1 + t1876 * t19112 / 0.6e1 + t1881 * t19112 / 0.6e1 + t515 * t105854 / 0.6e1 - t466 * t70272 / 0.6e1 - t466 * t69689 / 0.6e1 - t1876 * t12868 / 0.6e1 - t1881 * t12868 / 0.6e1 - t515 * t64593 / 0.6e1;
  t109752 = t69570 * t463;
  t109754 = t10037 * t4746 * t109752;
  t109765 = -t515 * t64597 / 0.6e1 - 0.2e1 / 0.3e1 * t14136 * t18531 - t97752 + t97753 - t78997 - t79000 + t97758 - t83191 - t97759 + t97761 - t87479 - 0.3e1 * t27523 * t109754 + 0.6e1 * t4748 * t69597 * t63946 + 0.2e1 * t4748 * t14184 * t64833 - 0.2e1 * t13929 * t13124;
  t109786 = 0.23e2 / 0.108e3 * t69224 * t19779;
  t109788 = t3171 * t20125 * t463;
  t109795 = t253 * t64898;
  t109799 = -0.2e1 * t13929 * t12234 - 0.11e2 / 0.18e2 * t69475 * t19776 - 0.11e2 / 0.18e2 * t13878 * t4838 * t12761 - t7462 * t13257 + t7374 * t2742 + t7390 * t2742 + t1891 * t13165 + t1891 * t13168 + 0.3e1 / 0.2e1 * t21706 * t19770 + 0.3e1 / 0.2e1 * t21711 * t19770 + 0.3e1 / 0.2e1 * t3680 * t14076 * t102890 + t109786 + t4748 * t7233 * t109788 / 0.2e1 + 0.2e1 * t11086 * t4754 * t109411 + 0.2e1 / 0.3e1 * t7216 * t4770 * t109795;
  t109805 = t1869 * t19112 / 0.18e2;
  t109829 = t109805 - 0.3e1 * t6295 * t14080 + 0.3e1 / 0.2e1 * t1532 * t14221 + 0.3e1 / 0.2e1 * t32471 * t14077 - t7390 * t2734 - t1891 * t13103 - t1891 * t13243 - t7374 * t2737 / 0.2e1 - t7390 * t2737 / 0.2e1 - t1891 * t13155 / 0.2e1 - t1891 * t13158 / 0.2e1 - t1517 * t13977 / 0.6e1 - t1522 * t13977 / 0.6e1 + 0.3e1 * t52729 * t12851;
  t109839 = t188 * t19716 / 0.12e2;
  t109840 = t14199 * t463;
  t109842 = t26140 * t635 * t109840;
  t109846 = t3171 * t20228 * t463;
  t109862 = t95 * t63226;
  t109872 = -0.6e1 * t47583 * t71156 * t21210 * t9747 + 0.18e2 * t9873 * t71156 * t21215 * t9747 - t109839 - t79054 - t79056 - 0.7e1 / 0.3e1 * t27523 * t109842 - t3123 * t7233 * t109846 / 0.2e1 - t83223 - 0.18e2 * t4738 * t71156 * t21220 * t9747 + 0.6e1 * t4779 * t71156 * t21225 * t9747 - 0.23e2 / 0.3e1 * t97426 * t12994 - 0.2e1 * t69907 * t13201 - 0.11e2 / 0.9e1 * t11008 * t10058 * t109862 + 0.11e2 / 0.6e1 * t70204 * t26140 * t12810 - 0.61e2 / 0.27e2 * t97462 * t47588 * t12814;
  t109896 = t10058 * t3121 * t109752;
  t109907 = 0.22e2 / 0.3e1 * t97426 * t12991 + t69907 * t13130 - 0.4e1 * t11086 * t64478 + 0.4e1 * t69907 * t13197 + t97811 + t97812 - t97813 + 0.3e1 * t4779 * t7595 * t3409 * t109383 + 0.3e1 / 0.2e1 * t4779 * t1847 * t22051 * t109388 - 0.6e1 * t3123 * t69597 * t64626 - 0.2e1 * t3123 * t14184 * t64051 + 0.14e2 / 0.3e1 * t27523 * t109896 - 0.3e1 * t4738 * t7595 * t3375 * t109383 - 0.3e1 / 0.2e1 * t4738 * t1847 * t22070 * t109388;
  t109909 = t25739 * t3671 * t109840;
  t109932 = t70820 * t481 / 0.12e2;
  t109934 = t1508 * t14148 / 0.36e2;
  t109937 = 0.3e1 / 0.2e1 * t27523 * t109909 + t79083 + t79085 - 0.9e1 / 0.2e1 * t9873 * t14293 * t21220 * t6061 + 0.3e1 / 0.2e1 * t26806 * t69957 * t19769 + 0.2e1 * t11086 * t4754 * t109862 + t97833 + t83299 - t7746 * t31513 * t14189 / 0.6e1 - t2844 * t31809 / 0.12e2 + t14123 * t1527 / 0.6e1 + t2839 * t6347 / 0.6e1 + t109932 - t109934 + t6353 * t2915 / 0.2e1;
  t109943 = t14107 * t6286 / 0.18e2;
  t109960 = t6335 * t2915 / 0.2e1 - t109943 + t13060 * t1873 / 0.2e1 - t1517 * t14148 / 0.12e2 - t1522 * t14148 / 0.12e2 - t466 * t70858 / 0.12e2 + t14153 * t1514 / 0.4e1 + t14136 * t6290 / 0.3e1 + t2844 * t32442 / 0.3e1 - t14136 * t6286 / 0.6e1 - t97929 - t97930 - t97931 - t97932;
  t109961 = t95 * t64294;
  t109982 = -t97933 - t97934 - t97936 - t97937 - t83368 + t97938 - t97939 - t97940 - t7746 * t3130 * t109961 / 0.3e1 + t69904 * t12115 / 0.2e1 + t69910 * t12104 / 0.3e1 - 0.6e1 * t4779 * t7595 * t653 * t63226 + 0.6e1 * t4779 * t14331 * t13227 - 0.3e1 * t3123 * t70660 * t2741 - 0.2e1 * t97462 * t26140 * t12814;
  t109987 = t26888 * t19505 / 0.6e1;
  t109989 = t35707 * t19552 / 0.9e1;
  t109990 = t95 * t109562;
  t110000 = t2836 * t463;
  t110002 = t4765 * t635 * t110000;
  t110008 = t53885 * t13006 - t52729 * t12847 + t109987 - t109989 - t7746 * t3130 * t109990 / 0.6e1 - t79232 + t79239 - t79243 - t79245 - t79247 + t79249 + t35434 * t19748 / 0.3e1 + t35450 * t19748 / 0.3e1 + 0.12e2 * t30 * t4739 * t21402 * t110002 + 0.3e1 / 0.2e1 * t3123 * t69403 * t2733;
  t110035 = t10037 * t3671 * t110000;
  t110038 = -t36005 * t19564 / 0.3e1 - t98051 - t98053 + t98058 + t98060 + 0.2e1 / 0.3e1 * t1748 * t1227 * t1530 * t13936 - 0.2e1 / 0.3e1 * t2844 * t31770 + 0.23e2 / 0.36e2 * t13878 * t79031 - t63754 * t1758 - 0.2e1 / 0.3e1 * t2844 * t102823 - 0.2e1 / 0.3e1 * t2844 * t102867 + 0.2e1 * t4738 * t1847 * t3375 * t64294 - 0.3e1 * t4738 * t2870 * t103595 - 0.6e1 * t4738 * t14331 * t6062 + 0.18e2 * t79668 * t110035;
  t110068 = 0.3e1 * t4748 * t70660 * t2728 + t36310 * t12844 - t83437 + t70197 * t102515 / 0.3e1 + t7581 * t105301 / 0.6e1 + t7216 * t53245 * t12810 / 0.3e1 - 0.5e1 / 0.18e2 * t11008 * t91825 * t12814 - t7216 * t53249 * t12860 / 0.6e1 - t79311 - t3123 * t14184 * t59077 + t7216 * t106132 / 0.3e1 + t4748 * t14184 * t59519 - t4738 * t1847 * t22070 * t109653 + t98100;
  t110085 = t3548 * t19575 / 0.3e1;
  t110087 = t593 * t19473 / 0.2e1;
  t110089 = t69650 * t2681 / 0.6e1;
  t110094 = t21655 * t19503 / 0.3e1;
  t110095 = t98101 + t98102 + t6353 * t2903 / 0.2e1 + t6335 * t2903 / 0.2e1 + t1532 * t14019 / 0.2e1 + t1532 * t13971 / 0.2e1 + 0.3e1 * t3530 * t19572 + 0.3e1 * t3537 * t19572 + 0.3e1 * t644 * t13986 * t12090 + t110085 + t110087 + t110089 + t13060 * t1761 - t13878 * t79094 / 0.2e1 + t110094;
  t110103 = t2836 * t2541;
  t110104 = t635 * t110103;
  t110105 = t26140 * t110104;
  t110113 = t37202 * t18963 / 0.18e2;
  t110115 = t21655 * t19533 / 0.6e1;
  t110116 = t2851 * t11860;
  t110131 = 0.5e1 * t4779 * t14331 * t12026 + 0.3e1 * t4779 * t2870 * t102494 - 0.14e2 / 0.3e1 * t27523 * t110105 - t3123 * t69581 * t18523 + t6491 * t99386 / 0.6e1 + t110113 - t110115 + t4779 * t519 * t3430 * t110116 / 0.2e1 + t25696 * t19549 / 0.2e1 - t27575 * t19499 - t4748 * t70588 * t2728 - t4748 * t69561 * t2728 - t4748 * t14184 * t12090 + t21617 * t19503;
  t110147 = t673 * t63170 * t1777;
  t110161 = t21621 * t19503 + t3123 * t70588 * t2741 + t3123 * t69561 * t2741 + t3123 * t14184 * t12170 + t26772 * t19505 / 0.2e1 - t17866 - t98145 + 0.3e1 / 0.2e1 * t757 * t19473 + 0.3e1 / 0.2e1 * t246 * t14076 * t102992 - t211 * t110147 / 0.6e1 + t13060 * t1783 / 0.2e1 + t1532 * t14037 / 0.4e1 - t1748 * t1227 * t109620 / 0.6e1 + t2844 * t31304 / 0.6e1 - 0.5e1 / 0.36e2 * t13878 * t79874;
  t110167 = t673 * t6255 * t14031;
  t110179 = t1829 * t463;
  t110180 = t253 * t110179;
  t110186 = -t2844 * t32322 / 0.12e2 - t211 * t110167 / 0.12e2 + t7581 * t106979 / 0.6e1 - t36005 * t19540 / 0.6e1 - t36009 * t19540 / 0.6e1 - t7216 * t25665 * t19539 / 0.6e1 - t7216 * t4765 * t110180 / 0.6e1 - t7216 * t106957 / 0.6e1 + t98164 + t16188 - t16191 - t16194 + t17918 - t17919;
  t110187 = t593 * t19476;
  t110211 = t593 * t19596 / 0.3e1;
  t110213 = t6358 * t2912 / 0.12e2;
  t110214 = t87793 - t87798 - t87801 - t110187 + t768 * t19602 / 0.4e1 + t757 * t19602 / 0.4e1 + t246 * t69703 * t469 * t249 / 0.4e1 + t246 * t14031 * t1584 * t249 / 0.4e1 - t6353 * t2912 / 0.4e1 - t6335 * t2912 / 0.4e1 - t1532 * t13992 / 0.4e1 - t1532 * t13997 / 0.4e1 - t768 * t19626 / 0.4e1 - t110211 - t110213;
  t110231 = t3375 * t19494;
  t110235 = -t98167 + t98168 + t98169 - t98177 - t98180 - t98186 + t7216 * t106189 / 0.3e1 + t70204 * t102332 + t7216 * t47370 * t14189 / 0.6e1 + 0.3e1 * t93331 * t13021 - 0.6e1 * t53885 * t13011 - t83532 - 0.3e1 * t4748 * t69957 * t19480 + t26777 * t19505 / 0.2e1 + t4738 * t7632 * t110231 / 0.2e1;
  t110261 = t4760 * t3121 * t69570 * t2541;
  t110274 = t4738 * t1847 * t3375 * t109524 / 0.2e1 + t4738 * t1847 * t3375 * t109529 / 0.2e1 + t2160 - t98214 + 0.3e1 * t4738 * t7599 * t21225 * t109383 - 0.3e1 / 0.2e1 * t4779 * t7599 * t22070 * t109383 + 0.3e1 * t26806 * t69975 * t64149 + t3123 * t14228 * t59647 + t3123 * t14231 * t59589 - 0.2e1 / 0.3e1 * t21878 * t110261 - t7746 * t106763 / 0.3e1 + t14153 * t1564 / 0.4e1 - t14215 * t11982 / 0.2e1 - t14123 * t2544 / 0.6e1 - t2839 * t12140 / 0.6e1;
  t110299 = -t2839 * t12145 / 0.6e1 + t69782 * t2681 / 0.2e1 + t13929 * t12802 / 0.2e1 + t13929 * t12130 / 0.2e1 + t14136 * t18517 / 0.6e1 + t2844 * t102453 / 0.6e1 + t2844 * t102456 / 0.6e1 - 0.5e1 / 0.36e2 * t69475 * t19485 - 0.5e1 / 0.36e2 * t13878 * t4844 * t12761 + t79369 + t17946 + t98217 + t17973 - t17977;
  t110303 = t14116 * t1527 / 0.18e2;
  t110305 = t14107 * t6350 / 0.36e2;
  t110307 = t1869 * t13049 / 0.18e2;
  t110314 = -t17978 + t17979 + t79412 + t79415 - t79417 - t79419 - t79422 - t79426 + t7581 * t105771 / 0.6e1 + t110303 - t110305 - t110307 - t32430 * t2899 / 0.2e1 - t32423 * t2899 / 0.2e1 + t70567 * t481 / 0.4e1;
  t110346 = t13919 * t2541;
  t110351 = -t14136 * t6350 / 0.12e2 - t11008 * t53245 * t12814 + 0.14e2 / 0.3e1 * t11008 * t92709 * t12987 - 0.3e1 * t11008 * t91825 * t12978 + t15602 + 0.47e2 / 0.3e1 * t97462 * t25739 * t12987 - 0.62e2 / 0.3e1 * t97462 * t47588 * t12978 - 0.3e1 * t9873 * t14293 * t102345 - t53889 * t12838 + t32403 * t14187 - 0.18e2 * t9873 * t71330 * t9874 + 0.36e2 * t4738 * t71330 * t9878 - t7581 * t42883 * t19754 / 0.6e1 - t7581 * t8642 * t95 * t110346 / 0.6e1;
  t110388 = -t7581 * t8642 * t95 * t110116 / 0.6e1 + t36005 * t19758 / 0.12e2 + t36009 * t19758 / 0.12e2 + t7216 * t25669 * t19559 / 0.12e2 + t7216 * t4760 * t109525 / 0.12e2 + t7216 * t4760 * t109530 / 0.12e2 + t7746 * t26927 * t19539 / 0.3e1 + t7746 * t4796 * t110180 / 0.3e1 + t7746 * t105790 / 0.3e1 - t35434 * t19751 / 0.6e1 - t35450 * t19751 / 0.6e1 - t7746 * t21593 * t19559 / 0.6e1 - t98243 + t98244 - 0.3e1 / 0.2e1 * t13878 * t4844 * t3535 * t2676;
  t110397 = 0.11e2 / 0.54e2 * t69224 * t19776;
  t110399 = 0.2e1 / 0.3e1 * t69650 * t2692;
  t110418 = -0.3e1 / 0.2e1 * t13878 * t103655 - t37309 * t2729 - t37314 * t2729 - t7462 * t13254 - t110397 - t110399 + 0.7e1 / 0.3e1 * t13878 * t4838 * t13123 + 0.7e1 / 0.3e1 * t13878 * t103127 - t7190 * t19583 / 0.3e1 - t7195 * t19583 / 0.3e1 - t1748 * t1220 * t109539 / 0.3e1 - t1748 * t105588 / 0.3e1 + 0.2e1 / 0.3e1 * t7190 * t19587 + 0.2e1 / 0.3e1 * t7195 * t19587;
  t110424 = t593 * t19629 / 0.2e1;
  t110426 = t593 * t19626 / 0.12e2;
  t110440 = t69224 * t19591 / 0.2e1;
  t110442 = 0.7e1 / 0.9e1 * t69224 * t19579;
  t110444 = t7368 * t2751 / 0.6e1;
  t110445 = 0.2e1 / 0.3e1 * t1748 * t1227 * t7388 * t2676 - t79453 + t79456 + t110424 - t110426 - t768 * t19596 - t757 * t19596 - t246 * t13951 * t102740 - t1517 * t14033 / 0.12e2 - t1522 * t14033 / 0.12e2 - t466 * t69698 / 0.12e2 - t466 * t69705 / 0.12e2 - t110440 + t110442 + t110444;
  t110448 = 0.2e1 / 0.9e1 * t14107 * t18531;
  t110457 = t1227 * t13058 * t35339;
  t110470 = -t110448 - t1541 * t99089 / 0.12e2 - t466 * t70277 / 0.12e2 - t13060 * t1766 - t13060 * t1770 / 0.2e1 + 0.2e1 / 0.3e1 * t3319 * t110457 + t13060 * t1774 / 0.2e1 + t1568 * t99092 / 0.6e1 + t466 * t69659 / 0.12e2 + 0.2e1 / 0.3e1 * t1748 * t106826 - 0.3e1 / 0.2e1 * t69475 * t19591 + t79463 - t15612 - t15615 + t15619;
  t110476 = t21655 * t19531 / 0.3e1;
  t110478 = t26891 * t19549 / 0.6e1;
  t110480 = t26891 * t19545 / 0.6e1;
  t110482 = t35707 * t19564 / 0.9e1;
  t110484 = t35707 * t19560 / 0.18e2;
  t110486 = 0.2e1 / 0.9e1 * t35707 * t19556;
  t110489 = t3548 * t19572;
  t110490 = -t79466 - t79472 - 0.3e1 / 0.2e1 * t70204 * t10037 * t4746 * t12859 - t110476 + t110478 + t110480 - t110482 + t110484 + t110486 - t98271 - t79503 + t79506 + t79509 - 0.11e2 / 0.18e2 * t13878 * t79028 + t110489;
  t110495 = t7299 * t19725 / 0.9e1;
  t110510 = t593 * t19602 / 0.12e2;
  t110512 = t1508 * t14033 / 0.36e2;
  t110517 = t110495 + 0.23e2 / 0.36e2 * t13878 * t4844 * t13123 + 0.23e2 / 0.36e2 * t13878 * t102298 - t69475 * t19782 / 0.2e1 - t13878 * t4831 * t12761 / 0.2e1 - t13878 * t103208 / 0.2e1 - t7374 * t2734 + t110510 - t110512 + t8659 + t8662 - t8667 + t8683 + 0.8e1 * t97462 * t47512 * t9871 * t9747;
  t110519 = t26903 * t19499 / 0.3e1;
  t110536 = -t110519 - t3123 * t71133 * t2733 - t3123 * t14228 * t12176 - t21617 * t19533 / 0.2e1 - t69910 * t12112 / 0.6e1 + t11086 * t4765 * t109862 - t69907 * t12811 + 0.6e1 * t97426 * t12984 - 0.38e2 / 0.9e1 * t97462 * t25739 * t12814 + t79546 - t79573 - t79576 + t79580 - t79585 - t79589;
  t110553 = t98781 - t98784 - t98803 - t98804 + t98805 + t98806 + t98807 + t16718 - 0.11e2 / 0.18e2 * t70204 * t10058 * t12860 + 0.23e2 / 0.18e2 * t11008 * t10037 * t63793 - 0.23e2 / 0.12e2 * t70204 * t25739 * t13196 - t70197 * t102372 / 0.2e1 + 0.5e1 / 0.18e2 * t70204 * t103001 + t70197 * t102356 / 0.6e1;
  t110591 = -0.5e1 / 0.18e2 * t11008 * t10037 * t109862 + 0.5e1 / 0.3e1 * t97426 * t12815 + 0.5e1 / 0.12e2 * t70204 * t25739 * t12810 - 0.35e2 / 0.108e3 * t97462 * t47512 * t12814 - 0.5e1 / 0.36e2 * t70204 * t10037 * t12860 - t11143 * t4796 * t109862 + 0.2e1 * t99255 * t13204 + t69904 * t13209 / 0.2e1 - 0.3e1 * t97312 * t13237 - t69904 * t13240 / 0.2e1 - t7216 * t26082 * t109395 / 0.4e1 - t7746 * t3130 * t109525 / 0.6e1 - t7746 * t3130 * t109530 / 0.6e1 - t35436 * t19755 / 0.6e1 - t35452 * t19755 / 0.6e1;
  t110622 = t69907 * t12861 / 0.2e1 - t25696 * t19496 / 0.2e1 - t25730 * t19496 / 0.2e1 - t4779 * t7632 * t19495 / 0.2e1 - t4779 * t1847 * t3409 * t109524 / 0.2e1 - t4779 * t1847 * t3409 * t109529 / 0.2e1 - t26814 * t19499 - t98819 - t98829 - t36310 * t13191 / 0.2e1 + t7581 * t64350 / 0.6e1 - t7216 * t92022 / 0.6e1 - 0.4e1 / 0.3e1 * t7216 * t64296 + 0.2e1 * t70197 * t102472;
  t110627 = t98116 * t1539;
  t110651 = t35704 * t19748 / 0.9e1;
  t110659 = -t6069 * t98109 / 0.6e1 + t6069 * t98113 / 0.3e1 - t4748 * t110627 * t1234 / 0.2e1 + t3123 * t110627 * t1239 / 0.2e1 + t47925 * t14201 / 0.2e1 - t1748 * t93294 / 0.3e1 - t14153 * t1556 / 0.2e1 - t14153 * t1560 / 0.4e1 + t2844 * t31647 / 0.3e1 - t1748 * t1220 * t109620 / 0.3e1 + t13929 * t9790 + t2844 * t32299 / 0.3e1 + t110651 + 0.3e1 * t4779 * t7610 * t229 * t63226 - 0.6e1 * t4779 * t71186 * t12824;
  t110676 = t69650 * t2686 / 0.3e1;
  t110678 = t21784 * t19770 / 0.2e1;
  t110680 = t7368 * t2742 / 0.3e1;
  t110682 = t35790 * t2729 / 0.3e1;
  t110691 = -0.3e1 / 0.2e1 * t4779 * t14282 * t12828 - t6069 * t97405 / 0.3e1 - t7216 * t92754 / 0.3e1 - t30 * t19715 * t277 / 0.4e1 + t6488 * t70538 / 0.12e2 - t6069 * t99383 / 0.12e2 + t110676 + t110678 + t110680 - t110682 + t3530 * t19575 + t3537 * t19575 + t644 * t13951 * t102929 + t7374 * t2751 / 0.2e1 + t7390 * t2751 / 0.2e1;
  t110705 = t26891 * t19496 / 0.6e1;
  t110715 = t1891 * t13179 / 0.2e1 + t1891 * t13150 / 0.2e1 + 0.7e1 / 0.3e1 * t69475 * t19579 + t246 * t14040 * t12165 / 0.2e1 + t98964 + t7216 * t4770 * t109990 / 0.6e1 - t110705 + t7746 * t53253 * t12860 / 0.3e1 - t7746 * t105307 / 0.3e1 - t7581 * t105310 / 0.3e1 + t7216 * t105304 / 0.6e1 + t98990 - t79688 + t79699 + t79701;
  t110721 = t1869 * t12868 / 0.18e2;
  t110723 = t1508 * t13977 / 0.18e2;
  t110729 = t1227 * t109474;
  t110749 = -t110721 - t110723 - t1532 * t14002 + 0.3e1 / 0.2e1 * t1532 * t14005 + t1532 * t14041 / 0.2e1 - 0.2e1 * t69182 * t110729 - t1532 * t14045 / 0.2e1 - t6295 * t13984 + 0.3e1 * t6295 * t13987 - t30 * t1607 * t2933 / 0.4e1 - t30 * t476 * t14398 / 0.4e1 - 0.6e1 * t97312 * t13009 - 0.2e1 * t69907 * t13127 - t7581 * t106768 / 0.3e1;
  t110758 = t19623 * t667;
  t110765 = t4760 * t635 * t512 * t19623;
  t110771 = t47270 * t69393;
  t110776 = t7216 * t106773 / 0.6e1 + t11086 * t4765 * t109411 - t83961 + t83963 - t99116 + t99119 - t8744 - t8748 + t8752 + t4779 * t1843 * t819 * t109562 / 0.2e1 + t4779 * t519 * t3430 * t110758 / 0.2e1 - t21878 * t110765 / 0.3e1 - t3123 * t7228 * t19625 / 0.4e1 - t21878 * t110771 / 0.3e1 - t32403 * t14059 / 0.4e1;
  t110784 = t95 * t109653;
  t110796 = -t84013 - t84016 - t84018 + t84021 + t84024 + t84026 + t79723 - t88703 - t15662 + 0.5e1 / 0.36e2 * t11008 * t25739 * t109392 + t7216 * t4760 * t109379 / 0.12e2 - t7216 * t26082 * t110784 / 0.6e1 - t7581 * t8642 * t253 * t14252 * t2541 / 0.6e1 - t7746 * t3130 * t109379 / 0.6e1;
  t110817 = 0.5e1 / 0.108e3 * t69224 * t19485;
  t110819 = t71020 * t2678 / 0.6e1;
  t110821 = t14116 * t2544 / 0.18e2;
  t110823 = t14107 * t18517 / 0.18e2;
  t110830 = t7746 * t8642 * t110784 / 0.3e1 + t7581 * t42955 * t95 * t109658 / 0.2e1 + t11143 * t3130 * t109392 / 0.2e1 + t7746 * t8642 * t109395 / 0.3e1 - t11086 * t4760 * t109392 / 0.2e1 - t7746 * t3130 * t109795 / 0.3e1 - t79734 - t110817 - t110819 - t110821 + t110823 + t79744 - t515 * t63172 / 0.6e1 - t2844 * t32362 / 0.6e1 + t1787 * t92649 / 0.3e1;
  t110836 = t1869 * t19743 / 0.36e2;
  t110838 = t1869 * t19738 / 0.36e2;
  t110856 = t515 * t64721 / 0.6e1 + t110836 + t110838 - t84106 + t84111 - t99164 - t18138 + t25730 * t19549 / 0.2e1 + t4779 * t7624 * t19548 / 0.2e1 + t4779 * t1843 * t819 * t109524 / 0.2e1 + t4779 * t1843 * t819 * t109529 / 0.2e1 - t21617 * t19531 - t21621 * t19531 - t3123 * t71129 * t2733;
  t110887 = 0.3e1 * t4779 * t7599 * t3375 * t63226 - 0.18e2 * t4779 * t71330 * t12850 - 0.9e1 / 0.2e1 * t4779 * t14293 * t22070 * t6061 + 0.3e1 / 0.2e1 * t3123 * t69957 * t19472 - t21621 * t19533 / 0.2e1 - t3123 * t71089 * t2592 / 0.2e1 - t182 * t19716 / 0.4e1 - t16743 + t8778 + t8780 - t8785 - t8790 - t36009 * t19564 / 0.3e1 - t7216 * t25669 * t19563 / 0.3e1 - t7216 * t4760 * t635 * t109524 / 0.3e1;
  t110929 = -t7216 * t4760 * t635 * t109529 / 0.3e1 + t25696 * t19545 / 0.2e1 + t25730 * t19545 / 0.2e1 + t4779 * t1841 * t19544 / 0.2e1 + t4779 * t519 * t3430 * t110346 / 0.2e1 + 0.2e1 / 0.3e1 * t36005 * t19556 + 0.2e1 / 0.3e1 * t36009 * t19556 + 0.2e1 / 0.3e1 * t7216 * t64802 + 0.2e1 / 0.3e1 * t7216 * t4765 * t3121 * t110179 - t36005 * t19552 / 0.3e1 - t36009 * t19552 / 0.3e1 - t7216 * t25784 * t19539 / 0.3e1 - t7216 * t4754 * t110180 / 0.3e1 - t7216 * t106930 / 0.3e1 - t70204 * t4760 * t12860 / 0.2e1;
  t110959 = t4760 * t110104;
  t110965 = 0.3e1 * t52729 * t12825 + t52729 * t12829 - t36310 * t13018 + 0.23e2 / 0.36e2 * t70204 * t10037 * t13200 - t11008 * t4760 * t109862 + 0.2e1 * t11086 * t53891 * t12814 + 0.2e1 / 0.3e1 * t7216 * t53072 * t12810 - 0.11e2 / 0.9e1 * t11008 * t92709 * t12814 - t7216 * t53891 * t12860 / 0.3e1 + t4779 * t1843 * t819 * t64294 - 0.3e1 / 0.2e1 * t4779 * t14282 * t12118 - t4779 * t2866 * t12122 + 0.1e2 / 0.3e1 * t52652 * t110959 + t3123 * t70825 * t2592 / 0.2e1 + t88762;
  t110996 = -t11008 * t4760 * t109411 + 0.3e1 * t3123 * t69975 * t63942 - 0.3e1 / 0.2e1 * t9873 * t7599 * t21220 * t109383 - 0.6e1 * t4748 * t69975 * t63951 - t99200 - t99201 - t182 * t19765 / 0.4e1 + t15778 - t15784 - 0.4e1 * t11086 * t4765 * t109407 - t3123 * t71092 * t2592 / 0.2e1 - t3123 * t14231 * t12165 / 0.2e1 + t35436 * t18963 / 0.6e1 + t35452 * t18963 / 0.6e1;
  t111000 = t188 * t19765 / 0.12e2;
  t111002 = t188 * t19762 / 0.6e1;
  t111018 = t7581 * t105766 / 0.6e1 + t79802 - t79812 - t88868 - t88874 - t111000 - t111002 + t79832 + t79834 - t4779 * t1847 * t3409 * t109562 / 0.2e1 - 0.18e2 * t4738 * t71159 * t9748 + 0.18e2 * t4779 * t71159 * t13014 - 0.5e1 * t4738 * t14331 * t58842 - t48518 * t14185 - t32403 * t14229;
  t111037 = t15794 - t79881 - t79883 + t79899 + t4779 * t1847 * t22051 * t109653 + t7216 * t4760 * t109795 / 0.3e1 - 0.5e1 / 0.18e2 * t11008 * t10037 * t109411 - t11143 * t4796 * t109411 + t11008 * t26082 * t109392 / 0.2e1 - t88935 + t88937 + t88939 - t79915 - t7581 * t78612 * t14245 / 0.6e1;
  t111080 = t7216 * t47270 * t14189 / 0.12e2 + t7581 * t31513 * t14253 / 0.12e2 + 0.2e1 / 0.3e1 * t7216 * t4770 * t109961 - 0.5e1 / 0.3e1 * t69907 * t12023 - t70197 * t102481 + 0.11e2 / 0.9e1 * t70204 * t102484 - t7581 * t8642 * t95 * t110758 / 0.6e1 + t7216 * t4760 * t109990 / 0.12e2 + t7581 * t3130 * t253 * t276 * t19623 / 0.12e2 + t7216 * t4760 * t109961 / 0.3e1 - 0.5e1 / 0.6e1 * t69907 * t12107 - t30 * t12974 * t544 / 0.2e1 - 0.4e1 * t11086 * t53249 * t12987 - 0.4e1 / 0.3e1 * t7216 * t63363 + 0.23e2 / 0.18e2 * t11008 * t91825 * t12987;
  t111085 = t53249 * t19555;
  t111099 = t25739 * t3671 * t110103;
  t111111 = t827 * t109383;
  t111122 = t62 * t19623;
  t111123 = t111122 * t206;
  t111140 = -t98307 + 0.3e1 * t36949 * t233 * t109383 + 0.2e1 * t36952 * t233 * t109388 + 0.4e1 * t36961 * t111111 + 0.4e1 / 0.3e1 * t98325 * t12931 + t71443 * t3482 * t12927 / 0.3e1 - t98320 * t48301 * t12876 / 0.9e1 + t79920 - t88052 + t7584 * t827 * t111123 / 0.3e1 + 0.2e1 * t37040 * t827 * t109388 - t36958 * t3482 * t109383 / 0.18e2 + t98477 + 0.2e1 * t7586 * t233 * t111123 + 0.2e1 * t10828 * t233 * t111122 * t667;
  t111143 = t12875 * t1839;
  t111157 = t827 * t111143;
  t111173 = 0.2e1 / 0.9e1 * t71443 * t103434 - 0.2e1 / 0.9e1 * t10846 * t3482 * t111143 - 0.24e2 * t10841 * t840 * t111143 + 0.72e2 * t98351 * t12877 + 0.24e2 * t71298 * t12940 - 0.4e1 / 0.3e1 * t98320 * t22013 * t12876 + 0.12e2 * t10846 * t111157 - 0.72e2 * t98325 * t12949 - 0.18e2 * t71443 * t12928 - 0.6e1 * t36961 * t840 * t109383 + t98505 - t98507 - t98508 - 0.3e1 * t37040 * t840 * t109388 - 0.4e1 / 0.3e1 * t10846 * t3475 * t111143;
  t111182 = t71259 * t463;
  t111186 = t14257 * t1512;
  t111200 = t2571 * t1839;
  t111209 = t14288 * t463;
  t111212 = t2883 * t1512;
  t111215 = 0.8e1 * t98325 * t12952 + 0.2e1 * t71443 * t3475 * t12927 - 0.2e1 * t36944 * t19646 - 0.2e1 * t7584 * t840 * t111182 - 0.2e1 * t7584 * t840 * t111186 - 0.1e2 / 0.3e1 * t36958 * t3475 * t109383 + 0.2e1 * t36952 * t233 * t109653 + 0.3e1 * t14282 * t12906 + 0.24e2 * t71159 * t12914 - 0.2e1 * t1843 * t819 * t111200 + 0.3e1 * t14282 * t11896 + 0.2e1 * t2866 * t11899 + t7632 * t19656 + t1847 * t3409 * t111209 + t1847 * t3409 * t111212;
  t111220 = t2708 * t1839;
  t111226 = t19663 * t206;
  t111244 = 0.4e1 * t2870 * t103521 - t14293 * t103504 / 0.9e1 - 0.6e1 * t7610 * t229 * t111220 + 0.12e2 * t71186 * t12903 - t79924 + t18003 - t18004 + t18005 + t1847 * t3409 * t111226 - 0.36e2 * t71159 * t12960 - 0.4e2 * t71330 * t12897 + 0.1e2 / 0.3e1 * t71156 * t21215 * t12889 + 0.12e2 * t7595 * t653 * t111220 - 0.12e2 * t14331 * t12894 - 0.6e1 * t7599 * t3375 * t111220;
  t111281 = 0.9e1 * t14293 * t22070 * t12893 - 0.4e1 * t2870 * t103524 + 0.6e1 * t14282 * t11875 + 0.2e1 * t2866 * t11862 - 0.2e1 / 0.3e1 * t1847 * t3375 * t111209 + 0.2e1 / 0.3e1 * t2870 * t103347 - t519 * t3430 * t2883 * t11860 - t519 * t3430 * t14288 * t2541 - 0.6e1 * t2870 * t103463 - 0.2e2 / 0.3e1 * t14293 * t103527 - 0.8e1 / 0.3e1 * t1847 * t3375 * t111200 + 0.2e2 / 0.3e1 * t14331 * t11865 - t7624 * t19661 - t1843 * t819 * t111209 - t1843 * t819 * t111212;
  t111322 = -t1841 * t19690 - 0.2e1 / 0.3e1 * t1847 * t3375 * t111226 + 0.4e1 * t1847 * t3409 * t111200 - 0.1e2 * t14331 * t11886 + 0.2e1 * t10828 * t233 * t71259 * t2541 + 0.2e1 * t10828 * t233 * t14257 * t11860 + t36944 * t19643 / 0.3e1 + t7584 * t827 * t111182 / 0.3e1 + t7584 * t827 * t111186 / 0.3e1 + 0.2e1 * t36966 * t19636 + 0.2e1 * t7586 * t233 * t111182 + 0.2e1 * t7586 * t233 * t111186 + 0.2e1 * t53628 * t19640 - 0.2e1 * t37040 * t840 * t109653 + 0.4e1 / 0.3e1 * t71443 * t103325;
  t111362 = -0.2e1 * t7584 * t840 * t111123 + 0.24e2 * t98320 * t12952 + 0.3e1 * t36958 * t111111 + 0.8e1 / 0.3e1 * t98320 * t12931 - 0.2e1 / 0.3e1 * t1847 * t3375 * t111212 - 0.8e1 * t7595 * t648 * t111220 + 0.8e1 * t14331 * t12900 - 0.2e1 / 0.3e1 * t71330 * t12923 + t7599 * t3448 * t111220 / 0.9e1 - t14293 * t21220 * t12893 / 0.6e1 + 0.2e2 / 0.3e1 * t7599 * t3402 * t111220 - 0.1e2 * t14293 * t21225 * t12893 - 0.2e1 / 0.3e1 * t14293 * t103468 + 0.6e1 * t14293 * t103492 + 0.5e2 / 0.3e1 * t71156 * t21220 * t12889;
  t111370 = t79931 - t519 * t819 * t63 * t109366 + 0.2e1 * t14331 * t11901 - t98524 - t98525 - t79961 - t79965 + t79969 - t79996 - 0.2e1 / 0.3e1 * t7632 * t19700 + t98561 + t98563 + t98565 + t8856 + t8875;
  t111384 = t8877 - t8888 + t519 * t819 * t60 * t109366 / 0.2e1 - t98592 + t98631 + t98632 - t98633 + t98635 - 0.4e1 * t14331 * t11918 + t14293 * t103300 / 0.18e2 + 0.1e2 / 0.3e1 * t14293 * t103255 + t98636 - t98637 - t80082 - t98658;
  t111392 = -t14293 * t103499 / 0.9e1 - t1841 * t19698 + t80089 + t80090 - t88247 - t88248 - t88250 - t98659 + t98660 + 0.2e1 * t2870 * t103359 - 0.4e1 / 0.3e1 * t2870 * t103304 + t80095 - t80115 + t80118 - t80121;
  t111401 = -t80123 + t18043 + t98665 + 0.6e1 * t14331 * t11932 - 0.3e1 * t14293 * t103284 - t80179 + t80186 + t80189 - t88296 + t1841 * t19664 / 0.2e1 + t98689 - t98690 + t98691 + t98695 - t2866 * t11912;
  t111416 = t41881 * t109383;
  t111437 = -0.3e1 * t14282 * t11937 - 0.24e2 * t98357 * t12943 - 0.12e2 * t71443 * t11831 - 0.2e1 / 0.3e1 * t37040 * t41881 * t109653 - t37040 * t41881 * t109388 + t36958 * t48306 * t109383 / 0.9e1 - 0.2e1 * t36961 * t111416 - 0.4e1 * t36952 * t41877 * t109653 - 0.6e1 * t53471 * t41877 * t109658 + 0.12e2 * t36961 * t41885 * t109383 + 0.6e1 * t37040 * t41885 * t109388 + 0.2e1 / 0.3e1 * t36958 * t48231 * t109383 + 0.4e1 * t37040 * t41885 * t109653 - t15697 + t15710;
  t111456 = -t519 * t3430 * t19663 * t667 - t1843 * t819 * t111226 - 0.12e2 * t71156 * t21225 * t12889 + 0.6e1 * t14293 * t103372 - 0.6e1 * t36958 * t111416 - 0.12e2 * t14331 * t11869 + 0.36e2 * t71330 * t12890 + t15712 - t18057 + t18058 - t18059 + t80229 + t88348 + t88353 + t98717;
  t111461 = t11819 * t1839;
  t111490 = -0.6e1 * t71223 * t12946 - 0.12e2 * t98351 * t12949 + 0.4e1 * t7586 * t233 * t111461 - 0.6e1 * t71223 * t11824 - 0.4e1 * t98346 * t11828 - 0.8e1 * t7584 * t840 * t111461 + 0.2e2 * t71298 * t11821 + 0.12e2 * t98411 * t103322 + 0.12e2 * t10836 * t233 * t111143 + t88399 + t88407 + 0.3e1 * t53471 * t233 * t109658 + 0.4e1 / 0.3e1 * t37040 * t827 * t109653 + 0.4e1 / 0.3e1 * t7584 * t827 * t111461 - 0.1e2 / 0.3e1 * t71298 * t11831;
  t111500 = -0.6e1 * t36949 * t41877 * t109383 - 0.4e1 * t36952 * t41877 * t109388 - 0.2e1 * t98411 * t103431 - t15743 - t15749 + t15767 - t16839 - t8948 - t8949 - t8966 + t8975 - t98726 + t98727 - t98728 - t98730;
  t111505 = 0.4e1 * t10841 * t111157 - 0.4e1 * t71298 * t12928 + t16888 - t18069 + t2119 - t2138 + t80307 + t80310 - t80313 - t80316 - t80319 + t88508 - t98732 - t98733 - t98735 + t98736;
  t111515 = t7368 * t2734 / 0.3e1;
  t111516 = 0.2e1 / 0.3e1 * t7216 * t64700 + 0.2e1 / 0.3e1 * t21878 * t111085 + 0.14e2 / 0.3e1 * t11008 * t63794 - 0.28e2 * t97426 * t12988 - 0.7e1 * t70204 * t26140 * t13196 + 0.89e2 / 0.9e1 * t97462 * t47588 * t12987 + 0.3e1 * t27523 * t111099 + t4748 * t69581 * t18705 - t36310 * t13187 - t30 * t59 * (t111140 + t111173 + t111215 + t111244 + t111281 + t111322 + t111362 + t111370 + t111384 + t111392 + t111401 + t111437 + t111456 + t111490 + t111500 + t111505) * t95 / 0.4e1 - t80355 + t99364 - t15804 - t111515;
  t111518 = t7368 * t2737 / 0.6e1;
  t111520 = t69224 * t19782 / 0.6e1;
  t111536 = -t111518 - t111520 + t69782 * t2686 + t13929 * t12767 + t13929 * t12148 - 0.2e1 * t69782 * t2692 + t9033 - t9044 - t757 * t19626 / 0.4e1 - t246 * t7533 * t19625 / 0.4e1 - t9058 - t9060 + t80421 - t182 * t19762 / 0.2e1 - t30 * t2719 * t1830 / 0.2e1;
  t111542 = t35707 * t19758 / 0.36e2;
  t111544 = t37202 * t19755 / 0.18e2;
  t111546 = t35704 * t19751 / 0.18e2;
  t111550 = -t2089 - t80441 + 0.44e2 / 0.27e2 * t97462 * t47512 * t12987 + t89098 + t89120 - t89123 + t111542 - t111544 - t111546 + 0.7e1 / 0.3e1 * t70204 * t10058 * t13200 - t99431 + t99432 - t84327 - t84329 - t84331;
  t111564 = -t7216 * t27475 * t110784 / 0.3e1 - 0.6e1 * t4738 * t7599 * t3402 * t63226 + 0.9e1 * t4738 * t14293 * t21225 * t6061 + t99438 - t99439 + t99440 - t9110 + t9112 + t99443 + t80474 + t11086 * t53249 * t12814 + t18158 - t80514 + t80532 - t80534;
  t111571 = my_piecewise3(t2, 0, t111564 + t111550 + t111536 + t111516 + t111080 + t111037 + t111018 + t110996 + t110965 + t110929 + t110887 + t110856 + t110830 + t110796 + t110776 + t110749 + t110715 + t110691 + t110659 + t110622 + t110591 + t110553 + t110536 + t110517 + t110490 + t110470 + t110445 + t110418 + t110388 + t110351 + t110314 + t110299 + t110274 + t110235 + t110214 + t110186 + t110161 + t110131 + t110095 + t110068 + t110038 + t110008 + t109982 + t109960 + t109937 + t109907 + t109872 + t109829 + t109799 + t109765 + t109746 + t109711 + t109678 + t109657 + t109626 + t109601 + t109573 + t109536 + t109515 + t109478 + t109460 + t109428 + t109399 + t109280);
  tv4rholapltau20 = t3 * t111571 + t19792;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 0] += tv4rholapltau20;

  tv4rholapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 1] += tv4rholapltau21;

  tv4rholapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 2] += tv4rholapltau22;

  tv4rholapltau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 3] += tv4rholapltau23;

  tv4rholapltau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 4] += tv4rholapltau24;

  t111583 = t948 * t19832 / 0.2e1;
  t111585 = t948 * t19827 / 0.3e1;
  t111586 = t4040 * t19914;
  t111588 = t7929 * t2814 / 0.3e1;
  t111590 = t1905 * t13633 / 0.18e2;
  t111592 = t14470 * t1658 / 0.18e2;
  t111593 = -t80574 - t7959 * t2814 - t6656 * t3015 / 0.4e1 + t6656 * t3006 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t19901 + t945 * t19904 / 0.2e1 + t111583 - t111585 + t111586 - t111588 - t111590 + t111592;
  t111595 = t14463 * t6839 / 0.18e2;
  t111597 = t14463 * t6843 / 0.9e1;
  t111599 = t14463 * t6873 / 0.36e2;
  t111601 = t1618 * t14621 / 0.36e2;
  t111603 = t72191 * t505 / 0.12e2;
  t111605 = t66722 * t570 / 0.6e1;
  t111607 = t6631 * t3018 / 0.6e1;
  t111609 = t33317 * t3002 / 0.6e1;
  t111611 = t6631 * t3010 / 0.6e1;
  t111615 = t28439 * t19992 / 0.6e1;
  t111617 = t28439 * t19988 / 0.6e1;
  t111620 = -t111595 + t111597 - t111599 - t111601 + t111603 + t111605 + t111607 - t111609 - t111611 - t1615 * t14621 / 0.12e2 + t111615 + t111617 + t72484 * t505 / 0.4e1;
  t111625 = t38532 * t19984 / 0.18e2;
  t111627 = t38532 * t19305 / 0.18e2;
  t111629 = t24019 * t19995 / 0.3e1;
  t111632 = t14446 * t6843 / 0.3e1 - t111625 + t111627 - t99521 - t99524 + t89233 + t99553 - t99554 - t99555 + t99556 - t111629 + t14456 * t1658 / 0.6e1;
  t111634 = t38553 * t19967 / 0.9e1;
  t111636 = t24019 * t19997 / 0.6e1;
  t111651 = -t89241 + t111634 - t111636 + t99584 - t84793 - t84797 + t72261 * t2761 / 0.2e1 - t72678 * t2758 / 0.2e1 - 0.5e1 / 0.36e2 * t72176 * t19872 - t14456 * t2619 / 0.6e1 + t1902 * t19863 / 0.12e2 + t1902 * t19867 / 0.12e2 + t14446 * t18845 / 0.6e1;
  t111670 = t14446 * t18854 / 0.3e1 + t8002 * t19898 / 0.3e1 + t1902 * t19341 / 0.6e1 - t7908 * t19893 / 0.6e1 + t7959 * t2831 / 0.2e1 - t1902 * t13478 / 0.6e1 + t99589 + t28455 * t19988 / 0.2e1 + t28455 * t19992 / 0.2e1 + t80593 - t80605 + t99622;
  t111674 = t1618 * t14976 / 0.36e2;
  t111676 = t948 * t20022 / 0.12e2;
  t111694 = -0.2e1 / 0.3e1 * t14446 * t18858 - t111674 + t111676 - t945 * t19827 - t1615 * t14976 / 0.12e2 + t945 * t20022 / 0.4e1 - t72176 * t19819 / 0.2e1 + 0.7e1 / 0.3e1 * t72176 * t19823 + t72261 * t2766 - t7959 * t2817 / 0.2e1 - t1615 * t14643 / 0.6e1 + t4065 * t19912 + 0.3e1 * t4065 * t19914;
  t111708 = t6656 * t3018 / 0.2e1 - t33563 * t3002 / 0.2e1 + t66620 * t570 / 0.2e1 - t6656 * t3010 / 0.2e1 - t23531 * t19997 / 0.2e1 + t38535 * t19967 / 0.3e1 - t80612 + t80622 - t80629 - t80631 + t80633 + t99654;
  t111710 = t38556 * t19947 / 0.18e2;
  t111715 = t24019 * t19954 / 0.3e1;
  t111717 = t38556 * t19951 / 0.9e1;
  t111728 = -t99655 - t99656 - t99657 + t111710 - t28922 * t19943 + t38396 * t19947 / 0.6e1 + t111715 - t111717 - t14446 * t6873 / 0.12e2 - t14446 * t6839 / 0.6e1 - t1902 * t13633 / 0.6e1 + 0.3e1 / 0.2e1 * t945 * t19832 - 0.3e1 * t4065 * t19837;
  t111732 = t948 * t19840;
  t111734 = t7929 * t2822 / 0.3e1;
  t111736 = t7988 * t19898 / 0.9e1;
  t111738 = t1905 * t19863 / 0.36e2;
  t111741 = t294 * t20106 / 0.12e2;
  t111743 = t7929 * t2817 / 0.6e1;
  t111745 = t1618 * t14643 / 0.18e2;
  t111747 = t1905 * t19867 / 0.36e2;
  t111750 = -t111732 + t111734 + t111736 + t111738 - t23531 * t19995 - t99721 - t89361 - t111741 - t111743 - t111745 + t111747 - t7908 * t19804 / 0.3e1;
  t111758 = t4040 * t19837;
  t111760 = t23721 * t19795 / 0.2e1;
  t111771 = 0.7e1 / 0.9e1 * t72276 * t19823;
  t111773 = t72279 * t2766 / 0.3e1;
  t111774 = 0.2e1 / 0.3e1 * t7908 * t19808 - 0.2e1 * t72261 * t2772 - 0.3e1 / 0.2e1 * t72176 * t19799 - t38825 * t2809 - t111758 + t111760 - t945 * t19922 / 0.4e1 - t290 * t20018 / 0.4e1 - t38550 * t19984 / 0.6e1 + t23531 * t19954 - t290 * t20106 / 0.4e1 + t111771 + t111773;
  t111777 = t7929 * t2831 / 0.6e1;
  t111779 = t28436 * t19943 / 0.3e1;
  t111780 = t111777 + t99746 + t80669 + t80675 - t99747 + t84934 + t99748 + t99749 + t80697 - t80709 - t80711 - t111779;
  t111782 = t38553 * t19979 / 0.18e2;
  t111786 = t38556 * t19976 / 0.36e2;
  t111788 = t38556 * t19973 / 0.18e2;
  t111790 = t72276 * t19819 / 0.6e1;
  t111792 = 0.11e2 / 0.54e2 * t72276 * t19813;
  t111794 = 0.23e2 / 0.108e3 * t72276 * t19816;
  t111796 = 0.2e1 / 0.3e1 * t72279 * t2772;
  t111798 = t7903 * t19804 / 0.9e1;
  t111800 = 0.2e1 / 0.9e1 * t7903 * t19808;
  t111802 = t4040 * t19912 / 0.3e1;
  t111804 = t6631 * t3015 / 0.12e2;
  t111805 = -t111782 - t38396 * t19951 / 0.3e1 + t111786 - t111788 - t111790 - t111792 + t111794 - t80728 - t111796 - t111798 + t111800 + t111802 - t111804;
  t111809 = t6631 * t3006 / 0.6e1;
  t111811 = t948 * t19904 / 0.6e1;
  t111813 = t948 * t19922 / 0.12e2;
  t111815 = t948 * t19901 / 0.2e1;
  t111817 = t28427 * t19956 / 0.6e1;
  t111824 = t111809 + t111811 - t111813 + t111815 + t80768 - t80776 - t80778 + t80780 + t111817 - t38396 * t19964 / 0.3e1 + 0.2e1 / 0.3e1 * t38396 * t19940 + t28913 * t19956 / 0.2e1;
  t111832 = t14463 * t18854 / 0.9e1;
  t111834 = t72276 * t19799 / 0.2e1;
  t111836 = t38453 * t2809 / 0.3e1;
  t111838 = t1905 * t19341 / 0.18e2;
  t111840 = t7903 * t19893 / 0.18e2;
  t111842 = t1905 * t13478 / 0.18e2;
  t111844 = 0.2e1 / 0.9e1 * t14463 * t18858;
  t111850 = -t28455 * t19960 / 0.2e1 + t38550 * t19305 / 0.6e1 - t38396 * t19973 / 0.6e1 + t111832 - t111834 - t111836 + t111838 - t111840 - t111842 - t111844 - 0.3e1 * t945 * t19840 + t7959 * t2822 + 0.3e1 / 0.2e1 * t23924 * t19795;
  t111857 = t72279 * t2761 / 0.6e1;
  t111859 = t72564 * t2758 / 0.6e1;
  t111861 = t14463 * t18845 / 0.18e2;
  t111863 = 0.5e1 / 0.108e3 * t72276 * t19872;
  t111865 = t14470 * t2619 / 0.18e2;
  t111867 = t28439 * t19960 / 0.6e1;
  t111869 = t38556 * t19964 / 0.9e1;
  t111871 = t294 * t20018 / 0.12e2;
  t111872 = -0.11e2 / 0.18e2 * t72176 * t19813 + 0.23e2 / 0.36e2 * t72176 * t19816 + t111857 - t111859 + t111861 - t111863 - t111865 + t89452 - t111867 - t111869 - t111871 - t99792;
  t111876 = 0.2e1 / 0.9e1 * t38556 * t19940;
  t111878 = t294 * t20015 / 0.6e1;
  t111883 = -t99793 + t99794 + t99795 - t9156 + t9168 - t9180 + t9188 - t290 * t20015 / 0.2e1 + t111876 - t111878 - t99830 + t38396 * t19976 / 0.12e2 - t38535 * t19979 / 0.6e1;
  t111888 = my_piecewise3(t100, 0, t111593 + t111620 + t111632 + t111651 + t111670 + t111694 + t111708 + t111728 + t111750 + t111774 + t111780 + t111805 + t111824 + t111850 + t111872 + t111883);
  tv4rholapltau25 = t3 * t111888 + t20113;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 5] += tv4rholapltau25;

  t111910 = t99854 + t97127 + t6575 * t2915 / 0.2e1 - t1632 * t14148 / 0.12e2 + t71984 * t481 / 0.4e1 + t14508 * t6290 / 0.3e1 - t32796 * t2899 / 0.2e1 - t6575 * t2907 / 0.2e1 + t65923 * t530 / 0.2e1 - t14508 * t6350 / 0.12e2 - t14508 * t6286 / 0.6e1 - t1923 * t13049 / 0.6e1;
  t111919 = t14515 * t1527 / 0.6e1 + t80819 + t109436 - t109453 + t87181 - t109482 + t109484 - t80838 - t109490 + t109492 - t37982 * t19755 / 0.6e1 - t37525 * t19751 / 0.6e1 + t37525 * t19748 / 0.3e1;
  t111936 = -t109535 + t109550 - t99875 - t37723 * t2729 + t7824 * t2742 + 0.3e1 / 0.2e1 * t22751 * t19770 + t71897 * t2686 - 0.2e1 * t71897 * t2692 + t1923 * t19743 / 0.12e2 + t1923 * t19738 / 0.12e2 + t14508 * t18527 / 0.3e1 - t7801 * t19732 / 0.6e1;
  t111949 = -t72052 * t2678 / 0.2e1 - 0.5e1 / 0.36e2 * t71888 * t19485 + t14508 * t18517 / 0.6e1 + t109603 + t109609 - t109611 - t109613 + t99881 - t87412 + t109696 - 0.3e1 * t903 * t19476 + 0.3e1 / 0.2e1 * t903 * t19473 - t71888 * t19782 / 0.2e1;
  t111961 = -t7824 * t2734 - t7824 * t2737 / 0.2e1 - 0.11e2 / 0.18e2 * t71888 * t19776 + 0.23e2 / 0.36e2 * t71888 * t19779 - t97752 + t97753 + t109786 + t109805 - t37561 * t19540 / 0.6e1 + t99885 - t99886 - t109839;
  t111982 = -t1632 * t13977 / 0.6e1 - t1923 * t12868 / 0.6e1 + t903 * t19602 / 0.4e1 - t6575 * t2912 / 0.4e1 + t1923 * t19112 / 0.6e1 + t7894 * t19725 / 0.3e1 + t7824 * t2751 / 0.2e1 + t71897 * t2681 / 0.2e1 - t14515 * t2544 / 0.6e1 + t89516 + t37561 * t19758 / 0.12e2 + t109932 - t109934;
  t111984 = -t109943 - t99895 - t97933 - t97934 - t97936 + t109987 - t109989 - t79232 + t79239 + t80865 - t79247 - t80867;
  t111990 = t80892 + t99919 - t79311 + t110085 + t110087 + t110089 - t22520 * t19531 + t27723 * t19549 / 0.2e1 + t110094 + t110113 - t110115 - t307 * t19716 / 0.4e1 - t89585;
  t111994 = t98164 - t110187 - t110211 - t110213 - t99935 + t99936 + t79369 + t110303 - t110305 - t110307 - t110397 - t110399;
  t111995 = t110424 - t110426 - t110440 + t110442 + t110444 - t110448 - t110476 + t110478 + t110480 - t110482 + t110484 + t110486 - t98271;
  t112006 = t6575 * t2903 / 0.2e1 + 0.3e1 * t3802 * t19572 + t3802 * t19575 + t110489 + t110495 + t110510 - t110512 - t8667 + t8683 - t307 * t19762 / 0.2e1 - t307 * t19765 / 0.4e1 - t110519;
  t112011 = t37982 * t18963 / 0.6e1 - t22520 * t19533 / 0.2e1 - t98829 + t110651 + t110676 + t110678 + t110680 - t110682 + t98964 + t80902 - t80905 - t80907 - t110705;
  t112014 = t98990 - t85163 - t85165 - t79688 + t85167 - t110721 - t110723 - t99970 + t79723 - t110817 - t110819 - t110821;
  t112024 = t110823 + t110836 + t110838 - t903 * t19626 / 0.4e1 - t903 * t19596 - t1632 * t14033 / 0.12e2 - 0.3e1 * t3802 * t19481 - t111000 - t111002 + 0.7e1 / 0.3e1 * t71888 * t19579 - t80922 - t111515 - t111518;
  t112042 = -t111520 + t27723 * t19545 / 0.2e1 - t37561 * t19564 / 0.3e1 + t37561 * t19560 / 0.6e1 + 0.2e1 / 0.3e1 * t37561 * t19556 - t37561 * t19552 / 0.3e1 + t27867 * t19505 / 0.2e1 + t22520 * t19503 - t27864 * t19499 - t27723 * t19496 / 0.2e1 - t9215 + t9226;
  t112055 = t111542 - t111544 - t111546 - t99431 + t99432 - t7801 * t19583 / 0.3e1 + 0.2e1 / 0.3e1 * t7801 * t19587 - 0.3e1 / 0.2e1 * t71888 * t19591 + 0.3e1 / 0.2e1 * t903 * t19629 + t903 * t19632 / 0.2e1 - 0.2e1 / 0.3e1 * t14508 * t18531 + t80532 - t80534;
  t112060 = my_piecewise3(t2, 0, t111910 + t111919 + t111936 + t111949 + t111961 + t111982 + t111984 + t111990 + t111994 + t111995 + t112006 + t112011 + t112014 + t112024 + t112042 + t112055);
  tv4rholapltau26 = t3 * t112060 + t19792;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 6] += tv4rholapltau26;

  tv4rholapltau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 7] += tv4rholapltau27;

  tv4rholapltau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 8] += tv4rholapltau28;

  tv4rholapltau29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 9] += tv4rholapltau29;

  tv4rholapltau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 10] += tv4rholapltau210;

  t112075 = -t100028 - t100029 - t100030 + t2942 * t6775 / 0.6e1 - t80574 + t85225 - t80961 - t80963 - t80973 - 0.3e1 * t4145 * t73107 * t2821 - t6824 * t100613 / 0.6e1 - t373 * t14967 * t104363 - t1677 * t14976 / 0.12e2 - t1682 * t14976 / 0.12e2;
  t112089 = t19860 * t994;
  t112094 = t19938 * t333;
  t112095 = t380 * t112094;
  t112098 = t19945 * t333;
  t112132 = t15337 - t77157 - t77161 + t77164 + t77174 - 0.8e1 / 0.3e1 * t14737 * t68481 - 0.4e1 / 0.3e1 * t14737 * t62345 - 0.8e1 * t14737 * t68135 + 0.12e2 * t74075 * t67460 + 0.4e1 * t14734 * t67478 - 0.8e1 * t74052 * t68567 + 0.8e1 * t13548 + 0.4e1 * t74067 * t2821;
  t112154 = 0.4e1 * t14737 * t12524 - 0.12e2 * t13534 - 0.4e1 * t13853 - 0.4e1 * t13524 - 0.4e1 * t13527 - 0.4e1 * t14734 * t12704 + 0.4e1 / 0.3e1 * t74067 * t2808 + 0.4e1 / 0.3e1 * t14737 * t12712 - 0.2e1 * t74063 * t2667 - 0.2e1 * t14740 * t12699 - 0.4e1 * t13859 + 0.4e1 * t14747 * t12704 + 0.2e1 / 0.3e1 * t61103 * t14728;
  t112178 = 0.2e1 / 0.3e1 * t12432 * t14649 - 0.4e1 * t14752 * t12524 + 0.2e1 * t2068 * t2667 + 0.2e1 * t561 * t12699 - 0.4e1 * t74027 * t2821 + 0.4e1 * t74104 * t2813 - 0.4e1 / 0.3e1 * t13862 + 0.2e2 / 0.9e1 * t13619 - 0.4e1 * t74097 * t2813 + 0.16e2 / 0.9e1 * t74080 * t69143 + 0.4e1 * t14734 * t61659 + 0.4e1 * t14740 * t61650 + t77198;
  t112192 = -t77201 - 0.4e1 * t14737 * t62349 + 0.12e2 * t74080 * t68450 - 0.24e2 * t74052 * t68164 + 0.32e2 / 0.3e1 * t74080 * t68545 + 0.24e2 * t13568 + 0.4e1 * t13576 - 0.12e2 * t13580 + 0.4e1 / 0.3e1 * t13606 - 0.2e1 / 0.3e1 * t13573 - t15349 + t77217 + t77219;
  t112194 = t112132 + t112154 + t112178 + t112192;
  t112200 = -t490 * t73263 / 0.12e2 - t490 * t72978 / 0.12e2 + t1078 * t20022 / 0.4e1 + t1056 * t20022 / 0.4e1 + t8055 * t4137 * t380 * t403 * t19860 / 0.12e2 - t8055 * t9270 * t168 * t112089 / 0.6e1 - t11381 * t5549 * t112095 - 0.3e1 / 0.2e1 * t5540 * t8227 * t24823 * t112098 - t6855 * t3015 / 0.4e1 + 0.3e1 / 0.2e1 * t1056 * t19901 + 0.3e1 / 0.2e1 * t373 * t14983 * t12704 + t1078 * t19904 / 0.2e1 + t1056 * t19904 / 0.2e1 - t373 * t8317 * t19921 / 0.4e1 - t373 * t1940 * t985 * t348 * t112194 / 0.4e1;
  t112227 = 0.3e1 / 0.2e1 * t1078 * t19901 - t1078 * t19922 / 0.4e1 - t1056 * t19922 / 0.4e1 + 0.23e2 / 0.36e2 * t14535 * t81764 + t2947 * t33963 / 0.3e1 - t14535 * t5634 * t13397 / 0.2e1 - t14535 * t104903 / 0.2e1 + 0.7e1 / 0.3e1 * t72830 * t19823 + 0.7e1 / 0.3e1 * t14535 * t34862 + 0.7e1 / 0.3e1 * t14535 * t35175 + t73930 * t2766 + t14542 * t13398 + t14542 * t12676 - t1078 * t19827;
  t112242 = t168 * t67093;
  t112250 = t168 * t67363;
  t112254 = t380 * t68113;
  t112258 = t14891 * t487;
  t112259 = t1021 * t112258;
  t112260 = t29517 * t112259;
  t112263 = -t1056 * t19827 - 0.5e1 / 0.6e1 * t72971 * t12551 - t72838 * t5549 * t13676 / 0.2e1 + 0.9e1 * t5559 * t14795 * t24848 * t7137 - 0.6e1 * t5559 * t8227 * t4376 * t67093 - t11381 * t5549 * t112242 + 0.6e1 * t100105 * t13609 + 0.3e1 / 0.2e1 * t72838 * t29911 * t13683 + t8058 * t5549 * t112250 / 0.3e1 + t111583 - t111585 + t111586 - t111588 + 0.2e1 / 0.3e1 * t8058 * t5587 * t112254 - 0.7e1 / 0.3e1 * t29011 * t112260;
  t112267 = t4161 * t20552 * t487;
  t112271 = t19945 * t994;
  t112277 = t29498 * t4403 * t112258;
  t112281 = t4161 * t20478 * t487;
  t112289 = -t4145 * t8374 * t112267 / 0.2e1 + 0.3e1 / 0.2e1 * t5540 * t2060 * t24962 * t112271 + 0.3e1 / 0.2e1 * t29011 * t112277 + t5535 * t8374 * t112281 / 0.2e1 - 0.3e1 / 0.2e1 * t5559 * t2060 * t24823 * t112271 - t111590 + t111592 - t111595 + t111597 - t111599 - t111601 + t111603 + t111605 + t111607;
  t112302 = -t111609 - t111611 + t80979 + t80983 + t111615 + t111617 + t29770 * t19956 / 0.2e1 + t13724 * t2040 / 0.2e1 + t68477 * t570 / 0.2e1 + t68472 * t570 / 0.2e1 - t34808 * t3002 / 0.2e1 - t34801 * t3002 / 0.2e1 + t80995 - t81000 - t81003;
  t112325 = -t81007 - t81010 + t40052 * t19967 / 0.3e1 + t8052 * t30771 * t19963 / 0.3e1 - t111625 + t111627 + t40050 * t19967 / 0.3e1 - t1677 * t14621 / 0.12e2 - t1682 * t14621 / 0.12e2 - t39948 * t13538 - t72830 * t19819 / 0.2e1 + 0.23e2 / 0.36e2 * t14535 * t104908 + 0.23e2 / 0.36e2 * t72830 * t19816 + 0.23e2 / 0.36e2 * t14535 * t5623 * t13385;
  t112343 = t14755 * t487;
  t112344 = t168 * t112343;
  t112348 = t2954 * t1671;
  t112349 = t168 * t112348;
  t112361 = t5623 * t6846 * t72817;
  t112364 = -0.11e2 / 0.18e2 * t14535 * t104583 - t14626 * t1700 / 0.2e1 + t2947 * t34793 / 0.3e1 + t73614 * t505 / 0.4e1 + t73607 * t505 / 0.4e1 - t490 * t73602 / 0.12e2 - t40050 * t19979 / 0.6e1 + 0.3e1 * t5540 * t2973 * t104838 + t8058 * t5549 * t112344 / 0.12e2 + t8058 * t5549 * t112349 / 0.12e2 - t1663 * t14992 / 0.2e1 + t1663 * t14988 / 0.2e1 - t1663 * t15009 - t6848 * t15013 / 0.2e1 - 0.3e1 / 0.2e1 * t72816 * t112361;
  t112399 = t6848 * t15011 + t39195 * t19305 / 0.6e1 + t8055 * t108234 / 0.6e1 - t100347 + t5540 * t2056 * t1182 * t112343 / 0.2e1 + t5540 * t2056 * t1182 * t112348 / 0.2e1 + t29773 * t19988 / 0.2e1 + t5540 * t8247 * t19987 / 0.2e1 + t29767 * t19988 / 0.2e1 - t73279 * t13691 / 0.2e1 + t73279 * t13684 / 0.2e1 - t11372 * t5582 * t112242 + 0.2e1 * t100099 * t13680 - 0.3e1 * t5535 * t73374 * t19836;
  t112405 = t50197 * t100847;
  t112409 = t50186 * t73012;
  t112423 = t56695 * t67368;
  t112431 = t56671 * t66837;
  t112434 = -0.3e1 * t5559 * t2973 * t104692 - t34283 * t14714 / 0.2e1 + 0.2e1 / 0.3e1 * t24164 * t112405 - t34283 * t14702 - t24164 * t112409 / 0.3e1 - t8058 * t29795 * t19950 / 0.3e1 - t8058 * t5549 * t1021 * t112343 / 0.3e1 - t8058 * t5549 * t1021 * t112348 / 0.3e1 - 0.2e1 / 0.3e1 * t24164 * t112423 - t39948 * t13530 / 0.2e1 + t56164 * t13527 + t56164 * t13524 - t39948 * t13856 - 0.4e1 * t52065 * t112431 - t81142;
  t112456 = t1661 * t72817;
  t112457 = t5640 * t112456;
  t112464 = -t2947 * t34393 / 0.12e2 - 0.5e1 / 0.36e2 * t14535 * t81350 - t8201 * t13429 - t8201 * t13424 - t39588 * t2809 - t39551 * t2809 - 0.3e1 / 0.2e1 * t14535 * t34400 - 0.3e1 / 0.2e1 * t14535 * t5623 * t4381 * t2756 - 0.3e1 / 0.2e1 * t72830 * t19799 + 0.3e1 / 0.2e1 * t4395 * t14554 * t104616 - t6848 * t14650 + 0.7e1 / 0.3e1 * t72816 * t112457 + t1663 * t14971 / 0.2e1 - t8058 * t108210 / 0.6e1;
  t112465 = t2939 * t487;
  t112466 = t4403 * t112465;
  t112467 = t10458 * t112466;
  t112497 = -t85322 - t100348 + t100349 + t100350 + 0.18e2 * t82647 * t112467 + 0.3e1 * t5535 * t73107 * t2808 - 0.6e1 * t5559 * t14806 * t7138 + 0.6e1 * t5559 * t8223 * t1034 * t67093 + 0.11e2 / 0.6e1 * t72838 * t29517 * t13683 + t1651 * t101089 / 0.3e1 - t72906 * t1693 / 0.2e1 + t14626 * t1696 / 0.2e1 - 0.11e2 / 0.18e2 * t14535 * t81504 - t8052 * t4137 * t112344 / 0.6e1 - t8052 * t4137 * t112349 / 0.6e1;
  t112502 = t95582 * t67174;
  t112522 = 0.2e1 * t56196 * t13862 - 0.3e1 * t29011 * t112502 - t56200 * t13864 - t100360 - t100361 + t100362 + t100363 - t8052 * t4137 * t112250 / 0.3e1 + t73279 * t12542 / 0.2e1 - 0.3e1 * t1663 * t14551 - 0.3e1 * t6848 * t14562 + 0.3e1 / 0.2e1 * t1663 * t14555 + 0.3e1 / 0.2e1 * t34826 * t14559 + t8058 * t5587 * t112344 / 0.6e1;
  t112532 = -t5535 * t73032 * t2808 - t99524 - t8058 * t30232 * t19963 / 0.6e1 - t39229 * t19973 / 0.6e1 - t39224 * t19973 / 0.6e1 - t89806 - t89808 + t81185 + t81189 - t81192 - t81199 + t81204 + t81207 - t81212 - t81215;
  t112546 = t6773 * t14679;
  t112564 = t13724 * t1945 / 0.2e1 - t85394 - t85416 - t85418 - t1651 * t100720 / 0.12e2 + t1644 * t100723 / 0.6e1 + t490 * t74604 / 0.12e2 - t2942 * t7094 / 0.6e1 - t14776 * t10599 / 0.2e1 + t1958 * t1000 * t112546 / 0.3e1 - t555 * t67673 / 0.6e1 - t1965 * t95454 / 0.6e1 - t5540 * t2056 * t4543 * t112271 - 0.3e1 / 0.2e1 * t5540 * t8220 * t1182 * t112098 - 0.38e2 / 0.9e1 * t100090 * t29498 * t13585;
  t112571 = t1021 * t112465;
  t112572 = t29498 * t112571;
  t112591 = t1400 * t112456;
  t112594 = 0.89e2 / 0.9e1 * t100090 * t50504 * t13593 - 0.2e1 * t100090 * t29517 * t13585 + 0.47e2 / 0.3e1 * t82588 * t112572 + 0.3e1 / 0.2e1 * t4145 * t73374 * t19831 + 0.3e1 * t10506 * t8227 * t4396 * t67093 - 0.9e1 / 0.2e1 * t10506 * t14795 * t24794 * t7137 + t100373 + t100399 + t8058 * t29791 * t19946 / 0.6e1 - t1663 * t14968 + t1663 * t14965 - 0.2e1 * t72953 * t112591 - t81328 + t81335 - t81337;
  t112624 = t81341 - 0.18e2 * t10506 * t73979 * t10508 + t8058 * t56695 * t13683 / 0.3e1 - 0.5e1 / 0.18e2 * t11381 * t95582 * t13585 + t11369 * t56671 * t13585 + t8055 * t107918 / 0.6e1 - t8052 * t107924 / 0.3e1 - t8055 * t107927 / 0.3e1 + t8058 * t107930 / 0.6e1 - 0.2e1 / 0.3e1 * t73176 * t104473 - 0.23e2 / 0.18e2 * t72838 * t104232 + 0.2e1 * t73176 * t104240 + t100418 - t89957;
  t112635 = t81372 - t100444 + t100445 + t81405 + t100451 - t111629 + t14542 * t12650 / 0.2e1 - t74508 * t2758 / 0.2e1 + t73930 * t2761 / 0.2e1 - t100467 - t100469 + t5535 * t14639 * t62345 - t4145 * t14639 * t62349 - t81452 + t111634;
  t112653 = t5549 * t1021 * t552 * t19860;
  t112659 = t19860 * t333;
  t112667 = t14755 * t2616;
  t112672 = -t111636 + t99584 + t18174 - t18175 + t18176 - 0.6e1 * t5540 * t74000 * t13533 - 0.3e1 / 0.2e1 * t5540 * t14826 * t13852 + 0.3e1 * t5540 * t8220 * t356 * t67093 + t5540 * t559 * t4543 * t112089 / 0.2e1 - t24164 * t112653 / 0.3e1 - t4145 * t8070 * t19921 / 0.4e1 + t5540 * t2056 * t1182 * t112659 / 0.2e1 - t8055 * t46515 * t19983 / 0.6e1 - t8055 * t9270 * t168 * t112667 / 0.6e1;
  t112673 = t14957 * t487;
  t112691 = t4408 * t19945;
  t112705 = t168 * t112659;
  t112719 = -t8058 * t5549 * t4143 * t112673 / 0.3e1 + 0.3e1 * t56164 * t13534 + t56164 * t13853 - 0.5e1 / 0.3e1 * t72971 * t12511 - t73176 * t104246 - t8058 * t56671 * t13676 / 0.6e1 - 0.9e1 / 0.2e1 * t5540 * t14795 * t24823 * t7137 + t5559 * t8231 * t112691 / 0.2e1 + t5559 * t2060 * t4408 * t112343 / 0.2e1 + t5559 * t2060 * t4408 * t112348 / 0.2e1 + t4145 * t73032 * t2821 + t8058 * t5549 * t112705 / 0.12e2 - t8052 * t4137 * t112705 / 0.6e1 + t8052 * t56182 * t13676 / 0.3e1 + t5559 * t2060 * t4408 * t112659 / 0.2e1;
  t112732 = t380 * t112673;
  t112758 = -t5540 * t2060 * t4549 * t112659 / 0.2e1 - 0.18e2 * t5559 * t73967 * t10557 + t8058 * t29911 * t1021 * t112271 + t8058 * t5587 * t112732 / 0.6e1 + t99622 - t39948 * t13544 / 0.2e1 - 0.5e1 / 0.36e2 * t72838 * t10458 * t13676 - 0.35e2 / 0.108e3 * t100090 * t50165 * t13585 - 0.5e1 / 0.18e2 * t11381 * t10458 * t112242 + 0.5e1 / 0.3e1 * t100105 * t13708 + 0.5e1 / 0.12e2 * t72838 * t29498 * t13683 + t73176 * t104046 / 0.6e1 + t6827 * t73225 / 0.6e1 + t2947 * t34703 / 0.3e1;
  t112765 = t2012 * t487;
  t112766 = t380 * t112765;
  t112776 = t14542 * t10313 - t1965 * t1393 * t112546 / 0.3e1 - t81501 + t81503 + t39224 * t19976 / 0.12e2 - t81509 + t81512 + t81515 - t111674 + t111676 + t81534 + t8052 * t5582 * t112766 / 0.3e1 + t8052 * t108776 / 0.3e1 - t14626 * t1704 / 0.4e1 + t14626 * t1708 / 0.4e1;
  t112792 = t168 * t112098;
  t112812 = t102036 * t1649;
  t112818 = 0.2e1 / 0.3e1 * t1965 * t67935 - 0.2e1 / 0.3e1 * t2947 * t34122 - t50177 * t14897 / 0.2e1 - t51828 * t14640 + t34283 * t14889 - 0.3e1 * t10506 * t14795 * t104799 + 0.6e1 * t5559 * t14795 * t104494 + t11381 * t29911 * t112792 / 0.2e1 - 0.3e1 * t11381 * t10458 * t5533 * t112094 + 0.3e1 * t30030 * t73811 * t69143 + 0.2e1 * t5559 * t2060 * t4408 * t67363 + t39229 * t19976 / 0.12e2 - t8058 * t5553 * t112766 / 0.6e1 + t4145 * t112812 * t1412 / 0.2e1 + t6855 * t3018 / 0.2e1;
  t112831 = t6876 * t3018 / 0.2e1 - t6855 * t3010 / 0.2e1 + t39948 * t13564 - t8058 * t94915 / 0.3e1 - 0.14e2 / 0.3e1 * t72838 * t29517 * t12514 + t8058 * t107572 / 0.3e1 + t99654 - t99655 - t99656 - t99657 - t85773 + t81566 - t85794 - t85796 - t85815;
  t112853 = t2947 * t103997 / 0.6e1 + t2947 * t104000 / 0.6e1 + t2048 * t19867 / 0.12e2 + t555 * t987 * t34384 * t2955 / 0.12e2 + 0.7e1 / 0.3e1 * t72838 * t10485 * t13672 + 0.14e2 / 0.3e1 * t11381 * t67095 - 0.7e1 * t72838 * t29517 * t13697 + t100868 - t100871 - t100914 + t100915 - t100916 - t100917 + t85842;
  t112860 = t4143 * t100846 * t487;
  t112861 = t10485 * t112860;
  t112888 = t100918 + t81574 + t81578 + t8058 * t108753 / 0.6e1 - 0.2e1 * t4145 * t14639 * t68135 + 0.14e2 / 0.3e1 * t29011 * t112861 - t8055 * t9270 * t380 * t14957 * t2616 / 0.6e1 - 0.3e1 * t5540 * t14795 * t104547 - t6824 * t102025 / 0.6e1 + t6824 * t102033 / 0.3e1 - t5535 * t112812 * t1407 / 0.2e1 - 0.11e2 / 0.18e2 * t72838 * t10485 * t13676 - 0.4e1 / 0.3e1 * t8058 * t67365 - t8058 * t95978 / 0.6e1 + t8055 * t66941 / 0.6e1;
  t112902 = t1400 * t13722 * t39182;
  t112906 = t4706 * t3013 * t2616;
  t112910 = t19982 * t994;
  t112917 = t29911 * t1021 * t14891 * t2616;
  t112920 = t8052 * t95992 / 0.3e1 + 0.36e2 * t5559 * t73979 * t10552 - t24209 * t19995 - t24205 * t19995 + t100949 - t81582 - t4145 * t73179 * t2813 - t4145 * t73234 * t2813 + 0.2e1 / 0.3e1 * t4245 * t112902 - t100973 - t100976 + t4145 * t8070 * t112906 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t559 * t24858 * t112910 + 0.2e1 / 0.3e1 * t24164 * t112917;
  t112921 = t19982 * t333;
  t112926 = t985 * t3013 * t487;
  t112930 = t5549 * t112259;
  t112944 = t2939 * t2616;
  t112946 = t5549 * t1021 * t112944;
  t112955 = t5553 * t112571;
  t112963 = -t5540 * t2056 * t4543 * t112921 + t4145 * t8353 * t112926 / 0.2e1 + 0.2e1 * t52065 * t112930 - 0.6e1 * t5540 * t8223 * t1093 * t67093 + t50177 * t14718 / 0.2e1 + t4145 * t74967 * t2667 / 0.2e1 - t5540 * t2969 * t12619 + 0.1e2 / 0.3e1 * t52065 * t112946 + t5540 * t2056 * t1182 * t67363 - 0.3e1 / 0.2e1 * t5540 * t14826 * t12615 + 0.12e2 * t108668 * t112955 + 0.3e1 / 0.2e1 * t4145 * t73868 * t2813 + t16931 + t11369 * t5553 * t112095 + t111710;
  t112984 = t101022 - t81625 - t81628 + t81631 + 0.18e2 * t5540 * t73967 * t13567 - 0.5e1 * t5559 * t14806 * t62089 + 0.5e1 * t5540 * t14806 * t12506 + t51823 * t14893 / 0.2e1 + 0.5e1 / 0.18e2 * t72838 * t104063 - t2180 + t85883 + t85886 + t8058 * t5587 * t112349 / 0.6e1 - t39224 * t19951 / 0.3e1;
  t112988 = t1000 * t67598 * t1948;
  t113000 = t111715 - t111717 - t101037 + t13724 * t1954 / 0.2e1 - t338 * t112988 / 0.6e1 - t111732 + t111734 + t111736 + t111738 + t90411 - t90413 + t90415 - t4145 * t74442 * t18849 - 0.2e1 * t5540 * t2060 * t4549 * t67363 + t8058 * t29795 * t19946 / 0.12e2;
  t113032 = 0.2e1 * t11369 * t5591 * t112095 + t8058 * t108963 / 0.3e1 + 0.3e1 * t5540 * t8223 * t4549 * t112098 - t5559 * t2060 * t24823 * t112921 + t5540 * t2060 * t24962 * t112921 + 0.6e1 * t5535 * t74916 * t68567 - 0.6e1 * t4145 * t74916 * t68164 - 0.3e1 * t5559 * t8223 * t4408 * t112098 + t72971 * t13711 / 0.2e1 + 0.2e1 * t11369 * t58044 * t13585 + t81677 + t81680 - t81682 - t81684 - t81687;
  t113057 = -t101110 + t101112 - t81691 + t555 * t109071 / 0.6e1 + t2048 * t19341 / 0.6e1 + t555 * t109067 / 0.6e1 + t2043 * t19341 / 0.6e1 - 0.2e1 / 0.3e1 * t2947 * t104410 - 0.2e1 / 0.3e1 * t2947 * t104406 - t555 * t68236 / 0.6e1 - 0.2e1 / 0.3e1 * t14586 * t18858 - t555 * t68628 / 0.6e1 - t2043 * t13478 / 0.6e1 - t2048 * t13478 / 0.6e1 + t2030 * t13491 / 0.2e1;
  t113079 = t5553 * t112860;
  t113091 = t2030 * t13464 / 0.2e1 + t18216 + t14542 * t13659 / 0.2e1 - t2942 * t12632 / 0.6e1 - t2942 * t12637 / 0.6e1 - 0.5e1 / 0.36e2 * t14535 * t104431 - t14608 * t2619 / 0.6e1 - 0.5e1 / 0.36e2 * t72830 * t19872 + t4145 * t14701 * t67478 - 0.4e1 * t52065 * t113079 - t8052 * t108759 / 0.3e1 - 0.11e2 / 0.18e2 * t72830 * t19813 - 0.11e2 / 0.18e2 * t14535 * t5640 * t13397 - 0.2e1 * t14542 * t13386;
  t113103 = -0.2e1 * t14542 * t12671 - t81742 - t81748 - t81751 + t101125 - t11372 * t56182 * t13585 + t73176 * t104243 / 0.3e1 + 0.11e2 / 0.9e1 * t72838 * t104249 + 0.2e1 / 0.3e1 * t8058 * t5587 * t112250 + t101126 + t101129 + t101130 - t89361 - t101133 - t81781;
  t113113 = t39868 * t2756;
  t113123 = -t81785 + t81800 + t81804 - t81825 + t81829 + t81833 + t6830 * t100608 / 0.3e1 + t8427 * t19898 / 0.3e1 + t14586 * t18854 / 0.3e1 + t2947 * t104414 / 0.3e1 - t1965 * t1400 * t113113 / 0.6e1 - t1965 * t108734 / 0.6e1 - t8106 * t19893 / 0.6e1 - t8110 * t19893 / 0.6e1;
  t113147 = -t9308 - t9324 + t9327 + t101168 - t90713 - t39224 * t19964 / 0.3e1 - t39229 * t19964 / 0.3e1 - t8058 * t29823 * t19963 / 0.3e1 - t29767 * t19960 / 0.2e1 - t29773 * t19960 / 0.2e1 - t5540 * t8231 * t19959 / 0.2e1 + 0.6e1 * t5540 * t14806 * t13547 - 0.4e1 * t11369 * t67420 + 0.4e1 * t72971 * t13698 + 0.2e1 / 0.3e1 * t8058 * t66888;
  t113162 = -t111741 + t9353 + t9357 - t9359 - t9361 - t111743 - t111745 + t111747 - t111758 + t111760 + 0.5e1 / 0.36e2 * t11381 * t29498 * t112792 + t8058 * t5549 * t112732 / 0.12e2 - t11369 * t5549 * t112792 / 0.2e1 + t8058 * t5587 * t112705 / 0.6e1;
  t113165 = t349 * t20106;
  t113170 = t321 * t369 * t20104 * t370;
  t113201 = -t17018 - t318 * t20106 / 0.4e1 - t338 * t113165 / 0.12e2 + t113170 * t377 / 0.4e1 - 0.4e1 / 0.3e1 * t8058 * t68588 + t8058 * t50222 * t14578 / 0.6e1 - 0.61e2 / 0.27e2 * t100090 * t50504 * t13585 + 0.44e2 / 0.27e2 * t100090 * t50165 * t13593 + 0.2e1 / 0.3e1 * t8058 * t56704 * t13683 - t8058 * t58044 * t13676 / 0.3e1 - t90723 - t4145 * t73242 * t2667 / 0.2e1 - t4145 * t73238 * t2667 / 0.2e1 - t4145 * t14713 * t12699 / 0.2e1 - t24209 * t19997 / 0.2e1;
  t113215 = t168 * t112271;
  t113227 = -t24205 * t19997 / 0.2e1 - t4145 * t14701 * t12704 - t8055 * t108764 / 0.3e1 + t4145 * t14639 * t12524 + t29764 * t19956 / 0.2e1 + t24205 * t19954 + t24209 * t19954 + t111771 + t111773 + t111777 - t8058 * t30214 * t113215 / 0.2e1 + t1030 * t14967 * t104755 + 0.3e1 * t4349 * t19914 + 0.3e1 * t4383 * t19914 + t1663 * t15025 / 0.2e1;
  t113248 = t94855 * t66837;
  t113252 = t4349 * t19912 + t6855 * t3006 / 0.2e1 + t1663 * t15021 / 0.2e1 - t1663 * t14999 / 0.4e1 - t1663 * t15004 / 0.4e1 + t6876 * t3006 / 0.2e1 + t2030 * t13456 + t2030 * t13432 + t8184 * t2822 - 0.3e1 * t373 * t14550 * t12524 + t8189 * t2822 + t99746 - 0.2e1 * t56164 * t13548 + 0.14e2 / 0.3e1 * t29011 * t113248 + t39948 * t13550;
  t113279 = -0.11e2 / 0.9e1 * t11381 * t10485 * t112242 - t86151 + t101207 + t101208 - t101209 - t101210 - t18265 + t2043 * t19867 / 0.12e2 + t555 * t987 * t4697 * t19861 / 0.12e2 + t555 * t987 * t988 * t167 * t112194 / 0.12e2 + t1958 * t1000 * t113113 / 0.3e1 + t1958 * t108285 / 0.3e1 + t2043 * t19863 / 0.12e2 + t2048 * t19863 / 0.12e2;
  t113286 = t2954 * t12435;
  t113291 = t74903 * t1642;
  t113295 = t74903 * t488;
  t113300 = t29498 * t4403 * t112944;
  t113321 = t2947 * t104417 / 0.3e1 + t8423 * t19898 / 0.3e1 + t39192 * t19305 / 0.6e1 - t8055 * t9270 * t168 * t113286 / 0.6e1 - t4145 * t113291 * t1419 / 0.2e1 - t4145 * t113295 * t1100 / 0.4e1 + 0.3e1 * t29011 * t113300 + t5535 * t74442 * t18820 + 0.22e2 / 0.3e1 * t100105 * t13586 - 0.23e2 / 0.3e1 * t100105 * t13594 - 0.6e1 * t100853 * t13601 + t18285 - 0.11e2 / 0.9e1 * t11381 * t10485 * t112095 + 0.23e2 / 0.18e2 * t11381 * t10458 * t4143 * t112094 + 0.11e2 / 0.18e2 * t11381 * t29517 * t112792;
  t113336 = -0.23e2 / 0.36e2 * t11381 * t29498 * t1021 * t112098 + 0.2e1 * t5535 * t14639 * t68481 - t9442 - t15986 - t15990 + t16006 + t16017 - t16022 - t16025 + t16034 + 0.6e1 * t56196 * t13859 - 0.6e1 * t56164 * t13568 + t56196 * t13573 - t56164 * t13576;
  t113363 = t168 * t112921;
  t113370 = -t6824 * t100858 / 0.3e1 + 0.2e1 / 0.3e1 * t6824 * t100861 - 0.5e1 / 0.36e2 * t14535 * t5623 * t13397 + t555 * t987 * t6773 * t14756 / 0.12e2 + t14586 * t18845 / 0.6e1 + 0.3e1 * t4145 * t73811 * t68450 - 0.3e1 / 0.2e1 * t10506 * t8227 * t24794 * t112098 + 0.3e1 * t5559 * t8227 * t24848 * t112098 - t11369 * t5587 * t112792 - t8058 * t30214 * t113363 / 0.3e1 - 0.6e1 * t5535 * t73811 * t68545 + t80669 - t101238 - t101240 - t101241;
  t113391 = -t101242 - t101243 + t101244 + t2251 - t56200 * t13561 - t6824 * t100577 / 0.12e2 + t6830 * t100572 / 0.6e1 + t6827 * t74654 / 0.12e2 - t39192 * t19984 / 0.6e1 - t39195 * t19984 / 0.6e1 - t90792 - 0.3e1 * t1056 * t19840 - 0.3e1 * t1078 * t19840 - 0.3e1 * t1030 * t14554 * t104401;
  t113408 = t10485 * t112571;
  t113413 = -0.3e1 * t4383 * t19837 + 0.3e1 / 0.2e1 * t373 * t14554 * t104322 - 0.3e1 * t4349 * t19837 + 0.3e1 / 0.2e1 * t1078 * t19832 + 0.3e1 / 0.2e1 * t1056 * t19832 + t373 * t14987 * t12699 / 0.2e1 - t6876 * t3015 / 0.4e1 - t99747 + t99749 + t82393 + t82395 - t82397 - t82399 - 0.28e2 * t82647 * t113408 - 0.6e1 * t56196 * t13606;
  t113436 = 0.3e1 * t56164 * t13580 - 0.6e1 * t50149 * t73976 * t24930 * t10507 + 0.3e1 * t96404 * t13619 - 0.18e2 * t5559 * t73976 * t24794 * t10507 + t80697 - t80709 - t80711 - t101245 - t86262 - t101278 + t101279 + t101281 + 0.3e1 * t5540 * t8227 * t4408 * t67093 - 0.18e2 * t5540 * t73979 * t13579 - t40052 * t19979 / 0.6e1;
  t113440 = t50504 * t112466;
  t113465 = -t8058 * t29911 * t113215 / 0.4e1 - 0.62e2 / 0.3e1 * t82588 * t113440 - t9464 + t8184 * t2831 / 0.2e1 + t8189 * t2831 / 0.2e1 - t490 * t73151 / 0.6e1 - t490 * t75057 / 0.6e1 - t1677 * t14643 / 0.6e1 - t1682 * t14643 / 0.6e1 - t2030 * t13445 / 0.2e1 - t2030 * t13448 / 0.2e1 - t8189 * t2817 / 0.2e1 - t8184 * t2817 / 0.2e1 - t2030 * t13470 - t2030 * t13467;
  t113484 = -t8184 * t2814 + 0.3e1 * t1030 * t14550 * t12712 - t8189 * t2814 + t4383 * t19912 + t101312 - t111779 - t39229 * t19951 / 0.3e1 + t39224 * t19947 / 0.6e1 + t39229 * t19947 / 0.6e1 + t90877 + t8055 * t108239 / 0.6e1 - t111782 + t111786 - t111788;
  t113493 = t8055 * t108773 / 0.6e1 - t111790 - t111792 + t111794 - t13724 * t1937 - t13724 * t1941 / 0.2e1 + t9487 + t9489 + t101381 + t101382 - t9505 - t9507 - t110 * t20105 * t404 / 0.4e1 - t101390 + t101391;
  t113495 = t86415 + t101392 + t101393 - t101394 - t86442 - t101395 + t101396 + t101397 - t101398 - t86471 + t101400 + t86477 - t101401 - t86483;
  t113515 = -t101402 - t86499 + t86502 - t101403 + t101404 - t82548 - t82551 + t101423 + 0.6e1 * t5540 * t73976 * t24848 * t10507 + 0.18e2 * t10506 * t73976 * t24958 * t10507 - 0.3e1 / 0.2e1 * t72838 * t10458 * t5533 * t13671 - t72971 * t13694 - t74749 * t12556 / 0.6e1 + t11369 * t5553 * t112242 - 0.3e1 * t100853 * t13687;
  t113539 = 0.9e1 / 0.2e1 * t72838 * t29498 * t4403 * t7137 - 0.43e2 / 0.9e1 * t100090 * t50165 * t13615 + 0.3e1 / 0.2e1 * t24589 * t19795 + 0.3e1 / 0.2e1 * t24584 * t19795 + t2947 * t34998 / 0.6e1 - t1965 * t1400 * t112546 / 0.6e1 + t14542 * t10582 / 0.2e1 - t8052 * t39994 * t13683 / 0.3e1 + t90957 + t90960 - t90965 - t111796 - t111798 + t111800;
  t113551 = t5549 * t4143 * t100846 * t2616;
  t113567 = t111802 - t111804 + t111809 + t111811 - t11372 * t5582 * t112095 + t4145 * t14701 * t61659 + t4145 * t14713 * t61650 - t8052 * t4137 * t112254 / 0.3e1 - 0.2e1 / 0.3e1 * t24164 * t113551 - t30146 * t19943 - t30152 * t19943 - t5535 * t73028 * t2808 + 0.2e1 / 0.3e1 * t39229 * t19940 + 0.2e1 / 0.3e1 * t8058 * t30232 * t19939 + 0.2e1 / 0.3e1 * t8058 * t5553 * t4143 * t112765;
  t113604 = 0.2e1 / 0.3e1 * t8058 * t69153 - t8058 * t5591 * t112766 / 0.3e1 - t8058 * t108883 / 0.3e1 + 0.2e1 / 0.3e1 * t39224 * t19940 - t5540 * t2060 * t4549 * t112343 / 0.2e1 - t5540 * t2060 * t4549 * t112348 / 0.2e1 + t18462 - t8055 * t81814 * t14950 / 0.6e1 + t8058 * t50186 * t14578 / 0.12e2 - t2048 * t13633 / 0.6e1 - t555 * t68467 / 0.6e1 - t2043 * t13633 / 0.6e1 - t14586 * t6839 / 0.6e1 - t2947 * t34813 / 0.6e1 - t2947 * t35118 / 0.12e2;
  t113622 = t1190 * t112098;
  t113638 = t74326 * t487;
  t113642 = t14779 * t1671;
  t113648 = t13733 * t2038;
  t113649 = t1190 * t113648;
  t113658 = -t101658 * t50995 * t13734 / 0.9e1 - t101561 + 0.4e1 * t40187 * t113622 + 0.2e1 * t57517 * t20033 + 0.2e1 * t11528 * t360 * t74326 * t2616 + 0.2e1 * t11528 * t360 * t14779 * t12435 + t101569 + 0.4e1 / 0.3e1 * t40179 * t1190 * t112921 + 0.2e1 * t8251 * t360 * t113638 + 0.2e1 * t8251 * t360 * t113642 + 0.2e1 * t40212 * t20029 + 0.12e2 * t11538 * t113649 + 0.4e1 / 0.3e1 * t101655 * t13735 - 0.1e2 / 0.3e1 * t74251 * t12372 + 0.4e1 * t11533 * t113649;
  t113661 = t12370 * t2038;
  t113697 = -0.12e2 * t101874 * t13749 + 0.4e1 * t8251 * t360 * t113661 - 0.6e1 * t74260 * t12375 - 0.4e1 * t101887 * t12379 + 0.12e2 * t11541 * t360 * t113648 - 0.24e2 * t101981 * t13742 - 0.6e1 * t74260 * t13746 + 0.3e1 * t57365 * t360 * t112910 + 0.2e1 * t40184 * t360 * t112921 + 0.2e1 * t40184 * t360 * t112271 + 0.3e1 * t40207 * t360 * t112098 - 0.8e1 * t8254 * t1203 * t113661 + 0.2e2 * t74251 * t12447 + 0.12e2 * t101774 * t104941 + 0.4e1 / 0.3e1 * t74270 * t104944;
  t113699 = t142 * t19860;
  t113700 = t113699 * t333;
  t113713 = t8254 * t1190 * t113700 / 0.3e1 - t91279 + t18330 - t101589 - t101590 - t101591 + t101592 - t101627 - t101628 - t101630 + t101637 + 0.4e1 / 0.3e1 * t8254 * t1190 * t113661 - 0.2e1 * t101774 * t104933 + 0.2e1 / 0.9e1 * t74270 * t104991 - 0.4e1 * t74251 * t13752;
  t113731 = t45378 * t112098;
  t113737 = -t40179 * t45378 * t112271 + t40190 * t51084 * t112098 / 0.9e1 - 0.6e1 * t57365 * t45387 * t112910 - 0.2e1 / 0.3e1 * t40179 * t45378 * t112921 - 0.6e1 * t40207 * t45387 * t112098 - 0.4e1 * t40184 * t45387 * t112271 - 0.2e1 * t40187 * t113731 - 0.4e1 * t40184 * t45387 * t112921 + t101670 + t101671 + t81893 - t81895 - t81900 - t81908 + t81911;
  t113753 = -0.6e1 * t40187 * t1203 * t112098 - 0.3e1 * t40179 * t1203 * t112271 + 0.4e1 * t40179 * t45383 * t112921 + 0.72e2 * t101874 * t13762 - 0.6e1 * t40190 * t113731 - t101672 + t101680 - t101698 - t18342 + t81919 + t81923 - t81926 + t81936 - t81952 - t81956;
  t113754 = t2788 * t2038;
  t113770 = 0.12e2 * t8223 * t1093 * t113754 - 0.12e2 * t14806 * t13798 - 0.6e1 * t8227 * t4408 * t113754 + 0.9e1 * t14795 * t24823 * t13779 + t91458 - t91474 + t82021 + t82024 + 0.8e1 / 0.3e1 * t101658 * t13735 + 0.3e1 * t40190 * t113622 - t15890 + t15902 - t15905 + t91495 + t91497;
  t113774 = -0.72e2 * t101655 * t13749 - t101745 + t101759 + t101760 - t101761 + t101764 + t101766 + t101770 - t101771 + t18372 - t82056 + t82058 + t82059 + t91499 + t91505;
  t113789 = t20074 * t333;
  t113799 = -t82120 - t82122 - 0.1e2 * t14806 * t12494 + 0.5e2 / 0.3e1 * t73976 * t24794 * t13771 - 0.36e2 * t73967 * t13772 - 0.4e2 * t73979 * t13810 + 0.1e2 / 0.3e1 * t73976 * t24958 * t13771 + 0.6e1 * t14795 * t105217 - t91573 - t82130 - t91602 + t2060 * t4549 * t113789 - 0.8e1 * t8223 * t1034 * t113754 + 0.8e1 * t14806 * t13813 - 0.2e1 / 0.3e1 * t73979 * t13830;
  t113816 = t2986 * t1671;
  t113824 = t14814 * t487;
  t113830 = t8227 * t4396 * t113754 / 0.9e1 + 0.2e2 / 0.3e1 * t8227 * t4376 * t113754 - 0.1e2 * t14795 * t24848 * t13779 + 0.24e2 * t73967 * t13823 + 0.6e1 * t14795 * t105142 + t2060 * t4549 * t113816 - 0.12e2 * t14806 * t12455 - 0.2e1 / 0.3e1 * t14795 * t105102 + t8231 * t20093 + t2060 * t4549 * t113824 + 0.2e1 * t14806 * t12472 - t2054 * t20062 + t101800 + t101801 + t82172;
  t113831 = t2646 * t2038;
  t113854 = t82175 - t82178 - 0.2e1 * t2056 * t1182 * t113831 + 0.3e1 * t14826 * t12461 + 0.2e1 * t2969 * t12466 + 0.2e2 / 0.3e1 * t14806 * t12483 + t17130 + 0.36e2 * t73979 * t13776 - t17156 - 0.12e2 * t73976 * t24848 * t13771 - t18375 + t18376 - 0.2e1 * t40179 * t1203 * t112921 - 0.12e2 * t74270 * t12372 - 0.2e1 * t8254 * t1203 * t113700;
  t113890 = 0.24e2 * t101658 * t13765 + 0.2e1 * t40179 * t1190 * t112271 - 0.2e1 * t40195 * t20026 - 0.2e1 / 0.9e1 * t11538 * t4633 * t113648 + t74270 * t4633 * t13745 / 0.3e1 - t559 * t4543 * t14814 * t2616 - t2054 * t20040 - t2056 * t1182 * t113824 - t2056 * t1182 * t113816 + 0.2e1 / 0.3e1 * t2973 * t105169 - t14795 * t105055 / 0.9e1 + 0.6e1 * t14826 * t12486 + 0.2e1 * t2969 * t12481 - 0.18e2 * t74270 * t13752 + 0.2e1 * t74270 * t4624 * t13745;
  t113912 = -0.4e1 / 0.3e1 * t101658 * t25032 * t13734 + 0.24e2 * t74251 * t13757 + 0.8e1 * t101655 * t13765 - t101844 - t101845 + t101846 - 0.4e1 / 0.3e1 * t11538 * t4624 * t113648 - 0.24e2 * t11533 * t1203 * t113648 + t559 * t1182 * t140 * t112194 / 0.2e1 - t2969 * t12437 + t9557 + t9559 + t9570 - t9574 - t559 * t1182 * t143 * t112194;
  t113940 = 0.2e1 * t2973 * t105019 - 0.4e1 * t14806 * t12404 - 0.4e1 / 0.3e1 * t2973 * t105131 - t9585 - t9586 - t9588 + t9635 - 0.3e1 * t14795 * t105022 + 0.6e1 * t14806 * t12440 + t14795 * t104997 / 0.18e2 + 0.1e2 / 0.3e1 * t14795 * t105002 - 0.3e1 * t14826 * t12385 + 0.4e1 * t2060 * t4549 * t113831 - 0.2e1 / 0.3e1 * t2060 * t4408 * t113789 - 0.2e1 * t8254 * t1203 * t113638;
  t113968 = -0.2e1 * t8254 * t1203 * t113642 - 0.1e2 / 0.3e1 * t40190 * t4624 * t112098 - t18402 - t18403 - 0.8e1 / 0.3e1 * t2060 * t4408 * t113831 - t8247 * t20070 - 0.2e1 / 0.3e1 * t8231 * t20065 - 0.4e1 * t2973 * t105035 - t82223 + t82235 - 0.2e1 / 0.3e1 * t2060 * t4408 * t113824 - t559 * t4543 * t2986 * t12435 - 0.2e1 / 0.3e1 * t2060 * t4408 * t113816 + 0.3e1 * t14826 * t13780 - 0.6e1 * t2973 * t105072;
  t114000 = -0.2e2 / 0.3e1 * t14795 * t105038 + t18404 - t14795 * t24794 * t13779 / 0.6e1 + 0.4e1 * t2973 * t105086 - t14795 * t105107 / 0.9e1 - 0.6e1 * t8220 * t356 * t113754 + 0.12e2 * t74000 * t13816 - t2056 * t1182 * t113789 - t559 * t4543 * t20074 * t994 + t2054 * t20075 / 0.2e1 + t101976 + 0.12e2 * t40187 * t45383 * t112098 + 0.6e1 * t40179 * t45383 * t112271 + 0.2e1 / 0.3e1 * t40190 * t51103 * t112098 - t101991;
  t114019 = t101992 - t101993 + t101994 - t101995 - t91701 + 0.2e1 * t8251 * t360 * t113700 + 0.2e1 * t11528 * t360 * t113699 * t994 + t40195 * t20036 / 0.3e1 + t8254 * t1190 * t113638 / 0.3e1 + t8254 * t1190 * t113642 / 0.3e1 - t40190 * t4633 * t112098 / 0.18e2 - t15930 + t15933 + t15935 - t2229 + t2210;
  t114028 = -t14586 * t6873 / 0.12e2 + t14626 * t1673 / 0.4e1 + t14586 * t6843 / 0.3e1 - t18476 - t68390 * t1975 + t13724 * t1978 - t490 * t73720 / 0.12e2 - t34283 * t14710 / 0.4e1 + t50177 * t14570 / 0.2e1 - t111813 + t111815 - t110 * t139 * (t113658 + t113697 + t113713 + t113737 + t113753 + t113770 + t113774 + t113799 + t113830 + t113854 + t113890 + t113912 + t113940 + t113968 + t114000 + t114019) * t168 / 0.4e1 + t80768 - t80776 - t80778;
  t114045 = t80780 - t101490 - t101491 + t111817 - 0.4e1 / 0.3e1 * t8058 * t68115 - t110 * t2799 * t2013 / 0.2e1 - t110 * t500 * t14943 / 0.4e1 - t318 * t20015 / 0.2e1 + 0.23e2 / 0.36e2 * t72838 * t10458 * t13672 + t111832 - t111834 - t111836 + t111838 - t111840;
  t114069 = -t111842 - t111844 + t2942 * t6870 / 0.6e1 + t14608 * t1658 / 0.6e1 + t111857 - t111859 + t111861 - t111863 - t111865 - t8058 * t29911 * t113363 / 0.6e1 + t8055 * t45031 * t168 * t112910 / 0.2e1 + t8052 * t9270 * t113363 / 0.3e1 - t8052 * t4137 * t112732 / 0.6e1 + t8052 * t9270 * t113215 / 0.3e1 + t11372 * t4137 * t112792 / 0.2e1;
  t114087 = 0.3e1 * t6848 * t14655 + t89452 + 0.23e2 / 0.18e2 * t11381 * t10458 * t67094 - t111867 - t111869 - t6876 * t3010 / 0.2e1 - t111871 + 0.3e1 * t4145 * t73192 * t67460 - t18477 - t14535 * t81761 / 0.2e1 - t1965 * t95142 / 0.3e1 - t1651 * t101099 / 0.6e1 + t82745 + t82748;
  t114116 = -t99792 + t99795 + t373 * t72976 * t493 * t376 / 0.4e1 + t373 * t14974 * t1713 * t376 / 0.4e1 + t1958 * t95233 / 0.3e1 + t555 * t67600 / 0.6e1 - t2947 * t34294 / 0.6e1 + t91087 - t110 * t1736 * t3036 / 0.4e1 - t110 * t13836 * t584 / 0.2e1 - t318 * t20018 / 0.4e1 + 0.3e1 / 0.2e1 * t1663 * t14984 - t14776 * t13519 / 0.2e1 - t14776 * t12655 / 0.2e1 + t9702;
  t114131 = t1000 * t6773 * t14974;
  t114146 = t9704 - t73176 * t104060 / 0.2e1 + t8055 * t35145 * t14958 / 0.12e2 - t9180 + t9188 + t72971 * t13677 - 0.2e1 * t72971 * t13705 + 0.2e1 * t11369 * t5591 * t112242 - t338 * t114131 / 0.12e2 + t1663 * t14980 / 0.4e1 + t8058 * t5549 * t112254 / 0.3e1 - 0.5e1 / 0.18e2 * t11381 * t10458 * t112095 - 0.2e1 * t73930 * t2772 + 0.2e1 / 0.3e1 * t1965 * t109158;
  t114169 = 0.2e1 / 0.3e1 * t1965 * t1400 * t8182 * t2756 + 0.2e1 / 0.3e1 * t8110 * t19808 + 0.2e1 / 0.3e1 * t8106 * t19808 - t1965 * t108097 / 0.3e1 - t1965 * t1393 * t113113 / 0.3e1 - t8110 * t19804 / 0.3e1 - t8106 * t19804 / 0.3e1 + t4145 * t73028 * t2821 + t16075 - t16082 + t91140 + t91150 + t91152 - t8052 * t35145 * t14578 / 0.6e1 + t86599;
  t114187 = t74749 * t12548 / 0.3e1 - 0.11e2 / 0.9e1 * t11381 * t94855 * t13585 + 0.23e2 / 0.18e2 * t11381 * t95582 * t13593 + t72838 * t104556 - 0.2e1 * t72971 * t13673 + t16580 - t18480 - t16587 - t16590 - 0.3e1 * t11381 * t68598 + t102183 + t102184 + t102186 - t8052 * t24237 * t19946 / 0.6e1 + t111876;
  t114194 = t50165 * t10504 * t112465;
  t114217 = -t111878 - t11381 * t56695 * t13585 - 0.23e2 / 0.12e2 * t72838 * t29498 * t13697 + 0.8e1 * t82588 * t114194 + 0.3e1 / 0.2e1 * t30030 * t73374 * t19794 + t5540 * t2054 * t19991 / 0.2e1 + t5540 * t559 * t4543 * t112667 / 0.2e1 + t5540 * t559 * t4543 * t113286 / 0.2e1 + t29767 * t19992 / 0.2e1 + t29773 * t19992 / 0.2e1 + t82782 - t99830 + t82787 - t82790 - t5535 * t14639 * t12712;
  t114224 = my_piecewise3(t100, 0, t114217 + t114187 + t114169 + t114146 + t114116 + t114087 + t114069 + t114045 + t114028 + t113604 + t113567 + t113539 + t113515 + t113493 + t113495 + t113484 + t113465 + t113436 + t113413 + t113391 + t113370 + t113336 + t113321 + t113279 + t113252 + t113227 + t113201 + t113162 + t113147 + t113123 + t113103 + t113091 + t113057 + t113032 + t113000 + t112984 + t112963 + t112920 + t112888 + t112853 + t112831 + t112818 + t112776 + t112758 + t112719 + t112672 + t112635 + t112624 + t112594 + t112564 + t112532 + t112522 + t112497 + t112464 + t112434 + t112399 + t112364 + t112325 + t112302 + t112289 + t112263 + t112227 + t112200 + t112075);
  tv4rholapltau211 = t3 * t114224 + t20113;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 11] += tv4rholapltau211;

  t114226 = t20245 * t21185;
  t114227 = t21207 * t114226;
  t114235 = t191 * t21182 * t114226;
  t114248 = t20245 * t21719;
  t114250 = t191 * t3512 * t114248;
  t114265 = t645 * t20250;
  t114272 = 0.6e1 * t246 * t114227 * t76242 + 0.18e2 * t3680 * t114227 * t76231 + 0.8e1 * t114235 * t76250 - 0.61e2 / 0.27e2 * t114235 * t75880 + 0.44e2 / 0.27e2 * t114235 * t75883 - 0.3e1 / 0.2e1 * t13878 * t83919 + 0.7e1 * t13878 * t83922 - 0.6e1 * t13929 * t11200 + 0.22e2 / 0.3e1 * t114250 * t8761 - 0.23e2 / 0.3e1 * t114250 * t8993 - 0.3e1 / 0.2e1 * t69282 * t1758 + 0.3e1 / 0.2e1 * t14153 * t1761 - t1748 * t97804 / 0.2e1 - 0.11e2 / 0.6e1 * t13878 * t83869 + 0.23e2 / 0.12e2 * t13878 * t83495 - 0.18e2 * t644 * t114265 * t1234 - t82813 / 0.4e1 - t82815 / 0.4e1 + 0.3e1 / 0.4e1 * t82819;
  t114278 = t674 * t20333;
  t114282 = t82835 / 0.6e1;
  t114283 = t764 * t20261;
  t114286 = t592 * t20261;
  t114288 = t114286 * t752 / 0.6e1;
  t114290 = t114286 * t630 / 0.3e1;
  t114291 = t592 * t20251;
  t114293 = 0.11e2 / 0.54e2 * t114291 * t3517;
  t114295 = t7368 * t2907 / 0.2e1;
  t114297 = 0.2e1 / 0.3e1 * t114286 * t637;
  t114299 = t21655 * t20186 / 0.4e1;
  t114318 = -t82821 / 0.4e1 + 0.3e1 / 0.4e1 * t82823 + 0.3e1 / 0.4e1 * t82825 + 0.7e1 * t13878 * t35457 + 0.3e1 / 0.2e1 * t3680 * t114278 * t3681 + t114282 + t114283 * t752 / 0.2e1 + t114288 + t114290 - t114293 - t114295 - t114297 - t114299 + t7581 * t21593 * t20190 / 0.4e1 + t7581 * t3130 * t253 * t1829 * t2851 / 0.4e1 + t7581 * t3130 * t253 * t543 * t13919 / 0.4e1 + 0.3e1 / 0.2e1 * t4748 * t69581 * t20126 + t82850 / 0.2e1 + t82852 / 0.4e1;
  t114343 = t37202 * t20191 / 0.12e2;
  t114345 = t593 * t20313 / 0.2e1;
  t114350 = t253 * t20189 * t206;
  t114361 = -t82856 / 0.4e1 - 0.2e1 * t114235 * t76219 + 0.9e1 / 0.2e1 * t37303 * t14077 - 0.9e1 * t7462 * t14080 + 0.9e1 / 0.2e1 * t1891 * t14221 - 0.6e1 * t21206 * t114227 * t76226 - 0.18e2 * t644 * t114227 * t76238 - t14136 * t7171 / 0.2e1 - t515 * t69705 / 0.4e1 + t7216 * t53072 * t14189 / 0.2e1 + t114343 + t114345 - 0.3e1 / 0.2e1 * t3123 * t14184 * t70747 + t7216 * t4770 * t114350 / 0.2e1 + 0.6e1 * t114250 * t8996 + 0.3e1 / 0.2e1 * t20252 * t21551 + 0.3e1 / 0.2e1 * t82987 + t82991 / 0.2e1 - 0.5e1 / 0.12e2 * t82993;
  t114389 = t673 * t7198 * t14031;
  t114394 = t645 * t20260;
  t114405 = -t82995 / 0.4e1 - t14136 * t7316 / 0.4e1 - t2844 * t36534 / 0.2e1 + 0.2e1 * t4779 * t1843 * t819 * t69388 - 0.3e1 * t4779 * t14282 * t14063 - 0.2e1 * t4779 * t2866 * t14068 - t2844 * t37233 / 0.2e1 + t1876 * t20170 / 0.12e2 + t1881 * t20170 / 0.12e2 - t1876 * t14033 / 0.4e1 + t97473 / 0.6e1 - t83022 / 0.2e1 + t83024 / 0.2e1 - t211 * t114389 / 0.4e1 + 0.3e1 / 0.4e1 * t1891 * t14037 + 0.6e1 * t246 * t114394 * t3186 - 0.3e1 / 0.2e1 * t13878 * t4831 * t13943 - t83026 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t114278 * t3660;
  t114408 = t94 * t20245;
  t114409 = t244 * t114408;
  t114410 = t26835 * t114409;
  t114415 = t4760 * t635 * t512 * t20167;
  t114438 = t7198 * t13936;
  t114453 = 0.47e2 / 0.3e1 * t75198 * t114410 - t21878 * t114415 / 0.3e1 - t3123 * t7228 * t20280 / 0.4e1 + t97521 / 0.3e1 - t1881 * t20201 / 0.6e1 - t515 * t3139 * t3279 * t20199 / 0.6e1 - 0.3e1 / 0.2e1 * t246 * t7469 * t2865 * t748 - t1876 * t20201 / 0.6e1 - 0.3e1 / 0.2e1 * t768 * t20195 + t97544 / 0.6e1 + t97546 / 0.6e1 - t1748 * t1220 * t114438 + 0.3e1 * t13929 * t11196 + t2844 * t36656 - 0.5e1 / 0.12e2 * t13878 * t4844 * t13943 + 0.5e1 / 0.3e1 * t114250 * t8786 + 0.5e1 / 0.12e2 * t20252 * t21057 + 0.3e1 / 0.4e1 * t83031 + 0.3e1 / 0.4e1 * t83037;
  t114454 = t3548 * t20269;
  t114466 = t20167 * t206;
  t114467 = t95 * t114466;
  t114471 = t20167 * t667;
  t114493 = t114454 - 0.2e1 * t83109 + 0.23e2 / 0.12e2 * t83111 + t83113 + 0.3e1 / 0.2e1 * t83140 - 0.6e1 * t83145 - 0.3e1 / 0.2e1 * t83148 - 0.23e2 / 0.12e2 * t70204 * t25739 * t14195 - t70197 * t4760 * t3121 * t14252 - t7746 * t3130 * t114467 / 0.6e1 - t7581 * t8642 * t95 * t114471 / 0.6e1 + 0.3e1 * t69907 * t11131 + 0.3e1 * t1891 * t14024 - 0.9e1 * t1891 * t14218 - 0.3e1 * t1891 * t14026 - t2844 * t35299 / 0.2e1 + 0.3e1 * t7462 * t13952 - 0.5e1 / 0.36e2 * t20252 * t21060 + t2844 * t3250 * t13921 / 0.4e1;
  t114495 = t83167 / 0.12e2;
  t114496 = t83173 / 0.4e1;
  t114501 = t593 * t20297 / 0.2e1;
  t114503 = t14116 * t1886 / 0.6e1;
  t114505 = t14107 * t7453 / 0.6e1;
  t114512 = t593 * t20195 / 0.2e1;
  t114523 = t14107 * t20242 / 0.3e1;
  t114528 = -t114495 + t114496 + 0.3e1 / 0.4e1 * t83188 - 0.3e1 / 0.2e1 * t83191 - 0.3e1 / 0.4e1 * t83193 + t83197 + t114501 + t114503 - t114505 - t515 * t69689 / 0.2e1 + 0.18e2 * t246 * t114265 * t1239 - t114512 + 0.3e1 / 0.4e1 * t768 * t20122 + 0.3e1 / 0.4e1 * t757 * t20122 + 0.3e1 / 0.4e1 * t246 * t69703 * t518 * t249 + t20262 * t3176 - t114523 - 0.3e1 / 0.2e1 * t3530 * t20131 - 0.3e1 / 0.2e1 * t3537 * t20131;
  t114539 = t3548 * t20127 / 0.2e1;
  t114543 = 0.5e1 / 0.108e3 * t114291 * t3602;
  t114545 = t673 * t69657 * t1777;
  t114549 = t191 * t616 * t20250;
  t114556 = t247 * t20260;
  t114560 = t247 * t20274;
  t114570 = t662 * t2842;
  t114573 = 0.12e2 * t114570 * t1246 - 0.8e1 * t13898 * t14001 - 0.4e1 * t14064 + t15069 - t15081 - t76021 - t76024 + t76027 + t76029 - t76046 + t76056;
  t114574 = t662 * t2837;
  t114577 = t3227 * t13927;
  t114582 = t3227 * t2842;
  t114585 = t21461 * t13876;
  t114597 = 0.4e1 * t114574 * t730 - 0.8e1 * t114577 * t1234 + 0.8e1 / 0.3e1 * t13901 * t13983 - 0.8e1 / 0.3e1 * t114582 * t3181 + 0.16e2 / 0.9e1 * t114585 * t8771 - 0.2e1 * t70047 * t2911 - 0.4e1 * t14069 - 0.2e1 * t13904 * t13996 + 0.8e1 * t13901 * t14023 - 0.8e1 * t114582 * t3186 + t76075 + t76077;
  t114607 = t2869 * t3415;
  t114610 = t14292 * t3396;
  t114623 = -0.4e1 * t13901 * t70747 + 0.4e1 * t13898 * t70326 + 0.4e1 * t13904 * t70906 - 0.4e1 / 0.3e1 * t13901 * t70743 + 0.24e2 * t114607 * t1239 - 0.12e2 * t114610 * t8765 + 0.4e1 / 0.3e1 * t114610 * t9038 + 0.2e1 * t521 * t13996 + 0.4e1 / 0.3e1 * t13916 * t13983 - 0.4e1 * t114607 * t1234 - 0.4e1 / 0.3e1 * t2878 * t3181;
  t114632 = t2865 * t619;
  t114647 = 0.2e2 / 0.9e1 * t114610 * t8771 - 0.8e1 * t13916 * t14023 + 0.8e1 * t2878 * t3186 + 0.8e1 * t13911 * t14001 - 0.12e2 * t114632 * t1246 - 0.4e1 * t2881 * t730 + 0.2e1 * t1855 * t2911 - 0.24e2 * t114577 * t1239 + 0.32e2 / 0.3e1 * t114585 * t9038 - 0.2e1 / 0.3e1 * t14201 + 0.12e2 * t114585 * t8765 + 0.4e1 * t14177;
  t114649 = t114573 + t114597 + t114623 + t114647;
  t114673 = 0.3e1 / 0.2e1 * t3530 * t20127 + 0.3e1 / 0.2e1 * t3537 * t20127 + 0.3e1 / 0.2e1 * t644 * t13951 * t3171 * t633 * t13919 + t114539 - 0.2e1 * t20262 * t3173 - t114543 - t211 * t114545 / 0.4e1 - 0.3e1 * t114549 * t1300 - t20262 * t3272 + 0.9e1 / 0.2e1 * t246 * t14004 * t14001 - 0.6e1 * t246 * t114556 * t1246 - 0.3e1 / 0.2e1 * t246 * t114560 * t730 - t246 * t7533 * t20280 / 0.4e1 - t246 * t1769 * t658 * t221 * t114649 / 0.4e1 - 0.3e1 / 0.2e1 * t83223 + 0.9e1 * t644 * t13986 * t13983 + 0.3e1 / 0.4e1 * t246 * t14031 * t1840 * t249 + t1881 * t20176 / 0.4e1 + t515 * t660 * t35360 * t2852 / 0.4e1 + t515 * t660 * t7198 * t13920 / 0.4e1;
  t114685 = t7469 * t2869;
  t114690 = t14107 * t7316 / 0.12e2;
  t114694 = t1869 * t20201 / 0.18e2;
  t114714 = -t2844 * t37355 / 0.4e1 - t2844 * t37358 / 0.4e1 + 0.4e1 * t20262 * t3252 - 0.2e1 * t20262 * t3255 - 0.3e1 / 0.2e1 * t644 * t114685 * t649 - t114690 - 0.6e1 * t13929 * t13938 - t114694 + 0.3e1 / 0.2e1 * t768 * t20235 + 0.3e1 / 0.2e1 * t757 * t20235 + 0.3e1 / 0.2e1 * t246 * t114685 * t654 + t20262 * t3308 / 0.2e1 - 0.3e1 / 0.2e1 * t768 * t20230 + 0.3e1 / 0.2e1 * t1891 * t14028 - t768 * t20281 / 0.4e1 + 0.3e1 * t83234 + t83236 - 0.11e2 / 0.6e1 * t83238 - t1748 * t99089 / 0.4e1;
  t114727 = t3658 * t20250;
  t114732 = t26105 * t642 * t114408;
  t114743 = t3658 * t114248;
  t114752 = t253 * t69615;
  t114764 = -t515 * t70277 / 0.4e1 - 0.3e1 / 0.2e1 * t757 * t20230 - 0.3e1 / 0.2e1 * t246 * t13951 * t3171 * t628 * t13919 - 0.9e1 * t246 * t13986 * t14023 + 0.9e1 * t644 * t114727 * t21535 - 0.62e2 / 0.3e1 * t75198 * t114732 - 0.3e1 * t644 * t114278 * t3685 - 0.9e1 * t644 * t14076 * t3474 * t3401 * t1839 + 0.36e2 * t644 * t114743 * t9038 + 0.7e1 * t83296 + 0.3e1 / 0.2e1 * t83299 + t70197 * t36151 - 0.11e2 / 0.6e1 * t70204 * t82955 - t7216 * t4754 * t114752 - t7216 * t98286 / 0.2e1 + t7746 * t98291 + t7581 * t69988 / 0.2e1 - 0.2e1 * t70197 * t37347 + 0.23e2 / 0.12e2 * t70204 * t83555;
  t114815 = 0.2e1 * t7216 * t69617 + t7746 * t99386 / 0.2e1 + t7581 * t70538 / 0.4e1 - t7216 * t99383 / 0.4e1 - t7581 * t8642 * t253 * t276 * t20198 / 0.6e1 + t35436 * t20191 / 0.4e1 + t35452 * t20191 / 0.4e1 - t7216 * t4765 * t114752 / 0.2e1 + 0.3e1 / 0.2e1 * t69907 * t10772 + t7216 * t4760 * t114467 / 0.12e2 + t7581 * t3130 * t253 * t276 * t20167 / 0.12e2 - 0.3e1 * t36310 * t14229 - 0.3e1 / 0.2e1 * t36310 * t14232 - 0.3e1 / 0.4e1 * t3123 * t71092 * t2911 - 0.3e1 / 0.4e1 * t3123 * t14231 * t13996 + t69904 * t14242 + 0.2e1 / 0.3e1 * t69910 * t14246 + 0.5e1 / 0.12e2 * t70204 * t25739 * t14189 + t70197 * t4760 * t14253 / 0.4e1;
  t114819 = t1869 * t20176 / 0.12e2;
  t114821 = t14107 * t20238 / 0.6e1;
  t114823 = t593 * t20235 / 0.2e1;
  t114825 = t593 * t20230 / 0.2e1;
  t114840 = t764 * t20251;
  t114855 = t1876 * t20176 / 0.4e1 + t114819 + t114821 + t114823 - t114825 - t764 * t20275 * t223 / 0.2e1 - t20276 * t612 / 0.2e1 - 0.3e1 / 0.2e1 * t7374 * t2907 - 0.3e1 / 0.2e1 * t7390 * t2907 + t20262 * t3540 + 0.3e1 * t3530 * t20269 + 0.3e1 * t3537 * t20269 - 0.11e2 / 0.18e2 * t114840 * t3517 - 0.11e2 / 0.18e2 * t20252 * t22449 + t114283 * t630 - 0.2e1 * t20262 * t3577 - t114840 * t3665 / 0.2e1 - t20252 * t21859 / 0.2e1 - 0.2e1 * t114283 * t637 + t2844 * t37327;
  t114862 = t83345 / 0.2e1;
  t114863 = t83347 / 0.2e1;
  t114864 = t83357 / 0.12e2;
  t114881 = t635 * t2836 * t2851;
  t114882 = t4760 * t114881;
  t114890 = -t83318 / 0.4e1 - t83326 / 0.4e1 - t83328 / 0.4e1 - t83338 / 0.2e1 - t114862 - t114863 - t114864 - 0.9e1 / 0.2e1 * t83365 - 0.3e1 / 0.2e1 * t83368 + 0.3e1 * t83371 - 0.9e1 * t83402 - 0.3e1 * t83405 - t7746 * t36303 * t14189 / 0.2e1 - t7581 * t83080 * t14245 / 0.2e1 + t70197 * t37205 / 0.2e1 - 0.5e1 / 0.12e2 * t70204 * t82839 + 0.16e2 / 0.3e1 * t52652 * t114882 + t3123 * t70825 * t2911 + 0.3e1 / 0.2e1 * t70204 * t26082 * t14189;
  t114895 = t52456 * t13876;
  t114915 = t4760 * t3121 * t69570 * t2851;
  t114937 = 0.9e1 / 0.2e1 * t70204 * t25739 * t3671 * t14062 + 0.9e1 / 0.2e1 * t3123 * t114895 * t8765 - t7746 * t3130 * t114350 / 0.2e1 - t7581 * t8642 * t253 * t20189 * t667 / 0.2e1 + 0.3e1 / 0.2e1 * t3123 * t14228 * t70326 + 0.3e1 / 0.2e1 * t3123 * t14231 * t70906 - t21878 * t114915 - t98050 / 0.3e1 - t98052 / 0.3e1 + t98057 / 0.6e1 + t98059 / 0.6e1 + t14123 * t1779 / 0.2e1 + t2839 * t7210 / 0.2e1 + t2839 * t7471 / 0.2e1 + t14136 * t20181 / 0.4e1 + t2844 * t3250 * t13887 / 0.4e1 - 0.3e1 / 0.2e1 * t83437 + t7216 * t4760 * t114350 / 0.4e1 + t83449 / 0.2e1;
  t114942 = t1869 * t20170 / 0.36e2;
  t114944 = t14107 * t7171 / 0.6e1;
  t114946 = t1869 * t13977 / 0.6e1;
  t114948 = t14107 * t7175 / 0.3e1;
  t114950 = t1869 * t14033 / 0.12e2;
  t114954 = t83483 / 0.3e1;
  t114955 = t11120 * t13927;
  t114959 = t20198 * t206;
  t114960 = t95 * t114959;
  t114968 = t83451 / 0.2e1 + t83453 / 0.2e1 + t114942 - t114944 - t114946 + t114948 - t114950 + t2839 * t7200 / 0.2e1 - t20114 - 0.2e1 / 0.3e1 * t98144 + t114954 + t20115 - t20116 - t20117 + t20118 - t20119 - 0.9e1 * t3123 * t114955 * t1239 - t7216 * t27475 * t114960 / 0.3e1 - t4779 * t1847 * t3409 * t114466 / 0.2e1;
  t114988 = t7751 * t2837;
  t114995 = t7751 * t2842;
  t115001 = t26082 * t635 * t512 * t20198;
  t115018 = -0.8e1 * t4738 * t14331 * t70311 + 0.8e1 * t4779 * t14331 * t14176 - t4738 * t1847 * t22070 * t114959 + t4779 * t1847 * t22051 * t114959 + 0.9e1 * t4748 * t114955 * t1234 + t4738 * t1847 * t3375 * t114466 / 0.2e1 + 0.3e1 / 0.2e1 * t3123 * t114988 * t730 - 0.3e1 * t3123 * t14228 * t14001 + 0.9e1 / 0.2e1 * t3123 * t114995 * t1246 + 0.2e1 / 0.3e1 * t21878 * t115001 + 0.2e1 * t1748 * t70233 - 0.7e1 * t20252 * t20753 + 0.89e2 / 0.9e1 * t114235 * t75232 + 0.7e1 / 0.3e1 * t20252 * t20715 - 0.9e1 * t83513 + 0.9e1 / 0.2e1 * t83516 + 0.9e1 * t83519 - t98176 / 0.2e1 - t98179 / 0.2e1 - t98185 / 0.2e1;
  t115042 = t188 * t20225 / 0.4e1;
  t115044 = t188 * t20219 / 0.12e2;
  t115046 = t188 * t20222 / 0.4e1;
  t115051 = -0.3e1 / 0.2e1 * t83532 + 0.23e2 / 0.36e2 * t114840 * t3545 + 0.23e2 / 0.36e2 * t20252 * t21744 + 0.3e1 / 0.2e1 * t21706 * t20247 + 0.3e1 / 0.2e1 * t21711 * t20247 + 0.7e1 / 0.3e1 * t114840 * t3668 + 0.7e1 / 0.3e1 * t20252 * t21674 + t14136 * t7457 + 0.3e1 / 0.2e1 * t7374 * t2915 + 0.3e1 / 0.2e1 * t7390 * t2915 - t115042 - t115044 - t115046 + t2160 - t83592 / 0.4e1 - 0.3e1 / 0.2e1 * t20252 * t20707 + t20120 + 0.9e1 / 0.2e1 * t83600 + t16279;
  t115072 = t222 * t20398;
  t115077 = t191 * t242 * t20396 * t243;
  t115081 = t21784 * t20247 / 0.2e1;
  t115087 = -t20144 - t20145 + t20146 + t7746 * t4796 * t114752 - 0.3e1 / 0.2e1 * t69904 * t11148 - t69910 * t7758 / 0.2e1 + t7216 * t53245 * t14189 / 0.4e1 + t7581 * t36303 * t14253 / 0.4e1 + 0.3e1 / 0.4e1 * t70567 * t530 + 0.3e1 / 0.4e1 * t69326 * t530 + 0.3e1 / 0.2e1 * t768 * t20313 + 0.3e1 / 0.2e1 * t757 * t20313 - t211 * t115072 / 0.12e2 + t115077 * t250 / 0.4e1 + t115081 - 0.3e1 / 0.4e1 * t83654 + t83659 + 0.3e1 / 0.2e1 * t13929 * t14206 + t1787 * t673 * t114438;
  t115123 = t83680 / 0.6e1;
  t115127 = t543 * t2836;
  t115128 = t3121 * t115127;
  t115129 = t4765 * t115128;
  t115136 = -0.3e1 / 0.2e1 * t14215 * t11001 - t2839 * t7550 / 0.2e1 - 0.3e1 * t1891 * t14002 + 0.9e1 / 0.2e1 * t1891 * t14005 + 0.3e1 / 0.2e1 * t1891 * t14041 - 0.18e2 * t246 * t114743 * t8765 + 0.9e1 / 0.2e1 * t246 * t14076 * t3474 * t13982 - 0.11e2 / 0.18e2 * t20252 * t21892 + 0.3e1 * t13929 * t13944 - 0.6e1 * t114549 * t1223 - 0.11e2 / 0.6e1 * t13878 * t4838 * t13943 + 0.11e2 / 0.6e1 * t20252 * t20845 - 0.43e2 / 0.9e1 * t114235 * t75183 + 0.9e1 / 0.2e1 * t20252 * t20732 - 0.9e1 / 0.2e1 * t13878 * t36391 - t115123 - 0.3e1 * t4748 * t14184 * t13983 - 0.6e1 * t52652 * t115129 - 0.9e1 / 0.2e1 * t4738 * t2870 * t22070 * t14067;
  t115179 = 0.3e1 * t4738 * t1847 * t3375 * t69388 - 0.3e1 * t757 * t20303 - 0.3e1 / 0.2e1 * t114840 * t3673 - 0.3e1 / 0.2e1 * t20252 * t21678 - 0.3e1 / 0.2e1 * t37309 * t2899 - 0.3e1 / 0.2e1 * t37314 * t2899 + 0.3e1 / 0.2e1 * t757 * t20297 - 0.3e1 * t3530 * t20300 - 0.3e1 * t3537 * t20300 - 0.3e1 * t768 * t20303 + 0.3e1 / 0.2e1 * t768 * t20297 + t20262 * t3599 / 0.2e1 + t14123 * t1886 / 0.2e1 + t2839 * t7385 / 0.2e1 - 0.3e1 / 0.2e1 * t7462 * t14009 + 0.23e2 / 0.36e2 * t20252 * t21895 + 0.9e1 * t7462 * t13987 - 0.23e2 / 0.12e2 * t20252 * t20848 + t2844 * t36651 + 0.23e2 / 0.12e2 * t13878 * t4844 * t13937;
  t115185 = t3548 * t20131 / 0.2e1;
  t115187 = t62 * t20198;
  t115188 = t115187 * t206;
  t115212 = t62 * t20167;
  t115213 = t115212 * t206;
  t115226 = -0.4e1 * t98306 - 0.4e1 * t36952 * t233 * t115188 - 0.6e1 * t53471 * t233 * t115187 * t667 + 0.4e1 * t10828 * t233 * t14257 * t13919 - 0.2e1 / 0.3e1 * t37040 * t827 * t115188 + 0.2e1 * t98477 + 0.6e1 * t84349 - 0.36e2 * t84355 - 0.12e2 * t84357 + t20326 - t20327 + t20328 - 0.6e1 * t2870 * t3409 * t14305 + 0.2e1 * t1841 * t20358 + 0.2e1 * t7586 * t233 * t115213 + 0.2e1 * t10828 * t233 * t115212 * t667 + t7584 * t827 * t115213 / 0.3e1 - 0.12e2 * t71223 * t14262;
  t115231 = t14257 * t1839;
  t115256 = t20329 * t21402;
  t115259 = t20365 * t206;
  t115271 = -0.8e1 * t98346 * t14269 - 0.16e2 / 0.3e1 * t71298 * t14259 + 0.2e1 * t7584 * t827 * t115231 + 0.8e1 * t7586 * t233 * t115231 + 0.4e1 * t37040 * t840 * t115188 - 0.18e2 * t71443 * t14259 - 0.2e1 * t7584 * t840 * t115213 + 0.32e2 * t71298 * t14265 + 0.2e1 * t71443 * t3475 * t14258 - 0.12e2 * t7584 * t840 * t115231 - 0.2e1 * t98524 - 0.2e1 * t98525 - 0.12e2 * t115256 * t1322 - 0.2e1 / 0.3e1 * t1847 * t3375 * t115259 - t1843 * t819 * t115259 - t519 * t3430 * t20365 * t667 + 0.4e1 * t98560 + 0.4e1 * t98562 + 0.2e1 / 0.3e1 * t98564;
  t115273 = t20333 * t21730;
  t115292 = t20337 * t21343;
  t115298 = t21181 * t20245 * t21209;
  t115305 = t8856 + t8875 + t8877 - t8888 - t84392 - 0.2e1 / 0.3e1 * t115273 * t8862 + t14293 * t3448 * t14272 / 0.6e1 - t20374 * t22172 / 0.6e1 + t1841 * t20366 / 0.2e1 - 0.2e1 * t2870 * t3375 * t14288 + 0.3e1 * t20392 * t837 - 0.2e1 * t2866 * t14289 - 0.9e1 * t14282 * t14278 + 0.12e2 * t115292 * t1336 + 0.36e2 * t115273 * t8884 - 0.12e2 * t115298 * t76400 - 0.36e2 * t115256 * t1340 + 0.5e2 / 0.3e1 * t115298 * t76403;
  t115337 = 0.9e1 * t20374 * t22257 + 0.18e2 * t14331 * t14273 + 0.6e1 * t84405 + 0.1e2 * t84407 - 0.6e1 * t84409 + t98634 + 0.18e2 * t84411 - 0.9e1 * t84423 - 0.4e1 / 0.3e1 * t115298 * t76560 - 0.1e2 * t14293 * t21225 * t14296 + 0.24e2 * t115298 * t76365 - 0.16e2 * t14331 * t14336 + 0.8e1 * t115273 * t8954 + t1847 * t3409 * t115259 - 0.4e1 * t84431 + 0.3e1 * t2870 * t3409 * t14288 - 0.3e1 * t84445 + 0.2e1 * t84448 + 0.18e2 * t98411 * t840 * t14268;
  t115364 = t2883 * t1839;
  t115371 = t18042 + 0.18e2 * t84456 + 0.2e1 * t84463 - t84465 / 0.3e1 + 0.6e1 * t84479 + 0.3e1 * t84512 + 0.18e2 * t14282 * t14324 - 0.24e2 * t115292 * t1317 - 0.6e1 * t20392 * t821 + t2870 * t3375 * t14305 - t1841 * t20354 + t84561 / 0.6e1 + 0.4e1 / 0.3e1 * t115273 * t8944 - t14293 * t3448 * t14311 / 0.3e1 + t20374 * t22138 / 0.3e1 - t115298 * t76617 / 0.9e1 - 0.4e1 * t1847 * t3375 * t115364 - 0.4e1 * t1843 * t819 * t115364;
  t115394 = t20389 * t206;
  t115401 = 0.6e1 * t14282 * t14297 + 0.4e1 * t2866 * t14300 + 0.32e2 / 0.3e1 * t14331 * t14308 + 0.6e1 * t14331 * t14319 - t16163 + t20347 - t20348 + 0.18e2 * t14293 * t3375 * t14311 - 0.72e2 * t115273 * t8957 - 0.18e2 * t20374 * t22091 + 0.8e1 / 0.3e1 * t115298 * t76362 - 0.4e1 * t20371 * t3376 - 0.9e1 * t84584 + 0.6e1 * t84588 - 0.12e2 * t84592 - 0.2e1 * t1847 * t22051 * t115394 + 0.9e1 * t14293 * t22070 * t14296 - t8948 - t8949;
  t115439 = -t8966 + t8975 - 0.12e2 * t20371 * t3410 - 0.9e1 * t14293 * t3375 * t14272 - t1841 * t20390 + 0.24e2 * t115256 * t1330 + 0.8e1 * t20371 * t3452 - 0.2e1 * t98730 - 0.4e1 / 0.3e1 * t98731 + t519 * t819 * t60 * t114649 / 0.2e1 + 0.1e2 * t14293 * t3402 * t14272 - 0.4e2 * t115273 * t8865 - 0.1e2 * t20374 * t22219 + 0.1e2 / 0.3e1 * t115298 * t76408 - 0.12e2 * t14331 * t14343 - 0.3e1 * t84601 + 0.4e1 * t2866 * t14306 + 0.6e1 * t1847 * t3409 * t115364 - 0.9e1 * t2870 * t22051 * t14299;
  t115482 = -0.36e2 * t14331 * t14312 + 0.72e2 * t115256 * t1326 + 0.24e2 * t20371 * t3427 - 0.2e1 * t14293 * t3402 * t14311 + 0.2e1 * t20374 * t22078 + 0.6e1 * t2870 * t22070 * t14299 - t14293 * t21220 * t14296 / 0.6e1 - t519 * t819 * t63 * t114649 + 0.2e1 * t1843 * t3430 * t115394 + 0.3e1 * t519 * t22055 * t20389 * t667 - 0.2e1 * t519 * t3430 * t2883 * t13919 + 0.4e1 / 0.3e1 * t1847 * t22070 * t115394 - t20364 - 0.2e1 * t84616 + 0.18e2 * t84623 - 0.3e1 * t98411 * t827 * t14268 + t71443 * t3482 * t14258 / 0.3e1 - t2138 + t2119;
  t115491 = t593 * t20289 / 0.6e1;
  t115498 = t4765 * t3121 * t2932 * t512;
  t115502 = t53245 * t69393;
  t115512 = params->at * t20217;
  t115514 = t673 * t661 * t115512;
  t115523 = t592 * t20275 * t223 / 0.6e1;
  t115524 = -0.2e1 * t2844 * t36648 - t115185 - t30 * t59 * (t115226 + t115271 + t115305 + t115337 + t115371 + t115401 + t115439 + t115482) * t95 / 0.4e1 + t115491 + t8659 + t8662 - t8667 + t8683 + t4779 * t519 * t3430 * t114471 / 0.2e1 + t21878 * t115498 + 0.3e1 / 0.2e1 * t52729 * t14069 - t21878 * t115502 - 0.3e1 / 0.4e1 * t36310 * t14059 - t2844 * t3250 * t755 * t2852 - t2844 * t3250 * t244 * t13920 - t211 * t115514 / 0.12e2 + t246 * t115512 * t226 * t249 / 0.4e1 - t115523 + t98780;
  t115532 = t98828 / 0.6e1;
  t115544 = t10058 * t115128;
  t115547 = t95 * t69388;
  t115555 = t11120 * t2842;
  t115559 = t26140 * t114881;
  t115562 = -t98783 - t83748 / 0.2e1 - t83750 / 0.2e1 + t83761 + t83763 + t83765 - t182 * t20398 / 0.4e1 + t757 * t20289 / 0.2e1 - t83818 / 0.2e1 - t115532 - 0.9e1 * t4748 * t114895 * t9038 - 0.9e1 / 0.2e1 * t4779 * t14293 * t22070 * t14062 + 0.9e1 * t4738 * t14293 * t21225 * t14062 + 0.7e1 * t27523 * t115544 + t7216 * t4770 * t115547 - 0.8e1 / 0.3e1 * t69907 * t14190 + 0.3e1 * t3123 * t14184 * t14023 - 0.3e1 * t3123 * t115555 * t3186 - 0.7e1 * t27523 * t115559;
  t115602 = t98963 / 0.18e2;
  t115603 = t83931 / 0.2e1;
  t115604 = t593 * t20303;
  t115606 = t1869 * t14148 / 0.12e2;
  t115607 = -0.3e1 / 0.2e1 * t3123 * t69581 * t20229 - 0.3e1 * t4779 * t1847 * t3409 * t69388 + 0.9e1 / 0.2e1 * t4779 * t2870 * t22051 * t14067 - 0.38e2 / 0.9e1 * t114235 * t75363 - t20252 * t21554 / 0.2e1 - 0.3e1 / 0.4e1 * t1891 * t13992 - 0.3e1 / 0.4e1 * t1891 * t13997 + 0.3e1 / 0.2e1 * t7374 * t2903 + 0.3e1 / 0.2e1 * t7390 * t2903 - 0.3e1 / 0.4e1 * t7374 * t2912 - 0.3e1 / 0.4e1 * t7390 * t2912 - 0.3e1 / 0.2e1 * t1891 * t14045 + 0.3e1 / 0.2e1 * t52729 * t14064 + t4779 * t1843 * t819 * t114466 / 0.2e1 - 0.2e1 / 0.3e1 * t7746 * t3130 * t115547 + t115602 + t115603 - t115604 - t115606;
  t115609 = t70820 * t530 / 0.4e1;
  t115612 = t4838 * t114409;
  t115615 = t674 * t20329;
  t115626 = t7368 * t2903 / 0.2e1;
  t115639 = 0.1e1 / t32 / t7689;
  t115643 = t115639 * tau[0];
  t115664 = 0.2e3 * t115639 * t264 * tau[0] + 0.4e3 * t20964 * t115643 - 0.48e4 * t20972 * t115643 - 0.7e4 * t20975 * t115643 - 0.28e4 * t20980 * t115643 + 0.12e4 * t20986 * t115643 + 0.9e3 * t3054 * t14372 + 0.225e4 * t3061 * t14372 + 0.105e4 * t3066 * t14372 - 0.51e3 * t3072 * t14372 - 0.78e3 * t3075 * t14372 - 0.3e2 * t14373;
  t115682 = t115609 + 0.18e2 * t114250 * t9105 - 0.28e2 * t75164 * t115612 - 0.3e1 * t246 * t115615 * t3508 - 0.9e1 / 0.2e1 * t3680 * t114727 * t21081 - 0.18e2 * t3680 * t114743 * t8771 + t115626 + t2844 * t3172 * t13921 / 0.2e1 - t14136 * t20242 + t14136 * t20238 / 0.2e1 + t2844 * t3172 * t13887 / 0.2e1 + t14136 * t7175 - t30 * t65 * t253 * t115664 / 0.4e1 - 0.3e1 / 0.4e1 * t182 * t20222 - t182 * t20219 / 0.4e1 - t30 * t238 * t20218 / 0.4e1 - 0.3e1 / 0.2e1 * t83961 + 0.3e1 / 0.2e1 * t83963 + 0.3e1 / 0.2e1 * t4748 * t14184 * t70743 - t99115 / 0.2e1;
  t115687 = t14107 * t20181 / 0.12e2;
  t115707 = t98116 * t1746;
  t115717 = t99118 - t8744 - t8748 + t8752 + t115687 - 0.3e1 / 0.2e1 * t84013 - 0.3e1 / 0.2e1 * t84016 - 0.3e1 / 0.2e1 * t84018 + 0.3e1 / 0.2e1 * t84021 + 0.3e1 / 0.2e1 * t84024 + 0.3e1 / 0.2e1 * t84026 - 0.3e1 / 0.2e1 * t52729 * t14177 - 0.3e1 * t53889 * t14185 + 0.3e1 / 0.2e1 * t53885 * t14201 + 0.9e1 / 0.2e1 * t26806 * t114895 * t8771 - 0.9e1 / 0.2e1 * t9873 * t14293 * t21220 * t14062 + 0.3e1 / 0.2e1 * t3123 * t115707 * t1239 - 0.3e1 / 0.2e1 * t4748 * t115707 * t1234 + t7216 * t4770 * t114467 / 0.6e1;
  t115727 = t14116 * t1779 / 0.6e1;
  t115761 = 0.3e1 / 0.2e1 * t246 * t674 * t20337 * t3643 + 0.3e1 / 0.2e1 * t1891 * t14019 + 0.3e1 / 0.2e1 * t1891 * t13971 + t115727 - 0.3e1 * t7462 * t13984 + t515 * t660 * t3279 * t20168 / 0.12e2 + t515 * t660 * t661 * t94 * t114649 / 0.12e2 - 0.5e1 / 0.36e2 * t20252 * t21754 - t14136 * t7453 / 0.2e1 - t2844 * t37319 / 0.2e1 - 0.5e1 / 0.36e2 * t114840 * t3602 - t14136 * t7441 / 0.4e1 - t2844 * t36065 / 0.4e1 + 0.3e1 / 0.4e1 * t14153 * t1873 - t1876 * t14148 / 0.4e1 - t1881 * t14148 / 0.4e1 - t515 * t70858 / 0.4e1 - 0.3e1 / 0.2e1 * t84106 + 0.3e1 / 0.2e1 * t84111;
  t115775 = t70505 * t1764;
  t115779 = t70505 * t513;
  t115784 = t4844 * t7460 * t69183;
  t115792 = t593 * t20285 / 0.3e1;
  t115794 = -t84113 / 0.2e1 - t20244 - 0.9e1 / 0.2e1 * t246 * t114727 * t21437 - t757 * t20281 / 0.4e1 + t2844 * t36380 + t2844 * t36733 - t1876 * t13977 / 0.2e1 - t1881 * t13977 / 0.2e1 - 0.3e1 / 0.2e1 * t3123 * t115775 * t1246 - 0.3e1 / 0.4e1 * t3123 * t115779 * t730 - 0.9e1 / 0.2e1 * t69444 * t115784 + t246 * t14040 * t13996 + 0.3e1 / 0.4e1 * t14153 * t1783 + t8778 + t8780 - t8785 - t8790 + t115792 - t84142 / 0.4e1;
  t115843 = -t84151 / 0.4e1 + t7746 * t8642 * t114960 / 0.3e1 - 0.3e1 / 0.4e1 * t3123 * t71089 * t2911 - t7216 * t97405 - 0.3e1 / 0.2e1 * t70204 * t83087 - t1748 * t1227 * t114438 / 0.2e1 + 0.3e1 / 0.2e1 * t13929 * t11177 + t246 * t7533 * t20288 / 0.2e1 - 0.35e2 / 0.108e3 * t114235 * t75350 + t2844 * t35498 / 0.2e1 - 0.5e1 / 0.12e2 * t13878 * t83572 - t2844 * t35882 / 0.4e1 - 0.3e1 / 0.2e1 * t757 * t20195 + t7216 * t4760 * t115547 / 0.2e1 - 0.4e1 / 0.3e1 * t69907 * t14249 - 0.3e1 / 0.4e1 * t70197 * t26082 * t14245 + 0.9e1 / 0.2e1 * t84222 + 0.3e1 * t644 * t115615 * t3504 - 0.6e1 * t644 * t114394 * t3181 + 0.9e1 / 0.2e1 * t3680 * t14076 * t3474 * t3447 * t1839;
  t115846 = t20198 * t667;
  t115851 = t2851 * t13919;
  t115865 = t10037 * t4746 * t115127;
  t115904 = t7581 * t42955 * t95 * t115846 / 0.2e1 - t7581 * t8642 * t95 * t115851 / 0.3e1 - t7216 * t26082 * t114960 / 0.6e1 - t69910 * t14254 / 0.3e1 + 0.3e1 * t4748 * t115555 * t3181 - 0.9e1 / 0.2e1 * t27523 * t115865 + t3123 * t7228 * t20288 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t519 * t22055 * t115846 + t4779 * t519 * t3430 * t115851 - t4779 * t1843 * t3430 * t114959 - 0.2e1 * t7216 * t69390 + 0.3e1 * t70197 * t26082 * t635 * t14067 - 0.3e1 / 0.2e1 * t70197 * t27475 * t14245 + 0.11e2 / 0.6e1 * t70204 * t26140 * t14189 + t70197 * t4770 * t14253 / 0.2e1 - t7216 * t98109 / 0.2e1 + 0.3e1 * t36310 * t14187 - t1881 * t14033 / 0.4e1 - t515 * t69698 / 0.4e1;
  t115914 = t593 * t20122 / 0.4e1;
  t115915 = t53249 * t69571;
  t115925 = t3548 * t20300;
  t115927 = t14107 * t7441 / 0.12e2;
  t115929 = t7368 * t2915 / 0.2e1;
  t115931 = t114291 * t3665 / 0.6e1;
  t115933 = 0.23e2 / 0.108e3 * t114291 * t3545;
  t115935 = t14107 * t7457 / 0.3e1;
  t115937 = t35790 * t2899 / 0.2e1;
  t115939 = 0.7e1 / 0.9e1 * t114291 * t3668;
  t115940 = -t20276 * t676 / 0.2e1 - t14123 * t2854 / 0.3e1 - t2839 * t13888 / 0.3e1 - t2839 * t13922 / 0.3e1 + t115914 + t9033 - t9044 + 0.2e1 * t21878 * t115915 - 0.3e1 / 0.4e1 * t21617 * t20186 - 0.3e1 / 0.4e1 * t21621 * t20186 - t30 * t20397 * t277 / 0.4e1 - t115925 - t115927 + t115929 - t115931 + t115933 + t115935 - t115937 + t115939;
  t115943 = t114291 * t3673 / 0.2e1;
  t115945 = t188 * t20398 / 0.12e2;
  t115952 = t84303 / 0.12e2;
  t115953 = t84305 / 0.4e1;
  t115968 = -t115943 - t9058 - t9060 - t115945 - 0.3e1 / 0.4e1 * t30 * t1863 * t2933 - 0.3e1 / 0.4e1 * t30 * t14359 * t544 - t2089 - t115952 + t115953 - 0.3e1 / 0.2e1 * t84327 - 0.3e1 / 0.2e1 * t84329 - 0.3e1 / 0.2e1 * t84331 - 0.3e1 / 0.4e1 * t30 * t2889 * t1830 - 0.3e1 / 0.4e1 * t30 * t525 * t14398 - 0.3e1 / 0.4e1 * t182 * t20225 + t84655 / 0.4e1 - t84659 / 0.4e1 + t84663 / 0.2e1 - t9110;
  t115970 = t7368 * t2912 / 0.4e1;
  t115972 = t593 * t20281 / 0.12e2;
  t115980 = t1227 * t14151 * t35339;
  t115989 = t191 * t194 * t20260;
  t115995 = t14116 * t2854 / 0.9e1;
  t116002 = t1227 * t114409;
  t116005 = t9112 + t99442 - t115970 - t115972 + t1787 * t99092 / 0.2e1 + t515 * t69659 / 0.4e1 - 0.3e1 / 0.4e1 * t14153 * t1770 + t3319 * t115980 + 0.3e1 / 0.4e1 * t14153 * t1774 - 0.3e1 / 0.2e1 * t14153 * t1766 - 0.3e1 / 0.2e1 * t14215 * t14211 + 0.2e1 * t115989 * t1260 + t20276 * t670 / 0.2e1 - t115995 + t20292 + t768 * t20289 / 0.2e1 - t515 * t70272 / 0.2e1 + t768 * t20285 + t757 * t20285 + 0.12e2 * t75703 * t116002;
  t116011 = my_piecewise3(t2, 0, t115968 + t115940 + t115904 + t115843 + t115794 + t115761 + t115717 + t115682 + t115607 + t115562 + t115524 + t115179 + t115136 + t115087 + t115051 + t115018 + t114968 + t114937 + t114890 + t114855 + t114815 + t114764 + t114714 + t114673 + t114528 + t114493 + t114453 + t114405 + t114361 + t114318 + t114272 + t116005);
  tv4rhotau30 = t3 * t116011 + t20404;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 0] += tv4rhotau30;

  tv4rhotau31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 1] += tv4rhotau31;

  tv4rhotau32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 2] += tv4rhotau32;

  t116017 = t14463 * t20459 / 0.12e2;
  t116019 = t14463 * t8524 / 0.6e1;
  t116025 = t1905 * t20432 / 0.12e2;
  t116027 = t1905 * t14976 / 0.12e2;
  t116029 = t14463 * t20561 / 0.3e1;
  t116031 = t14463 * t20557 / 0.6e1;
  t116034 = t933 * t20494;
  t116037 = t948 * t20594;
  t116038 = t4040 * t20590;
  t116044 = t14446 * t20557 / 0.2e1 - t14446 * t20561 + t116017 - t116019 + 0.3e1 / 0.2e1 * t7959 * t3006 - t1902 * t14976 / 0.4e1 + t116025 - t116027 - t116029 + t116031 - t14446 * t8335 / 0.4e1 - 0.5e1 / 0.36e2 * t116034 * t4467 - t116037 - t116038 + t945 * t20410 / 0.2e1 + t14446 * t8196 + t14456 * t2025 / 0.2e1;
  t116048 = t84763 / 0.12e2;
  t116049 = t937 * t20494;
  t116051 = 0.5e1 / 0.108e3 * t116049 * t4467;
  t116053 = t38453 * t3002 / 0.2e1;
  t116055 = t14463 * t8192 / 0.6e1;
  t116057 = t14463 * t8196 / 0.3e1;
  t116059 = t14463 * t8335 / 0.12e2;
  t116069 = t84784 / 0.4e1;
  t116072 = -t14446 * t8165 / 0.4e1 - t84724 / 0.4e1 - t116048 - t116051 - t116053 - t116055 + t116057 - t116059 - t14456 * t2957 / 0.3e1 + t14456 * t1950 / 0.2e1 + t38550 * t20517 / 0.4e1 + t84768 / 0.2e1 - t84772 / 0.4e1 - t84776 / 0.2e1 + t84778 + t116069 - 0.3e1 / 0.2e1 * t84793 - 0.3e1 / 0.2e1 * t84797;
  t116076 = t4040 * t20612;
  t116077 = t937 * t20499;
  t116079 = t116077 * t1090 / 0.6e1;
  t116081 = 0.7e1 / 0.9e1 * t116049 * t4505;
  t116083 = 0.11e2 / 0.54e2 * t116049 * t4365;
  t116085 = t14463 * t8165 / 0.12e2;
  t116089 = t99621 / 0.18e2;
  t116091 = t14463 * t8509 / 0.3e1;
  t116093 = t948 * t20609 / 0.2e1;
  t116095 = 0.2e1 / 0.3e1 * t116077 * t1023;
  t116097 = t116077 * t1016 / 0.3e1;
  t116099 = t948 * t20597 / 0.2e1;
  t116101 = t116049 * t4405 / 0.2e1;
  t116102 = t933 * t20499;
  t116106 = -0.3e1 / 0.2e1 * t945 * t20554 + t116076 + t116079 + t116081 - t116083 - t116085 + t99588 / 0.6e1 + 0.3e1 / 0.2e1 * t945 * t20609 + t116089 + t116091 + t116093 - t116095 + t116097 + t116099 - t116101 + t116102 * t1016 + 0.7e1 / 0.3e1 * t116034 * t4505;
  t116114 = t1905 * t14621 / 0.12e2;
  t116121 = t84861 / 0.3e1;
  t116122 = t84875 / 0.2e1;
  t116123 = t84877 / 0.2e1;
  t116124 = t84879 / 0.12e2;
  t116126 = t38532 * t20517 / 0.12e2;
  t116128 = t24019 * t20564 / 0.4e1;
  t116130 = t14470 * t2957 / 0.9e1;
  t116132 = t4040 * t20484 / 0.2e1;
  t116139 = -t116034 * t4414 / 0.2e1 + 0.23e2 / 0.36e2 * t116034 * t4370 - 0.11e2 / 0.18e2 * t116034 * t4365 - t116114 - t14446 * t8192 / 0.2e1 + 0.3e1 / 0.4e1 * t72484 * t570 + 0.3e1 / 0.2e1 * t7959 * t3018 + t116121 - t116122 - t116123 - t116124 + t116126 - t116128 - t116130 - t116132 + 0.3e1 / 0.2e1 * t4065 * t20480 - 0.3e1 / 0.2e1 * t4065 * t20484 + 0.3e1 / 0.4e1 * t945 * t20475;
  t116145 = t1905 * t20456 / 0.36e2;
  t116147 = t948 * t20475 / 0.4e1;
  t116150 = t7929 * t3006 / 0.2e1;
  t116152 = t1905 * t20419 / 0.18e2;
  t116156 = t948 * t20471 / 0.12e2;
  t116157 = t84912 / 0.2e1;
  t116161 = t1905 * t14643 / 0.6e1;
  t116164 = t84925 / 0.6e1;
  t116167 = t84950 / 0.6e1;
  t116170 = 0.3e1 / 0.2e1 * t945 * t20549 + t116145 + t116147 - t99720 / 0.2e1 + t116150 - t116152 - 0.3e1 / 0.4e1 * t23531 * t20564 - t116156 + t116157 - t1902 * t14621 / 0.4e1 - t116161 - t1902 * t20419 / 0.6e1 - t116164 + 0.3e1 / 0.2e1 * t84934 + 0.3e1 / 0.4e1 * t84938 + t116167 - t290 * t20689 / 0.4e1;
  t116172 = t948 * t20549 / 0.2e1;
  t116174 = t948 * t20554 / 0.2e1;
  t116178 = t23721 * t20569 / 0.2e1;
  t116180 = t7929 * t3018 / 0.2e1;
  t116183 = t937 * t20586 * t350 / 0.6e1;
  t116185 = t116049 * t4414 / 0.6e1;
  t116187 = t72191 * t570 / 0.4e1;
  t116189 = t7929 * t3010 / 0.2e1;
  t116191 = t948 * t20414 / 0.2e1;
  t116193 = t948 * t20410 / 0.6e1;
  t116195 = t7929 * t3015 / 0.4e1;
  t116197 = t948 * t20467 / 0.3e1;
  t116199 = 0.23e2 / 0.108e3 * t116049 * t4370;
  t116201 = t14470 * t2025 / 0.6e1;
  t116208 = t116172 - t116174 - 0.3e1 / 0.4e1 * t7959 * t3015 + t116178 + t116180 - t116183 - t116185 + t116187 - t116189 - t116191 + t116193 - t116195 + t116197 + t116199 + t116201 - 0.2e1 * t116102 * t1023 - 0.3e1 / 0.2e1 * t116034 * t4405 + t116102 * t1090 / 0.2e1;
  t116224 = t294 * t20524 / 0.4e1;
  t116226 = t294 * t20527 / 0.4e1;
  t116244 = t14446 * t20459 / 0.4e1 + t1902 * t20432 / 0.4e1 + t1902 * t20456 / 0.12e2 - t14446 * t8524 / 0.2e1 - t1902 * t14643 / 0.2e1 + t14446 * t8509 - 0.3e1 / 0.4e1 * t290 * t20524 - t116224 - t116226 - t290 * t20545 / 0.4e1 + 0.3e1 / 0.2e1 * t23924 * t20569 + 0.3e1 / 0.2e1 * t945 * t20597 - 0.3e1 / 0.2e1 * t38825 * t3002 - 0.3e1 * t4065 * t20590 - 0.3e1 * t945 * t20594 - t933 * t20586 * t350 / 0.2e1 + 0.3e1 * t4065 * t20612;
  t116248 = t294 * t20545 / 0.12e2;
  t116251 = t84961 / 0.12e2;
  t116254 = t84984 / 0.4e1;
  t116256 = t14470 * t1950 / 0.6e1;
  t116258 = t4040 * t20480 / 0.2e1;
  t116265 = t294 * t20689 / 0.12e2;
  t116266 = t99829 / 0.6e1;
  t116267 = -0.3e1 / 0.2e1 * t7959 * t3010 - t116248 - 0.3e1 / 0.4e1 * t290 * t20527 - t116251 - t84969 / 0.4e1 + 0.3e1 / 0.4e1 * t84982 + t116254 - t9156 + t9168 - t9180 + t9188 + t116256 + t116258 + t945 * t20467 - t945 * t20471 / 0.4e1 - 0.3e1 / 0.2e1 * t945 * t20414 - t116265 - t116266;
  t116271 = my_piecewise3(t100, 0, t116044 + t116072 + t116106 + t116139 + t116170 + t116208 + t116244 + t116267);
  tv4rhotau33 = t3 * t116271 + t20695;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 3] += tv4rhotau33;

  t116283 = t85035 / 0.2e1 + t114282 + t114288 + t114290 - t114293 - t114295 - t114297 - t114299 + t37982 * t20191 / 0.4e1 - 0.3e1 / 0.4e1 * t22520 * t20186 + t114343 + t114345 - t14508 * t7171 / 0.2e1 - t85040 / 0.2e1 + t85044 - t1923 * t20201 / 0.6e1 + t114454;
  t116296 = -t114495 + t114496 + t114501 + t114503 - t114505 - t114512 - t114523 + t114539 - t114543 + 0.3e1 / 0.4e1 * t85064 - t85066 / 0.4e1 + t14508 * t20181 / 0.4e1 + 0.3e1 / 0.2e1 * t903 * t20235 + t1923 * t20170 / 0.12e2 - t114690 - t114694 - t903 * t20281 / 0.4e1 - t1923 * t14033 / 0.4e1;
  t116305 = t897 * t20261;
  t116309 = t897 * t20251;
  t116331 = 0.3e1 / 0.2e1 * t7824 * t2903 - t897 * t20275 * t223 / 0.2e1 - 0.3e1 / 0.2e1 * t7824 * t2907 + t116305 * t630 + 0.3e1 * t3802 * t20269 - 0.11e2 / 0.18e2 * t116309 * t3517 - 0.2e1 * t116305 * t637 - t116309 * t3665 / 0.2e1 + t14508 * t7457 + 0.23e2 / 0.36e2 * t116309 * t3545 + 0.3e1 / 0.2e1 * t903 * t20297 + t14515 * t1886 / 0.2e1 + t116305 * t752 / 0.2e1 - 0.5e1 / 0.36e2 * t116309 * t3602 - t14515 * t2854 / 0.3e1 + t14508 * t20238 / 0.2e1 + t114819;
  t116343 = t114821 + t114823 - t114825 - t85088 / 0.4e1 - t14508 * t20242 - 0.3e1 / 0.4e1 * t7824 * t2912 + t903 * t20285 - t114862 - t114863 - t114864 - t307 * t20398 / 0.4e1 + t99918 / 0.6e1 - 0.3e1 / 0.2e1 * t903 * t20230 + t14508 * t7175 + t114942 - t114944 - t114946 + t114948;
  t116352 = -t114950 + t114954 - t85136 / 0.4e1 + 0.3e1 / 0.4e1 * t85140 - t115042 - t115044 - t115046 + t115081 + t1923 * t20176 / 0.4e1 + t14515 * t1779 / 0.2e1 - t115123 - t115185 + t115491 - t8667 + t8683 - t115523 - t115532;
  t116367 = t115602 + t115603 - 0.3e1 / 0.2e1 * t85163 - 0.3e1 / 0.2e1 * t85165 + 0.3e1 / 0.2e1 * t85167 - t115604 - t115606 + t115609 + t115626 - 0.3e1 / 0.2e1 * t903 * t20195 + t903 * t20289 / 0.2e1 - t1923 * t13977 / 0.2e1 - t99969 / 0.2e1 + t115687 + t115727 + t115792 - 0.3e1 / 0.4e1 * t307 * t20225 - 0.3e1 / 0.4e1 * t307 * t20222;
  t116401 = -t307 * t20219 / 0.4e1 + t115914 - 0.3e1 / 0.2e1 * t3802 * t20131 + 0.3e1 / 0.2e1 * t3802 * t20127 + 0.3e1 / 0.4e1 * t903 * t20122 - t14508 * t7453 / 0.2e1 - t1923 * t14148 / 0.4e1 - t14508 * t7441 / 0.4e1 + 0.3e1 / 0.4e1 * t71984 * t530 + 0.3e1 / 0.2e1 * t903 * t20313 + 0.7e1 / 0.3e1 * t116309 * t3668 + 0.3e1 / 0.2e1 * t22751 * t20247 + 0.3e1 / 0.2e1 * t7824 * t2915 - 0.3e1 / 0.2e1 * t37723 * t2899 - 0.3e1 * t903 * t20303 - 0.3e1 / 0.2e1 * t116309 * t3673 - 0.3e1 * t3802 * t20300;
  t116404 = -t115925 - t115927 + t115929 - t115931 + t115933 + t115935 - t115937 + t115939 - t115943 - t9215 + t9226 - t115945 - t14508 * t7316 / 0.4e1 - t115952 + t115953 - t115970 - t115972 - t115995;
  t116408 = my_piecewise3(t2, 0, t116283 + t116296 + t116331 + t116343 + t116352 + t116367 + t116401 + t116404);
  tv4rhotau34 = t3 * t116408 + t20404;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 4] += tv4rhotau34;

  tv4rhotau35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 5] += tv4rhotau35;

  tv4rhotau36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 6] += tv4rhotau36;

  t116416 = t11448 * t14540;
  t116420 = t20407 * t333;
  t116436 = -t85204 / 0.4e1 - t85206 / 0.4e1 - t85208 / 0.4e1 + t116017 + 0.3e1 / 0.2e1 * t85225 - t116019 + t116025 - 0.3e1 * t8201 * t14650 - t116027 - t116029 + t116031 + 0.9e1 * t5535 * t116416 * t1407 - t5540 * t2056 * t4543 * t116420 + 0.2e1 * t5540 * t2056 * t1182 * t72996 - 0.3e1 * t5540 * t14826 * t14717 - t116037 - t116038 + t2947 * t4686 * t14757 / 0.4e1 - t14586 * t8335 / 0.4e1;
  t116455 = t11448 * t2945;
  t116459 = t2954 * t14755;
  t116464 = t168 * t116420;
  t116476 = t20407 * t994;
  t116498 = t8065 * t2945;
  t116502 = -t2947 * t40899 / 0.4e1 - t2947 * t40902 / 0.4e1 - t5559 * t2060 * t24823 * t116420 + t5540 * t2060 * t24962 * t116420 - 0.9e1 * t4145 * t116416 * t1412 - 0.8e1 / 0.3e1 * t72971 * t14579 + 0.3e1 * t4145 * t14639 * t14964 - 0.3e1 * t4145 * t116455 * t4176 - t8055 * t9270 * t168 * t116459 / 0.3e1 - t8058 * t29911 * t116464 / 0.6e1 - t8055 * t9270 * t380 * t403 * t20407 / 0.6e1 + t8052 * t9270 * t116464 / 0.3e1 + t8055 * t45031 * t168 * t116476 / 0.2e1 + t8055 * t24237 * t20516 / 0.4e1 + t8055 * t4137 * t380 * t2012 * t2954 / 0.4e1 + t8055 * t4137 * t380 * t583 * t14755 / 0.4e1 + t39192 * t20517 / 0.4e1 + t39195 * t20517 / 0.4e1 + 0.9e1 / 0.2e1 * t4145 * t116498 * t1419;
  t116542 = -0.2e1 * t85290 - t14586 * t8165 / 0.4e1 - t2947 * t39856 / 0.4e1 - t14586 * t8192 / 0.2e1 - t2947 * t40435 / 0.2e1 - 0.3e1 / 0.2e1 * t8189 * t3010 - 0.3e1 / 0.2e1 * t8184 * t3010 + 0.3e1 / 0.2e1 * t1078 * t20609 + 0.3e1 / 0.2e1 * t1056 * t20609 + 0.3e1 * t4349 * t20612 + 0.3e1 * t4383 * t20612 + 0.3e1 / 0.4e1 * t14626 * t2040 - 0.6e1 * t14542 * t14681 + 0.4e1 * t20500 * t4691 + t2947 * t40507 - 0.9e1 / 0.2e1 * t14535 * t5623 * t1028 * t14679 + 0.9e1 / 0.2e1 * t20495 * t24352 + 0.2e1 * t1965 * t72811 - 0.2e1 * t2947 * t40518;
  t116574 = -t2947 * t39921 / 0.2e1 - t2043 * t14643 / 0.2e1 - t2048 * t14643 / 0.2e1 - t555 * t75057 / 0.2e1 - t555 * t73151 / 0.2e1 + t2043 * t20432 / 0.4e1 + t2048 * t20432 / 0.4e1 - t555 * t73263 / 0.4e1 - t555 * t72978 / 0.4e1 - 0.3e1 / 0.2e1 * t85322 - 0.3e1 / 0.4e1 * t85324 + t85328 + 0.3e1 / 0.4e1 * t85330 + 0.3e1 * t8201 * t15011 - 0.3e1 * t5540 * t2060 * t4549 * t72996 - t85353 / 0.4e1 - t85355 / 0.4e1 + 0.3e1 / 0.4e1 * t85374 + 0.3e1 / 0.4e1 * t85376;
  t116589 = t168 * t72996;
  t116597 = t349 * t20689;
  t116602 = t321 * t369 * t20687 * t370;
  t116607 = -t116048 - t116051 - t116053 - t116055 + t116057 - 0.3e1 / 0.2e1 * t85394 - 0.3e1 / 0.2e1 * t85416 - 0.3e1 / 0.2e1 * t85418 - t116059 - 0.2e1 * t8058 * t72998 + 0.3e1 * t73176 * t29911 * t1021 * t14568 + t73176 * t5587 * t14958 / 0.2e1 + t8058 * t5587 * t116589 - 0.3e1 / 0.2e1 * t73176 * t30214 * t14950 + t100372 / 0.6e1 + t100398 / 0.6e1 - t338 * t116597 / 0.12e2 + t116602 * t377 / 0.4e1 - t2043 * t14621 / 0.4e1;
  t116621 = t2028 * t72817;
  t116622 = t1400 * t116621;
  t116645 = t8120 * t2972;
  t116649 = 0.3e1 / 0.4e1 * t73607 * t570 + t1958 * t100723 / 0.2e1 + t555 * t74604 / 0.4e1 - 0.3e1 / 0.2e1 * t14626 * t1937 + t85467 / 0.4e1 + 0.9e1 / 0.2e1 * t2030 * t14984 + 0.3e1 / 0.2e1 * t2030 * t14988 - 0.6e1 * t72953 * t116622 - 0.3e1 / 0.2e1 * t2030 * t14992 - 0.3e1 / 0.4e1 * t8189 * t3015 - 0.3e1 / 0.4e1 * t8184 * t3015 - 0.2e1 * t20500 * t4163 + t20500 * t4166 + 0.7e1 / 0.3e1 * t20495 * t25406 + 0.3e1 * t14542 * t14685 - t20495 * t25255 / 0.2e1 + 0.7e1 * t14535 * t5640 * t14680 - 0.7e1 * t20495 * t25403 - 0.3e1 / 0.2e1 * t1030 * t116645 * t1035;
  t116661 = t1074 * t20494;
  t116666 = t1074 * t20499;
  t116678 = -0.3e1 * t2030 * t15009 + 0.3e1 / 0.2e1 * t4383 * t20480 - t2048 * t14621 / 0.4e1 - t555 * t73602 / 0.4e1 - t20495 * t24597 / 0.2e1 + 0.7e1 / 0.3e1 * t116661 * t4505 + 0.7e1 / 0.3e1 * t20495 * t24661 + t116666 * t1016 + t20500 * t4352 + t116666 * t1090 / 0.2e1 + t20500 * t4490 / 0.2e1 - t85481 / 0.2e1 + t85483 / 0.2e1 + 0.3e1 / 0.4e1 * t85501 - t100466 / 0.2e1 - t100468 / 0.2e1 + t116069 + t16362 - t20405;
  t116689 = t2939 * t2954;
  t116690 = t1021 * t116689;
  t116691 = t29517 * t116690;
  t116701 = t321 * t616 * t20493;
  t116708 = t20492 * t24370;
  t116710 = t321 * t21182 * t116708;
  t116715 = t20406 + 0.3e1 / 0.2e1 * t4145 * t14701 * t74809 + 0.3e1 / 0.2e1 * t4145 * t14713 * t74801 + 0.9e1 / 0.2e1 * t5540 * t2973 * t24962 * t14568 - 0.7e1 * t29011 * t116691 - 0.3e1 / 0.2e1 * t4145 * t74442 * t20553 + t116076 + t116079 + t116081 - t116083 - t116085 + t2947 * t4162 * t14723 / 0.2e1 + t116089 - 0.3e1 * t116701 * t1438 - t20587 * t1002 / 0.2e1 - t14608 * t2957 / 0.3e1 - 0.38e2 / 0.9e1 * t116710 * t77689 + 0.89e2 / 0.9e1 * t116710 * t77677 + t116091 + t116093;
  t116719 = t167 * t20492;
  t116720 = t371 * t116719;
  t116721 = t29110 * t116720;
  t116724 = t978 * t20641;
  t116738 = t25083 * t116708;
  t116756 = -t116095 + t116097 + t116099 - t116101 - t116114 + 0.47e2 / 0.3e1 * t77105 * t116721 + 0.3e1 / 0.2e1 * t373 * t116724 * t4409 - 0.3e1 / 0.2e1 * t72906 * t1975 + 0.3e1 / 0.2e1 * t14626 * t1978 - t1965 * t101099 / 0.2e1 - 0.3e1 / 0.2e1 * t14535 * t86236 + 0.23e2 / 0.12e2 * t14535 * t86193 + 0.6e1 * t373 * t116738 * t77637 + 0.9e1 / 0.2e1 * t40761 * t14559 - 0.9e1 * t8201 * t14562 + 0.9e1 / 0.2e1 * t2030 * t14555 - 0.6e1 * t25375 * t116738 * t77642 + 0.2e1 / 0.3e1 * t74749 * t14951 + t73176 * t5549 * t14958 / 0.4e1;
  t116757 = t583 * t2038;
  t116758 = t380 * t116757;
  t116766 = t4373 * t20493;
  t116770 = t1031 * t20498;
  t116774 = t5640 * t116720;
  t116777 = t978 * t20645;
  t116793 = t20492 * t24085;
  t116794 = t4373 * t116793;
  t116811 = t380 * t20515 * t333;
  t116820 = -t8058 * t5553 * t116758 / 0.2e1 + 0.9e1 / 0.2e1 * t373 * t14554 * t4362 * t14648 - 0.9e1 / 0.2e1 * t373 * t116766 * t25205 + 0.6e1 * t373 * t116770 * t4176 - 0.28e2 * t77417 * t116774 - 0.3e1 * t373 * t116777 * t4339 + 0.9e1 * t8201 * t14655 - 0.9e1 * t2030 * t14551 - 0.6e1 * t116701 * t1396 + 0.18e2 * t4395 * t116738 * t77778 - 0.18e2 * t1030 * t116738 * t77633 - 0.18e2 * t373 * t116794 * t9340 - 0.9e1 * t373 * t14550 * t14964 + 0.9e1 * t1030 * t116766 * t25293 - 0.3e1 / 0.4e1 * t110 * t14881 * t584 - 0.3e1 / 0.2e1 * t4145 * t14639 * t74539 + t8058 * t5587 * t116811 / 0.2e1 + t8058 * t5549 * t116589 / 0.2e1 - 0.4e1 / 0.3e1 * t72971 * t14954;
  t116830 = t56695 * t73012;
  t116842 = t321 * t3512 * t116793;
  t116853 = -0.3e1 / 0.4e1 * t73176 * t29911 * t14950 + 0.5e1 / 0.12e2 * t72838 * t29498 * t14578 + 0.3e1 / 0.2e1 * t56164 * t14570 - t24164 * t116830 - 0.3e1 / 0.4e1 * t39948 * t14710 - 0.3e1 * t39948 * t14702 + t116121 - t116122 - t116123 - t116124 - 0.3e1 / 0.2e1 * t85773 - 0.61e2 / 0.27e2 * t116710 * t77791 + 0.44e2 / 0.27e2 * t116710 * t77794 + 0.22e2 / 0.3e1 * t116842 * t9333 - 0.23e2 / 0.3e1 * t116842 * t9286 + t1078 * t20467 + t1056 * t20467 + t373 * t14987 * t15003 - t1078 * t20471 / 0.4e1;
  t116881 = -0.3e1 / 0.2e1 * t85794 - 0.3e1 / 0.2e1 * t85796 - t318 * t20689 / 0.4e1 - 0.3e1 / 0.2e1 * t85815 + t100867 - t100870 - t85822 / 0.4e1 + t85831 / 0.2e1 - 0.5e1 / 0.12e2 * t85833 - t85840 / 0.2e1 + 0.3e1 / 0.2e1 * t85842 + t85844 / 0.2e1 - t20587 * t1087 / 0.2e1 - 0.3e1 * t4349 * t20590 - 0.3e1 * t4383 * t20590 - 0.3e1 * t1078 * t20594 + t14608 * t2025 / 0.2e1 + t2942 * t8179 / 0.2e1 - 0.5e1 / 0.36e2 * t116661 * t4467 - 0.5e1 / 0.36e2 * t20495 * t24634;
  t116905 = t20641 * t24899;
  t116911 = t21181 * t20492 * t24923;
  t116914 = t20645 * t24865;
  t116921 = -0.4e1 * t101560 + 0.18e2 * t86629 + t18329 - 0.4e1 * t86642 - 0.12e2 * t86652 - t86658 + t86660 / 0.6e1 - 0.2e1 * t101627 - 0.2e1 * t101628 - 0.4e1 / 0.3e1 * t101629 + 0.2e1 * t101637 - 0.2e1 * t2973 * t4408 * t14814 - 0.2e1 / 0.3e1 * t116905 * t9537 + 0.36e2 * t116905 * t9571 - 0.12e2 * t116911 * t78188 - 0.36e2 * t116914 * t1495 - 0.12e2 * t14806 * t14801 + 0.8e1 * t20669 * t4599;
  t116927 = t142 * t20453;
  t116928 = t116927 * t333;
  t116942 = t142 * t20407;
  t116943 = t116942 * t333;
  t116952 = t14779 * t2038;
  t116965 = t20662 * t333;
  t116969 = t14795 * t4396 * t14800 / 0.6e1 - t20672 * t24884 / 0.6e1 + t8254 * t1190 * t116928 / 0.3e1 + 0.2e1 * t8251 * t360 * t116928 + 0.2e1 * t11528 * t360 * t116927 * t994 - 0.2e1 * t8254 * t1203 * t116928 + 0.4e1 * t40179 * t1203 * t116943 + 0.2e1 * t86666 + 0.3e1 * t86672 - 0.36e2 * t86688 + 0.2e1 / 0.3e1 * t101679 - 0.6e1 * t86713 - t20617 - 0.12e2 * t8254 * t1203 * t116952 + 0.32e2 * t74251 * t14781 + 0.18e2 * t101774 * t1203 * t14790 - 0.12e2 * t74260 * t14787 - 0.8e1 * t101887 * t14791 - 0.2e1 / 0.3e1 * t2060 * t4408 * t116965;
  t116971 = t2986 * t2038;
  t117008 = t20656 * t333;
  t117023 = -0.4e1 * t2060 * t4408 * t116971 + 0.6e1 * t2973 * t24823 * t14836 - 0.4e1 * t2056 * t1182 * t116971 + 0.6e1 * t14826 * t14876 - 0.9e1 * t2973 * t24962 * t14836 - 0.6e1 * t2973 * t4549 * t14865 - 0.1e2 * t14795 * t24848 * t14857 + 0.6e1 * t2060 * t4549 * t116971 - 0.16e2 * t14806 * t14858 + 0.18e2 * t14795 * t4408 * t14839 - 0.18e2 * t20672 * t24977 - 0.72e2 * t116905 * t9629 + 0.8e1 / 0.3e1 * t116911 * t78434 + 0.24e2 * t116911 * t78422 + 0.2e1 * t2056 * t4543 * t117008 + 0.3e1 * t559 * t24858 * t20656 * t994 - 0.2e1 * t559 * t4543 * t2986 * t14755 + 0.4e1 / 0.3e1 * t2060 * t24823 * t117008;
  t117026 = t20618 * t24905;
  t117063 = t989 * t2945;
  t117066 = t989 * t2940;
  t117069 = t4206 * t14540;
  t117075 = t15337 - t77157 - t77161 + t77164 + t77174 - 0.8e1 * t14734 * t15008 + 0.12e2 * t117063 * t1419 + 0.4e1 * t117066 * t1100 - 0.8e1 * t117069 * t1407 + 0.8e1 / 0.3e1 * t14737 * t14649 - 0.4e1 * t14718;
  t117077 = t4206 * t2945;
  t117080 = t24764 * t14533;
  t117096 = -0.4e1 * t14570 - 0.8e1 / 0.3e1 * t117077 * t4171 + 0.16e2 / 0.9e1 * t117080 * t9312 - 0.2e1 * t74063 * t3014 - 0.2e1 * t14740 * t15003 + 0.8e1 * t14737 * t14964 + t77198 - t77201 - 0.8e1 * t117077 * t4176 + 0.4e1 * t14897 - 0.24e2 * t117069 * t1412 + 0.32e2 / 0.3e1 * t117080 * t9317;
  t117107 = t14794 * t4356;
  t117112 = t2972 * t4333;
  t117115 = -0.2e1 / 0.3e1 * t14893 + 0.12e2 * t117080 * t9340 - t15349 + t77217 + t77219 + 0.2e1 * t561 * t15003 - 0.8e1 * t14752 * t14964 + 0.8e1 * t2981 * t4176 + 0.4e1 / 0.3e1 * t117107 * t9317 + 0.4e1 / 0.3e1 * t14752 * t14649 - 0.4e1 * t117112 * t1407;
  t117126 = t2968 * t1007;
  t117141 = -0.4e1 / 0.3e1 * t2981 * t4171 + 0.2e2 / 0.9e1 * t117107 * t9312 + 0.24e2 * t117112 * t1412 - 0.12e2 * t117107 * t9340 + 0.8e1 * t14747 * t15008 - 0.12e2 * t117126 * t1419 - 0.4e1 * t2984 * t1100 + 0.2e1 * t2068 * t3014 - 0.4e1 / 0.3e1 * t14737 * t74543 - 0.4e1 * t14737 * t74539 + 0.4e1 * t14734 * t74809 + 0.4e1 * t14740 * t74801;
  t117143 = t117075 + t117096 + t117115 + t117141;
  t117153 = 0.18e2 * t14826 * t14840 - 0.24e2 * t117026 * t1472 - 0.2e1 * t2060 * t24962 * t117008 + 0.2e1 * t2054 * t20636 - t14795 * t24794 * t14857 / 0.6e1 + 0.6e1 * t14806 * t14849 - 0.12e2 * t116914 * t1477 - 0.4e1 * t20669 * t4563 + 0.4e1 / 0.3e1 * t116905 * t9612 - t14795 * t4396 * t14839 / 0.3e1 + t20672 * t24795 / 0.3e1 - t116911 * t78299 / 0.9e1 + 0.4e1 * t2969 * t14866 + t2973 * t4408 * t14865 + 0.9e1 * t14795 * t24823 * t14857 - 0.6e1 * t20659 * t1184 + t559 * t1182 * t140 * t117143 / 0.2e1 + 0.3e1 * t2973 * t4549 * t14814 - 0.9e1 * t14826 * t14823;
  t117185 = 0.12e2 * t117026 * t1491 + t20622 - 0.16e2 / 0.3e1 * t74251 * t14784 - 0.2e1 * t101745 + 0.2e1 * t74270 * t4624 * t14780 - 0.12e2 * t20669 * t4582 - 0.9e1 * t14795 * t4408 * t14800 + 0.9e1 * t20672 * t24948 + 0.18e2 * t14806 * t14818 + 0.4e1 * t101758 - 0.18e2 * t74270 * t14784 + 0.2e1 * t86738 - t86740 / 0.3e1 + 0.6e1 * t86754 + 0.6e1 * t86756 + 0.4e1 * t101769 - 0.3e1 * t86778 - 0.3e1 * t101774 * t1190 * t14790;
  t117220 = t74270 * t4633 * t14780 / 0.3e1 + 0.8e1 * t8251 * t360 * t116952 - 0.2e1 / 0.3e1 * t40179 * t1190 * t116943 + 0.2e1 * t8254 * t1190 * t116952 - 0.4e2 * t116905 * t9548 + 0.1e2 / 0.3e1 * t116911 * t78220 + 0.5e2 / 0.3e1 * t116911 * t78176 + 0.6e1 * t86798 + 0.1e2 * t86800 - t20626 + t20627 - 0.4e1 * t40184 * t360 * t116943 - 0.6e1 * t57365 * t360 * t116942 * t994 + 0.4e1 * t11528 * t360 * t14779 * t14755 - 0.12e2 * t86812 - 0.2e1 * t86814 + 0.18e2 * t86820 + t9557 + t9559;
  t117251 = t9570 - t9574 + 0.32e2 / 0.3e1 * t14806 * t14868 - t2056 * t1182 * t116965 - t559 * t4543 * t20662 * t994 + 0.4e1 * t2969 * t14837 - t559 * t1182 * t143 * t117143 - 0.36e2 * t14806 * t14871 + 0.72e2 * t116914 * t1481 + 0.24e2 * t20669 * t4550 - 0.2e1 * t14795 * t4376 * t14839 + 0.2e1 * t20672 * t24849 + t2054 * t20663 / 0.2e1 - t9585 - t9586 - t9588 + t9635 - 0.4e1 / 0.3e1 * t116911 * t78414 + t2060 * t4549 * t116965;
  t117272 = 0.1e2 * t14795 * t4376 * t14800 + 0.8e1 * t116905 * t9626 + 0.24e2 * t116914 * t1485 + 0.3e1 * t20659 * t1200 - 0.2e1 * t2969 * t14815 - t2054 * t20629 - t2054 * t20657 - 0.1e2 * t20672 * t24912 + t101975 - t16508 - t20639 + t20640 + t2210 - t2229 - 0.3e1 * t86857 + 0.6e1 * t86862 - 0.9e1 * t86868 + 0.18e2 * t86885 - 0.9e1 * t86893;
  t117280 = t8065 * t2940;
  t117315 = -0.3e1 / 0.2e1 * t39551 * t3002 - 0.3e1 / 0.2e1 * t39588 * t3002 - t8055 * t9270 * t380 * t20515 * t994 / 0.2e1 - t110 * t139 * (t116921 + t116969 + t117023 + t117153 + t117185 + t117220 + t117251 + t117272) * t168 / 0.4e1 + 0.3e1 / 0.2e1 * t4145 * t117280 * t1100 - 0.3e1 * t4145 * t14701 * t15008 - 0.3e1 / 0.4e1 * t4145 * t73242 * t3014 - 0.3e1 / 0.4e1 * t4145 * t73238 * t3014 + t85847 / 0.2e1 + t116126 - t116128 - t2048 * t20419 / 0.6e1 - t555 * t4707 * t4697 * t20417 / 0.6e1 + t373 * t8317 * t20409 / 0.2e1 - 0.3e1 / 0.2e1 * t1078 * t20414 - 0.3e1 / 0.2e1 * t1056 * t20414 - 0.3e1 / 0.2e1 * t373 * t8120 * t2968 * t1045 - t2043 * t20419 / 0.6e1 - 0.3e1 / 0.4e1 * t14626 * t1941;
  t117317 = t1400 * t14624 * t39182;
  t117329 = t5549 * t4143 * t100846 * t2954;
  t117336 = t56671 * t100847;
  t117345 = t4245 * t117317 + 0.3e1 / 0.4e1 * t14626 * t1945 + t1078 * t20410 / 0.2e1 + t1056 * t20410 / 0.2e1 - 0.2e1 / 0.3e1 * t100972 - t100975 / 0.2e1 - t24164 * t117329 + t101021 - t2180 + 0.3e1 / 0.2e1 * t85883 + 0.3e1 / 0.2e1 * t85886 - t101036 / 0.3e1 - t116130 - t116132 - 0.2e1 * t73176 * t39980 + 0.2e1 * t24164 * t117336 + t8052 * t100572 / 0.2e1 + t8055 * t74654 / 0.4e1 - 0.3e1 * t56200 * t14640;
  t117349 = t56543 * t14533;
  t117365 = t5549 * t116690;
  t117381 = t5623 * t8199 * t72817;
  t117388 = -0.3e1 / 0.2e1 * t56164 * t14897 - 0.9e1 * t5535 * t117349 * t9317 + 0.3e1 / 0.2e1 * t56196 * t14893 + 0.9e1 * t5559 * t14795 * t24848 * t14577 + 0.9e1 / 0.2e1 * t30030 * t117349 * t9312 - 0.2e1 * t5540 * t2969 * t14569 + 0.16e2 / 0.3e1 * t52065 * t117365 + t4145 * t74967 * t3014 - 0.2e1 * t116710 * t77680 - t1965 * t100720 / 0.4e1 - t555 * t73720 / 0.4e1 + 0.3e1 * t2030 * t14965 - 0.3e1 * t2030 * t14968 - 0.9e1 / 0.2e1 * t72816 * t117381 - 0.3e1 / 0.2e1 * t8201 * t15013 - t101109 / 0.3e1 + t101111 / 0.6e1 + t116145 + t116147;
  t117389 = t1028 * t116719;
  t117390 = t29437 * t117389;
  t117425 = t10458 * t5533 * t583 * t2939;
  t117430 = -0.62e2 / 0.3e1 * t77105 * t117390 - 0.3e1 * t1030 * t116724 * t4377 + t2942 * t8122 / 0.2e1 - 0.9e1 * t1030 * t14554 * t4362 * t4363 * t2038 - t2942 * t14724 / 0.3e1 - t2942 * t14758 / 0.3e1 + t14608 * t1950 / 0.2e1 + t2942 * t8445 / 0.2e1 + t20491 + t101124 / 0.3e1 + t86032 + t86034 + t86036 - t8058 * t100858 + t8058 * t56704 * t14578 / 0.2e1 + 0.7e1 * t72838 * t85955 - 0.3e1 / 0.2e1 * t72838 * t85952 + 0.3e1 * t5535 * t116455 * t4171 - 0.9e1 / 0.2e1 * t29011 * t117425 + 0.3e1 / 0.2e1 * t56164 * t14718;
  t117440 = t29498 * t4403 * t116689;
  t117454 = t5553 * t4143 * t3035 * t552;
  t117464 = -0.9e1 / 0.2e1 * t5559 * t2973 * t24823 * t14568 + 0.9e1 / 0.2e1 * t29011 * t117440 + 0.3e1 / 0.2e1 * t5535 * t74442 * t20479 - 0.3e1 * t5535 * t14639 * t14649 - t101132 / 0.2e1 - t8058 * t102025 / 0.2e1 + t24164 * t117454 + 0.3e1 * t5559 * t2060 * t4408 * t72996 - t9308 - t9324 + t9327 + t101167 / 0.6e1 + t9353 + t9357 - t9359 - t9361 + t116150 - t116152 - t110 * t20688 * t404 / 0.4e1;
  t117465 = t20453 * t333;
  t117466 = t168 * t117465;
  t117470 = t20453 * t994;
  t117496 = t1000 * t8079 * t14974;
  t117509 = t8079 * t14679;
  t117519 = -t8052 * t4137 * t117466 / 0.6e1 - t8055 * t9270 * t168 * t117470 / 0.6e1 + t8058 * t5549 * t117466 / 0.12e2 + t8055 * t4137 * t380 * t403 * t20453 / 0.12e2 - 0.3e1 / 0.4e1 * t110 * t2076 * t3036 - 0.3e1 / 0.2e1 * t39948 * t14714 - 0.3e1 / 0.4e1 * t110 * t2992 * t2013 - 0.2e1 / 0.3e1 * t8052 * t4137 * t116589 + t73279 * t14947 - t338 * t117496 / 0.4e1 - 0.3e1 / 0.2e1 * t14776 * t11682 - t2942 * t8478 / 0.2e1 + t2942 * t8081 / 0.2e1 - 0.35e2 / 0.108e3 * t116710 * t77772 - 0.5e1 / 0.36e2 * t20495 * t24547 + t1958 * t1000 * t117509 - 0.5e1 / 0.12e2 * t14535 * t85478 - t2947 * t39328 / 0.4e1 - 0.5e1 / 0.12e2 * t14535 * t5623 * t14684;
  t117552 = 0.5e1 / 0.3e1 * t116842 * t9405 + 0.5e1 / 0.12e2 * t20495 * t25504 - t2947 * t40511 / 0.2e1 - t1965 * t1400 * t117509 / 0.2e1 + 0.3e1 / 0.2e1 * t14542 * t11687 + t2947 * t39325 / 0.2e1 - t116156 + t116157 - 0.3e1 / 0.2e1 * t86151 + 0.3e1 * t86153 + t86154 - 0.11e2 / 0.6e1 * t86156 - t86158 / 0.2e1 - t20522 - 0.8e1 * t5559 * t14806 * t73139 + 0.8e1 * t5540 * t14806 * t14896 + t5559 * t2060 * t4408 * t117465 / 0.2e1 - t74749 * t14959 / 0.3e1 + t8052 * t5582 * t116758;
  t117574 = -0.3e1 / 0.2e1 * t73279 * t11739 - t74749 * t8076 / 0.2e1 + t20523 - t1965 * t1393 * t117509 + 0.3e1 * t14542 * t11723 + t2947 * t40523 - 0.11e2 / 0.6e1 * t14535 * t85741 - t9442 - t86204 / 0.4e1 - t86206 / 0.4e1 - t86208 / 0.4e1 - t86210 / 0.4e1 - t86212 / 0.4e1 + t86220 / 0.2e1 + t2251 - t116161 - t116164 + t116167 - t73176 * t5549 * t4143 * t14957 - t86243 / 0.2e1;
  t117620 = t555 * t987 * t39868 * t2955 / 0.4e1 + t555 * t987 * t8079 * t14756 / 0.4e1 + t2043 * t20456 / 0.12e2 + t2048 * t20456 / 0.12e2 + t555 * t987 * t4697 * t20454 / 0.12e2 + t555 * t987 * t988 * t167 * t117143 / 0.12e2 + t14586 * t20459 / 0.4e1 + t2947 * t4686 * t14723 / 0.4e1 - 0.3e1 / 0.2e1 * t86262 - t86273 / 0.2e1 + 0.9e1 * t86280 + 0.9e1 / 0.2e1 * t86283 + t8058 * t5549 * t116811 / 0.4e1 - t9464 - 0.11e2 / 0.18e2 * t20495 * t24438 + 0.23e2 / 0.36e2 * t116661 * t4370 + 0.23e2 / 0.36e2 * t20495 * t24441 - t116661 * t4414 / 0.2e1 - 0.3e1 / 0.2e1 * t116661 * t4405;
  t117657 = params->at * t20543;
  t117659 = t1000 * t988 * t117657;
  t117662 = -0.3e1 / 0.2e1 * t20495 * t25120 - 0.2e1 * t116666 * t1023 - 0.2e1 * t20500 * t4438 - 0.11e2 / 0.18e2 * t116661 * t4365 - t1074 * t20586 * t350 / 0.2e1 + 0.3e1 * t39948 * t14889 + t101311 + t9487 + t9489 - t2947 * t4686 * t371 * t14756 + 0.3e1 / 0.2e1 * t1078 * t20549 + 0.3e1 / 0.2e1 * t1056 * t20549 + 0.3e1 / 0.2e1 * t373 * t116645 * t1094 - 0.3e1 / 0.2e1 * t1078 * t20554 - 0.3e1 / 0.2e1 * t1056 * t20554 - 0.3e1 / 0.2e1 * t373 * t14967 * t4161 * t1014 * t14755 + t14586 * t20557 / 0.2e1 + 0.3e1 / 0.4e1 * t2030 * t14980 - t338 * t117659 / 0.12e2;
  t117669 = t1000 * t73718 * t1948;
  t117710 = t5623 * t117389;
  t117713 = t373 * t117657 * t353 * t376 / 0.4e1 - t338 * t117669 / 0.4e1 + 0.3e1 / 0.4e1 * t14626 * t1954 + 0.3e1 / 0.2e1 * t14542 * t14767 - t20500 * t4687 + t20500 * t4722 / 0.2e1 + 0.3e1 / 0.2e1 * t1030 * t14967 * t4161 * t1019 * t14755 - 0.3e1 / 0.2e1 * t4349 * t20484 - 0.3e1 / 0.2e1 * t4383 * t20484 + 0.23e2 / 0.36e2 * t20495 * t24335 - 0.3e1 / 0.2e1 * t14535 * t5634 * t14684 + 0.6e1 * t116842 * t9289 + 0.3e1 / 0.2e1 * t20495 * t25252 - 0.11e2 / 0.18e2 * t20495 * t24332 + 0.23e2 / 0.12e2 * t14535 * t5623 * t14680 - 0.23e2 / 0.12e2 * t20495 * t24359 + 0.9e1 * t1030 * t14550 * t14649 - 0.6e1 * t1030 * t116770 * t4171 + 0.18e2 * t77417 * t117710;
  t117719 = t1400 * t116720;
  t117735 = 0.3e1 * t1030 * t116777 * t4335 + 0.3e1 / 0.2e1 * t4349 * t20480 + 0.12e2 * t78491 * t117719 + 0.23e2 / 0.12e2 * t86396 + t86398 - t9505 - t9507 - 0.3e1 * t86408 + 0.7e1 * t86412 + 0.3e1 / 0.2e1 * t86415 + t86417 / 0.2e1 + t86419 / 0.4e1 - 0.9e1 * t86438 - 0.3e1 / 0.2e1 * t86442 - 0.3e1 / 0.4e1 * t86446 + t86451 + 0.3e1 * t86465 - 0.9e1 / 0.2e1 * t86468 - 0.3e1 / 0.2e1 * t86471 + 0.9e1 / 0.2e1 * t86474;
  t117767 = 0.3e1 / 0.2e1 * t86477 - 0.6e1 * t86480 - 0.3e1 / 0.2e1 * t86483 - t86485 / 0.4e1 - 0.3e1 / 0.2e1 * t86499 + 0.3e1 / 0.2e1 * t86502 - 0.9e1 * t86511 + 0.9e1 / 0.2e1 * t86514 + t86533 / 0.2e1 - 0.3e1 / 0.4e1 * t318 * t20524 + 0.3e1 / 0.2e1 * t8189 * t3018 + 0.3e1 / 0.2e1 * t8184 * t3018 + 0.3e1 / 0.2e1 * t24584 * t20569 + 0.3e1 / 0.2e1 * t24589 * t20569 + 0.3e1 / 0.4e1 * t73614 * t570 - 0.3e1 * t1056 * t20594 + 0.3e1 / 0.2e1 * t1078 * t20597 + 0.3e1 / 0.2e1 * t1056 * t20597 + t14586 * t8196;
  t117798 = t374 * t20498;
  t117802 = t374 * t20585;
  t117817 = t2947 * t40055 + 0.3e1 / 0.2e1 * t373 * t978 * t20618 * t4426 + 0.3e1 / 0.4e1 * t1078 * t20475 + 0.3e1 / 0.4e1 * t1056 * t20475 + 0.3e1 / 0.4e1 * t373 * t72976 * t558 * t376 + 0.3e1 / 0.4e1 * t373 * t14974 * t2053 * t376 - t1056 * t20471 / 0.4e1 - t373 * t8317 * t20470 / 0.4e1 - t373 * t1940 * t985 * t348 * t117143 / 0.4e1 + 0.9e1 / 0.2e1 * t373 * t14983 * t15008 - 0.6e1 * t373 * t117798 * t1419 - 0.3e1 / 0.2e1 * t373 * t117802 * t1100 - 0.2e1 * t20500 * t4656 - 0.11e2 / 0.6e1 * t14535 * t5640 * t14684 + 0.11e2 / 0.6e1 * t20495 * t24356 - 0.43e2 / 0.9e1 * t116710 * t77652 - 0.3e1 / 0.2e1 * t20495 * t24612 + t116172 - t116174;
  t117832 = t102036 * t1963;
  t117849 = t29911 * t1021 * t552 * t20407;
  t117874 = 0.1e1 / t112 / t8548;
  t117878 = t117874 * tau[1];
  t117899 = 0.2e3 * t117874 * t391 * tau[1] + 0.12e4 * t25423 * t117878 + 0.4e3 * t25431 * t117878 - 0.48e4 * t25434 * t117878 - 0.7e4 * t25437 * t117878 - 0.28e4 * t25442 * t117878 - 0.51e3 * t4264 * t14917 - 0.78e3 * t4271 * t14917 + 0.9e3 * t4274 * t14917 + 0.225e4 * t4277 * t14917 + 0.105e4 * t4282 * t14917 - 0.3e2 * t14918;
  t117904 = t20548 - 0.9e1 / 0.2e1 * t5540 * t14795 * t24823 * t14577 + 0.3e1 / 0.2e1 * t72838 * t29911 * t14578 + 0.9e1 / 0.2e1 * t4145 * t117349 * t9340 - t8058 * t30214 * t116464 / 0.3e1 + 0.3e1 / 0.2e1 * t4145 * t117832 * t1412 - 0.9e1 / 0.2e1 * t10506 * t14795 * t24794 * t14577 - 0.3e1 / 0.2e1 * t5535 * t117832 * t1407 - t5540 * t2060 * t4549 * t117465 / 0.2e1 - t20563 + 0.2e1 / 0.3e1 * t24164 * t117849 + t4145 * t8070 * t20409 / 0.2e1 - 0.3e1 / 0.4e1 * t24205 * t20564 - 0.3e1 / 0.2e1 * t5540 * t559 * t24858 * t116476 + t5540 * t559 * t4543 * t116459 - 0.3e1 / 0.4e1 * t110 * t565 * t14943 - t318 * t20545 / 0.4e1 - t110 * t365 * t20544 / 0.4e1 - t110 * t145 * t380 * t117899 / 0.4e1;
  t117926 = t116178 + t116180 - t116183 - t116185 + t116187 - t116189 - t86551 / 0.2e1 - t86553 / 0.2e1 + 0.3e1 / 0.2e1 * t72971 * t11765 + t73176 * t39668 / 0.2e1 - 0.5e1 / 0.12e2 * t72838 * t86301 - t116191 + t116193 - t116195 + t116197 - t8052 * t39994 * t14578 / 0.2e1 - t8055 * t86253 * t14950 / 0.2e1 + t8058 * t56695 * t14578 / 0.4e1 + t8055 * t39994 * t14958 / 0.4e1 + t8052 * t100608;
  t117961 = t8055 * t73225 / 0.2e1 - t8058 * t100613 / 0.2e1 + 0.23e2 / 0.12e2 * t72838 * t85880 - t8058 * t5591 * t116758 + 0.3e1 * t72971 * t11469 + t73176 * t39972 - 0.11e2 / 0.6e1 * t72838 * t85592 - t8058 * t100577 / 0.4e1 + 0.2e1 * t8058 * t5553 * t4143 * t116757 - 0.6e1 * t72971 * t11465 + t116199 + t116201 + t14586 * t8509 + t2947 * t39147 + t2947 * t39150 - t14586 * t8524 / 0.2e1 - t2947 * t39918 / 0.2e1 - 0.3e1 / 0.4e1 * t2030 * t14999 - 0.3e1 / 0.4e1 * t2030 * t15004;
  t117974 = t5640 * t116621;
  t117993 = t321 * t194 * t20498;
  t117998 = t74903 * t1935;
  t118002 = t74903 * t553;
  t118006 = 0.3e1 / 0.2e1 * t8189 * t3006 + 0.3e1 / 0.2e1 * t8184 * t3006 + 0.3e1 / 0.2e1 * t2030 * t15021 + 0.3e1 / 0.2e1 * t2030 * t15025 - t2043 * t14976 / 0.4e1 - t2048 * t14976 / 0.4e1 - t116224 - t116226 + 0.7e1 * t72816 * t117974 + 0.3e1 / 0.2e1 * t2030 * t14971 + 0.9e1 / 0.2e1 * t4395 * t14554 * t4362 * t4368 * t2038 - t8052 * t4137 * t116811 / 0.2e1 + 0.3e1 / 0.2e1 * t5535 * t14639 * t74543 - t20567 - 0.3e1 / 0.2e1 * t14776 * t14772 + 0.2e1 * t117993 * t1433 + t20587 * t997 / 0.2e1 - 0.3e1 / 0.2e1 * t4145 * t117998 * t1419 - 0.3e1 / 0.4e1 * t4145 * t118002 * t1100;
  t118010 = t5549 * t1021 * t552 * t20453;
  t118034 = -t24164 * t118010 / 0.3e1 - t4145 * t8070 * t20470 / 0.4e1 + t5540 * t2056 * t1182 * t117465 / 0.2e1 + t5540 * t559 * t4543 * t117470 / 0.2e1 - t116248 - t116251 + t116254 + t9702 + t9704 - t9180 + t9188 + t116256 + t116258 + t8058 * t5587 * t117466 / 0.6e1 + 0.11e2 / 0.6e1 * t72838 * t29517 * t14578 - 0.23e2 / 0.12e2 * t72838 * t29498 * t14582 + 0.3e1 / 0.2e1 * t86599 + t20604 - t20605;
  t118049 = t29442 * t4393 * t116719;
  t118055 = t1031 * t20493;
  t118075 = -t20606 - t20607 + 0.3e1 / 0.4e1 * t86906 + 0.3e1 / 0.4e1 * t86908 + t102185 / 0.6e1 - 0.3e1 / 0.4e1 * t4145 * t14713 * t15003 - 0.3e1 / 0.4e1 * t24209 * t20564 - t116265 - 0.3e1 / 0.4e1 * t318 * t20527 - 0.9e1 / 0.2e1 * t4395 * t116766 * t25274 + 0.8e1 * t77105 * t118049 + 0.3e1 / 0.2e1 * t4395 * t116724 * t4397 - 0.18e2 * t1030 * t118055 * t1407 + 0.18e2 * t373 * t118055 * t1412 - 0.18e2 * t4395 * t116794 * t9312 + 0.36e2 * t1030 * t116794 * t9317 + t2947 * t4162 * t14757 / 0.2e1 - t14586 * t20561 - t2947 * t4686 * t1054 * t2955 - t116266;
  t118081 = my_piecewise3(t100, 0, t118075 + t117464 + t117430 + t117388 + t117345 + t117315 + t117767 + t117735 + t117961 + t117926 + t117904 + t116881 + t116853 + t116820 + t117713 + t116756 + t116715 + t116678 + t116649 + t116607 + t118006 + t116574 + t116542 + t116502 + t118034 + t116436 + t117662 + t117817 + t117574 + t117552 + t117620 + t117519);
  tv4rhotau37 = t3 * t118081 + t20695;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 7] += tv4rhotau37;

  t118083 = t2087 * t15050;
  t118084 = t118083 / 0.2e1;
  t118087 = t2090 * t2090;
  t118090 = t191 * t616 * t118087 * t3396;
  t118098 = t21207 * t118087;
  t118102 = t3658 * t118087;
  t118117 = t191 * t3512 * t118087 * t21719;
  t118126 = t191 * t21182 * t118087 * t21185;
  t118142 = -t118084 + 0.6e1 * t1293 * t15219 + 0.12e2 * t118090 * t637 + 0.2e1 * t191 * t194 * t118087 * t3415 * t223 + 0.6e1 * t246 * t118098 * t21226 - 0.18e2 * t246 * t118102 * t21731 - 0.18e2 * t644 * t118098 * t21221 + 0.3e1 * t9070 * t2170 - 0.3e1 * t42538 * t2154 + 0.23e2 / 0.9e1 * t15239 * t25951 - 0.23e2 / 0.3e1 * t118117 * t3545 + 0.22e2 / 0.3e1 * t118117 * t3517 + 0.2e1 * t2098 * t42533 - 0.61e2 / 0.27e2 * t118126 * t22434 + 0.44e2 / 0.27e2 * t118126 * t22437 - 0.2e1 * t15239 * t25936 + 0.28e2 / 0.3e1 * t15239 * t25939 + 0.36e2 * t644 * t118102 * t21778 - 0.6e1 * t118090 * t630 - 0.12e2 * t1293 * t15283;
  t118146 = t645 * t118087;
  t118175 = t2087 * t9098;
  t118178 = t20729 * t3401 * t2105;
  t118192 = -0.18e2 * t3680 * t118102 * t21772 - 0.18e2 * t644 * t118146 * t21403 + 0.18e2 * t246 * t118146 * t21407 + 0.12e2 * t5073 * t15256 - 0.2e1 * t118126 * t21231 + 0.18e2 * t3680 * t118098 * t21216 - 0.12e2 * t5073 * t15234 - 0.6e1 * t21206 * t118098 * t21211 - 0.62e2 / 0.3e1 * t118126 * t21194 + 0.8e1 * t118126 * t21199 + 0.6e1 * t25931 * t15231 + 0.2e1 * t15247 * t5102 - t417 * t75925 / 0.3e1 - t118175 / 0.2e1 + 0.18e2 * t644 * t75192 * t118178 + 0.6e1 * t118117 * t3665 - 0.3e1 * t9070 * t2162 - 0.8e1 * t15247 * t5068 + 0.4e1 * t15247 * t5064 + 0.5e1 / 0.3e1 * t118117 * t3602;
  t118194 = t9070 * t2158;
  t118198 = t2084 * t2084;
  t118201 = t191 * t616 * t118198 * t619;
  t118203 = t118201 * t752 / 0.4e1;
  t118208 = t191 * t194 * t118198 * t740 * t223 / 0.2e1;
  t118226 = t246 * t9124 * t15801;
  t118237 = t3171 * t628 * t15088;
  t118242 = t644 * t43015 * t15643;
  t118244 = t20920 * t15049;
  t118248 = t20818 * t628 * t15042;
  t118252 = t15088 * t2105;
  t118254 = t8642 * t95 * t118252;
  t118257 = 0.3e1 / 0.2e1 * t118194 - t2098 * t42740 / 0.2e1 - t118203 + t118208 - 0.28e2 * t118117 * t3668 + 0.6e1 * t1293 * t15286 + 0.47e2 / 0.3e1 * t118126 * t21854 - 0.6e1 * t15239 * t25926 - 0.38e2 / 0.9e1 * t118126 * t21644 + 0.89e2 / 0.9e1 * t118126 * t21870 - 0.6e1 * t246 * t247 * t118087 * t21344 + 0.9e1 * t118226 - 0.9e1 / 0.2e1 * t246 * t75698 * t2166 + 0.4e1 * t1293 * t15108 + 0.3e1 / 0.2e1 * t246 * t9113 * t15111 - 0.2e1 * t246 * t8733 * t118237 + 0.18e2 * t118242 - 0.11e2 / 0.6e1 * t2098 * t118244 + 0.11e2 / 0.2e1 * t246 * t8733 * t118248 - t4789 * t118254 / 0.2e1;
  t118258 = t95 * t75093;
  t118259 = t4760 * t118258;
  t118260 = t4753 * t118259;
  t118267 = t20729 * t3447 * t2105;
  t118275 = t3474 * t3401 * t2084;
  t118277 = t644 * t8764 * t118275;
  t118280 = t4738 * t8854 * t8614;
  t118283 = t4779 * t8854 * t15795;
  t118285 = t4753 * t75095;
  t118287 = t4831 * t15599;
  t118288 = t8760 * t118287;
  t118292 = t246 * t43192 * t15557;
  t118294 = t21550 * t2107;
  t118297 = t41009 * t15647;
  t118299 = t41009 * t15650;
  t118301 = t20729 * t15053;
  t118307 = t41021 * t15589;
  t118309 = t3172 * t15090;
  t118312 = t3172 * t15061;
  t118316 = t246 * t43015 * t15567;
  t118320 = 0.9e1 * t118292 + 0.3e1 * t15239 * t118294 - 0.11e2 / 0.3e1 * t118297 + 0.23e2 / 0.6e1 * t118299 - 0.9e1 * t246 * t75192 * t118301 - 0.14e2 / 0.3e1 * t15247 * t15036 + 0.6e1 * t118307 + 0.2e1 / 0.3e1 * t2098 * t118309 + 0.2e1 * t2098 * t118312 - 0.18e2 * t118316 + 0.6e1 * t5073 * t15055;
  t118326 = t8776 * t15595;
  t118328 = t2087 * t15091;
  t118329 = t118328 / 0.4e1;
  t118332 = t3227 * t15128;
  t118335 = t21461 * t15128;
  t118341 = t8837 * t15124;
  t118353 = t76044 * t2331;
  t118359 = t76073 * t2323;
  t118361 = -t15081 + t15069 - 0.8e1 * t2139 * t2166 - 0.8e1 * t118332 * t3504 + 0.16e2 / 0.9e1 * t118335 * t3681 + 0.12e2 * t662 * t15128 * t3643 + 0.2e1 * t118341 - 0.2e1 * t2133 * t15054 - 0.24e2 * t118332 * t3508 + 0.32e2 / 0.3e1 * t118335 * t3685 + 0.12e2 * t118335 * t3660 + 0.12e2 * t2133 * t15103 - 0.12e2 * t118353 - 0.4e1 * t423 * t15044 + 0.2e1 * t423 * t15111 + 0.12e2 * t118359;
  t118362 = t2136 * t2166;
  t118363 = 0.4e1 * t118362;
  t118364 = t76025 * t2331;
  t118372 = t76019 * t2323;
  t118374 = t76022 * t2166;
  t118375 = 0.4e1 * t118374;
  t118376 = t76025 * t2318;
  t118394 = t118363 + 0.12e2 * t118364 + 0.4e1 * t8825 * t15044 - 0.2e1 * t8825 * t15111 - 0.12e2 * t76088 * t15103 - 0.12e2 * t118372 - t118375 + 0.4e1 * t118376 + 0.8e1 * t76098 * t2166 - 0.4e1 * t76088 * t15054 + 0.2e2 / 0.9e1 * t15130 * t3544 - 0.4e1 * t15134 * t634 + 0.4e1 / 0.3e1 * t15130 * t3516 + 0.24e2 * t15134 * t629 - 0.12e2 * t15130 * t3664 - 0.12e2 * t15199 * t222;
  t118395 = t118361 + t118394;
  t118398 = t660 * t661 * t94 * t118395;
  t118401 = t8795 * t15600;
  t118408 = t246 * t8745 * t15044;
  t118409 = 0.3e1 / 0.2e1 * t118408;
  t118414 = t246 * t8745 * t15111;
  t118415 = 0.3e1 / 0.4e1 * t118414;
  t118417 = t658 * t221 * t118395;
  t118422 = t3250 * t244 * t15089;
  t118426 = t15098 / 0.4e1;
  t118429 = 0.3e1 / 0.4e1 * t15119;
  t118431 = -0.6e1 * t1293 * t15104 + 0.2e1 * t118326 + t118329 + t417 * t118398 / 0.12e2 - 0.3e1 * t118401 + 0.3e1 / 0.2e1 * t15261 * t2108 + 0.2e1 * t1293 * t15045 + t118409 + 0.28e2 / 0.3e1 * t15247 * t15040 - t1293 * t15112 - t118415 - t246 * t1250 * t118417 / 0.4e1 - 0.4e1 / 0.3e1 * t2098 * t118422 + 0.2e1 / 0.3e1 * t15096 + t118426 - t15100 / 0.3e1 - 0.2e1 * t15116 - t118429 - 0.2e1 * t15126 + t2160;
  t118433 = t3139 * t5044 * t15048;
  t118454 = t8760 * t42819;
  t118456 = t3250 * t15061;
  t118458 = t3250 * t15090;
  t118461 = t20730 * t2107;
  t118464 = t2087 * t15062;
  t118467 = t660 * t41043 * t2106;
  t118471 = t660 * t5044 * t15089;
  t118475 = t20730 * t642 * t2106;
  t118478 = t5073 * t15125;
  t118480 = t8760 * t43006;
  t118482 = -0.3e1 * t118090 * t752 + 0.14e2 * t118454 + t2098 * t118456 + t2098 * t118458 / 0.3e1 + 0.5e1 / 0.6e1 * t15239 * t118461 + 0.2e1 / 0.3e1 * t118464 + t417 * t118467 / 0.2e1 + t417 * t118471 / 0.3e1 + 0.9e1 * t15239 * t118475 - 0.6e1 * t118478 - 0.9e1 * t118480;
  t118488 = t3250 * t1291 * t2106;
  t118491 = t8754 * t15617;
  t118493 = t1293 * t15118;
  t118495 = t20752 * t2107;
  t118498 = t20730 * t15039;
  t118502 = t20818 * t633 * t15042;
  t118506 = t20752 * t15039;
  t118509 = t1293 * t15115;
  t118511 = t1293 * t15215;
  t118513 = t8783 * t15808;
  t118521 = t20819 * t15049;
  t118526 = t15042 * t2105;
  t118529 = t20890 * t661 * t94 * t118526;
  t118533 = t20819 * t244 * t15048;
  t118536 = t3130 * t118258;
  t118537 = t4792 * t118536;
  t118539 = -0.3e1 / 0.2e1 * t9070 * t2167 - 0.4e1 * t2098 * t118488 - 0.12e2 * t118491 - 0.2e1 * t118493 + 0.11e2 / 0.3e1 * t15239 * t118495 - 0.23e2 / 0.6e1 * t15239 * t118498 - 0.11e2 / 0.2e1 * t644 * t8733 * t118502 - 0.14e2 * t15239 * t118506 - 0.6e1 * t118509 + 0.6e1 * t118511 + 0.4e1 * t118513 - 0.2e1 / 0.3e1 * t15212 + 0.4e1 / 0.3e1 * t15214 - t2093 * t15091 / 0.2e1 - 0.7e1 / 0.3e1 * t15247 * t15058 - 0.11e2 / 0.12e2 * t2098 * t118521 - 0.4e1 / 0.3e1 * t2093 * t15062 + t417 * t118529 / 0.2e1 + 0.11e2 / 0.3e1 * t2098 * t118533 - 0.3e1 / 0.2e1 * t118537;
  t118540 = t819 * t75093;
  t118542 = t4779 * t1315 * t118540;
  t118545 = t5044 * t15598;
  t118546 = t1220 * t118545;
  t118547 = t1218 * t118546;
  t118549 = t41009 * t15663;
  t118551 = t41021 * t15604;
  t118553 = t8783 * t15607;
  t118554 = t645 * t118198;
  t118557 = 0.3e1 / 0.2e1 * t246 * t118554 * t654;
  t118560 = 0.3e1 / 0.2e1 * t644 * t118554 * t649;
  t118564 = 0.3e1 / 0.2e1 * t246 * t247 * t118198 * t748;
  t118566 = t118201 * t630 / 0.2e1;
  t118568 = t118201 * t637;
  t118569 = t3430 * t118252;
  t118574 = t20889 * t221 * t118526;
  t118578 = t41479 * t15674;
  t118581 = t3474 * t3447 * t2084;
  t118583 = t3680 * t8764 * t118581;
  t118589 = t3171 * t633 * t15088;
  t118594 = t233 * t76490 * t2105;
  t118597 = t8891 * t2084;
  t118598 = t233 * t118597;
  t118599 = t5170 * t118598;
  t118601 = t615 * t118087;
  t118602 = t118601 * t3396;
  t118605 = t69 * t118087;
  t118606 = t118605 * t21719;
  t118611 = t21181 * t118087;
  t118612 = t118611 * t21185;
  t118619 = t41898 * t15757;
  t118626 = t22070 * t15183;
  t118629 = t3448 * t15740;
  t118630 = t8861 * t118629;
  t118632 = t21220 * t2128;
  t118635 = t3409 * t15191;
  t118638 = t21225 * t2128;
  t118641 = t2141 * t2084;
  t118642 = t819 * t118641;
  t118643 = t1315 * t118642;
  t118646 = t3430 * t15161 * t2105;
  t118651 = t827 * t118597;
  t118652 = t5164 * t118651;
  t118655 = t22055 * t63 * t118526;
  t118658 = -0.12e2 * t2121 * t15184 - 0.11e2 / 0.3e1 * t2125 * t118626 - 0.2e1 / 0.3e1 * t118630 + 0.2e1 / 0.3e1 * t15149 * t118632 - 0.8e1 * t2125 * t118635 + 0.4e1 * t15149 * t118638 - 0.9e1 * t118643 - 0.3e1 * t421 * t118646 - 0.28e2 / 0.3e1 * t15146 * t15189 + 0.14e2 / 0.3e1 * t118652 - 0.6e1 * t421 * t118655;
  t118660 = t8857 * t15747;
  t118662 = t8854 * t15762;
  t118665 = t819 * t63 * t118395;
  t118669 = t3375 * t15191;
  t118672 = t41794 * t15727;
  t118674 = t41794 * t15730;
  t118676 = t840 * t118597;
  t118677 = t5164 * t118676;
  t118680 = t41985 * t15724;
  t118682 = t193 * t118087;
  t118686 = 0.12e2 * t118660 + 0.14e2 * t118662 - t421 * t118665 + 0.6e1 * t2121 * t15192 + 0.4e1 / 0.3e1 * t2125 * t118669 - 0.4e1 * t118672 + 0.36e2 * t118674 - 0.28e2 * t118677 - 0.4e1 * t15157 - 0.72e2 * t118680 + 0.12e2 * t118682 * t3415 * t234;
  t118691 = t2118 * t15192;
  t118692 = 0.3e1 * t118691;
  t118693 = t22070 * t2128;
  t118696 = t2118 * t15184;
  t118697 = 0.6e1 * t118696;
  t118698 = t3375 * t118641;
  t118699 = t1321 * t118698;
  t118703 = t22051 * t15183;
  t118707 = 0.3e1 / 0.2e1 * t15170;
  t118709 = -0.12e2 * t118612 * t22146 - 0.36e2 * t118602 * t841 - t118692 - 0.36e2 * t15149 * t118693 + t118697 - 0.28e2 / 0.3e1 * t118699 + 0.56e2 * t15146 * t15196 + 0.22e2 * t2125 * t118703 + 0.4e1 * t15168 + t118707 + 0.8e1 / 0.3e1 * t15171;
  t118712 = t615 * t118198;
  t118713 = t118712 * t619;
  t118715 = 0.3e1 * t118713 * t841;
  t118717 = 0.2e1 * t118713 * t828;
  t118718 = t193 * t118198;
  t118721 = 0.3e1 * t118718 * t740 * t234;
  t118722 = t41985 * t15699;
  t118724 = t41794 * t15705;
  t118726 = t118605 * t21730;
  t118729 = t118611 * t21209;
  t118732 = t22051 * t15139;
  t118735 = t118601 * t21402;
  t118740 = t118712 * t647;
  t118742 = 0.6e1 * t118740 * t823;
  t118743 = -t118715 + t118717 + t118721 + 0.36e2 * t118722 + 0.2e2 * t118724 + 0.8e1 * t118726 * t3403 - 0.4e1 / 0.3e1 * t118729 * t22264 - 0.11e2 * t2125 * t118732 + 0.72e2 * t118735 * t823 - 0.28e2 * t15146 * t15154 + t118742;
  t118744 = t118740 * t816;
  t118750 = 0.6e1 * t118718 * t747 * t230;
  t118751 = t3409 * t15161;
  t118764 = t22070 * t2141;
  t118767 = t41794 * t15702;
  t118769 = -t118744 - 0.24e2 * t118682 * t21343 * t230 - t118750 + 0.4e1 * t2125 * t118751 - 0.12e2 * t118735 * t816 + 0.6e1 * t2121 * t15140 - 0.72e2 * t118726 * t3406 + 0.8e1 / 0.3e1 * t118729 * t22251 + 0.24e2 * t118729 * t22254 + 0.18e2 * t15149 * t118764 - 0.18e2 * t118767;
  t118772 = t22055 * t60 * t118526;
  t118775 = t22070 * t15139;
  t118778 = t2118 * t15140;
  t118779 = 0.3e1 * t118778;
  t118781 = t819 * t60 * t118395;
  t118784 = t21225 * t2141;
  t118787 = t8881 * t15711;
  t118791 = t2118 * t15162;
  t118792 = 0.3e1 / 0.2e1 * t118791;
  t118793 = t41985 * t15713;
  t118795 = t3375 * t15161;
  t118800 = 0.3e1 * t421 * t118772 + 0.22e2 / 0.3e1 * t2125 * t118775 - t118779 + t421 * t118781 / 0.2e1 - 0.2e2 * t15149 * t118784 - 0.18e2 * t118787 + 0.9e1 * t15143 * t2142 + t118792 - 0.24e2 * t118793 - 0.8e1 / 0.3e1 * t2125 * t118795 - 0.3e1 * t2121 * t15162;
  t118803 = t41794 * t15716;
  t118809 = t21220 * t2141;
  t118812 = 0.3e1 * t15178;
  t118816 = 0.56e2 / 0.3e1 * t15146 * t15165 + t118803 / 0.3e1 + 0.4e1 / 0.3e1 * t118726 * t3449 - t118729 * t22191 / 0.9e1 - t15149 * t118809 / 0.3e1 - t118812 - 0.4e1 / 0.3e1 * t15180 + 0.8e1 * t15181 - 0.8e1 * t15194 - t2138 + t2119;
  t118825 = t118568 + 0.3e1 / 0.2e1 * t4779 * t421 * t118569 - 0.3e1 / 0.2e1 * t246 * t1250 * t118574 + 0.7e1 / 0.3e1 * t118578 + 0.9e1 * t118583 + 0.14e2 * t246 * t75158 * t15103 + 0.2e1 * t644 * t8733 * t118589 - t30 * t59 * (0.6e1 * t8900 * t118594 + 0.18e2 * t118599 + 0.24e2 * t118602 * t828 - 0.2e1 / 0.3e1 * t118606 * t3483 - 0.4e2 * t118606 * t3476 + 0.1e2 / 0.3e1 * t118612 * t22014 + 0.5e2 / 0.3e1 * t118612 * t22151 + 0.36e2 * t118606 * t3491 + 0.36e2 * t118619 - 0.18e2 * t15143 * t2129 + t118658 + t118686 + t118709 + t118743 + t118769 + t118800 + t118816) * t95 / 0.4e1 - t15271 / 0.3e1 + t15279 - t2089;
  t118830 = my_piecewise3(t2, 0, -0.22e2 / 0.9e1 * t15239 * t25948 + t75930 * t432 - 0.5e1 / 0.9e1 * t15239 * t25826 - 0.35e2 / 0.108e3 * t118126 * t21757 - t2098 * t42553 + t2093 * t9098 - 0.43e2 / 0.9e1 * t118126 * t21875 + 0.18e2 * t118117 * t3673 - 0.2e1 * t15261 * t1288 - 0.2e1 / 0.3e1 * t417 * t118433 + t2093 * t15050 + t118825 - t118566 - t118560 - t118564 + t118557 - t118553 - 0.5e1 / 0.6e1 * t118549 + 0.3e1 * t118551 - 0.2e1 * t118547 + 0.9e1 / 0.2e1 * t118542 + t118539 + t118482 + t118431 + t118320 - 0.3e1 * t118288 - 0.7e1 * t118283 - 0.14e2 / 0.3e1 * t118285 + 0.7e1 * t118280 - 0.18e2 * t118277 + 0.7e1 / 0.6e1 * t118260 + t118257 + t118192 + t118142 - 0.3e1 * t246 * t9113 * t15044 - 0.9e1 * t3680 * t75192 * t118267 - 0.14e2 * t644 * t75158 * t15054 + 0.2e1 * t15216);
  tv4sigma40 = t3 * t118830;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  tv4sigma41 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 1] += tv4sigma41;

  tv4sigma42 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 2] += tv4sigma42;

  tv4sigma43 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 3] += tv4sigma43;

  tv4sigma44 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 4] += tv4sigma44;

  tv4sigma45 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 5] += tv4sigma45;

  tv4sigma46 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 6] += tv4sigma46;

  tv4sigma47 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 7] += tv4sigma47;

  tv4sigma48 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 8] += tv4sigma48;

  tv4sigma49 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 9] += tv4sigma49;

  tv4sigma410 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 10] += tv4sigma410;

  tv4sigma411 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 11] += tv4sigma411;

  tv4sigma412 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 12] += tv4sigma412;

  tv4sigma413 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 13] += tv4sigma413;

  t118834 = t4686 * t1452 * t2197;
  t118837 = t5674 * t15469;
  t118839 = t9285 * t46545;
  t118841 = t9351 * t16001;
  t118843 = t2181 * t2181;
  t118846 = t321 * t3512 * t118843 * t24085;
  t118867 = t4373 * t118843;
  t118875 = t321 * t616 * t118843 * t4356;
  t118878 = t1031 * t118843;
  t118888 = -0.3e1 / 0.2e1 * t9710 * t2258 - 0.4e1 * t2189 * t118834 - 0.6e1 * t118837 - 0.9e1 * t118839 + 0.2e1 * t118841 + 0.5e1 / 0.3e1 * t118846 * t4467 - 0.6e1 * t373 * t374 * t118843 * t25358 - 0.23e2 / 0.3e1 * t118846 * t4370 + 0.23e2 / 0.9e1 * t15424 * t29041 + 0.22e2 / 0.3e1 * t118846 * t4365 - 0.3e1 * t44508 * t2245 + 0.3e1 * t9710 * t2261 - 0.2e1 * t15424 * t29023 + 0.28e2 / 0.3e1 * t15424 * t29026 + 0.36e2 * t1030 * t118867 * t25337 - 0.12e2 * t1454 * t15505 - 0.6e1 * t118875 * t1016 - 0.18e2 * t1030 * t118878 * t25102 + 0.18e2 * t373 * t118878 * t25106 - 0.18e2 * t4395 * t118867 * t25343;
  t118891 = t321 * t21182 * t118843 * t24370;
  t118896 = t4162 * t15487;
  t118900 = t24349 * t4368 * t2196;
  t118910 = t24349 * t4363 * t2196;
  t118919 = t4362 * t4368 * t2175;
  t118921 = t4395 * t9310 * t118919;
  t118924 = t4362 * t4363 * t2175;
  t118926 = t1030 * t9310 * t118924;
  t118928 = t1454 * t15547;
  t118930 = t1391 * t77450;
  t118933 = t5559 * t9568 * t9254;
  t118936 = t5540 * t9568 * t16046;
  t118938 = t1182 * t77902;
  t118940 = t5540 * t1470 * t118938;
  t118942 = t168 * t77902;
  t118943 = t4137 * t118942;
  t118944 = t5578 * t118943;
  t118946 = t45006 * t16007;
  t118948 = t24355 * t2198;
  t118951 = t24350 * t15464;
  t118954 = -0.43e2 / 0.9e1 * t118891 * t25631 - 0.28e2 * t118846 * t4505 + 0.2e1 / 0.3e1 * t2189 * t118896 - 0.9e1 * t4395 * t77099 * t118900 + 0.4e1 * t1454 * t15407 + 0.3e1 / 0.2e1 * t373 * t9672 * t15410 + 0.18e2 * t1030 * t77099 * t118910 + 0.6e1 * t5674 * t15474 - 0.6e1 * t1454 * t15458 + 0.9e1 * t118921 - 0.18e2 * t118926 + 0.6e1 * t118928 + 0.4e1 * t118930 + 0.7e1 * t118933 - 0.7e1 * t118936 + 0.9e1 / 0.2e1 * t118940 - 0.3e1 / 0.2e1 * t118944 + 0.3e1 * t118946 + 0.11e2 / 0.3e1 * t15424 * t118948 - 0.23e2 / 0.6e1 * t15424 * t118951;
  t118956 = t15318 * t2196;
  t118959 = t25543 * t988 * t167 * t118956;
  t118963 = t25542 * t348 * t118956;
  t118967 = t24319 * t15446;
  t118973 = t4707 * t6006 * t15445;
  t118977 = t24308 * t1019 * t15318;
  t118990 = t4161 * t1019 * t15356;
  t118995 = t4161 * t1014 * t15356;
  t119002 = t24308 * t1014 * t15318;
  t119009 = t24319 * t371 * t15445;
  t119012 = t2175 * t2175;
  t119013 = t1031 * t119012;
  t119016 = 0.3e1 / 0.2e1 * t373 * t119013 * t1094;
  t119023 = t442 * t118959 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t1423 * t118963 - 0.11e2 / 0.12e2 * t2189 * t118967 - 0.4e1 / 0.3e1 * t2184 * t15483 - 0.2e1 / 0.3e1 * t442 * t118973 - 0.11e2 / 0.2e1 * t1030 * t9454 * t118977 - 0.7e1 / 0.3e1 * t15429 * t15479 - 0.14e2 * t1030 * t77326 * t15473 + 0.14e2 * t373 * t77326 * t15457 + 0.2e1 * t1030 * t9454 * t118990 - 0.2e1 * t373 * t9454 * t118995 + 0.3e1 / 0.2e1 * t15532 * t2199 + 0.11e2 / 0.2e1 * t373 * t9454 * t119002 - 0.2e1 / 0.3e1 * t15295 + 0.4e1 / 0.3e1 * t15297 + 0.11e2 / 0.3e1 * t2189 * t119009 + t119016 - 0.18e2 * t373 * t118867 * t25349 + t2184 * t9705 + 0.4e1 * t15429 * t5665;
  t119055 = t1030 * t46287 * t16035;
  t119058 = t373 * t46287 * t15943;
  t119061 = t9710 * t2249;
  t119067 = t25083 * t118843;
  t119074 = 0.6e1 * t1454 * t15522 + 0.12e2 * t118875 * t1023 - t442 * t77514 / 0.3e1 + 0.18e2 * t119055 - 0.18e2 * t119058 + t78545 * t457 + 0.3e1 / 0.2e1 * t119061 - 0.61e2 / 0.27e2 * t118891 * t24453 + 0.44e2 / 0.27e2 * t118891 * t24379 - 0.18e2 * t1030 * t119067 * t25085 + 0.6e1 * t373 * t119067 * t25089;
  t119083 = t321 * t616 * t119012 * t1007;
  t119085 = t119083 * t1090 / 0.4e1;
  t119104 = t15356 * t2196;
  t119105 = t4543 * t119104;
  t119112 = 0.3e1 / 0.2e1 * t373 * t374 * t119012 * t1045;
  t119116 = t2178 * t9705;
  t119120 = 0.3e1 / 0.2e1 * t1030 * t119013 * t1035;
  t119127 = -0.6e1 * t25375 * t119067 * t25376 - t119085 + 0.47e2 / 0.3e1 * t118891 * t24445 + 0.6e1 * t30060 * t15518 + 0.8e1 * t118891 * t25368 - 0.12e2 * t5674 * t15501 - 0.62e2 / 0.3e1 * t118891 * t24450 - 0.5e1 / 0.9e1 * t15424 * t29311 - 0.35e2 / 0.108e3 * t118891 * t24637 + 0.6e1 * t1454 * t15515 + 0.2e1 * t15429 * t5686 + 0.3e1 / 0.2e1 * t5540 * t446 * t119105 - t119112 - t2189 * t44553 - 0.22e2 / 0.9e1 * t15424 * t29038 - t119116 / 0.2e1 - t119120 - 0.2e1 * t118891 * t25094 - 0.38e2 / 0.9e1 * t118891 * t24600 + 0.89e2 / 0.9e1 * t118891 * t24664;
  t119132 = t321 * t194 * t119012 * t1043 * t350 / 0.2e1;
  t119136 = t25251 * t2198;
  t119139 = t45006 * t16055;
  t119141 = t5549 * t118942;
  t119142 = t5548 * t119141;
  t119145 = t9270 * t168 * t119104;
  t119153 = t24355 * t15464;
  t119158 = t119083 * t1016 / 0.2e1;
  t119159 = t119083 * t1023;
  t119163 = t373 * t9668 * t16019;
  t119168 = 0.3e1 / 0.2e1 * t15363;
  t119169 = t4408 * t15357;
  t119172 = t45460 * t15863;
  t119174 = t21181 * t118843;
  t119175 = t119174 * t24923;
  t119185 = t24794 * t2232;
  t119188 = t45320 * t15866;
  t119190 = t69 * t118843;
  t119191 = t119190 * t24899;
  t119196 = t24823 * t2232;
  t119199 = t24848 * t2232;
  t119202 = t4549 * t15357;
  t119205 = t45460 * t15875;
  t119207 = t45320 * t15869;
  t119213 = -t15304 * t119185 / 0.3e1 + t119188 / 0.3e1 + 0.4e1 / 0.3e1 * t119191 * t4612 + 0.24e2 * t119175 * t24945 + 0.18e2 * t15304 * t119196 - 0.2e2 * t15304 * t119199 + 0.4e1 * t2216 * t119202 + 0.36e2 * t119205 + 0.2e2 * t119207 + 0.8e1 * t119191 * t4589 - 0.4e1 / 0.3e1 * t119175 * t24959;
  t119217 = t45320 * t15872;
  t119219 = t24962 * t15319;
  t119222 = t615 * t118843;
  t119223 = t119222 * t24865;
  t119231 = t77162 * t2402;
  t119245 = t77199 * t2402;
  t119247 = t4206 * t15298;
  t119250 = t24764 * t15298;
  t119257 = 0.12e2 * t989 * t15298 * t4426 + t15337 - 0.12e2 * t77152 * t15457 + 0.12e2 * t119231 + 0.24e2 * t15364 * t1015 - 0.12e2 * t15368 * t4413 + 0.4e1 / 0.3e1 * t15368 * t4364 - 0.12e2 * t15395 * t349 + 0.2e2 / 0.9e1 * t15368 * t4369 - 0.4e1 * t15364 * t1020 - t15349 - 0.12e2 * t119245 - 0.24e2 * t119247 * t4339 + 0.32e2 / 0.3e1 * t119250 * t4377 + 0.12e2 * t119250 * t4409 + 0.12e2 * t2224 * t15457;
  t119258 = t77215 * t2394;
  t119260 = t2227 * t2257;
  t119261 = 0.4e1 * t119260;
  t119264 = t77159 * t2257;
  t119265 = 0.4e1 * t119264;
  t119266 = t77162 * t2389;
  t119274 = t77155 * t2394;
  t119286 = t9394 * t15468;
  t119290 = 0.12e2 * t119258 + t119261 - 0.8e1 * t2230 * t2257 - t119265 + 0.4e1 * t119266 + 0.8e1 * t77170 * t2257 - 0.4e1 * t77152 * t15473 - 0.2e1 * t9382 * t15410 - 0.12e2 * t119274 + 0.4e1 * t9382 * t15441 + 0.2e1 * t448 * t15410 - 0.4e1 * t448 * t15441 - 0.8e1 * t119247 * t4335 + 0.16e2 / 0.9e1 * t119250 * t4397 + 0.2e1 * t119286 - 0.2e1 * t2224 * t15473;
  t119291 = t119257 + t119290;
  t119293 = t1182 * t140 * t119291;
  t119296 = t2209 * t15358;
  t119297 = 0.3e1 / 0.2e1 * t119296;
  t119304 = t45328 * t15924;
  t119306 = t2209 * t15320;
  t119307 = 0.3e1 * t119306;
  t119308 = -0.28e2 * t15300 * t15328 - 0.18e2 * t119217 - 0.11e2 * t2216 * t119219 + 0.72e2 * t119223 * t1186 + t446 * t119293 / 0.2e1 + t119297 + 0.9e1 * t15323 * t2233 + 0.6e1 * t2212 * t15320 - 0.12e2 * t119223 * t1179 - 0.18e2 * t119304 - t119307;
  t119309 = t193 * t118843;
  t119314 = t24858 * t140 * t118956;
  t119317 = t193 * t119012;
  t119320 = 0.6e1 * t119317 * t1044 * t357;
  t119321 = t615 * t119012;
  t119322 = t119321 * t1033;
  t119323 = t119322 * t1179;
  t119324 = t24823 * t15319;
  t119330 = 0.6e1 * t119322 * t1186;
  t119333 = 0.3e1 * t15384;
  t119335 = -0.24e2 * t119309 * t24905 * t357 + 0.3e1 * t446 * t119314 - t119320 - t119323 + 0.22e2 / 0.3e1 * t2216 * t119324 - 0.72e2 * t119191 * t4579 + t119330 + 0.8e1 * t15377 - 0.8e1 * t15382 - t119333 - 0.4e1 / 0.3e1 * t15386;
  t119338 = t45463 * t15855;
  t119341 = t360 * t78137 * t2196;
  t119344 = t45342 * t15849;
  t119346 = t119190 * t24085;
  t119349 = t119174 * t24370;
  t119352 = t119222 * t4356;
  t119355 = t9638 * t2175;
  t119356 = t1203 * t119355;
  t119357 = t5851 * t119356;
  t119359 = t24962 * t15391;
  t119362 = t24823 * t15391;
  t119366 = t24858 * t143 * t118956;
  t119369 = t45320 * t15915;
  t119371 = 0.14e2 / 0.3e1 * t119338 + 0.6e1 * t9650 * t119341 + 0.18e2 * t119344 + 0.36e2 * t119346 * t4621 - 0.12e2 * t119349 * t25022 - 0.36e2 * t119352 * t1204 - 0.28e2 * t119357 + 0.22e2 * t2216 * t119359 - 0.11e2 / 0.3e1 * t2216 * t119362 - 0.6e1 * t446 * t119366 - 0.4e1 * t119369;
  t119372 = t24823 * t2219;
  t119375 = t45460 * t15912;
  t119377 = t9568 * t15909;
  t119381 = t24848 * t2219;
  t119384 = t2232 * t2175;
  t119385 = t1182 * t119384;
  t119386 = t1470 * t119385;
  t119389 = t4543 * t15357 * t2196;
  t119394 = t4396 * t15887;
  t119395 = t9536 * t119394;
  t119397 = t24794 * t2219;
  t119400 = t9568 * t15897;
  t119402 = -0.36e2 * t15304 * t119372 - 0.72e2 * t119375 + 0.14e2 * t119377 + 0.56e2 * t15300 * t15398 + 0.4e1 * t15304 * t119381 - 0.9e1 * t119386 - 0.3e1 * t446 * t119389 - 0.28e2 / 0.3e1 * t15300 * t15389 - 0.2e1 / 0.3e1 * t119395 + 0.2e1 / 0.3e1 * t15304 * t119397 - 0.28e2 / 0.3e1 * t119400;
  t119404 = t4549 * t15379;
  t119408 = t1182 * t143 * t119291;
  t119410 = t4408 * t15379;
  t119413 = t9532 * t15888;
  t119415 = t2209 * t15380;
  t119416 = 0.3e1 * t119415;
  t119419 = t45328 * t15881;
  t119421 = t4408 * t15887;
  t119422 = t9536 * t119421;
  t119424 = t2209 * t15392;
  t119425 = 0.6e1 * t119424;
  t119430 = -0.8e1 * t2216 * t119404 - t446 * t119408 + 0.4e1 / 0.3e1 * t2216 * t119410 + 0.12e2 * t119413 - t119416 - 0.18e2 * t15323 * t2220 + 0.36e2 * t119419 + 0.36e2 * t119422 + t119425 - 0.12e2 * t2212 * t15392 + 0.6e1 * t2212 * t15380;
  t119433 = 0.3e1 * t119317 * t1043 * t361;
  t119434 = t119321 * t1007;
  t119436 = 0.3e1 * t119434 * t1204;
  t119445 = 0.2e1 * t119434 * t1191;
  t119452 = t119433 - t119436 - 0.4e2 * t119346 * t4625 + 0.1e2 / 0.3e1 * t119349 * t25033 + 0.12e2 * t119309 * t4333 * t361 + t119445 + 0.24e2 * t119352 * t1191 - 0.2e1 / 0.3e1 * t119346 * t4634 + 0.5e2 / 0.3e1 * t119349 * t25025 - t2229 + t2210;
  t119460 = t5634 * t15983;
  t119461 = t9285 * t119460;
  t119463 = t4686 * t15482;
  t119465 = t4686 * t15487;
  t119468 = t24350 * t2198;
  t119471 = t2178 * t15483;
  t119474 = t987 * t44936 * t2197;
  t119477 = -t119158 + t119159 + 0.6e1 * t118846 * t4414 + 0.9e1 * t119163 - t110 * t139 * (-0.4e1 * t15307 + 0.8e1 / 0.3e1 * t15309 + 0.4e1 * t15361 + t119168 - 0.8e1 / 0.3e1 * t2216 * t119169 - 0.24e2 * t119172 + 0.8e1 / 0.3e1 * t119175 * t24925 - 0.3e1 * t2212 * t15358 + 0.56e2 / 0.3e1 * t15300 * t15315 - t119175 * t24931 / 0.9e1 + t119213 + t119308 + t119335 + t119371 + t119402 + t119430 + t119452) * t168 / 0.4e1 - 0.3e1 * t119461 + t2189 * t119463 + t2189 * t119465 / 0.3e1 + 0.5e1 / 0.6e1 * t15424 * t119468 + 0.2e1 / 0.3e1 * t119471 + t442 * t119474 / 0.2e1;
  t119481 = t987 * t6006 * t15486;
  t119484 = t9285 * t46527;
  t119486 = t4362 * t15467;
  t119488 = t373 * t9310 * t119486;
  t119490 = t6006 * t15982;
  t119491 = t1393 * t119490;
  t119492 = t1391 * t119491;
  t119494 = t44632 * t15968;
  t119496 = t44632 * t15972;
  t119498 = t24349 * t15472;
  t119506 = t373 * t9439 * t15410;
  t119507 = 0.3e1 / 0.4e1 * t119506;
  t119509 = 0.3e1 / 0.4e1 * t15418;
  t119515 = t4162 * t15482;
  t119518 = t5548 * t77904;
  t119520 = t24324 * t15446;
  t119523 = t45849 * t16112;
  t119526 = t985 * t348 * t119291;
  t119530 = t442 * t119481 / 0.3e1 + 0.14e2 * t119484 + 0.9e1 * t119488 - 0.2e1 * t119492 - 0.11e2 / 0.3e1 * t119494 + 0.23e2 / 0.6e1 * t119496 - 0.9e1 * t373 * t77099 * t119498 + 0.28e2 / 0.3e1 * t15429 * t15465 - t1454 * t15411 - t119507 - 0.2e1 * t15415 - t119509 + t2251 - 0.9e1 / 0.2e1 * t373 * t78486 * t2257 - 0.14e2 / 0.3e1 * t15429 * t15461 + 0.2e1 * t2189 * t119515 - 0.14e2 / 0.3e1 * t119518 - 0.11e2 / 0.6e1 * t2189 * t119520 + 0.7e1 / 0.3e1 * t119523 - t373 * t1423 * t119526 / 0.4e1;
  t119532 = t4686 * t371 * t15486;
  t119536 = t373 * t9439 * t15441;
  t119537 = 0.3e1 / 0.2e1 * t119536;
  t119538 = t9306 * t15841;
  t119539 = t44632 * t15991;
  t119542 = t15452 / 0.4e1;
  t119546 = t24350 * t1028 * t2197;
  t119549 = t2178 * t15488;
  t119550 = t119549 / 0.4e1;
  t119554 = t987 * t988 * t167 * t119291;
  t119557 = t9525 * t16004;
  t119561 = t2178 * t15447;
  t119562 = t119561 / 0.2e1;
  t119564 = t1454 * t15414;
  t119566 = t9330 * t16032;
  t119568 = t1454 * t15417;
  t119572 = t442 * t119554 / 0.12e2 - 0.3e1 * t119557 - t2184 * t15488 / 0.2e1 - t119562 + t2184 * t15447 - 0.6e1 * t119564 - 0.12e2 * t119566 - 0.2e1 * t119568 + t15535 - t15543 / 0.3e1 + 0.2e1 * t15548;
  t119577 = my_piecewise3(t100, 0, -t5575 * t119145 / 0.2e1 + 0.2e1 * t1454 * t15442 - 0.14e2 * t15424 * t119153 + 0.3e1 * t15424 * t119136 - 0.8e1 * t15429 * t5669 - t2189 * t44486 / 0.2e1 - 0.6e1 * t15424 * t29030 + 0.2e1 * t2189 * t44503 - 0.2e1 * t15532 * t1449 - 0.3e1 * t118875 * t1090 + 0.12e2 * t5674 * t15525 + 0.18e2 * t118846 * t4405 - 0.3e1 * t9710 * t2253 + 0.9e1 * t15424 * t119546 - 0.4e1 / 0.3e1 * t2189 * t119532 + t119572 + t119550 + t119542 - t119538 - 0.5e1 / 0.6e1 * t119539 + t119537 + t119530 + t119477 + 0.7e1 / 0.6e1 * t119142 + 0.6e1 * t119139 + t119132 + t119127 + t119074 + t119023 + t118954 + t118888 + 0.2e1 * t321 * t194 * t118843 * t4333 * t350 + 0.18e2 * t4395 * t119067 * t25380 - 0.3e1 * t373 * t9672 * t15441 - t2180 - 0.2e1 * t15470 - t15454 / 0.3e1 + 0.2e1 / 0.3e1 * t15450);
  tv4sigma414 = t3 * t119577;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 14] += tv4sigma414;

  t119578 = t3401 * t15128;
  t119579 = t21191 * t119578;
  t119584 = t21191 * t21192 * t15128;
  t119588 = t3375 * t75073;
  t119590 = t4779 * t6390 * t119588;
  t119591 = 0.9e1 / 0.2e1 * t119590;
  t119594 = t10036 * t75762;
  t119595 = 0.9e1 / 0.2e1 * t119594;
  t119596 = t10036 * t75817;
  t119597 = 0.7e1 * t119596;
  t119598 = t661 * t75165;
  t119599 = t1227 * t119598;
  t119602 = t648 * t75073;
  t119604 = t4738 * t6393 * t119602;
  t119605 = 0.9e1 * t119604;
  t119608 = t3375 * t75093;
  t119610 = t4738 * t1591 * t119608;
  t119612 = t3375 * t75431;
  t119624 = 0.6e1 * t246 * t32308 * t119579 + 0.18e2 * t3680 * t32308 * t119584 + t119591 + 0.9e1 * t10036 * t75794 - t119595 + t119597 - 0.3e1 * t31050 * t119599 + t119605 + 0.9e1 / 0.2e1 * t42187 * t15627 + 0.5e1 / 0.2e1 * t119610 + 0.2e1 * t4738 * t1591 * t119612 + t15247 * t6350 / 0.2e1 + t2093 * t10155 / 0.2e1 - 0.3e1 / 0.2e1 * t10160 * t2162 + t75930 * t481 / 0.4e1;
  t119629 = t10160 * t2158;
  t119630 = 0.3e1 / 0.4e1 * t119629;
  t119634 = t2087 * t10155;
  t119635 = t119634 / 0.4e1;
  t119656 = -t417 * t79823 / 0.4e1 + 0.3e1 / 0.4e1 * t79828 * t432 + t119630 - t466 * t75925 / 0.12e2 + t2098 * t46756 - t119635 - t2098 * t46752 / 0.2e1 - 0.11e2 / 0.18e2 * t15239 * t32444 - 0.3e1 / 0.2e1 * t46761 * t2154 + 0.3e1 / 0.2e1 * t10160 * t2170 + 0.23e2 / 0.36e2 * t15239 * t32433 - 0.3e1 * t6295 * t15234 + 0.3e1 / 0.2e1 * t1532 * t15286 - t2098 * t46736 / 0.4e1 - 0.5e1 / 0.36e2 * t15239 * t31795 + 0.3e1 / 0.2e1 * t1532 * t15219;
  t119664 = t25657 * t15670;
  t119668 = t95 * t75105;
  t119669 = t3130 * t119668;
  t119672 = t6069 * t118259;
  t119674 = t95 * t75431;
  t119675 = t4760 * t119674;
  t119678 = t25739 * t119668;
  t119681 = t95 * t75133;
  t119682 = t8642 * t119681;
  t119688 = t6069 * t75095;
  t119690 = t25739 * t75106;
  t119693 = -t15261 * t1527 / 0.2e1 + 0.3e1 * t6295 * t15256 - 0.2e1 * t15247 * t6290 - t6491 * t119664 - t118084 - t6488 * t118254 / 0.2e1 + 0.3e1 / 0.2e1 * t10097 * t119669 + 0.5e1 / 0.12e2 * t119672 + t6069 * t119675 / 0.3e1 + 0.5e1 / 0.6e1 * t10036 * t119678 + t6491 * t119682 - 0.3e1 * t6069 * t75089 - 0.4e1 / 0.3e1 * t6069 * t75433 - 0.5e1 / 0.3e1 * t119688 - 0.23e2 / 0.6e1 * t10036 * t119690;
  t119694 = t10037 * t75074;
  t119695 = t10036 * t119694;
  t119696 = 0.23e2 / 0.12e2 * t119695;
  t119708 = t118175 / 0.4e1;
  t119709 = t1218 * t79081;
  t119710 = 0.3e1 / 0.4e1 * t118194;
  t119711 = 0.9e1 / 0.2e1 * t118226;
  t119712 = 0.9e1 * t118242;
  t119713 = 0.3e1 / 0.4e1 * t118260;
  t119716 = t119696 + t15247 * t6286 - 0.3e1 * t1532 * t15283 - t15239 * t32459 / 0.2e1 - 0.3e1 / 0.2e1 * t15239 * t32466 + 0.3e1 / 0.2e1 * t32471 * t15231 + 0.7e1 / 0.3e1 * t15239 * t32462 - t119708 + t119709 + t119710 - t118203 + t118208 + t119711 + t119712 + t119713 + 0.47e2 / 0.3e1 * t75182 * t30916;
  t119726 = t3447 * t15128;
  t119727 = t3474 * t119726;
  t119731 = t1220 * t119598;
  t119734 = t26069 * t75166;
  t119737 = 0.9e1 * t118277;
  t119738 = t4770 * t119668;
  t119741 = 0.9e1 / 0.2e1 * t118280;
  t119742 = 0.9e1 / 0.2e1 * t118283;
  t119743 = 0.3e1 * t118285;
  t119744 = t21191 * t119726;
  t119748 = t26105 * t119598;
  t119752 = t3139 * t6255 * t15048;
  t119757 = -0.9e1 * t5073 * t15563 - 0.62e2 / 0.3e1 * t75182 * t26105 * t19590 - 0.9e1 * t1293 * t15568 - 0.18e2 * t3680 * t30984 * t119727 - 0.6e1 * t31050 * t119731 + 0.44e2 / 0.27e2 * t30900 * t119734 - t119737 - 0.14e2 / 0.3e1 * t10066 * t119738 + t119741 - t119742 - t119743 - 0.18e2 * t644 * t32308 * t119744 - 0.61e2 / 0.27e2 * t30900 * t119748 - t417 * t119752 / 0.6e1 + t1532 * t15045 / 0.2e1;
  t119758 = t3474 * t119578;
  t119763 = t627 * t628 * t15128;
  t119767 = t633 * t15128;
  t119768 = t3474 * t119767;
  t119772 = 0.3e1 / 0.2e1 * t118288;
  t119773 = 0.9e1 / 0.2e1 * t118292;
  t119774 = 0.11e2 / 0.6e1 * t118297;
  t119775 = 0.23e2 / 0.12e2 * t118299;
  t119776 = 0.3e1 * t118307;
  t119777 = t673 * t119598;
  t119784 = 0.9e1 * t118316;
  t119785 = 0.3e1 / 0.2e1 * t118401;
  t119786 = 0.36e2 * t644 * t30984 * t119758 + 0.18e2 * t246 * t31261 * t119763 - 0.18e2 * t246 * t30984 * t119768 - t119772 + t119773 - t119774 + t119775 + t119776 + 0.2e1 * t31551 * t119777 + t466 * t118529 / 0.2e1 + 0.12e2 * t31050 * t75704 - t119784 + t118326 + t118329 - t119785 + t118409;
  t119788 = t4760 * t119668;
  t119791 = t41642 * t15670;
  t119794 = t41043 * t2266;
  t119795 = t1220 * t119794;
  t119798 = t1541 * t118546;
  t119799 = t119798 / 0.2e1;
  t119800 = t95 * t75073;
  t119801 = t4796 * t119800;
  t119802 = t10097 * t119801;
  t119803 = 0.3e1 / 0.2e1 * t119802;
  t119804 = t6491 * t118536;
  t119805 = t119804 / 0.2e1;
  t119806 = t4765 * t119800;
  t119807 = t10066 * t119806;
  t119808 = 0.3e1 / 0.2e1 * t119807;
  t119809 = t4754 * t119800;
  t119810 = t10066 * t119809;
  t119811 = 0.3e1 * t119810;
  t119812 = t10066 * t75075;
  t119813 = 0.6e1 * t119812;
  t119814 = t26082 * t119668;
  t119817 = t4760 * t119800;
  t119818 = t10036 * t119817;
  t119819 = 0.3e1 / 0.2e1 * t119818;
  t119820 = t3172 * t15620;
  t119823 = t26831 * t119598;
  t119827 = t26069 * t3678 * t75165;
  t119830 = t4838 * t76198;
  t119833 = -t118415 - 0.7e1 / 0.3e1 * t10066 * t119788 + 0.3e1 / 0.4e1 * t6069 * t119791 - t1541 * t119795 / 0.2e1 - t119799 - t119803 - t119805 + t119808 + t119811 - t119813 + 0.3e1 * t10036 * t119814 - t119819 + t2098 * t119820 / 0.2e1 - 0.2e1 * t30900 * t119823 + 0.8e1 * t30900 * t119827 + 0.7e1 * t6107 * t119830;
  t119834 = t26105 * t75166;
  t119837 = t3409 * t75105;
  t119841 = t4831 * t119598;
  t119854 = t22051 * t75133;
  t119858 = t3375 * t75105;
  t119862 = 0.89e2 / 0.9e1 * t30900 * t119834 + 0.14e2 * t4779 * t6393 * t119837 + 0.6e1 * t30951 * t119841 - 0.3e1 / 0.2e1 * t9070 * t2324 - 0.3e1 / 0.4e1 * t9070 * t2327 + t466 * t118467 / 0.4e1 + t466 * t118471 / 0.4e1 + t466 * t118398 / 0.12e2 + 0.11e2 / 0.2e1 * t4779 * t1591 * t119854 - 0.14e2 * t4738 * t6393 * t119858 + t15097 + t118426 - t15101 - t15117 - t118429 - t15127;
  t119866 = t21225 * t75105;
  t119870 = t3402 * t75073;
  t119872 = t4738 * t6390 * t119870;
  t119873 = 0.9e1 * t119872;
  t119874 = t22070 * t75105;
  t119881 = t4779 * t1587 * t118540;
  t119882 = 0.3e1 / 0.2e1 * t119881;
  t119883 = t819 * t75431;
  t119890 = t819 * t75105;
  t119894 = t229 * t75073;
  t119896 = t4779 * t6424 * t119894;
  t119897 = 0.9e1 / 0.2e1 * t119896;
  t119898 = t3430 * t75133;
  t119902 = t10037 * t119800;
  t119903 = t10036 * t119902;
  t119904 = 0.5e1 / 0.12e2 * t119903;
  t119905 = t3130 * t119674;
  t119910 = t2160 + 0.18e2 * t4738 * t6390 * t119866 - t119873 - 0.9e1 * t4779 * t6390 * t119874 + 0.3e1 * t41476 * t15625 + t119882 + 0.3e1 / 0.2e1 * t4779 * t1587 * t119883 + 0.3e1 / 0.2e1 * t4779 * t470 * t118569 - 0.9e1 / 0.2e1 * t4779 * t6424 * t119890 + t119897 - 0.3e1 * t4779 * t1587 * t119898 - t119904 - t6491 * t119905 / 0.2e1 + t15602 + 0.3e1 / 0.2e1 * t1293 * t15635;
  t119913 = t5044 * t15571;
  t119914 = t4831 * t119913;
  t119917 = t26835 * t119598;
  t119922 = t1532 * t15215;
  t119923 = 0.3e1 / 0.2e1 * t119922;
  t119929 = t1293 * t15792;
  t119930 = 0.3e1 / 0.2e1 * t119929;
  t119931 = t3250 * t15620;
  t119937 = t660 * t47815 * t2106;
  t119940 = t8776 * t16759;
  t119941 = t119940 / 0.2e1;
  t119942 = t2087 * t15621;
  t119943 = t119942 / 0.6e1;
  t119944 = t8783 * t16681;
  t119945 = t119944 / 0.4e1;
  t119946 = -0.28e2 * t75246 * t19579 - 0.3e1 / 0.2e1 * t6107 * t119914 - 0.38e2 / 0.9e1 * t30900 * t119917 - 0.3e1 / 0.2e1 * t42538 * t2319 + t119923 - 0.3e1 / 0.4e1 * t1293 * t15787 - t246 * t1559 * t118417 / 0.4e1 + t119930 + t2098 * t119931 / 0.4e1 + 0.18e2 * t30951 * t75271 + t417 * t119937 / 0.4e1 + t119941 + t119943 - t119945 - t15612 - t15615;
  t119948 = 0.7e1 * t118454;
  t119949 = t118464 / 0.2e1;
  t119950 = 0.3e1 * t118478;
  t119951 = 0.9e1 / 0.2e1 * t118480;
  t119952 = 0.6e1 * t118491;
  t119953 = 0.3e1 / 0.2e1 * t118493;
  t119954 = 0.3e1 * t118509;
  t119955 = 0.3e1 * t118511;
  t119956 = 0.2e1 * t118513;
  t119957 = t22070 * t75133;
  t119961 = t26082 * t119681;
  t119964 = t21220 * t75105;
  t119968 = t3448 * t75073;
  t119970 = t9873 * t6390 * t119968;
  t119971 = 0.9e1 / 0.2e1 * t119970;
  t119972 = t15619 + t119948 + t119949 - t119950 - t119951 - t119952 - t119953 - t119954 + t119955 + t119956 - 0.11e2 / 0.2e1 * t4738 * t1591 * t119957 - 0.11e2 / 0.12e2 * t6069 * t119961 - 0.9e1 * t9873 * t6390 * t119964 + t119971 - t15213 + t15214;
  t119973 = t43310 * t15670;
  t119976 = t4770 * t119674;
  t119979 = t4770 * t118258;
  t119980 = t6069 * t119979;
  t119982 = t26140 * t119668;
  t119985 = t10058 * t119800;
  t119986 = t10036 * t119985;
  t119987 = 0.11e2 / 0.6e1 * t119986;
  t119990 = t27475 * t119681;
  t119994 = t660 * t6255 * t15089;
  t120000 = t21191 * t21197 * t15128;
  t120009 = t3250 * t1530 * t2106;
  t120011 = 0.3e1 * t118542;
  t120012 = t1220 * t119913;
  t120015 = 0.3e1 / 0.2e1 * t6069 * t119973 + 0.2e1 / 0.3e1 * t6069 * t119976 + 0.5e1 / 0.6e1 * t119980 + 0.11e2 / 0.3e1 * t10036 * t119982 - t119987 + 0.28e2 / 0.3e1 * t10066 * t75445 - 0.11e2 / 0.6e1 * t6069 * t119990 + t417 * t119994 / 0.12e2 - t2093 * t15621 / 0.3e1 - 0.6e1 * t21206 * t32308 * t120000 + 0.9e1 / 0.2e1 * t1293 * t15558 + 0.3e1 / 0.2e1 * t6295 * t15055 - t2098 * t120009 - t118537 + t120011 + 0.3e1 * t6167 * t120012;
  t120020 = t673 * t119913;
  t120030 = t4838 * t119598;
  t120033 = 0.5e1 / 0.12e2 * t118549;
  t120034 = 0.3e1 / 0.2e1 * t118551;
  t120035 = t118553 / 0.2e1;
  t120036 = t1227 * t119794;
  t120039 = t1227 * t118545;
  t120040 = t1541 * t120039;
  t120041 = t120040 / 0.4e1;
  t120042 = -0.6e1 * t6167 * t76199 - 0.3e1 / 0.2e1 * t6223 * t120020 + 0.9e1 / 0.2e1 * t1293 * t15640 + 0.9e1 * t5073 * t15644 - t1532 * t15112 / 0.4e1 + t1532 * t15108 + 0.22e2 / 0.3e1 * t30951 * t120030 + t15217 - t118547 - t120033 + t120034 - t120035 - t15662 - t1541 * t120036 / 0.4e1 - t120041;
  t120043 = t4844 * t119913;
  t120046 = t4844 * t119598;
  t120049 = t673 * t119794;
  t120052 = t673 * t118545;
  t120053 = t1568 * t120052;
  t120054 = t120053 / 0.2e1;
  t120055 = t1227 * t119913;
  t120059 = t219 * t221 * t15128;
  t120070 = -0.5e1 / 0.12e2 * t6107 * t120043 + 0.5e1 / 0.3e1 * t30951 * t120046 + t1568 * t120049 / 0.2e1 + t120054 + 0.3e1 / 0.2e1 * t6167 * t120055 - 0.6e1 * t246 * t31251 * t120059 - 0.3e1 / 0.2e1 * t246 * t1559 * t118574 + t118557 - t118560 - t118564 - t118566 + t118568 + t15778 - t15784 - 0.14e2 * t41145 * t46881 + 0.11e2 / 0.3e1 * t6069 * t75135;
  t120072 = 0.3e1 / 0.2e1 * t118578;
  t120073 = t26069 * t119598;
  t120076 = t4838 * t119913;
  t120079 = t4844 * t76198;
  t120082 = t4844 * t75166;
  t120085 = t627 * t119767;
  t120089 = t6295 * t15125;
  t120090 = 0.3e1 / 0.2e1 * t120089;
  t120091 = t8783 * t16780;
  t120092 = t120091 / 0.2e1;
  t120095 = 0.9e1 / 0.2e1 * t118583;
  t120098 = t26069 * t75270;
  t120104 = t1227 * t1291 * t15598;
  t120105 = t1541 * t120104;
  t120106 = t15794 - t15804 + t120072 - 0.35e2 / 0.108e3 * t30900 * t120073 - 0.11e2 / 0.6e1 * t6107 * t120076 + 0.23e2 / 0.12e2 * t6107 * t120079 - 0.23e2 / 0.3e1 * t30951 * t120082 - 0.18e2 * t644 * t31261 * t120085 - t120090 - t120092 + 0.3e1 / 0.2e1 * t9070 * t2332 + t120095 - 0.9e1 / 0.2e1 * t6107 * t75512 - 0.43e2 / 0.9e1 * t30900 * t120098 + 0.9e1 / 0.2e1 * t25931 * t15586 + t120105;
  t120107 = t5073 * t15610;
  t120108 = 0.3e1 / 0.2e1 * t120107;
  t120111 = t1293 * t15802;
  t120112 = 0.3e1 / 0.2e1 * t120111;
  t120113 = t1532 * t15115;
  t120114 = 0.3e1 / 0.2e1 * t120113;
  t120115 = t1532 * t15118;
  t120116 = t120115 / 0.2e1;
  t120117 = t653 * t75073;
  t120119 = t4779 * t6393 * t120117;
  t120120 = 0.9e1 * t120119;
  t120123 = t3409 * t75431;
  t120127 = t3409 * t75093;
  t120129 = t4779 * t1591 * t120127;
  t120134 = 0.12e2 * t118599;
  t120135 = 0.18e2 * t118619;
  t120136 = t118630 / 0.3e1;
  t120137 = 0.6e1 * t118643;
  t120138 = 0.3e1 * t118652;
  t120139 = t9929 * t15042;
  t120140 = t827 * t120139;
  t120143 = 0.6e1 * t118660;
  t120144 = 0.9e1 * t118662;
  t120145 = 0.2e1 * t118672;
  t120146 = 0.18e2 * t118674;
  t120147 = 0.18e2 * t118677;
  t120148 = t60 * t15128;
  t120149 = t229 * t120148;
  t120152 = t648 * t120148;
  t120155 = t120134 + t120135 - t120136 - t120137 + t120138 - 0.11e2 / 0.3e1 * t31895 * t120140 + t120143 + t120144 - t120145 + t120146 - t120147 + 0.12e2 * t32014 * t120149 + 0.24e2 * t32037 * t120152;
  t120156 = t3402 * t120148;
  t120159 = 0.36e2 * t118680;
  t120160 = t63 * t15128;
  t120161 = t229 * t120160;
  t120164 = t2298 * t15088;
  t120165 = t3375 * t120164;
  t120168 = t21215 * t120160;
  t120171 = t3402 * t120160;
  t120174 = t15698 * t2105;
  t120175 = t3375 * t120174;
  t120180 = t3409 * t118641;
  t120181 = t1591 * t120180;
  t120183 = -0.4e2 * t31928 * t120156 - t15158 - t120159 - 0.24e2 * t32014 * t120161 - 0.8e1 / 0.3e1 * t1591 * t120165 - 0.4e1 / 0.3e1 * t31939 * t120168 + 0.8e1 * t31928 * t120171 - t118692 + 0.56e2 / 0.3e1 * t6393 * t120175 - 0.6e1 * t470 * t118655 + 0.5e1 * t120181 - t15697 + t15710 + t15712;
  t120185 = t6440 * t118598;
  t120186 = 0.6e1 * t120185;
  t120187 = t79916 * t414;
  t120188 = t827 * t120187;
  t120189 = t9944 * t120188;
  t120190 = 0.6e1 * t120189;
  t120191 = t840 * t120187;
  t120192 = t9944 * t120191;
  t120193 = 0.36e2 * t120192;
  t120194 = t6427 * t118676;
  t120196 = t3475 * t120187;
  t120197 = t9952 * t120196;
  t120198 = 0.2e1 * t120197;
  t120199 = t9952 * t120188;
  t120200 = 0.18e2 * t120199;
  t120203 = t3448 * t120148;
  t120206 = t21215 * t120148;
  t120209 = t3409 * t120174;
  t120212 = t648 * t120160;
  t120215 = t2298 * t15042;
  t120216 = t3430 * t120215;
  t120219 = t15695 * t414;
  t120220 = t653 * t120219;
  t120221 = t6393 * t120220;
  t120222 = 0.18e2 * t120221;
  t120223 = t3375 * t120219;
  t120224 = t6390 * t120223;
  t120225 = 0.9e1 * t120224;
  t120226 = t120186 + t120190 - t120193 - 0.1e2 * t120194 - t120198 + t120200 + 0.3e1 * t470 * t118772 - 0.2e1 / 0.3e1 * t31928 * t120203 + 0.1e2 / 0.3e1 * t31939 * t120206 - 0.28e2 * t6393 * t120209 - 0.12e2 * t32037 * t120212 + 0.6e1 * t1587 * t120216 + t120222 - t120225;
  t120227 = t22051 * t120215;
  t120230 = t3409 * t120164;
  t120233 = 0.6e1 * t118699;
  t120234 = t79932 * t2105;
  t120235 = t827 * t120234;
  t120238 = t6427 * t118651;
  t120240 = t840 * t120139;
  t120243 = t3475 * t120234;
  t120246 = t76490 * t414;
  t120247 = t827 * t120246;
  t120252 = t840 * t120234;
  t120255 = -0.11e2 * t1591 * t120227 + 0.4e1 * t1591 * t120230 + t118697 - t120233 - 0.28e2 / 0.3e1 * t31879 * t120235 + 0.5e1 / 0.3e1 * t120238 + t15169 + t118707 + t15172 + 0.22e2 * t31895 * t120240 + 0.4e1 * t31864 * t120243 + 0.4e1 / 0.3e1 * t6427 * t120247 - 0.36e2 * t31864 * t120235 + 0.56e2 * t31879 * t120252;
  t120260 = t233 * t120246;
  t120263 = t3482 * t120234;
  t120266 = t22070 * t120174;
  t120269 = t653 * t120160;
  t120272 = 0.18e2 * t118722;
  t120273 = 0.1e2 * t118724;
  t120274 = 0.6e1 * t9923 * t118594 + 0.6e1 * t6440 * t120260 + 0.2e1 / 0.3e1 * t31864 * t120263 - t118715 + t118717 + t118721 - t15743 - t15749 + 0.18e2 * t6390 * t120266 + 0.72e2 * t32037 * t120269 + t15767 + t120272 + t120273 + t118742;
  t120275 = 0.9e1 * t118767;
  t120277 = t21225 * t120160;
  t120280 = t21210 * t120160;
  t120283 = t3375 * t120160;
  t120286 = t21220 * t120160;
  t120289 = t233 * t120187;
  t120290 = t9935 * t120289;
  t120291 = 0.18e2 * t120290;
  t120292 = 0.9e1 * t118787;
  t120293 = t233 * t120139;
  t120296 = t840 * t120246;
  t120299 = -t118744 - t118750 - t120275 - t470 * t118665 + 0.24e2 * t31939 * t120277 - t31939 * t120280 / 0.9e1 - 0.72e2 * t31928 * t120283 + 0.8e1 / 0.3e1 * t31939 * t120286 + t120291 - t118779 - t120292 + t118792 - 0.12e2 * t31906 * t120293 - 0.8e1 * t6427 * t120296;
  t120301 = 0.12e2 * t118793;
  t120302 = t118803 / 0.6e1;
  t120305 = t653 * t120148;
  t120308 = t3375 * t120148;
  t120311 = t21225 * t120148;
  t120314 = t21220 * t120148;
  t120317 = t22070 * t120215;
  t120320 = t3448 * t120160;
  t120325 = -t120301 + t120302 + t470 * t118781 / 0.2e1 - 0.36e2 * t32037 * t120305 + 0.36e2 * t31928 * t120308 - 0.12e2 * t31939 * t120311 + 0.5e2 / 0.3e1 * t31939 * t120314 + 0.22e2 / 0.3e1 * t1591 * t120317 + 0.4e1 / 0.3e1 * t31928 * t120320 - t118812 - t15180 + t15182 - 0.3e1 * t470 * t118646 - t15195;
  t120326 = t819 * t120164;
  t120329 = t21220 * t120174;
  t120332 = t819 * t120174;
  t120335 = t21225 * t120174;
  t120338 = t3402 * t120219;
  t120339 = t6390 * t120338;
  t120340 = 0.1e2 * t120339;
  t120341 = t648 * t120219;
  t120342 = t6393 * t120341;
  t120343 = 0.12e2 * t120342;
  t120344 = t1591 * t118698;
  t120346 = t3448 * t120219;
  t120347 = t6390 * t120346;
  t120348 = t120347 / 0.6e1;
  t120349 = t229 * t120219;
  t120350 = t6424 * t120349;
  t120351 = 0.9e1 * t120350;
  t120352 = t1587 * t118642;
  t120353 = 0.3e1 * t120352;
  t120354 = t3482 * t120187;
  t120355 = t9952 * t120354;
  t120356 = t120355 / 0.3e1;
  t120357 = t233 * t120234;
  t120360 = -0.3e1 * t1587 * t120326 - t6390 * t120329 / 0.3e1 + 0.9e1 * t6424 * t120332 - 0.2e2 * t6390 * t120335 + t120340 - t120343 - 0.1e2 / 0.3e1 * t120344 + t120348 - t120351 - t120353 - t120356 - 0.18e2 * t31898 * t120357 - t2138 + t2119;
  t120370 = -t120108 - 0.3e1 / 0.2e1 * t1532 * t15104 - t120112 - t120114 - t120116 - t120120 - 0.9e1 / 0.2e1 * t41476 * t15796 - 0.2e1 * t4779 * t1591 * t120123 - 0.5e1 / 0.2e1 * t120129 - t15272 + t15280 - t2089 - 0.3e1 / 0.4e1 * t10160 * t2167 + t1218 * t79075 - t30 * t59 * (t120155 + t120183 + t120226 + t120255 + t120274 + t120299 + t120325 + t120360) * t95 / 0.4e1 - t466 * t118433 / 0.2e1;
  t120375 = my_piecewise3(t2, 0, t119624 + t119656 + t119693 + t119716 + t119757 + t119786 + t119833 + t119862 + t119910 + t119946 + t119972 + t120015 + t120042 + t120070 + t120106 + t120370);
  tv4sigma3lapl0 = t3 * t120375;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 0] += tv4sigma3lapl0;

  tv4sigma3lapl1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 1] += tv4sigma3lapl1;

  tv4sigma3lapl2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 2] += tv4sigma3lapl2;

  tv4sigma3lapl3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 3] += tv4sigma3lapl3;

  tv4sigma3lapl4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 4] += tv4sigma3lapl4;

  tv4sigma3lapl5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 5] += tv4sigma3lapl5;

  tv4sigma3lapl6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 6] += tv4sigma3lapl6;

  tv4sigma3lapl7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 7] += tv4sigma3lapl7;

  tv4sigma3lapl8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 8] += tv4sigma3lapl8;

  tv4sigma3lapl9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 9] += tv4sigma3lapl9;

  tv4sigma3lapl10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 10] += tv4sigma3lapl10;

  tv4sigma3lapl11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 11] += tv4sigma3lapl11;

  tv4sigma3lapl12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 12] += tv4sigma3lapl12;

  tv4sigma3lapl13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 13] += tv4sigma3lapl13;

  tv4sigma3lapl14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 14] += tv4sigma3lapl14;

  tv4sigma3lapl15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 15] += tv4sigma3lapl15;

  tv4sigma3lapl16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 16] += tv4sigma3lapl16;

  tv4sigma3lapl17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 17] += tv4sigma3lapl17;

  tv4sigma3lapl18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 18] += tv4sigma3lapl18;

  t120376 = 0.3e1 * t118837;
  t120377 = 0.9e1 / 0.2e1 * t118839;
  t120378 = t1651 * t77450;
  t120380 = t4686 * t1661 * t2197;
  t120385 = t988 * t77106;
  t120386 = t1400 * t120385;
  t120389 = t6006 * t15952;
  t120390 = t1000 * t120389;
  t120397 = t5623 * t120385;
  t120400 = t4363 * t15298;
  t120401 = t4362 * t120400;
  t120405 = t1019 * t15298;
  t120406 = t4362 * t120405;
  t120410 = t4368 * t15298;
  t120411 = t24376 * t120410;
  t120415 = -t120376 - t120377 + t118841 + t120378 - t2189 * t120380 - t1663 * t15411 / 0.4e1 + t1663 * t15407 - 0.3e1 * t33843 * t120386 - 0.3e1 / 0.2e1 * t7100 * t120390 - t490 * t118973 / 0.2e1 + 0.9e1 / 0.2e1 * t1454 * t16067 + 0.5e1 / 0.3e1 * t33831 * t120397 + 0.36e2 * t1030 * t33952 * t120401 - 0.18e2 * t373 * t33952 * t120406 - 0.18e2 * t1030 * t34240 * t120411;
  t120416 = t168 * t77610;
  t120417 = t5549 * t120416;
  t120420 = t168 * t78535;
  t120421 = t29911 * t120420;
  t120428 = t5623 * t120389;
  t120431 = t1400 * t119490;
  t120432 = t1651 * t120431;
  t120433 = t120432 / 0.4e1;
  t120434 = t1651 * t119491;
  t120435 = t120434 / 0.2e1;
  t120438 = t1393 * t120389;
  t120441 = t5640 * t77523;
  t120444 = t1000 * t120385;
  t120447 = t5634 * t120389;
  t120450 = t5623 * t77523;
  t120453 = t29442 * t77418;
  t120456 = t1391 * t82391;
  t120458 = t4707 * t6773 * t15445;
  t120461 = -0.7e1 / 0.3e1 * t10451 * t120417 - 0.11e2 / 0.12e2 * t6824 * t120421 + t490 * t119554 / 0.12e2 + t490 * t119481 / 0.4e1 - 0.5e1 / 0.12e2 * t6752 * t120428 - t120433 - t120435 - 0.6e1 * t6921 * t77524 + 0.3e1 * t6921 * t120438 + 0.7e1 * t6752 * t120441 + 0.2e1 * t33826 * t120444 - 0.3e1 / 0.2e1 * t6752 * t120447 + 0.23e2 / 0.12e2 * t6752 * t120450 + 0.44e2 / 0.27e2 * t33899 * t120453 + t120456 - t442 * t120458 / 0.6e1;
  t120464 = t24376 * t24448 * t15298;
  t120468 = t29110 * t120385;
  t120471 = t28964 * t16105;
  t120473 = t168 * t77619;
  t120474 = t5582 * t120473;
  t120475 = t10462 * t120474;
  t120476 = 0.3e1 / 0.2e1 * t120475;
  t120477 = t4137 * t120416;
  t120490 = t10647 * t2249;
  t120491 = 0.3e1 / 0.4e1 * t120490;
  t120499 = 0.18e2 * t4395 * t34240 * t120464 - 0.38e2 / 0.9e1 * t33899 * t120468 - t6830 * t120471 - t120476 + 0.3e1 / 0.2e1 * t10462 * t120477 + 0.3e1 / 0.2e1 * t1663 * t15522 - 0.3e1 * t1663 * t15505 - 0.3e1 / 0.2e1 * t10647 * t2253 - 0.5e1 / 0.36e2 * t15424 * t35105 - t2189 * t50078 / 0.4e1 + t120491 + t2189 * t50055 - t442 * t82340 / 0.4e1 + 0.3e1 / 0.4e1 * t82345 * t457 + t78545 * t505 / 0.4e1;
  t120509 = 0.9e1 / 0.2e1 * t118921;
  t120510 = 0.9e1 * t118926;
  t120511 = 0.3e1 * t118928;
  t120512 = 0.2e1 * t118930;
  t120513 = 0.9e1 / 0.2e1 * t118933;
  t120514 = 0.9e1 / 0.2e1 * t118936;
  t120515 = 0.3e1 * t118940;
  t120517 = t1013 * t1014 * t15298;
  t120521 = t29437 * t120385;
  t120524 = t5640 * t120389;
  t120527 = 0.7e1 / 0.3e1 * t15424 * t34817 - 0.3e1 / 0.2e1 * t15424 * t34821 + 0.3e1 / 0.2e1 * t34826 * t15518 + t15429 * t6839 - t15424 * t34837 / 0.2e1 + t120509 - t120510 + t120511 + t120512 + t120513 - t120514 + t120515 - t118944 + 0.18e2 * t373 * t35072 * t120517 - 0.61e2 / 0.27e2 * t33899 * t120521 - 0.11e2 / 0.6e1 * t6752 * t120524;
  t120534 = t29442 * t77538;
  t120538 = t5623 * t5672 * t15952;
  t120551 = t29911 * t120416;
  t120554 = t5553 * t120473;
  t120555 = t10451 * t120554;
  t120556 = 0.3e1 / 0.2e1 * t120555;
  t120557 = t5549 * t120473;
  t120558 = t10457 * t120557;
  t120559 = 0.3e1 / 0.2e1 * t120558;
  t120562 = t6824 * t77904;
  t120566 = -0.9e1 * t5674 * t15964 + 0.9e1 / 0.2e1 * t30060 * t15959 - 0.43e2 / 0.9e1 * t33899 * t120534 - 0.9e1 / 0.2e1 * t6752 * t120538 + 0.47e2 / 0.3e1 * t77651 * t34713 + 0.3e1 / 0.2e1 * t6848 * t15474 + 0.9e1 / 0.2e1 * t1454 * t15949 - 0.28e2 * t77071 * t19823 - 0.9e1 * t1454 * t15944 + 0.3e1 * t10457 * t120551 + t120556 - t120559 - 0.4e1 / 0.3e1 * t6824 * t77933 - 0.5e1 / 0.3e1 * t120562 + t15429 * t6873 / 0.2e1;
  t120569 = t2178 * t10656;
  t120570 = t120569 / 0.4e1;
  t120575 = 0.3e1 / 0.2e1 * t118946;
  t120577 = t346 * t348 * t15298;
  t120588 = t1393 * t120385;
  t120591 = t29442 * t120385;
  t120594 = t5591 * t120473;
  t120595 = t10451 * t120594;
  t120596 = 0.3e1 * t120595;
  t120600 = -0.2e1 * t15429 * t6843 - t120570 - t490 * t77514 / 0.12e2 - t15532 * t1658 / 0.2e1 + t120575 - 0.6e1 * t373 * t34735 * t120577 - 0.3e1 / 0.2e1 * t373 * t1703 * t118963 + 0.9e1 * t5674 * t16036 + 0.12e2 * t33843 * t78492 - 0.6e1 * t33843 * t120588 - 0.35e2 / 0.108e3 * t33899 * t120591 + t120596 - t15296 + t15297 + t1391 * t82415 - 0.3e1 / 0.4e1 * t9710 * t2398;
  t120606 = 0.9e1 * t119055;
  t120607 = 0.9e1 * t119058;
  t120608 = 0.3e1 / 0.4e1 * t119061;
  t120611 = t5587 * t120416;
  t120614 = t30214 * t120420;
  t120617 = t24962 * t78535;
  t120621 = t4376 * t77619;
  t120623 = t5559 * t6988 * t120621;
  t120624 = 0.9e1 * t120623;
  t120625 = t24794 * t77610;
  t120629 = t4396 * t77619;
  t120631 = t10506 * t6988 * t120629;
  t120632 = 0.9e1 / 0.2e1 * t120631;
  t120633 = t119116 / 0.4e1;
  t120634 = -0.3e1 / 0.2e1 * t9710 * t2395 + t490 * t118959 / 0.2e1 + t119016 + t120606 - t120607 + t120608 - t119085 + 0.11e2 / 0.3e1 * t6824 * t78537 - 0.14e2 / 0.3e1 * t10451 * t120611 - 0.11e2 / 0.6e1 * t6824 * t120614 + 0.11e2 / 0.2e1 * t5540 * t1720 * t120617 - t120624 - 0.9e1 * t10506 * t6988 * t120625 + t120632 - t119112 - t120633;
  t120635 = t29437 * t77418;
  t120638 = t1013 * t120405;
  t120642 = t9351 * t16922;
  t120643 = t120642 / 0.2e1;
  t120644 = t44936 * t2337;
  t120645 = t1400 * t120644;
  t120648 = t1000 * t120644;
  t120653 = t4686 * t15978;
  t120656 = t6773 * t15982;
  t120657 = t1400 * t120656;
  t120658 = t1391 * t120657;
  t120659 = t120658 / 0.4e1;
  t120660 = t1663 * t15417;
  t120661 = t120660 / 0.2e1;
  t120662 = t29555 * t120385;
  t120666 = t987 * t6773 * t15486;
  t120671 = 0.3e1 * t119139;
  t120672 = -t119120 + t119132 - t2180 + 0.89e2 / 0.9e1 * t33899 * t120635 - 0.18e2 * t1030 * t35072 * t120638 + t120643 - t1651 * t120645 / 0.4e1 + t1644 * t120648 / 0.2e1 + t490 * t119474 / 0.4e1 + t2189 * t120653 / 0.4e1 - t120659 - t120661 - 0.2e1 * t33899 * t120662 + t442 * t120666 / 0.12e2 - t2184 * t15979 / 0.3e1 + t120671;
  t120676 = 0.3e1 / 0.4e1 * t119142;
  t120677 = 0.9e1 / 0.2e1 * t119163;
  t120678 = 0.3e1 / 0.2e1 * t119461;
  t120679 = t119471 / 0.2e1;
  t120680 = 0.7e1 * t119484;
  t120681 = 0.9e1 / 0.2e1 * t119488;
  t120682 = 0.11e2 / 0.6e1 * t119494;
  t120683 = 0.23e2 / 0.12e2 * t119496;
  t120684 = t24823 * t78535;
  t120688 = t120676 - t119158 + t119159 + t120677 - t120678 + t120679 + t120680 + t120681 - t119492 - t120682 + t120683 - 0.11e2 / 0.2e1 * t5559 * t1720 * t120684 - t119507 - t15416 - t119509;
  t120689 = t9306 * t17175;
  t120690 = t120689 / 0.2e1;
  t120691 = t1393 * t120644;
  t120694 = t6848 * t15469;
  t120695 = 0.3e1 / 0.2e1 * t120694;
  t120696 = t1454 * t16020;
  t120697 = 0.3e1 / 0.2e1 * t120696;
  t120701 = t4162 * t15978;
  t120704 = t5674 * t16023;
  t120705 = 0.3e1 / 0.2e1 * t120704;
  t120710 = t1663 * t15547;
  t120711 = 0.3e1 / 0.2e1 * t120710;
  t120712 = t1000 * t119490;
  t120713 = t1644 * t120712;
  t120714 = t120713 / 0.2e1;
  t120715 = t1400 * t120389;
  t120718 = t10457 * t78519;
  t120719 = 0.7e1 * t120718;
  t120726 = -t120690 - t1651 * t120691 / 0.2e1 - t120695 - t120697 - t373 * t1703 * t119526 / 0.4e1 + t2189 * t120701 / 0.2e1 - t120705 - 0.3e1 / 0.2e1 * t44508 * t2390 - 0.3e1 / 0.2e1 * t1663 * t15458 + t120711 + t120714 + 0.3e1 / 0.2e1 * t6921 * t120715 + t120719 + 0.3e1 * t6848 * t15525 - t2189 * t50051 / 0.2e1 - 0.11e2 / 0.18e2 * t15424 * t34795;
  t120740 = t1182 * t77931;
  t120744 = t356 * t77619;
  t120746 = t5540 * t7010 * t120744;
  t120747 = 0.9e1 / 0.2e1 * t120746;
  t120748 = t1182 * t77610;
  t120752 = 0.23e2 / 0.36e2 * t15424 * t34798 + 0.3e1 / 0.2e1 * t10647 * t2261 - 0.3e1 / 0.2e1 * t50014 * t2245 + 0.3e1 / 0.2e1 * t1663 * t15515 - 0.3e1 * t6848 * t15501 + t2184 * t10656 / 0.2e1 - t15986 - t15990 + t16006 + t16017 - t16022 - t16025 + t16034 + 0.3e1 / 0.2e1 * t5540 * t1716 * t120740 + t120747 - 0.9e1 / 0.2e1 * t5540 * t7010 * t120748;
  t120753 = t4543 * t78535;
  t120762 = t10451 * t77918;
  t120763 = 0.6e1 * t120762;
  t120764 = 0.3e1 * t119518;
  t120765 = t4549 * t77931;
  t120769 = t4549 * t77902;
  t120771 = t5540 * t1720 * t120769;
  t120777 = t4549 * t77610;
  t120781 = t24376 * t120400;
  t120790 = t24376 * t24377 * t15298;
  t120796 = -0.3e1 * t5540 * t1716 * t120753 + 0.3e1 / 0.2e1 * t5540 * t494 * t119105 + t2251 + 0.9e1 / 0.2e1 * t45074 * t16102 - t120763 - t120764 - 0.2e1 * t5540 * t1720 * t120765 - 0.5e1 / 0.2e1 * t120771 - 0.14e2 * t44815 * t51752 - 0.9e1 / 0.2e1 * t44886 * t16047 + 0.14e2 * t5540 * t6984 * t120777 + 0.6e1 * t373 * t34240 * t120781 - 0.62e2 / 0.3e1 * t33899 * t77665 + 0.8e1 * t33899 * t77108 - 0.6e1 * t25375 * t34240 * t120790 + 0.3e1 / 0.2e1 * t1454 * t16062;
  t120801 = t1454 * t16015;
  t120802 = 0.3e1 / 0.2e1 * t120801;
  t120803 = t1663 * t15414;
  t120804 = 0.3e1 / 0.2e1 * t120803;
  t120809 = t10457 * t77621;
  t120810 = 0.9e1 / 0.2e1 * t120809;
  t120811 = t4408 * t77619;
  t120813 = t5540 * t6988 * t120811;
  t120814 = 0.9e1 / 0.2e1 * t120813;
  t120815 = 0.3e1 / 0.2e1 * t119523;
  t120816 = t6824 * t119141;
  t120818 = t4408 * t77902;
  t120820 = t5559 * t1720 * t120818;
  t120822 = t4408 * t77931;
  t120826 = t1034 * t77619;
  t120828 = t5559 * t6984 * t120826;
  t120829 = 0.9e1 * t120828;
  t120833 = t5540 * t1716 * t118938;
  t120834 = 0.3e1 / 0.2e1 * t120833;
  t120835 = 0.3e1 / 0.2e1 * t9710 * t2403 + t120802 - t120804 - 0.3e1 / 0.4e1 * t10647 * t2258 + 0.9e1 * t10457 * t77612 - t120810 + t120814 + t120815 + 0.5e1 / 0.12e2 * t120816 + 0.5e1 / 0.2e1 * t120820 + 0.2e1 * t5559 * t1720 * t120822 + t120829 + 0.3e1 * t44886 * t16100 + t120834 + t119537;
  t120836 = t119538 / 0.2e1;
  t120837 = 0.5e1 / 0.12e2 * t119539;
  t120838 = t4408 * t77610;
  t120842 = t24848 * t77610;
  t120846 = t6830 * t118943;
  t120847 = t120846 / 0.2e1;
  t120848 = t168 * t77931;
  t120849 = t4137 * t120848;
  t120854 = t1093 * t77619;
  t120856 = t5540 * t6984 * t120854;
  t120857 = 0.9e1 * t120856;
  t120858 = t78130 * t439;
  t120859 = t1203 * t120858;
  t120862 = t81948 * t439;
  t120863 = t1190 * t120862;
  t120864 = t10388 * t120863;
  t120865 = 0.18e2 * t120864;
  t120866 = t1190 * t120858;
  t120869 = t4624 * t120862;
  t120870 = t10388 * t120869;
  t120871 = 0.2e1 * t120870;
  t120872 = 0.12e2 * t119172;
  t120873 = t15319 * t439;
  t120874 = t24962 * t120873;
  t120877 = t15862 * t2196;
  t120878 = t24823 * t120877;
  t120881 = t4549 * t119384;
  t120882 = t1720 * t120881;
  t120884 = t119188 / 0.6e1;
  t120885 = 0.22e2 * t34459 * t120859 + t120865 - 0.11e2 / 0.3e1 * t34459 * t120866 - t120871 - t15308 + t15310 + t15362 + t119168 - t120872 - 0.11e2 * t1720 * t120874 + 0.18e2 * t6988 * t120878 + 0.5e1 * t120882 + t120884;
  t120886 = 0.18e2 * t119205;
  t120887 = 0.1e2 * t119207;
  t120888 = 0.9e1 * t119217;
  t120889 = 0.9e1 * t119304;
  t120890 = t143 * t15298;
  t120891 = t24958 * t120890;
  t120894 = t4376 * t120890;
  t120897 = t4549 * t120877;
  t120900 = t120886 + t120887 - t120888 + t119297 - t120889 - t119307 - 0.4e1 / 0.3e1 * t34488 * t120891 + 0.8e1 * t34493 * t120894 - 0.28e2 * t6984 * t120897 - t119320 - t119323 + t119330 - t15890 + t15902;
  t120902 = t140 * t15298;
  t120903 = t4376 * t120902;
  t120906 = t1093 * t120902;
  t120909 = t4408 * t120902;
  t120912 = t4396 * t120902;
  t120915 = t1034 * t120902;
  t120920 = t24958 * t120902;
  t120923 = t24794 * t120902;
  t120926 = t24848 * t120902;
  t120929 = t9638 * t2181;
  t120930 = t1190 * t120929;
  t120933 = t1203 * t120929;
  t120936 = t4624 * t120929;
  t120939 = t78137 * t439;
  t120940 = t1203 * t120939;
  t120943 = -t15905 - 0.4e2 * t34493 * t120903 - 0.36e2 * t34501 * t120906 + 0.36e2 * t34493 * t120909 - 0.2e1 / 0.3e1 * t34493 * t120912 + 0.24e2 * t34501 * t120915 + t494 * t119293 / 0.2e1 + 0.1e2 / 0.3e1 * t34488 * t120920 + 0.5e2 / 0.3e1 * t34488 * t120923 - 0.12e2 * t34488 * t120926 - 0.36e2 * t34450 * t120930 + 0.56e2 * t34443 * t120933 + 0.4e1 * t34450 * t120936 - 0.8e1 * t6969 * t120940;
  t120944 = t360 * t120929;
  t120947 = t360 * t120858;
  t120950 = t360 * t119355;
  t120951 = t6966 * t120950;
  t120952 = 0.6e1 * t120951;
  t120953 = t360 * t120862;
  t120954 = t10418 * t120953;
  t120955 = 0.18e2 * t120954;
  t120958 = t1190 * t120939;
  t120961 = t360 * t120939;
  t120964 = t4633 * t120929;
  t120967 = t1190 * t119355;
  t120968 = t6969 * t120967;
  t120970 = t4633 * t120862;
  t120971 = t10388 * t120970;
  t120972 = t120971 / 0.3e1;
  t120973 = t10408 * t120863;
  t120974 = 0.6e1 * t120973;
  t120977 = t1203 * t120862;
  t120978 = t10408 * t120977;
  t120979 = 0.36e2 * t120978;
  t120980 = t6969 * t119356;
  t120982 = -0.18e2 * t34538 * t120944 - 0.12e2 * t34634 * t120947 + t120952 + t120955 + 0.6e1 * t10396 * t119341 + 0.4e1 / 0.3e1 * t6969 * t120958 + 0.6e1 * t6966 * t120961 + 0.2e1 / 0.3e1 * t34450 * t120964 + 0.5e1 / 0.3e1 * t120968 - t120972 + t120974 - 0.28e2 / 0.3e1 * t34443 * t120930 - t120979 - 0.1e2 * t120980;
  t120985 = t1034 * t120890;
  t120988 = t4543 * t120873;
  t120991 = t4408 * t120890;
  t120994 = t24794 * t120890;
  t120997 = t24848 * t120890;
  t121000 = t15357 * t439;
  t121001 = t4549 * t121000;
  t121004 = t15928 * t439;
  t121005 = t4408 * t121004;
  t121006 = t6988 * t121005;
  t121007 = 0.9e1 * t121006;
  t121008 = t356 * t120902;
  t121013 = 0.3e1 * t119338;
  t121014 = -0.12e2 * t34501 * t120985 + 0.6e1 * t1716 * t120988 - 0.72e2 * t34493 * t120991 + 0.8e1 / 0.3e1 * t34488 * t120994 + 0.24e2 * t34488 * t120997 + 0.4e1 * t1720 * t121001 - t121007 + 0.12e2 * t34518 * t121008 + 0.3e1 * t494 * t119314 + t15378 - t15383 - t119333 - t15386 + t121013;
  t121015 = 0.12e2 * t119344;
  t121016 = 0.18e2 * t119357;
  t121017 = t4376 * t121004;
  t121018 = t6988 * t121017;
  t121019 = 0.1e2 * t121018;
  t121020 = t24794 * t120877;
  t121023 = t4408 * t119384;
  t121024 = t1720 * t121023;
  t121027 = t1034 * t121004;
  t121028 = t6984 * t121027;
  t121029 = 0.12e2 * t121028;
  t121030 = t1093 * t121004;
  t121031 = t6984 * t121030;
  t121032 = 0.18e2 * t121031;
  t121033 = t1093 * t120890;
  t121036 = t24848 * t120877;
  t121039 = t356 * t120890;
  t121044 = 0.2e1 * t119369;
  t121045 = 0.36e2 * t119375;
  t121046 = t121015 - t121016 + t121019 - t6988 * t121020 / 0.3e1 - 0.1e2 / 0.3e1 * t121024 - t494 * t119408 - t121029 + t121032 + 0.72e2 * t34501 * t121033 - 0.2e2 * t6988 * t121036 - 0.24e2 * t34518 * t121039 - 0.6e1 * t494 * t119366 - t121044 - t121045;
  t121048 = 0.9e1 * t119377;
  t121049 = 0.6e1 * t119386;
  t121050 = t119395 / 0.3e1;
  t121051 = 0.6e1 * t119400;
  t121052 = 0.6e1 * t119413;
  t121053 = 0.18e2 * t119419;
  t121054 = 0.18e2 * t119422;
  t121055 = t1182 * t120877;
  t121058 = t356 * t121004;
  t121059 = t7010 * t121058;
  t121060 = 0.9e1 * t121059;
  t121061 = t4408 * t121000;
  t121064 = t4396 * t121004;
  t121065 = t6988 * t121064;
  t121066 = t121065 / 0.6e1;
  t121067 = t24930 * t120890;
  t121070 = t121048 - t121049 - t121050 - t121051 + t121052 - t119416 + t121053 + t121054 + t119425 + 0.9e1 * t7010 * t121055 - t121060 - 0.8e1 / 0.3e1 * t1720 * t121061 + t121066 - t34488 * t121067 / 0.9e1;
  t121073 = t24823 * t120873;
  t121076 = t4396 * t120890;
  t121079 = t1716 * t119385;
  t121080 = 0.3e1 * t121079;
  t121081 = t1182 * t121000;
  t121084 = t4408 * t120877;
  t121087 = -0.3e1 * t494 * t119389 + 0.22e2 / 0.3e1 * t1720 * t121073 + 0.4e1 / 0.3e1 * t34493 * t121076 - t121080 - 0.3e1 * t1716 * t121081 + 0.56e2 / 0.3e1 * t6984 * t121084 + t119433 - t119436 + t119445 - t15930 + t15933 + t15935 - t2229 + t2210;
  t121098 = t987 * t50855 * t2197;
  t121101 = t2178 * t15979;
  t121102 = t121101 / 0.6e1;
  t121103 = -t120836 - t120837 + t15451 + t119542 - t15455 - t15471 - 0.14e2 * t5559 * t6984 * t120838 + 0.18e2 * t5559 * t6988 * t120842 - t120847 - t6830 * t120849 / 0.2e1 + 0.28e2 / 0.3e1 * t10451 * t77868 - t120857 - t110 * t139 * (t120885 + t120900 + t120943 + t120982 + t121014 + t121046 + t121070 + t121087) * t168 / 0.4e1 - 0.3e1 / 0.4e1 * t1454 * t16010 + t442 * t121098 / 0.4e1 + t121102;
  t121107 = t5634 * t120385;
  t121110 = t5623 * t77418;
  t121113 = t5640 * t120385;
  t121116 = t4362 * t120410;
  t121122 = 0.3e1 / 0.2e1 * t119557;
  t121123 = 0.3e1 * t119564;
  t121124 = 0.6e1 * t119566;
  t121125 = 0.3e1 / 0.2e1 * t119568;
  t121126 = t1663 * t15442 / 0.2e1 + 0.6e1 * t33831 * t121107 - 0.23e2 / 0.3e1 * t33831 * t121110 + 0.22e2 / 0.3e1 * t33831 * t121113 - 0.18e2 * t4395 * t33952 * t121116 + 0.18e2 * t33831 * t77539 + t119550 - t121122 - t119562 - t121123 - t121124 - t121125 + t15536 - t15544 + t16075 - t16082;
  t121127 = t24823 * t77610;
  t121133 = t9270 * t120420;
  t121135 = t5549 * t120848;
  t121138 = t29498 * t120416;
  t121141 = t44807 * t16105;
  t121144 = t10458 * t120473;
  t121145 = t10457 * t121144;
  t121146 = 0.5e1 / 0.12e2 * t121145;
  t121149 = t5587 * t120848;
  t121152 = t5587 * t118942;
  t121153 = t6824 * t121152;
  t121155 = t46095 * t16105;
  t121158 = t10458 * t77917;
  t121159 = t10457 * t121158;
  t121160 = 0.23e2 / 0.12e2 * t121159;
  t121161 = t29498 * t77867;
  t121164 = t29517 * t120416;
  t121167 = t10485 * t120473;
  t121168 = t10457 * t121167;
  t121169 = 0.11e2 / 0.6e1 * t121168;
  t121170 = -0.9e1 * t5540 * t6988 * t121127 - t6827 * t119145 / 0.2e1 + t6830 * t121133 + t6824 * t121135 / 0.3e1 + 0.5e1 / 0.6e1 * t10457 * t121138 + 0.3e1 / 0.4e1 * t6824 * t121141 - t121146 + t15549 - 0.3e1 * t6824 * t77891 + 0.2e1 / 0.3e1 * t6824 * t121149 + 0.5e1 / 0.6e1 * t121153 + 0.3e1 / 0.2e1 * t6824 * t121155 + t121160 - 0.23e2 / 0.6e1 * t10457 * t121161 + 0.11e2 / 0.3e1 * t10457 * t121164 - t121169;
  t121175 = my_piecewise3(t100, 0, t120415 + t120461 + t120499 + t120527 + t120566 + t120600 + t120634 + t120672 + t120688 + t120726 + t120752 + t120796 + t120835 + t121103 + t121126 + t121170);
  tv4sigma3lapl19 = t3 * t121175;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 19] += tv4sigma3lapl19;

  t121180 = t4779 * t7610 * t119894;
  t121181 = 0.9e1 / 0.2e1 * t121180;
  t121184 = t11008 * t75762;
  t121185 = 0.9e1 / 0.2e1 * t121184;
  t121186 = t25657 * t16309;
  t121203 = t4738 * t1847 * t119608;
  t121211 = t253 * t83656;
  t121212 = t4754 * t121211;
  t121213 = t4753 * t121212;
  t121214 = t121213 / 0.2e1;
  t121219 = t8776 * t17213;
  t121220 = t121219 / 0.2e1;
  t121221 = 0.3e1 / 0.2e1 * t4748 * t83291 * t15054 + t121181 + 0.9e1 * t11008 * t75794 - t121185 + t4789 * t121186 / 0.4e1 + t3123 * t11151 * t15044 / 0.2e1 - 0.11e2 / 0.2e1 * t4738 * t1847 * t119957 + 0.3e1 / 0.2e1 * t11143 * t119669 - 0.11e2 / 0.12e2 * t7216 * t119961 - t7581 * t118254 / 0.2e1 + t7746 * t119682 + 0.5e1 / 0.2e1 * t121203 + 0.2e1 * t4738 * t1847 * t119612 - 0.9e1 / 0.2e1 * t4779 * t7610 * t119890 - t121214 - 0.9e1 * t1293 * t16253 - 0.28e2 * t75246 * t35376 + t121220;
  t121222 = t2087 * t16276;
  t121223 = t121222 / 0.6e1;
  t121228 = t1293 * t16187;
  t121229 = 0.3e1 / 0.2e1 * t121228;
  t121255 = t121223 - 0.3e1 / 0.4e1 * t10974 * t2167 + t515 * t118398 / 0.12e2 + t121229 + 0.23e2 / 0.36e2 * t15239 * t35570 + t2098 * t54386 + 0.3e1 / 0.2e1 * t9070 * t2453 - t118084 + 0.23e2 / 0.36e2 * t15239 * t36136 + t2098 * t52155 - 0.11e2 / 0.18e2 * t15239 * t37322 - t2098 * t52165 / 0.2e1 - 0.2e1 * t15247 * t7457 + t15247 * t7453 + t2093 * t10969 / 0.2e1 - 0.5e1 / 0.36e2 * t15239 * t37227 - t515 * t75925 / 0.12e2 + 0.11e2 / 0.3e1 * t7216 * t75135 - 0.11e2 / 0.6e1 * t7216 * t119990;
  t121260 = t4779 * t7595 * t120117;
  t121261 = 0.9e1 * t121260;
  t121265 = t1748 * t120104;
  t121275 = t660 * t52585 * t2106;
  t121278 = t8783 * t17218;
  t121279 = t121278 / 0.4e1;
  t121287 = t4748 * t11121 * t15124;
  t121288 = 0.3e1 / 0.2e1 * t121287;
  t121289 = t11086 * t75075;
  t121290 = 0.6e1 * t121289;
  t121295 = t3123 * t83652 * t2166;
  t121296 = t121295 / 0.2e1;
  t121302 = -0.9e1 / 0.2e1 * t41476 * t16320 - t121261 + 0.18e2 * t4738 * t7599 * t119866 + t121265 - t2098 * t54382 / 0.2e1 - 0.11e2 / 0.18e2 * t15239 * t35573 + 0.9e1 / 0.2e1 * t1293 * t16256 + 0.47e2 / 0.3e1 * t75182 * t35903 + t417 * t121275 / 0.4e1 - t121279 - 0.2e1 * t15247 * t7175 - 0.3e1 / 0.2e1 * t5073 * t16247 - 0.5e1 / 0.36e2 * t15239 * t37361 - t121288 - t121290 - 0.9e1 * t4779 * t7599 * t119874 - t121296 - t3123 * t11151 * t15111 / 0.4e1 - 0.3e1 / 0.4e1 * t25662 * t16317;
  t121304 = t3123 * t11158 * t15801;
  t121305 = 0.3e1 / 0.2e1 * t121304;
  t121312 = t7746 * t118536;
  t121313 = t121312 / 0.2e1;
  t121316 = t11143 * t119801;
  t121317 = 0.3e1 / 0.2e1 * t121316;
  t121318 = t1293 * t16222;
  t121319 = 0.3e1 / 0.4e1 * t121318;
  t121338 = t1787 * t120052;
  t121339 = t121338 / 0.2e1;
  t121340 = -t121305 + t3123 * t83150 * t2166 - 0.14e2 * t4738 * t7595 * t119858 - t119708 - t7746 * t119664 - t121313 - t7746 * t119905 / 0.2e1 - t121317 + t121319 - 0.3e1 / 0.4e1 * t9070 * t2450 - 0.3e1 / 0.2e1 * t9070 * t2447 + 0.9e1 * t5073 * t16214 - t2093 * t16276 / 0.3e1 - 0.3e1 / 0.2e1 * t7307 * t120020 - 0.3e1 * t35564 * t119599 - t515 * t118433 / 0.2e1 + 0.3e1 / 0.2e1 * t1293 * t16208 + 0.9e1 / 0.2e1 * t1293 * t16211 + t121339;
  t121343 = t1748 * t118546;
  t121344 = t121343 / 0.2e1;
  t121346 = t660 * t7198 * t15089;
  t121350 = t4738 * t7599 * t119870;
  t121351 = 0.9e1 * t121350;
  t121357 = t11008 * t75817;
  t121358 = 0.7e1 * t121357;
  t121360 = t4779 * t7599 * t119588;
  t121361 = 0.9e1 / 0.2e1 * t121360;
  t121364 = t1891 * t15115;
  t121365 = 0.3e1 / 0.2e1 * t121364;
  t121366 = -t121344 + t417 * t121346 / 0.12e2 + t119710 - t118203 + t118208 + t119711 + t119712 - t121351 + 0.14e2 * t4779 * t7595 * t119837 + t119713 - 0.38e2 / 0.9e1 * t35538 * t119917 + t121358 - t119737 + t121361 - 0.14e2 / 0.3e1 * t11086 * t119738 + t119741 - t119742 - t119743 - t121365;
  t121367 = t1891 * t15118;
  t121368 = t121367 / 0.2e1;
  t121371 = t5073 * t16193;
  t121372 = 0.3e1 / 0.2e1 * t121371;
  t121377 = t1777 * t15129;
  t121398 = t4779 * t1847 * t120127;
  t121400 = -t121368 - 0.3e1 / 0.2e1 * t42538 * t2444 - t121372 + 0.7e1 / 0.3e1 * t15239 * t36528 - 0.3e1 / 0.2e1 * t15239 * t36525 + 0.3e1 / 0.2e1 * t3680 * t121377 * t3681 - 0.3e1 * t644 * t121377 * t3685 + 0.3e1 / 0.2e1 * t246 * t121377 * t3660 + t1891 * t15108 - t417 * t84096 / 0.4e1 + 0.3e1 / 0.4e1 * t9070 * t2462 - 0.3e1 / 0.2e1 * t1293 * t16203 - t119772 + t119773 - t119774 + t119775 + t119776 - 0.2e1 * t4779 * t1847 * t120123 - 0.5e1 / 0.2e1 * t121398;
  t121428 = t11008 * t119817;
  t121429 = 0.3e1 / 0.2e1 * t121428;
  t121430 = -0.14e2 * t41145 * t52700 - 0.3e1 / 0.2e1 * t3123 * t83291 * t15103 - 0.3e1 / 0.4e1 * t1293 * t16184 - t15261 * t1779 / 0.2e1 + t515 * t118471 / 0.4e1 - 0.6e1 * t35564 * t119731 + t1891 * t15045 / 0.2e1 + 0.12e2 * t35564 * t75704 + 0.18e2 * t246 * t35601 * t119763 - 0.6e1 * t246 * t35304 * t120059 + t15247 * t7171 - t119784 + t118326 + t118329 - t119785 + t118409 - t118415 + 0.3e1 * t11008 * t119814 - t121429;
  t121431 = t2087 * t10894;
  t121432 = t121431 / 0.4e1;
  t121438 = t1891 * t15215;
  t121439 = 0.3e1 / 0.2e1 * t121438;
  t121444 = t7462 * t15125;
  t121445 = 0.3e1 / 0.2e1 * t121444;
  t121446 = t16189 - t16192 - t16195 + t16224 - t16226 + t15097 + t118426 - t15101 - t15117 - t118429 - t15127 + t2160 - t121432 + 0.3e1 / 0.2e1 * t7250 * t120055 - t246 * t1769 * t118417 / 0.4e1 + t121439 - 0.3e1 / 0.2e1 * t1891 * t15104 + 0.3e1 / 0.2e1 * t7462 * t15055 - t121445;
  t121451 = t3250 * t1889 * t2106;
  t121454 = t4738 * t7595 * t119602;
  t121455 = 0.9e1 * t121454;
  t121457 = t4760 * t3121 * t16308;
  t121460 = t3123 * t11121 * t15791;
  t121461 = 0.3e1 / 0.2e1 * t121460;
  t121466 = t9873 * t7599 * t119968;
  t121467 = 0.9e1 / 0.2e1 * t121466;
  t121468 = t41482 * t16310;
  t121469 = t121468 / 0.6e1;
  t121487 = -t2098 * t121451 + t121455 - t41438 * t121457 + t16280 - t16284 - t16288 + t16299 + t121461 - 0.9e1 * t9873 * t7599 * t119964 + t121467 + t121469 + 0.28e2 / 0.3e1 * t11086 * t75445 - t15261 * t1886 / 0.2e1 - 0.3e1 * t1891 * t15283 + 0.3e1 * t7462 * t15256 + 0.3e1 / 0.2e1 * t1891 * t15219 + t15247 * t7441 / 0.2e1 - t2098 * t54253 / 0.4e1 - 0.18e2 * t644 * t35601 * t120085;
  t121492 = t1218 * t83196;
  t121493 = t7198 * t15598;
  t121494 = t1220 * t121493;
  t121495 = t1218 * t121494;
  t121496 = t121495 / 0.2e1;
  t121497 = t3172 * t16275;
  t121505 = t10836 * t120289;
  t121506 = 0.18e2 * t121505;
  t121507 = t7586 * t118598;
  t121508 = 0.6e1 * t121507;
  t121509 = t10841 * t120191;
  t121510 = 0.36e2 * t121509;
  t121511 = t7584 * t118676;
  t121519 = t7584 * t118651;
  t121521 = t10846 * t120354;
  t121522 = t121521 / 0.3e1;
  t121527 = t120134 - 0.18e2 * t36949 * t120357 + t121506 + t121508 - t121510 - 0.1e2 * t121511 + 0.6e1 * t7586 * t120260 + 0.6e1 * t10828 * t118594 + 0.4e1 / 0.3e1 * t7584 * t120247 + 0.5e1 / 0.3e1 * t121519 - t121522 + 0.2e1 / 0.3e1 * t36958 * t120263 - 0.12e2 * t36952 * t120293;
  t121542 = 0.22e2 * t37040 * t120240 + t120135 - t120136 - t120137 + t120138 - 0.12e2 * t36901 * t120311 + 0.36e2 * t36878 * t120308 - 0.4e2 * t36878 * t120156 + 0.5e2 / 0.3e1 * t36901 * t120314 - 0.36e2 * t36922 * t120305 + t16122 - t16125 + t16129 - 0.36e2 * t36958 * t120235;
  t121550 = t10846 * t120196;
  t121551 = 0.2e1 * t121550;
  t121556 = t10841 * t120188;
  t121557 = 0.6e1 * t121556;
  t121558 = 0.56e2 * t36961 * t120252 + 0.4e1 * t36958 * t120243 + t120143 + 0.12e2 * t36931 * t120149 + t120144 - t120145 + t120146 - t120147 - t15158 - t120159 - t121551 - 0.8e1 * t7584 * t120296 - 0.28e2 / 0.3e1 * t36961 * t120235 + t121557;
  t121561 = t10846 * t120188;
  t121562 = 0.18e2 * t121561;
  t121573 = -0.11e2 / 0.3e1 * t37040 * t120140 + t121562 + t519 * t118781 / 0.2e1 - 0.2e1 / 0.3e1 * t36878 * t120203 + 0.24e2 * t36922 * t120152 + 0.1e2 / 0.3e1 * t36901 * t120206 + 0.3e1 * t519 * t118772 - t118692 - t16164 + t16171 - t16173 + t118697 - t120233 + t15169;
  t121582 = t7595 * t120341;
  t121583 = 0.12e2 * t121582;
  t121584 = t1847 * t118698;
  t121588 = t7599 * t120338;
  t121589 = 0.1e2 * t121588;
  t121590 = t118707 + t15172 - t118715 + t118717 + t118721 + 0.18e2 * t7599 * t120266 + 0.8e1 * t36878 * t120171 - 0.4e1 / 0.3e1 * t36901 * t120168 - t121583 - 0.1e2 / 0.3e1 * t121584 - t7599 * t120329 / 0.3e1 + t121589 + t120272 + t120273;
  t121605 = t118742 - t118744 - t118750 - t120275 - t118779 - t120292 + t118792 + 0.8e1 / 0.3e1 * t36901 * t120286 + 0.6e1 * t1843 * t120216 - 0.12e2 * t36922 * t120212 - 0.11e2 * t1847 * t120227 + 0.24e2 * t36901 * t120277 - 0.6e1 * t519 * t118655 - 0.24e2 * t36931 * t120161;
  t121618 = t7595 * t120220;
  t121619 = 0.18e2 * t121618;
  t121622 = t1847 * t120180;
  t121626 = t7599 * t120223;
  t121627 = 0.9e1 * t121626;
  t121630 = -0.28e2 * t7595 * t120209 - 0.72e2 * t36878 * t120283 - t519 * t118665 - 0.8e1 / 0.3e1 * t1847 * t120165 - t120301 + t120302 - 0.3e1 * t1843 * t120326 + 0.56e2 / 0.3e1 * t7595 * t120175 + t121619 + 0.4e1 * t1847 * t120230 + 0.5e1 * t121622 - 0.2e2 * t7599 * t120335 - t121627 + 0.72e2 * t36922 * t120269;
  t121637 = t7610 * t120349;
  t121638 = 0.9e1 * t121637;
  t121639 = t1843 * t118642;
  t121640 = 0.3e1 * t121639;
  t121645 = t7599 * t120346;
  t121646 = t121645 / 0.6e1;
  t121647 = -0.3e1 * t519 * t118646 + 0.22e2 / 0.3e1 * t1847 * t120317 + 0.9e1 * t7610 * t120332 - t121638 - t121640 - t36901 * t120280 / 0.9e1 + 0.4e1 / 0.3e1 * t36878 * t120320 + t121646 - t118812 - t15180 + t15182 - t15195 - t2138 + t2119;
  t121657 = t8642 * t253 * t543 * t15042;
  t121661 = t3139 * t7198 * t15048;
  t121670 = t1748 * t120039;
  t121671 = t121670 / 0.4e1;
  t121672 = 0.2e1 * t35332 * t119777 + t515 * t118529 / 0.2e1 + t121492 - t121496 + t2098 * t121497 / 0.2e1 + t1748 * t1227 * t9068 * t2266 - t30 * t59 * (t121527 + t121542 + t121558 + t121573 + t121590 + t121605 + t121630 + t121647) * t95 / 0.4e1 + t119948 + t119949 - t119950 - t119951 - t119952 - t119953 - t4789 * t121657 / 0.6e1 - t417 * t121661 / 0.6e1 + 0.7e1 * t7187 * t119830 - 0.3e1 / 0.2e1 * t7187 * t119914 - 0.35e2 / 0.108e3 * t35538 * t120073 - t121671;
  t121682 = t1777 * t15133;
  t121715 = -0.5e1 / 0.12e2 * t7187 * t120043 + 0.3e1 / 0.2e1 * t1293 * t16250 + t2093 * t10894 / 0.2e1 + t15247 * t7316 / 0.2e1 - 0.3e1 * t246 * t121682 * t3508 - 0.18e2 * t3680 * t35608 * t119727 - t1748 * t120036 / 0.4e1 + t515 * t118467 / 0.4e1 + t1787 * t120049 / 0.2e1 + 0.5e1 / 0.3e1 * t35547 * t120046 + 0.44e2 / 0.27e2 * t35538 * t119734 - 0.61e2 / 0.27e2 * t35538 * t119748 + 0.23e2 / 0.12e2 * t7187 * t120079 - 0.11e2 / 0.6e1 * t7187 * t120076 - t1891 * t15112 / 0.4e1 - 0.6e1 * t7250 * t76199 - 0.23e2 / 0.3e1 * t35547 * t120082 + 0.3e1 * t7250 * t120012 + 0.22e2 / 0.3e1 * t35547 * t120030;
  t121716 = t1293 * t16190;
  t121717 = 0.3e1 / 0.2e1 * t121716;
  t121723 = t3130 * t253 * t543 * t15088;
  t121726 = t4760 * t16309;
  t121729 = t4770 * t16309;
  t121740 = t7216 * t118259;
  t121742 = t11008 * t119902;
  t121743 = 0.5e1 / 0.12e2 * t121742;
  t121744 = t11086 * t119806;
  t121745 = 0.3e1 / 0.2e1 * t121744;
  t121746 = -t121717 - t119954 + t119955 + t119956 - t15213 + t15214 - 0.3e1 * t4779 * t1843 * t119898 + t4789 * t121723 / 0.12e2 + t41438 * t121726 / 0.4e1 + t41438 * t121729 / 0.2e1 + t7216 * t119675 / 0.3e1 + 0.5e1 / 0.6e1 * t11008 * t119678 - 0.7e1 / 0.3e1 * t11086 * t119788 + 0.3e1 / 0.4e1 * t7216 * t119791 + 0.5e1 / 0.12e2 * t121740 - t121743 + t121745 - t118537 + t120011;
  t121772 = t2087 * t10969;
  t121773 = t121772 / 0.4e1;
  t121778 = -t41441 * t16310 / 0.3e1 + t15217 - t118547 - t120033 + t120034 - t120035 - 0.3e1 / 0.2e1 * t246 * t1769 * t118574 - 0.3e1 * t7462 * t15234 + 0.3e1 / 0.2e1 * t1891 * t15286 + 0.3e1 / 0.2e1 * t37303 * t15231 - t15239 * t37306 / 0.2e1 + 0.7e1 / 0.3e1 * t15239 * t36212 - 0.3e1 / 0.2e1 * t15239 * t37298 - 0.3e1 / 0.2e1 * t10974 * t2162 - t2098 * t53771 / 0.4e1 - t417 * t83995 / 0.4e1 - t121773 + 0.3e1 / 0.4e1 * t84002 * t432 + t75930 * t530 / 0.4e1;
  t121779 = t10974 * t2158;
  t121780 = 0.3e1 / 0.4e1 * t121779;
  t121785 = t4753 * t83658;
  t121790 = t11008 * t119694;
  t121791 = 0.23e2 / 0.12e2 * t121790;
  t121794 = t11008 * t119985;
  t121795 = 0.11e2 / 0.6e1 * t121794;
  t121800 = t3250 * t16275;
  t121806 = t121780 + 0.3e1 / 0.2e1 * t10974 * t2170 - 0.3e1 / 0.2e1 * t52160 * t2154 + t121785 - t16326 + 0.3e1 / 0.2e1 * t7216 * t119973 + 0.2e1 / 0.3e1 * t7216 * t119976 + t121791 - 0.23e2 / 0.6e1 * t11008 * t119690 - t121795 + 0.11e2 / 0.3e1 * t11008 * t119982 + t118557 - t118560 - t118564 - t118566 + t118568 - 0.9e1 * t5073 * t16266 + t2098 * t121800 / 0.4e1 + 0.3e1 * t644 * t121682 * t3504;
  t121822 = t41479 * t17406;
  t121823 = t121822 / 0.4e1;
  t121827 = t4779 * t1843 * t118540;
  t121828 = 0.3e1 / 0.2e1 * t121827;
  t121836 = t7216 * t75095;
  t121838 = t7216 * t119979;
  t121843 = t4796 * t121211;
  t121844 = t4792 * t121843;
  t121845 = t121844 / 0.2e1;
  t121849 = 0.3e1 / 0.2e1 * t246 * t1777 * t15142 * t3643 - t1748 * t119795 / 0.2e1 + 0.9e1 / 0.2e1 * t25931 * t16263 - 0.9e1 / 0.2e1 * t7187 * t75512 - 0.43e2 / 0.9e1 * t35538 * t120098 + 0.18e2 * t35547 * t75271 - t121823 + 0.3e1 * t41476 * t16313 + t121828 + 0.3e1 / 0.2e1 * t4779 * t1843 * t119883 - 0.3e1 * t7216 * t75089 - 0.4e1 / 0.3e1 * t7216 * t75433 - 0.5e1 / 0.3e1 * t121836 + 0.5e1 / 0.6e1 * t121838 + t120072 + 0.11e2 / 0.2e1 * t4779 * t1847 * t119854 + t121845 + 0.3e1 / 0.2e1 * t4779 * t519 * t118569 + t120095;
  t121850 = t11086 * t119809;
  t121851 = 0.3e1 * t121850;
  t121888 = t121851 + 0.9e1 / 0.2e1 * t42187 * t16305 - t30 * t15208 * t544 / 0.4e1 - t15272 + t15280 - t2089 + 0.89e2 / 0.9e1 * t35538 * t119834 - 0.2e1 * t35538 * t119823 + 0.8e1 * t35538 * t119827 - 0.6e1 * t21206 * t36185 * t120000 + 0.18e2 * t3680 * t36185 * t119584 + 0.6e1 * t35547 * t119841 + 0.36e2 * t644 * t35608 * t119758 - 0.18e2 * t246 * t35608 * t119768 - 0.18e2 * t644 * t36185 * t119744 + 0.6e1 * t246 * t36185 * t119579 - t15239 * t36531 / 0.2e1 - 0.62e2 / 0.3e1 * t35538 * t26105 * t75270 + t16354;
  t121893 = my_piecewise3(t2, 0, t121221 + t121255 + t121302 + t121340 + t121366 + t121400 + t121430 + t121446 + t121487 + t121672 + t121715 + t121746 + t121778 + t121806 + t121849 + t121888);
  tv4sigma3tau0 = t3 * t121893;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 0] += tv4sigma3tau0;

  tv4sigma3tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 1] += tv4sigma3tau1;

  tv4sigma3tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 2] += tv4sigma3tau2;

  tv4sigma3tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 3] += tv4sigma3tau3;

  tv4sigma3tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 4] += tv4sigma3tau4;

  tv4sigma3tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 5] += tv4sigma3tau5;

  tv4sigma3tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 6] += tv4sigma3tau6;

  tv4sigma3tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 7] += tv4sigma3tau7;

  tv4sigma3tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 8] += tv4sigma3tau8;

  tv4sigma3tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 9] += tv4sigma3tau9;

  tv4sigma3tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 10] += tv4sigma3tau10;

  tv4sigma3tau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 11] += tv4sigma3tau11;

  tv4sigma3tau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 12] += tv4sigma3tau12;

  tv4sigma3tau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 13] += tv4sigma3tau13;

  tv4sigma3tau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 14] += tv4sigma3tau14;

  tv4sigma3tau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 15] += tv4sigma3tau15;

  tv4sigma3tau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 16] += tv4sigma3tau16;

  tv4sigma3tau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 17] += tv4sigma3tau17;

  tv4sigma3tau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 18] += tv4sigma3tau18;

  t121897 = t987 * t8079 * t15486;
  t121900 = t4686 * t16364;
  t121910 = t1965 * t119491;
  t121911 = t121910 / 0.2e1;
  t121922 = t2030 * t15547;
  t121923 = 0.3e1 / 0.2e1 * t121922;
  t121926 = t8201 * t15469;
  t121927 = 0.3e1 / 0.2e1 * t121926;
  t121928 = -0.9e1 * t5674 * t16563 + t442 * t121897 / 0.12e2 + t2189 * t121900 / 0.4e1 - t120376 - t120377 - t373 * t1940 * t119526 / 0.4e1 - 0.38e2 / 0.9e1 * t39131 * t120468 + t118841 + 0.3e1 / 0.2e1 * t8360 * t120715 - t121911 - t1965 * t120691 / 0.2e1 + t555 * t119481 / 0.4e1 + t555 * t119554 / 0.12e2 + t555 * t119474 / 0.4e1 - 0.3e1 / 0.2e1 * t44508 * t2503 + t121923 - 0.3e1 / 0.2e1 * t2030 * t15458 - t121927;
  t121931 = t1391 * t85327;
  t121933 = t4686 * t2028 * t2197;
  t121935 = t11369 * t120554;
  t121936 = 0.3e1 / 0.2e1 * t121935;
  t121938 = t4145 * t11768 * t16019;
  t121939 = 0.3e1 / 0.2e1 * t121938;
  t121952 = 0.3e1 / 0.2e1 * t8201 * t15474 + t121931 - t2189 * t121933 + t121936 - t121939 + t120509 - t120510 + 0.47e2 / 0.3e1 * t77651 * t39184 - t15532 * t1950 / 0.2e1 - t2189 * t56024 / 0.2e1 + t120511 - 0.3e1 / 0.2e1 * t8090 * t120447 - t15424 * t40824 / 0.2e1 + 0.7e1 / 0.3e1 * t15424 * t40827 + t120512 + t120513 - t120514 + t120515 - t118944;
  t121954 = t1948 * t15299;
  t121991 = t5559 * t8227 * t120621;
  t121992 = 0.9e1 * t121991;
  t121996 = 0.3e1 * t1030 * t121954 * t4335 - 0.2e1 * t15429 * t8509 + t15429 * t8524 + 0.3e1 / 0.2e1 * t9710 * t2512 - 0.5e1 / 0.36e2 * t15424 * t40905 - 0.3e1 / 0.2e1 * t8490 * t120390 - 0.3e1 * t39262 * t120386 - t555 * t118973 / 0.2e1 - 0.2e1 * t39131 * t120662 + 0.8e1 * t39131 * t77108 - 0.6e1 * t25375 * t39353 * t120790 + 0.18e2 * t4395 * t39353 * t120464 + t2189 * t56028 + 0.23e2 / 0.36e2 * t15424 * t39152 - 0.3e1 / 0.2e1 * t5674 * t16392 + 0.3e1 / 0.2e1 * t1454 * t16445 + 0.3e1 / 0.4e1 * t8058 * t121141 - t121992 - 0.9e1 * t10506 * t8227 * t120625;
  t121998 = t10506 * t8227 * t120629;
  t121999 = 0.9e1 / 0.2e1 * t121998;
  t122002 = t1454 * t16579;
  t122003 = 0.3e1 / 0.2e1 * t122002;
  t122012 = t2178 * t11754;
  t122013 = t122012 / 0.4e1;
  t122016 = t1948 * t15303;
  t122035 = t1454 * t16586;
  t122036 = 0.3e1 / 0.2e1 * t122035;
  t122037 = t121999 - t44837 * t16404 / 0.3e1 + t120575 + t122003 - 0.18e2 * t1030 * t39353 * t120411 + 0.6e1 * t373 * t39353 * t120781 - 0.62e2 / 0.3e1 * t39131 * t77665 - t122013 + 0.9e1 * t5674 * t16448 + 0.3e1 / 0.2e1 * t373 * t122016 * t4409 + 0.36e2 * t1030 * t40874 * t120401 - 0.18e2 * t373 * t40874 * t120406 - 0.3e1 / 0.2e1 * t15424 * t39367 + 0.3e1 / 0.2e1 * t4395 * t122016 * t4397 - 0.3e1 * t1030 * t122016 * t4377 + t1965 * t77391 - t122036 + t16363 - t16377;
  t122065 = t5674 * t16589;
  t122066 = 0.3e1 / 0.2e1 * t122065;
  t122069 = t380 * t86448;
  t122070 = t5582 * t122069;
  t122071 = t5578 * t122070;
  t122072 = t122071 / 0.2e1;
  t122074 = t8052 * t118943;
  t122075 = t122074 / 0.2e1;
  t122078 = t16381 - t15296 + t15297 + 0.3e1 / 0.2e1 * t373 * t1948 * t15322 * t4426 + 0.12e2 * t39262 * t78492 - 0.6e1 * t39262 * t120588 - 0.18e2 * t4395 * t40874 * t121116 + 0.18e2 * t40669 * t77539 + 0.18e2 * t373 * t40938 * t120517 - 0.3e1 * t373 * t121954 * t4339 - 0.3e1 / 0.2e1 * t1454 * t16433 + t2184 * t11754 / 0.2e1 + t15429 * t8335 / 0.2e1 - t122066 + 0.9e1 / 0.2e1 * t45074 * t16399 + t122072 - t8052 * t120471 - t122075 - t8052 * t120849 / 0.2e1;
  t122081 = t11372 * t120474;
  t122082 = 0.3e1 / 0.2e1 * t122081;
  t122094 = t8254 * t120967;
  t122096 = t11538 * t120970;
  t122097 = t122096 / 0.3e1;
  t122098 = t11541 * t120953;
  t122099 = 0.18e2 * t122098;
  t122100 = t8251 * t120950;
  t122101 = 0.6e1 * t122100;
  t122102 = t11533 * t120863;
  t122103 = 0.6e1 * t122102;
  t122104 = t11538 * t120869;
  t122105 = 0.2e1 * t122104;
  t122108 = t8254 * t119356;
  t122110 = t11538 * t120863;
  t122111 = 0.18e2 * t122110;
  t122116 = 0.6e1 * t11528 * t119341 - 0.28e2 / 0.3e1 * t40187 * t120930 + 0.5e1 / 0.3e1 * t122094 - t122097 + t122099 + t122101 + t122103 - t122105 - 0.8e1 * t8254 * t120940 - 0.1e2 * t122108 + t122111 - 0.36e2 * t40190 * t120930 + 0.4e1 / 0.3e1 * t8254 * t120958;
  t122133 = t11533 * t120977;
  t122134 = 0.36e2 * t122133;
  t122137 = -0.12e2 * t40184 * t120947 + 0.2e1 / 0.3e1 * t40190 * t120964 + 0.6e1 * t8251 * t120961 + t559 * t119293 / 0.2e1 + 0.12e2 * t40288 * t121008 - t15308 + t15310 + t15362 + t119168 - 0.4e2 * t40241 * t120903 + 0.1e2 / 0.3e1 * t40248 * t120920 + 0.56e2 * t40187 * t120933 - t122134 + 0.4e1 * t40190 * t120936;
  t122157 = t8227 * t121017;
  t122158 = 0.1e2 * t122157;
  t122165 = -0.11e2 / 0.3e1 * t40179 * t120866 + 0.22e2 * t40179 * t120859 + 0.3e1 * t559 * t119314 + 0.5e2 / 0.3e1 * t40248 * t120923 + 0.24e2 * t40217 * t120915 - t120872 - 0.2e1 / 0.3e1 * t40241 * t120912 - 0.12e2 * t40248 * t120926 - 0.8e1 / 0.3e1 * t2060 * t121061 - t8227 * t121020 / 0.3e1 + t122158 - 0.12e2 * t40217 * t120985 + 0.6e1 * t2056 * t120988 + 0.56e2 / 0.3e1 * t8223 * t121084;
  t122168 = t2060 * t121023;
  t122184 = t8220 * t121058;
  t122185 = 0.9e1 * t122184;
  t122186 = t2056 * t119385;
  t122187 = 0.3e1 * t122186;
  t122190 = 0.22e2 / 0.3e1 * t2060 * t121073 - 0.1e2 / 0.3e1 * t122168 + 0.24e2 * t40248 * t120997 - 0.72e2 * t40241 * t120991 + 0.8e1 / 0.3e1 * t40248 * t120994 - 0.3e1 * t2056 * t121081 - 0.3e1 * t559 * t119389 + 0.18e2 * t8227 * t120878 - 0.28e2 * t8223 * t120897 - t122185 - t122187 + 0.9e1 * t8220 * t121055 + t120884 + t120886;
  t122197 = -0.36e2 * t40217 * t120906 + 0.36e2 * t40241 * t120909 + t119297 - t119307 - t119320 - t119323 + t119330 - t119333 + t120887 - t120888 - t120889 + t15378 - t15383 + t16481;
  t122198 = t2060 * t120881;
  t122214 = -t15386 + 0.5e1 * t122198 - 0.24e2 * t40288 * t121039 - 0.6e1 * t559 * t119366 + t121013 + t121015 - 0.18e2 * t40207 * t120944 - t16484 + t16488 - t121016 - 0.2e2 * t8227 * t121036 + 0.72e2 * t40217 * t121033 + 0.8e1 * t40241 * t120894 - 0.4e1 / 0.3e1 * t40248 * t120891;
  t122216 = t8227 * t121005;
  t122217 = 0.9e1 * t122216;
  t122222 = t8223 * t121030;
  t122223 = 0.18e2 * t122222;
  t122224 = -0.11e2 * t2060 * t120874 + 0.4e1 * t2060 * t121001 - t121044 - t121045 + t121048 - t121049 - t121050 - t121051 + t121052 - t122217 + t122223 - t16505 - t16509 + t16524;
  t122225 = t8227 * t121064;
  t122226 = t122225 / 0.6e1;
  t122230 = t8223 * t121027;
  t122231 = 0.12e2 * t122230;
  t122234 = -t119416 + t121053 + t121054 + t119425 + t119433 - t119436 + t119445 + t122226 - t2229 - t40248 * t121067 / 0.9e1 - t559 * t119408 - t122231 + 0.4e1 / 0.3e1 * t40241 * t121076 + t2210;
  t122242 = t8079 * t15982;
  t122243 = t1393 * t122242;
  t122244 = t1391 * t122243;
  t122245 = t122244 / 0.2e1;
  t122246 = t4162 * t16364;
  t122251 = t11381 * t121158;
  t122252 = 0.23e2 / 0.12e2 * t122251;
  t122253 = t11381 * t121167;
  t122254 = 0.11e2 / 0.6e1 * t122253;
  t122255 = t11369 * t77918;
  t122256 = 0.6e1 * t122255;
  t122259 = t11369 * t120594;
  t122260 = 0.3e1 * t122259;
  t122261 = 0.3e1 / 0.2e1 * t11372 * t120477 - t122082 - 0.11e2 / 0.6e1 * t8090 * t120524 + 0.3e1 * t8360 * t120438 - 0.3e1 / 0.2e1 * t373 * t1940 * t118963 - t110 * t139 * (t122116 + t122137 + t122165 + t122190 + t122197 + t122214 + t122224 + t122234) * t168 / 0.4e1 - t122245 + t2189 * t122246 / 0.2e1 + t119016 - 0.23e2 / 0.6e1 * t11381 * t121161 + t122252 - t122254 - t122256 + 0.11e2 / 0.3e1 * t11381 * t121164 + t122260 + t120606 - t120607 + t120608 - t119085;
  t122266 = t5540 * t2056 * t118938;
  t122267 = 0.3e1 / 0.2e1 * t122266;
  t122289 = 0.3e1 * t44886 * t16412 + t122267 - t119112 - t120633 - t119120 + t119132 - 0.14e2 * t44815 * t57210 - 0.9e1 / 0.2e1 * t44886 * t16438 - 0.2e1 * t5540 * t2060 * t120765 - t2180 + t120671 + t120676 - 0.11e2 / 0.18e2 * t15424 * t39142 + 0.2e1 * t40716 * t120444 - 0.3e1 / 0.2e1 * t11512 * t2253 - 0.3e1 / 0.2e1 * t15424 * t40756 + 0.3e1 / 0.2e1 * t40761 * t15518 - 0.3e1 * t8201 * t15501 + 0.3e1 / 0.2e1 * t2030 * t15515;
  t122305 = t8058 * t77904;
  t122311 = t8058 * t121152;
  t122315 = t15429 * t8192 - t15532 * t2025 / 0.2e1 - t555 * t77514 / 0.12e2 - t15424 * t40766 / 0.2e1 + 0.7e1 / 0.3e1 * t15424 * t40150 - 0.3e1 / 0.4e1 * t1454 * t16469 - 0.3e1 * t8058 * t77891 - 0.4e1 / 0.3e1 * t8058 * t77933 - 0.5e1 / 0.3e1 * t122305 + 0.3e1 / 0.2e1 * t8058 * t121155 + 0.2e1 / 0.3e1 * t8058 * t121149 + 0.5e1 / 0.6e1 * t122311 - t119158 + t119159 + t120677 + t16418 + 0.22e2 / 0.3e1 * t40669 * t121113 - t120678 + t120679;
  t122339 = t2030 * t15417;
  t122340 = t122339 / 0.2e1;
  t122347 = -0.61e2 / 0.27e2 * t39131 * t120521 + 0.23e2 / 0.12e2 * t8090 * t120450 + 0.44e2 / 0.27e2 * t39131 * t120453 - t8055 * t119145 / 0.2e1 - 0.11e2 / 0.12e2 * t8058 * t120421 + t8052 * t121133 + t555 * t118959 / 0.2e1 + t120680 + t120681 - 0.6e1 * t373 * t39349 * t120577 - t119492 + 0.9e1 / 0.2e1 * t30060 * t16560 - t120682 + t120683 - 0.3e1 / 0.4e1 * t11512 * t2258 - t122340 - t2030 * t15411 / 0.4e1 - 0.5e1 / 0.12e2 * t8090 * t120428 - 0.35e2 / 0.108e3 * t39131 * t120591;
  t122350 = t11381 * t77621;
  t122351 = 0.9e1 / 0.2e1 * t122350;
  t122352 = t11381 * t78519;
  t122353 = 0.7e1 * t122352;
  t122355 = t5540 * t8227 * t120811;
  t122356 = 0.9e1 / 0.2e1 * t122355;
  t122369 = t1965 * t77450;
  t122378 = t1454 * t16466;
  t122379 = 0.3e1 / 0.4e1 * t122378;
  t122380 = t2030 * t15442 / 0.2e1 - t122351 + t122353 + t122356 - t119507 - t110 * t15403 * t584 / 0.4e1 - t15416 - t119509 - 0.11e2 / 0.6e1 * t8058 * t120614 + 0.11e2 / 0.2e1 * t5540 * t2060 * t120617 + 0.11e2 / 0.3e1 * t8058 * t78537 + 0.6e1 * t40669 * t121107 - t16437 + t122369 + 0.5e1 / 0.3e1 * t40669 * t120397 + 0.9e1 / 0.2e1 * t1454 * t16454 + 0.3e1 / 0.2e1 * t1454 * t16545 - 0.9e1 * t1454 * t16548 + t122379;
  t122384 = t1400 * t122242;
  t122385 = t1391 * t122384;
  t122386 = t122385 / 0.4e1;
  t122387 = t2030 * t15414;
  t122388 = 0.3e1 / 0.2e1 * t122387;
  t122393 = t4707 * t8079 * t15445;
  t122406 = t4145 * t86444 * t2257;
  t122407 = t122406 / 0.2e1;
  t122417 = t11512 * t2249;
  t122418 = 0.3e1 / 0.4e1 * t122417;
  t122421 = 0.3e1 / 0.4e1 * t9710 * t2521 - t122386 - t122388 + t2030 * t15407 - 0.3e1 / 0.4e1 * t9710 * t2509 - t442 * t122393 / 0.6e1 - t2189 * t56773 / 0.4e1 + t2251 + 0.9e1 / 0.2e1 * t1454 * t16553 - 0.3e1 / 0.2e1 * t9710 * t2506 - 0.18e2 * t1030 * t40938 * t120638 - t120764 - t122407 - t4145 * t11761 * t15410 / 0.4e1 - 0.3e1 * t2030 * t15505 + 0.3e1 * t8201 * t15525 - 0.2e1 * t15429 * t8196 + t122418 - 0.3e1 / 0.2e1 * t57852 * t2245;
  t122428 = t1000 * t122242;
  t122429 = t1432 * t122428;
  t122430 = t122429 / 0.2e1;
  t122452 = t2178 * t11507;
  t122453 = t122452 / 0.4e1;
  t122458 = t5540 * t8223 * t120854;
  t122459 = 0.9e1 * t122458;
  t122460 = 0.3e1 / 0.2e1 * t11512 * t2261 + 0.23e2 / 0.36e2 * t15424 * t39548 + 0.3e1 / 0.2e1 * t2030 * t15522 + t122430 - t2184 * t16365 / 0.3e1 - t442 * t86052 / 0.4e1 + 0.3e1 / 0.4e1 * t86057 * t457 + t78545 * t570 / 0.4e1 + t2184 * t11507 / 0.2e1 + t15429 * t8165 / 0.2e1 - 0.11e2 / 0.18e2 * t15424 * t40438 + t2189 * t56243 - t2189 * t56239 / 0.2e1 - t2189 * t55957 / 0.4e1 - 0.5e1 / 0.36e2 * t15424 * t40446 - t122453 + t120815 + 0.14e2 * t5540 * t8223 * t120777 - t122459;
  t122464 = t4145 * t11449 * t16014;
  t122465 = 0.3e1 / 0.2e1 * t122464;
  t122479 = t9270 * t380 * t583 * t15318;
  t122485 = t5553 * t122069;
  t122486 = t5548 * t122485;
  t122487 = t122486 / 0.4e1;
  t122492 = t5549 * t4143 * t16402;
  t122494 = t5587 * t16403;
  t122497 = t5548 * t86450;
  t122498 = t5591 * t122069;
  t122499 = t5548 * t122498;
  t122500 = t122499 / 0.2e1;
  t122503 = t1965 * t120431;
  t122504 = t122503 / 0.4e1;
  t122505 = t122465 + t119537 - t120836 - t120837 - 0.7e1 / 0.3e1 * t11369 * t120417 - 0.9e1 / 0.2e1 * t5540 * t8220 * t120748 - 0.3e1 * t5540 * t2056 * t120753 + t4145 * t11761 * t15441 / 0.2e1 - t5575 * t122479 / 0.6e1 + 0.3e1 / 0.2e1 * t5540 * t2056 * t120740 - t122487 + 0.3e1 / 0.2e1 * t5535 * t85528 * t15473 - t44767 * t122492 + t44767 * t122494 / 0.2e1 + t122497 - t122500 + 0.9e1 * t11381 * t77612 + t16468 - t122504;
  t122510 = t1958 * t120712;
  t122511 = t122510 / 0.2e1;
  t122518 = t11381 * t121144;
  t122519 = 0.5e1 / 0.12e2 * t122518;
  t122537 = -t1965 * t120645 / 0.4e1 + t1958 * t120648 / 0.2e1 + t122511 + t15451 + t119542 - t15455 - t15471 - t442 * t86181 / 0.4e1 + 0.28e2 / 0.3e1 * t11369 * t77868 - 0.14e2 / 0.3e1 * t11369 * t120611 - t122519 - 0.9e1 * t5540 * t8227 * t121127 + 0.3e1 * t11381 * t120551 + 0.7e1 * t8090 * t120441 + 0.89e2 / 0.9e1 * t39131 * t120635 - 0.9e1 / 0.2e1 * t8090 * t120538 - 0.43e2 / 0.9e1 * t39131 * t120534 - 0.28e2 * t77071 * t39681 + t4145 * t85457 * t2257;
  t122541 = t28964 * t16403;
  t122546 = t4137 * t380 * t583 * t15356;
  t122549 = t5549 * t16403;
  t122555 = t11381 * t120557;
  t122556 = 0.3e1 / 0.2e1 * t122555;
  t122564 = t2178 * t16365;
  t122565 = t122564 / 0.6e1;
  t122567 = t987 * t56037 * t2197;
  t122570 = -0.3e1 / 0.4e1 * t28961 * t16409 + t5575 * t122541 / 0.4e1 + t5575 * t122546 / 0.12e2 + t44767 * t122549 / 0.4e1 + 0.3e1 / 0.2e1 * t5540 * t559 * t119105 - t122556 + 0.18e2 * t5559 * t8227 * t120842 - t16544 - 0.6e1 * t8360 * t77524 - 0.23e2 / 0.3e1 * t40669 * t121110 + t119550 - t121122 - t119562 - t121123 + t122565 - t121124 - t121125 + t442 * t122567 / 0.4e1 + t15536;
  t122575 = t5540 * t8220 * t120744;
  t122576 = 0.9e1 / 0.2e1 * t122575;
  t122578 = t5559 * t2060 * t120818;
  t122584 = t5559 * t8223 * t120826;
  t122585 = 0.9e1 * t122584;
  t122589 = t8058 * t119141;
  t122599 = t5535 * t11449 * t15468;
  t122600 = 0.3e1 / 0.2e1 * t122599;
  t122602 = t5540 * t2060 * t120769;
  t122604 = t46009 * t16404;
  t122605 = t122604 / 0.6e1;
  t122606 = -t15544 - 0.3e1 / 0.2e1 * t4145 * t85528 * t15457 + t122576 + 0.5e1 / 0.2e1 * t122578 + 0.2e1 * t5559 * t2060 * t120822 + t122585 - 0.14e2 * t5559 * t8223 * t120838 + 0.5e1 / 0.12e2 * t122589 + t8058 * t121135 / 0.3e1 + 0.5e1 / 0.6e1 * t11381 * t121138 - 0.11e2 / 0.2e1 * t5559 * t2060 * t120684 - t122600 + t16581 - t16583 - t16588 - t16591 - 0.5e1 / 0.2e1 * t122602 + t15549 + t122605;
  t122611 = my_piecewise3(t100, 0, t121928 + t121952 + t121996 + t122037 + t122078 + t122261 + t122289 + t122315 + t122347 + t122380 + t122421 + t122460 + t122505 + t122537 + t122570 + t122606);
  tv4sigma3tau19 = t3 * t122611;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 19] += tv4sigma3tau19;

  t122612 = t47815 * t2266;
  t122613 = t1227 * t122612;
  t122616 = t6255 * t15598;
  t122617 = t1227 * t122616;
  t122618 = t1541 * t122617;
  t122619 = t122618 / 0.6e1;
  t122620 = t6255 * t15571;
  t122621 = t4844 * t122620;
  t122624 = t2087 * t16685;
  t122625 = t122624 / 0.6e1;
  t122627 = t660 * t41043 * t2542;
  t122633 = t2541 * t15042;
  t122634 = t22055 * t122633;
  t122646 = t43310 * t16619;
  t122649 = t16704 * t414;
  t122650 = t95 * t122649;
  t122651 = t4770 * t122650;
  t122654 = t95 * t87794;
  t122655 = t4770 * t122654;
  t122656 = t6069 * t122655;
  t122658 = t2541 * t2090;
  t122659 = t95 * t122658;
  t122660 = t26140 * t122659;
  t122663 = t41479 * t16638;
  t122664 = 0.2e1 / 0.3e1 * t122663;
  t122665 = t41642 * t16637;
  t122669 = t4760 * t635 * t122649;
  t122674 = -0.11e2 / 0.6e1 * t59290 * t15680 - 0.3e1 * t4779 * t11878 * t15624 + t6069 * t122646 / 0.3e1 + t6069 * t122651 / 0.3e1 + t122656 / 0.6e1 + 0.11e2 / 0.18e2 * t10036 * t122660 - t122664 - 0.2e1 / 0.3e1 * t6069 * t122665 - 0.2e1 / 0.3e1 * t6069 * t122669 + 0.12e2 * t119604 + 0.4e1 * t119610;
  t122678 = t3474 * t15123;
  t122680 = t246 * t11966 * t122678;
  t122681 = 0.3e1 / 0.2e1 * t122680;
  t122691 = t1532 * t15802;
  t122695 = t21191 * t21197 * t2090;
  t122701 = t119629 + t79828 * t481 / 0.2e1 + t122681 + 0.18e2 * t58221 * t15581 - 0.4e1 * t6167 * t1227 * t80539 + t644 * t12096 * t118589 - 0.2e1 * t10160 * t2324 - t122691 + 0.3e1 * t1532 * t15558 - 0.6e1 * t21206 * t59065 * t122695 + 0.14e2 / 0.3e1 * t6107 * t80540;
  t122715 = t1220 * t122616;
  t122716 = t1541 * t122715;
  t122717 = t122716 / 0.3e1;
  t122718 = t4838 * t122620;
  t122727 = -0.3e1 * t6107 * t4844 * t6293 * t15571 - 0.62e2 / 0.3e1 * t58517 * t42947 - t119634 / 0.3e1 + t2534 * t118309 / 0.3e1 + t2534 * t118456 / 0.3e1 + t2534 * t118458 / 0.6e1 - t122717 - 0.11e2 / 0.9e1 * t6107 * t122718 - 0.2e1 * t1293 * t16783 - t246 * t12096 * t118237 + 0.3e1 * t1293 * t16785;
  t122731 = t246 * t12179 * t15801;
  t122732 = 0.3e1 / 0.2e1 * t122731;
  t122740 = t11960 * t15660;
  t122741 = t122740 / 0.2e1;
  t122746 = t118083 / 0.6e1;
  t122748 = t41479 * t16634;
  t122749 = t122748 / 0.3e1;
  t122754 = t26140 * t15670;
  t122757 = t2541 * t15088;
  t122759 = t8642 * t95 * t122757;
  t122762 = t41479 * t16620;
  t122763 = t122762 / 0.6e1;
  t122764 = t41642 * t16619;
  t122767 = t4760 * t122650;
  t122770 = t4760 * t122654;
  t122771 = t6069 * t122770;
  t122773 = t122749 + 0.2e1 / 0.3e1 * t119672 + t41476 * t16611 - 0.8e1 / 0.3e1 * t119688 + 0.23e2 / 0.9e1 * t119695 + 0.55e2 / 0.18e2 * t58578 * t122754 - t6488 * t122759 / 0.6e1 + t122763 + t6069 * t122764 / 0.6e1 + t6069 * t122767 / 0.6e1 + t122771 / 0.12e2;
  t122775 = t42161 * t16627;
  t122776 = t122775 / 0.3e1;
  t122777 = t25657 * t16619;
  t122780 = t3130 * t122650;
  t122783 = t3130 * t122654;
  t122784 = t6491 * t122783;
  t122786 = t4760 * t122659;
  t122789 = t47370 * t15670;
  t122791 = t25739 * t15677;
  t122794 = t25739 * t15670;
  t122797 = t635 * t122658;
  t122798 = t4760 * t122797;
  t122801 = t26082 * t15670;
  t122807 = -t122776 - t6491 * t122777 / 0.3e1 - t6491 * t122780 / 0.3e1 - t122784 / 0.6e1 - t10066 * t122786 / 0.2e1 + t6069 * t122789 - 0.115e3 / 0.36e2 * t58578 * t122791 + 0.25e2 / 0.36e2 * t58578 * t122794 + 0.2e1 * t10066 * t122798 + 0.5e1 / 0.2e1 * t58578 * t122801 + t246 * t12183 * t15111 / 0.2e1;
  t122827 = t11960 * t15617;
  t122828 = 0.2e1 * t122827;
  t122831 = -t9070 * t2593 / 0.4e1 + 0.8e1 * t58517 * t41560 + 0.3e1 * t32471 * t15586 - 0.6e1 * t6295 * t15563 + 0.3e1 * t1532 * t15640 - 0.18e2 * t3680 * t58714 * t15585 - 0.6e1 * t1532 * t15568 + 0.12e2 * t58950 * t15591 - 0.4e1 * t11960 * t15808 - t122828 - 0.23e2 / 0.3e1 * t58221 * t15650;
  t122839 = t118175 / 0.12e2;
  t122842 = t660 * t58694 * t2106;
  t122845 = t4844 * t15594;
  t122848 = t4844 * t15599;
  t122849 = t11975 * t122848;
  t122850 = 0.5e1 / 0.36e2 * t122849;
  t122851 = t26069 * t15572;
  t122857 = t21191 * t21192 * t2090;
  t122862 = t118194 / 0.4e1;
  t122863 = 0.3e1 / 0.2e1 * t118226;
  t122866 = 0.3e1 * t118242;
  t122870 = t16614 * t414;
  t122871 = t3430 * t122870;
  t122875 = 0.4e1 / 0.3e1 * t118341;
  t122876 = 0.8e1 * t118353;
  t122879 = t11857 * t15791;
  t122880 = 0.4e1 * t122879;
  t122889 = t76044 * t2728;
  t122890 = 0.2e1 / 0.3e1 * t122889;
  t122897 = t11842 * t15791;
  t122898 = 0.4e1 * t122897;
  t122900 = 0.8e1 * t118359;
  t122903 = -t15081 + t15069 + t122875 - t122876 + 0.2e1 * t472 * t15111 - t122880 + 0.4e1 / 0.3e1 * t76050 * t19480 + 0.24e2 * t58476 * t15567 - 0.12e2 * t58468 * t15639 - 0.4e1 * t472 * t15044 + t122890 + 0.2e2 / 0.9e1 * t76050 * t19769 - 0.4e1 * t76047 * t2728 - 0.2e1 * t11845 * t15111 + t122898 - 0.8e1 * t15625 + t122900 + t118363 - 0.24e2 * t58418 * t15567;
  t122909 = t11839 * t15801;
  t122910 = 0.4e1 * t122909;
  t122913 = t11842 * t15124;
  t122914 = 0.4e1 / 0.3e1 * t122913;
  t122928 = 0.8e1 * t118364;
  t122929 = 0.8e1 * t118372;
  t122930 = 0.8e1 / 0.3e1 * t118376;
  t122933 = t11852 * t15801;
  t122934 = 0.4e1 * t122933;
  t122935 = 0.32e2 / 0.3e1 * t58400 * t15562 + 0.12e2 * t58440 * t15639 - 0.2e1 * t15627 - t122910 - 0.8e1 * t58418 * t15643 + t122914 + 0.16e2 / 0.9e1 * t58400 * t15585 + 0.4e1 * t11845 * t15044 - 0.4e1 * t11842 * t79711 + 0.12e2 * t15796 + 0.12e2 * t58400 * t15557 + 0.8e1 * t11839 * t79222 - 0.12e2 * t11842 * t79557 + t122928 - t122929 - t118375 + t122930 - 0.12e2 * t58479 * t15557 + t122934;
  t122936 = t122903 + t122935;
  t122938 = t658 * t221 * t122936;
  t122944 = t122862 - t118203 + t118208 + t122863 - 0.6e1 * t58950 * t15589 + t122866 + 0.6e1 * t6295 * t15644 - t11953 * t15595 - 0.2e1 * t4779 * t1587 * t122871 - t246 * t1559 * t122938 / 0.4e1 + 0.6e1 * t5073 * t16749;
  t122946 = t118260 / 0.4e1;
  t122949 = 0.3e1 * t118277;
  t122951 = t25739 * t3671 * t8613;
  t122954 = 0.3e1 / 0.2e1 * t118280;
  t122955 = 0.3e1 / 0.2e1 * t118283;
  t122957 = t660 * t5044 * t16705;
  t122960 = t2087 * t16707;
  t122961 = t122960 / 0.6e1;
  t122964 = t660 * t661 * t94 * t122936;
  t122970 = t122946 + 0.22e2 / 0.3e1 * t59290 * t15678 - t122949 + 0.15e2 / 0.2e1 * t58578 * t122951 + t122954 - t122955 - t118285 + t466 * t122957 / 0.6e1 + t122961 + t466 * t122964 / 0.12e2 + 0.18e2 * t246 * t59153 * t15567;
  t122973 = t11975 * t42819;
  t122974 = 0.7e1 / 0.3e1 * t122973;
  t122975 = t1220 * t122612;
  t122978 = t4844 * t15807;
  t122981 = t4844 * t15616;
  t122982 = t11975 * t122981;
  t122983 = 0.23e2 / 0.36e2 * t122982;
  t122984 = t1220 * t122620;
  t122987 = t118288 / 0.2e1;
  t122990 = 0.3e1 / 0.2e1 * t118292;
  t122991 = 0.11e2 / 0.18e2 * t118297;
  t122992 = 0.23e2 / 0.36e2 * t118299;
  t122993 = 0.14e2 / 0.3e1 * t11975 * t42950 + t122974 - 0.2e1 / 0.3e1 * t1541 * t122975 + 0.23e2 / 0.18e2 * t11975 * t122978 + t122983 + 0.2e1 * t6167 * t122984 - t122987 - 0.4e1 / 0.3e1 * t2534 * t118488 + t122990 - t122991 + t122992;
  t122998 = t673 * t122612;
  t123001 = t673 * t122616;
  t123002 = t1568 * t123001;
  t123003 = t123002 / 0.3e1;
  t123008 = t246 * t11985 * t15791;
  t123009 = 0.3e1 * t123008;
  t123014 = 0.3e1 * t118316;
  t123015 = t118326 / 0.3e1;
  t123016 = t118328 / 0.12e2;
  t123017 = t118307 - 0.2e1 / 0.3e1 * t2534 * t118422 + 0.2e1 / 0.3e1 * t1568 * t122998 + t123003 - 0.3e1 * t644 * t12096 * t118502 - t123009 - 0.28e2 * t41310 * t19146 + 0.3e1 * t1293 * t16653 - t123014 + t123015 + t123016;
  t123018 = t118401 / 0.2e1;
  t123019 = t11953 * t15600;
  t123020 = t123019 / 0.2e1;
  t123021 = t118408 / 0.2e1;
  t123022 = t118414 / 0.4e1;
  t123024 = t26069 * t15576;
  t123033 = -t123018 - t123020 + t123021 - t123022 - 0.2e1 / 0.3e1 * t119798 + 0.44e2 / 0.27e2 * t58517 * t123024 - 0.2e1 * t119802 - 0.2e1 / 0.3e1 * t119804 + 0.2e1 * t119807 - 0.35e2 / 0.3e1 * t58578 * t42437 + 0.4e1 * t119810;
  t123038 = t1532 * t15792;
  t123040 = t26082 * t635 * t122870;
  t123043 = t1541 * t79081;
  t123044 = 0.2e1 / 0.3e1 * t123043;
  t123045 = t4844 * t80539;
  t123054 = -0.8e1 * t119812 + t59246 * t15671 - 0.2e1 * t119818 + t123038 + 0.5e1 / 0.3e1 * t6069 * t123040 + t123044 + 0.23e2 / 0.18e2 * t6107 * t123045 - 0.6e1 * t1293 * t16649 - 0.11e2 / 0.3e1 * t59290 * t15674 + 0.3e1 * t47925 * t15627 + t15554;
  t123055 = t95 * t122870;
  t123056 = t26082 * t123055;
  t123059 = t8642 * t123055;
  t123062 = t31513 * t15670;
  t123069 = t15099 - t15555 - t15116 - t15120 - t15126 + t2160 - 0.5e1 / 0.12e2 * t6069 * t123056 + 0.2e1 / 0.3e1 * t6491 * t123059 - 0.2e1 / 0.3e1 * t6491 * t123062 - t42538 * t2584 / 0.2e1 + t2529 * t9098 / 0.6e1;
  t123078 = t2087 * t12211;
  t123079 = t123078 / 0.12e2;
  t123080 = t12216 * t2158;
  t123081 = t123080 / 0.4e1;
  t123084 = t25739 * t122797;
  t123089 = t4738 * t8854 * t87834;
  t123091 = t3375 * t122649;
  t123095 = t3375 * t87794;
  t123097 = t4738 * t1591 * t123095;
  t123100 = t6069 * t87796;
  t123105 = t4779 * t8854 * t16630;
  t123107 = t3409 * t122649;
  t123110 = t3409 * t87794;
  t123112 = t4779 * t1591 * t123110;
  t123116 = t123097 / 0.2e1 + 0.2e1 * t119881 - t123100 / 0.3e1 + 0.6e1 * t119896 - t41476 * t16631 - t123105 - 0.5e1 / 0.9e1 * t119903 - t4779 * t1591 * t123107 - t123112 / 0.2e1 - 0.7e1 / 0.3e1 * t41145 * t58940 + t16608;
  t123118 = t4838 * t15594;
  t123121 = t4838 * t15599;
  t123122 = t11975 * t123121;
  t123123 = 0.11e2 / 0.18e2 * t123122;
  t123124 = t26105 * t15572;
  t123128 = t644 * t11966 * t118275;
  t123129 = 0.3e1 * t123128;
  t123132 = t11960 * t15613;
  t123138 = t3680 * t11966 * t118581;
  t123139 = 0.3e1 / 0.2e1 * t123138;
  t123140 = t4831 * t15594;
  t123142 = t11975 * t118287;
  t123143 = t123142 / 0.2e1;
  t123144 = -0.11e2 / 0.9e1 * t11975 * t123118 - t123123 - 0.61e2 / 0.27e2 * t58517 * t123124 - t123129 + 0.2e1 * t11960 * t15632 + t123132 + 0.22e2 / 0.3e1 * t58221 * t15647 + 0.3e1 * t25931 * t16668 + t123139 - t11975 * t123140 - t123143;
  t123150 = 0.7e1 / 0.3e1 * t118454;
  t123151 = t118464 / 0.6e1;
  t123152 = 0.2e1 * t119922 + 0.2e1 * t119929 + 0.2e1 / 0.3e1 * t119940 + t119942 / 0.3e1 - t119944 / 0.3e1 - t15611 - t16644 + t16645 + t123150 + t123151 - t118478;
  t123157 = 0.3e1 / 0.2e1 * t118480;
  t123158 = 0.2e1 * t118491;
  t123159 = t118493 / 0.2e1;
  t123169 = t21191 * t15584;
  t123174 = t21191 * t15561;
  t123179 = 0.2e1 / 0.3e1 * t118513;
  t123180 = t22070 * t8613;
  t123188 = t21220 * t122658;
  t123192 = t21225 * t122658;
  t123196 = t22070 * t122658;
  t123201 = t26082 * t122659;
  t123204 = t118511 + 0.6e1 * t246 * t59065 * t123174 + t1532 * t15635 + t123179 - 0.15e2 / 0.2e1 * t4779 * t11891 * t123180 + 0.3e1 / 0.2e1 * t10036 * t25739 * t3671 * t122658 - 0.3e1 / 0.2e1 * t9873 * t6390 * t123188 + 0.3e1 * t4738 * t6390 * t123192 - 0.3e1 / 0.2e1 * t4779 * t6390 * t123196 + 0.6e1 * t119970 + t10036 * t123201 / 0.2e1;
  t123206 = t47270 * t15670;
  t123225 = -t15630 + t15631 + t6069 * t123206 / 0.2e1 + t9070 * t2596 / 0.2e1 - t9070 * t2588 / 0.2e1 - t2534 * t42740 / 0.12e2 - t12216 * t2162 / 0.2e1 - t2098 * t59401 / 0.6e1 + t2098 * t59405 / 0.3e1 - t58917 * t2154 / 0.2e1 + t12216 * t2170 / 0.2e1;
  t123229 = t4779 * t8874 * t16610;
  t123230 = t819 * t122649;
  t123233 = t819 * t87794;
  t123235 = t4779 * t1587 * t123233;
  t123237 = t25739 * t122659;
  t123242 = t4779 * t2118 * t16623;
  t123243 = t16704 * t2105;
  t123244 = t3430 * t123243;
  t123247 = t3430 * t122757;
  t123251 = t16718 + 0.4e1 / 0.3e1 * t119980 - 0.22e2 / 0.9e1 * t119986 + t123229 + t4779 * t1587 * t123230 + t123235 / 0.2e1 + 0.5e1 / 0.36e2 * t10036 * t123237 + t41476 * t16624 + t123242 + t4779 * t470 * t123244 + t4779 * t470 * t123247 / 0.2e1;
  t123258 = t819 * t122658;
  t123264 = t6295 * t15610;
  t123269 = t21225 * t8613;
  t123273 = t4770 * t122659;
  t123275 = t3409 * t122658;
  t123279 = t21220 * t8613;
  t123286 = t118537 / 0.3e1;
  t123293 = t644 * t11985 * t15124;
  t123294 = 0.3e1 * t123293;
  t123297 = t1293 * t16741;
  t123298 = t123297 / 0.2e1;
  t123302 = t246 * t8745 * t16745;
  t123303 = t123302 / 0.2e1;
  t123307 = -0.3e1 * t47709 * t15796 - t123286 + t118542 - t2534 * t42553 / 0.6e1 + 0.36e2 * t644 * t58714 * t15562 + t123294 + 0.2e1 * t5073 * t16752 - t123298 - t1293 * t16746 / 0.2e1 - t123303 + 0.11e2 * t4779 * t11883 * t15795;
  t123312 = t26831 * t15572;
  t123315 = t4831 * t122620;
  t123317 = t118547 / 0.3e1;
  t123320 = t1227 * t122620;
  t123326 = 0.5e1 / 0.36e2 * t118549;
  t123327 = t26835 * t15572;
  t123330 = t15216 - 0.18e2 * t644 * t59153 * t15643 - 0.2e1 * t58517 * t123312 - t6107 * t123315 - t123317 - t12216 * t2167 / 0.4e1 + t6167 * t123320 + t466 * t119937 / 0.3e1 + t466 * t119994 / 0.6e1 - t123326 - 0.38e2 / 0.9e1 * t58517 * t123327;
  t123331 = t118551 / 0.2e1;
  t123332 = t118553 / 0.6e1;
  t123333 = t26105 * t15576;
  t123342 = t3375 * t122658;
  t123346 = t123331 - t123332 + 0.89e2 / 0.9e1 * t58517 * t123333 - t466 * t119752 / 0.3e1 - t16724 - t466 * t79823 / 0.6e1 - t120040 / 0.3e1 + 0.2e1 / 0.3e1 * t120053 - t16743 - 0.3e1 * t4738 * t6393 * t123342 + t118557;
  t123349 = t27475 * t123055;
  t123352 = t22051 * t122870;
  t123356 = t118578 / 0.2e1;
  t123357 = -t118560 - t118564 - t118566 + t118568 + t16791 - t16793 - 0.5e1 / 0.6e1 * t6069 * t123349 + 0.5e1 / 0.2e1 * t4779 * t1591 * t123352 + t15793 - t15803 + t123356;
  t123360 = t673 * t122620;
  t123364 = 0.3e1 / 0.2e1 * t118583;
  t123366 = t4844 * t5071 * t2266;
  t123369 = t11975 * t43006;
  t123370 = 0.3e1 / 0.2e1 * t123369;
  t123371 = t26069 * t15580;
  t123378 = -0.2e1 * t120089 - 0.2e1 / 0.3e1 * t120091 - t6223 * t123360 + 0.2e1 * t2534 * t118533 + t123364 - 0.3e1 * t11975 * t123366 - t123370 - 0.43e2 / 0.9e1 * t58517 * t123371 + 0.4e1 / 0.3e1 * t120105 - 0.2e1 * t120107 - 0.2e1 * t46761 * t2319;
  t123385 = 0.4e1 * t118599;
  t123386 = 0.6e1 * t118619;
  t123387 = t118630 / 0.9e1;
  t123388 = 0.2e1 * t118643;
  t123391 = t2571 * t2090;
  t123392 = t819 * t123391;
  t123396 = t22055 * t2571 * t15042;
  t123399 = t22070 * t15736;
  t123402 = t16889 * t414;
  t123403 = t3409 * t123402;
  t123410 = t11819 * t2090;
  t123411 = t840 * t123410;
  t123414 = t827 * t123410;
  t123417 = t827 * t122870;
  t123421 = t233 * t88053 * t2105;
  t123424 = t88053 * t414;
  t123425 = t827 * t123424;
  t123429 = t233 * t11819 * t15088;
  t123432 = 0.2e1 * t118660;
  t123435 = t123385 + t123386 - t123387 - t123388 + t118652 + 0.12e2 * t2558 * t118703 + 0.3e1 * t6424 * t123392 + 0.3e1 * t470 * t123396 + 0.15e2 * t11891 * t123399 + 0.2e1 * t1591 * t123403 - 0.12e2 * t59851 * t15687 - 0.22e2 / 0.3e1 * t59979 * t15690 + 0.12e2 * t31879 * t123411 - 0.6e1 * t31864 * t123414 + 0.1e2 / 0.3e1 * t31895 * t123417 + 0.4e1 * t9923 * t123421 + 0.2e1 / 0.3e1 * t6427 * t123425 + 0.2e1 * t9923 * t123429 + t123432 - 0.2e1 * t2558 * t118626;
  t123436 = 0.3e1 * t118662;
  t123437 = 0.2e1 / 0.3e1 * t118672;
  t123438 = 0.6e1 * t118674;
  t123439 = 0.6e1 * t118677;
  t123442 = t233 * t123424;
  t123446 = t819 * t63 * t122936;
  t123448 = t21220 * t15736;
  t123451 = t41885 * t122870;
  t123454 = t41881 * t122870;
  t123458 = t41877 * t122870;
  t123461 = t2118 * t16841;
  t123462 = 0.2e1 * t123461;
  t123465 = t11883 * t15747;
  t123466 = 0.2e1 * t123465;
  t123467 = 0.12e2 * t118680;
  t123468 = t3482 * t15683;
  t123473 = t15695 * t2541;
  t123474 = t3375 * t123473;
  t123475 = t1591 * t123474;
  t123477 = t21220 * t123391;
  t123480 = t3482 * t123410;
  t123483 = -0.8e1 * t31906 * t123458 - t123462 + 0.2e1 * t2554 * t15192 + t123466 - t15692 - t123467 + 0.5e1 / 0.9e1 * t59982 * t123468 + 0.4e1 / 0.3e1 * t59766 * t15750 - 0.2e1 / 0.3e1 * t123475 - t6390 * t123477 / 0.18e2 + t31864 * t123480 / 0.9e1;
  t123488 = t3475 * t15683;
  t123491 = t233 * t122870;
  t123494 = t11819 * t2084;
  t123495 = t827 * t123494;
  t123496 = t6427 * t123495;
  t123498 = t840 * t123494;
  t123499 = t6427 * t123498;
  t123501 = t3475 * t123410;
  t123504 = t41974 * t16823;
  t123505 = 0.4e1 * t123504;
  t123506 = t76660 * t16827;
  t123507 = 0.4e1 * t123506;
  t123508 = t41656 * t16860;
  t123509 = 0.2e1 / 0.3e1 * t123508;
  t123517 = t233 * t123494;
  t123518 = t6440 * t123517;
  t123520 = t840 * t122870;
  t123523 = t11883 * t15765;
  t123524 = 0.12e2 * t123523;
  t123527 = t3402 * t15740;
  t123528 = t11891 * t123527;
  t123529 = 0.2e1 / 0.3e1 * t123528;
  t123530 = t3375 * t15740;
  t123531 = t11891 * t123530;
  t123532 = 0.6e1 * t123531;
  t123533 = t3409 * t123473;
  t123534 = t1591 * t123533;
  t123536 = -0.4e1 * t2554 * t15184 - 0.22e2 * t11883 * t15762 - t118691 + 0.2e1 * t123518 - 0.5e1 * t31895 * t123520 - t123524 + 0.2e1 / 0.3e1 * t2558 * t118669 - t123529 + t123532 + t123534 + 0.8e1 * t120181;
  t123551 = 0.2e1 * t118696;
  t123552 = 0.2e1 * t118699;
  t123556 = t819 * t123473;
  t123557 = t1587 * t123556;
  t123558 = -0.12e2 * t120224 + 0.72e2 * t59780 * t15724 + 0.8e1 * t59766 * t15727 + t123551 - t123552 + 0.8e1 / 0.3e1 * t120238 + t15733 + t15170 + t15735 - 0.4e1 * t2558 * t118635 - t123557;
  t123563 = t3430 * t16889 * t2105;
  t123566 = t21225 * t123391;
  t123569 = t8854 * t16820;
  t123570 = 0.2e1 * t123569;
  t123571 = t3375 * t123402;
  t123574 = t21225 * t15736;
  t123577 = t2118 * t16853;
  t123578 = 0.2e1 * t123577;
  t123579 = t8854 * t16843;
  t123580 = 0.4e1 / 0.3e1 * t123579;
  t123583 = t233 * t123410;
  t123587 = 0.6e1 * t118722;
  t123588 = 0.1e2 / 0.3e1 * t118724;
  t123589 = t118717 + t118721 - t16836 - t16837 + t16838 - t16839 + t123587 + t123588 + t118742 - t118744 - t118750;
  t123591 = 0.3e1 * t118767;
  t123593 = t233 * t11819 * t15042;
  t123598 = t21220 * t15723;
  t123601 = t3409 * t123391;
  t123608 = t8874 * t16850;
  t123609 = 0.2e1 * t123608;
  t123610 = t21225 * t15723;
  t123613 = t22070 * t123391;
  t123617 = t21215 * t15723;
  t123621 = 0.3e1 * t118787;
  t123622 = t118791 / 0.2e1;
  t123623 = t41656 * t16857;
  t123624 = 0.4e1 * t123623;
  t123625 = t840 * t123424;
  t123628 = 0.4e1 * t118793;
  t123629 = t118803 / 0.18e2;
  t123631 = t3430 * t2571 * t15088;
  t123633 = t11878 * t15741;
  t123634 = 0.6e1 * t123633;
  t123635 = -0.4e1 / 0.3e1 * t59863 * t123617 + 0.24e2 * t120290 - t118778 - t123621 + t123622 - t123624 - 0.4e1 * t6427 * t123625 - t123628 + t123629 - t470 * t123631 + t123634;
  t123640 = t11891 * t118629;
  t123641 = t123640 / 0.9e1;
  t123642 = t21210 * t15723;
  t123646 = t2118 * t16890;
  t123647 = t11878 * t15711;
  t123648 = 0.3e1 * t123647;
  t123651 = t21220 * t15698;
  t123655 = t819 * t60 * t122936;
  t123658 = t819 * t123402;
  t123662 = t3375 * t123391;
  t123671 = -t15179 - t15768 + t15769 - t15770 + 0.4e1 * t6393 * t123662 + 0.4e2 / 0.3e1 * t120339 - 0.16e2 * t120342 - 0.16e2 / 0.3e1 * t120344 + 0.2e1 / 0.9e1 * t120347 - 0.12e2 * t120350 - 0.4e1 * t120352;
  t123676 = t11883 * t15708;
  t123677 = 0.4e1 * t123676;
  t123682 = t3402 * t15695;
  t123683 = t11891 * t123682;
  t123684 = 0.1e2 / 0.3e1 * t123683;
  t123685 = t21215 * t15698;
  t123692 = t21225 * t15698;
  t123696 = t11883 * t15696;
  t123697 = 0.6e1 * t123696;
  t123698 = t3375 * t15695;
  t123699 = t11891 * t123698;
  t123700 = 0.3e1 * t123699;
  t123701 = t3448 * t15695;
  t123702 = t11891 * t123701;
  t123703 = t123702 / 0.18e2;
  t123714 = -0.6e1 * t2558 * t118732 + 0.4e1 * t2558 * t118775 + 0.2e1 * t2554 * t15140 - 0.4e2 * t59766 * t15705 + 0.12e2 * t59998 * t15719 + t123697 - t123700 + t123703 + t16888 + t2119 - t2138;
  t123723 = t22070 * t122870;
  t123727 = -0.2e1 * t120111 - 0.2e1 * t120113 - t120115 - 0.12e2 * t120119 - 0.4e1 * t120129 - t15811 + t15812 - t2089 + t1293 * t16788 - t30 * t59 * (0.24e2 * t59780 * t15713 + 0.5e2 / 0.3e1 * t59863 * t123651 + t470 * t123655 / 0.2e1 - 0.2e1 * t1587 * t123658 - 0.4e1 / 0.3e1 * t2558 * t118795 - 0.12e2 * t59780 * t15744 - t59863 * t123642 / 0.9e1 - t2554 * t15162 - 0.6e1 * t6393 * t123601 + 0.6e1 * t11878 * t15737 + 0.44e2 / 0.3e1 * t11883 * t15754 + 0.24e2 * t59863 * t123610 + 0.3e1 * t6390 * t123613 - 0.2e1 * t31879 * t123414 - 0.6e1 * t31898 * t123583 - 0.6e1 * t47988 * t123593 - 0.72e2 * t59766 * t15730 + 0.8e1 / 0.3e1 * t59863 * t123598 - 0.2e1 * t470 * t123563 - 0.1e2 / 0.3e1 * t6390 * t123566 - 0.4e1 / 0.3e1 * t1591 * t123571 - 0.5e2 / 0.3e1 * t11891 * t123574 + 0.2e1 / 0.3e1 * t31864 * t123501 - 0.24e2 * t59998 * t15757 + 0.44e2 * t59979 * t15684 + 0.1e2 / 0.3e1 * t59982 * t123488 + 0.4e1 * t31906 * t123491 - 0.5e1 / 0.3e1 * t31895 * t123454 - 0.3e2 * t59982 * t15690 + 0.4e1 * t6440 * t123442 - t470 * t123446 - 0.5e1 / 0.18e2 * t11891 * t123448 + 0.1e2 * t31895 * t123451 - 0.2e1 / 0.3e1 * t59766 * t15716 - 0.36e2 * t59780 * t15699 + 0.1e2 / 0.3e1 * t59863 * t123685 + 0.2e1 * t2558 * t118751 + 0.36e2 * t59766 * t15702 - 0.12e2 * t59863 * t123692 + t123714 + t123684 - t123677 + t123671 + t123646 - t123648 - t123641 + t123635 - t123609 - t123591 + t123589 - t123580 - t123578 + t123570 + t123558 + t123536 + t123509 + t123505 + t123507 + t123496 / 0.3e1 - 0.2e1 * t123499 + t123483 - t123437 + t123438 - t123439 + t123435 + t123436 - 0.4e1 / 0.9e1 * t120355 + 0.24e2 * t120221 + 0.24e2 * t120199 - 0.16e2 * t120194 - 0.8e1 / 0.3e1 * t120197 - 0.48e2 * t120192 + 0.8e1 * t120189 + 0.8e1 * t120185 - t118715 - t16831 + t16832 + t16833) * t95 / 0.4e1 - 0.5e1 / 0.2e1 * t4738 * t1591 * t123723;
  t123732 = t42955 * t95 * t122633;
  t123735 = t3130 * t122659;
  t123738 = t41482 * t16616;
  t123739 = t123738 / 0.3e1;
  t123740 = t75413 * t16615;
  t123744 = t8642 * t95 * t123243;
  t123759 = -0.11e2 * t4738 * t11883 * t8614 + t6488 * t123732 / 0.2e1 + t10097 * t123735 / 0.2e1 - t123739 - t6488 * t123740 / 0.3e1 - t6488 * t123744 / 0.3e1 + 0.6e1 * t58221 * t15573 - t246 * t12183 * t15044 - 0.6e1 * t246 * t59041 * t15639 + 0.3e1 * t246 * t12096 * t118248 + 0.2e1 * t59166 * t15657;
  t123765 = my_piecewise3(t2, 0, t417 * t122842 / 0.12e2 - 0.5e1 / 0.18e2 * t11975 * t122845 - 0.35e2 / 0.108e3 * t58517 * t122851 - t2534 * t118521 / 0.2e1 - t417 * t87563 / 0.6e1 + 0.4e1 / 0.3e1 * t1541 * t79693 - t2534 * t118244 - t10160 * t2327 - t1532 * t15787 / 0.2e1 + t2529 * t15050 / 0.3e1 + t11960 * t15607 + 0.47e2 / 0.3e1 * t41139 * t58281 + 0.2e1 / 0.3e1 * t2534 * t118312 - t1541 * t122613 / 0.3e1 - 0.5e1 / 0.18e2 * t6107 * t122621 + t466 * t122627 / 0.12e2 + 0.5e1 / 0.3e1 * t58221 * t15663 + 0.2e1 * t10160 * t2332 + 0.2e1 * t47709 * t15625 - t10066 * t123273 - 0.6e1 * t5073 * t16673 - 0.3e1 * t58950 * t15604 - t2529 * t15062 / 0.3e1 - t2529 * t15091 / 0.6e1 + t2534 * t42533 / 0.3e1 - t2098 * t59602 / 0.12e2 + t2093 * t12211 / 0.6e1 - 0.23e2 / 0.36e2 * t10036 * t123084 + t42187 * t16641 + t87571 * t432 / 0.2e1 + 0.18e2 * t3680 * t59065 * t122857 - 0.3e1 / 0.2e1 * t4779 * t470 * t122634 - 0.15e2 / 0.2e1 * t9873 * t11891 * t123279 - 0.2e1 * t6069 * t47270 * t15677 - 0.3e1 / 0.2e1 * t4779 * t6424 * t123258 + 0.15e2 * t4738 * t11891 * t123269 + 0.3e1 * t4779 * t6393 * t123275 - 0.18e2 * t246 * t58714 * t15557 - 0.18e2 * t644 * t59065 * t123169 + t4738 * t1591 * t123091 + t123759 + t123727 + t123378 + t123357 + t123346 + t123330 + t123307 - t123264 + t123251 + t123225 + t123204 - t123159 - t123157 - t123158 + t123152 + t123144 + t123116 + t123089 + t123081 - t123079 + t123069 + t123054 + t123033 + t123017 + t122993 + t122970 + t122944 - t122850 - t122839 + t122831 + t122807 + t122773 - t122746 + t122741 + t122732 + t122727 + t122701 + t122674 + t122625 - t122619 - 0.12e2 * t119872 + 0.4e1 / 0.3e1 * t119709 + 0.28e2 / 0.3e1 * t119596 - 0.6e1 * t119594 + 0.6e1 * t119590 - t118509);
  tv4sigma2lapl20 = t3 * t123765;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 0] += tv4sigma2lapl20;

  tv4sigma2lapl21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 1] += tv4sigma2lapl21;

  tv4sigma2lapl22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 2] += tv4sigma2lapl22;

  tv4sigma2lapl23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 3] += tv4sigma2lapl23;

  tv4sigma2lapl24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 4] += tv4sigma2lapl24;

  tv4sigma2lapl25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 5] += tv4sigma2lapl25;

  tv4sigma2lapl26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 6] += tv4sigma2lapl26;

  tv4sigma2lapl27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 7] += tv4sigma2lapl27;

  tv4sigma2lapl28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 8] += tv4sigma2lapl28;

  tv4sigma2lapl29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 9] += tv4sigma2lapl29;

  tv4sigma2lapl210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 10] += tv4sigma2lapl210;

  tv4sigma2lapl211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 11] += tv4sigma2lapl211;

  tv4sigma2lapl212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 12] += tv4sigma2lapl212;

  tv4sigma2lapl213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 13] += tv4sigma2lapl213;

  tv4sigma2lapl214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 14] += tv4sigma2lapl214;

  tv4sigma2lapl215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 15] += tv4sigma2lapl215;

  tv4sigma2lapl216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 16] += tv4sigma2lapl216;

  t123766 = 0.3e1 / 0.2e1 * t118839;
  t123767 = t118841 / 0.3e1;
  t123773 = t29555 * t15967;
  t123777 = t373 * t12707 * t16019;
  t123778 = 0.3e1 / 0.2e1 * t123777;
  t123779 = t6773 * t15952;
  t123780 = t1393 * t123779;
  t123786 = t1000 * t123779;
  t123795 = t16969 * t2196;
  t123796 = t24962 * t123795;
  t123800 = t24823 * t123795;
  t123808 = t12596 * t2249;
  t123809 = t123808 / 0.4e1;
  t123810 = -t7100 * t123786 + 0.2e1 * t2609 * t119009 - t120432 / 0.3e1 - 0.2e1 / 0.3e1 * t120434 - t2609 * t119520 - 0.4e1 * t6921 * t81456 + 0.5e1 / 0.2e1 * t5540 * t1720 * t123796 - 0.5e1 / 0.2e1 * t5559 * t1720 * t123800 + t12596 * t2261 / 0.2e1 + t2609 * t44503 / 0.3e1 + t123809;
  t123820 = 0.3e1 / 0.2e1 * t118921;
  t123821 = 0.3e1 * t118926;
  t123823 = t1030 * t12341 * t15468;
  t123824 = 0.3e1 * t123823;
  t123827 = 0.4e1 / 0.3e1 * t120456 - 0.2e1 * t120475 - t2189 * t61706 / 0.6e1 + t2189 * t61710 / 0.3e1 - t61715 * t2245 / 0.2e1 + t120490 + t123820 - t123821 + t118928 + t123824 + t1030 * t12527 * t118990;
  t123828 = 0.2e1 / 0.3e1 * t118930;
  t123829 = 0.3e1 / 0.2e1 * t118933;
  t123830 = 0.3e1 / 0.2e1 * t118936;
  t123831 = t118944 / 0.3e1;
  t123832 = t1000 * t120656;
  t123833 = t1644 * t123832;
  t123834 = t123833 / 0.3e1;
  t123839 = t5640 * t15840;
  t123844 = t123828 + t123829 - t123830 + t118940 - t123831 + t123834 + t2609 * t119463 / 0.3e1 + 0.2e1 * t5674 * t17035 - 0.11e2 / 0.9e1 * t12347 * t123839 + 0.2e1 * t120555 - 0.2e1 * t120558;
  t123849 = t118946 / 0.2e1;
  t123864 = t50855 * t2337;
  t123865 = t1400 * t123864;
  t123868 = t1651 * t120657;
  t123869 = t123868 / 0.6e1;
  t123870 = t5623 * t123779;
  t123873 = t1393 * t120656;
  t123874 = t1651 * t123873;
  t123875 = t123874 / 0.3e1;
  t123882 = t1454 * t17016;
  t123883 = t123882 / 0.2e1;
  t123886 = t4543 * t123795;
  t123892 = -t1651 * t123865 / 0.3e1 - t123869 - 0.5e1 / 0.18e2 * t6752 * t123870 - t123875 - t12596 * t2253 / 0.2e1 + t2184 * t12591 / 0.6e1 - 0.6e1 * t5674 * t17051 - t123883 - t1454 * t17021 / 0.2e1 - 0.2e1 * t5540 * t1716 * t123886 - 0.28e2 * t45092 * t19349;
  t123895 = t987 * t44936 * t2617;
  t123899 = t987 * t6006 * t16953;
  t123904 = t29110 * t15967;
  t123911 = t24794 * t9253;
  t123919 = t490 * t123895 / 0.12e2 + t490 * t123899 / 0.6e1 + 0.6e1 * t61305 * t15975 - 0.38e2 / 0.9e1 * t61424 * t123904 - 0.18e2 * t1030 * t61903 * t16035 + 0.4e1 * t120595 - t15838 + t15839 - 0.15e2 / 0.2e1 * t10506 * t12398 * t123911 - 0.3e1 * t50177 * t16047 + 0.3e1 * t51823 * t16102;
  t123921 = t29498 * t4403 * t9253;
  t123928 = t5540 * t9556 * t16975;
  t123933 = t5640 * t15983;
  t123934 = t12347 * t123933;
  t123935 = 0.11e2 / 0.18e2 * t123934;
  t123936 = t29437 * t15967;
  t123939 = t5623 * t15844;
  t123942 = t5623 * t16031;
  t123943 = t12347 * t123942;
  t123944 = 0.23e2 / 0.36e2 * t123943;
  t123945 = t29442 * t15971;
  t123948 = 0.15e2 / 0.2e1 * t61262 * t123921 - 0.2e1 * t6824 * t82690 + t44886 * t16976 + t123928 + 0.6e1 * t6848 * t16036 - 0.3e1 * t12347 * t46384 - t123935 - 0.61e2 / 0.27e2 * t61424 * t123936 + 0.23e2 / 0.18e2 * t12347 * t123939 + t123944 + 0.44e2 / 0.27e2 * t61424 * t123945;
  t123954 = t12643 * t15984;
  t123959 = t12643 * t16032;
  t123960 = 0.2e1 * t123959;
  t123963 = t1663 * t16015;
  t123964 = t168 * t123795;
  t123965 = t29911 * t123964;
  t123968 = t9270 * t123964;
  t123971 = t12347 * t119460;
  t123972 = t123971 / 0.2e1;
  t123980 = t2178 * t12591;
  t123981 = t123980 / 0.12e2;
  t124007 = t12414 * t16019;
  t124008 = 0.4e1 * t124007;
  t124011 = t12417 * t15468;
  t124012 = 0.4e1 / 0.3e1 * t124011;
  t124016 = t12417 * t16014;
  t124017 = 0.4e1 * t124016;
  t124018 = t15337 - 0.12e2 * t12417 * t82377 + 0.8e1 * t12414 * t82274 - 0.4e1 * t12417 * t82265 + 0.24e2 * t61089 * t15943 - 0.12e2 * t61092 * t15948 + 0.4e1 / 0.3e1 * t77192 * t19836 - 0.12e2 * t61116 * t16066 - 0.4e1 * t496 * t15441 + 0.4e1 * t12420 * t15441 + 0.12e2 * t61106 * t16066 - 0.2e1 * t12420 * t15410 - 0.2e1 * t16102 - t124008 - 0.8e1 * t61144 * t16035 + t124012 + 0.16e2 / 0.9e1 * t61139 * t15958 + 0.12e2 * t16047 + t124017;
  t124026 = 0.8e1 * t119231;
  t124027 = t12432 * t16014;
  t124028 = 0.4e1 * t124027;
  t124029 = t12427 * t16019;
  t124030 = 0.4e1 * t124029;
  t124033 = t77199 * t2808;
  t124034 = 0.2e1 / 0.3e1 * t124033;
  t124039 = 0.8e1 * t119245;
  t124040 = 0.8e1 * t119258;
  t124041 = 0.8e1 / 0.3e1 * t119266;
  t124042 = 0.8e1 * t119274;
  t124043 = 0.4e1 / 0.3e1 * t119286;
  t124044 = -0.8e1 * t16100 - 0.24e2 * t61144 * t15943 + 0.32e2 / 0.3e1 * t61139 * t15963 + 0.12e2 * t61139 * t15948 + t124026 - t124028 + t124030 + 0.2e1 * t496 * t15410 + t124034 + 0.2e2 / 0.9e1 * t77192 * t19794 - 0.4e1 * t77189 * t2808 - t15349 - t124039 + t124040 + t119261 - t119265 + t124041 - t124042 + t124043;
  t124045 = t124018 + t124044;
  t124048 = t987 * t988 * t167 * t124045;
  t124054 = t5623 * t15983;
  t124055 = t12347 * t124054;
  t124056 = 0.5e1 / 0.36e2 * t124055;
  t124057 = t29442 * t15967;
  t124060 = t82345 * t505 / 0.2e1 + t90507 * t457 / 0.2e1 - t2189 * t62466 / 0.12e2 - t123981 + 0.3e1 * t34826 * t15959 + t490 * t124048 / 0.12e2 - t12659 * t16001 + 0.18e2 * t61305 * t15954 + t119016 - t124056 - 0.35e2 / 0.108e3 * t61424 * t124057;
  t124068 = t1000 * t123864;
  t124071 = 0.3e1 * t119055;
  t124072 = 0.3e1 * t119058;
  t124076 = t373 * t12336 * t119486;
  t124077 = 0.3e1 / 0.2e1 * t124076;
  t124080 = t119061 / 0.4e1;
  t124081 = -0.2e1 / 0.3e1 * t2609 * t119532 + 0.2e1 / 0.3e1 * t2609 * t119515 + t2609 * t118896 / 0.3e1 + 0.2e1 / 0.3e1 * t1644 * t124068 + t124071 - t124072 + 0.3e1 * t1454 * t17058 + t124077 + 0.47e2 / 0.3e1 * t44986 * t62256 + t124080 - t119085;
  t124082 = t46095 * t16970;
  t124085 = t16952 * t439;
  t124086 = t168 * t124085;
  t124087 = t5587 * t124086;
  t124090 = t168 * t90961;
  t124091 = t5587 * t124090;
  t124092 = t6824 * t124091;
  t124094 = t2616 * t2181;
  t124095 = t168 * t124094;
  t124096 = t29517 * t124095;
  t124099 = t45849 * t16994;
  t124100 = 0.2e1 / 0.3e1 * t124099;
  t124103 = t24823 * t9253;
  t124107 = t35145 * t16105;
  t124110 = t50186 * t16105;
  t124116 = t6824 * t124082 / 0.3e1 + t6824 * t124087 / 0.3e1 + t124092 / 0.6e1 + 0.11e2 / 0.18e2 * t10457 * t124096 - t124100 - 0.35e2 / 0.3e1 * t61262 * t45857 - 0.15e2 / 0.2e1 * t5540 * t12398 * t124103 - 0.2e1 / 0.3e1 * t6830 * t124107 + t6824 * t124110 / 0.2e1 + 0.2e1 * t50177 * t16100 + t61936 * t16109;
  t124122 = t985 * t348 * t124045;
  t124126 = t29517 * t16105;
  t124129 = t29498 * t16115;
  t124136 = t119116 / 0.12e2;
  t124137 = -0.12e2 * t120623 + 0.6e1 * t120631 - t373 * t1703 * t124122 / 0.4e1 + 0.55e2 / 0.18e2 * t61262 * t124126 - 0.115e3 / 0.36e2 * t61262 * t124129 + 0.22e2 / 0.3e1 * t61452 * t16116 - 0.11e2 / 0.3e1 * t61452 * t16112 - t119112 - t124136 - t119120 + t119132;
  t124142 = t119142 / 0.4e1;
  t124145 = t16931 - t2180 + 0.2e1 / 0.3e1 * t120642 - t120658 / 0.3e1 - t120660 + t119139 + 0.4e1 / 0.3e1 * t1651 * t82403 + t124142 - 0.4e1 / 0.3e1 * t2609 * t118834 - t119158 + t119159;
  t124147 = t2616 * t15318;
  t124149 = t45031 * t168 * t124147;
  t124152 = t4137 * t124095;
  t124155 = t24858 * t124147;
  t124159 = 0.3e1 / 0.2e1 * t119163;
  t124162 = t5634 * t15840;
  t124164 = t24794 * t124094;
  t124168 = t24848 * t124094;
  t124172 = t1021 * t124094;
  t124173 = t5549 * t124172;
  t124176 = t5587 * t124095;
  t124181 = t6827 * t124149 / 0.2e1 + t10462 * t124152 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t494 * t124155 + t124159 - 0.6e1 * t6848 * t15964 - t12347 * t124162 - 0.3e1 / 0.2e1 * t10506 * t6988 * t124164 + 0.3e1 * t5559 * t6988 * t124168 + 0.2e1 * t10451 * t124173 - t10451 * t124176 + 0.11e2 * t5540 * t12394 * t16046;
  t124182 = t1182 * t124094;
  t124188 = t119461 / 0.2e1;
  t124190 = t373 * t12341 * t16014;
  t124191 = 0.3e1 * t124190;
  t124192 = t119471 / 0.6e1;
  t124193 = 0.7e1 / 0.3e1 * t119484;
  t124194 = 0.3e1 / 0.2e1 * t119488;
  t124195 = t119492 / 0.3e1;
  t124196 = 0.11e2 / 0.18e2 * t119494;
  t124197 = 0.23e2 / 0.36e2 * t119496;
  t124198 = t1651 * t82391;
  t124199 = 0.2e1 / 0.3e1 * t124198;
  t124200 = -0.3e1 / 0.2e1 * t5540 * t7010 * t124182 - 0.6e1 * t1454 * t17054 - t124188 - t124191 + t124192 + t124193 + t124194 - t124195 - t124196 + t124197 + t124199;
  t124207 = t119506 / 0.4e1;
  t124210 = t29498 * t16105;
  t124213 = t29911 * t16105;
  t124216 = t44807 * t16993;
  t124220 = t5549 * t1021 * t124085;
  t124224 = t6824 * t90963;
  t124226 = t29498 * t124172;
  t124231 = t5540 * t9568 * t16986;
  t124232 = t4549 * t124085;
  t124235 = t4549 * t90961;
  t124237 = t5540 * t1720 * t124235;
  t124241 = t45849 * t16990;
  t124242 = t124241 / 0.3e1;
  t124245 = t5559 * t9568 * t90823;
  t124246 = t4408 * t124085;
  t124249 = -t124224 / 0.3e1 - 0.23e2 / 0.36e2 * t10457 * t124226 - t44886 * t16987 - t124231 - t5540 * t1720 * t124232 - t124237 / 0.2e1 - 0.7e1 / 0.3e1 * t44815 * t61977 + t124242 + t45074 * t16997 + t124245 + t5559 * t1720 * t124246;
  t124251 = t4408 * t90961;
  t124253 = t5559 * t1720 * t124251;
  t124257 = t1400 * t123779;
  t124274 = t124253 / 0.2e1 + 0.3e1 / 0.2e1 * t44815 * t61981 + t6921 * t124257 - t490 * t120458 / 0.3e1 + 0.3e1 * t1663 * t16067 + t1663 * t16062 - 0.3e1 * t1030 * t12527 * t118977 - 0.2e1 / 0.3e1 * t120689 - t373 * t12534 * t15441 - 0.6e1 * t373 * t62408 * t16066 - 0.2e1 * t120694;
  t124284 = t4549 * t124094;
  t124288 = t4408 * t124094;
  t124295 = t5549 * t124090;
  t124296 = t6824 * t124295;
  t124298 = t29498 * t124095;
  t124301 = t46009 * t16966;
  t124302 = t124301 / 0.3e1;
  t124303 = -0.2e1 * t10647 * t2395 - 0.2e1 * t120696 - t10647 * t2398 - t12596 * t2258 / 0.4e1 + 0.3e1 * t373 * t12527 * t119002 + 0.3e1 * t5540 * t6984 * t124284 - 0.3e1 * t5559 * t6984 * t124288 - 0.3e1 * t5540 * t12388 * t16099 + t124296 / 0.12e2 + 0.5e1 / 0.36e2 * t10457 * t124298 - t124302;
  t124306 = t77581 * t16965;
  t124309 = t16952 * t2196;
  t124311 = t9270 * t168 * t124309;
  t124314 = t2616 * t15356;
  t124316 = t9270 * t168 * t124314;
  t124319 = t45849 * t16971;
  t124320 = t124319 / 0.6e1;
  t124323 = t2178 * t16955;
  t124324 = t124323 / 0.6e1;
  t124331 = t24376 * t24377 * t2181;
  t124337 = -0.6e1 * t25375 * t61316 * t124331 + 0.6e1 * t120746 - 0.8e1 * t120762 + t16016 - t16021 - t16024 - t17037 - t17038 + t17039 + t17040 + t2251;
  t124343 = t373 * t9439 * t17020;
  t124344 = t124343 / 0.2e1;
  t124350 = t24376 * t15962;
  t124357 = t5634 * t123779;
  t124361 = t373 * t12534 * t15410 / 0.2e1 - t124344 - t119518 - t373 * t12527 * t118995 - t9710 * t2668 / 0.4e1 - 0.4e1 * t120771 + 0.6e1 * t373 * t61316 * t124350 - t2609 * t118967 / 0.2e1 + 0.2e1 * t120801 - t6752 * t124357 + 0.14e2 / 0.3e1 * t6752 * t81709;
  t124363 = t5623 * t6846 * t15952;
  t124367 = t2178 * t16933;
  t124368 = t124367 / 0.6e1;
  t124369 = t45463 * t17106;
  t124370 = 0.4e1 * t124369;
  t124371 = t91270 * t439;
  t124372 = t1203 * t124371;
  t124377 = t12370 * t2181;
  t124378 = t360 * t124377;
  t124382 = t360 * t12370 * t15318;
  t124385 = t1203 * t124377;
  t124388 = t1190 * t124377;
  t124392 = t2646 * t2181;
  t124393 = t4549 * t124392;
  t124400 = t1182 * t124392;
  t124404 = t24858 * t2646 * t15318;
  t124407 = t24958 * t15880;
  t124410 = t24848 * t124392;
  t124413 = t24823 * t15896;
  t124416 = t360 * t124371;
  t124420 = t360 * t91270 * t2196;
  t124423 = t1190 * t124371;
  t124428 = -t124370 - 0.4e1 * t6969 * t124372 - 0.3e2 * t62499 * t15855 - 0.6e1 * t34538 * t124378 - 0.6e1 * t51021 * t124382 + 0.12e2 * t34443 * t124385 - 0.6e1 * t34450 * t124388 + 0.24e2 * t120864 - 0.6e1 * t6984 * t124393 - 0.2e1 * t2633 * t119362 + 0.4e1 / 0.3e1 * t62590 * t15891 + 0.3e1 * t7010 * t124400 + 0.3e1 * t494 * t124404 - 0.4e1 / 0.3e1 * t62594 * t124407 - 0.1e2 / 0.3e1 * t6988 * t124410 + 0.15e2 * t12398 * t124413 + 0.4e1 * t6966 * t124416 + 0.4e1 * t10396 * t124420 + 0.2e1 / 0.3e1 * t6969 * t124423 + 0.44e2 * t62492 * t15852;
  t124431 = t4633 * t15848;
  t124434 = t45342 * t17109;
  t124435 = 0.4e1 * t124434;
  t124436 = t78155 * t17113;
  t124437 = 0.4e1 * t124436;
  t124438 = t45463 * t17116;
  t124439 = 0.2e1 / 0.3e1 * t124438;
  t124440 = t360 * t123795;
  t124443 = t1190 * t123795;
  t124446 = t4624 * t15848;
  t124451 = 0.4e1 * t119172;
  t124452 = t4408 * t15928;
  t124453 = t12398 * t124452;
  t124454 = 0.3e1 * t124453;
  t124455 = t4396 * t15928;
  t124456 = t12398 * t124455;
  t124457 = t124456 / 0.18e2;
  t124458 = t4376 * t15928;
  t124459 = t12398 * t124458;
  t124460 = 0.1e2 / 0.3e1 * t124459;
  t124463 = t12394 * t15931;
  t124464 = 0.4e1 * t124463;
  t124465 = t12398 * t119421;
  t124466 = 0.6e1 * t124465;
  t124467 = t24794 * t15880;
  t124470 = t15858 + t15859 + t15363 - t124451 - t124454 + t124457 + t124460 - 0.4e1 / 0.3e1 * t2633 * t119169 - t124464 + t124466 + 0.8e1 / 0.3e1 * t62594 * t124467;
  t124473 = t9568 * t17094;
  t124474 = 0.2e1 * t124473;
  t124475 = t17131 * t439;
  t124476 = t4549 * t124475;
  t124479 = t2646 * t2175;
  t124480 = t4549 * t124479;
  t124481 = t1720 * t124480;
  t124482 = t12394 * t15900;
  t124483 = 0.12e2 * t124482;
  t124486 = t4408 * t124475;
  t124489 = t4408 * t124479;
  t124490 = t1720 * t124489;
  t124492 = t24794 * t124392;
  t124496 = t119188 / 0.18e2;
  t124498 = 0.6e1 * t119205;
  t124499 = 0.1e2 / 0.3e1 * t119207;
  t124500 = 0.3e1 * t119217;
  t124501 = t119296 / 0.2e1;
  t124502 = 0.3e1 * t119304;
  t124503 = t12370 * t2175;
  t124504 = t1190 * t124503;
  t124505 = t6969 * t124504;
  t124507 = t4633 * t124377;
  t124510 = t124498 + t124499 - t124500 + t124501 - t124502 - t119306 - t119320 - t119323 + t119330 + t124505 / 0.3e1 + t34450 * t124507 / 0.9e1;
  t124512 = t360 * t124503;
  t124513 = t6966 * t124512;
  t124518 = t360 * t12370 * t15356;
  t124523 = t1203 * t124503;
  t124524 = t6969 * t124523;
  t124526 = t4624 * t124377;
  t124529 = t2209 * t17158;
  t124530 = 0.2e1 * t124529;
  t124532 = t9568 * t17086;
  t124533 = 0.4e1 / 0.3e1 * t124532;
  t124534 = t24794 * t15862;
  t124539 = t24958 * t15862;
  t124545 = t1182 * t140 * t124045;
  t124548 = t12388 * t15934;
  t124549 = 0.3e1 * t124548;
  t124553 = t2209 * t17132;
  t124555 = -t124533 + 0.5e2 / 0.3e1 * t62594 * t124534 - 0.4e2 * t62590 * t15869 + 0.1e2 / 0.3e1 * t62594 * t124539 + 0.2e1 * t2633 * t119202 + t494 * t124545 / 0.2e1 - t124549 + 0.24e2 * t62640 * t15863 - t2629 * t15358 + t124553 + 0.8e1 * t120951;
  t124567 = t4376 * t15887;
  t124568 = t12398 * t124567;
  t124569 = 0.2e1 / 0.3e1 * t124568;
  t124578 = t24848 * t15896;
  t124581 = t45387 * t123795;
  t124584 = t45378 * t123795;
  t124587 = t45383 * t123795;
  t124592 = -t15923 - t124569 - 0.22e2 * t12394 * t15909 + 0.6e1 * t12388 * t15906 + 0.44e2 / 0.3e1 * t12394 * t15897 - 0.4e1 * t2633 * t119404 - 0.5e2 / 0.3e1 * t12398 * t124578 - 0.8e1 * t34634 * t124581 - 0.5e1 / 0.3e1 * t34459 * t124584 + 0.1e2 * t34459 * t124587 - 0.6e1 * t2633 * t119219;
  t124602 = t12394 * t15929;
  t124603 = 0.6e1 * t124602;
  t124604 = 0.4e1 * t119344;
  t124605 = 0.6e1 * t119357;
  t124611 = t24848 * t15880;
  t124614 = t24823 * t124392;
  t124627 = 0.4e2 / 0.3e1 * t121018 - 0.16e2 / 0.3e1 * t121024 - 0.16e2 * t121028 + 0.24e2 * t121031 + 0.24e2 * t62594 * t124611 + 0.3e1 * t6988 * t124614 - 0.24e2 * t62599 * t15881 - 0.4e1 * t2629 * t15392 + 0.12e2 * t2633 * t119359 - 0.72e2 * t62590 * t15918 + 0.72e2 * t62640 * t15912;
  t124631 = t1182 * t143 * t124045;
  t124633 = t9556 * t17145;
  t124634 = 0.2e1 * t124633;
  t124637 = t24848 * t15862;
  t124642 = 0.2e1 / 0.3e1 * t119369;
  t124643 = 0.12e2 * t119375;
  t124644 = 0.3e1 * t119377;
  t124645 = 0.2e1 * t119386;
  t124646 = t119395 / 0.9e1;
  t124648 = 0.2e1 * t119400;
  t124649 = 0.2e1 * t119413;
  t124650 = 0.6e1 * t119419;
  t124651 = 0.6e1 * t119422;
  t124652 = 0.2e1 * t119424;
  t124656 = t1203 * t123795;
  t124659 = -t124648 + t124649 - t119415 + t124650 + t124651 + t124652 - 0.12e2 * t121059 + 0.2e1 / 0.9e1 * t121065 - 0.4e1 * t121079 - 0.5e1 * t34459 * t124656 + t119433;
  t124663 = t12394 * t15888;
  t124664 = 0.2e1 * t124663;
  t124667 = t12398 * t119394;
  t124668 = t124667 / 0.9e1;
  t124669 = t24930 * t15880;
  t124672 = t12388 * t15903;
  t124673 = 0.6e1 * t124672;
  t124676 = t24794 * t15896;
  t124681 = t4543 * t2646 * t15356;
  t124684 = t4543 * t17131 * t2196;
  t124687 = t1182 * t124475;
  t124690 = t1182 * t124479;
  t124691 = t1716 * t124690;
  t124692 = t4408 * t124392;
  t124695 = t2209 * t17149;
  t124696 = 0.2e1 * t124695;
  t124697 = -t494 * t124681 - 0.2e1 * t494 * t124684 - 0.2e1 * t1716 * t124687 + 0.4e1 * t6984 * t124692 - t124691 - t124696 - t17165 + t17166 + t17167 + t2210 - t2229;
  t124712 = t1182 * t124085;
  t124715 = t1182 * t90961;
  t124717 = t5540 * t1716 * t124715;
  t124719 = t24823 * t124094;
  t124723 = t29911 * t124095;
  t124727 = t1030 * t12336 * t118924;
  t124728 = 0.3e1 * t124727;
  t124729 = -0.3e1 * t6752 * t124363 - 0.2e1 * t120803 + t124368 - t110 * t139 * (0.2e1 * t2629 * t15380 - 0.12e2 * t62640 * t15884 - t62594 * t124669 / 0.9e1 + 0.2e1 / 0.3e1 * t2633 * t119410 - 0.5e1 / 0.18e2 * t12398 * t124676 - t494 * t124631 + 0.36e2 * t62590 * t15872 - 0.12e2 * t62594 * t124637 - 0.36e2 * t62640 * t15875 + 0.12e2 * t62599 * t15924 + 0.2e1 * t2629 * t15320 - 0.2e1 / 0.3e1 * t62590 * t15866 + 0.4e1 * t2633 * t119324 - 0.2e1 * t34443 * t124388 + 0.2e1 * t10396 * t124518 - 0.12e2 * t62570 * t15849 + 0.2e1 / 0.3e1 * t34450 * t124526 + 0.8e1 * t62590 * t15915 - 0.4e1 / 0.3e1 * t1720 * t124486 - t6988 * t124492 / 0.18e2 + 0.2e1 * t1720 * t124476 + 0.4e1 * t34634 * t124440 + 0.1e2 / 0.3e1 * t34459 * t124443 + 0.1e2 / 0.3e1 * t62499 * t124446 - 0.22e2 / 0.3e1 * t62492 * t15855 + 0.5e1 / 0.9e1 * t62499 * t124431 + t124697 + t124673 - t124668 + t124664 + t124659 - t124646 - t124643 + t124644 - t124645 - t124642 - t124634 + t124627 - t124605 + t124603 + t124604 + t124592 + t124555 - t124530 - 0.2e1 * t124524 + 0.2e1 * t124513 + t124510 + t124496 - 0.2e1 / 0.3e1 * t124490 + t124481 - t124483 + t124474 + t124470 + t124437 + t124439 + t124435 + t124428 - 0.12e2 * t121006 - 0.16e2 * t120980 - 0.48e2 * t120978 - 0.4e1 / 0.9e1 * t120971 + 0.8e1 * t120973 + 0.8e1 / 0.3e1 * t120968 + 0.24e2 * t120954 + 0.8e1 * t120882 - 0.8e1 / 0.3e1 * t120870 + t119445 - t119436 + t119338 + t15921 - t15922 - t17156 - t17102 + t17103 - t15385 - t17104 + t17130 - t15857) * t168 / 0.4e1 - 0.18e2 * t373 * t61334 * t15948 + 0.36e2 * t1030 * t61334 * t15963 + t5540 * t1716 * t124712 + t124717 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t6988 * t124719 + t10457 * t124723 / 0.2e1 - t124728;
  t124744 = t5640 * t123779;
  t124747 = t12347 * t46545;
  t124748 = 0.3e1 / 0.2e1 * t124747;
  t124755 = t4395 * t12336 * t118919;
  t124756 = 0.3e1 / 0.2e1 * t124755;
  t124757 = t29442 * t15953;
  t124764 = t6848 * t16023;
  t124769 = t5623 * t15840;
  t124772 = t119523 / 0.2e1;
  t124775 = t124756 - 0.43e2 / 0.9e1 * t61424 * t124757 - 0.2e1 * t50014 * t2390 + 0.14e2 / 0.3e1 * t12347 * t45117 - t124764 + 0.2e1 * t10647 * t2403 + t2609 * t119465 / 0.6e1 - 0.5e1 / 0.18e2 * t12347 * t124769 + t124772 + 0.2e1 / 0.3e1 * t120816 + 0.4e1 * t120820;
  t124779 = t119536 / 0.2e1;
  t124780 = t119538 / 0.6e1;
  t124781 = 0.5e1 / 0.36e2 * t119539;
  t124782 = t50222 * t16105;
  t124784 = t12347 * t46527;
  t124785 = 0.7e1 / 0.3e1 * t124784;
  t124786 = t6824 * t124782 + 0.12e2 * t120828 + 0.2e1 * t120833 + t124779 - t124780 - t124781 + t124785 + t15453 - t15470 + t16050 - t16051;
  t124787 = t29437 * t15971;
  t124790 = t1393 * t123864;
  t124795 = t29911 * t1021 * t123795;
  t124798 = t30214 * t123964;
  t124801 = t5623 * t81455;
  t124809 = t987 * t61957 * t2197;
  t124813 = 0.89e2 / 0.9e1 * t61424 * t124787 - 0.2e1 / 0.3e1 * t1651 * t124790 - 0.2e1 / 0.3e1 * t120846 + 0.5e1 / 0.3e1 * t6824 * t124795 - 0.5e1 / 0.6e1 * t6824 * t124798 + 0.23e2 / 0.18e2 * t6752 * t124801 - 0.12e2 * t120856 + 0.3e1 * t1454 * t17024 + t1454 * t17027 + t442 * t124809 / 0.12e2 + t121101 / 0.3e1;
  t124817 = t29442 * t4393 * t15952;
  t124820 = t44807 * t16970;
  t124823 = t5549 * t124086;
  t124828 = t5540 * t2209 * t16979;
  t124829 = t4543 * t124309;
  t124832 = t4543 * t124314;
  t124836 = t46012 * t16983;
  t124837 = t124836 / 0.3e1;
  t124838 = t28964 * t16970;
  t124841 = t4137 * t124086;
  t124844 = t4137 * t124090;
  t124845 = t6830 * t124844;
  t124847 = 0.8e1 * t61424 * t124817 + t6824 * t124820 / 0.6e1 + t6824 * t124823 / 0.6e1 + t44886 * t16980 + t124828 + t5540 * t494 * t124829 + t5540 * t494 * t124832 / 0.2e1 - t124837 - t6830 * t124838 / 0.3e1 - t6830 * t124841 / 0.3e1 - t124845 / 0.6e1;
  t124848 = t5549 * t124095;
  t124851 = t12643 * t15988;
  t124852 = t124851 / 0.2e1;
  t124853 = t119549 / 0.12e2;
  t124854 = t119557 / 0.2e1;
  t124863 = t119561 / 0.6e1;
  t124866 = -t10451 * t124848 / 0.2e1 + t124852 + t124853 - t124854 - t442 * t90502 / 0.6e1 + t9710 * t2671 / 0.2e1 - t44508 * t2659 / 0.2e1 - t9710 * t2663 / 0.2e1 - t124863 + t2604 * t15447 / 0.3e1 - t119564;
  t124868 = 0.2e1 * t119566;
  t124869 = t119568 / 0.2e1;
  t124870 = t12659 * t16004;
  t124871 = t124870 / 0.2e1;
  t124880 = t24376 * t24448 * t2181;
  t124884 = 0.18e2 * t4395 * t61316 * t124880 + 0.18e2 * t373 * t61903 * t15943 - 0.3e1 * t61321 * t16007 + 0.6e1 * t5674 * t17032 - t124868 - t124869 - t124871 + t16070 - t16071 + t17075 - t17076;
  t124885 = t24376 * t15957;
  t124893 = t24848 * t9253;
  t124900 = t1663 * t16020;
  t124905 = -0.18e2 * t1030 * t61316 * t124885 - 0.5e1 / 0.9e1 * t121145 - 0.11e2 * t5559 * t12394 * t9254 + 0.15e2 * t5559 * t12398 * t124893 + t15548 + 0.4e1 / 0.3e1 * t121153 + 0.23e2 / 0.9e1 * t121159 - 0.22e2 / 0.9e1 * t121168 - t124900 - t1663 * t16010 / 0.2e1 + t490 * t121098 / 0.3e1;
  t124911 = my_piecewise3(t100, 0, -t2604 * t15483 / 0.3e1 + 0.2e1 * t61325 * t16043 - 0.2e1 * t61424 * t123773 + 0.2e1 * t6921 * t123780 - 0.2e1 * t1454 * t17012 - 0.62e2 / 0.3e1 * t44986 * t62226 + 0.12e2 * t61321 * t16057 - 0.6e1 * t61321 * t16055 - 0.6e1 * t1663 * t15944 - 0.11e2 / 0.9e1 * t6752 * t124744 + 0.3e1 * t30060 * t17191 + 0.3e1 * t1663 * t15949 - t6827 * t124306 / 0.3e1 - t6827 * t124311 / 0.3e1 - t6827 * t124316 / 0.6e1 - 0.2e1 / 0.3e1 * t6824 * t124220 + 0.5e1 / 0.3e1 * t61305 * t15991 - 0.11e2 / 0.6e1 * t61452 * t16106 + 0.25e2 / 0.36e2 * t61262 * t124210 + 0.5e1 / 0.2e1 * t61262 * t124213 - 0.2e1 / 0.3e1 * t6824 * t124216 - 0.23e2 / 0.3e1 * t61305 * t15972 - 0.5e1 / 0.12e2 * t6824 * t123965 + 0.2e1 / 0.3e1 * t6830 * t123968 + 0.2e1 * t12643 * t15998 + 0.22e2 / 0.3e1 * t61305 * t15968 - 0.4e1 * t12643 * t15845 - t2604 * t15488 / 0.6e1 + t12643 * t15841 - t2609 * t44553 / 0.6e1 - t490 * t82340 / 0.6e1 - t2609 * t44486 / 0.12e2 + t2604 * t9705 / 0.6e1 + t490 * t120666 / 0.6e1 - 0.18e2 * t4395 * t61334 * t15958 + t124905 + t124884 + t124866 + t124847 + t124813 + t124786 + t124775 - t124748 + t124729 + t124361 + t124337 + t124324 + t124320 + t124303 + t124274 + t124249 - t124207 + t124200 + t124181 + t124145 + t124137 + t124116 + t124081 + t124060 - t123972 + t123963 - t123960 + t123954 + t123948 + t123919 + t123892 + t123849 + t123844 + t123827 + t123810 + t123778 - t123766 + t123767 + 0.6e1 * t120813 - 0.6e1 * t120809 + 0.28e2 / 0.3e1 * t120718 + 0.2e1 / 0.3e1 * t120713 + 0.2e1 * t120710 - 0.2e1 * t120704 - t120569 / 0.3e1 - 0.8e1 / 0.3e1 * t120562 + 0.4e1 / 0.3e1 * t120378 - t118837 - t17018 - t15415 - t15419);
  tv4sigma2lapl217 = t3 * t124911;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 17] += tv4sigma2lapl217;

  t124912 = 0.3e1 * t119590;
  t124913 = 0.3e1 * t119594;
  t124914 = 0.14e2 / 0.3e1 * t119596;
  t124917 = t7746 * t122783;
  t124921 = t463 * t15088;
  t124937 = t4738 * t7595 * t648 * t78993;
  t124941 = t4779 * t7610 * t229 * t78993;
  t124947 = t53072 * t15670;
  t124951 = t122625 + t124912 - t124913 + t124914 - t7746 * t122780 / 0.3e1 - t124917 / 0.6e1 - t11086 * t122786 / 0.2e1 + t4738 * t1847 * t3375 * t124921 - 0.4e1 / 0.3e1 * t7216 * t41642 * t17494 - 0.2e1 / 0.3e1 * t7216 * t4760 * t635 * t124921 + 0.2e1 / 0.3e1 * t7216 * t43310 * t17428 + 0.3e1 * t124937 + 0.3e1 / 0.2e1 * t124941 + t4779 * t1843 * t819 * t124921 / 0.2e1 + t6069 * t124947 / 0.2e1 - t4753 * t92295;
  t124953 = t95 * t78667;
  t124957 = 0.3e1 * t121180;
  t124962 = t543 * t2090;
  t124963 = t253 * t124962;
  t124964 = t10037 * t124963;
  t124967 = 0.3e1 * t121184;
  t124969 = t3123 * t13186 * t15801;
  t124973 = 0.6e1 * t119604;
  t124974 = 0.2e1 * t119610;
  t124979 = t119629 / 0.2e1;
  t124982 = t52729 * t15625 - 0.2e1 * t52204 * t26140 * t124953 + t124957 + t7216 * t122789 / 0.2e1 - 0.3e1 / 0.2e1 * t47709 * t16320 - 0.5e1 / 0.36e2 * t10036 * t124964 - t124967 - t124969 / 0.2e1 + t6488 * t121723 / 0.12e2 - t122664 + t124973 + t124974 + t13060 * t2170 / 0.2e1 - t2098 * t63749 / 0.6e1 + t124979 - 0.6e1 * t41476 * t17277;
  t124986 = t4779 * t7595 * t653 * t78993;
  t124992 = 0.2e1 * t121203;
  t124993 = t119634 / 0.6e1;
  t124997 = t3121 * t124962;
  t124998 = t4765 * t124997;
  t125008 = t7216 * t122655;
  t125020 = t4760 * t124963;
  t125023 = -0.3e1 * t124986 - 0.28e2 * t30 * t41799 * t63922 + t42187 * t17280 + t124992 - t124993 - 0.3e1 * t3123 * t63435 * t15567 - 0.2e1 * t10066 * t124998 + 0.3e1 * t4748 * t63435 * t15643 + t7216 * t122646 / 0.3e1 + t7216 * t122651 / 0.3e1 + t125008 / 0.6e1 + 0.11e2 / 0.18e2 * t11008 * t122660 - 0.2e1 / 0.3e1 * t7216 * t122665 - 0.2e1 / 0.3e1 * t7216 * t122669 + 0.6e1 * t4779 * t36901 * t21225 * t78667 - t10036 * t125020 / 0.2e1;
  t125033 = t121213 / 0.3e1;
  t125034 = t121219 / 0.3e1;
  t125035 = t119672 / 0.3e1;
  t125036 = 0.4e1 / 0.3e1 * t119688;
  t125037 = 0.23e2 / 0.18e2 * t119695;
  t125040 = t7216 * t87796;
  t125046 = 0.3e1 / 0.2e1 * t26806 * t63261 * t15585 - 0.3e1 * t4748 * t63261 * t15562 - t4779 * t1847 * t3409 * t124921 - t125033 + t125034 + t121223 + t121228 - t122746 + t122749 + t125035 - t125036 + t125037 + t4738 * t1847 * t123091 - t125040 / 0.3e1 - 0.23e2 / 0.36e2 * t11008 * t123084 - t11008 * t41642 * t17421;
  t125049 = 0.6e1 * t121260;
  t125066 = 0.2e1 / 0.3e1 * t121265;
  t125069 = t121278 / 0.6e1;
  t125072 = t2087 * t12868;
  t125076 = t41043 * t2676;
  t125080 = -t125049 - 0.3e1 / 0.2e1 * t4779 * t7610 * t123258 + t122763 - t122776 - 0.18e2 * t4738 * t36922 * t648 * t78667 - t246 * t1769 * t122938 / 0.4e1 + t9070 * t2742 / 0.2e1 - t9070 * t2734 / 0.2e1 - t515 * t119752 / 0.6e1 + t125066 + t9070 * t2751 / 0.4e1 - t125069 - t466 * t84096 / 0.12e2 - t125072 / 0.12e2 - t417 * t92315 / 0.6e1 - t1748 * t1220 * t125076 / 0.6e1;
  t125082 = t660 * t63170 * t2106;
  t125085 = t52585 * t2266;
  t125086 = t673 * t125085;
  t125102 = 0.4e1 * t121289;
  t125111 = t417 * t125082 / 0.12e2 + t1568 * t125086 / 0.3e1 + t466 * t121275 / 0.6e1 + 0.12e2 * t52607 * t4765 * t78668 - 0.38e2 / 0.9e1 * t52204 * t25739 * t124953 + 0.89e2 / 0.9e1 * t52204 * t47588 * t78668 + t11008 * t123201 / 0.2e1 - t121287 - t125102 - t121296 - t121304 - t1748 * t122613 / 0.6e1 + t1787 * t122998 / 0.3e1 + t515 * t119937 / 0.6e1 - t417 * t92327 / 0.6e1 - t122839;
  t125113 = t463 * t15042;
  t125124 = t121312 / 0.3e1;
  t125127 = t121318 / 0.2e1;
  t125134 = t121338 / 0.3e1;
  t125135 = t121343 / 0.3e1;
  t125136 = 0.2e1 / 0.3e1 * t119709;
  t125137 = t1748 * t122715;
  t125143 = 0.2e1 * t7216 * t26082 * t635 * t125113 - 0.3e1 * t4738 * t1847 * t22070 * t125113 + t7581 * t123732 / 0.2e1 - t125124 - t121316 + t11143 * t123735 / 0.2e1 + t125127 + 0.3e1 / 0.2e1 * t37303 * t15586 - 0.3e1 * t7462 * t15563 + 0.3e1 / 0.2e1 * t1891 * t15558 + t125134 - t125135 + t125136 - t125137 / 0.6e1 - 0.11e2 / 0.18e2 * t7187 * t122718 + 0.2e1 / 0.3e1 * t1748 * t79693;
  t125144 = t1748 * t79081;
  t125152 = t95 * t79551;
  t125160 = t253 * t84336;
  t125161 = t3130 * t125160;
  t125164 = t4760 * t125160;
  t125167 = t2087 * t13049;
  t125172 = 0.6e1 * t121350;
  t125173 = t125144 / 0.3e1 + 0.23e2 / 0.36e2 * t7187 * t123045 - t466 * t121661 / 0.6e1 + 0.3e1 / 0.2e1 * t1532 * t16211 - 0.11e2 / 0.6e1 * t11086 * t4760 * t125152 - 0.3e1 * t4779 * t7610 * t819 * t79551 - t6491 * t125161 / 0.3e1 + t6069 * t125164 / 0.4e1 + t122862 - t125167 / 0.12e2 - t118203 + t118208 + t122863 + t122866 - t3123 * t13190 * t15111 / 0.4e1 - t125172;
  t125177 = t42977 * t17405;
  t125182 = t41646 * t17405;
  t125185 = t31513 * t16309;
  t125199 = t4770 * t125160;
  t125212 = t7198 * t15571;
  t125213 = t1227 * t125212;
  t125218 = t673 * t121493;
  t125219 = t1568 * t125218;
  t125221 = t6491 * t125177 / 0.3e1 + t6488 * t121186 / 0.6e1 - t6069 * t125182 / 0.6e1 + t4789 * t125185 / 0.12e2 + t122946 + t3123 * t13190 * t15044 / 0.2e1 + 0.3e1 * t4779 * t1847 * t22051 * t125113 + 0.15e2 / 0.2e1 * t11008 * t25739 * t3671 * t79551 + t6069 * t125199 / 0.2e1 + t7250 * t123320 / 0.2e1 + t1787 * t673 * t125076 / 0.6e1 - t1748 * t1227 * t125076 / 0.12e2 - t1532 * t16203 / 0.2e1 + t6167 * t125213 / 0.2e1 + t466 * t121346 / 0.12e2 + t125219 / 0.6e1;
  t125223 = 0.14e2 / 0.3e1 * t121357;
  t125228 = t4765 * t121211;
  t125229 = t6069 * t125228;
  t125231 = 0.3e1 * t121360;
  t125232 = t95 * t125113;
  t125239 = t7250 * t122984 + t125223 - t122949 - 0.18e2 * t9873 * t36878 * t3448 * t78667 - t125229 / 0.12e2 + t125231 - t7216 * t27475 * t125232 + t122954 - t122955 - t118285 + t122961 - t121364 - t121368 - t121371 + t2098 * t64934 / 0.3e1 - t6295 * t16247 / 0.2e1;
  t125245 = 0.2e1 * t121398;
  t125247 = t10058 * t124997;
  t125251 = t10037 * t4746 * t124962;
  t125254 = t1787 * t123001;
  t125262 = t6491 * t121843;
  t125264 = t1532 * t16250 / 0.2e1 - t122987 + t122990 - t122991 + t122992 + t118307 + 0.3e1 * t41476 * t17481 - t125245 + t41476 * t17485 + 0.7e1 / 0.3e1 * t10036 * t125247 - 0.3e1 / 0.2e1 * t10036 * t125251 + t125254 / 0.6e1 + t515 * t122627 / 0.12e2 + t515 * t122957 / 0.6e1 + t515 * t122964 / 0.12e2 + t125262 / 0.6e1;
  t125291 = t119798 / 0.3e1;
  t125294 = -0.3e1 * t52607 * t4765 * t124953 - t123014 + t123015 + t123016 - t123018 + t123021 - t123022 + 0.22e2 / 0.3e1 * t11086 * t4760 * t79552 + 0.5e1 / 0.2e1 * t11008 * t26082 * t125152 - 0.2e1 * t4779 * t1843 * t122871 - 0.15e2 / 0.2e1 * t9873 * t7599 * t21220 * t79551 - 0.3e1 / 0.2e1 * t3123 * t12837 * t79557 + 0.11e2 * t4779 * t7595 * t3409 * t79551 - 0.3e1 * t4738 * t7595 * t123342 - t125291 - 0.35e2 / 0.3e1 * t11008 * t79553;
  t125299 = t119804 / 0.3e1;
  t125300 = 0.2e1 * t119810;
  t125301 = 0.4e1 * t119812;
  t125308 = t13060 * t2158;
  t125318 = t7216 * t123206 / 0.4e1 - t119802 - t125299 + t119807 + t125300 - t125301 - t119818 + t84002 * t481 / 0.4e1 - t13060 * t2162 / 0.2e1 + t2093 * t13049 / 0.6e1 + t125308 / 0.4e1 - t515 * t79823 / 0.12e2 - t2098 * t62972 / 0.12e2 + 0.3e1 / 0.2e1 * t47925 * t16305 - t121428 - t466 * t83995 / 0.12e2;
  t125327 = t2098 * t63008 / 0.3e1 - t63754 * t2154 / 0.2e1 + t16189 - t16192 - t16195 + t16224 - t16226 + t15554 + t15099 - t15555 - t15116 - t15120 - t15126 + 0.3e1 / 0.2e1 * t4748 * t12837 * t79711 - t6069 * t84338 + t2160;
  t125331 = t121431 / 0.6e1;
  t125336 = t4831 * t125212;
  t125339 = t1889 * t15571;
  t125340 = t4838 * t125339;
  t125352 = t1891 * t15802;
  t125358 = 0.3e1 / 0.2e1 * t32471 * t16263 - t125331 + 0.3e1 * t7462 * t15644 - 0.3e1 * t1891 * t15568 - t6107 * t125336 / 0.2e1 + 0.7e1 / 0.3e1 * t6107 * t125340 + 0.3e1 * t6295 * t16214 + t121438 - 0.3e1 * t1532 * t16253 - t121444 - t2098 * t64952 / 0.6e1 + 0.2e1 / 0.3e1 * t7746 * t123059 - t10974 * t2324 - t125352 / 0.2e1 - 0.2e1 * t8754 * t19587 - t10974 * t2327 / 0.2e1;
  t125368 = t1532 * t16187;
  t125370 = 0.6e1 * t119872;
  t125371 = 0.6e1 * t121454;
  t125372 = 0.3e1 * t119896;
  t125373 = -t1891 * t15787 / 0.4e1 - t10160 * t2450 / 0.2e1 - t1532 * t16184 / 0.4e1 - t42538 * t2729 / 0.2e1 + t10160 * t2453 + t125368 / 0.2e1 + t123089 - t125370 + t125371 + t16280 - t16284 - t16288 + t16299 + t119881 + t125372 - t123105;
  t125378 = 0.5e1 / 0.18e2 * t119903;
  t125383 = t4779 * t1847 * t123110;
  t125387 = 0.3e1 * t121466;
  t125399 = t4779 * t1843 * t123233;
  t125405 = -t125378 - t41476 * t17518 - t4779 * t1847 * t123107 - t125383 / 0.2e1 + t121460 - 0.7e1 / 0.3e1 * t41145 * t64206 + t125387 + 0.3e1 * t4779 * t7595 * t123275 + t121469 + t11143 * t3130 * t125152 + 0.25e2 / 0.36e2 * t11008 * t25739 * t125152 + t79828 * t530 / 0.4e1 + t15602 + t125399 / 0.2e1 + t4779 * t519 * t123247 / 0.2e1 - t4753 * t93186;
  t125412 = t11086 * t4765 * t79577;
  t125422 = t4738 * t7599 * t3402 * t78993;
  t125427 = t95 * t78993;
  t125429 = t11086 * t4754 * t125427;
  t125437 = t9873 * t7599 * t3448 * t78993;
  t125441 = t6069 * t121212;
  t125449 = 0.2e1 * t42187 * t17492 - 0.4e1 * t11086 * t41646 * t17450 - 0.2e1 * t125412 - 0.23e2 / 0.3e1 * t52610 * t10037 * t78668 - 0.11e2 / 0.9e1 * t11008 * t78725 * t17421 - 0.3e1 * t125422 + 0.2e1 * t11086 * t43313 * t17421 + t125429 + 0.22e2 / 0.3e1 * t52610 * t10058 * t124953 + 0.3e1 * t80392 * t17441 + 0.3e1 / 0.2e1 * t125437 - 0.6e1 * t42187 * t17445 - t125441 / 0.6e1 - t9070 * t2737 / 0.4e1 - t1293 * t17263 / 0.2e1 - t2098 * t64600 / 0.12e2;
  t125453 = 0.2e1 / 0.3e1 * t121492;
  t125454 = t1532 * t16222;
  t125456 = t121495 / 0.3e1;
  t125457 = t119940 / 0.3e1;
  t125458 = t119944 / 0.6e1;
  t125459 = t10160 * t2462 / 0.2e1 + t125453 + t125454 / 0.4e1 - t125456 + t119922 + t119929 + t125457 + t119943 - t125458 - t15612 - t15615 + t15619 + t123150 + t123151 - t118478 - t123157;
  t125472 = t4765 * t124963;
  t125475 = t4796 * t124963;
  t125478 = t4754 * t124963;
  t125481 = t4748 * t12837 * t15124;
  t125485 = t3123 * t12837 * t15791;
  t125487 = t41646 * t17284;
  t125490 = t6069 * t83658;
  t125492 = -t123158 - t123159 + t4779 * t1843 * t123230 + t4779 * t519 * t123244 - t25662 * t17409 - t25662 * t17412 / 0.2e1 + 0.3e1 / 0.2e1 * t3123 * t64916 * t15639 - t6488 * t121657 / 0.6e1 + t10066 * t125472 / 0.2e1 - t10097 * t125475 / 0.2e1 + t10066 * t125478 - t125481 / 0.2e1 + t25662 * t17272 + t125485 / 0.2e1 + 0.2e1 / 0.3e1 * t6069 * t125487 + t125490 / 0.3e1;
  t125495 = t10037 * t124997;
  t125499 = t121670 / 0.6e1;
  t125500 = 0.3e1 * t119970;
  t125508 = t95 * t124921;
  t125512 = t36303 * t15670;
  t125518 = 0.23e2 / 0.36e2 * t10036 * t125495 - t42203 * t17288 - t125499 - t121716 - t118509 + t118511 + t123179 + t125500 - 0.11e2 * t4738 * t7595 * t3375 * t79551 - t15630 + t15631 - 0.3e1 / 0.2e1 * t9873 * t7599 * t123188 - t7746 * t3130 * t125508 / 0.6e1 - t6491 * t125512 / 0.3e1 - 0.115e3 / 0.36e2 * t11008 * t25739 * t79552 + t16718;
  t125519 = t1227 * t121493;
  t125520 = t1541 * t125519;
  t125522 = t4844 * t125212;
  t125530 = t1891 * t15792;
  t125533 = t6295 * t16193;
  t125539 = 0.2e1 / 0.3e1 * t119980;
  t125540 = 0.11e2 / 0.9e1 * t119986;
  t125552 = -t125520 / 0.12e2 - 0.5e1 / 0.36e2 * t6107 * t125522 + t515 * t119994 / 0.12e2 + t2093 * t12868 / 0.6e1 + t10974 * t2332 + t125530 / 0.2e1 - t46761 * t2444 - t125533 / 0.2e1 - 0.3e1 / 0.2e1 * t8760 * t4844 * t6293 * t35339 + t125539 - t125540 + t123229 + t123242 + 0.3e1 / 0.2e1 * t3123 * t63261 * t15557 + 0.36e2 * t4738 * t36878 * t3402 * t78667 - 0.18e2 * t4779 * t36878 * t3375 * t78667;
  t125570 = t11008 * t10037 * t79577;
  t125583 = t121740 / 0.3e1;
  t125584 = 0.5e1 / 0.18e2 * t121742;
  t125590 = -0.6e1 * t4779 * t36931 * t229 * t78667 - 0.3e1 / 0.2e1 * t4779 * t519 * t122634 - 0.6e1 * t52607 * t4754 * t124953 - t7746 * t123062 / 0.3e1 + 0.23e2 / 0.18e2 * t11008 * t78730 * t17450 + 0.23e2 / 0.36e2 * t125570 - 0.6e1 * t47583 * t36901 * t21210 * t78667 + 0.18e2 * t9873 * t36901 * t21215 * t78667 + 0.6e1 * t52610 * t4760 * t124953 + t125583 - t125584 + t121744 - t13060 * t2167 / 0.4e1 - t123286 + t118542 + 0.44e2 / 0.27e2 * t52204 * t47512 * t78668;
  t125591 = t1227 * t125085;
  t125594 = t1748 * t122617;
  t125600 = t1541 * t83196;
  t125602 = t4844 * t125339;
  t125606 = t7462 * t15610;
  t125608 = t1220 * t125085;
  t125611 = t1541 * t121494;
  t125613 = t4838 * t125212;
  t125618 = 0.12e2 * t121505;
  t125619 = 0.4e1 * t121507;
  t125620 = 0.24e2 * t121509;
  t125621 = 0.8e1 * t121511;
  t125622 = 0.4e1 / 0.3e1 * t121519;
  t125623 = 0.2e1 / 0.9e1 * t121521;
  t125626 = t12875 * t15042;
  t125630 = t12875 * t2090;
  t125634 = t12875 * t2084;
  t125635 = t827 * t125634;
  t125636 = t10841 * t125635;
  t125638 = 0.12e2 * t37040 * t840 * t125626 - 0.24e2 * t53647 * t233 * t125630 - 0.2e1 * t36961 * t123414 + t123385 + t125618 + t125619 - t125620 - t125621 + t125622 - t125623 + 0.2e1 * t125636;
  t125639 = t3482 * t125630;
  t125642 = t12875 * t15088;
  t125647 = t10846 * t3482 * t125634;
  t125663 = 0.4e1 / 0.3e1 * t53458 * t125639 + 0.2e1 / 0.3e1 * t7584 * t827 * t125642 - t125647 / 0.9e1 - t53443 * t48301 * t125630 / 0.9e1 - 0.22e2 * t36961 * t840 * t79551 - 0.5e2 / 0.3e1 * t36958 * t3475 * t79551 + 0.4e1 * t36952 * t123491 + 0.6e1 * t36949 * t233 * t79551 + t123386 - t123387 - t123388 + t118652;
  t125665 = t7586 * t123517;
  t125670 = t10841 * t840 * t125634;
  t125672 = t3475 * t125630;
  t125677 = 0.2e1 * t10828 * t123429 + 0.12e2 * t36961 * t123411 + 0.8e1 * t53458 * t125672 + t123432 + t123436 - t123437 + t123438 + 0.2e1 * t125665 - 0.12e2 * t125670 + t16122 - t16125 + t16129;
  t125679 = t10836 * t233 * t125634;
  t125681 = t827 * t125630;
  t125691 = 0.4e1 / 0.3e1 * t121550;
  t125692 = 0.4e1 * t121556;
  t125693 = 0.12e2 * t121561;
  t125694 = -t123439 + 0.6e1 * t125679 - 0.12e2 * t53420 * t125681 + 0.2e1 * t7586 * t233 * t125642 + 0.4e1 * t10828 * t123421 + 0.8e1 / 0.3e1 * t53443 * t125639 - t123462 - t15692 - t123467 - t125691 + t125692 + t125693;
  t125702 = t10846 * t3475 * t125634;
  t125707 = t827 * t79551;
  t125710 = t41881 * t79551;
  t125720 = -0.6e1 * t36958 * t123414 + 0.24e2 * t53443 * t125672 - 0.2e1 / 0.3e1 * t125702 - 0.4e1 / 0.3e1 * t53443 * t22013 * t125630 + t123505 + t123507 + t123509 + 0.44e2 / 0.3e1 * t36961 * t125707 - 0.22e2 / 0.3e1 * t36961 * t125710 + 0.5e1 / 0.9e1 * t36958 * t48306 * t79551 - 0.8e1 * t36952 * t123458 + 0.1e2 * t37040 * t123451;
  t125733 = t7584 * t123495;
  t125742 = 0.4e1 * t120181;
  t125743 = -0.3e2 * t36958 * t125710 + 0.44e2 * t36961 * t41885 * t79551 + 0.1e2 / 0.3e1 * t36958 * t48231 * t79551 - t118691 + 0.1e2 / 0.3e1 * t37040 * t123417 + 0.4e1 * t7586 * t123442 + t125733 / 0.3e1 + t36958 * t123480 / 0.9e1 - 0.4e1 * t7584 * t840 * t125642 + t519 * t123655 / 0.2e1 + t125742 - t15697;
  t125745 = 0.4e1 * t120185;
  t125746 = 0.4e1 * t120189;
  t125747 = 0.24e2 * t120192;
  t125748 = 0.8e1 * t120194;
  t125749 = 0.4e1 / 0.3e1 * t120197;
  t125750 = 0.12e2 * t120199;
  t125751 = t2708 * t2090;
  t125758 = 0.12e2 * t120221;
  t125759 = -0.36e2 * t36922 * t653 * t125751 - t519 * t123446 - 0.6e1 * t7595 * t123601 + t125745 + t125746 - t125747 - t125748 - t125749 + t125750 + t125758 + t15710 + t15712;
  t125760 = 0.6e1 * t120224;
  t125766 = 0.4e1 / 0.3e1 * t120238;
  t125767 = -t16164 + t16171 - t16173 - t125760 - 0.5e1 / 0.3e1 * t37040 * t123454 - 0.12e2 * t36949 * t41877 * t79551 + t123551 - t123552 + t125766 + t15733 + t15170 + t15735;
  t125773 = t1847 * t123474;
  t125777 = t15695 * t463;
  t125779 = t7599 * t3402 * t125777;
  t125782 = t7595 * t653 * t125777;
  t125786 = t2708 * t15088;
  t125791 = t7610 * t229 * t125777;
  t125796 = t123570 - t123578 - t123580 - 0.4e1 / 0.3e1 * t1847 * t123571 - 0.2e1 / 0.3e1 * t125773 - t7599 * t123477 / 0.18e2 + 0.1e2 / 0.3e1 * t125779 + 0.6e1 * t125782 - 0.2e1 * t1843 * t123658 - 0.4e1 / 0.3e1 * t1847 * t3375 * t125786 - 0.3e1 * t125791 + 0.24e2 * t36922 * t648 * t125751;
  t125811 = t1843 * t123556;
  t125818 = t7595 * t648 * t125777;
  t125823 = -t1843 * t819 * t125786 + 0.2e1 * t1847 * t3409 * t125786 - 0.5e1 * t37040 * t123520 - 0.4e1 * t7584 * t123625 + 0.15e2 * t36958 * t125707 - 0.5e1 / 0.18e2 * t36958 * t3482 * t79551 - t125811 + 0.4e1 * t7595 * t123662 - 0.2e1 * t519 * t123563 - t519 * t123631 - 0.4e1 * t125818 - 0.2e1 / 0.3e1 * t36878 * t3448 * t125751;
  t125826 = t7599 * t3448 * t125777;
  t125830 = t1847 * t123533;
  t125832 = t7599 * t3375 * t125777;
  t125842 = t2708 * t15042;
  t125856 = t125826 / 0.18e2 + 0.2e1 * t1847 * t123403 + t125830 - 0.3e1 * t125832 + 0.3e1 * t7599 * t123613 - 0.12e2 * t36901 * t21225 * t125751 + 0.12e2 * t36931 * t229 * t125751 + 0.2e1 * t1843 * t3430 * t125842 + 0.3e1 * t7610 * t123392 + 0.3e1 * t519 * t123396 - 0.6e1 * t1847 * t22051 * t125842 + 0.4e1 * t1847 * t22070 * t125842;
  t125871 = -0.4e2 * t36878 * t3402 * t125751 + 0.1e2 / 0.3e1 * t36901 * t21215 * t125751 - 0.1e2 / 0.3e1 * t7599 * t123566 + 0.5e2 / 0.3e1 * t36901 * t21220 * t125751 + 0.36e2 * t36878 * t3375 * t125751 - t118715 + t118717 + t118721 - t15743 - t15749 + t15767 - t16839;
  t125874 = 0.8e1 * t121582;
  t125875 = 0.8e1 / 0.3e1 * t121584;
  t125876 = 0.2e2 / 0.3e1 * t121588;
  t125877 = t7584 * t123498;
  t125881 = t10846 * t125635;
  t125883 = -t125874 - t125875 + t125876 + t123587 + t123588 + t118742 - t118744 - t118750 - t123591 - 0.2e1 * t125877 + 0.2e1 / 0.3e1 * t36958 * t123501 + 0.6e1 * t125881;
  t125888 = 0.12e2 * t120290;
  t125895 = -t123609 + 0.2e1 / 0.3e1 * t7584 * t123425 - 0.6e1 * t53471 * t123593 + t125888 - t118778 - t123621 + t123622 - t123624 - t123628 + t123629 - 0.4e1 * t36952 * t233 * t125626 - 0.2e1 * t37040 * t827 * t125626;
  t125904 = 0.12e2 * t121618;
  t125905 = 0.4e1 * t121622;
  t125906 = 0.6e1 * t121626;
  t125907 = 0.6e1 * t121637;
  t125908 = 0.2e1 * t121639;
  t125909 = t121645 / 0.9e1;
  t125910 = 0.72e2 * t53420 * t840 * t125630 - 0.6e1 * t36949 * t123583 - 0.72e2 * t53458 * t125681 + t123646 + t125904 + t125905 - t125906 - t125907 - t125908 + t125909 - t15179 - t15768;
  t125911 = 0.2e2 / 0.3e1 * t120339;
  t125912 = 0.8e1 * t120342;
  t125913 = 0.8e1 / 0.3e1 * t120344;
  t125914 = t120347 / 0.9e1;
  t125915 = 0.6e1 * t120350;
  t125916 = 0.2e1 * t120352;
  t125917 = 0.2e1 / 0.9e1 * t120355;
  t125918 = t15769 - t15770 + t125911 - t125912 - t125913 + t125914 - t125915 - t125916 - t125917 - t2138 + t2119 + t16888;
  t125929 = -t1541 * t125591 / 0.6e1 - t125594 / 0.12e2 - 0.5e1 / 0.36e2 * t7187 * t122621 + t1748 * t79075 / 0.3e1 + t125600 / 0.3e1 + 0.23e2 / 0.36e2 * t6107 * t125602 - t52160 * t2319 - t125606 / 0.2e1 - t1541 * t125608 / 0.3e1 - t125611 / 0.6e1 - 0.11e2 / 0.18e2 * t6107 * t125613 + 0.2e1 / 0.3e1 * t1541 * t84675 - t30 * t59 * (t125638 + t125663 + t125677 + t125694 + t125720 + t125743 + t125759 + t125767 + t125796 + t125823 + t125856 + t125871 + t125883 + t125895 + t125910 + t125918) * t95 / 0.4e1 - t123298 - t123303 - 0.5e1 / 0.6e1 * t7216 * t123349;
  t125947 = t1220 * t125212;
  t125959 = t3123 * t13186 * t79222 + t15216 + 0.5e1 / 0.2e1 * t4779 * t1847 * t123352 - 0.15e2 / 0.2e1 * t4779 * t7599 * t22070 * t79551 - 0.5e1 / 0.2e1 * t4738 * t1847 * t123723 - t123317 - t123326 + t123331 - t123332 + t1891 * t15635 / 0.2e1 + t6167 * t125947 + 0.3e1 / 0.2e1 * t1891 * t15640 + t1532 * t16208 / 0.2e1 - 0.3e1 * t6295 * t16266 + 0.3e1 / 0.2e1 * t1532 * t16256 - t7187 * t123315 / 0.2e1;
  t125961 = t4844 * t7460 * t15571;
  t125967 = t121772 / 0.6e1;
  t125968 = t121779 / 0.2e1;
  t125969 = 0.2e1 / 0.3e1 * t121785;
  t125973 = 0.23e2 / 0.18e2 * t121790;
  t125974 = 0.11e2 / 0.9e1 * t121794;
  t125975 = t120040 / 0.6e1;
  t125976 = t120053 / 0.3e1;
  t125979 = -0.3e1 / 0.2e1 * t6107 * t125961 - t15662 + t7746 * t8642 * t125232 / 0.3e1 - t125967 + t125968 + t125969 - t30 * t15773 * t544 / 0.4e1 - t16326 + t125973 - t125974 - t125975 + t125976 - t16743 + t92332 * t432 / 0.2e1 + t118557 - t118560;
  t125986 = t53245 * t15670;
  t125996 = t673 * t125212;
  t126000 = t1532 * t16190;
  t126006 = -t118564 - t118566 + t118568 - 0.5e1 / 0.12e2 * t7216 * t123056 - 0.11e2 / 0.3e1 * t11086 * t4770 * t125152 + t15778 - t15784 + t6069 * t125986 / 0.4e1 + t47709 * t16313 + 0.15e2 * t4738 * t7599 * t21225 * t79551 - t7307 * t123360 / 0.2e1 - t6223 * t125996 / 0.2e1 - t10160 * t2447 - t126000 / 0.2e1 - 0.2e1 * t8754 * t63635 - 0.62e2 / 0.3e1 * t52204 * t79625;
  t126015 = t11008 * t10037 * t125427;
  t126023 = t11086 * t4765 * t125427;
  t126038 = t7216 * t122770;
  t126045 = 0.8e1 * t52204 * t47512 * t9871 * t78667 - 0.5e1 / 0.18e2 * t11008 * t78730 * t17421 - 0.5e1 / 0.36e2 * t126015 - 0.35e2 / 0.108e3 * t52204 * t47512 * t124953 + t11086 * t41646 * t17421 + t126023 / 0.2e1 + 0.5e1 / 0.3e1 * t52610 * t10037 * t124953 - t7581 * t123740 / 0.3e1 - t7581 * t123744 / 0.3e1 - t7581 * t122759 / 0.6e1 + t7216 * t122764 / 0.6e1 + t7216 * t122767 / 0.6e1 + t126038 / 0.12e2 + 0.5e1 / 0.36e2 * t11008 * t123237 + 0.2e1 * t11086 * t122798 - t11086 * t123273;
  t126060 = t11008 * t4760 * t125427;
  t126062 = t121822 / 0.6e1;
  t126072 = 0.4e1 / 0.3e1 * t121836;
  t126073 = 0.2e1 / 0.3e1 * t121838;
  t126081 = 0.18e2 * t4779 * t36922 * t653 * t78667 - 0.3e1 / 0.2e1 * t4779 * t7599 * t123196 - 0.18e2 * t4738 * t36901 * t21220 * t78667 + t15794 - t126060 / 0.2e1 - t126062 + 0.18e2 * t52610 * t10037 * t79624 + 0.2e1 * t53066 * t4796 * t124953 - t7216 * t26082 * t125232 / 0.2e1 + t121827 - t126072 + t126073 - t32403 * t16317 / 0.4e1 + 0.7e1 / 0.3e1 * t8760 * t4838 * t63634 - t1748 * t122975 / 0.3e1 - t15804;
  t126085 = t11008 * t79578;
  t126088 = t4738 * t1847 * t123095;
  t126092 = t121844 / 0.3e1;
  t126093 = t120091 / 0.3e1;
  t126096 = 0.2e1 / 0.3e1 * t120105;
  t126097 = 0.2e1 * t121850;
  t126098 = t123356 + 0.14e2 / 0.3e1 * t11008 * t78725 * t17450 + 0.7e1 / 0.3e1 * t126085 + t126088 / 0.2e1 + 0.3e1 / 0.2e1 * t41145 * t63335 + t126092 - t120089 - t126093 + 0.5e1 / 0.3e1 * t7216 * t123040 + t123364 + t126096 - t120107 - t120111 - t120113 - t120116 + t126097;
  t126103 = 0.6e1 * t120119;
  t126104 = 0.2e1 * t120129;
  t126110 = t11008 * t10058 * t125427;
  t126123 = t10058 * t124963;
  t126128 = -t4779 * t1843 * t3430 * t125113 - t126103 - t126104 - t15811 + t15812 - t2089 - 0.2e1 * t41476 * t17416 + t41476 * t17474 + t41476 * t17477 - 0.11e2 / 0.18e2 * t126110 - 0.61e2 / 0.27e2 * t52204 * t47588 * t124953 + t7216 * t4770 * t125508 / 0.3e1 - t7746 * t122777 / 0.3e1 + 0.3e1 * t4738 * t7599 * t123192 - 0.11e2 / 0.18e2 * t10036 * t126123 - 0.3e1 * t11008 * t79538;
  t126129 = t11008 * t78995;
  t126138 = t4779 * t7599 * t3375 * t78993;
  t126143 = t43313 * t17405;
  t126149 = t11143 * t4796 * t125427;
  t126169 = -0.3e1 / 0.2e1 * t126129 - 0.43e2 / 0.9e1 * t52204 * t47512 * t79624 + 0.3e1 * t41476 * t17522 + 0.3e1 / 0.2e1 * t126138 + 0.47e2 / 0.3e1 * t30 * t41807 * t64068 - t6069 * t126143 / 0.3e1 - t11143 * t42977 * t17421 - t126149 / 0.2e1 - t7746 * t25657 * t17428 / 0.3e1 + t7216 * t41642 * t17428 / 0.3e1 + t7216 * t4760 * t125508 / 0.6e1 - t123739 + 0.3e1 / 0.2e1 * t53885 * t15627 - 0.3e1 / 0.2e1 * t52729 * t15796 + 0.6e1 * t42187 * t17489 + t16354 + 0.55e2 / 0.18e2 * t11008 * t26140 * t125152;
  t126175 = my_piecewise3(t2, 0, t125023 + t124982 + t124951 + t125358 + t126006 + t125979 + t125327 + t125318 + t125294 + t125264 + t125239 + t125221 + t125173 + t125959 + t125929 + t125143 + t125111 + t125590 + t125552 + t125518 + t125492 + t125459 + t125449 + t125405 + t125080 + t125046 + t125373 + t126169 + t126045 + t126098 + t126081 + t126128);
  tv4sigma2lapltau0 = t3 * t126175;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 0] += tv4sigma2lapltau0;

  tv4sigma2lapltau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 1] += tv4sigma2lapltau1;

  tv4sigma2lapltau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 2] += tv4sigma2lapltau2;

  tv4sigma2lapltau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 3] += tv4sigma2lapltau3;

  tv4sigma2lapltau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 4] += tv4sigma2lapltau4;

  tv4sigma2lapltau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 5] += tv4sigma2lapltau5;

  tv4sigma2lapltau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 6] += tv4sigma2lapltau6;

  tv4sigma2lapltau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 7] += tv4sigma2lapltau7;

  tv4sigma2lapltau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 8] += tv4sigma2lapltau8;

  tv4sigma2lapltau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 9] += tv4sigma2lapltau9;

  tv4sigma2lapltau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 10] += tv4sigma2lapltau10;

  tv4sigma2lapltau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 11] += tv4sigma2lapltau11;

  tv4sigma2lapltau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 12] += tv4sigma2lapltau12;

  tv4sigma2lapltau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 13] += tv4sigma2lapltau13;

  tv4sigma2lapltau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 14] += tv4sigma2lapltau14;

  tv4sigma2lapltau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 15] += tv4sigma2lapltau15;

  tv4sigma2lapltau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 16] += tv4sigma2lapltau16;

  tv4sigma2lapltau17 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 17] += tv4sigma2lapltau17;

  tv4sigma2lapltau18 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 18] += tv4sigma2lapltau18;

  tv4sigma2lapltau19 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 19] += tv4sigma2lapltau19;

  tv4sigma2lapltau20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 20] += tv4sigma2lapltau20;

  tv4sigma2lapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 21] += tv4sigma2lapltau21;

  tv4sigma2lapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 22] += tv4sigma2lapltau22;

  t126178 = t35145 * t16403;
  t126181 = t44803 * t17666;
  t126186 = t44782 * t17666;
  t126189 = t121910 / 0.3e1;
  t126190 = 0.2e1 / 0.3e1 * t121931;
  t126191 = 0.2e1 / 0.3e1 * t120378;
  t126194 = t168 * t82589;
  t126200 = -t118837 - t123766 + t123767 - t34283 * t16409 / 0.4e1 + t5575 * t126178 / 0.12e2 - t6824 * t126181 / 0.6e1 + t6827 * t122541 / 0.6e1 + t6830 * t126186 / 0.3e1 - t126189 + t121922 - t121926 + t126190 + t126191 - 0.3e1 / 0.2e1 * t50177 * t16438 + 0.5e1 / 0.3e1 * t56079 * t10458 * t126194 + 0.6e1 * t45074 * t17654;
  t126205 = t8079 * t15952;
  t126206 = t5634 * t126205;
  t126209 = t2028 * t15952;
  t126210 = t5640 * t126209;
  t126215 = t120432 / 0.6e1;
  t126216 = t120434 / 0.3e1;
  t126217 = 0.2e1 / 0.3e1 * t120456;
  t126220 = t120490 / 0.2e1;
  t126225 = -t10647 * t2506 - t373 * t1940 * t124122 / 0.4e1 - t6752 * t126206 / 0.2e1 + 0.7e1 / 0.3e1 * t6752 * t126210 - t13724 * t2258 / 0.4e1 + t121935 - t126215 - t126216 - t121938 + t126217 - t120475 - t2189 * t67963 / 0.6e1 + t126220 - 0.3e1 * t5540 * t8220 * t1182 * t82371 + t123820 - t123821;
  t126237 = t56695 * t16105;
  t126240 = t168 * t81516;
  t126254 = t118928 - t9710 * t2814 / 0.2e1 + t1663 * t16445 / 0.2e1 - t442 * t95241 / 0.6e1 - t555 * t120458 / 0.6e1 - t8490 * t123786 / 0.2e1 + t123828 + t6824 * t126237 / 0.4e1 + t123829 - t123830 + t8058 * t5587 * t126240 / 0.3e1 + t118940 + 0.3e1 * t5540 * t2060 * t24962 * t81545 - t123831 - 0.3e1 / 0.2e1 * t5540 * t559 * t124155 + 0.3e1 * t5535 * t66881 * t16035;
  t126266 = t16402 * t439;
  t126267 = t380 * t126266;
  t126268 = t5549 * t126267;
  t126275 = t11381 * t10458 * t81004;
  t126284 = 0.6e1 * t121991;
  t126285 = 0.3e1 * t121998;
  t126286 = 0.4e1 / 0.3e1 * t120562;
  t126287 = -0.3e1 * t56381 * t5553 * t126194 + t5559 * t2060 * t4408 * t81516 - t6827 * t122479 / 0.6e1 - t8052 * t4137 * t126240 / 0.6e1 + t6824 * t126268 / 0.4e1 + 0.44e2 / 0.27e2 * t56375 * t50165 * t82590 + t120555 + 0.23e2 / 0.36e2 * t126275 - t28961 * t17706 / 0.2e1 - t28961 * t17703 + t8058 * t124110 / 0.4e1 - t8052 * t124107 / 0.3e1 - t126284 + t126285 - t120558 - t126286;
  t126294 = t583 * t2181;
  t126295 = t380 * t126294;
  t126296 = t5549 * t126295;
  t126299 = t4143 * t126294;
  t126300 = t10485 * t126299;
  t126303 = t168 * t80996;
  t126305 = t11372 * t5582 * t126303;
  t126307 = t120569 / 0.6e1;
  t126314 = t13724 * t2249;
  t126316 = t122012 / 0.6e1;
  t126317 = t2030 * t16015;
  t126320 = t8201 * t16023;
  t126322 = t1651 * t85327;
  t126326 = 0.6e1 * t5540 * t40248 * t24848 * t82589 - t10457 * t126296 / 0.2e1 + 0.7e1 / 0.3e1 * t10457 * t126300 - t126305 / 0.2e1 - t126307 - 0.18e2 * t10506 * t40241 * t4396 * t82589 + t86057 * t505 / 0.4e1 + t126314 / 0.4e1 + t123849 + t122002 - t126316 + t126317 / 0.2e1 + t11512 * t2403 - t126320 / 0.2e1 + t126322 / 0.3e1 + 0.2e1 / 0.3e1 * t1651 * t85758;
  t126327 = t1651 * t122243;
  t126335 = t1393 * t126205;
  t126341 = t2178 * t13633;
  t126351 = t5640 * t126205;
  t126357 = -t126327 / 0.6e1 + t1663 * t16545 / 0.2e1 - t1454 * t17588 / 0.2e1 - t9710 * t2817 / 0.4e1 + t6921 * t126335 + t555 * t124048 / 0.12e2 - t2189 * t68105 / 0.12e2 - t126341 / 0.12e2 - t442 * t96389 / 0.6e1 + t82345 * t570 / 0.4e1 - t122035 - 0.3e1 * t1663 * t16548 + 0.3e1 * t6848 * t16448 - 0.11e2 / 0.18e2 * t6752 * t126351 - t57852 * t2390 - t490 * t86181 / 0.12e2;
  t126368 = t5559 * t2060 * t124251;
  t126372 = t168 * t82371;
  t126376 = t4137 * t126267;
  t126387 = -t123883 - 0.7e1 / 0.3e1 * t44815 * t67547 - t44886 * t17742 - t5540 * t2060 * t124232 + t45074 * t17739 + t5559 * t2060 * t124246 + t126368 / 0.2e1 + 0.3e1 / 0.2e1 * t44815 * t67535 - 0.11e2 / 0.3e1 * t11369 * t5587 * t126372 - t6830 * t126376 / 0.3e1 + 0.5e1 / 0.2e1 * t11381 * t29911 * t126372 - 0.3e1 / 0.2e1 * t4145 * t13560 * t82377 - 0.4e1 * t11369 * t80991 + t16363 - t16377 + t16381;
  t126391 = 0.2e1 * t120595;
  t126401 = t4403 * t82589;
  t126415 = t5587 * t126267;
  t126419 = t5549 * t4143 * t126266;
  t126425 = 0.2e1 * t45074 * t17657 + t28961 * t17700 + t126391 - t15838 + t15839 + t123928 - 0.4e1 / 0.3e1 * t8058 * t80954 - t5540 * t2056 * t4543 * t81545 - 0.6e1 * t5540 * t40288 * t356 * t82589 + 0.18e2 * t56079 * t10458 * t126401 - 0.18e2 * t5559 * t40217 * t1034 * t82589 + t8058 * t44807 * t17628 / 0.3e1 - 0.5e1 / 0.18e2 * t11381 * t81022 * t17639 + t6824 * t126415 / 0.2e1 - t6824 * t126419 - 0.15e2 / 0.2e1 * t5540 * t8227 * t24823 * t82371;
  t126441 = t8052 * t124844;
  t126443 = t122071 / 0.3e1;
  t126450 = t122074 / 0.3e1;
  t126451 = t8058 * t124091;
  t126454 = t5540 * t2060 * t124235;
  t126458 = t1663 * t16579;
  t126460 = 0.55e2 / 0.18e2 * t11381 * t29517 * t126372 + 0.22e2 / 0.3e1 * t11369 * t5549 * t82372 + 0.6e1 * t56079 * t5549 * t126194 - t122065 - 0.3e1 * t4145 * t66881 * t15943 - t126441 / 0.6e1 + t126443 + 0.11e2 / 0.18e2 * t11381 * t124096 + t8058 * t124082 / 0.3e1 + t8058 * t124087 / 0.3e1 - t126450 + t126451 / 0.6e1 - t122081 - t126454 / 0.2e1 - t1965 * t124790 / 0.3e1 + t126458 / 0.2e1;
  t126464 = t44936 * t2756;
  t126474 = t1000 * t126205;
  t126481 = t11381 * t10485 * t126303;
  t126491 = t122244 / 0.3e1;
  t126501 = 0.7e1 / 0.3e1 * t9285 * t67515 + t10647 * t2512 - t1965 * t1400 * t126464 / 0.12e2 + t1958 * t1000 * t126464 / 0.6e1 - t1965 * t1393 * t126464 / 0.6e1 - t7100 * t126474 / 0.2e1 + 0.23e2 / 0.18e2 * t11381 * t81022 * t17729 - 0.11e2 / 0.18e2 * t126481 - 0.61e2 / 0.27e2 * t56375 * t50504 * t126194 - 0.11e2 / 0.9e1 * t11381 * t81108 * t17639 + t8058 * t124782 / 0.2e1 - t126491 + t119016 + 0.25e2 / 0.36e2 * t11381 * t29498 * t126372 - 0.11e2 / 0.6e1 * t11369 * t5549 * t126372 + t4145 * t13543 * t15441 / 0.2e1;
  t126520 = 0.23e2 / 0.18e2 * t122251;
  t126521 = 0.11e2 / 0.9e1 * t122253;
  t126522 = 0.4e1 * t122255;
  t126523 = 0.2e1 * t122259;
  t126528 = 0.3e1 / 0.2e1 * t4145 * t68054 * t16066 + 0.5e1 / 0.3e1 * t8058 * t124795 - 0.5e1 / 0.6e1 * t8058 * t124798 + 0.5e1 / 0.2e1 * t5540 * t2060 * t123796 - 0.5e1 / 0.2e1 * t5559 * t2060 * t123800 + 0.11e2 * t5540 * t8223 * t4549 * t82371 + t126520 - t126521 - t126522 + t126523 + t124071 - t124072 + t124080 - t119085 - t8052 * t124838 / 0.3e1 + 0.3e1 / 0.2e1 * t56196 * t16102;
  t126531 = t5540 * t8220 * t356 * t80996;
  t126537 = 0.6e1 * t120623;
  t126538 = 0.3e1 * t120631;
  t126541 = t168 * t81545;
  t126546 = t11381 * t10458 * t126303;
  t126560 = 0.3e1 / 0.2e1 * t126531 + t8058 * t124820 / 0.6e1 - t8055 * t124306 / 0.3e1 - t124100 - t126537 + t122266 + t126538 - 0.3e1 / 0.2e1 * t56164 * t16047 + t8052 * t9270 * t126541 / 0.3e1 - 0.5e1 / 0.36e2 * t126546 + t555 * t123899 / 0.6e1 + t555 * t123895 / 0.12e2 - 0.5e1 / 0.36e2 * t8090 * t123870 + 0.3e1 / 0.2e1 * t2030 * t15949 + 0.3e1 / 0.2e1 * t34826 * t16560 - t490 * t122393 / 0.6e1;
  t126563 = t1965 * t120657;
  t126571 = t1958 * t123832;
  t126575 = 0.12e2 * t120864;
  t126576 = 0.4e1 / 0.3e1 * t122094;
  t126577 = 0.2e1 / 0.9e1 * t122096;
  t126578 = 0.12e2 * t122098;
  t126579 = 0.4e1 * t122100;
  t126580 = 0.4e1 * t122102;
  t126581 = 0.4e1 / 0.3e1 * t122104;
  t126582 = 0.8e1 * t122108;
  t126583 = 0.12e2 * t122110;
  t126584 = t13733 * t15318;
  t126588 = -0.2e1 * t40179 * t1190 * t126584 - t124370 + t126575 + t126576 - t126577 + t126578 + t126579 + t126580 - t126581 - t126582 + t126583;
  t126591 = t13733 * t2181;
  t126601 = t1190 * t126591;
  t126604 = t13733 * t2175;
  t126606 = t11541 * t360 * t126604;
  t126613 = t13733 * t15356;
  t126622 = t8251 * t124512;
  t126624 = -0.6e1 * t40207 * t124378 - 0.24e2 * t57459 * t360 * t126591 - 0.4e1 * t40184 * t360 * t126584 + 0.6e1 * t40207 * t360 * t82371 - 0.72e2 * t57389 * t126601 + 0.6e1 * t126606 - 0.12e2 * t57574 * t126601 - 0.5e2 / 0.3e1 * t40190 * t4624 * t82371 - 0.4e1 * t8254 * t1203 * t126613 - t57448 * t50995 * t126591 / 0.9e1 + 0.4e1 * t8251 * t124416 + 0.2e1 * t126622;
  t126633 = t11538 * t4633 * t126604;
  t126635 = t1190 * t126604;
  t126636 = t11533 * t126635;
  t126638 = t4633 * t126591;
  t126641 = t2788 * t15318;
  t126648 = t2788 * t2181;
  t126654 = 0.2e1 / 0.3e1 * t8254 * t1190 * t126613 - 0.5e1 / 0.18e2 * t40190 * t4633 * t82371 - t126633 / 0.9e1 + 0.2e1 * t126636 + 0.4e1 / 0.3e1 * t57389 * t126638 + t124435 + t124437 + t124439 + 0.2e1 * t2056 * t4543 * t126641 + 0.4e1 * t2060 * t24823 * t126641 + 0.12e2 * t40288 * t356 * t126648 + 0.2e1 / 0.3e1 * t8254 * t124423;
  t126655 = t8254 * t124504;
  t126667 = 0.4e1 / 0.3e1 * t120870;
  t126668 = 0.24e2 * t122133;
  t126669 = t126655 / 0.3e1 + t40190 * t124507 / 0.9e1 + 0.4e1 * t11528 * t124420 + 0.2e1 * t11528 * t124518 + 0.1e2 / 0.3e1 * t40179 * t124443 + 0.4e1 * t8223 * t124692 - t126667 - t15857 + t15858 + t15859 + t15363 - t126668;
  t126675 = t1190 * t82371;
  t126682 = t4624 * t126591;
  t126692 = t8254 * t124523;
  t126696 = t11538 * t126635;
  t126698 = -t124451 + 0.2e1 * t8251 * t360 * t126613 + 0.44e2 / 0.3e1 * t40187 * t126675 + 0.8e1 / 0.3e1 * t57448 * t126638 - 0.6e1 * t40190 * t124388 + 0.24e2 * t57448 * t126682 - 0.5e1 * t40179 * t124656 + 0.15e2 * t40190 * t126675 - 0.22e2 * t40187 * t1203 * t82371 - 0.2e1 * t126692 + 0.2e1 / 0.3e1 * t40190 * t124526 + 0.6e1 * t126696;
  t126700 = t11538 * t4624 * t126604;
  t126708 = t11533 * t1203 * t126604;
  t126717 = t2788 * t2175;
  t126719 = t8227 * t4408 * t126717;
  t126721 = 0.4e1 * t120882;
  t126722 = 0.2e2 / 0.3e1 * t122157;
  t126723 = 0.8e1 / 0.3e1 * t122168;
  t126724 = -0.2e1 / 0.3e1 * t126700 - 0.4e1 / 0.3e1 * t57448 * t25032 * t126591 - 0.4e1 * t8254 * t124372 - 0.12e2 * t126708 - 0.6e1 * t2060 * t24962 * t126641 + 0.3e1 * t559 * t124404 + 0.3e1 * t8220 * t124400 - 0.3e1 * t126719 + t124474 + t126721 + t126722 - t126723;
  t126726 = 0.6e1 * t122184;
  t126727 = 0.2e1 * t122186;
  t126730 = 0.4e1 * t40184 * t124440 - t119306 - t119320 - t119323 + t124496 + t124498 + t124499 - t124500 + t124501 - t124502 - t126726 - t126727;
  t126741 = -0.36e2 * t40217 * t1093 * t126648 + 0.36e2 * t40241 * t4408 * t126648 - 0.6e1 * t8223 * t124393 + 0.3e1 * t8227 * t124614 + t119330 - t124530 - t124533 + t124553 - t15890 + t15902 - t15905 + t16481;
  t126748 = t2788 * t15356;
  t126754 = t2056 * t124690;
  t126769 = t45378 * t82371;
  t126775 = 0.12e2 * t40179 * t1203 * t126584 + 0.72e2 * t57574 * t1203 * t126591 - 0.12e2 * t40248 * t24848 * t126648 + 0.2e1 * t2060 * t4549 * t126748 + 0.44e2 * t40187 * t45383 * t82371 - 0.6e1 * t57365 * t124382 + 0.12e2 * t40187 * t124385 - 0.2e1 * t40187 * t124388 + 0.1e2 * t40179 * t124587 - 0.2e1 * t2056 * t124687 - 0.3e2 * t40190 * t126769 - t126754;
  t126787 = 0.4e1 * t120951;
  t126788 = 0.12e2 * t120954;
  t126789 = 0.4e1 / 0.3e1 * t120968;
  t126790 = 0.2e1 / 0.9e1 * t120971;
  t126791 = 0.4e1 * t120973;
  t126792 = 0.24e2 * t120978;
  t126793 = 0.8e1 * t120980;
  t126796 = 0.1e2 / 0.3e1 * t40190 * t51103 * t82371 + 0.5e1 / 0.9e1 * t40190 * t51084 * t82371 - 0.12e2 * t40207 * t45387 * t82371 - 0.22e2 / 0.3e1 * t40187 * t126769 + t126787 + t126788 + t126789 - t126790 + t126791 - t126792 - t126793 + t559 * t124545 / 0.2e1;
  t126798 = 0.6e1 * t121006;
  t126807 = 0.4e1 * t122198;
  t126811 = t8227 * t4376 * t126717;
  t126816 = -t126798 - t8227 * t124492 / 0.18e2 + 0.24e2 * t40217 * t1034 * t126648 - 0.2e1 / 0.3e1 * t40241 * t4396 * t126648 + t15921 - t15922 - t15385 - t15923 + t126807 - t2056 * t1182 * t126748 + 0.1e2 / 0.3e1 * t126811 - 0.4e1 / 0.3e1 * t2060 * t4408 * t126748;
  t126819 = t2060 * t124489;
  t126822 = t8223 * t1034 * t126717;
  t126825 = t8227 * t4396 * t126717;
  t126831 = -0.4e1 / 0.3e1 * t2060 * t124486 - 0.2e1 / 0.3e1 * t126819 - 0.4e1 * t126822 + t126825 / 0.18e2 - 0.8e1 * t40184 * t124581 - 0.5e1 / 0.3e1 * t40179 * t124584 + t119338 + t124604 + t17130 - t17156 - t16484 + t16488;
  t126838 = t8220 * t356 * t126717;
  t126840 = 0.2e2 / 0.3e1 * t121018;
  t126841 = 0.8e1 / 0.3e1 * t121024;
  t126842 = 0.8e1 * t121028;
  t126843 = 0.12e2 * t121031;
  t126846 = t2060 * t124480;
  t126848 = t8223 * t1093 * t126717;
  t126850 = 0.2e1 * t2060 * t124476 - t559 * t124681 - 0.2e1 * t559 * t124684 - t124605 - t124634 - 0.3e1 * t126838 + t126840 - t126841 - t126842 + t126843 + t126846 + 0.6e1 * t126848;
  t126853 = 0.6e1 * t122216;
  t126854 = 0.12e2 * t122222;
  t126855 = 0.8e1 * t57389 * t126682 - t124642 - t124643 + t124644 - t124645 - t124646 - t124648 - t126853 + t126854 - t16505 - t16509 + t16524;
  t126857 = 0.6e1 * t121059;
  t126858 = t121065 / 0.9e1;
  t126859 = 0.2e1 * t121079;
  t126863 = t124649 - t119415 + t124650 + t124651 + t124652 - t126857 + t126858 - t126859 + t119433 - t119436 + t119445 + 0.5e2 / 0.3e1 * t40248 * t24794 * t126648;
  t126866 = t122225 / 0.9e1;
  t126874 = 0.8e1 * t122230;
  t126875 = -0.1e2 / 0.3e1 * t8227 * t124410 + t126866 - t15930 + t15933 + t15935 - t2229 - t559 * t124631 - t124696 - 0.4e2 * t40241 * t4376 * t126648 + 0.1e2 / 0.3e1 * t40248 * t24958 * t126648 - t126874 + t2210;
  t126886 = t5540 * t8227 * t4408 * t80996;
  t126889 = t4145 * t13560 * t16014;
  t126894 = -t126563 / 0.12e2 - t1965 * t123865 / 0.6e1 + t555 * t120666 / 0.12e2 + t555 * t121098 / 0.6e1 + t126571 / 0.6e1 + t8360 * t124257 / 0.2e1 - t119112 - t124136 - t119120 + t119132 - t110 * t139 * (t126588 + t126624 + t126654 + t126669 + t126698 + t126724 + t126730 + t126741 + t126775 + t126796 + t126816 + t126831 + t126850 + t126855 + t126863 + t126875) * t168 / 0.4e1 + 0.3e1 / 0.2e1 * t126886 + t126889 / 0.2e1 + t16931 + t50177 * t16412 + t5540 * t559 * t124829;
  t126902 = t120642 / 0.3e1;
  t126903 = t120658 / 0.6e1;
  t126904 = 0.4e1 / 0.3e1 * t122305;
  t126905 = 0.2e1 / 0.3e1 * t122311;
  t126913 = t5623 * t8199 * t15952;
  t126917 = t987 * t67598 * t2197;
  t126920 = t5540 * t2056 * t124712 + t44886 * t17675 - 0.18e2 * t5540 * t40241 * t4408 * t82589 - t2180 + t126902 - t126903 - t120661 + t119139 + t124142 - t126904 + t126905 + 0.3e1 / 0.2e1 * t1663 * t16454 - 0.3e1 * t8201 * t15964 + 0.3e1 / 0.2e1 * t40761 * t15959 - 0.3e1 / 0.2e1 * t6752 * t126913 + t442 * t126917 / 0.12e2;
  t126925 = t6848 * t16589;
  t126931 = t5591 * t126295;
  t126933 = t5553 * t126299;
  t126947 = t9710 * t2822 / 0.2e1 - t50014 * t2503 - t126925 / 0.2e1 - t555 * t82340 / 0.12e2 - t490 * t86052 / 0.12e2 - t119158 + t119159 + t10451 * t126931 - 0.2e1 * t10451 * t126933 + t124159 + t16418 - 0.5e1 / 0.12e2 * t8058 * t123965 + 0.2e1 / 0.3e1 * t8052 * t123968 + t4145 * t13537 * t82274 - t8058 * t29911 * t126541 / 0.2e1 - t8058 * t30214 * t126541;
  t126968 = t1663 * t16586;
  t126975 = -t11369 * t124848 / 0.2e1 + t8055 * t124149 / 0.2e1 + 0.2e1 * t8058 * t81547 - 0.3e1 * t5559 * t2060 * t24823 * t81545 + 0.3e1 / 0.2e1 * t2030 * t16067 - 0.3e1 * t6848 * t16563 - 0.3e1 / 0.2e1 * t8090 * t124363 - t8090 * t124357 / 0.2e1 + 0.3e1 / 0.2e1 * t1663 * t16553 - t126968 / 0.2e1 - t1663 * t16433 / 0.2e1 - t124188 + t124192 + 0.89e2 / 0.9e1 * t56375 * t50504 * t82590 + t124193 + t124194;
  t126980 = 0.3e1 * t122350;
  t126981 = 0.14e2 / 0.3e1 * t122352;
  t126982 = 0.3e1 * t122355;
  t126994 = -t124195 - t124196 + t124197 - t122340 - t126980 + t126981 + t126982 - 0.2e1 / 0.3e1 * t8058 * t81518 - t5540 * t2060 * t4549 * t81516 + t5540 * t559 * t124832 / 0.2e1 - t124207 - t15415 - t15419 - t17018 + 0.2e1 * t11369 * t124173 - t11369 * t124176;
  t127009 = t5623 * t126209;
  t127023 = t2178 * t13478;
  t127031 = t10485 * t126295;
  t127034 = 0.3e1 * t5540 * t8223 * t124284 - 0.3e1 * t5559 * t8223 * t124288 + 0.18e2 * t5540 * t40217 * t1093 * t82589 - 0.11e2 / 0.18e2 * t8090 * t124744 + 0.23e2 / 0.36e2 * t8090 * t124801 + 0.23e2 / 0.36e2 * t6752 * t127009 + t8360 * t123780 - 0.3e1 * t2030 * t15944 + 0.3e1 * t8201 * t16036 - t6848 * t16392 / 0.2e1 - t2189 * t68635 / 0.6e1 + t2189 * t68639 / 0.3e1 - t127023 / 0.12e2 + t2030 * t16062 / 0.2e1 + 0.36e2 * t5559 * t40241 * t4376 * t82589 - 0.11e2 / 0.18e2 * t10457 * t127031;
  t127036 = t46098 * t17666;
  t127039 = t6824 * t122498;
  t127041 = t110 * t45315;
  t127056 = t120689 / 0.3e1;
  t127059 = -t6824 * t127036 / 0.3e1 - t127039 / 0.6e1 + 0.47e2 / 0.3e1 * t127041 * t66838 + 0.3e1 * t44886 * t17687 - t124231 + t124242 + t124245 + 0.15e2 / 0.2e1 * t11381 * t29498 * t4403 * t82371 - 0.35e2 / 0.3e1 * t11381 * t82373 - 0.11e2 * t5559 * t8223 * t4408 * t82371 - t127056 - t120694 - t120696 - t124302 + t124320 + t2184 * t13478 / 0.6e1;
  t127063 = t2030 * t16020;
  t127071 = t56037 * t2337;
  t127072 = t1393 * t127071;
  t127077 = t1965 * t82391;
  t127079 = t1965 * t123873;
  t127081 = t120713 / 0.3e1;
  t127083 = -0.2e1 * t9330 * t19808 - t11512 * t2395 - t127063 / 0.2e1 - t44508 * t2809 / 0.2e1 - t1663 * t16469 / 0.4e1 - t10647 * t2509 / 0.2e1 - t1651 * t127072 / 0.3e1 + 0.2e1 / 0.3e1 * t1965 * t82403 + t127077 / 0.3e1 - t127079 / 0.6e1 - t120704 + t120710 + t124324 + t127081 - t5548 * t96109 - t16437;
  t127091 = t10458 * t126295;
  t127094 = t39994 * t16105;
  t127102 = t6824 * t122485;
  t127106 = t6830 * t122070;
  t127109 = t5535 * t13560 * t15468;
  t127111 = 0.14e2 / 0.3e1 * t120718;
  t127113 = t6824 * t86450;
  t127115 = t10458 * t126299;
  t127122 = t11369 * t44803 * t17639 - t8052 * t28964 * t17628 / 0.3e1 - 0.5e1 / 0.36e2 * t10457 * t127091 - t6830 * t127094 / 0.3e1 - t11372 * t44782 * t17639 + 0.2e1 / 0.3e1 * t8058 * t46095 * t17628 - t127102 / 0.12e2 + t6827 * t122546 / 0.12e2 + t127106 / 0.6e1 - t127109 / 0.2e1 + t127111 - t45078 * t17697 + t127113 / 0.3e1 + 0.23e2 / 0.36e2 * t10457 * t127115 + t2189 * t68461 / 0.3e1 - t68390 * t2245 / 0.2e1;
  t127129 = t5553 * t126295;
  t127143 = t13724 * t2261 / 0.2e1 - t13724 * t2253 / 0.2e1 + t2184 * t13633 / 0.6e1 - t15986 - t15990 + t16006 + t16017 - t16022 - t16025 + t16034 + t10451 * t127129 / 0.2e1 + t8058 * t124823 / 0.6e1 - t8055 * t124311 / 0.3e1 - t8052 * t124841 / 0.3e1 + t11372 * t124152 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t8220 * t124182;
  t127145 = 0.3e1 * t120746;
  t127146 = 0.2e1 / 0.3e1 * t122369;
  t127147 = t122378 / 0.2e1;
  t127148 = t122385 / 0.6e1;
  t127156 = t5540 * t8223 * t1093 * t80996;
  t127160 = t5559 * t8227 * t4376 * t80996;
  t127167 = t10458 * t5533 * t126294;
  t127179 = t127145 + t127146 + t127147 - t127148 - t122387 + t2251 - 0.28e2 * t110 * t45391 * t67127 - 0.6e1 * t44886 * t17765 - 0.3e1 * t127156 - 0.3e1 * t127160 - 0.62e2 / 0.3e1 * t127041 * t67175 - 0.6e1 * t45074 * t17761 - 0.3e1 / 0.2e1 * t10457 * t127167 + 0.3e1 / 0.2e1 * t30030 * t67303 * t15958 - 0.3e1 * t5535 * t67303 * t15963 + 0.3e1 / 0.2e1 * t4145 * t67303 * t15948;
  t127184 = 0.4e1 * t120762;
  t127186 = t11369 * t5591 * t126303;
  t127198 = 0.2e1 * t120771;
  t127200 = t122417 / 0.2e1;
  t127201 = -0.6e1 * t50149 * t40248 * t24930 * t82589 - t127184 - t124344 + t127186 + 0.22e2 / 0.3e1 * t56079 * t10485 * t126194 + 0.2e1 * t11369 * t46098 * t17639 + t44886 * t17649 - t119518 + t44886 * t17646 + 0.3e1 * t44886 * t17683 + t56164 * t16100 - t127198 - t122407 - t5548 * t95292 + t127200 + t120801;
  t127217 = 0.3e1 * t120809;
  t127218 = 0.3e1 * t120813;
  t127237 = t122429 / 0.3e1;
  t127238 = t122452 / 0.6e1;
  t127239 = -t120803 + t124368 + t11372 * t4137 * t126372 + 0.15e2 * t5559 * t8227 * t24848 * t82371 - 0.15e2 / 0.2e1 * t10506 * t8227 * t24794 * t82371 - 0.2e1 * t44886 * t17679 - t127217 + t127218 + t11381 * t124723 / 0.2e1 - 0.2e1 * t56375 * t29517 * t126194 - 0.3e1 / 0.2e1 * t10506 * t8227 * t124164 + 0.3e1 * t5559 * t8227 * t124168 - 0.3e1 / 0.2e1 * t5540 * t8227 * t124719 - 0.18e2 * t5559 * t40248 * t24794 * t82589 + t127237 - t127238;
  t127243 = t11369 * t81005;
  t127248 = t56704 * t16105;
  t127251 = t5582 * t126295;
  t127268 = t10506 * t8227 * t4396 * t80996;
  t127270 = 0.6e1 * t122458;
  t127271 = t120816 / 0.3e1;
  t127272 = 0.2e1 * t120820;
  t127273 = 0.6e1 * t120828;
  t127274 = 0.2e1 * t57725 * t5582 * t126194 - 0.2e1 * t127243 - 0.23e2 / 0.3e1 * t56079 * t10458 * t82590 + t6824 * t127248 / 0.2e1 - t10462 * t127251 / 0.2e1 + 0.18e2 * t10506 * t40248 * t24958 * t82589 + 0.3e1 / 0.2e1 * t51823 * t16399 + 0.8e1 * t127041 * t50165 * t10504 * t66836 + 0.3e1 * t81407 * t17757 + 0.3e1 / 0.2e1 * t127268 + t124772 - t127270 + t122464 + t127271 + t127272 + t127273;
  t127278 = t8058 * t90963;
  t127282 = t122486 / 0.6e1;
  t127283 = 0.2e1 / 0.3e1 * t122497;
  t127284 = t122499 / 0.3e1;
  t127285 = t122503 / 0.6e1;
  t127286 = t122510 / 0.3e1;
  t127289 = t120833 + t124779 - t124780 - t124781 - 0.2e1 / 0.3e1 * t8058 * t124220 - t127278 / 0.3e1 - 0.2e1 / 0.3e1 * t8058 * t124216 - t127282 + t127283 - t127284 + t16468 - t127285 + t127286 - 0.2e1 * t9330 * t68409 + t16050 + t15453;
  t127290 = 0.5e1 / 0.18e2 * t122518;
  t127291 = t120846 / 0.3e1;
  t127294 = 0.6e1 * t120856;
  t127303 = t11381 * t80998;
  t127310 = t11381 * t81510;
  t127316 = -t16051 - t15470 - t127290 - t127291 + 0.2e1 / 0.3e1 * t6824 * t86287 - t127294 - t110 * t15938 * t584 / 0.4e1 - t8055 * t124316 / 0.6e1 + t8058 * t5549 * t126240 / 0.6e1 - 0.3e1 / 0.2e1 * t127303 - 0.43e2 / 0.9e1 * t56375 * t50165 * t126401 - 0.3e1 * t11381 * t81116 + 0.7e1 / 0.3e1 * t127310 - t11381 * t44807 * t17639 - t122555 - 0.23e2 / 0.36e2 * t11381 * t124226;
  t127321 = t5559 * t8223 * t1034 * t80996;
  t127324 = t5540 * t2056 * t124715;
  t127338 = t8058 * t124295;
  t127342 = t121102 + 0.3e1 * t127321 + t127324 / 0.2e1 + t5540 * t2056 * t1182 * t81516 / 0.2e1 - t16544 + t124828 - t124837 + t124853 - t124854 + t96386 * t457 / 0.2e1 - 0.6e1 * t56381 * t5591 * t126194 - 0.35e2 / 0.108e3 * t56375 * t50165 * t126194 + t127338 / 0.12e2 + 0.5e1 / 0.36e2 * t11381 * t124298 - t124863 - t119564;
  t127348 = 0.3e1 * t122575;
  t127350 = t11381 * t5549 * t126303;
  t127355 = 0.2e1 * t122578;
  t127356 = 0.6e1 * t122584;
  t127357 = t122589 / 0.3e1;
  t127358 = 0.5e1 / 0.18e2 * t121145;
  t127359 = t122565 - t124868 - t124869 + 0.12e2 * t56381 * t5553 * t82590 + t16070 - t16071 + t16075 - t16082 + 0.14e2 / 0.3e1 * t11381 * t81109 + t127348 - t127350 / 0.2e1 - 0.38e2 / 0.9e1 * t56375 * t29498 * t126194 + t127355 + t127356 + t127357 - t127358;
  t127361 = t1663 * t16466;
  t127378 = 0.2e1 * t122602;
  t127381 = t1651 * t122384;
  t127383 = t5623 * t126205;
  t127386 = -t122599 + t127361 / 0.4e1 + t10647 * t2521 / 0.2e1 - t2189 * t68622 / 0.12e2 + t9710 * t2831 / 0.4e1 + t16581 - t16583 - t16588 - t16591 - 0.115e3 / 0.36e2 * t11381 * t29498 * t82372 - 0.2e1 * t5540 * t2056 * t123886 + 0.3e1 / 0.2e1 * t5535 * t13560 * t82265 - t127378 + t1958 * t124068 / 0.3e1 - t127381 / 0.12e2 - 0.5e1 / 0.36e2 * t6752 * t127383;
  t127387 = t1400 * t127071;
  t127394 = t1644 * t122428;
  t127396 = t1400 * t126205;
  t127399 = t1000 * t127071;
  t127408 = 0.2e1 / 0.3e1 * t121153;
  t127409 = 0.23e2 / 0.18e2 * t121159;
  t127410 = 0.11e2 / 0.9e1 * t121168;
  t127412 = t11369 * t5553 * t126303;
  t127418 = t4145 * t13537 * t16019;
  t127420 = -t1651 * t127387 / 0.6e1 + t490 * t121897 / 0.12e2 + t490 * t122567 / 0.6e1 + t127394 / 0.6e1 + t6921 * t127396 / 0.2e1 + t1644 * t127399 / 0.3e1 + t1965 * t82415 / 0.3e1 - t2030 * t16010 / 0.4e1 - t11512 * t2398 / 0.2e1 + t15548 + t127408 + t127409 + t122605 - t127410 + t127412 / 0.2e1 - t4145 * t13543 * t15410 / 0.4e1 - t127418 / 0.2e1;
  t127426 = my_piecewise3(t100, 0, t126920 + t126894 + t126560 + t126528 + t126501 + t126460 + t126225 + t126200 + t126425 + t126387 + t127420 + t127386 + t127359 + t126287 + t126254 + t127342 + t127316 + t127289 + t127274 + t127239 + t127201 + t127179 + t127143 + t127122 + t127083 + t127059 + t127034 + t126994 + t126975 + t126947 + t126357 + t126326);
  tv4sigma2lapltau23 = t3 * t127426;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 23] += tv4sigma2lapltau23;

  t127434 = t41482 * t18109;
  t127435 = t127434 / 0.3e1;
  t127436 = t41479 * t18112;
  t127437 = t127436 / 0.6e1;
  t127441 = t644 * t14076 * t118275;
  t127442 = 0.3e1 * t127441;
  t127449 = t14153 * t2158;
  t127450 = t127449 / 0.4e1;
  t127451 = -t246 * t13951 * t118237 + 0.18e2 * t69521 * t15581 - t7307 * t125996 + 0.2e1 * t2844 * t118533 - t127435 + t127437 - 0.6e1 * t5073 * t17924 - t127442 + 0.6e1 * t121180 - 0.6e1 * t121184 + 0.22e2 / 0.3e1 * t69907 * t15678 + t84002 * t530 / 0.2e1 + t127450;
  t127468 = t644 * t13986 * t15124;
  t127469 = 0.3e1 * t127468;
  t127470 = t2087 * t14148;
  t127471 = t127470 / 0.12e2;
  t127478 = -t2098 * t70264 / 0.12e2 + t97739 * t432 / 0.2e1 - t417 * t97734 / 0.6e1 + 0.3e1 * t25931 * t17921 + 0.4e1 * t121203 - 0.5e1 / 0.18e2 * t7187 * t125522 - 0.2e1 / 0.3e1 * t2844 * t118422 + t515 * t121346 / 0.6e1 + t127469 - t127471 - 0.2e1 / 0.3e1 * t121213 + 0.18e2 * t246 * t69499 * t15567 + 0.2e1 / 0.3e1 * t121219 + t121222 / 0.3e1;
  t127481 = t2087 * t17948;
  t127482 = t127481 / 0.6e1;
  t127483 = t2087 * t17953;
  t127484 = t127483 / 0.6e1;
  t127487 = t4779 * t8874 * t18117;
  t127488 = t17883 * t414;
  t127496 = t246 * t13986 * t15791;
  t127497 = 0.3e1 * t127496;
  t127502 = t7462 * t16193;
  t127503 = t4779 * t1843 * t819 * t127488 + t7216 * t124947 - 0.6e1 * t1293 * t17962 - 0.4e1 * t13929 * t15808 - 0.28e2 * t41310 * t69428 + 0.2e1 * t121228 - 0.12e2 * t121260 - t122746 + t127482 + t127484 + t127487 - t127497 - t127502;
  t127506 = t13878 * t43006;
  t127507 = 0.3e1 / 0.2e1 * t127506;
  t127516 = t1748 * t83196;
  t127517 = 0.2e1 / 0.3e1 * t127516;
  t127529 = -0.3e1 * t13878 * t123366 - t127507 - 0.43e2 / 0.9e1 * t69176 * t123371 - 0.2e1 * t52160 * t2444 + 0.47e2 / 0.3e1 * t41139 * t70779 + 0.4e1 / 0.3e1 * t1748 * t84675 + t127517 + 0.23e2 / 0.18e2 * t7187 * t125602 + 0.3e1 * t1293 * t17965 + 0.4e1 / 0.3e1 * t121265 - t121278 / 0.3e1 - 0.2e1 / 0.3e1 * t7746 * t125161 + t10974 * t2462 + t644 * t13951 * t118589;
  t127538 = t13878 * t122848;
  t127539 = 0.5e1 / 0.36e2 * t127538;
  t127542 = t2851 * t2090;
  t127543 = t95 * t127542;
  t127564 = t9070 * t2903 / 0.2e1 - 0.35e2 / 0.108e3 * t69176 * t122851 - 0.5e1 / 0.18e2 * t13878 * t122845 - t127539 - 0.2e1 * t7216 * t83390 - t11086 * t4770 * t127543 + 0.3e1 * t4779 * t7595 * t3409 * t127542 - 0.3e1 * t4738 * t7595 * t3375 * t127542 + 0.25e2 / 0.36e2 * t70204 * t122794 - 0.6e1 * t3123 * t69597 * t15567 + t515 * t121275 / 0.3e1 - 0.2e1 * t10974 * t2447 - t10974 * t2450;
  t127575 = t13929 * t15617;
  t127576 = 0.2e1 * t127575;
  t127588 = t2844 * t118456 / 0.3e1 + t7250 * t125213 - 0.6e1 * t1891 * t16253 + 0.6e1 * t7462 * t16214 - 0.6e1 * t246 * t70641 * t15639 - t127576 - 0.2e1 * t1293 * t17910 - 0.2e1 * t121287 - 0.8e1 * t121289 - t121295 - 0.2e1 * t121304 - t9070 * t2907 / 0.2e1 - t42538 * t2899 / 0.2e1 + t9070 * t2915 / 0.2e1;
  t127590 = t17998 * t2105;
  t127613 = t3123 * t14184 * t15791;
  t127617 = 0.5e1 / 0.2e1 * t4779 * t1847 * t22051 * t127590 - 0.5e1 / 0.2e1 * t4738 * t1847 * t22070 * t127590 - 0.3e1 * t3123 * t14184 * t79557 + 0.3e1 * t4748 * t14184 * t79711 - 0.2e1 * t7216 * t84338 - t122839 + 0.3e1 * t3123 * t70008 * t15639 + t7216 * t125986 / 0.2e1 + t127613 + t42187 * t17995 - 0.2e1 / 0.3e1 * t121312 - 0.2e1 * t121316 + t121318;
  t127620 = t13929 * t15660;
  t127621 = t127620 / 0.2e1;
  t127622 = t13878 * t122981;
  t127623 = 0.23e2 / 0.36e2 * t127622;
  t127625 = t246 * t14004 * t15801;
  t127626 = 0.3e1 / 0.2e1 * t127625;
  t127634 = 0.2e1 / 0.3e1 * t121338 - 0.2e1 / 0.3e1 * t121343 + t127621 + t127623 + t122862 - t118203 + t118208 + t127626 + 0.5e1 / 0.3e1 * t69521 * t15663 + t122863 + t122866 - 0.12e2 * t121350 + t122946 - t246 * t14031 * t2120 * t748 / 0.2e1;
  t127661 = t3123 * t14228 * t15801;
  t127663 = t2093 * t14033 / 0.6e1 + 0.3e1 * t246 * t13951 * t118248 - t7187 * t125336 - 0.38e2 / 0.9e1 * t69176 * t123327 + 0.89e2 / 0.9e1 * t69176 * t123333 - 0.2e1 * t69176 * t123312 + 0.6e1 * t69521 * t15573 - 0.4e1 / 0.3e1 * t2844 * t118488 - t1748 * t125591 / 0.3e1 + t2844 * t118309 / 0.3e1 - t7581 * t121657 / 0.3e1 - t127661 + t41476 * t18122;
  t127665 = t4779 * t2118 * t18121;
  t127666 = t17883 * t2105;
  t127670 = t2851 * t15088;
  t127675 = t2851 * t2084;
  t127678 = t4779 * t1843 * t819 * t127675;
  t127679 = t127678 / 0.2e1;
  t127684 = t95 * t127675;
  t127686 = t7746 * t3130 * t127684;
  t127687 = t127686 / 0.6e1;
  t127689 = t7216 * t4760 * t127684;
  t127690 = t127689 / 0.12e2;
  t127698 = t7216 * t125228;
  t127699 = t127698 / 0.6e1;
  t127702 = t127665 + t4779 * t519 * t3430 * t127666 + t4779 * t519 * t3430 * t127670 / 0.2e1 + t127679 + t41476 * t18118 + 0.28e2 / 0.3e1 * t121357 - t122949 - 0.35e2 / 0.3e1 * t70204 * t42437 - t127687 + t127690 + 0.5e1 / 0.36e2 * t11008 * t25739 * t127543 - t7581 * t8642 * t95 * t127670 / 0.6e1 - t127699 - 0.5e1 / 0.18e2 * t11008 * t124964;
  t127714 = -t7216 * t125182 / 0.3e1 + t7581 * t121186 / 0.3e1 + 0.6e1 * t121360 + t122954 - t122955 - t118285 - t30 * t16176 * t544 / 0.2e1 - 0.2e1 * t121364 - t121367 - 0.2e1 * t121371 - t122987 + t122990 - t122991;
  t127716 = t1748 * t125519;
  t127717 = t127716 / 0.6e1;
  t127723 = t246 * t14031 * t2117 * t249;
  t127724 = t127723 / 0.4e1;
  t127727 = t122992 + t118307 - 0.4e1 * t121398 - t127717 - t11143 * t125475 + t3123 * t14231 * t15044 - t123014 + t123015 + t123016 - t123018 + t123021 - t123022 + t127724 + t1293 * t17915 / 0.2e1;
  t127760 = -t2098 * t71049 / 0.3e1 + 0.2e1 / 0.3e1 * t2098 * t70635 - t7462 * t16247 + t1891 * t16250 - 0.18e2 * t3680 * t69237 * t15585 + t515 * t660 * t41043 * t2852 / 0.12e2 - 0.3e1 * t644 * t13951 * t118502 - 0.6e1 * t7462 * t16266 + 0.3e1 * t1891 * t16256 - 0.6e1 * t21206 * t69241 * t122695 + 0.18e2 * t3680 * t69241 * t122857 - 0.3e1 * t7187 * t125961 - 0.62e2 / 0.3e1 * t69176 * t42947;
  t127789 = t95 * t127488;
  t127796 = 0.8e1 * t69176 * t41560 + 0.3e1 * t37303 * t16263 - 0.18e2 * t246 * t69237 * t15557 - 0.18e2 * t644 * t69241 * t123169 + 0.6e1 * t246 * t69241 * t123174 + 0.14e2 / 0.3e1 * t7187 * t125340 + 0.22e2 / 0.3e1 * t69521 * t15647 - 0.23e2 / 0.3e1 * t69521 * t15650 + 0.36e2 * t644 * t69237 * t15562 - 0.6e1 * t69203 * t15589 + t7216 * t125164 / 0.2e1 + 0.55e2 / 0.18e2 * t70204 * t122754 - t7746 * t3130 * t127789 / 0.3e1 + t7216 * t41642 * t17999 / 0.6e1;
  t127818 = t3680 * t14076 * t118581;
  t127819 = 0.3e1 / 0.2e1 * t127818;
  t127832 = -t7581 * t75413 * t18108 / 0.3e1 - 0.3e1 * t52729 * t16320 + 0.3e1 * t53885 * t16305 - 0.3e1 * t4779 * t14282 * t15624 + t11143 * t3130 * t127543 / 0.2e1 - t11086 * t4760 * t127543 / 0.2e1 + 0.2e1 / 0.3e1 * t2844 * t118312 + t13929 * t15607 + t127819 - t11008 * t125020 + 0.3e1 * t3123 * t69975 * t15557 - 0.3e1 / 0.2e1 * t9873 * t7599 * t21220 * t127542 + 0.3e1 * t4738 * t7599 * t21225 * t127542;
  t127847 = t41479 * t18129;
  t127848 = t127847 / 0.3e1;
  t127852 = t4779 * t8854 * t18125;
  t127858 = t4779 * t1847 * t3409 * t127675;
  t127859 = t127858 / 0.2e1;
  t127865 = -0.3e1 / 0.2e1 * t4779 * t7599 * t22070 * t127542 + t11008 * t26082 * t127543 / 0.2e1 + 0.14e2 / 0.3e1 * t11008 * t125247 - 0.3e1 * t11008 * t125251 - 0.11e2 * t4738 * t14331 * t8614 + t127848 - 0.7e1 / 0.3e1 * t41145 * t69921 - t127852 - t4779 * t1847 * t3409 * t127488 - t127859 - t17866 - 0.2e1 * t121428 - t515 * t83995 / 0.6e1 + t2839 * t15050 / 0.3e1;
  t127873 = -t2844 * t118244 - 0.3e1 * t69203 * t15604 + t15099 - t15116 - t15120 - t15126 + t15554 - t15555 + t16188 - t16191 - t16194 + t17918 - t17919;
  t127877 = t660 * t69657 * t2106;
  t127886 = t2087 * t14033;
  t127887 = t127886 / 0.12e2;
  t127899 = -t246 * t14040 * t15044 + t417 * t127877 / 0.12e2 + 0.3e1 * t1293 * t17889 + t1293 * t17892 - 0.18e2 * t644 * t69499 * t15643 - t127887 - t417 * t97922 / 0.6e1 + t2160 - t121431 / 0.3e1 + 0.2e1 * t121438 - 0.2e1 * t121444 - t1891 * t16203 + 0.2e1 / 0.3e1 * t1787 * t125086 + 0.3e1 * t26806 * t69975 * t15585;
  t127909 = t3130 * t253 * t2932 * t2105;
  t127914 = t13929 * t15613;
  t127918 = t1293 * t17864;
  t127919 = t127918 / 0.2e1;
  t127922 = -0.6e1 * t4748 * t69975 * t15562 - t3123 * t99454 * t2166 / 0.4e1 + t4789 * t127909 / 0.12e2 + 0.2e1 * t13929 * t15632 + t127914 + 0.12e2 * t121454 + t17946 - t9070 * t2912 / 0.4e1 - t127919 - t1293 * t17886 / 0.2e1 + t17973 - t17977 - t17978;
  t127941 = t14031 * t2124;
  t127952 = t13901 * t15791;
  t127953 = 0.4e1 * t127952;
  t127973 = -t15081 + 0.12e2 * t70036 * t15639 - 0.2e1 * t13904 * t15111 + t127953 - 0.8e1 * t16313 + t15069 - 0.12e2 * t13901 * t79557 + t122875 - t122876 + t122900 + t118363 + 0.12e2 * t70059 * t15557 + 0.32e2 / 0.3e1 * t70059 * t15562 - 0.24e2 * t70054 * t15567 + 0.4e1 * t13904 * t15044 - 0.12e2 * t70090 * t15639 - 0.4e1 * t76047 * t13892 + 0.24e2 * t70062 * t15567 - 0.12e2 * t70065 * t15557;
  t127978 = t13911 * t15801;
  t127979 = 0.4e1 * t127978;
  t127982 = t76044 * t13892;
  t127983 = 0.2e1 / 0.3e1 * t127982;
  t127986 = t13916 * t15791;
  t127987 = 0.4e1 * t127986;
  t127993 = t13898 * t15801;
  t127994 = 0.4e1 * t127993;
  t127997 = t13901 * t15124;
  t127998 = 0.4e1 / 0.3e1 * t127997;
  t128002 = 0.4e1 / 0.3e1 * t76050 * t70069 - 0.4e1 * t521 * t15044 + t127979 + 0.2e1 * t521 * t15111 + t127983 + 0.2e2 / 0.9e1 * t76050 * t70107 - t127987 + 0.8e1 * t13898 * t79222 - 0.4e1 * t13901 * t79711 - 0.2e1 * t16305 - t127994 - 0.8e1 * t70054 * t15643 + t127998 + 0.16e2 / 0.9e1 * t70059 * t15585 + 0.12e2 * t16320 + t122928 - t122929 - t118375 + t122930;
  t128003 = t127973 + t128002;
  t128009 = t17979 + 0.2e1 * t121460 + 0.6e1 * t121466 + t121468 / 0.3e1 + 0.12e2 * t69203 * t15591 - 0.61e2 / 0.27e2 * t69176 * t123124 + 0.44e2 / 0.27e2 * t69176 * t123024 + 0.2e1 * t7250 * t125947 - 0.4e1 * t7250 * t1227 * t125339 - t2098 * t69514 / 0.6e1 + t2098 * t69508 / 0.3e1 - t644 * t127941 * t649 / 0.2e1 + t246 * t127941 * t654 / 0.2e1 + t515 * t660 * t661 * t94 * t128003 / 0.12e2;
  t128018 = t1748 * t121494;
  t128019 = t128018 / 0.3e1;
  t128022 = t13878 * t42819;
  t128023 = 0.7e1 / 0.3e1 * t128022;
  t128025 = t14215 * t15600;
  t128026 = t128025 / 0.2e1;
  t128031 = t1891 * t16222;
  t128032 = t128031 / 0.2e1;
  t128035 = t13878 * t123121;
  t128036 = 0.11e2 / 0.18e2 * t128035;
  t128039 = t515 * t660 * t5044 * t17951 / 0.6e1 - 0.2e1 / 0.3e1 * t1748 * t125608 - t128019 + 0.14e2 / 0.3e1 * t13878 * t42950 + t128023 - t14215 * t15595 - t128026 + t2844 * t118458 / 0.6e1 + t2093 * t13977 / 0.3e1 + t128032 - 0.11e2 / 0.9e1 * t13878 * t123118 - t128036 + 0.23e2 / 0.18e2 * t13878 * t122978;
  t128052 = t42161 * t18000;
  t128053 = t128052 / 0.3e1;
  t128054 = t14257 * t2090;
  t128055 = t827 * t128054;
  t128072 = t41656 * t18031;
  t128073 = 0.2e1 / 0.3e1 * t128072;
  t128074 = t98308 * t414;
  t128078 = t14257 * t2084;
  t128080 = t7584 * t827 * t128078;
  t128081 = t128080 / 0.3e1;
  t128089 = -0.6e1 * t36958 * t128055 + t123385 + 0.12e2 * t36961 * t840 * t128054 + 0.2e1 / 0.3e1 * t36958 * t3475 * t128054 + 0.44e2 * t71298 * t15684 + 0.24e2 * t121505 + 0.8e1 * t121507 - 0.48e2 * t121509 - 0.16e2 * t121511 + 0.8e1 / 0.3e1 * t121519 - 0.4e1 / 0.9e1 * t121521 + t128073 + 0.2e1 / 0.3e1 * t7584 * t827 * t128074 + t128081 + t36958 * t3482 * t128054 / 0.9e1 + t123386 - t123387 - t123388 + t118652 - 0.6e1 * t53471 * t233 * t14257 * t15042;
  t128101 = t2118 * t18045;
  t128116 = t2118 * t18081;
  t128117 = 0.2e1 * t128116;
  t128118 = 0.1e2 * t37040 * t41885 * t127590 + 0.2e1 * t2866 * t15140 - 0.36e2 * t71159 * t15699 + 0.36e2 * t71330 * t15702 + 0.24e2 * t71159 * t15713 + t123432 + t123436 - t123437 + t123438 - t123439 - t128117;
  t128132 = t14282 * t15711;
  t128133 = 0.3e1 * t128132;
  t128139 = t14331 * t15708;
  t128140 = 0.4e1 * t128139;
  t128142 = t14293 * t123701;
  t128143 = t128142 / 0.18e2;
  t128144 = t2118 * t18071;
  t128145 = 0.2e1 * t128144;
  t128146 = t8854 * t18073;
  t128147 = 0.4e1 / 0.3e1 * t128146;
  t128148 = t15698 * t2851;
  t128164 = t2298 * t17883;
  t128168 = t15695 * t2851;
  t128170 = t1847 * t3375 * t128168;
  t128171 = 0.2e1 / 0.3e1 * t128170;
  t128172 = t128143 - t128145 - t128147 + 0.4e1 * t7595 * t3375 * t128148 + 0.6e1 * t14282 * t15737 - t71156 * t123642 / 0.9e1 + 0.15e2 * t14293 * t123399 - t7599 * t21220 * t128148 / 0.18e2 + 0.3e1 * t7599 * t22070 * t128148 - 0.4e1 / 0.3e1 * t1847 * t3375 * t128164 - t128171;
  t128185 = t14331 * t15747;
  t128186 = 0.2e1 * t128185;
  t128194 = t14293 * t118629;
  t128195 = t128194 / 0.9e1;
  t128200 = t7584 * t840 * t128078;
  t128201 = 0.2e1 * t128200;
  t128204 = t14331 * t15696;
  t128205 = 0.6e1 * t128204;
  t128206 = t14293 * t123698;
  t128207 = 0.3e1 * t128206;
  t128212 = -t128195 - 0.22e2 * t14331 * t15762 - 0.8e1 / 0.3e1 * t121550 - t128201 + 0.8e1 * t121556 + 0.24e2 * t121561 + t18043 + t128205 - t128207 + 0.4e1 * t2870 * t118775 + 0.12e2 * t71186 * t15719;
  t128220 = t14293 * t123682;
  t128221 = 0.1e2 / 0.3e1 * t128220;
  t128231 = t1847 * t3409 * t128168;
  t128235 = t14331 * t15765;
  t128236 = 0.12e2 * t128235;
  t128240 = t14293 * t123527;
  t128241 = 0.2e1 / 0.3e1 * t128240;
  t128244 = t14293 * t123530;
  t128245 = 0.6e1 * t128244;
  t128246 = t8874 * t18078;
  t128247 = 0.2e1 * t128246;
  t128248 = t8854 * t18051;
  t128249 = 0.2e1 * t128248;
  t128256 = -t128241 - 0.4e1 / 0.3e1 * t71156 * t123617 + t128245 - t118691 - t128247 + t128249 + 0.3e1 * t519 * t22055 * t2883 * t15042 + 0.72e2 * t71159 * t15724 - t18057 + t18058 - t18059;
  t128265 = t1843 * t819 * t128168;
  t128268 = t41656 * t18028;
  t128269 = 0.4e1 * t128268;
  t128283 = t14282 * t15741;
  t128284 = 0.6e1 * t128283;
  t128288 = -0.4e1 * t7584 * t840 * t128074 - t118715 + t118717 + t118721 - t519 * t819 * t63 * t128003 - 0.72e2 * t71330 * t15730 + 0.8e1 / 0.3e1 * t71156 * t123598 + 0.24e2 * t71156 * t123610 + t128284 - 0.12e2 * t71159 * t15744 - 0.16e2 * t121582;
  t128304 = t76660 * t18038;
  t128305 = 0.4e1 * t128304;
  t128317 = t41974 * t18034;
  t128318 = 0.4e1 * t128317;
  t128319 = t123622 + 0.12e2 * t2870 * t118703 - 0.2e1 * t2870 * t118626 - 0.4e1 * t2866 * t15184 - 0.24e2 * t71186 * t15757 - 0.12e2 * t71223 * t15687 + t128305 + 0.4e1 * t10828 * t233 * t98308 * t2105 + 0.2e1 * t10828 * t233 * t14257 * t15088 + 0.1e2 / 0.3e1 * t37040 * t827 * t127590 + t128318;
  t128325 = t7586 * t233 * t128078;
  t128326 = 0.2e1 * t128325;
  t128347 = -0.12e2 * t121637 - 0.4e1 * t121639 + 0.2e1 / 0.9e1 * t121645 - t15179 - t15768 + t15769 - t15770 - t18069 - 0.5e1 * t37040 * t840 * t127590 - t2138 + t2119;
  t128358 = t2851 * t15042;
  t128370 = -t69282 * t2154 / 0.2e1 - t2098 * t69273 / 0.6e1 + t2098 * t69277 / 0.3e1 + t2844 * t42533 / 0.3e1 + t2839 * t9098 / 0.6e1 - t2844 * t42740 / 0.12e2 - t128053 - t30 * t59 * (-0.6e1 * t36949 * t233 * t128054 - 0.6e1 * t7595 * t3409 * t128148 + 0.4e1 * t36952 * t233 * t127590 + 0.2e1 * t1847 * t3409 * t128164 - 0.1e2 / 0.3e1 * t7599 * t21225 * t128148 + 0.3e1 * t7610 * t819 * t128148 - 0.2e1 * t1843 * t819 * t128164 + 0.4e1 * t7586 * t233 * t128074 - 0.5e1 / 0.3e1 * t37040 * t41881 * t127590 - 0.8e1 * t36952 * t41877 * t127590 + 0.2e1 * t2870 * t118751 + 0.4e1 / 0.3e1 * t71330 * t15750 + 0.2e1 / 0.3e1 * t2870 * t118669 - 0.5e1 / 0.18e2 * t14293 * t123448 + 0.2e1 * t2866 * t15192 + 0.44e2 / 0.3e1 * t14331 * t15754 - 0.4e1 * t2870 * t118635 - 0.5e2 / 0.3e1 * t14293 * t123574 - t2866 * t15162 - 0.4e2 * t71330 * t15705 + 0.1e2 / 0.3e1 * t71156 * t123685 - 0.4e1 / 0.3e1 * t2870 * t118795 - 0.2e1 / 0.3e1 * t71330 * t15716 - 0.6e1 * t2870 * t118732 + 0.1e2 / 0.3e1 * t71443 * t123488 - 0.3e2 * t71443 * t15690 + 0.5e2 / 0.3e1 * t71156 * t123651 - 0.2e1 * t36961 * t128055 - 0.22e2 / 0.3e1 * t71298 * t15690 + 0.8e1 * t71330 * t15727 + 0.5e1 / 0.9e1 * t71443 * t123468 - 0.12e2 * t71156 * t123692 - t123628 + t123629 - t123621 - t123591 + t123587 + t123588 + t123551 - t123552 - t123467 - 0.12e2 * t121626 + 0.8e1 * t121622 + 0.24e2 * t121618 + 0.4e2 / 0.3e1 * t121588 - 0.16e2 / 0.3e1 * t121584 - t118778 - t118750 + t118742 - t118744 - 0.2e1 * t519 * t3430 * t18044 * t2105 - t519 * t3430 * t2883 * t15088 + t519 * t819 * t60 * t128003 / 0.2e1 + t128347 + t128326 + t128319 + t128288 - t128269 - t128265 + t128256 - t128236 + t128231 + t128221 + t128212 + t128186 + t128172 - t128140 - t128133 + t128118 + t128101 + t128089 + t15733 + t18003 - t18004 + t18005 + t15735 + t15170 - t15692) * t95 / 0.4e1 + 0.4e1 / 0.3e1 * t121492 - 0.2e1 / 0.3e1 * t121495 + t7581 * t42955 * t95 * t128358 / 0.2e1 - 0.15e2 / 0.2e1 * t9873 * t14293 * t123279 + t69904 * t15671 - t7746 * t25657 * t17999 / 0.3e1;
  t128379 = t123150 + t123151 - t118478 - t123157 + t246 * t14040 * t15111 / 0.2e1 - t123158 - t123159 - t121670 / 0.3e1 - 0.2e1 * t121716 - t118509 + t118511 - t2098 * t69676 / 0.12e2 + t123179;
  t128387 = t95 * t127590;
  t128398 = t4748 * t14184 * t15124;
  t128406 = t246 * t14076 * t122678;
  t128407 = 0.3e1 / 0.2e1 * t128406;
  t128408 = t1891 * t16208 + 0.3e1 * t1891 * t16211 - 0.115e3 / 0.36e2 * t70204 * t122791 + 0.5e1 / 0.2e1 * t70204 * t122801 - 0.5e1 / 0.6e1 * t7216 * t27475 * t128387 + 0.2e1 / 0.3e1 * t7746 * t8642 * t128387 - 0.5e1 / 0.12e2 * t7216 * t26082 * t128387 - t15630 + t15631 - t128398 + 0.2e1 * t25662 * t17992 + 0.23e2 / 0.18e2 * t11008 * t125495 - 0.2e1 * t42203 * t17990 + t128407;
  t128420 = t1787 * t125218;
  t128421 = t128420 / 0.3e1;
  t128423 = t246 * t8745 * t17885;
  t128424 = t128423 / 0.2e1;
  t128425 = t13878 * t118287;
  t128426 = t128425 / 0.2e1;
  t128427 = t36303 * t16309;
  t128430 = t41479 * t18133;
  t128431 = 0.2e1 / 0.3e1 * t128430;
  t128436 = t7216 * t4770 * t127684;
  t128437 = t128436 / 0.6e1;
  t128442 = 0.2e1 * t70477 * t15657 - t1891 * t16184 / 0.2e1 + 0.6e1 * t5073 * t17899 + 0.2e1 * t5073 * t17897 + t128421 - t128424 - t128426 + t4789 * t128427 / 0.6e1 - t128431 - 0.2e1 / 0.3e1 * t7216 * t41642 * t18132 + t128437 - t417 * t97926 / 0.3e1 - t2098 * t70149 / 0.6e1;
  t128454 = t7746 * t121843;
  t128455 = t128454 / 0.3e1;
  t128470 = -0.2e1 * t4779 * t1843 * t3430 * t127590 + 0.2e1 * t3123 * t14228 * t79222 + t7581 * t121723 / 0.6e1 + 0.2e1 / 0.3e1 * t7746 * t125177 + t128455 + t11086 * t125472 - t2844 * t42553 / 0.6e1 + t14153 * t2170 / 0.2e1 - t25662 * t18098 - t3123 * t14231 * t15111 / 0.2e1 - 0.2e1 * t25662 * t18096 + 0.2e1 / 0.3e1 * t121740 - 0.5e1 / 0.9e1 * t121742 + 0.2e1 * t121744;
  t128490 = -t123286 + t118542 - t7581 * t8642 * t95 * t127666 / 0.3e1 + t7216 * t4760 * t127789 / 0.6e1 + t15216 - t246 * t1769 * t658 * t221 * t128003 / 0.4e1 - t123317 - t123326 + t123331 - t123332 + t2093 * t14148 / 0.6e1 - t14153 * t2162 / 0.2e1 - t36310 * t16317 / 0.2e1;
  t128502 = -t121772 / 0.3e1 + t121779 + 0.4e1 / 0.3e1 * t121785 - t18138 + 0.5e1 / 0.3e1 * t7216 * t26082 * t635 * t127590 + t7216 * t125199 + 0.23e2 / 0.9e1 * t121790 - 0.22e2 / 0.9e1 * t121794 + t118557 - t118560 - t118564 - t118566 + t118568 - 0.11e2 / 0.9e1 * t7187 * t125613;
  t128505 = t1891 * t16190;
  t128514 = t635 * t127542;
  t128532 = -t128505 - t2844 * t118521 / 0.2e1 - t2839 * t15062 / 0.3e1 - t2839 * t15091 / 0.6e1 - t14153 * t2167 / 0.4e1 + 0.2e1 * t11086 * t4760 * t128514 + 0.15e2 * t4738 * t14293 * t123269 - 0.11e2 / 0.6e1 * t69907 * t15680 - 0.15e2 / 0.2e1 * t4779 * t14293 * t123180 + 0.11e2 * t4779 * t14331 * t15795 - t121822 / 0.3e1 + 0.2e1 * t121827 - 0.8e1 / 0.3e1 * t121836;
  t128534 = t2087 * t13977;
  t128535 = t128534 / 0.6e1;
  t128539 = t1891 * t16187;
  t128563 = t7216 * t4760 * t635 * t127675;
  t128564 = t128563 / 0.3e1;
  t128565 = 0.4e1 / 0.3e1 * t121838 + t123356 - t128535 - t515 * t121661 / 0.3e1 + 0.2e1 / 0.3e1 * t121844 + t128539 + 0.2e1 * t10974 * t2453 - 0.3e1 / 0.2e1 * t4779 * t519 * t22055 * t128358 + 0.6e1 * t4748 * t69597 * t15643 - 0.4e1 * t11086 * t124998 + 0.2e1 * t52729 * t16313 - 0.3e1 / 0.2e1 * t4779 * t7610 * t819 * t127542 - 0.2e1 / 0.3e1 * t7216 * t4760 * t635 * t127488 - t128564;
  t128588 = -0.23e2 / 0.36e2 * t11008 * t25739 * t128514 + 0.15e2 / 0.2e1 * t70204 * t122951 + 0.11e2 / 0.18e2 * t11008 * t26140 * t127543 + t7216 * t43310 * t17999 / 0.3e1 + t7216 * t4770 * t127789 / 0.3e1 + t123364 + 0.4e1 * t121850 - t515 * t84096 / 0.6e1 - t30 * t2147 * t2933 / 0.4e1 - t15811 + t15812 - t2089 - t41476 * t18126;
  t128590 = t4738 * t8854 * t97191;
  t128596 = t4738 * t1847 * t3375 * t127675;
  t128597 = t128596 / 0.2e1;
  t128604 = t7216 * t83658;
  t128605 = 0.2e1 / 0.3e1 * t128604;
  t128610 = t7216 * t121212;
  t128611 = t128610 / 0.3e1;
  t128617 = t128590 + t4738 * t1847 * t3375 * t127488 + t128597 + 0.3e1 / 0.2e1 * t41145 * t70305 + 0.2e1 * t11086 * t125478 + 0.4e1 / 0.3e1 * t7216 * t125487 + t128605 - 0.11e2 / 0.3e1 * t69907 * t15674 - 0.2e1 / 0.3e1 * t7216 * t126143 - t128611 - 0.11e2 / 0.9e1 * t11008 * t126123 - 0.2e1 / 0.3e1 * t7746 * t125512 - t13878 * t123140 + t18158;
  t128623 = my_piecewise3(t2, 0, t128442 + t127727 + t128617 + t128588 + t128565 + t128532 + t128502 + t128490 + t128470 + t128408 + t128379 + t128370 + t128039 + t128009 + t127922 + t127899 + t127873 + t127865 + t127832 + t127796 + t127760 + t127702 + t127663 + t127634 + t127617 + t127564 + t127529 + t127503 + t127478 + t127451 + t127714 + t127588);
  tv4sigma2tau20 = t3 * t128623;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 0] += tv4sigma2tau20;

  tv4sigma2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 1] += tv4sigma2tau21;

  tv4sigma2tau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 2] += tv4sigma2tau22;

  tv4sigma2tau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 3] += tv4sigma2tau23;

  tv4sigma2tau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 4] += tv4sigma2tau24;

  tv4sigma2tau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 5] += tv4sigma2tau25;

  tv4sigma2tau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 6] += tv4sigma2tau26;

  tv4sigma2tau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 7] += tv4sigma2tau27;

  tv4sigma2tau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 8] += tv4sigma2tau28;

  tv4sigma2tau29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 9] += tv4sigma2tau29;

  tv4sigma2tau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 10] += tv4sigma2tau210;

  tv4sigma2tau211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 11] += tv4sigma2tau211;

  tv4sigma2tau212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 12] += tv4sigma2tau212;

  tv4sigma2tau213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 13] += tv4sigma2tau213;

  tv4sigma2tau214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 14] += tv4sigma2tau214;

  tv4sigma2tau215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 15] += tv4sigma2tau215;

  tv4sigma2tau216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 16] += tv4sigma2tau216;

  t128624 = t2030 * t16466;
  t128625 = t128624 / 0.2e1;
  t128634 = t2178 * t14976;
  t128635 = t128634 / 0.12e2;
  t128645 = t128625 - t2189 * t73154 / 0.6e1 + 0.6e1 * t8201 * t16448 - 0.2e1 * t1454 * t18463 - t373 * t14967 * t118995 - t128635 - t118837 - t123766 + t123767 - 0.2e1 / 0.3e1 * t8052 * t126376 + 0.3e1 * t5535 * t14639 * t82265 - t110 * t16527 * t584 / 0.2e1 - 0.2e1 / 0.3e1 * t121910;
  t128650 = t987 * t73718 * t2197;
  t128655 = t2030 * t16579;
  t128659 = t4395 * t14554 * t118919;
  t128660 = 0.3e1 / 0.2e1 * t128659;
  t128663 = t8201 * t16589;
  t128669 = t14974 * t2215;
  t128673 = 0.2e1 * t121922 - 0.2e1 * t121926 + 0.4e1 / 0.3e1 * t121931 + t442 * t128650 / 0.12e2 - t373 * t14987 * t15441 + t128655 + 0.3e1 * t30060 * t18429 + t128660 - 0.2e1 * t57852 * t2503 - t128663 + 0.2e1 * t11512 * t2512 + t8360 * t127396 + t2189 * t73536 / 0.3e1 - t1030 * t128669 * t1035 / 0.2e1;
  t128676 = t1030 * t14554 * t118924;
  t128677 = 0.3e1 * t128676;
  t128684 = t2178 * t18436;
  t128685 = t128684 / 0.6e1;
  t128686 = t2178 * t18441;
  t128687 = t128686 / 0.6e1;
  t128696 = -t128677 - 0.62e2 / 0.3e1 * t44986 * t73505 + 0.2e1 * t121935 - 0.2e1 * t121938 - t442 * t100653 / 0.6e1 + t128685 + t128687 + t555 * t987 * t44936 * t2955 / 0.12e2 + t123820 - t123821 + t118928 + t2184 * t14621 / 0.6e1 - t14626 * t2253 / 0.2e1;
  t128697 = t14535 * t119460;
  t128698 = t128697 / 0.2e1;
  t128702 = t14542 * t15984;
  t128707 = t2954 * t15318;
  t128712 = t2954 * t2181;
  t128713 = t168 * t128712;
  t128718 = -t128698 - t2947 * t119520 + 0.2e1 * t14542 * t15998 + t128702 + 0.22e2 / 0.3e1 * t73433 * t15968 - 0.4e1 * t14542 * t15845 + t123828 + t123829 - t123830 + t118940 - t123831 + t8055 * t45031 * t168 * t128707 / 0.2e1 + t11372 * t4137 * t128713 / 0.2e1 + t73279 * t16109;
  t128722 = t5559 * t9568 * t100136;
  t128723 = t18302 * t439;
  t128729 = t5559 * t2060 * t4408 * t100969;
  t128730 = t128729 / 0.2e1;
  t128735 = t5540 * t9568 * t18235;
  t128739 = t4145 * t14639 * t16014;
  t128746 = t373 * t14983 * t16019;
  t128747 = 0.3e1 / 0.2e1 * t128746;
  t128749 = t128722 + t5559 * t2060 * t4408 * t128723 + t128730 + 0.3e1 / 0.2e1 * t44815 * t73089 - t44886 * t18236 - t128735 + 0.2e1 * t28961 * t18230 + t128739 + t45074 * t18232 - 0.2e1 * t45078 * t18228 - 0.6e1 * t5674 * t18217 + t128747 + t1454 * t18311;
  t128756 = t373 * t9439 * t18304;
  t128757 = t128756 / 0.2e1;
  t128766 = t14752 * t16014;
  t128767 = 0.4e1 * t128766;
  t128783 = t14737 * t16014;
  t128784 = 0.4e1 * t128783;
  t128787 = -0.12e2 * t14737 * t82377 + t15337 - 0.12e2 * t74045 * t16066 - 0.4e1 * t561 * t15441 - 0.4e1 * t77189 * t14728 - t128767 + t124026 + 0.2e1 * t561 * t15410 + 0.8e1 * t14734 * t82274 - 0.4e1 * t14737 * t82265 - t15349 - 0.2e1 * t14740 * t15410 + 0.12e2 * t74080 * t15948 + 0.12e2 * t16438 - 0.24e2 * t74052 * t15943 + 0.32e2 / 0.3e1 * t74080 * t15963 + t128784 - 0.8e1 * t16412 - 0.2e1 * t16399;
  t128788 = t14734 * t16019;
  t128789 = 0.4e1 * t128788;
  t128792 = t14737 * t15468;
  t128793 = 0.4e1 / 0.3e1 * t128792;
  t128800 = t77199 * t14728;
  t128801 = 0.2e1 / 0.3e1 * t128800;
  t128810 = t14747 * t16019;
  t128811 = 0.4e1 * t128810;
  t128812 = -t128789 - 0.8e1 * t74052 * t16035 + t128793 + 0.16e2 / 0.9e1 * t74080 * t15958 + 0.12e2 * t74075 * t16066 + 0.4e1 * t14740 * t15441 - t124039 + t124040 + t119261 + t128801 + 0.2e2 / 0.9e1 * t77192 * t74039 - 0.12e2 * t74020 * t15948 + 0.4e1 / 0.3e1 * t77192 * t74024 + 0.24e2 * t74017 * t15943 + t128811 - t119265 + t124041 - t124042 + t124043;
  t128813 = t128787 + t128812;
  t128837 = t373 * t14987 * t15410 / 0.2e1 + t9710 * t3006 / 0.2e1 - t128757 - t373 * t1940 * t985 * t348 * t128813 / 0.4e1 + 0.3e1 * t1454 * t18308 - t9710 * t3015 / 0.4e1 - 0.3e1 * t14535 * t46384 - t110 * t2238 * t3036 / 0.4e1 - t2189 * t72981 / 0.12e2 - 0.6e1 * t72825 * t16055 + 0.11e2 * t5540 * t14806 * t16046 - 0.12e2 * t121991 + 0.6e1 * t121998 + t123849;
  t128841 = t14626 * t2249;
  t128842 = t128841 / 0.4e1;
  t128857 = t14542 * t16032;
  t128858 = 0.2e1 * t128857;
  t128863 = 0.2e1 * t122002 - t122012 / 0.3e1 + t128842 + t86057 * t570 / 0.2e1 - 0.5e1 / 0.18e2 * t8090 * t127383 + 0.2e1 / 0.3e1 * t2947 * t119515 + t2947 * t118896 / 0.3e1 + t555 * t121897 / 0.6e1 - t1965 * t127387 / 0.3e1 + 0.6e1 * t73433 * t15975 - t128858 - 0.23e2 / 0.3e1 * t73433 * t15972 + t2947 * t44503 / 0.3e1;
  t128867 = t18183 * t2196;
  t128868 = t168 * t128867;
  t128872 = t8058 * t122485;
  t128873 = t128872 / 0.6e1;
  t128876 = t45849 * t18198;
  t128877 = t128876 / 0.6e1;
  t128885 = -0.2e1 * t122035 + 0.5e1 / 0.2e1 * t72838 * t124213 + 0.2e1 / 0.3e1 * t8052 * t9270 * t128868 - t128873 - 0.5e1 / 0.18e2 * t11381 * t127091 + t128877 + 0.22e2 / 0.3e1 * t72971 * t16116 - 0.2e1 * t8058 * t126419 - 0.18e2 * t4395 * t72879 * t15958 + t18174 - t18175 + t18176 - t15838 + t15839;
  t128913 = t2178 * t14643;
  t128914 = t128913 / 0.6e1;
  t128920 = -t11381 * t126296 - 0.3e1 / 0.2e1 * t5540 * t8227 * t24823 * t128712 + t11381 * t29911 * t128713 / 0.2e1 + t8058 * t126237 / 0.2e1 + 0.3e1 * t5559 * t8227 * t24848 * t128712 - 0.3e1 / 0.2e1 * t10506 * t8227 * t24794 * t128712 + 0.8e1 * t73272 * t124817 + 0.3e1 * t40761 * t16560 - 0.6e1 * t8201 * t16563 - t128914 - t442 * t101218 / 0.3e1 - 0.2e1 * t122065 + t1454 * t18469 / 0.2e1;
  t128923 = t373 * t14974 * t2208 * t376;
  t128924 = t128923 / 0.4e1;
  t128927 = t14542 * t15988;
  t128928 = t128927 / 0.2e1;
  t128952 = t128924 + 0.3e1 * t2030 * t16553 + t128928 - 0.6e1 * t25375 * t72961 * t124331 - t14626 * t2258 / 0.4e1 + t555 * t987 * t6006 * t18439 / 0.6e1 - 0.11e2 * t5559 * t14806 * t9254 - 0.3e1 * t5540 * t14826 * t16099 + t8058 * t126415 + 0.2e1 / 0.3e1 * t122071 - 0.2e1 / 0.3e1 * t122074 - 0.2e1 * t122081 + t2947 * t119465 / 0.6e1 - 0.5e1 / 0.18e2 * t14535 * t124769;
  t128954 = t14535 * t124054;
  t128955 = 0.5e1 / 0.36e2 * t128954;
  t128969 = t1021 * t128712;
  t128978 = t5540 * t2060 * t4549 * t100969;
  t128979 = t128978 / 0.2e1;
  t128982 = t45849 * t18239;
  t128983 = t128982 / 0.3e1;
  t128987 = -t128955 - 0.35e2 / 0.108e3 * t73272 * t124057 - t14776 * t16001 + t2947 * t119463 / 0.3e1 - 0.18e2 * t1030 * t74589 * t16035 + t8058 * t126268 / 0.2e1 - 0.5e1 / 0.12e2 * t8058 * t29911 * t128868 - 0.23e2 / 0.36e2 * t11381 * t29498 * t128969 - t5540 * t2060 * t4549 * t128723 - t128979 - 0.7e1 / 0.3e1 * t44815 * t73352 + t128983 + t8058 * t46095 * t18184 / 0.3e1;
  t128988 = t168 * t128723;
  t128992 = t168 * t100969;
  t128994 = t8058 * t5587 * t128992;
  t128995 = t128994 / 0.6e1;
  t128999 = t18302 * t2196;
  t129024 = t4145 * t14701 * t16019;
  t129027 = t5540 * t2209 * t18212;
  t129028 = t8058 * t5587 * t128988 / 0.3e1 + t128995 - t8052 * t4137 * t128988 / 0.3e1 - t8055 * t9270 * t168 * t128999 / 0.3e1 - t8052 * t28964 * t18184 / 0.3e1 - t8055 * t77581 * t18189 / 0.3e1 - 0.3e1 * t56164 * t16438 + t8058 * t127248 + t8058 * t44807 * t18184 / 0.6e1 + t8058 * t5549 * t128988 / 0.6e1 - 0.3e1 / 0.2e1 * t5540 * t559 * t24858 * t128707 - t129024 + t44886 * t18213 + t129027;
  t129034 = t2954 * t15356;
  t129043 = t5540 * t9556 * t18208;
  t129049 = t5540 * t2056 * t1182 * t100969;
  t129050 = t129049 / 0.2e1;
  t129051 = t14535 * t46545;
  t129052 = 0.3e1 / 0.2e1 * t129051;
  t129061 = t5540 * t559 * t4543 * t128999 + t5540 * t559 * t4543 * t129034 / 0.2e1 - 0.2e1 * t28961 * t18206 + t44886 * t18209 + t129043 + t5540 * t2056 * t1182 * t128723 + t129050 - t129052 - 0.43e2 / 0.9e1 * t73272 * t124757 - 0.2e1 / 0.3e1 * t1965 * t127072 - 0.2e1 / 0.3e1 * t122244 + t119016 + 0.15e2 * t5559 * t14795 * t124893;
  t129064 = t8058 * t122498;
  t129065 = t129064 / 0.3e1;
  t129071 = t45849 * t18243;
  t129072 = 0.2e1 / 0.3e1 * t129071;
  t129080 = t8058 * t100971;
  t129081 = t129080 / 0.3e1;
  t129089 = -0.2e1 / 0.3e1 * t8058 * t127036 - t129065 - 0.11e2 / 0.9e1 * t11381 * t127031 + 0.11e2 / 0.18e2 * t11381 * t29517 * t128713 - t129072 - 0.2e1 / 0.3e1 * t8058 * t44807 * t18242 - 0.2e1 / 0.3e1 * t8058 * t5549 * t1021 * t128723 - t129081 + 0.2e1 * t4145 * t14701 * t82274 + 0.23e2 / 0.9e1 * t122251 - 0.22e2 / 0.9e1 * t122253 - 0.8e1 * t122255 + 0.4e1 * t122259 + t124071;
  t129114 = -t124072 + 0.2e1 * t56164 * t16412 - 0.115e3 / 0.36e2 * t72838 * t124129 + t124080 - t119085 + 0.3e1 * t4145 * t73811 * t15948 - 0.6e1 * t5535 * t73811 * t15963 + 0.14e2 / 0.3e1 * t11381 * t126300 - 0.3e1 * t11381 * t127167 + 0.3e1 * t30030 * t73811 * t15958 + 0.2e1 * t122266 - 0.3e1 * t1030 * t14967 * t118977 + 0.2e1 / 0.3e1 * t1958 * t127399;
  t129115 = t1958 * t122428;
  t129116 = t129115 / 0.3e1;
  t129118 = t8058 * t5549 * t128992;
  t129119 = t129118 / 0.12e2;
  t129136 = t46012 * t18185;
  t129137 = t129136 / 0.3e1;
  t129138 = t46009 * t18190;
  t129139 = t129138 / 0.3e1;
  t129140 = t129116 - t119112 - t124136 - t119120 + t119132 + t129119 + 0.5e1 / 0.36e2 * t11381 * t29498 * t128713 - 0.3e1 * t5559 * t8223 * t4408 * t128712 + 0.3e1 * t5540 * t8223 * t4549 * t128712 + 0.2e1 * t11369 * t5549 * t128969 - t11369 * t5587 * t128713 - t129137 - t129139 - t2180;
  t129158 = t373 * t14550 * t16014;
  t129159 = 0.3e1 * t129158;
  t129168 = t119139 + t124142 - t9710 * t3010 / 0.2e1 + t2942 * t9705 / 0.6e1 - t2947 * t44553 / 0.6e1 - t2947 * t44486 / 0.12e2 - 0.6e1 * t2030 * t16548 - 0.6e1 * t1454 * t18412 - t129159 - 0.28e2 * t45092 * t72948 + 0.3e1 * t1454 * t18416 - t442 * t100156 / 0.6e1 + t100161 * t457 / 0.2e1;
  t129181 = t1965 * t85327;
  t129182 = 0.2e1 / 0.3e1 * t129181;
  t129191 = t4137 * t380 * t3035 * t2196;
  t129197 = -t2189 * t72899 / 0.12e2 + t9710 * t3018 / 0.2e1 + t14626 * t2261 / 0.2e1 - 0.8e1 / 0.3e1 * t122305 + 0.4e1 / 0.3e1 * t122311 + t373 * t128669 * t1094 / 0.2e1 - t8490 * t126474 - t119158 + t119159 + t129182 + 0.23e2 / 0.18e2 * t8090 * t127009 - 0.3e1 / 0.2e1 * t5540 * t8220 * t1182 * t128712 + t5575 * t129191 / 0.12e2 - t4145 * t100566 * t2257 / 0.4e1;
  t129199 = t39994 * t16403;
  t129205 = t373 * t14554 * t119486;
  t129206 = 0.3e1 / 0.2e1 * t129205;
  t129211 = t14535 * t46527;
  t129212 = 0.7e1 / 0.3e1 * t129211;
  t129215 = t5575 * t129199 / 0.6e1 - t39948 * t16409 / 0.2e1 + t124159 + t18216 + t129206 + 0.47e2 / 0.3e1 * t44986 * t74843 + 0.14e2 / 0.3e1 * t14535 * t45117 + t129212 + 0.89e2 / 0.9e1 * t73272 * t124787 - t124188 + t124192 + t124193 + t124194;
  t129230 = -t124195 - t124196 + t124197 - t122339 + t2942 * t15447 / 0.3e1 + 0.2e1 * t72940 * t16043 - 0.6e1 * t122350 + 0.28e2 / 0.3e1 * t122352 + 0.6e1 * t122355 - 0.4e1 / 0.3e1 * t2947 * t118834 - 0.2e1 / 0.3e1 * t2947 * t119532 + 0.18e2 * t73433 * t15954 + t11512 * t2521 - t124207;
  t129245 = t14535 * t123933;
  t129246 = 0.11e2 / 0.18e2 * t129245;
  t129257 = -t15415 - t15419 + 0.3e1 * t373 * t14967 * t119002 + t2184 * t14976 / 0.6e1 - t373 * t14974 * t2211 * t1045 / 0.2e1 - t2030 * t16433 - 0.11e2 / 0.9e1 * t14535 * t123839 - t129246 - 0.61e2 / 0.27e2 * t73272 * t123936 + 0.36e2 * t1030 * t72879 * t15963 - t8090 * t126206 + 0.14e2 / 0.3e1 * t8090 * t126210 - 0.3e1 * t8090 * t126913;
  t129280 = t1454 * t18474;
  t129281 = t129280 / 0.2e1;
  t129284 = -0.6e1 * t373 * t74498 * t16066 + 0.18e2 * t373 * t74589 * t15943 + 0.5e1 / 0.3e1 * t8058 * t29911 * t1021 * t128867 + 0.12e2 * t72825 * t16057 - t18265 + t18285 - 0.5e1 / 0.6e1 * t8058 * t30214 * t128868 - 0.5e1 / 0.2e1 * t5559 * t2060 * t24823 * t128867 + 0.4e1 / 0.3e1 * t122369 + t122378 - t122385 / 0.3e1 - 0.2e1 * t122387 - t129281 - t1454 * t18305 / 0.2e1;
  t129287 = t5535 * t14639 * t15468;
  t129290 = t8058 * t86450;
  t129291 = 0.2e1 / 0.3e1 * t129290;
  t129308 = t2251 - t129287 + 0.4e1 / 0.3e1 * t8058 * t86287 + t129291 + 0.23e2 / 0.18e2 * t11381 * t127115 + t555 * t987 * t988 * t167 * t128813 / 0.12e2 - t119518 - t11372 * t127251 + t4145 * t14713 * t15441 + 0.3e1 * t56196 * t16399 + 0.15e2 / 0.2e1 * t72838 * t123921 - t122406 - t44508 * t3002 / 0.2e1;
  t129309 = t2178 * t14621;
  t129310 = t129309 / 0.12e2;
  t129323 = t8052 * t122070;
  t129324 = t129323 / 0.3e1;
  t129334 = -t129310 + t122417 + 0.2e1 * t2947 * t119009 + t2030 * t16445 + 0.3e1 * t2030 * t16454 + t8055 * t122546 / 0.6e1 - t8058 * t126181 / 0.3e1 - 0.6e1 * t4145 * t74916 * t15943 + t129324 + t11369 * t127129 + t8055 * t122541 / 0.3e1 - t28961 * t18201 - t4145 * t14713 * t15410 / 0.2e1 + 0.2e1 / 0.3e1 * t8052 * t126186;
  t129339 = t8052 * t4137 * t128992;
  t129340 = t129339 / 0.6e1;
  t129353 = t15862 * t2954;
  t129360 = t9568 * t18377;
  t129361 = 0.2e1 * t129360;
  t129362 = t18331 * t439;
  t129383 = t14779 * t2181;
  t129387 = t14826 * t15903;
  t129388 = 0.6e1 * t129387;
  t129393 = 0.6e1 * t14826 * t15906 + 0.4e1 * t8223 * t4408 * t129353 - t8227 * t24794 * t129353 / 0.18e2 + t129361 + 0.2e1 * t2060 * t4549 * t129362 + 0.4e1 * t40184 * t360 * t128867 + 0.8e1 / 0.3e1 * t122094 - 0.4e1 / 0.9e1 * t122096 + 0.24e2 * t122098 + 0.8e1 * t122100 + 0.8e1 * t122102 - 0.22e2 / 0.3e1 * t74251 * t15855 - 0.8e1 / 0.3e1 * t122104 - 0.16e2 * t122108 + 0.24e2 * t122110 - 0.6e1 * t57365 * t360 * t14779 * t15318 - 0.6e1 * t40207 * t360 * t129383 + t129388 - 0.12e2 * t73967 * t15884 + 0.2e1 * t2969 * t15380;
  t129394 = t14806 * t15888;
  t129395 = 0.2e1 * t129394;
  t129396 = t15928 * t2954;
  t129398 = t2060 * t4408 * t129396;
  t129399 = 0.2e1 / 0.3e1 * t129398;
  t129402 = t2209 * t18344;
  t129403 = 0.2e1 * t129402;
  t129424 = 0.1e2 * t40179 * t45383 * t128867 - t15857 + t15858 + t15859 + t15363 - 0.48e2 * t122133 - t124451 - t18342 + 0.4e2 / 0.3e1 * t122157 - 0.16e2 / 0.3e1 * t122168 - 0.12e2 * t122184;
  t129443 = t1190 * t129383;
  t129457 = t119330 - 0.4e1 * t2969 * t15392 - 0.4e1 / 0.3e1 * t2060 * t4408 * t129362 - 0.5e2 / 0.3e1 * t14795 * t124578 + 0.4e1 / 0.3e1 * t73979 * t15891 - 0.22e2 * t14806 * t15909 + 0.12e2 * t40187 * t1203 * t129383 - 0.6e1 * t40190 * t129443 + 0.4e1 * t11528 * t360 * t101562 * t2196 + 0.2e1 * t11528 * t360 * t14779 * t15356 + 0.1e2 / 0.3e1 * t40179 * t1190 * t128867;
  t129459 = t45463 * t18369;
  t129460 = 0.2e1 / 0.3e1 * t129459;
  t129461 = t101562 * t439;
  t129465 = t14779 * t2175;
  t129467 = t8254 * t1190 * t129465;
  t129468 = t129467 / 0.3e1;
  t129475 = t45342 * t18362;
  t129476 = 0.4e1 * t129475;
  t129481 = t8251 * t360 * t129465;
  t129482 = 0.2e1 * t129481;
  t129485 = t78155 * t18366;
  t129486 = 0.4e1 * t129485;
  t129493 = t9556 * t18385;
  t129494 = 0.2e1 * t129493;
  t129495 = t2209 * t18389;
  t129496 = 0.2e1 * t129495;
  t129497 = t9568 * t18347;
  t129498 = 0.4e1 / 0.3e1 * t129497;
  t129515 = 0.15e2 * t14795 * t124413 - 0.1e2 / 0.3e1 * t8227 * t24848 * t129353 - t129494 - t129496 - t129498 - 0.2e1 * t2056 * t1182 * t129362 - 0.2e1 * t559 * t4543 * t18331 * t2196 + 0.12e2 * t2973 * t119359 - 0.24e2 * t74000 * t15881 + 0.3e1 * t8227 * t24823 * t129353 - 0.72e2 * t73979 * t15918;
  t129556 = -0.5e1 / 0.18e2 * t14795 * t124676 + t15921 - t15922 - t15385 - t15923 + 0.8e1 * t122198 - 0.36e2 * t73967 * t15875 + 0.36e2 * t73979 * t15872 - 0.12e2 * t73976 * t124637 - 0.6e1 * t2973 * t119219 - 0.4e1 / 0.3e1 * t2973 * t119169;
  t129558 = t14826 * t15934;
  t129559 = 0.3e1 * t129558;
  t129565 = t14795 * t124458;
  t129566 = 0.1e2 / 0.3e1 * t129565;
  t129575 = t14806 * t15931;
  t129576 = 0.4e1 * t129575;
  t129580 = t14795 * t124455;
  t129581 = t129580 / 0.18e2;
  t129582 = t14795 * t124452;
  t129583 = 0.3e1 * t129582;
  t129588 = t45463 * t18359;
  t129589 = 0.4e1 * t129588;
  t129594 = t8254 * t1203 * t129465;
  t129595 = 0.2e1 * t129594;
  t129599 = -0.2e1 / 0.3e1 * t73979 * t15866 + t129581 - t129583 + 0.5e2 / 0.3e1 * t73976 * t124534 + t119338 + t124604 - 0.12e2 * t74260 * t15849 - t129589 - 0.4e1 * t8254 * t1203 * t129461 - t129595 + 0.2e1 / 0.3e1 * t40190 * t4624 * t129383;
  t129608 = t14806 * t15929;
  t129609 = 0.6e1 * t129608;
  t129612 = t2209 * t18332;
  t129614 = t2056 * t1182 * t129396;
  t129621 = t14795 * t119394;
  t129622 = t129621 / 0.9e1;
  t129626 = t2060 * t4549 * t129396;
  t129627 = t14806 * t15900;
  t129628 = 0.12e2 * t129627;
  t129631 = t14795 * t124567;
  t129632 = 0.2e1 / 0.3e1 * t129631;
  t129635 = t14795 * t119421;
  t129636 = 0.6e1 * t129635;
  t129637 = 0.2e1 / 0.3e1 * t2973 * t119410 - t129622 - t73976 * t124669 / 0.9e1 + t129626 - t129628 + 0.8e1 * t73979 * t15915 - t129632 - 0.4e1 / 0.3e1 * t73976 * t124407 + t129636 - t18402 - t18403;
  t129644 = -t119415 + t124650 + t124651 + t124652 + t119433 - t119436 + t119445 + 0.2e1 / 0.9e1 * t122225 - t2229 - 0.16e2 * t122230 + t2210;
  t129658 = -t129340 + 0.2e1 / 0.3e1 * t122429 - t72906 * t2245 / 0.2e1 - t2189 * t72911 / 0.6e1 + t2189 * t72915 / 0.3e1 - t555 * t86052 / 0.6e1 - t122452 / 0.3e1 - t110 * t139 * (-t124646 - t124648 + t124649 - t124643 + t124644 - t124645 - t124642 - t124605 + t124501 - t124502 + t124498 + t124499 - t124500 + t124496 + 0.24e2 * t122222 - 0.12e2 * t122216 - 0.4e1 * t122186 - t119323 - t119320 - t119306 - t559 * t1182 * t143 * t128813 + 0.3e1 * t559 * t24858 * t2986 * t15318 + t559 * t1182 * t140 * t128813 / 0.2e1 - t559 * t4543 * t2986 * t15356 + t129644 + t129637 - t129614 + t129612 + t129609 + t129599 - t129576 + t129566 - t129559 + t129556 + t129515 + t129486 + t129482 + t129476 + t129468 + t129457 + t129460 + t129424 - t129403 - t129399 + t129395 + t129393 + t18330 - t18375 + t18376 + t18404 + t18372 - 0.4e2 * t73979 * t15869 + 0.5e1 / 0.9e1 * t74270 * t124431 + 0.24e2 * t73967 * t15863 - t2969 * t15358 - 0.2e1 * t40187 * t129443 + 0.24e2 * t73976 * t124611 + 0.72e2 * t73967 * t15912 + 0.44e2 / 0.3e1 * t14806 * t15897 - 0.2e1 * t2973 * t119362 + 0.8e1 / 0.3e1 * t73976 * t124467 + 0.44e2 * t74251 * t15852 + 0.1e2 / 0.3e1 * t74270 * t124446 - 0.3e2 * t74270 * t15855 - 0.4e1 * t2973 * t119404 + 0.4e1 * t2973 * t119324 + 0.12e2 * t74000 * t15924 + 0.2e1 * t2973 * t119202 + 0.1e2 / 0.3e1 * t73976 * t124539 + 0.2e1 * t2969 * t15320 - 0.5e1 / 0.3e1 * t40179 * t45378 * t128867 - 0.8e1 * t40184 * t45387 * t128867 + 0.2e1 / 0.3e1 * t8254 * t1190 * t129461 + t40190 * t4633 * t129383 / 0.9e1 - 0.5e1 * t40179 * t1203 * t128867 + 0.4e1 * t8251 * t360 * t129461 + 0.3e1 * t8220 * t1182 * t129353 - 0.6e1 * t8223 * t4549 * t129353) * t168 / 0.4e1 + t124772 - 0.12e2 * t122458 + 0.2e1 * t122464 - 0.3e1 * t4145 * t14639 * t82377 + t124779;
  t129663 = t2030 * t16586;
  t129674 = t1965 * t122243;
  t129675 = t129674 / 0.3e1;
  t129678 = -t124780 - t124781 + t555 * t122567 / 0.3e1 - t555 * t86181 / 0.6e1 - t129663 - t11512 * t2509 - t2030 * t16469 / 0.2e1 - t122486 / 0.3e1 + 0.4e1 / 0.3e1 * t122497 - 0.2e1 / 0.3e1 * t122499 + 0.5e1 / 0.2e1 * t5540 * t2060 * t24962 * t128867 + t18462 - t129675 - 0.11e2 / 0.9e1 * t8090 * t126351;
  t129693 = t1030 * t14550 * t15468;
  t129694 = 0.3e1 * t129693;
  t129703 = 0.4e1 / 0.3e1 * t1965 * t85758 - t122503 / 0.3e1 + 0.2e1 / 0.3e1 * t122510 + 0.2e1 * t5674 * t18323 + t1030 * t14967 * t118990 - 0.2e1 * t11512 * t2506 + 0.6e1 * t5674 * t18320 + t129694 - t2189 * t72892 / 0.3e1 + 0.2e1 / 0.3e1 * t2189 * t72887 - t8201 * t16392 + t2030 * t16545 - 0.38e2 / 0.9e1 * t73272 * t123904;
  t129715 = t14776 * t16004;
  t129716 = t129715 / 0.2e1;
  t129723 = -0.2e1 * t73272 * t123773 - t555 * t122393 / 0.3e1 - t2189 * t73532 / 0.6e1 + t16050 + t15453 - t16051 - t15470 - t18476 - 0.5e1 / 0.9e1 * t122518 - 0.2e1 * t5540 * t2056 * t4543 * t128867 - t129716 - 0.3e1 * t72825 * t16007 - t2942 * t15483 / 0.3e1 - t2942 * t15488 / 0.6e1;
  t129744 = t1965 * t122384;
  t129745 = t129744 / 0.6e1;
  t129753 = t14542 * t15841 - 0.18e2 * t373 * t72879 * t15948 + 0.6e1 * t373 * t72961 * t124350 + 0.18e2 * t4395 * t72961 * t124880 - 0.18e2 * t1030 * t72961 * t124885 + 0.2e1 * t8360 * t126335 - 0.4e1 * t8360 * t1400 * t126209 - t129745 - 0.2e1 * t122555 - t2947 * t118967 / 0.2e1 + 0.5e1 / 0.3e1 * t73433 * t15991 + t2184 * t14643 / 0.3e1 - t18477;
  t129777 = 0.2e1 * t11369 * t126931 - t8055 * t9270 * t168 * t129034 / 0.6e1 + t124853 - t124854 - 0.11e2 / 0.6e1 * t72971 * t16106 + 0.25e2 / 0.36e2 * t72838 * t124210 - 0.11e2 / 0.3e1 * t72971 * t16112 - 0.15e2 / 0.2e1 * t10506 * t14795 * t123911 - t11369 * t5549 * t128713 / 0.2e1 + 0.55e2 / 0.18e2 * t72838 * t124126 - t8055 * t122479 / 0.3e1 - t124863 - t119564 + t122564 / 0.3e1;
  t129784 = -t124868 - t124869 + t16070 - t16071 + 0.6e1 * t122575 + 0.4e1 * t122578 + 0.12e2 * t122584 + 0.2e1 / 0.3e1 * t122589 - 0.2e1 * t122599 + t16580 - t18480 - t16587 - t16590;
  t129805 = t14535 * t123942;
  t129806 = 0.23e2 / 0.36e2 * t129805;
  t129811 = -0.2e1 * t8058 * t85285 - 0.4e1 * t122602 + 0.6e1 * t5535 * t74916 * t16035 - 0.4e1 * t11369 * t126933 + 0.3e1 * t4145 * t73192 * t16066 - 0.35e2 / 0.3e1 * t72838 * t45857 - 0.15e2 / 0.2e1 * t5540 * t14795 * t124103 - 0.2e1 / 0.3e1 * t8052 * t127094 + 0.23e2 / 0.18e2 * t14535 * t123939 + t129806 + 0.44e2 / 0.27e2 * t73272 * t123945 - t14535 * t124162 + t15548 + t122604 / 0.3e1;
  t129817 = my_piecewise3(t100, 0, t129811 + t129784 + t129777 + t129753 + t129723 + t129703 + t129678 + t129658 + t129334 + t129308 + t129284 + t129257 + t129230 + t129215 + t129197 + t129168 + t129140 + t129114 + t129089 + t129061 + t129028 + t128987 + t128952 + t128920 + t128885 + t128863 + t128837 + t128749 + t128673 + t128645 + t128696 + t128718);
  tv4sigma2tau217 = t3 * t129817;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 17] += tv4sigma2tau217;

  t129818 = t122618 / 0.2e1;
  t129819 = t18582 * t2105;
  t129820 = t22055 * t129819;
  t129824 = t2541 * t16704;
  t129825 = t3430 * t129824;
  t129828 = t21220 * t16609;
  t129835 = 0.9e1 / 0.2e1 * t122680;
  t129836 = 0.3e1 * t122691;
  t129843 = -t129818 + t122625 + t119591 - t119595 + t119597 - 0.3e1 / 0.2e1 * t4779 * t470 * t129820 + t4779 * t470 * t129825 - 0.9e1 / 0.2e1 * t9873 * t11891 * t129828 + t122656 - t122664 + t119605 + 0.3e1 * t119610 + t2529 * t10155 / 0.2e1 + t119630 + t129835 - t129836 - 0.3e1 / 0.4e1 * t1532 * t16746 - 0.3e1 / 0.2e1 * t11953 * t16759 - t2529 * t15621 / 0.2e1;
  t129847 = t3171 * t633 * t16704;
  t129855 = t18511 * t414;
  t129856 = t3409 * t129855;
  t129860 = 0.9e1 / 0.2e1 * t122731;
  t129863 = 0.3e1 / 0.2e1 * t122740;
  t129871 = 0.3e1 / 0.2e1 * t5073 * t18706 + 0.3e1 / 0.2e1 * t644 * t12096 * t129847 + 0.9e1 / 0.2e1 * t1532 * t16785 + 0.3e1 / 0.2e1 * t1532 * t16788 - t119635 - t4779 * t1591 * t129856 / 0.2e1 - t122716 + t129860 - 0.5e1 / 0.36e2 * t18544 * t25826 + t129863 + t122749 + t119672 / 0.2e1 - 0.2e1 * t119688 + t119696 - t18544 * t25936 / 0.2e1 + 0.7e1 / 0.3e1 * t18544 * t25939 + t122763 + t122771 / 0.2e1 - t122776;
  t129879 = 0.6e1 * t122827;
  t129880 = t31513 * t16619;
  t129883 = t78612 * t16615;
  t129890 = t26835 * t2267;
  t129895 = t26105 * t2281;
  t129898 = t26069 * t16660;
  t129901 = t26831 * t2267;
  t129906 = t21191 * t16666;
  t129910 = t21191 * t16671;
  t129920 = t18511 * t2105;
  t129921 = t3430 * t129920;
  t129925 = -0.2e1 / 0.3e1 * t122784 - 0.62e2 / 0.3e1 * t26067 * t102846 - 0.18e2 * t3680 * t102884 * t16667 - t129879 - t6491 * t129880 / 0.2e1 - t6488 * t129883 / 0.2e1 + t1293 * t18689 / 0.2e1 - t2534 * t46736 / 0.4e1 - 0.38e2 / 0.9e1 * t102293 * t129890 - 0.7e1 * t18544 * t118506 + 0.89e2 / 0.9e1 * t102293 * t129895 - 0.43e2 / 0.9e1 * t102293 * t129898 - 0.2e1 * t102293 * t129901 - 0.9e1 * t6295 * t16673 - 0.18e2 * t644 * t102594 * t129906 + 0.6e1 * t246 * t102594 * t129910 + 0.9e1 / 0.2e1 * t32471 * t16668 - 0.9e1 / 0.2e1 * t11975 * t4844 * t6293 * t2266 + t4779 * t470 * t129921 / 0.2e1;
  t129928 = 0.5e1 / 0.12e2 * t122849;
  t129931 = t26069 * t2267;
  t129943 = t4844 * t16680;
  t129951 = t4831 * t16680;
  t129954 = t58694 * t2266;
  t129955 = t1220 * t129954;
  t129958 = t4838 * t16680;
  t129965 = -t4753 * t103601 / 0.3e1 + t119709 - t129928 + 0.5e1 / 0.12e2 * t18544 * t118461 - 0.35e2 / 0.108e3 * t102293 * t129931 - 0.18e2 * t644 * t102911 * t2318 - 0.6e1 * t11960 * t16657 - 0.2e1 * t2534 * t120009 + 0.5e1 / 0.3e1 * t102303 * t16714 - 0.5e1 / 0.12e2 * t11975 * t129943 - 0.6e1 * t644 * t102726 * t15054 + 0.3e1 / 0.2e1 * t11960 * t16681 - t118203 + t118208 - 0.3e1 / 0.2e1 * t11975 * t129951 - t1541 * t129955 / 0.2e1 - 0.11e2 / 0.6e1 * t11975 * t129958 - 0.3e1 / 0.2e1 * t58917 * t2319 + 0.3e1 / 0.2e1 * t12216 * t2332;
  t129970 = t26105 * t2267;
  t129987 = t47270 * t16619;
  t130000 = t1532 * t16741;
  t130002 = t18582 * t414;
  t130003 = t22070 * t130002;
  t130006 = t22051 * t130002;
  t130009 = 0.11e2 / 0.6e1 * t18544 * t118495 - 0.61e2 / 0.27e2 * t102293 * t129970 + 0.12e2 * t103098 * t2282 + 0.4e1 * t18553 * t15040 - 0.6e1 * t103098 * t2276 - 0.2e1 * t18553 * t15036 + 0.22e2 / 0.3e1 * t102303 * t16768 + 0.9e1 * t6295 * t16749 + 0.3e1 * t6295 * t16752 + t6069 * t129987 / 0.4e1 + 0.2e1 * t102462 * t2268 - 0.3e1 / 0.2e1 * t12216 * t2324 - 0.3e1 / 0.4e1 * t12216 * t2327 + t1218 * t103641 - t18553 * t15058 - 0.3e1 / 0.4e1 * t10160 * t2593 - 0.3e1 / 0.4e1 * t130000 - t4738 * t1591 * t130003 + t4779 * t1591 * t130006;
  t130010 = t95 * t130002;
  t130011 = t27475 * t130010;
  t130036 = 0.7e1 * t122973;
  t130037 = 0.23e2 / 0.12e2 * t122982;
  t130038 = t8642 * t130010;
  t130041 = 0.9e1 * t123008;
  t130042 = -t6069 * t130011 / 0.3e1 + 0.3e1 / 0.2e1 * t1293 * t18671 - 0.3e1 * t1293 * t18682 + 0.23e2 / 0.36e2 * t18544 * t25951 + 0.3e1 / 0.2e1 * t25931 * t18676 - 0.3e1 * t5073 * t18679 + t18553 * t5064 - 0.2e1 * t18553 * t5068 - 0.11e2 / 0.18e2 * t18544 * t25948 - t18650 * t1288 / 0.2e1 - 0.3e1 / 0.2e1 * t18544 * t25926 - 0.3e1 / 0.2e1 * t46761 * t2584 + t2534 * t46756 + t122961 + t130036 + t130037 + t123002 + t6491 * t130038 / 0.3e1 - t130041;
  t130044 = 0.3e1 / 0.2e1 * t123019;
  t130047 = t1227 * t129954;
  t130053 = t3172 * t16684;
  t130056 = t3172 * t16706;
  t130060 = t3250 * t1291 * t2542;
  t130063 = t3250 * t244 * t16705;
  t130068 = t3171 * t628 * t16704;
  t130073 = t21191 * t21192 * t414;
  t130081 = -t130044 + t2534 * t119931 / 0.2e1 - t1541 * t130047 / 0.4e1 + 0.3e1 * t11960 * t16780 + t2534 * t119820 + t2534 * t130053 / 0.2e1 + t2534 * t130056 / 0.2e1 - t2534 * t130060 - t2534 * t130063 - 0.3e1 / 0.2e1 * t1293 * t18524 - 0.3e1 / 0.2e1 * t246 * t12096 * t130068 + 0.18e2 * t3680 * t102594 * t130073 + 0.9e1 / 0.2e1 * t1532 * t16653 + 0.47e2 / 0.3e1 * t26067 * t102938 - t119799 - t119803 - t119805 + t119808 + t119811;
  t130082 = 0.3e1 * t123038;
  t130083 = t47370 * t16619;
  t130086 = t95 * t129855;
  t130087 = t4770 * t130086;
  t130092 = 0.2e1 * t123043;
  t130100 = t22051 * t16614;
  t130106 = t26069 * t2281;
  t130109 = -t119813 - t119819 + t130082 + t6069 * t130083 / 0.2e1 + t6069 * t130087 / 0.6e1 + t18553 * t5102 / 0.2e1 + t130092 + 0.3e1 / 0.2e1 * t47709 * t16611 - 0.7e1 * t25733 * t102500 + 0.8e1 * t4779 * t11883 * t16630 + 0.9e1 / 0.2e1 * t4779 * t2558 * t130100 + t16602 + t16603 - t16604 - t16605 - t16606 - t16607 - 0.23e2 / 0.12e2 * t18544 * t118498 + 0.44e2 / 0.27e2 * t102293 * t130106;
  t130127 = t21225 * t16609;
  t130131 = t22070 * t16609;
  t130135 = t26082 * t16619;
  t130142 = t123078 / 0.4e1;
  t130143 = 0.3e1 / 0.4e1 * t123080;
  t130146 = 0.18e2 * t246 * t102911 * t2331 + 0.6e1 * t246 * t102726 * t15103 - 0.28e2 * t26348 * t102829 + 0.36e2 * t644 * t102884 * t16672 + 0.9e1 * t644 * t102586 * t118178 + t2160 + 0.9e1 * t4738 * t11891 * t130127 - 0.9e1 / 0.2e1 * t4779 * t11891 * t130131 + 0.3e1 / 0.2e1 * t58578 * t130135 + 0.9e1 / 0.2e1 * t58578 * t25739 * t3671 * t16609 - t130142 + t130143 + t123089 - t119873 + 0.3e1 * t123097 + t119882 - 0.2e1 * t123100 + t119897 - t123105;
  t130148 = t4844 * t16656;
  t130161 = t3130 * t130086;
  t130165 = t8642 * t95 * t129920;
  t130168 = 0.11e2 / 0.6e1 * t123122;
  t130169 = 0.9e1 * t123128;
  t130170 = 0.3e1 * t123132;
  t130171 = 0.9e1 / 0.2e1 * t123138;
  t130176 = 0.3e1 / 0.2e1 * t123142;
  t130177 = -t119904 - 0.3e1 * t123112 + 0.23e2 / 0.12e2 * t11975 * t130148 + 0.18e2 * t102303 * t16661 + 0.9e1 / 0.2e1 * t18544 * t118475 + 0.6e1 * t102303 * t16774 + 0.3e1 / 0.2e1 * t18544 * t118294 - 0.23e2 / 0.3e1 * t102303 * t16771 - t6491 * t130161 / 0.6e1 - t6488 * t130165 / 0.6e1 + t18486 - t130168 - t130169 + t130170 + t130171 - 0.3e1 / 0.2e1 * t10160 * t2588 + 0.3e1 / 0.2e1 * t1293 * t18637 - t130176 + t119923;
  t130182 = t26082 * t635 * t16614;
  t130187 = t21191 * t21197 * t414;
  t130193 = t819 * t129855;
  t130206 = 0.16e2 / 0.3e1 * t59290 * t16638 + 0.3e1 * t58592 * t130182 + t119930 + t119941 + t119942 / 0.4e1 - t119945 - t18487 - t18488 + t15618 + t119971 - 0.6e1 * t21206 * t102594 * t130187 - t2529 * t16707 / 0.3e1 - t16647 + t16648 + t4779 * t1587 * t130193 / 0.2e1 - 0.9e1 / 0.2e1 * t3680 * t102586 * t118267 + 0.8e1 * t26067 * t102770 - 0.3e1 * t1532 * t16783 + 0.7e1 * t4830 * t102982;
  t130218 = t3375 * t129855;
  t130223 = t4760 * t130086;
  t130229 = 0.3e1 * t123264;
  t130232 = t26082 * t130010;
  t130239 = -0.9e1 * t1532 * t16649 - 0.18e2 * t246 * t102884 * t16652 - 0.9e1 / 0.2e1 * t246 * t102586 * t118301 - 0.8e1 * t4738 * t11883 * t87834 + t4738 * t1591 * t130218 / 0.2e1 + t18533 + t119980 - t119987 + t123229 + 0.2e1 * t123235 + t123242 + t6069 * t130223 / 0.12e2 + 0.3e1 / 0.2e1 * t47709 * t16624 - t4753 * t102786 - t130229 - t2534 * t46752 / 0.2e1 - t6069 * t130232 / 0.6e1 + 0.2e1 / 0.3e1 * t4753 * t102402 + 0.3e1 / 0.2e1 * t47925 * t16641;
  t130242 = 0.9e1 * t123293;
  t130258 = t26082 * t16615;
  t130261 = t25739 * t16619;
  t130264 = t26140 * t16619;
  t130269 = t27475 * t16615;
  t130274 = t130242 - t123298 - t123303 + t16723 + 0.3e1 / 0.2e1 * t10160 * t2596 + t102570 * t432 / 0.4e1 + 0.3e1 / 0.4e1 * t87571 * t481 - t417 * t102565 / 0.12e2 - t466 * t87563 / 0.4e1 + t59246 * t16627 + 0.2e1 / 0.3e1 * t59594 * t16616 - 0.4e1 / 0.3e1 * t59290 * t16620 - 0.3e1 / 0.4e1 * t58592 * t130258 + 0.5e1 / 0.12e2 * t58578 * t130261 + 0.11e2 / 0.6e1 * t58578 * t130264 - 0.8e1 / 0.3e1 * t59290 * t16634 - 0.3e1 / 0.2e1 * t58592 * t130269 - 0.3e1 / 0.2e1 * t47709 * t16631 - t18632;
  t130277 = t673 * t129954;
  t130288 = t3250 * t16684;
  t130291 = t3250 * t16706;
  t130295 = t246 * t8745 * t18688;
  t130296 = t130295 / 0.2e1;
  t130297 = t2087 * t18694;
  t130298 = t130297 / 0.6e1;
  t130300 = t3139 * t5044 * t18692;
  t130304 = t660 * t47815 * t2542;
  t130308 = t660 * t6255 * t16705;
  t130311 = t2087 * t18514;
  t130312 = t130311 / 0.12e2;
  t130314 = t660 * t5044 * t18512;
  t130331 = 0.2e1 / 0.3e1 * t118341;
  t130332 = 0.4e1 * t118353;
  t130333 = -t15081 - 0.4e1 * t102670 * t2318 - 0.4e1 / 0.3e1 * t2566 * t15054 + 0.2e2 / 0.9e1 * t102673 * t16667 + 0.4e1 / 0.3e1 * t102673 * t16672 + 0.24e2 * t102670 * t2331 - 0.12e2 * t102673 * t16652 + 0.8e1 * t2566 * t15103 + t15069 + t130331 - t130332;
  t130354 = 0.32e2 / 0.3e1 * t102661 * t16672 - 0.2e1 / 0.3e1 * t16641 + 0.12e2 * t102661 * t16652 + 0.4e1 * t16631 - 0.24e2 * t102651 * t2331 - 0.2e1 * t11845 * t16745 - 0.8e1 * t102640 * t15103 - 0.4e1 * t16611 - 0.4e1 * t16624 + 0.12e2 * t102645 * t2323 + 0.4e1 * t102648 * t2166 - 0.8e1 * t102651 * t2318;
  t130360 = t76022 * t2592;
  t130361 = 0.2e1 * t130360;
  t130362 = 0.8e1 * t122879;
  t130363 = 0.4e1 / 0.3e1 * t122889;
  t130364 = 0.8e1 * t122897;
  t130365 = 0.4e1 * t118359;
  t130366 = 0.2e1 * t118362;
  t130367 = 0.8e1 * t122909;
  t130368 = 0.8e1 / 0.3e1 * t122913;
  t130371 = -0.8e1 / 0.3e1 * t102640 * t15054 + 0.16e2 / 0.9e1 * t102661 * t16667 - t130361 - t130362 + t130363 + t130364 + t130365 + t130366 - t130367 + t130368 - 0.12e2 * t102708 * t2323;
  t130374 = t2136 * t2592;
  t130375 = 0.2e1 * t130374;
  t130378 = 0.4e1 * t118364;
  t130379 = 0.4e1 * t118372;
  t130380 = 0.2e1 * t118374;
  t130381 = 0.4e1 / 0.3e1 * t118376;
  t130382 = 0.8e1 * t122933;
  t130391 = -0.4e1 * t2569 * t2166 + t130375 + 0.2e1 * t472 * t16745 + t130378 - t130379 - t130380 + t130381 + t130382 + 0.4e1 * t11845 * t88545 - 0.4e1 / 0.3e1 * t11842 * t89180 + 0.4e1 * t11839 * t88554 - 0.4e1 * t11842 * t88025;
  t130393 = t130333 + t130354 + t130371 + t130391;
  t130396 = t660 * t661 * t94 * t130393;
  t130399 = t2087 * t18490;
  t130401 = 0.3e1 * t5073 * t18643 + t1568 * t130277 / 0.2e1 + t466 * t122842 / 0.4e1 + t18650 * t2108 / 0.2e1 - 0.3e1 * t103098 * t2271 - t2529 * t16685 / 0.3e1 + t2534 * t130288 / 0.4e1 + t2534 * t130291 / 0.4e1 + t130296 - t130298 - t466 * t130300 / 0.6e1 + t466 * t130304 / 0.4e1 + t466 * t130308 / 0.4e1 + t130312 + t466 * t130314 / 0.12e2 + t466 * t130396 / 0.12e2 + t130399 / 0.4e1 - t120041 + t120054;
  t130404 = t8642 * t95 * t129824;
  t130407 = t3430 * t130002;
  t130410 = t25739 * t16637;
  t130413 = t22070 * t16614;
  t130417 = 0.9e1 / 0.2e1 * t123369;
  t130418 = -t18633 + t118557 - t118560 - t118564 - t118566 + t118568 + t18634 - t18635 - t6488 * t130404 / 0.3e1 + t18667 - t4779 * t1587 * t130407 - t18668 - 0.23e2 / 0.12e2 * t58578 * t130410 - t120090 - t120092 - 0.9e1 / 0.2e1 * t4738 * t2558 * t130413 - t130417 + t120105 - t120108;
  t130427 = t42955 * t95 * t129819;
  t130433 = t840 * t16826;
  t130436 = t3475 * t16822;
  t130439 = t103307 * t414;
  t130440 = t840 * t130439;
  t130448 = t819 * t60 * t130393;
  t130455 = t103237 * t414;
  t130456 = t233 * t130455;
  t130460 = t233 * t103237 * t2105;
  t130464 = t233 * t11819 * t16704;
  t130467 = t827 * t130455;
  t130470 = t840 * t130455;
  t130475 = 0.6e1 * t123465;
  t130476 = 0.32e2 * t59979 * t16857 + 0.18e2 * t88229 * t130433 + 0.2e1 * t59982 * t130436 - 0.2e1 * t6427 * t130440 - 0.12e2 * t59851 * t16823 - 0.8e1 * t88219 * t16827 + t470 * t130448 / 0.2e1 + 0.12e2 * t103291 * t2302 + 0.3e1 * t18614 * t2142 - 0.4e1 * t31906 * t130456 - 0.6e1 * t47988 * t130460 + 0.4e1 * t9923 * t130464 - 0.2e1 / 0.3e1 * t31895 * t130467 + 0.4e1 * t31895 * t130470 - 0.18e2 * t59982 * t16860 - t123462 + t130475 - t15157;
  t130487 = t21220 * t2298;
  t130492 = t21225 * t2298;
  t130496 = t3375 * t16889;
  t130501 = t2118 * t18584;
  t130502 = t2118 * t18559;
  t130503 = t130502 / 0.2e1;
  t130507 = -0.36e2 * t103269 * t2306 - 0.12e2 * t18566 * t15154 + 0.9e1 * t18570 * t118764 - 0.4e2 * t103258 * t16869 - 0.1e2 * t18570 * t118784 + 0.5e2 / 0.3e1 * t103264 * t130487 + 0.36e2 * t103258 * t16881 - 0.12e2 * t103264 * t130492 - 0.4e1 * t123475 - 0.2e1 * t2558 * t130496 + 0.2e1 * t123496 - 0.12e2 * t123499 + t123505 + t123507 + t123509 - t130501 + t130503 - 0.2e1 * t2554 * t16890 + 0.8e1 * t123518;
  t130509 = 0.36e2 * t123523;
  t130510 = 0.2e1 * t123528;
  t130511 = 0.18e2 * t123531;
  t130515 = t819 * t63 * t130393;
  t130520 = -0.24e2 * t103291 * t2288 - t470 * t130515 + 0.6e1 * t120181 + t120186 + t120190 - t120193 - 0.12e2 * t120194 - t120198 + t120200 + t120222 - t120225 + 0.6e1 * t123534 - t130509 - t130510 + t130511 - t18620 + t18621 + t18622;
  t130523 = t2118 * t18595;
  t130524 = t3409 * t16840;
  t130527 = t21225 * t16819;
  t130530 = t3375 * t16840;
  t130532 = t22051 * t16852;
  t130541 = t2118 * t18589;
  t130542 = 0.2e1 * t130541;
  t130543 = t2298 * t18582;
  t130544 = t22070 * t130543;
  t130549 = 0.2e1 * t120238 + t15168 + t16834 + t16835 - 0.4e1 * t123557 + t123570 - t123578 - t123580 - t130523 - 0.6e1 * t2558 * t130524 - 0.1e2 * t11891 * t130527 + t2558 * t130530 - 0.9e1 * t2558 * t130532 + 0.72e2 * t103269 * t2295 + 0.24e2 * t18566 * t15196 + 0.2e1 * t18570 * t118638 + t130542 + 0.4e1 / 0.3e1 * t1591 * t130544 + t18570 * t118632 / 0.3e1;
  t130552 = t21210 * t2287;
  t130556 = t3430 * t2571 * t16704;
  t130565 = t3430 * t130543;
  t130569 = t22055 * t18583 * t2105;
  t130574 = t21220 * t2287;
  t130577 = t21225 * t2287;
  t130580 = t22051 * t130543;
  t130587 = t18558 * t414;
  t130588 = t3375 * t130587;
  t130591 = t22070 * t16852;
  t130594 = t21220 * t16819;
  t130597 = -t103264 * t130552 / 0.9e1 - 0.2e1 * t470 * t130556 - 0.6e1 * t18614 * t2129 + 0.4e1 * t2554 * t16841 - 0.18e2 * t18570 * t118693 + 0.2e1 * t1587 * t130565 + 0.3e1 * t470 * t130569 + 0.4e1 / 0.3e1 * t103258 * t16808 + 0.8e1 / 0.3e1 * t103264 * t130574 + 0.24e2 * t103264 * t130577 - 0.2e1 * t1591 * t130580 - 0.12e2 * t103269 * t2291 - 0.4e1 * t18566 * t15189 - 0.2e1 / 0.3e1 * t1591 * t130588 + 0.6e1 * t2558 * t130591 - t11891 * t130594 / 0.6e1 - t118715 + t118717;
  t130600 = t827 * t16826;
  t130603 = t3482 * t16822;
  t130606 = t233 * t130439;
  t130610 = t233 * t103307 * t2105;
  t130613 = t827 * t130439;
  t130618 = t22070 * t16819;
  t130623 = t21215 * t2287;
  t130626 = t118721 - t18623 - t15748 + t18624 - 0.16e2 / 0.3e1 * t59979 * t16860 - 0.3e1 * t88229 * t130600 + t59982 * t130603 / 0.3e1 + 0.2e1 * t6440 * t130606 + 0.2e1 * t9923 * t130610 + t6427 * t130613 / 0.3e1 - t18625 - 0.72e2 * t103258 * t16816 + 0.9e1 * t11891 * t130618 + 0.8e1 * t103258 * t16813 - 0.4e1 / 0.3e1 * t103264 * t130623 + t118742 - t118744 - t118750 - t123609;
  t130628 = t819 * t130587;
  t130631 = t3430 * t18558 * t2105;
  t130639 = t3409 * t16889;
  t130644 = t21215 * t2298;
  t130653 = 0.18e2 * t123633;
  t130654 = t123640 / 0.3e1;
  t130655 = 0.9e1 * t123647;
  t130656 = t120291 - t1587 * t130628 - t470 * t130631 + 0.6e1 * t11878 * t16850 + 0.4e1 * t2554 * t16853 + 0.32e2 / 0.3e1 * t11883 * t16843 - t123624 + 0.3e1 * t2558 * t130639 - t18570 * t118809 / 0.6e1 + 0.1e2 / 0.3e1 * t103264 * t130644 + 0.24e2 * t103269 * t2299 + 0.8e1 * t18566 * t15165 - 0.2e1 / 0.3e1 * t103258 * t16876 + t130653 - t130654 + t123646 - t130655 - t15178 - t16863;
  t130658 = 0.12e2 * t123676;
  t130659 = 0.1e2 * t123683;
  t130660 = 0.18e2 * t123696;
  t130661 = 0.9e1 * t123699;
  t130662 = t123702 / 0.6e1;
  t130665 = t3409 * t130587;
  t130667 = -0.16e2 * t11883 * t16820 + t1591 * t130665 + t120340 - t120343 - 0.4e1 * t120344 + t120348 - t120351 - t120353 - t120356 - t130658 + t130659 + t130660 - t130661 + t130662 + t16864 - t16865 + t16887 + t2119 - t2138;
  t130681 = t246 * t8745 * t18700;
  t130682 = t130681 / 0.4e1;
  t130684 = t658 * t221 * t130393;
  t130694 = -t120112 - t120114 - 0.3e1 / 0.4e1 * t120115 - 0.3e1 * t4779 * t11878 * t16610 - 0.2e1 * t4779 * t2554 * t16623 + t6488 * t130427 / 0.2e1 - t120120 - 0.3e1 * t120129 - t16900 + t16901 - t2089 - t30 * t59 * (t130476 + t130507 + t130520 + t130549 + t130597 + t130626 + t130656 + t130667) * t95 / 0.4e1 + t1293 * t18697 + t246 * t12183 * t16745 - t1293 * t18701 / 0.4e1 - t130682 - t246 * t1559 * t130684 / 0.4e1 - 0.6e1 * t246 * t103156 * t2323 - 0.3e1 / 0.2e1 * t246 * t103173 * t2166 - t123739;
  t130699 = my_piecewise3(t2, 0, t129843 + t129871 + t129925 + t129965 + t130009 + t130042 + t130081 + t130109 + t130146 + t130177 + t130206 + t130239 + t130274 + t130401 + t130418 + t130694);
  tv4sigmalapl30 = t3 * t130699;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 0] += tv4sigmalapl30;

  tv4sigmalapl31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 1] += tv4sigmalapl31;

  tv4sigmalapl32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 2] += tv4sigmalapl32;

  tv4sigmalapl33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 3] += tv4sigmalapl33;

  tv4sigmalapl34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 4] += tv4sigmalapl34;

  tv4sigmalapl35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 5] += tv4sigmalapl35;

  tv4sigmalapl36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 6] += tv4sigmalapl36;

  tv4sigmalapl37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 7] += tv4sigmalapl37;

  tv4sigmalapl38 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 8] += tv4sigmalapl38;

  tv4sigmalapl39 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 9] += tv4sigmalapl39;

  tv4sigmalapl310 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 10] += tv4sigmalapl310;

  t130700 = 0.9e1 / 0.2e1 * t123777;
  t130705 = t29110 * t2338;
  t130708 = 0.3e1 / 0.4e1 * t123808;
  t130709 = 0.9e1 * t123823;
  t130710 = t18738 * t439;
  t130711 = t168 * t130710;
  t130712 = t30214 * t130711;
  t130715 = t50222 * t16970;
  t130721 = t120378 + t130700 - 0.3e1 / 0.2e1 * t12596 * t2395 + 0.6e1 * t104332 * t17203 - 0.38e2 / 0.9e1 * t104296 * t130705 - t120433 - t120435 + t130708 + t120456 - t120476 + t120491 + t130709 - t6824 * t130712 / 0.3e1 + t6824 * t130715 / 0.2e1 + t123833 + t120556 - t120559 - 0.2e1 * t120562 + t18893 * t5686 / 0.2e1;
  t130737 = t24823 * t16969;
  t130741 = t123868 / 0.2e1;
  t130743 = t24376 * t24448 * t439;
  t130747 = t24376 * t17189;
  t130751 = -t2609 * t50078 / 0.4e1 - 0.3e1 / 0.2e1 * t50014 * t2659 + 0.3e1 / 0.2e1 * t10647 * t2671 + t2609 * t50055 - 0.3e1 / 0.2e1 * t18876 * t29030 - t442 * t104827 / 0.12e2 + t104832 * t457 / 0.4e1 + 0.23e2 / 0.36e2 * t18876 * t29041 - t120570 - 0.9e1 / 0.2e1 * t5540 * t12398 * t130737 - t130741 - t123874 + 0.18e2 * t4395 * t104842 * t130743 - 0.18e2 * t1030 * t104842 * t130747 - t123883 + t120596 - t16907 + t16908 + t123928;
  t130753 = 0.11e2 / 0.6e1 * t123934;
  t130754 = 0.23e2 / 0.12e2 * t123943;
  t130755 = 0.3e1 * t123954;
  t130756 = 0.6e1 * t123959;
  t130757 = 0.3e1 * t123963;
  t130762 = 0.3e1 / 0.2e1 * t123971;
  t130763 = t123980 / 0.4e1;
  t130764 = 0.5e1 / 0.12e2 * t124055;
  t130766 = t29911 * t1021 * t16964;
  t130769 = t29498 * t16993;
  t130775 = t24962 * t16964;
  t130779 = 0.9e1 / 0.2e1 * t124076;
  t130782 = -t130753 + t130754 + t130755 - t130756 + t130757 + 0.9e1 / 0.2e1 * t61262 * t29498 * t4403 * t16969 - t130762 - t130763 + t119016 - t130764 + 0.3e1 * t61272 * t130766 - 0.23e2 / 0.12e2 * t61262 * t130769 + 0.8e1 * t5540 * t12394 * t16986 + 0.9e1 / 0.2e1 * t5540 * t2633 * t130775 + t130779 - t119085 + t124092 - t124100 + 0.3e1 / 0.2e1 * t5674 * t18821;
  t130785 = t5623 * t16914;
  t130800 = t373 * t9439 * t18813;
  t130801 = t130800 / 0.4e1;
  t130802 = 0.8e1 * t124007;
  t130803 = 0.8e1 / 0.3e1 * t124011;
  t130804 = 0.8e1 * t124016;
  t130807 = 0.4e1 * t119231;
  t130818 = t15337 - t130802 + t130803 + t130804 - 0.4e1 * t12417 * t91011 + t130807 - 0.12e2 * t104159 * t17057 - 0.4e1 * t104153 * t2389 - 0.4e1 / 0.3e1 * t2641 * t15473 + 0.2e2 / 0.9e1 * t104159 * t17190 + 0.4e1 / 0.3e1 * t104159 * t17050;
  t130827 = t2227 * t2667;
  t130828 = 0.2e1 * t130827;
  t130831 = 0.8e1 * t124027;
  t130832 = 0.8e1 * t124029;
  t130833 = 0.4e1 / 0.3e1 * t124033;
  t130838 = 0.24e2 * t104153 * t2402 - 0.12e2 * t104172 * t2394 + 0.4e1 * t12414 * t90098 + 0.4e1 * t12420 * t90517 + 0.8e1 * t2641 * t15457 + 0.2e1 * t496 * t17020 - 0.4e1 * t2644 * t2257 + t130828 - t130831 + t130832 + t130833 - t15349;
  t130842 = 0.4e1 * t119245;
  t130843 = 0.4e1 * t119258;
  t130844 = 0.2e1 * t119260;
  t130845 = 0.2e1 * t119264;
  t130846 = 0.4e1 / 0.3e1 * t119266;
  t130847 = 0.4e1 * t119274;
  t130853 = -0.4e1 / 0.3e1 * t12417 * t90163 - t130842 + t130843 + t130844 - t130845 + t130846 - t130847 + 0.4e1 * t16987 - 0.8e1 * t104107 * t15457 - 0.4e1 * t16976 - 0.4e1 * t16980;
  t130865 = t77159 * t2667;
  t130866 = 0.2e1 * t130865;
  t130875 = 0.2e1 / 0.3e1 * t119286;
  t130876 = -0.24e2 * t104130 * t2402 + 0.32e2 / 0.3e1 * t104116 * t17050 - 0.2e1 / 0.3e1 * t16997 + 0.12e2 * t104116 * t17057 - 0.8e1 / 0.3e1 * t104107 * t15473 + 0.16e2 / 0.9e1 * t104116 * t17190 - t130866 - 0.2e1 * t12420 * t17020 + 0.12e2 * t104124 * t2394 + 0.4e1 * t104127 * t2257 - 0.8e1 * t104130 * t2389 + t130875;
  t130878 = t130818 + t130838 + t130853 + t130876;
  t130880 = t985 * t348 * t130878;
  t130901 = t2609 * t120653 / 0.2e1 - 0.5e1 / 0.12e2 * t12347 * t130785 - t18893 * t15479 - 0.3e1 * t1663 * t17012 - 0.18e2 * t4395 * t104396 * t17190 - 0.9e1 / 0.2e1 * t4395 * t104318 * t118900 - t1454 * t18814 / 0.4e1 - t130801 - t373 * t1703 * t130880 / 0.4e1 + t1454 * t18817 + t373 * t12534 * t17020 - 0.6e1 * t103987 * t2347 - 0.2e1 * t18893 * t15461 + 0.3e1 / 0.2e1 * t1454 * t18871 + 0.7e1 / 0.3e1 * t18876 * t29026 - 0.3e1 / 0.2e1 * t10647 * t2663 + 0.3e1 * t5674 * t18932 - t18937 * t1449 / 0.2e1 - t120624;
  t130904 = t2178 * t18833;
  t130905 = t130904 / 0.6e1;
  t130907 = t4707 * t6006 * t18831;
  t130912 = t1663 * t17016;
  t130933 = t4162 * t16932;
  t130936 = t4162 * t16954;
  t130940 = t4686 * t1452 * t2617;
  t130943 = t4686 * t371 * t16953;
  t130945 = t120632 - t119112 - t119120 + t119132 - t130905 - t490 * t130907 / 0.6e1 - 0.3e1 / 0.4e1 * t10647 * t2668 - 0.3e1 / 0.4e1 * t130912 - 0.3e1 / 0.4e1 * t1663 * t17021 - 0.6e1 * t1030 * t104373 * t15473 + 0.36e2 * t1030 * t104396 * t17050 + 0.9e1 * t1030 * t104318 * t118910 - 0.62e2 / 0.3e1 * t29109 * t104385 + 0.18e2 * t373 * t104380 * t2402 + 0.6e1 * t373 * t104373 * t15457 + t2609 * t130933 / 0.2e1 + t2609 * t130936 / 0.2e1 - t2609 * t130940 - t2609 * t130943;
  t130950 = t987 * t50855 * t2617;
  t130954 = t987 * t6773 * t16953;
  t130957 = t2178 * t18842;
  t130958 = t130957 / 0.12e2;
  t130960 = t987 * t6006 * t18840;
  t130965 = t987 * t988 * t167 * t130878;
  t130970 = t29437 * t2338;
  t130973 = t61957 * t2337;
  t130974 = t1400 * t130973;
  t130982 = -0.3e1 / 0.2e1 * t1454 * t18850 + t18811 - t2180 + t120643 - t120659 - 0.3e1 / 0.4e1 * t120660 - t119158 + t119159 + t490 * t130950 / 0.4e1 + t490 * t130954 / 0.4e1 + t130958 + t490 * t130960 / 0.12e2 + t490 * t130965 / 0.12e2 + 0.11e2 / 0.6e1 * t18876 * t118948 - 0.61e2 / 0.27e2 * t104296 * t130970 - t1651 * t130974 / 0.4e1 + 0.5e1 / 0.3e1 * t104332 * t16927 - 0.3e1 / 0.4e1 * t12596 * t2398 + t1391 * t104447;
  t130984 = t1000 * t130973;
  t130995 = t29442 * t2338;
  t131005 = t1393 * t130973;
  t131008 = t5634 * t16914;
  t131015 = t4686 * t16932;
  t131018 = t4686 * t16954;
  t131027 = 0.9e1 * t124190;
  t131028 = t1644 * t130984 / 0.2e1 + t490 * t124809 / 0.4e1 - t2604 * t16933 / 0.3e1 - t2604 * t16955 / 0.3e1 + 0.5e1 / 0.12e2 * t18876 * t119468 - 0.35e2 / 0.108e3 * t104296 * t130995 + 0.3e1 * t12643 * t17175 + t2609 * t120701 - 0.9e1 / 0.2e1 * t12347 * t5623 * t6846 * t2337 - t1651 * t131005 / 0.2e1 - 0.3e1 / 0.2e1 * t12347 * t131008 - 0.3e1 / 0.2e1 * t61715 * t2390 + 0.3e1 / 0.2e1 * t12596 * t2403 + t2609 * t131015 / 0.4e1 + t2609 * t131018 / 0.4e1 + 0.2e1 * t103994 * t2339 + t18937 * t2199 / 0.2e1 - 0.3e1 * t103987 * t2342 - t131027;
  t131029 = 0.2e1 * t124198;
  t131030 = t18764 * t439;
  t131031 = t4408 * t131030;
  t131035 = t4549 * t131030;
  t131042 = t24794 * t16969;
  t131049 = t1182 * t131030;
  t131054 = t131029 - t17010 - t17011 + t5559 * t1720 * t131031 / 0.2e1 - t5540 * t1720 * t131035 / 0.2e1 - 0.8e1 * t5559 * t12394 * t90823 - 0.9e1 / 0.2e1 * t10506 * t12398 * t131042 - t18860 - 0.2e1 * t124224 - t124231 - 0.3e1 * t124237 + t124242 + t124245 + 0.3e1 * t124253 + t5540 * t1716 * t131049 / 0.2e1 - t120690 - t120695 - t120697 + t124296 / 0.2e1;
  t131058 = t168 * t131030;
  t131059 = t5587 * t131058;
  t131062 = t9270 * t130711;
  t131065 = t18738 * t2196;
  t131067 = t45031 * t168 * t131065;
  t131070 = -t124302 + t124320 - t120705 + t120711 + t124324 + t120714 + t120719 - t18909 - t18910 + t18911 + t18912 - t18913 - t18915 + t16033 + t120747 + t2251 + t6824 * t131059 / 0.6e1 + t6830 * t131062 / 0.3e1 + t6827 * t131067 / 0.2e1;
  t131071 = t2616 * t16952;
  t131073 = t9270 * t168 * t131071;
  t131076 = t29911 * t130711;
  t131079 = t4543 * t130710;
  t131082 = t24858 * t131065;
  t131086 = t4543 * t131071;
  t131100 = t24823 * t130710;
  t131103 = t24962 * t130710;
  t131106 = t35145 * t16970;
  t131109 = -t6827 * t131073 / 0.3e1 - t6824 * t131076 / 0.6e1 - t5540 * t1716 * t131079 - 0.3e1 / 0.2e1 * t5540 * t494 * t131082 + t5540 * t494 * t131086 + 0.2e1 / 0.3e1 * t5548 * t104648 - t120763 - 0.7e1 * t28954 * t104260 - 0.8e1 / 0.3e1 * t61452 * t16990 - t124344 - 0.3e1 * t120771 + t120802 - t120804 + t124368 + 0.3e1 / 0.2e1 * t51823 * t16997 - 0.3e1 / 0.2e1 * t50177 * t16987 - t5559 * t1720 * t131100 + t5540 * t1720 * t131103 - t6830 * t131106 / 0.2e1;
  t131111 = t81814 * t16965;
  t131114 = t50186 * t16970;
  t131117 = t24848 * t16969;
  t131124 = t24376 * t24377 * t439;
  t131128 = t29555 * t2338;
  t131137 = t24376 * t17049;
  t131145 = 0.9e1 * t124727;
  t131146 = 0.9e1 / 0.2e1 * t124747;
  t131147 = 0.9e1 / 0.2e1 * t124755;
  t131148 = 0.3e1 * t124764;
  t131155 = -t6827 * t131111 / 0.2e1 + t6824 * t131114 / 0.4e1 + 0.9e1 * t5559 * t12398 * t131117 + 0.9e1 / 0.2e1 * t1663 * t17058 - 0.6e1 * t25375 * t104842 * t131124 - 0.2e1 * t104296 * t131128 - 0.18e2 * t1030 * t104380 * t2389 - 0.18e2 * t373 * t104396 * t17057 + 0.6e1 * t373 * t104842 * t131137 + 0.7e1 * t12347 * t5640 * t17179 + 0.2e1 * t124717 - t131145 - t131146 - t120810 + t120814 + t131147 - t131148 + 0.22e2 / 0.3e1 * t104332 * t17197 + 0.8e1 * t104296 * t29442 * t4393 * t2337;
  t131167 = t24823 * t16964;
  t131177 = t18764 * t2196;
  t131178 = t4543 * t131177;
  t131184 = 0.7e1 * t124784;
  t131185 = 0.9e1 / 0.2e1 * t34826 * t17191 - 0.9e1 * t6848 * t17051 + t120816 / 0.2e1 + 0.3e1 * t120820 + t120829 + t120834 + 0.3e1 / 0.2e1 * t50177 * t16976 + 0.3e1 / 0.2e1 * t50177 * t16980 - t5548 * t104677 - 0.9e1 / 0.2e1 * t5559 * t2633 * t131167 - 0.3e1 * t5540 * t12388 * t16975 - 0.2e1 * t5540 * t2629 * t16979 + t5540 * t494 * t131178 / 0.2e1 - t5548 * t104706 / 0.3e1 + t17045 + t17046 - t17047 - t17048 + t131184;
  t131188 = t30214 * t16965;
  t131191 = t29517 * t16970;
  t131206 = t29442 * t17183;
  t131213 = t5623 * t17179;
  t131218 = t29437 * t2352;
  t131228 = -t120847 - 0.3e1 / 0.2e1 * t61272 * t131188 + 0.11e2 / 0.6e1 * t61262 * t131191 + 0.16e2 / 0.3e1 * t61452 * t16994 - t120857 + 0.9e1 * t6848 * t17032 + 0.3e1 * t6848 * t17035 - 0.9e1 * t1663 * t17054 + 0.18e2 * t104332 * t17184 + 0.9e1 / 0.2e1 * t18876 * t119546 - 0.43e2 / 0.9e1 * t104296 * t131206 - 0.6e1 * t12643 * t17180 - 0.2e1 * t2609 * t120380 + 0.23e2 / 0.12e2 * t12347 * t131213 - 0.7e1 * t18876 * t119153 + 0.89e2 / 0.9e1 * t104296 * t131218 - 0.28e2 * t29464 * t104370 - 0.9e1 / 0.2e1 * t373 * t104318 * t119498 + 0.47e2 / 0.3e1 * t29109 * t104307;
  t131232 = t373 * t9439 * t18827;
  t131233 = t131232 / 0.2e1;
  t131242 = t5640 * t16914;
  t131251 = t2178 * t18837;
  t131253 = t29911 * t16970;
  t131256 = 0.3e1 / 0.2e1 * t124851;
  t131257 = 0.3e1 / 0.2e1 * t124870;
  t131258 = t1454 * t18828 / 0.2e1 + t131233 + t121101 / 0.4e1 + t124828 - t124837 - 0.2e1 / 0.3e1 * t124845 + 0.12e2 * t103987 * t2353 + 0.4e1 * t18893 * t15465 - 0.23e2 / 0.3e1 * t104332 * t17200 - 0.11e2 / 0.6e1 * t12347 * t131242 - 0.3e1 / 0.2e1 * t12659 * t16922 - t2604 * t15979 / 0.2e1 + 0.3e1 / 0.2e1 * t12643 * t16915 + t131251 / 0.4e1 + 0.3e1 / 0.2e1 * t61262 * t131253 + t131256 + t17073 - t17074 - t131257;
  t131260 = t1190 * t17112;
  t131263 = t4633 * t17105;
  t131268 = t1203 * t17112;
  t131271 = t4624 * t17105;
  t131274 = t104947 * t439;
  t131275 = t360 * t131274;
  t131279 = t360 * t104947 * t2196;
  t131283 = t360 * t12370 * t16952;
  t131286 = t1190 * t131274;
  t131297 = -t124370 - 0.3e1 * t91331 * t131260 + t62499 * t131263 / 0.3e1 + 0.32e2 * t62492 * t17106 + 0.18e2 * t91331 * t131268 + 0.2e1 * t62499 * t131271 + t120865 - 0.4e1 * t34634 * t131275 - 0.6e1 * t51021 * t131279 + 0.4e1 * t10396 * t131283 - 0.2e1 / 0.3e1 * t34459 * t131286 + t124435 + t124437 + t124439 - 0.12e2 * t62570 * t17109 - 0.8e1 * t91349 * t17113 - 0.16e2 / 0.3e1 * t62492 * t17116 - 0.18e2 * t18719 * t119372;
  t131298 = t18739 * t439;
  t131299 = t4543 * t131298;
  t131303 = t24858 * t18739 * t2196;
  t131306 = t2209 * t18793;
  t131307 = t24823 * t131298;
  t131312 = t4408 * t17157;
  t131318 = t2209 * t18796;
  t131319 = 0.2e1 * t131318;
  t131320 = t4549 * t17157;
  t131323 = t24848 * t17085;
  t131326 = t18765 * t439;
  t131327 = t1182 * t131326;
  t131330 = t4543 * t18765 * t2196;
  t131332 = t4549 * t131326;
  t131336 = t24958 * t2358;
  t131339 = t24962 * t17148;
  t131344 = 0.2e1 * t1716 * t131299 + 0.3e1 * t494 * t131303 - t131306 + 0.4e1 / 0.3e1 * t1720 * t131307 + 0.4e1 * t2629 * t17158 + t2633 * t131312 - 0.24e2 * t105137 * t2359 - 0.6e1 * t18743 * t2220 + t131319 - 0.6e1 * t2633 * t131320 - 0.1e2 * t12398 * t131323 - t1716 * t131327 - t494 * t131330 + t1720 * t131332 - 0.16e2 * t12394 * t17094 - 0.4e1 / 0.3e1 * t105080 * t131336 - t120871 - 0.9e1 * t2633 * t131339 + 0.72e2 * t105089 * t2366;
  t131350 = t1203 * t131274;
  t131353 = t4408 * t131326;
  t131358 = t24794 * t17085;
  t131366 = t4543 * t2646 * t16952;
  t131369 = t24823 * t17148;
  t131372 = 0.9e1 * t124453;
  t131373 = t124456 / 0.6e1;
  t131374 = 0.1e2 * t124459;
  t131375 = 0.12e2 * t124463;
  t131376 = 0.24e2 * t18726 * t15398 + 0.2e1 * t18719 * t119381 + 0.4e1 * t34459 * t131350 - t15307 + t17077 + t15361 + t17078 - 0.2e1 / 0.3e1 * t1720 * t131353 + 0.6e1 * t12388 * t17145 - t12398 * t131358 / 0.6e1 - 0.12e2 * t105089 * t2362 - 0.4e1 * t18726 * t15389 - 0.2e1 * t494 * t131366 + 0.6e1 * t2633 * t131369 - t131372 + t131373 + t131374 - t131375;
  t131377 = 0.18e2 * t124465;
  t131379 = 0.36e2 * t124482;
  t131389 = t24930 * t2358;
  t131393 = t104952 * t439;
  t131394 = t1203 * t131393;
  t131399 = t24823 * t17085;
  t131404 = t24794 * t2358;
  t131407 = t131377 + t124474 + 0.6e1 * t124481 - t131379 - 0.4e1 * t124490 + 0.4e1 * t2629 * t17149 + 0.32e2 / 0.3e1 * t12394 * t17086 + 0.4e1 / 0.3e1 * t104994 * t17153 + t18719 * t119397 / 0.3e1 - t105080 * t131389 / 0.9e1 + 0.6e1 * t120882 - t119320 - t119323 + t119330 - 0.2e1 * t6969 * t131394 + 0.8e1 * t104994 * t17099 + 0.9e1 * t12398 * t131399 - 0.72e2 * t104994 * t17091 + 0.8e1 / 0.3e1 * t105080 * t131404;
  t131410 = t24848 * t2358;
  t131417 = t360 * t131393;
  t131422 = t360 * t104952 * t2196;
  t131425 = t1190 * t131393;
  t131428 = 0.9e1 * t124548;
  t131430 = 0.24e2 * t105080 * t131410 - 0.18e2 * t62499 * t17116 + 0.2e1 * t124505 + 0.8e1 * t124513 + 0.2e1 * t6966 * t131417 - 0.12e2 * t124524 + 0.2e1 * t10396 * t131422 + t6969 * t131425 / 0.3e1 - t15889 + t18785 - t18786 - t124530 - t124533 - t131428 + t124553 + t120952 + t120955 + 0.2e1 * t120968;
  t131432 = 0.2e1 * t124568;
  t131434 = t1182 * t143 * t130878;
  t131436 = 0.18e2 * t124602;
  t131438 = -t494 * t131434 - t120972 + t120974 - t120979 - 0.12e2 * t120980 - t121007 + t121019 - 0.4e1 * t121024 - t121029 + t121032 - t124634 - t131432 + t131436 - t15384 + t17119 - t17120 - t17123 + t17129 - t18787;
  t131440 = t24962 * t131298;
  t131445 = t24794 * t2369;
  t131450 = t24848 * t2369;
  t131457 = t4408 * t17131;
  t131463 = t1182 * t140 * t130878;
  t131466 = 0.6e1 * t124663;
  t131467 = t124667 / 0.3e1;
  t131468 = 0.18e2 * t124672;
  t131469 = -0.2e1 * t1720 * t131440 - 0.36e2 * t105089 * t2377 + 0.5e2 / 0.3e1 * t105080 * t131445 + 0.36e2 * t104994 * t17162 - 0.12e2 * t105080 * t131450 - t121060 + t121066 - t121080 + 0.3e1 * t18743 * t2233 - 0.2e1 * t2629 * t17132 - 0.2e1 * t2633 * t131457 + 0.12e2 * t105137 * t2373 + t494 * t131463 / 0.2e1 + t119433 - t119436 + t119445 + t131466 - t131467 + t131468;
  t131471 = t2209 * t18766;
  t131472 = t131471 / 0.2e1;
  t131485 = t24958 * t2369;
  t131488 = t2209 * t18740;
  t131493 = t4549 * t17131;
  t131496 = -t18802 + t18803 + t18804 - t2229 - 0.4e1 * t124691 - t124696 + t131472 + 0.24e2 * t105089 * t2370 + 0.8e1 * t18726 * t15315 - 0.2e1 / 0.3e1 * t104994 * t17135 - t18719 * t119185 / 0.6e1 - 0.4e2 * t104994 * t17138 - 0.1e2 * t18719 * t119199 + 0.1e2 / 0.3e1 * t105080 * t131485 - t131488 - 0.12e2 * t18726 * t15328 + 0.9e1 * t18719 * t119196 + 0.3e1 * t2633 * t131493 + t2210;
  t131509 = t29911 * t16965;
  t131512 = t29498 * t16970;
  t131534 = t18918 - t18919 - t110 * t139 * (t131297 + t131344 + t131376 + t131407 + t131430 + t131438 + t131469 + t131496) * t168 / 0.4e1 - t121146 + t61936 * t16983 + 0.2e1 / 0.3e1 * t61943 * t16966 - 0.4e1 / 0.3e1 * t61452 * t16971 - 0.3e1 / 0.4e1 * t61272 * t131509 + 0.5e1 / 0.12e2 * t61262 * t131512 - t18876 * t29023 / 0.2e1 + 0.3e1 / 0.2e1 * t1454 * t18927 + 0.3e1 / 0.2e1 * t30060 * t18886 + t18893 * t5665 - 0.2e1 * t18893 * t5669 - 0.11e2 / 0.18e2 * t18876 * t29038 - t490 * t90502 / 0.4e1 + 0.3e1 / 0.4e1 * t90507 * t505 - 0.5e1 / 0.36e2 * t18876 * t29311 - t2609 * t50051 / 0.2e1;
  t131541 = t4137 * t131058;
  t131545 = t9270 * t168 * t131177;
  t131548 = t5549 * t131058;
  t131551 = 0.3e1 * t124900;
  t131553 = t4161 * t1014 * t16952;
  t131559 = t29442 * t2352;
  t131565 = t4161 * t1019 * t16952;
  t131579 = t2604 * t10656 / 0.2e1 - 0.3e1 * t5674 * t18864 - 0.3e1 * t1454 * t18868 - t6830 * t131541 / 0.6e1 - t6827 * t131545 / 0.6e1 + t17206 + t121153 + t121160 - t121169 + t6824 * t131548 / 0.12e2 - t131551 - 0.3e1 / 0.2e1 * t373 * t12527 * t131553 - 0.23e2 / 0.12e2 * t18876 * t118951 + 0.44e2 / 0.27e2 * t104296 * t131559 + 0.3e1 / 0.2e1 * t18876 * t119136 + 0.3e1 / 0.2e1 * t1030 * t12527 * t131565 + 0.9e1 / 0.2e1 * t1663 * t17024 + 0.3e1 / 0.2e1 * t1663 * t17027 - 0.6e1 * t373 * t104771 * t2394 - 0.3e1 / 0.2e1 * t373 * t104775 * t2257;
  t131584 = my_piecewise3(t100, 0, t130721 + t130751 + t130782 + t130901 + t130945 + t130982 + t131028 + t131054 + t131070 + t131109 + t131155 + t131185 + t131228 + t131258 + t131534 + t131579);
  tv4sigmalapl311 = t3 * t131584;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 11] += tv4sigmalapl311;

  t131585 = t124917 / 0.3e1;
  t131586 = 0.6e1 * t124937;
  t131587 = 0.3e1 * t124941;
  t131591 = t122656 / 0.2e1;
  t131592 = -t122619 + t122625 + t124912 - t124913 + t124914 - t131585 + t131586 + t131587 - t1891 * t16783 + 0.3e1 / 0.2e1 * t121180 - 0.3e1 / 0.2e1 * t121184 - t124969 + t131591 - t122664 + t124973 + t124974;
  t131593 = t95 * t88019;
  t131597 = 0.6e1 * t124986;
  t131600 = t47958 * t17405;
  t131613 = -0.4e1 / 0.3e1 * t11086 * t4760 * t131593 + t124979 - t131597 + t121203 + t122681 - t122691 + t6488 * t125185 / 0.6e1 + t6491 * t131600 / 0.3e1 + 0.2e1 / 0.3e1 * t4753 * t106951 - t32403 * t17412 / 0.2e1 - t32403 * t17409 - t124993 + t125008 / 0.2e1 - t1293 * t19122 / 0.2e1 + 0.2e1 / 0.3e1 * t1748 * t87189 - t122717 + t122732;
  t131646 = -t121213 / 0.6e1 + t121219 / 0.6e1 + t121222 / 0.12e2 + t121228 / 0.2e1 - 0.2e1 * t11960 * t17237 - 0.2e1 / 0.3e1 * t2534 * t121451 - t3123 * t12837 * t88025 / 0.2e1 + 0.9e1 / 0.2e1 * t11008 * t25739 * t3671 * t88019 + 0.3e1 / 0.2e1 * t11008 * t26082 * t131593 - 0.7e1 * t11008 * t88021 - 0.23e2 / 0.12e2 * t11008 * t25739 * t88020 + t52729 * t16624 / 0.2e1 + t52729 * t16611 / 0.2e1 - 0.2e1 / 0.3e1 * t4753 * t105322 + t47709 * t17477 + t47709 * t17474;
  t131658 = t47276 * t17405;
  t131661 = t41482 * t18963;
  t131669 = t10037 * t17405;
  t131674 = t47709 * t17485 + 0.3e1 * t47709 * t17481 - t4753 * t105872 / 0.3e1 + t4779 * t1843 * t130193 / 0.2e1 + t4779 * t519 * t129921 / 0.2e1 - t6069 * t131658 / 0.6e1 + t131661 / 0.12e2 + t59290 * t17406 / 0.2e1 - t59594 * t16310 / 0.6e1 + t122741 + t122749 + t125035 - t125036 + t125037 + t58592 * t121726 / 0.6e1 - 0.5e1 / 0.36e2 * t58578 * t131669 + 0.2e1 / 0.3e1 * t4753 * t106971;
  t131686 = t3130 * t253 * t543 * t16704;
  t131689 = t25657 * t18962;
  t131692 = t95 * t88993;
  t131713 = t122771 / 0.4e1;
  t131714 = t122784 / 0.3e1;
  t131715 = -0.3e1 / 0.2e1 * t4779 * t519 * t129820 + t4779 * t519 * t129825 - t4779 * t1843 * t130407 + t6488 * t131686 / 0.12e2 + t6488 * t131689 / 0.12e2 - 0.3e1 * t52607 * t4765 * t131692 - 0.18e2 * t4779 * t36878 * t3375 * t88993 - t125040 + 0.9e1 * t4738 * t7599 * t21225 * t87086 - 0.18e2 * t9873 * t36878 * t3448 * t88993 - 0.9e1 / 0.2e1 * t9873 * t7599 * t21220 * t87086 - 0.3e1 * t121260 + t122763 + t131713 - t122776 - t131714;
  t131718 = t125072 / 0.6e1;
  t131736 = t253 * t18961 * t414;
  t131737 = t3130 * t131736;
  t131742 = t8642 * t253 * t18961 * t2105;
  t131745 = t4760 * t131736;
  t131757 = t121265 / 0.3e1 - t121278 / 0.12e2 - t131718 + t4738 * t1847 * t130218 / 0.2e1 - t4779 * t1847 * t129856 / 0.2e1 + t47925 * t17280 - t47709 * t17518 + t3123 * t13186 * t88554 / 0.2e1 + t3123 * t13190 * t88545 / 0.2e1 - t4753 * t106778 / 0.3e1 - t6491 * t131737 / 0.6e1 - t6488 * t131742 / 0.6e1 + t6069 * t131745 / 0.12e2 - t122828 + 0.44e2 / 0.27e2 * t52204 * t47512 * t88994 - 0.23e2 / 0.12e2 * t11008 * t25739 * t87087 - 0.61e2 / 0.27e2 * t52204 * t47588 * t131692;
  t131759 = t95 * t87086;
  t131784 = t5044 * t19132;
  t131788 = t47815 * t2676;
  t131805 = 0.11e2 / 0.6e1 * t11008 * t26140 * t131759 - 0.23e2 / 0.3e1 * t52610 * t10037 * t88994 + 0.4e1 * t11086 * t87601 + 0.12e2 * t52607 * t4765 * t88994 - 0.2e1 * t11086 * t4770 * t131759 + 0.22e2 / 0.3e1 * t52610 * t10058 * t131692 - 0.6e1 * t52607 * t4754 * t131692 + 0.36e2 * t4738 * t36878 * t3402 * t88993 - 0.5e1 / 0.36e2 * t7187 * t4844 * t131784 - t1748 * t1227 * t131788 / 0.6e1 - t1748 * t1220 * t131788 / 0.3e1 + t515 * t130314 / 0.12e2 + t515 * t130396 / 0.12e2 + t515 * t130308 / 0.6e1 + t515 * t130304 / 0.6e1 - t1748 * t129955 / 0.6e1;
  t131819 = t95 * t87776;
  t131834 = t2534 * t54386 / 0.3e1 - t121287 / 0.2e1 - 0.2e1 * t121289 - t121295 / 0.4e1 - t121304 / 0.2e1 + 0.2e1 * t47925 * t17492 + 0.3e1 / 0.2e1 * t11008 * t26082 * t131759 - t7216 * t88755 - t7216 * t87778 + t7216 * t4770 * t131819 / 0.2e1 + t7216 * t43310 * t18951 / 0.2e1 + 0.3e1 * t88851 * t17441 - 0.6e1 * t47925 * t17445 - t121312 / 0.6e1 - t121316 / 0.2e1 + t121318 / 0.4e1 + t121338 / 0.6e1;
  t131863 = t125137 / 0.3e1;
  t131864 = 0.2e1 / 0.3e1 * t125144;
  t131865 = -t121343 / 0.6e1 - t13060 * t2327 / 0.2e1 - t13060 * t2324 - t12216 * t2447 / 0.2e1 - t12216 * t2450 / 0.4e1 + t1218 * t106027 / 0.3e1 - t7307 * t673 * t131784 / 0.2e1 - t515 * t130300 / 0.6e1 + 0.3e1 * t5073 * t19177 + 0.3e1 / 0.2e1 * t1293 * t19173 + t7250 * t1227 * t131784 / 0.2e1 + t1787 * t673 * t131788 / 0.3e1 + t125136 - t122850 - t131863 + t131864;
  t131866 = t125167 / 0.6e1;
  t131876 = t130000 / 0.2e1;
  t131884 = t4760 * t17405;
  t131905 = -t131866 - t118203 + t118208 + t2529 * t10894 / 0.6e1 - 0.3e1 * t121350 + 0.5e1 / 0.12e2 * t11008 * t25739 * t131759 + 0.5e1 / 0.3e1 * t52610 * t10037 * t131692 - t131876 + 0.3e1 / 0.2e1 * t3123 * t105435 * t16652 + 0.6e1 * t4779 * t36901 * t21225 * t88993 - t58578 * t131884 / 0.2e1 + 0.3e1 / 0.2e1 * t26806 * t105435 * t16667 - 0.3e1 * t4748 * t105435 * t16672 - 0.18e2 * t4738 * t36922 * t648 * t88993 + 0.18e2 * t4779 * t36922 * t653 * t88993 - t7216 * t130011 / 0.3e1 + t7216 * t130087 / 0.6e1;
  t131911 = t53072 * t16619;
  t131931 = t125219 / 0.3e1;
  t131939 = t4844 * t17212;
  t131942 = -t11008 * t47270 * t17421 - t52729 * t16631 / 0.2e1 + t6069 * t131911 / 0.6e1 + 0.2e1 * t53066 * t4796 * t131692 + t11143 * t3130 * t131759 / 0.2e1 + 0.3e1 * t47709 * t17522 + 0.3e1 * t4748 * t106069 * t2318 - 0.3e1 * t3123 * t106069 * t2331 + t59290 * t17525 - t4738 * t1847 * t130003 + t131931 + 0.7e1 / 0.3e1 * t121357 - t1748 * t130047 / 0.12e2 + t515 * t122842 / 0.12e2 + t1787 * t130277 / 0.6e1 - 0.5e1 / 0.36e2 * t11975 * t131939;
  t131951 = t125229 / 0.6e1;
  t131952 = t4770 * t131736;
  t131962 = t125254 / 0.3e1;
  t131963 = t125262 / 0.3e1;
  t131964 = -0.3e1 / 0.2e1 * t4779 * t7610 * t819 * t87086 - 0.6e1 * t4779 * t36931 * t229 * t88993 - t131951 + t6069 * t131952 / 0.6e1 + t4748 * t12837 * t89180 / 0.2e1 + 0.3e1 / 0.2e1 * t121360 + t122961 + t122974 + t122983 - t121364 / 0.2e1 - t121367 / 0.4e1 - t121371 / 0.2e1 + t123003 - t121398 + t131962 - t123009 + t131963;
  t131978 = t660 * t7198 * t16705;
  t131982 = t660 * t52585 * t2542;
  t131985 = t2087 * t19112;
  t131993 = 0.6e1 * t4779 * t7595 * t3409 * t87086 + 0.6e1 * t47925 * t17489 - 0.9e1 / 0.2e1 * t4779 * t7599 * t22070 * t88019 - t123020 + t466 * t131978 / 0.12e2 + t466 * t131982 / 0.12e2 - t125291 + t131985 / 0.12e2 + t11960 * t17218 / 0.2e1 - t2529 * t16276 / 0.6e1 - t11953 * t17213 / 0.2e1 - t119802 - t125299 + t119807 + t125300 - t125301;
  t132002 = t125308 / 0.2e1;
  t132005 = t63170 * t2266;
  t132006 = t1227 * t132005;
  t132011 = t673 * t132005;
  t132017 = -t119818 + t7216 * t130083 / 0.3e1 + t123038 - 0.3e1 / 0.2e1 * t4779 * t1847 * t3409 * t87776 - 0.3e1 / 0.2e1 * t41476 * t18945 + t132002 + t2534 * t121800 / 0.6e1 - t1541 * t132006 / 0.6e1 + t466 * t125082 / 0.6e1 + t1568 * t132011 / 0.3e1 + 0.2e1 / 0.3e1 * t1218 * t106919 - t121428 / 0.2e1 + t123044 + t16189 - t16192 - t16195 + t16224;
  t132033 = -t16226 + t7216 * t4760 * t131819 / 0.4e1 + t16602 + t16603 - t16604 - t16605 - t16606 - t16607 + t2160 - t121431 / 0.12e2 + t121438 / 0.2e1 - t121444 / 0.2e1 + t10160 * t2742 - t46761 * t2729 + 0.7e1 / 0.3e1 * t25733 * t106174 - 0.2e1 / 0.3e1 * t58592 * t121457 + t58592 * t121729 / 0.3e1;
  t132057 = 0.3e1 / 0.2e1 * t123097;
  t132058 = t7746 * t130038 / 0.3e1 + t7581 * t130427 / 0.2e1 + 0.3e1 / 0.2e1 * t4738 * t1847 * t3375 * t87776 + 0.3e1 / 0.2e1 * t42187 * t18948 - t7746 * t3130 * t131819 / 0.3e1 - t123079 + t123081 + t7250 * t1220 * t131784 - 0.3e1 * t5073 * t19160 + 0.3e1 / 0.2e1 * t25931 * t19155 - 0.3e1 / 0.2e1 * t7187 * t87166 + 0.7e1 / 0.3e1 * t7187 * t87329 - t125352 + t125368 + t123089 - t125370 + t132057;
  t132064 = 0.3e1 / 0.2e1 * t123112;
  t132071 = 0.3e1 * t121454 + t16280 - t16284 - t16288 + t16299 + t119881 - t123100 + t125372 - t123105 - t125378 - t132064 - 0.3e1 / 0.2e1 * t125383 + t121460 / 0.2e1 + 0.3e1 / 0.2e1 * t121466 + t121468 / 0.12e2 - t58917 * t2444 / 0.2e1;
  t132076 = t1220 * t132005;
  t132093 = t12216 * t2453 / 0.2e1 - t63754 * t2319 + t13060 * t2332 - t1541 * t132076 / 0.3e1 - t1293 * t19102 / 0.4e1 - t466 * t92315 / 0.6e1 + t10160 * t2751 / 0.2e1 - t2534 * t54253 / 0.12e2 + t16608 + t7216 * t129987 / 0.6e1 - t7746 * t129880 / 0.3e1 - t7581 * t129883 / 0.3e1 - t123123 - t123129 + t123132 + t123139 + t125399;
  t132097 = 0.4e1 * t125412;
  t132098 = 0.6e1 * t125422;
  t132099 = 0.2e1 * t125429;
  t132100 = 0.3e1 * t125437;
  t132101 = t125441 / 0.3e1;
  t132106 = t125454 / 0.2e1;
  t132108 = -t2534 * t54382 / 0.6e1 - t132097 - t132098 + t132099 + t132100 - t132101 - t7187 * t4831 * t131784 / 0.2e1 + t121492 / 0.3e1 + t132106 - t121495 / 0.6e1 - t123143 + t119922 + t119929 + t125457 + t119943 - t125458;
  t132137 = -t15611 - t16644 + t16645 + t3123 * t105465 * t2166 / 0.2e1 + 0.23e2 / 0.18e2 * t11008 * t86981 * t17450 - 0.4e1 / 0.3e1 * t7216 * t87825 - 0.4e1 * t11086 * t47276 * t17450 + 0.14e2 / 0.3e1 * t25733 * t105475 - 0.6e1 * t47709 * t17277 - 0.2e1 * t47709 * t17416 - 0.3e1 * t25733 * t106989 - 0.5e1 / 0.18e2 * t11008 * t86981 * t17421 + t4748 * t106179 * t15054 - 0.3e1 / 0.2e1 * t25733 * t106005 - 0.3e1 * t1293 * t19052 - t125481 + t125485;
  t132140 = 0.2e1 / 0.3e1 * t125490;
  t132141 = t4838 * t17212;
  t132165 = t125520 / 0.6e1;
  t132166 = t132140 - 0.11e2 / 0.18e2 * t11975 * t132141 + t11960 * t17233 - t121670 / 0.12e2 + t2534 * t121497 / 0.3e1 - t121716 / 0.2e1 + t125500 - t16647 + t16648 - 0.8e1 * t4738 * t7595 * t3375 * t88019 + 0.8e1 * t4779 * t7595 * t3409 * t88019 - 0.9e1 / 0.2e1 * t9873 * t7599 * t21220 * t88019 + 0.9e1 * t4738 * t7599 * t21225 * t88019 + t18533 - t132165 + t125530;
  t132189 = -t125533 + t125539 - t125540 + t123229 + t123235 + t123242 - t2534 * t53771 / 0.12e2 - t466 * t92327 / 0.6e1 + t92332 * t481 / 0.2e1 + t87571 * t530 / 0.4e1 - t417 * t106555 / 0.12e2 + t106560 * t432 / 0.4e1 + t2529 * t10969 / 0.6e1 - t10974 * t2588 / 0.2e1 + t10974 * t2596 / 0.2e1 - t52160 * t2584 / 0.2e1 + t2534 * t52155 / 0.3e1;
  t132201 = t10058 * t17405;
  t132204 = t10037 * t17284;
  t132209 = t47364 * t17405;
  t132212 = 0.23e2 / 0.18e2 * t125570;
  t132218 = t1891 * t16741;
  t132220 = -t2534 * t52165 / 0.6e1 - 0.3e1 * t1891 * t16649 + t1293 * t19127 / 0.2e1 - t123264 + t53885 * t16641 / 0.2e1 + t4779 * t1847 * t130006 - 0.11e2 / 0.18e2 * t58578 * t132201 + 0.23e2 / 0.36e2 * t58578 * t132204 - t48518 * t17288 + t32403 * t17272 - t6069 * t132209 / 0.3e1 + t132212 + t121740 / 0.6e1 - 0.5e1 / 0.36e2 * t121742 + t121744 / 0.2e1 - t1891 * t16746 / 0.4e1 - t132218 / 0.4e1;
  t132245 = t125594 / 0.6e1;
  t132246 = 0.2e1 / 0.3e1 * t125600;
  t132247 = t125611 / 0.3e1;
  t132254 = -t10974 * t2593 / 0.4e1 + 0.3e1 / 0.2e1 * t1293 * t19064 + t1891 * t16788 / 0.2e1 + 0.3e1 / 0.2e1 * t1891 * t16785 - t1532 * t17263 / 0.2e1 - t10160 * t2737 / 0.2e1 - t10160 * t2734 - t246 * t1769 * t130684 / 0.4e1 - 0.11e2 / 0.18e2 * t7187 * t4838 * t131784 + 0.23e2 / 0.36e2 * t7187 * t4844 * t87328 - 0.2e1 * t7250 * t88596 - t132245 + t132246 - t125606 - t132247 - 0.38e2 / 0.9e1 * t52204 * t25739 * t131692 - 0.2e1 * t52204 * t26140 * t131692;
  t132271 = t3671 * t88993;
  t132283 = t12030 * t2105;
  t132284 = t95 * t132283;
  t132304 = 0.4e1 * t125636;
  t132305 = 0.2e1 / 0.9e1 * t125647;
  t132306 = t106213 * t2105;
  t132310 = t106213 * t414;
  t132314 = t88053 * t463;
  t132318 = 0.6e1 * t121505 + 0.2e1 * t121507 - 0.12e2 * t121509 - 0.4e1 * t121511 + 0.2e1 / 0.3e1 * t121519 - t121521 / 0.9e1 + t132304 - t132305 + 0.2e1 * t36958 * t3475 * t132306 - 0.4e1 / 0.3e1 * t53443 * t22013 * t132310 - 0.6e1 * t7584 * t840 * t132314;
  t132322 = t827 * t132310;
  t132325 = t827 * t132306;
  t132328 = t3475 * t132310;
  t132331 = 0.4e1 * t125665;
  t132332 = 0.24e2 * t125670;
  t132340 = -0.1e2 * t36958 * t3475 * t88019 - 0.72e2 * t53458 * t132322 - 0.18e2 * t36958 * t132325 + 0.8e1 * t53458 * t132328 + t16122 - t16125 + t16129 + t132331 - t132332 + 0.2e1 * t10828 * t130610 + t7584 * t130613 / 0.3e1 + 0.6e1 * t37040 * t827 * t132283;
  t132348 = t827 * t88019;
  t132355 = t3482 * t132310;
  t132376 = -t36958 * t3482 * t88019 / 0.6e1 + 0.4e1 * t36952 * t233 * t132283 + 0.32e2 / 0.3e1 * t36961 * t132348 - 0.12e2 * t53420 * t132322 - 0.4e1 * t36961 * t132325 + 0.4e1 / 0.3e1 * t53458 * t132355 + t36958 * t3482 * t132306 / 0.3e1 - t53443 * t48301 * t132310 / 0.9e1 - 0.16e2 * t36961 * t840 * t88019 - 0.9e1 * t37040 * t840 * t132283 + 0.6e1 * t36949 * t233 * t88019 + 0.72e2 * t53420 * t840 * t132310;
  t132380 = 0.12e2 * t125679;
  t132381 = t18978 * t2105;
  t132394 = t41881 * t88019;
  t132409 = 0.24e2 * t36961 * t840 * t132306 + t132380 + 0.9e1 * t7599 * t22070 * t132381 + 0.18e2 * t37040 * t41885 * t132283 + 0.2e1 * t36958 * t48231 * t88019 + 0.32e2 * t36961 * t41885 * t88019 - 0.16e2 / 0.3e1 * t36961 * t132394 - 0.3e1 * t37040 * t41881 * t132283 + t36958 * t48306 * t88019 / 0.3e1 - 0.12e2 * t36949 * t41877 * t88019 - 0.8e1 * t36952 * t41877 * t132283 - t123462;
  t132415 = t2298 * t2526;
  t132421 = 0.2e1 * t123475;
  t132422 = 0.4e1 / 0.3e1 * t125702;
  t132423 = 0.6e1 * t123499;
  t132424 = t123466 + t519 * t130448 / 0.2e1 - t15157 - 0.2e1 / 0.3e1 * t121550 + 0.1e2 / 0.3e1 * t36901 * t21215 * t132415 + 0.2e1 * t121556 + 0.6e1 * t121561 - t132421 - t132422 + t123496 - t132423 + t123505;
  t132427 = 0.4e1 * t123518;
  t132440 = t123507 + t123509 + 0.4e1 / 0.3e1 * t1847 * t130544 - t130501 + t130503 + t132427 - 0.2e1 * t519 * t130556 - t519 * t130515 - 0.2e1 * t1847 * t130580 - 0.12e2 * t36901 * t21225 * t132415 + 0.36e2 * t36878 * t3375 * t132415 + t1847 * t130665;
  t132452 = 0.3e1 * t123534;
  t132453 = 0.2e1 * t1843 * t130565 + 0.3e1 * t519 * t130569 + t125733 - t123524 - 0.2e1 / 0.3e1 * t36878 * t3448 * t132415 - 0.36e2 * t36922 * t653 * t132415 - t123529 + t123532 + t132452 + t125742 - t16831 + t16832;
  t132454 = t16889 * t463;
  t132464 = 0.3e1 * t7610 * t819 * t132381 + 0.12e2 * t36931 * t229 * t132415 + 0.3e1 * t1847 * t3409 * t132454 + t125745 + t125746 - t125747 - t125748 - t125749 + t125750 + t125758 - t16164 + t16833;
  t132476 = 0.2e1 * t123557;
  t132477 = t16171 - t16173 - t125760 - t1843 * t130628 - t519 * t130631 + 0.5e2 / 0.3e1 * t36901 * t21220 * t132415 - 0.4e2 * t36878 * t3402 * t132415 + t125766 + t15168 + t16834 + t16835 - t132476;
  t132496 = t123570 + t7584 * t827 * t132314 - 0.4e1 * t36952 * t130456 - 0.6e1 * t53471 * t130460 + 0.4e1 * t10828 * t130464 - 0.2e1 / 0.3e1 * t37040 * t130467 - 0.24e2 * t53647 * t233 * t132310 - 0.6e1 * t36949 * t233 * t132306 + 0.2e1 * t7586 * t130606 - t123578 - t123580 - t130523;
  t132499 = 0.2e2 / 0.3e1 * t125779;
  t132500 = 0.12e2 * t125782;
  t132501 = 0.6e1 * t125791;
  t132507 = 0.2e1 * t125811;
  t132508 = 0.8e1 * t125818;
  t132509 = t125826 / 0.9e1;
  t132511 = 0.6e1 * t125832;
  t132512 = -0.12e2 * t7595 * t3409 * t132381 - 0.18e2 * t36958 * t132394 - 0.2e1 * t125773 + 0.3e1 * t125830 + t130542 + t132499 + t132500 - t132501 - t132507 - t132508 + t132509 - t132511;
  t132526 = 0.4e1 * t37040 * t130470 - 0.2e1 * t7584 * t130440 + 0.9e1 * t36958 * t132348 + 0.24e2 * t53443 * t132328 + 0.8e1 / 0.3e1 * t53443 * t132355 - t118715 + t118717 + t118721 - t16836 - t16837 + t16838 - 0.2e1 * t1847 * t3375 * t132454;
  t132533 = 0.12e2 * t125881;
  t132536 = -t18625 - 0.4e1 * t121582 - 0.4e1 / 0.3e1 * t121584 + 0.1e2 / 0.3e1 * t121588 + t118742 - t118744 - t118750 - 0.6e1 * t125877 + t132533 - 0.2e1 / 0.3e1 * t1847 * t130588 - t123609 + t125888;
  t132545 = -t123624 + t123634 - t123641 - t7599 * t21220 * t132381 / 0.6e1 + t123646 - t123648 + 0.6e1 * t121618 + 0.2e1 * t121622 - 0.3e1 * t121626 - 0.3e1 * t121637 - t121639 + t121645 / 0.18e2;
  t132556 = -0.1e2 * t7599 * t21225 * t132381 + 0.8e1 * t7595 * t3375 * t132381 + 0.24e2 * t36922 * t648 * t132415 + t125911 - t125912 - t125913 + t125914 - t125915 - t15178 - t16863 + t16864 - t16865;
  t132563 = 0.4e1 * t7586 * t233 * t132314 - 0.2e1 * t1843 * t819 * t132454 - t123677 + t123684 + t123697 - t123700 + t123703 - t125916 - t125917 + t16887 + t2119 - t2138;
  t132572 = 0.18e2 * t9873 * t36901 * t21215 * t88993 - 0.18e2 * t4738 * t36901 * t21220 * t88993 + 0.6e1 * t52610 * t4760 * t131692 + 0.47e2 / 0.3e1 * t52204 * t89138 - 0.62e2 / 0.3e1 * t52204 * t47588 * t132271 + 0.8e1 * t52204 * t47512 * t9871 * t88993 - 0.6e1 * t47583 * t36901 * t21210 * t88993 + t123294 - t123298 - t123303 + t16723 - 0.3e1 / 0.2e1 * t7216 * t27475 * t132284 + 0.11e2 / 0.6e1 * t11008 * t26140 * t131593 + 0.16e2 / 0.3e1 * t11086 * t4760 * t88020 + 0.3e1 * t7216 * t26082 * t635 * t132283 - t30 * t59 * (t132318 + t132340 + t132376 + t132409 + t132424 + t132440 + t132453 + t132464 + t132477 + t132496 + t132512 + t132526 + t132536 + t132545 + t132556 + t132563) * t95 / 0.4e1;
  t132606 = t7462 * t16752 + 0.3e1 * t7462 * t16749 - t7746 * t25657 * t18951 / 0.3e1 - 0.11e2 / 0.9e1 * t11008 * t87059 * t17421 + 0.2e1 / 0.3e1 * t7216 * t47370 * t17428 + 0.2e1 * t11086 * t47364 * t17421 + t7216 * t130223 / 0.12e2 - t7581 * t130165 / 0.6e1 - t7746 * t130161 / 0.6e1 - t16724 - t121772 / 0.12e2 + t121779 / 0.4e1 + t121785 / 0.3e1 - 0.9e1 / 0.2e1 * t4779 * t7599 * t22070 * t87086 - t16326 + t7216 * t41642 * t18951 / 0.4e1 - t7581 * t130404 / 0.3e1;
  t132618 = t53245 * t16619;
  t132621 = t83080 * t16615;
  t132624 = t36303 * t16619;
  t132631 = t130399 / 0.6e1;
  t132632 = -t7216 * t130232 / 0.6e1 - t7746 * t31513 * t17428 / 0.3e1 - t11143 * t47958 * t17421 - 0.35e2 / 0.108e3 * t52204 * t47512 * t131692 + t6069 * t132618 / 0.12e2 - t6488 * t132621 / 0.6e1 - t6491 * t132624 / 0.6e1 - t4753 * t105313 / 0.3e1 + 0.23e2 / 0.36e2 * t121790 - 0.11e2 / 0.18e2 * t121794 + t130296 - t130298 + t130312 + t132631 - t125975 + t125976;
  t132647 = t4831 * t17212;
  t132650 = t4838 * t17236;
  t132657 = -t18633 + t1293 * t19059 / 0.2e1 - t5073 * t19056 / 0.2e1 - t417 * t106091 / 0.12e2 + t12216 * t2462 / 0.4e1 + t118557 - t118560 - t118564 - t118566 + t118568 + 0.3e1 / 0.2e1 * t37303 * t16668 - 0.3e1 * t7462 * t16673 + 0.3e1 / 0.2e1 * t1891 * t16653 - t11975 * t132647 / 0.2e1 + 0.7e1 / 0.3e1 * t11975 * t132650 - 0.3e1 / 0.2e1 * t11975 * t4844 * t7460 * t2266 + t16791;
  t132660 = t4844 * t17236;
  t132666 = 0.5e1 / 0.18e2 * t126015;
  t132680 = t3123 * t83652 * t2592;
  t132687 = -t16793 + 0.23e2 / 0.36e2 * t11975 * t132660 - t30 * t16896 * t544 / 0.4e1 - t126000 - t132666 + t126023 + t126038 / 0.4e1 + t15793 - 0.8e1 / 0.3e1 * t11086 * t4770 * t131593 + t4779 * t1843 * t819 * t87776 + t41476 * t18959 - t11086 * t4760 * t131759 - t59246 * t17418 / 0.2e1 - t132680 / 0.4e1 - t3123 * t13190 * t16745 / 0.4e1 - t25662 * t18966 / 0.4e1;
  t132697 = 0.14e2 / 0.3e1 * t126085;
  t132700 = -0.2e1 * t25683 * t105795 + 0.3e1 / 0.2e1 * t3123 * t105461 * t2323 - t126060 - t121822 / 0.12e2 + t121827 / 0.2e1 - 0.2e1 / 0.3e1 * t121836 + t121838 / 0.3e1 - t15803 + t132697 + 0.3e1 / 0.2e1 * t126088 + t121844 / 0.6e1 - t120089 - t126093 - t123370 + t126096 - t120107 - t120111;
  t132735 = -t120113 - t120116 + t121850 - t126103 - t126104 + 0.89e2 / 0.9e1 * t52204 * t47588 * t88994 - 0.7e1 * t11008 * t87088 - 0.28e2 * t52610 * t88995 + t7216 * t47270 * t17428 / 0.3e1 + t11086 * t47276 * t17421 - t3123 * t106179 * t15103 - 0.3e1 / 0.4e1 * t7216 * t26082 * t132284 + 0.5e1 / 0.12e2 * t11008 * t25739 * t131593 - 0.9e1 / 0.2e1 * t4738 * t1847 * t22070 * t132283 + t11143 * t3130 * t131593 + 0.2e1 / 0.3e1 * t7746 * t8642 * t132284 - 0.3e1 * t4779 * t7610 * t819 * t88019;
  t132744 = 0.11e2 / 0.9e1 * t126110;
  t132745 = 0.3e1 * t126129;
  t132746 = 0.3e1 * t126138;
  t132761 = -0.2e1 * t4779 * t1843 * t3430 * t132283 + 0.9e1 / 0.2e1 * t4779 * t1847 * t22051 * t132283 - t16900 + t16901 - t2089 - t132744 - t130682 - t132745 + t132746 - t126149 - t515 * t87563 / 0.12e2 - 0.6e1 * t4738 * t7595 * t3375 * t87086 - 0.43e2 / 0.9e1 * t52204 * t47512 * t132271 + 0.9e1 / 0.2e1 * t11008 * t87773 + 0.18e2 * t52610 * t10037 * t132271 - t123739 + t16354;
  t132767 = my_piecewise3(t2, 0, t132606 + t132735 + t132657 + t132254 + t132632 + t132220 + t132189 + t132166 + t132572 + t132137 + t132108 + t132093 + t132071 + t132058 + t132033 + t132687 + t132761 + t132017 + t132700 + t131993 + t131964 + t131942 + t131905 + t131865 + t131834 + t131805 + t131757 + t131715 + t131674 + t131646 + t131592 + t131613);
  tv4sigmalapl2tau0 = t3 * t132767;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 0] += tv4sigmalapl2tau0;

  tv4sigmalapl2tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 1] += tv4sigmalapl2tau1;

  tv4sigmalapl2tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 2] += tv4sigmalapl2tau2;

  tv4sigmalapl2tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 3] += tv4sigmalapl2tau3;

  tv4sigmalapl2tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 4] += tv4sigmalapl2tau4;

  tv4sigmalapl2tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 5] += tv4sigmalapl2tau5;

  tv4sigmalapl2tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 6] += tv4sigmalapl2tau6;

  tv4sigmalapl2tau7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 7] += tv4sigmalapl2tau7;

  tv4sigmalapl2tau8 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 8] += tv4sigmalapl2tau8;

  tv4sigmalapl2tau9 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 9] += tv4sigmalapl2tau9;

  tv4sigmalapl2tau10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 10] += tv4sigmalapl2tau10;

  tv4sigmalapl2tau11 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 11] += tv4sigmalapl2tau11;

  tv4sigmalapl2tau12 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 12] += tv4sigmalapl2tau12;

  tv4sigmalapl2tau13 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 13] += tv4sigmalapl2tau13;

  tv4sigmalapl2tau14 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 14] += tv4sigmalapl2tau14;

  tv4sigmalapl2tau15 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 15] += tv4sigmalapl2tau15;

  tv4sigmalapl2tau16 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 16] += tv4sigmalapl2tau16;

  t132784 = t5623 * t17537;
  t132793 = t5535 * t107778 * t15473 - 0.2e1 / 0.3e1 * t61272 * t122492 - 0.2e1 * t61452 * t17694 + t61452 * t17690 - t121910 / 0.6e1 + t121922 / 0.2e1 - t121926 / 0.2e1 + t121931 / 0.3e1 + t126191 - t110 * t17171 * t584 / 0.4e1 + t123778 + t61272 * t122494 / 0.3e1 - 0.5e1 / 0.36e2 * t12347 * t132784 + t1958 * t130984 / 0.6e1 + t2609 * t121900 / 0.6e1 - 0.3e1 * t8201 * t17051;
  t132796 = t5634 * t17537;
  t132801 = t168 * t90065;
  t132805 = t56704 * t16970;
  t132815 = t39994 * t16970;
  t132818 = 0.3e1 / 0.2e1 * t2030 * t17058 - t12347 * t132796 / 0.2e1 + t121935 / 0.2e1 - t126215 - t126216 - t121938 / 0.2e1 + t123809 + t126217 - t120475 + t126220 + t123824 - 0.2e1 * t56375 * t29517 * t132801 + t6824 * t132805 / 0.6e1 - 0.6e1 * t56381 * t5591 * t132801 - t8058 * t130712 / 0.3e1 - t5559 * t2060 * t131100 - t6830 * t132815 / 0.6e1;
  t132820 = t110 * t30415;
  t132845 = 0.23e2 / 0.18e2 * t126275;
  t132846 = t168 * t90936;
  t132858 = -0.28e2 * t132820 * t107763 + 0.18e2 * t5540 * t40217 * t1093 * t90065 + 0.6e1 * t5540 * t8223 * t4549 * t89790 - 0.61e2 / 0.27e2 * t56375 * t50504 * t132801 + 0.44e2 / 0.27e2 * t56375 * t50165 * t90066 + 0.22e2 / 0.3e1 * t56079 * t10485 * t132801 - 0.23e2 / 0.3e1 * t56079 * t10458 * t90066 - t11381 * t50186 * t17639 + t123834 + t120555 + t132845 - t8052 * t4137 * t132846 / 0.3e1 - t8052 * t28964 * t19232 / 0.3e1 - 0.3e1 * t121991 + 0.5e1 / 0.3e1 * t56079 * t10458 * t132801 + 0.3e1 / 0.2e1 * t121998;
  t132859 = t168 * t89790;
  t132868 = t126314 / 0.2e1;
  t132874 = t67598 * t2337;
  t132875 = t1400 * t132874;
  t132880 = t50855 * t2756;
  t132884 = t6006 * t19311;
  t132893 = 0.5e1 / 0.12e2 * t11381 * t29498 * t132859 - t120558 - t126286 - 0.5e1 / 0.18e2 * t11381 * t90203 * t17639 + t96386 * t505 / 0.2e1 - t126305 - t126307 + t132868 + t122002 / 0.2e1 - t122012 / 0.12e2 - 0.4e1 * t11369 * t50197 * t17729 - t1651 * t132875 / 0.6e1 - t490 * t95241 / 0.6e1 - t1965 * t1400 * t132880 / 0.6e1 - 0.5e1 / 0.36e2 * t8090 * t5623 * t132884 + t1958 * t1000 * t132880 / 0.3e1 + t1454 * t19323 / 0.2e1;
  t132896 = 0.2e1 / 0.3e1 * t126322;
  t132897 = t126327 / 0.3e1;
  t132900 = t56695 * t16970;
  t132903 = t126341 / 0.6e1;
  t132919 = t126317 - t126320 + t132896 - t132897 - t123869 - t123875 - t8055 * t131111 / 0.3e1 + t6824 * t132900 / 0.12e2 - t132903 + t4145 * t13543 * t90517 / 0.2e1 + t4145 * t13537 * t90098 / 0.2e1 - t122035 / 0.2e1 - 0.2e1 * t8360 * t90990 + 0.7e1 / 0.3e1 * t8090 * t90983 + t8360 * t1393 * t132884 - t1454 * t19277 / 0.2e1;
  t132938 = t50205 * t17666;
  t132943 = t50197 * t17666;
  t132947 = -t11512 * t2668 / 0.4e1 - t10647 * t2817 / 0.2e1 - t1663 * t17588 / 0.2e1 - t10647 * t2814 - t1454 * t19292 / 0.4e1 - t123883 + 0.9e1 / 0.2e1 * t28954 * t108863 - 0.3e1 / 0.2e1 * t61262 * t10458 * t5533 * t17665 + 0.3e1 / 0.2e1 * t30030 * t107583 * t17190 + t6830 * t132938 / 0.3e1 + t6827 * t126178 / 0.6e1 - t6824 * t132943 / 0.6e1 + 0.3e1 / 0.2e1 * t126368 + t16363 - t16377 + t16381 + t126391;
  t132958 = t1393 * t132874;
  t132964 = -t16907 + t16908 + t50177 * t17649 + t50177 * t17675 - 0.38e2 / 0.9e1 * t56375 * t29498 * t132801 + t123928 + 0.2e1 * t11369 * t50229 * t17639 - t123935 + t123944 + t123954 - t123960 + t123963 - t122065 / 0.2e1 - t1651 * t132958 / 0.3e1 - t123972 + 0.2e1 / 0.3e1 * t8058 * t50222 * t17628;
  t132983 = t987 * t56037 * t2617;
  t132987 = t987 * t8079 * t16953;
  t132994 = t126441 / 0.3e1;
  t132999 = -0.11e2 / 0.9e1 * t11381 * t89653 * t17639 - t8052 * t131541 / 0.6e1 - t8055 * t131545 / 0.6e1 + t8058 * t131548 / 0.12e2 + t8058 * t131114 / 0.6e1 + t12643 * t17575 / 0.2e1 + t555 * t130950 / 0.6e1 + t555 * t130954 / 0.6e1 + t490 * t132983 / 0.12e2 + t490 * t132987 / 0.12e2 - t12659 * t17570 / 0.2e1 - t2604 * t16365 / 0.6e1 - t132994 + t122071 / 0.6e1 - t122074 / 0.6e1 + t126451 / 0.2e1 - t122081 / 0.2e1;
  t133004 = t10458 * t17666;
  t133007 = 0.11e2 / 0.9e1 * t126481;
  t133029 = -0.3e1 / 0.2e1 * t126454 + t126458 - t123981 - 0.5e1 / 0.36e2 * t61262 * t133004 - t133007 + 0.11e2 / 0.6e1 * t11381 * t29517 * t132859 - t122244 / 0.6e1 + t119016 - t124056 + 0.9e1 / 0.2e1 * t11381 * t89792 - 0.43e2 / 0.9e1 * t56375 * t50165 * t90403 - t56164 * t16987 / 0.2e1 - 0.3e1 * t5535 * t107583 * t17050 + 0.23e2 / 0.18e2 * t11381 * t90203 * t17729 + 0.14e2 / 0.3e1 * t28954 * t107588 - 0.2e1 * t50177 * t17679;
  t133034 = t168 * t90157;
  t133037 = t168 * t90533;
  t133065 = t380 * t19303 * t439;
  t133066 = t5549 * t133065;
  t133072 = -t373 * t1940 * t130880 / 0.4e1 + t10647 * t2822 + t11372 * t4137 * t133034 + 0.2e1 / 0.3e1 * t8052 * t9270 * t133037 + 0.11e2 / 0.6e1 * t11381 * t29517 * t133034 - 0.23e2 / 0.12e2 * t11381 * t29498 * t91006 - 0.8e1 / 0.3e1 * t11369 * t5587 * t133034 - 0.9e1 / 0.2e1 * t5559 * t2060 * t24823 * t90533 - 0.2e1 * t5540 * t2056 * t4543 * t90533 + 0.16e2 / 0.3e1 * t29017 * t108952 - 0.3e1 * t5540 * t8220 * t1182 * t90157 + t6824 * t133066 / 0.12e2 + 0.23e2 / 0.36e2 * t122251 - 0.11e2 / 0.18e2 * t122253 - 0.2e1 * t122255 + t122259 + t124077;
  t133074 = 0.3e1 * t126531;
  t133075 = t124092 / 0.2e1;
  t133076 = t10485 * t17666;
  t133103 = -t119085 + t133074 + t133075 - t124100 - 0.11e2 / 0.18e2 * t61262 * t133076 + t61272 * t122549 / 0.6e1 + 0.3e1 * t50177 * t17683 + t50177 * t17646 - t5548 * t108044 / 0.3e1 - t1965 * t131005 / 0.6e1 - 0.3e1 / 0.2e1 * t12347 * t5623 * t8199 * t2337 + 0.3e1 / 0.2e1 * t40761 * t17191 - t61715 * t2503 / 0.2e1 + t555 * t130960 / 0.12e2 + t555 * t130965 / 0.12e2 - t1965 * t1393 * t132880 / 0.3e1;
  t133108 = t2178 * t19341;
  t133125 = 0.5e1 / 0.18e2 * t126546;
  t133128 = t126563 / 0.6e1;
  t133129 = t126571 / 0.3e1;
  t133130 = 0.3e1 / 0.2e1 * t2030 * t17024 + t2030 * t17027 / 0.2e1 + t133108 / 0.12e2 + t1391 * t107756 / 0.3e1 - t8490 * t1000 * t132884 / 0.2e1 - 0.2e1 / 0.3e1 * t2609 * t121933 - t130801 + t1454 * t19246 / 0.2e1 - t126537 + t122266 / 0.2e1 + t126538 - t5540 * t2056 * t131079 - 0.3e1 / 0.2e1 * t5540 * t559 * t131082 - t133125 + t5540 * t559 * t131086 - t133128 + t133129;
  t133141 = t130912 / 0.2e1;
  t133142 = 0.3e1 * t126886;
  t133148 = t8058 * t5587 * t132846 / 0.2e1 - 0.7e1 * t11381 * t90741 + 0.89e2 / 0.9e1 * t56375 * t50504 * t90066 - t119112 - t119120 + t119132 - t130905 - t133141 + t133142 + t126889 + t18811 + 0.6e1 * t51823 * t17654 + 0.2e1 * t51823 * t17657 + t51823 * t17739 - t2180 + t126902;
  t133151 = t28964 * t19304;
  t133156 = t4137 * t380 * t583 * t16952;
  t133159 = t46009 * t19305;
  t133163 = t110 * t30351;
  t133188 = -t126903 - t120661 + 0.2e1 / 0.3e1 * t5548 * t107604 + t6827 * t133151 / 0.12e2 + t6827 * t133156 / 0.12e2 + t133159 / 0.12e2 - t61943 * t16404 / 0.6e1 - 0.62e2 / 0.3e1 * t133163 * t109113 + 0.36e2 * t5559 * t40241 * t4376 * t90065 + 0.9e1 * t5559 * t8227 * t24848 * t89790 - 0.3e1 / 0.2e1 * t5540 * t2060 * t4549 * t90936 - 0.3e1 / 0.2e1 * t44886 * t19229 + 0.3e1 * t5535 * t107774 * t2389 - 0.35e2 / 0.108e3 * t56375 * t50165 * t132801 - 0.2e1 / 0.3e1 * t122305 + t122311 / 0.3e1 - t126925;
  t133192 = t86253 * t16965;
  t133203 = t5549 * t17666;
  t133221 = t8058 * t130715 / 0.3e1 - t6827 * t133192 / 0.6e1 - t119158 + t119159 + 0.4e1 * t11369 * t90899 + 0.6e1 * t56079 * t5549 * t132801 + 0.3e1 / 0.2e1 * t11381 * t29911 * t132859 - t61262 * t133203 / 0.2e1 + t16418 - t5548 * t109026 / 0.3e1 + t56164 * t16976 / 0.2e1 - 0.2e1 / 0.3e1 * t5548 * t107654 + t130958 - t8090 * t5634 * t132884 / 0.2e1 - 0.3e1 / 0.2e1 * t8090 * t90974 - t1965 * t130974 / 0.12e2 + t555 * t124809 / 0.12e2;
  t133256 = t2604 * t11754 / 0.6e1 + t8201 * t17035 + t10647 * t2831 / 0.2e1 - t2609 * t56773 / 0.12e2 + 0.2e1 / 0.3e1 * t1965 * t90326 - 0.18e2 * t5540 * t40241 * t4408 * t90065 - 0.9e1 / 0.2e1 * t5540 * t8227 * t24823 * t89790 + 0.47e2 / 0.3e1 * t133163 * t109152 - 0.3e1 * t4145 * t107774 * t2402 - t4145 * t107778 * t15457 + 0.7e1 / 0.3e1 * t28954 * t109174 - t51828 * t17697 + t34283 * t17700 + 0.3e1 * t89636 * t17757 - 0.6e1 * t51823 * t17761 + 0.3e1 * t50177 * t17687 - t126968;
  t133280 = -t124191 - t122339 / 0.4e1 + t124199 - 0.3e1 / 0.2e1 * t122350 + 0.7e1 / 0.3e1 * t122352 + 0.3e1 / 0.2e1 * t122355 - t2609 * t56024 / 0.6e1 + t2609 * t56028 / 0.3e1 + 0.3e1 / 0.2e1 * t1454 * t19251 - 0.2e1 * t12643 * t17542 - t13724 * t2395 - t13724 * t2398 / 0.2e1 + 0.2e1 / 0.3e1 * t1391 * t108729 - t17010 - t17011 - 0.4e1 / 0.3e1 * t8058 * t89962;
  t133285 = t127023 / 0.6e1;
  t133291 = t127039 / 0.3e1;
  t133292 = 0.3e1 / 0.2e1 * t124237;
  t133293 = 0.3e1 / 0.2e1 * t124253;
  t133297 = -t18860 + 0.9e1 * t5559 * t8227 * t24848 * t90157 - t133285 - 0.6e1 * t50177 * t17765 - t124224 - 0.3e1 * t56381 * t5553 * t132801 - t133291 - t124231 - t133292 + t124242 + t124245 + t133293 - t127056 - t120694 - t120696 - t50177 * t17742 + t56196 * t16997 / 0.2e1;
  t133307 = t108316 * t2196;
  t133308 = t1190 * t133307;
  t133311 = -t124370 + t126575 + 0.2e1 / 0.3e1 * t122094 - t122096 / 0.9e1 + 0.6e1 * t122098 + 0.2e1 * t122100 + 0.2e1 * t122102 - 0.2e1 / 0.3e1 * t122104 - 0.4e1 * t122108 + 0.6e1 * t122110 - 0.18e2 * t40190 * t133308;
  t133312 = t108316 * t439;
  t133313 = t4633 * t133312;
  t133320 = t19386 * t2196;
  t133326 = t19386 * t439;
  t133346 = 0.8e1 / 0.3e1 * t57448 * t133313 - 0.2e1 * t559 * t131366 + 0.4e1 / 0.3e1 * t2060 * t131307 - t8227 * t24794 * t133320 / 0.6e1 - 0.2e1 * t2060 * t131440 - 0.12e2 * t40248 * t24848 * t133326 + t2060 * t131332 + 0.5e2 / 0.3e1 * t40248 * t24794 * t133326 - 0.4e2 * t40241 * t4376 * t133326 - 0.1e2 * t8227 * t24848 * t133320 + 0.1e2 / 0.3e1 * t40248 * t24958 * t133326 + 0.24e2 * t40217 * t1034 * t133326;
  t133356 = t17131 * t487;
  t133364 = 0.12e2 * t126606;
  t133365 = 0.4e1 * t126622;
  t133366 = 0.2e1 / 0.9e1 * t126633;
  t133367 = 0.4e1 * t126636;
  t133368 = 0.8e1 * t8223 * t4408 * t133320 - 0.2e1 / 0.3e1 * t40241 * t4396 * t133326 - 0.2e1 / 0.3e1 * t2060 * t131353 + 0.3e1 * t2060 * t4549 * t133356 + 0.2e1 * t2056 * t131299 + 0.3e1 * t559 * t131303 + t133364 + t133365 - t133366 + t133367 + t124435 + t124437;
  t133369 = t1190 * t90157;
  t133374 = t4624 * t133312;
  t133393 = t124439 + t126655 - t131306 + 0.9e1 * t40190 * t133369 + 0.4e1 * t40179 * t131350 + 0.8e1 * t57389 * t133374 + 0.2e1 * t40190 * t4624 * t133307 - 0.4e1 / 0.3e1 * t57448 * t25032 * t133312 + 0.72e2 * t57574 * t1203 * t133312 + 0.24e2 * t40187 * t1203 * t133307 + 0.24e2 * t57448 * t133374 - 0.2e1 * t8254 * t131394;
  t133410 = 0.3e1 * t8220 * t1182 * t133320 - 0.2e1 * t2056 * t1182 * t133356 + 0.12e2 * t40288 * t356 * t133326 - 0.2e1 * t2060 * t4408 * t133356 - t559 * t131434 - 0.12e2 * t122133 - t126667 + t131319 - t15307 + t15361 + t17077 + t17078;
  t133418 = 0.12e2 * t126696;
  t133419 = 0.4e1 / 0.3e1 * t126700;
  t133420 = 0.24e2 * t126708;
  t133421 = 0.6e1 * t126719;
  t133422 = -0.9e1 * t40179 * t1203 * t90533 - 0.16e2 * t40187 * t1203 * t90157 - t124454 + t124457 + t124460 - t124464 + t124466 - 0.6e1 * t126692 + t133418 - t133419 - t133420 - t133421;
  t133424 = 0.3e1 * t124481;
  t133425 = 0.2e1 * t124490;
  t133429 = t124474 + t133424 - t124483 - t133425 + t126721 + 0.1e2 / 0.3e1 * t122157 - 0.4e1 / 0.3e1 * t122168 - 0.3e1 * t122184 - t122186 - t119320 - t119323 + t119330;
  t133432 = 0.4e1 * t124513;
  t133433 = 0.6e1 * t124524;
  t133445 = t559 * t131463 / 0.2e1 + t124505 + t133432 - t133433 - t17102 + t17103 - t17104 - t2056 * t131327 - t559 * t131330 + 0.36e2 * t40241 * t4408 * t133326 + 0.9e1 * t8227 * t24823 * t133320 - 0.36e2 * t40217 * t1093 * t133326;
  t133452 = 0.2e1 * t126754;
  t133453 = t45378 * t90157;
  t133456 = -0.12e2 * t8223 * t4549 * t133320 - 0.18e2 * t40190 * t133453 - t124530 - t124533 - t124549 + t124553 + t126787 + t126788 + t126789 - t126790 - t133452 + t16481;
  t133458 = 0.2e2 / 0.3e1 * t126811;
  t133460 = t126791 - t126792 - t126793 - t126798 + t17119 - t17120 - t15384 - t17123 + 0.2e1 * t122198 + t133458 - t124569 - 0.2e1 * t126819;
  t133462 = 0.8e1 * t126822;
  t133463 = t126825 / 0.9e1;
  t133487 = -t133462 + t133463 + 0.32e2 * t40187 * t45383 * t90157 + 0.18e2 * t40179 * t45383 * t90533 + 0.2e1 * t40190 * t51103 * t90157 - 0.12e2 * t40207 * t45387 * t90157 - 0.8e1 * t40184 * t45387 * t90533 + t40190 * t51084 * t90157 / 0.3e1 - 0.16e2 / 0.3e1 * t40187 * t133453 - 0.3e1 * t40179 * t45378 * t90533 + t124603 + t17129;
  t133488 = 0.6e1 * t126838;
  t133490 = 0.12e2 * t126848;
  t133493 = -t18787 - t16484 + t16488 - t133488 + t126840 - t126841 - t126842 + t126843 - t124634 + 0.3e1 * t126846 + t133490 + t8254 * t131425 / 0.3e1;
  t133507 = t91270 * t487;
  t133514 = t1190 * t133312;
  t133517 = 0.32e2 / 0.3e1 * t40187 * t133369 + 0.6e1 * t40179 * t1190 * t90533 + 0.2e1 * t8251 * t131417 + 0.2e1 * t11528 * t131422 - t16505 - t16509 - 0.3e1 * t122216 + 0.6e1 * t122222 + t16524 - 0.6e1 * t8254 * t1203 * t133507 - 0.1e2 * t40190 * t4624 * t90157 - 0.72e2 * t57389 * t133514;
  t133547 = 0.4e1 * t8251 * t360 * t133507 - 0.24e2 * t57459 * t360 * t133312 - 0.6e1 * t40207 * t360 * t133307 - 0.4e1 * t40184 * t131275 - 0.6e1 * t57365 * t131279 + 0.4e1 * t11528 * t131283 - 0.2e1 / 0.3e1 * t40179 * t131286 + t8254 * t1190 * t133507 + 0.4e1 / 0.3e1 * t57389 * t133313 + t40190 * t4633 * t133307 / 0.3e1 - t57448 * t50995 * t133312 / 0.9e1 - 0.12e2 * t57574 * t133514;
  t133560 = -0.4e1 * t40187 * t133308 - t40190 * t4633 * t90157 / 0.6e1 + 0.6e1 * t40207 * t360 * t90157 + 0.4e1 * t40184 * t360 * t90533 - t126857 + t126858 - t126859 + t119433 - t119436 + t119445 + t124664 - t124668;
  t133562 = 0.2e1 * t124691;
  t133564 = t124673 + t122225 / 0.18e2 - t17165 + t17166 + t17167 - t2229 - t133562 - t124696 - 0.4e1 * t122230 + t131472 - t131488 + t2210;
  t133573 = t10458 * t17693;
  t133579 = t124296 / 0.4e1;
  t133580 = 0.2e1 / 0.3e1 * t127077;
  t133581 = t127079 / 0.3e1;
  t133582 = t127102 / 0.6e1;
  t133583 = t127106 / 0.3e1;
  t133584 = -t110 * t139 * (t133311 + t133346 + t133368 + t133393 + t133410 + t133422 + t133429 + t133445 + t133456 + t133460 + t133487 + t133493 + t133517 + t133547 + t133560 + t133564) * t168 / 0.4e1 + 0.23e2 / 0.36e2 * t61262 * t133573 - 0.2e1 * t11369 * t5587 * t132859 + t133579 - t124302 + t124320 - t127063 + t133580 - t133581 - t120704 + t120710 + t124324 + t127081 - t16437 - t133582 + t133583;
  t133585 = 0.2e1 / 0.3e1 * t127113;
  t133606 = -t127109 + t127111 + t133585 - 0.9e1 / 0.2e1 * t5540 * t8227 * t24823 * t90157 + t5535 * t13560 * t90163 / 0.2e1 - t4145 * t13560 * t91011 / 0.2e1 - t17037 - t17038 + t17039 + t16016 - t16021 - t16024 + t17040 + t127145 - 0.8e1 * t5559 * t8223 * t4408 * t90157 - 0.4e1 / 0.3e1 * t11369 * t5549 * t133034 - 0.3e1 / 0.4e1 * t8058 * t29911 * t133037;
  t133615 = 0.6e1 * t127156;
  t133616 = 0.6e1 * t127160;
  t133634 = t122369 / 0.3e1 + t122378 / 0.4e1 - t122385 / 0.12e2 - t122387 / 0.2e1 + t2251 + 0.3e1 / 0.2e1 * t45074 * t19300 - t133615 - t133616 + 0.3e1 / 0.2e1 * t5559 * t2060 * t4408 * t90936 - t127184 - t124344 - 0.18e2 * t5559 * t40248 * t24794 * t90065 + 0.6e1 * t5540 * t40248 * t24848 * t90065 + 0.3e1 / 0.2e1 * t4145 * t107583 * t17057 - t8058 * t90726 - t8058 * t90938;
  t133635 = 0.2e1 * t127186;
  t133641 = t4145 * t86444 * t2667;
  t133666 = t4137 * t133065;
  t133671 = t9270 * t380 * t19303 * t2196;
  t133677 = t133635 - t61936 * t17667 / 0.2e1 - t28961 * t19225 / 0.4e1 - t133641 / 0.4e1 - t4145 * t13543 * t17020 / 0.4e1 + 0.3e1 / 0.2e1 * t4145 * t108222 * t2394 + t4145 * t108226 * t2257 / 0.2e1 - 0.9e1 / 0.2e1 * t10506 * t8227 * t24794 * t89790 + 0.8e1 * t133163 * t108939 - 0.18e2 * t10506 * t40241 * t4396 * t90065 + 0.3e1 * t8058 * t90535 - t8052 * t131106 / 0.3e1 - t6830 * t133666 / 0.6e1 - t6827 * t133671 / 0.6e1 - t5548 * t108707 / 0.3e1 - t127198 - t122406 / 0.4e1;
  t133682 = t2030 * t17016;
  t133686 = t5640 * t17537;
  t133700 = t122417 / 0.4e1 + t120801 - t120803 + t124368 - 0.3e1 * t28954 * t109244 - t133682 / 0.4e1 - t2030 * t17021 / 0.4e1 - 0.11e2 / 0.18e2 * t12347 * t133686 + t124717 + t56164 * t16980 / 0.2e1 + t8058 * t44807 * t19232 / 0.4e1 + t8058 * t5549 * t132846 / 0.4e1 - t124728 - 0.23e2 / 0.12e2 * t11381 * t29498 * t90740 - t124748 - t127217 + t127218;
  t133714 = t1000 * t132874;
  t133724 = 0.4e1 * t127243;
  t133732 = t124756 + t122429 / 0.6e1 - t50014 * t2809 - 0.3e1 * t1454 * t19268 - t5674 * t19258 / 0.2e1 - 0.3e1 * t5674 * t19263 - t124764 + t8360 * t1400 * t132884 / 0.2e1 + t490 * t126917 / 0.6e1 + t1644 * t133714 / 0.3e1 - t122452 / 0.12e2 + t5559 * t2060 * t131031 / 0.2e1 - t5540 * t2060 * t131035 / 0.2e1 - t133724 - 0.3e1 * t2030 * t17054 - 0.11e2 / 0.18e2 * t8090 * t5640 * t132884 - t12596 * t2509 / 0.4e1;
  t133747 = 0.3e1 * t127268;
  t133753 = t110 * t30387;
  t133764 = -t12596 * t2506 / 0.2e1 - 0.6e1 * t5559 * t8223 * t4408 * t89790 + 0.18e2 * t132820 * t108253 + t5540 * t2056 * t1182 * t90936 + t133747 + t44886 * t19298 - 0.3e1 / 0.2e1 * t5540 * t8220 * t1182 * t89790 + 0.12e2 * t133753 * t108669 - 0.6e1 * t5540 * t40288 * t356 * t90065 - 0.3e1 * t122458 + t122464 / 0.2e1 + t127271 + t127272 + t127273 + t120833 + 0.3e1 / 0.2e1 * t30060 * t19273;
  t133786 = t2609 * t122246 / 0.3e1 + t12643 * t17538 + 0.7e1 / 0.3e1 * t5621 * t108276 - t2030 * t17012 - t127278 + t8055 * t131067 / 0.2e1 - t8055 * t131073 / 0.3e1 - t122486 / 0.12e2 + t122497 / 0.3e1 + t11369 * t50197 * t17639 - t122499 / 0.6e1 - 0.9e1 / 0.2e1 * t10506 * t8227 * t24794 * t90157 + t16468 - t122503 / 0.12e2 + t122510 / 0.6e1 + t17045 + t17046;
  t133791 = t5587 * t133065;
  t133814 = 0.3e1 * t127303;
  t133819 = -t17047 - t17048 + t124785 - 0.5e1 / 0.36e2 * t122518 - t127291 + t61452 * t17672 / 0.2e1 + t6824 * t133791 / 0.6e1 - 0.7e1 * t28954 * t108718 + 0.8e1 * t5540 * t8223 * t4549 * t90157 + 0.9e1 / 0.2e1 * t5540 * t2060 * t24962 * t90533 - t127294 + t5540 * t2060 * t131103 - 0.18e2 * t5559 * t40217 * t1034 * t90065 - 0.6e1 * t50149 * t40248 * t24930 * t90065 - t133814 + 0.18e2 * t10506 * t40248 * t24958 * t90065;
  t133820 = 0.14e2 / 0.3e1 * t127310;
  t133824 = 0.6e1 * t127321;
  t133836 = t124845 / 0.3e1;
  t133842 = t133820 + t131233 + t8052 * t131062 / 0.3e1 - t122555 / 0.2e1 + t121102 + t133824 + t127324 + t8058 * t131059 / 0.6e1 - 0.3e1 / 0.2e1 * t8058 * t30214 * t133037 - t16544 + 0.2e1 * t57725 * t5582 * t132801 + t11372 * t4137 * t132859 / 0.2e1 + t124828 - t124837 - t133836 + t8058 * t46095 * t19232 / 0.2e1 + 0.3e1 * t8201 * t17032;
  t133852 = t131251 / 0.6e1;
  t133853 = t50229 * t17666;
  t133863 = 0.23e2 / 0.36e2 * t8090 * t5623 * t90982 - t442 * t107858 / 0.12e2 + t12596 * t2521 / 0.4e1 + t133852 - t6824 * t133853 / 0.3e1 + t124852 - t34283 * t17703 - t34283 * t17706 / 0.2e1 + 0.2e1 / 0.3e1 * t5548 * t108168 + t127338 / 0.4e1 + t122564 / 0.12e2 + t17073 - t17074 - t124871 + t17075 - t17076;
  t133881 = t127361 / 0.2e1;
  t133882 = -t8058 * t131076 / 0.6e1 + 0.3e1 / 0.2e1 * t122575 - t127350 + t122578 + 0.3e1 * t122584 - t11372 * t50205 * t17639 - t8052 * t35145 * t17628 / 0.3e1 + t122589 / 0.6e1 + t8058 * t50186 * t17628 / 0.3e1 - t127358 - t122599 / 0.2e1 + t5540 * t2056 * t131049 / 0.2e1 + t133881 + t16581 - t16583 - t16588 - t16591;
  t133914 = t127381 / 0.6e1;
  t133915 = -t122602 + 0.3e1 / 0.2e1 * t1454 * t19328 + 0.3e1 * t5674 * t19332 - t555 * t130907 / 0.6e1 - t57852 * t2659 / 0.2e1 + t2609 * t56243 / 0.3e1 - t2609 * t56239 / 0.6e1 - t490 * t96389 / 0.6e1 - t555 * t90502 / 0.12e2 + t11512 * t2671 / 0.2e1 + t90507 * t570 / 0.4e1 + t2604 * t11507 / 0.6e1 + t108876 * t457 / 0.4e1 - t11512 * t2663 / 0.2e1 - t442 * t108871 / 0.12e2 - t2609 * t55957 / 0.12e2 - t133914;
  t133916 = t127394 / 0.3e1;
  t133923 = t5623 * t17541;
  t133936 = t133916 + t17206 + t127408 + t127409 + t122604 / 0.12e2 - t127410 + t127412 - t127418 + t5540 * t559 * t131178 / 0.2e1 - t11369 * t5549 * t132859 - t124900 + 0.23e2 / 0.36e2 * t12347 * t133923 + t12596 * t2512 / 0.2e1 - t68390 * t2390 + t13724 * t2403 + 0.5e1 / 0.12e2 * t11381 * t29498 * t133034 + 0.3e1 / 0.2e1 * t11381 * t29911 * t133034;
  t133942 = my_piecewise3(t100, 0, t133786 + t133882 + t133863 + t133936 + t133764 + t133819 + t133915 + t133256 + t133700 + t132818 + t133280 + t133677 + t133634 + t132893 + t132919 + t133130 + t132947 + t133842 + t133188 + t133221 + t132858 + t133148 + t133584 + t133072 + t133606 + t133029 + t133297 + t132964 + t133732 + t132999 + t132793 + t133103);
  tv4sigmalapl2tau17 = t3 * t133942;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 17] += tv4sigmalapl2tau17;

  t133950 = t52585 * t2676;
  t133975 = t122624 / 0.12e2 + t10974 * t2751 / 0.2e1 - 0.2e1 / 0.3e1 * t2844 * t130060 - 0.2e1 / 0.3e1 * t2844 * t130063 + t1787 * t673 * t133950 / 0.3e1 + 0.14e2 / 0.3e1 * t25733 * t109896 - 0.6e1 * t3123 * t69597 * t93112 - 0.2e1 * t3123 * t14184 * t93489 - 0.3e1 * t25733 * t109754 + 0.6e1 * t4748 * t69597 * t92705 + 0.3e1 / 0.2e1 * t119590 - 0.3e1 / 0.2e1 * t119594 + 0.7e1 / 0.3e1 * t119596 + t644 * t13951 * t129847 + 0.3e1 * t5073 * t19572 - t131585 + t131586 + t131587 - t127434 / 0.6e1;
  t133986 = t127436 / 0.12e2 - t127442 + t124957 - 0.5e1 / 0.3e1 * t69907 * t16634 + 0.9e1 / 0.2e1 * t70204 * t48836 - t124967 - t124969 - t122663 / 0.3e1 + 0.3e1 * t119604 + t119610 + t127450 + t119629 / 0.4e1 - t131597 + t124992 + t127469 - t119634 / 0.12e2 - t127471 + 0.2e1 / 0.3e1 * t125008 - t125033 + t125034;
  t133988 = t131661 / 0.6e1;
  t134008 = t19538 * t414;
  t134009 = t3121 * t134008;
  t134014 = t17883 * t463;
  t134020 = t121223 + t121228 + t133988 + t127481 / 0.12e2 + t127483 / 0.12e2 + t122748 / 0.6e1 - t7581 * t78612 * t18108 / 0.6e1 + t119672 / 0.6e1 - 0.2e1 / 0.3e1 * t119688 + 0.23e2 / 0.36e2 * t119695 + t515 * t131982 / 0.6e1 - 0.3e1 * t5073 * t19481 - t13878 * t4831 * t17391 / 0.2e1 + 0.23e2 / 0.36e2 * t13878 * t4844 * t17380 - 0.4e1 * t11086 * t4765 * t134009 - 0.4e1 / 0.3e1 * t125040 - t125049 + t4738 * t1847 * t3375 * t134014 / 0.2e1 + t122762 / 0.12e2;
  t134046 = -t122775 / 0.6e1 + t127487 / 0.2e1 - t127497 - t127502 - t127507 + t127517 + t125066 - t125069 - t131718 + t7581 * t125185 / 0.6e1 - t7216 * t131658 / 0.6e1 + t4779 * t1843 * t819 * t134014 / 0.2e1 - t25662 * t19531 - t4779 * t2866 * t16623 + 0.18e2 * t9873 * t71156 * t21215 * t17275 + 0.6e1 * t97426 * t17512 - t53889 * t17288 + t36310 * t17272 + 0.47e2 / 0.3e1 * t97462 * t48772 - 0.62e2 / 0.3e1 * t97462 * t48851;
  t134050 = t53891 * t17405;
  t134077 = -t127539 - t52729 * t17518 - t6069 * t134050 / 0.3e1 - t7216 * t132209 / 0.3e1 - 0.28e2 * t97426 * t17515 - 0.7e1 * t70204 * t46881 - t7746 * t31513 * t17999 / 0.6e1 - t127576 - t121287 - t125102 - t121296 - t121304 - t2844 * t46736 / 0.12e2 - t10160 * t2907 / 0.2e1 + t92332 * t530 / 0.2e1 - t2844 * t46752 / 0.6e1 + t97739 * t481 / 0.4e1 - t466 * t97734 / 0.12e2 - 0.35e2 / 0.108e3 * t97462 * t47512 * t17421;
  t134082 = t19623 * t414;
  t134105 = t47925 * t17995 / 0.2e1 - t47709 * t18126 / 0.2e1 + t4738 * t1847 * t3375 * t134082 / 0.2e1 - t4779 * t1847 * t3409 * t134082 / 0.2e1 - 0.38e2 / 0.9e1 * t97462 * t25739 * t17421 - 0.18e2 * t4779 * t71330 * t17521 + 0.2e1 / 0.3e1 * t7216 * t53072 * t17428 + t127613 - t125124 - t121316 + t125127 + t125134 - t125135 + t119709 / 0.3e1 + t127621 + t127623 - t131863 + t131864 + t42187 * t19505 / 0.2e1 - t1748 * t132006 / 0.6e1;
  t134140 = -0.24e2 * t70054 * t93112 + 0.32e2 / 0.3e1 * t70059 * t93470 - 0.4e1 * t13901 * t88025 + 0.12e2 * t70059 * t94219 - t15081 + t127953 - 0.8e1 / 0.3e1 * t13901 * t93096 + 0.16e2 / 0.9e1 * t70059 * t92812 + 0.4e1 * t13898 * t88554 + 0.4e1 * t13904 * t88545 - 0.4e1 / 0.3e1 * t13901 * t89180 - 0.8e1 * t13901 * t93489 + 0.12e2 * t70036 * t92898;
  t134158 = 0.4e1 * t13898 * t93120 - 0.8e1 * t70054 * t92705 + 0.2e1 * t521 * t16745 + 0.24e2 * t17277 + 0.4e1 * t17518 - 0.12e2 * t17522 + 0.4e1 / 0.3e1 * t17445 - 0.2e1 / 0.3e1 * t17280 - 0.2e1 * t13904 * t16745 - 0.4e1 * t17489 - 0.4e1 / 0.3e1 * t17492 + 0.2e2 / 0.9e1 * t17441 - 0.4e1 * t17485;
  t134164 = -0.4e1 * t17474 - 0.4e1 * t17477 + 0.8e1 * t17416 - 0.12e2 * t17481 + t15069 + t130331 - t130332 - t130361 - t122880 + t122890 + t122898 + t130365 + t130366;
  t134165 = -t122910 + t122914 + t130375 + t127979 + t127983 - t127987 - t127994 + t127998 + t130378 - t130379 - t130380 + t130381 + t122934;
  t134167 = t134140 + t134158 + t134164 + t134165;
  t134177 = t2087 * t19743;
  t134183 = t2087 * t19738;
  t134197 = t19543 * t414;
  t134198 = t95 * t134197;
  t134202 = -t14215 * t16759 / 0.2e1 - t2839 * t15621 / 0.6e1 - t14215 * t17397 / 0.2e1 - t2839 * t16685 / 0.6e1 - 0.5e1 / 0.36e2 * t13878 * t4844 * t17391 + t515 * t660 * t661 * t94 * t134167 / 0.12e2 + t2844 * t130288 / 0.6e1 + t2844 * t130291 / 0.6e1 + t134177 / 0.12e2 + t515 * t660 * t5044 * t19741 / 0.12e2 + t134183 / 0.12e2 + t515 * t660 * t47815 * t2852 / 0.12e2 + t515 * t660 * t6255 * t17951 / 0.12e2 + t2844 * t130053 / 0.3e1 + t2844 * t130056 / 0.3e1 - t131866 - t118203 + t118208 + t127626 - t7216 * t26082 * t134198 / 0.6e1;
  t134203 = t19543 * t2105;
  t134208 = t19494 * t414;
  t134209 = t95 * t134208;
  t134213 = t253 * t134008;
  t134216 = t2851 * t16704;
  t134224 = t4779 * t8874 * t19548;
  t134226 = t41479 * t19564;
  t134235 = t95 * t134014;
  t134239 = t41482 * t19755;
  t134244 = t17883 * t2541;
  t134260 = t7581 * t42955 * t95 * t134203 / 0.2e1 + t11008 * t26082 * t134209 / 0.2e1 - t11008 * t4760 * t134213 - t125172 + t4779 * t519 * t3430 * t134216 / 0.2e1 + t41476 * t19549 / 0.2e1 + t134224 / 0.2e1 - t134226 / 0.3e1 - t7216 * t41642 * t19563 / 0.3e1 - t7216 * t4760 * t635 * t134014 / 0.3e1 - t7746 * t3130 * t134235 / 0.6e1 - t134239 / 0.6e1 - t7581 * t75413 * t19754 / 0.6e1 - t7581 * t8642 * t95 * t134244 / 0.6e1 + t4748 * t14184 * t89180 - t3123 * t14184 * t88025 - t4738 * t1847 * t22070 * t134197 + t4779 * t1847 * t22051 * t134197 - t127661 + t127665 / 0.2e1;
  t134283 = t95 * t134082;
  t134301 = t127679 - t11008 * t53245 * t17421 + 0.14e2 / 0.3e1 * t11008 * t92709 * t17450 + t52729 * t17477 - 0.2e1 / 0.3e1 * t4753 * t109555 + t3123 * t14228 * t93120 + 0.3e1 * t3123 * t70008 * t92898 - t3123 * t109505 * t2323 / 0.2e1 - t3123 * t109509 * t2166 / 0.4e1 + t7216 * t4770 * t134283 / 0.6e1 + t131931 + t53885 * t17280 - 0.2e1 * t52729 * t17416 - 0.6e1 * t52729 * t17277 + 0.3e1 * t52729 * t17481 + t52729 * t17485 + 0.3e1 / 0.2e1 * t70204 * t26082 * t17428 + t125223 + 0.23e2 / 0.18e2 * t11008 * t91825 * t17450;
  t134311 = t19623 * t2105;
  t134329 = t19494 * t2105;
  t134337 = t95 * t134329;
  t134346 = 0.11e2 / 0.9e1 * t70204 * t130264 - t70197 * t130269 - t4753 * t110771 / 0.3e1 + t4779 * t1843 * t819 * t134082 / 0.2e1 + t4779 * t519 * t3430 * t134311 / 0.2e1 + t47709 * t18118 / 0.2e1 + t47709 * t18122 / 0.2e1 - t127687 + t127690 - t127699 - t131951 + t125231 + 0.2e1 * t4748 * t14184 * t93096 - 0.7e1 / 0.3e1 * t25733 * t109842 + 0.3e1 * t4779 * t7595 * t3409 * t134208 + 0.3e1 / 0.2e1 * t4779 * t1847 * t22051 * t134329 + t11143 * t3130 * t134209 / 0.2e1 + t7746 * t8642 * t134337 / 0.3e1 - t11086 * t4760 * t134209 / 0.2e1 - t11143 * t4796 * t134213;
  t134350 = t4738 * t8854 * t110231;
  t134375 = t122960 / 0.12e2 - t121364 - t121368 - t121371 + t134350 / 0.2e1 - t25662 * t19533 / 0.2e1 - t3123 * t14231 * t16745 / 0.2e1 + t7581 * t131689 / 0.6e1 - t125245 + t131962 - t127717 + t131963 + t7216 * t4770 * t134235 / 0.6e1 + 0.2e1 * t70197 * t130182 - 0.23e2 / 0.18e2 * t70204 * t130410 - t11143 * t53253 * t17421 - t7746 * t36303 * t17428 / 0.3e1 + t11086 * t53249 * t17421 + 0.5e1 / 0.3e1 * t97426 * t17422;
  t134408 = t131985 / 0.6e1;
  t134419 = 0.5e1 / 0.12e2 * t70204 * t25739 * t17428 + t52729 * t17474 - 0.23e2 / 0.12e2 * t70204 * t25739 * t17494 + 0.44e2 / 0.27e2 * t97462 * t47512 * t17450 + t127724 + 0.3e1 / 0.2e1 * t25733 * t109909 - 0.3e1 / 0.2e1 * t4738 * t1847 * t22070 * t134329 + 0.2e1 * t11086 * t4754 * t134213 - 0.3e1 * t4738 * t7595 * t3375 * t134208 + t3123 * t14228 * t88554 + t3123 * t14231 * t88545 + 0.3e1 * t4738 * t7599 * t21225 * t134208 - t119798 / 0.6e1 + t134408 - t48518 * t17990 - 0.3e1 / 0.2e1 * t4779 * t519 * t22055 * t134203 + 0.2e1 / 0.3e1 * t4753 * t109665 - t119802 / 0.2e1 - t119804 / 0.6e1 + t119807 / 0.2e1;
  t134454 = t19538 * t2105;
  t134466 = t119810 - 0.2e1 * t119812 + t7216 * t47270 * t17999 / 0.12e2 - t119818 / 0.2e1 - 0.43e2 / 0.9e1 * t97462 * t47512 * t17528 - 0.6e1 * t4779 * t71186 * t17480 - t1293 * t19596 - t246 * t13951 * t130068 - 0.2e1 * t13929 * t17381 - 0.3e1 * t1293 * t19476 + t7216 * t47370 * t17999 / 0.6e1 + t70204 * t130135 + 0.1e2 / 0.3e1 * t25683 * t110959 - 0.18e2 * t4738 * t71156 * t21220 * t17275 + 0.6e1 * t4779 * t71156 * t21225 * t17275 - 0.4e1 / 0.3e1 * t7216 * t4760 * t3121 * t134454 + t32403 * t17992 - 0.18e2 * t9873 * t71330 * t93245 + 0.36e2 * t4738 * t71330 * t93423;
  t134477 = t41479 * t19560;
  t134492 = -0.3e1 * t9873 * t14293 * t129828 + 0.6e1 * t4738 * t14293 * t130127 + t69910 * t16616 / 0.3e1 + t7216 * t131911 / 0.3e1 + t134477 / 0.6e1 + t7216 * t43310 * t19559 / 0.6e1 + t132002 - t7216 * t27475 * t134198 / 0.3e1 + t7216 * t131952 / 0.3e1 + t127819 + t127847 / 0.6e1 - t127852 / 0.2e1 - t127859 - t1748 * t1220 * t133950 / 0.3e1 - t17866 - t121428 + t16188 - t16191 - t16194 + t17918;
  t134512 = -t17919 - 0.23e2 / 0.3e1 * t97426 * t17505 + 0.4e1 * t69907 * t17495 + t7216 * t4760 * t134235 / 0.12e2 + t16602 + t16603 - t16604 - t16605 - t16606 - t16607 - 0.3e1 / 0.2e1 * t4779 * t14282 * t17484 - t127887 + t13929 * t17392 + 0.3e1 / 0.2e1 * t25931 * t19770 + 0.3e1 / 0.2e1 * t1293 * t19473 + t2160 - t125331 + t121438 - t121444 + t7216 * t26082 * t635 * t134329;
  t134532 = 0.11e2 / 0.18e2 * t11008 * t26140 * t134209 - 0.11e2 / 0.18e2 * t13878 * t4838 * t17391 - t10974 * t2737 / 0.2e1 - t1891 * t17263 / 0.2e1 - t10974 * t2734 + t10974 * t2742 - 0.5e1 / 0.36e2 * t13878 * t129943 - t417 * t110167 / 0.12e2 - t125352 + t125368 + t123089 / 0.2e1 - 0.3e1 * t119872 + t127914 + t125371 + t17946 - t127918 / 0.4e1 + t17973 - t17977 - t17978 + t17979;
  t134543 = t119881 / 0.2e1 + 0.3e1 / 0.2e1 * t119896 - t123105 / 0.2e1 - 0.5e1 / 0.36e2 * t119903 - 0.2e1 * t125383 + t121460 + t125387 + t121469 + t15602 + t125399 - t128019 + t128023 - t128026 + t128032 - t128036 - t128052 / 0.6e1 - t132097 - t132098 + t132099;
  t134566 = t132100 - t132101 + t125453 + t132106 - t125456 + t7581 * t131686 / 0.6e1 - t7216 * t41646 * t19539 / 0.6e1 - 0.5e1 / 0.6e1 * t69907 * t16620 - t70197 * t130258 / 0.2e1 - t7746 * t132624 / 0.3e1 + t119922 / 0.2e1 - t7216 * t43313 * t19539 / 0.3e1 + 0.2e1 / 0.3e1 * t7216 * t41646 * t19555 + t119929 / 0.2e1 + t119940 / 0.6e1 + t119942 / 0.12e2 - t119944 / 0.12e2 - t15612 - t15615 + t15619;
  t134583 = t69657 * t2266;
  t134584 = t1220 * t134583;
  t134593 = -t32403 * t18096 - t32403 * t18098 / 0.2e1 - t7581 * t132621 / 0.3e1 + t7216 * t132618 / 0.6e1 - t125481 + t125485 + t132140 - t125499 - t121716 - t30 * t2309 * t2933 / 0.4e1 + 0.3e1 / 0.2e1 * t119970 - t16647 + t16648 + t14153 * t2332 / 0.2e1 - t69282 * t2319 / 0.2e1 - t1541 * t134584 / 0.6e1 + t1541 * t1227 * t14151 * t2266 / 0.3e1 + t13060 * t2453 - t63754 * t2444;
  t134625 = t2932 * t414;
  t134626 = t253 * t134625;
  t134627 = t4754 * t134626;
  t134634 = 0.3e1 / 0.2e1 * t1532 * t17965 + 0.3e1 / 0.2e1 * t32471 * t17921 - 0.3e1 * t6295 * t17924 + t515 * t131978 / 0.6e1 - t1748 * t1227 * t133950 / 0.6e1 - t128398 + 0.2e1 * t11086 * t53891 * t17421 + t69904 * t17429 / 0.2e1 - 0.3e1 * t97312 * t17433 - 0.9e1 / 0.2e1 * t9873 * t14293 * t21220 * t9886 + t7746 * t42977 * t19539 / 0.3e1 + t128407 + t128421 - t128423 / 0.4e1 - t128426 + t16718 + 0.2e1 / 0.3e1 * t4753 * t109585 - 0.3e1 * t4779 * t14293 * t130131 - t6069 * t134627 / 0.6e1 + t6069 * t4765 * t3121 * t134625 / 0.3e1;
  t134649 = t42161 * t19751;
  t134663 = t53249 * t17405;
  t134668 = -t4748 * t110627 * t2318 / 0.2e1 + t3123 * t110627 * t2331 / 0.2e1 - 0.6e1 * t4738 * t14331 * t9887 + 0.18e2 * t30 * t26475 * t110035 - t132165 + t125530 - t125533 - t134649 / 0.6e1 - t7746 * t25657 * t19559 / 0.6e1 - t128430 / 0.3e1 + t128437 + t119980 / 0.3e1 - 0.11e2 / 0.18e2 * t119986 + t123229 / 0.2e1 + t123242 / 0.2e1 + t128455 - 0.3e1 / 0.2e1 * t4779 * t7599 * t22070 * t134208 - t6069 * t134663 / 0.6e1 + t7746 * t131600 / 0.3e1;
  t134669 = t53253 * t17405;
  t134677 = t4779 * t8854 * t19495;
  t134683 = t132218 / 0.2e1;
  t134697 = t6491 * t134669 / 0.3e1 + t6488 * t128427 / 0.6e1 + t132212 + t125583 - t125584 + t121744 + t1532 * t17915 / 0.4e1 - t134677 / 0.2e1 - t4779 * t1847 * t3409 * t134014 / 0.2e1 - t134683 - t132245 + t132246 - t125606 - t132247 + 0.9e1 * t4738 * t14293 * t21225 * t9886 - t123297 / 0.4e1 - t123302 / 0.4e1 - 0.3e1 / 0.2e1 * t4779 * t14282 * t16610 - 0.4e1 * t11086 * t92693 - 0.4e1 / 0.3e1 * t7216 * t92295;
  t134700 = t4779 * t2118 * t19544;
  t134720 = t41479 * t19758;
  t134743 = t134700 / 0.2e1 + t4779 * t519 * t3430 * t134244 / 0.2e1 + t16723 + t7746 * t8642 * t134198 / 0.3e1 - t15662 - t36310 * t17412 / 0.2e1 - 0.3e1 * t4738 * t2870 * t130413 + 0.3e1 * t25733 * t111099 - t7581 * t8642 * t95 * t134216 / 0.6e1 + t134720 / 0.12e2 + t7216 * t41642 * t19559 / 0.12e2 + 0.2e1 * t53885 * t17492 + 0.6e1 * t53885 * t17489 + t7216 * t4760 * t134283 / 0.12e2 - t7746 * t3130 * t134283 / 0.6e1 - t7581 * t8642 * t95 * t134311 / 0.6e1 + t69904 * t16627 / 0.2e1 + 0.2e1 * t99255 * t17425 - t125967 + t125968;
  t134770 = t1227 * t134583;
  t134773 = t673 * t134583;
  t134778 = t125969 - 0.9e1 / 0.2e1 * t4779 * t14293 * t22070 * t9886 - t515 * t92327 / 0.6e1 - t417 * t109418 / 0.12e2 + t109423 * t432 / 0.4e1 - t46761 * t2899 / 0.2e1 + t2839 * t10155 / 0.6e1 + t2844 * t46756 / 0.3e1 + t10160 * t2915 / 0.2e1 - t18138 + t125973 - t125974 - t120040 / 0.12e2 + t120053 / 0.6e1 - t10160 * t2912 / 0.4e1 - t14153 * t2324 / 0.2e1 - t14153 * t2327 / 0.4e1 - t1541 * t134770 / 0.12e2 + t1568 * t134773 / 0.6e1 + t466 * t127877 / 0.12e2;
  t134796 = t635 * t134208;
  t134806 = t253 * t134454;
  t134812 = -t13060 * t2447 - t13060 * t2450 / 0.2e1 + 0.2e1 / 0.3e1 * t1218 * t110457 + t5073 * t19575 - t16743 - t4753 * t110765 / 0.3e1 - 0.6e1 * t97312 * t17448 - 0.2e1 * t69907 * t17499 + 0.22e2 / 0.3e1 * t97426 * t17502 + t118557 - t118560 - t118564 - t118566 + t118568 + 0.2e1 * t11086 * t4760 * t134796 + 0.3e1 * t26806 * t69975 * t92812 - 0.6e1 * t4748 * t69975 * t93470 - t7746 * t3130 * t134806 / 0.3e1 + t11086 * t4765 * t134213;
  t134840 = t132680 / 0.2e1;
  t134842 = t7216 * t4760 * t134806 / 0.3e1 - 0.5e1 / 0.18e2 * t11008 * t10037 * t134213 - t7581 * t131742 / 0.3e1 + t7216 * t131745 / 0.6e1 - 0.2e1 / 0.3e1 * t4753 * t110261 - t7746 * t131737 / 0.3e1 + t15778 - t15784 - t128505 + 0.6e1 * t4779 * t14331 * t17415 - t126000 + 0.3e1 * t52729 * t17522 - 0.6e1 * t47583 * t71156 * t21210 * t17275 + t7216 * t53245 * t17428 / 0.3e1 - t132666 + t126023 + t126038 / 0.3e1 + t15794 - t134840 + t25662 * t19503;
  t134877 = -t41476 * t19496 / 0.2e1 - t126060 - t126062 + t1293 * t19602 / 0.4e1 - t1748 * t132076 / 0.3e1 - t466 * t97922 / 0.12e2 + 0.7e1 / 0.3e1 * t13878 * t47732 + 0.3e1 / 0.2e1 * t1532 * t17889 + t1532 * t17892 / 0.2e1 - 0.2e1 * t4859 * t110729 + t121827 - t126072 + t126073 + 0.3e1 * t3123 * t69975 * t94219 - 0.3e1 / 0.2e1 * t9873 * t7599 * t21220 * t134208 - t4779 * t1843 * t3430 * t134329 - 0.3e1 / 0.2e1 * t4779 * t7610 * t819 * t134208 - t4779 * t1843 * t3430 * t134197 - t15804;
  t134900 = t132697 - t128535 + 0.2e1 * t126088 + t126092 + t128539 - t120089 / 0.2e1 - t120091 / 0.6e1 - t7216 * t26082 * t134337 / 0.4e1 + 0.5e1 / 0.36e2 * t11008 * t25739 * t134209 - 0.23e2 / 0.36e2 * t11008 * t25739 * t134796 + 0.5e1 / 0.18e2 * t70204 * t130261 - t128564 + 0.2e1 / 0.3e1 * t4753 * t111085 - t36310 * t17409 + t120105 / 0.3e1 - t120107 / 0.2e1 - t120111 / 0.2e1 - t120113 / 0.2e1 - t120115 / 0.4e1 + t126097;
  t134944 = -t42203 * t19499 - t69907 * t17436 - 0.5e1 / 0.18e2 * t11008 * t91825 * t17421 - 0.11e2 / 0.9e1 * t11008 * t92709 * t17421 - 0.2e1 * t97462 * t26140 * t17421 + t41476 * t19545 / 0.2e1 - 0.18e2 * t4738 * t71159 * t93499 + 0.18e2 * t4779 * t71159 * t17276 - 0.5e1 * t4738 * t14331 * t87834 - t30 * t17370 * t544 / 0.2e1 - t52160 * t2729 - t417 * t110147 / 0.6e1 - t515 * t92315 / 0.6e1 - t466 * t97926 / 0.6e1 - 0.3e1 / 0.2e1 * t13878 * t4844 * t5071 * t2676 + 0.2e1 / 0.3e1 * t1748 * t92307 + t13060 * t2462 / 0.2e1 - 0.3e1 * t120119 - t120129;
  t134957 = t4765 * t134626;
  t134962 = t4796 * t134626;
  t134981 = -t16900 + t16901 - t2089 - t132744 + 0.12e2 * t30 * t26425 * t110002 + t128590 / 0.2e1 + t128597 + 0.2e1 / 0.3e1 * t7216 * t4770 * t134806 - 0.11e2 / 0.9e1 * t11008 * t10058 * t134213 + t6488 * t127909 / 0.12e2 - t6069 * t134957 / 0.12e2 - 0.14e2 / 0.3e1 * t25733 * t110105 + t6491 * t134962 / 0.6e1 + 0.5e1 * t4779 * t14331 * t16630 + 0.3e1 * t4779 * t2870 * t130100 + 0.89e2 / 0.9e1 * t97462 * t47588 * t17450 + 0.3e1 * t6295 * t17899 + t6295 * t17897 - 0.3e1 / 0.2e1 * t4830 * t109465 - 0.3e1 * t1532 * t17962;
  t135017 = t246 * t8745 * t19625;
  t135024 = t1532 * t17864;
  t135026 = -t1532 * t17910 + 0.7e1 / 0.3e1 * t4830 * t109475 - t2839 * t16707 / 0.6e1 + t13929 * t17400 / 0.2e1 + t13929 * t16681 / 0.2e1 + t2844 * t119931 / 0.6e1 + t246 * t14040 * t16745 / 0.2e1 + t10160 * t2903 / 0.2e1 - 0.11e2 / 0.18e2 * t13878 * t129958 + t1787 * t132011 / 0.3e1 + t515 * t125082 / 0.6e1 + 0.23e2 / 0.36e2 * t13878 * t130148 + t13929 * t16780 + t2844 * t119820 / 0.3e1 - 0.2e1 / 0.3e1 * t2844 * t120009 + t1293 * t19632 / 0.2e1 + 0.3e1 / 0.2e1 * t1293 * t19629 - t135017 / 0.4e1 - t246 * t1769 * t658 * t221 * t134167 / 0.4e1 - t135024 / 0.4e1;
  t135065 = t98308 * t463;
  t135073 = -0.1e2 / 0.3e1 * t71298 * t16860 - 0.2e1 * t98411 * t130600 + 0.2e1 / 0.9e1 * t71443 * t130603 + 0.4e1 / 0.3e1 * t98325 * t17320 - 0.2e1 * t7584 * t840 * t135065 - 0.1e2 / 0.3e1 * t36958 * t3475 * t134208 + t125618 + t125619 - t125620 - t125621 + t125622 - t125623 + t128072 / 0.3e1 + t128081;
  t135078 = t827 * t134208;
  t135104 = t2118 * t19698;
  t135105 = 0.8e1 / 0.3e1 * t98320 * t17320 + 0.24e2 * t98320 * t17292 + 0.3e1 * t36958 * t135078 - 0.72e2 * t98325 * t17297 - 0.18e2 * t71443 * t17317 - 0.6e1 * t36961 * t840 * t134208 - 0.3e1 * t37040 * t840 * t134329 + 0.8e1 * t98325 * t17292 + 0.2e1 * t71443 * t3475 * t17305 - 0.4e1 / 0.3e1 * t98320 * t22013 * t17291 + 0.4e1 / 0.3e1 * t37040 * t827 * t134197 + t132304 - t132305 + 0.2e1 / 0.3e1 * t2870 * t130530 - t135104;
  t135107 = t8874 * t19661;
  t135108 = t18044 * t463;
  t135111 = t2118 * t19690;
  t135112 = t111122 * t414;
  t135116 = t8854 * t19656;
  t135128 = t41656 * t19646;
  t135130 = -t135107 - t1843 * t819 * t135108 - t135111 + t7584 * t827 * t135112 / 0.3e1 + t18003 - t18004 + t18005 + t135116 + t1847 * t3409 * t135108 + 0.72e2 * t98351 * t17300 + 0.24e2 * t71298 * t17306 - 0.2e1 * t37040 * t840 * t134197 + 0.4e1 / 0.3e1 * t71443 * t130436 - 0.2e1 * t135128;
  t135149 = t41881 * t134208;
  t135168 = t132331 - t132332 + t36958 * t48306 * t134208 / 0.9e1 - 0.4e1 * t36952 * t41877 * t134197 - 0.6e1 * t53471 * t41877 * t134203 - 0.2e1 / 0.3e1 * t37040 * t41881 * t134197 - 0.6e1 * t36949 * t41877 * t134208 - 0.4e1 * t36952 * t41877 * t134329 - 0.2e1 * t36961 * t135149 + 0.12e2 * t36961 * t41885 * t134208 + 0.6e1 * t37040 * t41885 * t134329 + 0.2e1 / 0.3e1 * t36958 * t48231 * t134208 - 0.36e2 * t71159 * t17345 - 0.4e2 * t71330 * t17342 + 0.1e2 / 0.3e1 * t71156 * t21215 * t17332;
  t135173 = t8854 * t19700;
  t135178 = t19663 * t414;
  t135187 = -0.4e1 * t2870 * t130524 - 0.2e1 / 0.3e1 * t135173 - 0.2e1 / 0.3e1 * t1847 * t3375 * t135108 - 0.2e1 / 0.3e1 * t1847 * t3375 * t135178 + t128101 / 0.2e1 + t519 * t819 * t60 * t134167 / 0.2e1 + t132380 - t128116 - t123461 - t15157 - t128133 - t128140 + t128143 - t128144;
  t135207 = -0.2e1 / 0.3e1 * t128146 - t128171 + t128186 - t128195 + 0.36e2 * t71330 * t17351 - t125691 - 0.12e2 * t71443 * t16860 - 0.2e1 * t7584 * t840 * t135112 - t37040 * t41881 * t134329 - t128201 + t125692 + t125693 + 0.5e2 / 0.3e1 * t71156 * t21220 * t17332 + 0.2e1 * t36952 * t233 * t134197 + 0.3e1 * t53471 * t233 * t134203;
  t135227 = t18043 + t128205 - t128207 + 0.2e1 * t2866 * t16841 - t1843 * t819 * t135178 - t519 * t3430 * t19663 * t2105 - 0.4e1 / 0.3e1 * t2870 * t130496 + 0.2e1 * t2870 * t130639 - t2866 * t16890 + t128221 - t132422 + t1847 * t3409 * t135178 + 0.6e1 * t14293 * t130618 + 0.2e1 * t123504 + 0.2e1 * t123506;
  t135247 = t123508 / 0.3e1 + t128231 - t128236 - t128241 + t128245 + 0.4e1 * t37040 * t41885 * t134197 - 0.6e1 * t36958 * t135149 + 0.4e1 / 0.3e1 * t125733 - t128246 - 0.4e1 * t98346 * t16827 + 0.2e2 * t71298 * t16857 + 0.12e2 * t98411 * t130433 - 0.24e2 * t98357 * t17309 - 0.6e1 * t71223 * t17312 - 0.12e2 * t98351 * t17297;
  t135259 = 0.2e1 * t120181 - t15697 + t15710 + t15712 + 0.2e1 * t120185 + 0.2e1 * t120189 + t128248 - 0.12e2 * t120192 - 0.4e1 * t120194 - 0.2e1 / 0.3e1 * t120197 + 0.6e1 * t120199 + 0.6e1 * t120221 - t18057 + t18058;
  t135285 = t76660 * t19640;
  t135295 = -t18059 - 0.3e1 * t120224 + 0.8e1 * t14331 * t17358 - 0.2e1 / 0.3e1 * t71330 * t17336 - t14293 * t21220 * t17354 / 0.6e1 - 0.1e2 * t14293 * t21225 * t17354 + 0.4e1 * t2870 * t130591 - t14293 * t130594 / 0.9e1 - t519 * t819 * t63 * t134167 - t519 * t3430 * t18044 * t2541 - t519 * t3430 * t2883 * t16704 + 0.2e1 / 0.3e1 * t120238 + 0.2e1 * t135285 + 0.2e1 * t10828 * t233 * t98308 * t2541 + 0.2e1 * t10828 * t233 * t14257 * t16704;
  t135297 = t41656 * t19643;
  t135322 = t135297 / 0.3e1 + t7584 * t827 * t135065 / 0.3e1 + t15168 + t16834 + t16835 - t128265 - 0.12e2 * t14331 * t17355 + 0.9e1 * t14293 * t22070 * t17354 - 0.12e2 * t71156 * t21225 * t17332 + 0.12e2 * t71186 * t17361 + 0.3e1 * t14282 * t17364 + 0.24e2 * t71159 * t17333 + 0.3e1 * t14282 * t16850 + 0.2e1 * t2866 * t16853 - 0.1e2 * t14331 * t16820;
  t135330 = t41974 * t19636;
  t135341 = -0.6e1 * t2870 * t130532 - 0.2e2 / 0.3e1 * t14293 * t130527 + 0.2e2 / 0.3e1 * t14331 * t16843 - 0.2e1 * t128268 + t123569 + 0.2e1 * t135330 + 0.2e1 * t7586 * t233 * t135065 - 0.4e1 * t71298 * t17317 - 0.6e1 * t71223 * t16823 - t123577 - 0.2e1 / 0.3e1 * t123579 - 0.8e1 / 0.3e1 * t125773 + t132499 + t132500 - t132501;
  t135367 = -t132507 - t132508 + t132509 + 0.4e1 * t125830 - t132511 + 0.2e1 * t37040 * t827 * t134329 - t36958 * t3482 * t134208 / 0.18e2 + t71443 * t3482 * t17305 / 0.3e1 - t98320 * t48301 * t17291 / 0.9e1 + 0.2e1 * t7586 * t233 * t135112 + 0.2e1 * t10828 * t233 * t111122 * t2105 + 0.3e1 * t36949 * t233 * t134208 - t118715 + t118717;
  t135368 = t2118 * t19664;
  t135371 = t118721 - t15743 - t15749 + t15767 + t128284 - t16839 - t125874 - t125875 + t125876 + t118742 - t118744 - t118750 + t135368 / 0.2e1 - 0.8e1 * t125877 + t132533;
  t135378 = -t123608 + 0.6e1 * t120290 - 0.2e1 * t123623 + 0.2e1 * t128304 + 0.2e1 * t128317 + t128326 + t123646 / 0.2e1 + t125904 + t125905 - t125906 - t125907 - t125908 + t125909 - t15178 - t16863;
  t135390 = t16864 - t16865 - t18069 + 0.1e2 / 0.3e1 * t120339 - 0.4e1 * t120342 - 0.4e1 / 0.3e1 * t120344 + t120347 / 0.18e2 - 0.3e1 * t120350 - t120352 - t120355 / 0.9e1 + 0.2e1 * t36952 * t233 * t134329 + 0.4e1 * t36961 * t135078 - t2138 + t2119 + t16888;
  t135399 = -t1532 * t17886 / 0.4e1 - t1293 * t19626 / 0.4e1 - t132745 + t132746 - t126149 - t13878 * t129951 / 0.2e1 - 0.3e1 * t11008 * t91825 * t17528 + 0.8e1 * t97462 * t48794 + 0.3e1 * t93331 * t17441 - 0.6e1 * t53885 * t17445 - t123738 / 0.6e1 + 0.11e2 / 0.6e1 * t70204 * t26140 * t17428 - 0.61e2 / 0.27e2 * t97462 * t47588 * t17421 + t128605 - t128611 + t18158 - t11086 * t4770 * t134209 - t7216 * t27475 * t134337 / 0.2e1 + 0.23e2 / 0.18e2 * t11008 * t10037 * t134009 - t30 * t59 * (t135073 + t135105 + t135130 + t135168 + t135187 + t135207 + t135227 + t135247 + t135259 + t135295 + t135322 + t135341 + t135367 + t135371 + t135378 + t135390) * t95 / 0.4e1;
  t135405 = my_piecewise3(t2, 0, t134593 + t134105 + t134301 + t134375 + t134419 + t134812 + t134077 + t134981 + t134668 + t134634 + t133975 + t134260 + t134778 + t134532 + t135399 + t133986 + t135026 + t134743 + t134346 + t134543 + t134900 + t134697 + t134202 + t134046 + t134492 + t134566 + t134944 + t134466 + t134842 + t134512 + t134877 + t134020);
  tv4sigmalapltau20 = t3 * t135405;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 0] += tv4sigmalapltau20;

  tv4sigmalapltau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 1] += tv4sigmalapltau21;

  tv4sigmalapltau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 2] += tv4sigmalapltau22;

  tv4sigmalapltau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 3] += tv4sigmalapltau23;

  tv4sigmalapltau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 4] += tv4sigmalapltau24;

  tv4sigmalapltau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 5] += tv4sigmalapltau25;

  tv4sigmalapltau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 6] += tv4sigmalapltau26;

  tv4sigmalapltau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 7] += tv4sigmalapltau27;

  tv4sigmalapltau28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 8] += tv4sigmalapltau28;

  tv4sigmalapltau29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 9] += tv4sigmalapltau29;

  tv4sigmalapltau210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 10] += tv4sigmalapltau210;

  tv4sigmalapltau211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 11] += tv4sigmalapltau211;

  tv4sigmalapltau212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 12] += tv4sigmalapltau212;

  tv4sigmalapltau213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 13] += tv4sigmalapltau213;

  tv4sigmalapltau214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 14] += tv4sigmalapltau214;

  tv4sigmalapltau215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 15] += tv4sigmalapltau215;

  tv4sigmalapltau216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 16] += tv4sigmalapltau216;

  t135410 = t18302 * t2616;
  t135415 = t2954 * t16952;
  t135428 = t128625 - t128635 - t56200 * t17697 + t39948 * t17700 - t8058 * t133853 / 0.3e1 - t8055 * t9270 * t168 * t135410 / 0.6e1 - t8055 * t9270 * t168 * t135415 / 0.6e1 + t28961 * t19954 - t110 * t17847 * t584 / 0.2e1 - t110 * t2380 * t3036 / 0.4e1 - t126189 + t121922 - t121926 + t126190 + t120378 / 0.3e1 + t128655 + t128660 - t128663 - t128677;
  t135435 = t56037 * t2756;
  t135467 = t121935 - t120432 / 0.12e2 - t120434 / 0.6e1 + t555 * t132983 / 0.6e1 + t555 * t132987 / 0.6e1 - t1965 * t1400 * t135435 / 0.6e1 - t555 * t95241 / 0.6e1 - 0.2e1 / 0.3e1 * t2947 * t130940 - 0.2e1 / 0.3e1 * t2947 * t130943 + 0.2e1 / 0.3e1 * t1391 * t112902 - t121938 - 0.14e2 / 0.3e1 * t72838 * t29517 * t16993 + t8058 * t132805 / 0.3e1 - 0.11e2 / 0.9e1 * t11381 * t94855 * t17639 + 0.23e2 / 0.18e2 * t11381 * t95582 * t17729 + t8052 * t132938 / 0.3e1 - t39948 * t17703 + t120456 / 0.3e1 - t39948 * t17706 / 0.2e1 + t8052 * t44782 * t19963 / 0.3e1;
  t135506 = t8055 * t133151 / 0.6e1 + t8055 * t133156 / 0.6e1 - t120475 / 0.2e1 - 0.23e2 / 0.3e1 * t100105 * t17736 - 0.6e1 * t100853 * t17727 - 0.61e2 / 0.27e2 * t100090 * t50504 * t17639 + 0.44e2 / 0.27e2 * t100090 * t50165 * t17729 + 0.22e2 / 0.3e1 * t100105 * t17733 - 0.3e1 * t100853 * t17718 - t72971 * t17635 - t28961 * t19995 + t128684 / 0.12e2 + t128686 / 0.12e2 + t120490 / 0.4e1 - 0.18e2 * t10506 * t73979 * t95894 + 0.36e2 * t5559 * t73979 * t95085 + 0.6e1 * t56196 * t17654 + 0.3e1 * t5540 * t2973 * t130775 - 0.2e1 * t72971 * t17629;
  t135526 = t19945 * t439;
  t135538 = t45849 * t19947;
  t135543 = t18302 * t487;
  t135544 = t168 * t135543;
  t135556 = t3035 * t439;
  t135557 = t380 * t135556;
  t135558 = t5591 * t135557;
  t135562 = 0.9e1 * t5559 * t14795 * t24848 * t10524 - 0.62e2 / 0.3e1 * t133163 * t113440 - 0.18e2 * t5540 * t73979 * t17686 - 0.9e1 / 0.2e1 * t5540 * t14795 * t24823 * t10524 - 0.6e1 * t5535 * t73811 * t96435 + 0.3e1 * t4145 * t73811 * t96271 - 0.3e1 / 0.2e1 * t10506 * t8227 * t24794 * t135526 - t128698 + t128702 - 0.5e1 / 0.18e2 * t11381 * t95582 * t17639 + t8058 * t56695 * t17628 / 0.3e1 - t45078 * t19943 + t135538 / 0.6e1 + t8058 * t46095 * t19946 / 0.6e1 + t8058 * t5587 * t135544 / 0.6e1 - t8058 * t46098 * t19963 / 0.3e1 + 0.2e1 / 0.3e1 * t8058 * t95163 - 0.3e1 * t5540 * t14795 * t130737 - t6824 * t135558 / 0.6e1 + t128722 / 0.2e1;
  t135567 = t19982 * t439;
  t135589 = t128730 - t128735 / 0.2e1 + t128739 + t128747 - t128756 / 0.4e1 - t5559 * t2060 * t24823 * t135567 + 0.3e1 * t5540 * t8223 * t4549 * t135526 - 0.3e1 * t5559 * t8223 * t4408 * t135526 + t120555 / 0.2e1 + t132845 - t126284 + t126285 - t120558 / 0.2e1 - 0.2e1 / 0.3e1 * t120562 - t14626 * t2395 / 0.2e1 - t14626 * t2398 / 0.4e1 - t126305 - t120569 / 0.12e2 - t373 * t14967 * t131553;
  t135625 = -t490 * t100653 / 0.12e2 + t1454 * t20022 / 0.4e1 - t14535 * t5634 * t17553 / 0.2e1 + 0.7e1 / 0.3e1 * t14535 * t50299 + t14542 * t17554 - 0.11e2 / 0.18e2 * t14535 * t5640 * t17553 + 0.23e2 / 0.36e2 * t14535 * t5623 * t17603 + 0.2e1 / 0.3e1 * t1965 * t97100 - 0.2e1 * t14542 * t17604 - 0.3e1 / 0.2e1 * t14535 * t5623 * t5672 * t2756 - t57852 * t2809 - t1965 * t1393 * t135435 / 0.3e1 + t6848 * t18323 - 0.3e1 / 0.2e1 * t5621 * t112361 + t11512 * t2822 + t132868 + t122002 - t126316 - t1454 * t19827 + t96386 * t570 / 0.2e1;
  t135651 = t10647 * t3018 / 0.2e1 - t50014 * t3002 / 0.2e1 - t10647 * t3010 / 0.2e1 - t442 * t113165 / 0.12e2 + t113170 * t457 / 0.4e1 + t2947 * t50055 / 0.3e1 - t2947 * t50078 / 0.12e2 + t2942 * t10656 / 0.6e1 - t2947 * t50051 / 0.6e1 + t128842 + t126317 - t126320 + t132896 - t132897 - t128858 - t132903 - t122035 - t123882 / 0.4e1 + 0.2e1 * t5535 * t14639 * t95957 - 0.4e1 / 0.3e1 * t8058 * t96143;
  t135655 = t73718 * t2337;
  t135656 = t1393 * t135655;
  t135674 = t58044 * t17666;
  t135677 = -t128873 + t128876 / 0.12e2 + 0.2e1 * t126368 + t18174 - t18175 + t18176 + t13724 * t2512 - t1651 * t135656 / 0.6e1 + t1651 * t1400 * t14624 * t2337 / 0.3e1 - t72906 * t2390 / 0.2e1 - 0.3e1 * t6848 * t18217 + 0.3e1 * t6848 * t18320 + t120595 - t16907 + t16908 + t123928 / 0.2e1 - 0.6e1 * t56164 * t17765 + t56196 * t17739 - t56164 * t17742 - t6824 * t135674 / 0.3e1;
  t135701 = t380 * t96141;
  t135705 = t19938 * t439;
  t135706 = t380 * t135705;
  t135709 = 0.2e1 / 0.3e1 * t6824 * t56671 * t17693 - t5548 * t112653 / 0.3e1 - t128914 - t122065 + 0.9e1 / 0.2e1 * t72838 * t51645 - t73176 * t131188 + 0.11e2 / 0.9e1 * t72838 * t131191 + 0.4e1 * t72971 * t17660 + 0.6e1 * t5540 * t14806 * t17678 - 0.28e2 * t132820 * t113408 + t128924 + t128928 - t13724 * t2506 - t13724 * t2509 / 0.2e1 - t8052 * t4137 * t135701 / 0.3e1 + t11369 * t5553 * t135706 - t132994 + t126443 - t126450;
  t135724 = 0.2e1 / 0.3e1 * t126451 - t122081 - 0.2e1 * t126454 + t126458 - t128955 - t128979 + t128982 / 0.6e1 + t128995 - t133007 - t129024 + t129027 / 0.2e1 + t129043 / 0.2e1 + t129050 - 0.3e1 * t28954 * t112502 + 0.2e1 / 0.3e1 * t8058 * t56704 * t17628 - t129052 - t126491 + t119016 + t50177 * t18209 / 0.2e1 + t50177 * t18213 / 0.2e1;
  t135746 = t168 * t135526;
  t135750 = t19945 * t2196;
  t135751 = t168 * t135750;
  t135766 = t168 * t135567;
  t135770 = t19982 * t2196;
  t135775 = -t5548 * t112409 / 0.3e1 - 0.3e1 / 0.2e1 * t5540 * t14826 * t16975 - t5540 * t2969 * t16979 + 0.1e2 / 0.3e1 * t29017 * t112946 - 0.6e1 * t5540 * t74000 * t17682 - 0.3e1 / 0.2e1 * t5540 * t14826 * t17645 + 0.12e2 * t133753 * t112955 - 0.7e1 * t72838 * t51752 - t129065 - t129071 / 0.3e1 - t129081 + t11372 * t4137 * t135746 / 0.2e1 + t8052 * t9270 * t135751 / 0.3e1 + 0.5e1 / 0.36e2 * t11381 * t29498 * t135746 + t8058 * t29911 * t1021 * t135750 + 0.2e1 * t11369 * t5591 * t135706 - t4145 * t14639 * t91011 + t8052 * t9270 * t135766 / 0.3e1 + t8055 * t45031 * t168 * t135770 / 0.2e1;
  t135811 = -t8058 * t29911 * t135766 / 0.6e1 + t126520 - t126521 - t126522 + t126523 - 0.4e1 / 0.3e1 * t8058 * t96109 - 0.43e2 / 0.9e1 * t100090 * t50165 * t17723 + 0.2e1 * t56196 * t17657 - 0.9e1 / 0.2e1 * t10506 * t14795 * t24794 * t10524 + 0.8e1 * t133163 * t114194 - t119085 - 0.2e1 / 0.3e1 * t5548 * t113551 - t11372 * t5582 * t135706 - 0.4e1 * t29017 * t113079 + t4145 * t14701 * t90098 + t4145 * t14713 * t90517 - 0.3e1 / 0.2e1 * t5559 * t2060 * t24823 * t135750 + 0.3e1 / 0.2e1 * t28954 * t112277 - 0.2e1 * t4145 * t14639 * t95887 + t133074;
  t135815 = t133108 / 0.6e1;
  t135841 = -t124099 / 0.3e1 + t135815 - 0.2e1 / 0.3e1 * t2947 * t120380 + t14542 * t17175 + t2947 * t120701 / 0.3e1 + t14542 * t16915 / 0.2e1 + t2947 * t120653 / 0.6e1 - 0.5e1 / 0.36e2 * t14535 * t130785 + 0.23e2 / 0.36e2 * t14535 * t131213 - 0.3e1 * t120623 + t122266 + 0.3e1 / 0.2e1 * t120631 + 0.3e1 * t5559 * t8227 * t24848 * t135526 - 0.3e1 / 0.2e1 * t5540 * t8227 * t24823 * t135526 - t11381 * t5549 * t135706 - t133125 - t133128 + t129116 + t133129;
  t135866 = -t119112 - t119120 + t119132 + t133142 - 0.5e1 / 0.3e1 * t72971 * t16990 - 0.35e2 / 0.108e3 * t100090 * t50165 * t17639 + t73279 * t16983 / 0.2e1 + t74749 * t16966 / 0.3e1 + t126889 + t16931 + t129119 - t129136 / 0.6e1 - t129138 / 0.6e1 - t2180 + t120642 / 0.6e1 - t120658 / 0.12e2 - t120660 / 0.4e1 + t6824 * t5553 * t4143 * t135556 / 0.3e1 - t5535 * t112812 * t2389 / 0.2e1 + t4145 * t112812 * t2402 / 0.2e1;
  t135871 = t56182 * t17666;
  t135876 = t56671 * t17666;
  t135880 = t133159 / 0.6e1;
  t135891 = t5540 * t9568 * t19959;
  t135901 = t19860 * t439;
  t135902 = t168 * t135901;
  t135912 = -0.2e1 * t100090 * t29517 * t17639 + t6830 * t135871 / 0.3e1 + t6827 * t129199 / 0.6e1 - t6824 * t135876 / 0.6e1 + t56164 * t17649 + t135880 + t11369 * t56671 * t17639 + 0.3e1 / 0.2e1 * t1663 * t18416 + 0.3e1 / 0.2e1 * t34826 * t18429 - t68390 * t2503 - t129159 - t44886 * t19960 / 0.2e1 - t135891 / 0.2e1 - t5540 * t2060 * t4549 * t135543 / 0.2e1 + t72838 * t131253 + 0.2e1 * t11369 * t58044 * t17639 + t8058 * t5587 * t135902 / 0.6e1 + t8058 * t50222 * t18184 / 0.6e1 - t34283 * t18206 - t34283 * t18201 / 0.2e1;
  t135915 = t19860 * t2196;
  t135946 = 0.2e1 / 0.3e1 * t5548 * t112405 - t126904 + t126905 - t126925 - t8055 * t9270 * t168 * t135915 / 0.6e1 + t8058 * t5549 * t135902 / 0.12e2 - t8052 * t35145 * t18184 / 0.6e1 + t8058 * t133066 / 0.6e1 - 0.6e1 * t4145 * t74916 * t95373 + t5535 * t14639 * t90163 - t119158 + t119159 - t8052 * t132815 / 0.3e1 - t8055 * t133192 / 0.3e1 + t8058 * t132900 / 0.6e1 + 0.2e1 * t73176 * t130766 - 0.23e2 / 0.18e2 * t72838 * t130769 + t129182 + t18216 - t8058 * t30214 * t135766 / 0.3e1;
  t135975 = t5559 * t9568 * t112691;
  t135987 = -t11369 * t5587 * t135746 - 0.23e2 / 0.36e2 * t11381 * t29498 * t1021 * t135526 - 0.11e2 / 0.9e1 * t11381 * t10485 * t135706 + 0.23e2 / 0.18e2 * t11381 * t10458 * t4143 * t135705 + 0.11e2 / 0.18e2 * t11381 * t29517 * t135746 + t5540 * t2060 * t24962 * t135567 + t129206 + t129212 - t11512 * t2817 / 0.2e1 - t126968 - t122340 - t126980 + t126981 + t126982 - t73176 * t131509 / 0.2e1 + t135975 / 0.2e1 + t5559 * t2060 * t4408 * t135543 / 0.2e1 + t11381 * t29911 * t135746 / 0.2e1 - t11369 * t5549 * t135746 / 0.2e1;
  t136006 = t1663 * t18474;
  t136012 = t1400 * t135655;
  t136023 = -t8058 * t29911 * t135751 / 0.4e1 - t17010 - t17011 - t11512 * t2814 - t1663 * t18305 / 0.4e1 + t10647 * t3006 / 0.2e1 + t5674 * t19912 + t1030 * t14967 * t131565 + t1454 * t19904 / 0.2e1 + t373 * t14987 * t17020 / 0.2e1 - t10647 * t3015 / 0.4e1 - t136006 / 0.4e1 - t14776 * t16922 / 0.2e1 - t2942 * t15979 / 0.6e1 - t1651 * t136012 / 0.12e2 - t14535 * t131008 / 0.2e1 - t1965 * t132958 / 0.3e1 - t17018 - t8052 * t133666 / 0.3e1 - t8055 * t133671 / 0.3e1;
  t136049 = -0.2e1 * t124369 + 0.6e1 * t120864 + 0.3e1 * t14826 * t17145 + 0.2e1 * t2969 * t17149 + 0.2e1 / 0.3e1 * t2973 * t131312 - 0.36e2 * t73967 * t17834 - 0.4e2 * t73979 * t17808 + 0.1e2 / 0.3e1 * t73976 * t24958 * t17807 + 0.5e2 / 0.3e1 * t73976 * t24794 * t17807 + t129360 + t126576 - t126577 + t126578 + t126579;
  t136058 = 0.4e1 * t14740 * t90517 - 0.4e1 / 0.3e1 * t14737 * t90163 - 0.8e1 * t14737 * t95887 + t15337 - t124008 + t124012 + t124017 - t128767 + t130807 + 0.2e1 * t561 * t17020 + t130828 - t124028 + t124030;
  t136077 = t124034 + 0.4e1 * t14734 * t90098 - 0.24e2 * t74052 * t95373 + 0.32e2 / 0.3e1 * t74080 * t96435 - 0.4e1 * t14737 * t91011 + 0.12e2 * t74080 * t96271 + 0.4e1 * t17742 - 0.4e1 * t17654 - 0.4e1 / 0.3e1 * t17657 + 0.2e2 / 0.9e1 * t17757 - 0.2e1 * t14740 * t17020 - 0.12e2 * t17683 - 0.4e1 * t17646;
  t136096 = -0.4e1 * t17649 - 0.4e1 * t17675 + 0.4e1 / 0.3e1 * t17761 - 0.2e1 / 0.3e1 * t17739 + 0.24e2 * t17765 - 0.12e2 * t17687 + 0.12e2 * t74075 * t95829 + 0.4e1 * t14734 * t95971 - 0.8e1 * t74052 * t96152 - 0.8e1 / 0.3e1 * t14737 * t95957 + 0.16e2 / 0.9e1 * t74080 * t96452 + 0.8e1 * t17679 - t15349;
  t136097 = t128784 - t128789 + t128793 - t130842 + t130843 + t130844 + t128801 + t128811 - t130845 + t130846 - t130847 - t130866 + t130875;
  t136099 = t136058 + t136077 + t136096 + t136097;
  t136108 = t2788 * t18302;
  t136114 = t9556 * t20070;
  t136117 = t126580 - t126581 - t126582 + t126583 - t559 * t1182 * t143 * t136099 - 0.2e1 / 0.3e1 * t73979 * t17830 - t14795 * t24794 * t17811 / 0.6e1 + t129388 + t129395 - t129399 - t129402 - 0.2e1 / 0.3e1 * t2060 * t4408 * t136108 - 0.4e1 * t2973 * t131320 - t136114 - t2056 * t1182 * t136108;
  t136119 = t2209 * t20040;
  t136128 = t9568 * t20065;
  t136130 = t78155 * t20033;
  t136132 = t2209 * t20062;
  t136137 = t1190 * t135526;
  t136140 = -t136119 - t559 * t4543 * t18331 * t2616 - t559 * t4543 * t2986 * t16952 + 0.2e1 * t2969 * t17158 - 0.2e1 / 0.3e1 * t136128 + 0.2e1 * t136130 - t136132 + t133364 + t133365 - t133366 + t133367 + 0.8e1 / 0.3e1 * t101658 * t17769 + 0.24e2 * t101658 * t17797 + 0.3e1 * t40190 * t136137;
  t136176 = -0.2e1 * t40179 * t1203 * t135567 - 0.2e1 * t101774 * t131260 + 0.2e1 / 0.9e1 * t74270 * t131263 + t74270 * t4633 * t17778 / 0.3e1 - t101658 * t50995 * t17768 / 0.9e1 - 0.12e2 * t101874 * t17788 - 0.6e1 * t74260 * t17109 - 0.4e1 * t101887 * t17113 - 0.1e2 / 0.3e1 * t74251 * t17116 - 0.4e1 * t74251 * t17791 + 0.4e1 / 0.3e1 * t101655 * t17769 + 0.3e1 * t40207 * t360 * t135526 + 0.2e1 * t40184 * t360 * t135750 + 0.2e1 * t40184 * t360 * t135567 + 0.2e1 * t124434;
  t136189 = t113699 * t439;
  t136208 = 0.2e1 * t124436 + t124438 / 0.3e1 + 0.4e1 / 0.3e1 * t126655 + t18330 + 0.3e1 * t57365 * t360 * t135770 - 0.24e2 * t101981 * t17782 - 0.6e1 * t74260 * t17785 + t8254 * t1190 * t136189 / 0.3e1 + 0.2e1 * t40179 * t1190 * t135750 + 0.2e2 * t74251 * t17106 + 0.12e2 * t101774 * t131268 + 0.4e1 / 0.3e1 * t74270 * t131271 + 0.2e1 * t74270 * t4624 * t17778 - 0.4e1 / 0.3e1 * t101658 * t25032 * t17768;
  t136222 = t45463 * t20036;
  t136224 = t101562 * t487;
  t136231 = t45378 * t135526;
  t136251 = -0.18e2 * t74270 * t17791 + 0.2e1 * t11528 * t360 * t101562 * t2616 + 0.2e1 * t11528 * t360 * t14779 * t16952 + 0.4e1 / 0.3e1 * t40179 * t1190 * t135567 + t136222 / 0.3e1 + t8254 * t1190 * t136224 / 0.3e1 - t40190 * t4633 * t135526 / 0.18e2 - 0.6e1 * t40190 * t136231 + 0.9e1 * t14795 * t24823 * t17811 - 0.12e2 * t14806 * t17824 + 0.36e2 * t73979 * t17838 - 0.12e2 * t73976 * t24848 * t17807 - 0.2e1 / 0.3e1 * t120870 - 0.6e1 * t57365 * t45387 * t135770 - 0.2e1 / 0.3e1 * t40179 * t45378 * t135567;
  t136269 = t20074 * t439;
  t136280 = -t40179 * t45378 * t135750 + t40190 * t51084 * t135526 / 0.9e1 - 0.6e1 * t40207 * t45387 * t135526 - 0.4e1 * t40184 * t45387 * t135750 - 0.2e1 * t40187 * t136231 - 0.4e1 * t40184 * t45387 * t135567 - t15307 + t17077 + t15361 + t17078 - t126668 - 0.2e1 / 0.3e1 * t2060 * t4408 * t136269 - 0.6e1 * t2973 * t131339 - 0.2e2 / 0.3e1 * t14795 * t131323 - 0.1e2 * t14795 * t24848 * t17811;
  t136281 = t9568 * t20093;
  t136290 = t136281 + t2060 * t4549 * t136108 - 0.8e1 * t126692 + t133418 - t133419 - t133420 - t133421 + t124473 + 0.2e1 * t120882 - t18342 + t126722 - t126723 - t126726 - t126727 + t559 * t1182 * t140 * t136099 / 0.2e1;
  t136306 = t45342 * t20029;
  t136315 = -t119320 - t119323 + t119330 - 0.6e1 * t40187 * t1203 * t135526 - 0.3e1 * t40179 * t1203 * t135750 + 0.72e2 * t101874 * t17794 + 0.24e2 * t74251 * t17779 + 0.8e1 * t101655 * t17797 + 0.2e1 * t136306 + 0.2e1 * t8251 * t360 * t136224 + 0.4e1 * t40187 * t136137 + t129459 / 0.3e1 + t129468 + 0.2e1 * t129475;
  t136327 = t45463 * t20026;
  t136329 = t129482 + 0.2e1 * t129485 - t129493 - t129495 - 0.2e1 / 0.3e1 * t129497 - t15890 + t15902 - t15905 + t18372 - t124529 - 0.2e1 / 0.3e1 * t124532 + t124553 / 0.2e1 + 0.2e1 * t8251 * t360 * t136189 + 0.2e1 * t11528 * t360 * t113699 * t2196 - 0.2e1 * t136327;
  t136354 = -0.2e1 * t8254 * t1203 * t136224 - 0.1e2 / 0.3e1 * t40190 * t4624 * t135526 - 0.2e1 * t8254 * t1203 * t136189 - 0.12e2 * t74270 * t17116 - 0.72e2 * t101655 * t17788 - t133452 + 0.2e2 / 0.3e1 * t14806 * t17086 + 0.2e1 * t120951 + 0.6e1 * t120954 + 0.2e1 / 0.3e1 * t120968 - t120971 / 0.9e1 + 0.2e1 * t120973 - 0.12e2 * t120978 - 0.4e1 * t120980 - 0.3e1 * t121006;
  t136356 = t2209 * t20075;
  t136363 = -t2969 * t17132 + t136356 / 0.2e1 + t17119 - t17120 - t15384 - t17123 + t126807 + 0.2e1 * t2973 * t131493 + t133458 - 0.8e1 / 0.3e1 * t126819 - t133462 + t133463 - 0.4e1 / 0.3e1 * t2973 * t131457 - t129559 + t129566;
  t136376 = -t559 * t4543 * t20074 * t2196 - t2056 * t1182 * t136269 + t2060 * t4549 * t136269 - 0.1e2 * t14806 * t17094 - t129576 + t129581 - t129583 - 0.2e1 * t129588 - t129595 + t129609 + t17130 - t17156 - t18375 + t18376;
  t136383 = t129612 / 0.2e1 - t133488 + 0.1e2 / 0.3e1 * t121018 - 0.4e1 / 0.3e1 * t121024 - 0.4e1 * t121028 + 0.6e1 * t121031 - t129614 - t129622 + t129626 - t129628 - t129632 + t129636 - t124633 + 0.4e1 * t126846 + t133490;
  t136401 = -t18402 - t18403 - t126853 + t126854 + t18404 + 0.6e1 * t14795 * t131399 + 0.4e1 * t2973 * t131369 - t14795 * t131358 / 0.9e1 + 0.12e2 * t74000 * t17815 + 0.3e1 * t14826 * t17818 + 0.24e2 * t73967 * t17827 + 0.8e1 * t14806 * t17812 - 0.3e1 * t121059 + t121065 / 0.18e2 - t121079;
  t136414 = 0.12e2 * t40187 * t45383 * t135526 + 0.6e1 * t40179 * t45383 * t135750 + 0.2e1 / 0.3e1 * t40190 * t51103 * t135526 + 0.4e1 * t40179 * t45383 * t135567 + t119433 - t119436 + t119445 + t126866 - t15930 + t15933 + t15935 - t2229 - t124695 - t126874 + t2210;
  t136437 = -t133285 - t133291 - t124231 / 0.2e1 + t124241 / 0.6e1 + t124245 / 0.2e1 - t120689 / 0.6e1 - t120694 / 0.2e1 - t120696 / 0.2e1 - t110 * t139 * (t136049 + t136117 + t136140 + t136176 + t136208 + t136251 + t136280 + t136290 + t136315 + t136329 + t136354 + t136363 + t136376 + t136383 + t136401 + t136414) * t168 / 0.4e1 - t129246 - t124301 / 0.6e1 + t124319 / 0.12e2 - t2030 * t17588 / 0.2e1 - t127063 - t490 * t101218 / 0.6e1 + t133580 - t133581 + t5540 * t2056 * t1182 * t135901 / 0.2e1 + t5540 * t559 * t4543 * t135915 / 0.2e1;
  t136438 = t5582 * t135557;
  t136443 = t5553 * t135557;
  t136464 = t6830 * t136438 / 0.6e1 + t6827 * t129191 / 0.12e2 - t6824 * t136443 / 0.12e2 - t4145 * t113291 * t2394 / 0.2e1 - t4145 * t113295 * t2257 / 0.4e1 - t120704 / 0.2e1 + t120710 / 0.2e1 + t124323 / 0.12e2 + t120713 / 0.6e1 - 0.3e1 / 0.2e1 * t5540 * t8220 * t1182 * t135526 - t5540 * t2056 * t4543 * t135750 - t18265 - t133582 + t133583 - t127109 + 0.7e1 / 0.3e1 * t120718 + t133585 + t18285 - t15986 - t15990;
  t136481 = t16006 + t16017 - t16022 - t16025 + t16034 + 0.3e1 / 0.2e1 * t120746 - 0.3e1 / 0.2e1 * t5540 * t559 * t24858 * t135770 - t5540 * t2056 * t4543 * t135567 + t127146 + t127147 - t127148 - t122387 - t129280 / 0.4e1 + t2251 - t129287 + t129291 - 0.3e1 * t5559 * t2973 * t131167 + 0.3e1 * t28954 * t113300 - t133615;
  t136484 = t133641 / 0.2e1;
  t136490 = t45849 * t19951;
  t136519 = -t133616 - 0.2e1 * t120762 - t124343 / 0.4e1 + t133635 - t136484 + 0.6e1 * t100105 * t17749 + 0.3e1 / 0.2e1 * t72838 * t29911 * t17628 - t136490 / 0.3e1 - t8058 * t44807 * t19950 / 0.3e1 - t8058 * t5549 * t1021 * t135543 / 0.3e1 + 0.6e1 * t5535 * t74916 * t96152 + 0.3e1 / 0.2e1 * t30060 * t19795 + 0.3e1 / 0.2e1 * t1454 * t19832 - 0.3e1 * t5674 * t19837 - 0.3e1 * t1454 * t19840 - t1663 * t18463 + 0.7e1 / 0.3e1 * t5621 * t112457 + 0.3e1 / 0.2e1 * t1663 * t18308 + t1663 * t18311 / 0.2e1 - 0.2e1 * t5647 * t112591;
  t136555 = t14542 * t17561 / 0.2e1 - t14776 * t17558 / 0.2e1 + t1958 * t133714 / 0.3e1 + t555 * t126917 / 0.6e1 + t8058 * t5549 * t135701 / 0.3e1 - 0.5e1 / 0.18e2 * t11381 * t10458 * t135706 - 0.3e1 * t11381 * t10458 * t5533 * t135705 + 0.3e1 * t30030 * t73811 * t96452 - t120771 - t122407 - t555 * t96389 / 0.6e1 + t100161 * t505 / 0.4e1 - t490 * t100156 / 0.12e2 - t129310 + t127200 + t120801 / 0.2e1 - t120803 / 0.2e1 + t124367 / 0.12e2 + t11512 * t2831 / 0.2e1 - t1965 * t132875 / 0.6e1;
  t136556 = t133682 / 0.2e1;
  t136566 = t373 * t9439 * t19921;
  t136603 = -t136556 + t4145 * t14701 * t95971 + 0.2e1 * t29017 * t112930 + t14626 * t2403 / 0.2e1 - t1454 * t19922 / 0.4e1 - t136566 / 0.4e1 - t373 * t1940 * t985 * t348 * t136099 / 0.4e1 + 0.3e1 / 0.2e1 * t1454 * t19901 + 0.2e1 * t100099 * t17712 + t73279 * t17715 / 0.2e1 + 0.11e2 / 0.6e1 * t72838 * t29517 * t17628 - 0.23e2 / 0.12e2 * t72838 * t29498 * t17659 - t8052 * t4137 * t135902 / 0.6e1 + t129324 - t129340 - 0.2e1 * t56164 * t17679 + 0.14e2 / 0.3e1 * t28954 * t113248 + t5559 * t2060 * t4408 * t135901 / 0.2e1 - t5540 * t2060 * t4549 * t135901 / 0.2e1 - 0.18e2 * t5559 * t73967 * t95170;
  t136607 = t46012 * t19979;
  t136615 = t46009 * t19984;
  t136623 = t45849 * t19976;
  t136649 = t5540 * t9556 * t19987;
  t136651 = -t136607 / 0.6e1 - t8052 * t28964 * t19946 / 0.6e1 - t8052 * t4137 * t135544 / 0.6e1 - t136615 / 0.6e1 - t8055 * t77581 * t19983 / 0.6e1 - t8058 * t44803 * t19963 / 0.6e1 + t136623 / 0.12e2 + t8058 * t44807 * t19946 / 0.12e2 + t8058 * t5549 * t135544 / 0.12e2 + 0.2e1 / 0.3e1 * t8058 * t5587 * t135701 - 0.3e1 / 0.2e1 * t120809 + 0.3e1 / 0.2e1 * t120813 + 0.47e2 / 0.3e1 * t133163 * t112572 + t127237 - t8058 * t30214 * t135751 / 0.2e1 - t28961 * t19997 / 0.2e1 - t4145 * t14713 * t17020 / 0.2e1 + t44886 * t19988 / 0.2e1 + t136649 / 0.2e1;
  t136659 = t5540 * t2209 * t19991;
  t136704 = t5540 * t2056 * t1182 * t135543 / 0.2e1 + t44886 * t19992 / 0.2e1 + t136659 / 0.2e1 + t5540 * t559 * t4543 * t135410 / 0.2e1 + t5540 * t559 * t4543 * t135415 / 0.2e1 + 0.5e1 / 0.18e2 * t72838 * t131512 + 0.5e1 / 0.3e1 * t100105 * t17640 + 0.5e1 / 0.12e2 * t72838 * t29498 * t17628 - t8055 * t81814 * t18189 / 0.6e1 + t8058 * t50186 * t18184 / 0.12e2 - 0.5e1 / 0.6e1 * t72971 * t16971 + t45074 * t19956 / 0.2e1 + t8055 * t126178 / 0.6e1 - t8058 * t132943 / 0.6e1 + 0.18e2 * t5540 * t73967 * t17764 - 0.5e1 * t5559 * t14806 * t90823 + 0.5e1 * t5540 * t14806 * t16986 + t51823 * t18232 / 0.2e1 - t50177 * t18236 / 0.2e1 - t51828 * t18228;
  t136721 = -t11372 * t56182 * t17639 - t8052 * t39994 * t17628 / 0.3e1 - t127238 - t133724 + t133747 - t127270 + t122464 + t120816 / 0.6e1 + t120820 + 0.3e1 * t120828 + t120833 / 0.2e1 - t129663 - 0.4e1 / 0.3e1 * t127278 - t127282 + 0.3e1 / 0.2e1 * t5540 * t2060 * t24962 * t135750 - 0.7e1 / 0.3e1 * t28954 * t112260 + t127283 - t127284 + t18462;
  t136731 = t1000 * t135655;
  t136734 = 0.3e1 * t4145 * t73192 * t95829 - t129675 - t127285 + t127286 + t129694 + t17045 + t17046 - t17047 - t17048 - t18476 - t127290 - t120846 / 0.6e1 - 0.3e1 * t120856 + 0.2e1 / 0.3e1 * t5548 * t112917 - t133814 + t133820 + t8058 * t133791 / 0.3e1 - t129716 - t129745 + t1644 * t136731 / 0.6e1;
  t136763 = t2178 * t19863;
  t136774 = t2178 * t19867;
  t136776 = t490 * t128650 / 0.12e2 - t442 * t112988 / 0.6e1 + t13724 * t2521 / 0.2e1 - t122555 + t121101 / 0.12e2 + t133824 + t127324 - 0.5e1 / 0.36e2 * t14535 * t5623 * t17553 - t2942 * t16933 / 0.6e1 - t2942 * t16955 / 0.6e1 + t555 * t987 * t50855 * t2955 / 0.12e2 + t555 * t987 * t6773 * t18439 / 0.12e2 + t2947 * t131015 / 0.6e1 + t2947 * t131018 / 0.6e1 + t136763 / 0.12e2 + t555 * t987 * t6006 * t19861 / 0.12e2 + t555 * t987 * t988 * t167 * t136099 / 0.12e2 + t136774 / 0.12e2 - t18477;
  t136801 = t124828 / 0.2e1 - t124836 / 0.6e1 + t127338 / 0.3e1 + t122565 - 0.6e1 * t50149 * t73976 * t24930 * t17638 + 0.3e1 * t96404 * t17757 - 0.18e2 * t5559 * t73976 * t24794 * t17638 + 0.6e1 * t5540 * t73976 * t24848 * t17638 + 0.18e2 * t10506 * t73976 * t24958 * t17638 - 0.6e1 * t56196 * t17761 + t17073 - t17074 + t16075 - t16082 + t127348 - t127350 + t127355 + t127356 + t127357 - 0.5e1 / 0.36e2 * t121145;
  t136821 = -t122599 + t133881 + t16580 - t18480 - t16587 - t16590 - t127378 + t129806 - t133914 + t133916 + t17206 + t56164 * t17675 - 0.2e1 / 0.3e1 * t5548 * t112423 + 0.3e1 * t56164 * t17683 + t56164 * t17646 - 0.4e1 * t29017 * t112431 - 0.6e1 * t5559 * t14806 * t10525 + 0.18e2 * t132820 * t112467 - t11381 * t56695 * t17639 - 0.38e2 / 0.9e1 * t100090 * t29498 * t17639;
  t136856 = 0.89e2 / 0.9e1 * t100090 * t50504 * t17729 + 0.3e1 * t56164 * t17687 + t121153 / 0.3e1 + 0.23e2 / 0.36e2 * t121159 + t122605 - 0.11e2 / 0.18e2 * t121168 - 0.3e1 * t1663 * t18412 - 0.11e2 / 0.18e2 * t14535 * t131242 + t2947 * t130933 / 0.3e1 + t2947 * t130936 / 0.3e1 + t1958 * t1000 * t135435 / 0.3e1 - t442 * t114131 / 0.12e2 + t1663 * t18469 / 0.4e1 + 0.3e1 * t5674 * t19914 + t127412 - t127418 + t34283 * t18230 - 0.3e1 * t10506 * t14795 * t131042 + 0.6e1 * t5559 * t14795 * t131117 + 0.14e2 / 0.3e1 * t28954 * t112861;
  t136862 = my_piecewise3(t100, 0, t135912 + t135467 + t135677 + t135987 + t135775 + t135866 + t135506 + t135709 + t136481 + t135841 + t135724 + t135811 + t135428 + t135589 + t136776 + t136704 + t136651 + t135651 + t136519 + t136821 + t136603 + t135562 + t136555 + t136023 + t136437 + t136464 + t136856 + t135625 + t136801 + t136721 + t135946 + t136734);
  tv4sigmalapltau217 = t3 * t136862;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 17] += tv4sigmalapltau217;

  t136863 = 0.9e1 * t127441;
  t136868 = 0.3e1 / 0.4e1 * t127449;
  t136879 = -t127435 + t127437 - t136863 + t121181 + 0.3e1 / 0.2e1 * t52729 * t18122 - t121185 + 0.16e2 / 0.3e1 * t25683 * t114882 + t136868 + 0.3e1 / 0.4e1 * t1891 * t17915 - t417 * t114389 / 0.4e1 - t417 * t115514 / 0.12e2 + t246 * t115512 * t420 * t249 / 0.4e1;
  t136885 = 0.9e1 * t127468;
  t136888 = t127470 / 0.4e1;
  t136896 = -0.6e1 * t13929 * t17237 + 0.22e2 / 0.3e1 * t114250 * t16768 + 0.3e1 * t121203 + t136885 + 0.9e1 / 0.2e1 * t1891 * t17889 - t136888 - 0.3e1 / 0.4e1 * t3123 * t115779 * t2166 - t121214 + t121220 + t121222 / 0.4e1 + t121229 + t7581 * t128427 / 0.2e1 + t7746 * t134669;
  t136918 = 0.23e2 / 0.12e2 * t70204 * t132204 - 0.2e1 * t70197 * t121457 - t7216 * t134957 / 0.4e1 + t7581 * t127909 / 0.4e1 + t7746 * t134962 / 0.2e1 + t127482 + t127484 + 0.44e2 / 0.27e2 * t114235 * t130106 - 0.3e1 / 0.2e1 * t13878 * t132647 + 0.7e1 * t13878 * t132650 - 0.3e1 / 0.2e1 * t69282 * t2444 + 0.3e1 / 0.2e1 * t14153 * t2453;
  t136923 = 0.9e1 * t127496;
  t136924 = 0.3e1 * t127502;
  t136925 = 0.9e1 / 0.2e1 * t127506;
  t136926 = 0.2e1 * t127516;
  t136927 = t20167 * t414;
  t136935 = 0.5e1 / 0.12e2 * t127538;
  t136938 = -t121261 + t127487 - 0.9e1 / 0.2e1 * t4738 * t2870 * t22070 * t18107 - t136923 - t136924 - t136925 + t136926 + t121265 - t121279 - t4779 * t1847 * t3409 * t136927 / 0.2e1 - 0.8e1 * t4738 * t14331 * t97191 - t136935 - 0.9e1 * t7462 * t17924;
  t136947 = t2087 * t20201;
  t136948 = t136947 / 0.6e1;
  t136952 = t246 * t8745 * t20288;
  t136953 = t136952 / 0.2e1;
  t136954 = t2087 * t20176;
  t136955 = t136954 / 0.4e1;
  t136956 = 0.6e1 * t127575;
  t136960 = -t515 * t3139 * t5044 * t20199 / 0.6e1 - 0.3e1 / 0.2e1 * t1293 * t20195 - t136948 + t1293 * t20289 / 0.2e1 + t136953 + t136955 - t136956 - t121288 - t121290 - 0.3e1 / 0.4e1 * t121295 - t121305 - t20276 * t1288 / 0.2e1;
  t136978 = t20198 * t414;
  t136979 = t95 * t136978;
  t136986 = 0.3e1 * t127613;
  t136987 = -0.3e1 / 0.2e1 * t10974 * t2907 + t20262 * t5064 + 0.3e1 / 0.2e1 * t1891 * t17892 - 0.3e1 / 0.2e1 * t5073 * t20131 + 0.3e1 / 0.2e1 * t644 * t13951 * t3171 * t633 * t17883 + 0.3e1 / 0.2e1 * t5073 * t20127 - 0.6e1 * t644 * t114394 * t15054 - t7216 * t27475 * t136979 / 0.3e1 + 0.8e1 * t4779 * t14331 * t18125 + t136986 - t121313 - t121317 + t121319;
  t137009 = 0.3e1 / 0.2e1 * t127620;
  t137010 = 0.23e2 / 0.12e2 * t127622;
  t137011 = t121339 - t121344 + 0.9e1 * t7462 * t17899 + 0.9e1 / 0.2e1 * t20252 * t118475 - 0.43e2 / 0.9e1 * t114235 * t129898 - t1748 * t134584 / 0.2e1 - 0.11e2 / 0.6e1 * t13878 * t132141 + 0.23e2 / 0.12e2 * t13878 * t132660 + 0.9e1 / 0.2e1 * t1891 * t17965 + 0.8e1 * t114235 * t26069 * t3678 * t2266 + 0.9e1 / 0.2e1 * t37303 * t17921 + t137009 + t137010;
  t137037 = 0.9e1 / 0.2e1 * t127625;
  t137038 = -0.23e2 / 0.12e2 * t20252 * t118498 + 0.6e1 * t246 * t114227 * t129910 + 0.18e2 * t3680 * t114227 * t130073 - 0.2e1 * t2844 * t121451 + 0.89e2 / 0.9e1 * t114235 * t129895 - 0.7e1 * t20252 * t118506 - 0.9e1 / 0.2e1 * t3680 * t114727 * t118267 - t118203 + t118208 - 0.8e1 / 0.3e1 * t69907 * t18129 - 0.3e1 / 0.2e1 * t70197 * t27475 * t18108 + 0.11e2 / 0.6e1 * t70204 * t26140 * t17999 + t137037;
  t137053 = 0.3e1 * t127661;
  t137054 = 0.2e1 * t127678;
  t137057 = t1891 * t17864;
  t137058 = 0.3e1 / 0.4e1 * t137057;
  t137061 = -t121351 - t2839 * t17948 / 0.3e1 - t2839 * t17953 / 0.3e1 + t20276 * t2108 / 0.2e1 + 0.2e1 * t115989 * t2268 + t2844 * t3250 * t17952 / 0.4e1 - t137053 + t127665 + t137054 + 0.3e1 / 0.2e1 * t10974 * t2903 - t137058 - 0.3e1 / 0.4e1 * t1891 * t17886;
  t137084 = -0.3e1 / 0.4e1 * t10974 * t2912 + t121358 - 0.3e1 / 0.2e1 * t14215 * t17213 + 0.3e1 * t13929 * t17233 + t2844 * t121497 - 0.35e2 / 0.108e3 * t114235 * t129931 + 0.5e1 / 0.3e1 * t114250 * t16714 + 0.3e1 * t5073 * t20269 - 0.11e2 / 0.18e2 * t20252 * t25948 - 0.2e1 * t20262 * t5068 - t20252 * t25936 / 0.2e1 + 0.23e2 / 0.36e2 * t20252 * t25951 + t2844 * t52155;
  t137109 = t20198 * t2105;
  t137114 = 0.7e1 / 0.3e1 * t20252 * t25939 + 0.3e1 / 0.2e1 * t25931 * t20247 + 0.3e1 / 0.2e1 * t10974 * t2915 - 0.3e1 / 0.2e1 * t52160 * t2899 - 0.3e1 * t1293 * t20303 - 0.3e1 / 0.2e1 * t20252 * t25926 - 0.3e1 * t5073 * t20300 + 0.3e1 / 0.2e1 * t1293 * t20297 + t20262 * t5102 / 0.2e1 + t2839 * t10969 / 0.2e1 - t4779 * t1843 * t3430 * t136978 - 0.3e1 / 0.2e1 * t4779 * t519 * t22055 * t137109;
  t137117 = 0.2e1 / 0.3e1 * t127686;
  t137118 = t127689 / 0.2e1;
  t137119 = t127698 / 0.2e1;
  t137129 = t127716 / 0.2e1;
  t137131 = -t4753 * t114415 / 0.3e1 - t137117 + t137118 - t137119 + t121361 - t121365 - 0.3e1 / 0.4e1 * t121367 - t121372 - 0.3e1 * t121398 - 0.3e1 * t36310 * t18096 + t7581 * t3130 * t253 * t543 * t17883 / 0.4e1 - t137129 - t7216 * t134050;
  t137136 = t95 * t136927;
  t137144 = 0.3e1 / 0.4e1 * t127723;
  t137161 = -0.3e1 / 0.2e1 * t70204 * t131884 + t7216 * t4770 * t137136 / 0.6e1 - 0.9e1 / 0.2e1 * t25733 * t115865 + 0.3e1 / 0.4e1 * t1293 * t20122 + t137144 + t2844 * t3250 * t17947 / 0.4e1 + t2839 * t10894 / 0.2e1 + t515 * t660 * t7198 * t17951 / 0.4e1 + t1293 * t20285 + t246 * t14040 * t17885 - 0.3e1 * t53889 * t17990 + 0.3e1 * t36310 * t17992;
  t137195 = 0.9e1 / 0.2e1 * t127818;
  t137196 = -t7216 * t134627 / 0.2e1 + 0.3e1 * t7462 * t17897 - 0.23e2 / 0.3e1 * t114250 * t16771 - 0.18e2 * t644 * t114227 * t129906 - t2844 * t3250 * t1291 * t2852 - t2844 * t3250 * t244 * t17951 + t2844 * t3172 * t17947 / 0.2e1 + t2844 * t3172 * t17952 / 0.2e1 + 0.3e1 / 0.2e1 * t1293 * t20235 - 0.3e1 / 0.2e1 * t246 * t13951 * t3171 * t628 * t17883 - 0.3e1 / 0.2e1 * t1293 * t20230 + t7216 * t53072 * t17999 / 0.2e1 + t137195;
  t137219 = -0.61e2 / 0.27e2 * t114235 * t129970 + 0.5e1 / 0.12e2 * t20252 * t118461 + t2844 * t121800 / 0.2e1 - 0.5e1 / 0.12e2 * t13878 * t131939 + 0.3e1 / 0.2e1 * t13929 * t17218 - t1748 * t134770 / 0.4e1 + t515 * t127877 / 0.4e1 + t1218 * t115980 + t1787 * t134773 / 0.2e1 - 0.3e1 / 0.2e1 * t14153 * t2447 - 0.3e1 / 0.4e1 * t14153 * t2450 + t127848 - t127852;
  t137220 = 0.3e1 * t127858;
  t137243 = -t137220 - 0.3e1 / 0.4e1 * t30 * t2436 * t2933 - t30 * t427 * t20218 / 0.4e1 - t20114 - t121429 - t2844 * t52165 / 0.2e1 - 0.5e1 / 0.36e2 * t20252 * t25826 - t2844 * t53771 / 0.4e1 - t515 * t97734 / 0.4e1 + 0.3e1 / 0.4e1 * t97739 * t530 + 0.3e1 / 0.2e1 * t1293 * t20313 - t417 * t115072 / 0.12e2 + t115077 * t432 / 0.4e1;
  t137248 = t127886 / 0.4e1;
  t137249 = t20115 - t20116 - t20117 + t20118 - t20119 + t16602 + t16603 - t16604 - t16605 - t16606 - t16607 - t137248;
  t137260 = t253 * t20189 * t414;
  t137274 = 0.3e1 * t127914;
  t137275 = 0.9e1 / 0.2e1 * t4779 * t2870 * t22051 * t18107 + t2160 - t121432 + t121439 - t121445 - t7581 * t8642 * t253 * t20189 * t2105 / 0.2e1 + t7216 * t4760 * t137260 / 0.4e1 - t4753 * t114915 - t7746 * t3130 * t137260 / 0.2e1 + 0.3e1 / 0.2e1 * t3123 * t14228 * t98005 + 0.3e1 / 0.2e1 * t3123 * t14231 * t99407 + t137274 + t121455;
  t137281 = 0.7e1 * t128022;
  t137282 = t20120 - t7746 * t3130 * t137136 / 0.6e1 - t127919 + t16279 - t20144 - t20145 + t20146 + t121461 + t121467 + t121468 / 0.4e1 - t128018 + t137281;
  t137283 = 0.3e1 / 0.2e1 * t128025;
  t137288 = 0.3e1 / 0.2e1 * t128031;
  t137289 = 0.11e2 / 0.6e1 * t128035;
  t137303 = -t137283 + t515 * t660 * t52585 * t2852 / 0.4e1 + t137288 - t137289 - t128053 + t121492 - t121496 + t4779 * t1843 * t819 * t136927 / 0.2e1 + 0.3e1 / 0.4e1 * t14153 * t2462 - t417 * t114545 / 0.4e1 - 0.18e2 * t3680 * t114743 * t16667 + 0.3e1 / 0.2e1 * t52729 * t18118 - t121671;
  t137320 = 0.3e1 * t128398;
  t137324 = -t121717 - 0.6e1 * t114549 * t2276 - 0.2e1 * t20262 * t15036 + 0.11e2 / 0.6e1 * t20252 * t118495 + 0.4e1 * t20262 * t15040 - 0.38e2 / 0.9e1 * t114235 * t129890 + 0.3e1 / 0.2e1 * t20252 * t118294 + 0.6e1 * t114250 * t16774 - t16647 + t16648 - t137320 - t4738 * t1847 * t22070 * t136978;
  t137334 = 0.9e1 / 0.2e1 * t128406;
  t137335 = 0.3e1 / 0.2e1 * t128425;
  t137354 = t4779 * t1847 * t22051 * t136978 + 0.9e1 * t4748 * t114955 * t2318 - 0.9e1 * t3123 * t114955 * t2331 + t137334 + t128420 - t128424 - t137335 - 0.3e1 / 0.2e1 * t4748 * t115707 * t2318 + 0.3e1 / 0.2e1 * t3123 * t115707 * t2331 - 0.9e1 / 0.2e1 * t9873 * t14293 * t21220 * t17998 + 0.9e1 / 0.2e1 * t26806 * t114895 * t16667 - 0.3e1 / 0.2e1 * t69904 * t17418 + t7216 * t53245 * t17999 / 0.4e1;
  t137371 = t20167 * t2105;
  t137383 = -t7581 * t83080 * t18108 / 0.2e1 - t7746 * t36303 * t17999 / 0.2e1 - 0.5e1 / 0.12e2 * t70204 * t131669 + t70197 * t121726 / 0.2e1 + 0.3e1 / 0.2e1 * t69907 * t17406 + t7216 * t4760 * t137136 / 0.12e2 - t7581 * t8642 * t95 * t137371 / 0.6e1 - 0.11e2 / 0.6e1 * t70204 * t132201 + t70197 * t121729 + 0.3e1 * t69907 * t17525 - t7216 * t134663 / 0.2e1 - t128431 + t128436;
  t137396 = t246 * t8745 * t20280;
  t137397 = t137396 / 0.4e1;
  t137398 = 0.8e1 * t127952;
  t137415 = -t15081 + t137398 - 0.2e1 / 0.3e1 * t17995 + 0.12e2 * t114585 * t16652 + 0.4e1 * t18126 - 0.24e2 * t114577 * t2331 + 0.32e2 / 0.3e1 * t114585 * t16672 + 0.4e1 / 0.3e1 * t114610 * t16672 + 0.24e2 * t114607 * t2331 - 0.12e2 * t114610 * t16652 + 0.8e1 * t2878 * t15103;
  t137434 = -0.12e2 * t114632 * t2323 - 0.4e1 * t2881 * t2166 + t15069 + t130331 - t130332 - 0.2e1 * t13904 * t17885 - 0.8e1 * t114582 * t15103 + 0.12e2 * t114570 * t2323 + 0.4e1 * t114574 * t2166 - 0.8e1 * t114577 * t2318 - 0.8e1 / 0.3e1 * t114582 * t15054 + 0.16e2 / 0.9e1 * t114585 * t16667;
  t137436 = t76022 * t2911;
  t137437 = 0.2e1 * t137436;
  t137440 = t2136 * t2911;
  t137441 = 0.2e1 * t137440;
  t137452 = -t137437 + t130365 + t130366 - 0.4e1 * t18118 - 0.4e1 * t18122 + t137441 + 0.2e1 * t521 * t17885 - 0.4e1 * t114607 * t2318 - 0.4e1 / 0.3e1 * t2878 * t15054 + 0.2e2 / 0.9e1 * t114610 * t16667 - 0.4e1 * t13901 * t99203;
  t137459 = 0.8e1 * t127978;
  t137460 = 0.4e1 / 0.3e1 * t127982;
  t137461 = 0.8e1 * t127986;
  t137462 = 0.8e1 * t127993;
  t137463 = 0.8e1 / 0.3e1 * t127997;
  t137464 = 0.4e1 * t13898 * t98005 + 0.4e1 * t13904 * t99407 - 0.4e1 / 0.3e1 * t13901 * t99216 + t137459 + t137460 - t137461 - t137462 + t137463 + t130378 - t130379 - t130380 + t130381;
  t137466 = t137415 + t137434 + t137452 + t137464;
  t137481 = t128454 + t121740 / 0.2e1 - t121743 + t121745 + 0.12e2 * t26289 * t116002 - 0.3e1 / 0.2e1 * t246 * t114560 * t2166 - 0.6e1 * t246 * t114556 * t2323 - t1293 * t20281 / 0.4e1 - t137397 - t246 * t1769 * t658 * t221 * t137466 / 0.4e1 + 0.3e1 * t70197 * t26082 * t635 * t18107 - 0.23e2 / 0.12e2 * t70204 * t25739 * t18132 + 0.3e1 / 0.2e1 * t53885 * t17995;
  t137503 = t2087 * t20170;
  t137504 = t137503 / 0.12e2;
  t137509 = t16723 + t7216 * t4770 * t137260 / 0.2e1 - 0.3e1 / 0.2e1 * t3123 * t14184 * t99203 + 0.3e1 / 0.2e1 * t4748 * t14184 * t99216 - 0.3e1 / 0.2e1 * t36310 * t18098 - t121773 + t121780 + t121785 - t2844 * t54253 / 0.4e1 + t515 * t660 * t661 * t94 * t137466 / 0.12e2 + t137504 + t515 * t660 * t5044 * t20168 / 0.12e2;
  t137521 = t2851 * t17883;
  t137529 = t41482 * t20191;
  t137530 = t137529 / 0.4e1;
  t137539 = t3123 * t83652 * t2911;
  t137540 = 0.3e1 / 0.4e1 * t137539;
  t137544 = -t2844 * t54382 / 0.2e1 - t515 * t97926 / 0.2e1 + t2844 * t54386 - t515 * t97922 / 0.4e1 + t7581 * t42955 * t95 * t137109 / 0.2e1 - t7581 * t8642 * t95 * t137521 / 0.3e1 - t7216 * t26082 * t136979 / 0.6e1 + t137530 + t7581 * t25657 * t20190 / 0.4e1 - 0.6e1 * t25683 * t115129 - 0.3e1 / 0.4e1 * t25662 * t20186 - t137540 - 0.3e1 / 0.4e1 * t3123 * t14231 * t17885;
  t137573 = t7746 * t8642 * t136979 / 0.3e1 + t4779 * t519 * t3430 * t137521 + 0.2e1 / 0.3e1 * t4753 * t115001 + 0.9e1 / 0.2e1 * t3123 * t114995 * t2323 + 0.3e1 / 0.2e1 * t3123 * t114988 * t2166 - t20244 + 0.3e1 * t4748 * t115555 * t15054 + t121791 - t121795 - 0.2e1 * t114235 * t129901 - 0.62e2 / 0.3e1 * t26067 * t114732 + 0.36e2 * t644 * t114743 * t16672 + 0.9e1 * t644 * t114727 * t118178;
  t137595 = 0.47e2 / 0.3e1 * t26067 * t114410 - 0.18e2 * t246 * t114743 * t16652 - 0.9e1 / 0.2e1 * t246 * t114727 * t118301 - 0.3e1 * t4779 * t14282 * t18117 - 0.2e1 * t4779 * t2866 * t18121 - 0.6e1 * t21206 * t114227 * t130187 + t118557 - t118560 - t118564 - t118566 + t118568 + t4753 * t115498 - 0.3e1 / 0.2e1 * t3123 * t115775 * t2323;
  t137603 = 0.3e1 * t128505;
  t137617 = -t20262 * t15058 - 0.3e1 * t114549 * t2271 - t2839 * t16276 / 0.2e1 - t137603 + t4779 * t519 * t3430 * t137371 / 0.2e1 - 0.3e1 * t3123 * t115555 * t15103 + 0.7e1 * t25733 * t115544 + 0.2e1 / 0.3e1 * t69910 * t18109 - t121823 - t4753 * t115502 + t121828 - 0.2e1 * t121836;
  t137618 = t128534 / 0.2e1;
  t137619 = 0.3e1 * t128539;
  t137620 = 0.2e1 * t128563;
  t137644 = t121838 - t137618 + t121845 + t137619 - t137620 + 0.2e1 * t4753 * t115915 + 0.9e1 / 0.2e1 * t70204 * t25739 * t3671 * t17998 + 0.9e1 * t4738 * t14293 * t21225 * t17998 - 0.9e1 / 0.2e1 * t4779 * t14293 * t22070 * t17998 - 0.9e1 * t4748 * t114895 * t16672 + 0.9e1 / 0.2e1 * t3123 * t114895 * t16652 + 0.3e1 / 0.2e1 * t70204 * t26082 * t17999 + t121851;
  t137652 = t115212 * t414;
  t137658 = 0.2e1 * t128080;
  t137659 = t115187 * t414;
  t137674 = t2118 * t20358;
  t137675 = 0.2e1 * t137674;
  t137682 = 0.2e1 * t10828 * t233 * t115212 * t2105 + t7584 * t827 * t137652 / 0.3e1 + t121506 + t121508 - t121510 - 0.12e2 * t121511 + 0.2e1 * t121519 - t121522 + t128073 + t137658 + 0.4e1 * t37040 * t840 * t137659 - 0.2e1 * t7584 * t840 * t137652 + 0.2e1 * t71443 * t3475 * t18027 + 0.32e2 * t71298 * t18028 - 0.6e1 * t2870 * t3409 * t18070 + t137675 - 0.2e1 / 0.3e1 * t37040 * t827 * t137659 + 0.18e2 * t98411 * t840 * t18037;
  t137720 = -0.4e1 * t36952 * t233 * t137659 - 0.6e1 * t53471 * t233 * t115187 * t2105 + 0.4e1 * t10828 * t233 * t14257 * t17883 + 0.2e1 * t7586 * t233 * t137652 + t20326 - t20327 + t20328 - 0.12e2 * t71223 * t18034 - 0.8e1 * t98346 * t18038 - 0.16e2 / 0.3e1 * t71298 * t18031 - 0.3e1 * t98411 * t827 * t18037 + t71443 * t3482 * t18027 / 0.3e1 + 0.24e2 * t20371 * t15196 + 0.2e1 * t20374 * t118638 - 0.9e1 * t2870 * t22051 * t18080 + 0.72e2 * t115256 * t2295 + t128101 - 0.18e2 * t71443 * t18031 - t128117;
  t137722 = 0.9e1 * t128132;
  t137723 = 0.12e2 * t128139;
  t137724 = t128142 / 0.6e1;
  t137725 = 0.4e1 * t128170;
  t137726 = 0.6e1 * t128185;
  t137727 = t128194 / 0.3e1;
  t137736 = 0.12e2 * t128200;
  t137737 = t2118 * t20354;
  t137738 = -t15157 - t137722 - t137723 + t137724 - t128145 - t128147 - t137725 + t137726 - t137727 - t115298 * t130552 / 0.9e1 + 0.6e1 * t2870 * t22070 * t18080 - t14293 * t21220 * t18050 / 0.6e1 - t121551 - t137736 + t121557 + t121562 - t137737 + t18042;
  t137739 = 0.18e2 * t128204;
  t137740 = 0.9e1 * t128206;
  t137745 = t20389 * t414;
  t137762 = 0.1e2 * t128220;
  t137763 = 0.6e1 * t128231;
  t137764 = 0.36e2 * t128235;
  t137765 = 0.2e1 * t128240;
  t137766 = 0.18e2 * t128244;
  t137775 = t137739 - t137740 - 0.2e1 * t519 * t3430 * t2883 * t17883 + 0.4e1 / 0.3e1 * t1847 * t22070 * t137745 + 0.4e1 * t2866 * t18071 + t2870 * t3375 * t18070 - 0.6e1 * t20392 * t2129 + 0.2e1 * t1843 * t3430 * t137745 + 0.3e1 * t519 * t22055 * t20389 * t2105 + t137762 + t137763 - t137764 - t137765 + t137766 - t128247 + 0.4e1 * t2866 * t18081 + 0.32e2 / 0.3e1 * t14331 * t18073 - 0.12e2 * t115256 * t2291 - 0.4e1 * t20371 * t15189;
  t137787 = t20365 * t414;
  t137812 = 0.4e1 / 0.3e1 * t115273 * t16808 + t20374 * t118632 / 0.3e1 + t128249 - t16163 + t20347 - t20348 - t519 * t819 * t63 * t137466 - 0.24e2 * t115292 * t2288 - t1843 * t819 * t137787 - t519 * t3430 * t20365 * t2105 - 0.2e1 / 0.3e1 * t1847 * t3375 * t137787 + 0.6e1 * t14282 * t18078 - 0.16e2 * t14331 * t18051 + t1847 * t3409 * t137787 + 0.9e1 * t14293 * t22070 * t18050 - 0.2e1 * t1847 * t22051 * t137745 + 0.24e2 * t115298 * t130577 - 0.4e1 / 0.3e1 * t115298 * t130623;
  t137818 = 0.4e1 * t128265;
  t137825 = 0.18e2 * t128283;
  t137827 = -0.1e2 * t14293 * t21225 * t18050 + 0.8e1 * t115273 * t16813 + t15168 + t16834 + t16835 - t137818 - 0.72e2 * t115273 * t16816 - 0.18e2 * t20374 * t118693 + 0.8e1 / 0.3e1 * t115298 * t130574 - t128269 - t118715 + t118717 + t118721 + t137825 - t121583 - 0.4e1 * t121584 + t121589 + t118742 - t118744;
  t137833 = 0.8e1 * t128325;
  t137844 = t2118 * t20366;
  t137845 = t137844 / 0.2e1;
  t137862 = t2118 * t20390;
  t137863 = -t118750 + t519 * t819 * t60 * t137466 / 0.2e1 + t128305 + t128318 + t137833 + 0.1e2 / 0.3e1 * t115298 * t130644 + 0.24e2 * t115256 * t2299 + 0.8e1 * t20371 * t15165 - 0.2e1 / 0.3e1 * t115273 * t16876 - t20374 * t118809 / 0.6e1 + t137845 - 0.2e1 * t2866 * t18045 - 0.4e2 * t115273 * t16869 - 0.1e2 * t20374 * t118784 + 0.3e1 * t2870 * t3409 * t18044 - 0.2e1 * t2870 * t3375 * t18044 + 0.12e2 * t115292 * t2302 + 0.3e1 * t20392 * t2142 - t137862;
  t137877 = -0.12e2 * t20371 * t15154 + 0.9e1 * t20374 * t118764 + 0.5e2 / 0.3e1 * t115298 * t130487 + 0.36e2 * t115273 * t16881 - 0.12e2 * t115298 * t130492 + t121619 + 0.6e1 * t121622 - t121627 - t121638 - t121640 + t121646 - t15178 - t16863 + t16864 - t16865 - t20364 - 0.36e2 * t115256 * t2306 - t2138 + t2119;
  t137888 = 0.3e1 * t128596;
  t137901 = -0.3e1 / 0.2e1 * t52729 * t18126 - t30 * t59 * (t137682 + t137720 + t137738 + t137775 + t137812 + t137827 + t137863 + t137877) * t95 / 0.4e1 - 0.3e1 / 0.4e1 * t30 * t18086 * t544 - t16900 + t16901 - t2089 + t128590 + t137888 - 0.18e2 * t644 * t114265 * t2318 + 0.18e2 * t246 * t114265 * t2331 - 0.7e1 * t25733 * t115559 + t69904 * t18000 + 0.5e1 / 0.12e2 * t70204 * t25739 * t17999;
  t137920 = 0.2e1 * t128604;
  t137927 = -0.4e1 / 0.3e1 * t69907 * t18112 - 0.3e1 / 0.4e1 * t70197 * t26082 * t18108 - t69910 * t16310 / 0.2e1 + t4738 * t1847 * t3375 * t136927 / 0.2e1 + 0.18e2 * t114250 * t16661 - 0.28e2 * t26348 * t115612 + 0.6e1 * t246 * t114394 * t15103 + t137920 - t128610 + t20292 - 0.3e1 * t1891 * t17910 - 0.9e1 * t1891 * t17962 - 0.9e1 / 0.2e1 * t4830 * t115784;
  t137933 = my_piecewise3(t2, 0, t137084 + t136987 + t137114 + t136938 + t137927 + t137303 + t137282 + t137544 + t137038 + t137011 + t137644 + t136918 + t137509 + t136896 + t137275 + t137595 + t137061 + t137617 + t137901 + t136960 + t137161 + t137481 + t137243 + t137573 + t137383 + t137249 + t137196 + t136879 + t137131 + t137324 + t137219 + t137354);
  tv4sigmatau30 = t3 * t137933;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 0] += tv4sigmatau30;

  tv4sigmatau31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 1] += tv4sigmatau31;

  tv4sigmatau32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 2] += tv4sigmatau32;

  tv4sigmatau33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 3] += tv4sigmatau33;

  tv4sigmatau34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 4] += tv4sigmatau34;

  tv4sigmatau35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 5] += tv4sigmatau35;

  tv4sigmatau36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 6] += tv4sigmatau36;

  tv4sigmatau37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 7] += tv4sigmatau37;

  tv4sigmatau38 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 8] += tv4sigmatau38;

  tv4sigmatau39 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 9] += tv4sigmatau39;

  tv4sigmatau310 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 10] += tv4sigmatau310;

  t137934 = 0.3e1 / 0.2e1 * t128624;
  t137935 = t128634 / 0.4e1;
  t137952 = t2178 * t20419;
  t137953 = t137952 / 0.6e1;
  t137961 = t137934 - t137935 + 0.47e2 / 0.3e1 * t29109 * t116721 - 0.9e1 / 0.2e1 * t373 * t116766 * t119498 - 0.28e2 * t29464 * t116774 + 0.6e1 * t373 * t116770 * t15457 + t555 * t987 * t8079 * t18439 / 0.4e1 - 0.23e2 / 0.12e2 * t20495 * t118951 - t137953 - t555 * t4707 * t6006 * t20417 / 0.6e1 - t5548 * t118010 / 0.3e1 - t5548 * t117329;
  t137965 = 0.3e1 * t128655;
  t137966 = 0.9e1 / 0.2e1 * t128659;
  t137967 = 0.3e1 * t128663;
  t137978 = 0.3e1 / 0.2e1 * t4145 * t14713 * t102238 - t121911 + t121923 - t121927 + t121931 + t137965 + t137966 - t137967 - 0.3e1 * t1454 * t20594 + 0.3e1 / 0.2e1 * t1454 * t20597 - t20587 * t1449 / 0.2e1 - 0.3e1 * t5674 * t20590 - 0.2e1 * t20500 * t5669;
  t137994 = 0.9e1 * t128676;
  t138000 = t20500 * t5686 / 0.2e1 - t2947 * t55957 / 0.4e1 - 0.3e1 / 0.2e1 * t20495 * t29030 + 0.3e1 / 0.2e1 * t30060 * t20569 + 0.3e1 / 0.4e1 * t100161 * t570 - t555 * t100156 / 0.4e1 - t442 * t116597 / 0.12e2 - t137994 + t121936 - 0.11e2 / 0.6e1 * t72838 * t133076 + 0.3e1 * t72971 * t17690 + t73176 * t122494;
  t138001 = t20407 * t2196;
  t138006 = t20407 * t439;
  t138007 = t168 * t138006;
  t138026 = t373 * t9439 * t20470;
  t138027 = t138026 / 0.4e1;
  t138034 = 0.8e1 * t128766;
  t138043 = t15337 - 0.4e1 * t14737 * t101292 - 0.4e1 / 0.3e1 * t14737 * t100820 + 0.4e1 * t14734 * t100996 - t138034 + t130807 + 0.4e1 * t14740 * t102238 + 0.4e1 * t18236 + 0.32e2 / 0.3e1 * t117080 * t17050 - 0.2e1 / 0.3e1 * t18232 + 0.12e2 * t117080 * t17057;
  t138057 = t77159 * t3014;
  t138058 = 0.2e1 * t138057;
  t138066 = -0.24e2 * t117069 * t2402 - 0.4e1 * t18209 + 0.12e2 * t117063 * t2394 + 0.4e1 * t117066 * t2257 - 0.8e1 * t117069 * t2389 - 0.8e1 / 0.3e1 * t117077 * t15473 + 0.16e2 / 0.9e1 * t117080 * t17190 - t138058 - 0.2e1 * t14740 * t18304 - 0.4e1 * t18213 - 0.8e1 * t117077 * t15457 + 0.4e1 / 0.3e1 * t117107 * t17050;
  t138068 = 0.8e1 * t128783;
  t138069 = 0.8e1 * t128788;
  t138070 = 0.8e1 / 0.3e1 * t128792;
  t138075 = 0.4e1 / 0.3e1 * t128800;
  t138076 = 0.8e1 * t128810;
  t138077 = -0.12e2 * t117107 * t17057 + 0.24e2 * t117112 * t2402 - t130842 + t130843 + t130844 + t138068 - t138069 + t138070 + t138075 + t138076 - t15349;
  t138092 = t2227 * t3014;
  t138093 = 0.2e1 * t138092;
  t138094 = -t130845 + t130846 - t130847 + 0.2e1 * t561 * t18304 + 0.8e1 * t2981 * t15457 - 0.4e1 * t117112 * t2389 - 0.4e1 / 0.3e1 * t2981 * t15473 + 0.2e2 / 0.9e1 * t117107 * t17190 - 0.12e2 * t117126 * t2394 - 0.4e1 * t2984 * t2257 + t138093 + t130875;
  t138096 = t138043 + t138066 + t138077 + t138094;
  t138103 = t8055 * t45031 * t168 * t138001 / 0.2e1 + t8052 * t9270 * t138007 / 0.3e1 - 0.3e1 / 0.2e1 * t373 * t14967 * t4161 * t1014 * t18302 + t555 * t987 * t6006 * t20454 / 0.12e2 - t121939 + 0.2e1 / 0.3e1 * t74749 * t18190 + t128685 + t128687 - t5548 * t116830 + 0.3e1 / 0.2e1 * t56164 * t18209 - t138027 - t373 * t1940 * t985 * t348 * t138096 / 0.4e1 + t1454 * t20467;
  t138117 = 0.3e1 / 0.2e1 * t128697;
  t138118 = 0.3e1 * t128702;
  t138121 = 0.3e1 * t128729;
  t138122 = 0.3e1 * t128739;
  t138123 = t373 * t14987 * t18304 + t2942 * t11754 / 0.2e1 - 0.3e1 / 0.2e1 * t14626 * t2506 - 0.3e1 / 0.4e1 * t14626 * t2509 - t2947 * t4686 * t371 * t18439 - t138117 + t138118 - t74749 * t16404 / 0.2e1 + t128722 + t138121 - t128735 + t138122;
  t138124 = 0.9e1 / 0.2e1 * t128746;
  t138128 = t2954 * t18302;
  t138142 = t138124 - t128757 - 0.3e1 / 0.2e1 * t73279 * t17667 - t121992 + t121999 + t73279 * t18185 - t8055 * t9270 * t168 * t138128 / 0.3e1 - t8058 * t29911 * t138007 / 0.6e1 + t122003 - t122013 - 0.2e1 * t116710 * t131128 + 0.89e2 / 0.9e1 * t116710 * t131218 - 0.38e2 / 0.9e1 * t116710 * t130705;
  t138162 = 0.3e1 / 0.4e1 * t128841;
  t138165 = 0.6e1 * t128857;
  t138166 = 0.22e2 / 0.3e1 * t116842 * t17197 - 0.23e2 / 0.3e1 * t116842 * t17200 + 0.23e2 / 0.12e2 * t14535 * t133923 - 0.61e2 / 0.27e2 * t116710 * t130970 + 0.44e2 / 0.27e2 * t116710 * t131559 - 0.3e1 / 0.2e1 * t14535 * t132796 + 0.3e1 * t8201 * t18323 - 0.9e1 / 0.2e1 * t5621 * t117381 - t2947 * t56773 / 0.4e1 + t138162 + t555 * t128650 / 0.4e1 - t138165 - t122036;
  t138167 = t128872 / 0.2e1;
  t138179 = -t138167 + t128877 + t16362 - t20405 + t20406 - t16907 + t16908 - 0.3e1 / 0.4e1 * t110 * t18408 * t584 + t2942 * t11507 / 0.2e1 + t2947 * t56243 + t20500 * t5665 - 0.5e1 / 0.36e2 * t20495 * t29311 + 0.3e1 / 0.2e1 * t1454 * t20609;
  t138197 = t128913 / 0.2e1;
  t138206 = 0.3e1 * t5674 * t20612 - 0.3e1 / 0.2e1 * t11512 * t3010 - t2947 * t56239 / 0.2e1 - 0.11e2 / 0.18e2 * t20495 * t29038 + 0.23e2 / 0.36e2 * t20495 * t29041 - 0.3e1 / 0.2e1 * t57852 * t3002 + 0.3e1 / 0.2e1 * t11512 * t3018 - t138197 - t122066 + 0.3e1 * t73176 * t29911 * t1021 * t18188 + t5548 * t117454 + 0.5e1 / 0.12e2 * t72838 * t29498 * t18184;
  t138223 = 0.3e1 / 0.4e1 * t128923;
  t138224 = 0.3e1 / 0.2e1 * t128927;
  t138228 = 0.5e1 / 0.12e2 * t128954;
  t138232 = -0.9e1 / 0.2e1 * t5540 * t14795 * t24823 * t18183 + 0.9e1 / 0.2e1 * t4145 * t117349 * t17057 - t8058 * t30214 * t138007 / 0.3e1 + 0.2e1 / 0.3e1 * t5548 * t117849 + 0.9e1 / 0.2e1 * t5540 * t2973 * t24962 * t18188 + t138223 + t138224 - 0.3e1 / 0.2e1 * t73176 * t30214 * t18189 + t122072 - t122075 - t122082 - t138228 + 0.3e1 / 0.2e1 * t4145 * t14701 * t100996;
  t138234 = 0.3e1 * t128978;
  t138235 = 0.3e1 * t129024;
  t138236 = 0.2e1 * t129049;
  t138237 = 0.9e1 / 0.2e1 * t129051;
  t138238 = -t138234 + t128983 + t128994 - t138235 + t129027 + t129043 + t138236 - t138237 - t122245 + t119016 - t129064 - t129072;
  t138239 = 0.2e1 * t129080;
  t138258 = t20453 * t439;
  t138263 = -t138239 - t8055 * t86253 * t18189 / 0.2e1 - t8052 * t39994 * t18184 / 0.2e1 - 0.3e1 / 0.2e1 * t4145 * t14639 * t101292 + 0.3e1 / 0.2e1 * t5535 * t14639 * t100820 + t122252 - t122254 - t122256 + t122260 - t8058 * t135674 - 0.3e1 / 0.2e1 * t72838 * t133203 + 0.7e1 * t72838 * t10485 * t17693 + t5540 * t2056 * t1182 * t138258 / 0.2e1;
  t138266 = t20453 * t2196;
  t138297 = t5540 * t559 * t4543 * t138266 / 0.2e1 - 0.2e1 * t5540 * t2969 * t18212 + 0.16e2 / 0.3e1 * t29017 * t117365 - 0.3e1 * t5540 * t14826 * t18208 - t119085 - 0.3e1 / 0.4e1 * t28961 * t20564 - 0.3e1 / 0.4e1 * t73176 * t29911 * t18189 - 0.4e1 / 0.3e1 * t72971 * t18198 - 0.9e1 * t4145 * t116416 * t2402 + t5540 * t2060 * t24962 * t138006 - t5559 * t2060 * t24823 * t138006 - 0.8e1 / 0.3e1 * t72971 * t18239;
  t138304 = t168 * t138258;
  t138326 = -0.23e2 / 0.12e2 * t72838 * t29498 * t18242 + 0.11e2 / 0.6e1 * t72838 * t29517 * t18184 + t8058 * t5587 * t138304 / 0.6e1 + t8058 * t56704 * t18184 / 0.2e1 - t2942 * t18436 / 0.3e1 - t442 * t117669 / 0.4e1 + 0.3e1 / 0.4e1 * t14626 * t2521 + t2947 * t4686 * t18435 / 0.4e1 + 0.9e1 / 0.2e1 * t20495 * t119546 - 0.43e2 / 0.9e1 * t116710 * t131206 - 0.2e1 * t2947 * t121933 + t122267 + t129115;
  t138335 = t2178 * t20432;
  t138336 = t138335 / 0.4e1;
  t138353 = 0.9e1 * t1030 * t116766 * t118910 + t555 * t987 * t56037 * t2955 / 0.4e1 + t138336 + 0.9e1 / 0.2e1 * t2030 * t18308 - t119112 - t119120 + t119132 + t8052 * t135871 + t8055 * t129199 / 0.2e1 + 0.9e1 * t8201 * t18320 - 0.18e2 * t1030 * t118055 * t2389 + 0.18e2 * t373 * t118055 * t2402 - 0.18e2 * t4395 * t116794 * t17190;
  t138356 = t129118 / 0.2e1;
  t138378 = t46009 * t20517;
  t138379 = t138378 / 0.4e1;
  t138380 = 0.6e1 * t116842 * t17203 + t138356 - t129137 - t129139 - t2180 - t2947 * t4686 * t1452 * t2955 + t2947 * t4162 * t18435 / 0.2e1 + t2947 * t4162 * t18440 / 0.2e1 - 0.3e1 * t116701 * t2342 + 0.11e2 / 0.6e1 * t20495 * t118948 - 0.9e1 / 0.2e1 * t4395 * t116766 * t118900 + t8055 * t4137 * t380 * t583 * t18302 / 0.4e1 + t138379;
  t138397 = t4145 * t86444 * t3014;
  t138398 = 0.3e1 / 0.4e1 * t138397;
  t138412 = 0.9e1 * t129158;
  t138413 = t8055 * t28964 * t20516 / 0.4e1 + 0.3e1 / 0.2e1 * t4145 * t117280 * t2257 + 0.23e2 / 0.12e2 * t72838 * t133573 + 0.9e1 / 0.2e1 * t4145 * t116498 * t2394 - t138398 - 0.3e1 / 0.4e1 * t4145 * t14713 * t18304 - 0.6e1 * t72971 * t17694 - 0.2e1 * t73176 * t122492 - t8058 * t136443 / 0.4e1 + t8055 * t129191 / 0.4e1 + t8052 * t136438 / 0.2e1 - t138412;
  t138430 = 0.2e1 * t129181;
  t138433 = -0.2e1 * t122305 + t122311 - 0.62e2 / 0.3e1 * t29109 * t117390 - 0.3e1 / 0.2e1 * t14776 * t17570 - t2942 * t16365 / 0.2e1 - t20500 * t15479 + t1958 * t136731 / 0.2e1 + 0.3e1 / 0.2e1 * t11512 * t3006 - t119158 + t119159 - 0.9e1 / 0.2e1 * t5559 * t2973 * t24823 * t18188 + t138430 - 0.3e1 / 0.2e1 * t56164 * t18236;
  t138462 = 0.9e1 / 0.2e1 * t129205;
  t138463 = 0.7e1 * t129211;
  t138464 = -0.3e1 * t56200 * t18228 + 0.3e1 * t39948 * t18230 - t8058 * t135558 / 0.2e1 - t5540 * t2060 * t4549 * t138258 / 0.2e1 - 0.3e1 / 0.2e1 * t5535 * t117832 * t2389 + 0.3e1 / 0.2e1 * t4145 * t117832 * t2402 - 0.9e1 / 0.2e1 * t10506 * t14795 * t24794 * t18183 + 0.9e1 * t5559 * t14795 * t24848 * t18183 + 0.9e1 / 0.2e1 * t30030 * t117349 * t17190 + t20491 + t138462 + t138463;
  t138484 = -0.3e1 / 0.4e1 * t122339 - t122351 + t122353 + t122356 - t17010 - t17011 - 0.18e2 * t1030 * t116738 * t130747 - 0.18e2 * t373 * t116794 * t17057 - 0.9e1 * t2030 * t18412 - 0.6e1 * t116701 * t2347 + 0.36e2 * t1030 * t116794 * t17050 - 0.5e1 / 0.12e2 * t72838 * t133004 - 0.3e1 / 0.2e1 * t4145 * t117998 * t2394;
  t138496 = 0.11e2 / 0.6e1 * t129245;
  t138510 = -0.3e1 / 0.4e1 * t4145 * t118002 * t2257 - 0.3e1 / 0.4e1 * t110 * t2495 * t3036 + t5540 * t559 * t4543 * t138128 - t138496 + t2947 * t121900 / 0.2e1 - 0.5e1 / 0.12e2 * t14535 * t132784 + 0.3e1 / 0.2e1 * t14542 * t17575 - t20522 + t20523 + 0.3e1 / 0.2e1 * t72838 * t29911 * t18184 + 0.5e1 / 0.3e1 * t116842 * t16927 + 0.5e1 / 0.12e2 * t20495 * t119468;
  t138522 = 0.3e1 * t129287;
  t138523 = -0.35e2 / 0.108e3 * t116710 * t130995 + 0.3e1 * t14542 * t17538 + t2947 * t122246 - 0.11e2 / 0.6e1 * t14535 * t133686 - t1965 * t136012 / 0.4e1 + t20587 * t2199 / 0.2e1 + t122369 + t122379 - t122386 - t122388 - t129281 + t2251 - t138522;
  t138525 = 0.2e1 * t129290;
  t138551 = t129309 / 0.4e1;
  t138558 = t138525 - t8052 * t4137 * t138304 / 0.6e1 - t8055 * t9270 * t168 * t138266 / 0.6e1 + t8058 * t56695 * t18184 / 0.4e1 - t5540 * t2056 * t4543 * t138006 - 0.3e1 / 0.2e1 * t5540 * t559 * t24858 * t138001 - 0.7e1 * t20495 * t119153 + t555 * t987 * t988 * t167 * t138096 / 0.12e2 - 0.3e1 / 0.4e1 * t122406 - t138551 + t122418 - 0.8e1 * t5559 * t14806 * t100136 + 0.8e1 * t5540 * t14806 * t18235;
  t138585 = 0.2e1 / 0.3e1 * t129339;
  t138586 = t5559 * t2060 * t4408 * t138258 / 0.2e1 + 0.2e1 * t5548 * t117336 - 0.3e1 * t39948 * t18206 - 0.3e1 / 0.2e1 * t39948 * t18201 - t442 * t117496 / 0.4e1 + 0.3e1 / 0.4e1 * t2030 * t18469 - t442 * t117659 / 0.12e2 + t373 * t117657 * t445 * t376 / 0.4e1 + 0.4e1 * t20500 * t15465 + 0.3e1 / 0.2e1 * t56164 * t18213 - 0.9e1 / 0.2e1 * t28954 * t117425 + t129323 - t138585;
  t138595 = 0.18e2 * t129387;
  t138596 = 0.6e1 * t129394;
  t138597 = 0.4e1 * t129398;
  t138607 = -t559 * t1182 * t143 * t138096 + 0.9e1 * t14795 * t24823 * t18346 + t2973 * t4408 * t18343 + 0.2e1 * t20672 * t119381 + 0.4e1 * t2969 * t18344 + 0.2e1 * t122094 - t122097 + t122099 + t122101 + t122103 - t122105 - 0.12e2 * t122108 + t122111 + t129361 - t129403 + t138595 + t138596 - t138597;
  t138621 = t116942 * t439;
  t138625 = t116927 * t439;
  t138637 = t20656 * t439;
  t138643 = -0.18e2 * t20672 * t119372 + t20672 * t119397 / 0.3e1 - t116911 * t131389 / 0.9e1 + 0.72e2 * t116914 * t2366 + 0.24e2 * t20669 * t15398 - t14795 * t24794 * t18346 / 0.6e1 + 0.4e1 * t40179 * t1203 * t138621 + t18329 - 0.2e1 * t8254 * t1203 * t138625 - 0.18e2 * t74270 * t18369 - 0.2e1 / 0.3e1 * t40179 * t1190 * t138621 - 0.4e1 * t40184 * t360 * t138621 - 0.2e1 * t2060 * t24962 * t138637 + 0.24e2 * t116911 * t131410 - t15307 + t17077 + t15361 + t17078 - t122134;
  t138663 = t2209 * t20629;
  t138679 = t20662 * t439;
  t138685 = 0.2e1 * t2056 * t4543 * t138637 + 0.3e1 * t559 * t24858 * t20656 * t2196 - 0.2e1 * t559 * t4543 * t2986 * t18302 + 0.4e1 / 0.3e1 * t2060 * t24823 * t138637 - 0.24e2 * t117026 * t2359 - 0.6e1 * t20659 * t2220 - t138663 + 0.4e1 * t2969 * t18389 + 0.32e2 / 0.3e1 * t14806 * t18347 - 0.16e2 * t14806 * t18377 - 0.9e1 * t2973 * t24962 * t18388 - 0.6e1 * t2973 * t4549 * t18343 - 0.1e2 * t14795 * t24848 * t18346 + t2060 * t4549 * t138679 + 0.8e1 * t116905 * t17099 - t20617 + t122158 - 0.4e1 * t122168;
  t138695 = 0.2e1 * t129467;
  t138696 = 0.8e1 * t129481;
  t138705 = -t122185 - t122187 - t119320 - t119323 + t119330 + t8254 * t1190 * t138625 / 0.3e1 - 0.12e2 * t74260 * t18362 - 0.8e1 * t101887 * t18366 - 0.16e2 / 0.3e1 * t74251 * t18369 + t129460 + t138695 + t129476 + t138696 + t129486 - t129494 - t129496 - t129498 - 0.6e1 * t57365 * t360 * t116942 * t2196 + 0.4e1 * t11528 * t360 * t14779 * t18302;
  t138714 = t2209 * t20636;
  t138715 = 0.2e1 * t138714;
  t138737 = -0.3e1 * t101774 * t1190 * t18365 + t74270 * t4633 * t18358 / 0.3e1 + t20622 + t138715 + t17119 - t17120 - t15384 - t17123 + 0.6e1 * t122198 - 0.36e2 * t116914 * t2377 - 0.12e2 * t116914 * t2362 - 0.4e1 * t20669 * t15389 + 0.4e1 / 0.3e1 * t116905 * t17153 - 0.2e1 / 0.3e1 * t2060 * t4408 * t138679 + 0.6e1 * t2973 * t24823 * t18388 + 0.8e1 / 0.3e1 * t116911 * t131404 - 0.4e1 / 0.3e1 * t116911 * t131336 - 0.72e2 * t116905 * t17091;
  t138745 = 0.9e1 * t129558;
  t138766 = 0.1e2 * t129565;
  t138767 = t2209 * t20657;
  t138774 = 0.12e2 * t129575;
  t138775 = t129580 / 0.6e1;
  t138776 = -t2056 * t1182 * t138679 - t559 * t4543 * t20662 * t2196 + 0.6e1 * t14826 * t18385 - t138745 - 0.2e1 / 0.3e1 * t116905 * t17135 - 0.4e2 * t116905 * t17138 + 0.1e2 / 0.3e1 * t116911 * t131485 - 0.2e1 * t2973 * t4408 * t18331 + 0.36e2 * t116905 * t17162 - 0.12e2 * t116911 * t131450 + 0.3e1 * t2973 * t4549 * t18331 + 0.12e2 * t117026 * t2373 + 0.3e1 * t20659 * t2233 + t138766 - t138767 + 0.5e2 / 0.3e1 * t116911 * t131445 + t559 * t1182 * t140 * t138096 / 0.2e1 - t138774 + t138775;
  t138778 = 0.9e1 * t129582;
  t138791 = 0.12e2 * t129594;
  t138795 = t2209 * t20663;
  t138796 = t138795 / 0.2e1;
  t138797 = 0.18e2 * t129608;
  t138812 = -t138778 + 0.2e1 * t8251 * t360 * t138625 + 0.2e1 * t11528 * t360 * t116927 * t2196 + 0.2e1 * t74270 * t4624 * t18358 - t129589 + 0.32e2 * t74251 * t18359 - t138791 + 0.18e2 * t101774 * t1203 * t18365 - t20626 + t20627 + t138796 + t138797 + 0.24e2 * t116914 * t2370 - 0.2e1 * t2969 * t18332 + 0.9e1 * t20672 * t119196 - 0.12e2 * t20669 * t15328 + 0.8e1 * t20669 * t15315 - t20672 * t119185 / 0.6e1 - 0.1e2 * t20672 * t119199;
  t138813 = 0.4e1 * t129614;
  t138814 = t129621 / 0.3e1;
  t138815 = 0.6e1 * t129626;
  t138816 = 0.36e2 * t129627;
  t138817 = 0.2e1 * t129631;
  t138818 = 0.18e2 * t129635;
  t138819 = t129612 - t138813 - t138814 + t138815 - t138816 - t138817 + t138818 - t20639 - t16508 - t122217 + t122223 + t20640 + t119433 - t119436 + t119445 + t122226 - t2229 - t122231 + t2210;
  t138836 = 0.3e1 * t129663;
  t138837 = -t110 * t139 * (t138607 + t138643 + t138685 + t138705 + t138737 + t138776 + t138812 + t138819) * t168 / 0.4e1 + t122430 + t116602 * t457 / 0.4e1 + 0.7e1 / 0.3e1 * t20495 * t29026 - t20495 * t29023 / 0.2e1 - t122453 - 0.3e1 * t4145 * t116455 * t15457 - t122459 + t122465 - t138836 - t122487 + t122497;
  t138839 = t380 * t20515 * t439;
  t138846 = 0.9e1 * t129693;
  t138849 = -t122500 + t8058 * t5549 * t138839 / 0.4e1 - t8052 * t4137 * t138839 / 0.2e1 + t20548 - t129674 - t122504 + t122511 + t138846 - 0.2e1 * t20500 * t15461 + t17045 + t17046 - t17047 - t17048;
  t138853 = t2178 * t20456;
  t138854 = t138853 / 0.12e2;
  t138865 = 0.3e1 / 0.2e1 * t129715;
  t138868 = t129744 / 0.2e1;
  t138873 = -t20563 - t122519 - 0.7e1 * t28954 * t116691 + t138854 + 0.3e1 / 0.2e1 * t20495 * t119136 - 0.6e1 * t373 * t117798 * t2394 - 0.3e1 / 0.2e1 * t373 * t117802 * t2257 - t1454 * t20471 / 0.4e1 - t138865 - t555 * t100653 / 0.4e1 - t138868 + 0.3e1 / 0.2e1 * t1454 * t20549 - 0.3e1 / 0.2e1 * t1454 * t20554;
  t138900 = t2947 * t4686 * t18440 / 0.4e1 - t555 * t101218 / 0.2e1 + 0.2e1 * t117993 * t2339 - t122556 + 0.8e1 * t29109 * t118049 + 0.12e2 * t29207 * t117719 + 0.3e1 / 0.4e1 * t1454 * t20475 - t2942 * t18441 / 0.3e1 + t73176 * t122549 / 0.2e1 - t20567 - t8055 * t9270 * t380 * t20515 * t2196 / 0.2e1 + 0.3e1 / 0.2e1 * t72971 * t17672 + 0.9e1 / 0.2e1 * t28954 * t117440;
  t138932 = 0.9e1 * t5535 * t116416 * t2389 + 0.3e1 * t5535 * t116455 * t15473 + 0.3e1 / 0.2e1 * t2030 * t18311 - 0.6e1 * t5647 * t116622 + 0.3e1 / 0.2e1 * t1030 * t14967 * t4161 * t1019 * t18302 - 0.3e1 / 0.2e1 * t5674 * t20484 - 0.6e1 * t1030 * t116770 * t15473 + 0.18e2 * t29464 * t117710 + 0.3e1 / 0.2e1 * t5674 * t20480 - 0.3e1 * t2030 * t18463 + 0.7e1 * t5621 * t117974 + t122564 / 0.4e1;
  t138942 = t2030 * t18474;
  t138943 = 0.3e1 / 0.4e1 * t138942;
  t138946 = -t8058 * t135876 / 0.2e1 + t17073 - t17074 + t8058 * t5587 * t138839 / 0.2e1 + t122576 + 0.3e1 * t122578 + t122585 + t122589 / 0.2e1 - t122600 - 0.3e1 / 0.4e1 * t11512 * t3015 - t138943 - 0.3e1 / 0.4e1 * t2030 * t18305 + t20604;
  t138957 = 0.23e2 / 0.12e2 * t129805;
  t138962 = t373 * t9439 * t20409;
  t138963 = t138962 / 0.2e1;
  t138966 = -t20605 - t20606 - t20607 - 0.9e1 * t5535 * t117349 * t17050 + 0.3e1 / 0.2e1 * t56196 * t18232 - 0.3e1 * t122602 - t110 * t452 * t20544 / 0.4e1 + t138957 + t17206 + t122604 / 0.4e1 + t1454 * t20410 / 0.2e1 + t138963 - 0.3e1 / 0.2e1 * t1454 * t20414;
  t138995 = t1391 * t117317 - t2947 * t56024 / 0.2e1 + t2947 * t56028 - 0.3e1 / 0.2e1 * t72906 * t2503 + 0.3e1 / 0.2e1 * t14626 * t2512 - t1965 * t135656 / 0.2e1 + 0.9e1 / 0.2e1 * t2030 * t18416 - 0.6e1 * t25375 * t116738 * t131124 + 0.6e1 * t373 * t116738 * t131137 + 0.9e1 / 0.2e1 * t40761 * t18429 - 0.9e1 * t8201 * t18217 + 0.18e2 * t4395 * t116738 * t130743 + t8058 * t5549 * t138304 / 0.12e2;
  t139001 = my_piecewise3(t100, 0, t137961 + t138586 + t138849 + t138413 + t138946 + t138123 + t138966 + t138380 + t138900 + t138142 + t137978 + t138837 + t138166 + t138297 + t138103 + t138523 + t138484 + t138353 + t138326 + t138263 + t138995 + t138000 + t138232 + t138932 + t138238 + t138206 + t138558 + t138433 + t138464 + t138179 + t138873 + t138510);
  tv4sigmatau311 = t3 * t139001;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 11] += tv4sigmatau311;

  t139005 = t3139 * t6255 * t18692;
  t139009 = t20729 * t3447 * t2541;
  t139016 = t20819 * t244 * t18692;
  t139022 = t20819 * t18693;
  t139026 = t20818 * t628 * t18582;
  t139039 = t20729 * t18704;
  t139044 = -t122618 + 0.3e1 / 0.2e1 * t18650 * t2544 - 0.2e1 / 0.3e1 * t466 * t139005 - 0.9e1 * t3680 * t102586 * t139009 + 0.2e1 * t1532 * t18689 + 0.11e2 / 0.3e1 * t2534 * t139016 + 0.7e1 / 0.3e1 * t122656 + 0.9e1 * t122680 - 0.6e1 * t122691 - 0.11e2 / 0.12e2 * t2534 * t139022 + 0.11e2 / 0.2e1 * t246 * t12096 * t139026 - 0.2e1 * t122716 + 0.9e1 * t122731 + 0.3e1 * t122740 + 0.7e1 / 0.6e1 * t122771 - 0.3e1 / 0.2e1 * t122784 - 0.12e2 * t122827 + 0.14e2 * t246 * t102726 * t18523 - 0.9e1 * t246 * t102586 * t139039 - t1532 * t18701;
  t139047 = t3227 * t18541;
  t139050 = t21461 * t18541;
  t139074 = 0.4e1 * t130360;
  t139075 = -t15081 + 0.12e2 * t2566 * t18523 - 0.24e2 * t139047 * t3508 + 0.32e2 / 0.3e1 * t139050 * t3685 + 0.12e2 * t139050 * t3660 - 0.8e1 * t139047 * t3504 + 0.16e2 / 0.9e1 * t139050 * t3681 + 0.12e2 * t662 * t18541 * t3643 + 0.8e1 * t102648 * t2592 - 0.12e2 * t102640 * t18523 - 0.8e1 * t2569 * t2592 + t15069 - 0.2e1 * t11845 * t18700 + 0.4e1 * t11845 * t18688 - 0.4e1 * t102640 * t18705 - t139074;
  t139081 = 0.4e1 * t130374;
  t139101 = -0.12e2 * t122879 + 0.2e1 * t122889 + 0.12e2 * t122897 - 0.12e2 * t122909 + 0.4e1 * t122913 + t139081 + 0.12e2 * t122933 + 0.2e1 * t472 * t18700 - 0.2e1 * t2566 * t18705 - 0.4e1 * t472 * t18688 - 0.12e2 * t18609 * t222 - 0.4e1 * t18597 * t634 - 0.12e2 * t18600 * t3664 + 0.4e1 / 0.3e1 * t18600 * t3516 + 0.24e2 * t18597 * t629 + 0.2e2 / 0.9e1 * t18600 * t3544;
  t139102 = t139075 + t139101;
  t139104 = t658 * t221 * t139102;
  t139110 = t20730 * t642 * t2542;
  t139115 = t660 * t661 * t94 * t139102;
  t139118 = t3250 * t18513;
  t139121 = t2541 * t18511;
  t139122 = t3430 * t139121;
  t139132 = t21550 * t2543;
  t139136 = t20729 * t3401 * t2541;
  t139148 = t3171 * t633 * t18511;
  t139152 = -t246 * t1559 * t139104 / 0.4e1 - 0.5e1 / 0.6e1 * t122849 + 0.9e1 * t18544 * t139110 + t466 * t139115 / 0.12e2 + t2534 * t139118 / 0.3e1 - t118203 + t118208 + 0.3e1 / 0.2e1 * t4779 * t470 * t139122 - 0.2e1 * t130000 + 0.14e2 * t122973 + 0.23e2 / 0.6e1 * t122982 + 0.2e1 * t123002 - 0.18e2 * t123008 - 0.3e1 * t123019 + 0.3e1 * t18544 * t139132 + 0.18e2 * t644 * t102586 * t139136 - 0.7e1 / 0.3e1 * t18553 * t18517 + 0.4e1 * t1532 * t18697 + 0.3e1 / 0.2e1 * t246 * t12183 * t18700 + 0.2e1 * t644 * t12096 * t139148;
  t139155 = t8642 * t95 * t139121;
  t139161 = t660 * t58694 * t2542;
  t139164 = t20920 * t18693;
  t139172 = t3171 * t628 * t18511;
  t139180 = t20752 * t18530;
  t139186 = t660 * t6255 * t18512;
  t139189 = t3250 * t18489;
  t139191 = t2526 * t2526;
  t139194 = t191 * t21182 * t139191 * t21185;
  t139199 = t3658 * t139191;
  t139212 = -t6488 * t139155 / 0.2e1 + 0.28e2 / 0.3e1 * t18553 * t18531 + t466 * t139161 / 0.2e1 - 0.11e2 / 0.6e1 * t2534 * t139164 - 0.14e2 / 0.3e1 * t18553 * t18527 - 0.6e1 * t1532 * t18524 - 0.2e1 * t246 * t12096 * t139172 - t2529 * t18514 / 0.2e1 + t2529 * t18694 + 0.6e1 * t123038 - 0.14e2 * t18544 * t139180 - 0.4e1 / 0.3e1 * t2529 * t18490 + t466 * t139186 / 0.3e1 + t2534 * t139189 - 0.43e2 / 0.9e1 * t139194 * t21875 - 0.2e1 * t139194 * t21231 - 0.18e2 * t246 * t139199 * t21731 + 0.2e1 * t18553 * t6350 - 0.3e1 * t12216 * t2588 + 0.2e1 * t191 * t194 * t139191 * t3415 * t223;
  t139225 = t21207 * t139191;
  t139234 = t191 * t616 * t139191 * t3396;
  t139247 = t20818 * t633 * t18582;
  t139256 = t20730 * t2543;
  t139260 = t2160 - t123078 / 0.2e1 + 0.3e1 / 0.2e1 * t123080 + 0.7e1 * t123097 - 0.14e2 / 0.3e1 * t123100 - 0.7e1 * t123112 - 0.11e2 / 0.2e1 * t644 * t12096 * t139247 - 0.14e2 * t644 * t102726 * t18705 - 0.3e1 / 0.2e1 * t12216 * t2593 + 0.5e1 / 0.6e1 * t18544 * t139256 + 0.2e1 / 0.3e1 * t15601;
  t139272 = t18582 * t2541;
  t139275 = t20890 * t661 * t94 * t139272;
  t139279 = t3250 * t1530 * t2542;
  t139290 = t191 * t3512 * t139191 * t21719;
  t139293 = t645 * t139191;
  t139309 = -0.11e2 / 0.3e1 * t123122 - 0.18e2 * t123128 + 0.6e1 * t123132 + 0.9e1 * t123138 - 0.3e1 * t123142 - 0.2e1 * t15611 - 0.2e1 / 0.3e1 * t15614 + 0.4e1 / 0.3e1 * t15618 + t466 * t139275 / 0.2e1 - 0.4e1 * t2534 * t139279 + 0.47e2 / 0.3e1 * t139194 * t21854 + 0.3e1 * t12216 * t2596 + 0.6e1 * t1532 * t18671 + 0.6e1 * t139290 * t3665 + 0.18e2 * t246 * t139293 * t21407 - 0.23e2 / 0.3e1 * t139290 * t3545 - 0.35e2 / 0.108e3 * t139194 * t21757 + 0.18e2 * t139290 * t3673 + 0.18e2 * t3680 * t139225 * t21216 + 0.6e1 * t246 * t139225 * t21226;
  t139324 = t16717 / 0.4e1;
  t139332 = 0.3e1 / 0.2e1 * t130295;
  t139333 = t130297 / 0.2e1;
  t139334 = t130311 / 0.4e1;
  t139336 = 0.3e1 / 0.4e1 * t16742;
  t139337 = t20730 * t18530;
  t139342 = 0.18e2 * t123293 - t15661 / 0.3e1 + 0.6e1 * t6295 * t18706 + t139332 - t139333 + t139334 + 0.2e1 / 0.3e1 * t130399 - t139336 - 0.23e2 / 0.6e1 * t18544 * t139337 + t2529 * t12211 - t2534 * t59401;
  t139348 = t20889 * t221 * t139272;
  t139377 = 0.5e1 / 0.3e1 * t139290 * t3602 - 0.3e1 / 0.2e1 * t246 * t1559 * t139348 - 0.3e1 * t246 * t12183 * t18688 - 0.9e1 / 0.2e1 * t246 * t103173 * t2592 + t118557 - t118560 - t118564 - t118566 + t118568 + t15777 - t15783 / 0.3e1 + 0.28e2 / 0.3e1 * t18544 * t32462 + 0.6e1 * t32471 * t18676 + 0.8e1 * t139194 * t21199 - 0.2e1 * t18650 * t1527 - 0.3e1 * t139234 * t752 - 0.22e2 / 0.9e1 * t18544 * t32444 - 0.61e2 / 0.27e2 * t139194 * t22434 + 0.4e1 * t18553 * t6286 + 0.22e2 / 0.3e1 * t139290 * t3517;
  t139393 = t22055 * t63 * t139272;
  t139398 = t22051 * t18588;
  t139401 = t69 * t139191;
  t139402 = t139401 * t21719;
  t139405 = t21181 * t139191;
  t139406 = t139405 * t21185;
  t139412 = t233 * t11819 * t18511;
  t139415 = t3375 * t18594;
  t139419 = t22070 * t2561;
  t139428 = t819 * t63 * t139102;
  t139430 = t615 * t139191;
  t139431 = t139430 * t3396;
  t139438 = t21220 * t2571;
  t139441 = t21225 * t2571;
  t139445 = -0.36e2 * t18570 * t139419 + 0.1e2 / 0.3e1 * t139406 * t22014 - 0.2e1 / 0.3e1 * t139402 * t3483 + 0.12e2 * t123465 - t470 * t139428 + 0.24e2 * t139431 * t828 - 0.4e2 * t139402 * t3476 + 0.56e2 / 0.3e1 * t18566 * t18562 - t18570 * t139438 / 0.3e1 - 0.2e2 * t18570 * t139441 - 0.28e2 / 0.3e1 * t123475;
  t139448 = t22055 * t60 * t139272;
  t139453 = 0.3e1 * t130501;
  t139454 = 0.3e1 / 0.2e1 * t130502;
  t139462 = 0.3e1 * t470 * t139448 + 0.14e2 / 0.3e1 * t123496 - 0.28e2 * t123499 - t139453 + t139454 + 0.18e2 * t123518 - 0.36e2 * t139431 * t841 - 0.72e2 * t123523 - 0.4e1 * t123528 + 0.36e2 * t123531 + 0.14e2 * t123534;
  t139466 = t193 * t139191;
  t139470 = t3375 * t18558;
  t139474 = 0.3e1 * t130523;
  t139475 = 0.6e1 * t130541;
  t139476 = -0.4e1 * t15697 + 0.8e1 / 0.3e1 * t15709 + 0.4e1 * t15712 + 0.12e2 * t139466 * t3415 * t234 - 0.8e1 / 0.3e1 * t2558 * t139470 - 0.9e1 * t123557 - t139474 + t139475 - t118715 + t118717 + t118721;
  t139482 = t3409 * t18558;
  t139485 = t139401 * t21730;
  t139488 = t139405 * t21209;
  t139497 = 0.3e1 * t16839;
  t139498 = -0.8e1 * t15742 - 0.4e1 / 0.3e1 * t15748 + 0.8e1 * t15766 + 0.4e1 * t2558 * t139482 + 0.8e1 * t139485 * t3403 - 0.4e1 / 0.3e1 * t139488 * t22264 - 0.72e2 * t139485 * t3406 + 0.8e1 / 0.3e1 * t139488 * t22251 + 0.24e2 * t139488 * t22254 - t139497 + t118742;
  t139502 = t22070 * t18583;
  t139505 = t139430 * t21402;
  t139516 = t22051 * t18583;
  t139521 = -t118744 - t118750 - 0.24e2 * t139466 * t21343 * t230 + 0.22e2 / 0.3e1 * t2558 * t139502 - 0.12e2 * t139505 * t816 + 0.6e1 * t2554 * t18584 - 0.3e1 * t2554 * t18559 - 0.28e2 * t18566 * t18573 + 0.72e2 * t139505 * t823 - 0.11e2 * t2558 * t139516 + 0.4e1 / 0.3e1 * t139485 * t3449;
  t139526 = t819 * t60 * t139102;
  t139529 = t22070 * t2571;
  t139538 = t3430 * t18558 * t2541;
  t139541 = t3409 * t18594;
  t139544 = t21225 * t2561;
  t139549 = -t139488 * t22191 / 0.9e1 + t470 * t139526 / 0.2e1 + 0.18e2 * t18570 * t139529 + 0.9e1 * t18614 * t2572 + 0.36e2 * t123633 - 0.2e1 / 0.3e1 * t123640 - 0.18e2 * t123647 - 0.3e1 * t470 * t139538 - 0.8e1 * t2558 * t139541 + 0.4e1 * t18570 * t139544 - 0.18e2 * t18614 * t2562;
  t139557 = t21220 * t2561;
  t139560 = t22070 * t18588;
  t139563 = 0.3e1 / 0.2e1 * t16887;
  t139564 = -0.24e2 * t123676 + 0.2e2 * t123683 + 0.36e2 * t123696 - 0.18e2 * t123699 + t123702 / 0.3e1 - 0.28e2 / 0.3e1 * t18566 * t18592 + 0.2e1 / 0.3e1 * t18570 * t139557 - 0.11e2 / 0.3e1 * t2558 * t139560 - t2138 + t2119 + t139563;
  t139574 = t3250 * t244 * t18512;
  t139577 = t3172 * t18489;
  t139580 = t3172 * t18513;
  t139584 = t20752 * t2543;
  t139587 = 0.3e1 / 0.4e1 * t130681;
  t139604 = 0.11e2 / 0.3e1 * t18544 * t139584 - t2089 - t139587 - 0.8e1 * t18553 * t6290 - 0.3e1 * t58917 * t2584 + 0.44e2 / 0.27e2 * t139194 * t22437 - 0.2e1 * t18544 * t32459 - 0.38e2 / 0.9e1 * t139194 * t21644 - 0.62e2 / 0.3e1 * t139194 * t21194 - 0.28e2 * t139290 * t3668 + 0.23e2 / 0.9e1 * t18544 * t32433;
  t139609 = my_piecewise3(t2, 0, 0.36e2 * t644 * t139199 * t21778 - 0.18e2 * t3680 * t139199 * t21772 - 0.18e2 * t644 * t139225 * t21221 - 0.6e1 * t21206 * t139225 * t21211 - 0.18e2 * t644 * t139293 * t21403 + 0.2e1 / 0.3e1 * t2534 * t139580 + 0.6e1 * t1532 * t18637 + 0.12e2 * t6295 * t18643 - 0.5e1 / 0.9e1 * t18544 * t31795 + 0.89e2 / 0.9e1 * t139194 * t21870 - 0.12e2 * t6295 * t18679 - t466 * t102565 / 0.3e1 + t102570 * t481 - t2534 * t59602 / 0.2e1 + 0.12e2 * t139234 * t637 - 0.6e1 * t139234 * t630 + 0.2e1 * t2534 * t59405 - 0.12e2 * t1532 * t18682 - 0.6e1 * t18544 * t32466 - 0.4e1 / 0.3e1 * t2534 * t139574 + 0.2e1 * t2534 * t139577 - 0.9e1 * t123369 - 0.6e1 * t123264 + 0.9e1 / 0.2e1 * t123235 + 0.4e1 * t123043 + t139377 + t139604 + t139342 + t139324 + t139152 + t139212 - 0.2e1 * t15803 + t139309 + t139260 + t139044 + 0.2e1 * t15793 - 0.6e1 * t246 * t247 * t139191 * t21344 - t30 * t59 * (0.6e1 * t2554 * t18595 - 0.12e2 * t2554 * t18589 - 0.6e1 * t470 * t139393 + 0.56e2 * t18566 * t18617 + 0.22e2 * t2558 * t139398 + 0.36e2 * t139402 * t3491 - 0.12e2 * t139406 * t22146 + 0.5e2 / 0.3e1 * t139406 * t22151 + 0.6e1 * t9923 * t139412 + 0.4e1 / 0.3e1 * t2558 * t139415 + t139445 + t139462 + t139476 + t139498 + t139521 + t139549 + t139564) * t95 / 0.4e1);
  tv4lapl40 = t3 * t139609;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 0] += tv4lapl40;

  tv4lapl41 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 1] += tv4lapl41;

  tv4lapl42 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 2] += tv4lapl42;

  tv4lapl43 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 3] += tv4lapl43;

  t139612 = t2601 * t2601;
  t139615 = t321 * t21182 * t139612 * t24370;
  t139618 = t1031 * t139612;
  t139622 = t25083 * t139612;
  t139628 = t321 * t3512 * t139612 * t24085;
  t139656 = 0.9e1 * t123777 + 0.3e1 / 0.2e1 * t123808 - 0.2e1 * t139615 * t25094 - 0.18e2 * t1030 * t139618 * t25102 - 0.6e1 * t25375 * t139622 * t25376 + 0.6e1 * t139628 * t4414 + t2604 * t12591 - 0.43e2 / 0.9e1 * t139615 * t25631 - 0.3e1 * t61715 * t2659 + 0.28e2 / 0.3e1 * t18876 * t34817 + 0.89e2 / 0.9e1 * t139615 * t24664 + 0.2e1 * t2609 * t61710 + 0.23e2 / 0.9e1 * t18876 * t34798 + 0.2e1 * t18893 * t6873 - 0.6e1 * t18876 * t34821 + 0.8e1 * t139615 * t25368 + 0.6e1 * t34826 * t18886 + 0.18e2 * t139628 * t4405 + 0.18e2 * t123823 + 0.2e1 * t123833;
  t139661 = t24324 * t18832;
  t139665 = t4686 * t1661 * t2617;
  t139669 = t4686 * t371 * t18840;
  t139672 = t24350 * t18857;
  t139692 = t4373 * t139612;
  t139698 = 0.28e2 / 0.3e1 * t18893 * t18858 - 0.14e2 / 0.3e1 * t18893 * t18854 - 0.11e2 / 0.6e1 * t2609 * t139661 - 0.4e1 * t2609 * t139665 - 0.4e1 / 0.3e1 * t2609 * t139669 - 0.23e2 / 0.6e1 * t18876 * t139672 - t123868 - 0.2e1 * t123874 - 0.7e1 / 0.3e1 * t18893 * t18845 - t2604 * t18842 / 0.2e1 - 0.11e2 / 0.3e1 * t123934 + 0.23e2 / 0.6e1 * t123943 + 0.6e1 * t123954 - 0.12e2 * t123959 + 0.6e1 * t123963 + t104832 * t505 - t490 * t104827 / 0.3e1 - 0.6e1 * t373 * t374 * t139612 * t25358 + 0.36e2 * t1030 * t139692 * t25337 + 0.44e2 / 0.27e2 * t139615 * t24379;
  t139713 = t321 * t616 * t139612 * t4356;
  t139723 = 0.3e1 / 0.4e1 * t130800;
  t139724 = t18764 * t2616;
  t139725 = t4543 * t139724;
  t139741 = -0.2e1 * t18876 * t34837 - 0.23e2 / 0.3e1 * t139628 * t4370 - 0.22e2 / 0.9e1 * t18876 * t34795 - 0.61e2 / 0.27e2 * t139615 * t24453 - 0.18e2 * t4395 * t139692 * t25343 - 0.6e1 * t139713 * t1016 - 0.2e1 * t18937 * t1658 - 0.3e1 * t123971 - t123980 / 0.2e1 + t119016 - 0.5e1 / 0.6e1 * t124055 + 0.9e1 * t124076 - t119085 + 0.7e1 / 0.3e1 * t124092 - t139723 + 0.3e1 / 0.2e1 * t5540 * t494 * t139725 + 0.18e2 * t4395 * t139622 * t25380 - 0.18e2 * t1030 * t139622 * t25085 - 0.18e2 * t373 * t139692 * t25349 + 0.6e1 * t373 * t139622 * t25089;
  t139748 = t130904 / 0.2e1;
  t139750 = t16930 / 0.4e1;
  t139780 = 0.4e1 * t130827;
  t139781 = t15337 - 0.12e2 * t18769 * t4413 + 0.2e2 / 0.9e1 * t18769 * t4369 - 0.4e1 * t18774 * t1020 - 0.12e2 * t18779 * t349 + 0.4e1 / 0.3e1 * t18769 * t4364 + 0.24e2 * t18774 * t1015 - 0.12e2 * t124007 + 0.4e1 * t124011 + 0.12e2 * t124016 + 0.4e1 * t12420 * t18827 + 0.8e1 * t104127 * t2667 - 0.4e1 * t104107 * t18820 - 0.2e1 * t12420 * t18813 - 0.12e2 * t104107 * t18849 + t139780;
  t139787 = 0.4e1 * t130865;
  t139791 = t24764 * t18717;
  t139798 = t4206 * t18717;
  t139811 = -0.12e2 * t124027 + 0.12e2 * t124029 + 0.2e1 * t124033 - t15349 - 0.8e1 * t2644 * t2667 - t139787 + 0.12e2 * t989 * t18717 * t4426 + 0.12e2 * t139791 * t4409 + 0.12e2 * t2641 * t18849 - 0.4e1 * t496 * t18827 - 0.24e2 * t139798 * t4339 + 0.32e2 / 0.3e1 * t139791 * t4377 - 0.8e1 * t139798 * t4335 + 0.16e2 / 0.9e1 * t139791 * t4397 - 0.2e1 * t2641 * t18820 + 0.2e1 * t496 * t18813;
  t139812 = t139781 + t139811;
  t139814 = t985 * t348 * t139812;
  t139819 = t987 * t61957 * t2617;
  t139823 = t987 * t6773 * t18840;
  t139826 = t4686 * t18836;
  t139829 = t24349 * t4368 * t2616;
  t139835 = t130957 / 0.4e1;
  t139836 = -t1663 * t18814 - t373 * t1703 * t139814 / 0.4e1 + t490 * t139819 / 0.2e1 + t490 * t139823 / 0.3e1 + t2609 * t139826 - t2180 - 0.9e1 * t4395 * t104318 * t139829 + 0.3e1 / 0.2e1 * t18937 * t2619 - t119158 + t119159 + t139835;
  t139841 = t9270 * t168 * t139724;
  t139848 = t987 * t988 * t167 * t139812;
  t139851 = t4686 * t18841;
  t139854 = t24350 * t2618;
  t139860 = t4161 * t1019 * t18764;
  t139867 = 0.3e1 / 0.4e1 * t17017;
  t139875 = t24308 * t1014 * t18738;
  t139880 = t4162 * t18836;
  t139883 = t4162 * t18841;
  t139886 = t24355 * t2618;
  t139891 = -t6827 * t139841 / 0.2e1 - 0.18e2 * t124190 + 0.4e1 * t124198 + t490 * t139848 / 0.12e2 + t2609 * t139851 / 0.3e1 + 0.5e1 / 0.6e1 * t18876 * t139854 + 0.6e1 * t6848 * t18821 + 0.2e1 * t1030 * t12527 * t139860 - 0.14e2 * t1030 * t104373 * t18820 - t139867 - 0.14e2 / 0.3e1 * t124224 - 0.7e1 * t124237 + 0.7e1 * t124253 + 0.14e2 * t373 * t104373 * t18849 + 0.11e2 / 0.2e1 * t373 * t12527 * t139875 + 0.7e1 / 0.6e1 * t124296 + 0.2e1 * t2609 * t139880 + 0.2e1 / 0.3e1 * t2609 * t139883 + 0.11e2 / 0.3e1 * t18876 * t139886 - 0.6e1 * t1663 * t18850;
  t139893 = t4161 * t1014 * t18764;
  t139897 = t24355 * t18857;
  t139910 = 0.3e1 * t131306;
  t139911 = 0.6e1 * t131318;
  t139921 = t615 * t139612;
  t139922 = t139921 * t24865;
  t139926 = t360 * t104952 * t2616;
  t139930 = t1182 * t140 * t139812;
  t139938 = -0.12e2 * t139922 * t1179 - t119320 - t119323 + t119330 + 0.6e1 * t10396 * t139926 + t494 * t139930 / 0.2e1 + 0.14e2 / 0.3e1 * t124505 + 0.18e2 * t124513 - 0.28e2 * t124524 - 0.4e1 / 0.3e1 * t15889 + 0.8e1 * t15901;
  t139942 = t4408 * t18765;
  t139947 = t193 * t139612;
  t139951 = t69 * t139612;
  t139952 = t139951 * t24899;
  t139955 = t24823 * t18739;
  t139958 = t18738 * t2616;
  t139960 = t24858 * t140 * t139958;
  t139963 = t21181 * t139612;
  t139964 = t139963 * t24923;
  t139969 = t24823 * t2646;
  t139972 = -0.8e1 * t15904 - 0.18e2 * t124548 - 0.8e1 / 0.3e1 * t2633 * t139942 + 0.9e1 * t18743 * t2647 - 0.24e2 * t139947 * t24905 * t357 + 0.4e1 / 0.3e1 * t139952 * t4612 + 0.22e2 / 0.3e1 * t2633 * t139955 + 0.3e1 * t494 * t139960 - t139964 * t24931 / 0.9e1 + 0.6e1 * t2629 * t18740 + 0.18e2 * t18719 * t139969;
  t139973 = t24962 * t18739;
  t139980 = t4549 * t18765;
  t139989 = t24848 * t2646;
  t139998 = -0.11e2 * t2633 * t139973 + 0.72e2 * t139922 * t1186 - 0.3e1 * t2629 * t18766 + 0.4e1 * t2633 * t139980 - 0.28e2 * t18726 * t18729 - 0.4e1 / 0.3e1 * t139964 * t24959 + 0.8e1 * t139952 * t4589 - 0.2e2 * t18719 * t139989 + 0.24e2 * t139964 * t24945 - 0.72e2 * t139952 * t4579 + 0.8e1 / 0.3e1 * t139964 * t24925;
  t140003 = t24794 * t2646;
  t140006 = t24823 * t2636;
  t140014 = t24962 * t18795;
  t140022 = 0.3e1 / 0.2e1 * t17129;
  t140023 = 0.56e2 / 0.3e1 * t18726 * t18722 - t18719 * t140003 / 0.3e1 - 0.36e2 * t18719 * t140006 - 0.4e1 * t124568 - 0.28e2 / 0.3e1 * t18726 * t18790 + 0.56e2 * t18726 * t18799 + 0.22e2 * t2633 * t140014 - 0.18e2 * t18743 * t2637 - 0.12e2 * t2629 * t18796 + 0.36e2 * t124602 + t140022;
  t140024 = 0.3e1 * t17156;
  t140026 = t1182 * t143 * t139812;
  t140029 = t4543 * t18765 * t2616;
  t140032 = t4408 * t18792;
  t140036 = t24858 * t143 * t139958;
  t140039 = t4549 * t18792;
  t140042 = t24848 * t2636;
  t140047 = t24794 * t2636;
  t140050 = t24823 * t18795;
  t140053 = t139951 * t24085;
  t140056 = -t140024 - t494 * t140026 - 0.3e1 * t494 * t140029 + 0.4e1 / 0.3e1 * t2633 * t140032 - 0.6e1 * t494 * t140036 - 0.8e1 * t2633 * t140039 + 0.4e1 * t18719 * t140042 + 0.6e1 * t2629 * t18793 + 0.2e1 / 0.3e1 * t18719 * t140047 - 0.11e2 / 0.3e1 * t2633 * t140050 + 0.36e2 * t140053 * t4621;
  t140058 = t139963 * t24370;
  t140063 = t139921 * t4356;
  t140077 = -0.12e2 * t140058 * t25022 + 0.5e2 / 0.3e1 * t140058 * t25025 - 0.36e2 * t140063 * t1204 + 0.1e2 / 0.3e1 * t140058 * t25033 - 0.2e1 / 0.3e1 * t140053 * t4634 + 0.12e2 * t139947 * t4333 * t361 + t119433 - t119436 + 0.24e2 * t140063 * t1191 + t119445 - 0.4e2 * t140053 * t4625;
  t140085 = 0.3e1 / 0.2e1 * t131471;
  t140086 = 0.3e1 * t131488;
  t140087 = 0.12e2 * t124663 - 0.2e1 / 0.3e1 * t124667 + 0.36e2 * t124672 - 0.4e1 * t15930 + 0.8e1 / 0.3e1 * t15932 + 0.4e1 * t15935 - t2229 - 0.9e1 * t124691 + t140085 - t140086 + t2210;
  t140096 = t24350 * t1028 * t2617;
  t140099 = t24349 * t18819;
  t140103 = t25251 * t2618;
  t140107 = t24349 * t4363 * t2616;
  t140116 = t25543 * t988 * t167 * t139958;
  t140120 = t25542 * t348 * t139958;
  t140126 = t2251 - t110 * t139 * (-t139910 + t139911 - 0.18e2 * t124453 + t124456 / 0.3e1 + 0.2e2 * t124459 - 0.24e2 * t124463 + 0.36e2 * t124465 + 0.14e2 * t124481 - 0.72e2 * t124482 - 0.28e2 / 0.3e1 * t124490 + t139938 + t139972 + t139998 + t140023 + t140056 + t140077 + t140087) * t168 / 0.4e1 + 0.9e1 * t18876 * t140096 - 0.9e1 * t373 * t104318 * t140099 + 0.3e1 * t18876 * t140103 + 0.18e2 * t1030 * t104318 * t140107 - 0.4e1 / 0.3e1 * t2604 * t18837 + t2604 * t18833 + t490 * t140116 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t1703 * t140120 + 0.2e1 * t1663 * t18828;
  t140130 = t24308 * t1019 * t18738;
  t140144 = t24319 * t371 * t18831;
  t140173 = -0.11e2 / 0.2e1 * t1030 * t12527 * t140130 - 0.9e1 / 0.2e1 * t373 * t104775 * t2667 - 0.3e1 * t373 * t12534 * t18827 + 0.3e1 / 0.2e1 * t373 * t12534 * t18813 + 0.11e2 / 0.3e1 * t2609 * t140144 + 0.9e1 / 0.2e1 * t124717 - 0.18e2 * t124727 - 0.9e1 * t124747 + 0.9e1 * t124755 - 0.6e1 * t124764 + 0.14e2 * t124784 - t2609 * t61706 + 0.2e1 * t321 * t194 * t139612 * t4333 * t350 + 0.6e1 * t1663 * t18927 - 0.3e1 * t12596 * t2663 + 0.4e1 * t18893 * t6839 + 0.22e2 / 0.3e1 * t139628 * t4365 + 0.3e1 * t12596 * t2671 + 0.12e2 * t139713 * t1023 - 0.28e2 * t139628 * t4505;
  t140188 = 0.3e1 / 0.2e1 * t131232;
  t140196 = t4707 * t6773 * t18831;
  t140199 = t24319 * t18832;
  t140212 = 0.3e1 * t124851 - 0.3e1 * t124870 + t16074 - t16081 / 0.3e1 - 0.2e1 / 0.3e1 * t490 * t140196 - 0.11e2 / 0.12e2 * t2609 * t140199 - 0.6e1 * t124900 + 0.18e2 * t373 * t139618 * t25106 - t2609 * t62466 / 0.2e1 - 0.5e1 / 0.9e1 * t18876 * t35105 - 0.35e2 / 0.108e3 * t139615 * t24637;
  t140217 = my_piecewise3(t100, 0, -0.2e1 * t373 * t12527 * t139893 - 0.12e2 * t6848 * t18864 - 0.62e2 / 0.3e1 * t139615 * t24450 - 0.12e2 * t1663 * t18868 - 0.8e1 * t18893 * t6843 - 0.38e2 / 0.9e1 * t139615 * t24600 + 0.6e1 * t1663 * t18871 + 0.47e2 / 0.3e1 * t139615 * t24445 - 0.14e2 * t18876 * t139897 - 0.3e1 / 0.2e1 * t12596 * t2668 + 0.4e1 * t1663 * t18817 + 0.12e2 * t6848 * t18932 + 0.5e1 / 0.3e1 * t139628 * t4467 - 0.3e1 * t139713 * t1090 - 0.3e1 / 0.2e1 * t124845 + t119132 - t119120 - t119112 + 0.2e1 / 0.3e1 * t131251 - 0.2e1 * t130912 + t140173 + t139698 + 0.2e1 * t16016 + 0.4e1 / 0.3e1 * t16033 + t139836 - 0.2e1 / 0.3e1 * t15985 + t140126 + t139891 - 0.2e1 * t16021 - t139748 + t139750 - 0.2e1 * t16024 + t140212 + t139741 - t15989 / 0.3e1 + 0.2e1 / 0.3e1 * t16005 + t140188 + t139656);
  tv4lapl44 = t3 * t140217;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 4] += tv4lapl44;

  t140218 = t3447 * t18541;
  t140224 = t633 * t18541;
  t140238 = t661 * t102768;
  t140243 = t660 * t7198 * t18512;
  t140246 = t3250 * t19111;
  t140250 = t660 * t63170 * t2542;
  t140255 = t124917 / 0.2e1;
  t140256 = 0.9e1 * t124937;
  t140257 = 0.9e1 / 0.2e1 * t124941;
  t140258 = 0.3e1 / 0.2e1 * t124969;
  t140260 = 0.9e1 * t124986;
  t140263 = -t129818 - 0.18e2 * t3680 * t35608 * t3474 * t140218 + t1748 * t103641 - 0.18e2 * t644 * t35601 * t627 * t140224 + 0.18e2 * t3680 * t36185 * t21191 * t21192 * t18541 - 0.18e2 * t644 * t36185 * t21191 * t140218 + 0.2e1 * t35332 * t673 * t140238 + t466 * t140243 / 0.12e2 + t2534 * t140246 / 0.4e1 + t466 * t140250 / 0.4e1 - t1891 * t18701 / 0.4e1 - t140255 + t140256 + t140257 - t140258 + 0.3e1 / 0.2e1 * t122656 - t140260 - t515 * t102565 / 0.12e2;
  t140276 = t95 * t103599;
  t140300 = t129835 - t129836 + 0.5e1 / 0.6e1 * t125008 + 0.11e2 / 0.2e1 * t4779 * t1847 * t22051 * t102400 - t122716 + t129860 - 0.3e1 * t7216 * t102786 - 0.4e1 / 0.3e1 * t7216 * t103601 + 0.3e1 / 0.2e1 * t7216 * t47370 * t18951 + 0.2e1 / 0.3e1 * t7216 * t4770 * t140276 - t7746 * t3130 * t140276 / 0.2e1 + 0.3e1 / 0.4e1 * t7216 * t47270 * t18951 + 0.3e1 / 0.2e1 * t246 * t1777 * t18608 * t3643 - 0.9e1 * t1532 * t19052 + 0.9e1 * t6295 * t19177 + t3123 * t105465 * t2592 - 0.3e1 / 0.4e1 * t32403 * t18966 - 0.9e1 / 0.2e1 * t47709 * t18945 + t133988;
  t140305 = t95 * t102498;
  t140338 = t3130 * t253 * t543 * t18511;
  t140341 = t4760 * t18962;
  t140344 = t31513 * t18962;
  t140349 = t125072 / 0.4e1;
  t140350 = -0.2e1 * t35538 * t26831 * t140238 - 0.7e1 / 0.3e1 * t11086 * t4760 * t140305 + 0.3e1 / 0.2e1 * t4748 * t106179 * t18705 + 0.5e1 / 0.6e1 * t11008 * t25739 * t140305 + 0.3e1 / 0.2e1 * t11143 * t3130 * t140305 + t3123 * t13190 * t18688 / 0.2e1 - t7746 * t31513 * t18951 + t129863 + 0.3e1 * t47709 * t18959 + 0.3e1 / 0.2e1 * t4779 * t1843 * t819 * t103599 + 0.3e1 / 0.2e1 * t4779 * t519 * t139122 - 0.3e1 * t4779 * t1843 * t3430 * t102400 + t6488 * t140338 / 0.12e2 + t58592 * t140341 / 0.4e1 + t6488 * t140344 / 0.4e1 - 0.5e1 / 0.3e1 * t125040 + 0.3e1 / 0.4e1 * t122771 - t122784 - t140349;
  t140375 = t6255 * t19132;
  t140379 = t58694 * t2676;
  t140390 = t125137 / 0.2e1;
  t140391 = t125167 / 0.4e1;
  t140392 = -t129879 + 0.2e1 * t4738 * t1847 * t3375 * t103599 - 0.2e1 * t4779 * t1847 * t3409 * t103599 - t7581 * t139155 / 0.2e1 - 0.14e2 * t4738 * t7595 * t3375 * t102498 + 0.14e2 * t4779 * t7595 * t3409 * t102498 + 0.44e2 / 0.27e2 * t35538 * t26069 * t102828 - 0.3e1 * t35564 * t1227 * t140238 - 0.3e1 / 0.2e1 * t7307 * t673 * t140375 - t1748 * t1227 * t140379 / 0.4e1 - 0.5e1 / 0.12e2 * t7187 * t4844 * t140375 - t466 * t106091 / 0.4e1 + 0.3e1 / 0.4e1 * t12216 * t2751 - t129928 - t140390 + t125144 - t140391 - t118203 + t118208;
  t140410 = t1777 * t18565;
  t140421 = t4770 * t18962;
  t140426 = t95 * t102400;
  t140445 = -0.3e1 / 0.2e1 * t58917 * t2729 + 0.3e1 / 0.2e1 * t12216 * t2742 - 0.3e1 / 0.2e1 * t1891 * t18524 + 0.3e1 / 0.2e1 * t7462 * t18706 + t1787 * t673 * t140379 / 0.2e1 - 0.35e2 / 0.108e3 * t35538 * t26069 * t140238 + t18553 * t7171 + 0.3e1 * t644 * t140410 * t3504 - 0.3e1 * t246 * t140410 * t3508 - 0.11e2 / 0.2e1 * t4738 * t1847 * t22070 * t102400 + t58592 * t140421 / 0.2e1 + 0.11e2 / 0.3e1 * t7216 * t102402 - 0.11e2 / 0.6e1 * t7216 * t27475 * t140426 - 0.3e1 / 0.2e1 * t3123 * t106179 * t18523 - t2529 * t19112 / 0.3e1 - t515 * t139005 / 0.2e1 - 0.6e1 * t7250 * t1227 * t102981 - 0.23e2 / 0.3e1 * t35547 * t4844 * t102828 + t515 * t139275 / 0.2e1;
  t140461 = t125219 / 0.2e1;
  t140473 = t125229 / 0.4e1;
  t140480 = t1891 * t18697 - 0.3e1 / 0.4e1 * t13060 * t2593 - t18544 * t36531 / 0.2e1 + 0.3e1 * t7250 * t1220 * t140375 + 0.22e2 / 0.3e1 * t35547 * t4838 * t140238 + 0.6e1 * t35547 * t4831 * t140238 - 0.3e1 / 0.2e1 * t130000 + t140461 + t18553 * t7316 / 0.2e1 + 0.3e1 / 0.2e1 * t1532 * t19127 - 0.3e1 / 0.2e1 * t12216 * t2734 + 0.3e1 / 0.2e1 * t1532 * t19059 + 0.5e1 / 0.3e1 * t35547 * t4844 * t140238 - t140473 + t130036 + t130037 + t123002 + 0.11e2 / 0.3e1 * t11008 * t26140 * t140305 + 0.28e2 / 0.3e1 * t11086 * t4760 * t102499;
  t140489 = t125254 / 0.2e1;
  t140501 = t3250 * t1889 * t2542;
  t140503 = t3172 * t19111;
  t140506 = t125262 / 0.2e1;
  t140517 = -0.14e2 / 0.3e1 * t11086 * t4770 * t140305 + 0.18e2 * t4738 * t7599 * t21225 * t102498 + t140489 - t130041 - 0.3e1 / 0.2e1 * t1532 * t19122 - 0.2e1 * t18553 * t7175 - 0.11e2 / 0.18e2 * t18544 * t35573 + 0.23e2 / 0.36e2 * t18544 * t35570 - 0.3e1 / 0.2e1 * t6295 * t19056 - t2534 * t140501 + t2534 * t140503 / 0.2e1 + t140506 + 0.3e1 * t11008 * t26082 * t140305 - t130044 - t30 * t18628 * t544 / 0.4e1 + t134408 + t130082 - t18650 * t1886 / 0.2e1 - 0.3e1 / 0.2e1 * t13060 * t2588;
  t140534 = 0.3e1 / 0.4e1 * t125308;
  t140553 = 0.23e2 / 0.36e2 * t18544 * t36136 - 0.3e1 / 0.2e1 * t63754 * t2584 + 0.3e1 / 0.2e1 * t1891 * t18637 - t2534 * t62972 / 0.4e1 - 0.5e1 / 0.36e2 * t18544 * t37227 + t2529 * t13049 / 0.2e1 + t18553 * t7441 / 0.2e1 + 0.3e1 / 0.2e1 * t13060 * t2596 + t140534 + t102570 * t530 / 0.4e1 - t466 * t106555 / 0.4e1 + 0.3e1 / 0.4e1 * t106560 * t481 + t515 * t139115 / 0.12e2 - t1748 * t1220 * t140379 / 0.2e1 - 0.3e1 / 0.4e1 * t1532 * t19102 - t246 * t1769 * t139104 / 0.4e1 + 0.9e1 / 0.2e1 * t1532 * t19064 + t130092 + t16189;
  t140573 = 0.3e1 / 0.2e1 * t125352;
  t140574 = 0.3e1 / 0.2e1 * t125368;
  t140580 = -t16192 - t16195 + 0.18e2 * t246 * t35601 * t627 * t628 * t18541 + 0.3e1 / 0.2e1 * t7250 * t1227 * t140375 - 0.6e1 * t246 * t35304 * t219 * t221 * t18541 - 0.3e1 / 0.2e1 * t7187 * t4831 * t140375 + t16224 - t16226 + t2160 - t130142 + t130143 - t140573 + t140574 + 0.9e1 / 0.2e1 * t123097 - 0.9e1 * t4779 * t7599 * t22070 * t102498 + t16280 - t16284 - t16288 + t16299;
  t140584 = 0.3e1 / 0.2e1 * t125399;
  t140585 = 0.6e1 * t125412;
  t140586 = 0.9e1 * t125422;
  t140587 = 0.3e1 * t125429;
  t140588 = 0.9e1 / 0.2e1 * t125437;
  t140589 = t125441 / 0.2e1;
  t140590 = 0.3e1 / 0.4e1 * t125454;
  t140591 = -0.3e1 * t123100 - 0.9e1 / 0.2e1 * t123112 - 0.5e1 / 0.2e1 * t125383 + t18486 - t130168 - t130169 + t130170 + t130171 + t140584 - t140585 - t140586 + t140587 + t140588 - t140589 + t140590 - t130176 - t18487 - t18488 + t15618;
  t140593 = 0.3e1 / 0.2e1 * t125481;
  t140594 = 0.3e1 / 0.2e1 * t125485;
  t140597 = t125520 / 0.4e1;
  t140598 = 0.3e1 / 0.2e1 * t125530;
  t140599 = 0.3e1 / 0.2e1 * t125533;
  t140616 = t3139 * t7198 * t18692;
  t140628 = -t140593 + t140594 + t125490 + 0.9e1 / 0.2e1 * t47925 * t18948 + t139324 - t140597 + t140598 - t140599 + 0.3e1 * t123235 - 0.9e1 / 0.2e1 * t7187 * t4844 * t6293 * t19132 - 0.43e2 / 0.9e1 * t35538 * t26069 * t102845 + 0.9e1 / 0.2e1 * t32471 * t19155 + 0.7e1 * t7187 * t102982 + 0.89e2 / 0.9e1 * t35538 * t26105 * t102828 - t466 * t140616 / 0.6e1 + t1891 * t18689 / 0.2e1 + 0.9e1 / 0.2e1 * t1532 * t19173 - 0.3e1 / 0.2e1 * t246 * t1769 * t139348 - t18650 * t1779 / 0.2e1;
  t140642 = 0.23e2 / 0.12e2 * t125570;
  t140658 = t125594 / 0.4e1;
  t140659 = 0.3e1 / 0.2e1 * t125606;
  t140660 = t125611 / 0.2e1;
  t140661 = -t130229 + t7216 * t4760 * t140276 / 0.3e1 + 0.9e1 * t11008 * t25739 * t3671 * t102498 - 0.14e2 * t11008 * t102500 - 0.9e1 / 0.2e1 * t4779 * t7610 * t819 * t102498 + t140642 + t2534 * t64934 - 0.18e2 * t246 * t35608 * t3474 * t140224 - 0.28e2 * t35547 * t102829 - 0.9e1 * t6295 * t19160 - t2534 * t64600 / 0.4e1 - 0.5e1 / 0.36e2 * t18544 * t37361 + t2529 * t12868 / 0.2e1 - t134683 - t140658 + t125600 - t140659 - t140660 + t130242;
  t140669 = t1777 * t18569;
  t140679 = t3401 * t18541;
  t140714 = -0.11e2 / 0.12e2 * t7216 * t26082 * t140426 + t7746 * t8642 * t140426 + 0.3e1 / 0.2e1 * t3680 * t140669 * t3681 - 0.3e1 * t644 * t140669 * t3685 + 0.3e1 / 0.2e1 * t246 * t140669 * t3660 + 0.6e1 * t246 * t36185 * t21191 * t140679 + t515 * t139161 / 0.4e1 + t515 * t139186 / 0.4e1 - 0.3e1 / 0.2e1 * t18544 * t36525 + 0.7e1 / 0.3e1 * t18544 * t36528 + 0.12e2 * t35564 * t1227 * t102828 - 0.6e1 * t35564 * t1220 * t140238 + 0.36e2 * t644 * t35608 * t3474 * t140679 - 0.11e2 / 0.6e1 * t7187 * t4838 * t140375 - 0.61e2 / 0.27e2 * t35538 * t26105 * t140238 + 0.23e2 / 0.12e2 * t7187 * t4844 * t102981 - t18632 + t2534 * t63008 - t59594 * t18963 / 0.3e1;
  t140719 = t4760 * t3121 * t18961;
  t140745 = -t3123 * t13190 * t18700 / 0.4e1 - t58592 * t140719 - t16326 + t139332 - t139333 + t139334 + t130399 / 0.2e1 - t2534 * t63749 / 0.2e1 + 0.3e1 / 0.2e1 * t1891 * t18671 - t18544 * t37306 / 0.2e1 + 0.7e1 / 0.3e1 * t18544 * t36212 - 0.3e1 / 0.2e1 * t18544 * t37298 + 0.3e1 / 0.2e1 * t37303 * t18676 - 0.3e1 * t7462 * t18679 - 0.3e1 * t1891 * t18682 + 0.3e1 * t7462 * t18643 - 0.11e2 / 0.18e2 * t18544 * t37322 - 0.2e1 * t18553 * t7457 + t18553 * t7453;
  t140747 = 0.3e1 / 0.2e1 * t126000;
  t140748 = 0.5e1 / 0.12e2 * t126015;
  t140749 = 0.3e1 / 0.2e1 * t126023;
  t140751 = 0.3e1 / 0.2e1 * t126060;
  t140752 = 0.7e1 * t126085;
  t140754 = -t139336 + t118557 - t118560 - t118564 - t118566 + t118568 + t18634 - t18635 - t140747 - t140748 + t140749 + 0.5e1 / 0.12e2 * t126038 + t18667 - t134840 - t140751 - t18668 + t140752 + 0.5e1 / 0.2e1 * t126088 - t130417;
  t140755 = t103307 * t463;
  t140759 = t11819 * t2526;
  t140763 = t103237 * t463;
  t140767 = 0.6e1 * t125636;
  t140771 = t125647 / 0.3e1;
  t140772 = t18978 * t2541;
  t140779 = t63 * t18541;
  t140785 = t18558 * t463;
  t140794 = 0.4e1 / 0.3e1 * t7584 * t827 * t140755 + 0.56e2 * t36961 * t840 * t140759 + 0.22e2 * t37040 * t840 * t140763 + t140767 - 0.8e1 * t7584 * t840 * t140755 - t140771 + 0.56e2 / 0.3e1 * t7595 * t3375 * t140772 - t7599 * t21220 * t140772 / 0.3e1 - 0.24e2 * t36931 * t229 * t140779 - 0.6e1 * t519 * t139393 - 0.3e1 * t1843 * t819 * t140785 - 0.3e1 * t519 * t139538 - 0.8e1 / 0.3e1 * t1847 * t3375 * t140785;
  t140801 = 0.6e1 * t125665;
  t140802 = 0.36e2 * t125670;
  t140803 = t827 * t140759;
  t140824 = -0.4e1 / 0.3e1 * t36901 * t21215 * t140779 - 0.2e2 * t7599 * t21225 * t140772 + t16122 - t16125 + t16129 + t140801 - t140802 - 0.28e2 / 0.3e1 * t36961 * t140803 - 0.28e2 * t7595 * t3409 * t140772 + 0.8e1 / 0.3e1 * t36901 * t21220 * t140779 + 0.24e2 * t36901 * t21225 * t140779 + 0.8e1 * t36878 * t3402 * t140779 + 0.2e1 / 0.3e1 * t36958 * t3482 * t140759 + 0.4e1 * t1847 * t3409 * t140785;
  t140826 = 0.18e2 * t125679;
  t140842 = t18583 * t463;
  t140850 = 0.2e1 * t125702;
  t140857 = t140826 + 0.9e1 * t7610 * t819 * t140772 + t130475 - 0.12e2 * t36922 * t648 * t140779 + 0.18e2 * t7599 * t22070 * t140772 + 0.4e1 / 0.3e1 * t36878 * t3448 * t140779 - t36901 * t21210 * t140779 / 0.9e1 - 0.11e2 * t1847 * t22051 * t140842 + 0.6e1 * t1843 * t3430 * t140842 - 0.6e1 * t123475 - t140850 - 0.36e2 * t36958 * t140803 + 0.3e1 * t123496 - 0.18e2 * t36949 * t233 * t140759;
  t140868 = -0.12e2 * t36952 * t233 * t140763 - 0.18e2 * t123499 - t139453 + t139454 + 0.12e2 * t123518 + 0.5e1 / 0.3e1 * t125733 - t130509 - t130510 + t130511 + 0.9e1 * t123534 - t18620 + t18621 + t18622 + 0.22e2 / 0.3e1 * t1847 * t22070 * t140842;
  t140876 = 0.1e2 * t125779;
  t140877 = 0.18e2 * t125782;
  t140878 = 0.9e1 * t125791;
  t140879 = 0.3e1 * t125811;
  t140880 = 0.12e2 * t125818;
  t140881 = t125826 / 0.6e1;
  t140882 = -0.72e2 * t36878 * t3375 * t140779 - t16164 + t16171 - t16173 - 0.6e1 * t123557 - t139474 - 0.1e2 / 0.3e1 * t125773 + t140876 + t140877 + t139475 - t140878 - t140879 - t140880 + t140881;
  t140884 = 0.9e1 * t125832;
  t140886 = 0.18e2 * t125881;
  t140887 = 0.5e1 * t125830 - t140884 - t118715 + t118717 + t118721 - t18623 - t15748 + t18624 - t139497 + t118742 - t118744 - t118750 - 0.1e2 * t125877 + t140886;
  t140904 = t60 * t18541;
  t140919 = 0.6e1 * t7586 * t233 * t140755 + 0.6e1 * t10828 * t139412 - t519 * t139428 + 0.72e2 * t36922 * t653 * t140779 + 0.4e1 * t36958 * t3475 * t140759 - 0.11e2 / 0.3e1 * t37040 * t827 * t140763 + t130653 - t130654 - t130655 + 0.12e2 * t36931 * t229 * t140904 + 0.3e1 * t519 * t139448 - 0.2e1 / 0.3e1 * t36878 * t3448 * t140904 + 0.24e2 * t36922 * t648 * t140904 - 0.36e2 * t36922 * t653 * t140904;
  t140937 = 0.36e2 * t36878 * t3375 * t140904 - 0.12e2 * t36901 * t21225 * t140904 + 0.1e2 / 0.3e1 * t36901 * t21215 * t140904 + t519 * t139526 / 0.2e1 + 0.5e2 / 0.3e1 * t36901 * t21220 * t140904 - 0.4e2 * t36878 * t3402 * t140904 - t130658 + t130659 + t130660 - t130661 + t130662 - t2138 + t2119 + t139563;
  t140945 = 0.11e2 / 0.6e1 * t126110;
  t140967 = 0.9e1 / 0.2e1 * t126129;
  t140968 = 0.9e1 / 0.2e1 * t126138;
  t140969 = 0.3e1 / 0.2e1 * t126149;
  t140979 = t8642 * t253 * t543 * t18582;
  t140982 = -t2089 - t30 * t59 * (t140794 + t140824 + t140857 + t140868 + t140882 + t140887 + t140919 + t140937) * t95 / 0.4e1 - t140945 - t139587 + 0.18e2 * t35547 * t4844 * t102845 + 0.8e1 * t35538 * t102770 - 0.6e1 * t21206 * t36185 * t21191 * t21197 * t18541 - t2534 * t64952 / 0.2e1 + 0.47e2 / 0.3e1 * t35538 * t102938 - 0.62e2 / 0.3e1 * t35538 * t102846 - 0.3e1 / 0.4e1 * t12216 * t2737 - 0.38e2 / 0.9e1 * t35538 * t26835 * t140238 - t140967 + t140968 - t140969 + t16354 - 0.9e1 * t9873 * t7599 * t21220 * t102498 - 0.23e2 / 0.6e1 * t11008 * t25739 * t102499 - t6488 * t140979 / 0.6e1;
  t140987 = my_piecewise3(t2, 0, t140263 + t140300 + t140350 + t140392 + t140445 + t140480 + t140517 + t140553 + t140580 + t140591 + t140628 + t140661 + t140714 + t140745 + t140754 + t140982);
  tv4lapl3tau0 = t3 * t140987;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 0] += tv4lapl3tau0;

  tv4lapl3tau1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 1] += tv4lapl3tau1;

  tv4lapl3tau2 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 2] += tv4lapl3tau2;

  tv4lapl3tau3 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 3] += tv4lapl3tau3;

  tv4lapl3tau4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 4] += tv4lapl3tau4;

  tv4lapl3tau5 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 5] += tv4lapl3tau5;

  tv4lapl3tau6 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 6] += tv4lapl3tau6;

  t140993 = t4707 * t8079 * t18831;
  t140996 = t1019 * t18717;
  t141004 = t988 * t104305;
  t141010 = t61957 * t2756;
  t141017 = t4363 * t18717;
  t141026 = t1948 * t18718;
  t141036 = t130700 + t555 * t139823 / 0.4e1 - t2604 * t19341 / 0.3e1 - t490 * t140993 / 0.6e1 - 0.18e2 * t1030 * t40938 * t1013 * t140996 + t2030 * t18817 + t2030 * t18828 / 0.2e1 + 0.6e1 * t40669 * t5634 * t141004 + 0.9e1 / 0.2e1 * t34826 * t19273 + t130708 + t1958 * t1000 * t141010 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t1940 * t140120 + 0.6e1 * t373 * t39353 * t24376 * t141017 - t18876 * t40824 / 0.2e1 - 0.3e1 / 0.2e1 * t18876 * t39367 + 0.3e1 / 0.2e1 * t4395 * t141026 * t4397 - 0.3e1 * t1030 * t141026 * t4377 + 0.3e1 / 0.2e1 * t373 * t141026 * t4409;
  t141037 = t4368 * t18717;
  t141045 = t6773 * t19311;
  t141056 = t9270 * t380 * t583 * t18738;
  t141088 = -0.18e2 * t1030 * t39353 * t24376 * t141037 - 0.2e1 * t39131 * t29555 * t141004 + 0.3e1 / 0.2e1 * t8360 * t1400 * t141045 + 0.3e1 * t8360 * t1393 * t141045 + t555 * t139819 / 0.4e1 - t6827 * t141056 / 0.6e1 + t4145 * t13543 * t18827 / 0.2e1 + 0.14e2 * t5540 * t8223 * t4549 * t104258 + 0.11e2 / 0.2e1 * t5540 * t2060 * t24962 * t104646 + t130709 - 0.3e1 / 0.2e1 * t68390 * t2659 - 0.11e2 / 0.18e2 * t18876 * t40438 + t2609 * t68461 + 0.23e2 / 0.36e2 * t18876 * t39548 - t2609 * t67963 / 0.2e1 + t123833 + 0.22e2 / 0.3e1 * t40669 * t5640 * t141004 - 0.23e2 / 0.3e1 * t40669 * t5623 * t104306 - 0.3e1 / 0.2e1 * t8090 * t5634 * t141045;
  t141117 = t1948 * t18725;
  t141121 = 0.23e2 / 0.12e2 * t126275;
  t141122 = t168 * t104646;
  t141140 = 0.3e1 / 0.2e1 * t126305;
  t141141 = -0.61e2 / 0.27e2 * t39131 * t29437 * t141004 + 0.44e2 / 0.27e2 * t39131 * t29442 * t104306 - t18937 * t1950 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t1948 * t18742 * t4426 - 0.18e2 * t4395 * t40874 * t4362 * t141037 + 0.18e2 * t373 * t40938 * t1013 * t1014 * t18717 + 0.36e2 * t1030 * t40874 * t4362 * t141017 - 0.2e1 * t18893 * t8509 + 0.3e1 * t1030 * t141117 * t4335 + t141121 - 0.11e2 / 0.12e2 * t8058 * t29911 * t141122 + 0.28e2 / 0.3e1 * t61452 * t67372 - 0.3e1 * t8058 * t104677 - 0.9e1 / 0.2e1 * t50177 * t19229 + 0.9e1 / 0.2e1 * t51823 * t19300 - 0.3e1 / 0.2e1 * t18876 * t40756 + 0.3e1 / 0.2e1 * t40761 * t18886 + t104832 * t570 / 0.4e1 - t141140;
  t141142 = 0.3e1 / 0.4e1 * t126314;
  t141143 = 0.3e1 / 0.2e1 * t126317;
  t141144 = 0.3e1 / 0.2e1 * t126320;
  t141145 = t126327 / 0.2e1;
  t141146 = t126341 / 0.4e1;
  t141150 = t168 * t104704;
  t141154 = t168 * t104258;
  t141170 = t141142 + t141143 - t141144 + t126322 - t141145 - t130741 - t123874 - t141146 + 0.3e1 / 0.4e1 * t8058 * t50186 * t19232 + t8058 * t5549 * t141150 / 0.3e1 + 0.5e1 / 0.6e1 * t11381 * t29498 * t141154 + t8052 * t9270 * t141122 - t8055 * t139841 / 0.2e1 - 0.11e2 / 0.2e1 * t5559 * t2060 * t24823 * t104646 + 0.3e1 * t11381 * t29911 * t141154 + 0.5e1 / 0.2e1 * t126368 + t16363 - t16377 + t16381;
  t141175 = t126441 / 0.2e1;
  t141178 = 0.3e1 / 0.2e1 * t126458;
  t141193 = -0.3e1 / 0.2e1 * t6848 * t19258 - t130753 + t130754 + t130755 - t130756 + t130757 - t130762 - t141175 + 0.5e1 / 0.6e1 * t126451 - 0.5e1 / 0.2e1 * t126454 + t141178 + t18893 * t8192 - 0.3e1 * t2030 * t18868 - t490 * t108871 / 0.4e1 + 0.3e1 / 0.4e1 * t108876 * t505 - 0.3e1 / 0.2e1 * t13724 * t2663 - t130763 - 0.43e2 / 0.9e1 * t39131 * t29442 * t104384 - t2609 * t68635 / 0.2e1;
  t141219 = 0.11e2 / 0.6e1 * t126481;
  t141249 = -0.3e1 / 0.4e1 * t13724 * t2668 - t2030 * t18814 / 0.4e1 - 0.3e1 / 0.4e1 * t12596 * t2817 + 0.5e1 / 0.3e1 * t40669 * t5623 * t141004 - 0.38e2 / 0.9e1 * t39131 * t29110 * t141004 + 0.89e2 / 0.9e1 * t39131 * t29437 * t104306 + 0.18e2 * t4395 * t39353 * t24376 * t24448 * t18717 - 0.6e1 * t25375 * t39353 * t24376 * t24377 * t18717 - t141219 - 0.6e1 * t373 * t39349 * t346 * t348 * t18717 + 0.2e1 * t40716 * t1000 * t141004 - 0.9e1 * t6848 * t19263 + 0.9e1 / 0.2e1 * t1663 * t19251 - 0.5e1 / 0.12e2 * t8090 * t5623 * t141045 - 0.35e2 / 0.108e3 * t39131 * t29442 * t141004 + t555 * t139848 / 0.12e2 - t1965 * t1393 * t141010 / 0.2e1 - 0.11e2 / 0.6e1 * t8090 * t5640 * t141045 - t1965 * t1400 * t141010 / 0.4e1;
  t141279 = 0.9e1 / 0.2e1 * t126531;
  t141288 = -0.14e2 / 0.3e1 * t11369 * t5587 * t141154 + 0.11e2 / 0.3e1 * t11381 * t29517 * t141154 - 0.23e2 / 0.6e1 * t11381 * t29498 * t104259 - 0.7e1 / 0.3e1 * t11369 * t5549 * t141154 + 0.7e1 / 0.3e1 * t18876 * t40827 + 0.47e2 / 0.3e1 * t104296 * t39184 + t119016 - t130764 - 0.14e2 * t5559 * t8223 * t4408 * t104258 + 0.2e1 * t5559 * t2060 * t4408 * t104704 + 0.18e2 * t5559 * t8227 * t24848 * t104258 + t130779 - t119085 + t141279 + 0.3e1 / 0.2e1 * t124092 + 0.3e1 / 0.2e1 * t12596 * t2822 + 0.7e1 * t12347 * t67515 + t1965 * t104447 - 0.3e1 / 0.2e1 * t2030 * t18850;
  t141321 = 0.5e1 / 0.12e2 * t126546;
  t141322 = t126563 / 0.4e1;
  t141323 = t126571 / 0.2e1;
  t141324 = -0.3e1 / 0.2e1 * t61715 * t2809 - 0.9e1 / 0.2e1 * t12347 * t67272 - 0.3e1 * t373 * t141117 * t4339 + 0.18e2 * t104332 * t39694 - t555 * t140196 / 0.2e1 - 0.3e1 / 0.2e1 * t8490 * t1000 * t141045 - 0.3e1 * t39262 * t1400 * t141004 - 0.62e2 / 0.3e1 * t104296 * t29437 * t39693 + t135815 - t139723 + 0.3e1 / 0.2e1 * t2030 * t18871 - t18876 * t40766 / 0.2e1 - t555 * t104827 / 0.12e2 - t2609 * t68105 / 0.4e1 - 0.5e1 / 0.36e2 * t18876 * t40446 + 0.7e1 / 0.3e1 * t18876 * t40150 - t141321 - t141322 + t141323;
  t141329 = 0.9e1 / 0.2e1 * t126886;
  t141330 = 0.3e1 / 0.2e1 * t126889;
  t141353 = -t119112 - t119120 + t119132 - t139748 - 0.3e1 / 0.2e1 * t130912 + t141329 + t141330 + t139750 - t2180 - 0.3e1 * t5540 * t2056 * t4543 * t104646 + 0.11e2 / 0.3e1 * t6824 * t107604 - 0.2e1 * t5540 * t2060 * t4549 * t104704 + t135880 + 0.3e1 / 0.2e1 * t2030 * t18927 - t18937 * t2025 / 0.2e1 + 0.3e1 * t8201 * t18932 - 0.2e1 * t18893 * t8196 + t2604 * t13633 / 0.2e1 + t18893 * t8165 / 0.2e1;
  t141354 = 0.3e1 / 0.2e1 * t126925;
  t141365 = t1661 * t19311;
  t141383 = t5549 * t4143 * t19303;
  t141388 = t5587 * t19304;
  t141391 = -t141354 - t119158 + t119159 + 0.3e1 / 0.2e1 * t1663 * t19323 + 0.9e1 / 0.2e1 * t1663 * t19328 + t18893 * t8335 / 0.2e1 + t2604 * t13478 / 0.2e1 - 0.3e1 / 0.2e1 * t1663 * t19277 - 0.6e1 * t8360 * t1400 * t141365 - 0.9e1 * t1663 * t19268 + 0.3e1 * t50177 * t19298 + t16418 + t139835 - 0.9e1 * t10506 * t8227 * t24794 * t104258 + 0.3e1 / 0.2e1 * t5535 * t107778 * t18820 - 0.14e2 * t61262 * t67547 - t61272 * t141383 - 0.11e2 / 0.6e1 * t8058 * t30214 * t141122 + t61272 * t141388 / 0.2e1;
  t141397 = 0.3e1 / 0.2e1 * t126968;
  t141398 = t127023 / 0.4e1;
  t141400 = t127039 / 0.2e1;
  t141404 = 0.3e1 / 0.2e1 * t127063;
  t141405 = t127079 / 0.2e1;
  t141406 = t127102 / 0.4e1;
  t141407 = t127106 / 0.2e1;
  t141408 = 0.3e1 / 0.2e1 * t127109;
  t141409 = -0.9e1 * t5540 * t8227 * t24823 * t104258 - t141397 - t131027 + t131029 - t139867 - t141398 - 0.3e1 * t124224 - t141400 - 0.9e1 / 0.2e1 * t124237 + 0.9e1 / 0.2e1 * t124253 + 0.3e1 / 0.4e1 * t124296 - t141404 + t127077 - t141405 - t16437 - t141406 + t141407 - t141408 + t127113;
  t141415 = 0.9e1 * t127156;
  t141416 = 0.9e1 * t127160;
  t141426 = t5549 * t19304;
  t141429 = t35145 * t19304;
  t141434 = 0.3e1 * t127186;
  t141435 = -t18909 - t18910 + t18911 + t18912 - t18913 - t18915 + t16033 + 0.12e2 * t103987 * t1400 * t39183 + t555 * t140116 / 0.2e1 + t2251 - t141415 - t141416 - 0.4e1 / 0.3e1 * t6824 * t108044 + 0.3e1 / 0.2e1 * t5540 * t2056 * t1182 * t104704 + 0.3e1 / 0.2e1 * t5540 * t559 * t139725 + t61272 * t141426 / 0.4e1 + t6827 * t141429 / 0.4e1 - 0.3e1 / 0.4e1 * t34283 * t19225 + t141434;
  t141464 = t4686 * t2028 * t2617;
  t141469 = t4162 * t19340;
  t141472 = -t136484 + 0.3e1 / 0.2e1 * t13724 * t2671 + 0.9e1 * t61262 * t67535 - t136556 + 0.3e1 * t124717 + 0.9e1 * t6848 * t19332 - 0.5e1 / 0.36e2 * t18876 * t40905 - 0.3e1 / 0.4e1 * t1663 * t19292 - t373 * t1940 * t139814 / 0.4e1 - 0.3e1 / 0.2e1 * t12596 * t2814 + t2609 * t68639 - t490 * t107858 / 0.4e1 - t2609 * t68622 / 0.4e1 + 0.3e1 / 0.2e1 * t8201 * t18821 + 0.3e1 / 0.4e1 * t12596 * t2831 - t2609 * t141464 + 0.23e2 / 0.12e2 * t8090 * t5623 * t141365 + t2609 * t141469 / 0.2e1 - t131145;
  t141473 = 0.6e1 * t127243;
  t141474 = 0.9e1 / 0.2e1 * t127268;
  t141489 = 0.18e2 * t126606;
  t141490 = t108316 * t2616;
  t141494 = 0.6e1 * t126622;
  t141495 = t126633 / 0.3e1;
  t141496 = 0.6e1 * t126636;
  t141498 = t104952 * t487;
  t141507 = t1190 * t141490;
  t141510 = -t559 * t140026 + t141489 - 0.18e2 * t40207 * t360 * t141490 + t141494 - t141495 + t141496 + 0.5e1 / 0.3e1 * t126655 - t139910 + t139911 + 0.6e1 * t8251 * t360 * t141498 + 0.6e1 * t11528 * t139926 + 0.4e1 / 0.3e1 * t8254 * t1190 * t141498 - 0.36e2 * t40190 * t141507;
  t141517 = t18765 * t487;
  t141526 = t143 * t18717;
  t141533 = t18739 * t487;
  t141538 = 0.18e2 * t126696;
  t141539 = 0.2e1 * t126700;
  t141540 = 0.36e2 * t126708;
  t141541 = -0.8e1 * t8254 * t1203 * t141498 + 0.4e1 * t40190 * t4624 * t141490 - 0.3e1 * t2056 * t1182 * t141517 - 0.3e1 * t559 * t140029 - 0.8e1 / 0.3e1 * t2060 * t4408 * t141517 + 0.24e2 * t40248 * t24848 * t141526 - 0.24e2 * t40288 * t356 * t141526 + 0.6e1 * t2056 * t4543 * t141533 - 0.1e2 * t126692 + t141538 - t141539 - t141540 - t131372 + t131373;
  t141543 = 0.9e1 * t126719;
  t141552 = t2646 * t2601;
  t141556 = t140 * t18717;
  t141569 = t131374 - t131375 - t141543 + t131377 + 0.9e1 * t124481 - t131379 + 0.8e1 / 0.3e1 * t40248 * t24794 * t141526 + 0.8e1 * t40241 * t4376 * t141526 - 0.6e1 * t124490 + 0.18e2 * t8227 * t24823 * t141552 - 0.2e1 / 0.3e1 * t40241 * t4396 * t141556 + 0.1e2 / 0.3e1 * t40248 * t24958 * t141556 + 0.12e2 * t40288 * t356 * t141556 + 0.5e2 / 0.3e1 * t40248 * t24794 * t141556;
  t141589 = t13733 * t18738;
  t141600 = -0.12e2 * t40248 * t24848 * t141556 - t119320 - t119323 + t119330 + 0.3e1 * t559 * t139960 + t559 * t139930 / 0.2e1 + 0.36e2 * t40241 * t4408 * t141556 - 0.36e2 * t40217 * t1093 * t141556 - 0.4e2 * t40241 * t4376 * t141556 + 0.24e2 * t40217 * t1034 * t141556 - 0.11e2 / 0.3e1 * t40179 * t1190 * t141589 + 0.56e2 * t40187 * t1203 * t141490 + 0.22e2 * t40179 * t1203 * t141589 + 0.3e1 * t124505;
  t141605 = 0.3e1 * t126754;
  t141614 = 0.1e2 * t126811;
  t141621 = 0.12e2 * t124513 - 0.18e2 * t124524 - t15889 + t18785 - t18786 + t16481 - t131428 - t141605 - 0.12e2 * t40184 * t360 * t141589 - 0.28e2 / 0.3e1 * t40187 * t141507 + 0.2e1 / 0.3e1 * t40190 * t4633 * t141490 + t141614 - 0.12e2 * t40217 * t1034 * t141526 - 0.28e2 * t8223 * t4549 * t141552;
  t141635 = 0.12e2 * t126822;
  t141636 = t126825 / 0.6e1;
  t141646 = 0.9e1 * t8220 * t1182 * t141552 + 0.4e1 / 0.3e1 * t40241 * t4396 * t141526 + 0.4e1 * t2060 * t4549 * t141517 - t131432 - t8227 * t24794 * t141552 / 0.3e1 - 0.1e2 / 0.3e1 * t126819 - t141635 + t141636 - 0.11e2 * t2060 * t24962 * t141533 + 0.72e2 * t40217 * t1093 * t141526 - 0.72e2 * t40241 * t4408 * t141526 + t131436 + t140022 - t140024;
  t141654 = 0.9e1 * t126838;
  t141667 = 0.18e2 * t126848;
  t141668 = -t16484 + t16488 - 0.2e2 * t8227 * t24848 * t141552 + 0.56e2 / 0.3e1 * t8223 * t4408 * t141552 - t141654 - 0.6e1 * t559 * t140036 + 0.22e2 / 0.3e1 * t2060 * t24823 * t141533 - 0.4e1 / 0.3e1 * t40248 * t24958 * t141526 - t40248 * t24930 * t141526 / 0.9e1 + 0.5e1 * t126846 + t141667 - t16505 - t16509 + t16524;
  t141670 = t119433 - t119436 + t119445 + t131466 - t131467 + t131468 - t18802 + t18803 + t18804 - t2229 - 0.6e1 * t124691 + t140085 - t140086 + t2210;
  t141681 = 0.9e1 / 0.2e1 * t127303;
  t141682 = 0.7e1 * t127310;
  t141683 = 0.9e1 * t127321;
  t141684 = -t131146 + t131147 - t131148 - t141473 + t141474 - 0.28e2 * t104332 * t39681 + 0.8e1 * t104296 * t29442 * t4393 * t39182 + 0.3e1 / 0.2e1 * t1663 * t19246 - 0.11e2 / 0.18e2 * t18876 * t39142 + 0.23e2 / 0.36e2 * t18876 * t39152 - 0.5e1 / 0.3e1 * t127278 + t16468 + t131184 - t110 * t139 * (t141510 + t141541 + t141569 + t141600 + t141621 + t141646 + t141668 + t141670) * t168 / 0.4e1 - t110 * t18807 * t584 / 0.4e1 - t141681 + t141682 + t140188 + t141683;
  t141686 = 0.3e1 / 0.2e1 * t127324;
  t141695 = t4137 * t380 * t583 * t18764;
  t141719 = t141686 + 0.3e1 / 0.2e1 * t8058 * t50222 * t19232 + 0.2e1 / 0.3e1 * t8058 * t5587 * t141150 + t6827 * t141695 / 0.12e2 - t4145 * t13543 * t18813 / 0.4e1 - t61943 * t19305 / 0.3e1 + t4145 * t108226 * t2667 - t16544 - t124845 - t8052 * t35145 * t19232 - t8052 * t4137 * t141150 / 0.2e1 - 0.9e1 / 0.2e1 * t5540 * t8220 * t1182 * t104258 + 0.3e1 / 0.2e1 * t11372 * t4137 * t141154 + t131251 / 0.2e1 + t131256 + 0.5e1 / 0.12e2 * t127338 - t131257 + t18918 - t18919;
  t141720 = 0.3e1 / 0.2e1 * t127350;
  t141721 = 0.3e1 / 0.4e1 * t127361;
  t141722 = t127381 / 0.4e1;
  t141723 = t127394 / 0.2e1;
  t141726 = 0.3e1 / 0.2e1 * t127412;
  t141727 = 0.3e1 / 0.2e1 * t127418;
  t141737 = t987 * t67598 * t2617;
  t141741 = t987 * t8079 * t18840;
  t141744 = t4686 * t19340;
  t141750 = -t141720 + t141721 + t16581 - t16583 - t16588 - t16591 - t141722 + t141723 - 0.3e1 * t8201 * t18864 + t141726 - t141727 - 0.6e1 * t39262 * t1393 * t141004 + t18893 * t8524 - 0.18e2 * t373 * t40874 * t4362 * t140996 + t490 * t141737 / 0.4e1 + t490 * t141741 / 0.12e2 + t2609 * t141744 / 0.4e1 - t131551 - 0.3e1 / 0.2e1 * t4145 * t107778 * t18849;
  t141755 = my_piecewise3(t100, 0, t141036 + t141088 + t141141 + t141170 + t141193 + t141249 + t141288 + t141324 + t141353 + t141391 + t141409 + t141435 + t141472 + t141684 + t141719 + t141750);
  tv4lapl3tau7 = t3 * t141755;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 7] += tv4lapl3tau7;

  t141790 = -t122619 - t2534 * t70149 / 0.6e1 - t515 * t106091 / 0.6e1 + 0.6e1 * t246 * t69241 * t21191 * t19158 + 0.2e1 * t13929 * t19191 + 0.8e1 * t69176 * t26069 * t3678 * t19132 + 0.3e1 * t37303 * t19155 - 0.6e1 * t7462 * t19160 + 0.3e1 * t1891 * t19064 - 0.6e1 * t21206 * t69241 * t21191 * t21197 * t2526 + 0.18e2 * t3680 * t69241 * t21191 * t21192 * t2526 - 0.3e1 * t644 * t13951 * t139247 - t1891 * t19122;
  t141802 = -0.2e1 / 0.3e1 * t124917 + 0.12e2 * t124937 + 0.6e1 * t124941 - t127442 - 0.2e1 * t124969 + 0.6e1 * t69521 * t19143 + t131591 + t127450 - 0.12e2 * t124986 + t122681 - t122691 + t127469 + 0.2e1 * t70477 * t19183 - t2844 * t139022 / 0.2e1;
  t141818 = -t2844 * t139164 - t127471 + 0.4e1 / 0.3e1 * t125008 - t122717 + t122732 + t131661 / 0.3e1 + t122741 - 0.8e1 / 0.3e1 * t125040 - t2534 * t69273 / 0.6e1 + t2534 * t69277 / 0.3e1 - t69282 * t2584 / 0.2e1 + t2839 * t12211 / 0.6e1 + t12216 * t2915 / 0.2e1;
  t141831 = t253 * t106776;
  t141834 = 0.15e2 / 0.2e1 * t10036 * t111099 - t36310 * t18966 / 0.2e1 - 0.2e1 * t32403 * t19531 - t32403 * t19533 + 0.4e1 / 0.3e1 * t6069 * t109585 + 0.22e2 / 0.3e1 * t10066 * t110959 + t131713 - t131714 - t127497 - t127502 - t127507 + t127517 - t125072 / 0.3e1 + t7216 * t4770 * t141831;
  t141841 = t1889 * t19132;
  t141863 = -0.11e2 / 0.3e1 * t69907 * t18969 - 0.3e1 * t52729 * t18945 - t127539 - t122828 - 0.4e1 * t7250 * t1227 * t141841 + t2529 * t14033 / 0.6e1 - 0.6e1 * t246 * t70641 * t19172 - 0.3e1 * t58578 * t10037 * t4746 * t69570 + 0.14e2 / 0.3e1 * t58578 * t10058 * t69571 - t1532 * t19626 / 0.2e1 - t127576 - t12216 * t2907 / 0.2e1 + t106560 * t530 / 0.2e1;
  t141880 = t134177 / 0.6e1;
  t141881 = t14153 * t2596 / 0.2e1 - t58917 * t2899 / 0.2e1 - t2534 * t69514 / 0.6e1 - 0.7e1 / 0.3e1 * t58578 * t69921 + t127613 - t13878 * t4831 * t19190 - 0.2e1 * t13060 * t2734 + t127621 + t127623 - t122850 - 0.2e1 / 0.3e1 * t125137 + 0.4e1 / 0.3e1 * t125144 - 0.4e1 * t13929 * t19118 + t141880;
  t141883 = t134183 / 0.6e1;
  t141884 = t14031 * t2557;
  t141893 = t19543 * t463;
  t141898 = 0.2e1 / 0.3e1 * t134226;
  t141906 = t141883 + t246 * t141884 * t654 / 0.2e1 - 0.3e1 * t13878 * t4844 * t6293 * t2676 - t125167 / 0.3e1 - t118203 + t118208 + t127626 - 0.2e1 * t4779 * t1843 * t3430 * t141893 + t134224 - t141898 - 0.3e1 * t3123 * t14184 * t105924 - 0.6e1 * t69203 * t19163 - 0.6e1 * t1891 * t19052;
  t141907 = t134239 / 0.3e1;
  t141911 = t2851 * t2526;
  t141916 = t253 * t105793;
  t141920 = t660 * t69657 * t2542;
  t141932 = t2851 * t18582;
  t141941 = -t141907 - t127661 + t127679 + 0.3e1 * t3123 * t69975 * t19063 - 0.3e1 / 0.2e1 * t9873 * t7599 * t21220 * t141911 - t11008 * t4760 * t141916 + t466 * t141920 / 0.12e2 + t2839 * t18694 / 0.3e1 + 0.5e1 / 0.3e1 * t69521 * t19197 - t131876 + 0.2e1 / 0.3e1 * t125219 - 0.3e1 / 0.2e1 * t4779 * t7610 * t819 * t141911 - 0.3e1 / 0.2e1 * t4779 * t519 * t22055 * t141932 - 0.3e1 * t4738 * t7595 * t3375 * t141911;
  t141951 = t95 * t141911;
  t141971 = 0.3e1 * t4738 * t7599 * t21225 * t141911 + t7216 * t53072 * t18951 + t11008 * t26082 * t141951 / 0.2e1 + 0.3e1 * t4748 * t14184 * t105743 + 0.5e1 / 0.2e1 * t4779 * t1847 * t22051 * t141893 - t127687 + t127690 - t127699 - t125229 / 0.3e1 + t47709 * t19545 - 0.2e1 / 0.3e1 * t6069 * t110771 - t3123 * t109509 * t2592 / 0.4e1 + t7581 * t140338 / 0.6e1;
  t141978 = t635 * t141911;
  t141982 = t2851 * t18511;
  t142006 = -0.5e1 / 0.18e2 * t11008 * t10037 * t141916 - t3123 * t14231 * t18700 / 0.2e1 - 0.23e2 / 0.36e2 * t11008 * t25739 * t141978 + t4779 * t519 * t3430 * t141982 / 0.2e1 + 0.11e2 / 0.18e2 * t11008 * t26140 * t141951 - 0.11e2 / 0.9e1 * t11008 * t10058 * t141916 + 0.23e2 / 0.18e2 * t11008 * t10037 * t105794 - 0.2e1 * t69176 * t26831 * t19133 + t122974 + t122983 + t134350 - 0.6e1 * t3123 * t69597 * t19051 - 0.2e1 * t48518 * t19499 + 0.2e1 * t32403 * t19503;
  t142031 = -t15081 + t127953 + t15069 - 0.12e2 * t13901 * t105924 + 0.8e1 * t13898 * t105735 - 0.4e1 * t13901 * t105743 - t139074 - t130362 + t130363 + t130364 - t130367 - 0.2e1 * t13904 * t18700 - 0.2e1 * t18948 + 0.12e2 * t18945 - 0.24e2 * t70054 * t19051 + 0.4e1 * t13904 * t18688 + 0.32e2 / 0.3e1 * t70059 * t19159 + 0.12e2 * t70059 * t19063 - 0.8e1 * t70054 * t19176;
  t142053 = 0.16e2 / 0.9e1 * t70059 * t19154 + t130368 + 0.4e1 / 0.3e1 * t102673 * t70069 - 0.4e1 * t102670 * t13892 + 0.24e2 * t70062 * t19051 + t139081 + t127979 + t127983 - t127987 - 0.12e2 * t70065 * t19063 - 0.12e2 * t70090 * t19172 - 0.4e1 * t521 * t18688 + 0.2e2 / 0.9e1 * t102673 * t70107 + 0.2e1 * t521 * t18700 - t127994 + t127998 + t130382 - 0.8e1 * t18959 + 0.12e2 * t70036 * t19172;
  t142054 = t142031 + t142053;
  t142070 = t7198 * t19132;
  t142077 = t123003 + 0.3e1 * t246 * t13951 * t139026 - t246 * t1769 * t658 * t221 * t142054 / 0.4e1 + 0.3e1 * t1532 * t19629 + 0.12e2 * t58950 * t69208 + t1532 * t19632 - 0.18e2 * t246 * t69237 * t19063 + 0.2e1 * t2844 * t139016 - t7307 * t673 * t142070 + t2529 * t13977 / 0.3e1 + t1891 * t19127 + 0.2e1 / 0.3e1 * t125254 - t127717;
  t142079 = t19623 * t463;
  t142101 = t36303 * t18962;
  t142112 = -t123009 - t47709 * t19496 + t4738 * t1847 * t3375 * t142079 - t4779 * t1847 * t3409 * t142079 - 0.11e2 * t4738 * t14331 * t12031 + 0.2e1 / 0.3e1 * t125262 - 0.2e1 / 0.3e1 * t7746 * t36303 * t18951 + 0.2e1 / 0.3e1 * t7746 * t47958 * t19539 + t7581 * t140344 / 0.3e1 - t7216 * t47276 * t19539 / 0.3e1 + t6488 * t142101 / 0.6e1 + 0.2e1 * t52729 * t18959 + 0.5e1 / 0.2e1 * t70204 * t26082 * t18951 - t11086 * t4760 * t141951 / 0.2e1;
  t142130 = t95 * t141893;
  t142145 = -t7581 * t8642 * t95 * t141982 / 0.6e1 - 0.2e1 / 0.3e1 * t7746 * t3130 * t141831 + 0.2e1 * t3123 * t14228 * t105735 - t123020 - 0.43e2 / 0.9e1 * t69176 * t26069 * t19149 + t127724 - t12216 * t2912 / 0.4e1 - 0.5e1 / 0.12e2 * t7216 * t26082 * t142130 + 0.2e1 / 0.3e1 * t7746 * t8642 * t142130 + t7216 * t4760 * t141831 / 0.2e1 + t131985 / 0.3e1 - 0.2e1 * t7216 * t105313 - 0.35e2 / 0.3e1 * t10036 * t110105;
  t142148 = t3130 * t253 * t2932 * t2541;
  t142166 = t63170 * t2676;
  t142184 = t6488 * t142148 / 0.12e2 + 0.6e1 * t4748 * t69597 * t19176 + 0.3e1 * t4779 * t7595 * t3409 * t141911 - t246 * t14040 * t18688 + 0.14e2 / 0.3e1 * t13878 * t4838 * t19117 + 0.89e2 / 0.9e1 * t69176 * t26105 * t19139 - 0.2e1 / 0.3e1 * t1748 * t1220 * t142166 + 0.2e1 * t6295 * t19575 + t644 * t13951 * t139148 - 0.2e1 * t63754 * t2729 - 0.11e2 / 0.9e1 * t7187 * t4838 * t142070 + 0.4e1 / 0.3e1 * t1748 * t106919 + 0.23e2 / 0.18e2 * t7187 * t4844 * t141841 + t123038;
  t142186 = t134477 / 0.3e1;
  t142200 = t142186 + 0.11e2 * t4779 * t14331 * t18944 + t125308 + t127819 + 0.44e2 / 0.27e2 * t69176 * t26069 * t19139 - t127859 + t13060 * t2751 + 0.2e1 / 0.3e1 * t2534 * t70635 - t515 * t140616 / 0.3e1 - 0.28e2 * t69521 * t19146 - t17866 + t123044 + t16188;
  t142217 = -t16191 - t16194 + t17918 - t17919 - t127887 + t515 * t660 * t6255 * t19741 / 0.6e1 - 0.15e2 / 0.2e1 * t9873 * t14293 * t21220 * t12030 + t2160 - t123079 + t123081 - 0.2e1 * t125352 + 0.2e1 * t125368 - 0.18e2 * t3680 * t69237 * t19154 + 0.36e2 * t644 * t69237 * t19159;
  t142231 = -t7462 * t19056 + t132057 + t246 * t14040 * t18700 / 0.2e1 + t127914 + t17946 + 0.3e1 * t1891 * t19173 + t17973 - t17977 - t17978 + t17979 - t123100 - t132064 - 0.38e2 / 0.9e1 * t69176 * t26835 * t19133;
  t142236 = -0.4e1 * t125383 + t16608 - t123123 - t123129 + t123132 + t123139 + 0.2e1 * t125399 - t128019 + t128023 - t128026 + t128032 - t128036 - 0.8e1 * t125412 - 0.12e2 * t125422;
  t142262 = 0.4e1 * t125429 + 0.6e1 * t125437 - 0.2e1 / 0.3e1 * t125441 + t125454 + t7581 * t42955 * t95 * t141932 / 0.2e1 + t11143 * t3130 * t141951 / 0.2e1 - t11143 * t4796 * t141916 - t7581 * t140979 / 0.3e1 + t11086 * t4765 * t141916 + t3123 * t14231 * t18688 + 0.3e1 * t3123 * t70008 * t19172 - t30 * t19041 * t544 / 0.2e1 - t123143;
  t142270 = t95 * t142079;
  t142287 = -0.5e1 / 0.18e2 * t13878 * t4844 * t19190 - t15611 - t16644 + t16645 + t2844 * t139189 / 0.3e1 + t2844 * t139118 / 0.6e1 + t7216 * t4770 * t142270 / 0.3e1 + t7216 * t47370 * t19559 / 0.3e1 - 0.2e1 / 0.3e1 * t7216 * t47364 * t19539 + t47709 * t19549 + 0.2e1 * t13060 * t2742 + 0.3e1 * t32471 * t19770 - 0.2e1 * t125481 + 0.2e1 * t125485;
  t142321 = 0.4e1 / 0.3e1 * t125490 + 0.14e2 / 0.3e1 * t7187 * t4838 * t141841 - 0.3e1 * t7187 * t4844 * t7460 * t19132 + t515 * t140250 / 0.3e1 + t515 * t140243 / 0.6e1 - t1748 * t1227 * t142166 / 0.3e1 - 0.5e1 / 0.18e2 * t7187 * t4844 * t142070 - 0.4e1 / 0.3e1 * t2844 * t139279 - 0.2e1 / 0.3e1 * t2844 * t139574 + 0.2e1 / 0.3e1 * t1787 * t673 * t142166 + t7250 * t1227 * t142070 - 0.5e1 / 0.2e1 * t4738 * t1847 * t22070 * t141893 - t128398;
  t142337 = t134649 / 0.3e1;
  t142338 = t128407 - t246 * t14031 * t2553 * t748 / 0.2e1 + t128421 - t128426 + 0.6e1 * t7462 * t19177 - 0.18e2 * t644 * t69499 * t19176 + 0.18e2 * t246 * t69499 * t19051 + t18533 - t125520 / 0.3e1 + 0.2e1 * t125530 - 0.2e1 * t125533 - t142337 + t128437 + t123235;
  t142360 = t19623 * t2541;
  t142374 = t2844 * t59405 / 0.3e1 - t2844 * t59602 / 0.12e2 - t2534 * t71049 / 0.3e1 + 0.6e1 * t6295 * t19572 + t69904 * t18955 - 0.11e2 / 0.6e1 * t69907 * t18952 + 0.25e2 / 0.36e2 * t70204 * t25739 * t18951 + t7216 * t47270 * t19559 / 0.6e1 - t7746 * t3130 * t142270 / 0.3e1 - t7581 * t8642 * t95 * t142360 / 0.3e1 + t7216 * t4760 * t142270 / 0.6e1 - t7746 * t31513 * t19559 / 0.3e1 - t7581 * t78612 * t19754 / 0.3e1;
  t142401 = 0.5e1 / 0.3e1 * t7216 * t26082 * t635 * t141893 - 0.5e1 / 0.6e1 * t7216 * t27475 * t142130 - 0.6e1 * t6295 * t19481 + 0.3e1 * t1532 * t19473 + t1891 * t19059 + 0.47e2 / 0.3e1 * t69176 * t58281 - 0.62e2 / 0.3e1 * t69176 * t58300 - t7187 * t4831 * t142070 + t128455 - t123264 + 0.55e2 / 0.18e2 * t70204 * t26140 * t18951 + 0.23e2 / 0.9e1 * t125570 + 0.2e1 / 0.3e1 * t2844 * t139577 + t2844 * t139580 / 0.3e1;
  t142426 = t515 * t660 * t58694 * t2852 / 0.12e2 - t134677 - t132218 - t125594 / 0.3e1 + 0.4e1 / 0.3e1 * t125600 - 0.2e1 * t125606 - 0.2e1 / 0.3e1 * t125611 + t123294 + t134700 + t7216 * t53245 * t18951 / 0.2e1 - 0.3e1 / 0.2e1 * t4779 * t7599 * t22070 * t141911 + 0.3e1 * t26806 * t69975 * t19154 - 0.6e1 * t4748 * t69975 * t19159;
  t142449 = t134720 / 0.6e1;
  t142457 = t4779 * t1843 * t819 * t142079 + t4779 * t519 * t3430 * t142360 - 0.2e1 / 0.3e1 * t6069 * t110765 + 0.3e1 * t53885 * t18948 - t16724 - t14215 * t19200 - 0.3e1 * t69203 * t19168 - t2839 * t18490 / 0.3e1 - t2839 * t18514 / 0.6e1 + t515 * t660 * t661 * t94 * t142054 / 0.12e2 + t142449 + 0.2e1 * t11086 * t4760 * t141978 - t11086 * t4770 * t141951 - 0.2e1 * t1532 * t19596;
  t142486 = -t14153 * t2593 / 0.4e1 - 0.115e3 / 0.36e2 * t70204 * t25739 * t18972 - 0.3e1 * t4779 * t14282 * t18958 + 0.5e1 / 0.36e2 * t11008 * t25739 * t141951 - t18138 + 0.15e2 * t4738 * t14293 * t21225 * t12030 - 0.15e2 / 0.2e1 * t4779 * t14293 * t22070 * t12030 + t47925 * t19505 - 0.2e1 * t7216 * t106778 + t2534 * t69508 / 0.3e1 - t644 * t141884 * t649 / 0.2e1 + t130296 - t130298;
  t142508 = t130312 + t132631 - t18633 - t30 * t2577 * t2933 / 0.4e1 + 0.2e1 * t7250 * t1220 * t142070 - 0.11e2 / 0.9e1 * t13878 * t4838 * t19190 - 0.61e2 / 0.27e2 * t69176 * t26105 * t19133 + 0.23e2 / 0.18e2 * t13878 * t4844 * t19117 + t13929 * t19194 - 0.6e1 * t1532 * t19476 - 0.35e2 / 0.108e3 * t69176 * t26069 * t19133 + t118557 - t118560 - t118564;
  t142519 = -t118566 + t118568 + t16791 - t16793 - t128505 - 0.2e1 * t126000 - 0.23e2 / 0.3e1 * t69521 * t19140 - 0.5e1 / 0.9e1 * t126015 + 0.2e1 * t126023 + 0.2e1 / 0.3e1 * t126038 + t15793 - t132680 + 0.3e1 / 0.2e1 * t58578 * t70305;
  t142534 = -0.2e1 * t126060 - t13060 * t2737 - t1891 * t19102 / 0.2e1 - t466 * t110147 / 0.3e1 + 0.22e2 / 0.3e1 * t69521 * t19134 - t15803 + 0.28e2 / 0.3e1 * t126085 - t128535 + 0.18e2 * t58221 * t69492 + 0.4e1 * t126088 + t128539 + t12216 * t2903 / 0.2e1 - t128564 - t123370;
  t142541 = t111122 * t463;
  t142555 = 0.2e1 * t135104;
  t142556 = 0.2e1 * t135107;
  t142557 = 0.2e1 * t135111;
  t142558 = 0.2e1 * t135116;
  t142559 = 0.4e1 * t135128;
  t142562 = 0.4e1 / 0.3e1 * t135173;
  t142563 = t128081 + 0.8e1 * t125636 - 0.4e1 / 0.9e1 * t125647 + 0.1e2 / 0.3e1 * t37040 * t827 * t141893 + 0.2e1 / 0.3e1 * t7584 * t827 * t142541 - 0.22e2 / 0.3e1 * t71298 * t19022 + 0.5e1 / 0.9e1 * t71443 * t3482 * t19021 + 0.44e2 * t71298 * t19027 + 0.4e1 * t36952 * t233 * t141893 - t142555 - t142556 - t142557 + t18003 - t18004 + t18005 + t142558 - t142559 + 0.8e1 * t125665 - 0.48e2 * t125670 - t142562;
  t142568 = t14257 * t2526;
  t142576 = t827 * t142568;
  t142595 = t2883 * t2526;
  t142611 = t19663 * t463;
  t142615 = 0.4e1 * t7595 * t3375 * t142595 - t519 * t3430 * t2883 * t18511 + 0.2e1 / 0.3e1 * t2870 * t139415 + t123466 - t128133 - t128140 + t128143 - t7599 * t21220 * t142595 / 0.18e2 - 0.2e1 * t519 * t3430 * t19663 * t2541 - t128171 - 0.2e1 * t1843 * t819 * t142611;
  t142648 = t128205 - t128207 - t132421 - 0.36e2 * t71159 * t18988 + t128221 - 0.8e1 / 0.3e1 * t125702 + 0.2e1 * t2866 * t18584 - 0.6e1 * t2870 * t139516 + 0.2e1 * t10828 * t233 * t14257 * t18511 + t36958 * t3482 * t142568 / 0.9e1 + t123496;
  t142670 = 0.1e2 / 0.3e1 * t71443 * t3475 * t19021 + 0.8e1 / 0.3e1 * t125733 - 0.3e2 * t71443 * t19022 - 0.4e2 * t71330 * t18979 + 0.1e2 / 0.3e1 * t71156 * t21215 * t18978 + 0.5e2 / 0.3e1 * t71156 * t21220 * t18978 - t123524 - t123529 + t123532 + t132452 - t16831;
  t142700 = 0.4e1 * t135285;
  t142701 = 0.2e1 / 0.3e1 * t135297;
  t142704 = -0.2e1 / 0.3e1 * t71330 * t18985 + 0.4e1 * t2870 * t139502 + 0.12e2 * t71186 * t18994 + 0.1e2 * t37040 * t41885 * t141893 - 0.5e1 / 0.3e1 * t37040 * t41881 * t141893 - 0.8e1 * t36952 * t41877 * t141893 + t142700 + t142701 - t132476 - t128265 - 0.4e1 * t2866 * t18589;
  t142706 = 0.4e1 * t135330;
  t142727 = -0.4e1 * t125811 - 0.16e2 * t125818 + 0.2e1 / 0.9e1 * t125826 + 0.8e1 * t125830 - 0.12e2 * t125832 - t118715 + t118717 + t118721 - t16836 - t16837 + t16838;
  t142768 = 0.24e2 * t125881 - 0.12e2 * t71223 * t19024 - 0.4e1 * t2870 * t139541 - 0.12e2 * t71159 * t19005 + 0.2e1 * t2866 * t18595 + 0.8e1 / 0.3e1 * t71156 * t21220 * t19004 + 0.24e2 * t71156 * t21225 * t19004 + 0.3e1 * t7599 * t22070 * t142595 + 0.2e1 * t1847 * t3409 * t142611 + 0.15e2 * t14293 * t22070 * t18997 - 0.4e1 / 0.3e1 * t1847 * t3375 * t142611;
  t142789 = -0.6e1 * t7595 * t3409 * t142595 - 0.24e2 * t71186 * t19017 - t123677 + t123684 + t123697 - t123700 + t123703 + t16887 - t18069 + t2119 - t2138;
  t142803 = t135017 / 0.2e1;
  t142804 = t135024 / 0.2e1;
  t142815 = -t30 * t59 * (-0.4e1 / 0.3e1 * t2870 * t139470 + 0.6e1 * t14282 * t19001 - 0.72e2 * t71330 * t19033 + 0.8e1 * t71330 * t19030 - 0.22e2 * t14331 * t18998 - 0.2e1 * t36961 * t142576 + 0.44e2 / 0.3e1 * t14331 * t19012 + 0.12e2 * t2870 * t139398 + 0.24e2 * t71159 * t18982 - t2866 * t18559 + 0.2e1 * t2870 * t139482 + 0.36e2 * t71330 * t18991 - 0.2e1 * t2870 * t139560 + 0.4e1 / 0.3e1 * t71330 * t19008 + 0.72e2 * t71159 * t19036 - 0.6e1 * t36958 * t142576 + 0.3e1 * t7610 * t819 * t142595 - 0.12e2 * t71156 * t21225 * t18978 - 0.5e2 / 0.3e1 * t14293 * t21225 * t18997 + 0.4e1 * t7586 * t233 * t142541 - 0.5e1 * t37040 * t840 * t141893 - 0.4e1 / 0.3e1 * t71156 * t21215 * t19004 - 0.1e2 / 0.3e1 * t7599 * t21225 * t142595 - t71156 * t21210 * t19004 / 0.9e1 - 0.5e1 / 0.18e2 * t14293 * t21220 * t18997 - 0.6e1 * t36949 * t233 * t142568 + 0.12e2 * t36961 * t840 * t142568 - 0.4e1 * t7584 * t840 * t142541 + 0.2e1 / 0.3e1 * t36958 * t3475 * t142568 - t123648 - t123641 + t123634 - t118750 + t118742 - t118744 + t130542 - t130523 - t130501 + t130503 - 0.16e2 * t125877 + t128326 - 0.12e2 * t125791 + 0.24e2 * t125782 + 0.4e2 / 0.3e1 * t125779 - 0.16e2 / 0.3e1 * t125773 + t128284 - t128241 + t128245 - t128236 + t128231 - t128201 - t128195 + t128186 + 0.24e2 * t125679 + 0.4e1 * t10828 * t233 * t111122 * t2541 + t142768 + t142704 + t142706 + t142615 + t16832 + t16833 + t142727 + t142670 + t142789 + t519 * t819 * t60 * t142054 / 0.2e1 - 0.6e1 * t53471 * t233 * t14257 * t18582 - t519 * t819 * t63 * t142054 + 0.3e1 * t519 * t22055 * t2883 * t18582 + t142563 + t142648 + t132427 + t18043 + t135368 - t18625 - t18057 + t18058 - t18059 - t132423) * t95 / 0.4e1 - t2089 - 0.18e2 * t644 * t69241 * t21191 * t19153 - 0.22e2 / 0.9e1 * t126110 + t128597 - t130682 - t142803 - t142804 - 0.4e1 * t11086 * t105795 + 0.2e1 * t11086 * t4754 * t141916 - t2844 * t59401 / 0.6e1 - t515 * t106555 / 0.6e1 - 0.6e1 * t126129;
  t142836 = 0.6e1 * t126138 - 0.2e1 * t126149 - t14153 * t2588 / 0.2e1 + t2529 * t14148 / 0.6e1 - t2534 * t70264 / 0.12e2 - t466 * t109418 / 0.6e1 + t109423 * t481 / 0.2e1 - t246 * t13951 * t139172 - t466 * t110167 / 0.6e1 - t2534 * t69676 / 0.12e2 + t1532 * t19602 / 0.2e1 + t128605 - t128611 + t18158;
  t142842 = my_piecewise3(t2, 0, t142184 + t141881 + t141834 + t142519 + t142262 + t141941 + t141863 + t142006 + t141802 + t142534 + t142231 + t142426 + t142321 + t141790 + t142457 + t142145 + t142112 + t142338 + t142374 + t142236 + t141818 + t142815 + t141906 + t142508 + t142287 + t142401 + t142200 + t142486 + t142836 + t141971 + t142077 + t142217);
  tv4lapl2tau20 = t3 * t142842;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 0] += tv4lapl2tau20;

  tv4lapl2tau21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 1] += tv4lapl2tau21;

  tv4lapl2tau22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 2] += tv4lapl2tau22;

  tv4lapl2tau23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 3] += tv4lapl2tau23;

  tv4lapl2tau24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 4] += tv4lapl2tau24;

  tv4lapl2tau25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 5] += tv4lapl2tau25;

  tv4lapl2tau26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 6] += tv4lapl2tau26;

  tv4lapl2tau27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 7] += tv4lapl2tau27;

  t142857 = t128625 - t128635 - t4145 * t113295 * t2667 / 0.4e1 + 0.3e1 * t5535 * t14639 * t108867 + t128655 + t128660 - t128663 + t123778 - t128677 + t555 * t141741 / 0.6e1 + t555 * t141737 / 0.3e1 - 0.2e1 / 0.3e1 * t2947 * t139669 - 0.4e1 / 0.3e1 * t2947 * t139665;
  t142861 = t380 * t109172;
  t142868 = t2954 * t2601;
  t142869 = t168 * t142868;
  t142882 = t8079 * t19311;
  t142886 = t67598 * t2756;
  t142890 = -t555 * t107858 / 0.6e1 + t13724 * t2831 - t11372 * t5582 * t142861 + t4145 * t14713 * t18827 + 0.22e2 / 0.3e1 * t10451 * t112946 + t123809 + t11372 * t4137 * t142869 / 0.2e1 - t11369 * t5549 * t142869 / 0.2e1 - t8055 * t141056 / 0.3e1 + t50177 * t19988 + t50177 * t19992 + 0.3e1 * t2030 * t19328 - 0.5e1 / 0.18e2 * t8090 * t5623 * t142882 - t1965 * t1400 * t142886 / 0.3e1;
  t142918 = t135538 / 0.3e1;
  t142919 = -0.15e2 / 0.2e1 * t5540 * t14795 * t24823 * t12518 - 0.3e1 * t5559 * t8223 * t4408 * t142868 - 0.2e1 * t73272 * t29555 * t19316 + 0.5e1 / 0.3e1 * t73433 * t19375 - t2947 * t140199 / 0.2e1 + 0.14e2 / 0.3e1 * t12347 * t74608 - 0.6e1 * t373 * t74498 * t19327 + t123824 + 0.5e1 / 0.2e1 * t72838 * t29911 * t19232 + 0.14e2 / 0.3e1 * t61262 * t10485 * t100847 - t128698 + t128702 + t142918;
  t142938 = t128730 + t128739 + t123834 + t128747 + 0.23e2 / 0.9e1 * t126275 + 0.4e1 / 0.3e1 * t6824 * t112405 - t14626 * t2663 / 0.2e1 - 0.2e1 * t126305 + 0.55e2 / 0.18e2 * t72838 * t29517 * t19232 - 0.11e2 / 0.3e1 * t72971 * t19458 + t8058 * t56695 * t19232 / 0.2e1 + t126314 + t2604 * t14621 / 0.6e1 - t72906 * t2659 / 0.2e1;
  t142959 = t14974 * t2632;
  t142967 = t14626 * t2671 / 0.2e1 + t2942 * t12591 / 0.6e1 - t555 * t108871 / 0.6e1 - t2947 * t61706 / 0.6e1 - t2947 * t62466 / 0.12e2 + t2947 * t61710 / 0.3e1 - t490 * t113165 / 0.6e1 + t113170 * t505 / 0.2e1 + t2609 * t72915 / 0.3e1 + t128842 + t373 * t142959 * t1094 / 0.2e1 - t2609 * t73532 / 0.6e1 + t2609 * t73536 / 0.3e1;
  t142972 = t987 * t73718 * t2617;
  t142980 = t19982 * t487;
  t142994 = -t1030 * t142959 * t1035 / 0.2e1 + t490 * t142972 / 0.12e2 + 0.2e1 * t126317 - 0.2e1 * t126320 + 0.4e1 / 0.3e1 * t126322 - 0.2e1 / 0.3e1 * t126327 - t123869 - t123875 - t128858 - t126341 / 0.3e1 - 0.5e1 / 0.2e1 * t5559 * t2060 * t24823 * t142980 + 0.5e1 / 0.2e1 * t5540 * t2060 * t24962 * t142980 + 0.2e1 * t4145 * t14701 * t108956 + 0.3e1 * t1663 * t19832;
  t143022 = -0.6e1 * t72825 * t19352 - 0.61e2 / 0.27e2 * t73272 * t29437 * t19316 + 0.44e2 / 0.27e2 * t73272 * t29442 * t19348 + 0.22e2 / 0.3e1 * t73433 * t19359 - 0.23e2 / 0.3e1 * t73433 * t19362 - t2030 * t19277 - t490 * t112988 / 0.3e1 - t2609 * t73154 / 0.6e1 - t2030 * t19292 / 0.2e1 - t13724 * t2817 - 0.4e1 * t12643 * t73514 - 0.2e1 * t13724 * t2814 + 0.18e2 * t61305 * t73520;
  t143055 = 0.6e1 * t6848 * t19914 - 0.18e2 * t373 * t72879 * t19250 + t1663 * t20022 / 0.2e1 - t490 * t114131 / 0.6e1 - t8490 * t1000 * t142882 - t2947 * t139661 + t8360 * t1400 * t142882 - 0.3e1 * t11381 * t10458 * t5533 * t109172 + 0.3e1 * t30030 * t73811 * t19272 + t11381 * t29911 * t142869 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t8227 * t24823 * t142868 - 0.3e1 * t4145 * t14639 * t109167 - t128873 + 0.4e1 * t126368;
  t143085 = -0.38e2 / 0.9e1 * t73272 * t29110 * t19316 + 0.89e2 / 0.9e1 * t73272 * t29437 * t19348 + 0.3e1 * t40761 * t19273 - t8090 * t5634 * t142882 + 0.6e1 * t373 * t72961 * t24376 * t19261 + 0.18e2 * t4395 * t72961 * t24376 * t24448 * t2601 - 0.6e1 * t8201 * t19263 + t18174 - t18175 + t18176 + t2030 * t19323 + t2604 * t14643 / 0.3e1 - t373 * t14967 * t139893;
  t143089 = t2954 * t18764;
  t143106 = t4137 * t380 * t3035 * t2616;
  t143111 = -t123935 + t123944 + t123954 - t123960 + t123963 - 0.4e1 * t61452 * t5553 * t100847 + t5540 * t559 * t4543 * t143089 / 0.2e1 + 0.2e1 * t61452 * t73017 - t128914 + 0.5e1 / 0.36e2 * t11381 * t29498 * t142869 - 0.5e1 / 0.18e2 * t11381 * t10458 * t142861 + t8055 * t141695 / 0.6e1 + t6827 * t143106 / 0.12e2 + 0.15e2 / 0.2e1 * t10457 * t113300;
  t143128 = t128924 + t128928 - 0.3e1 * t6752 * t112361 + 0.14e2 / 0.3e1 * t6752 * t112457 - 0.2e1 * t1663 * t19827 - 0.18e2 * t1030 * t74589 * t19331 - t123972 + 0.2e1 * t56164 * t19298 - 0.2e1 / 0.3e1 * t126441 + 0.4e1 / 0.3e1 * t126451 - 0.4e1 * t126454 + 0.2e1 * t126458 - t128955;
  t143140 = t2954 * t18738;
  t143147 = -t123981 - t128979 + t128995 + 0.2e1 / 0.3e1 * t2609 * t72887 - t8201 * t19258 + t2030 * t19246 - 0.22e2 / 0.9e1 * t126481 - t129024 + t129050 + 0.15e2 * t5559 * t14795 * t24848 * t12518 + 0.3e1 * t56196 * t19300 + t8055 * t45031 * t168 * t143140 / 0.2e1 - 0.2e1 * t6824 * t112423 - t129052;
  t143163 = t168 * t142980;
  t143170 = t380 * t108705;
  t143178 = 0.3e1 * t2030 * t19251 - 0.6e1 * t25375 * t72961 * t24376 * t24377 * t2601 - 0.18e2 * t1030 * t72961 * t24376 * t19271 + t119016 - t124056 - t129065 - t129081 - 0.2e1 * t6824 * t113551 - 0.5e1 / 0.12e2 * t8058 * t29911 * t143163 + 0.2e1 / 0.3e1 * t8052 * t9270 * t143163 - 0.2e1 / 0.3e1 * t8052 * t4137 * t143170 - t8055 * t9270 * t168 * t143089 / 0.6e1 + t124077;
  t143205 = t15337 - t130802 + t130803 + t130804 - t128767 - 0.12e2 * t74045 * t19327 - 0.4e1 * t104153 * t14728 - 0.12e2 * t74020 * t19250 + t139780 - t130831 + t130832 + t130833 + 0.2e2 / 0.9e1 * t104159 * t74039 + 0.4e1 / 0.3e1 * t104159 * t74024 + 0.24e2 * t74017 * t19267 - 0.4e1 * t561 * t18827 - 0.4e1 * t14737 * t108867 - 0.12e2 * t14737 * t109167 + 0.8e1 * t14734 * t108956;
  t143227 = -t15349 + t128784 - t128789 + t128793 + 0.2e1 * t561 * t18813 + t128801 + t128811 + 0.32e2 / 0.3e1 * t74080 * t19262 - 0.24e2 * t74052 * t19267 + 0.4e1 * t14740 * t18827 + 0.12e2 * t74075 * t19327 + 0.12e2 * t74080 * t19250 - 0.8e1 * t74052 * t19331 + 0.16e2 / 0.9e1 * t74080 * t19272 - 0.2e1 * t19300 - 0.2e1 * t14740 * t18813 - t139787 + 0.12e2 * t19229 - 0.8e1 * t19298;
  t143228 = t143205 + t143227;
  t143251 = -t119085 + t8058 * t5549 * t143170 / 0.2e1 + 0.6e1 * t126531 + t133075 + 0.3e1 * t1663 * t19901 - t373 * t1940 * t985 * t348 * t143228 / 0.4e1 - t1663 * t19922 / 0.2e1 - t2609 * t72892 / 0.3e1 + t133108 / 0.3e1 - t130801 - 0.2e1 * t5540 * t2056 * t4543 * t142980 + t2947 * t139826 / 0.3e1 + t2947 * t139851 / 0.6e1 + t555 * t987 * t61957 * t2955 / 0.12e2;
  t143276 = t555 * t987 * t6773 * t19861 / 0.6e1 + t555 * t987 * t988 * t167 * t143228 / 0.12e2 + 0.2e1 / 0.3e1 * t1958 * t1000 * t142886 - t373 * t14974 * t2628 * t1045 / 0.2e1 + 0.2e1 / 0.3e1 * t2947 * t139880 + t2947 * t139883 / 0.3e1 - 0.5e1 / 0.9e1 * t126546 - t126563 / 0.3e1 + t129116 + 0.2e1 / 0.3e1 * t126571 - t119112 - t119120 + t119132;
  t143299 = -t130905 - t133141 + 0.2e1 * t8360 * t1393 * t142882 - 0.11e2 / 0.9e1 * t8090 * t5640 * t142882 + 0.23e2 / 0.18e2 * t8090 * t5623 * t108275 + 0.6e1 * t126886 + 0.2e1 * t126889 + t18811 + 0.5e1 / 0.3e1 * t6824 * t112917 + t129119 - t2180 - 0.2e1 / 0.3e1 * t8052 * t39994 * t19232 - 0.115e3 / 0.36e2 * t72838 * t29498 * t19454 - t8058 * t50197 * t19963 / 0.3e1;
  t143320 = t19860 * t487;
  t143327 = t133159 / 0.3e1 - t129159 - t135891 + t11369 * t5553 * t142861 - t4145 * t14713 * t18813 / 0.2e1 - 0.3e1 / 0.2e1 * t5540 * t8220 * t1182 * t142868 + 0.25e2 / 0.36e2 * t72838 * t29498 * t19232 - 0.11e2 / 0.6e1 * t72971 * t19236 - 0.2e1 * t126925 + t5559 * t2060 * t4408 * t143320 - t5540 * t2060 * t4549 * t143320 - t119158 + t119159;
  t143355 = t51823 * t19956 - t50177 * t19960 - 0.2e1 * t51828 * t19943 + 0.2e1 * t34283 * t19954 - 0.7e1 / 0.3e1 * t61262 * t73352 + 0.3e1 / 0.2e1 * t61262 * t73089 - t555 * t140993 / 0.3e1 + 0.2e1 * t2947 * t140144 + t129182 - 0.62e2 / 0.3e1 * t61424 * t73505 + 0.3e1 * t373 * t14967 * t139875 - 0.2e1 / 0.3e1 * t1965 * t1393 * t142886 - t14535 * t5634 * t19368 - 0.11e2 / 0.9e1 * t14535 * t5640 * t19368;
  t143357 = t20074 * t487;
  t143382 = t19386 * t2954;
  t143386 = 0.2e1 * t136114;
  t143387 = 0.2e1 * t136119;
  t143388 = 0.4e1 / 0.3e1 * t136128;
  t143389 = 0.4e1 * t136130;
  t143395 = -0.4e1 / 0.3e1 * t2060 * t4408 * t143357 + 0.44e2 / 0.3e1 * t14806 * t19417 - 0.2e1 * t2056 * t1182 * t143357 + 0.2e1 / 0.3e1 * t2973 * t140032 - t73976 * t24930 * t19423 / 0.9e1 - 0.12e2 * t73967 * t19424 + 0.2e1 * t2969 * t18793 + 0.4e1 / 0.3e1 * t73979 * t19427 - t559 * t4543 * t2986 * t18764 - 0.4e1 * t2973 * t140039 - t8227 * t24794 * t143382 / 0.18e2 + t129388 + t129395 - t129399 - t143386 - t143387 - t143388 + t143389 + 0.4e1 * t40184 * t360 * t142980 - 0.12e2 * t74260 * t19409;
  t143398 = 0.2e1 * t136132;
  t143408 = t113699 * t487;
  t143412 = t14779 * t2601;
  t143413 = t1190 * t143412;
  t143429 = 0.2e1 / 0.3e1 * t136222;
  t143436 = 0.4e1 * t8251 * t360 * t143408 - 0.2e1 * t40187 * t143413 - 0.6e1 * t40190 * t143413 - 0.5e1 * t40179 * t1203 * t142980 + 0.44e2 * t74251 * t19412 - 0.4e1 * t8254 * t1203 * t143408 + 0.2e1 / 0.3e1 * t40190 * t4624 * t143412 + t143429 + t131319 - 0.5e1 / 0.3e1 * t40179 * t45378 * t142980 - 0.8e1 * t40184 * t45387 * t142980;
  t143464 = 0.2e1 * t136281;
  t143477 = -t559 * t1182 * t143 * t143228 + 0.4e1 * t8223 * t4408 * t143382 - 0.16e2 * t126692 + 0.24e2 * t126696 - 0.8e1 / 0.3e1 * t126700 - 0.48e2 * t126708 - t124454 + t124457 + t124460 - t124464 - 0.12e2 * t126719;
  t143511 = -0.36e2 * t73967 * t19399 - 0.4e2 * t73979 * t19387 + 0.1e2 / 0.3e1 * t73976 * t24958 * t19386 - 0.2e1 * t559 * t4543 * t20074 * t2616 + 0.6e1 * t14826 * t19420 - 0.2e1 * t2973 * t140050 - t119320 - t119323 + t119330 + 0.1e2 / 0.3e1 * t74270 * t4624 * t19406 - 0.3e2 * t74270 * t19407;
  t143515 = 0.4e1 * t136306;
  t143531 = 0.4e1 * t136327;
  t143541 = -t124549 + 0.4e1 * t11528 * t360 * t113699 * t2616 + 0.2e1 * t11528 * t360 * t14779 * t18764 + 0.1e2 / 0.3e1 * t40179 * t1190 * t142980 + 0.2e1 / 0.3e1 * t8254 * t1190 * t143408 - t143531 + t40190 * t4633 * t143412 / 0.9e1 - 0.4e1 * t126754 - 0.6e1 * t8223 * t4549 * t143382 + 0.72e2 * t73967 * t19439 + t136356;
  t143572 = -0.16e2 / 0.3e1 * t126819 - 0.16e2 * t126822 + 0.2e1 / 0.9e1 * t126825 - t129559 + t129566 - t129576 + t129581 - t129583 + t124603 + 0.24e2 * t73976 * t24848 * t19423 + 0.8e1 / 0.3e1 * t73976 * t24794 * t19423;
  t143594 = -0.6e1 * t57365 * t360 * t14779 * t18738 + 0.12e2 * t40187 * t1203 * t143412 - 0.6e1 * t40207 * t360 * t143412 + 0.8e1 * t126846 + 0.24e2 * t126848 - t129622 + t129626 - t129628 - t129632 + t129636 - t18402;
  t143610 = t124664 - t124668 + t124673 - t17165 + t17166 + t17167 - t2229 - t133562 + t131472 - t131488 + t2210;
  t143619 = t168 * t143320;
  t143634 = t18216 + t130958 - t110 * t139 * (-0.2e1 / 0.3e1 * t73979 * t19393 + 0.36e2 * t73979 * t19396 - t2969 * t18766 - 0.4e1 / 0.3e1 * t2973 * t139942 + 0.2e1 * t2973 * t139980 + 0.24e2 * t73967 * t19390 + 0.2e1 * t2969 * t18740 + 0.4e1 * t2973 * t139955 + 0.12e2 * t74000 * t19403 - 0.6e1 * t2973 * t139973 - 0.22e2 * t14806 * t19445 + 0.8e1 * t73979 * t19442 - 0.22e2 / 0.3e1 * t74251 * t19407 - 0.24e2 * t74000 * t19432 - 0.4e1 * t2969 * t18796 - 0.72e2 * t73979 * t19436 + 0.12e2 * t2973 * t140014 + 0.5e1 / 0.9e1 * t74270 * t4633 * t19406 + 0.1e2 * t40179 * t45383 * t142980 + 0.15e2 * t14795 * t24823 * t19416 + 0.2e1 * t2060 * t4549 * t143357 - 0.4e1 / 0.3e1 * t73976 * t24958 * t19423 - 0.1e2 / 0.3e1 * t8227 * t24848 * t143382 - 0.5e1 / 0.18e2 * t14795 * t24794 * t19416 - 0.5e2 / 0.3e1 * t14795 * t24848 * t19416 + 0.5e2 / 0.3e1 * t73976 * t24794 * t19386 - 0.12e2 * t73976 * t24848 * t19386 + 0.3e1 * t8227 * t24823 * t143382 + 0.3e1 * t8220 * t1182 * t143382 - t124569 + t124505 - t124483 + t124466 + t119445 + t119433 - t119436 - t131306 - t129614 + t129609 - t129595 + t129482 + t129468 + 0.8e1 * t126636 - 0.4e1 / 0.9e1 * t126633 + 0.8e1 * t126622 + 0.24e2 * t126606 + t143610 + t143594 - 0.12e2 * t126838 + 0.4e2 / 0.3e1 * t126811 + 0.8e1 / 0.3e1 * t126655 + t18330 - t143398 + t143541 + t143511 + t143395 + t143464 + t559 * t1182 * t140 * t143228 / 0.2e1 + 0.3e1 * t559 * t24858 * t2986 * t18738 - t18787 + t133432 - t133433 - t18375 + t18376 - t18403 + t18404 + t18372 - t17102 + t17103 + t133424 - t133425 - t17104 + t143572 - t18342 + t143515 + t143436 + t143477 + t17129) * t168 / 0.4e1 + t8058 * t5587 * t143619 / 0.3e1 + t8058 * t50222 * t19946 / 0.3e1 - 0.35e2 / 0.3e1 * t72838 * t61977 + t8058 * t56704 * t19232 + 0.23e2 / 0.18e2 * t11381 * t10458 * t109173 + t129206 + t129212 - 0.2e1 * t126968 - t124191 + t124199;
  t143635 = t136006 / 0.2e1;
  t143638 = t39994 * t19304;
  t143651 = t19860 * t2616;
  t143657 = t135975 - t143635 - t18860 - t127023 / 0.3e1 - t124224 - 0.2e1 / 0.3e1 * t127039 - t133292 + t133293 + t6827 * t143638 / 0.6e1 - 0.3e1 / 0.2e1 * t5540 * t559 * t24858 * t143140 - 0.3e1 * t5540 * t14826 * t19297 + t5540 * t2056 * t1182 * t143320 + t5540 * t559 * t4543 * t143651 - 0.2e1 / 0.3e1 * t6824 * t112653;
  t143681 = 0.2e1 * t11369 * t5591 * t142861 - 0.5e1 / 0.6e1 * t8058 * t30214 * t143163 - t129246 + t133579 - t110 * t19450 * t584 / 0.2e1 - t110 * t2652 * t3036 / 0.4e1 - 0.2e1 * t127063 + 0.4e1 / 0.3e1 * t127077 - 0.2e1 / 0.3e1 * t127079 + t73279 * t19233 - 0.15e2 / 0.2e1 * t10506 * t14795 * t24794 * t12518 - t18265 - t127102 / 0.3e1;
  t143685 = 0.2e1 / 0.3e1 * t127106 - 0.2e1 * t127109 + 0.4e1 / 0.3e1 * t127113 + t18285 - t17037 - t17038 + t17039 + t16016 - t16021 - t16024 + t17040 + t2251 - t129287 + t129291;
  t143714 = -0.3e1 * t56164 * t19229 - 0.2e1 / 0.3e1 * t8058 * t50229 * t19963 + 0.4e1 / 0.3e1 * t1651 * t112902 - 0.3e1 * t12347 * t73259 + 0.18e2 * t373 * t74589 * t19267 - 0.12e2 * t127156 - 0.12e2 * t127160 - t39948 * t19225 / 0.2e1 + 0.2e1 / 0.3e1 * t8052 * t50205 * t19963 + 0.4e1 * t127186 - t133641 + 0.3e1 * t5540 * t8223 * t4549 * t142868 + 0.6e1 * t5535 * t74916 * t19331;
  t143715 = 0.2e1 / 0.3e1 * t136490;
  t143729 = t136566 / 0.2e1;
  t143733 = -t143715 + 0.23e2 / 0.18e2 * t14535 * t5623 * t19282 - t14626 * t2668 / 0.4e1 - t2609 * t72911 / 0.6e1 - t129310 - 0.11e2 * t5559 * t14806 * t12519 + 0.11e2 * t5540 * t14806 * t19228 - t133682 + t124717 - t143729 + t1663 * t19904 + 0.12e2 * t61321 * t73628 - t124728 + t129324;
  t143747 = t136607 / 0.3e1;
  t143748 = t136615 / 0.3e1;
  t143749 = t136623 / 0.6e1;
  t143754 = -t129340 - t2609 * t72899 / 0.12e2 + t108876 * t570 / 0.2e1 - t61715 * t3002 / 0.2e1 + t12596 * t3018 / 0.2e1 - t12596 * t3010 / 0.2e1 - t143747 - t143748 + t143749 - t124748 + t124756 - 0.28e2 * t61305 * t72948 + 0.2e1 * t13724 * t2822;
  t143776 = -0.2e1 * t68390 * t2809 + 0.3e1 * t34826 * t19795 - 0.6e1 * t1663 * t19840 - 0.6e1 * t6848 * t19837 - t124764 + t136649 + t136659 - 0.8e1 * t127243 + 0.6e1 * t127268 + 0.2e1 * t72940 * t19337 - 0.3e1 * t72825 * t19381 + t2942 * t18833 / 0.3e1 + 0.8e1 * t61424 * t74615 - 0.18e2 * t4395 * t72879 * t19272;
  t143804 = 0.36e2 * t1030 * t72879 * t19262 + 0.6e1 * t8201 * t19332 - 0.6e1 * t2030 * t19268 - t129663 - 0.8e1 / 0.3e1 * t127278 + t8058 * t5587 * t143170 + 0.2e1 * t6848 * t19912 + t1030 * t14967 * t139860 + t12596 * t3006 / 0.2e1 - t12596 * t3015 / 0.4e1 + t373 * t14987 * t18813 / 0.2e1 - 0.3e1 * t1030 * t14967 * t140130 + 0.2e1 * t14542 * t19369;
  t143813 = 0.6e1 * t73433 * t19317 + 0.47e2 / 0.3e1 * t61424 * t74843 + t18462 - t129675 + t129694 - t18476 + t124785 - 0.6e1 * t127303 + 0.28e2 / 0.3e1 * t127310 - t129716 - t129745 + t131233 + 0.12e2 * t127321 + 0.2e1 * t127324;
  t143816 = t136763 / 0.6e1;
  t143817 = t136774 / 0.6e1;
  t143846 = t143816 + t143817 - t11381 * t5549 * t142861 - 0.6e1 * t5535 * t73811 * t19262 + 0.3e1 * t4145 * t73811 * t19250 - 0.3e1 / 0.2e1 * t10506 * t8227 * t24794 * t142868 + 0.3e1 * t5559 * t8227 * t24848 * t142868 + 0.11e2 / 0.18e2 * t11381 * t29517 * t142869 - 0.23e2 / 0.36e2 * t11381 * t29498 * t1021 * t142868 - t11369 * t5587 * t142869 - 0.11e2 / 0.9e1 * t11381 * t10485 * t142861 - t18477 - t133836;
  t143871 = t8058 * t50186 * t19946 / 0.6e1 - t8055 * t81814 * t19983 / 0.3e1 - t8052 * t35145 * t19946 / 0.3e1 + t8058 * t5549 * t143619 / 0.6e1 - t8055 * t9270 * t168 * t143651 / 0.3e1 - t8052 * t4137 * t143619 / 0.3e1 - 0.6e1 * t4145 * t74916 * t19267 + t133852 + t124852 + 0.2e1 / 0.3e1 * t127338 - t124871 + t17075 - t17076 - 0.2e1 * t127350;
  t143889 = t127361 + t16580 - t18480 - t16587 - t16590 - t2609 * t72981 / 0.12e2 - 0.4e1 * t6921 * t112591 - t14776 * t19378 + t14542 * t19372 - t2942 * t18842 / 0.6e1 - t2942 * t18837 / 0.3e1 - 0.35e2 / 0.108e3 * t73272 * t29442 * t19316 - 0.5e1 / 0.18e2 * t14535 * t5623 * t19368;
  t143911 = t129806 - t127381 / 0.3e1 + 0.2e1 / 0.3e1 * t127394 + 0.2e1 * t127412 - 0.2e1 * t127418 - t373 * t14987 * t18827 + t2604 * t14976 / 0.6e1 - 0.43e2 / 0.9e1 * t73272 * t29442 * t19312 - t124900 + t8055 * t141429 / 0.3e1 - 0.2e1 / 0.3e1 * t6824 * t112409 - 0.2e1 * t34283 * t19995 - t34283 * t19997 + 0.3e1 * t4145 * t73192 * t19327;
  t143917 = my_piecewise3(t100, 0, t143911 + t143889 + t143871 + t143846 + t143813 + t143804 + t143776 + t143754 + t143733 + t143714 + t143685 + t143681 + t143657 + t143634 + t143147 + t143327 + t143178 + t143022 + t143128 + t143055 + t143276 + t143085 + t143111 + t142857 + t143251 + t143299 + t142938 + t142919 + t143355 + t142994 + t142967 + t142890);
  tv4lapl2tau28 = t3 * t143917;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 8] += tv4lapl2tau28;

  t143924 = -t140255 + t140256 + t140257 - t136863 - t140258 + t136868 - t140260 + t70197 * t140421 - 0.11e2 / 0.6e1 * t70204 * t10058 * t19539 + 0.3e1 * t69907 * t19552 + t136885 - t136888;
  t143936 = t20167 * t463;
  t143942 = t20198 * t463;
  t143946 = t20167 * t2541;
  t143961 = t125008 - t69910 * t18963 / 0.2e1 + t7216 * t53245 * t19559 / 0.4e1 - t7746 * t36303 * t19559 / 0.2e1 - t7581 * t83080 * t19754 / 0.2e1 + t4779 * t1843 * t819 * t143936 / 0.2e1 + t131661 / 0.4e1 + t4779 * t1847 * t22051 * t143942 - t7581 * t8642 * t95 * t143946 / 0.6e1 + 0.7e1 * t10036 * t115544 - 0.9e1 / 0.2e1 * t9873 * t14293 * t21220 * t19494 - 0.3e1 / 0.2e1 * t4748 * t115707 * t2728 - 0.2e1 * t125040;
  t143979 = -0.18e2 * t644 * t114265 * t2728 + t2844 * t64934 - 0.3e1 / 0.4e1 * t1891 * t19626 - t136923 - t136924 - t136925 + t136926 - t140349 + t70197 * t140341 / 0.2e1 - 0.5e1 / 0.12e2 * t70204 * t10037 * t19539 - 0.3e1 * t3123 * t115555 * t18523 + 0.2e1 / 0.3e1 * t69910 * t19755;
  t143983 = t95 * t143942;
  t143997 = t69904 * t19751 + 0.16e2 / 0.3e1 * t10066 * t114882 - t136935 - t136948 + t136953 - t7216 * t27475 * t143983 / 0.3e1 + t136955 - t136956 - t2844 * t63749 / 0.2e1 - t20276 * t1527 / 0.2e1 - 0.5e1 / 0.36e2 * t20252 * t31795 - t2844 * t62972 / 0.4e1 - 0.3e1 / 0.2e1 * t13060 * t2907;
  t144024 = 0.3e1 * t6295 * t20269 + t20262 * t6286 - 0.11e2 / 0.18e2 * t20252 * t32444 - 0.2e1 * t20262 * t6290 - t20252 * t32459 / 0.2e1 + 0.23e2 / 0.36e2 * t20252 * t32433 + 0.3e1 / 0.4e1 * t109423 * t530 + 0.3e1 / 0.2e1 * t1532 * t20313 + t7581 * t142101 / 0.2e1 + t7746 * t53253 * t19539 - 0.2e1 * t70197 * t140719 + 0.23e2 / 0.12e2 * t70204 * t10037 * t19555;
  t144037 = t136986 + t137009 + t137010 - t140390 + t125144 + t141880 + t141883 + 0.9e1 / 0.2e1 * t1891 * t19629 - 0.3e1 * t1891 * t19596 - 0.9e1 * t1891 * t19476 + 0.3e1 * t7462 * t19575 - 0.9e1 / 0.2e1 * t6107 * t115784 + 0.9e1 * t7462 * t19572;
  t144061 = 0.4e1 * t13898 * t109637 + 0.4e1 * t13904 * t109669 - 0.4e1 / 0.3e1 * t13901 * t109788 - 0.4e1 * t13901 * t109846 - t15081 + t137398 - 0.4e1 * t114607 * t2728 - 0.4e1 / 0.3e1 * t2878 * t18705 + t15069 + 0.8e1 * t2878 * t18523 - 0.12e2 * t114632 * t2733;
  t144074 = -0.4e1 * t2881 * t2592 + 0.2e1 * t521 * t19625 + 0.2e2 / 0.9e1 * t114610 * t19769 - 0.12e2 * t114610 * t19472 + 0.4e1 / 0.3e1 * t114610 * t19480 + 0.24e2 * t114607 * t2741 - t130361 - t122880 + t122890 - t137437 + t122898 - t122910;
  t144088 = t122914 + t137441 + t130375 + t137459 + t137460 + 0.12e2 * t114570 * t2733 + 0.4e1 * t114574 * t2592 - 0.2e1 * t13904 * t19625 - 0.24e2 * t114577 * t2741 + 0.32e2 / 0.3e1 * t114585 * t19480 - 0.8e1 * t114582 * t18523;
  t144101 = -0.8e1 * t114577 * t2728 - 0.8e1 / 0.3e1 * t114582 * t18705 + 0.16e2 / 0.9e1 * t114585 * t19769 - t137461 - t137462 + t137463 + t122934 + 0.12e2 * t114585 * t19472 + 0.4e1 * t19496 - 0.2e1 / 0.3e1 * t19505 - 0.4e1 * t19549 - 0.4e1 * t19545;
  t144103 = t144061 + t144074 + t144088 + t144101;
  t144132 = t515 * t141920 / 0.4e1 + t515 * t660 * t6255 * t20168 / 0.12e2 + t515 * t660 * t661 * t94 * t144103 / 0.12e2 + 0.3e1 / 0.4e1 * t1532 * t20122 - 0.6e1 * t114549 * t2686 - t1532 * t20281 / 0.4e1 + 0.3e1 * t13929 * t19583 + t2844 * t140503 - 0.3e1 / 0.4e1 * t13060 * t2912 - 0.3e1 / 0.2e1 * t1532 * t20230 - 0.3e1 / 0.2e1 * t246 * t13951 * t3171 * t628 * t19623 - 0.2e1 * t2844 * t140501 + 0.89e2 / 0.9e1 * t114235 * t26105 * t2691;
  t144155 = -t140391 - t118203 + t118208 + 0.2e1 * t6069 * t115915 + 0.11e2 / 0.6e1 * t70204 * t26140 * t19559 - 0.3e1 / 0.2e1 * t70197 * t27475 * t19754 + t7216 * t53072 * t19559 / 0.2e1 + 0.8e1 * t4779 * t14331 * t19495 - 0.8e1 * t4738 * t14331 * t110231 - t7216 * t53891 * t19539 - 0.3e1 / 0.2e1 * t70204 * t4760 * t19539 + t137037 + t134224;
  t144175 = -t141898 - 0.7e1 * t20252 * t139180 - 0.5e1 / 0.12e2 * t13878 * t4844 * t19582 - t2839 * t19112 / 0.2e1 - 0.3e1 / 0.2e1 * t14215 * t19725 + t246 * t14040 * t19625 + t1532 * t20285 - t141907 - t137053 + t137054 + 0.3e1 / 0.2e1 * t1532 * t20297 - 0.3e1 * t6295 * t20300;
  t144201 = -t515 * t109418 / 0.4e1 - 0.3e1 / 0.2e1 * t69904 * t19748 - 0.9e1 / 0.2e1 * t4738 * t2870 * t22070 * t19543 + t2844 * t3250 * t19737 / 0.4e1 + t2844 * t3250 * t19742 / 0.4e1 + t2839 * t12868 / 0.2e1 + 0.3e1 / 0.2e1 * t13060 * t2903 - t137058 + 0.3e1 / 0.2e1 * t52729 * t19549 + 0.3e1 / 0.2e1 * t52729 * t19545 + t140461 + t2844 * t63008 + 0.3e1 / 0.2e1 * t69907 * t19540;
  t144204 = t253 * t20189 * t463;
  t144208 = t95 * t143936;
  t144227 = -t137117 + t137118 - t137119 - t140473 - t7746 * t3130 * t144204 / 0.2e1 + t134350 + t7216 * t4770 * t144208 / 0.6e1 - t4779 * t1847 * t3409 * t143936 / 0.2e1 - 0.3e1 / 0.4e1 * t70197 * t26082 * t19754 + 0.5e1 / 0.12e2 * t70204 * t25739 * t19559 - 0.4e1 / 0.3e1 * t69907 * t19758 + 0.3e1 * t4748 * t115555 * t18705;
  t144256 = 0.9e1 / 0.2e1 * t4779 * t2870 * t22051 * t19543 + t140489 - t137129 - 0.3e1 / 0.2e1 * t3123 * t115775 * t2733 - 0.3e1 * t36310 * t19531 + t140506 + 0.9e1 * t4748 * t114955 * t2728 + t4738 * t1847 * t3375 * t143936 / 0.2e1 - 0.3e1 / 0.4e1 * t3123 * t115779 * t2592 + t6069 * t115498 + t7581 * t31513 * t20190 / 0.4e1 + t7581 * t3130 * t253 * t543 * t19623 / 0.4e1 + t137144;
  t144287 = t7216 * t4760 * t144204 / 0.4e1 + 0.3e1 / 0.2e1 * t70204 * t26082 * t19559 + t131985 / 0.4e1 - 0.38e2 / 0.9e1 * t114235 * t26835 * t2677 + 0.6e1 * t114250 * t19782 - t466 * t114545 / 0.4e1 + 0.3e1 / 0.4e1 * t14153 * t2751 - t515 * t110147 / 0.2e1 + 0.3e1 / 0.4e1 * t1891 * t19602 - t2839 * t19743 / 0.3e1 - t2844 * t3250 * t1530 * t2852 - t2844 * t3250 * t244 * t19741;
  t144305 = t69657 * t2676;
  t144315 = -0.9e1 * t3123 * t114955 * t2741 + t142186 + t140534 + t137195 - 0.61e2 / 0.27e2 * t114235 * t26105 * t2677 + 0.44e2 / 0.27e2 * t114235 * t26069 * t2691 - 0.11e2 / 0.6e1 * t13878 * t4838 * t19582 + 0.23e2 / 0.12e2 * t13878 * t4844 * t19586 + 0.3e1 / 0.2e1 * t14153 * t2742 - t1748 * t1220 * t144305 / 0.2e1 - 0.3e1 / 0.2e1 * t69282 * t2729 + 0.3e1 / 0.2e1 * t13929 * t19732 + t2844 * t140246 / 0.2e1;
  t144332 = 0.18e2 * t246 * t114265 * t2741 - t137220 - t20114 + 0.7e1 / 0.3e1 * t20252 * t32462 + 0.3e1 / 0.2e1 * t32471 * t20247 + 0.3e1 / 0.2e1 * t13060 * t2915 - 0.3e1 / 0.2e1 * t20252 * t32466 - 0.3e1 / 0.2e1 * t63754 * t2899 - 0.3e1 * t1532 * t20303 + t20115 - t20116 - t20117 + t20118;
  t144361 = -t20119 + 0.9e1 * t644 * t114727 * t139136 + 0.47e2 / 0.3e1 * t30900 * t114410 - 0.18e2 * t246 * t114743 * t19472 - 0.9e1 / 0.2e1 * t246 * t114727 * t139039 + t1787 * t673 * t144305 / 0.2e1 - 0.3e1 / 0.2e1 * t14153 * t2734 - 0.3e1 / 0.4e1 * t14153 * t2737 + t1541 * t115980 + 0.5e1 / 0.3e1 * t114250 * t19485 + 0.5e1 / 0.12e2 * t20252 * t139256 + 0.6e1 * t246 * t114394 * t18523 - 0.28e2 * t30951 * t115612;
  t144372 = 0.4e1 * t20262 * t18531 + 0.3e1 / 0.2e1 * t20252 * t139132 - t137248 + t2160 + t2839 * t13049 / 0.2e1 - t140573 + t140574 + t137274 + t20120 + t16279 - t20144 - t20145;
  t144374 = t20198 * t2541;
  t144379 = t2851 * t19623;
  t144405 = t20146 - 0.3e1 * t125383 + t7581 * t42955 * t95 * t144374 / 0.2e1 - t7581 * t8642 * t95 * t144379 / 0.3e1 - t7216 * t26082 * t143983 / 0.6e1 - 0.3e1 / 0.4e1 * t3123 * t14231 * t19625 + t7746 * t8642 * t143983 / 0.3e1 - 0.7e1 * t10036 * t115559 - 0.9e1 / 0.2e1 * t4779 * t14293 * t22070 * t19494 + 0.9e1 * t4738 * t14293 * t21225 * t19494 - t466 * t115072 / 0.12e2 + t15602 + t140584;
  t144410 = -t128018 + t137281 - t137283 + t137288 - t137289 - t140585 - t140586 + t140587 + t140588 - t140589 + t140590 - t1748 * t1227 * t144305 / 0.4e1;
  t144429 = 0.3e1 / 0.2e1 * t1891 * t19632 - t15612 - t15615 + t15619 - 0.9e1 * t4748 * t114895 * t19480 - 0.23e2 / 0.12e2 * t70204 * t25739 * t19563 + 0.3e1 * t70197 * t26082 * t635 * t19543 - t4738 * t1847 * t22070 * t143942 - t140593 + t140594 + t125490 - t4779 * t1843 * t3430 * t143942 - t137320;
  t144433 = t253 * t2932 * t463;
  t144437 = -t7216 * t4765 * t144433 / 0.4e1 + t137334 + t128420 - t137335 + t16718 - t140597 + t140598 - t140599 - t142337 + t128436 + t128454 + t140642;
  t144457 = -t134677 - 0.3e1 / 0.4e1 * t132218 - t137397 - t140658 + t125600 - t140659 - t140660 + t7216 * t4760 * t144208 / 0.12e2 - 0.3e1 / 0.2e1 * t4779 * t519 * t22055 * t144374 + t4779 * t519 * t3430 * t144379 + 0.2e1 / 0.3e1 * t6069 * t115001 - t7746 * t3130 * t144208 / 0.6e1 + 0.9e1 / 0.2e1 * t3123 * t114995 * t2733;
  t144463 = t20389 * t463;
  t144475 = t115187 * t463;
  t144495 = t115212 * t463;
  t144501 = 0.4e1 / 0.3e1 * t1847 * t22070 * t144463 + 0.4e1 * t2866 * t19698 + 0.72e2 * t115256 * t2705 + 0.24e2 * t20371 * t18617 + 0.2e1 * t20374 * t139544 + t137658 + t140767 - t140771 + 0.4e1 * t37040 * t840 * t144475 - 0.18e2 * t71443 * t19643 - t519 * t819 * t63 * t144103 + 0.2e1 * t1843 * t3430 * t144463 + 0.3e1 * t519 * t22055 * t20389 * t2541 - 0.2e1 * t519 * t3430 * t2883 * t19623 - 0.2e1 * t7584 * t840 * t144495 + 0.32e2 * t71298 * t19646 - t142555 - t142556;
  t144532 = -t142557 + t137675 + t20326 - t20327 + t20328 + t142558 - t142559 + t140801 - t140802 - t142562 + 0.18e2 * t98411 * t840 * t19639 - 0.4e1 * t36952 * t233 * t144475 - 0.6e1 * t53471 * t233 * t115187 * t2541 + 0.4e1 * t10828 * t233 * t14257 * t19623 - 0.2e1 / 0.3e1 * t37040 * t827 * t144475 + 0.2e1 * t7586 * t233 * t144495 + 0.2e1 * t10828 * t233 * t115212 * t2541 + t7584 * t827 * t144495 / 0.3e1 - 0.3e1 * t98411 * t827 * t19639;
  t144555 = t71443 * t3482 * t19635 / 0.3e1 - 0.12e2 * t71223 * t19636 - 0.8e1 * t98346 * t19640 - 0.16e2 / 0.3e1 * t71298 * t19643 + t140826 - t137722 - t137723 + t137724 - t137725 + t137726 - t137727 - 0.24e2 * t115292 * t2698 - 0.6e1 * t20392 * t2562 + t2870 * t3375 * t19697 + 0.9e1 * t20374 * t139529 - 0.12e2 * t20371 * t18573 - 0.36e2 * t115256 * t2716 - t137736;
  t144565 = -0.12e2 * t115298 * t21225 * t2708 - 0.6e1 * t2870 * t3409 * t19697 + 0.36e2 * t115273 * t19684 + 0.2e1 * t125733 - t137737 + t137739 - t137740 + t137762 + t137763 - t137764 - t137765 + t137766 - t140850 - t15697 + t15710 + t15712 - t16163 + t18042 + t20347;
  t144568 = t20365 * t463;
  t144610 = -t20348 - 0.2e1 / 0.3e1 * t1847 * t3375 * t144568 + 0.6e1 * t14282 * t19661 - t1843 * t819 * t144568 - t519 * t3430 * t20365 * t2541 - 0.2e1 * t1847 * t22051 * t144463 + 0.9e1 * t14293 * t22070 * t19655 - 0.4e1 / 0.3e1 * t115298 * t21215 * t2697 - 0.1e2 * t14293 * t21225 * t19655 + 0.24e2 * t115298 * t21225 * t2697 - 0.16e2 * t14331 * t19656 + 0.8e1 * t115273 * t19649 - 0.2e1 * t2866 * t19664 + 0.12e2 * t115292 * t2712 - 0.2e1 * t2870 * t3375 * t19663 + 0.3e1 * t20392 * t2572 + 0.3e1 * t2870 * t3409 * t19663 + t142700;
  t144641 = t142701 - t137818 + t1847 * t3409 * t144568 + t142706 - 0.4e1 * t125773 + t140876 + t140877 - t140878 - 0.9e1 * t2870 * t22051 * t19689 - t14293 * t21220 * t19655 / 0.6e1 - 0.72e2 * t115273 * t19652 - 0.18e2 * t20374 * t139419 + 0.8e1 / 0.3e1 * t115298 * t21220 * t2697 + t20374 * t139557 / 0.3e1 - t115298 * t21210 * t2697 / 0.9e1 + 0.6e1 * t2870 * t22070 * t19689 + 0.4e1 * t2866 * t19690 + 0.32e2 / 0.3e1 * t14331 * t19700 - 0.12e2 * t115256 * t2701;
  t144670 = -0.4e1 * t20371 * t18592 + 0.4e1 / 0.3e1 * t115273 * t19694 + 0.5e2 / 0.3e1 * t115298 * t21220 * t2708 - t140879 - t140880 + t140881 + 0.6e1 * t125830 - t140884 + 0.24e2 * t115256 * t2709 + 0.8e1 * t20371 * t18562 + t519 * t819 * t60 * t144103 / 0.2e1 - 0.2e1 / 0.3e1 * t115273 * t19676 - t20374 * t139438 / 0.6e1 - 0.4e2 * t115273 * t19679 - 0.1e2 * t20374 * t139441 + 0.1e2 / 0.3e1 * t115298 * t21215 * t2708 - t118715 + t118717 + t118721;
  t144675 = 0.2e1 * t71443 * t3475 * t19635 + t118742 - t118744 - t118750 - 0.12e2 * t125877 + t135368 + t137825 + t137833 + t137845 - t137862 + t140886 - t15743 - t15749 + t15767 - t16839 + t16888 - t20364 + t2119 - t2138;
  t144697 = t134700 + t4779 * t519 * t3430 * t143946 / 0.2e1 - t30 * t59 * (t144501 + t144532 + t144555 + t144565 + t144610 + t144641 + t144670 + t144675) * t95 / 0.4e1 + 0.9e1 / 0.2e1 * t26806 * t114895 * t19769 + 0.3e1 / 0.2e1 * t3123 * t115707 * t2741 - t15662 - 0.6e1 * t10066 * t115129 - t7216 * t53249 * t19539 / 0.2e1 + t142449 + t137504 + t7746 * t4796 * t144433 / 0.2e1 + t137530 - t137540;
  t144713 = -t20244 + 0.2e1 * t115989 * t2678 - t515 * t3139 * t6255 * t20199 / 0.6e1 - 0.3e1 / 0.2e1 * t1532 * t20195 + t1532 * t20289 / 0.2e1 - t16743 + 0.9e1 / 0.2e1 * t3123 * t114895 * t19472 + t115077 * t481 / 0.4e1 + t118557 - t118560 - t118564 - t118566 + t118568;
  t144738 = -t7581 * t8642 * t253 * t20189 * t2541 / 0.2e1 + t7216 * t4770 * t144204 / 0.2e1 + t15778 - t15784 - t137603 - t6069 * t114915 + 0.3e1 / 0.2e1 * t3123 * t14231 * t109669 + 0.3e1 / 0.2e1 * t3123 * t14228 * t109637 - t140747 - 0.3e1 / 0.4e1 * t30 * t2719 * t2933 - t30 * t476 * t20218 / 0.4e1 - t140748;
  t144767 = t140749 + t126038 / 0.2e1 - 0.3e1 / 0.2e1 * t246 * t114560 * t2592 - 0.6e1 * t246 * t114556 * t2733 - t246 * t1769 * t658 * t221 * t144103 / 0.4e1 + 0.18e2 * t114250 * t19591 + 0.9e1 / 0.2e1 * t20252 * t139110 - 0.43e2 / 0.9e1 * t114235 * t26069 * t19590 - 0.3e1 * t114549 * t2681 + t15794 - t7216 * t4754 * t144433 / 0.2e1 + 0.3e1 / 0.2e1 * t53885 * t19505 - 0.3e1 / 0.2e1 * t52729 * t19496;
  t144801 = -0.3e1 * t53889 * t19499 + 0.3e1 * t36310 * t19503 - 0.3e1 / 0.4e1 * t132680 - 0.2e1 * t20262 * t18527 + 0.11e2 / 0.6e1 * t20252 * t139584 + t515 * t660 * t7198 * t19741 / 0.4e1 + t515 * t660 * t63170 * t2852 / 0.4e1 - t2844 * t64600 / 0.4e1 - 0.35e2 / 0.108e3 * t114235 * t26069 * t2677 - 0.62e2 / 0.3e1 * t30900 * t114732 + 0.36e2 * t644 * t114743 * t19480 + t7581 * t142148 / 0.4e1 - 0.3e1 / 0.2e1 * t3123 * t14184 * t109846;
  t144818 = 0.3e1 / 0.2e1 * t4748 * t14184 * t109788 - t140751 - 0.3e1 / 0.4e1 * t30 * t19715 * t544 - t15804 + t140752 - t137618 + 0.3e1 * t126088 + t137619 - 0.3e1 / 0.4e1 * t32403 * t20186 + 0.3e1 / 0.2e1 * t3123 * t114988 * t2592 - t137620 - 0.9e1 / 0.2e1 * t10036 * t115865 + 0.9e1 / 0.2e1 * t37303 * t19770;
  t144857 = 0.8e1 * t114235 * t26069 * t3678 * t2676 - 0.18e2 * t644 * t114227 * t21191 * t19768 + 0.6e1 * t246 * t114227 * t21191 * t19479 + 0.18e2 * t3680 * t114227 * t21191 * t21192 * t463 + 0.22e2 / 0.3e1 * t114250 * t19776 - 0.23e2 / 0.3e1 * t114250 * t19779 - 0.6e1 * t13929 * t19587 - 0.3e1 / 0.2e1 * t13878 * t4831 * t19582 + 0.7e1 * t13878 * t4838 * t19586 - t20262 * t18517 - 0.18e2 * t3680 * t114743 * t19769 - 0.9e1 / 0.2e1 * t3680 * t114727 * t139009;
  t144887 = t20276 * t2544 / 0.2e1 + 0.12e2 * t31050 * t116002 + t2844 * t3172 * t19742 / 0.2e1 + t2844 * t3172 * t19737 / 0.2e1 - t2844 * t64952 / 0.2e1 - 0.6e1 * t644 * t114394 * t18705 - t2089 - t466 * t115514 / 0.12e2 + t246 * t115512 * t469 * t249 / 0.4e1 - t466 * t114389 / 0.4e1 + 0.3e1 / 0.2e1 * t1532 * t20235 - t515 * t110167 / 0.4e1 - 0.23e2 / 0.12e2 * t20252 * t139337;
  t144919 = -t2839 * t19738 / 0.3e1 - 0.3e1 / 0.2e1 * t6295 * t20131 + 0.3e1 / 0.2e1 * t6295 * t20127 + 0.3e1 / 0.2e1 * t644 * t13951 * t3171 * t633 * t19623 - 0.2e1 * t114235 * t26831 * t2677 - 0.6e1 * t21206 * t114227 * t21191 * t21197 * t463 + 0.9e1 / 0.2e1 * t1891 * t19473 - 0.9e1 * t7462 * t19481 - t140945 - 0.3e1 / 0.2e1 * t36310 * t19533 + t137888 - 0.8e1 / 0.3e1 * t69907 * t19560 - 0.2e1 * t4779 * t2866 * t19544;
  t144932 = -0.3e1 * t4779 * t14282 * t19548 - t6069 * t114415 / 0.3e1 - t142803 - t142804 + t20262 * t6350 / 0.2e1 - t140967 + t140968 - t140969 + t137920 - t128610 + t20292 - t6069 * t115502 + 0.9e1 / 0.2e1 * t70204 * t25739 * t3671 * t19494;
  t144938 = my_piecewise3(t2, 0, t144932 + t144919 + t144887 + t144857 + t144818 + t144801 + t144767 + t144738 + t144713 + t144697 + t144457 + t144437 + t144429 + t144410 + t144405 + t144372 + t144361 + t144332 + t144315 + t144287 + t144256 + t144227 + t144201 + t144175 + t144155 + t144132 + t144037 + t144024 + t143997 + t143979 + t143961 + t143924);
  tv4lapltau30 = t3 * t144938;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 0] += tv4lapltau30;

  tv4lapltau31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 1] += tv4lapltau31;

  tv4lapltau32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 2] += tv4lapltau32;

  tv4lapltau33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 3] += tv4lapltau33;

  tv4lapltau34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 4] += tv4lapltau34;

  tv4lapltau35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 5] += tv4lapltau35;

  tv4lapltau36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 6] += tv4lapltau36;

  t144948 = t137934 - t137935 - t137953 + t137965 + t137966 - t137967 + t2947 * t68461 - 0.3e1 / 0.2e1 * t20495 * t34821 + 0.3e1 / 0.2e1 * t13724 * t3018 - t137994 + 0.9e1 / 0.2e1 * t2030 * t19832 + 0.11e2 / 0.6e1 * t20495 * t139886;
  t144975 = -0.6e1 * t1030 * t116770 * t18820 + 0.9e1 / 0.2e1 * t20495 * t140096 - 0.43e2 / 0.9e1 * t116710 * t29442 * t19798 - t138027 + 0.3e1 * t8201 * t19912 - 0.9e1 / 0.2e1 * t6752 * t117381 - 0.61e2 / 0.27e2 * t116710 * t29437 * t2757 - t138117 + t138118 + t142918 + t8055 * t4137 * t380 * t583 * t19860 / 0.4e1 + 0.9e1 / 0.2e1 * t5540 * t2973 * t24962 * t19982 - 0.7e1 * t10457 * t116691;
  t145002 = t8055 * t35145 * t20516 / 0.4e1 + 0.9e1 / 0.2e1 * t4145 * t116498 * t2813 + 0.3e1 / 0.2e1 * t4145 * t117280 * t2667 - 0.9e1 / 0.2e1 * t373 * t116766 * t140099 + 0.47e2 / 0.3e1 * t33899 * t116721 - 0.6e1 * t25375 * t116738 * t24376 * t24377 * t487 - 0.3e1 / 0.2e1 * t72906 * t2809 + 0.3e1 / 0.2e1 * t14626 * t2822 - 0.6e1 * t6921 * t116622 + t138121 + t138122 + t138124;
  t145026 = t141121 - 0.9e1 / 0.2e1 * t10457 * t117425 + 0.9e1 * t5535 * t116416 * t2808 + 0.9e1 / 0.2e1 * t10457 * t117440 - 0.9e1 / 0.2e1 * t5559 * t2973 * t24823 * t19982 + 0.3e1 / 0.4e1 * t113170 * t570 - t2947 * t67963 / 0.2e1 - 0.3e1 * t6848 * t20590 - t20587 * t1658 / 0.2e1 + 0.7e1 / 0.3e1 * t20495 * t34817 - t141140 + t141142 - t2942 * t19341 / 0.2e1;
  t145055 = 0.5e1 / 0.12e2 * t20495 * t139854 - 0.35e2 / 0.108e3 * t116710 * t29442 * t2757 - 0.5e1 / 0.12e2 * t14535 * t5623 * t19803 + 0.5e1 / 0.3e1 * t116842 * t19872 + 0.3e1 / 0.2e1 * t13724 * t3006 + 0.3e1 / 0.2e1 * t14542 * t19893 + t2947 * t141744 / 0.2e1 + 0.3e1 * t14542 * t19804 + t2947 * t141469 - 0.11e2 / 0.6e1 * t14535 * t5640 * t19803 - 0.3e1 / 0.4e1 * t2030 * t19922 - 0.3e1 / 0.4e1 * t13724 * t3015;
  t145056 = t73718 * t2756;
  t145062 = t20407 * t487;
  t145066 = t20407 * t2616;
  t145071 = t2954 * t19860;
  t145090 = -t1965 * t1400 * t145056 / 0.4e1 + t555 * t142972 / 0.4e1 - t5540 * t2056 * t4543 * t145062 - 0.3e1 / 0.2e1 * t5540 * t559 * t24858 * t145066 + t5540 * t559 * t4543 * t145071 + t73279 * t19979 + 0.3e1 / 0.2e1 * t72971 * t19973 + t73176 * t141426 / 0.2e1 - 0.5e1 / 0.12e2 * t72838 * t10458 * t19963 + t20500 * t6839 - t490 * t116597 / 0.12e2 + t116602 * t505 / 0.4e1 - 0.2e1 * t20500 * t6843;
  t145108 = t15337 - t124008 + t124012 + t124017 - t138034 - 0.4e1 / 0.3e1 * t2981 * t18820 + 0.24e2 * t117112 * t2821 - 0.12e2 * t117107 * t19831 + 0.4e1 / 0.3e1 * t117107 * t19836 + 0.8e1 * t2981 * t18849 + 0.2e2 / 0.9e1 * t117107 * t19794;
  t145123 = -0.4e1 * t117112 * t2808 - 0.4e1 * t2984 * t2667 + 0.2e1 * t561 * t19921 + t130828 - t124028 + t124030 + t124034 - 0.4e1 * t14737 * t112267 - t138058 - 0.12e2 * t117126 * t2813 + 0.4e1 * t14740 * t112906 - 0.4e1 / 0.3e1 * t14737 * t112281;
  t145131 = 0.4e1 * t14734 * t112926 + 0.4e1 * t117066 * t2667 - 0.8e1 * t117077 * t18849 - t130866 + t138068 - t138069 + t138070 + t138075 + t138076 + t138093 - t15349;
  t145152 = -0.8e1 * t117069 * t2808 - 0.8e1 / 0.3e1 * t117077 * t18820 + 0.16e2 / 0.9e1 * t117080 * t19794 - 0.2e1 * t14740 * t19921 + 0.12e2 * t117063 * t2813 - 0.4e1 * t19988 - 0.4e1 * t19992 + 0.4e1 * t19960 - 0.24e2 * t117069 * t2821 + 0.32e2 / 0.3e1 * t117080 * t19836 - 0.2e1 / 0.3e1 * t19956 + 0.12e2 * t117080 * t19831;
  t145154 = t145108 + t145123 + t145131 + t145152;
  t145167 = -0.11e2 / 0.18e2 * t20495 * t34795 + t138162 - t1663 * t20471 / 0.4e1 - t373 * t1940 * t985 * t348 * t145154 / 0.4e1 + t1663 * t20467 + t373 * t14987 * t19921 + t141143 - t141144 + t126322 + 0.2e1 * t117993 * t2758 - t141145 + t20587 * t2619 / 0.2e1 - t138165;
  t145168 = t20453 * t487;
  t145169 = t168 * t145168;
  t145185 = t20453 * t2616;
  t145204 = -t141146 + t8058 * t5587 * t145169 / 0.6e1 + 0.2e1 / 0.3e1 * t74749 * t19984 - 0.8e1 / 0.3e1 * t72971 * t19947 - t74749 * t19305 / 0.2e1 + t8058 * t5549 * t145169 / 0.12e2 - t8052 * t4137 * t145169 / 0.6e1 - t8055 * t9270 * t168 * t145185 / 0.6e1 - t8052 * t39994 * t19946 / 0.2e1 - t8055 * t86253 * t19983 / 0.2e1 + t8058 * t56695 * t19946 / 0.4e1 + t8055 * t143638 / 0.2e1 - t8058 * t56671 * t19963 / 0.2e1;
  t145228 = t8052 * t56182 * t19963 - t138167 + 0.3e1 * t126368 + 0.3e1 / 0.2e1 * t5535 * t14639 * t112281 - 0.23e2 / 0.12e2 * t20495 * t139672 + 0.6e1 * t116842 * t19819 + 0.3e1 / 0.2e1 * t20495 * t140103 + t2942 * t13478 / 0.2e1 - 0.18e2 * t1030 * t116738 * t24376 * t19793 - t555 * t112988 / 0.2e1 + t16362 - t20405;
  t145233 = t20406 - t138197 + t138223 + t138224 - t141175 + t126451 - 0.3e1 * t126454 - 0.3e1 / 0.2e1 * t72838 * t5549 * t19963 + t141178 - t138228 - t138234 + t128994 - t141219;
  t145257 = t6824 * t117454 - t138235 + t138236 - t138237 + 0.89e2 / 0.9e1 * t116710 * t29437 * t2771 - 0.2e1 * t116710 * t29555 * t2757 - 0.6e1 * t373 * t117798 * t2813 - 0.3e1 / 0.2e1 * t373 * t117802 * t2667 + 0.12e2 * t33843 * t117719 - 0.62e2 / 0.3e1 * t33899 * t117390 + 0.9e1 * t1030 * t116766 * t140107 - 0.2e1 * t20500 * t18854;
  t145277 = t380 * t20515 * t487;
  t145284 = -0.7e1 * t20495 * t139897 + 0.3e1 / 0.2e1 * t1030 * t14967 * t4161 * t1019 * t19860 - 0.3e1 / 0.2e1 * t6848 * t20484 + t119016 - 0.3e1 / 0.4e1 * t34283 * t20564 + 0.3e1 * t73176 * t29911 * t1021 * t19982 - t129064 - t138239 - 0.3e1 / 0.4e1 * t110 * t20105 * t584 + t8058 * t5587 * t145277 / 0.2e1 - 0.3e1 / 0.2e1 * t4145 * t14639 * t112267 - t119085 + t141279;
  t145293 = t168 * t145062;
  t145301 = t133108 / 0.4e1 + 0.9e1 / 0.2e1 * t40761 * t19795 - 0.9e1 * t4145 * t116416 * t2821 - t8058 * t30214 * t145293 / 0.3e1 - t2947 * t68105 / 0.4e1 + 0.3e1 / 0.2e1 * t1663 * t20597 - t141321 - t141322 + t129115 + t141323 + t138336 - t119112;
  t145315 = -t119120 + t119132 + t141329 + t141330 + t1958 * t1000 * t145056 / 0.2e1 - t2947 * t68635 / 0.2e1 + t2947 * t68639 + 0.9e1 / 0.2e1 * t2030 * t19901 + t16931 + t138356 - t2180 + 0.5e1 / 0.12e2 * t72838 * t29498 * t19946 - 0.4e1 / 0.3e1 * t72971 * t19976;
  t145343 = -0.3e1 / 0.4e1 * t73176 * t29911 * t19983 + 0.44e2 / 0.27e2 * t116710 * t29442 * t2771 + 0.22e2 / 0.3e1 * t116842 * t19813 - 0.23e2 / 0.3e1 * t116842 * t19816 + t133159 / 0.4e1 + t138379 - t138398 + 0.36e2 * t1030 * t116794 * t19836 + 0.9e1 * t8201 * t19914 - 0.9e1 * t2030 * t19840 - 0.18e2 * t1030 * t118055 * t2808 + 0.18e2 * t373 * t118055 * t2821 - 0.3e1 / 0.2e1 * t1663 * t20414;
  t145372 = -t555 * t4707 * t6773 * t20417 / 0.6e1 + t1651 * t117317 + t1663 * t20410 / 0.2e1 - 0.3e1 / 0.2e1 * t14626 * t2814 - 0.3e1 / 0.4e1 * t14626 * t2817 - 0.38e2 / 0.9e1 * t116710 * t29110 * t2757 - t2947 * t4686 * t371 * t19861 - 0.3e1 / 0.2e1 * t373 * t14967 * t4161 * t1014 * t19860 + t2947 * t4162 * t19866 / 0.2e1 + t2947 * t4162 * t19862 / 0.2e1 - t138412 - t135891 - t141354;
  t145404 = -t119158 + t119159 + t138430 + 0.2e1 / 0.3e1 * t6824 * t117849 + 0.9e1 / 0.2e1 * t30030 * t117349 * t19794 - 0.9e1 * t5535 * t117349 * t19836 + 0.3e1 / 0.2e1 * t56196 * t19956 - 0.3e1 / 0.2e1 * t5535 * t117832 * t2808 + 0.3e1 / 0.2e1 * t4145 * t117832 * t2821 - 0.9e1 / 0.2e1 * t10506 * t14795 * t24794 * t19945 + 0.9e1 * t5559 * t14795 * t24848 * t19945 - 0.8e1 * t5559 * t14806 * t112691;
  t145417 = t380 * t3035 * t487;
  t145439 = 0.8e1 * t5540 * t14806 * t19959 + t5559 * t2060 * t4408 * t145168 / 0.2e1 - t5540 * t2060 * t4549 * t145168 / 0.2e1 + t8052 * t5582 * t145417 / 0.2e1 + t8055 * t143106 / 0.4e1 + t20491 - 0.3e1 / 0.4e1 * t110 * t2799 * t3036 - t8058 * t58044 * t19963 + t73176 * t141388 - 0.11e2 / 0.6e1 * t72838 * t10485 * t19963 + 0.3e1 * t72971 * t19964 + 0.23e2 / 0.12e2 * t72838 * t10458 * t19939 - 0.6e1 * t72971 * t19940;
  t145464 = -0.2e1 * t73176 * t141383 - t8058 * t5553 * t145417 / 0.4e1 + t138462 + t138463 - t141397 + t135975 + t8058 * t5549 * t145277 / 0.4e1 - t8052 * t4137 * t145277 / 0.2e1 - t8055 * t9270 * t380 * t20515 * t2616 / 0.2e1 + 0.3e1 / 0.2e1 * t4145 * t14701 * t112926 + 0.3e1 / 0.2e1 * t4145 * t14713 * t112906 - t6824 * t117329;
  t145477 = -t110 * t500 * t20544 / 0.4e1 - t143635 - t17018 - t141398 + 0.18e2 * t33831 * t117710 - t141400 - t138496 + 0.3e1 * t6848 * t20612 + 0.23e2 / 0.36e2 * t20495 * t34798 - t141404 + t127077 - t141405 + t5540 * t2060 * t24962 * t145062;
  t145488 = -t5559 * t2060 * t24823 * t145062 - t8058 * t5591 * t145417 / 0.2e1 + 0.3e1 * t39948 * t19954 - t20522 - t141406 + t141407 - t141408 + t127113 + t20523 - t15986 - t15990 + t16006;
  t145497 = t16017 - t16022 - t16025 + t16034 - t2942 * t19867 / 0.3e1 - 0.3e1 * t116701 * t2761 + t2251 - t138522 + t138525 - t141415 - t141416 - 0.3e1 / 0.2e1 * t39948 * t19997 + 0.2e1 * t6824 * t117336;
  t145517 = -0.3e1 * t39948 * t19995 + 0.3e1 / 0.2e1 * t56164 * t19992 - t6824 * t116830 + 0.3e1 / 0.2e1 * t56164 * t19988 + 0.3e1 * t5535 * t116455 * t18820 + t141434 - 0.3e1 / 0.4e1 * t133641 - t143715 - t138551 - t2942 * t19863 / 0.3e1 + 0.4e1 * t20500 * t18858 + 0.3e1 / 0.2e1 * t2030 * t19904 - 0.3e1 / 0.4e1 * t133682;
  t145536 = -t143729 - 0.3e1 / 0.2e1 * t56164 * t19960 - 0.3e1 * t56200 * t19943 + 0.3e1 / 0.2e1 * t6848 * t20480 + t129323 - t138585 - 0.3e1 / 0.2e1 * t73279 * t19967 - 0.3e1 * t4145 * t116455 * t18849 - t143747 - t143748 + t143749 + t555 * t987 * t67598 * t2955 / 0.4e1 - t1965 * t1393 * t145056 / 0.2e1;
  t145562 = -0.3e1 / 0.2e1 * t14535 * t5634 * t19803 + 0.23e2 / 0.12e2 * t14535 * t5623 * t19807 - t2947 * t68622 / 0.4e1 - 0.28e2 * t33831 * t116774 + 0.6e1 * t373 * t116770 * t18849 - 0.18e2 * t373 * t116794 * t19831 + 0.6e1 * t373 * t116738 * t24376 * t19835 + t136649 + t136659 - t141473 - 0.9e1 * t8201 * t19837 + t141474;
  t145572 = t116942 * t487;
  t145583 = t116927 * t487;
  t145599 = t138595 + t138596 - t138597 - 0.6e1 * t57365 * t360 * t116942 * t2616 + 0.4e1 * t11528 * t360 * t14779 * t19860 - 0.2e1 / 0.3e1 * t40179 * t1190 * t145572 - 0.3e1 * t101774 * t1190 * t20032 - 0.16e2 / 0.3e1 * t74251 * t20036 - 0.12e2 * t74260 * t20029 + 0.2e1 * t8251 * t360 * t145583 + 0.2e1 * t11528 * t360 * t116927 * t2616 + 0.2e1 * t74270 * t4624 * t20025 + 0.32e2 * t74251 * t20026 + 0.18e2 * t101774 * t1203 * t20032 - t143386 - t143387 - t143388 + t143389;
  t145618 = -t143398 - 0.18e2 * t74270 * t20036 + t141489 + t141494 - t141495 + t141496 + 0.9e1 * t14795 * t24823 * t20064 + 0.2e1 * t126655 + t18329 + t143429 + 0.4e1 * t40179 * t1203 * t145572 - 0.2e1 * t8254 * t1203 * t145583 - t138663 - 0.8e1 * t101887 * t20033 + t8254 * t1190 * t145583 / 0.3e1 + t143464 - 0.12e2 * t126692 + t141538 - t141539;
  t145629 = t20656 * t487;
  t145635 = -t141540 - t141543 + t74270 * t4633 * t20025 / 0.3e1 - 0.4e1 * t40184 * t360 * t145572 - t20617 - t119320 - t119323 + t119330 + 0.24e2 * t116911 * t24848 * t2777 - 0.2e1 * t2060 * t24962 * t145629 + t143515 + t138695 + t138696 + t2973 * t4408 * t20061 - t15890 + t15902 - t15905 + t20622;
  t145674 = t138715 - t143531 + 0.4e1 * t2969 * t20062 - 0.12e2 * t116914 * t2781 - 0.4e1 * t20669 * t18790 + 0.4e1 / 0.3e1 * t116905 * t20051 - t141605 + 0.2e1 * t20672 * t140042 - 0.2e1 * t559 * t4543 * t2986 * t19860 + 0.4e1 / 0.3e1 * t2060 * t24823 * t145629 - 0.24e2 * t117026 * t2778 - 0.6e1 * t20659 * t2637 + t20672 * t140047 / 0.3e1 - t116911 * t24930 * t2777 / 0.9e1 + 0.72e2 * t116914 * t2785 + 0.24e2 * t20669 * t18799 - 0.4e1 / 0.3e1 * t116911 * t24958 * t2777 - 0.72e2 * t116905 * t20058 + 0.8e1 / 0.3e1 * t116911 * t24794 * t2777;
  t145677 = t20662 * t487;
  t145701 = t2060 * t4549 * t145677 + 0.8e1 * t116905 * t20055 + t136356 + 0.4e1 * t2969 * t20040 + 0.32e2 / 0.3e1 * t14806 * t20065 - t2056 * t1182 * t145677 + t141614 - 0.4e1 * t126819 - t141635 + t141636 - t138745 - t559 * t1182 * t143 * t145154 + 0.2e1 * t2056 * t4543 * t145629 + 0.3e1 * t559 * t24858 * t20656 * t2616 - 0.18e2 * t20672 * t140006 + t138766 - t138767 - t138774;
  t145730 = t138775 - t138778 + 0.6e1 * t2973 * t24823 * t20039 - t14795 * t24794 * t20064 / 0.6e1 - t559 * t4543 * t20662 * t2616 - 0.1e2 * t14795 * t24848 * t20064 - 0.16e2 * t14806 * t20093 - 0.9e1 * t2973 * t24962 * t20039 + 0.6e1 * t14826 * t20070 - t138791 + t17130 - t17156 - 0.6e1 * t2973 * t4549 * t20061 - 0.2e1 / 0.3e1 * t2060 * t4408 * t145677 - t20626 + t20627 + t138796 + t138797 - 0.2e1 * t2973 * t4408 * t20074;
  t145754 = -0.2e1 / 0.3e1 * t116905 * t20086 + 0.24e2 * t116914 * t2789 - 0.2e1 * t2969 * t20075 - t141654 + 0.3e1 * t2973 * t4549 * t20074 + 0.12e2 * t117026 * t2792 + 0.3e1 * t20659 * t2647 + 0.9e1 * t20672 * t139969 - t20672 * t140003 / 0.6e1 - 0.1e2 * t20672 * t139989 + 0.8e1 * t20669 * t18722 - t138813 - t138814 + t138815 - t138816 - t138817 + t138818 + 0.6e1 * t126846 + t141667;
  t145776 = -0.12e2 * t20669 * t18729 - 0.12e2 * t116911 * t24848 * t2788 - 0.36e2 * t116914 * t2796 + t559 * t1182 * t140 * t145154 / 0.2e1 + 0.36e2 * t116905 * t20099 - t20639 - t16508 - 0.4e2 * t116905 * t20089 + 0.1e2 / 0.3e1 * t116911 * t24958 * t2788 + 0.5e2 / 0.3e1 * t116911 * t24794 * t2788 + t20640 + t119433 - t119436 + t119445 - t15930 + t15933 + t15935 - t2229 + t2210;
  t145793 = -t138836 - 0.2e1 * t127278 + t20548 - t129674 + t138846 - t20563 - t110 * t139 * (t145599 + t145618 + t145635 + t145674 + t145701 + t145730 + t145754 + t145776) * t168 / 0.4e1 - t141681 + t141682 + t138854 - 0.3e1 / 0.4e1 * t4145 * t14713 * t19921 + 0.7e1 * t72838 * t10485 * t19939 - 0.3e1 / 0.2e1 * t73176 * t30214 * t19983;
  t145813 = -t138865 - t138868 + 0.3e1 / 0.4e1 * t1663 * t20475 + t141683 + t141686 + t143816 + t143817 - t20567 - 0.3e1 / 0.2e1 * t4145 * t117998 * t2813 - 0.3e1 / 0.4e1 * t4145 * t118002 * t2667 - t6824 * t118010 / 0.3e1 + t5540 * t559 * t4543 * t145185 / 0.2e1 + t5540 * t2056 * t1182 * t145168 / 0.2e1;
  t145853 = -0.2e1 * t5540 * t2969 * t19991 + 0.16e2 / 0.3e1 * t10451 * t117365 - 0.3e1 * t5540 * t14826 * t19987 + 0.11e2 / 0.6e1 * t72838 * t29517 * t19946 - 0.23e2 / 0.12e2 * t72838 * t29498 * t19950 + t8058 * t56704 * t19946 / 0.2e1 + t127338 / 0.2e1 + t2947 * t4686 * t19866 / 0.4e1 + t2947 * t4686 * t19862 / 0.4e1 + t555 * t987 * t988 * t167 * t145154 / 0.12e2 + t555 * t987 * t6773 * t20454 / 0.12e2 + t555 * t987 * t8079 * t19861 / 0.4e1 - 0.2e1 * t2947 * t141464;
  t145866 = 0.18e2 * t4395 * t116738 * t24376 * t24448 * t487 - 0.18e2 * t4395 * t116794 * t19794 - 0.6e1 * t116701 * t2766 - t138943 - t141720 + t141721 + t16075 - t16082 + t20604 - t20605 - t20606 - t20607;
  t145905 = -0.9e1 / 0.2e1 * t5540 * t14795 * t24823 * t19945 + 0.3e1 / 0.2e1 * t72838 * t29911 * t19946 + 0.9e1 / 0.2e1 * t4145 * t117349 * t19831 - t8055 * t9270 * t168 * t145071 / 0.3e1 - t8058 * t29911 * t145293 / 0.6e1 + t8052 * t9270 * t145293 / 0.3e1 + t8055 * t45031 * t168 * t145066 / 0.2e1 - t2947 * t4686 * t1661 * t2955 - 0.9e1 / 0.2e1 * t4395 * t116766 * t139829 + 0.8e1 * t33899 * t118049 + 0.7e1 * t6752 * t117974 - 0.3e1 * t2030 * t19827 - t555 * t114131 / 0.4e1;
  t145932 = -t490 * t117669 / 0.4e1 + 0.3e1 / 0.4e1 * t14626 * t2831 + 0.3e1 / 0.2e1 * t1663 * t20549 - 0.3e1 / 0.2e1 * t1663 * t20554 - t490 * t117496 / 0.4e1 + 0.3e1 / 0.4e1 * t2030 * t20022 - t490 * t117659 / 0.12e2 + t373 * t117657 * t493 * t376 / 0.4e1 - t20500 * t18845 - 0.3e1 / 0.2e1 * t14776 * t19898 - t20495 * t34837 / 0.2e1 + 0.3e1 / 0.2e1 * t34826 * t20569 + t138957;
  t145949 = -t141722 + t141723 - 0.3e1 / 0.2e1 * t68390 * t3002 - 0.3e1 * t1663 * t20594 - 0.5e1 / 0.36e2 * t20495 * t35105 + t2942 * t13633 / 0.2e1 - t555 * t113165 / 0.4e1 + t20500 * t6873 / 0.2e1 - 0.3e1 / 0.2e1 * t13724 * t3010 + 0.3e1 / 0.2e1 * t1663 * t20609 + t138963 + t141726 - t141727;
  t145955 = my_piecewise3(t100, 0, t145949 + t145932 + t145905 + t145866 + t145853 + t145813 + t145793 + t145562 + t145536 + t145517 + t145497 + t145488 + t145477 + t145464 + t145439 + t145404 + t145372 + t145343 + t145315 + t145301 + t145284 + t145257 + t145233 + t145228 + t145204 + t145167 + t145090 + t145055 + t145026 + t145002 + t144975 + t144948);
  tv4lapltau37 = t3 * t145955;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 7] += tv4lapltau37;

  t145985 = t1777 * t20329;
  t145994 = -0.18e2 * t127441 + 0.3e1 / 0.2e1 * t127449 + 0.18e2 * t127468 - t127470 / 0.2e1 + 0.23e2 / 0.9e1 * t20252 * t35570 + 0.4e1 * t2844 * t70635 + 0.18e2 * t644 * t114727 * t20729 * t3401 * t2851 - 0.11e2 / 0.6e1 * t2844 * t20920 * t20200 + 0.14e2 * t246 * t114394 * t20229 - 0.11e2 / 0.2e1 * t644 * t13951 * t20818 * t633 * t20198 + 0.11e2 / 0.2e1 * t246 * t13951 * t20818 * t628 * t20198 + 0.12e2 * t644 * t145985 * t3504 - 0.12e2 * t246 * t145985 * t3508 - t2844 * t69676 / 0.2e1;
  t145995 = t2836 * t2836;
  t145998 = t191 * t3512 * t145995 * t21719;
  t146029 = 0.6e1 * t145998 * t3665 + 0.6e1 * t1891 * t20313 - 0.2e1 * t20276 * t1779 - 0.18e2 * t127496 - 0.6e1 * t127502 - 0.9e1 * t127506 + 0.4e1 * t127516 - 0.5e1 / 0.6e1 * t127538 - 0.4e1 * t70197 * t4760 * t3121 * t20189 - 0.3e1 * t36310 * t20186 - 0.3e1 / 0.2e1 * t3123 * t115779 * t2911 + 0.2e1 * t3123 * t14231 * t20288 + 0.4e1 * t3123 * t114988 * t2911 - t3123 * t14231 * t20280 - 0.6e1 * t20252 * t36525;
  t146039 = t21207 * t145995;
  t146044 = t3658 * t145995;
  t146056 = 0.6e1 * t7462 * t20127 - t136947 / 0.2e1 + 0.3e1 / 0.2e1 * t136952 + 0.2e1 / 0.3e1 * t136954 - 0.12e2 * t127575 - 0.3e1 * t69282 * t2899 - 0.6e1 * t21206 * t146039 * t21211 + t2839 * t14148 - 0.18e2 * t3680 * t146044 * t21772 - t515 * t115072 / 0.3e1 + 0.28e2 / 0.3e1 * t20252 * t36212 + 0.6e1 * t127613 - t515 * t114389 + 0.3e1 * t1891 * t20122;
  t146066 = t20167 * t2851;
  t146077 = t14031 * t2869;
  t146086 = -0.4e1 * t2844 * t3250 * t1889 * t2852 - 0.23e2 / 0.6e1 * t20252 * t20730 * t20241 + 0.3e1 * t127620 + 0.23e2 / 0.6e1 * t127622 + 0.3e1 / 0.2e1 * t4779 * t519 * t3430 * t146066 - t515 * t114545 - t118203 + t118208 + 0.9e1 * t127625 - 0.6e1 * t127661 + 0.9e1 / 0.2e1 * t127678 + 0.6e1 * t1891 * t20235 + 0.3e1 * t246 * t146077 * t654 + 0.28e2 / 0.3e1 * t20252 * t36528 + 0.2e1 / 0.3e1 * t2844 * t3172 * t20169;
  t146129 = 0.11e2 / 0.3e1 * t20252 * t20752 * t2853 - 0.7e1 / 0.3e1 * t20262 * t20181 + 0.2e1 * t20262 * t7316 - 0.6e1 * t1891 * t20230 + 0.2e1 * t644 * t13951 * t3171 * t633 * t20167 - 0.2e1 * t246 * t13951 * t3171 * t628 * t20167 - 0.14e2 * t644 * t114394 * t20126 - 0.6e1 * t7462 * t20131 - 0.2e1 * t137057 + 0.36e2 * t644 * t146044 * t21778 - 0.18e2 * t246 * t146044 * t21731 - 0.6e1 * t246 * t247 * t145995 * t21344 + 0.2e1 * t2844 * t3172 * t20175 - 0.2e1 * t2844 * t71049;
  t146147 = t20198 * t2851;
  t146159 = t191 * t21182 * t145995 * t21185;
  t146164 = -0.3e1 / 0.2e1 * t127686 + 0.7e1 / 0.6e1 * t127689 - t127698 - 0.14e2 * t20252 * t20752 * t20241 - 0.14e2 / 0.3e1 * t20262 * t20238 + 0.2e1 * t2844 * t69508 - 0.9e1 * t3680 * t114727 * t20729 * t3447 * t2851 - 0.3e1 * t644 * t146077 * t649 - t127716 + t515 * t20890 * t661 * t94 * t146147 / 0.2e1 + t2839 * t20201 + 0.3e1 / 0.2e1 * t127723 - 0.6e1 * t20252 * t37298 - 0.43e2 / 0.9e1 * t146159 * t21875 - 0.38e2 / 0.9e1 * t146159 * t21644;
  t146166 = t645 * t145995;
  t146184 = t191 * t616 * t145995 * t3396;
  t146202 = -0.18e2 * t644 * t146166 * t21403 + 0.18e2 * t246 * t146166 * t21407 - 0.61e2 / 0.27e2 * t146159 * t22434 + 0.44e2 / 0.27e2 * t146159 * t22437 + 0.3e1 * t14153 * t2915 - t2844 * t69273 - 0.22e2 / 0.9e1 * t20252 * t37322 - 0.3e1 * t146184 * t752 - 0.3e1 * t14153 * t2907 + 0.5e1 / 0.3e1 * t145998 * t3602 - 0.4e1 / 0.3e1 * t69910 * t20191 - 0.6e1 * t3123 * t115555 * t20229 + 0.2e1 * t70197 * t4770 * t20190 + 0.6e1 * t4748 * t115555 * t20126;
  t146221 = t1777 * t20333;
  t146231 = 0.9e1 * t127818 - 0.7e1 * t127858 - 0.3e1 / 0.4e1 * t17865 + 0.2e1 * t2844 * t69277 + 0.18e2 * t145998 * t3673 + 0.2e1 * t16188 - 0.2e1 * t16191 - 0.2e1 * t16194 - 0.4e1 / 0.3e1 * t2839 * t20176 + 0.2e1 * t2839 * t13977 - 0.9e1 * t246 * t114727 * t20729 * t20125 - 0.12e2 * t644 * t146221 * t3685 + 0.6e1 * t246 * t146221 * t3660 + 0.3e1 * t20252 * t21550 * t2853 + t16223;
  t146265 = -t16225 / 0.3e1 - 0.2e1 / 0.3e1 * t7581 * t8642 * t253 * t543 * t20198 + t7581 * t36303 * t20190 - t7581 * t8642 * t95 * t146066 / 0.2e1 - t127886 / 0.2e1 + t2160 - 0.8e1 * t20262 * t7457 - 0.3e1 / 0.2e1 * t246 * t1769 * t20889 * t221 * t146147 - 0.3e1 * t246 * t14040 * t20288 + 0.3e1 / 0.2e1 * t246 * t14040 * t20280 - t2844 * t69514 + 0.6e1 * t127914 + t17945 / 0.4e1 + 0.4e1 / 0.3e1 * t16279;
  t146284 = -0.2e1 / 0.3e1 * t16283 - t16287 / 0.3e1 + 0.2e1 / 0.3e1 * t16298 - 0.2e1 * t128018 + 0.14e2 * t128022 - 0.3e1 * t128025 + 0.3e1 * t128031 - 0.11e2 / 0.3e1 * t128035 - 0.22e2 / 0.9e1 * t20252 * t35573 - 0.6e1 * t128398 + 0.9e1 * t128406 + 0.2e1 * t128420 - 0.3e1 * t128425 - t30 * t20397 * t544 + 0.4e1 * t1891 * t20285;
  t146321 = t3227 * t20245;
  t146324 = -t15081 + 0.2e2 / 0.9e1 * t20334 * t3544 + 0.24e2 * t20330 * t629 - 0.12e2 * t20334 * t3664 + 0.4e1 / 0.3e1 * t20334 * t3516 + 0.12e2 * t127952 + 0.2e1 * t521 * t20280 - 0.4e1 * t521 * t20288 + 0.12e2 * t662 * t20245 * t3643 + t15069 - 0.4e1 * t137436 + 0.4e1 * t13904 * t20288 - 0.12e2 * t114582 * t20229 - 0.2e1 * t13904 * t20280 - 0.8e1 * t2881 * t2911 - 0.8e1 * t146321 * t3504;
  t146325 = t21461 * t20245;
  t146352 = 0.16e2 / 0.9e1 * t146325 * t3681 - 0.2e1 * t2878 * t20126 + 0.12e2 * t146325 * t3660 + 0.12e2 * t2878 * t20229 - 0.24e2 * t146321 * t3508 + 0.32e2 / 0.3e1 * t146325 * t3685 + 0.8e1 * t114574 * t2911 - 0.4e1 * t114582 * t20126 + 0.4e1 * t137440 - 0.12e2 * t20338 * t222 - 0.4e1 * t20330 * t634 + 0.12e2 * t127978 + 0.2e1 * t127982 - 0.12e2 * t127986 - 0.12e2 * t127993 + 0.4e1 * t127997;
  t146353 = t146324 + t146352;
  t146378 = t193 * t145995;
  t146382 = t615 * t145995;
  t146383 = t146382 * t3396;
  t146404 = 0.4e1 * t16122 - 0.4e1 * t16125 + 0.8e1 / 0.3e1 * t16128 + 0.6e1 * t10828 * t233 * t115212 * t2851 - 0.18e2 * t128132 - 0.24e2 * t128139 + t128142 / 0.3e1 - 0.28e2 / 0.3e1 * t128170 + 0.12e2 * t128185 - 0.2e1 / 0.3e1 * t128194 + 0.3e1 * t519 * t22055 * t60 * t146147;
  t146421 = -0.24e2 * t146378 * t21343 * t230 - 0.28e2 * t128200 - 0.3e1 * t137737 + 0.2e1 / 0.3e1 * t20374 * t21220 * t2873 + 0.3e1 / 0.2e1 * t18042 + 0.36e2 * t128204 - 0.18e2 * t128206 + 0.2e2 * t128220 + 0.14e2 * t128231 - 0.72e2 * t128235 - 0.4e1 * t128240;
  t146423 = t69 * t145995;
  t146424 = t146423 * t21719;
  t146427 = t21181 * t145995;
  t146428 = t146427 * t21185;
  t146452 = 0.36e2 * t128244 + 0.36e2 * t146424 * t3491 - 0.12e2 * t146428 * t22146 - 0.36e2 * t146383 * t841 + 0.5e2 / 0.3e1 * t146428 * t22151 + 0.6e1 * t2866 * t20354 + 0.4e1 / 0.3e1 * t2870 * t3375 * t20353 - 0.2e2 * t20374 * t21225 * t2883 + t519 * t819 * t60 * t146353 / 0.2e1 - 0.4e2 * t146424 * t3476 - 0.8e1 / 0.3e1 * t2870 * t3375 * t20365;
  t146462 = t146427 * t21209;
  t146465 = t146423 * t21730;
  t146479 = 0.9e1 * t20392 * t2884 + 0.56e2 / 0.3e1 * t20371 * t20377 - t20374 * t21220 * t2883 / 0.3e1 + 0.8e1 / 0.3e1 * t146462 * t22251 + 0.4e1 / 0.3e1 * t146465 * t3449 - t146462 * t22191 / 0.9e1 - 0.3e1 * t519 * t3430 * t20365 * t2851 - 0.4e1 / 0.3e1 * t16163 + 0.8e1 * t16170 - 0.8e1 * t16172 + 0.1e2 / 0.3e1 * t146428 * t22014;
  t146497 = -0.2e1 / 0.3e1 * t146424 * t3483 - 0.9e1 * t128265 - 0.11e2 / 0.3e1 * t2870 * t22070 * t20357 - 0.18e2 * t20392 * t2874 - 0.12e2 * t2866 * t20358 + 0.22e2 * t2870 * t22051 * t20357 - t519 * t819 * t63 * t146353 - t118715 + t118717 + t118721 + 0.36e2 * t128283;
  t146512 = t118742 - t118744 - t118750 + 0.18e2 * t128325 + 0.3e1 / 0.2e1 * t137844 - 0.3e1 * t137862 - 0.3e1 * t18069 - 0.3e1 * t2866 * t20366 + 0.6e1 * t2866 * t20390 + 0.4e1 * t2870 * t3409 * t20365 - 0.28e2 * t20371 * t20382;
  t146522 = t146382 * t21402;
  t146535 = 0.8e1 * t146465 * t3403 - 0.4e1 / 0.3e1 * t146462 * t22264 + 0.18e2 * t20374 * t22070 * t2883 + 0.24e2 * t146462 * t22254 - 0.12e2 * t146522 * t816 + 0.72e2 * t146522 * t823 + 0.22e2 / 0.3e1 * t2870 * t22070 * t20389 - 0.72e2 * t146465 * t3406 - 0.11e2 * t2870 * t22051 * t20389 - t2138 + t2119;
  t146564 = 0.28e2 / 0.3e1 * t20262 * t20242 - 0.9e1 / 0.2e1 * t246 * t114560 * t2911 + 0.6e1 * t246 * t1777 * t20337 * t3643 - t1891 * t20281 - t246 * t1769 * t658 * t221 * t146353 / 0.4e1 - t30 * t59 * (-0.28e2 / 0.3e1 * t20371 * t20351 + 0.56e2 * t20371 * t20361 + 0.4e1 * t20374 * t21225 * t2873 - 0.36e2 * t20374 * t22070 * t2873 - 0.6e1 * t519 * t22055 * t63 * t146147 - 0.8e1 * t2870 * t3409 * t20353 + 0.14e2 / 0.3e1 * t128080 + 0.6e1 * t137674 + 0.12e2 * t146378 * t3415 * t234 + 0.24e2 * t146383 * t828 + t146404 + t146421 + t146452 + t146479 + t146497 + t146512 + t146535) * t95 / 0.4e1 + 0.7e1 / 0.3e1 * t128436 - 0.2e1 * t20252 * t36531 + 0.2e1 * t1891 * t20289 + 0.11e2 / 0.3e1 * t2844 * t20819 * t244 * t20199 - 0.6e1 * t1891 * t20195 - 0.3e1 * t246 * t14031 * t2865 * t748 - 0.4e1 / 0.3e1 * t2844 * t3250 * t244 * t20168 - 0.8e1 * t20262 * t7175;
  t146622 = -0.2e1 / 0.3e1 * t515 * t3139 * t7198 * t20199 - 0.11e2 / 0.12e2 * t2844 * t20819 * t20200 + 0.2e1 * t128454 - t30 * t65 * t253 * (-0.24e3 * t20964 * t21290 + 0.288e4 * t20972 * t21290 + 0.42e4 * t20975 * t21290 + 0.168e4 * t20980 * t21290 - 0.72e3 * t20986 * t21290 - 0.12e3 * t21290 * t264) / 0.4e1 - 0.3e1 / 0.2e1 * t30 * t2889 * t2933 - t30 * t525 * t20218 - 0.3e1 / 0.2e1 * t14153 * t2912 + 0.3e1 * t14153 * t2903 + t515 * t660 * t69657 * t2852 / 0.2e1 - t2839 * t20170 / 0.2e1 + t515 * t660 * t7198 * t20168 / 0.3e1 + t515 * t660 * t661 * t94 * t146353 / 0.12e2 + t2844 * t3250 * t20169 / 0.3e1 + 0.6e1 * t3680 * t146221 * t3681 - t515 * t115514 / 0.3e1;
  t146648 = t246 * t115512 * t518 * t249 + 0.5e1 / 0.6e1 * t20252 * t20730 * t2853 - 0.5e1 / 0.9e1 * t20252 * t37361 - 0.3e1 / 0.4e1 * t137396 + t115077 * t530 - t2844 * t70149 + t137503 / 0.4e1 - 0.2e1 * t20252 * t37306 + 0.2e1 / 0.3e1 * t137529 - 0.2e1 * t137539 - t2844 * t70264 / 0.2e1 - t16325 / 0.3e1 + 0.4e1 * t20262 * t7453 - 0.2e1 * t20276 * t1886;
  t146685 = -0.2e1 * t146159 * t21231 + 0.89e2 / 0.9e1 * t146159 * t21870 - 0.28e2 * t145998 * t3668 + t7581 * t3130 * t253 * t2932 * t2851 / 0.2e1 + t7581 * t3130 * t253 * t543 * t20167 / 0.3e1 + t70197 * t4760 * t20190 + 0.2e1 * t20262 * t7441 - 0.12e2 * t7462 * t20300 - 0.62e2 / 0.3e1 * t146159 * t21194 - 0.12e2 * t1891 * t20303 + 0.6e1 * t1891 * t20297 + 0.47e2 / 0.3e1 * t146159 * t21854 + 0.8e1 * t146159 * t21199 + 0.6e1 * t37303 * t20247 + 0.22e2 / 0.3e1 * t145998 * t3517;
  t146707 = t118557 - t118560 - t118564 - t118566 + t118568 + 0.3e1 / 0.2e1 * t20276 * t2854 - 0.6e1 * t128505 - 0.23e2 / 0.3e1 * t145998 * t3545 - 0.18e2 * t644 * t146039 * t21221 + 0.6e1 * t246 * t146039 * t21226 + 0.18e2 * t3680 * t146039 * t21216 + 0.12e2 * t7462 * t20269 - 0.6e1 * t146184 * t630 + t2844 * t3250 * t20175 - t128534;
  t146733 = 0.6e1 * t128539 - 0.14e2 / 0.3e1 * t128563 - t2089 + 0.7e1 * t128596 + 0.12e2 * t146184 * t637 + 0.23e2 / 0.9e1 * t20252 * t36136 + 0.2e1 * t191 * t194 * t145995 * t3415 * t223 + 0.4e1 * t128604 - 0.2e1 * t128610 + 0.9e1 * t20252 * t20730 * t642 * t2852 + 0.4e1 * t20262 * t7171 + t2839 * t14033 + t16353 - 0.5e1 / 0.9e1 * t20252 * t37227 - 0.35e2 / 0.108e3 * t146159 * t21757;
  t146738 = my_piecewise3(t2, 0, t145994 + t146029 + t146056 + t146086 + t146129 + t146164 + t146202 + t146231 + t146265 + t146284 + t146564 + t146622 + t146648 + t146685 + t146707 + t146733);
  tv4tau40 = t3 * t146738;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 0] += tv4tau40;

  tv4tau41 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 1] += tv4tau41;

  tv4tau42 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 2] += tv4tau42;

  tv4tau43 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 3] += tv4tau43;

  t146742 = t2939 * t2939;
  t146743 = t1031 * t146742;
  t146750 = t25083 * t146742;
  t146754 = t4373 * t146742;
  t146770 = 0.3e1 * t128624 - t128634 / 0.2e1 - t137952 / 0.2e1 - 0.18e2 * t1030 * t146743 * t25102 + 0.18e2 * t373 * t146743 * t25106 - 0.18e2 * t1030 * t146750 * t25085 - 0.18e2 * t373 * t146754 * t25349 + 0.6e1 * t373 * t146750 * t25089 + 0.6e1 * t40761 * t20569 - t2947 * t72911 - 0.2e1 * t20495 * t40766 + 0.23e2 / 0.9e1 * t20495 * t39548 + 0.6e1 * t128655 + 0.9e1 * t128659;
  t146774 = t321 * t3512 * t146742 * t24085;
  t146796 = t4206 * t20492;
  t146803 = t24764 * t20492;
  t146818 = t15337 - 0.12e2 * t128766 + 0.12e2 * t989 * t20492 * t4426 - 0.4e1 * t561 * t20409 + 0.2e1 * t561 * t20470 - 0.2e1 * t2981 * t20479 - 0.24e2 * t146796 * t4339 - 0.8e1 * t2984 * t3014 - 0.8e1 * t146796 * t4335 + 0.16e2 / 0.9e1 * t146803 * t4397 + 0.4e1 * t14740 * t20409 + 0.32e2 / 0.3e1 * t146803 * t4377 + 0.12e2 * t146803 * t4409 + 0.12e2 * t2981 * t20553 - 0.12e2 * t20619 * t349 + 0.2e2 / 0.9e1 * t20642 * t4369;
  t146842 = 0.4e1 / 0.3e1 * t20642 * t4364 - 0.4e1 * t20646 * t1020 + 0.24e2 * t20646 * t1015 - 0.12e2 * t20642 * t4413 - 0.2e1 * t14740 * t20470 + 0.8e1 * t117066 * t3014 - 0.4e1 * t117077 * t20479 - 0.4e1 * t138057 - 0.12e2 * t117077 * t20553 - t15349 + 0.12e2 * t128783 - 0.12e2 * t128788 + 0.4e1 * t128792 + 0.2e1 * t128800 + 0.12e2 * t128810 + 0.4e1 * t138092;
  t146843 = t146818 + t146842;
  t146849 = t20407 * t2954;
  t146873 = t321 * t616 * t146742 * t4356;
  t146876 = -0.6e1 * t128663 + 0.5e1 / 0.3e1 * t146774 * t4467 - 0.9e1 * t373 * t116766 * t24349 * t20478 - 0.18e2 * t128676 + 0.11e2 / 0.3e1 * t2947 * t24319 * t371 * t20417 + t555 * t987 * t988 * t167 * t146843 / 0.12e2 + t555 * t25543 * t988 * t167 * t146849 / 0.2e1 - 0.22e2 / 0.9e1 * t20495 * t40438 - 0.5e1 / 0.9e1 * t20495 * t40446 + 0.22e2 / 0.3e1 * t146774 * t4365 - 0.23e2 / 0.3e1 * t146774 * t4370 - 0.18e2 * t4395 * t146754 * t25343 + 0.36e2 * t1030 * t146754 * t25337 - 0.12e2 * t2030 * t20594 - 0.6e1 * t146873 * t1016;
  t146885 = t321 * t21182 * t146742 * t24370;
  t146910 = 0.18e2 * t4395 * t146750 * t25380 + 0.6e1 * t2030 * t20597 + 0.47e2 / 0.3e1 * t146885 * t24445 - 0.3e1 * t72906 * t3002 - 0.6e1 * t20495 * t40756 + 0.3e1 * t14626 * t3018 + 0.28e2 / 0.3e1 * t20495 * t40150 - 0.35e2 / 0.108e3 * t146885 * t24637 - t555 * t116597 / 0.3e1 - 0.3e1 * t146873 * t1090 - 0.12e2 * t8201 * t20590 - 0.62e2 / 0.3e1 * t146885 * t24450 - 0.28e2 * t146774 * t4505 - 0.2e1 * t20587 * t2025;
  t146939 = -0.8e1 * t20500 * t8196 + 0.12e2 * t146873 * t1023 + 0.12e2 * t8201 * t20612 + 0.18e2 * t146774 * t4405 - 0.3e1 * t14626 * t3010 - 0.6e1 * t25375 * t146750 * t25376 - 0.38e2 / 0.9e1 * t146885 * t24600 + 0.89e2 / 0.9e1 * t146885 * t24664 - 0.2e1 * t146885 * t25094 - 0.3e1 / 0.4e1 * t138026 - 0.5e1 / 0.9e1 * t20495 * t40905 - 0.3e1 * t128697 + 0.6e1 * t128702 - t4145 * t14713 * t20470 - 0.6e1 * t2030 * t20414;
  t146978 = -0.3e1 / 0.2e1 * t14626 * t3015 - 0.4e1 * t2947 * t4686 * t2028 * t2955 + 0.2e1 * t2030 * t20410 - 0.2e1 / 0.3e1 * t8055 * t9270 * t380 * t583 * t20407 + 0.7e1 * t128729 + 0.6e1 * t128739 + 0.9e1 * t128746 - t2942 * t20456 / 0.2e1 - t2947 * t72899 / 0.2e1 + 0.2e1 * t321 * t194 * t146742 * t4333 * t350 + 0.2e1 * t20500 * t8165 + 0.4e1 * t20500 * t8192 - 0.2e1 * t20587 * t1950 - 0.3e1 / 0.2e1 * t373 * t1940 * t25542 * t348 * t146849;
  t147008 = t2942 * t20419 + 0.3e1 / 0.2e1 * t128841 - t373 * t1940 * t985 * t348 * t146843 / 0.4e1 - 0.12e2 * t128857 - 0.3e1 / 0.2e1 * t110 * t2992 * t3036 + 0.6e1 * t8201 * t20480 - 0.3e1 * t373 * t14974 * t2968 * t1045 - 0.6e1 * t2030 * t20554 + 0.2e1 * t2947 * t73536 + 0.3e1 * t14626 * t3006 - 0.14e2 * t20495 * t24355 * t20560 - t128872 + 0.4e1 / 0.3e1 * t16362 - 0.2e1 / 0.3e1 * t16376 + 0.2e1 / 0.3e1 * t16380;
  t147014 = t1948 * t20641;
  t147048 = 0.4e1 * t20500 * t8524 + 0.6e1 * t2030 * t20549 - 0.12e2 * t1030 * t147014 * t4377 + t2942 * t14621 + 0.2e1 * t2947 * t72915 - t2947 * t72981 / 0.2e1 + 0.23e2 / 0.9e1 * t20495 * t39152 - 0.9e1 * t4395 * t116766 * t24349 * t4368 * t2954 + 0.18e2 * t1030 * t116766 * t24349 * t4363 * t2954 + 0.6e1 * t4395 * t147014 * t4397 - 0.11e2 / 0.2e1 * t1030 * t14967 * t24308 * t1019 * t20407 - t128913 + 0.9e1 * t20495 * t24350 * t1028 * t2955 + 0.3e1 / 0.2e1 * t128923;
  t147071 = t20453 * t2954;
  t147076 = 0.3e1 * t128927 + 0.6e1 * t146774 * t4414 - 0.5e1 / 0.6e1 * t128954 - 0.7e1 * t128978 + 0.7e1 / 0.3e1 * t128994 - 0.6e1 * t129024 + 0.9e1 / 0.2e1 * t129049 - 0.9e1 * t129051 + t119016 - 0.2e1 * t129064 - 0.14e2 / 0.3e1 * t129080 + t8055 * t4137 * t380 * t3035 * t2954 / 0.2e1 - 0.6e1 * t4145 * t116455 * t20553 + 0.4e1 * t4145 * t117280 * t3014 + 0.3e1 / 0.2e1 * t5540 * t559 * t4543 * t147071;
  t147115 = 0.6e1 * t5535 * t116455 * t20479 - 0.11e2 / 0.6e1 * t2947 * t24324 * t20418 - t119085 + 0.5e1 / 0.6e1 * t20495 * t24350 * t2956 + 0.6e1 * t373 * t1948 * t20618 * t4426 + 0.3e1 * t2030 * t20475 + t373 * t117657 * t558 * t376 + 0.6e1 * t373 * t147014 * t4409 - 0.4e1 / 0.3e1 * t2942 * t20432 - 0.2e1 / 0.3e1 * t555 * t4707 * t8079 * t20417 - 0.61e2 / 0.27e2 * t146885 * t24453 + 0.44e2 / 0.27e2 * t146885 * t24379 - 0.11e2 / 0.12e2 * t2947 * t24319 * t20418 + 0.2e1 * t129115;
  t147132 = 0.2e1 / 0.3e1 * t138335 - t119112 - t119120 + t119132 + t2942 * t14976 + 0.3e1 / 0.2e1 * t20587 * t2957 + 0.7e1 / 0.6e1 * t129118 - t2180 + 0.2e1 / 0.3e1 * t138378 - 0.2e1 * t138397 + 0.11e2 / 0.3e1 * t20495 * t24355 * t2956 - 0.18e2 * t129158 + 0.11e2 / 0.2e1 * t373 * t14967 * t24308 * t1014 * t20407 - t119158 + t119159;
  t147160 = t14974 * t2972;
  t147187 = t193 * t146742;
  t147219 = t615 * t146742;
  t147220 = t147219 * t24865;
  t147225 = 0.56e2 / 0.3e1 * t20669 * t20666 - t559 * t1182 * t143 * t146843 - 0.28e2 / 0.3e1 * t20669 * t20633 + 0.2e1 / 0.3e1 * t20672 * t24794 * t2976 - 0.36e2 * t20672 * t24823 * t2976 + t559 * t1182 * t140 * t146843 / 0.2e1 + 0.3e1 / 0.2e1 * t18329 + 0.4e1 / 0.3e1 * t2973 * t4408 * t20628 - 0.18e2 * t20659 * t2977 - 0.12e2 * t147220 * t1179 + 0.72e2 * t147220 * t1186;
  t147228 = t69 * t146742;
  t147229 = t147228 * t24085;
  t147232 = t21181 * t146742;
  t147233 = t147232 * t24370;
  t147241 = t147219 * t4356;
  t147246 = -0.3e1 * t138663 - 0.4e2 * t147229 * t4625 + 0.1e2 / 0.3e1 * t147233 * t25033 + 0.5e2 / 0.3e1 * t147233 * t25025 - 0.2e1 / 0.3e1 * t147229 * t4634 - 0.3e1 * t18342 - t119320 - t119323 + t119330 - 0.36e2 * t147241 * t1204 + 0.36e2 * t147229 * t4621;
  t147263 = -0.12e2 * t147233 * t25022 + 0.14e2 / 0.3e1 * t129467 + 0.18e2 * t129481 + 0.4e1 * t16481 + 0.6e1 * t138714 + 0.56e2 * t20669 * t20623 + 0.24e2 * t147241 * t1191 - 0.18e2 * t129558 + 0.12e2 * t147187 * t4333 * t361 + 0.2e2 * t129565 - 0.3e1 * t138767;
  t147286 = -0.24e2 * t129575 + t129580 / 0.3e1 - 0.18e2 * t129582 - 0.3e1 * t559 * t4543 * t20662 * t2954 + 0.22e2 * t2973 * t24962 * t20635 + 0.6e1 * t2969 * t20629 - 0.28e2 * t129594 + 0.6e1 * t11528 * t360 * t116927 * t2954 - 0.4e1 * t16484 + 0.8e1 / 0.3e1 * t16487 + 0.3e1 / 0.2e1 * t138795;
  t147305 = 0.36e2 * t129608 + 0.4e1 * t2973 * t4549 * t20662 + 0.22e2 / 0.3e1 * t2973 * t24823 * t20656 - 0.11e2 * t2973 * t24962 * t20656 + 0.6e1 * t2969 * t20657 - 0.9e1 * t129614 - 0.2e1 / 0.3e1 * t129621 + 0.14e2 * t129626 - 0.72e2 * t129627 - 0.4e1 * t129631 + 0.36e2 * t129635;
  t147313 = t147228 * t24899;
  t147316 = t147232 * t24923;
  t147332 = -0.8e1 / 0.3e1 * t2973 * t4408 * t20662 - t20672 * t24794 * t2986 / 0.3e1 + 0.4e1 / 0.3e1 * t147313 * t4612 - t147316 * t24931 / 0.9e1 + 0.8e1 / 0.3e1 * t147316 * t24925 + 0.24e2 * t147316 * t24945 - 0.8e1 * t16504 - 0.4e1 / 0.3e1 * t16508 + 0.8e1 * t16523 - 0.2e2 * t20672 * t24848 * t2986 - 0.8e1 * t2973 * t4549 * t20628;
  t147347 = 0.4e1 * t20672 * t24848 * t2976 + t119433 - t119436 + t119445 - t2229 + t2210 + 0.8e1 * t147313 * t4589 - 0.4e1 / 0.3e1 * t147316 * t24959 - 0.72e2 * t147313 * t4579 + 0.18e2 * t20672 * t24823 * t2986 - 0.28e2 * t20669 * t20681;
  t147355 = 0.2e1 * t2947 * t4162 * t20431 + 0.2e1 / 0.3e1 * t2947 * t4162 * t20455 - 0.2e1 * t20495 * t40824 - t2947 * t73532 + 0.28e2 / 0.3e1 * t20495 * t40827 - 0.8e1 * t20500 * t8509 + 0.14e2 * t373 * t116770 * t20553 + 0.2e1 * t1030 * t14967 * t4161 * t1019 * t20453 - 0.2e1 * t373 * t14967 * t4161 * t1014 * t20453 - 0.3e1 * t1030 * t147160 * t1035 + 0.3e1 * t373 * t147160 * t1094 - 0.14e2 * t1030 * t116770 * t20479 + 0.4e1 * t129181 - t110 * t139 * (0.36e2 * t129387 + 0.12e2 * t129394 - 0.28e2 / 0.3e1 * t129398 - 0.6e1 * t559 * t24858 * t143 * t146849 - 0.12e2 * t2969 * t20636 - 0.11e2 / 0.3e1 * t2973 * t24823 * t20635 + 0.3e1 * t559 * t24858 * t140 * t146849 - 0.24e2 * t147187 * t24905 * t357 + 0.9e1 * t20659 * t2987 - 0.3e1 * t2969 * t20663 + t147225 + t147246 + t147263 + t147286 + t147305 + t147332 + t147347) * t168 / 0.4e1;
  t147397 = t16417 + t2947 * t4686 * t20455 / 0.3e1 + 0.3e1 * t20495 * t25251 * t2956 + 0.9e1 * t129205 + 0.14e2 * t129211 - 0.3e1 * t39948 * t20564 - 0.4e1 * t73176 * t5549 * t4143 * t20515 - t110 * t565 * t20544 - t110 * t145 * t380 * (-0.72e3 * t25423 * t24406 - 0.24e3 * t25431 * t24406 + 0.288e4 * t25434 * t24406 + 0.42e4 * t25437 * t24406 + 0.168e4 * t25442 * t24406 - 0.12e3 * t24406 * t391) / 0.4e1 - 0.23e2 / 0.6e1 * t20495 * t24350 * t20560 + t8055 * t39994 * t20516 - 0.11e2 / 0.3e1 * t129245 - t16436 / 0.3e1 + t18284 / 0.4e1 + t2251;
  t147414 = t1948 * t20645;
  t147429 = -0.6e1 * t129287 + 0.4e1 * t129290 + 0.2e1 * t20500 * t8335 - 0.6e1 * t373 * t374 * t146742 * t25358 - 0.43e2 / 0.9e1 * t146885 * t25631 + 0.8e1 * t146885 * t25368 + t116602 * t570 - t129309 / 0.2e1 - 0.12e2 * t373 * t147414 * t4339 + 0.2e1 * t129323 - 0.3e1 / 0.2e1 * t129339 - t2947 * t73154 + t555 * t987 * t73718 * t2955 / 0.2e1 + t555 * t987 * t8079 * t20454 / 0.3e1;
  t147459 = t2947 * t4686 * t20431 - 0.2e1 * t2947 * t72892 - 0.22e2 / 0.9e1 * t20495 * t39142 - t555 * t117669 - 0.6e1 * t8201 * t20484 - 0.6e1 * t20495 * t39367 + 0.12e2 * t1030 * t147414 * t4335 + 0.3e1 / 0.2e1 * t373 * t14987 * t20470 + 0.28e2 / 0.3e1 * t20500 * t20561 - t2030 * t20471 + 0.6e1 * t2030 * t20609 + 0.2e1 * t2942 * t14643 - 0.4e1 / 0.3e1 * t2947 * t4686 * t371 * t20454 - 0.6e1 * t129663 + t16467;
  t147487 = -0.2e1 * t129674 + 0.18e2 * t129693 - 0.3e1 / 0.4e1 * t18475 + 0.2e1 * t73176 * t5587 * t20516 - 0.3e1 / 0.2e1 * t4145 * t118002 * t3014 + 0.4e1 * t2947 * t72887 + t138853 / 0.4e1 + 0.4e1 * t2030 * t20467 - 0.3e1 * t129715 - t129744 - 0.14e2 / 0.3e1 * t20500 * t20557 - 0.9e1 / 0.2e1 * t373 * t117802 * t3014 - 0.3e1 * t373 * t14987 * t20409 - 0.7e1 / 0.3e1 * t20500 * t20459 - t16543 / 0.3e1;
  t147516 = -t555 * t117496 - t555 * t117659 / 0.3e1 - 0.2e1 * t138942 + 0.2e1 * t16580 - t16582 / 0.3e1 - 0.2e1 * t16587 - 0.2e1 * t16590 + 0.23e2 / 0.6e1 * t129805 + 0.3e1 / 0.2e1 * t138962 - t110 * t20688 * t584 + 0.2e1 * t4145 * t14713 * t20409 - 0.4e1 / 0.3e1 * t74749 * t20517 + t73176 * t5549 * t20516 - t8055 * t9270 * t168 * t147071 / 0.2e1 + t8055 * t4137 * t380 * t583 * t20453 / 0.3e1;
  t147521 = my_piecewise3(t100, 0, t146770 + t146876 + t146910 + t146939 + t146978 + t147008 + t147048 + t147076 + t147115 + t147132 + t147355 + t147397 + t147429 + t147459 + t147487 + t147516);
  tv4tau44 = t3 * t147521;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 4] += tv4tau44;

}

#endif

